--
-- PostgreSQL database dump
--

-- Dumped from database version 10.10 (Debian 10.10-1.pgdg100+1)
-- Dumped by pg_dump version 10.10 (Debian 10.10-1.pgdg100+1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;


--
-- This row is added manually because when the SQL is imported manually, recived role "postgres" does not exist
-- 

CREATE USER postgres SUPERUSER;

--
-- Name: discourse_functions; Type: SCHEMA; Schema: -; Owner: discourse
--

CREATE SCHEMA discourse_functions;


ALTER SCHEMA discourse_functions OWNER TO discourse;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


--
-- Name: hstore; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS hstore WITH SCHEMA public;


--
-- Name: EXTENSION hstore; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION hstore IS 'data type for storing sets of (key, value) pairs';


--
-- Name: pg_trgm; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS pg_trgm WITH SCHEMA public;


--
-- Name: EXTENSION pg_trgm; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION pg_trgm IS 'text similarity measurement and index searching based on trigrams';


--
-- Name: raise_user_profiles_card_background_readonly(); Type: FUNCTION; Schema: discourse_functions; Owner: discourse
--

CREATE FUNCTION discourse_functions.raise_user_profiles_card_background_readonly() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
  BEGIN
    RAISE EXCEPTION 'Discourse: card_background in user_profiles is readonly';
  END
$$;


ALTER FUNCTION discourse_functions.raise_user_profiles_card_background_readonly() OWNER TO discourse;

--
-- Name: raise_user_profiles_profile_background_readonly(); Type: FUNCTION; Schema: discourse_functions; Owner: discourse
--

CREATE FUNCTION discourse_functions.raise_user_profiles_profile_background_readonly() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
  BEGIN
    RAISE EXCEPTION 'Discourse: profile_background in user_profiles is readonly';
  END
$$;


ALTER FUNCTION discourse_functions.raise_user_profiles_profile_background_readonly() OWNER TO discourse;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: anonymous_users; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.anonymous_users (
    id bigint NOT NULL,
    user_id integer NOT NULL,
    master_user_id integer NOT NULL,
    active boolean NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.anonymous_users OWNER TO discourse;

--
-- Name: anonymous_users_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.anonymous_users_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.anonymous_users_id_seq OWNER TO discourse;

--
-- Name: anonymous_users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.anonymous_users_id_seq OWNED BY public.anonymous_users.id;


--
-- Name: api_keys; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.api_keys (
    id integer NOT NULL,
    key character varying(64) NOT NULL,
    user_id integer,
    created_by_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    allowed_ips inet[],
    hidden boolean DEFAULT false NOT NULL,
    last_used_at timestamp without time zone,
    revoked_at timestamp without time zone,
    description text
);


ALTER TABLE public.api_keys OWNER TO discourse;

--
-- Name: api_keys_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.api_keys_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.api_keys_id_seq OWNER TO discourse;

--
-- Name: api_keys_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.api_keys_id_seq OWNED BY public.api_keys.id;


--
-- Name: application_requests; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.application_requests (
    id integer NOT NULL,
    date date NOT NULL,
    req_type integer NOT NULL,
    count integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.application_requests OWNER TO discourse;

--
-- Name: application_requests_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.application_requests_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.application_requests_id_seq OWNER TO discourse;

--
-- Name: application_requests_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.application_requests_id_seq OWNED BY public.application_requests.id;


--
-- Name: ar_internal_metadata; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.ar_internal_metadata (
    key character varying NOT NULL,
    value character varying,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);


ALTER TABLE public.ar_internal_metadata OWNER TO discourse;

--
-- Name: backup_draft_posts; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.backup_draft_posts (
    id bigint NOT NULL,
    user_id integer NOT NULL,
    post_id integer NOT NULL,
    key character varying NOT NULL,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);


ALTER TABLE public.backup_draft_posts OWNER TO discourse;

--
-- Name: backup_draft_posts_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.backup_draft_posts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.backup_draft_posts_id_seq OWNER TO discourse;

--
-- Name: backup_draft_posts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.backup_draft_posts_id_seq OWNED BY public.backup_draft_posts.id;


--
-- Name: backup_draft_topics; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.backup_draft_topics (
    id bigint NOT NULL,
    user_id integer NOT NULL,
    topic_id integer NOT NULL,
    created_at timestamp(6) without time zone NOT NULL,
    updated_at timestamp(6) without time zone NOT NULL
);


ALTER TABLE public.backup_draft_topics OWNER TO discourse;

--
-- Name: backup_draft_topics_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.backup_draft_topics_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.backup_draft_topics_id_seq OWNER TO discourse;

--
-- Name: backup_draft_topics_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.backup_draft_topics_id_seq OWNED BY public.backup_draft_topics.id;


--
-- Name: backup_metadata; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.backup_metadata (
    id bigint NOT NULL,
    name character varying NOT NULL,
    value character varying
);


ALTER TABLE public.backup_metadata OWNER TO discourse;

--
-- Name: backup_metadata_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.backup_metadata_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.backup_metadata_id_seq OWNER TO discourse;

--
-- Name: backup_metadata_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.backup_metadata_id_seq OWNED BY public.backup_metadata.id;


--
-- Name: badge_groupings; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.badge_groupings (
    id integer NOT NULL,
    name character varying NOT NULL,
    description text,
    "position" integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.badge_groupings OWNER TO discourse;

--
-- Name: badge_groupings_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.badge_groupings_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.badge_groupings_id_seq OWNER TO discourse;

--
-- Name: badge_groupings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.badge_groupings_id_seq OWNED BY public.badge_groupings.id;


--
-- Name: categories; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.categories (
    id integer NOT NULL,
    name character varying(50) NOT NULL,
    color character varying(6) DEFAULT '0088CC'::character varying NOT NULL,
    topic_id integer,
    topic_count integer DEFAULT 0 NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    user_id integer NOT NULL,
    topics_year integer DEFAULT 0,
    topics_month integer DEFAULT 0,
    topics_week integer DEFAULT 0,
    slug character varying NOT NULL,
    description text,
    text_color character varying(6) DEFAULT 'FFFFFF'::character varying NOT NULL,
    read_restricted boolean DEFAULT false NOT NULL,
    auto_close_hours double precision,
    post_count integer DEFAULT 0 NOT NULL,
    latest_post_id integer,
    latest_topic_id integer,
    "position" integer,
    parent_category_id integer,
    posts_year integer DEFAULT 0,
    posts_month integer DEFAULT 0,
    posts_week integer DEFAULT 0,
    email_in character varying,
    email_in_allow_strangers boolean DEFAULT false,
    topics_day integer DEFAULT 0,
    posts_day integer DEFAULT 0,
    allow_badges boolean DEFAULT true NOT NULL,
    name_lower character varying(50) NOT NULL,
    auto_close_based_on_last_post boolean DEFAULT false,
    topic_template text,
    contains_messages boolean,
    sort_order character varying,
    sort_ascending boolean,
    uploaded_logo_id integer,
    uploaded_background_id integer,
    topic_featured_link_allowed boolean DEFAULT true,
    all_topics_wiki boolean DEFAULT false NOT NULL,
    show_subcategory_list boolean DEFAULT false,
    num_featured_topics integer DEFAULT 3,
    default_view character varying(50),
    subcategory_list_style character varying(50) DEFAULT 'rows_with_featured_topics'::character varying,
    default_top_period character varying(20) DEFAULT 'all'::character varying,
    mailinglist_mirror boolean DEFAULT false NOT NULL,
    minimum_required_tags integer DEFAULT 0 NOT NULL,
    navigate_to_first_post_after_read boolean DEFAULT false NOT NULL,
    search_priority integer DEFAULT 0,
    allow_global_tags boolean DEFAULT false NOT NULL,
    reviewable_by_group_id integer,
    required_tag_group_id integer,
    min_tags_from_required_group integer DEFAULT 1 NOT NULL
);


ALTER TABLE public.categories OWNER TO discourse;

--
-- Name: posts; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.posts (
    id integer NOT NULL,
    user_id integer,
    topic_id integer NOT NULL,
    post_number integer NOT NULL,
    raw text NOT NULL,
    cooked text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    reply_to_post_number integer,
    reply_count integer DEFAULT 0 NOT NULL,
    quote_count integer DEFAULT 0 NOT NULL,
    deleted_at timestamp without time zone,
    off_topic_count integer DEFAULT 0 NOT NULL,
    like_count integer DEFAULT 0 NOT NULL,
    incoming_link_count integer DEFAULT 0 NOT NULL,
    bookmark_count integer DEFAULT 0 NOT NULL,
    avg_time integer,
    score double precision,
    reads integer DEFAULT 0 NOT NULL,
    post_type integer DEFAULT 1 NOT NULL,
    sort_order integer,
    last_editor_id integer,
    hidden boolean DEFAULT false NOT NULL,
    hidden_reason_id integer,
    notify_moderators_count integer DEFAULT 0 NOT NULL,
    spam_count integer DEFAULT 0 NOT NULL,
    illegal_count integer DEFAULT 0 NOT NULL,
    inappropriate_count integer DEFAULT 0 NOT NULL,
    last_version_at timestamp without time zone NOT NULL,
    user_deleted boolean DEFAULT false NOT NULL,
    reply_to_user_id integer,
    percent_rank double precision DEFAULT 1.0,
    notify_user_count integer DEFAULT 0 NOT NULL,
    like_score integer DEFAULT 0 NOT NULL,
    deleted_by_id integer,
    edit_reason character varying,
    word_count integer,
    version integer DEFAULT 1 NOT NULL,
    cook_method integer DEFAULT 1 NOT NULL,
    wiki boolean DEFAULT false NOT NULL,
    baked_at timestamp without time zone,
    baked_version integer,
    hidden_at timestamp without time zone,
    self_edits integer DEFAULT 0 NOT NULL,
    reply_quoted boolean DEFAULT false NOT NULL,
    via_email boolean DEFAULT false NOT NULL,
    raw_email text,
    public_version integer DEFAULT 1 NOT NULL,
    action_code character varying,
    image_url character varying,
    locked_by_id integer
);


ALTER TABLE public.posts OWNER TO discourse;

--
-- Name: TABLE posts; Type: COMMENT; Schema: public; Owner: discourse
--

COMMENT ON TABLE public.posts IS 'If you want to query public posts only, use the badge_posts view.';


--
-- Name: COLUMN posts.post_number; Type: COMMENT; Schema: public; Owner: discourse
--

COMMENT ON COLUMN public.posts.post_number IS 'The position of this post in the topic. The pair (topic_id, post_number) forms a natural key on the posts table.';


--
-- Name: COLUMN posts.raw; Type: COMMENT; Schema: public; Owner: discourse
--

COMMENT ON COLUMN public.posts.raw IS 'The raw Markdown that the user entered into the composer.';


--
-- Name: COLUMN posts.cooked; Type: COMMENT; Schema: public; Owner: discourse
--

COMMENT ON COLUMN public.posts.cooked IS 'The processed HTML that is presented in a topic.';


--
-- Name: COLUMN posts.reply_to_post_number; Type: COMMENT; Schema: public; Owner: discourse
--

COMMENT ON COLUMN public.posts.reply_to_post_number IS 'If this post is a reply to another, this column is the post_number of the post it''s replying to. [FKEY posts.topic_id, posts.post_number]';


--
-- Name: COLUMN posts.reply_quoted; Type: COMMENT; Schema: public; Owner: discourse
--

COMMENT ON COLUMN public.posts.reply_quoted IS 'This column is true if the post contains a quote-reply, which causes the in-reply-to indicator to be absent.';


--
-- Name: topics; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topics (
    id integer NOT NULL,
    title character varying NOT NULL,
    last_posted_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    views integer DEFAULT 0 NOT NULL,
    posts_count integer DEFAULT 0 NOT NULL,
    user_id integer,
    last_post_user_id integer NOT NULL,
    reply_count integer DEFAULT 0 NOT NULL,
    featured_user1_id integer,
    featured_user2_id integer,
    featured_user3_id integer,
    avg_time integer,
    deleted_at timestamp without time zone,
    highest_post_number integer DEFAULT 0 NOT NULL,
    image_url character varying,
    like_count integer DEFAULT 0 NOT NULL,
    incoming_link_count integer DEFAULT 0 NOT NULL,
    category_id integer,
    visible boolean DEFAULT true NOT NULL,
    moderator_posts_count integer DEFAULT 0 NOT NULL,
    closed boolean DEFAULT false NOT NULL,
    archived boolean DEFAULT false NOT NULL,
    bumped_at timestamp without time zone NOT NULL,
    has_summary boolean DEFAULT false NOT NULL,
    archetype character varying DEFAULT 'regular'::character varying NOT NULL,
    featured_user4_id integer,
    notify_moderators_count integer DEFAULT 0 NOT NULL,
    spam_count integer DEFAULT 0 NOT NULL,
    pinned_at timestamp without time zone,
    score double precision,
    percent_rank double precision DEFAULT 1.0 NOT NULL,
    subtype character varying,
    slug character varying,
    deleted_by_id integer,
    participant_count integer DEFAULT 1,
    word_count integer,
    excerpt character varying(1000),
    pinned_globally boolean DEFAULT false NOT NULL,
    pinned_until timestamp without time zone,
    fancy_title character varying(400),
    highest_staff_post_number integer DEFAULT 0 NOT NULL,
    featured_link character varying,
    reviewable_score double precision DEFAULT 0.0 NOT NULL,
    CONSTRAINT has_category_id CHECK (((category_id IS NOT NULL) OR ((archetype)::text <> 'regular'::text))),
    CONSTRAINT pm_has_no_category CHECK (((category_id IS NULL) OR ((archetype)::text <> 'private_message'::text)))
);


ALTER TABLE public.topics OWNER TO discourse;

--
-- Name: TABLE topics; Type: COMMENT; Schema: public; Owner: discourse
--

COMMENT ON TABLE public.topics IS 'To query public topics only: SELECT ... FROM topics t LEFT INNER JOIN categories c ON (t.category_id = c.id AND c.read_restricted = false)';


--
-- Name: badge_posts; Type: VIEW; Schema: public; Owner: discourse
--

CREATE VIEW public.badge_posts AS
 SELECT p.id,
    p.user_id,
    p.topic_id,
    p.post_number,
    p.raw,
    p.cooked,
    p.created_at,
    p.updated_at,
    p.reply_to_post_number,
    p.reply_count,
    p.quote_count,
    p.deleted_at,
    p.off_topic_count,
    p.like_count,
    p.incoming_link_count,
    p.bookmark_count,
    p.avg_time,
    p.score,
    p.reads,
    p.post_type,
    p.sort_order,
    p.last_editor_id,
    p.hidden,
    p.hidden_reason_id,
    p.notify_moderators_count,
    p.spam_count,
    p.illegal_count,
    p.inappropriate_count,
    p.last_version_at,
    p.user_deleted,
    p.reply_to_user_id,
    p.percent_rank,
    p.notify_user_count,
    p.like_score,
    p.deleted_by_id,
    p.edit_reason,
    p.word_count,
    p.version,
    p.cook_method,
    p.wiki,
    p.baked_at,
    p.baked_version,
    p.hidden_at,
    p.self_edits,
    p.reply_quoted,
    p.via_email,
    p.raw_email,
    p.public_version,
    p.action_code,
    p.image_url,
    p.locked_by_id
   FROM ((public.posts p
     JOIN public.topics t ON ((t.id = p.topic_id)))
     JOIN public.categories c ON ((c.id = t.category_id)))
  WHERE (c.allow_badges AND (p.deleted_at IS NULL) AND (t.deleted_at IS NULL) AND (NOT c.read_restricted) AND t.visible AND (p.post_type = ANY (ARRAY[1, 2, 3])));


ALTER TABLE public.badge_posts OWNER TO discourse;

--
-- Name: badge_types; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.badge_types (
    id integer NOT NULL,
    name character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.badge_types OWNER TO discourse;

--
-- Name: badge_types_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.badge_types_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.badge_types_id_seq OWNER TO discourse;

--
-- Name: badge_types_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.badge_types_id_seq OWNED BY public.badge_types.id;


--
-- Name: badges; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.badges (
    id integer NOT NULL,
    name character varying NOT NULL,
    description text,
    badge_type_id integer NOT NULL,
    grant_count integer DEFAULT 0 NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    allow_title boolean DEFAULT false NOT NULL,
    multiple_grant boolean DEFAULT false NOT NULL,
    icon character varying DEFAULT 'fa-certificate'::character varying,
    listable boolean DEFAULT true,
    target_posts boolean DEFAULT false,
    query text,
    enabled boolean DEFAULT true NOT NULL,
    auto_revoke boolean DEFAULT true NOT NULL,
    badge_grouping_id integer DEFAULT 5 NOT NULL,
    trigger integer,
    show_posts boolean DEFAULT false NOT NULL,
    system boolean DEFAULT false NOT NULL,
    image character varying(255),
    long_description text
);


ALTER TABLE public.badges OWNER TO discourse;

--
-- Name: badges_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.badges_id_seq
    AS integer
    START WITH 100
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.badges_id_seq OWNER TO discourse;

--
-- Name: badges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.badges_id_seq OWNED BY public.badges.id;


--
-- Name: categories_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.categories_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.categories_id_seq OWNER TO discourse;

--
-- Name: categories_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.categories_id_seq OWNED BY public.categories.id;


--
-- Name: categories_web_hooks; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.categories_web_hooks (
    web_hook_id integer NOT NULL,
    category_id integer NOT NULL
);


ALTER TABLE public.categories_web_hooks OWNER TO discourse;

--
-- Name: category_custom_fields; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.category_custom_fields (
    id integer NOT NULL,
    category_id integer NOT NULL,
    name character varying(256) NOT NULL,
    value text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.category_custom_fields OWNER TO discourse;

--
-- Name: category_custom_fields_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.category_custom_fields_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.category_custom_fields_id_seq OWNER TO discourse;

--
-- Name: category_custom_fields_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.category_custom_fields_id_seq OWNED BY public.category_custom_fields.id;


--
-- Name: category_featured_topics; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.category_featured_topics (
    category_id integer NOT NULL,
    topic_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    rank integer DEFAULT 0 NOT NULL,
    id integer NOT NULL
);


ALTER TABLE public.category_featured_topics OWNER TO discourse;

--
-- Name: category_featured_topics_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.category_featured_topics_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.category_featured_topics_id_seq OWNER TO discourse;

--
-- Name: category_featured_topics_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.category_featured_topics_id_seq OWNED BY public.category_featured_topics.id;


--
-- Name: category_groups; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.category_groups (
    id integer NOT NULL,
    category_id integer NOT NULL,
    group_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    permission_type integer DEFAULT 1
);


ALTER TABLE public.category_groups OWNER TO discourse;

--
-- Name: category_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.category_groups_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.category_groups_id_seq OWNER TO discourse;

--
-- Name: category_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.category_groups_id_seq OWNED BY public.category_groups.id;


--
-- Name: category_search_data; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.category_search_data (
    category_id integer NOT NULL,
    search_data tsvector,
    raw_data text,
    locale text,
    version integer DEFAULT 0
);


ALTER TABLE public.category_search_data OWNER TO discourse;

--
-- Name: category_tag_groups; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.category_tag_groups (
    id integer NOT NULL,
    category_id integer NOT NULL,
    tag_group_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.category_tag_groups OWNER TO discourse;

--
-- Name: category_tag_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.category_tag_groups_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.category_tag_groups_id_seq OWNER TO discourse;

--
-- Name: category_tag_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.category_tag_groups_id_seq OWNED BY public.category_tag_groups.id;


--
-- Name: category_tag_stats; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.category_tag_stats (
    id bigint NOT NULL,
    category_id bigint NOT NULL,
    tag_id bigint NOT NULL,
    topic_count integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.category_tag_stats OWNER TO discourse;

--
-- Name: category_tag_stats_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.category_tag_stats_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.category_tag_stats_id_seq OWNER TO discourse;

--
-- Name: category_tag_stats_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.category_tag_stats_id_seq OWNED BY public.category_tag_stats.id;


--
-- Name: category_tags; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.category_tags (
    id integer NOT NULL,
    category_id integer NOT NULL,
    tag_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.category_tags OWNER TO discourse;

--
-- Name: category_tags_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.category_tags_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.category_tags_id_seq OWNER TO discourse;

--
-- Name: category_tags_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.category_tags_id_seq OWNED BY public.category_tags.id;


--
-- Name: category_users; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.category_users (
    id integer NOT NULL,
    category_id integer NOT NULL,
    user_id integer NOT NULL,
    notification_level integer,
    last_seen_at timestamp without time zone
);


ALTER TABLE public.category_users OWNER TO discourse;

--
-- Name: category_users_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.category_users_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.category_users_id_seq OWNER TO discourse;

--
-- Name: category_users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.category_users_id_seq OWNED BY public.category_users.id;


--
-- Name: child_themes; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.child_themes (
    id integer NOT NULL,
    parent_theme_id integer,
    child_theme_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.child_themes OWNER TO discourse;

--
-- Name: child_themes_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.child_themes_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.child_themes_id_seq OWNER TO discourse;

--
-- Name: child_themes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.child_themes_id_seq OWNED BY public.child_themes.id;


--
-- Name: color_scheme_colors; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.color_scheme_colors (
    id integer NOT NULL,
    name character varying NOT NULL,
    hex character varying NOT NULL,
    color_scheme_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.color_scheme_colors OWNER TO discourse;

--
-- Name: color_scheme_colors_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.color_scheme_colors_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.color_scheme_colors_id_seq OWNER TO discourse;

--
-- Name: color_scheme_colors_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.color_scheme_colors_id_seq OWNED BY public.color_scheme_colors.id;


--
-- Name: color_schemes; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.color_schemes (
    id integer NOT NULL,
    name character varying NOT NULL,
    version integer DEFAULT 1 NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    via_wizard boolean DEFAULT false NOT NULL,
    base_scheme_id character varying,
    theme_id integer
);


ALTER TABLE public.color_schemes OWNER TO discourse;

--
-- Name: color_schemes_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.color_schemes_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.color_schemes_id_seq OWNER TO discourse;

--
-- Name: color_schemes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.color_schemes_id_seq OWNED BY public.color_schemes.id;


--
-- Name: custom_emojis; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.custom_emojis (
    id integer NOT NULL,
    name character varying NOT NULL,
    upload_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.custom_emojis OWNER TO discourse;

--
-- Name: custom_emojis_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.custom_emojis_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.custom_emojis_id_seq OWNER TO discourse;

--
-- Name: custom_emojis_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.custom_emojis_id_seq OWNED BY public.custom_emojis.id;


--
-- Name: developers; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.developers (
    id integer NOT NULL,
    user_id integer NOT NULL
);


ALTER TABLE public.developers OWNER TO discourse;

--
-- Name: developers_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.developers_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.developers_id_seq OWNER TO discourse;

--
-- Name: developers_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.developers_id_seq OWNED BY public.developers.id;


--
-- Name: directory_items; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.directory_items (
    id integer NOT NULL,
    period_type integer NOT NULL,
    user_id integer NOT NULL,
    likes_received integer NOT NULL,
    likes_given integer NOT NULL,
    topics_entered integer NOT NULL,
    topic_count integer NOT NULL,
    post_count integer NOT NULL,
    created_at timestamp without time zone,
    updated_at timestamp without time zone,
    days_visited integer DEFAULT 0 NOT NULL,
    posts_read integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.directory_items OWNER TO discourse;

--
-- Name: directory_items_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.directory_items_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.directory_items_id_seq OWNER TO discourse;

--
-- Name: directory_items_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.directory_items_id_seq OWNED BY public.directory_items.id;


--
-- Name: draft_sequences; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.draft_sequences (
    id integer NOT NULL,
    user_id integer NOT NULL,
    draft_key character varying NOT NULL,
    sequence integer NOT NULL
);


ALTER TABLE public.draft_sequences OWNER TO discourse;

--
-- Name: draft_sequences_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.draft_sequences_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.draft_sequences_id_seq OWNER TO discourse;

--
-- Name: draft_sequences_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.draft_sequences_id_seq OWNED BY public.draft_sequences.id;


--
-- Name: drafts; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.drafts (
    id integer NOT NULL,
    user_id integer NOT NULL,
    draft_key character varying NOT NULL,
    data text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    sequence integer DEFAULT 0 NOT NULL,
    revisions integer DEFAULT 1 NOT NULL,
    owner character varying
);


ALTER TABLE public.drafts OWNER TO discourse;

--
-- Name: drafts_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.drafts_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.drafts_id_seq OWNER TO discourse;

--
-- Name: drafts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.drafts_id_seq OWNED BY public.drafts.id;


--
-- Name: email_change_requests; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.email_change_requests (
    id integer NOT NULL,
    user_id integer NOT NULL,
    old_email character varying NOT NULL,
    new_email character varying NOT NULL,
    old_email_token_id integer,
    new_email_token_id integer,
    change_state integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.email_change_requests OWNER TO discourse;

--
-- Name: email_change_requests_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.email_change_requests_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.email_change_requests_id_seq OWNER TO discourse;

--
-- Name: email_change_requests_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.email_change_requests_id_seq OWNED BY public.email_change_requests.id;


--
-- Name: email_logs; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.email_logs (
    id integer NOT NULL,
    to_address character varying NOT NULL,
    email_type character varying NOT NULL,
    user_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    post_id integer,
    bounce_key uuid,
    bounced boolean DEFAULT false NOT NULL,
    message_id character varying
);


ALTER TABLE public.email_logs OWNER TO discourse;

--
-- Name: email_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.email_logs_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.email_logs_id_seq OWNER TO discourse;

--
-- Name: email_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.email_logs_id_seq OWNED BY public.email_logs.id;


--
-- Name: email_tokens; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.email_tokens (
    id integer NOT NULL,
    user_id integer NOT NULL,
    email character varying NOT NULL,
    token character varying NOT NULL,
    confirmed boolean DEFAULT false NOT NULL,
    expired boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.email_tokens OWNER TO discourse;

--
-- Name: email_tokens_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.email_tokens_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.email_tokens_id_seq OWNER TO discourse;

--
-- Name: email_tokens_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.email_tokens_id_seq OWNED BY public.email_tokens.id;


--
-- Name: embeddable_hosts; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.embeddable_hosts (
    id integer NOT NULL,
    host character varying NOT NULL,
    category_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    path_whitelist character varying,
    class_name character varying
);


ALTER TABLE public.embeddable_hosts OWNER TO discourse;

--
-- Name: embeddable_hosts_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.embeddable_hosts_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.embeddable_hosts_id_seq OWNER TO discourse;

--
-- Name: embeddable_hosts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.embeddable_hosts_id_seq OWNED BY public.embeddable_hosts.id;


--
-- Name: github_user_infos; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.github_user_infos (
    id integer NOT NULL,
    user_id integer NOT NULL,
    screen_name character varying NOT NULL,
    github_user_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.github_user_infos OWNER TO discourse;

--
-- Name: github_user_infos_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.github_user_infos_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.github_user_infos_id_seq OWNER TO discourse;

--
-- Name: github_user_infos_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.github_user_infos_id_seq OWNED BY public.github_user_infos.id;


--
-- Name: given_daily_likes; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.given_daily_likes (
    user_id integer NOT NULL,
    likes_given integer NOT NULL,
    given_date date NOT NULL,
    limit_reached boolean DEFAULT false NOT NULL
);


ALTER TABLE public.given_daily_likes OWNER TO discourse;

--
-- Name: group_archived_messages; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.group_archived_messages (
    id integer NOT NULL,
    group_id integer NOT NULL,
    topic_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.group_archived_messages OWNER TO discourse;

--
-- Name: group_archived_messages_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.group_archived_messages_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.group_archived_messages_id_seq OWNER TO discourse;

--
-- Name: group_archived_messages_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.group_archived_messages_id_seq OWNED BY public.group_archived_messages.id;


--
-- Name: group_custom_fields; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.group_custom_fields (
    id integer NOT NULL,
    group_id integer NOT NULL,
    name character varying(256) NOT NULL,
    value text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.group_custom_fields OWNER TO discourse;

--
-- Name: group_custom_fields_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.group_custom_fields_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.group_custom_fields_id_seq OWNER TO discourse;

--
-- Name: group_custom_fields_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.group_custom_fields_id_seq OWNED BY public.group_custom_fields.id;


--
-- Name: group_histories; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.group_histories (
    id integer NOT NULL,
    group_id integer NOT NULL,
    acting_user_id integer NOT NULL,
    target_user_id integer,
    action integer NOT NULL,
    subject character varying,
    prev_value text,
    new_value text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.group_histories OWNER TO discourse;

--
-- Name: group_histories_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.group_histories_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.group_histories_id_seq OWNER TO discourse;

--
-- Name: group_histories_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.group_histories_id_seq OWNED BY public.group_histories.id;


--
-- Name: group_mentions; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.group_mentions (
    id integer NOT NULL,
    post_id integer,
    group_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.group_mentions OWNER TO discourse;

--
-- Name: group_mentions_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.group_mentions_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.group_mentions_id_seq OWNER TO discourse;

--
-- Name: group_mentions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.group_mentions_id_seq OWNED BY public.group_mentions.id;


--
-- Name: group_requests; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.group_requests (
    id bigint NOT NULL,
    group_id integer,
    user_id integer,
    reason text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.group_requests OWNER TO discourse;

--
-- Name: group_requests_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.group_requests_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.group_requests_id_seq OWNER TO discourse;

--
-- Name: group_requests_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.group_requests_id_seq OWNED BY public.group_requests.id;


--
-- Name: group_users; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.group_users (
    id integer NOT NULL,
    group_id integer NOT NULL,
    user_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    owner boolean DEFAULT false NOT NULL,
    notification_level integer DEFAULT 2 NOT NULL
);


ALTER TABLE public.group_users OWNER TO discourse;

--
-- Name: group_users_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.group_users_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.group_users_id_seq OWNER TO discourse;

--
-- Name: group_users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.group_users_id_seq OWNED BY public.group_users.id;


--
-- Name: groups; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.groups (
    id integer NOT NULL,
    name character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    automatic boolean DEFAULT false NOT NULL,
    user_count integer DEFAULT 0 NOT NULL,
    automatic_membership_email_domains text,
    automatic_membership_retroactive boolean DEFAULT false,
    primary_group boolean DEFAULT false NOT NULL,
    title character varying,
    grant_trust_level integer,
    incoming_email character varying,
    has_messages boolean DEFAULT false NOT NULL,
    flair_url character varying,
    flair_bg_color character varying,
    flair_color character varying,
    bio_raw text,
    bio_cooked text,
    allow_membership_requests boolean DEFAULT false NOT NULL,
    full_name character varying,
    default_notification_level integer DEFAULT 3 NOT NULL,
    visibility_level integer DEFAULT 0 NOT NULL,
    public_exit boolean DEFAULT false NOT NULL,
    public_admission boolean DEFAULT false NOT NULL,
    membership_request_template text,
    messageable_level integer DEFAULT 0,
    mentionable_level integer DEFAULT 0,
    publish_read_state boolean DEFAULT false NOT NULL,
    members_visibility_level integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.groups OWNER TO discourse;

--
-- Name: groups_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.groups_id_seq
    AS integer
    START WITH 100
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.groups_id_seq OWNER TO discourse;

--
-- Name: groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.groups_id_seq OWNED BY public.groups.id;


--
-- Name: groups_web_hooks; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.groups_web_hooks (
    web_hook_id integer NOT NULL,
    group_id integer NOT NULL
);


ALTER TABLE public.groups_web_hooks OWNER TO discourse;

--
-- Name: ignored_users; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.ignored_users (
    id bigint NOT NULL,
    user_id integer NOT NULL,
    ignored_user_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    summarized_at timestamp without time zone,
    expiring_at timestamp without time zone
);


ALTER TABLE public.ignored_users OWNER TO discourse;

--
-- Name: ignored_users_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.ignored_users_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ignored_users_id_seq OWNER TO discourse;

--
-- Name: ignored_users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.ignored_users_id_seq OWNED BY public.ignored_users.id;


--
-- Name: incoming_domains; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.incoming_domains (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    https boolean DEFAULT false NOT NULL,
    port integer NOT NULL
);


ALTER TABLE public.incoming_domains OWNER TO discourse;

--
-- Name: incoming_domains_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.incoming_domains_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.incoming_domains_id_seq OWNER TO discourse;

--
-- Name: incoming_domains_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.incoming_domains_id_seq OWNED BY public.incoming_domains.id;


--
-- Name: incoming_emails; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.incoming_emails (
    id integer NOT NULL,
    user_id integer,
    topic_id integer,
    post_id integer,
    raw text,
    error text,
    message_id text,
    from_address text,
    to_addresses text,
    cc_addresses text,
    subject text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    rejection_message text,
    is_auto_generated boolean DEFAULT false,
    is_bounce boolean DEFAULT false NOT NULL
);


ALTER TABLE public.incoming_emails OWNER TO discourse;

--
-- Name: incoming_emails_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.incoming_emails_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.incoming_emails_id_seq OWNER TO discourse;

--
-- Name: incoming_emails_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.incoming_emails_id_seq OWNED BY public.incoming_emails.id;


--
-- Name: incoming_links; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.incoming_links (
    id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    user_id integer,
    ip_address inet,
    current_user_id integer,
    post_id integer NOT NULL,
    incoming_referer_id integer
);


ALTER TABLE public.incoming_links OWNER TO discourse;

--
-- Name: incoming_links_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.incoming_links_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.incoming_links_id_seq OWNER TO discourse;

--
-- Name: incoming_links_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.incoming_links_id_seq OWNED BY public.incoming_links.id;


--
-- Name: incoming_referers; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.incoming_referers (
    id integer NOT NULL,
    path character varying(1000) NOT NULL,
    incoming_domain_id integer NOT NULL
);


ALTER TABLE public.incoming_referers OWNER TO discourse;

--
-- Name: incoming_referers_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.incoming_referers_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.incoming_referers_id_seq OWNER TO discourse;

--
-- Name: incoming_referers_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.incoming_referers_id_seq OWNED BY public.incoming_referers.id;


--
-- Name: invited_groups; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.invited_groups (
    id integer NOT NULL,
    group_id integer,
    invite_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.invited_groups OWNER TO discourse;

--
-- Name: invited_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.invited_groups_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.invited_groups_id_seq OWNER TO discourse;

--
-- Name: invited_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.invited_groups_id_seq OWNED BY public.invited_groups.id;


--
-- Name: invites; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.invites (
    id integer NOT NULL,
    invite_key character varying(32) NOT NULL,
    email character varying,
    invited_by_id integer NOT NULL,
    user_id integer,
    redeemed_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone,
    deleted_by_id integer,
    invalidated_at timestamp without time zone,
    moderator boolean DEFAULT false NOT NULL,
    custom_message text,
    emailed_status integer
);


ALTER TABLE public.invites OWNER TO discourse;

--
-- Name: invites_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.invites_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.invites_id_seq OWNER TO discourse;

--
-- Name: invites_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.invites_id_seq OWNED BY public.invites.id;


--
-- Name: javascript_caches; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.javascript_caches (
    id bigint NOT NULL,
    theme_field_id bigint,
    digest character varying,
    content text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    theme_id bigint,
    CONSTRAINT enforce_theme_or_theme_field CHECK ((((theme_id IS NOT NULL) AND (theme_field_id IS NULL)) OR ((theme_id IS NULL) AND (theme_field_id IS NOT NULL))))
);


ALTER TABLE public.javascript_caches OWNER TO discourse;

--
-- Name: javascript_caches_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.javascript_caches_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.javascript_caches_id_seq OWNER TO discourse;

--
-- Name: javascript_caches_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.javascript_caches_id_seq OWNED BY public.javascript_caches.id;


--
-- Name: message_bus; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.message_bus (
    id integer NOT NULL,
    name character varying,
    context character varying,
    data text,
    created_at timestamp without time zone NOT NULL
);


ALTER TABLE public.message_bus OWNER TO discourse;

--
-- Name: message_bus_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.message_bus_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.message_bus_id_seq OWNER TO discourse;

--
-- Name: message_bus_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.message_bus_id_seq OWNED BY public.message_bus.id;


--
-- Name: muted_users; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.muted_users (
    id integer NOT NULL,
    user_id integer NOT NULL,
    muted_user_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.muted_users OWNER TO discourse;

--
-- Name: muted_users_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.muted_users_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.muted_users_id_seq OWNER TO discourse;

--
-- Name: muted_users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.muted_users_id_seq OWNED BY public.muted_users.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.notifications (
    id integer NOT NULL,
    notification_type integer NOT NULL,
    user_id integer NOT NULL,
    data character varying(1000) NOT NULL,
    read boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    topic_id integer,
    post_number integer,
    post_action_id integer
);


ALTER TABLE public.notifications OWNER TO discourse;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.notifications_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO discourse;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.notifications_id_seq OWNED BY public.notifications.id;


--
-- Name: oauth2_user_infos; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.oauth2_user_infos (
    id integer NOT NULL,
    user_id integer NOT NULL,
    uid character varying NOT NULL,
    provider character varying NOT NULL,
    email character varying,
    name character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.oauth2_user_infos OWNER TO discourse;

--
-- Name: oauth2_user_infos_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.oauth2_user_infos_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.oauth2_user_infos_id_seq OWNER TO discourse;

--
-- Name: oauth2_user_infos_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.oauth2_user_infos_id_seq OWNED BY public.oauth2_user_infos.id;


--
-- Name: onceoff_logs; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.onceoff_logs (
    id integer NOT NULL,
    job_name character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.onceoff_logs OWNER TO discourse;

--
-- Name: onceoff_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.onceoff_logs_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.onceoff_logs_id_seq OWNER TO discourse;

--
-- Name: onceoff_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.onceoff_logs_id_seq OWNED BY public.onceoff_logs.id;


--
-- Name: optimized_images; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.optimized_images (
    id integer NOT NULL,
    sha1 character varying(40) NOT NULL,
    extension character varying(10) NOT NULL,
    width integer NOT NULL,
    height integer NOT NULL,
    upload_id integer NOT NULL,
    url character varying NOT NULL,
    filesize integer,
    etag character varying,
    version integer
);


ALTER TABLE public.optimized_images OWNER TO discourse;

--
-- Name: optimized_images_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.optimized_images_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.optimized_images_id_seq OWNER TO discourse;

--
-- Name: optimized_images_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.optimized_images_id_seq OWNED BY public.optimized_images.id;


--
-- Name: permalinks; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.permalinks (
    id integer NOT NULL,
    url character varying(1000) NOT NULL,
    topic_id integer,
    post_id integer,
    category_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    external_url character varying(1000)
);


ALTER TABLE public.permalinks OWNER TO discourse;

--
-- Name: permalinks_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.permalinks_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.permalinks_id_seq OWNER TO discourse;

--
-- Name: permalinks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.permalinks_id_seq OWNED BY public.permalinks.id;


--
-- Name: plugin_store_rows; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.plugin_store_rows (
    id integer NOT NULL,
    plugin_name character varying NOT NULL,
    key character varying NOT NULL,
    type_name character varying NOT NULL,
    value text
);


ALTER TABLE public.plugin_store_rows OWNER TO discourse;

--
-- Name: plugin_store_rows_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.plugin_store_rows_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.plugin_store_rows_id_seq OWNER TO discourse;

--
-- Name: plugin_store_rows_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.plugin_store_rows_id_seq OWNED BY public.plugin_store_rows.id;


--
-- Name: poll_options; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.poll_options (
    id bigint NOT NULL,
    poll_id bigint,
    digest character varying NOT NULL,
    html text NOT NULL,
    anonymous_votes integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.poll_options OWNER TO discourse;

--
-- Name: poll_options_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.poll_options_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.poll_options_id_seq OWNER TO discourse;

--
-- Name: poll_options_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.poll_options_id_seq OWNED BY public.poll_options.id;


--
-- Name: poll_votes; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.poll_votes (
    poll_id bigint,
    poll_option_id bigint,
    user_id bigint,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.poll_votes OWNER TO discourse;

--
-- Name: polls; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.polls (
    id bigint NOT NULL,
    post_id bigint,
    name character varying DEFAULT 'poll'::character varying NOT NULL,
    close_at timestamp without time zone,
    type integer DEFAULT 0 NOT NULL,
    status integer DEFAULT 0 NOT NULL,
    results integer DEFAULT 0 NOT NULL,
    visibility integer DEFAULT 0 NOT NULL,
    min integer,
    max integer,
    step integer,
    anonymous_voters integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    chart_type integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.polls OWNER TO discourse;

--
-- Name: polls_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.polls_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.polls_id_seq OWNER TO discourse;

--
-- Name: polls_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.polls_id_seq OWNED BY public.polls.id;


--
-- Name: post_action_types; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_action_types (
    name_key character varying(50) NOT NULL,
    is_flag boolean DEFAULT false NOT NULL,
    icon character varying(20),
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    id integer NOT NULL,
    "position" integer DEFAULT 0 NOT NULL,
    score_bonus double precision DEFAULT 0.0 NOT NULL,
    reviewable_priority integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.post_action_types OWNER TO discourse;

--
-- Name: post_action_types_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.post_action_types_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.post_action_types_id_seq OWNER TO discourse;

--
-- Name: post_action_types_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.post_action_types_id_seq OWNED BY public.post_action_types.id;


--
-- Name: post_actions; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_actions (
    id integer NOT NULL,
    post_id integer NOT NULL,
    user_id integer NOT NULL,
    post_action_type_id integer NOT NULL,
    deleted_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_by_id integer,
    related_post_id integer,
    staff_took_action boolean DEFAULT false NOT NULL,
    deferred_by_id integer,
    targets_topic boolean DEFAULT false NOT NULL,
    agreed_at timestamp without time zone,
    agreed_by_id integer,
    deferred_at timestamp without time zone,
    disagreed_at timestamp without time zone,
    disagreed_by_id integer
);


ALTER TABLE public.post_actions OWNER TO discourse;

--
-- Name: post_actions_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.post_actions_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.post_actions_id_seq OWNER TO discourse;

--
-- Name: post_actions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.post_actions_id_seq OWNED BY public.post_actions.id;


--
-- Name: post_custom_fields; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_custom_fields (
    id integer NOT NULL,
    post_id integer NOT NULL,
    name character varying(256) NOT NULL,
    value text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.post_custom_fields OWNER TO discourse;

--
-- Name: post_custom_fields_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.post_custom_fields_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.post_custom_fields_id_seq OWNER TO discourse;

--
-- Name: post_custom_fields_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.post_custom_fields_id_seq OWNED BY public.post_custom_fields.id;


--
-- Name: post_details; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_details (
    id integer NOT NULL,
    post_id integer,
    key character varying,
    value character varying,
    extra text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.post_details OWNER TO discourse;

--
-- Name: post_details_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.post_details_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.post_details_id_seq OWNER TO discourse;

--
-- Name: post_details_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.post_details_id_seq OWNED BY public.post_details.id;


--
-- Name: post_replies; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_replies (
    post_id integer,
    reply_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.post_replies OWNER TO discourse;

--
-- Name: post_reply_keys; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_reply_keys (
    id bigint NOT NULL,
    user_id integer NOT NULL,
    post_id integer NOT NULL,
    reply_key uuid NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.post_reply_keys OWNER TO discourse;

--
-- Name: post_reply_keys_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.post_reply_keys_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.post_reply_keys_id_seq OWNER TO discourse;

--
-- Name: post_reply_keys_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.post_reply_keys_id_seq OWNED BY public.post_reply_keys.id;


--
-- Name: post_revisions; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_revisions (
    id integer NOT NULL,
    user_id integer,
    post_id integer,
    modifications text,
    number integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    hidden boolean DEFAULT false NOT NULL
);


ALTER TABLE public.post_revisions OWNER TO discourse;

--
-- Name: post_revisions_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.post_revisions_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.post_revisions_id_seq OWNER TO discourse;

--
-- Name: post_revisions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.post_revisions_id_seq OWNED BY public.post_revisions.id;


--
-- Name: post_search_data; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_search_data (
    post_id integer NOT NULL,
    search_data tsvector,
    raw_data text,
    locale character varying,
    version integer DEFAULT 0
);


ALTER TABLE public.post_search_data OWNER TO discourse;

--
-- Name: post_stats; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_stats (
    id integer NOT NULL,
    post_id integer,
    drafts_saved integer,
    typing_duration_msecs integer,
    composer_open_duration_msecs integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.post_stats OWNER TO discourse;

--
-- Name: post_stats_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.post_stats_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.post_stats_id_seq OWNER TO discourse;

--
-- Name: post_stats_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.post_stats_id_seq OWNED BY public.post_stats.id;


--
-- Name: post_timings; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_timings (
    topic_id integer NOT NULL,
    post_number integer NOT NULL,
    user_id integer NOT NULL,
    msecs integer NOT NULL
);


ALTER TABLE public.post_timings OWNER TO discourse;

--
-- Name: post_uploads; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.post_uploads (
    id integer NOT NULL,
    post_id integer NOT NULL,
    upload_id integer NOT NULL
);


ALTER TABLE public.post_uploads OWNER TO discourse;

--
-- Name: post_uploads_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.post_uploads_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.post_uploads_id_seq OWNER TO discourse;

--
-- Name: post_uploads_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.post_uploads_id_seq OWNED BY public.post_uploads.id;


--
-- Name: posts_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.posts_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.posts_id_seq OWNER TO discourse;

--
-- Name: posts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.posts_id_seq OWNED BY public.posts.id;


--
-- Name: push_subscriptions; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.push_subscriptions (
    id bigint NOT NULL,
    user_id integer NOT NULL,
    data character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.push_subscriptions OWNER TO discourse;

--
-- Name: push_subscriptions_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.push_subscriptions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.push_subscriptions_id_seq OWNER TO discourse;

--
-- Name: push_subscriptions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.push_subscriptions_id_seq OWNED BY public.push_subscriptions.id;


--
-- Name: quoted_posts; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.quoted_posts (
    id integer NOT NULL,
    post_id integer NOT NULL,
    quoted_post_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.quoted_posts OWNER TO discourse;

--
-- Name: quoted_posts_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.quoted_posts_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.quoted_posts_id_seq OWNER TO discourse;

--
-- Name: quoted_posts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.quoted_posts_id_seq OWNED BY public.quoted_posts.id;


--
-- Name: remote_themes; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.remote_themes (
    id integer NOT NULL,
    remote_url character varying NOT NULL,
    remote_version character varying,
    local_version character varying,
    about_url character varying,
    license_url character varying,
    commits_behind integer,
    remote_updated_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    private_key text,
    branch character varying,
    last_error_text text,
    authors character varying,
    theme_version character varying,
    minimum_discourse_version character varying,
    maximum_discourse_version character varying
);


ALTER TABLE public.remote_themes OWNER TO discourse;

--
-- Name: remote_themes_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.remote_themes_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.remote_themes_id_seq OWNER TO discourse;

--
-- Name: remote_themes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.remote_themes_id_seq OWNED BY public.remote_themes.id;


--
-- Name: reviewable_claimed_topics; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.reviewable_claimed_topics (
    id bigint NOT NULL,
    user_id integer NOT NULL,
    topic_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.reviewable_claimed_topics OWNER TO discourse;

--
-- Name: reviewable_claimed_topics_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.reviewable_claimed_topics_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.reviewable_claimed_topics_id_seq OWNER TO discourse;

--
-- Name: reviewable_claimed_topics_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.reviewable_claimed_topics_id_seq OWNED BY public.reviewable_claimed_topics.id;


--
-- Name: reviewable_histories; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.reviewable_histories (
    id bigint NOT NULL,
    reviewable_id integer NOT NULL,
    reviewable_history_type integer NOT NULL,
    status integer NOT NULL,
    created_by_id integer NOT NULL,
    edited json,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.reviewable_histories OWNER TO discourse;

--
-- Name: reviewable_histories_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.reviewable_histories_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.reviewable_histories_id_seq OWNER TO discourse;

--
-- Name: reviewable_histories_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.reviewable_histories_id_seq OWNED BY public.reviewable_histories.id;


--
-- Name: reviewable_scores; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.reviewable_scores (
    id bigint NOT NULL,
    reviewable_id integer NOT NULL,
    user_id integer NOT NULL,
    reviewable_score_type integer NOT NULL,
    status integer NOT NULL,
    score double precision DEFAULT 0.0 NOT NULL,
    take_action_bonus double precision DEFAULT 0.0 NOT NULL,
    reviewed_by_id integer,
    reviewed_at timestamp without time zone,
    meta_topic_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    reason character varying,
    user_accuracy_bonus double precision DEFAULT 0.0 NOT NULL
);


ALTER TABLE public.reviewable_scores OWNER TO discourse;

--
-- Name: reviewable_scores_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.reviewable_scores_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.reviewable_scores_id_seq OWNER TO discourse;

--
-- Name: reviewable_scores_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.reviewable_scores_id_seq OWNED BY public.reviewable_scores.id;


--
-- Name: reviewables; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.reviewables (
    id bigint NOT NULL,
    type character varying NOT NULL,
    status integer DEFAULT 0 NOT NULL,
    created_by_id integer NOT NULL,
    reviewable_by_moderator boolean DEFAULT false NOT NULL,
    reviewable_by_group_id integer,
    category_id integer,
    topic_id integer,
    score double precision DEFAULT 0.0 NOT NULL,
    potential_spam boolean DEFAULT false NOT NULL,
    target_id integer,
    target_type character varying,
    target_created_by_id integer,
    payload json,
    version integer DEFAULT 0 NOT NULL,
    latest_score timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.reviewables OWNER TO discourse;

--
-- Name: reviewables_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.reviewables_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.reviewables_id_seq OWNER TO discourse;

--
-- Name: reviewables_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.reviewables_id_seq OWNED BY public.reviewables.id;


--
-- Name: scheduler_stats; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.scheduler_stats (
    id integer NOT NULL,
    name character varying NOT NULL,
    hostname character varying NOT NULL,
    pid integer NOT NULL,
    duration_ms integer,
    live_slots_start integer,
    live_slots_finish integer,
    started_at timestamp without time zone NOT NULL,
    success boolean,
    error text
);


ALTER TABLE public.scheduler_stats OWNER TO discourse;

--
-- Name: scheduler_stats_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.scheduler_stats_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.scheduler_stats_id_seq OWNER TO discourse;

--
-- Name: scheduler_stats_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.scheduler_stats_id_seq OWNED BY public.scheduler_stats.id;


--
-- Name: schema_migration_details; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.schema_migration_details (
    id integer NOT NULL,
    version character varying NOT NULL,
    name character varying,
    hostname character varying,
    git_version character varying,
    rails_version character varying,
    duration integer,
    direction character varying,
    created_at timestamp without time zone NOT NULL
);


ALTER TABLE public.schema_migration_details OWNER TO discourse;

--
-- Name: schema_migration_details_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.schema_migration_details_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.schema_migration_details_id_seq OWNER TO discourse;

--
-- Name: schema_migration_details_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.schema_migration_details_id_seq OWNED BY public.schema_migration_details.id;


--
-- Name: schema_migrations; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.schema_migrations (
    version character varying NOT NULL
);


ALTER TABLE public.schema_migrations OWNER TO discourse;

--
-- Name: screened_emails; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.screened_emails (
    id integer NOT NULL,
    email character varying NOT NULL,
    action_type integer NOT NULL,
    match_count integer DEFAULT 0 NOT NULL,
    last_match_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    ip_address inet
);


ALTER TABLE public.screened_emails OWNER TO discourse;

--
-- Name: screened_emails_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.screened_emails_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.screened_emails_id_seq OWNER TO discourse;

--
-- Name: screened_emails_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.screened_emails_id_seq OWNED BY public.screened_emails.id;


--
-- Name: screened_ip_addresses; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.screened_ip_addresses (
    id integer NOT NULL,
    ip_address inet NOT NULL,
    action_type integer NOT NULL,
    match_count integer DEFAULT 0 NOT NULL,
    last_match_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.screened_ip_addresses OWNER TO discourse;

--
-- Name: screened_ip_addresses_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.screened_ip_addresses_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.screened_ip_addresses_id_seq OWNER TO discourse;

--
-- Name: screened_ip_addresses_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.screened_ip_addresses_id_seq OWNED BY public.screened_ip_addresses.id;


--
-- Name: screened_urls; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.screened_urls (
    id integer NOT NULL,
    url character varying NOT NULL,
    domain character varying NOT NULL,
    action_type integer NOT NULL,
    match_count integer DEFAULT 0 NOT NULL,
    last_match_at timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    ip_address inet
);


ALTER TABLE public.screened_urls OWNER TO discourse;

--
-- Name: screened_urls_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.screened_urls_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.screened_urls_id_seq OWNER TO discourse;

--
-- Name: screened_urls_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.screened_urls_id_seq OWNED BY public.screened_urls.id;


--
-- Name: search_logs; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.search_logs (
    id integer NOT NULL,
    term character varying NOT NULL,
    user_id integer,
    ip_address inet,
    search_result_id integer,
    search_type integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    search_result_type integer
);


ALTER TABLE public.search_logs OWNER TO discourse;

--
-- Name: search_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.search_logs_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.search_logs_id_seq OWNER TO discourse;

--
-- Name: search_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.search_logs_id_seq OWNED BY public.search_logs.id;


--
-- Name: shared_drafts; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.shared_drafts (
    topic_id integer NOT NULL,
    category_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    id bigint NOT NULL
);


ALTER TABLE public.shared_drafts OWNER TO discourse;

--
-- Name: shared_drafts_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.shared_drafts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.shared_drafts_id_seq OWNER TO discourse;

--
-- Name: shared_drafts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.shared_drafts_id_seq OWNED BY public.shared_drafts.id;


--
-- Name: single_sign_on_records; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.single_sign_on_records (
    id integer NOT NULL,
    user_id integer NOT NULL,
    external_id character varying NOT NULL,
    last_payload text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    external_username character varying,
    external_email character varying,
    external_name character varying,
    external_avatar_url character varying(1000),
    external_profile_background_url character varying,
    external_card_background_url character varying
);


ALTER TABLE public.single_sign_on_records OWNER TO discourse;

--
-- Name: single_sign_on_records_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.single_sign_on_records_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.single_sign_on_records_id_seq OWNER TO discourse;

--
-- Name: single_sign_on_records_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.single_sign_on_records_id_seq OWNED BY public.single_sign_on_records.id;


--
-- Name: site_settings; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.site_settings (
    id integer NOT NULL,
    name character varying NOT NULL,
    data_type integer NOT NULL,
    value text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.site_settings OWNER TO discourse;

--
-- Name: site_settings_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.site_settings_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.site_settings_id_seq OWNER TO discourse;

--
-- Name: site_settings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.site_settings_id_seq OWNED BY public.site_settings.id;


--
-- Name: skipped_email_logs; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.skipped_email_logs (
    id bigint NOT NULL,
    email_type character varying NOT NULL,
    to_address character varying NOT NULL,
    user_id integer,
    post_id integer,
    reason_type integer NOT NULL,
    custom_reason text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.skipped_email_logs OWNER TO discourse;

--
-- Name: skipped_email_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.skipped_email_logs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.skipped_email_logs_id_seq OWNER TO discourse;

--
-- Name: skipped_email_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.skipped_email_logs_id_seq OWNED BY public.skipped_email_logs.id;


--
-- Name: stylesheet_cache; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.stylesheet_cache (
    id integer NOT NULL,
    target character varying NOT NULL,
    digest character varying NOT NULL,
    content text NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    theme_id integer DEFAULT '-1'::integer NOT NULL,
    source_map text
);


ALTER TABLE public.stylesheet_cache OWNER TO discourse;

--
-- Name: stylesheet_cache_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.stylesheet_cache_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.stylesheet_cache_id_seq OWNER TO discourse;

--
-- Name: stylesheet_cache_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.stylesheet_cache_id_seq OWNED BY public.stylesheet_cache.id;


--
-- Name: tag_group_memberships; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.tag_group_memberships (
    id integer NOT NULL,
    tag_id integer NOT NULL,
    tag_group_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.tag_group_memberships OWNER TO discourse;

--
-- Name: tag_group_memberships_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.tag_group_memberships_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tag_group_memberships_id_seq OWNER TO discourse;

--
-- Name: tag_group_memberships_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.tag_group_memberships_id_seq OWNED BY public.tag_group_memberships.id;


--
-- Name: tag_group_permissions; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.tag_group_permissions (
    id bigint NOT NULL,
    tag_group_id bigint NOT NULL,
    group_id bigint NOT NULL,
    permission_type integer DEFAULT 1 NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.tag_group_permissions OWNER TO discourse;

--
-- Name: tag_group_permissions_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.tag_group_permissions_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tag_group_permissions_id_seq OWNER TO discourse;

--
-- Name: tag_group_permissions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.tag_group_permissions_id_seq OWNED BY public.tag_group_permissions.id;


--
-- Name: tag_groups; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.tag_groups (
    id integer NOT NULL,
    name character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    parent_tag_id integer,
    one_per_topic boolean DEFAULT false
);


ALTER TABLE public.tag_groups OWNER TO discourse;

--
-- Name: tag_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.tag_groups_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tag_groups_id_seq OWNER TO discourse;

--
-- Name: tag_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.tag_groups_id_seq OWNED BY public.tag_groups.id;


--
-- Name: tag_search_data; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.tag_search_data (
    tag_id integer NOT NULL,
    search_data tsvector,
    raw_data text,
    locale text,
    version integer DEFAULT 0
);


ALTER TABLE public.tag_search_data OWNER TO discourse;

--
-- Name: tag_search_data_tag_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.tag_search_data_tag_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tag_search_data_tag_id_seq OWNER TO discourse;

--
-- Name: tag_search_data_tag_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.tag_search_data_tag_id_seq OWNED BY public.tag_search_data.tag_id;


--
-- Name: tag_users; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.tag_users (
    id integer NOT NULL,
    tag_id integer NOT NULL,
    user_id integer NOT NULL,
    notification_level integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.tag_users OWNER TO discourse;

--
-- Name: tag_users_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.tag_users_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tag_users_id_seq OWNER TO discourse;

--
-- Name: tag_users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.tag_users_id_seq OWNED BY public.tag_users.id;


--
-- Name: tags; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.tags (
    id integer NOT NULL,
    name character varying NOT NULL,
    topic_count integer DEFAULT 0 NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    pm_topic_count integer DEFAULT 0 NOT NULL,
    target_tag_id integer
);


ALTER TABLE public.tags OWNER TO discourse;

--
-- Name: tags_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.tags_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tags_id_seq OWNER TO discourse;

--
-- Name: tags_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.tags_id_seq OWNED BY public.tags.id;


--
-- Name: tags_web_hooks; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.tags_web_hooks (
    web_hook_id bigint NOT NULL,
    tag_id bigint NOT NULL
);


ALTER TABLE public.tags_web_hooks OWNER TO discourse;

--
-- Name: theme_fields; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.theme_fields (
    id integer NOT NULL,
    theme_id integer NOT NULL,
    target_id integer NOT NULL,
    name character varying(255) NOT NULL,
    value text NOT NULL,
    value_baked text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    compiler_version character varying(50) DEFAULT 0 NOT NULL,
    error character varying,
    upload_id integer,
    type_id integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.theme_fields OWNER TO discourse;

--
-- Name: theme_fields_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.theme_fields_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.theme_fields_id_seq OWNER TO discourse;

--
-- Name: theme_fields_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.theme_fields_id_seq OWNED BY public.theme_fields.id;


--
-- Name: theme_settings; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.theme_settings (
    id bigint NOT NULL,
    name character varying(255) NOT NULL,
    data_type integer NOT NULL,
    value text,
    theme_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.theme_settings OWNER TO discourse;

--
-- Name: theme_settings_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.theme_settings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.theme_settings_id_seq OWNER TO discourse;

--
-- Name: theme_settings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.theme_settings_id_seq OWNED BY public.theme_settings.id;


--
-- Name: theme_translation_overrides; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.theme_translation_overrides (
    id bigint NOT NULL,
    theme_id integer NOT NULL,
    locale character varying NOT NULL,
    translation_key character varying NOT NULL,
    value character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.theme_translation_overrides OWNER TO discourse;

--
-- Name: theme_translation_overrides_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.theme_translation_overrides_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.theme_translation_overrides_id_seq OWNER TO discourse;

--
-- Name: theme_translation_overrides_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.theme_translation_overrides_id_seq OWNED BY public.theme_translation_overrides.id;


--
-- Name: themes; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.themes (
    id integer NOT NULL,
    name character varying NOT NULL,
    user_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    compiler_version integer DEFAULT 0 NOT NULL,
    user_selectable boolean DEFAULT false NOT NULL,
    hidden boolean DEFAULT false NOT NULL,
    color_scheme_id integer,
    remote_theme_id integer,
    component boolean DEFAULT false NOT NULL,
    enabled boolean DEFAULT true NOT NULL
);


ALTER TABLE public.themes OWNER TO discourse;

--
-- Name: themes_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.themes_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.themes_id_seq OWNER TO discourse;

--
-- Name: themes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.themes_id_seq OWNED BY public.themes.id;


--
-- Name: top_topics; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.top_topics (
    id integer NOT NULL,
    topic_id integer,
    yearly_posts_count integer DEFAULT 0 NOT NULL,
    yearly_views_count integer DEFAULT 0 NOT NULL,
    yearly_likes_count integer DEFAULT 0 NOT NULL,
    monthly_posts_count integer DEFAULT 0 NOT NULL,
    monthly_views_count integer DEFAULT 0 NOT NULL,
    monthly_likes_count integer DEFAULT 0 NOT NULL,
    weekly_posts_count integer DEFAULT 0 NOT NULL,
    weekly_views_count integer DEFAULT 0 NOT NULL,
    weekly_likes_count integer DEFAULT 0 NOT NULL,
    daily_posts_count integer DEFAULT 0 NOT NULL,
    daily_views_count integer DEFAULT 0 NOT NULL,
    daily_likes_count integer DEFAULT 0 NOT NULL,
    daily_score double precision DEFAULT 0.0,
    weekly_score double precision DEFAULT 0.0,
    monthly_score double precision DEFAULT 0.0,
    yearly_score double precision DEFAULT 0.0,
    all_score double precision DEFAULT 0.0,
    daily_op_likes_count integer DEFAULT 0 NOT NULL,
    weekly_op_likes_count integer DEFAULT 0 NOT NULL,
    monthly_op_likes_count integer DEFAULT 0 NOT NULL,
    yearly_op_likes_count integer DEFAULT 0 NOT NULL,
    quarterly_posts_count integer DEFAULT 0 NOT NULL,
    quarterly_views_count integer DEFAULT 0 NOT NULL,
    quarterly_likes_count integer DEFAULT 0 NOT NULL,
    quarterly_score double precision DEFAULT 0.0,
    quarterly_op_likes_count integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.top_topics OWNER TO discourse;

--
-- Name: top_topics_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.top_topics_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.top_topics_id_seq OWNER TO discourse;

--
-- Name: top_topics_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.top_topics_id_seq OWNED BY public.top_topics.id;


--
-- Name: topic_allowed_groups; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_allowed_groups (
    id integer NOT NULL,
    group_id integer NOT NULL,
    topic_id integer NOT NULL
);


ALTER TABLE public.topic_allowed_groups OWNER TO discourse;

--
-- Name: topic_allowed_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_allowed_groups_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_allowed_groups_id_seq OWNER TO discourse;

--
-- Name: topic_allowed_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_allowed_groups_id_seq OWNED BY public.topic_allowed_groups.id;


--
-- Name: topic_allowed_users; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_allowed_users (
    id integer NOT NULL,
    user_id integer NOT NULL,
    topic_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.topic_allowed_users OWNER TO discourse;

--
-- Name: topic_allowed_users_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_allowed_users_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_allowed_users_id_seq OWNER TO discourse;

--
-- Name: topic_allowed_users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_allowed_users_id_seq OWNED BY public.topic_allowed_users.id;


--
-- Name: topic_custom_fields; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_custom_fields (
    id integer NOT NULL,
    topic_id integer NOT NULL,
    name character varying(256) NOT NULL,
    value text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.topic_custom_fields OWNER TO discourse;

--
-- Name: topic_custom_fields_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_custom_fields_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_custom_fields_id_seq OWNER TO discourse;

--
-- Name: topic_custom_fields_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_custom_fields_id_seq OWNED BY public.topic_custom_fields.id;


--
-- Name: topic_embeds; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_embeds (
    id integer NOT NULL,
    topic_id integer NOT NULL,
    post_id integer NOT NULL,
    embed_url character varying(1000) NOT NULL,
    content_sha1 character varying(40),
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    deleted_at timestamp without time zone,
    deleted_by_id integer
);


ALTER TABLE public.topic_embeds OWNER TO discourse;

--
-- Name: topic_embeds_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_embeds_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_embeds_id_seq OWNER TO discourse;

--
-- Name: topic_embeds_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_embeds_id_seq OWNED BY public.topic_embeds.id;


--
-- Name: topic_groups; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_groups (
    id bigint NOT NULL,
    group_id integer NOT NULL,
    topic_id integer NOT NULL,
    last_read_post_number integer DEFAULT 0 NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.topic_groups OWNER TO discourse;

--
-- Name: topic_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_groups_id_seq OWNER TO discourse;

--
-- Name: topic_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_groups_id_seq OWNED BY public.topic_groups.id;


--
-- Name: topic_invites; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_invites (
    id integer NOT NULL,
    topic_id integer NOT NULL,
    invite_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.topic_invites OWNER TO discourse;

--
-- Name: topic_invites_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_invites_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_invites_id_seq OWNER TO discourse;

--
-- Name: topic_invites_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_invites_id_seq OWNED BY public.topic_invites.id;


--
-- Name: topic_link_clicks; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_link_clicks (
    id integer NOT NULL,
    topic_link_id integer NOT NULL,
    user_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    ip_address inet
);


ALTER TABLE public.topic_link_clicks OWNER TO discourse;

--
-- Name: topic_link_clicks_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_link_clicks_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_link_clicks_id_seq OWNER TO discourse;

--
-- Name: topic_link_clicks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_link_clicks_id_seq OWNED BY public.topic_link_clicks.id;


--
-- Name: topic_links; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_links (
    id integer NOT NULL,
    topic_id integer NOT NULL,
    post_id integer,
    user_id integer NOT NULL,
    url character varying(500) NOT NULL,
    domain character varying(100) NOT NULL,
    internal boolean DEFAULT false NOT NULL,
    link_topic_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    reflection boolean DEFAULT false,
    clicks integer DEFAULT 0 NOT NULL,
    link_post_id integer,
    title character varying,
    crawled_at timestamp without time zone,
    quote boolean DEFAULT false NOT NULL,
    extension character varying(10)
);


ALTER TABLE public.topic_links OWNER TO discourse;

--
-- Name: topic_links_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_links_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_links_id_seq OWNER TO discourse;

--
-- Name: topic_links_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_links_id_seq OWNED BY public.topic_links.id;


--
-- Name: topic_search_data; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_search_data (
    topic_id integer NOT NULL,
    raw_data text,
    locale character varying NOT NULL,
    search_data tsvector,
    version integer DEFAULT 0
);


ALTER TABLE public.topic_search_data OWNER TO discourse;

--
-- Name: topic_search_data_topic_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_search_data_topic_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_search_data_topic_id_seq OWNER TO discourse;

--
-- Name: topic_search_data_topic_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_search_data_topic_id_seq OWNED BY public.topic_search_data.topic_id;


--
-- Name: topic_tags; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_tags (
    id integer NOT NULL,
    topic_id integer NOT NULL,
    tag_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.topic_tags OWNER TO discourse;

--
-- Name: topic_tags_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_tags_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_tags_id_seq OWNER TO discourse;

--
-- Name: topic_tags_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_tags_id_seq OWNED BY public.topic_tags.id;


--
-- Name: topic_timers; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_timers (
    id integer NOT NULL,
    execute_at timestamp without time zone NOT NULL,
    status_type integer NOT NULL,
    user_id integer NOT NULL,
    topic_id integer NOT NULL,
    based_on_last_post boolean DEFAULT false NOT NULL,
    deleted_at timestamp without time zone,
    deleted_by_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    category_id integer,
    public_type boolean DEFAULT true
);


ALTER TABLE public.topic_timers OWNER TO discourse;

--
-- Name: topic_timers_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_timers_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_timers_id_seq OWNER TO discourse;

--
-- Name: topic_timers_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_timers_id_seq OWNED BY public.topic_timers.id;


--
-- Name: topic_users; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_users (
    user_id integer NOT NULL,
    topic_id integer NOT NULL,
    posted boolean DEFAULT false NOT NULL,
    last_read_post_number integer,
    highest_seen_post_number integer,
    last_visited_at timestamp without time zone,
    first_visited_at timestamp without time zone,
    notification_level integer DEFAULT 1 NOT NULL,
    notifications_changed_at timestamp without time zone,
    notifications_reason_id integer,
    total_msecs_viewed integer DEFAULT 0 NOT NULL,
    cleared_pinned_at timestamp without time zone,
    id integer NOT NULL,
    last_emailed_post_number integer,
    liked boolean DEFAULT false,
    bookmarked boolean DEFAULT false
);


ALTER TABLE public.topic_users OWNER TO discourse;

--
-- Name: topic_users_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topic_users_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topic_users_id_seq OWNER TO discourse;

--
-- Name: topic_users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topic_users_id_seq OWNED BY public.topic_users.id;


--
-- Name: topic_views; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.topic_views (
    topic_id integer NOT NULL,
    viewed_at date NOT NULL,
    user_id integer,
    ip_address inet
);


ALTER TABLE public.topic_views OWNER TO discourse;

--
-- Name: topics_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.topics_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.topics_id_seq OWNER TO discourse;

--
-- Name: topics_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.topics_id_seq OWNED BY public.topics.id;


--
-- Name: translation_overrides; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.translation_overrides (
    id integer NOT NULL,
    locale character varying NOT NULL,
    translation_key character varying NOT NULL,
    value character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    compiled_js text
);


ALTER TABLE public.translation_overrides OWNER TO discourse;

--
-- Name: translation_overrides_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.translation_overrides_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.translation_overrides_id_seq OWNER TO discourse;

--
-- Name: translation_overrides_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.translation_overrides_id_seq OWNED BY public.translation_overrides.id;


--
-- Name: unsubscribe_keys; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.unsubscribe_keys (
    key character varying(64) NOT NULL,
    user_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    unsubscribe_key_type character varying,
    topic_id integer,
    post_id integer
);


ALTER TABLE public.unsubscribe_keys OWNER TO discourse;

--
-- Name: uploads; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.uploads (
    id integer NOT NULL,
    user_id integer NOT NULL,
    original_filename character varying NOT NULL,
    filesize integer NOT NULL,
    width integer,
    height integer,
    url character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    sha1 character varying(40),
    origin character varying(1000),
    retain_hours integer,
    extension character varying(10),
    thumbnail_width integer,
    thumbnail_height integer,
    etag character varying,
    secure boolean DEFAULT false NOT NULL
);


ALTER TABLE public.uploads OWNER TO discourse;

--
-- Name: uploads_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.uploads_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.uploads_id_seq OWNER TO discourse;

--
-- Name: uploads_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.uploads_id_seq OWNED BY public.uploads.id;


--
-- Name: user_actions; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_actions (
    id integer NOT NULL,
    action_type integer NOT NULL,
    user_id integer NOT NULL,
    target_topic_id integer,
    target_post_id integer,
    target_user_id integer,
    acting_user_id integer,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.user_actions OWNER TO discourse;

--
-- Name: user_actions_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_actions_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_actions_id_seq OWNER TO discourse;

--
-- Name: user_actions_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_actions_id_seq OWNED BY public.user_actions.id;


--
-- Name: user_api_keys; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_api_keys (
    id integer NOT NULL,
    user_id integer NOT NULL,
    client_id character varying NOT NULL,
    key character varying NOT NULL,
    application_name character varying NOT NULL,
    push_url character varying,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    revoked_at timestamp without time zone,
    scopes text[] DEFAULT '{}'::text[] NOT NULL,
    last_used_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL
);


ALTER TABLE public.user_api_keys OWNER TO discourse;

--
-- Name: user_api_keys_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_api_keys_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_api_keys_id_seq OWNER TO discourse;

--
-- Name: user_api_keys_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_api_keys_id_seq OWNED BY public.user_api_keys.id;


--
-- Name: user_archived_messages; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_archived_messages (
    id integer NOT NULL,
    user_id integer NOT NULL,
    topic_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.user_archived_messages OWNER TO discourse;

--
-- Name: user_archived_messages_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_archived_messages_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_archived_messages_id_seq OWNER TO discourse;

--
-- Name: user_archived_messages_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_archived_messages_id_seq OWNED BY public.user_archived_messages.id;


--
-- Name: user_associated_accounts; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_associated_accounts (
    id bigint NOT NULL,
    provider_name character varying NOT NULL,
    provider_uid character varying NOT NULL,
    user_id integer,
    last_used timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL,
    info jsonb DEFAULT '{}'::jsonb NOT NULL,
    credentials jsonb DEFAULT '{}'::jsonb NOT NULL,
    extra jsonb DEFAULT '{}'::jsonb NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.user_associated_accounts OWNER TO discourse;

--
-- Name: user_associated_accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_associated_accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_associated_accounts_id_seq OWNER TO discourse;

--
-- Name: user_associated_accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_associated_accounts_id_seq OWNED BY public.user_associated_accounts.id;


--
-- Name: user_auth_token_logs; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_auth_token_logs (
    id integer NOT NULL,
    action character varying NOT NULL,
    user_auth_token_id integer,
    user_id integer,
    client_ip inet,
    user_agent character varying,
    auth_token character varying,
    created_at timestamp without time zone,
    path character varying
);


ALTER TABLE public.user_auth_token_logs OWNER TO discourse;

--
-- Name: user_auth_token_logs_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_auth_token_logs_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_auth_token_logs_id_seq OWNER TO discourse;

--
-- Name: user_auth_token_logs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_auth_token_logs_id_seq OWNED BY public.user_auth_token_logs.id;


--
-- Name: user_auth_tokens; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_auth_tokens (
    id integer NOT NULL,
    user_id integer NOT NULL,
    auth_token character varying NOT NULL,
    prev_auth_token character varying NOT NULL,
    user_agent character varying,
    auth_token_seen boolean DEFAULT false NOT NULL,
    client_ip inet,
    rotated_at timestamp without time zone NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    seen_at timestamp without time zone
);


ALTER TABLE public.user_auth_tokens OWNER TO discourse;

--
-- Name: user_auth_tokens_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_auth_tokens_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_auth_tokens_id_seq OWNER TO discourse;

--
-- Name: user_auth_tokens_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_auth_tokens_id_seq OWNED BY public.user_auth_tokens.id;


--
-- Name: user_avatars; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_avatars (
    id integer NOT NULL,
    user_id integer NOT NULL,
    custom_upload_id integer,
    gravatar_upload_id integer,
    last_gravatar_download_attempt timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.user_avatars OWNER TO discourse;

--
-- Name: user_avatars_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_avatars_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_avatars_id_seq OWNER TO discourse;

--
-- Name: user_avatars_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_avatars_id_seq OWNED BY public.user_avatars.id;


--
-- Name: user_badges; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_badges (
    id integer NOT NULL,
    badge_id integer NOT NULL,
    user_id integer NOT NULL,
    granted_at timestamp without time zone NOT NULL,
    granted_by_id integer NOT NULL,
    post_id integer,
    notification_id integer,
    seq integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.user_badges OWNER TO discourse;

--
-- Name: user_badges_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_badges_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_badges_id_seq OWNER TO discourse;

--
-- Name: user_badges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_badges_id_seq OWNED BY public.user_badges.id;


--
-- Name: user_custom_fields; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_custom_fields (
    id integer NOT NULL,
    user_id integer NOT NULL,
    name character varying(256) NOT NULL,
    value text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.user_custom_fields OWNER TO discourse;

--
-- Name: user_custom_fields_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_custom_fields_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_custom_fields_id_seq OWNER TO discourse;

--
-- Name: user_custom_fields_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_custom_fields_id_seq OWNED BY public.user_custom_fields.id;


--
-- Name: user_emails; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_emails (
    id integer NOT NULL,
    user_id integer NOT NULL,
    email character varying(513) NOT NULL,
    "primary" boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.user_emails OWNER TO discourse;

--
-- Name: user_emails_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_emails_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_emails_id_seq OWNER TO discourse;

--
-- Name: user_emails_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_emails_id_seq OWNED BY public.user_emails.id;


--
-- Name: user_exports; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_exports (
    id integer NOT NULL,
    file_name character varying NOT NULL,
    user_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    upload_id integer,
    topic_id integer
);


ALTER TABLE public.user_exports OWNER TO discourse;

--
-- Name: user_exports_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_exports_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_exports_id_seq OWNER TO discourse;

--
-- Name: user_exports_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_exports_id_seq OWNED BY public.user_exports.id;


--
-- Name: user_field_options; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_field_options (
    id integer NOT NULL,
    user_field_id integer NOT NULL,
    value character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.user_field_options OWNER TO discourse;

--
-- Name: user_field_options_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_field_options_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_field_options_id_seq OWNER TO discourse;

--
-- Name: user_field_options_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_field_options_id_seq OWNED BY public.user_field_options.id;


--
-- Name: user_fields; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_fields (
    id integer NOT NULL,
    name character varying NOT NULL,
    field_type character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    editable boolean DEFAULT false NOT NULL,
    description character varying NOT NULL,
    required boolean DEFAULT true NOT NULL,
    show_on_profile boolean DEFAULT false NOT NULL,
    "position" integer DEFAULT 0,
    show_on_user_card boolean DEFAULT false NOT NULL,
    external_name character varying,
    external_type character varying
);


ALTER TABLE public.user_fields OWNER TO discourse;

--
-- Name: user_fields_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_fields_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_fields_id_seq OWNER TO discourse;

--
-- Name: user_fields_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_fields_id_seq OWNED BY public.user_fields.id;


--
-- Name: user_histories; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_histories (
    id integer NOT NULL,
    action integer NOT NULL,
    acting_user_id integer,
    target_user_id integer,
    details text,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    context character varying,
    ip_address character varying,
    email character varying,
    subject text,
    previous_value text,
    new_value text,
    topic_id integer,
    admin_only boolean DEFAULT false,
    post_id integer,
    custom_type character varying,
    category_id integer
);


ALTER TABLE public.user_histories OWNER TO discourse;

--
-- Name: user_histories_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_histories_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_histories_id_seq OWNER TO discourse;

--
-- Name: user_histories_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_histories_id_seq OWNED BY public.user_histories.id;


--
-- Name: user_open_ids; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_open_ids (
    id integer NOT NULL,
    user_id integer NOT NULL,
    email character varying NOT NULL,
    url character varying NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    active boolean NOT NULL
);


ALTER TABLE public.user_open_ids OWNER TO discourse;

--
-- Name: user_open_ids_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_open_ids_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_open_ids_id_seq OWNER TO discourse;

--
-- Name: user_open_ids_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_open_ids_id_seq OWNED BY public.user_open_ids.id;


--
-- Name: user_options; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_options (
    user_id integer NOT NULL,
    mailing_list_mode boolean DEFAULT false NOT NULL,
    email_digests boolean,
    external_links_in_new_tab boolean DEFAULT false NOT NULL,
    enable_quoting boolean DEFAULT true NOT NULL,
    dynamic_favicon boolean DEFAULT false NOT NULL,
    disable_jump_reply boolean DEFAULT false NOT NULL,
    automatically_unpin_topics boolean DEFAULT true NOT NULL,
    digest_after_minutes integer,
    auto_track_topics_after_msecs integer,
    new_topic_duration_minutes integer,
    last_redirected_to_top_at timestamp without time zone,
    email_previous_replies integer DEFAULT 2 NOT NULL,
    email_in_reply_to boolean DEFAULT true NOT NULL,
    like_notification_frequency integer DEFAULT 1 NOT NULL,
    mailing_list_mode_frequency integer DEFAULT 1 NOT NULL,
    include_tl0_in_digests boolean DEFAULT false,
    notification_level_when_replying integer,
    theme_key_seq integer DEFAULT 0 NOT NULL,
    allow_private_messages boolean DEFAULT true NOT NULL,
    homepage_id integer,
    theme_ids integer[] DEFAULT '{}'::integer[] NOT NULL,
    hide_profile_and_presence boolean DEFAULT false NOT NULL,
    text_size_key integer DEFAULT 0 NOT NULL,
    text_size_seq integer DEFAULT 0 NOT NULL,
    email_level integer DEFAULT 1 NOT NULL,
    email_messages_level integer DEFAULT 0 NOT NULL,
    title_count_mode_key integer DEFAULT 0 NOT NULL,
    enable_defer boolean DEFAULT false NOT NULL,
    timezone character varying
);


ALTER TABLE public.user_options OWNER TO discourse;

--
-- Name: user_profile_views; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_profile_views (
    id integer NOT NULL,
    user_profile_id integer NOT NULL,
    viewed_at timestamp without time zone NOT NULL,
    ip_address inet,
    user_id integer
);


ALTER TABLE public.user_profile_views OWNER TO discourse;

--
-- Name: user_profile_views_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_profile_views_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_profile_views_id_seq OWNER TO discourse;

--
-- Name: user_profile_views_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_profile_views_id_seq OWNED BY public.user_profile_views.id;


--
-- Name: user_profiles; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_profiles (
    user_id integer NOT NULL,
    location character varying,
    website character varying,
    bio_raw text,
    bio_cooked text,
    profile_background character varying(255),
    dismissed_banner_key integer,
    bio_cooked_version integer,
    badge_granted_title boolean DEFAULT false,
    card_background character varying(255),
    views integer DEFAULT 0 NOT NULL,
    profile_background_upload_id integer,
    card_background_upload_id integer,
    granted_title_badge_id bigint
);


ALTER TABLE public.user_profiles OWNER TO discourse;

--
-- Name: user_search_data; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_search_data (
    user_id integer NOT NULL,
    search_data tsvector,
    raw_data text,
    locale text,
    version integer DEFAULT 0
);


ALTER TABLE public.user_search_data OWNER TO discourse;

--
-- Name: user_second_factors; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_second_factors (
    id bigint NOT NULL,
    user_id integer NOT NULL,
    method integer NOT NULL,
    data character varying NOT NULL,
    enabled boolean DEFAULT false NOT NULL,
    last_used timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    name character varying
);


ALTER TABLE public.user_second_factors OWNER TO discourse;

--
-- Name: user_second_factors_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_second_factors_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_second_factors_id_seq OWNER TO discourse;

--
-- Name: user_second_factors_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_second_factors_id_seq OWNED BY public.user_second_factors.id;


--
-- Name: user_security_keys; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_security_keys (
    id bigint NOT NULL,
    user_id bigint NOT NULL,
    credential_id character varying NOT NULL,
    public_key character varying NOT NULL,
    factor_type integer DEFAULT 0 NOT NULL,
    enabled boolean DEFAULT true NOT NULL,
    name character varying NOT NULL,
    last_used timestamp without time zone,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.user_security_keys OWNER TO discourse;

--
-- Name: user_security_keys_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_security_keys_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_security_keys_id_seq OWNER TO discourse;

--
-- Name: user_security_keys_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_security_keys_id_seq OWNED BY public.user_security_keys.id;


--
-- Name: user_stats; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_stats (
    user_id integer NOT NULL,
    topics_entered integer DEFAULT 0 NOT NULL,
    time_read integer DEFAULT 0 NOT NULL,
    days_visited integer DEFAULT 0 NOT NULL,
    posts_read_count integer DEFAULT 0 NOT NULL,
    likes_given integer DEFAULT 0 NOT NULL,
    likes_received integer DEFAULT 0 NOT NULL,
    topic_reply_count integer DEFAULT 0 NOT NULL,
    new_since timestamp without time zone NOT NULL,
    read_faq timestamp without time zone,
    first_post_created_at timestamp without time zone,
    post_count integer DEFAULT 0 NOT NULL,
    topic_count integer DEFAULT 0 NOT NULL,
    bounce_score double precision DEFAULT 0 NOT NULL,
    reset_bounce_score_after timestamp without time zone,
    flags_agreed integer DEFAULT 0 NOT NULL,
    flags_disagreed integer DEFAULT 0 NOT NULL,
    flags_ignored integer DEFAULT 0 NOT NULL,
    first_unread_at timestamp without time zone DEFAULT CURRENT_TIMESTAMP NOT NULL
);


ALTER TABLE public.user_stats OWNER TO discourse;

--
-- Name: user_uploads; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_uploads (
    id bigint NOT NULL,
    upload_id integer NOT NULL,
    user_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL
);


ALTER TABLE public.user_uploads OWNER TO discourse;

--
-- Name: user_uploads_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_uploads_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_uploads_id_seq OWNER TO discourse;

--
-- Name: user_uploads_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_uploads_id_seq OWNED BY public.user_uploads.id;


--
-- Name: user_visits; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_visits (
    id integer NOT NULL,
    user_id integer NOT NULL,
    visited_at date NOT NULL,
    posts_read integer DEFAULT 0,
    mobile boolean DEFAULT false,
    time_read integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.user_visits OWNER TO discourse;

--
-- Name: user_visits_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_visits_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_visits_id_seq OWNER TO discourse;

--
-- Name: user_visits_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_visits_id_seq OWNED BY public.user_visits.id;


--
-- Name: user_warnings; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.user_warnings (
    id integer NOT NULL,
    topic_id integer NOT NULL,
    user_id integer NOT NULL,
    created_by_id integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.user_warnings OWNER TO discourse;

--
-- Name: user_warnings_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.user_warnings_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.user_warnings_id_seq OWNER TO discourse;

--
-- Name: user_warnings_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.user_warnings_id_seq OWNED BY public.user_warnings.id;


--
-- Name: users; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.users (
    id integer NOT NULL,
    username character varying(60) NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL,
    name character varying,
    seen_notification_id integer DEFAULT 0 NOT NULL,
    last_posted_at timestamp without time zone,
    password_hash character varying(64),
    salt character varying(32),
    active boolean DEFAULT false NOT NULL,
    username_lower character varying(60) NOT NULL,
    last_seen_at timestamp without time zone,
    admin boolean DEFAULT false NOT NULL,
    last_emailed_at timestamp without time zone,
    trust_level integer NOT NULL,
    approved boolean DEFAULT false NOT NULL,
    approved_by_id integer,
    approved_at timestamp without time zone,
    previous_visit_at timestamp without time zone,
    suspended_at timestamp without time zone,
    suspended_till timestamp without time zone,
    date_of_birth date,
    views integer DEFAULT 0 NOT NULL,
    flag_level integer DEFAULT 0 NOT NULL,
    ip_address inet,
    moderator boolean DEFAULT false,
    title character varying,
    uploaded_avatar_id integer,
    locale character varying(10),
    primary_group_id integer,
    registration_ip_address inet,
    staged boolean DEFAULT false NOT NULL,
    first_seen_at timestamp without time zone,
    silenced_till timestamp without time zone,
    group_locked_trust_level integer,
    manual_locked_trust_level integer,
    secure_identifier character varying
);


ALTER TABLE public.users OWNER TO discourse;

--
-- Name: users_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.users_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.users_id_seq OWNER TO discourse;

--
-- Name: users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.users_id_seq OWNED BY public.users.id;


--
-- Name: watched_words; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.watched_words (
    id integer NOT NULL,
    word character varying NOT NULL,
    action integer NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.watched_words OWNER TO discourse;

--
-- Name: watched_words_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.watched_words_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.watched_words_id_seq OWNER TO discourse;

--
-- Name: watched_words_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.watched_words_id_seq OWNED BY public.watched_words.id;


--
-- Name: web_crawler_requests; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.web_crawler_requests (
    id bigint NOT NULL,
    date date NOT NULL,
    user_agent character varying NOT NULL,
    count integer DEFAULT 0 NOT NULL
);


ALTER TABLE public.web_crawler_requests OWNER TO discourse;

--
-- Name: web_crawler_requests_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.web_crawler_requests_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.web_crawler_requests_id_seq OWNER TO discourse;

--
-- Name: web_crawler_requests_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.web_crawler_requests_id_seq OWNED BY public.web_crawler_requests.id;


--
-- Name: web_hook_event_types; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.web_hook_event_types (
    id integer NOT NULL,
    name character varying NOT NULL
);


ALTER TABLE public.web_hook_event_types OWNER TO discourse;

--
-- Name: web_hook_event_types_hooks; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.web_hook_event_types_hooks (
    web_hook_id integer NOT NULL,
    web_hook_event_type_id integer NOT NULL
);


ALTER TABLE public.web_hook_event_types_hooks OWNER TO discourse;

--
-- Name: web_hook_event_types_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.web_hook_event_types_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.web_hook_event_types_id_seq OWNER TO discourse;

--
-- Name: web_hook_event_types_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.web_hook_event_types_id_seq OWNED BY public.web_hook_event_types.id;


--
-- Name: web_hook_events; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.web_hook_events (
    id integer NOT NULL,
    web_hook_id integer NOT NULL,
    headers character varying,
    payload text,
    status integer DEFAULT 0,
    response_headers character varying,
    response_body text,
    duration integer DEFAULT 0,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.web_hook_events OWNER TO discourse;

--
-- Name: web_hook_events_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.web_hook_events_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.web_hook_events_id_seq OWNER TO discourse;

--
-- Name: web_hook_events_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.web_hook_events_id_seq OWNED BY public.web_hook_events.id;


--
-- Name: web_hooks; Type: TABLE; Schema: public; Owner: discourse
--

CREATE TABLE public.web_hooks (
    id integer NOT NULL,
    payload_url character varying NOT NULL,
    content_type integer DEFAULT 1 NOT NULL,
    last_delivery_status integer DEFAULT 1 NOT NULL,
    status integer DEFAULT 1 NOT NULL,
    secret character varying DEFAULT ''::character varying,
    wildcard_web_hook boolean DEFAULT false NOT NULL,
    verify_certificate boolean DEFAULT true NOT NULL,
    active boolean DEFAULT false NOT NULL,
    created_at timestamp without time zone NOT NULL,
    updated_at timestamp without time zone NOT NULL
);


ALTER TABLE public.web_hooks OWNER TO discourse;

--
-- Name: web_hooks_id_seq; Type: SEQUENCE; Schema: public; Owner: discourse
--

CREATE SEQUENCE public.web_hooks_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.web_hooks_id_seq OWNER TO discourse;

--
-- Name: web_hooks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: discourse
--

ALTER SEQUENCE public.web_hooks_id_seq OWNED BY public.web_hooks.id;


--
-- Name: anonymous_users id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.anonymous_users ALTER COLUMN id SET DEFAULT nextval('public.anonymous_users_id_seq'::regclass);


--
-- Name: api_keys id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.api_keys ALTER COLUMN id SET DEFAULT nextval('public.api_keys_id_seq'::regclass);


--
-- Name: application_requests id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.application_requests ALTER COLUMN id SET DEFAULT nextval('public.application_requests_id_seq'::regclass);


--
-- Name: backup_draft_posts id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.backup_draft_posts ALTER COLUMN id SET DEFAULT nextval('public.backup_draft_posts_id_seq'::regclass);


--
-- Name: backup_draft_topics id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.backup_draft_topics ALTER COLUMN id SET DEFAULT nextval('public.backup_draft_topics_id_seq'::regclass);


--
-- Name: backup_metadata id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.backup_metadata ALTER COLUMN id SET DEFAULT nextval('public.backup_metadata_id_seq'::regclass);


--
-- Name: badge_groupings id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.badge_groupings ALTER COLUMN id SET DEFAULT nextval('public.badge_groupings_id_seq'::regclass);


--
-- Name: badge_types id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.badge_types ALTER COLUMN id SET DEFAULT nextval('public.badge_types_id_seq'::regclass);


--
-- Name: badges id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.badges ALTER COLUMN id SET DEFAULT nextval('public.badges_id_seq'::regclass);


--
-- Name: categories id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.categories ALTER COLUMN id SET DEFAULT nextval('public.categories_id_seq'::regclass);


--
-- Name: category_custom_fields id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_custom_fields ALTER COLUMN id SET DEFAULT nextval('public.category_custom_fields_id_seq'::regclass);


--
-- Name: category_featured_topics id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_featured_topics ALTER COLUMN id SET DEFAULT nextval('public.category_featured_topics_id_seq'::regclass);


--
-- Name: category_groups id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_groups ALTER COLUMN id SET DEFAULT nextval('public.category_groups_id_seq'::regclass);


--
-- Name: category_tag_groups id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_tag_groups ALTER COLUMN id SET DEFAULT nextval('public.category_tag_groups_id_seq'::regclass);


--
-- Name: category_tag_stats id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_tag_stats ALTER COLUMN id SET DEFAULT nextval('public.category_tag_stats_id_seq'::regclass);


--
-- Name: category_tags id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_tags ALTER COLUMN id SET DEFAULT nextval('public.category_tags_id_seq'::regclass);


--
-- Name: category_users id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_users ALTER COLUMN id SET DEFAULT nextval('public.category_users_id_seq'::regclass);


--
-- Name: child_themes id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.child_themes ALTER COLUMN id SET DEFAULT nextval('public.child_themes_id_seq'::regclass);


--
-- Name: color_scheme_colors id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.color_scheme_colors ALTER COLUMN id SET DEFAULT nextval('public.color_scheme_colors_id_seq'::regclass);


--
-- Name: color_schemes id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.color_schemes ALTER COLUMN id SET DEFAULT nextval('public.color_schemes_id_seq'::regclass);


--
-- Name: custom_emojis id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.custom_emojis ALTER COLUMN id SET DEFAULT nextval('public.custom_emojis_id_seq'::regclass);


--
-- Name: developers id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.developers ALTER COLUMN id SET DEFAULT nextval('public.developers_id_seq'::regclass);


--
-- Name: directory_items id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.directory_items ALTER COLUMN id SET DEFAULT nextval('public.directory_items_id_seq'::regclass);


--
-- Name: draft_sequences id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.draft_sequences ALTER COLUMN id SET DEFAULT nextval('public.draft_sequences_id_seq'::regclass);


--
-- Name: drafts id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.drafts ALTER COLUMN id SET DEFAULT nextval('public.drafts_id_seq'::regclass);


--
-- Name: email_change_requests id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.email_change_requests ALTER COLUMN id SET DEFAULT nextval('public.email_change_requests_id_seq'::regclass);


--
-- Name: email_logs id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.email_logs ALTER COLUMN id SET DEFAULT nextval('public.email_logs_id_seq'::regclass);


--
-- Name: email_tokens id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.email_tokens ALTER COLUMN id SET DEFAULT nextval('public.email_tokens_id_seq'::regclass);


--
-- Name: embeddable_hosts id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.embeddable_hosts ALTER COLUMN id SET DEFAULT nextval('public.embeddable_hosts_id_seq'::regclass);


--
-- Name: github_user_infos id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.github_user_infos ALTER COLUMN id SET DEFAULT nextval('public.github_user_infos_id_seq'::regclass);


--
-- Name: group_archived_messages id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_archived_messages ALTER COLUMN id SET DEFAULT nextval('public.group_archived_messages_id_seq'::regclass);


--
-- Name: group_custom_fields id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_custom_fields ALTER COLUMN id SET DEFAULT nextval('public.group_custom_fields_id_seq'::regclass);


--
-- Name: group_histories id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_histories ALTER COLUMN id SET DEFAULT nextval('public.group_histories_id_seq'::regclass);


--
-- Name: group_mentions id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_mentions ALTER COLUMN id SET DEFAULT nextval('public.group_mentions_id_seq'::regclass);


--
-- Name: group_requests id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_requests ALTER COLUMN id SET DEFAULT nextval('public.group_requests_id_seq'::regclass);


--
-- Name: group_users id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_users ALTER COLUMN id SET DEFAULT nextval('public.group_users_id_seq'::regclass);


--
-- Name: groups id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.groups ALTER COLUMN id SET DEFAULT nextval('public.groups_id_seq'::regclass);


--
-- Name: ignored_users id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.ignored_users ALTER COLUMN id SET DEFAULT nextval('public.ignored_users_id_seq'::regclass);


--
-- Name: incoming_domains id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.incoming_domains ALTER COLUMN id SET DEFAULT nextval('public.incoming_domains_id_seq'::regclass);


--
-- Name: incoming_emails id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.incoming_emails ALTER COLUMN id SET DEFAULT nextval('public.incoming_emails_id_seq'::regclass);


--
-- Name: incoming_links id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.incoming_links ALTER COLUMN id SET DEFAULT nextval('public.incoming_links_id_seq'::regclass);


--
-- Name: incoming_referers id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.incoming_referers ALTER COLUMN id SET DEFAULT nextval('public.incoming_referers_id_seq'::regclass);


--
-- Name: invited_groups id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.invited_groups ALTER COLUMN id SET DEFAULT nextval('public.invited_groups_id_seq'::regclass);


--
-- Name: invites id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.invites ALTER COLUMN id SET DEFAULT nextval('public.invites_id_seq'::regclass);


--
-- Name: javascript_caches id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.javascript_caches ALTER COLUMN id SET DEFAULT nextval('public.javascript_caches_id_seq'::regclass);


--
-- Name: message_bus id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.message_bus ALTER COLUMN id SET DEFAULT nextval('public.message_bus_id_seq'::regclass);


--
-- Name: muted_users id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.muted_users ALTER COLUMN id SET DEFAULT nextval('public.muted_users_id_seq'::regclass);


--
-- Name: notifications id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.notifications ALTER COLUMN id SET DEFAULT nextval('public.notifications_id_seq'::regclass);


--
-- Name: oauth2_user_infos id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.oauth2_user_infos ALTER COLUMN id SET DEFAULT nextval('public.oauth2_user_infos_id_seq'::regclass);


--
-- Name: onceoff_logs id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.onceoff_logs ALTER COLUMN id SET DEFAULT nextval('public.onceoff_logs_id_seq'::regclass);


--
-- Name: optimized_images id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.optimized_images ALTER COLUMN id SET DEFAULT nextval('public.optimized_images_id_seq'::regclass);


--
-- Name: permalinks id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.permalinks ALTER COLUMN id SET DEFAULT nextval('public.permalinks_id_seq'::regclass);


--
-- Name: plugin_store_rows id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.plugin_store_rows ALTER COLUMN id SET DEFAULT nextval('public.plugin_store_rows_id_seq'::regclass);


--
-- Name: poll_options id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.poll_options ALTER COLUMN id SET DEFAULT nextval('public.poll_options_id_seq'::regclass);


--
-- Name: polls id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.polls ALTER COLUMN id SET DEFAULT nextval('public.polls_id_seq'::regclass);


--
-- Name: post_action_types id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_action_types ALTER COLUMN id SET DEFAULT nextval('public.post_action_types_id_seq'::regclass);


--
-- Name: post_actions id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_actions ALTER COLUMN id SET DEFAULT nextval('public.post_actions_id_seq'::regclass);


--
-- Name: post_custom_fields id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_custom_fields ALTER COLUMN id SET DEFAULT nextval('public.post_custom_fields_id_seq'::regclass);


--
-- Name: post_details id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_details ALTER COLUMN id SET DEFAULT nextval('public.post_details_id_seq'::regclass);


--
-- Name: post_reply_keys id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_reply_keys ALTER COLUMN id SET DEFAULT nextval('public.post_reply_keys_id_seq'::regclass);


--
-- Name: post_revisions id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_revisions ALTER COLUMN id SET DEFAULT nextval('public.post_revisions_id_seq'::regclass);


--
-- Name: post_stats id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_stats ALTER COLUMN id SET DEFAULT nextval('public.post_stats_id_seq'::regclass);


--
-- Name: post_uploads id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_uploads ALTER COLUMN id SET DEFAULT nextval('public.post_uploads_id_seq'::regclass);


--
-- Name: posts id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.posts ALTER COLUMN id SET DEFAULT nextval('public.posts_id_seq'::regclass);


--
-- Name: push_subscriptions id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.push_subscriptions ALTER COLUMN id SET DEFAULT nextval('public.push_subscriptions_id_seq'::regclass);


--
-- Name: quoted_posts id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.quoted_posts ALTER COLUMN id SET DEFAULT nextval('public.quoted_posts_id_seq'::regclass);


--
-- Name: remote_themes id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.remote_themes ALTER COLUMN id SET DEFAULT nextval('public.remote_themes_id_seq'::regclass);


--
-- Name: reviewable_claimed_topics id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.reviewable_claimed_topics ALTER COLUMN id SET DEFAULT nextval('public.reviewable_claimed_topics_id_seq'::regclass);


--
-- Name: reviewable_histories id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.reviewable_histories ALTER COLUMN id SET DEFAULT nextval('public.reviewable_histories_id_seq'::regclass);


--
-- Name: reviewable_scores id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.reviewable_scores ALTER COLUMN id SET DEFAULT nextval('public.reviewable_scores_id_seq'::regclass);


--
-- Name: reviewables id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.reviewables ALTER COLUMN id SET DEFAULT nextval('public.reviewables_id_seq'::regclass);


--
-- Name: scheduler_stats id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.scheduler_stats ALTER COLUMN id SET DEFAULT nextval('public.scheduler_stats_id_seq'::regclass);


--
-- Name: schema_migration_details id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.schema_migration_details ALTER COLUMN id SET DEFAULT nextval('public.schema_migration_details_id_seq'::regclass);


--
-- Name: screened_emails id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.screened_emails ALTER COLUMN id SET DEFAULT nextval('public.screened_emails_id_seq'::regclass);


--
-- Name: screened_ip_addresses id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.screened_ip_addresses ALTER COLUMN id SET DEFAULT nextval('public.screened_ip_addresses_id_seq'::regclass);


--
-- Name: screened_urls id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.screened_urls ALTER COLUMN id SET DEFAULT nextval('public.screened_urls_id_seq'::regclass);


--
-- Name: search_logs id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.search_logs ALTER COLUMN id SET DEFAULT nextval('public.search_logs_id_seq'::regclass);


--
-- Name: shared_drafts id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.shared_drafts ALTER COLUMN id SET DEFAULT nextval('public.shared_drafts_id_seq'::regclass);


--
-- Name: single_sign_on_records id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.single_sign_on_records ALTER COLUMN id SET DEFAULT nextval('public.single_sign_on_records_id_seq'::regclass);


--
-- Name: site_settings id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.site_settings ALTER COLUMN id SET DEFAULT nextval('public.site_settings_id_seq'::regclass);


--
-- Name: skipped_email_logs id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.skipped_email_logs ALTER COLUMN id SET DEFAULT nextval('public.skipped_email_logs_id_seq'::regclass);


--
-- Name: stylesheet_cache id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.stylesheet_cache ALTER COLUMN id SET DEFAULT nextval('public.stylesheet_cache_id_seq'::regclass);


--
-- Name: tag_group_memberships id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tag_group_memberships ALTER COLUMN id SET DEFAULT nextval('public.tag_group_memberships_id_seq'::regclass);


--
-- Name: tag_group_permissions id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tag_group_permissions ALTER COLUMN id SET DEFAULT nextval('public.tag_group_permissions_id_seq'::regclass);


--
-- Name: tag_groups id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tag_groups ALTER COLUMN id SET DEFAULT nextval('public.tag_groups_id_seq'::regclass);


--
-- Name: tag_search_data tag_id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tag_search_data ALTER COLUMN tag_id SET DEFAULT nextval('public.tag_search_data_tag_id_seq'::regclass);


--
-- Name: tag_users id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tag_users ALTER COLUMN id SET DEFAULT nextval('public.tag_users_id_seq'::regclass);


--
-- Name: tags id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tags ALTER COLUMN id SET DEFAULT nextval('public.tags_id_seq'::regclass);


--
-- Name: theme_fields id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.theme_fields ALTER COLUMN id SET DEFAULT nextval('public.theme_fields_id_seq'::regclass);


--
-- Name: theme_settings id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.theme_settings ALTER COLUMN id SET DEFAULT nextval('public.theme_settings_id_seq'::regclass);


--
-- Name: theme_translation_overrides id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.theme_translation_overrides ALTER COLUMN id SET DEFAULT nextval('public.theme_translation_overrides_id_seq'::regclass);


--
-- Name: themes id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.themes ALTER COLUMN id SET DEFAULT nextval('public.themes_id_seq'::regclass);


--
-- Name: top_topics id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.top_topics ALTER COLUMN id SET DEFAULT nextval('public.top_topics_id_seq'::regclass);


--
-- Name: topic_allowed_groups id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_allowed_groups ALTER COLUMN id SET DEFAULT nextval('public.topic_allowed_groups_id_seq'::regclass);


--
-- Name: topic_allowed_users id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_allowed_users ALTER COLUMN id SET DEFAULT nextval('public.topic_allowed_users_id_seq'::regclass);


--
-- Name: topic_custom_fields id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_custom_fields ALTER COLUMN id SET DEFAULT nextval('public.topic_custom_fields_id_seq'::regclass);


--
-- Name: topic_embeds id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_embeds ALTER COLUMN id SET DEFAULT nextval('public.topic_embeds_id_seq'::regclass);


--
-- Name: topic_groups id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_groups ALTER COLUMN id SET DEFAULT nextval('public.topic_groups_id_seq'::regclass);


--
-- Name: topic_invites id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_invites ALTER COLUMN id SET DEFAULT nextval('public.topic_invites_id_seq'::regclass);


--
-- Name: topic_link_clicks id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_link_clicks ALTER COLUMN id SET DEFAULT nextval('public.topic_link_clicks_id_seq'::regclass);


--
-- Name: topic_links id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_links ALTER COLUMN id SET DEFAULT nextval('public.topic_links_id_seq'::regclass);


--
-- Name: topic_search_data topic_id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_search_data ALTER COLUMN topic_id SET DEFAULT nextval('public.topic_search_data_topic_id_seq'::regclass);


--
-- Name: topic_tags id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_tags ALTER COLUMN id SET DEFAULT nextval('public.topic_tags_id_seq'::regclass);


--
-- Name: topic_timers id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_timers ALTER COLUMN id SET DEFAULT nextval('public.topic_timers_id_seq'::regclass);


--
-- Name: topic_users id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_users ALTER COLUMN id SET DEFAULT nextval('public.topic_users_id_seq'::regclass);


--
-- Name: topics id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topics ALTER COLUMN id SET DEFAULT nextval('public.topics_id_seq'::regclass);


--
-- Name: translation_overrides id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.translation_overrides ALTER COLUMN id SET DEFAULT nextval('public.translation_overrides_id_seq'::regclass);


--
-- Name: uploads id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.uploads ALTER COLUMN id SET DEFAULT nextval('public.uploads_id_seq'::regclass);


--
-- Name: user_actions id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_actions ALTER COLUMN id SET DEFAULT nextval('public.user_actions_id_seq'::regclass);


--
-- Name: user_api_keys id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_api_keys ALTER COLUMN id SET DEFAULT nextval('public.user_api_keys_id_seq'::regclass);


--
-- Name: user_archived_messages id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_archived_messages ALTER COLUMN id SET DEFAULT nextval('public.user_archived_messages_id_seq'::regclass);


--
-- Name: user_associated_accounts id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_associated_accounts ALTER COLUMN id SET DEFAULT nextval('public.user_associated_accounts_id_seq'::regclass);


--
-- Name: user_auth_token_logs id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_auth_token_logs ALTER COLUMN id SET DEFAULT nextval('public.user_auth_token_logs_id_seq'::regclass);


--
-- Name: user_auth_tokens id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_auth_tokens ALTER COLUMN id SET DEFAULT nextval('public.user_auth_tokens_id_seq'::regclass);


--
-- Name: user_avatars id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_avatars ALTER COLUMN id SET DEFAULT nextval('public.user_avatars_id_seq'::regclass);


--
-- Name: user_badges id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_badges ALTER COLUMN id SET DEFAULT nextval('public.user_badges_id_seq'::regclass);


--
-- Name: user_custom_fields id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_custom_fields ALTER COLUMN id SET DEFAULT nextval('public.user_custom_fields_id_seq'::regclass);


--
-- Name: user_emails id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_emails ALTER COLUMN id SET DEFAULT nextval('public.user_emails_id_seq'::regclass);


--
-- Name: user_exports id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_exports ALTER COLUMN id SET DEFAULT nextval('public.user_exports_id_seq'::regclass);


--
-- Name: user_field_options id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_field_options ALTER COLUMN id SET DEFAULT nextval('public.user_field_options_id_seq'::regclass);


--
-- Name: user_fields id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_fields ALTER COLUMN id SET DEFAULT nextval('public.user_fields_id_seq'::regclass);


--
-- Name: user_histories id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_histories ALTER COLUMN id SET DEFAULT nextval('public.user_histories_id_seq'::regclass);


--
-- Name: user_open_ids id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_open_ids ALTER COLUMN id SET DEFAULT nextval('public.user_open_ids_id_seq'::regclass);


--
-- Name: user_profile_views id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_profile_views ALTER COLUMN id SET DEFAULT nextval('public.user_profile_views_id_seq'::regclass);


--
-- Name: user_second_factors id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_second_factors ALTER COLUMN id SET DEFAULT nextval('public.user_second_factors_id_seq'::regclass);


--
-- Name: user_security_keys id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_security_keys ALTER COLUMN id SET DEFAULT nextval('public.user_security_keys_id_seq'::regclass);


--
-- Name: user_uploads id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_uploads ALTER COLUMN id SET DEFAULT nextval('public.user_uploads_id_seq'::regclass);


--
-- Name: user_visits id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_visits ALTER COLUMN id SET DEFAULT nextval('public.user_visits_id_seq'::regclass);


--
-- Name: user_warnings id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_warnings ALTER COLUMN id SET DEFAULT nextval('public.user_warnings_id_seq'::regclass);


--
-- Name: users id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.users ALTER COLUMN id SET DEFAULT nextval('public.users_id_seq'::regclass);


--
-- Name: watched_words id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.watched_words ALTER COLUMN id SET DEFAULT nextval('public.watched_words_id_seq'::regclass);


--
-- Name: web_crawler_requests id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.web_crawler_requests ALTER COLUMN id SET DEFAULT nextval('public.web_crawler_requests_id_seq'::regclass);


--
-- Name: web_hook_event_types id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.web_hook_event_types ALTER COLUMN id SET DEFAULT nextval('public.web_hook_event_types_id_seq'::regclass);


--
-- Name: web_hook_events id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.web_hook_events ALTER COLUMN id SET DEFAULT nextval('public.web_hook_events_id_seq'::regclass);


--
-- Name: web_hooks id; Type: DEFAULT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.web_hooks ALTER COLUMN id SET DEFAULT nextval('public.web_hooks_id_seq'::regclass);


--
-- Data for Name: anonymous_users; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.anonymous_users (id, user_id, master_user_id, active, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: api_keys; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.api_keys (id, key, user_id, created_by_id, created_at, updated_at, allowed_ips, hidden, last_used_at, revoked_at, description) FROM stdin;
\.


--
-- Data for Name: application_requests; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.application_requests (id, date, req_type, count) FROM stdin;
5	2019-12-05	6	2
4	2019-12-05	4	8
14	2019-12-07	8	16
3	2019-12-05	8	18
12	2019-12-07	0	25
1	2019-12-05	0	31
2	2019-12-05	1	22
13	2019-12-07	1	19
15	2019-12-07	4	6
10	2019-12-06	4	6
11	2019-12-07	6	3
19	2019-12-08	6	6
6	2019-12-06	8	21
16	2019-12-08	8	18
9	2019-12-06	6	7
17	2019-12-08	0	35
7	2019-12-06	0	35
8	2019-12-06	1	29
18	2019-12-08	1	25
20	2019-12-08	4	10
21	2019-12-09	8	2
22	2019-12-09	0	2
23	2019-12-09	1	2
24	2019-12-09	6	1
\.


--
-- Data for Name: ar_internal_metadata; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.ar_internal_metadata (key, value, created_at, updated_at) FROM stdin;
environment	production	2019-12-05 04:03:25.873234	2019-12-05 04:03:25.873234
\.


--
-- Data for Name: backup_draft_posts; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.backup_draft_posts (id, user_id, post_id, key, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: backup_draft_topics; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.backup_draft_topics (id, user_id, topic_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: backup_metadata; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.backup_metadata (id, name, value) FROM stdin;
7	base_url	http://t.goodrain.com
8	cdn_url	\N
9	s3_base_url	\N
10	s3_cdn_url	\N
11	db_name	default
12	multisite	f
\.


--
-- Data for Name: badge_groupings; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.badge_groupings (id, name, description, "position", created_at, updated_at) FROM stdin;
1	Getting Started	\N	10	2019-12-05 04:03:26.549685	2019-12-05 04:03:26.549685
2	Community	\N	11	2019-12-05 04:03:26.55363	2019-12-05 04:03:26.55363
3	Posting	\N	12	2019-12-05 04:03:26.55592	2019-12-05 04:03:26.55592
4	Trust Level	\N	13	2019-12-05 04:03:26.558135	2019-12-05 04:03:26.558135
5	Other	\N	14	2019-12-05 04:03:26.560328	2019-12-05 04:03:26.560328
\.


--
-- Data for Name: badge_types; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.badge_types (id, name, created_at, updated_at) FROM stdin;
1	Gold	2019-12-05 04:03:26.518173	2019-12-05 04:03:26.518173
2	Silver	2019-12-05 04:03:26.521794	2019-12-05 04:03:26.521794
3	Bronze	2019-12-05 04:03:26.523863	2019-12-05 04:03:26.523863
\.


--
-- Data for Name: badges; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.badges (id, name, description, badge_type_id, grant_count, created_at, updated_at, allow_title, multiple_grant, icon, listable, target_posts, query, enabled, auto_revoke, badge_grouping_id, trigger, show_posts, system, image, long_description) FROM stdin;
1	Basic User	\N	3	0	2019-12-05 04:03:26.594359	2019-12-05 04:03:26.594359	f	f	fa-user	t	f	\n      SELECT u.id user_id, current_timestamp granted_at FROM users u\n      WHERE trust_level >= 1 AND (\n        :backfill OR u.id IN (:user_ids)\n      )\n    	t	t	4	4	f	t	\N	\N
2	Member	\N	3	0	2019-12-05 04:03:26.601484	2019-12-05 04:03:26.601484	f	f	fa-user	t	f	\n      SELECT u.id user_id, current_timestamp granted_at FROM users u\n      WHERE trust_level >= 2 AND (\n        :backfill OR u.id IN (:user_ids)\n      )\n    	t	t	4	4	f	t	\N	\N
3	Regular	\N	2	0	2019-12-05 04:03:26.605688	2019-12-05 04:03:26.605688	t	f	fa-user	t	f	\n      SELECT u.id user_id, current_timestamp granted_at FROM users u\n      WHERE trust_level >= 3 AND (\n        :backfill OR u.id IN (:user_ids)\n      )\n    	t	t	4	4	f	t	\N	\N
4	Leader	\N	1	0	2019-12-05 04:03:26.609309	2019-12-05 04:03:26.609309	t	f	fa-user	t	f	\n      SELECT u.id user_id, current_timestamp granted_at FROM users u\n      WHERE trust_level >= 4 AND (\n        :backfill OR u.id IN (:user_ids)\n      )\n    	t	t	4	4	f	t	\N	\N
17	Reader	\N	3	0	2019-12-05 04:03:26.613178	2019-12-05 04:03:26.613178	f	f	fa-certificate	t	f	  SELECT id user_id, current_timestamp granted_at\n  FROM users\n  WHERE id IN\n  (\n    SELECT pt.user_id\n    FROM post_timings pt\n    JOIN badge_posts b ON b.post_number = pt.post_number AND\n                          b.topic_id = pt.topic_id\n    JOIN topics t ON t.id = pt.topic_id\n    LEFT JOIN user_badges ub ON ub.badge_id = 17 AND ub.user_id = pt.user_id\n    WHERE ub.id IS NULL AND t.posts_count > 100\n    GROUP BY pt.user_id, pt.topic_id, t.posts_count\n    HAVING count(*) >= t.posts_count\n  )\n	t	f	1	\N	f	t	\N	\N
16	Read Guidelines	\N	3	0	2019-12-05 04:03:26.617498	2019-12-05 04:03:26.617498	f	f	fa-certificate	t	f	  SELECT user_id, read_faq granted_at\n  FROM user_stats\n  WHERE read_faq IS NOT NULL AND (user_id IN (:user_ids) OR :backfill)\n	t	t	1	8	f	t	\N	\N
14	First Link	\N	3	0	2019-12-05 04:03:26.621738	2019-12-05 04:03:26.621738	f	f	fa-certificate	t	t	  SELECT l.user_id, l.post_id, l.created_at granted_at\n  FROM\n  (\n    SELECT MIN(l1.id) id\n    FROM topic_links l1\n    JOIN badge_posts p1 ON p1.id = l1.post_id\n    JOIN badge_posts p2 ON p2.id = l1.link_post_id\n    WHERE NOT reflection AND p1.topic_id <> p2.topic_id AND not quote AND\n      (:backfill OR ( p1.id in (:post_ids) ))\n    GROUP BY l1.user_id\n  ) ids\n  JOIN topic_links l ON l.id = ids.id\n	t	t	1	2	t	t	\N	\N
15	First Quote	\N	3	0	2019-12-05 04:03:26.626	2019-12-05 04:03:26.626	f	f	fa-certificate	t	t	  SELECT ids.user_id, q.post_id, p3.created_at granted_at\n  FROM\n  (\n    SELECT p1.user_id, MIN(q1.id) id\n    FROM quoted_posts q1\n    JOIN badge_posts p1 ON p1.id = q1.post_id\n    JOIN badge_posts p2 ON p2.id = q1.quoted_post_id\n    WHERE (:backfill OR ( p1.id IN (:post_ids) ))\n    GROUP BY p1.user_id\n  ) ids\n  JOIN quoted_posts q ON q.id = ids.id\n  JOIN badge_posts p3 ON q.post_id = p3.id\n	t	t	1	2	t	t	\N	\N
11	First Like	\N	3	0	2019-12-05 04:03:26.629739	2019-12-05 04:03:26.629739	f	f	fa-certificate	t	t	  SELECT pa1.user_id, pa1.created_at granted_at, pa1.post_id\n  FROM (\n    SELECT pa.user_id, min(pa.id) id\n    FROM post_actions pa\n    JOIN badge_posts p on p.id = pa.post_id\n    WHERE post_action_type_id = 2 AND\n      (:backfill OR pa.post_id IN (:post_ids) )\n    GROUP BY pa.user_id\n  ) x\n  JOIN post_actions pa1 on pa1.id = x.id\n	t	t	1	1	t	t	\N	\N
13	First Flag	\N	3	0	2019-12-05 04:03:26.633558	2019-12-05 04:03:26.633558	f	f	fa-certificate	t	t	  SELECT pa1.user_id, pa1.created_at granted_at, pa1.post_id\n  FROM (\n    SELECT pa.user_id, min(pa.id) id\n    FROM post_actions pa\n    JOIN badge_posts p on p.id = pa.post_id\n    WHERE post_action_type_id IN (3,4,8) AND\n      (:backfill OR pa.post_id IN (:post_ids) )\n    GROUP BY pa.user_id\n  ) x\n  JOIN post_actions pa1 on pa1.id = x.id\n	t	f	1	1	f	t	\N	\N
25	Promoter	\N	3	0	2019-12-05 04:03:26.638641	2019-12-05 04:03:26.638641	f	f	fa-user-plus	t	f	\n      SELECT u.id user_id, current_timestamp granted_at\n      FROM users u\n      WHERE u.id IN (\n        SELECT invited_by_id\n        FROM invites i\n        JOIN users u2 ON u2.id = i.user_id\n        WHERE i.deleted_at IS NULL AND u2.active AND u2.trust_level >= 0 AND u2.silenced_till IS NULL\n        GROUP BY invited_by_id\n        HAVING COUNT(*) >= 1\n      ) AND u.active AND u.silenced_till IS NULL AND u.id > 0 AND\n        (:backfill OR u.id IN (:user_ids) )\n    	t	t	2	0	f	t	\N	\N
26	Campaigner	\N	2	0	2019-12-05 04:03:26.642601	2019-12-05 04:03:26.642601	f	f	fa-user-plus	t	f	\n      SELECT u.id user_id, current_timestamp granted_at\n      FROM users u\n      WHERE u.id IN (\n        SELECT invited_by_id\n        FROM invites i\n        JOIN users u2 ON u2.id = i.user_id\n        WHERE i.deleted_at IS NULL AND u2.active AND u2.trust_level >= 1 AND u2.silenced_till IS NULL\n        GROUP BY invited_by_id\n        HAVING COUNT(*) >= 3\n      ) AND u.active AND u.silenced_till IS NULL AND u.id > 0 AND\n        (:backfill OR u.id IN (:user_ids) )\n    	t	t	2	0	f	t	\N	\N
27	Champion	\N	1	0	2019-12-05 04:03:26.646558	2019-12-05 04:03:26.646558	f	f	fa-user-plus	t	f	\n      SELECT u.id user_id, current_timestamp granted_at\n      FROM users u\n      WHERE u.id IN (\n        SELECT invited_by_id\n        FROM invites i\n        JOIN users u2 ON u2.id = i.user_id\n        WHERE i.deleted_at IS NULL AND u2.active AND u2.trust_level >= 2 AND u2.silenced_till IS NULL\n        GROUP BY invited_by_id\n        HAVING COUNT(*) >= 5\n      ) AND u.active AND u.silenced_till IS NULL AND u.id > 0 AND\n        (:backfill OR u.id IN (:user_ids) )\n    	t	t	2	0	f	t	\N	\N
12	First Share	\N	3	0	2019-12-05 04:03:26.65068	2019-12-05 04:03:26.65068	f	f	fa-certificate	t	t	  SELECT views.user_id, i2.post_id, i2.created_at granted_at\n  FROM\n  (\n    SELECT i.user_id, MIN(i.id) i_id\n    FROM incoming_links i\n    JOIN badge_posts p on p.id = i.post_id\n    WHERE i.user_id IS NOT NULL\n    GROUP BY i.user_id\n  ) as views\n  JOIN incoming_links i2 ON i2.id = views.i_id\n	t	t	1	0	t	t	\N	\N
21	Nice Share	\N	3	0	2019-12-05 04:03:26.654417	2019-12-05 04:03:26.654417	f	t	fa-certificate	t	t	  SELECT views.user_id, i2.post_id, current_timestamp granted_at\n  FROM\n  (\n    SELECT i.user_id, MIN(i.id) i_id\n    FROM incoming_links i\n    JOIN badge_posts p on p.id = i.post_id\n    WHERE i.user_id IS NOT NULL\n    GROUP BY i.user_id,i.post_id\n    HAVING COUNT(*) > 25\n  ) as views\n  JOIN incoming_links i2 ON i2.id = views.i_id\n	t	t	2	0	t	t	\N	\N
22	Good Share	\N	2	0	2019-12-05 04:03:26.658253	2019-12-05 04:03:26.658253	f	t	fa-certificate	t	t	  SELECT views.user_id, i2.post_id, current_timestamp granted_at\n  FROM\n  (\n    SELECT i.user_id, MIN(i.id) i_id\n    FROM incoming_links i\n    JOIN badge_posts p on p.id = i.post_id\n    WHERE i.user_id IS NOT NULL\n    GROUP BY i.user_id,i.post_id\n    HAVING COUNT(*) > 300\n  ) as views\n  JOIN incoming_links i2 ON i2.id = views.i_id\n	t	t	2	0	t	t	\N	\N
23	Great Share	\N	1	0	2019-12-05 04:03:26.663214	2019-12-05 04:03:26.663214	f	t	fa-certificate	t	t	  SELECT views.user_id, i2.post_id, current_timestamp granted_at\n  FROM\n  (\n    SELECT i.user_id, MIN(i.id) i_id\n    FROM incoming_links i\n    JOIN badge_posts p on p.id = i.post_id\n    WHERE i.user_id IS NOT NULL\n    GROUP BY i.user_id,i.post_id\n    HAVING COUNT(*) > 1000\n  ) as views\n  JOIN incoming_links i2 ON i2.id = views.i_id\n	t	t	2	0	t	t	\N	\N
5	Welcome	\N	3	0	2019-12-05 04:03:26.666765	2019-12-05 04:03:26.666765	f	f	fa-certificate	t	t	  SELECT p.user_id, min(post_id) post_id, min(pa.created_at) granted_at\n  FROM post_actions pa\n  JOIN badge_posts p on p.id = pa.post_id\n  WHERE post_action_type_id = 2 AND\n      (:backfill OR pa.post_id IN (:post_ids) )\n  GROUP BY p.user_id\n	t	t	2	1	t	t	\N	\N
9	Autobiographer	\N	3	0	2019-12-05 04:03:26.671148	2019-12-05 04:03:26.671148	f	f	fa-certificate	t	f	  SELECT u.id user_id, current_timestamp granted_at\n  FROM users u\n  JOIN user_profiles up on u.id = up.user_id\n  WHERE bio_raw IS NOT NULL AND LENGTH(TRIM(bio_raw)) > 10 AND\n        uploaded_avatar_id IS NOT NULL AND\n        (:backfill OR u.id IN (:user_ids) )\n	t	t	1	8	f	t	\N	\N
10	Editor	\N	3	0	2019-12-05 04:03:26.675363	2019-12-05 04:03:26.675363	f	f	fa-certificate	t	f	  SELECT p.user_id, min(p.id) post_id, min(p.created_at) granted_at\n  FROM badge_posts p\n  WHERE p.self_edits > 0 AND\n      (:backfill OR p.id IN (:post_ids) )\n  GROUP BY p.user_id\n	t	t	1	2	f	t	\N	\N
48	Wiki Editor	\N	3	0	2019-12-05 04:03:26.679692	2019-12-05 04:03:26.679692	f	f	fa-certificate	t	t	SELECT DISTINCT ON (pr.user_id) pr.user_id, pr.post_id, pr.created_at granted_at\nFROM post_revisions pr\nJOIN badge_posts p on p.id = pr.post_id\nWHERE p.wiki\n    AND NOT pr.hidden\n    AND (:backfill OR p.id IN (:post_ids))\n	t	t	1	2	f	t	\N	\N
6	Nice Post	\N	3	0	2019-12-05 04:03:26.684507	2019-12-05 04:03:26.684507	f	t	fa-certificate	t	t	\n      SELECT p.user_id, p.id post_id, p.updated_at granted_at\n      FROM badge_posts p\n      WHERE p.post_number > 1 AND p.like_count >= 10 AND\n        (:backfill OR p.id IN (:post_ids) )\n    	t	t	3	1	t	t	\N	\N
7	Good Post	\N	2	0	2019-12-05 04:03:26.688759	2019-12-05 04:03:26.688759	f	t	fa-certificate	t	t	\n      SELECT p.user_id, p.id post_id, p.updated_at granted_at\n      FROM badge_posts p\n      WHERE p.post_number > 1 AND p.like_count >= 25 AND\n        (:backfill OR p.id IN (:post_ids) )\n    	t	t	3	1	t	t	\N	\N
8	Great Post	\N	1	0	2019-12-05 04:03:26.692804	2019-12-05 04:03:26.692804	f	t	fa-certificate	t	t	\n      SELECT p.user_id, p.id post_id, p.updated_at granted_at\n      FROM badge_posts p\n      WHERE p.post_number > 1 AND p.like_count >= 50 AND\n        (:backfill OR p.id IN (:post_ids) )\n    	t	t	3	1	t	t	\N	\N
18	Nice Topic	\N	3	0	2019-12-05 04:03:26.697107	2019-12-05 04:03:26.697107	f	t	fa-certificate	t	t	\n      SELECT p.user_id, p.id post_id, p.updated_at granted_at\n      FROM badge_posts p\n      WHERE p.post_number = 1 AND p.like_count >= 10 AND\n        (:backfill OR p.id IN (:post_ids) )\n    	t	t	3	1	t	t	\N	\N
19	Good Topic	\N	2	0	2019-12-05 04:03:26.701384	2019-12-05 04:03:26.701384	f	t	fa-certificate	t	t	\n      SELECT p.user_id, p.id post_id, p.updated_at granted_at\n      FROM badge_posts p\n      WHERE p.post_number = 1 AND p.like_count >= 25 AND\n        (:backfill OR p.id IN (:post_ids) )\n    	t	t	3	1	t	t	\N	\N
20	Great Topic	\N	1	0	2019-12-05 04:03:26.70475	2019-12-05 04:03:26.70475	f	t	fa-certificate	t	t	\n      SELECT p.user_id, p.id post_id, p.updated_at granted_at\n      FROM badge_posts p\n      WHERE p.post_number = 1 AND p.like_count >= 50 AND\n        (:backfill OR p.id IN (:post_ids) )\n    	t	t	3	1	t	t	\N	\N
24	Anniversary	\N	2	0	2019-12-05 04:03:26.707652	2019-12-05 04:03:26.707652	f	t	far-clock	t	f	\N	t	f	2	0	f	t	\N	\N
28	Popular Link	\N	3	0	2019-12-05 04:03:26.710443	2019-12-05 04:03:26.710443	f	t	fa-certificate	t	t	        SELECT tl.user_id, post_id, current_timestamp granted_at\n          FROM topic_links tl\n          JOIN badge_posts p ON p.id = post_id\n         WHERE NOT tl.internal\n           AND tl.clicks >= 50\n      GROUP BY tl.user_id, tl.post_id\n	t	t	3	0	t	t	\N	\N
29	Hot Link	\N	2	0	2019-12-05 04:03:26.713294	2019-12-05 04:03:26.713294	f	t	fa-certificate	t	t	        SELECT tl.user_id, post_id, current_timestamp granted_at\n          FROM topic_links tl\n          JOIN badge_posts p ON p.id = post_id\n         WHERE NOT tl.internal\n           AND tl.clicks >= 300\n      GROUP BY tl.user_id, tl.post_id\n	t	t	3	0	t	t	\N	\N
30	Famous Link	\N	1	0	2019-12-05 04:03:26.716135	2019-12-05 04:03:26.716135	f	t	fa-certificate	t	t	        SELECT tl.user_id, post_id, current_timestamp granted_at\n          FROM topic_links tl\n          JOIN badge_posts p ON p.id = post_id\n         WHERE NOT tl.internal\n           AND tl.clicks >= 1000\n      GROUP BY tl.user_id, tl.post_id\n	t	t	3	0	t	t	\N	\N
36	Appreciated	\N	3	0	2019-12-05 04:03:26.719132	2019-12-05 04:03:26.719132	f	f	fa-heart	t	f	      SELECT p.user_id, current_timestamp AS granted_at\n      FROM posts AS p\n      WHERE p.like_count >= 1\n        AND (:backfill OR p.user_id IN (:user_ids))\n      GROUP BY p.user_id\n      HAVING count(*) > 20\n	t	f	2	0	f	t	\N	\N
37	Respected	\N	2	0	2019-12-05 04:03:26.72234	2019-12-05 04:03:26.72234	f	f	fa-heart	t	f	      SELECT p.user_id, current_timestamp AS granted_at\n      FROM posts AS p\n      WHERE p.like_count >= 2\n        AND (:backfill OR p.user_id IN (:user_ids))\n      GROUP BY p.user_id\n      HAVING count(*) > 100\n	t	f	2	0	f	t	\N	\N
31	Admired	\N	1	0	2019-12-05 04:03:26.730654	2019-12-05 04:03:26.730654	f	f	fa-heart	t	f	      SELECT p.user_id, current_timestamp AS granted_at\n      FROM posts AS p\n      WHERE p.like_count >= 5\n        AND (:backfill OR p.user_id IN (:user_ids))\n      GROUP BY p.user_id\n      HAVING count(*) > 300\n	t	f	2	0	f	t	\N	\N
38	Thank You	\N	3	0	2019-12-05 04:03:26.734896	2019-12-05 04:03:26.734896	f	f	fa-heart	t	f	      SELECT us.user_id, current_timestamp AS granted_at\n      FROM user_stats AS us\n      INNER JOIN posts AS p ON p.user_id = us.user_id\n      WHERE p.like_count > 0\n        AND us.likes_given >= 10\n        AND (:backfill OR us.user_id IN (:user_ids))\n      GROUP BY us.user_id, us.likes_given\n      HAVING COUNT(*) > 20\n	t	f	2	0	f	t	\N	\N
32	Gives Back	\N	2	0	2019-12-05 04:03:26.739161	2019-12-05 04:03:26.739161	f	f	fa-heart	t	f	      SELECT us.user_id, current_timestamp AS granted_at\n      FROM user_stats AS us\n      INNER JOIN posts AS p ON p.user_id = us.user_id\n      WHERE p.like_count > 0\n        AND us.likes_given >= 100\n        AND (:backfill OR us.user_id IN (:user_ids))\n      GROUP BY us.user_id, us.likes_given\n      HAVING COUNT(*) > 100\n	t	f	2	0	f	t	\N	\N
39	Empathetic	\N	1	0	2019-12-05 04:03:26.74375	2019-12-05 04:03:26.74375	f	f	fa-heart	t	f	      SELECT us.user_id, current_timestamp AS granted_at\n      FROM user_stats AS us\n      INNER JOIN posts AS p ON p.user_id = us.user_id\n      WHERE p.like_count > 0\n        AND us.likes_given >= 1000\n        AND (:backfill OR us.user_id IN (:user_ids))\n      GROUP BY us.user_id, us.likes_given\n      HAVING COUNT(*) > 500\n	t	f	2	0	f	t	\N	\N
33	Out of Love	\N	3	0	2019-12-05 04:03:26.748109	2019-12-05 04:03:26.748109	f	f	fa-heart	t	f	      SELECT gdl.user_id, current_timestamp AS granted_at\n      FROM given_daily_likes AS gdl\n      WHERE gdl.limit_reached\n        AND (:backfill OR gdl.user_id IN (:user_ids))\n      GROUP BY gdl.user_id\n      HAVING COUNT(*) >= 1\n	t	f	2	0	f	t	\N	\N
34	Higher Love	\N	2	0	2019-12-05 04:03:26.751247	2019-12-05 04:03:26.751247	f	f	fa-heart	t	f	      SELECT gdl.user_id, current_timestamp AS granted_at\n      FROM given_daily_likes AS gdl\n      WHERE gdl.limit_reached\n        AND (:backfill OR gdl.user_id IN (:user_ids))\n      GROUP BY gdl.user_id\n      HAVING COUNT(*) >= 5\n	t	f	2	0	f	t	\N	\N
35	Crazy in Love	\N	1	0	2019-12-05 04:03:26.754145	2019-12-05 04:03:26.754145	f	f	fa-heart	t	f	      SELECT gdl.user_id, current_timestamp AS granted_at\n      FROM given_daily_likes AS gdl\n      WHERE gdl.limit_reached\n        AND (:backfill OR gdl.user_id IN (:user_ids))\n      GROUP BY gdl.user_id\n      HAVING COUNT(*) >= 20\n	t	f	2	0	f	t	\N	\N
40	First Mention	\N	3	0	2019-12-05 04:03:26.75699	2019-12-05 04:03:26.75699	f	f	fa-certificate	t	t	  SELECT acting_user_id AS user_id, min(target_post_id) AS post_id, min(p.created_at) AS granted_at\n  FROM user_actions\n  JOIN posts p ON p.id = target_post_id\n  JOIN topics t ON t.id = topic_id\n  JOIN categories c on c.id = category_id\n  WHERE action_type = 7\n    AND NOT read_restricted\n    AND p.deleted_at IS  NULL\n    AND t.deleted_at IS  NULL\n    AND t.visible\n    AND t.archetype <> 'private_message'\n    AND (:backfill OR p.id IN (:post_ids))\n  GROUP BY acting_user_id\n	t	t	1	2	t	t	\N	\N
42	First Onebox	\N	3	0	2019-12-05 04:03:26.766359	2019-12-05 04:03:26.766359	f	f	fa-certificate	t	t	\N	t	t	1	0	t	t	\N	\N
43	First Reply By Email	\N	3	0	2019-12-05 04:03:26.769095	2019-12-05 04:03:26.769095	f	f	fa-certificate	t	t	\N	t	t	1	0	t	t	\N	\N
44	New User of the Month	\N	3	0	2019-12-05 04:03:26.771889	2019-12-05 04:03:26.771889	f	f	fa-certificate	t	f	\N	t	t	1	0	f	t	\N	\N
45	Enthusiast	\N	3	0	2019-12-05 04:03:26.774569	2019-12-05 04:03:26.774569	f	f	far-eye	t	f	WITH consecutive_visits AS (\n  SELECT user_id\n       , visited_at\n       , visited_at - (DENSE_RANK() OVER (PARTITION BY user_id ORDER BY visited_at))::int s\n    FROM user_visits\n), visits AS (\n  SELECT user_id\n       , MIN(visited_at) "start"\n       , DENSE_RANK() OVER (PARTITION BY user_id ORDER BY s) "rank"\n    FROM consecutive_visits\nGROUP BY user_id, s\n  HAVING COUNT(*) >= 10\n)\nSELECT user_id\n     , "start" + interval '10 days' "granted_at"\n  FROM visits\n WHERE "rank" = 1\n	t	f	2	0	f	t	\N	\N
46	Aficionado	\N	2	0	2019-12-05 04:03:26.777552	2019-12-05 04:03:26.777552	f	f	far-eye	t	f	WITH consecutive_visits AS (\n  SELECT user_id\n       , visited_at\n       , visited_at - (DENSE_RANK() OVER (PARTITION BY user_id ORDER BY visited_at))::int s\n    FROM user_visits\n), visits AS (\n  SELECT user_id\n       , MIN(visited_at) "start"\n       , DENSE_RANK() OVER (PARTITION BY user_id ORDER BY s) "rank"\n    FROM consecutive_visits\nGROUP BY user_id, s\n  HAVING COUNT(*) >= 100\n)\nSELECT user_id\n     , "start" + interval '100 days' "granted_at"\n  FROM visits\n WHERE "rank" = 1\n	t	f	2	0	f	t	\N	\N
47	Devotee	\N	1	0	2019-12-05 04:03:26.780461	2019-12-05 04:03:26.780461	f	f	far-eye	t	f	WITH consecutive_visits AS (\n  SELECT user_id\n       , visited_at\n       , visited_at - (DENSE_RANK() OVER (PARTITION BY user_id ORDER BY visited_at))::int s\n    FROM user_visits\n), visits AS (\n  SELECT user_id\n       , MIN(visited_at) "start"\n       , DENSE_RANK() OVER (PARTITION BY user_id ORDER BY s) "rank"\n    FROM consecutive_visits\nGROUP BY user_id, s\n  HAVING COUNT(*) >= 365\n)\nSELECT user_id\n     , "start" + interval '365 days' "granted_at"\n  FROM visits\n WHERE "rank" = 1\n	t	f	2	0	f	t	\N	\N
100	Certified	\N	3	0	2019-12-05 04:03:37.88788	2019-12-05 04:03:37.895845	f	f	fa-certificate	t	f	\N	t	t	1	\N	f	t	\N	\N
101	Licensed	\N	2	0	2019-12-05 04:03:37.891511	2019-12-05 04:03:37.897833	f	f	fa-certificate	t	f	\N	t	t	1	\N	f	t	\N	\N
41	First Emoji	\N	3	1	2019-12-05 04:03:26.763563	2019-12-05 04:03:26.763563	f	f	fa-certificate	t	t	\N	t	t	1	0	t	t	\N	\N
\.


--
-- Data for Name: categories; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.categories (id, name, color, topic_id, topic_count, created_at, updated_at, user_id, topics_year, topics_month, topics_week, slug, description, text_color, read_restricted, auto_close_hours, post_count, latest_post_id, latest_topic_id, "position", parent_category_id, posts_year, posts_month, posts_week, email_in, email_in_allow_strangers, topics_day, posts_day, allow_badges, name_lower, auto_close_based_on_last_post, topic_template, contains_messages, sort_order, sort_ascending, uploaded_logo_id, uploaded_background_id, topic_featured_link_allowed, all_topics_wiki, show_subcategory_list, num_featured_topics, default_view, subcategory_list_style, default_top_period, mailinglist_mirror, minimum_required_tags, navigate_to_first_post_after_read, search_priority, allow_global_tags, reviewable_by_group_id, required_tag_group_id, min_tags_from_required_group) FROM stdin;
2	Site Feedback	808281	1	0	2019-12-05 04:03:27.537204	2019-12-05 04:03:27.537204	-1	0	0	0	site-feedback	Discussion about this site, its organization, how it works, and how we can improve it.	FFFFFF	f	\N	0	\N	\N	1	\N	0	0	0	\N	f	0	0	t	site feedback	f	\N	\N	\N	\N	\N	\N	t	f	f	3	\N	rows_with_featured_topics	all	f	0	f	0	f	\N	\N	1
1	Uncategorized	0088CC	\N	1	2019-12-05 04:03:14.714593	2019-12-06 05:50:15.665842	-1	1	1	1	uncategorized		FFFFFF	f	\N	1	10	7	0	\N	1	1	1	\N	f	0	0	t	uncategorized	f	\N	\N	\N	\N	\N	\N	t	f	f	3	\N	rows_with_featured_topics	all	f	0	f	0	f	\N	\N	1
4	Lounge	A461EF	3	1	2019-12-05 04:03:33.164557	2019-12-06 05:50:15.696192	-1	1	1	1	lounge	A category exclusive to members with trust level 3 and higher.	652D90	t	\N	1	11	8	3	\N	1	1	1	\N	f	0	0	t	lounge	f	\N	\N	\N	\N	\N	\N	t	f	f	3	\N	rows_with_featured_topics	all	f	0	f	0	f	\N	\N	1
3	Staff	E45735	2	4	2019-12-05 04:03:33.114592	2019-12-06 05:50:15.725659	-1	4	4	4	staff	Private category for staff discussions. Topics are only visible to admins and moderators.	FFFFFF	t	\N	7	12	9	2	\N	7	7	7	\N	f	0	0	t	staff	f	\N	\N	\N	\N	\N	\N	t	f	f	3	\N	rows_with_featured_topics	all	f	0	f	0	f	\N	\N	1
\.


--
-- Data for Name: categories_web_hooks; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.categories_web_hooks (web_hook_id, category_id) FROM stdin;
\.


--
-- Data for Name: category_custom_fields; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.category_custom_fields (id, category_id, name, value, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: category_featured_topics; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.category_featured_topics (category_id, topic_id, created_at, updated_at, rank, id) FROM stdin;
1	7	2019-12-05 04:03:36.584242	2019-12-05 04:03:36.584242	0	7
4	8	2019-12-05 04:03:36.793051	2019-12-05 04:03:36.793051	0	8
3	9	2019-12-05 04:03:36.980801	2019-12-05 04:03:36.980801	0	9
3	6	2019-12-05 04:03:36.982114	2019-12-05 04:03:36.982114	1	10
3	5	2019-12-05 04:03:36.983277	2019-12-05 04:03:36.983277	2	11
\.


--
-- Data for Name: category_groups; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.category_groups (id, category_id, group_id, created_at, updated_at, permission_type) FROM stdin;
1	3	3	2019-12-05 04:03:33.116416	2019-12-05 04:03:33.116416	1
2	4	13	2019-12-05 04:03:33.166012	2019-12-05 04:03:33.166012	1
\.


--
-- Data for Name: category_search_data; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.category_search_data (category_id, search_data, raw_data, locale, version) FROM stdin;
2	'feedback':2A 'site':1A	Site Feedback	en_US	3
3	'staff':1A	Staff	en_US	3
4	'loung':1A	Lounge	en_US	3
\.


--
-- Data for Name: category_tag_groups; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.category_tag_groups (id, category_id, tag_group_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: category_tag_stats; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.category_tag_stats (id, category_id, tag_id, topic_count) FROM stdin;
\.


--
-- Data for Name: category_tags; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.category_tags (id, category_id, tag_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: category_users; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.category_users (id, category_id, user_id, notification_level, last_seen_at) FROM stdin;
\.


--
-- Data for Name: child_themes; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.child_themes (id, parent_theme_id, child_theme_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: color_scheme_colors; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.color_scheme_colors (id, name, hex, color_scheme_id, created_at, updated_at) FROM stdin;
1	primary	dddddd	1	2019-12-05 04:03:33.301552	2019-12-05 04:03:33.301552
2	secondary	222222	1	2019-12-05 04:03:33.302639	2019-12-05 04:03:33.302639
3	tertiary	0f82af	1	2019-12-05 04:03:33.303311	2019-12-05 04:03:33.303311
4	quaternary	c14924	1	2019-12-05 04:03:33.304108	2019-12-05 04:03:33.304108
5	header_background	111111	1	2019-12-05 04:03:33.304895	2019-12-05 04:03:33.304895
6	header_primary	dddddd	1	2019-12-05 04:03:33.305711	2019-12-05 04:03:33.305711
7	highlight	a87137	1	2019-12-05 04:03:33.306447	2019-12-05 04:03:33.306447
8	danger	e45735	1	2019-12-05 04:03:33.307203	2019-12-05 04:03:33.307203
9	success	1ca551	1	2019-12-05 04:03:33.307941	2019-12-05 04:03:33.307941
10	love	fa6c8d	1	2019-12-05 04:03:33.308613	2019-12-05 04:03:33.308613
\.


--
-- Data for Name: color_schemes; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.color_schemes (id, name, version, created_at, updated_at, via_wizard, base_scheme_id, theme_id) FROM stdin;
1	Dark	1	2019-12-05 04:03:33.299921	2019-12-05 04:03:33.299921	t	Dark	\N
\.


--
-- Data for Name: custom_emojis; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.custom_emojis (id, name, upload_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: developers; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.developers (id, user_id) FROM stdin;
\.


--
-- Data for Name: directory_items; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.directory_items (id, period_type, user_id, likes_received, likes_given, topics_entered, topic_count, post_count, created_at, updated_at, days_visited, posts_read) FROM stdin;
\.


--
-- Data for Name: draft_sequences; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.draft_sequences (id, user_id, draft_key, sequence) FROM stdin;
\.


--
-- Data for Name: drafts; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.drafts (id, user_id, draft_key, data, created_at, updated_at, sequence, revisions, owner) FROM stdin;
\.


--
-- Data for Name: email_change_requests; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.email_change_requests (id, user_id, old_email, new_email, old_email_token_id, new_email_token_id, change_state, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: email_logs; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.email_logs (id, to_address, email_type, user_id, created_at, updated_at, post_id, bounce_key, bounced, message_id) FROM stdin;
\.


--
-- Data for Name: email_tokens; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.email_tokens (id, user_id, email, token, confirmed, expired, created_at, updated_at) FROM stdin;
1	-1	no_email	b6f74f0132ff9bbf029b39b5f106e8a3	f	f	2019-12-05 04:03:27.183753	2019-12-05 04:03:27.183753
2	-2	discobot_email	b938e162d9e1f087f951314cd3e9ae70	f	f	2019-12-05 04:03:37.730658	2019-12-05 04:03:37.730658
\.


--
-- Data for Name: embeddable_hosts; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.embeddable_hosts (id, host, category_id, created_at, updated_at, path_whitelist, class_name) FROM stdin;
\.


--
-- Data for Name: github_user_infos; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.github_user_infos (id, user_id, screen_name, github_user_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: given_daily_likes; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.given_daily_likes (user_id, likes_given, given_date, limit_reached) FROM stdin;
\.


--
-- Data for Name: group_archived_messages; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.group_archived_messages (id, group_id, topic_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: group_custom_fields; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.group_custom_fields (id, group_id, name, value, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: group_histories; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.group_histories (id, group_id, acting_user_id, target_user_id, action, subject, prev_value, new_value, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: group_mentions; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.group_mentions (id, post_id, group_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: group_requests; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.group_requests (id, group_id, user_id, reason, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: group_users; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.group_users (id, group_id, user_id, created_at, updated_at, owner, notification_level) FROM stdin;
\.


--
-- Data for Name: groups; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.groups (id, name, created_at, updated_at, automatic, user_count, automatic_membership_email_domains, automatic_membership_retroactive, primary_group, title, grant_trust_level, incoming_email, has_messages, flair_url, flair_bg_color, flair_color, bio_raw, bio_cooked, allow_membership_requests, full_name, default_notification_level, visibility_level, public_exit, public_admission, membership_request_template, messageable_level, mentionable_level, publish_read_state, members_visibility_level) FROM stdin;
0	everyone	2019-12-05 04:03:26.036729	2019-12-05 04:03:26.056793	t	0	\N	f	f	\N	\N	\N	f	\N	\N	\N	\N	\N	f	\N	3	3	f	f	\N	0	0	f	0
1	admins	2019-12-05 04:03:26.065398	2019-12-05 04:03:26.070262	t	0	\N	f	f	\N	\N	\N	f	\N	\N	\N	\N	\N	f	\N	3	1	f	f	\N	0	0	f	0
2	moderators	2019-12-05 04:03:26.119529	2019-12-05 04:03:26.129241	t	0	\N	f	f	\N	\N	\N	f	\N	\N	\N	\N	\N	f	\N	2	1	f	f	\N	99	0	f	0
3	staff	2019-12-05 04:03:26.147306	2019-12-05 04:03:26.153702	t	0	\N	f	f	\N	\N	\N	f	\N	\N	\N	\N	\N	f	\N	3	1	f	f	\N	0	0	f	0
10	trust_level_0	2019-12-05 04:03:26.1712	2019-12-05 04:03:26.175964	t	0	\N	f	f	\N	\N	\N	f	\N	\N	\N	\N	\N	f	\N	3	1	f	f	\N	0	0	f	0
11	trust_level_1	2019-12-05 04:03:26.193163	2019-12-05 04:03:26.19991	t	0	\N	f	f	\N	\N	\N	f	\N	\N	\N	\N	\N	f	\N	3	1	f	f	\N	0	0	f	0
12	trust_level_2	2019-12-05 04:03:26.223981	2019-12-05 04:03:26.230058	t	0	\N	f	f	\N	\N	\N	f	\N	\N	\N	\N	\N	f	\N	3	1	f	f	\N	0	0	f	0
13	trust_level_3	2019-12-05 04:03:26.250429	2019-12-05 04:03:26.25663	t	0	\N	f	f	\N	\N	\N	f	\N	\N	\N	\N	\N	f	\N	3	1	f	f	\N	0	0	f	0
14	trust_level_4	2019-12-05 04:03:26.312716	2019-12-05 04:03:26.316675	t	0	\N	f	f	\N	\N	\N	f	\N	\N	\N	\N	\N	f	\N	3	1	f	f	\N	0	0	f	0
\.


--
-- Data for Name: groups_web_hooks; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.groups_web_hooks (web_hook_id, group_id) FROM stdin;
\.


--
-- Data for Name: ignored_users; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.ignored_users (id, user_id, ignored_user_id, created_at, updated_at, summarized_at, expiring_at) FROM stdin;
\.


--
-- Data for Name: incoming_domains; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.incoming_domains (id, name, https, port) FROM stdin;
\.


--
-- Data for Name: incoming_emails; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.incoming_emails (id, user_id, topic_id, post_id, raw, error, message_id, from_address, to_addresses, cc_addresses, subject, created_at, updated_at, rejection_message, is_auto_generated, is_bounce) FROM stdin;
\.


--
-- Data for Name: incoming_links; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.incoming_links (id, created_at, user_id, ip_address, current_user_id, post_id, incoming_referer_id) FROM stdin;
\.


--
-- Data for Name: incoming_referers; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.incoming_referers (id, path, incoming_domain_id) FROM stdin;
\.


--
-- Data for Name: invited_groups; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.invited_groups (id, group_id, invite_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: invites; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.invites (id, invite_key, email, invited_by_id, user_id, redeemed_at, created_at, updated_at, deleted_at, deleted_by_id, invalidated_at, moderator, custom_message, emailed_status) FROM stdin;
\.


--
-- Data for Name: javascript_caches; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.javascript_caches (id, theme_field_id, digest, content, created_at, updated_at, theme_id) FROM stdin;
\.


--
-- Data for Name: message_bus; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.message_bus (id, name, context, data, created_at) FROM stdin;
\.


--
-- Data for Name: muted_users; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.muted_users (id, user_id, muted_user_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.notifications (id, notification_type, user_id, data, read, created_at, updated_at, topic_id, post_number, post_action_id) FROM stdin;
1	12	-1	{"badge_id":41,"badge_name":"First Emoji","badge_slug":"first-emoji","badge_title":false,"username":"system"}	f	2019-12-05 04:58:37.27915	2019-12-05 04:58:37.27915	\N	\N	\N
\.


--
-- Data for Name: oauth2_user_infos; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.oauth2_user_infos (id, user_id, uid, provider, email, name, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: onceoff_logs; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.onceoff_logs (id, job_name, created_at, updated_at) FROM stdin;
1	ClearWidthAndHeight	2019-12-05 04:59:38.894678	2019-12-05 04:59:38.894678
2	DiscourseNarrativeBot::RemapOldBotImages	2019-12-05 04:59:38.885309	2019-12-05 04:59:38.885309
3	FixInvalidGravatarUploads	2019-12-05 04:59:38.894202	2019-12-05 04:59:38.894202
4	DiscourseNarrativeBot::GrantBadges	2019-12-05 04:59:38.901321	2019-12-05 04:59:38.901321
5	MigrateCensoredWords	2019-12-05 04:59:38.914781	2019-12-05 04:59:38.914781
6	FixEncodedTopicSlugs	2019-12-05 04:59:38.913532	2019-12-05 04:59:38.913532
7	GrantFirstReplyByEmail	2019-12-05 04:59:38.925881	2019-12-05 04:59:38.925881
8	MigrateCustomEmojis	2019-12-05 04:59:38.932862	2019-12-05 04:59:38.932862
9	FixFeaturedLinkForTopics	2019-12-05 04:59:38.935715	2019-12-05 04:59:38.935715
10	FixInvalidUploadExtensions	2019-12-05 04:59:38.941267	2019-12-05 04:59:38.941267
11	FixS3Etags	2019-12-05 04:59:38.949152	2019-12-05 04:59:38.949152
12	CorrectMissingDualstackUrls	2019-12-05 04:59:38.951395	2019-12-05 04:59:38.951395
13	CleanUpPostTimings	2019-12-05 04:59:38.960827	2019-12-05 04:59:38.960827
14	FixOutOfSyncUserUploadedAvatar	2019-12-05 04:59:38.968325	2019-12-05 04:59:38.968325
15	FixRetroAnniversary	2019-12-05 04:59:38.97414	2019-12-05 04:59:38.97414
16	PostUploadsRecovery	2019-12-05 04:59:38.981732	2019-12-05 04:59:38.981732
17	CreateTagsSearchIndex	2019-12-05 04:59:39.003334	2019-12-05 04:59:39.003334
18	RetroRecentTimeRead	2019-12-05 04:59:39.008993	2019-12-05 04:59:39.008993
19	InitCategoryTagStats	2019-12-05 04:59:39.02306	2019-12-05 04:59:39.02306
20	GrantEmoji	2019-12-05 04:59:39.018785	2019-12-05 04:59:39.018785
21	RemoveOldAutoCloseJobs	2019-12-05 04:59:39.017863	2019-12-05 04:59:39.017863
22	CleanUpSidekiqStatistic	2019-12-05 04:59:39.022541	2019-12-05 04:59:39.022541
23	MigrateTaggingPlugin	2019-12-05 04:59:39.049509	2019-12-05 04:59:39.049509
24	MigrateFeaturedLinks	2019-12-05 04:59:39.057646	2019-12-05 04:59:39.057646
25	RetroGrantAnniversary	2019-12-05 04:59:39.065184	2019-12-05 04:59:39.065184
26	FixPostsRead	2019-12-05 04:59:39.072479	2019-12-05 04:59:39.072479
27	FixEncodedCategorySlugs	2019-12-05 04:59:39.078274	2019-12-05 04:59:39.078274
28	FixPrimaryEmailsForStagedUsers	2019-12-05 04:59:39.198032	2019-12-05 04:59:39.198032
29	MigrateUrlSiteSettings	2019-12-05 04:59:39.220112	2019-12-05 04:59:39.220112
30	MigrateUploadExtensions	2019-12-05 04:59:39.247137	2019-12-05 04:59:39.247137
31	GrantOnebox	2019-12-05 04:59:39.355566	2019-12-05 04:59:39.355566
32	CleanUpUserExportTopics	2019-12-05 04:59:43.220349	2019-12-05 04:59:43.220349
\.


--
-- Data for Name: optimized_images; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.optimized_images (id, sha1, extension, width, height, upload_id, url, filesize, etag, version) FROM stdin;
1	ed08dda11225fe3dd1902247c778028652d68aee	.png	512	512	-6	/uploads/default/optimized/1X/_129430568242d1b7f853bb13ebea28b3f6af4e7_2_512x512.png	34305	\N	2
2	9b4ba0ee040ecd39dda47903a4165abbbf012352	.png	32	32	-6	/uploads/default/optimized/1X/_129430568242d1b7f853bb13ebea28b3f6af4e7_2_32x32.png	1810	\N	2
3	743543fe465c3c9183f098a66b13c476ce4aebac	.png	180	180	-6	/uploads/default/optimized/1X/_129430568242d1b7f853bb13ebea28b3f6af4e7_2_180x180.png	12537	\N	2
4	2250b8cbbe9379cdd3d06e814bcd52811d6eb9a3	.png	20	20	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_20x20.png	449	\N	2
5	98e03e0b2887c2d4362f384d2682a2aa365437d8	.png	30	30	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_30x30.png	736	\N	2
6	c27f30caed1de7463a26ea038d7c83e1475e2f5a	.png	40	40	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_40x40.png	1005	\N	2
7	fe9b4e260773c82c73ddebf16ecb8a03848edf50	.png	60	60	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_60x60.png	1712	\N	2
8	9a4ddf8cc7c76207b54b8b5c2991bde441facbe5	.png	25	25	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_25x25.png	623	\N	2
9	354b12c36825eb101e497d857efb5fc8ddbfed7b	.png	37	37	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_37x37.png	977	\N	2
10	fcd580743deee8dcf3c4420f324d447c9bd15a7d	.png	50	50	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_50x50.png	1368	\N	2
11	a807e1fea0a5ca5c41f701a68db52589c9481441	.png	75	75	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_75x75.png	1779	\N	2
12	5db6853f06ff95ab7e07f3782b68b7deb2608a43	.png	32	32	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_32x32.png	798	\N	2
13	744f73763e8d0b0dc249957b8f6496d700ee1a19	.png	48	48	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_48x48.png	1369	\N	2
14	9678cf71dee5299a71cfe732eb1c72146d20257e	.png	64	64	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_64x64.png	1871	\N	2
15	11f03b8038ad08a9863342c0a3de6e0a70dfd58d	.png	96	96	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_96x96.png	2238	\N	2
16	e8e45bd84ad63defd6cf208e9b1af34e3cfff263	.png	45	45	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_45x45.png	1217	\N	2
17	5ae8ddeaa8891e8f39eb293ac75dc313ae94198a	.png	67	67	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_67x67.png	1501	\N	2
18	9c96776d1799eda583826d299a28781bc3ceec07	.png	90	90	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_90x90.png	2184	\N	2
19	3f05991da6e9e06a2577961f74bd20102a323bcd	.png	135	135	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_135x135.png	3190	\N	2
20	a8d78186afcd372cedf0401cd68d5351e4f877fe	.png	120	120	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_120x120.png	2733	\N	2
21	0d7e2128c2a5d7d3b44eb86241cb149f2ab2ff8e	.png	180	180	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_180x180.png	4575	\N	2
22	b4cfd126df499072c3495a823722ea1ddf0134ac	.png	240	240	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_240x240.png	6067	\N	2
23	207294911fe68384a190e32a4738b5d222c28053	.png	360	360	1	/uploads/default/optimized/1X/e952cfd4c1bc58e77024e4c2b518531356319780_2_360x360.png	10388	\N	2
\.


--
-- Data for Name: permalinks; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.permalinks (id, url, topic_id, post_id, category_id, created_at, updated_at, external_url) FROM stdin;
\.


--
-- Data for Name: plugin_store_rows; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.plugin_store_rows (id, plugin_name, key, type_name, value) FROM stdin;
\.


--
-- Data for Name: poll_options; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.poll_options (id, poll_id, digest, html, anonymous_votes, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: poll_votes; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.poll_votes (poll_id, poll_option_id, user_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: polls; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.polls (id, post_id, name, close_at, type, status, results, visibility, min, max, step, anonymous_voters, created_at, updated_at, chart_type) FROM stdin;
\.


--
-- Data for Name: post_action_types; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_action_types (name_key, is_flag, icon, created_at, updated_at, id, "position", score_bonus, reviewable_priority) FROM stdin;
bookmark	f	\N	2019-12-05 04:03:26.422085	2019-12-05 04:03:26.422085	1	1	0	0
like	f	heart	2019-12-05 04:03:26.427972	2019-12-05 04:03:26.427972	2	2	0	0
off_topic	t	\N	2019-12-05 04:03:26.433486	2019-12-05 04:03:26.433486	3	3	0	0
inappropriate	t	\N	2019-12-05 04:03:26.437278	2019-12-05 04:03:26.437278	4	4	0	0
spam	t	\N	2019-12-05 04:03:26.441022	2019-12-05 04:03:26.441022	8	6	0	0
notify_user	t	\N	2019-12-05 04:03:26.4449	2019-12-05 04:03:26.4449	6	7	0	0
notify_moderators	t	\N	2019-12-05 04:03:26.449071	2019-12-05 04:03:26.449071	7	8	0	0
\.


--
-- Data for Name: post_actions; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_actions (id, post_id, user_id, post_action_type_id, deleted_at, created_at, updated_at, deleted_by_id, related_post_id, staff_took_action, deferred_by_id, targets_topic, agreed_at, agreed_by_id, deferred_at, disagreed_at, disagreed_by_id) FROM stdin;
\.


--
-- Data for Name: post_custom_fields; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_custom_fields (id, post_id, name, value, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: post_details; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_details (id, post_id, key, value, extra, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: post_replies; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_replies (post_id, reply_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: post_reply_keys; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_reply_keys (id, user_id, post_id, reply_key, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: post_revisions; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_revisions (id, user_id, post_id, modifications, number, created_at, updated_at, hidden) FROM stdin;
\.


--
-- Data for Name: post_search_data; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_search_data (post_id, search_data, raw_data, locale, version) FROM stdin;
1	'categori':5A 'discuss':8 'feedback':4A,7B 'improv':21 'organ':13 'site':3A,6B,11 'work':16	About the Site Feedback category Site Feedback Discussion about this site, its organization, how it works, and how we can improve it.	en_US	3
2	'admin':16 'categori':4A,7 'discuss':10 'moder':18 'privat':6 'staff':3A,5B,9 'topic':11 'visibl':14	About the Staff category Staff Private category for staff discussions. Topics are only visible to admins and moderators.	en_US	3
3	'3':14 'categori':4A,7 'exclus':8 'higher':16 'level':13 'loung':3A,5B 'member':10 'trust':12	About the Lounge category Lounge A category exclusive to members with trust level 3 and higher.	en_US	3
4	'12':2116 '2018':2117 '50':1556 'aaa':1802 'abus':624,1782 'accept':83,85,302,304,315,317,1409 'acceptable-us':82,301,314 'access':398,540 'accord':298,941,1079 'account':99,101,338,796,798,806,817,829,856,877,889,896,911,924,937,995,1287,2086,2103,2152 'act':1594,1783 'action':873,1836 'add':418 'add-on':417 'address':383,688,842,847,2081,2160 'admit':1392 'advertis':368 'affect':154 'affili':475,1953 'agre':24,237,831,867,901,916,1039,1240,1261,1296,1353,1384,1387,1521,1586,1626,1735,2141,2187 'agreement':182,205,649,1404,1656,1667,1685,1941,1950,1998,2006,2013,2021,2038 'alert':2171 'alias':466 'allow':1128,1355,1426,1530 'also':1675,2164 'american':1794 'analyz':1135 'announc':2165 'anoth':336 'anyon':587,638,644 'appli':50,1181 'approv':1054 'arbitr':207,1795,1797,1798,1805,1814,1850,1858,1865,1872,1887 'asset':1972 'assign':1939,1948,1982 'associ':1796 'attempt':1981 'attorney':1874 'author':746,879 'autom':397 'avail':441 'avoid':534 'award':1866,1888 'backup':1173 'believ':775,957,1635 'belong':1089 'bind':1793 'breach':648,1274,1279,1508,2003,2010 'breach-of-contract':1507 'break':322 'broken':961 'browser':412,429 'buy':349,1971 'cach':1174 'caus':189 'chain':369 'chang':137,138,762,1077,1911,2106,2107,2138 'circumv':536 'citi':1750,1818 'claim':1268,1305,1329,1366,1537,1776 'class':1835,1847 'close':854,887,935 'code':665 'com':17 'commerci':389,1804 'common':1192 'compani':29,32,38,170,186,226,282,481,723,738,757,893,905,930,955,979,1017,1026,1057,1064,1109,1130,1157,1159,1171,1208,1243,1265,1295,1314,1321,1338,1357,1375,1383,1428,1455,1497,1561,1589,1604,1652,1734,1757,1787,1861,1884,1944,1946,1956,1959,1965,1969,1975,2026,2055,2064,2069,2109,2125,2140,2162 'compromis':899,914 'comput':422,664,668,1779 'condit':74,75,246,247,264 'confidenti':715,1638 'consequ':1255 'consolid':1852 'consum':1811 'contact':134,135,283,789,790,864,1573,1574,2049,2050,2066 'contain':662,2136 'content':89,91,105,107,309,311,493,595,597,603,618,629,658,676,766,779,970,972,1000,1032,1045,1072,1083,1112,1136,1143,1183,1198,1215,1223,1238,1417,1467,1548,1689,1691 'content-standard':88,308,594 'continu':1195 'contract':1510 'control':1359,1962 'cooper':742,1378 'copi':1070,1132,1167 'copyright':948 'copyright-rel':947 'cost':1869,1878 'could':1343,1514,1909 'court':1748,1767,1891 'cover':184 'crawl':432 'crawler':411 'creat':801,815,827,2150 'creativ':1191 'creativecommon':1189 'creativecommons.org':1188 'damag':188,1340,1511 'data':387 'databas':393 'date':851 'decid':1094 'defend':1345 'defens':1361 'delet':765 'design':561 'differ':46 'direct':285 'disabl':533 'disappear':1168 'disclaim':113,114,162,165,166,1406,1407,1700,1701 'disclos':702,712 'disput':127,128,208,211,212,1713,1714,1720,1752,1791,1813,1820,1825,1854 'distribut':460 'download':512 'e':457,840,862,2079,2144,2158 'e-mail':456,839,861,2078,2143,2157 'effect':1989 'effort':1381 'either':886,1021,1648 'email':865,2067 'embodi':2016 'encourag':584 'end':1163,1654,1668,1676,1682 'endors':478 'enforc':94,95,720,721,745,1915,1929 'engin':443 'enter':1886 'entir':2034 'everyon':234 'exercis':1992 'extent':736,1924 'fail':1322 'fals':470 'far':1422,1526 'fault':1393 'featur':810 'feder':1747 'fee':1875 'feedback':121,122,1558,1559,1564,1596,1613,1630,1693,1694 'follow':263,1678,1800 'foreseen':1518 'forum':12,21,36,56,72,80,195,220,233,244,252,258,279,296,327,341,363,376,380,401,405,434,453,496,515,524,544,552,572,580,606,632,661,679,700,769,782,813,940,991,1005,1037,1050,1088,1118,1124,1141,1150,1218,1228,1290,1415,1420,1434,1442,1448,1546,1551,1569,1674,1730,1762,1979,2031,2044,2089,2100,2132,2174,2198 'fraud':1780 'free':1592 'fullest':734 'gather':382 'general':130,131,1709,1710,1895,1896 'get':1580,1616,2177 'give':227,977,1010,1098,1204 'goodrain':16 'govern':7,1479,1715,1718 'group':464 'handl':946 'happen':1816 'harass':621 'harm':613 'head':59,65,73,81,87,93,96,102,108,112,115,120,123,126,129,133,136,139,164,176,197,210,213,245,300,307,313,593,719,788,793,967,1256,1405,1490,1557,1572,1645,1686,1692,1695,1699,1702,1708,1712,1894,2048,2105 'help':586 'hold':685 'homepag':2097 'hyperlink':485,1444 'hypertext':492 'identifi':360,694 'ifram':529 'illeg':609 'imag':487 'immedi':792,906 'imperson':576 'impli':471,1043 'import':61,63,141,143,151 'important-term':60,140 'impos':563,1397 'inappropri':622 'includ':147,617,1868 'indemnifi':1263,1312,1336,1373 'index':436 'individu':1828 'inform':568,703,718,822,996 'infrastructur':549 'infring':637 'injunct':1738,1773 'integr':1447 'intellectu':640,984,1019 'internet':11 'investig':725,1360 'juli':2115 'jurisdict':1761,1893 'keep':845,926,2195 'kind':1540 'last':1166,2110 'law':324,636,744,752,1425,1529,1716 'least':269 'legal':735,1267,1304,1328,1365,1988 'letter':370 'liabil':116,119,172,177,180,1491,1494,1533,1703,1706 'liabl':1247,1503 'licens':1107,1127,1162,1179,1193,1202,1236 'like':713 'limit':117,167,178,1492,1554,1704 'list':391,461 'load':566 'log':803 'longer':276 'mail':390,458,465,841,863,2080,2145,2159 'maintain':1067 'make':1458,1913,1927 'malici':663 'mark':505 'materi':510 'may':39,274,290,320,329,347,365,395,431,449,468,483,501,517,531,546,574,582,600,626,655,673,696,724,739,853,931,1194,1203,1229,1443,1469,1477,1653,1885,1937,1947,2052,2070,2119,2163 'member':1848 'mere':682 'messag':2094,2169 'might':1309,1636 'minimum':836,1105,1923 'misus':192 'mitig':1348 'modifi':1920 'monitor':403 'must':23,266,293,800,819,2186 'name':30,356,690 'necessari':1925 'need':235 'neither':1495,1753,1990 'new':2190 'newsgroup':462 'non':491 'non-hypertext':490 'noth':973,1006 'notic':1351,2178 'notifi':740,891,903,1298,1324,1609,2053,2071 'number':149 'object':1759 'oblig':1062,1398 'obtain':1961 'offens':610 'offer':40 'old':272 'one':447,1487 'order':2193 'org':1190 'other':577,615,653,714,1099,1205,1220,1270,1284,1453,1465,1476,1644 'otherwis':352,612,1930 'ownership':508,981,1013 'page':2104 'part':521,1832 'particular':687 'password':921 'pay':1623 'permiss':66,68,214,216,229,254,345,1096,1618,1670,1863 'person':386,717 'personnel':1513 'placehold':683 'plaintiff':1844 'plug':414 'plug-in':413 'polici':944 'possibl':1318 'post':997,2092,2127 'prior':1403 'privaci':646 'procedur':1809 'proceed':1840 'product':42 'program':423 'prompt':1330,1350 'properti':641,985,1020 'proprietari':507,1640 'prosecut':727,748 'provid':820,833,1069,1111,1432,1470,1600,2083,2154 'provis':152,1679,1900,1917,1932 'public':440 'publish':1133 'question':2061 're':474 'reason':772,956,1517,1873,1877 'receiv':1222 'redact':763 'relat':949,1271,1543,1721,1739,1812,1976 'remain':1028 'remov':503,1147,1200,1935 'replac':2035 'repres':1839 'request':558,560,951 'reserv':758 'resolv':1789 'respons':109,111,158,198,199,870,1030,1257,1259,1696,1698 'restrict':541,932 'right':156,642,710,760,982,1014,1211,1995 'risk':1411 'rule':963,1806 'run':34,446,1451,1463,1474,1488 'say':287 'search':442 'secret':928 'section':1575 'secur':538,920 'see':1570 'seek':1737,1771 'select':918 'sell':350 'send':367,455,2060 'servic':3A,44,1450,1462,1473,1489 'settl':1823 'settlement':1363,1390 'share':988,1213 'show':506,519 'side':1301 'skip':57 'sole':1029 'solicit':373 'someon':776 'soon':1316 'special':1126,1161,2168 'specif':344 'sponsor':1052 'spywar':671 'staff':4B 'standard':90,92,310,312,596,598 'state':1745 'store':1066 'strain':548 'subject':221,260 'submit':602,628,657,675,778,1002,1034,1047,1074,1085,1115,1138,1145,1185,1225,1629 'substanti':2137 'suggest':1566,1598,1632 'supplementari':1808 'supplier':1431,1500 'surviv':1680 'suspect':909 'suspend':933 'system':569,1177 't.goodrain.com':14 'takedown':950 'taken':874 'term':1A,6,27,47,49,62,64,132,142,144,146,224,240,592,731,755,787,966,976,1009,1059,1082,1232,1277,1282,1482,1524,1661,1711,1724,1742,1897,1903,1985,2015,2019,2033,2058,2075,2113,2122,2184,2191 'termin':124,125,1646,1647 'thirteen':270 'time':859,1664 'total':1532 'touch':1582 'trade':353 'tri':333 'under':570 'unenforc':1905 'uniqu':359,693 'unreason':555,565 'up-to-d':848 'updat':2111,2120,2129,2134,2166,2181 'us':791,1584 'use':8,19,53,70,77,84,86,202,218,231,242,249,256,277,294,303,305,316,318,325,331,335,378,451,698,808,875,1285,1413,1471,1615,1620,1672,1727,2028,2041,2076,2196 'user':355,689,1121 'valid':838,2156 've':960,2149 'venu':1764 'violat':589,634,643,728,749,784,1230,1252 'virus':669 'volum':556 'waiv':2007 'waiver':2000 'warranti':1439,1460 'way':1578 'web':410,428 'webpag':499 'websit':527 'welcom':1562 'whatsoev':1440 'whether':878,1151,1841 'wit':1880 'without':342,1401,1437,1859 'won':1332,1605 'would':1370 'written':1657,1907,2045 'wrong':1042 'year':271 'your-account':97,794 'your-cont':103,968,1687	Terms of Service Staff These terms govern use of the Internet forum at http://t.goodrain.com t goodrain com . To use the forum, you must agree to these terms with company_name , the company that runs the forum. The company may offer other products and services, under different terms. These terms apply only to use of the forum. Skip to: #heading--important-terms Important Terms #heading--permission Your Permission to Use the Forum #heading--conditions Conditions for Use of the Forum #heading--acceptable-use Acceptable Use #heading--content-standards Content Standards #heading--enforcement Enforcement #heading--your-account Your Account #heading--your-content Your Content #heading--responsibility Your Responsibility #heading--disclaimers Disclaimers #heading--liability Limits on Liability #heading--feedback Feedback #heading--termination Termination #heading--disputes Disputes #heading--general General Terms #heading--contact Contact #heading--changes Changes #heading--important-terms Important Terms These terms include a number of important provisions that affect your rights and responsibilities, such as the disclaimers in #heading--disclaimers Disclaimers , limits on the company’s liability to you in #heading--liability Limits on Liability , your agreement to cover the company for damages caused by your misuse of the forum in #heading--responsibility Responsibility for Your Use , and an agreement to arbitrate disputes in #heading--disputes Disputes . #heading--permission Your Permission to Use the Forum Subject to these terms, the company gives you permission to use the forum. Everyone needs to agree to these terms to use the forum. #heading--conditions Conditions for Use of the Forum Your permission to use the forum is subject to the following conditions: You must be at least thirteen years old. You may no longer use the forum if the company contacts you directly to say that you may not. You must use the forum in accordance with #heading--acceptable-use Acceptable Use and #heading--content-standards Content Standards . #heading--acceptable-use Acceptable Use You may not break the law using the forum. You may not use or try to use another’s account on the forum without their specific permission. You may not buy, sell, or otherwise trade in user names or other unique identifiers on the forum. You may not send advertisements, chain letters, or other solicitations through the forum, or use the forum to gather addresses or other personal data for commercial mailing lists or databases. You may not automate access to the forum, or monitor the forum, such as with a web crawler, browser plug-in or add-on, or other computer program that is not a web browser. You may crawl the forum to index it for a publicly available search engine, if you run one. You may not use the forum to send e-mail to distribution lists, newsgroups, or group mail aliases. You may not falsely imply that you’re affiliated with or endorsed by the company. You may not hyperlink to images or other non-hypertext content on the forum on other webpages. You may not remove any marks showing proprietary ownership from materials you download from the forum. You may not show any part of the forum on other websites with < iframe > . You may not disable, avoid, or circumvent any security or access restrictions of the forum. You may not strain infrastructure of the forum with an unreasonable volume of requests, or requests designed to impose an unreasonable load on information systems underlying the forum. You may not impersonate others through the forum. You may not encourage or help anyone in violation of these terms. #heading--content-standards Content Standards You may not submit content to the forum that is illegal, offensive, or otherwise harmful to others. This includes content that is harassing, inappropriate, or abusive. You may not submit content to the forum that violates the law, infringes anyone’s intellectual property rights, violates anyone’s privacy, or breaches agreements you have with others. You may not submit content to the forum containing malicious computer code, such as computer viruses or spyware. You may not submit content to the forum as a mere placeholder, to hold a particular address, user name, or other unique identifier. You may not use the forum to disclose information that you don’t have the right to disclose, like others’ confidential or personal information. #heading--enforcement Enforcement The company may investigate and prosecute violations of these terms to the fullest legal extent. The company may notify and cooperate with law enforcement authorities in prosecuting violations of the law and these terms. The company reserves the right to change, redact, and delete content on the forum for any reason. If you believe someone has submitted content to the forum in violation of these terms, #heading--contact contact us immediately . #heading--your-account Your Account You must create and log into an account to use some features of the forum. To create an account, you must provide some information about yourself. If you create an account, you agree to provide, at a minimum, a valid e-mail address, and to keep that address up-to-date. You may close your account at any time by e-mailing < contact_email > . You agree to be responsible for all action taken using your account, whether authorized by you or not, until you either close your account or notify the company that your account has been compromised. You agree to notify the company immediately if you suspect your account has been compromised. You agree to select a secure password for your account, and keep it secret. The company may restrict, suspend, or close your account on the forum according to its policy for handling copyright-related takedown requests, or if the company reasonably believes that you’ve broken any rule in these terms. #heading--your-content Your Content Nothing in these terms gives the company any ownership rights in intellectual property that you share with the forum, such as your account information, posts, or other content you submit to the forum. Nothing in these terms gives you any ownership rights in the company’s intellectual property, either. Between you and the company, you remain solely responsible for content you submit to the forum. You agree not to wrongly imply that content you submit to the forum is sponsored or approved by the company. These terms do not obligate the company to store, maintain, or provide copies of content you submit, and to change it, according to these terms. Content you submit to the forum belongs to you, and you decide what permission to give others for it. But at a minimum, you license the company to provide content that you submit to the forum to other users of the forum. That special license allows the company to copy, publish, and analyze content you submit to the forum. When content you submit is removed from the forum, whether by you or by the company, the company’s special license ends when the last copy disappears from the company’s backups, caches, and other systems. Other licenses you apply to content you submit, such as https://creativecommons.org creativecommons org Creative Commons licenses, may continue after your content is removed. Those licenses may give others, or the company itself, the right to share your content through the forum again. Others who receive content you submit to the forum may violate the terms on which you license your content. You agree that the company will not be liable to you for those violations or their consequences. #heading--responsibility Your Responsibility You agree to indemnify the company from legal claims by others related to your breach of these terms, or breach of these terms by others using your account on the forum. Both you and the company agree to notify the other side of any legal claims for which you might have to indemnify the company as soon as possible. If the company fails to notify you of a legal claim promptly, you won’t have to indemnify the company for damages that you could have defended against or mitigated with prompt notice. You agree to allow the company to control investigation, defense, and settlement of legal claims for which you would have to indemnify the company, and to cooperate with those efforts. The company agrees not to agree to any settlement that admits fault for you or imposes obligations on you without your prior agreement. #heading--disclaimers Disclaimers You accept all risk of using the forum and content on the forum. As far as the law allows, the company and its suppliers provide the forum as is, without any warranty whatsoever. The forum may hyperlink to and integrate forums and services run by others. The company does not make any warranty about services run by others, or content they may provide. Use of services run by others may be governed by other terms between you and the one running service. #heading--liability Limits on Liability Neither the company nor its suppliers will be liable to you for breach-of-contract damages their personnel could not have reasonably foreseen when you agreed to these terms. As far as the law allows, the total liability to you for claims of any kind that are related to the forum or content on the forum will be limited to $50. #heading--feedback Feedback The company welcomes your feedback and suggestions for the forum. See the #heading--contact Contact section below for ways to get in touch with us. You agree that the company will be free to act on feedback and suggestions you provide, and that the company won’t have to notify you that your feedback was used, get your permission to use it, or pay you. You agree not to submit feedback or suggestions that you believe might be confidential or proprietary, to you or others. #heading--termination Termination Either you or the company may end the agreement written out in these terms at any time. When our agreement ends, your permission to use the forum also ends. The following provisions survive the end of our agreement: #heading--your-content Your Content , #heading--feedback Feedback , #heading--responsibility Your Responsibility , #heading--disclaimers Disclaimers , #heading--liability Limits on Liability , and #heading--general General Terms . #heading--disputes Disputes governing_law will govern any dispute related to these terms or your use of the forum. You and the company agree to seek injunctions related to these terms only in state or federal court in city_for_disputes . Neither you nor the company will object to jurisdiction, forum, or venue in those courts. Other than to seek an injunction or for claims under the Computer Fraud and Abuse Act, you and the company will resolve any dispute by binding American Arbitration Association arbitration. Arbitration will follow the AAA’s Commercial Arbitration Rules and Supplementary Procedures for Consumer Related Disputes. Arbitration will happen in city_for_disputes . You will settle any dispute as an individual, and not as part of a class action or other representative proceeding, whether as the plaintiff or a class member. No arbitrator will consolidate any dispute with any other arbitration without the company’s permission. Any arbitration award will include costs of the arbitration, reasonable attorneys’ fees, and reasonable costs for witnesses. You and the company may enter arbitration awards in any court with jurisdiction. #heading--general General Terms If a provision of these terms is unenforceable as written, but could be changed to make it enforceable, that provision should be modified to the minimum extent necessary to make it enforceable. Otherwise, that provision should be removed. You may not assign your agreement with the company. The company may assign your agreement to any affiliate of the company, any other company that obtains control of the company, or any other company that buys assets of the company related to the forum. Any attempted assignment against these terms has no legal effect. Neither the exercise of any right under this Agreement, nor waiver of any breach of this Agreement, waives any other breach of this Agreement. These terms embody all the terms of agreement between you and the company about use of the forum. These terms entirely replace any other agreements about your use of the forum, written or not. #heading--contact Contact You may notify the company under these terms, and send questions to the company, at < contact_email > . The company may notify you under these terms using the e-mail address you provide for your account on the forum, or by posting a message to the homepage of the forum or your account page. #heading--changes Changes The company last updated these terms on July 12, 2018, and may update these terms again. The company will post all updates to the forum. For updates that contain substantial changes, the company agrees to e-mail you, if you’ve created an account and provided a valid e-mail address. The company may also announce updates with special messages or alerts on the forum. Once you get notice of an update to these terms, you must agree to the new terms in order to keep using the forum.	en_US	3
5	'chang':13 'content':15 'edit':5 'first':7 'page':21 'post':8 'servic':3A,20 'staff':4B 'term':1A,18 'topic':11	Terms of Service Staff Edit the first post in this topic to change the contents of the Terms of Service page.	en_US	3
6	'+1':692 '/about':771,828 '/c/site-feedback':797 '/tos':857,885 'abid':882 'abus':504 'account':450 'accru':422 'acknowledg':406 'act':134 'action':423 'actual':248 'ad':236 'add':107 'agre':694,880 'agreeabl':203,205 'aid':54 'alreadi':175 'alway':89,481 'anyon':527 'anyth':496,514,726 'appear':558 'argument':259 'arriv':279 'ask':568 'attach':686 'attack':238 'audio':753 'author':368 'automat':428 'avoid':232,304,555 'bad':395,403 'be-civil':478 'behavior':396,404,865 'belong':729 'best':320 'better':194,350 'bookmark':324 'bore':838 'break':757 'brows':179 'button':698 'call':235 'categori':647,800 'chanc':195 'chang':672 'choos':289 'civil':3,7,72,480,483,492 'clean':65,510,636 'collect':317 'communiti':31,60,287,315,349,385,438,477,778 'concret':550 'consid':502 'consum':408 'contact':824 'content':249,446,473,664,870 'contradict':253 'contribut':323 'convers':43,110,263,269,488 'count':267 'counter':258 'counter-argu':257 'critic':227,809 'cross':651 'cross-post':650 'data':850 'definit':554 'describ':861 'descript':739 'differ':708 'digit':727 'direct':709 'disagre':155,209,218 'discours':74,309 'discov':171 'discuss':11,15,78,87,94,124,150,168,293,598,633,804 'divert':668 'edit':328 'effort':618 'either':427 'els':342,732 'enabl':313 'encourag':401 'energi':410 'engag':291 'engin':595 'enough':420 'even':152,206,556 'everi':277,680 'everyon':341,413 'exist':703 'experi':339 'explicit':518 'expos':531 'extens':846 'facilit':386 'famili':607 'faq/guidelines':1A 'fast':49 'featur':578 'feedback':799 'feel':573 'fine':223 'flag':326,356,363,417,421,823 'flag-problem':355 'folk':853 'forth':331 'forum':16,297,374,537,546,592 'found':353 'friend':609,772 'front':581 'futur':284 'great':84 'grief':526 'guidelin':52 'handl':817 'happen':176 'harass':524 'hard':47 'hate':506 'healthi':487 'help':79,280,381 'hominem':237 'howev':98 'human':56 'idea':228 'identifi':318 'imag':604,754 'imperson':528 'improv':75,76,92,166,261,336 'index':596 'influenc':282 'inform':534,685 'instead':245,254 'intellectu':749 'interest':40,202,299 'intervent':432 'issu':812 'janitor':389 'jerk':252 'judgment':57 'keep':62,508,599,611,613 'keep-tidi':610 'knee':251 'knee-jerk':250 'knowledg':38 'languag':601 'later':121 'law':760,873 'leav':347 'legales':836 'less':635 'let':345,802 'light':69 'like':325,489,697 'link':602,714,741 'll':191 'local':773 'maintain':436 'make':81,295,616 'matter':126,138 'may':211,723,736 'meet':197 'mere':51 'meta':820 'method':744 'midstream':674 'moder':365,382,431,439,457,464 'multipl':657 'must':841,879 'name':234 'name-cal':233 'new':278,461,585,793 'no-cont':662 'noth':484 'obscen':515 'offens':503 'one':163,172 'ongo':42 'open':791 'oper':467,768 'order':434 'other':198 'otherwis':543 'page':582,830 'park':25 'particip':264,266 'peopl':149,230,529 'permiss':734 'person':500 'place':8,34,70,85,300,625 'pleas':12,231 'polic':391 'post':106,242,462,474,495,513,540,576,652,661,679,681,691,717,725,738 'power':761,762 'precis':553 'preview':460 'privaci':871 'privat':533 'problem':357,362 'profil':684 'properti':750 'protect':842 'provid':255,310 'public':10,24,73,591 'put':620 'question':784 'radic':707 'rather':689,699 're':566 'reason':256,453,499 'relat':868 'rememb':225 'remov':444 'repli':184,327,399,665,711 'reserv':440 'resourc':32 'respect':20,143,519,535 'respond':214,239 'respons':371,470 'right':442,624,867 'rude':490 'rule':50 'sabotag':485 'safe':605 'said':162 'say':117 'search':594 'see':360,394 'servic':834,860,877 'set':273 'sexual':517 'share':30,36,200 'sign':677 'site':466,766,798 'skill':37 'small':99 'softwar':751 'someon':731,747 'someth':216 'spam':541 'special':367 'speech':507 'spend':177,630 'staff':2B,774,829 'start':186,641 'steal':716,746 'stuff':721 'sure':104 'take':468,701 'taken':426 'term':551,832,858 'thing':563,621,655,787 'think':111 'tidi':612,615 'time':178,415,456,587,632 'tone':244,275 'tool':311,334 'topic':123,146,181,643,658,670,704,715,794,821 'tos':831,886 'treat':13 'tri':119 'unfriend':852 'unsur':567 'urgent':811 'us':80,128,281,825 'use':332,695,710,875 'user':449 'vandal':544 'via':826 'video':752 'want':115,131 'wast':412 'way':97,164 'well':68 'well-light':67 'wish':212 'without':733 'work':90,789 'worst':322 'would':22,501,572 'wrong':646 'yes':835 'york':586	FAQ/Guidelines Staff #civilized This is a Civilized Place for Public Discussion Please treat this discussion forum with the same respect you would a public park. We, too, are a shared community resource — a place to share skills, knowledge and interests through ongoing conversation. These are not hard and fast rules, merely guidelines to aid the human judgment of our community and keep this a clean and well-lighted place for civilized public discourse. #improve Improve the Discussion Help us make this a great place for discussion by always working to improve the discussion in some way, however small. If you are not sure your post adds to the conversation, think over what you want to say and try again later. The topics discussed here matter to us, and we want you to act as if they matter to you, too. Be respectful of the topics and the people discussing them, even if you disagree with some of what is being said. One way to improve the discussion is by discovering ones that are already happening. Spend time browsing the topics here before replying or starting your own, and you’ll have a better chance of meeting others who share your interests. #agreeable Be Agreeable, Even When You Disagree You may wish to respond to something by disagreeing with it. That’s fine. But remember to criticize ideas, not people . Please avoid: Name-calling Ad hominem attacks Responding to a post’s tone instead of its actual content Knee-jerk contradiction Instead, provide reasoned counter-arguments that improve the conversation. #participate Your Participation Counts The conversations we have here set the tone for every new arrival. Help us influence the future of this community by choosing to engage in discussions that make this forum an interesting place to be — and avoiding those that do not. Discourse provides tools that enable the community to collectively identify the best (and worst) contributions: bookmarks, likes, flags, replies, edits, and so forth. Use these tools to improve your own experience, and everyone else’s, too. Let’s leave our community better than we found it. #flag-problems If You See a Problem, Flag It Moderators have special authority; they are responsible for this forum. But so are you. With your help, moderators can be community facilitators, not just janitors or police. When you see bad behavior, don’t reply. It encourages the bad behavior by acknowledging it, consumes your energy, and wastes everyone’s time. Just flag it . If enough flags accrue, action will be taken, either automatically or by moderator intervention. In order to maintain our community, moderators reserve the right to remove any content and any user account for any reason at any time. Moderators do not preview new posts; the moderators and site operators take no responsibility for any content posted by the community. #be-civil Always Be Civil Nothing sabotages a healthy conversation like rudeness: Be civil. Don’t post anything that a reasonable person would consider offensive, abusive, or hate speech. Keep it clean. Don’t post anything obscene or sexually explicit. Respect each other. Don’t harass or grief anyone, impersonate people, or expose their private information. Respect our forum. Don’t post spam or otherwise vandalize the forum. These are not concrete terms with precise definitions — avoid even the appearance of any of these things. If you’re unsure, ask yourself how you would feel if your post was featured on the front page of the New York Times. This is a public forum, and search engines index these discussions. Keep the language, links, and images safe for family and friends. #keep-tidy Keep It Tidy Make the effort to put things in the right place, so that we can spend more time discussing and less cleaning up. So: Don’t start a topic in the wrong category. Don’t cross-post the same thing in multiple topics. Don’t post no-content replies. Don’t divert a topic by changing it midstream. Don’t sign your posts — every post has your profile information attached to it. Rather than posting “+1” or “Agreed”, use the Like button. Rather than taking an existing topic in a radically different direction, use Reply as a Linked Topic. #stealing Post Only Your Own Stuff You may not post anything digital that belongs to someone else without permission. You may not post descriptions of, links to, or methods for stealing someone’s intellectual property (software, video, audio, images), or for breaking any other law. #power Powered by You This site is operated by your /about friendly local staff and you , the community. If you have any further questions about how things should work here, open a new topic in the /c/site-feedback site feedback category and let’s discuss! If there’s a critical or urgent issue that can’t be handled by a meta topic or flag, contact us via the /about staff page . #tos Terms of Service Yes, legalese is boring, but we must protect ourselves – and by extension, you and your data – against unfriendly folks. We have a /tos Terms of Service describing your (and our) behavior and rights related to content, privacy, and laws. To use this service, you must agree to abide by our /tos TOS .	en_US	3
7	'chang':11 'content':13 'edit':3 'faq/guidelines':1A,16 'first':5 'page':17 'post':6 'staff':2B 'topic':9	FAQ/Guidelines Staff Edit the first post in this topic to change the contents of the FAQ/Guidelines page.	en_US	3
8	'/wiki/children%27s_online_privacy_protection_act':677 '13':650,669 '2013':772 '27s':683 '31':771 '5':327 '90':311 'access':274 'account':375,381 'act':634,687,693 'activ':606 'address':56,69,94,103,119,214,301,316 'advertis':558 'age':667 'aggreg':396 'agre':507 'allow':359 'also':110,515 'and/or':242 'appli':708 'appropri':524 'ask':47 'assist':427,490 'associ':317,376 'base':178 'behalf':448 'believ':521 'better':160,409,430 'browser':356,368 'busi':457,498 'cc':763 'cc-by-sa':762 'chang':229,737,738,747,755 'children':629,682,688 'collect':4,9,11,139,445,712,720 'compil':395 'compli':526 'complianc':635 'comput':349 'conduct':453,496 'confidenti':512 'consent':722,724,730 'contain':76,298 'content':36,604 'continu':171 'contract':419 'control':89 'cooki':329,333,335,361,384 'coppa':628,674 'custom':190,202 'data':23,279,284,397 'data-retent':278 'day':312 'decid':745 'direct':643 'disclos':458,461 'discret':571 'document':760 'drive':352 'e':54,67,92 'e-mail':53,66,91 'effect':198 'effort':293 'email':75,211,213 'en':678 'en.wikipedia.org':676 'en.wikipedia.org/wiki/children%27s_online_privacy_protection_act':675 'enabl':362 'enforc':530 'enter':49,271 'evalu':34 'everi':121 'except':449 'experi':154,411 'faith':292 'feedback':183,624 'file':338 'follow':149 'forum':29 'futur':392,416 'gather':22 'good':291 'hard':351 'help':157,194,451 'howev':59,543 'identifi':480,547 'implement':255 'improv':167,174,189,455 'includ':116,485,574 'independ':592 'individu':164 'inform':6,12,132,137,156,181,193,223,253,268,277,444,463,481,511,518,549,711,719 'inquiri':241 'integr':617 'interact':403 'ip':102,118,300,315 'keep':509 'know':86 'last':768 'law':529 'least':649 'liabil':601 'link':79,82,567,609 'log':114,297 'long':503 'mail':55,68,93 'maintain':262 'make':289 'market':557 'may':45,58,111,142,217,418,514,550,573,770 'measur':260 'name':51,238 'need':165,207 'non':545 'non-person':544 'nonetheless':611 'notif':224 'occasion':568 'offer':177,408,576 'offlin':721 'old':652 'older':654 'one':146 'onlin':631,684,690,699,700,705 'oper':493 'org':680 'origin':107 'other':538 'otherwis':473 'outsid':465,476 'page':758 'parti':423,466,477,488,506,555,564,566,578,587 'particip':26 'peopl':645 'per':670 'period':210 'permit':440 'person':152,267,276,479,546 'polici':2A,286,533,594,702,707,736,742,750 'post':98,106,323,753 'prefer':390 'privaci':1A,593,632,685,691,701,706,735,741,749 'product':579,638 'properti':540 'protect':247,251,535,615,633,686,692 'provid':216,345,425,437,552 'question':246 'read':31 'receiv':185 'recogn':366 'record':100 'regist':17,40,64,96,319,374,380 'releas':516,522 'request':122,204,227,244,304 'requir':672 'respond':161,199,239 'respons':234,599 'retain':112,295,313 'retent':280,285 'right':539 'sa':765 'safeti':264,542 'save':388 'secur':259 'seek':613 'sell':470 'send':209,221 'separ':590 'server':113,125,296,307,657 'servic':191,203,344,424,436,500,581,640 'share':37 'site':20,43,62,169,176,341,364,399,402,410,433,495,532,584,588,610,620,627,637,698,715,728,734 'small':337 'staff':3B 'strive':172 'submit':272 'support':206 'therefor':596 'third':422,487,563,565,577,586 'third-parti':421,562 'tool':413 'topic':231 'trade':471 'traffic':400 'transfer':346,474 'trust':486 'understand':386,431 'uniqu':78 'updat':769 'us':158,195,428,452,491 'usa':661 'use':126,130,144,219,332,383,442,561,696,726 'user':237,320 'varieti':257 'verifi':72 'visit':60,84,393 'visitor':434,548 'way':150 'web':355,733 'welcom':622 'wiki':681 'wikipedia':679 'without':63 'write':32 'year':328,651 'yes':334	Privacy Policy Staff #collect What information do we collect? We collect information from you when you register on our site and gather data when you participate in the forum by reading, writing, and evaluating the content shared here. When registering on our site, you may be asked to enter your name and e-mail address. You may, however, visit our site without registering. Your e-mail address will be verified by an email containing a unique link. If that link is visited, we know that you control the e-mail address. When registered and posting, we record the IP address that the post originated from. We also may retain server logs which include the IP address of every request to our server. #use What do we use your information for? Any of the information we collect from you may be used in one of the following ways: To personalize your experience — your information helps us to better respond to your individual needs. To improve our site — we continually strive to improve our site offerings based on the information and feedback we receive from you. To improve customer service — your information helps us to more effectively respond to your customer service requests and support needs. To send periodic emails — The email address you provide may be used to send you information, notifications that you request about changes to topics or in response to your user name, respond to inquiries, and/or other requests or questions. #protect How do we protect your information? We implement a variety of security measures to maintain the safety of your personal information when you enter, submit, or access your personal information. #data-retention What is your data retention policy? We will make a good faith effort to: Retain server logs containing the IP address of all requests to this server no more than 90 days. Retain the IP addresses associated with registered users and their posts no more than 5 years. #cookies Do we use cookies? Yes. Cookies are small files that a site or its service provider transfers to your computer’s hard drive through your Web browser (if you allow). These cookies enable the site to recognize your browser and, if you have a registered account, associate it with your registered account. We use cookies to understand and save your preferences for future visits and compile aggregate data about site traffic and site interaction so that we can offer better site experiences and tools in the future. We may contract with third-party service providers to assist us in better understanding our site visitors. These service providers are not permitted to use the information collected on our behalf except to help us conduct and improve our business. #disclose Do we disclose any information to outside parties? We do not sell, trade, or otherwise transfer to outside parties your personally identifiable information. This does not include trusted third parties who assist us in operating our site, conducting our business, or servicing you, so long as those parties agree to keep this information confidential. We may also release your information when we believe release is appropriate to comply with the law, enforce our site policies, or protect ours or others rights, property, or safety. However, non-personally identifiable visitor information may be provided to other parties for marketing, advertising, or other uses. #third-party Third party links Occasionally, at our discretion, we may include or offer third party products or services on our site. These third party sites have separate and independent privacy policies. We therefore have no responsibility or liability for the content and activities of these linked sites. Nonetheless, we seek to protect the integrity of our site and welcome any feedback about these sites. #coppa Children’s Online Privacy Protection Act Compliance Our site, products and services are all directed to people who are at least 13 years old or older. If this server is in the USA, and you are under the age of 13, per the requirements of COPPA ( https://en.wikipedia.org/wiki/Children%27s_Online_Privacy_Protection_Act en wikipedia org wiki Children%27s_Online_Privacy_Protection_Act Children’s Online Privacy Protection Act ), do not use this site. #online Online Privacy Policy Only This online privacy policy applies only to information collected through our site and not to information collected offline. #consent Your Consent By using our site, you consent to our web site privacy policy. #changes Changes to our Privacy Policy If we decide to change our privacy policy, we will post those changes on this page. This document is CC-BY-SA. It was last updated May 31, 2013.	en_US	3
9	'chang':12 'content':14 'edit':4 'first':6 'page':19 'polici':2A,18 'post':7 'privaci':1A,17 'staff':3B 'topic':10	Privacy Policy Staff Edit the first post in this topic to change the contents of the Privacy Policy page.	en_US	3
10	'admin':69 'announc':86 'bottom':76 'brief':33 'close':64 'come':50 'communiti':37 'descript':34 'discours':3A 'edit':29 'etc':59 'find':45 'first':6 'homepag':25 'import':28 'link':57 'may':61 'messag':18 'new':21 'paragraph':7 'pile':82 'pin':10 'read':55 'repli':79 'resourc':58 'right':74 'topic':11,66 'uncategor':4B 'upper':73 'via':67 'visibl':14 'visitor':22 'want':62 'welcom':1A,17 'wrench':70	Welcome to Discourse Uncategorized The first paragraph of this pinned topic will be visible as a welcome message to all new visitors on your homepage. It’s important! Edit this into a brief description of your community: Who is it for? What can they find here? Why should they come here? Where can they read more (links, resources, etc)? You may want to close this topic via the admin :wrench: (at the upper right and bottom), so that replies don’t pile up on an announcement.	en_US	3
11	'/2018/06/understanding-discourse-trust-levels/':108 '/badges/3/regular':80 '/wiki/nofollow':46 '06':113 '2018':112 '3':23,68 'access':56 'automat':52 'ball':8 'blog':109 'blog.discourse.org':107 'blog.discourse.org/2018/06/understanding-discourse-trust-levels/':106 'categori':35,60 'chang':33 'communiti':99 'confetti':7 'congratul':6 'continu':128 'current':81 'discours':110,116 'edit':27 'en':47 'en.wikipedia.org':45 'en.wikipedia.org/wiki/nofollow':44 'fellow':84 'flag':76 'follow':43 'hi':90 'hide':71 'higher':70 'import':95 'inform':102 'level':22,67,105,118 'link':42 'list':82 'loung':4A,5B,59 'meet':130 'member':126 'nofollow':51,53 'note':123 'org':49,111 'part':96 'pleas':122 'privat':58 'promot':18 'recent':17 'regular':20,85,137 'remain':136 'remov':55 'requir':132 'say':89 'see':12,119 'singl':75 'spam':72 'sure':87 'thank':91 'time':134 'titl':29 'topic':14,32,38,121 'trust':21,66,104,117 'understand':115 'understanding-discourse-trust-level':114 'user':64 'visibl':62 'welcom':1A 'wiki':50 'wikipedia':48	Welcome to the Lounge Lounge Congratulations! :confetti_ball: If you can see this topic, you were recently promoted to regular (trust level 3). You can now … Edit the title of any topic Change the category of any topic Have all your links followed ( https://en.wikipedia.org/wiki/Nofollow en wikipedia org wiki Nofollow automatic nofollow is removed) Access a private Lounge category only visible to users at trust level 3 and higher Hide spam with a single flag Here’s the /badges/3/regular current list of fellow regulars . Be sure to say hi. Thanks for being an important part of this community! (For more information on trust levels, https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/ blog discourse org 2018 06 understanding-discourse-trust-levels see this topic . Please note that only members who continue to meet the requirements over time will remain regulars.) )	en_US	3
12	'/2014/08/building-a-discourse-community/':1060 '/2018/06/understanding-discourse-trust-levels/':808,950 '/admin':79 '/admin/email':346 '/admin/upgrade':1251 '/categories':562 '/category/lounge':483 '/category/site-feedback':463 '/category/staff':495 '/discourse/discourse/blob/master/docs/admin-quick-start-guide.md':1531 '/discourse/discourse/blob/master/docs/install-email.md':413 '/discourse/discourse/blob/master/docs/install.md':1193 '/discourse/discourse/tree/master/script/import_scripts':1398 '/discourse/wp-discourse':1467 '/my/invited':163 '/t/5249':474 '/t/adding-an-offline-page-when-rebuilding/45238':1444 '/t/allowing-ssl-for-your-discourse-docker-setup/13847':1281 '/t/configure-a-firewall-for-discourse/20584':1425 '/t/configure-automatic-backups-for-discourse/14855':1264 '/t/configuring-facebook-login-for-discourse/13394':246 '/t/configuring-github-login-for-discourse/13745':262 '/t/configuring-google-oauth2-login-for-discourse/15858':213 '/t/configuring-twitter-login-for-discourse/13395':230 '/t/embedding-discourse-comments-via-javascript/31963':1481 '/t/enable-a-cdn-for-your-discourse/14857':1299 '/t/how-do-i-change-the-domain-name/16098':1358 '/t/invite-individual-users-to-a-group/15544':1145 '/t/login-to-discourse-with-custom-oauth2-provider/14717':304 '/t/move-your-discourse-instance-to-a-different-server/15721':1336 '/t/multisite-configuration-with-docker/14084':1378 '/t/official-single-sign-on-for-discourse/13045':281 '/t/sending-bulk-user-invites/16468':1128 '/t/set-up-reply-via-email-support/14003':441,1318 '/wizard':39 '0':856,882 '06':813,955 '08':1065 '1':858,965,997 '10':968 '13045':293 '13394':257 '13395':241 '13745':273 '13847':1294 '14003':453,1330 '14084':1388 '14717':317 '14855':1275 '14857':1311 '15544':1157 '15721':1350 '15858':225 '16098':1371 '16468':1138 '1gb':1166 '2':860,889,919 '2014':1064 '2018':812,954 '20584':1436 '3':492,862 '31963':1492 '4':864 '45238':1456 '50':1001 '5249':479 'abil':834 'access':83 'account':205,331 'action':925 'activ':854 'actual':905 'ad':1450 'add':143,151,210,520,557 'adding-an-offline-page-when-rebuild':1449 'addit':152 'address':355,359 'admin':4A,66,70,76,93,122,176,187,348,501,764,1540 'admin-quick-start-guid':1539 'advanc':1122 'advic':1056 'allow':1287 'allowing-ssl-for-your-discourse-docker-setup':1286 'alreadi':36 'also':82,278,717,1120 'alway':519 'anyth':126,129 'area':785,1108,1115 'aren':396 'arriv':795 'assist':836,1503 'assum':542 'attach':896 'audienc':516 'automat':669,1271,1276 'backup':1272,1278 'banner':645,724,726,744,761,1027 'basic':859,1176 'bbpress':1416 'begin':551 'belong':640 'better':531 'blob':418,1198,1536 'blog':809,951,1061 'blog.discourse.org':807,949,1059 'blog.discourse.org/2014/08/building-a-discourse-community/':1058 'blog.discourse.org/2018/06/understanding-discourse-trust-levels/':806,948 'bootstrap':981 'bottom':662,685,771,1102 'build':318,1003,1008,1067,1071 'building-a-discourse-commun':1066 'bulk':525,1135,1140 'bunch':622 'button':177,191,1099 'cannot':142,885 'categori':144,457,462,510,522,559,563,568,579,591,593,599,611,631,707 'cdn':1307 'certain':582 'chang':146,676,1367,1372 'chick':29 'civil':24 'clear':634,1017 'click':174,364,566,746,1247 'close':377 'com':415,1195,1400,1469,1533 'comment':1489 'commit':1035 'communiti':115,802,831,840,850,1005,1009,1020,1043,1070,1074,1178,1181 'complet':64 'configur':48,128,219,236,252,268,343,427,1270,1385,1431,1437,1505 'configure-a-firewall-for-discours':1430 'configure-automatic-backups-for-discours':1269 'configuring-facebook-login-for-discours':251 'configuring-github-login-for-discours':267 'configuring-google-oauth2-login-for-discourse':218 'configuring-twitter-login-for-discours':235 'congratul':9 'construct':26 'contain':1205 'content':1312,1410 'control':682 'corner':752 'correct':344 'cpu':1164,1189 'creat':506,567 'custom':314 'd':430 'daili':1277 'dashboard':67,77 'data':1355 'default':461,847,973 'defin':1018 'deliver':382,406 'deliveri':1313 'descript':614,635 'design':843 'didn':385 'differ':654,1348 'discours':22,25,215,224,232,240,248,256,264,272,283,292,306,312,416,417,443,476,656,803,810,816,841,952,958,1062,1069,1073,1130,1147,1177,1196,1197,1224,1236,1266,1274,1283,1291,1301,1310,1320,1338,1344,1360,1380,1390,1401,1402,1427,1435,1446,1464,1470,1473,1483,1488,1509,1514,1517,1534,1535 'discuss':467,784,1031 'dismiss':741 'doc':420,1200,1538 'docker':1204,1292,1387 'domain':1369,1374 'drupal':1415 'earn':826 'easi':1216,1245 'easili':524 'edit':136 'either':404 'email':325,326,337,349,354,358,367,372,376,381,390,403,405,423,425,438,451,1091,1230,1328,1333 'emb':1463 'embed':1487 'embedding-discourse-comments-via-javascript':1486 'enabl':433,1305 'enable-a-cdn-for-your-discours':1304 'enough':714 'enter':352,616 'especi':936 'etc':1417 'even':301,851 'eventu':1257 'everi':592,924 'everyon':877 'everywher':1044 'exercis':68 'export':1353 'facebook':253,258 'feedback':465 'field':362,911 'figur':533 'file':895 'find':1051 'firewal':1419,1433,1438 'first':3A 'flag':900 'float':728,743 'forum':1510 'friend':1441 'function':94 'gain':833 'general':96,466 'get':30,387,398,545,1080,1228 'github':269,274,414,1194,1399,1468,1532 'github.com':412,1192,1397,1466,1530 'github.com/discourse/discourse/blob/master/docs/admin-quick-start-guide.md':1529 'github.com/discourse/discourse/blob/master/docs/install-email.md':411 'github.com/discourse/discourse/blob/master/docs/install.md':1191 'github.com/discourse/discourse/tree/master/script/import_scripts':1396 'github.com/discourse/wp-discourse':1465 'give':628 'global':698 'go':43,539 'good':633 'googl':220,226 'got':369 'govern':838 'grant':186,189,994 'great':373 'group':583,1156,1161 'grow':1182 'guarante':1215 'guid':7A,1526,1543 'hamburg':87 'hard':409,1011 'hatch':28 'haven':34 'help':1500 'higher':494 'hint':552 'how-do-i-change-the-domain-nam':1363 'howto':456 'html':1496 'https':1295 'hyperlink':890 'icon':102 'imag':893 'import':380,482,1351,1406,1408 'improv':1522 'includ':1121 'individu':1152 'initi':509,596,798 'instal':422,1201,1206,1477 'install-email':421 'instanc':1242,1345,1391 'interest':1033 'invit':167,1076,1088,1098,1107,1114,1137,1141,1151,1158 'invite-individual-users-to-a-group':1150 'isn':711 'javascript':1491 'join':169 'kind':119 'kit':27 'later':528 'launch':37,1013 'leader':865 'level':491,818,881,960,964,996 'like':431 'limit':932 'link':906,1041 'list':702 'littl':653 'll':544 'local':201 'log':197 'login':194,222,227,238,243,254,259,270,275,310,321 'login-to-discourse-with-custom-oauth2-provider':309 'look':104,183 'loung':484 'mainten':1162 'make':339,754 'mani':57,508 'mark':97 'master':419,1199,1404,1537 'may':207,1184 'md':424,1202,1544 'mean':392 'member':109,154,861 'memori':1168,1187 'mention':916 'menu':88 'messag':899 'meta':214,231,247,263,282,305,442,475,1129,1146,1265,1282,1300,1319,1337,1359,1379,1426,1445,1482,1513 'meta.discourse.org':212,229,245,261,280,303,440,473,1127,1144,1263,1280,1298,1317,1335,1357,1377,1424,1443,1480,1512,1516 'meta.discourse.org/t/5249':472 'meta.discourse.org/t/adding-an-offline-page-when-rebuilding/45238':1442 'meta.discourse.org/t/allowing-ssl-for-your-discourse-docker-setup/13847':1279 'meta.discourse.org/t/configure-a-firewall-for-discourse/20584':1423 'meta.discourse.org/t/configure-automatic-backups-for-discourse/14855':1262 'meta.discourse.org/t/configuring-facebook-login-for-discourse/13394':244 'meta.discourse.org/t/configuring-github-login-for-discourse/13745':260 'meta.discourse.org/t/configuring-google-oauth2-login-for-discourse/15858':211 'meta.discourse.org/t/configuring-twitter-login-for-discourse/13395':228 'meta.discourse.org/t/embedding-discourse-comments-via-javascript/31963':1479 'meta.discourse.org/t/enable-a-cdn-for-your-discourse/14857':1297 'meta.discourse.org/t/how-do-i-change-the-domain-name/16098':1356 'meta.discourse.org/t/invite-individual-users-to-a-group/15544':1143 'meta.discourse.org/t/login-to-discourse-with-custom-oauth2-provider/14717':302 'meta.discourse.org/t/move-your-discourse-instance-to-a-different-server/15721':1334 'meta.discourse.org/t/multisite-configuration-with-docker/14084':1376 'meta.discourse.org/t/official-single-sign-on-for-discourse/13045':279 'meta.discourse.org/t/sending-bulk-user-invites/16468':1126 'meta.discourse.org/t/set-up-reply-via-email-support/14003':439,1316 'method':322,1124 'might':1256 'minimum':1173 'minut':969 'mode':982 'moder':133,190,503,855 'move':1342 'move-your-discourse-instance-to-a-different-serv':1341 'multipl':1389 'multisit':1384 'multisite-configuration-with-dock':1383 'name':915,1370,1375 'need':1185,1498 'network':1314 'new':330,630,775,792,857,867,883,939,945,990,1233 'note':646,977 'notif':334,402,1231 'oauth2':221,315 'offer':845 'offici':111,287,1212 'official-single-sign-on-for-discours':286 'offlin':1452,1457 'old':1409 'one':719,1077,1163,1210,1246 'open':788 'optim':1221 'org':23,216,233,249,265,284,307,444,477,811,953,1063,1131,1148,1267,1284,1302,1321,1339,1361,1381,1428,1447,1484,1515,1518 'organ':536 'overwhelm':514 'owner':15 'page':173,182,564,737,1112,1119,1453,1458 'particip':1039 'password':204 'patient':1007 'peopl':637,1049,1081 'per':578 'per-categori':577 'perk':486 'perman':740 'person':680,898 'phpbb':1413 'pin':605,642,648,665,681,691,696,710,758,1025 'place':624 'post':138,886,891,901,923 'primari':736 'probabl':395 'process':1249 'profil':914,1111,1118 'promot':1046 'proud':14 'provid':316 'public':791,849 'pull':1545 'purpos':1022 'quick':5A,1541 'rate':931 'rather':540 'reach':1000 'read':1A,374,410,659,971 'rebuild':1455,1460 'recategor':526 'recommend':1220 'regular':863,1040 'releas':1238 'remov':756 'repli':434,449,1326,1331 'repres':112 'request':1546 'requir':328 'resourc':1190 'restrict':875 'right':92,548,572,751,769 'run':53,1507 'safe':65,846,975 'safeti':879,934 'sandbox':777,873 'script':1405,1407 'secur':576 'see':454,587,1511 'seed':1029 'send':164,365,897,1075,1134,1139 'sending-bulk-user-invit':1133 'server':1349,1395,1422 'servic':426 'set':149,294,350,447,575,985,1260,1324 'set-up-reply-via-email-support':446,1323 'setup':40,1293 'sign':157,289,298 'signup':332,400 'singl':288,297,720 'single-sign':296 'site':50,132,148,161,464,470,988,1085,1497 'social':193 'someon':658 'specif':673 'ssl':1288 'staff':8B,107,108,121,153,496,500,690,1123 'start':6A,31,869,1542 'static':1495 'step':46 'stranger':799 'submit':1527 'suggest':1520 'superpow':71 'support':452,1213,1296,1315,1329 'sure':340,626,1015 'swap':1170 'system':781,820 'take':929 'team':1225 'test':323,335,361,366,371,389 'thing':1254 'three':460 'time':58,73,825 'tip':383 'top':608,730,768 'topic':436,527,588,600,602,643,649,666,688,693,701,721,727,733,774,903,1028,1034,1105 'tradit':200 'transit':961 'tree':1403 'trust':490,780,817,819,828,880,959,963,995 'turn':718 'twitter':237,242 'two':118 'understand':638,815,957 'understanding-discourse-trust-level':814,956 'unpin':670 'updat':1217,1240,1524 'upgrad':1248,1462 'upper':91,571,750 'use':619,762 'user':140,172,181,195,394,488,585,738,776,822,868,884,920,927,940,946,991,1002,1136,1153,1159,1440 'usernam':202 'vanilla':1414 'vbulletin':1412 'version':1234 'via':74,85,170,437,450,678,1090,1096,1243,1327,1332,1490 'visibl':497,713 'visit':345,560,1037,1083,1250 'visitor':793 'want':61,208,1258 'way':1078 'within':705 'wizard':41,55 'won':554 'wordpress':1476 'work':651 'worri':944 'wp':1472 'wp-discours':1471 'wrench':100,101,178,765 'www':21 'www.discourse.org':20	READ ME FIRST: Admin Quick Start Guide Staff Congratulations, you are now the proud owner of your very own https://www.discourse.org www discourse org Civilized Discourse Construction Kit . :hatching_chick: Getting Started If you haven’t already, launch the /wizard setup wizard and go through the steps to configure your site. You can run the wizard as many times as you want, it’s completely safe! Admin Dashboard Exercise your admin superpowers any time via the admin dashboard at /admin You can also access it via the “hamburger” ☰ menu in the upper right: Admin functions are generally marked with the wrench :wrench: icon, so look for that. Staff Staff members are official representatives of this community. There are two kinds of Staff: Admins , who can do anything and configure anything on this site. Moderators , who can edit all posts and users, but cannot add categories or change any site settings. To add additional staff members: have them sign up on the site (or /my/invited send out an invitation to join via your user page ) click the admin button :wrench: on their user page look for the Grant Admin and Grant Moderator buttons there Social Logins Users can log in with traditional local username and password accounts. You may want to add: https://meta.discourse.org/t/configuring-google-oauth2-login-for-discourse/15858 meta discourse org t configuring-google-oauth2-login-for-discourse 15858 Google logins https://meta.discourse.org/t/configuring-twitter-login-for-discourse/13395 meta discourse org t configuring-twitter-login-for-discourse 13395 Twitter logins https://meta.discourse.org/t/configuring-facebook-login-for-discourse/13394 meta discourse org t configuring-facebook-login-for-discourse 13394 Facebook logins https://meta.discourse.org/t/configuring-github-login-for-discourse/13745 meta discourse org t configuring-github-login-for-discourse 13745 GitHub logins You can also https://meta.discourse.org/t/official-single-sign-on-for-discourse/13045 meta discourse org t official-single-sign-on-for-discourse 13045 set up single-sign on , or even https://meta.discourse.org/t/login-to-discourse-with-custom-oauth2-provider/14717 meta discourse org t login-to-discourse-with-custom-oauth2-provider 14717 build your own login method . Test Your Email Email is required for new account signups and notifications. Test your email to make sure it is configured correctly! Visit /admin/email the admin email settings , then enter an email address in the “email address to test” field and click send test email . You got the test email? Great! Read that email closely , it has important email deliverability tips. You didn’t get the test email? This means your users probably aren’t getting any signup or notification emails either. Email deliverability can be hard. Read https://github.com/discourse/discourse/blob/master/docs/INSTALL-email.md github com discourse discourse blob master docs INSTALL-email md Email Service Configuration . If you’d like to enable replying to topics via email, https://meta.discourse.org/t/set-up-reply-via-email-support/14003 meta discourse org t set-up-reply-via-email-support 14003 see this howto . Categories You have three default categories: /category/site-feedback Site Feedback – general discussion about the site itself. https://meta.discourse.org/t/5249 meta discourse org t 5249 It’s important! /category/lounge Lounge – a perk for users at trust level 3 and higher /category/staff Staff – visible only to staff (admins and moderators) Don’t create too many initial categories , as you can overwhelm your audience. You can always add more categories, and easily bulk recategorize topics later. It’s better to figure out the organization as you go rather than assuming you’ll get it all right from the beginning (hint: you won’t). To add a category, visit the /categories categories page , then click Create Category at the upper right. You can set security per-category so only certain groups of users can see topics in that category. Every category has an initial “About this category” topic. This topic will be pinned to the top of the category, and the description you enter will be used in a bunch of places. Be sure to give your new category a good, clear description, so people understand what belongs there! Pinned Topics and Banners Note that pinning topics does work a little differently in Discourse: Once someone reads to the bottom of a pinned topic, it is automatically unpinned for them specifically. They can change this via the personal pin controls at the bottom of the topic. When staff pins a topic, they can pin it globally to all topic lists, or just within its category. If a pin isn’t visible enough, you can also turn one single topic into a banner . The banner topic floats on top of all topics and all primary pages. Users can permanently dismiss this floating banner by clicking the × in the upper right corner. To make (or remove) a pin or a banner, use the admin wrench at the top right or bottom of the topic. New User Sandbox and the Trust System If your discussion area is be open to the public, new visitors will arrive that are initially strangers to the community. Discourse has a https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/ blog discourse org 2018 06 understanding-discourse-trust-levels trust system where users can, over time, earn the trust of the community and gain abilities to assist in governing their community. Discourse is designed to offer safe defaults for public communities, even with no active moderation. 0 (new) → 1 (basic) → 2 (member) → 3 (regular) → 4 (leader) All new users start out in a sandbox with restrictions for everyone’s safety. Trust level 0 (new) users cannot … post more than 2 hyperlinks post any images or file attachments send personal messages flag posts or topics have actual links in the “about me” field of their profile @name mention more than 2 users in a post Every action a user can take is rate limited for safety, and especially so for new users. But don’t worry, new users can https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/ blog discourse org 2018 06 understanding-discourse-trust-levels transition to trust level 1 in about 10 minutes of reading. These defaults are safe, but note that while in “bootstrap mode” after you set up your site, all new users will be granted trust level 1 until you reach 50 users. Building Your Community Be patient; building communities is hard. Before launching, be sure to: Clearly define your community’s purpose in a pinned or banner topic. Seed the discussion with interesting topics. Commit to visiting and participating regularly. Link your community everywhere and promote it so people can find it. There’s more advice at https://blog.discourse.org/2014/08/building-a-discourse-community/ blog discourse org 2014 08 building-a-discourse-community Building a Discourse Community . Sending Invitations One way to get people to visit your site is to invite them via email. You can do this via: The Invite button at the bottom of the topic. The Invite area on your profile page. The invite area on your profile page also includes advanced Staff methods of https://meta.discourse.org/t/sending-bulk-user-invites/16468 meta discourse org t sending-bulk-user-invites 16468 sending bulk invites , and https://meta.discourse.org/t/invite-individual-users-to-a-group/15544 meta discourse org t invite-individual-users-to-a-group 15544 inviting users into groups . Maintenance One CPU and 1GB of memory, with swap, is the minimum for a basic Discourse community. As your community grows you may need more memory or CPU resources. https://github.com/discourse/discourse/blob/master/docs/INSTALL.md github com discourse discourse blob master docs INSTALL md Our Docker container install is the only one we officially support. It guarantees easy updates, and all recommended optimizations from the Discourse team. You should get an email notification when new versions of Discourse are released. To update your instance via our easy one click upgrade process, visit /admin/upgrade . Some other things you might eventually want to set up: https://meta.discourse.org/t/configure-automatic-backups-for-discourse/14855 meta discourse org t configure-automatic-backups-for-discourse 14855 Automatic daily backups https://meta.discourse.org/t/allowing-ssl-for-your-discourse-docker-setup/13847 meta discourse org t allowing-ssl-for-your-discourse-docker-setup 13847 HTTPS support https://meta.discourse.org/t/enable-a-cdn-for-your-discourse/14857 meta discourse org t enable-a-cdn-for-your-discourse 14857 Content Delivery Network support https://meta.discourse.org/t/set-up-reply-via-email-support/14003 meta discourse org t set-up-reply-via-email-support 14003 Reply via Email https://meta.discourse.org/t/move-your-discourse-instance-to-a-different-server/15721 meta discourse org t move-your-discourse-instance-to-a-different-server 15721 Import and Export your data https://meta.discourse.org/t/how-do-i-change-the-domain-name/16098 meta discourse org t how-do-i-change-the-domain-name 16098 Change the domain name https://meta.discourse.org/t/multisite-configuration-with-docker/14084 meta discourse org t multisite-configuration-with-docker 14084 Multiple Discourse instances on the same server https://github.com/discourse/discourse/tree/master/script/import_scripts github com discourse discourse tree master script import_scripts Import old content from vBulletin, PHPbb, Vanilla, Drupal, BBPress, etc A firewall on your server? https://meta.discourse.org/t/configure-a-firewall-for-discourse/20584 meta discourse org t configure-a-firewall-for-discourse 20584 Configure firewall . A user friendly https://meta.discourse.org/t/adding-an-offline-page-when-rebuilding/45238 meta discourse org t adding-an-offline-page-when-rebuilding 45238 offline page when rebuilding or upgrading? Embed Discourse https://github.com/discourse/wp-discourse github com discourse wp-discourse in your WordPress install , or https://meta.discourse.org/t/embedding-discourse-comments-via-javascript/31963 meta discourse org t embedding-discourse-comments-via-javascript 31963 on your static HTML site Need more Help? For more assistance on configuring and running your Discourse forum, see https://meta.discourse.org meta discourse org meta.discourse.org discourse org . Have suggestions to improve or update this guide? Submit a https://github.com/discourse/discourse/blob/master/docs/ADMIN-QUICK-START-GUIDE.md github com discourse discourse blob master docs ADMIN-QUICK-START-GUIDE md pull request .	en_US	3
\.


--
-- Data for Name: post_stats; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_stats (id, post_id, drafts_saved, typing_duration_msecs, composer_open_duration_msecs, created_at, updated_at) FROM stdin;
1	4	0	0	0	2019-12-05 04:03:35.439941	2019-12-05 04:03:35.439941
2	5	0	0	0	2019-12-05 04:03:35.805569	2019-12-05 04:03:35.805569
3	6	0	0	0	2019-12-05 04:03:35.963775	2019-12-05 04:03:35.963775
4	7	0	0	0	2019-12-05 04:03:36.154181	2019-12-05 04:03:36.154181
5	8	0	0	0	2019-12-05 04:03:36.296197	2019-12-05 04:03:36.296197
6	9	0	0	0	2019-12-05 04:03:36.468575	2019-12-05 04:03:36.468575
7	10	0	0	0	2019-12-05 04:03:36.662432	2019-12-05 04:03:36.662432
8	11	0	0	0	2019-12-05 04:03:36.841641	2019-12-05 04:03:36.841641
9	12	0	0	0	2019-12-05 04:03:37.136624	2019-12-05 04:03:37.136624
\.


--
-- Data for Name: post_timings; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_timings (topic_id, post_number, user_id, msecs) FROM stdin;
4	1	-1	5000
4	2	-1	5000
5	1	-1	5000
5	2	-1	5000
6	1	-1	5000
6	2	-1	5000
7	1	-1	5000
8	1	-1	5000
9	1	-1	5000
\.


--
-- Data for Name: post_uploads; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.post_uploads (id, post_id, upload_id) FROM stdin;
\.


--
-- Data for Name: posts; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.posts (id, user_id, topic_id, post_number, raw, cooked, created_at, updated_at, reply_to_post_number, reply_count, quote_count, deleted_at, off_topic_count, like_count, incoming_link_count, bookmark_count, avg_time, score, reads, post_type, sort_order, last_editor_id, hidden, hidden_reason_id, notify_moderators_count, spam_count, illegal_count, inappropriate_count, last_version_at, user_deleted, reply_to_user_id, percent_rank, notify_user_count, like_score, deleted_by_id, edit_reason, word_count, version, cook_method, wiki, baked_at, baked_version, hidden_at, self_edits, reply_quoted, via_email, raw_email, public_version, action_code, image_url, locked_by_id) FROM stdin;
1	-1	1	1	Discussion about this site, its organization, how it works, and how we can improve it.	<p>Discussion about this site, its organization, how it works, and how we can improve it.</p>	2019-12-05 04:03:32.941769	2019-12-05 04:03:32.941769	\N	0	0	\N	0	0	0	0	\N	0	0	1	1	-1	f	\N	0	0	0	0	2019-12-05 04:03:33.036595	f	\N	0	0	0	\N	\N	15	1	1	f	2019-12-05 04:03:32.941717	2	\N	0	f	f	\N	1	\N	\N	\N
2	-1	2	1	Private category for staff discussions. Topics are only visible to admins and moderators.	<p>Private category for staff discussions. Topics are only visible to admins and moderators.</p>	2019-12-05 04:03:33.128119	2019-12-05 04:03:33.128119	\N	0	0	\N	0	0	0	0	\N	0	0	1	1	-1	f	\N	0	0	0	0	2019-12-05 04:03:33.138858	f	\N	0	0	0	\N	\N	13	1	1	f	2019-12-05 04:03:33.128079	2	\N	0	f	f	\N	1	\N	\N	\N
3	-1	3	1	A category exclusive to members with trust level 3 and higher.	<p>A category exclusive to members with trust level 3 and higher.</p>	2019-12-05 04:03:33.177089	2019-12-05 04:03:33.177089	\N	0	0	\N	0	0	0	0	\N	0	0	1	1	-1	f	\N	0	0	0	0	2019-12-05 04:03:33.188952	f	\N	0	0	0	\N	\N	11	1	1	f	2019-12-05 04:03:33.177047	2	\N	0	f	f	\N	1	\N	\N	\N
5	-1	4	2	Edit the first post in this topic to change the contents of the Terms of Service page.	<p>Edit the first post in this topic to change the contents of the Terms of Service page.</p>	2019-12-05 04:03:35.791749	2019-12-05 04:03:35.791749	\N	0	0	\N	0	0	0	0	\N	0.200000000000000011	1	1	2	-1	f	\N	0	0	0	0	2019-12-05 04:03:35.803344	f	\N	0	0	0	\N	\N	17	1	1	f	2019-12-05 04:03:35.791695	2	\N	0	f	f	\N	1	\N	\N	\N
6	-1	5	1	<a name="civilized"></a>\n\n## [This is a Civilized Place for Public Discussion](#civilized)\n\nPlease treat this discussion forum with the same respect you would a public park. We, too, are a shared community resource &mdash; a place to share skills, knowledge and interests through ongoing conversation.\n\nThese are not hard and fast rules, merely guidelines to aid the human judgment of our community and keep this a clean and well-lighted place for civilized public discourse.\n\n<a name="improve"></a>\n\n## [Improve the Discussion](#improve)\n\nHelp us make this a great place for discussion by always working to improve the discussion in some way, however small. If you are not sure your post adds to the conversation, think over what you want to say and try again later.\n\nThe topics discussed here matter to us, and we want you to act as if they matter to you, too. Be respectful of the topics and the people discussing them, even if you disagree with some of what is being said.\n\nOne way to improve the discussion is by discovering ones that are already happening. Spend time browsing the topics here before replying or starting your own, and you’ll have a better chance of meeting others who share your interests.\n\n<a name="agreeable"></a>\n\n## [Be Agreeable, Even When You Disagree](#agreeable)\n\nYou may wish to respond to something by disagreeing with it. That’s fine. But remember to _criticize ideas, not people_. Please avoid:\n\n* Name-calling\n* Ad hominem attacks\n* Responding to a post’s tone instead of its actual content\n* Knee-jerk contradiction\n\nInstead, provide reasoned counter-arguments that improve the conversation.\n\n<a name="participate"></a>\n\n## [Your Participation Counts](#participate)\n\nThe conversations we have here set the tone for every new arrival. Help us influence the future of this community by choosing to engage in discussions that make this forum an interesting place to be &mdash; and avoiding those that do not.\n\nDiscourse provides tools that enable the community to collectively identify the best (and worst) contributions: bookmarks, likes, flags, replies, edits, and so forth. Use these tools to improve your own experience, and everyone else’s, too.\n\nLet’s leave our community better than we found it.\n\n<a name="flag-problems"></a>\n\n## [If You See a Problem, Flag It](#flag-problems)\n\nModerators have special authority; they are responsible for this forum. But so are you. With your help, moderators can be community facilitators, not just janitors or police.\n\nWhen you see bad behavior, don’t reply. It encourages the bad behavior by acknowledging it, consumes your energy, and wastes everyone’s time. _Just flag it_. If enough flags accrue, action will be taken, either automatically or by moderator intervention.\n\nIn order to maintain our community, moderators reserve the right to remove any content and any user account for any reason at any time. Moderators do not preview new posts; the moderators and site operators take no responsibility for any content posted by the community.\n\n<a name="be-civil"></a>\n\n## [Always Be Civil](#be-civil)\n\nNothing sabotages a healthy conversation like rudeness:\n\n* Be civil. Don’t post anything that a reasonable person would consider offensive, abusive, or hate speech.\n* Keep it clean. Don’t post anything obscene or sexually explicit.\n* Respect each other. Don’t harass or grief anyone, impersonate people, or expose their private information.\n* Respect our forum. Don’t post spam or otherwise vandalize the forum.\n\nThese are not concrete terms with precise definitions &mdash; avoid even the _appearance_ of any of these things. If you’re unsure, ask yourself how you would feel if your post was featured on the front page of the New York Times.\n\nThis is a public forum, and search engines index these discussions. Keep the language, links, and images safe for family and friends.\n\n<a name="keep-tidy"></a>\n\n## [Keep It Tidy](#keep-tidy)\n\nMake the effort to put things in the right place, so that we can spend more time discussing and less cleaning up. So:\n\n* Don’t start a topic in the wrong category.\n* Don’t cross-post the same thing in multiple topics.\n* Don’t post no-content replies.\n* Don’t divert a topic by changing it midstream.\n* Don’t sign your posts &mdash; every post has your profile information attached to it.\n\nRather than posting “+1” or “Agreed”, use the Like button. Rather than taking an existing topic in a radically different direction, use Reply as a Linked Topic.\n\n<a name="stealing"></a>\n\n## [Post Only Your Own Stuff](#stealing)\n\nYou may not post anything digital that belongs to someone else without permission. You may not post descriptions of, links to, or methods for stealing someone’s intellectual property (software, video, audio, images), or for breaking any other law.\n\n<a name="power"></a>\n\n## [Powered by You](#power)\n\nThis site is operated by your [friendly local staff](/about) and *you*, the community. If you have any further questions about how things should work here, open a new topic in the [site feedback category](/c/site-feedback) and let's discuss! If there's a critical or urgent issue that can't be handled by a meta topic or flag, contact us via the [staff page](/about).\n\n<a name="tos"></a>\n\n## [Terms of Service](#tos)\n\nYes, legalese is boring, but we must protect ourselves &ndash; and by extension, you and your data &ndash; against unfriendly folks. We have a [Terms of Service](/tos) describing your (and our) behavior and rights related to content, privacy, and laws. To use this service, you must agree to abide by our [TOS](/tos).	<p><a name="civilized"></a></p>\n<h2><a href="#civilized">This is a Civilized Place for Public Discussion</a></h2>\n<p>Please treat this discussion forum with the same respect you would a public park. We, too, are a shared community resource — a place to share skills, knowledge and interests through ongoing conversation.</p>\n<p>These are not hard and fast rules, merely guidelines to aid the human judgment of our community and keep this a clean and well-lighted place for civilized public discourse.</p>\n<p><a name="improve"></a></p>\n<h2><a href="#improve">Improve the Discussion</a></h2>\n<p>Help us make this a great place for discussion by always working to improve the discussion in some way, however small. If you are not sure your post adds to the conversation, think over what you want to say and try again later.</p>\n<p>The topics discussed here matter to us, and we want you to act as if they matter to you, too. Be respectful of the topics and the people discussing them, even if you disagree with some of what is being said.</p>\n<p>One way to improve the discussion is by discovering ones that are already happening. Spend time browsing the topics here before replying or starting your own, and you’ll have a better chance of meeting others who share your interests.</p>\n<p><a name="agreeable"></a></p>\n<h2><a href="#agreeable">Be Agreeable, Even When You Disagree</a></h2>\n<p>You may wish to respond to something by disagreeing with it. That’s fine. But remember to <em>criticize ideas, not people</em>. Please avoid:</p>\n<ul>\n<li>Name-calling</li>\n<li>Ad hominem attacks</li>\n<li>Responding to a post’s tone instead of its actual content</li>\n<li>Knee-jerk contradiction</li>\n</ul>\n<p>Instead, provide reasoned counter-arguments that improve the conversation.</p>\n<p><a name="participate"></a></p>\n<h2><a href="#participate">Your Participation Counts</a></h2>\n<p>The conversations we have here set the tone for every new arrival. Help us influence the future of this community by choosing to engage in discussions that make this forum an interesting place to be — and avoiding those that do not.</p>\n<p>Discourse provides tools that enable the community to collectively identify the best (and worst) contributions: bookmarks, likes, flags, replies, edits, and so forth. Use these tools to improve your own experience, and everyone else’s, too.</p>\n<p>Let’s leave our community better than we found it.</p>\n<p><a name="flag-problems"></a></p>\n<h2><a href="#flag-problems">If You See a Problem, Flag It</a></h2>\n<p>Moderators have special authority; they are responsible for this forum. But so are you. With your help, moderators can be community facilitators, not just janitors or police.</p>\n<p>When you see bad behavior, don’t reply. It encourages the bad behavior by acknowledging it, consumes your energy, and wastes everyone’s time. <em>Just flag it</em>. If enough flags accrue, action will be taken, either automatically or by moderator intervention.</p>\n<p>In order to maintain our community, moderators reserve the right to remove any content and any user account for any reason at any time. Moderators do not preview new posts; the moderators and site operators take no responsibility for any content posted by the community.</p>\n<p><a name="be-civil"></a></p>\n<h2><a href="#be-civil">Always Be Civil</a></h2>\n<p>Nothing sabotages a healthy conversation like rudeness:</p>\n<ul>\n<li>Be civil. Don’t post anything that a reasonable person would consider offensive, abusive, or hate speech.</li>\n<li>Keep it clean. Don’t post anything obscene or sexually explicit.</li>\n<li>Respect each other. Don’t harass or grief anyone, impersonate people, or expose their private information.</li>\n<li>Respect our forum. Don’t post spam or otherwise vandalize the forum.</li>\n</ul>\n<p>These are not concrete terms with precise definitions — avoid even the <em>appearance</em> of any of these things. If you’re unsure, ask yourself how you would feel if your post was featured on the front page of the New York Times.</p>\n<p>This is a public forum, and search engines index these discussions. Keep the language, links, and images safe for family and friends.</p>\n<p><a name="keep-tidy"></a></p>\n<h2><a href="#keep-tidy">Keep It Tidy</a></h2>\n<p>Make the effort to put things in the right place, so that we can spend more time discussing and less cleaning up. So:</p>\n<ul>\n<li>Don’t start a topic in the wrong category.</li>\n<li>Don’t cross-post the same thing in multiple topics.</li>\n<li>Don’t post no-content replies.</li>\n<li>Don’t divert a topic by changing it midstream.</li>\n<li>Don’t sign your posts — every post has your profile information attached to it.</li>\n</ul>\n<p>Rather than posting “+1” or “Agreed”, use the Like button. Rather than taking an existing topic in a radically different direction, use Reply as a Linked Topic.</p>\n<p><a name="stealing"></a></p>\n<h2><a href="#stealing">Post Only Your Own Stuff</a></h2>\n<p>You may not post anything digital that belongs to someone else without permission. You may not post descriptions of, links to, or methods for stealing someone’s intellectual property (software, video, audio, images), or for breaking any other law.</p>\n<p><a name="power"></a></p>\n<h2><a href="#power">Powered by You</a></h2>\n<p>This site is operated by your <a href="/about">friendly local staff</a> and <em>you</em>, the community. If you have any further questions about how things should work here, open a new topic in the <a href="/c/site-feedback">site feedback category</a> and let’s discuss! If there’s a critical or urgent issue that can’t be handled by a meta topic or flag, contact us via the <a href="/about">staff page</a>.</p>\n<p><a name="tos"></a></p>\n<h2><a href="#tos">Terms of Service</a></h2>\n<p>Yes, legalese is boring, but we must protect ourselves – and by extension, you and your data – against unfriendly folks. We have a <a href="/tos">Terms of Service</a> describing your (and our) behavior and rights related to content, privacy, and laws. To use this service, you must agree to abide by our <a href="/tos">TOS</a>.</p>	2019-12-05 04:03:35.93475	2019-12-05 04:03:35.93475	\N	0	0	\N	0	0	0	0	\N	0.200000000000000011	1	1	1	-1	f	\N	0	0	0	0	2019-12-05 04:03:35.960817	f	\N	0	0	0	\N	\N	926	1	1	f	2019-12-05 04:03:35.934666	2	\N	0	f	f	\N	1	\N	\N	\N
7	-1	5	2	Edit the first post in this topic to change the contents of the FAQ/Guidelines page.	<p>Edit the first post in this topic to change the contents of the FAQ/Guidelines page.</p>	2019-12-05 04:03:36.14008	2019-12-05 04:03:36.14008	\N	0	0	\N	0	0	0	0	\N	0.200000000000000011	1	1	2	-1	f	\N	0	0	0	0	2019-12-05 04:03:36.152057	f	\N	0	0	0	\N	\N	16	1	1	f	2019-12-05 04:03:36.140031	2	\N	0	f	f	\N	1	\N	\N	\N
8	-1	6	1	<a name="collect"></a>\n\n## [What information do we collect?](#collect)\n\nWe collect information from you when you register on our site and gather data when you participate in the forum by reading, writing, and evaluating the content shared here.\n\nWhen registering on our site, you may be asked to enter your name and e-mail address. You may, however, visit our site without registering. Your e-mail address will be verified by an email containing a unique link. If that link is visited, we know that you control the e-mail address.\n\nWhen registered and posting, we record the IP address that the post originated from. We also may retain server logs which include the IP address of every request to our server.\n\n<a name="use"></a>\n\n## [What do we use your information for?](#use)\n\nAny of the information we collect from you may be used in one of the following ways:\n\n* To personalize your experience &mdash; your information helps us to better respond to your individual needs.\n* To improve our site &mdash; we continually strive to improve our site offerings based on the information and feedback we receive from you.\n* To improve customer service &mdash; your information helps us to more effectively respond to your customer service requests and support needs.\n* To send periodic emails &mdash; The email address you provide may be used to send you information, notifications that you request about changes to topics or in response to your user name, respond to inquiries, and/or other requests or questions.\n\n<a name="protect"></a>\n\n## [How do we protect your information?](#protect)\n\nWe implement a variety of security measures to maintain the safety of your personal information when you enter, submit, or access your personal information.\n\n<a name="data-retention"></a>\n\n## [What is your data retention policy?](#data-retention)\n\nWe will make a good faith effort to:\n\n* Retain server logs containing the IP address of all requests to this server no more than 90 days.\n* Retain the IP addresses associated with registered users and their posts no more than 5 years.\n\n<a name="cookies"></a>\n\n## [Do we use cookies?](#cookies)\n\nYes. Cookies are small files that a site or its service provider transfers to your computer's hard drive through your Web browser (if you allow). These cookies enable the site to recognize your browser and, if you have a registered account, associate it with your registered account.\n\nWe use cookies to understand and save your preferences for future visits and compile aggregate data about site traffic and site interaction so that we can offer better site experiences and tools in the future. We may contract with third-party service providers to assist us in better understanding our site visitors. These service providers are not permitted to use the information collected on our behalf except to help us conduct and improve our business.\n\n<a name="disclose"></a>\n\n## [Do we disclose any information to outside parties?](#disclose)\n\nWe do not sell, trade, or otherwise transfer to outside parties your personally identifiable information. This does not include trusted third parties who assist us in operating our site, conducting our business, or servicing you, so long as those parties agree to keep this information confidential. We may also release your information when we believe release is appropriate to comply with the law, enforce our site policies, or protect ours or others rights, property, or safety. However, non-personally identifiable visitor information may be provided to other parties for marketing, advertising, or other uses.\n\n<a name="third-party"></a>\n\n## [Third party links](#third-party)\n\nOccasionally, at our discretion, we may include or offer third party products or services on our site. These third party sites have separate and independent privacy policies. We therefore have no responsibility or liability for the content and activities of these linked sites. Nonetheless, we seek to protect the integrity of our site and welcome any feedback about these sites.\n\n<a name="coppa"></a>\n\n## [Children's Online Privacy Protection Act Compliance](#coppa)\n\nOur site, products and services are all directed to people who are at least 13 years old or older. If this server is in the USA, and you are under the age of 13, per the requirements of COPPA ([Children's Online Privacy Protection Act](https://en.wikipedia.org/wiki/Children%27s_Online_Privacy_Protection_Act)), do not use this site.\n\n<a name="online"></a>\n\n## [Online Privacy Policy Only](#online)\n\nThis online privacy policy applies only to information collected through our site and not to information collected offline.\n\n<a name="consent"></a>\n\n## [Your Consent](#consent)\n\nBy using our site, you consent to our web site privacy policy.\n\n<a name="changes"></a>\n\n## [Changes to our Privacy Policy](#changes)\n\nIf we decide to change our privacy policy, we will post those changes on this page.\n\nThis document is CC-BY-SA. It was last updated May 31, 2013.	<p><a name="collect"></a></p>\n<h2><a href="#collect">What information do we collect?</a></h2>\n<p>We collect information from you when you register on our site and gather data when you participate in the forum by reading, writing, and evaluating the content shared here.</p>\n<p>When registering on our site, you may be asked to enter your name and e-mail address. You may, however, visit our site without registering. Your e-mail address will be verified by an email containing a unique link. If that link is visited, we know that you control the e-mail address.</p>\n<p>When registered and posting, we record the IP address that the post originated from. We also may retain server logs which include the IP address of every request to our server.</p>\n<p><a name="use"></a></p>\n<h2><a href="#use">What do we use your information for?</a></h2>\n<p>Any of the information we collect from you may be used in one of the following ways:</p>\n<ul>\n<li>To personalize your experience — your information helps us to better respond to your individual needs.</li>\n<li>To improve our site — we continually strive to improve our site offerings based on the information and feedback we receive from you.</li>\n<li>To improve customer service — your information helps us to more effectively respond to your customer service requests and support needs.</li>\n<li>To send periodic emails — The email address you provide may be used to send you information, notifications that you request about changes to topics or in response to your user name, respond to inquiries, and/or other requests or questions.</li>\n</ul>\n<p><a name="protect"></a></p>\n<h2><a href="#protect">How do we protect your information?</a></h2>\n<p>We implement a variety of security measures to maintain the safety of your personal information when you enter, submit, or access your personal information.</p>\n<p><a name="data-retention"></a></p>\n<h2><a href="#data-retention">What is your data retention policy?</a></h2>\n<p>We will make a good faith effort to:</p>\n<ul>\n<li>Retain server logs containing the IP address of all requests to this server no more than 90 days.</li>\n<li>Retain the IP addresses associated with registered users and their posts no more than 5 years.</li>\n</ul>\n<p><a name="cookies"></a></p>\n<h2><a href="#cookies">Do we use cookies?</a></h2>\n<p>Yes. Cookies are small files that a site or its service provider transfers to your computer’s hard drive through your Web browser (if you allow). These cookies enable the site to recognize your browser and, if you have a registered account, associate it with your registered account.</p>\n<p>We use cookies to understand and save your preferences for future visits and compile aggregate data about site traffic and site interaction so that we can offer better site experiences and tools in the future. We may contract with third-party service providers to assist us in better understanding our site visitors. These service providers are not permitted to use the information collected on our behalf except to help us conduct and improve our business.</p>\n<p><a name="disclose"></a></p>\n<h2><a href="#disclose">Do we disclose any information to outside parties?</a></h2>\n<p>We do not sell, trade, or otherwise transfer to outside parties your personally identifiable information. This does not include trusted third parties who assist us in operating our site, conducting our business, or servicing you, so long as those parties agree to keep this information confidential. We may also release your information when we believe release is appropriate to comply with the law, enforce our site policies, or protect ours or others rights, property, or safety. However, non-personally identifiable visitor information may be provided to other parties for marketing, advertising, or other uses.</p>\n<p><a name="third-party"></a></p>\n<h2><a href="#third-party">Third party links</a></h2>\n<p>Occasionally, at our discretion, we may include or offer third party products or services on our site. These third party sites have separate and independent privacy policies. We therefore have no responsibility or liability for the content and activities of these linked sites. Nonetheless, we seek to protect the integrity of our site and welcome any feedback about these sites.</p>\n<p><a name="coppa"></a></p>\n<h2><a href="#coppa">Children’s Online Privacy Protection Act Compliance</a></h2>\n<p>Our site, products and services are all directed to people who are at least 13 years old or older. If this server is in the USA, and you are under the age of 13, per the requirements of COPPA (<a href="https://en.wikipedia.org/wiki/Children%27s_Online_Privacy_Protection_Act">Children’s Online Privacy Protection Act</a>), do not use this site.</p>\n<p><a name="online"></a></p>\n<h2><a href="#online">Online Privacy Policy Only</a></h2>\n<p>This online privacy policy applies only to information collected through our site and not to information collected offline.</p>\n<p><a name="consent"></a></p>\n<h2><a href="#consent">Your Consent</a></h2>\n<p>By using our site, you consent to our web site privacy policy.</p>\n<p><a name="changes"></a></p>\n<h2><a href="#changes">Changes to our Privacy Policy</a></h2>\n<p>If we decide to change our privacy policy, we will post those changes on this page.</p>\n<p>This document is CC-BY-SA. It was last updated May 31, 2013.</p>	2019-12-05 04:03:36.267312	2019-12-05 04:03:36.267312	\N	0	0	\N	0	0	0	0	\N	0.200000000000000011	1	1	1	-1	f	\N	0	0	0	0	2019-12-05 04:03:36.293379	f	\N	0	0	0	\N	\N	806	1	1	f	2019-12-05 04:03:36.267255	2	\N	0	f	f	\N	1	\N	\N	\N
9	-1	6	2	Edit the first post in this topic to change the contents of the Privacy Policy page.	<p>Edit the first post in this topic to change the contents of the Privacy Policy page.</p>	2019-12-05 04:03:36.449051	2019-12-05 04:03:36.449051	\N	0	0	\N	0	0	0	0	\N	0.200000000000000011	1	1	2	-1	f	\N	0	0	0	0	2019-12-05 04:03:36.46533	f	\N	0	0	0	\N	\N	16	1	1	f	2019-12-05 04:03:36.449001	2	\N	0	f	f	\N	1	\N	\N	\N
4	-1	4	1	These terms govern use of the Internet forum at <http://t.goodrain.com>. To use the forum, you must agree to these terms with <ins>company_name</ins>, the company that runs the forum.\n\nThe company may offer other products and services, under different terms. These terms apply only to use of the forum.\n\nSkip to:\n\n- [Important Terms](#heading--important-terms)\n- [Your Permission to Use the Forum](#heading--permission)\n- [Conditions for Use of the Forum](#heading--conditions)\n- [Acceptable Use](#heading--acceptable-use)\n- [Content Standards](#heading--content-standards)\n- [Enforcement](#heading--enforcement)\n- [Your Account](#heading--your-account)\n- [Your Content](#heading--your-content)\n- [Your Responsibility](#heading--responsibility)\n- [Disclaimers](#heading--disclaimers)\n- [Limits on Liability](#heading--liability)\n- [Feedback](#heading--feedback)\n- [Termination](#heading--termination)\n- [Disputes](#heading--disputes)\n- [General Terms](#heading--general)\n- [Contact](#heading--contact)\n- [Changes](#heading--changes)\n\n<h2 id="heading--important-terms"><a href="#heading--important-terms">Important Terms</a></h2>\n\n***These terms include a number of important provisions that affect your rights and responsibilities, such as the disclaimers in [Disclaimers](#heading--disclaimers), limits on the company's liability to you in [Limits on Liability](#heading--liability), your agreement to cover the company for damages caused by your misuse of the forum in [Responsibility for Your Use](#heading--responsibility), and an agreement to arbitrate disputes in [Disputes](#heading--disputes).***\n\n<h2 id="heading--permission"><a href="#heading--permission">Your Permission to Use the Forum</a></h2>\n\nSubject to these terms, the company gives you permission to use the forum. Everyone needs to agree to these terms to use the forum.\n\n<h2 id="heading--conditions"><a href="#heading--conditions">Conditions for Use of the Forum</a></h2>\n\nYour permission to use the forum is subject to the following conditions:\n\n1. You must be at least thirteen years old.\n\n2. You may no longer use the forum if the company contacts you directly to say that you may not.\n\n3. You must use the forum in accordance with [Acceptable Use](#heading--acceptable-use) and [Content Standards](#heading--content-standards).\n\n<h2 id="heading--acceptable-use"><a href="#heading--acceptable-use">Acceptable Use</a></h2>\n\n1. You may not break the law using the forum.\n\n2. You may not use or try to use another's account on the forum without their specific permission.\n\n3. You may not buy, sell, or otherwise trade in user names or other unique identifiers on the forum.\n\n4. You may not send advertisements, chain letters, or other solicitations through the forum, or use the forum to gather addresses or other personal data for commercial mailing lists or databases.\n\n5. You may not automate access to the forum, or monitor the forum, such as with a web crawler, browser plug-in or add-on, or other computer program that is not a web browser. You may crawl the forum to index it for a publicly available search engine, if you run one.\n\n6. You may not use the forum to send e-mail to distribution lists, newsgroups, or group mail aliases.\n\n7. You may not falsely imply that you're affiliated with or endorsed by the company.\n\n8. You may not hyperlink to images or other non-hypertext content on the forum on other webpages.\n\n9. You may not remove any marks showing proprietary ownership from materials you download from the forum.\n\n10. You may not show any part of the forum on other websites with `<iframe>`.\n\n11. You may not disable, avoid, or circumvent any security or access restrictions of the forum.\n\n12. You may not strain infrastructure of the forum with an unreasonable volume of requests, or requests designed to impose an unreasonable load on information systems underlying the forum.\n\n13. You may not impersonate others through the forum.\n\n14. You may not encourage or help anyone in violation of these terms.\n\n<h2 id="heading--content-standards"><a href="#heading--content-standards">Content Standards</a></h2>\n\n1. You may not submit content to the forum that is illegal, offensive, or otherwise harmful to others. This includes content that is harassing, inappropriate, or abusive.\n\n2. You may not submit content to the forum that violates the law, infringes anyone's intellectual property rights, violates anyone's privacy, or breaches agreements you have with others.\n\n3. You may not submit content to the forum containing malicious computer code, such as computer viruses or spyware.\n\n4. You may not submit content to the forum as a mere placeholder, to hold a particular address, user name, or other unique identifier.\n\n5. You may not use the forum to disclose information that you don't have the right to disclose, like others' confidential or personal information.\n\n<h2 id="heading--enforcement"><a href="#heading--enforcement">Enforcement</a></h2>\n\nThe company may investigate and prosecute violations of these terms to the fullest legal extent. The company may notify and cooperate with law enforcement authorities in prosecuting violations of the law and these terms.\n\nThe company reserves the right to change, redact, and delete content on the forum for any reason. If you believe someone has submitted content to the forum in violation of these terms, [contact us immediately](#heading--contact).\n\n<h2 id="heading--your-account"><a href="#heading--your-account">Your Account</a></h2>\n\nYou must create and log into an account to use some features of the forum.\n\nTo create an account, you must provide some information about yourself. If you create an account, you agree to provide, at a minimum, a valid e-mail address, and to keep that address up-to-date. You may close your account at any time by e-mailing <<ins>contact_email</ins>>.\n\nYou agree to be responsible for all action taken using your account, whether authorized by you or not, until you either close your account or notify the company that your account has been compromised. You agree to notify the company immediately if you suspect your account has been compromised. You agree to select a secure password for your account, and keep it secret.\n\nThe company may restrict, suspend, or close your account on the forum according to its policy for handling copyright-related takedown requests, or if the company reasonably believes that you've broken any rule in these terms.\n\n<h2 id="heading--your-content"><a href="#heading--your-content">Your Content</a></h2>\n\nNothing in these terms gives the company any ownership rights in intellectual property that you share with the forum, such as your account information, posts, or other content you submit to the forum. Nothing in these terms gives you any ownership rights in the company's intellectual property, either.\n\nBetween you and the company, you remain solely responsible for content you submit to the forum. You agree not to wrongly imply that content you submit to the forum is sponsored or approved by the company. These terms do not obligate the company to store, maintain, or provide copies of content you submit, and to change it, according to these terms.\n\nContent you submit to the forum belongs to you, and you decide what permission to give others for it. But at a minimum, you license the company to provide content that you submit to the forum to other users of the forum. That special license allows the company to copy, publish, and analyze content you submit to the forum.\n\nWhen content you submit is removed from the forum, whether by you or by the company, the company's special license ends when the last copy disappears from the company's backups, caches, and other systems. Other licenses you apply to content you submit, such as [Creative Commons](https://creativecommons.org) licenses, may continue after your content is removed. Those licenses may give others, or the company itself, the right to share your content through the forum again.\n\nOthers who receive content you submit to the forum may violate the terms on which you license your content. You agree that the company will not be liable to you for those violations or their consequences.\n\n<h2 id="heading--responsibility"><a href="#heading--responsibility">Your Responsibility</a></h2>\n\nYou agree to indemnify the company from legal claims by others related to your breach of these terms, or breach of these terms by others using your account on the forum. Both you and the company agree to notify the other side of any legal claims for which you might have to indemnify the company as soon as possible. If the company fails to notify you of a legal claim promptly, you won't have to indemnify the company for damages that you could have defended against or mitigated with prompt notice. You agree to allow the company to control investigation, defense, and settlement of legal claims for which you would have to indemnify the company, and to cooperate with those efforts. The company agrees not to agree to any settlement that admits fault for you or imposes obligations on you without your prior agreement.\n\n<h2 id="heading--disclaimers"><a href="#heading--disclaimers">Disclaimers</a></h2>\n\n***You accept all risk of using the forum and content on the forum. As far as the law allows, the company and its suppliers provide the forum as is, without any warranty whatsoever.***\n\nThe forum may hyperlink to and integrate forums and services run by others. The company does not make any warranty about services run by others, or content they may provide. Use of services run by others may be governed by other terms between you and the one running service.\n\n<h2 id="heading--liability"><a href="#heading--liability">Limits on Liability</a></h2>\n\n***Neither the company nor its suppliers will be liable to you for breach-of-contract damages their personnel could not have reasonably foreseen when you agreed to these terms.***\n\n***As far as the law allows, the total liability to you for claims of any kind that are related to the forum or content on the forum will be limited to $50.***\n\n<h2 id="heading--feedback"><a href="#heading--feedback">Feedback</a></h2>\n\nThe company welcomes your feedback and suggestions for the forum. See the [Contact](#heading--contact) section below for ways to get in touch with us.\n\nYou agree that the company will be free to act on feedback and suggestions you provide, and that the company won't have to notify you that your feedback was used, get your permission to use it, or pay you. You agree not to submit feedback or suggestions that you believe might be confidential or proprietary, to you or others.\n\n<h2 id="heading--termination"><a href="#heading--termination">Termination</a></h2>\n\nEither you or the company may end the agreement written out in these terms at any time. When our agreement ends, your permission to use the forum also ends.\n\nThe following provisions survive the end of our agreement: [Your Content](#heading--your-content), [Feedback](#heading--feedback), [Your Responsibility](#heading--responsibility), [Disclaimers](#heading--disclaimers), [Limits on Liability](#heading--liability), and [General Terms](#heading--general).\n\n<h2 id="heading--disputes"><a href="#heading--disputes">Disputes</a></h2>\n\n<ins>governing_law</ins> will govern any dispute related to these terms or your use of the forum.\n\nYou and the company agree to seek injunctions related to these terms only in state or federal court in <ins>city_for_disputes</ins>. Neither you nor the company will object to jurisdiction, forum, or venue in those courts.\n\n***Other than to seek an injunction or for claims under the Computer Fraud and Abuse Act, you and the company will resolve any dispute by binding American Arbitration Association arbitration. Arbitration will follow the AAA's Commercial Arbitration Rules and Supplementary Procedures for Consumer Related Disputes. Arbitration will happen in <ins>city_for_disputes</ins>. You will settle any dispute as an individual, and not as part of a class action or other representative proceeding, whether as the plaintiff or a class member. No arbitrator will consolidate any dispute with any other arbitration without the company's permission.***\n\nAny arbitration award will include costs of the arbitration, reasonable attorneys' fees, and reasonable costs for witnesses. You and the company may enter arbitration awards in any court with jurisdiction.\n\n<h2 id="heading--general"><a href="#heading--general">General Terms</a></h2>\n\nIf a provision of these terms is unenforceable as written, but could be changed to make it enforceable, that provision should be modified to the minimum extent necessary to make it enforceable. Otherwise, that provision should be removed.\n\nYou may not assign your agreement with the company. The company may assign your agreement to any affiliate of the company, any other company that obtains control of the company, or any other company that buys assets of the company related to the forum. Any attempted assignment against these terms has no legal effect.\n\nNeither the exercise of any right under this Agreement, nor waiver of any breach of this Agreement, waives any other breach of this Agreement.\n\nThese terms embody all the terms of agreement between you and the company about use of the forum. These terms entirely replace any other agreements about your use of the forum, written or not.\n\n<h2 id="heading--contact"><a href="#heading--contact">Contact</a></h2>\n\nYou may notify the company under these terms, and send questions to the company, at <<ins>contact_email</ins>>.\n\nThe company may notify you under these terms using the e-mail address you provide for your account on the forum, or by posting a message to the homepage of the forum or your account page.\n\n<h2 id="heading--changes"><a href="#heading--changes">Changes</a></h2>\n\nThe company last updated these terms on July 12, 2018, and may update these terms again. The company will post all updates to the forum. For updates that contain substantial changes, the company agrees to e-mail you, if you've created an account and provided a valid e-mail address. The company may also announce updates with special messages or alerts on the forum.\n\nOnce you get notice of an update to these terms, you must agree to the new terms in order to keep using the forum.	<p>These terms govern use of the Internet forum at <a href="//t.goodrain.com">http://t.goodrain.com</a>. To use the forum, you must agree to these terms with <ins>company_name</ins>, the company that runs the forum.</p>\n<p>The company may offer other products and services, under different terms. These terms apply only to use of the forum.</p>\n<p>Skip to:</p>\n<ul>\n<li><a href="#heading--important-terms">Important Terms</a></li>\n<li><a href="#heading--permission">Your Permission to Use the Forum</a></li>\n<li><a href="#heading--conditions">Conditions for Use of the Forum</a></li>\n<li><a href="#heading--acceptable-use">Acceptable Use</a></li>\n<li><a href="#heading--content-standards">Content Standards</a></li>\n<li><a href="#heading--enforcement">Enforcement</a></li>\n<li><a href="#heading--your-account">Your Account</a></li>\n<li><a href="#heading--your-content">Your Content</a></li>\n<li><a href="#heading--responsibility">Your Responsibility</a></li>\n<li><a href="#heading--disclaimers">Disclaimers</a></li>\n<li><a href="#heading--liability">Limits on Liability</a></li>\n<li><a href="#heading--feedback">Feedback</a></li>\n<li><a href="#heading--termination">Termination</a></li>\n<li><a href="#heading--disputes">Disputes</a></li>\n<li><a href="#heading--general">General Terms</a></li>\n<li><a href="#heading--contact">Contact</a></li>\n<li><a href="#heading--changes">Changes</a></li>\n</ul>\n<h2 id="heading--important-terms"><a href="#heading--important-terms">Important Terms</a></h2>\n<p><em><strong>These terms include a number of important provisions that affect your rights and responsibilities, such as the disclaimers in <a href="#heading--disclaimers">Disclaimers</a>, limits on the company’s liability to you in <a href="#heading--liability">Limits on Liability</a>, your agreement to cover the company for damages caused by your misuse of the forum in <a href="#heading--responsibility">Responsibility for Your Use</a>, and an agreement to arbitrate disputes in <a href="#heading--disputes">Disputes</a>.</strong></em></p>\n<h2 id="heading--permission"><a href="#heading--permission">Your Permission to Use the Forum</a></h2>\n<p>Subject to these terms, the company gives you permission to use the forum. Everyone needs to agree to these terms to use the forum.</p>\n<h2 id="heading--conditions"><a href="#heading--conditions">Conditions for Use of the Forum</a></h2>\n<p>Your permission to use the forum is subject to the following conditions:</p>\n<ol>\n<li>\n<p>You must be at least thirteen years old.</p>\n</li>\n<li>\n<p>You may no longer use the forum if the company contacts you directly to say that you may not.</p>\n</li>\n<li>\n<p>You must use the forum in accordance with <a href="#heading--acceptable-use">Acceptable Use</a> and <a href="#heading--content-standards">Content Standards</a>.</p>\n</li>\n</ol>\n<h2 id="heading--acceptable-use"><a href="#heading--acceptable-use">Acceptable Use</a></h2>\n<ol>\n<li>\n<p>You may not break the law using the forum.</p>\n</li>\n<li>\n<p>You may not use or try to use another’s account on the forum without their specific permission.</p>\n</li>\n<li>\n<p>You may not buy, sell, or otherwise trade in user names or other unique identifiers on the forum.</p>\n</li>\n<li>\n<p>You may not send advertisements, chain letters, or other solicitations through the forum, or use the forum to gather addresses or other personal data for commercial mailing lists or databases.</p>\n</li>\n<li>\n<p>You may not automate access to the forum, or monitor the forum, such as with a web crawler, browser plug-in or add-on, or other computer program that is not a web browser. You may crawl the forum to index it for a publicly available search engine, if you run one.</p>\n</li>\n<li>\n<p>You may not use the forum to send e-mail to distribution lists, newsgroups, or group mail aliases.</p>\n</li>\n<li>\n<p>You may not falsely imply that you’re affiliated with or endorsed by the company.</p>\n</li>\n<li>\n<p>You may not hyperlink to images or other non-hypertext content on the forum on other webpages.</p>\n</li>\n<li>\n<p>You may not remove any marks showing proprietary ownership from materials you download from the forum.</p>\n</li>\n<li>\n<p>You may not show any part of the forum on other websites with <code>&lt;iframe&gt;</code>.</p>\n</li>\n<li>\n<p>You may not disable, avoid, or circumvent any security or access restrictions of the forum.</p>\n</li>\n<li>\n<p>You may not strain infrastructure of the forum with an unreasonable volume of requests, or requests designed to impose an unreasonable load on information systems underlying the forum.</p>\n</li>\n<li>\n<p>You may not impersonate others through the forum.</p>\n</li>\n<li>\n<p>You may not encourage or help anyone in violation of these terms.</p>\n</li>\n</ol>\n<h2 id="heading--content-standards"><a href="#heading--content-standards">Content Standards</a></h2>\n<ol>\n<li>\n<p>You may not submit content to the forum that is illegal, offensive, or otherwise harmful to others. This includes content that is harassing, inappropriate, or abusive.</p>\n</li>\n<li>\n<p>You may not submit content to the forum that violates the law, infringes anyone’s intellectual property rights, violates anyone’s privacy, or breaches agreements you have with others.</p>\n</li>\n<li>\n<p>You may not submit content to the forum containing malicious computer code, such as computer viruses or spyware.</p>\n</li>\n<li>\n<p>You may not submit content to the forum as a mere placeholder, to hold a particular address, user name, or other unique identifier.</p>\n</li>\n<li>\n<p>You may not use the forum to disclose information that you don’t have the right to disclose, like others’ confidential or personal information.</p>\n</li>\n</ol>\n<h2 id="heading--enforcement"><a href="#heading--enforcement">Enforcement</a></h2>\n<p>The company may investigate and prosecute violations of these terms to the fullest legal extent. The company may notify and cooperate with law enforcement authorities in prosecuting violations of the law and these terms.</p>\n<p>The company reserves the right to change, redact, and delete content on the forum for any reason. If you believe someone has submitted content to the forum in violation of these terms, <a href="#heading--contact">contact us immediately</a>.</p>\n<h2 id="heading--your-account"><a href="#heading--your-account">Your Account</a></h2>\n<p>You must create and log into an account to use some features of the forum.</p>\n<p>To create an account, you must provide some information about yourself. If you create an account, you agree to provide, at a minimum, a valid e-mail address, and to keep that address up-to-date. You may close your account at any time by e-mailing &lt;<ins>contact_email</ins>&gt;.</p>\n<p>You agree to be responsible for all action taken using your account, whether authorized by you or not, until you either close your account or notify the company that your account has been compromised. You agree to notify the company immediately if you suspect your account has been compromised. You agree to select a secure password for your account, and keep it secret.</p>\n<p>The company may restrict, suspend, or close your account on the forum according to its policy for handling copyright-related takedown requests, or if the company reasonably believes that you’ve broken any rule in these terms.</p>\n<h2 id="heading--your-content"><a href="#heading--your-content">Your Content</a></h2>\n<p>Nothing in these terms gives the company any ownership rights in intellectual property that you share with the forum, such as your account information, posts, or other content you submit to the forum. Nothing in these terms gives you any ownership rights in the company’s intellectual property, either.</p>\n<p>Between you and the company, you remain solely responsible for content you submit to the forum. You agree not to wrongly imply that content you submit to the forum is sponsored or approved by the company. These terms do not obligate the company to store, maintain, or provide copies of content you submit, and to change it, according to these terms.</p>\n<p>Content you submit to the forum belongs to you, and you decide what permission to give others for it. But at a minimum, you license the company to provide content that you submit to the forum to other users of the forum. That special license allows the company to copy, publish, and analyze content you submit to the forum.</p>\n<p>When content you submit is removed from the forum, whether by you or by the company, the company’s special license ends when the last copy disappears from the company’s backups, caches, and other systems. Other licenses you apply to content you submit, such as <a href="https://creativecommons.org">Creative Commons</a> licenses, may continue after your content is removed. Those licenses may give others, or the company itself, the right to share your content through the forum again.</p>\n<p>Others who receive content you submit to the forum may violate the terms on which you license your content. You agree that the company will not be liable to you for those violations or their consequences.</p>\n<h2 id="heading--responsibility"><a href="#heading--responsibility">Your Responsibility</a></h2>\n<p>You agree to indemnify the company from legal claims by others related to your breach of these terms, or breach of these terms by others using your account on the forum. Both you and the company agree to notify the other side of any legal claims for which you might have to indemnify the company as soon as possible. If the company fails to notify you of a legal claim promptly, you won’t have to indemnify the company for damages that you could have defended against or mitigated with prompt notice. You agree to allow the company to control investigation, defense, and settlement of legal claims for which you would have to indemnify the company, and to cooperate with those efforts. The company agrees not to agree to any settlement that admits fault for you or imposes obligations on you without your prior agreement.</p>\n<h2 id="heading--disclaimers"><a href="#heading--disclaimers">Disclaimers</a></h2>\n<p><em><strong>You accept all risk of using the forum and content on the forum. As far as the law allows, the company and its suppliers provide the forum as is, without any warranty whatsoever.</strong></em></p>\n<p>The forum may hyperlink to and integrate forums and services run by others. The company does not make any warranty about services run by others, or content they may provide. Use of services run by others may be governed by other terms between you and the one running service.</p>\n<h2 id="heading--liability"><a href="#heading--liability">Limits on Liability</a></h2>\n<p><em><strong>Neither the company nor its suppliers will be liable to you for breach-of-contract damages their personnel could not have reasonably foreseen when you agreed to these terms.</strong></em></p>\n<p><em><strong>As far as the law allows, the total liability to you for claims of any kind that are related to the forum or content on the forum will be limited to $50.</strong></em></p>\n<h2 id="heading--feedback"><a href="#heading--feedback">Feedback</a></h2>\n<p>The company welcomes your feedback and suggestions for the forum. See the <a href="#heading--contact">Contact</a> section below for ways to get in touch with us.</p>\n<p>You agree that the company will be free to act on feedback and suggestions you provide, and that the company won’t have to notify you that your feedback was used, get your permission to use it, or pay you. You agree not to submit feedback or suggestions that you believe might be confidential or proprietary, to you or others.</p>\n<h2 id="heading--termination"><a href="#heading--termination">Termination</a></h2>\n<p>Either you or the company may end the agreement written out in these terms at any time. When our agreement ends, your permission to use the forum also ends.</p>\n<p>The following provisions survive the end of our agreement: <a href="#heading--your-content">Your Content</a>, <a href="#heading--feedback">Feedback</a>, <a href="#heading--responsibility">Your Responsibility</a>, <a href="#heading--disclaimers">Disclaimers</a>, <a href="#heading--liability">Limits on Liability</a>, and <a href="#heading--general">General Terms</a>.</p>\n<h2 id="heading--disputes"><a href="#heading--disputes">Disputes</a></h2>\n<p><ins>governing_law</ins> will govern any dispute related to these terms or your use of the forum.</p>\n<p>You and the company agree to seek injunctions related to these terms only in state or federal court in <ins>city_for_disputes</ins>. Neither you nor the company will object to jurisdiction, forum, or venue in those courts.</p>\n<p><em><strong>Other than to seek an injunction or for claims under the Computer Fraud and Abuse Act, you and the company will resolve any dispute by binding American Arbitration Association arbitration. Arbitration will follow the AAA’s Commercial Arbitration Rules and Supplementary Procedures for Consumer Related Disputes. Arbitration will happen in <ins>city_for_disputes</ins>. You will settle any dispute as an individual, and not as part of a class action or other representative proceeding, whether as the plaintiff or a class member. No arbitrator will consolidate any dispute with any other arbitration without the company’s permission.</strong></em></p>\n<p>Any arbitration award will include costs of the arbitration, reasonable attorneys’ fees, and reasonable costs for witnesses. You and the company may enter arbitration awards in any court with jurisdiction.</p>\n<h2 id="heading--general"><a href="#heading--general">General Terms</a></h2>\n<p>If a provision of these terms is unenforceable as written, but could be changed to make it enforceable, that provision should be modified to the minimum extent necessary to make it enforceable. Otherwise, that provision should be removed.</p>\n<p>You may not assign your agreement with the company. The company may assign your agreement to any affiliate of the company, any other company that obtains control of the company, or any other company that buys assets of the company related to the forum. Any attempted assignment against these terms has no legal effect.</p>\n<p>Neither the exercise of any right under this Agreement, nor waiver of any breach of this Agreement, waives any other breach of this Agreement.</p>\n<p>These terms embody all the terms of agreement between you and the company about use of the forum. These terms entirely replace any other agreements about your use of the forum, written or not.</p>\n<h2 id="heading--contact"><a href="#heading--contact">Contact</a></h2>\n<p>You may notify the company under these terms, and send questions to the company, at &lt;<ins>contact_email</ins>&gt;.</p>\n<p>The company may notify you under these terms using the e-mail address you provide for your account on the forum, or by posting a message to the homepage of the forum or your account page.</p>\n<h2 id="heading--changes"><a href="#heading--changes">Changes</a></h2>\n<p>The company last updated these terms on July 12, 2018, and may update these terms again. The company will post all updates to the forum. For updates that contain substantial changes, the company agrees to e-mail you, if you’ve created an account and provided a valid e-mail address. The company may also announce updates with special messages or alerts on the forum.</p>\n<p>Once you get notice of an update to these terms, you must agree to the new terms in order to keep using the forum.</p>	2019-12-05 04:03:35.380446	2019-12-05 04:03:35.380446	\N	0	0	\N	0	0	0	0	\N	0.200000000000000011	1	1	1	-1	f	\N	0	0	0	0	2019-12-05 04:03:35.435829	f	\N	0	0	0	\N	\N	2336	1	1	f	2019-12-05 04:03:35.380372	2	\N	0	f	f	\N	1	\N	\N	\N
11	-1	8	1	\nCongratulations! :confetti_ball:\n\nIf you can see this topic, you were recently promoted to **regular** (trust level 3).\n\nYou can now &hellip;\n\n* Edit the title of any topic\n* Change the category of any topic\n* Have all your links followed ([automatic nofollow](https://en.wikipedia.org/wiki/Nofollow) is removed)\n* Access a private Lounge category only visible to users at trust level 3 and higher\n* Hide spam with a single flag\n\nHere's the [current list of fellow regulars](/badges/3/regular). Be sure to say hi.\n\nThanks for being an important part of this community!\n\n(For more information on trust levels, [see this topic][trust]. Please note that only members who continue to meet the requirements over time will remain regulars.)\n\n[trust]: https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/	<p>Congratulations! <img src="//t.goodrain.com/images/emoji/twitter/confetti_ball.png?v=9" title=":confetti_ball:" class="emoji" alt=":confetti_ball:"></p>\n<p>If you can see this topic, you were recently promoted to <strong>regular</strong> (trust level 3).</p>\n<p>You can now …</p>\n<ul>\n<li>Edit the title of any topic</li>\n<li>Change the category of any topic</li>\n<li>Have all your links followed (<a href="https://en.wikipedia.org/wiki/Nofollow">automatic nofollow</a> is removed)</li>\n<li>Access a private Lounge category only visible to users at trust level 3 and higher</li>\n<li>Hide spam with a single flag</li>\n</ul>\n<p>Here’s the <a href="/badges/3/regular">current list of fellow regulars</a>. Be sure to say hi.</p>\n<p>Thanks for being an important part of this community!</p>\n<p>(For more information on trust levels, <a href="https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/">see this topic</a>. Please note that only members who continue to meet the requirements over time will remain regulars.)</p>	2019-12-05 04:03:36.827413	2019-12-05 04:03:36.827413	\N	0	0	\N	0	0	0	0	\N	0.200000000000000011	1	1	1	-1	f	\N	0	0	0	0	2019-12-05 04:03:36.839222	f	\N	0	0	0	\N	\N	131	1	1	f	2019-12-05 04:03:36.827361	2	\N	0	f	f	\N	1	\N	\N	\N
12	-1	9	1	Congratulations, you are now the proud owner of your very own [Civilized Discourse Construction Kit](https://www.discourse.org). :hatching_chick:\n\n### Getting Started\n\nIf you haven't already, launch the [setup wizard](/wizard) and go through the steps to configure your site. You can run the wizard as many times as you want, it's completely safe!\n\n### Admin Dashboard\n\nExercise your admin superpowers any time via the admin dashboard at\n\n[**/admin**](/admin)\n\nYou can also access it via the "hamburger" <kbd>☰</kbd> menu in the upper right: Admin functions are generally marked with the wrench :wrench:  icon, so look for that.\n\n### Staff\n\nStaff members are official representatives of this community. There are two kinds of Staff:\n\n1. **Admins**, who can do anything and configure anything on this site.\n2. **Moderators**, who can edit all posts and users, but cannot add categories or change any site settings.\n\nTo add additional staff members:\n\n- have them sign up on the site (or [send out an invitation to join via your user page](/my/invited))\n- click the admin button :wrench: on their user page\n- look for the <kbd>Grant Admin</kbd> and <kbd>Grant Moderator</kbd> buttons there\n\n### Social Logins\n\nUsers can log in with traditional local username and password accounts. You may want to add:\n\n- [Google logins](https://meta.discourse.org/t/configuring-google-oauth2-login-for-discourse/15858)\n- [Twitter logins](https://meta.discourse.org/t/configuring-twitter-login-for-discourse/13395)\n- [Facebook logins](https://meta.discourse.org/t/configuring-facebook-login-for-discourse/13394)\n- [GitHub logins](https://meta.discourse.org/t/configuring-github-login-for-discourse/13745)\n\nYou can also [set up single-sign on](https://meta.discourse.org/t/official-single-sign-on-for-discourse/13045), or even [build your own login method](https://meta.discourse.org/t/login-to-discourse-with-custom-oauth2-provider/14717).\n\n### Test Your Email\n\nEmail is required for new account signups and notifications. **Test your email to make sure it is configured correctly!**  Visit [the admin email settings](/admin/email), then enter an email address in the "email address to test" field and click <kbd>send test email</kbd>.\n\n- You got the test email? Great! **Read that email closely**, it has important email deliverability tips.\n- You didn't get the test email? This means your users probably aren't getting any signup or notification emails either.\n- Email deliverability can be hard. Read [**Email Service Configuration**](https://github.com/discourse/discourse/blob/master/docs/INSTALL-email.md).\n\nIf you'd like to enable *replying* to topics via email, [see this howto](https://meta.discourse.org/t/set-up-reply-via-email-support/14003).\n\n### Categories\n\nYou have three default categories:\n\n1. [Site Feedback](/category/site-feedback) – general discussion about the site itself. [It's important!](https://meta.discourse.org/t/5249)\n2. [Lounge](/category/lounge) – a perk for users at trust level 3 and higher\n3. [Staff](/category/staff) – visible only to staff (admins and moderators)\n\n**Don't create too many initial categories**, as you can overwhelm your audience. You can always add more categories, and easily bulk recategorize topics later. It's better to figure out the organization as you go rather than assuming you'll get it all right from the beginning (hint: you won't).\n\nTo add a category, visit the [categories page](/categories), then click Create Category at the upper right. You can set security per-category so only certain groups of users can see topics in that category.\n\nEvery category has an initial "About this category" topic. This topic will be pinned to the top of the category, and the description you enter will be used in a bunch of places. Be sure to give your new category a good, clear description, so people understand what belongs there!\n\n### Pinned Topics and Banners\n\nNote that pinning topics does work a little differently in Discourse:\n\n- Once someone reads to the bottom of a pinned topic, it is automatically unpinned for them specifically. They can change this via the personal pin controls at the bottom of the topic.\n- When staff pins a topic, they can pin it globally to all topic lists, or just within its category.\n\nIf a pin isn't visible enough, you can also turn one single topic into a **banner**. The banner topic floats on top of all topics and all primary pages. Users can permanently dismiss this floating banner by clicking the &times; in the upper right corner.\n\nTo make (or remove) a pin or a banner, use the admin wrench at the top right or bottom of the topic.\n\n### New User Sandbox and the Trust System\n\nIf your discussion area is be open to the public, new visitors will arrive that are initially strangers to the community. Discourse has a [trust system](https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/) where users can, over time, earn the trust of the community and gain abilities to assist in governing their community.\n\nDiscourse is designed to offer safe defaults for public communities, even with no active moderation.\n\n> **0 (new) &rarr; 1 (basic) &rarr; 2 (member) &rarr; 3 (regular) &rarr; 4 (leader)**\n\nAll new users start out in a sandbox with restrictions for everyone's safety. **Trust level 0 (new) users _cannot_** &hellip;\n\n- post more than 2 hyperlinks\n- post any images or file attachments\n- send personal messages\n- flag posts or topics\n- have actual links in the "about me" field of their profile\n- @name mention more than 2 users in a post\n\nEvery action a user can take is rate limited for safety, and especially so for new users. But don't worry, new users can [transition to trust level 1](https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/) in about 10 minutes of reading.\n\nThese defaults are safe, but note that while in "bootstrap mode" after you set up your site, all new users will be granted trust level 1 until you reach 50 users.\n\n### Building Your Community\n\nBe patient; building communities is hard. Before launching, be sure to:\n\n1. Clearly define your community's purpose in a pinned or banner topic.\n2. Seed the discussion with interesting topics.\n3. Commit to visiting and participating regularly.\n4. Link your community everywhere and promote it so people can find it.\n\nThere's more advice at [Building a Discourse Community](https://blog.discourse.org/2014/08/building-a-discourse-community/).\n\n### Sending Invitations\n\nOne way to get people to visit your site is to invite them via email. You can do this via:\n\n- The Invite button at the bottom of the topic.\n- The Invite area on your profile page.\n\nThe invite area on your profile page also includes advanced Staff methods of [sending bulk invites](https://meta.discourse.org/t/sending-bulk-user-invites/16468), and [inviting users into groups](https://meta.discourse.org/t/invite-individual-users-to-a-group/15544).\n\n### Maintenance\n\n- One CPU and 1GB of memory, with swap, is the minimum for a basic Discourse community. As your community grows you may need more memory or CPU resources.\n\n- [Our Docker container install](https://github.com/discourse/discourse/blob/master/docs/INSTALL.md) is the only one we officially support. It guarantees easy updates, and all recommended optimizations from the Discourse team.\n\n- You should get an email notification when new versions of Discourse are released. To update your instance via our easy one click upgrade process, visit [/admin/upgrade](/admin/upgrade).\n\n- Some other things you might eventually want to set up:\n   - [Automatic daily backups](https://meta.discourse.org/t/configure-automatic-backups-for-discourse/14855)\n   - [HTTPS support](https://meta.discourse.org/t/allowing-ssl-for-your-discourse-docker-setup/13847)\n   - [Content Delivery Network support](https://meta.discourse.org/t/enable-a-cdn-for-your-discourse/14857)\n   - [Reply via Email](https://meta.discourse.org/t/set-up-reply-via-email-support/14003)\n   - [Import and Export your data](https://meta.discourse.org/t/move-your-discourse-instance-to-a-different-server/15721)\n   - [Change the domain name](https://meta.discourse.org/t/how-do-i-change-the-domain-name/16098)\n   - [Multiple Discourse instances on the same server](https://meta.discourse.org/t/multisite-configuration-with-docker/14084)\n   - [Import old content from vBulletin, PHPbb, Vanilla, Drupal, BBPress, etc](https://github.com/discourse/discourse/tree/master/script/import_scripts)\n   - A firewall on your server? [Configure firewall](https://meta.discourse.org/t/configure-a-firewall-for-discourse/20584).\n   - A user friendly [offline page when rebuilding or upgrading?](https://meta.discourse.org/t/adding-an-offline-page-when-rebuilding/45238)\n   - Embed Discourse [in your WordPress install](https://github.com/discourse/wp-discourse), or [on your static HTML site](https://meta.discourse.org/t/embedding-discourse-comments-via-javascript/31963)\n\n### Need more Help?\n\nFor more assistance on configuring and running your Discourse forum, see [meta.discourse.org](https://meta.discourse.org).\n\n----\n\nHave suggestions to improve or update this guide? Submit a [pull request](https://github.com/discourse/discourse/blob/master/docs/ADMIN-QUICK-START-GUIDE.md).	<p>Congratulations, you are now the proud owner of your very own <a href="https://www.discourse.org">Civilized Discourse Construction Kit</a>. <img src="//t.goodrain.com/images/emoji/twitter/hatching_chick.png?v=9" title=":hatching_chick:" class="emoji" alt=":hatching_chick:"></p>\n<h3>Getting Started</h3>\n<p>If you haven’t already, launch the <a href="/wizard">setup wizard</a> and go through the steps to configure your site. You can run the wizard as many times as you want, it’s completely safe!</p>\n<h3>Admin Dashboard</h3>\n<p>Exercise your admin superpowers any time via the admin dashboard at</p>\n<p><a href="/admin"><strong>/admin</strong></a></p>\n<p>You can also access it via the “hamburger” <kbd>☰</kbd> menu in the upper right: Admin functions are generally marked with the wrench <img src="//t.goodrain.com/images/emoji/twitter/wrench.png?v=9" title=":wrench:" class="emoji" alt=":wrench:">  icon, so look for that.</p>\n<h3>Staff</h3>\n<p>Staff members are official representatives of this community. There are two kinds of Staff:</p>\n<ol>\n<li>\n<strong>Admins</strong>, who can do anything and configure anything on this site.</li>\n<li>\n<strong>Moderators</strong>, who can edit all posts and users, but cannot add categories or change any site settings.</li>\n</ol>\n<p>To add additional staff members:</p>\n<ul>\n<li>have them sign up on the site (or <a href="/my/invited">send out an invitation to join via your user page</a>)</li>\n<li>click the admin button <img src="//t.goodrain.com/images/emoji/twitter/wrench.png?v=9" title=":wrench:" class="emoji" alt=":wrench:"> on their user page</li>\n<li>look for the <kbd>Grant Admin</kbd> and <kbd>Grant Moderator</kbd> buttons there</li>\n</ul>\n<h3>Social Logins</h3>\n<p>Users can log in with traditional local username and password accounts. You may want to add:</p>\n<ul>\n<li><a href="https://meta.discourse.org/t/configuring-google-oauth2-login-for-discourse/15858">Google logins</a></li>\n<li><a href="https://meta.discourse.org/t/configuring-twitter-login-for-discourse/13395">Twitter logins</a></li>\n<li><a href="https://meta.discourse.org/t/configuring-facebook-login-for-discourse/13394">Facebook logins</a></li>\n<li><a href="https://meta.discourse.org/t/configuring-github-login-for-discourse/13745">GitHub logins</a></li>\n</ul>\n<p>You can also <a href="https://meta.discourse.org/t/official-single-sign-on-for-discourse/13045">set up single-sign on</a>, or even <a href="https://meta.discourse.org/t/login-to-discourse-with-custom-oauth2-provider/14717">build your own login method</a>.</p>\n<h3>Test Your Email</h3>\n<p>Email is required for new account signups and notifications. <strong>Test your email to make sure it is configured correctly!</strong>  Visit <a href="/admin/email">the admin email settings</a>, then enter an email address in the “email address to test” field and click <kbd>send test email</kbd>.</p>\n<ul>\n<li>You got the test email? Great! <strong>Read that email closely</strong>, it has important email deliverability tips.</li>\n<li>You didn’t get the test email? This means your users probably aren’t getting any signup or notification emails either.</li>\n<li>Email deliverability can be hard. Read <a href="https://github.com/discourse/discourse/blob/master/docs/INSTALL-email.md"><strong>Email Service Configuration</strong></a>.</li>\n</ul>\n<p>If you’d like to enable <em>replying</em> to topics via email, <a href="https://meta.discourse.org/t/set-up-reply-via-email-support/14003">see this howto</a>.</p>\n<h3>Categories</h3>\n<p>You have three default categories:</p>\n<ol>\n<li>\n<a href="/category/site-feedback">Site Feedback</a> – general discussion about the site itself. <a href="https://meta.discourse.org/t/5249">It’s important!</a>\n</li>\n<li>\n<a href="/category/lounge">Lounge</a> – a perk for users at trust level 3 and higher</li>\n<li>\n<a href="/category/staff">Staff</a> – visible only to staff (admins and moderators)</li>\n</ol>\n<p><strong>Don’t create too many initial categories</strong>, as you can overwhelm your audience. You can always add more categories, and easily bulk recategorize topics later. It’s better to figure out the organization as you go rather than assuming you’ll get it all right from the beginning (hint: you won’t).</p>\n<p>To add a category, visit the <a href="/categories">categories page</a>, then click Create Category at the upper right. You can set security per-category so only certain groups of users can see topics in that category.</p>\n<p>Every category has an initial “About this category” topic. This topic will be pinned to the top of the category, and the description you enter will be used in a bunch of places. Be sure to give your new category a good, clear description, so people understand what belongs there!</p>\n<h3>Pinned Topics and Banners</h3>\n<p>Note that pinning topics does work a little differently in Discourse:</p>\n<ul>\n<li>Once someone reads to the bottom of a pinned topic, it is automatically unpinned for them specifically. They can change this via the personal pin controls at the bottom of the topic.</li>\n<li>When staff pins a topic, they can pin it globally to all topic lists, or just within its category.</li>\n</ul>\n<p>If a pin isn’t visible enough, you can also turn one single topic into a <strong>banner</strong>. The banner topic floats on top of all topics and all primary pages. Users can permanently dismiss this floating banner by clicking the × in the upper right corner.</p>\n<p>To make (or remove) a pin or a banner, use the admin wrench at the top right or bottom of the topic.</p>\n<h3>New User Sandbox and the Trust System</h3>\n<p>If your discussion area is be open to the public, new visitors will arrive that are initially strangers to the community. Discourse has a <a href="https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/">trust system</a> where users can, over time, earn the trust of the community and gain abilities to assist in governing their community.</p>\n<p>Discourse is designed to offer safe defaults for public communities, even with no active moderation.</p>\n<blockquote>\n<p><strong>0 (new) → 1 (basic) → 2 (member) → 3 (regular) → 4 (leader)</strong></p>\n</blockquote>\n<p>All new users start out in a sandbox with restrictions for everyone’s safety. <strong>Trust level 0 (new) users <em>cannot</em></strong> …</p>\n<ul>\n<li>post more than 2 hyperlinks</li>\n<li>post any images or file attachments</li>\n<li>send personal messages</li>\n<li>flag posts or topics</li>\n<li>have actual links in the “about me” field of their profile</li>\n<li>\n<span class="mention">@name</span> mention more than 2 users in a post</li>\n</ul>\n<p>Every action a user can take is rate limited for safety, and especially so for new users. But don’t worry, new users can <a href="https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/">transition to trust level 1</a> in about 10 minutes of reading.</p>\n<p>These defaults are safe, but note that while in “bootstrap mode” after you set up your site, all new users will be granted trust level 1 until you reach 50 users.</p>\n<h3>Building Your Community</h3>\n<p>Be patient; building communities is hard. Before launching, be sure to:</p>\n<ol>\n<li>Clearly define your community’s purpose in a pinned or banner topic.</li>\n<li>Seed the discussion with interesting topics.</li>\n<li>Commit to visiting and participating regularly.</li>\n<li>Link your community everywhere and promote it so people can find it.</li>\n</ol>\n<p>There’s more advice at <a href="https://blog.discourse.org/2014/08/building-a-discourse-community/">Building a Discourse Community</a>.</p>\n<h3>Sending Invitations</h3>\n<p>One way to get people to visit your site is to invite them via email. You can do this via:</p>\n<ul>\n<li>The Invite button at the bottom of the topic.</li>\n<li>The Invite area on your profile page.</li>\n</ul>\n<p>The invite area on your profile page also includes advanced Staff methods of <a href="https://meta.discourse.org/t/sending-bulk-user-invites/16468">sending bulk invites</a>, and <a href="https://meta.discourse.org/t/invite-individual-users-to-a-group/15544">inviting users into groups</a>.</p>\n<h3>Maintenance</h3>\n<ul>\n<li>\n<p>One CPU and 1GB of memory, with swap, is the minimum for a basic Discourse community. As your community grows you may need more memory or CPU resources.</p>\n</li>\n<li>\n<p><a href="https://github.com/discourse/discourse/blob/master/docs/INSTALL.md">Our Docker container install</a> is the only one we officially support. It guarantees easy updates, and all recommended optimizations from the Discourse team.</p>\n</li>\n<li>\n<p>You should get an email notification when new versions of Discourse are released. To update your instance via our easy one click upgrade process, visit <a href="/admin/upgrade">/admin/upgrade</a>.</p>\n</li>\n<li>\n<p>Some other things you might eventually want to set up:</p>\n<ul>\n<li><a href="https://meta.discourse.org/t/configure-automatic-backups-for-discourse/14855">Automatic daily backups</a></li>\n<li><a href="https://meta.discourse.org/t/allowing-ssl-for-your-discourse-docker-setup/13847">HTTPS support</a></li>\n<li><a href="https://meta.discourse.org/t/enable-a-cdn-for-your-discourse/14857">Content Delivery Network support</a></li>\n<li><a href="https://meta.discourse.org/t/set-up-reply-via-email-support/14003">Reply via Email</a></li>\n<li><a href="https://meta.discourse.org/t/move-your-discourse-instance-to-a-different-server/15721">Import and Export your data</a></li>\n<li><a href="https://meta.discourse.org/t/how-do-i-change-the-domain-name/16098">Change the domain name</a></li>\n<li><a href="https://meta.discourse.org/t/multisite-configuration-with-docker/14084">Multiple Discourse instances on the same server</a></li>\n<li><a href="https://github.com/discourse/discourse/tree/master/script/import_scripts">Import old content from vBulletin, PHPbb, Vanilla, Drupal, BBPress, etc</a></li>\n<li>A firewall on your server? <a href="https://meta.discourse.org/t/configure-a-firewall-for-discourse/20584">Configure firewall</a>.</li>\n<li>A user friendly <a href="https://meta.discourse.org/t/adding-an-offline-page-when-rebuilding/45238">offline page when rebuilding or upgrading?</a>\n</li>\n<li>Embed Discourse <a href="https://github.com/discourse/wp-discourse">in your WordPress install</a>, or <a href="https://meta.discourse.org/t/embedding-discourse-comments-via-javascript/31963">on your static HTML site</a>\n</li>\n</ul>\n</li>\n</ul>\n<h3>Need more Help?</h3>\n<p>For more assistance on configuring and running your Discourse forum, see <a href="https://meta.discourse.org">meta.discourse.org</a>.</p>\n<hr>\n<p>Have suggestions to improve or update this guide? Submit a <a href="https://github.com/discourse/discourse/blob/master/docs/ADMIN-QUICK-START-GUIDE.md">pull request</a>.</p>	2019-12-05 04:03:37.076311	2019-12-05 04:03:37.076311	\N	0	0	\N	0	0	0	0	\N	0.200000000000000011	1	1	1	-1	f	\N	0	0	0	0	2019-12-05 04:03:37.133602	f	\N	0	0	0	\N	\N	1486	1	1	f	2019-12-05 04:03:37.076249	2	\N	0	f	f	\N	1	\N	\N	\N
10	-1	7	1	\nThe first paragraph of this pinned topic will be visible as a welcome message to all new visitors on your homepage. It's important!\n\n**Edit this** into a brief description of your community:\n\n- Who is it for?\n- What can they find here?\n- Why should they come here?\n- Where can they read more (links, resources, etc)?\n\n<img src="/images/welcome/discourse-edit-post-animated.gif" width="508" height="106">\n\nYou may want to close this topic via the admin :wrench: (at the upper right and bottom), so that replies don't pile up on an announcement.	<p>The first paragraph of this pinned topic will be visible as a welcome message to all new visitors on your homepage. It’s important!</p>\n<p><strong>Edit this</strong> into a brief description of your community:</p>\n<ul>\n<li>Who is it for?</li>\n<li>What can they find here?</li>\n<li>Why should they come here?</li>\n<li>Where can they read more (links, resources, etc)?</li>\n</ul>\n<p><img src="//t.goodrain.com/images/welcome/discourse-edit-post-animated.gif" width="508" height="106"></p>\n<p>You may want to close this topic via the admin <img src="//t.goodrain.com/images/emoji/twitter/wrench.png?v=9" title=":wrench:" class="emoji" alt=":wrench:"> (at the upper right and bottom), so that replies don’t pile up on an announcement.</p>	2019-12-05 04:03:36.642407	2019-12-05 04:03:36.642407	\N	0	0	\N	0	0	0	0	\N	0.200000000000000011	1	1	1	-1	f	\N	0	0	0	0	2019-12-05 04:03:36.658313	f	\N	0	0	0	\N	\N	95	1	1	f	2019-12-05 04:03:36.642346	2	\N	0	f	f	\N	1	\N	//t.goodrain.com/images/welcome/discourse-edit-post-animated.gif	\N
\.


--
-- Data for Name: push_subscriptions; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.push_subscriptions (id, user_id, data, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: quoted_posts; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.quoted_posts (id, post_id, quoted_post_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: remote_themes; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.remote_themes (id, remote_url, remote_version, local_version, about_url, license_url, commits_behind, remote_updated_at, created_at, updated_at, private_key, branch, last_error_text, authors, theme_version, minimum_discourse_version, maximum_discourse_version) FROM stdin;
\.


--
-- Data for Name: reviewable_claimed_topics; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.reviewable_claimed_topics (id, user_id, topic_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: reviewable_histories; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.reviewable_histories (id, reviewable_id, reviewable_history_type, status, created_by_id, edited, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: reviewable_scores; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.reviewable_scores (id, reviewable_id, user_id, reviewable_score_type, status, score, take_action_bonus, reviewed_by_id, reviewed_at, meta_topic_id, created_at, updated_at, reason, user_accuracy_bonus) FROM stdin;
\.


--
-- Data for Name: reviewables; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.reviewables (id, type, status, created_by_id, reviewable_by_moderator, reviewable_by_group_id, category_id, topic_id, score, potential_spam, target_id, target_type, target_created_by_id, payload, version, latest_score, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: scheduler_stats; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.scheduler_stats (id, name, hostname, pid, duration_ms, live_slots_start, live_slots_finish, started_at, success, error) FROM stdin;
1	Jobs::UpdateHeatSettings	iZj6chkije5xk0gfyvcrzyZ-web-only	127	237	543102	552509	2019-12-05 04:58:14.559544	t	\N
2	Jobs::EnsureDbConsistency	iZj6chkije5xk0gfyvcrzyZ-web-only	127	1885	594286	670873	2019-12-05 04:58:27.626312	t	\N
3	Jobs::CleanUpUnmatchedEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	677202	677850	2019-12-05 04:58:33.634548	t	\N
4	Jobs::VersionCheck	iZj6chkije5xk0gfyvcrzyZ-web-only	127	892	576308	650700	2019-12-05 04:58:36.663278	t	\N
5	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	91	654817	664089	2019-12-05 04:58:37.660889	t	\N
6	Jobs::IgnoredUsersSummary	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	561921	562732	2019-12-05 04:58:39.663696	t	\N
7	Jobs::CleanUpUnusedApiKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	706722	707553	2019-12-05 04:58:47.680307	t	\N
8	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	710965	711359	2019-12-05 04:58:52.689485	t	\N
9	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	715695	716089	2019-12-05 04:58:59.708196	t	\N
10	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	717182	717579	2019-12-05 04:59:00.709475	t	\N
11	Jobs::CategoryStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	118	554456	581966	2019-12-05 04:59:01.739167	t	\N
12	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	582996	584264	2019-12-05 04:59:02.741117	t	\N
13	Jobs::CleanUpUnmatchedIPs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	587325	587979	2019-12-05 04:59:06.7468	t	\N
14	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	122	590010	607379	2019-12-05 04:59:07.753631	t	\N
15	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	610613	611029	2019-12-05 04:59:10.758758	t	\N
16	Jobs::TopRefreshOlder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	620763	622496	2019-12-05 04:59:18.769884	t	\N
17	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	628662	629398	2019-12-05 04:59:27.782245	t	\N
18	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	634329	636299	2019-12-05 04:59:35.792517	t	\N
19	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	638020	638439	2019-12-05 04:59:36.798602	t	\N
20	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	49	639929	648609	2019-12-05 04:59:38.80198	t	\N
21	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	718977	723184	2019-12-05 04:59:39.81067	t	\N
22	Jobs::CleanUpCrawlerStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	872028	872598	2019-12-05 04:59:45.837938	t	\N
23	Jobs::CleanUpUnusedStagedUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	877564	878462	2019-12-05 04:59:52.847421	t	\N
24	Jobs::CleanUpDeprecatedUrlSiteSettings	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	882318	884012	2019-12-05 04:59:58.861008	t	\N
25	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	887342	888677	2019-12-05 05:00:03.868947	t	\N
26	Jobs::PurgeUnactivated	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	892940	893731	2019-12-05 05:00:09.8771	t	\N
27	Jobs::DirectoryRefreshOlder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	899965	901430	2019-12-05 05:00:11.880501	t	\N
28	Jobs::CleanUpAssociatedAccounts	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903753	904278	2019-12-05 05:00:14.884594	t	\N
29	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	915075	917209	2019-12-05 05:00:32.912228	t	\N
30	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919431	919850	2019-12-05 05:00:35.916147	t	\N
31	Jobs::BadgeGrant	iZj6chkije5xk0gfyvcrzyZ-web-only	127	376	922847	967333	2019-12-05 05:00:39.921575	t	\N
32	Jobs::CleanUpPostReplyKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	970246	970771	2019-12-05 05:00:43.927191	t	\N
33	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	974127	975237	2019-12-05 05:00:47.933527	t	\N
34	Jobs::CleanUpUnsubscribeKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	978104	978692	2019-12-05 05:00:51.939208	t	\N
35	Jobs::DestroyOldHiddenPosts	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	983284	984136	2019-12-05 05:00:58.948247	t	\N
36	Jobs::Weekly	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	985498	987136	2019-12-05 05:01:00.951325	t	\N
37	Jobs::CleanUpExports	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1008130	1008774	2019-12-05 05:01:30.990418	t	\N
38	Jobs::CleanUpEmailLogs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1010708	1011327	2019-12-05 05:01:31.992472	t	\N
39	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013273	1013692	2019-12-05 05:01:35.002126	t	\N
40	Jobs::AutoExpireUserApiKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017547	1018097	2019-12-05 05:01:41.010238	t	\N
41	Jobs::PurgeOldWebHookEvents	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1019799	1020392	2019-12-05 05:01:42.012053	t	\N
42	Jobs::EnsureS3UploadsExistence	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022620	1023014	2019-12-05 05:01:45.01634	t	\N
43	Jobs::PurgeExpiredIgnoredUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1023980	1024514	2019-12-05 05:01:46.018328	t	\N
44	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1027649	1028568	2019-12-05 05:01:49.029239	t	\N
45	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1034263	1034846	2019-12-05 05:01:58.041183	t	\N
46	Jobs::DisableBootstrapMode	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036627	1037021	2019-12-05 05:02:01.045679	t	\N
47	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	813799	815440	2019-12-05 05:02:04.0501	t	\N
48	Jobs::AutoQueueHandler	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	817982	818607	2019-12-05 05:02:07.055015	t	\N
49	Jobs::ReviewablePriorities	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	820335	820839	2019-12-05 05:02:08.062762	t	\N
50	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	822534	823323	2019-12-05 05:02:11.067379	t	\N
51	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	830115	833200	2019-12-05 05:02:14.071418	t	\N
52	Jobs::PurgeDeletedUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836612	837022	2019-12-05 05:02:19.077581	t	\N
53	Jobs::CheckOutOfDateThemes	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	838788	839363	2019-12-05 05:02:21.080813	t	\N
54	Jobs::CleanUpSearchLogs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	842488	843155	2019-12-05 05:02:25.092059	t	\N
55	Jobs::GrantAnniversaryBadges	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	846489	847359	2019-12-05 05:02:29.098344	t	\N
56	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849954	850495	2019-12-05 05:02:32.102951	t	\N
57	Jobs::FixUserUsernamesAndGroupsNamesClash	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	852031	852729	2019-12-05 05:02:33.104772	t	\N
58	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854419	854838	2019-12-05 05:02:36.109001	t	\N
59	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	857233	857894	2019-12-05 05:02:38.116648	t	\N
60	Jobs::CleanUpInactiveUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	864400	865061	2019-12-05 05:02:48.130312	t	\N
61	Jobs::GrantNewUserOfTheMonthBadges	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	867035	867893	2019-12-05 05:02:51.135153	t	\N
62	Jobs::InvalidateInactiveAdmins	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	873845	874626	2019-12-05 05:03:00.146711	t	\N
63	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898798	899217	2019-12-05 05:03:36.191397	t	\N
64	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907894	908291	2019-12-05 05:03:51.214622	t	\N
65	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939588	940007	2019-12-05 05:04:37.274015	t	\N
66	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	977761	980937	2019-12-05 05:05:37.349077	t	\N
67	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982421	982840	2019-12-05 05:05:38.350687	t	\N
68	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	1018311	1021361	2019-12-05 05:06:36.462685	t	\N
69	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	49	832959	835985	2019-12-05 05:07:35.550387	t	\N
70	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	870199	873478	2019-12-05 05:08:30.623895	t	\N
71	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876765	877184	2019-12-05 05:08:35.630922	t	\N
72	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893541	893938	2019-12-05 05:09:03.666634	t	\N
73	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907453	907847	2019-12-05 05:09:19.687051	t	\N
74	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918962	919381	2019-12-05 05:09:37.714619	t	\N
75	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	926052	926687	2019-12-05 05:09:48.728302	t	\N
76	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	958292	958711	2019-12-05 05:10:38.789658	t	\N
77	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	991289	994568	2019-12-05 05:11:28.851939	t	\N
78	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1000488	1000907	2019-12-05 05:11:37.862946	t	\N
79	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	813935	816994	2019-12-05 05:12:37.942964	t	\N
80	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	853810	856829	2019-12-05 05:13:37.014907	t	\N
81	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875342	875750	2019-12-05 05:14:08.053959	t	\N
82	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	889937	890478	2019-12-05 05:14:27.078311	t	\N
83	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	892716	906593	2019-12-05 05:14:28.080772	t	\N
84	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911090	911509	2019-12-05 05:14:35.090155	t	\N
85	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	948956	951975	2019-12-05 05:15:35.16698	t	\N
86	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	989133	992152	2019-12-05 05:16:35.238221	t	\N
87	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1022041	1025323	2019-12-05 05:17:20.292888	t	\N
88	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1026573	1027380	2019-12-05 05:17:21.294862	t	\N
89	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035024	1035443	2019-12-05 05:17:33.316869	t	\N
90	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	848766	851825	2019-12-05 05:18:33.391784	t	\N
91	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867793	868190	2019-12-05 05:19:02.427664	t	\N
92	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882701	883095	2019-12-05 05:19:20.449988	t	\N
93	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890518	890937	2019-12-05 05:19:32.465634	t	\N
94	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	904087	904722	2019-12-05 05:19:53.496369	t	\N
95	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	920448	921161	2019-12-05 05:20:12.523238	t	\N
96	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	934188	934640	2019-12-05 05:20:31.55077	t	\N
97	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	978345	981364	2019-12-05 05:21:33.641795	t	\N
98	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1023693	1026712	2019-12-05 05:22:33.72727	t	\N
99	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	834765	838279	2019-12-05 05:23:16.787537	t	\N
100	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	850326	850778	2019-12-05 05:23:33.813276	t	\N
101	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870314	870733	2019-12-05 05:24:03.854702	t	\N
102	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894130	894582	2019-12-05 05:24:33.899603	t	\N
103	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	934810	937829	2019-12-05 05:25:33.996515	t	\N
104	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	958332	958873	2019-12-05 05:26:10.048853	t	\N
105	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977082	977501	2019-12-05 05:26:35.079261	t	\N
106	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1012924	1015943	2019-12-05 05:27:33.150016	t	\N
107	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	830807	833866	2019-12-05 05:28:32.222078	t	\N
108	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846864	847261	2019-12-05 05:28:54.248765	t	\N
109	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	856966	857959	2019-12-05 05:29:11.275818	t	\N
110	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864967	865508	2019-12-05 05:29:15.281177	t	\N
111	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871900	872316	2019-12-05 05:29:25.293455	t	\N
112	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878055	878602	2019-12-05 05:29:34.304955	t	\N
113	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881987	882381	2019-12-05 05:29:39.311887	t	\N
114	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	890001	890635	2019-12-05 05:29:52.332123	t	\N
115	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	895834	909633	2019-12-05 05:30:00.342315	t	\N
116	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	916308	917341	2019-12-05 05:30:10.355152	t	\N
117	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933748	934167	2019-12-05 05:30:32.3825	t	\N
118	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	970533	973552	2019-12-05 05:31:30.45242	t	\N
119	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975818	978919	2019-12-05 05:31:33.463363	t	\N
120	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1009843	1013185	2019-12-05 05:32:21.524769	t	\N
121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017587	1018039	2019-12-05 05:32:28.53413	t	\N
122	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1022799	1023606	2019-12-05 05:32:34.541607	t	\N
123	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836428	839487	2019-12-05 05:33:30.631387	t	\N
124	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857307	857704	2019-12-05 05:34:01.702871	t	\N
125	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878426	878845	2019-12-05 05:34:30.741717	t	\N
126	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	908094	911437	2019-12-05 05:35:14.796174	t	\N
127	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920707	921126	2019-12-05 05:35:29.814616	t	\N
128	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	958738	961757	2019-12-05 05:36:29.886293	t	\N
129	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	999162	1002181	2019-12-05 05:37:28.96502	t	\N
130	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025169	1025710	2019-12-05 05:38:09.013524	t	\N
131	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	817898	818319	2019-12-05 05:38:26.051743	t	\N
132	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832323	832720	2019-12-05 05:38:49.084968	t	\N
133	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	856617	857036	2019-12-05 05:39:24.127812	t	\N
134	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870759	871153	2019-12-05 05:39:48.163286	t	\N
135	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	889232	889866	2019-12-05 05:40:13.193256	t	\N
136	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896183	896602	2019-12-05 05:40:23.205438	t	\N
137	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923457	923998	2019-12-05 05:41:10.269109	t	\N
138	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935357	935776	2019-12-05 05:41:23.285414	t	\N
139	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	974135	977192	2019-12-05 05:42:24.364265	t	\N
140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	45	1014893	1017912	2019-12-05 05:43:25.467658	t	\N
141	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028930	1029327	2019-12-05 05:43:44.489921	t	\N
142	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821592	822135	2019-12-05 05:44:07.518177	t	\N
143	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837338	837757	2019-12-05 05:44:25.540186	t	\N
144	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	875392	878449	2019-12-05 05:45:26.61851	t	\N
145	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	884102	897970	2019-12-05 05:45:35.630217	t	\N
146	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	930271	933290	2019-12-05 05:46:26.692412	t	\N
147	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	948124	948931	2019-12-05 05:46:51.723503	t	\N
148	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	966404	966945	2019-12-05 05:47:14.751837	t	\N
149	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	974062	974481	2019-12-05 05:47:26.772601	t	\N
150	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1012124	1015143	2019-12-05 05:48:27.845092	t	\N
151	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029063	1029460	2019-12-05 05:48:50.873755	t	\N
152	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833408	833829	2019-12-05 05:49:26.939811	t	\N
153	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855493	855887	2019-12-05 05:50:04.987295	t	\N
154	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859278	859819	2019-12-05 05:50:09.999034	t	\N
155	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	49	870389	871023	2019-12-05 05:50:20.012199	t	\N
156	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875198	875617	2019-12-05 05:50:27.021057	t	\N
157	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	914136	917193	2019-12-05 05:51:28.099389	t	\N
158	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	955565	958584	2019-12-05 05:52:29.175794	t	\N
159	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	989963	993373	2019-12-05 05:53:17.234835	t	\N
160	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001765	1002184	2019-12-05 05:53:31.254926	t	\N
161	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010786	1011183	2019-12-05 05:53:45.272262	t	\N
162	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821844	822265	2019-12-05 05:54:31.347991	t	\N
163	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	859768	862825	2019-12-05 05:55:32.422895	t	\N
164	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	896733	900080	2019-12-05 05:56:25.49525	t	\N
165	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905440	905859	2019-12-05 05:56:34.50731	t	\N
166	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	943283	946302	2019-12-05 05:57:34.580227	t	\N
167	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	982827	986537	2019-12-05 05:58:32.652357	t	\N
168	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987986	988405	2019-12-05 05:58:33.654555	t	\N
169	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	993209	993606	2019-12-05 05:58:40.668604	t	\N
170	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	997890	998478	2019-12-05 05:58:47.677305	t	\N
171	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010075	1010469	2019-12-05 05:59:07.70212	t	\N
172	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1022710	1023251	2019-12-05 05:59:21.720034	t	\N
173	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030493	1030912	2019-12-05 05:59:33.735355	t	\N
174	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826827	827223	2019-12-05 05:59:57.789059	t	\N
175	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	831462	832096	2019-12-05 06:00:04.798467	t	\N
176	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846586	847002	2019-12-05 06:00:22.821207	t	\N
177	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	848158	861955	2019-12-05 06:00:23.823233	t	\N
178	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868365	868784	2019-12-05 06:00:33.836151	t	\N
179	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	874214	875247	2019-12-05 06:00:42.852402	t	\N
180	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	884843	885679	2019-12-05 06:00:59.874492	t	\N
181	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	900902	901637	2019-12-05 06:01:17.897301	t	\N
182	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	902665	903454	2019-12-05 06:01:18.899233	t	\N
183	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911718	912137	2019-12-05 06:01:31.915767	t	\N
184	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	942280	945632	2019-12-05 06:02:18.976644	t	\N
185	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947814	948355	2019-12-05 06:02:20.979744	t	\N
186	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954006	954425	2019-12-05 06:02:29.992149	t	\N
187	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	959293	962394	2019-12-05 06:02:37.000729	t	\N
188	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	969586	971085	2019-12-05 06:02:49.017061	t	\N
189	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	997942	998339	2019-12-05 06:03:29.073655	t	\N
190	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999303	999722	2019-12-05 06:03:30.075507	t	\N
191	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	1028319	1028902	2019-12-05 06:04:13.129565	t	\N
192	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1038085	1038537	2019-12-05 06:04:28.148675	t	\N
193	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	858428	861749	2019-12-05 06:05:28.221267	t	\N
194	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862955	863374	2019-12-05 06:05:29.223031	t	\N
195	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	903495	906514	2019-12-05 06:06:31.299383	t	\N
196	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	943708	946727	2019-12-05 06:07:32.372068	t	\N
197	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	976248	979234	2019-12-05 06:08:18.429321	t	\N
198	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981162	981703	2019-12-05 06:08:20.432809	t	\N
199	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	989038	989457	2019-12-05 06:08:32.453448	t	\N
200	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1027324	1030343	2019-12-05 06:09:33.529625	t	\N
201	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1033441	1034076	2019-12-05 06:09:37.535212	t	\N
202	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831781	832177	2019-12-05 06:10:02.566409	t	\N
203	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853148	853567	2019-12-05 06:10:32.603379	t	\N
204	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	885454	888835	2019-12-05 06:11:23.675698	t	\N
205	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893248	893667	2019-12-05 06:11:30.685165	t	\N
206	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	931419	934438	2019-12-05 06:12:29.760055	t	\N
207	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957408	957805	2019-12-05 06:13:10.811915	t	\N
208	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	973071	973490	2019-12-05 06:13:29.836278	t	\N
209	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1007997	1011343	2019-12-05 06:14:23.907222	t	\N
210	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1015270	1015722	2019-12-05 06:14:29.916014	t	\N
211	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	82	836380	853029	2019-12-05 06:15:28.988646	t	\N
212	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	854277	854696	2019-12-05 06:15:29.991072	t	\N
213	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	891868	894887	2019-12-05 06:16:30.064742	t	\N
214	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	911019	911826	2019-12-05 06:16:57.104879	t	\N
215	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	930317	930858	2019-12-05 06:17:23.137582	t	\N
216	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935433	935852	2019-12-05 06:17:30.147567	t	\N
217	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	968306	971292	2019-12-05 06:18:21.210288	t	\N
218	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977135	977554	2019-12-05 06:18:30.221363	t	\N
219	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1013755	1016774	2019-12-05 06:19:28.299683	t	\N
220	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	1020750	1021384	2019-12-05 06:19:34.308548	t	\N
221	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022348	1022742	2019-12-05 06:19:35.310264	t	\N
222	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	840010	843334	2019-12-05 06:20:26.394668	t	\N
223	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845191	845610	2019-12-05 06:20:27.396387	t	\N
224	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	882658	885677	2019-12-05 06:21:27.475015	t	\N
225	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	921129	924148	2019-12-05 06:22:25.547206	t	\N
226	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	956726	957123	2019-12-05 06:23:16.612095	t	\N
227	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962007	962426	2019-12-05 06:23:23.621318	t	\N
228	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	968622	969163	2019-12-05 06:23:33.634965	t	\N
229	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1001577	1004596	2019-12-05 06:24:23.70255	t	\N
230	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	824758	827817	2019-12-05 06:25:21.791583	t	\N
231	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	864778	867797	2019-12-05 06:26:19.863625	t	\N
232	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878347	878888	2019-12-05 06:26:37.886807	t	\N
233	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	905714	908733	2019-12-05 06:27:17.936977	t	\N
234	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	945307	945726	2019-12-05 06:28:17.019697	t	\N
235	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948134	948531	2019-12-05 06:28:19.022803	t	\N
236	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983699	984118	2019-12-05 06:29:16.094032	t	\N
237	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	989333	990326	2019-12-05 06:29:24.104767	t	\N
238	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	994759	995394	2019-12-05 06:29:31.114501	t	\N
239	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996614	997155	2019-12-05 06:29:32.121713	t	\N
240	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999517	999911	2019-12-05 06:29:34.124806	t	\N
241	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	85	1027000	826444	2019-12-05 06:30:16.187724	t	\N
242	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	827644	828063	2019-12-05 06:30:17.190359	t	\N
243	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841006	841422	2019-12-05 06:30:39.217944	t	\N
244	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	844504	845537	2019-12-05 06:30:43.227739	t	\N
245	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	868816	871873	2019-12-05 06:31:18.271168	t	\N
246	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	910116	913135	2019-12-05 06:32:20.349188	t	\N
247	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919842	920383	2019-12-05 06:32:31.364514	t	\N
248	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	922005	922812	2019-12-05 06:32:32.366576	t	\N
249	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	940780	943881	2019-12-05 06:33:04.411866	t	\N
250	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953474	953871	2019-12-05 06:33:13.423992	t	\N
251	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959177	959596	2019-12-05 06:33:22.435468	t	\N
252	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	996247	999266	2019-12-05 06:34:20.506465	t	\N
253	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1036253	826647	2019-12-05 06:35:18.576851	t	\N
254	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	833227	833779	2019-12-05 06:35:29.598957	t	\N
255	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	866003	869022	2019-12-05 06:36:18.65994	t	\N
256	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905067	905486	2019-12-05 06:37:17.73076	t	\N
257	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	944360	947379	2019-12-05 06:38:18.806751	t	\N
258	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950986	951405	2019-12-05 06:38:23.814439	t	\N
259	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957101	957642	2019-12-05 06:38:32.826759	t	\N
260	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	987978	990997	2019-12-05 06:39:18.888107	t	\N
261	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	993071	993705	2019-12-05 06:39:21.892355	t	\N
262	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996823	997217	2019-12-05 06:39:25.897979	t	\N
263	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1031094	1034113	2019-12-05 06:40:19.964754	t	\N
264	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	857583	860642	2019-12-05 06:41:20.067346	t	\N
265	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	866994	867535	2019-12-05 06:41:30.08067	t	\N
266	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	900027	903110	2019-12-05 06:42:21.144251	t	\N
267	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	940878	943864	2019-12-05 06:43:23.219931	t	\N
268	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	945629	946048	2019-12-05 06:43:24.222128	t	\N
269	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	983342	986361	2019-12-05 06:44:24.299955	t	\N
270	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990085	990626	2019-12-05 06:44:30.30831	t	\N
271	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1024927	1027946	2019-12-05 06:45:26.375661	t	\N
272	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	831337	845207	2019-12-05 06:45:54.427065	t	\N
273	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865471	865890	2019-12-05 06:46:24.46413	t	\N
274	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	903810	906867	2019-12-05 06:47:26.544527	t	\N
275	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	908093	908634	2019-12-05 06:47:27.546712	t	\N
276	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933468	933865	2019-12-05 06:48:10.601412	t	\N
277	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	935085	935892	2019-12-05 06:48:11.603466	t	\N
278	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948479	948898	2019-12-05 06:48:26.621312	t	\N
279	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	982205	985428	2019-12-05 06:49:19.69068	t	\N
280	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988473	988892	2019-12-05 06:49:24.696989	t	\N
281	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996942	997336	2019-12-05 06:49:38.714251	t	\N
282	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1025199	1028478	2019-12-05 06:50:21.773149	t	\N
283	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031105	1031524	2019-12-05 06:50:24.777724	t	\N
284	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	859446	862505	2019-12-05 06:51:24.894278	t	\N
285	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	897855	900874	2019-12-05 06:52:22.966229	t	\N
286	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	938655	941674	2019-12-05 06:53:21.040931	t	\N
287	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943796	944193	2019-12-05 06:53:24.045388	t	\N
288	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	946818	947530	2019-12-05 06:53:26.049091	t	\N
289	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	983632	986651	2019-12-05 06:54:21.148678	t	\N
290	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1024608	1027627	2019-12-05 06:55:22.223314	t	\N
291	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	852717	853781	2019-12-05 06:56:18.314723	t	\N
292	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857424	857843	2019-12-05 06:56:23.321992	t	\N
293	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863518	864059	2019-12-05 06:56:31.333009	t	\N
294	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	895855	898912	2019-12-05 06:57:21.399462	t	\N
295	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	936413	939432	2019-12-05 06:58:20.471156	t	\N
296	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947577	947974	2019-12-05 06:58:32.488274	t	\N
297	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	954573	955566	2019-12-05 06:58:43.503205	t	\N
298	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	963744	964332	2019-12-05 06:58:56.519043	t	\N
299	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965424	965818	2019-12-05 06:58:57.526349	t	\N
300	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983138	983557	2019-12-05 06:59:20.555365	t	\N
301	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985715	986109	2019-12-05 06:59:23.559878	t	\N
302	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	994179	995015	2019-12-05 06:59:35.575334	t	\N
303	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995979	996520	2019-12-05 06:59:36.577452	t	\N
304	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1000977	1001611	2019-12-05 06:59:43.592155	t	\N
305	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1025648	1028667	2019-12-05 07:00:19.635959	t	\N
306	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	73	845760	859630	2019-12-05 07:01:10.699403	t	\N
307	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869043	869462	2019-12-05 07:01:19.710591	t	\N
308	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	882627	883210	2019-12-05 07:01:43.740684	t	\N
309	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886332	886748	2019-12-05 07:01:47.754705	t	\N
310	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	899941	900974	2019-12-05 07:02:10.783449	t	\N
311	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910542	910961	2019-12-05 07:02:19.795133	t	\N
312	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	915008	915797	2019-12-05 07:02:26.80356	t	\N
313	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	917394	919101	2019-12-05 07:02:28.807275	t	\N
314	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	921384	922133	2019-12-05 07:02:29.814409	t	\N
315	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	929558	930099	2019-12-05 07:02:43.831511	t	\N
316	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	940645	941331	2019-12-05 07:03:00.852086	t	\N
317	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956707	957126	2019-12-05 07:03:20.877052	t	\N
318	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964344	964741	2019-12-05 07:03:33.893357	t	\N
319	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	972069	975154	2019-12-05 07:03:45.913364	t	\N
320	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	998626	1002705	2019-12-05 07:04:20.956766	t	\N
321	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1004183	1004602	2019-12-05 07:04:22.960271	t	\N
322	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	830783	833842	2019-12-05 07:05:21.071558	t	\N
323	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848752	849293	2019-12-05 07:05:48.106097	t	\N
324	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	872215	875234	2019-12-05 07:06:21.152998	t	\N
325	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910720	911139	2019-12-05 07:07:19.224747	t	\N
326	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	947744	950763	2019-12-05 07:08:19.298352	t	\N
327	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958915	959312	2019-12-05 07:08:31.313645	t	\N
328	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967366	967907	2019-12-05 07:08:45.331313	t	\N
329	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987043	987437	2019-12-05 07:09:13.371623	t	\N
330	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992520	992939	2019-12-05 07:09:20.381512	t	\N
331	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	42	1004743	1005377	2019-12-05 07:09:41.407232	t	\N
332	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029715	1030134	2019-12-05 07:10:19.453906	t	\N
333	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	857854	860913	2019-12-05 07:11:19.545429	t	\N
334	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873185	873726	2019-12-05 07:11:40.577369	t	\N
335	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	900361	903380	2019-12-05 07:12:21.627323	t	\N
336	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	940193	943212	2019-12-05 07:13:20.699164	t	\N
337	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955446	955843	2019-12-05 07:13:41.725459	t	\N
338	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	982024	985043	2019-12-05 07:14:22.775661	t	\N
339	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994271	994812	2019-12-05 07:14:38.802385	t	\N
340	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1022905	1025924	2019-12-05 07:15:20.853546	t	\N
341	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	86	1031226	837052	2019-12-05 07:15:29.865925	t	\N
342	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	869428	872485	2019-12-05 07:16:20.927566	t	\N
343	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	908943	911962	2019-12-05 07:17:21.000891	t	\N
344	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919226	919767	2019-12-05 07:17:33.023668	t	\N
345	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	922745	923552	2019-12-05 07:17:36.027892	t	\N
346	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950889	951308	2019-12-05 07:18:19.0815	t	\N
347	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959716	960113	2019-12-05 07:18:33.099724	t	\N
348	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	990119	993138	2019-12-05 07:19:21.157389	t	\N
349	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	995000	995394	2019-12-05 07:19:23.16791	t	\N
350	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1020314	1020948	2019-12-05 07:20:08.222665	t	\N
351	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032996	1033415	2019-12-05 07:20:22.239719	t	\N
352	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	835662	836205	2019-12-05 07:20:39.261191	t	\N
353	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	863796	866853	2019-12-05 07:21:21.311763	t	\N
354	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	902878	905897	2019-12-05 07:22:21.391388	t	\N
355	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	941577	941974	2019-12-05 07:23:19.471119	t	\N
356	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	810400	810821	2019-12-05 07:23:22.474772	t	\N
357	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	822633	823174	2019-12-05 07:23:42.500344	t	\N
358	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848112	848531	2019-12-05 07:24:20.548024	t	\N
359	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	885428	888485	2019-12-05 07:25:20.626157	t	\N
360	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	925557	928576	2019-12-05 07:26:20.700159	t	\N
361	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941730	942271	2019-12-05 07:26:43.73218	t	\N
362	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	968245	971264	2019-12-05 07:27:22.780136	t	\N
363	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006398	1006817	2019-12-05 07:28:20.850775	t	\N
364	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014790	1015187	2019-12-05 07:28:33.871825	t	\N
365	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1027362	1028355	2019-12-05 07:28:55.898668	t	\N
366	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	814699	815095	2019-12-05 07:29:15.924195	t	\N
367	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	817478	817897	2019-12-05 07:29:18.928662	t	\N
368	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	834192	847986	2019-12-05 07:29:46.962378	t	\N
369	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	849122	849663	2019-12-05 07:29:47.970123	t	\N
370	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	856155	856789	2019-12-05 07:29:57.982732	t	\N
371	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872393	872812	2019-12-05 07:30:19.00878	t	\N
372	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	888873	889906	2019-12-05 07:30:47.043789	t	\N
373	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910560	910979	2019-12-05 07:31:17.082407	t	\N
374	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	941144	944578	2019-12-05 07:32:12.153305	t	\N
375	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952502	952921	2019-12-05 07:32:18.162009	t	\N
376	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961018	961434	2019-12-05 07:32:32.179418	t	\N
377	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967747	968288	2019-12-05 07:32:42.191647	t	\N
378	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991946	992365	2019-12-05 07:33:18.237779	t	\N
379	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001329	1001726	2019-12-05 07:33:33.265204	t	\N
380	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031392	1031811	2019-12-05 07:34:19.321594	t	\N
381	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	32	825856	831597	2019-12-05 07:35:00.371592	t	\N
382	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847620	848039	2019-12-05 07:35:21.398025	t	\N
383	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861103	861644	2019-12-05 07:35:43.425364	t	\N
384	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886234	886653	2019-12-05 07:36:21.476187	t	\N
385	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	923375	926394	2019-12-05 07:37:19.549556	t	\N
386	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	963686	966705	2019-12-05 07:38:21.626566	t	\N
387	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	975278	975819	2019-12-05 07:38:35.64457	t	\N
388	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980837	981234	2019-12-05 07:38:42.653316	t	\N
389	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1008260	1011279	2019-12-05 07:39:23.709342	t	\N
390	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021586	1021980	2019-12-05 07:39:41.732172	t	\N
391	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1025329	1025963	2019-12-05 07:39:46.739017	t	\N
392	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	823517	826576	2019-12-05 07:40:23.804271	t	\N
393	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862580	862999	2019-12-05 07:41:21.875806	t	\N
394	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	870994	871535	2019-12-05 07:41:34.89747	t	\N
395	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	902386	905405	2019-12-05 07:42:23.958573	t	\N
396	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940049	940468	2019-12-05 07:43:21.028277	t	\N
397	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951310	951707	2019-12-05 07:43:39.051666	t	\N
398	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	966440	980308	2019-12-05 07:44:06.089486	t	\N
399	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	992492	992911	2019-12-05 07:44:19.112713	t	\N
400	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997581	998122	2019-12-05 07:44:27.123365	t	\N
401	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030809	1031228	2019-12-05 07:45:18.185016	t	\N
402	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	839964	843023	2019-12-05 07:46:17.278357	t	\N
403	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	879291	882310	2019-12-05 07:47:16.351804	t	\N
404	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	883638	884445	2019-12-05 07:47:17.36118	t	\N
405	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890258	890799	2019-12-05 07:47:27.373775	t	\N
406	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920708	921127	2019-12-05 07:48:14.430473	t	\N
407	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928996	929393	2019-12-05 07:48:27.447318	t	\N
408	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954594	955013	2019-12-05 07:49:12.501626	t	\N
409	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	988479	991462	2019-12-05 07:50:07.572404	t	\N
410	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	994767	995401	2019-12-05 07:50:11.578274	t	\N
411	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996521	996940	2019-12-05 07:50:12.580593	t	\N
412	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009149	1009690	2019-12-05 07:50:27.598757	t	\N
413	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1034907	1035326	2019-12-05 07:51:12.65534	t	\N
414	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	845643	848702	2019-12-05 07:52:12.733025	t	\N
415	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	885777	888796	2019-12-05 07:53:12.804718	t	\N
416	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	901148	901689	2019-12-05 07:53:27.82367	t	\N
417	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907277	907674	2019-12-05 07:53:35.835925	t	\N
418	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933002	933421	2019-12-05 07:54:14.882594	t	\N
419	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	969370	972389	2019-12-05 07:55:13.958986	t	\N
420	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1002919	1006093	2019-12-05 07:56:09.027375	t	\N
421	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013523	1013942	2019-12-05 07:56:15.03566	t	\N
422	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023896	1024437	2019-12-05 07:56:32.056472	t	\N
423	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827122	827543	2019-12-05 07:57:15.109591	t	\N
424	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	865260	868317	2019-12-05 07:58:17.191011	t	\N
425	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873527	873946	2019-12-05 07:58:24.20055	t	\N
426	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880197	880591	2019-12-05 07:58:34.213439	t	\N
427	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	892446	893029	2019-12-05 07:58:54.237751	t	\N
428	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	908328	909321	2019-12-05 07:59:15.26511	t	\N
429	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	911070	924864	2019-12-05 07:59:16.271813	t	\N
430	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926053	926472	2019-12-05 07:59:17.273706	t	\N
431	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936544	937085	2019-12-05 07:59:34.295561	t	\N
432	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963125	963544	2019-12-05 08:00:15.34612	t	\N
433	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	968376	969010	2019-12-05 08:00:22.354879	t	\N
434	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971014	971408	2019-12-05 08:00:24.362418	t	\N
435	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004090	1004509	2019-12-05 08:01:17.427553	t	\N
436	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1022988	1024021	2019-12-05 08:01:50.46851	t	\N
437	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025720	1026136	2019-12-05 08:01:52.471572	t	\N
438	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1033783	1034619	2019-12-05 08:02:05.488098	t	\N
439	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820976	821397	2019-12-05 08:02:17.509146	t	\N
440	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830564	831105	2019-12-05 08:02:33.530512	t	\N
441	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	838697	839432	2019-12-05 08:02:44.543847	t	\N
442	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861428	861847	2019-12-05 08:03:17.583885	t	\N
443	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864506	864903	2019-12-05 08:03:20.588369	t	\N
444	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	871566	872252	2019-12-05 08:03:31.60747	t	\N
445	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	883012	883801	2019-12-05 08:03:50.63031	t	\N
446	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903863	904282	2019-12-05 08:04:19.666476	t	\N
447	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	907895	910980	2019-12-05 08:04:24.673049	t	\N
448	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	932898	934204	2019-12-05 08:05:04.721918	t	\N
449	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947580	947999	2019-12-05 08:05:21.748058	t	\N
450	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	959007	959548	2019-12-05 08:05:39.770489	t	\N
451	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986407	986826	2019-12-05 08:06:21.821009	t	\N
452	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1022813	1025934	2019-12-05 08:07:19.89084	t	\N
453	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	837869	840928	2019-12-05 08:08:17.980722	t	\N
454	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846081	846478	2019-12-05 08:08:25.999407	t	\N
455	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	850105	850646	2019-12-05 08:08:31.006764	t	\N
456	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880178	880597	2019-12-05 08:09:17.068171	t	\N
457	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	918478	921497	2019-12-05 08:10:19.146223	t	\N
458	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	937425	938059	2019-12-05 08:10:48.181541	t	\N
459	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940930	941324	2019-12-05 08:10:51.191459	t	\N
460	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959835	960254	2019-12-05 08:11:17.222958	t	\N
461	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	968538	969079	2019-12-05 08:11:31.241147	t	\N
462	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999295	999714	2019-12-05 08:12:19.298718	t	\N
463	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	44	1035828	815936	2019-12-05 08:13:18.367657	t	\N
464	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819928	820325	2019-12-05 08:13:24.383889	t	\N
465	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	91	841608	858125	2019-12-05 08:14:01.460039	t	\N
466	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870786	871205	2019-12-05 08:14:16.47982	t	\N
467	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	880602	881143	2019-12-05 08:14:32.50926	t	\N
468	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908693	909112	2019-12-05 08:15:14.558298	t	\N
469	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	946176	949195	2019-12-05 08:16:14.636336	t	\N
470	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	978764	982160	2019-12-05 08:17:08.704064	t	\N
471	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989336	989755	2019-12-05 08:17:13.711277	t	\N
472	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	999745	1000286	2019-12-05 08:17:29.730591	t	\N
473	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029094	1029513	2019-12-05 08:18:14.785377	t	\N
474	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	817897	818296	2019-12-05 08:18:32.832936	t	\N
475	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846395	846814	2019-12-05 08:19:16.888213	t	\N
476	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	883878	886935	2019-12-05 08:20:17.965809	t	\N
477	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	892046	892587	2019-12-05 08:20:25.976652	t	\N
478	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	907379	908013	2019-12-05 08:20:52.01002	t	\N
479	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	916276	916670	2019-12-05 08:21:05.031579	t	\N
480	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926305	926724	2019-12-05 08:21:15.045106	t	\N
481	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	964996	968015	2019-12-05 08:22:17.123106	t	\N
482	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1004002	1007021	2019-12-05 08:23:15.193286	t	\N
483	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013205	1013746	2019-12-05 08:23:25.205911	t	\N
484	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018381	1018778	2019-12-05 08:23:32.221036	t	\N
485	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826005	826426	2019-12-05 08:24:17.278462	t	\N
486	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	864008	867065	2019-12-05 08:25:18.352138	t	\N
487	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	903610	906629	2019-12-05 08:26:18.426305	t	\N
488	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	915189	915730	2019-12-05 08:26:32.444864	t	\N
489	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944468	944887	2019-12-05 08:27:16.504064	t	\N
490	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	982030	985049	2019-12-05 08:28:17.579052	t	\N
491	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996034	996431	2019-12-05 08:28:36.602293	t	\N
492	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1013664	1014657	2019-12-05 08:29:07.638828	t	\N
493	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025379	1025798	2019-12-05 08:29:19.654192	t	\N
494	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035371	1035912	2019-12-05 08:29:35.679435	t	\N
495	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	819170	832966	2019-12-05 08:29:40.686162	t	\N
496	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857096	857515	2019-12-05 08:30:17.732666	t	\N
497	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	869942	870577	2019-12-05 08:30:39.759521	t	\N
498	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872988	873382	2019-12-05 08:30:42.764264	t	\N
499	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	874805	875838	2019-12-05 08:30:44.771778	t	\N
500	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898571	898990	2019-12-05 08:31:17.811405	t	\N
501	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	915084	915833	2019-12-05 08:31:46.845959	t	\N
502	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936665	937084	2019-12-05 08:32:16.882699	t	\N
503	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941195	941611	2019-12-05 08:32:23.8918	t	\N
504	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947852	948393	2019-12-05 08:32:33.90906	t	\N
505	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976313	976732	2019-12-05 08:33:16.962004	t	\N
506	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982629	983026	2019-12-05 08:33:26.975482	t	\N
507	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1014936	1015355	2019-12-05 08:34:18.046575	t	\N
508	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	831760	834819	2019-12-05 08:35:18.120392	t	\N
509	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846398	846939	2019-12-05 08:35:38.152317	t	\N
510	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	853516	856617	2019-12-05 08:35:49.165446	t	\N
511	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875901	876320	2019-12-05 08:36:16.19879	t	\N
512	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	916834	919853	2019-12-05 08:37:18.2804	t	\N
513	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	178	585899	530861	2019-12-05 08:37:44.809089	t	\N
514	Jobs::GrantAnniversaryBadges	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	271	532415	533538	2019-12-05 08:37:45.813578	t	\N
515	Jobs::CategoryStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1496	534725	548446	2019-12-05 08:37:46.821465	t	\N
516	Jobs::CleanUpSearchLogs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	230	564643	565373	2019-12-05 08:38:11.876449	t	\N
517	Jobs::TopRefreshOlder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1080	568082	570747	2019-12-05 08:38:14.884744	t	\N
518	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	959003	962022	2019-12-05 08:38:18.357853	t	\N
519	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	243	577030	580175	2019-12-05 08:38:24.909029	t	\N
520	Jobs::CheckOutOfDateThemes	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	193	581691	582295	2019-12-05 08:38:25.913244	t	\N
521	Jobs::Weekly	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	540	583480	585668	2019-12-05 08:38:26.918854	t	\N
522	Jobs::UpdateHeatSettings	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	230	586853	587357	2019-12-05 08:38:27.923016	t	\N
523	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973083	973480	2019-12-05 08:38:36.389021	t	\N
524	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	974967	975508	2019-12-05 08:38:38.392106	t	\N
525	Jobs::CleanUpUnusedApiKeys	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	193	603686	604447	2019-12-05 08:38:44.96573	t	\N
526	Jobs::IgnoredUsersSummary	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	230	606223	606955	2019-12-05 08:38:46.971466	t	\N
528	Jobs::CleanUpDeprecatedUrlSiteSettings	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1015	676301	549743	2019-12-05 08:38:49.981138	t	\N
529	Jobs::DestroyOldHiddenPosts	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	555589	557496	2019-12-05 08:38:51.988409	t	\N
527	Jobs::EnsureDbConsistency	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	4661	608535	559056	2019-12-05 08:38:47.975113	t	\N
530	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	219	562420	563172	2019-12-05 08:38:55.998511	t	\N
531	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	568151	568600	2019-12-05 08:39:03.016693	t	\N
532	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	570498	571152	2019-12-05 08:39:04.020566	t	\N
533	Jobs::DisableBootstrapMode	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	574356	574836	2019-12-05 08:39:08.031349	t	\N
535	Jobs::FixUserUsernamesAndGroupsNamesClash	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	584065	584785	2019-12-05 08:39:21.064149	t	\N
536	Jobs::CleanUpExports	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	591129	591797	2019-12-05 08:39:29.085677	t	\N
534	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002295	1002714	2019-12-05 08:39:16.442397	t	\N
537	Jobs::CleanUpUnmatchedEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	593904	594532	2019-12-05 08:39:31.091381	t	\N
538	Jobs::AutoExpireUserApiKeys	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	191	606024	606596	2019-12-05 08:39:41.115202	t	\N
539	Jobs::PurgeDeletedUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	613677	614173	2019-12-05 08:39:50.137849	t	\N
540	Jobs::EnsureS3UploadsExistence	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	618257	618673	2019-12-05 08:39:55.150914	t	\N
541	Jobs::VersionCheck	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1593	625368	633728	2019-12-05 08:40:04.172444	t	\N
542	Jobs::CleanUpPostReplyKeys	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	191	638593	639204	2019-12-05 08:40:12.192091	t	\N
543	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	820337	823396	2019-12-05 08:40:16.520502	t	\N
544	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	645131	645547	2019-12-05 08:40:19.210944	t	\N
545	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	231	647324	648241	2019-12-05 08:40:21.218186	t	\N
546	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828427	828821	2019-12-05 08:40:23.529686	t	\N
547	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	498	652258	653261	2019-12-05 08:40:26.233628	t	\N
548	Jobs::AutoQueueHandler	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	656689	657320	2019-12-05 08:40:30.244155	t	\N
549	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	838667	839301	2019-12-05 08:40:39.554491	t	\N
550	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1700	670317	555363	2019-12-05 08:40:42.272388	t	\N
551	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	840	546840	555716	2019-12-05 08:40:43.277696	t	\N
552	Jobs::CleanUpAssociatedAccounts	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	564417	564964	2019-12-05 08:40:55.307582	t	\N
553	Jobs::ReindexSearch	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	443	566277	568616	2019-12-05 08:40:56.311447	t	\N
554	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	186	572569	573781	2019-12-05 08:41:01.325108	t	\N
555	Jobs::PurgeUnactivated	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	575094	576054	2019-12-05 08:41:02.328442	t	\N
556	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	577447	581244	2019-12-05 08:41:03.332292	t	\N
558	Jobs::CleanUpCrawlerStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	229	590103	591423	2019-12-05 08:41:08.346228	t	\N
559	Jobs::CleanUpUnmatchedIPs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	267	610210	612176	2019-12-05 08:41:12.356843	t	\N
560	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	232	616269	618528	2019-12-05 08:41:13.360865	t	\N
561	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	623517	625402	2019-12-05 08:41:14.364499	t	\N
562	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866061	866513	2019-12-05 08:41:16.605338	t	\N
557	Jobs::BadgeGrant	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	10751	584213	643092	2019-12-05 08:41:07.342629	t	\N
563	Jobs::CleanUpUnusedStagedUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	649847	650693	2019-12-05 08:41:26.394112	t	\N
564	Jobs::CleanUpEmailLogs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	219	652469	653110	2019-12-05 08:41:28.400902	t	\N
565	Jobs::CleanUpInactiveUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	183	660365	661228	2019-12-05 08:41:37.422385	t	\N
566	Jobs::PurgeOldWebHookEvents	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	183	662541	663156	2019-12-05 08:41:38.4263	t	\N
567	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	186	669407	670584	2019-12-05 08:41:39.430267	t	\N
568	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881477	882018	2019-12-05 08:41:40.636653	t	\N
569	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	161	679065	544449	2019-12-05 08:41:51.460076	t	\N
570	Jobs::DirectoryRefreshOlder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1088	547757	549638	2019-12-05 08:41:55.471662	t	\N
571	Jobs::PurgeExpiredIgnoredUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	553278	553834	2019-12-05 08:42:00.484076	t	\N
572	Jobs::GrantNewUserOfTheMonthBadges	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	294	555212	556243	2019-12-05 08:42:01.488517	t	\N
573	Jobs::CleanUpUnsubscribeKeys	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	563505	564051	2019-12-05 08:42:11.513236	t	\N
574	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	565694	566268	2019-12-05 08:42:12.517363	t	\N
575	Jobs::ReviewablePriorities	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	568985	569511	2019-12-05 08:42:14.524765	t	\N
576	Jobs::InvalidateInactiveAdmins	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	570889	571692	2019-12-05 08:42:15.528813	t	\N
577	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907533	907952	2019-12-05 08:42:16.682866	t	\N
578	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	575718	576170	2019-12-05 08:42:20.541583	t	\N
579	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	183	583288	583971	2019-12-05 08:42:29.564988	t	\N
580	Jobs::ActivationReminderEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	585748	586689	2019-12-05 08:42:31.571259	t	\N
581	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	598179	598598	2019-12-05 08:42:41.597106	t	\N
582	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	943687	946706	2019-12-05 08:43:15.756643	t	\N
583	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	553223	553677	2019-12-05 08:43:21.695902	t	\N
584	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955237	955634	2019-12-05 08:43:29.780801	t	\N
585	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986179	986598	2019-12-05 08:44:17.840105	t	\N
586	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	670	596946	600031	2019-12-05 08:44:21.840848	t	\N
587	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	999212	999753	2019-12-05 08:44:39.868132	t	\N
588	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	1018759	1032755	2019-12-05 08:45:12.909307	t	\N
589	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	637417	640567	2019-12-05 08:45:12.960847	t	\N
590	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821434	821855	2019-12-05 08:45:19.918689	t	\N
591	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	647698	648150	2019-12-05 08:45:21.982924	t	\N
592	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	858237	861294	2019-12-05 08:46:19.996018	t	\N
593	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	675	552342	555474	2019-12-05 08:46:20.123232	t	\N
594	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	881236	882043	2019-12-05 08:46:55.038966	t	\N
595	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	646	598361	601784	2019-12-05 08:47:20.265924	t	\N
596	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900884	901336	2019-12-05 08:47:21.073128	t	\N
597	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	613746	614165	2019-12-05 08:47:38.311532	t	\N
598	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	914413	914954	2019-12-05 08:47:43.100651	t	\N
599	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	637634	638353	2019-12-05 08:48:07.379721	t	\N
600	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	650115	650567	2019-12-05 08:48:20.413813	t	\N
601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940980	941399	2019-12-05 08:48:22.149881	t	\N
602	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945802	946199	2019-12-05 08:48:29.163339	t	\N
603	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	205	543397	544120	2019-12-05 08:49:00.520064	t	\N
604	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	555848	556364	2019-12-05 08:49:18.564714	t	\N
605	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	979670	980089	2019-12-05 08:49:22.229344	t	\N
606	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	658	600388	603546	2019-12-05 08:50:19.716937	t	\N
607	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	604730	605182	2019-12-05 08:50:20.721627	t	\N
608	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1017307	1020326	2019-12-05 08:50:22.304223	t	\N
609	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029961	1030355	2019-12-05 08:50:39.325501	t	\N
610	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1034035	1034576	2019-12-05 08:50:45.333749	t	\N
611	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	1036878	1037512	2019-12-05 08:50:47.342758	t	\N
612	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	636477	637040	2019-12-05 08:51:01.819009	t	\N
613	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	649441	649957	2019-12-05 08:51:19.86372	t	\N
614	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841432	841853	2019-12-05 08:51:22.406355	t	\N
615	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	667	555263	559055	2019-12-05 08:52:19.025126	t	\N
616	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	879421	882478	2019-12-05 08:52:22.482473	t	\N
617	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	571617	572100	2019-12-05 08:52:38.074144	t	\N
618	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	917076	920062	2019-12-05 08:53:17.551395	t	\N
619	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	602089	602541	2019-12-05 08:53:18.169838	t	\N
620	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922652	923071	2019-12-05 08:53:21.556935	t	\N
621	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	939820	940361	2019-12-05 08:53:50.598531	t	\N
622	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	631793	632356	2019-12-05 08:53:55.257695	t	\N
623	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	647272	647724	2019-12-05 08:54:18.311004	t	\N
624	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960835	961254	2019-12-05 08:54:20.634761	t	\N
625	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	969394	969981	2019-12-05 08:54:33.662777	t	\N
626	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	2132	547649	565727	2019-12-05 08:55:07.444479	t	\N
627	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	572188	572640	2019-12-05 08:55:18.472088	t	\N
628	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999070	999489	2019-12-05 08:55:18.721584	t	\N
629	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	1037071	822203	2019-12-05 08:56:18.796404	t	\N
630	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	707	616773	619865	2019-12-05 08:56:20.617315	t	\N
631	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	842326	842867	2019-12-05 08:56:53.847608	t	\N
632	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	158	649376	649939	2019-12-05 08:56:59.711617	t	\N
634	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861141	861560	2019-12-05 08:57:18.878509	t	\N
633	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	158	662154	662798	2019-12-05 08:57:18.756781	t	\N
635	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	158	672676	673095	2019-12-05 08:57:32.792073	t	\N
636	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870652	871046	2019-12-05 08:57:33.897791	t	\N
637	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	199	548428	549259	2019-12-05 08:57:39.809539	t	\N
638	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	158	573924	574376	2019-12-05 08:58:17.898363	t	\N
639	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	899749	900332	2019-12-05 08:58:18.954033	t	\N
640	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901951	902370	2019-12-05 08:58:19.956161	t	\N
641	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903857	904254	2019-12-05 08:58:21.964436	t	\N
642	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	225	584188	584845	2019-12-05 08:58:31.932308	t	\N
643	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	618401	621659	2019-12-05 08:59:17.050047	t	\N
644	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	940503	943522	2019-12-05 08:59:19.037199	t	\N
645	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	947679	948712	2019-12-05 08:59:26.04623	t	\N
646	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	560908	561390	2019-12-05 08:59:56.156285	t	\N
647	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	966474	967467	2019-12-05 08:59:57.085808	t	\N
648	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	969248	969789	2019-12-05 08:59:58.087693	t	\N
649	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	568842	569405	2019-12-05 09:00:07.183802	t	\N
650	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983023	983417	2019-12-05 09:00:15.115289	t	\N
651	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	984904	999089	2019-12-05 09:00:17.118509	t	\N
652	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	577312	577764	2019-12-05 09:00:18.210149	t	\N
653	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001240	1001659	2019-12-05 09:00:19.121799	t	\N
654	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	1031545	1034768	2019-12-05 09:01:13.190868	t	\N
655	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	670	620937	624131	2019-12-05 09:01:18.35554	t	\N
656	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	824585	825514	2019-12-05 09:01:19.199153	t	\N
657	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	826650	827069	2019-12-05 09:01:20.20153	t	\N
658	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	835936	836671	2019-12-05 09:01:35.220497	t	\N
659	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	841023	841939	2019-12-05 09:01:42.22978	t	\N
660	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	666281	669404	2019-12-05 09:02:18.49556	t	\N
661	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	671312	671764	2019-12-05 09:02:19.499962	t	\N
662	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867769	868221	2019-12-05 09:02:20.278954	t	\N
663	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	886073	886614	2019-12-05 09:02:52.319127	t	\N
664	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	650	568727	571981	2019-12-05 09:03:05.613479	t	\N
665	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906500	906916	2019-12-05 09:03:18.352048	t	\N
666	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	582330	582782	2019-12-05 09:03:19.648499	t	\N
667	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909001	909420	2019-12-05 09:03:22.357371	t	\N
668	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914783	915180	2019-12-05 09:03:30.367546	t	\N
669	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	945703	947013	2019-12-05 09:04:18.427301	t	\N
671	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	949614	950066	2019-12-05 09:04:22.433413	t	\N
670	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	626231	629387	2019-12-05 09:04:21.794925	t	\N
672	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	671708	674800	2019-12-05 09:05:19.929589	t	\N
673	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	988665	991786	2019-12-05 09:05:23.511828	t	\N
674	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	995894	996617	2019-12-05 09:05:30.520476	t	\N
675	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1003523	1006624	2019-12-05 09:05:42.536063	t	\N
676	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013156	1013697	2019-12-05 09:05:52.549084	t	\N
677	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	1016793	1017582	2019-12-05 09:05:56.554876	t	\N
678	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	680	572295	575613	2019-12-05 09:06:05.035912	t	\N
679	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	584578	585094	2019-12-05 09:06:19.069189	t	\N
680	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037127	1037546	2019-12-05 09:06:23.595962	t	\N
681	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	623262	626449	2019-12-05 09:07:11.191945	t	\N
682	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	630395	630847	2019-12-05 09:07:17.207711	t	\N
683	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	857108	860167	2019-12-05 09:07:25.67369	t	\N
684	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	867436	869142	2019-12-05 09:07:37.688951	t	\N
685	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	707	670172	673468	2019-12-05 09:08:10.349524	t	\N
686	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894326	894723	2019-12-05 09:08:16.736654	t	\N
687	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	678217	678733	2019-12-05 09:08:17.367479	t	\N
688	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900120	900539	2019-12-05 09:08:23.745767	t	\N
689	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	920200	923543	2019-12-05 09:08:58.793167	t	\N
690	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	582220	585681	2019-12-05 09:09:11.51045	t	\N
691	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	590948	591400	2019-12-05 09:09:18.528886	t	\N
692	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943418	943837	2019-12-05 09:09:25.827792	t	\N
693	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	603907	604387	2019-12-05 09:09:36.573228	t	\N
694	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957082	957476	2019-12-05 09:09:48.856551	t	\N
695	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	553662	554116	2019-12-05 09:10:20.686114	t	\N
696	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	557868	558317	2019-12-05 09:10:25.698926	t	\N
698	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	566294	567349	2019-12-05 09:10:36.725151	t	\N
699	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1572	569453	588788	2019-12-05 09:10:38.731647	t	\N
700	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	644	599745	602991	2019-12-05 09:10:56.775223	t	\N
702	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	619408	619924	2019-12-05 09:11:21.83214	t	\N
704	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	646462	647233	2019-12-05 09:11:55.913544	t	\N
706	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	657116	658057	2019-12-05 09:12:09.947039	t	\N
707	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	660955	661438	2019-12-05 09:12:13.957836	t	\N
708	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	663743	664524	2019-12-05 09:12:15.963639	t	\N
709	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	668677	669129	2019-12-05 09:12:20.976741	t	\N
697	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981550	981969	2019-12-05 09:10:25.907162	t	\N
701	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	1004585	1007808	2019-12-05 09:11:05.958509	t	\N
703	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023796	1024215	2019-12-05 09:11:27.992324	t	\N
705	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	824237	824780	2019-12-05 09:11:57.028845	t	\N
710	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	847219	850340	2019-12-05 09:12:29.069621	t	\N
711	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	668	573935	577462	2019-12-05 09:13:20.132466	t	\N
712	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883510	883907	2019-12-05 09:13:23.137462	t	\N
713	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889382	889834	2019-12-05 09:13:31.148192	t	\N
714	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	620279	623371	2019-12-05 09:14:20.276067	t	\N
715	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	925399	928418	2019-12-05 09:14:29.224068	t	\N
716	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	70	941887	955788	2019-12-05 09:14:52.259342	t	\N
717	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	963973	964514	2019-12-05 09:15:05.275517	t	\N
718	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	685	663097	666300	2019-12-05 09:15:15.404154	t	\N
719	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	670479	670995	2019-12-05 09:15:20.417015	t	\N
720	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	981062	981481	2019-12-05 09:15:27.303073	t	\N
721	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	656	578506	581702	2019-12-05 09:16:22.567029	t	\N
722	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1020469	1023488	2019-12-05 09:16:29.379734	t	\N
723	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	645	613956	617079	2019-12-05 09:17:05.66887	t	\N
724	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	828263	829094	2019-12-05 09:17:06.431655	t	\N
725	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	628119	628571	2019-12-05 09:17:22.711155	t	\N
726	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846963	847382	2019-12-05 09:17:30.462253	t	\N
727	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	865199	865740	2019-12-05 09:18:02.503321	t	\N
728	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	644	665279	668418	2019-12-05 09:18:12.827236	t	\N
729	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	674625	675141	2019-12-05 09:18:20.850368	t	\N
730	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883264	883661	2019-12-05 09:18:24.531026	t	\N
731	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886086	886505	2019-12-05 09:18:28.536907	t	\N
732	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	202	545182	545840	2019-12-05 09:18:29.873374	t	\N
733	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	647	578726	581884	2019-12-05 09:19:13.975655	t	\N
734	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	587282	587734	2019-12-05 09:19:20.994155	t	\N
735	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	924295	927352	2019-12-05 09:19:28.616966	t	\N
736	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	957511	960494	2019-12-05 09:20:15.676893	t	\N
737	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	630206	633298	2019-12-05 09:20:20.128364	t	\N
738	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968600	969019	2019-12-05 09:20:28.693226	t	\N
739	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984976	985517	2019-12-05 09:20:56.727891	t	\N
740	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	992127	992761	2019-12-05 09:21:07.74206	t	\N
741	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	607	673485	676624	2019-12-05 09:21:16.259473	t	\N
742	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	678681	679133	2019-12-05 09:21:18.265612	t	\N
743	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010574	1010993	2019-12-05 09:21:30.77757	t	\N
744	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	579025	582314	2019-12-05 09:22:05.376601	t	\N
745	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	590925	591377	2019-12-05 09:22:18.407504	t	\N
746	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	833489	836548	2019-12-05 09:22:29.879389	t	\N
747	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	646	550639	553771	2019-12-05 09:23:17.561185	t	\N
748	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869043	869440	2019-12-05 09:23:21.943643	t	\N
749	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874593	875012	2019-12-05 09:23:28.952632	t	\N
750	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	891129	891670	2019-12-05 09:23:57.990937	t	\N
751	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	590804	594071	2019-12-05 09:24:08.679666	t	\N
752	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	601002	601518	2019-12-05 09:24:17.701474	t	\N
753	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912126	912545	2019-12-05 09:24:27.033046	t	\N
754	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	674	645740	649492	2019-12-05 09:25:19.84387	t	\N
756	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	949202	952285	2019-12-05 09:25:26.107297	t	\N
755	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1657	653054	668155	2019-12-05 09:25:24.856929	t	\N
757	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	675	569252	573097	2019-12-05 09:26:19.987249	t	\N
758	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	989865	992884	2019-12-05 09:26:25.182918	t	\N
759	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010988	1011529	2019-12-05 09:26:57.2221	t	\N
764	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030632	1031051	2019-12-05 09:27:23.254984	t	\N
760	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	601439	601922	2019-12-05 09:26:59.079629	t	\N
761	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	611218	611845	2019-12-05 09:27:12.111436	t	\N
762	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	614630	616119	2019-12-05 09:27:15.119756	t	\N
763	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	619017	619533	2019-12-05 09:27:19.131405	t	\N
765	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	672	663539	667026	2019-12-05 09:28:21.302522	t	\N
766	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	853355	856414	2019-12-05 09:28:22.355574	t	\N
767	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863045	863442	2019-12-05 09:28:33.370284	t	\N
768	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	874235	875268	2019-12-05 09:28:50.391093	t	\N
769	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	212	556095	556817	2019-12-05 09:28:54.384299	t	\N
770	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	56	893280	907148	2019-12-05 09:29:16.423665	t	\N
771	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	573607	574187	2019-12-05 09:29:19.442583	t	\N
772	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911895	912314	2019-12-05 09:29:23.43299	t	\N
773	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	577350	577766	2019-12-05 09:29:23.452966	t	\N
774	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	933376	936723	2019-12-05 09:30:01.488953	t	\N
775	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	643	613893	617224	2019-12-05 09:30:12.569368	t	\N
776	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	622438	622890	2019-12-05 09:30:19.588418	t	\N
777	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953294	953713	2019-12-05 09:30:23.517034	t	\N
778	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961962	962356	2019-12-05 09:30:36.53324	t	\N
779	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	968457	969450	2019-12-05 09:30:46.546173	t	\N
780	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	665879	669567	2019-12-05 09:31:19.726069	t	\N
781	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	992482	993138	2019-12-05 09:31:20.590117	t	\N
782	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	994980	995399	2019-12-05 09:31:23.595008	t	\N
783	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	567954	571053	2019-12-05 09:32:06.848742	t	\N
784	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1027882	1031278	2019-12-05 09:32:14.657611	t	\N
785	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	580975	581427	2019-12-05 09:32:20.882831	t	\N
786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1038173	825017	2019-12-05 09:32:25.671537	t	\N
787	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841546	842087	2019-12-05 09:32:54.706893	t	\N
788	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	546589	549960	2019-12-05 09:33:11.001981	t	\N
789	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	557631	558083	2019-12-05 09:33:22.030284	t	\N
790	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863057	863476	2019-12-05 09:33:24.744987	t	\N
791	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872312	872709	2019-12-05 09:33:40.770197	t	\N
792	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	624	600904	604060	2019-12-05 09:34:22.17446	t	\N
793	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900989	901408	2019-12-05 09:34:24.825148	t	\N
794	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911594	912010	2019-12-05 09:34:42.85053	t	\N
795	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	935052	938153	2019-12-05 09:35:17.894606	t	\N
796	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	686	646236	649264	2019-12-05 09:35:22.313592	t	\N
797	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943933	944352	2019-12-05 09:35:24.904251	t	\N
798	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	958345	958886	2019-12-05 09:35:49.94074	t	\N
799	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	544075	544640	2019-12-05 09:36:05.432629	t	\N
800	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	556119	556571	2019-12-05 09:36:21.470641	t	\N
801	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983113	983532	2019-12-05 09:36:26.99024	t	\N
802	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	172	588492	589578	2019-12-05 09:37:05.577059	t	\N
803	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	600641	601157	2019-12-05 09:37:23.619854	t	\N
804	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1020515	1023572	2019-12-05 09:37:27.065751	t	\N
805	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	613	643334	646464	2019-12-05 09:38:23.761095	t	\N
806	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	848315	851374	2019-12-05 09:38:29.144592	t	\N
807	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855913	856310	2019-12-05 09:38:35.153035	t	\N
808	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863556	864097	2019-12-05 09:38:47.172875	t	\N
809	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	195	676605	677263	2019-12-05 09:39:02.853264	t	\N
810	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	679036	543410	2019-12-05 09:39:04.860186	t	\N
811	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	550748	551197	2019-12-05 09:39:14.883478	t	\N
812	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	553566	554046	2019-12-05 09:39:16.890193	t	\N
813	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	558793	559245	2019-12-05 09:39:22.905741	t	\N
814	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891905	892324	2019-12-05 09:39:28.22515	t	\N
815	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	621	576213	579475	2019-12-05 09:39:40.948755	t	\N
816	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	924108	927091	2019-12-05 09:40:19.28999	t	\N
817	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	603562	604078	2019-12-05 09:40:20.0394	t	\N
818	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933276	933695	2019-12-05 09:40:29.303018	t	\N
819	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1514	614515	630014	2019-12-05 09:40:35.076428	t	\N
820	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	638092	638508	2019-12-05 09:40:41.09264	t	\N
821	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	173	646037	646970	2019-12-05 09:40:52.119117	t	\N
822	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	174	655531	656536	2019-12-05 09:41:05.153609	t	\N
823	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	665885	666337	2019-12-05 09:41:18.184413	t	\N
824	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	206	669488	670326	2019-12-05 09:41:21.192597	t	\N
825	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	971054	974073	2019-12-05 09:41:28.376976	t	\N
826	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	977363	978008	2019-12-05 09:41:32.383564	t	\N
827	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	171	678547	679368	2019-12-05 09:41:33.222567	t	\N
828	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	174	547568	548623	2019-12-05 09:41:38.236286	t	\N
829	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	549935	551263	2019-12-05 09:41:39.241023	t	\N
830	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983806	984347	2019-12-05 09:41:41.397717	t	\N
831	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	567193	567756	2019-12-05 09:41:56.283495	t	\N
832	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	446	573239	574178	2019-12-05 09:42:04.304041	t	\N
833	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	583529	583948	2019-12-05 09:42:18.337275	t	\N
834	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	586052	586504	2019-12-05 09:42:20.343197	t	\N
835	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014514	1014933	2019-12-05 09:42:28.45498	t	\N
836	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	308	595974	596661	2019-12-05 09:42:33.37408	t	\N
837	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	630616	634408	2019-12-05 09:43:20.482822	t	\N
838	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	29	840065	843124	2019-12-05 09:43:28.550388	t	\N
839	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	640605	641342	2019-12-05 09:43:30.507786	t	\N
840	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851011	851408	2019-12-05 09:43:41.567266	t	\N
841	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	676551	544370	2019-12-05 09:44:18.618938	t	\N
842	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881580	881999	2019-12-05 09:44:28.631474	t	\N
843	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	887249	887790	2019-12-05 09:44:35.642153	t	\N
844	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	900601	914469	2019-12-05 09:44:58.67202	t	\N
845	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	577183	577757	2019-12-05 09:45:02.721871	t	\N
846	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	589784	590236	2019-12-05 09:45:20.765656	t	\N
847	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934555	934974	2019-12-05 09:45:26.709022	t	\N
848	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	710	551770	555572	2019-12-05 09:46:20.925131	t	\N
849	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	973085	976104	2019-12-05 09:46:28.78774	t	\N
850	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	647	596612	599704	2019-12-05 09:47:19.064361	t	\N
851	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	603531	603950	2019-12-05 09:47:23.075372	t	\N
852	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1013097	1016116	2019-12-05 09:47:28.867424	t	\N
853	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021639	1022180	2019-12-05 09:47:36.878556	t	\N
854	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1025731	1026538	2019-12-05 09:47:41.885395	t	\N
855	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	635246	635809	2019-12-05 09:48:04.172621	t	\N
856	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	645834	646286	2019-12-05 09:48:18.205552	t	\N
857	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	843515	843936	2019-12-05 09:48:28.972821	t	\N
858	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855614	856011	2019-12-05 09:48:48.998955	t	\N
859	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	203	673873	674530	2019-12-05 09:48:54.293061	t	\N
860	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	157	679343	543455	2019-12-05 09:49:01.310803	t	\N
861	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	554326	554906	2019-12-05 09:49:17.348732	t	\N
862	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881422	881841	2019-12-05 09:49:29.053775	t	\N
863	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	638	597017	600275	2019-12-05 09:50:17.486554	t	\N
864	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	916159	919180	2019-12-05 09:50:25.124847	t	\N
865	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921616	922035	2019-12-05 09:50:27.127965	t	\N
866	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924129	924670	2019-12-05 09:50:30.132059	t	\N
867	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	632690	633253	2019-12-05 09:51:01.594343	t	\N
868	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	642618	643070	2019-12-05 09:51:15.627028	t	\N
869	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	961601	964620	2019-12-05 09:51:29.204364	t	\N
870	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	970693	971327	2019-12-05 09:51:39.223609	t	\N
871	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	548670	551802	2019-12-05 09:52:15.780158	t	\N
872	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	554824	555307	2019-12-05 09:52:18.788857	t	\N
873	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003204	1003623	2019-12-05 09:52:30.286834	t	\N
874	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	633	595282	598438	2019-12-05 09:53:15.927261	t	\N
875	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1036743	829277	2019-12-05 09:53:22.350142	t	\N
876	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834102	834521	2019-12-05 09:53:30.360341	t	\N
877	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844950	845347	2019-12-05 09:53:48.38334	t	\N
878	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	631666	632383	2019-12-05 09:54:01.038144	t	\N
879	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	642715	643231	2019-12-05 09:54:16.075467	t	\N
880	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871866	872285	2019-12-05 09:54:29.43914	t	\N
881	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	699	548362	551825	2019-12-05 09:55:15.210206	t	\N
882	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	909237	912256	2019-12-05 09:55:28.521042	t	\N
883	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1705	564892	579369	2019-12-05 09:55:34.255159	t	\N
884	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927768	928162	2019-12-05 09:55:54.554247	t	\N
885	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	599	608721	611749	2019-12-05 09:56:13.342835	t	\N
886	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	948456	948997	2019-12-05 09:56:21.588568	t	\N
887	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	952631	953050	2019-12-05 09:56:26.595206	t	\N
888	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	963519	964102	2019-12-05 09:56:45.626871	t	\N
889	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	642195	642908	2019-12-05 09:56:53.440724	t	\N
890	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	651356	651775	2019-12-05 09:57:05.470693	t	\N
891	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	980423	981008	2019-12-05 09:57:12.662589	t	\N
892	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	657947	658399	2019-12-05 09:57:13.491407	t	\N
893	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	169	660633	661462	2019-12-05 09:57:16.500672	t	\N
894	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	992079	992498	2019-12-05 09:57:25.681075	t	\N
895	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1003929	1004962	2019-12-05 09:57:45.705982	t	\N
896	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	619	565667	568799	2019-12-05 09:58:12.633222	t	\N
897	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030969	1031388	2019-12-05 09:58:24.755015	t	\N
898	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	195	577371	578027	2019-12-05 09:58:25.663893	t	\N
899	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829114	829513	2019-12-05 09:58:40.798718	t	\N
900	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	664	613288	616316	2019-12-05 09:59:12.773333	t	\N
901	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	857734	858153	2019-12-05 09:59:23.853519	t	\N
902	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	860812	861353	2019-12-05 09:59:26.857839	t	\N
903	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	625616	626681	2019-12-05 09:59:26.805272	t	\N
904	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	651048	651825	2019-12-05 09:59:56.890349	t	\N
905	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	881807	884828	2019-12-05 10:00:03.905066	t	\N
906	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	886626	900494	2019-12-05 10:00:05.908686	t	\N
907	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	905271	906140	2019-12-05 10:00:11.922726	t	\N
908	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	662502	662954	2019-12-05 10:00:12.928683	t	\N
909	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	917595	918014	2019-12-05 10:00:25.941042	t	\N
910	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	925727	926646	2019-12-05 10:00:38.957914	t	\N
911	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	569466	572598	2019-12-05 10:01:12.065673	t	\N
912	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956510	956929	2019-12-05 10:01:26.017005	t	\N
913	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	971099	971733	2019-12-05 10:01:50.046807	t	\N
914	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	610556	610975	2019-12-05 10:02:06.193094	t	\N
915	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	614971	615487	2019-12-05 10:02:11.209581	t	\N
916	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	989562	990297	2019-12-05 10:02:15.084818	t	\N
917	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997018	997437	2019-12-05 10:02:26.098577	t	\N
918	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002535	1003076	2019-12-05 10:02:33.107615	t	\N
919	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	556735	557454	2019-12-05 10:02:52.31561	t	\N
920	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	568859	569311	2019-12-05 10:03:09.355708	t	\N
921	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036432	1036851	2019-12-05 10:03:26.174517	t	\N
922	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	829405	830713	2019-12-05 10:03:31.200962	t	\N
923	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833030	833449	2019-12-05 10:03:32.207974	t	\N
924	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851577	851993	2019-12-05 10:04:04.249152	t	\N
925	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	634	612052	615118	2019-12-05 10:04:10.500654	t	\N
926	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868511	868930	2019-12-05 10:04:26.277881	t	\N
927	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	871920	875005	2019-12-05 10:04:30.284116	t	\N
928	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	890618	891407	2019-12-05 10:04:58.317832	t	\N
929	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	609	657303	660790	2019-12-05 10:05:10.641473	t	\N
930	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	912274	912693	2019-12-05 10:05:27.362039	t	\N
931	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914383	914924	2019-12-05 10:05:30.366168	t	\N
932	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	921267	921953	2019-12-05 10:05:39.377978	t	\N
933	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	551903	552532	2019-12-05 10:05:47.730696	t	\N
934	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	566906	567422	2019-12-05 10:06:09.78191	t	\N
935	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952872	953291	2019-12-05 10:06:28.438535	t	\N
936	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	674	609623	612856	2019-12-05 10:07:09.922755	t	\N
937	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	617144	617563	2019-12-05 10:07:15.939684	t	\N
938	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	989737	992794	2019-12-05 10:07:27.512765	t	\N
939	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	654676	655128	2019-12-05 10:08:07.060784	t	\N
940	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1027951	1030970	2019-12-05 10:08:25.590266	t	\N
941	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034739	1035280	2019-12-05 10:08:30.597226	t	\N
942	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1038540	829203	2019-12-05 10:08:34.602476	t	\N
943	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	211	546121	546780	2019-12-05 10:08:42.144494	t	\N
944	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	555364	556145	2019-12-05 10:08:54.1747	t	\N
945	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	564112	564895	2019-12-05 10:09:06.202901	t	\N
946	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	572395	573462	2019-12-05 10:09:17.228697	t	\N
947	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	576821	577930	2019-12-05 10:09:22.241254	t	\N
948	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862842	863261	2019-12-05 10:09:27.670442	t	\N
949	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	605511	606526	2019-12-05 10:09:58.324453	t	\N
950	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	611337	611853	2019-12-05 10:10:05.341725	t	\N
951	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	886828	889849	2019-12-05 10:10:10.724737	t	\N
952	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904572	904991	2019-12-05 10:10:28.755343	t	\N
953	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1198	651421	657566	2019-12-05 10:11:00.485297	t	\N
954	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	662594	663377	2019-12-05 10:11:07.503472	t	\N
955	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1647	667565	547006	2019-12-05 10:11:13.518371	t	\N
956	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	940011	943350	2019-12-05 10:11:23.822469	t	\N
957	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945219	945638	2019-12-05 10:11:26.826922	t	\N
958	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	576862	577436	2019-12-05 10:11:54.612008	t	\N
959	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	585160	585612	2019-12-05 10:12:05.641841	t	\N
960	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	978035	981258	2019-12-05 10:12:18.890261	t	\N
961	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	596154	596637	2019-12-05 10:12:21.681219	t	\N
963	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	986617	987036	2019-12-05 10:12:26.902018	t	\N
962	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	600314	601369	2019-12-05 10:12:26.694219	t	\N
964	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	191	620235	621006	2019-12-05 10:12:47.75012	t	\N
965	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	631606	632122	2019-12-05 10:13:03.796276	t	\N
966	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1020772	1023758	2019-12-05 10:13:20.965372	t	\N
967	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1027200	1027619	2019-12-05 10:13:25.972414	t	\N
968	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	583499	586650	2019-12-05 10:14:04.941795	t	\N
969	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	854956	858611	2019-12-05 10:14:25.046709	t	\N
970	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	860212	874080	2019-12-05 10:14:27.050033	t	\N
971	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876324	876743	2019-12-05 10:14:28.051757	t	\N
972	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	627	626829	630032	2019-12-05 10:15:01.084074	t	\N
973	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	633011	633463	2019-12-05 10:15:03.090482	t	\N
974	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	912355	915374	2019-12-05 10:15:26.127992	t	\N
1029	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	57	940411	954205	2019-12-05 10:29:44.284466	t	\N
975	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	675	676126	679218	2019-12-05 10:16:04.233678	t	\N
976	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	951796	954815	2019-12-05 10:16:25.201999	t	\N
977	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	680	585223	588353	2019-12-05 10:17:04.372019	t	\N
978	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	598026	598445	2019-12-05 10:17:18.406136	t	\N
979	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	989007	992344	2019-12-05 10:17:19.269143	t	\N
980	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	993857	994664	2019-12-05 10:17:20.271051	t	\N
981	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998720	999139	2019-12-05 10:17:26.278974	t	\N
982	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	625668	626231	2019-12-05 10:17:53.489396	t	\N
983	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	633655	634286	2019-12-05 10:18:04.517461	t	\N
984	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1031555	1034541	2019-12-05 10:18:18.347102	t	\N
985	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831469	831890	2019-12-05 10:18:26.376224	t	\N
986	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	738	656909	660269	2019-12-05 10:18:38.596959	t	\N
987	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	544931	545449	2019-12-05 10:19:04.656334	t	\N
988	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	556075	556491	2019-12-05 10:19:20.692599	t	\N
989	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	868866	871923	2019-12-05 10:19:25.451625	t	\N
990	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	589142	589594	2019-12-05 10:20:05.796606	t	\N
991	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	903258	906241	2019-12-05 10:20:15.514569	t	\N
992	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913282	913701	2019-12-05 10:20:26.528428	t	\N
993	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914921	915462	2019-12-05 10:20:27.534883	t	\N
994	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	626004	629245	2019-12-05 10:20:55.913651	t	\N
995	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	636921	637437	2019-12-05 10:21:06.941125	t	\N
996	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	952674	955693	2019-12-05 10:21:27.610383	t	\N
997	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	679175	546472	2019-12-05 10:22:06.096682	t	\N
998	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	992411	995634	2019-12-05 10:22:26.684178	t	\N
999	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998017	998436	2019-12-05 10:22:29.688652	t	\N
1000	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	563016	563435	2019-12-05 10:22:31.156135	t	\N
1001	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1018395	1021381	2019-12-05 10:23:04.732954	t	\N
1002	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	591064	591516	2019-12-05 10:23:07.24123	t	\N
1003	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832427	832848	2019-12-05 10:23:30.791477	t	\N
1004	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835505	836046	2019-12-05 10:23:33.795865	t	\N
1005	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	638	630124	633481	2019-12-05 10:24:00.361885	t	\N
1006	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	638366	638818	2019-12-05 10:24:07.379474	t	\N
1007	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	871090	871509	2019-12-05 10:24:29.866115	t	\N
1008	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	635	544069	547532	2019-12-05 10:25:05.532569	t	\N
1009	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	908439	911496	2019-12-05 10:25:30.944046	t	\N
1010	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	640	590938	594695	2019-12-05 10:26:07.678387	t	\N
1011	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1560	599944	614653	2019-12-05 10:26:15.697537	t	\N
1012	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	29	942796	946396	2019-12-05 10:26:21.012277	t	\N
1013	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	952350	952769	2019-12-05 10:26:30.032351	t	\N
1014	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	810433	810976	2019-12-05 10:26:34.040534	t	\N
1015	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	651217	651669	2019-12-05 10:27:06.820043	t	\N
1016	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	654107	654824	2019-12-05 10:27:08.826639	t	\N
1018	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846619	847038	2019-12-05 10:27:31.113078	t	\N
1017	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	179	669367	670138	2019-12-05 10:27:30.879683	t	\N
1019	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	673217	673700	2019-12-05 10:27:33.887618	t	\N
1020	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	564126	564580	2019-12-05 10:28:06.965775	t	\N
1021	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	869629	872653	2019-12-05 10:28:12.164902	t	\N
1022	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	202	569042	569698	2019-12-05 10:28:12.980817	t	\N
1023	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887210	887629	2019-12-05 10:28:30.188581	t	\N
1024	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	609456	609908	2019-12-05 10:29:08.108866	t	\N
1025	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	621547	621963	2019-12-05 10:29:25.160467	t	\N
1026	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	923684	926703	2019-12-05 10:29:28.263248	t	\N
1027	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932048	932589	2019-12-05 10:29:35.272549	t	\N
1028	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	936495	937488	2019-12-05 10:29:41.280498	t	\N
1030	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	562653	563282	2019-12-05 10:30:04.258978	t	\N
1031	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	565610	566062	2019-12-05 10:30:06.265776	t	\N
1032	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	981662	982081	2019-12-05 10:30:28.342528	t	\N
1033	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990528	990922	2019-12-05 10:30:42.365399	t	\N
1034	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	650	609096	612576	2019-12-05 10:31:07.408721	t	\N
1035	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019087	1019506	2019-12-05 10:31:26.418644	t	\N
1036	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	642	654715	658202	2019-12-05 10:32:07.547957	t	\N
1037	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	824562	827889	2019-12-05 10:32:21.486302	t	\N
1038	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831210	831629	2019-12-05 10:32:26.493224	t	\N
1039	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	833745	834286	2019-12-05 10:32:28.496476	t	\N
1040	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	671771	672903	2019-12-05 10:32:28.59761	t	\N
1041	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	560115	560744	2019-12-05 10:32:59.686527	t	\N
1042	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	852884	853691	2019-12-05 10:33:02.548075	t	\N
1043	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	566498	567014	2019-12-05 10:33:07.707385	t	\N
1044	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868563	868960	2019-12-05 10:33:20.569491	t	\N
1045	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871738	872157	2019-12-05 10:33:24.575164	t	\N
1046	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	643	608891	612021	2019-12-05 10:34:06.843244	t	\N
1047	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	909996	913015	2019-12-05 10:34:26.650931	t	\N
1048	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919300	919716	2019-12-05 10:34:36.663797	t	\N
1049	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	629	656007	659163	2019-12-05 10:35:08.987783	t	\N
1050	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950580	950999	2019-12-05 10:35:25.727928	t	\N
1051	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	952358	952899	2019-12-05 10:35:27.731094	t	\N
1052	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	971258	974359	2019-12-05 10:35:58.77241	t	\N
1053	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	559561	560126	2019-12-05 10:35:59.107418	t	\N
1054	Jobs::ReindexSearch	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	428	562979	564708	2019-12-05 10:36:02.115473	t	\N
1055	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	569519	569971	2019-12-05 10:36:08.13102	t	\N
1056	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992395	992814	2019-12-05 10:36:23.803797	t	\N
1057	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	629	610888	614477	2019-12-05 10:37:06.266538	t	\N
1058	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1028553	1031572	2019-12-05 10:37:21.876215	t	\N
1059	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	679	640899	643894	2019-12-05 10:37:41.346628	t	\N
1060	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	215	659791	660447	2019-12-05 10:38:05.405582	t	\N
1061	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	662551	663003	2019-12-05 10:38:07.411523	t	\N
1062	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836927	839953	2019-12-05 10:38:14.950418	t	\N
1063	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844491	844910	2019-12-05 10:38:21.959427	t	\N
1064	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851195	851800	2019-12-05 10:38:31.971786	t	\N
1065	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	194	544459	545558	2019-12-05 10:38:33.491278	t	\N
1066	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	549002	549418	2019-12-05 10:38:37.503006	t	\N
1067	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	562491	562940	2019-12-05 10:38:49.531306	t	\N
1068	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	569723	570297	2019-12-05 10:38:59.553932	t	\N
1069	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	576393	576973	2019-12-05 10:39:07.573573	t	\N
1070	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	883991	887010	2019-12-05 10:39:22.062874	t	\N
1071	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	586732	587212	2019-12-05 10:39:22.609318	t	\N
1072	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	686	608133	611331	2019-12-05 10:39:47.668418	t	\N
1073	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	543273	543791	2019-12-05 10:40:09.735767	t	\N
1074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	923293	926312	2019-12-05 10:40:21.1374	t	\N
1075	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	228	564131	564839	2019-12-05 10:40:40.80689	t	\N
1076	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1666	576036	590447	2019-12-05 10:40:50.830106	t	\N
1077	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	191	603069	603742	2019-12-05 10:41:10.879812	t	\N
1078	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	954399	957382	2019-12-05 10:41:11.205778	t	\N
1079	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	605157	605609	2019-12-05 10:41:11.883148	t	\N
1080	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967380	967799	2019-12-05 10:41:21.218737	t	\N
1081	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971846	972387	2019-12-05 10:41:28.227325	t	\N
1082	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	343	632631	633300	2019-12-05 10:41:46.963149	t	\N
1083	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	644652	645886	2019-12-05 10:42:04.004046	t	\N
1084	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	651836	652288	2019-12-05 10:42:12.024539	t	\N
1085	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	1003996	1007219	2019-12-05 10:42:18.288295	t	\N
1086	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010442	1010861	2019-12-05 10:42:22.294056	t	\N
1089	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033050	1033447	2019-12-05 10:43:01.345838	t	\N
1092	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821491	821912	2019-12-05 10:43:21.396662	t	\N
1087	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	190	670909	672011	2019-12-05 10:42:40.092096	t	\N
1088	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	546510	546931	2019-12-05 10:42:52.120966	t	\N
1090	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	553722	554577	2019-12-05 10:43:02.144774	t	\N
1091	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	561554	562198	2019-12-05 10:43:12.170993	t	\N
1093	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	571814	572933	2019-12-05 10:43:26.204966	t	\N
1094	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	494	581133	582072	2019-12-05 10:43:38.232791	t	\N
1095	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	228	590240	591568	2019-12-05 10:43:43.246213	t	\N
1096	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	82	849984	866501	2019-12-05 10:44:10.459243	t	\N
1097	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	611363	611879	2019-12-05 10:44:13.316566	t	\N
1098	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877968	878387	2019-12-05 10:44:23.478666	t	\N
1099	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881708	882249	2019-12-05 10:44:28.485408	t	\N
1100	Jobs::ActivationReminderEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	191	628126	629057	2019-12-05 10:44:37.373074	t	\N
1101	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	651824	652605	2019-12-05 10:45:05.437413	t	\N
1102	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	658004	658520	2019-12-05 10:45:13.45783	t	\N
1103	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	917128	920147	2019-12-05 10:45:23.559441	t	\N
1104	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	631	563117	566396	2019-12-05 10:46:13.595242	t	\N
1105	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	958576	961595	2019-12-05 10:46:24.634274	t	\N
1106	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	608421	611908	2019-12-05 10:47:12.734792	t	\N
1107	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	998671	1001690	2019-12-05 10:47:24.707913	t	\N
1108	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1003135	1003676	2019-12-05 10:47:25.710451	t	\N
1109	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	211	637720	638376	2019-12-05 10:47:45.815441	t	\N
1110	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	643999	644418	2019-12-05 10:47:53.835884	t	\N
1111	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	656256	656836	2019-12-05 10:48:10.880659	t	\N
1112	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	658251	658814	2019-12-05 10:48:11.884714	t	\N
1113	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1029516	1032502	2019-12-05 10:48:12.76903	t	\N
1114	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	815118	815927	2019-12-05 10:48:21.78768	t	\N
1115	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	817359	817778	2019-12-05 10:48:22.78963	t	\N
1116	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	673	563571	566831	2019-12-05 10:49:10.021899	t	\N
1117	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	572745	573225	2019-12-05 10:49:19.044129	t	\N
1118	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	853399	856456	2019-12-05 10:49:20.862279	t	\N
1119	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	637	610566	613722	2019-12-05 10:50:10.16202	t	\N
1120	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	893758	896777	2019-12-05 10:50:21.936675	t	\N
1121	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903284	903997	2019-12-05 10:50:32.950806	t	\N
1122	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	609	656782	659938	2019-12-05 10:51:10.300887	t	\N
1123	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	662480	663043	2019-12-05 10:51:14.311954	t	\N
1124	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	934667	937686	2019-12-05 10:51:21.013449	t	\N
1125	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945535	945929	2019-12-05 10:51:34.030512	t	\N
1126	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	667	568084	571216	2019-12-05 10:52:10.458479	t	\N
1127	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	976059	979078	2019-12-05 10:52:22.090227	t	\N
1128	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	986099	986733	2019-12-05 10:52:33.105416	t	\N
1129	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002988	1003385	2019-12-05 10:53:03.142269	t	\N
1130	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	610291	610710	2019-12-05 10:53:05.586971	t	\N
1131	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	615973	616425	2019-12-05 10:53:12.604779	t	\N
1132	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017672	1018091	2019-12-05 10:53:21.169429	t	\N
1133	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1019578	1019972	2019-12-05 10:53:23.172902	t	\N
1134	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1023026	1023567	2019-12-05 10:53:27.17858	t	\N
1135	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	676	659494	662586	2019-12-05 10:54:13.74491	t	\N
1136	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	665288	665915	2019-12-05 10:54:16.75306	t	\N
1137	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	832189	835248	2019-12-05 10:54:21.243364	t	\N
1138	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	647	570694	573890	2019-12-05 10:55:12.896147	t	\N
1139	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1585	576645	591285	2019-12-05 10:55:15.904002	t	\N
1140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	871968	874987	2019-12-05 10:55:21.317072	t	\N
1141	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	902477	905649	2019-12-05 10:56:10.383969	t	\N
1142	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	633	544867	547999	2019-12-05 10:56:13.056567	t	\N
1146	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	178	584471	585300	2019-12-05 10:57:04.175913	t	\N
1147	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	593464	593980	2019-12-05 10:57:15.205198	t	\N
1148	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	597871	598498	2019-12-05 10:57:20.218358	t	\N
1151	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	626253	626672	2019-12-05 10:57:55.300484	t	\N
1153	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	199	638811	639862	2019-12-05 10:58:14.346275	t	\N
1154	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	642222	642674	2019-12-05 10:58:16.352363	t	\N
1143	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916302	916721	2019-12-05 10:56:21.398557	t	\N
1144	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917813	918354	2019-12-05 10:56:22.400413	t	\N
1145	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	940265	940850	2019-12-05 10:57:01.450281	t	\N
1149	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955448	955867	2019-12-05 10:57:20.474966	t	\N
1150	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	969056	970089	2019-12-05 10:57:43.507563	t	\N
1152	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978428	978825	2019-12-05 10:57:56.523707	t	\N
1155	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	995674	996093	2019-12-05 10:58:19.552235	t	\N
1156	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	71	1022100	1038558	2019-12-05 10:59:06.611944	t	\N
1157	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	686	547272	551128	2019-12-05 10:59:14.488559	t	\N
1158	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825601	826020	2019-12-05 10:59:19.629063	t	\N
1159	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828441	828982	2019-12-05 10:59:22.642443	t	\N
1160	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	566180	566927	2019-12-05 10:59:37.543353	t	\N
1161	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	653	593385	596477	2019-12-05 11:00:12.625579	t	\N
1162	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	863085	866617	2019-12-05 11:00:17.709289	t	\N
1163	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	600370	600933	2019-12-05 11:00:17.640954	t	\N
1164	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868843	869262	2019-12-05 11:00:19.712323	t	\N
1165	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	886735	887670	2019-12-05 11:00:50.75129	t	\N
1166	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	612	640294	643450	2019-12-05 11:01:11.767971	t	\N
1167	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907792	908211	2019-12-05 11:01:19.787541	t	\N
1168	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917914	918308	2019-12-05 11:01:35.812596	t	\N
1169	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	547912	548366	2019-12-05 11:02:09.916402	t	\N
1170	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947146	947565	2019-12-05 11:02:20.867335	t	\N
1171	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951676	952217	2019-12-05 11:02:27.876186	t	\N
1172	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	957975	958609	2019-12-05 11:02:35.886761	t	\N
1173	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	961727	962462	2019-12-05 11:02:39.892	t	\N
1174	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	964308	965097	2019-12-05 11:02:42.902148	t	\N
1175	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	583536	583955	2019-12-05 11:02:57.027727	t	\N
1176	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979748	980145	2019-12-05 11:03:08.934299	t	\N
1177	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	591874	592448	2019-12-05 11:03:09.05729	t	\N
1178	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	157	594044	595172	2019-12-05 11:03:10.061385	t	\N
1179	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982804	983220	2019-12-05 11:03:11.938382	t	\N
1180	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992650	993069	2019-12-05 11:03:20.950254	t	\N
1181	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	637052	638171	2019-12-05 11:04:10.200309	t	\N
1182	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1028283	1031302	2019-12-05 11:04:18.02247	t	\N
1183	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1033398	1034854	2019-12-05 11:04:20.032205	t	\N
1184	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	543478	543996	2019-12-05 11:05:09.347569	t	\N
1185	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	845555	848678	2019-12-05 11:05:17.103207	t	\N
1186	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	850421	853522	2019-12-05 11:05:19.106485	t	\N
1187	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859250	859791	2019-12-05 11:05:27.117143	t	\N
1188	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	862770	863832	2019-12-05 11:05:30.121156	t	\N
1189	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	686	587193	590387	2019-12-05 11:06:09.473851	t	\N
1190	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	595381	596020	2019-12-05 11:06:15.488874	t	\N
1191	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	892765	895784	2019-12-05 11:06:16.18327	t	\N
1192	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	636113	639308	2019-12-05 11:07:11.618282	t	\N
1193	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	932891	935910	2019-12-05 11:07:16.257227	t	\N
1194	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	940383	941106	2019-12-05 11:07:23.266102	t	\N
1195	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	673119	673602	2019-12-05 11:07:56.721461	t	\N
1196	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	967659	970645	2019-12-05 11:08:10.323642	t	\N
1197	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	548229	548683	2019-12-05 11:08:10.770112	t	\N
1198	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977960	978379	2019-12-05 11:08:15.33049	t	\N
1199	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	211	552348	553004	2019-12-05 11:08:15.783493	t	\N
1200	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983426	983967	2019-12-05 11:08:23.345882	t	\N
1201	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	588015	588464	2019-12-05 11:09:04.894652	t	\N
1202	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	591219	594481	2019-12-05 11:09:07.903074	t	\N
1203	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	597658	598110	2019-12-05 11:09:10.910985	t	\N
1204	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	600191	600818	2019-12-05 11:09:13.919519	t	\N
1205	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1013402	1016421	2019-12-05 11:09:14.409781	t	\N
1206	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	613023	613439	2019-12-05 11:09:30.96373	t	\N
1207	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1667	618202	632559	2019-12-05 11:09:35.979577	t	\N
1208	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	190	560256	561199	2019-12-05 11:10:01.039407	t	\N
1209	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	567139	567591	2019-12-05 11:10:10.062202	t	\N
1210	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	830961	834020	2019-12-05 11:10:14.503925	t	\N
1211	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	610965	614153	2019-12-05 11:11:11.2053	t	\N
1212	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	869479	872498	2019-12-05 11:11:12.579239	t	\N
1213	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	879333	879874	2019-12-05 11:11:17.586255	t	\N
1214	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	622335	623164	2019-12-05 11:11:23.234392	t	\N
1215	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892056	892450	2019-12-05 11:11:37.617193	t	\N
1216	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	606	658295	661490	2019-12-05 11:12:11.348963	t	\N
1217	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914060	914479	2019-12-05 11:12:14.66394	t	\N
1218	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	668549	669112	2019-12-05 11:12:21.374284	t	\N
1219	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	923097	923731	2019-12-05 11:12:22.673922	t	\N
1220	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	563091	563512	2019-12-05 11:13:02.47364	t	\N
1221	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	948214	951595	2019-12-05 11:13:08.729377	t	\N
1222	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	570213	570665	2019-12-05 11:13:12.499152	t	\N
1223	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954732	955151	2019-12-05 11:13:12.73478	t	\N
1224	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	172	572899	573954	2019-12-05 11:13:15.508265	t	\N
1225	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	961756	963462	2019-12-05 11:13:16.745418	t	\N
1226	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	613712	614829	2019-12-05 11:14:10.634129	t	\N
1227	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	994632	997651	2019-12-05 11:14:11.812896	t	\N
1228	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	1000664	1014532	2019-12-05 11:14:14.81741	t	\N
1229	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1020314	1020855	2019-12-05 11:14:17.821464	t	\N
1230	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	699	658234	661428	2019-12-05 11:15:12.781472	t	\N
1231	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	829980	833039	2019-12-05 11:15:13.891405	t	\N
1232	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	671861	672435	2019-12-05 11:15:28.820585	t	\N
1233	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	869391	872410	2019-12-05 11:16:11.965629	t	\N
1234	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	626	569442	572702	2019-12-05 11:16:12.923829	t	\N
1235	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	902119	902926	2019-12-05 11:16:59.023339	t	\N
1236	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	668	614267	617423	2019-12-05 11:17:11.061447	t	\N
1237	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911091	911543	2019-12-05 11:17:12.039842	t	\N
1238	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	913280	913832	2019-12-05 11:17:14.043446	t	\N
1239	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	655348	655767	2019-12-05 11:18:05.184354	t	\N
1240	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	211	659325	660045	2019-12-05 11:18:09.195364	t	\N
1241	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	662430	662882	2019-12-05 11:18:11.201819	t	\N
1242	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	950655	953641	2019-12-05 11:18:12.114712	t	\N
1243	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	955045	955497	2019-12-05 11:18:13.117722	t	\N
1244	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	670709	671336	2019-12-05 11:18:22.229574	t	\N
1245	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	694	572436	575671	2019-12-05 11:19:11.360269	t	\N
1246	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	997164	1000183	2019-12-05 11:19:15.195644	t	\N
1247	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	579961	580441	2019-12-05 11:19:17.375643	t	\N
1248	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	664	543251	546486	2019-12-05 11:20:11.511613	t	\N
1249	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1037672	819204	2019-12-05 11:20:15.271559	t	\N
1250	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820691	821232	2019-12-05 11:20:17.274586	t	\N
1251	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	853030	856049	2019-12-05 11:21:13.345994	t	\N
1252	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	611	589164	592320	2019-12-05 11:21:13.658529	t	\N
1253	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	602700	603263	2019-12-05 11:21:28.694197	t	\N
1254	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888087	888481	2019-12-05 11:22:04.409438	t	\N
1255	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894641	895060	2019-12-05 11:22:14.42314	t	\N
1256	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	637671	641486	2019-12-05 11:22:15.802821	t	\N
1257	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	906385	907019	2019-12-05 11:22:26.438992	t	\N
1258	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	678196	678615	2019-12-05 11:23:06.923134	t	\N
1259	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	930239	933225	2019-12-05 11:23:07.495435	t	\N
1260	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937928	938347	2019-12-05 11:23:14.504478	t	\N
1261	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	944249	944790	2019-12-05 11:23:17.513065	t	\N
1262	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	549451	549905	2019-12-05 11:23:17.95196	t	\N
1263	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1627	580851	595288	2019-12-05 11:23:59.048172	t	\N
1264	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	976917	979936	2019-12-05 11:24:14.584285	t	\N
1265	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	607143	607595	2019-12-05 11:24:17.091728	t	\N
1266	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	612860	613633	2019-12-05 11:24:25.112113	t	\N
1267	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1017339	1020358	2019-12-05 11:25:13.657034	t	\N
1268	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	665	652761	655955	2019-12-05 11:25:19.238864	t	\N
1269	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	835720	838779	2019-12-05 11:26:12.730253	t	\N
1270	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	650	559649	563818	2019-12-05 11:26:16.373492	t	\N
1271	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	566652	567104	2019-12-05 11:26:20.38448	t	\N
1272	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	850011	850552	2019-12-05 11:26:24.746017	t	\N
1273	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	878480	882102	2019-12-05 11:27:14.813499	t	\N
1274	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887275	887694	2019-12-05 11:27:15.81553	t	\N
1275	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	656	609358	612450	2019-12-05 11:27:20.528091	t	\N
1276	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	621210	622013	2019-12-05 11:27:32.556461	t	\N
1277	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	647344	648000	2019-12-05 11:28:04.628626	t	\N
1278	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915883	916280	2019-12-05 11:28:05.876438	t	\N
1279	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	653866	654285	2019-12-05 11:28:11.646702	t	\N
1280	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926820	927239	2019-12-05 11:28:17.892257	t	\N
1281	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	660260	660712	2019-12-05 11:28:20.670016	t	\N
1282	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	549338	549756	2019-12-05 11:28:50.754372	t	\N
1283	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	949015	962883	2019-12-05 11:28:54.937665	t	\N
1284	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	978541	978960	2019-12-05 11:29:15.968877	t	\N
1285	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981054	981595	2019-12-05 11:29:18.972898	t	\N
1286	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	570215	570667	2019-12-05 11:29:21.827406	t	\N
1287	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	987632	988551	2019-12-05 11:29:27.985353	t	\N
1288	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1018366	1021385	2019-12-05 11:30:16.04488	t	\N
1289	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	612984	616178	2019-12-05 11:30:22.971305	t	\N
1290	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	623733	624296	2019-12-05 11:30:34.006803	t	\N
1291	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	837333	840392	2019-12-05 11:31:16.122229	t	\N
1292	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	572999	576131	2019-12-05 11:31:23.123529	t	\N
1293	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853665	854059	2019-12-05 11:31:39.157142	t	\N
1294	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873824	874243	2019-12-05 11:32:14.200254	t	\N
1295	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	879419	880226	2019-12-05 11:32:15.202674	t	\N
1296	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	617873	621029	2019-12-05 11:32:22.259992	t	\N
1297	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	885225	885766	2019-12-05 11:32:23.213114	t	\N
1298	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	898869	899503	2019-12-05 11:32:45.239898	t	\N
1299	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903513	903910	2019-12-05 11:32:51.253088	t	\N
1300	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	909742	910158	2019-12-05 11:33:00.265725	t	\N
1301	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	917444	917896	2019-12-05 11:33:13.283022	t	\N
1302	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	636	658489	661612	2019-12-05 11:33:14.379087	t	\N
1303	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	668188	668640	2019-12-05 11:33:23.402771	t	\N
1304	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	157	542607	543322	2019-12-05 11:33:39.45676	t	\N
1305	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	954539	957558	2019-12-05 11:34:12.35379	t	\N
1306	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	653	575576	579101	2019-12-05 11:34:23.547359	t	\N
1307	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	994721	997740	2019-12-05 11:35:12.428456	t	\N
1308	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	670	619806	623611	2019-12-05 11:35:21.681652	t	\N
1309	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1010175	1010716	2019-12-05 11:35:26.45372	t	\N
1310	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1016835	1019936	2019-12-05 11:35:36.46647	t	\N
1311	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	819757	822869	2019-12-05 11:36:12.511818	t	\N
1312	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	596	665494	669171	2019-12-05 11:36:21.822793	t	\N
1313	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	678901	543528	2019-12-05 11:36:35.855913	t	\N
1314	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	861135	864154	2019-12-05 11:37:12.585377	t	\N
1315	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	617	579172	582302	2019-12-05 11:37:23.968255	t	\N
1316	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	594420	595876	2019-12-05 11:37:42.010902	t	\N
1317	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	199	601781	602501	2019-12-05 11:37:44.016963	t	\N
1318	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895112	895509	2019-12-05 11:38:00.64478	t	\N
1319	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	615702	616121	2019-12-05 11:38:04.067103	t	\N
1320	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902418	902837	2019-12-05 11:38:12.664602	t	\N
1321	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1519	625168	639872	2019-12-05 11:38:17.098001	t	\N
1322	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	643891	644343	2019-12-05 11:38:23.114885	t	\N
1323	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915470	916011	2019-12-05 11:38:26.683448	t	\N
1324	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	656046	656754	2019-12-05 11:38:41.157363	t	\N
1325	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	664191	664607	2019-12-05 11:38:44.165701	t	\N
1326	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	678666	679210	2019-12-05 11:39:06.21712	t	\N
1327	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	941858	944877	2019-12-05 11:39:11.738909	t	\N
1328	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	555775	556227	2019-12-05 11:39:24.262035	t	\N
1329	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	620	559110	562228	2019-12-05 11:39:27.270362	t	\N
1330	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	566681	567447	2019-12-05 11:39:33.285896	t	\N
1331	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	173	583105	583714	2019-12-05 11:39:50.326204	t	\N
1332	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	312	591172	591969	2019-12-05 11:40:01.352188	t	\N
1333	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	981886	984905	2019-12-05 11:40:10.839148	t	\N
1334	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	607389	607841	2019-12-05 11:40:24.40758	t	\N
1335	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1022156	1025175	2019-12-05 11:41:11.914338	t	\N
1336	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1034655	1035196	2019-12-05 11:41:20.93275	t	\N
1337	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	572238	575952	2019-12-05 11:41:22.566183	t	\N
1338	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	577136	577588	2019-12-05 11:41:23.57006	t	\N
1339	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	1038564	819200	2019-12-05 11:41:24.938954	t	\N
1340	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	176	602909	603680	2019-12-05 11:41:55.645269	t	\N
1341	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	846352	849409	2019-12-05 11:42:12.998665	t	\N
1342	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	177	622248	623303	2019-12-05 11:42:23.71434	t	\N
1343	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	624679	625131	2019-12-05 11:42:24.718363	t	\N
1344	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	634868	635495	2019-12-05 11:42:37.750002	t	\N
1345	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872747	873144	2019-12-05 11:42:47.042573	t	\N
1346	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	887714	888348	2019-12-05 11:43:12.074206	t	\N
1347	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890041	890493	2019-12-05 11:43:14.083439	t	\N
1348	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	637	662829	666016	2019-12-05 11:43:13.83561	t	\N
1349	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	674127	674579	2019-12-05 11:43:26.868356	t	\N
1350	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	71	908851	922719	2019-12-05 11:43:39.11483	t	\N
1351	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	216	570658	572202	2019-12-05 11:44:10.970329	t	\N
1352	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941641	942093	2019-12-05 11:44:12.159234	t	\N
1353	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	582283	582799	2019-12-05 11:44:26.005247	t	\N
1354	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954931	955472	2019-12-05 11:44:27.178703	t	\N
1355	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	614744	615599	2019-12-05 11:45:08.098286	t	\N
1356	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	979159	982829	2019-12-05 11:45:10.232217	t	\N
1357	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	629104	629556	2019-12-05 11:45:28.148057	t	\N
1358	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	632187	632761	2019-12-05 11:45:32.159783	t	\N
1359	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	466	655969	656844	2019-12-05 11:45:59.223384	t	\N
1360	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1019341	1022360	2019-12-05 11:46:09.309691	t	\N
1361	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	675686	676202	2019-12-05 11:46:28.296144	t	\N
1362	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	821539	822359	2019-12-05 11:46:34.361388	t	\N
1363	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841139	841558	2019-12-05 11:47:07.402003	t	\N
1364	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	856430	856971	2019-12-05 11:47:26.425741	t	\N
1365	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	637	582238	585370	2019-12-05 11:47:28.436104	t	\N
1367	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	201	605177	606502	2019-12-05 11:47:52.493857	t	\N
1368	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	612431	612914	2019-12-05 11:48:01.516203	t	\N
1370	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	629302	630414	2019-12-05 11:48:27.579872	t	\N
1371	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	635337	635911	2019-12-05 11:48:33.595645	t	\N
1372	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	641783	642199	2019-12-05 11:48:41.616206	t	\N
1366	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866036	866433	2019-12-05 11:47:40.444206	t	\N
1369	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881026	881445	2019-12-05 11:48:06.48114	t	\N
1373	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	919275	922332	2019-12-05 11:49:08.557908	t	\N
1374	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	631	676096	679188	2019-12-05 11:49:27.721523	t	\N
1375	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	959460	962479	2019-12-05 11:50:09.63323	t	\N
1376	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	976606	977147	2019-12-05 11:50:25.653833	t	\N
1377	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	627	584162	587228	2019-12-05 11:50:25.852963	t	\N
1378	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1001571	1004590	2019-12-05 11:51:09.712317	t	\N
1379	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	672	630159	633251	2019-12-05 11:51:25.992309	t	\N
1380	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	639858	640421	2019-12-05 11:51:35.014985	t	\N
1381	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027547	1027941	2019-12-05 11:51:42.760724	t	\N
1382	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824475	824896	2019-12-05 11:52:09.793349	t	\N
1383	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	680	676791	544460	2019-12-05 11:52:25.133029	t	\N
1384	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841216	841613	2019-12-05 11:52:30.819828	t	\N
1385	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	578074	578493	2019-12-05 11:53:11.242015	t	\N
1386	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	864527	867584	2019-12-05 11:53:11.869031	t	\N
1387	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	869026	869660	2019-12-05 11:53:12.870878	t	\N
1388	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	587511	587963	2019-12-05 11:53:23.271351	t	\N
1389	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1630	593493	608702	2019-12-05 11:53:31.291691	t	\N
1390	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	885687	886292	2019-12-05 11:53:33.902048	t	\N
1391	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888986	889380	2019-12-05 11:53:36.906267	t	\N
1392	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	909233	912252	2019-12-05 11:54:11.949411	t	\N
1393	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	622	570177	573392	2019-12-05 11:54:23.420594	t	\N
1394	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	581190	581753	2019-12-05 11:54:35.450987	t	\N
1395	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	947417	950436	2019-12-05 11:55:09.019905	t	\N
1396	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	615815	618971	2019-12-05 11:55:21.56948	t	\N
1397	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	987866	990885	2019-12-05 11:56:10.094336	t	\N
1398	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	637	660704	663796	2019-12-05 11:56:20.703144	t	\N
1399	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1006104	1006645	2019-12-05 11:56:28.126142	t	\N
1400	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	1009346	1009929	2019-12-05 11:56:31.132348	t	\N
1401	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030249	1030668	2019-12-05 11:57:08.182113	t	\N
1402	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	562451	563282	2019-12-05 11:57:09.816366	t	\N
1403	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	570773	571289	2019-12-05 11:57:20.844078	t	\N
1404	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831089	831488	2019-12-05 11:57:32.212271	t	\N
1405	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	836015	836600	2019-12-05 11:57:40.222669	t	\N
1406	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	584539	585252	2019-12-05 11:57:40.892667	t	\N
1407	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	852528	852947	2019-12-05 11:58:08.262833	t	\N
1408	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	609417	609836	2019-12-05 11:58:11.961866	t	\N
1409	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	201	613899	614555	2019-12-05 11:58:16.975296	t	\N
1410	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	131	863403	877335	2019-12-05 11:58:20.27785	t	\N
1411	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	617707	618287	2019-12-05 11:58:20.987969	t	\N
1412	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	628063	628479	2019-12-05 11:58:35.021286	t	\N
1413	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	887815	888848	2019-12-05 11:58:36.298725	t	\N
1414	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906337	906756	2019-12-05 11:59:08.337525	t	\N
1415	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	644	660619	663813	2019-12-05 11:59:19.125659	t	\N
1416	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	922100	923019	2019-12-05 11:59:26.362503	t	\N
1417	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924175	924716	2019-12-05 11:59:27.370372	t	\N
1418	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946673	947092	2019-12-05 12:00:06.418098	t	\N
1419	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	649	569137	572993	2019-12-05 12:00:18.260519	t	\N
1420	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	584537	585100	2019-12-05 12:00:35.301704	t	\N
1421	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	982227	985661	2019-12-05 12:01:02.48707	t	\N
1422	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989485	989904	2019-12-05 12:01:08.494808	t	\N
1423	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	602	618667	621823	2019-12-05 12:01:20.415851	t	\N
1424	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1013006	1015989	2019-12-05 12:01:42.536958	t	\N
1425	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030578	1030997	2019-12-05 12:02:08.575359	t	\N
1426	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	823679	824097	2019-12-05 12:02:17.606896	t	\N
1427	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826127	826524	2019-12-05 12:02:20.611412	t	\N
1428	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	674	665505	668533	2019-12-05 12:02:22.561634	t	\N
1429	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	835700	836241	2019-12-05 12:02:34.629855	t	\N
1430	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	845642	846536	2019-12-05 12:02:50.64946	t	\N
1431	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856923	857342	2019-12-05 12:03:07.677214	t	\N
1432	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	867090	867724	2019-12-05 12:03:17.690084	t	\N
1433	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	574247	577613	2019-12-05 12:03:20.715782	t	\N
1434	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	579322	579774	2019-12-05 12:03:22.721804	t	\N
1435	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	589077	589722	2019-12-05 12:03:35.752223	t	\N
1436	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896684	897103	2019-12-05 12:04:08.753533	t	\N
1437	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	549497	552565	2019-12-05 12:04:23.873304	t	\N
1438	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	914750	917851	2019-12-05 12:04:32.783592	t	\N
1439	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	922278	923067	2019-12-05 12:04:39.793053	t	\N
1440	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	925293	926673	2019-12-05 12:04:41.803502	t	\N
1441	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941577	941996	2019-12-05 12:05:08.837565	t	\N
1442	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	643	593244	596400	2019-12-05 12:05:21.010281	t	\N
1443	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957108	957649	2019-12-05 12:05:27.861563	t	\N
1444	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979229	979648	2019-12-05 12:06:06.910116	t	\N
1445	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	631	637911	641067	2019-12-05 12:06:19.14801	t	\N
1446	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	646996	647890	2019-12-05 12:06:28.169525	t	\N
1447	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1016576	1019633	2019-12-05 12:07:06.984416	t	\N
1448	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022747	1023144	2019-12-05 12:07:10.996858	t	\N
1449	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	649	549556	552624	2019-12-05 12:07:21.307417	t	\N
1450	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	206	576268	576924	2019-12-05 12:07:50.376586	t	\N
1451	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1590	578631	593004	2019-12-05 12:07:51.379495	t	\N
1452	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	598349	598926	2019-12-05 12:07:59.399628	t	\N
1453	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843072	843493	2019-12-05 12:08:08.088371	t	\N
1454	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	608684	609495	2019-12-05 12:08:14.435825	t	\N
1455	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	611204	611623	2019-12-05 12:08:16.442159	t	\N
1456	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855489	856030	2019-12-05 12:08:21.105036	t	\N
1457	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	615644	616160	2019-12-05 12:08:21.45566	t	\N
1458	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	871461	872184	2019-12-05 12:08:48.139671	t	\N
1460	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	883255	883707	2019-12-05 12:09:06.1628	t	\N
1459	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	648964	652210	2019-12-05 12:09:05.55981	t	\N
1461	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	663028	663544	2019-12-05 12:09:21.598204	t	\N
1462	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	665253	665816	2019-12-05 12:09:23.604479	t	\N
1463	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	920661	923718	2019-12-05 12:10:06.235983	t	\N
1464	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	656	572512	576368	2019-12-05 12:10:23.741434	t	\N
1465	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	961166	964185	2019-12-05 12:11:07.312629	t	\N
1466	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	975930	976471	2019-12-05 12:11:21.330012	t	\N
1467	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	599	617931	621628	2019-12-05 12:11:23.889513	t	\N
1468	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	169	649551	650380	2019-12-05 12:11:59.972284	t	\N
1469	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998906	999300	2019-12-05 12:12:00.37965	t	\N
1470	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004978	1005397	2019-12-05 12:12:09.390855	t	\N
1471	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007805	1008202	2019-12-05 12:12:11.398402	t	\N
1472	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	665987	666550	2019-12-05 12:12:24.031199	t	\N
1473	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	668086	668538	2019-12-05 12:12:25.035567	t	\N
1474	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	171	545296	546417	2019-12-05 12:12:43.079104	t	\N
1475	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	171	556566	557523	2019-12-05 12:12:50.097563	t	\N
1476	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828837	829258	2019-12-05 12:13:08.487527	t	\N
1477	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	571849	572268	2019-12-05 12:13:12.150515	t	\N
1478	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	582477	582929	2019-12-05 12:13:27.186489	t	\N
1479	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	852934	856195	2019-12-05 12:13:44.531973	t	\N
1480	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	859249	873181	2019-12-05 12:13:48.537216	t	\N
1481	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884502	884921	2019-12-05 12:14:08.56155	t	\N
1482	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888478	889019	2019-12-05 12:14:13.572855	t	\N
1483	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	550295	553446	2019-12-05 12:14:25.324556	t	\N
1484	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923342	923761	2019-12-05 12:15:08.641089	t	\N
1485	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	636	593699	596913	2019-12-05 12:15:22.457153	t	\N
1486	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	598513	598965	2019-12-05 12:15:23.461076	t	\N
1487	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	960757	963776	2019-12-05 12:16:08.714298	t	\N
1488	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	656	641489	644645	2019-12-05 12:16:23.601176	t	\N
1489	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	984918	985725	2019-12-05 12:16:39.752366	t	\N
1490	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1002210	1002629	2019-12-05 12:17:08.787597	t	\N
1491	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004132	1004529	2019-12-05 12:17:10.795693	t	\N
1492	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1006757	1007298	2019-12-05 12:17:12.798965	t	\N
1493	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	551689	554885	2019-12-05 12:17:24.758345	t	\N
1494	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	212	559097	559817	2019-12-05 12:17:30.774389	t	\N
1495	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	587390	587806	2019-12-05 12:18:06.864276	t	\N
1496	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827535	827956	2019-12-05 12:18:08.873553	t	\N
1497	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	598877	599296	2019-12-05 12:18:23.905465	t	\N
1498	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	601204	601996	2019-12-05 12:18:24.909051	t	\N
1499	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	603506	603958	2019-12-05 12:18:25.913023	t	\N
1500	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	865689	868746	2019-12-05 12:19:08.951106	t	\N
1501	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	646592	649684	2019-12-05 12:19:26.052972	t	\N
1502	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	904560	907844	2019-12-05 12:20:06.023645	t	\N
1503	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	910286	910705	2019-12-05 12:20:08.03408	t	\N
1504	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	629	556404	559472	2019-12-05 12:20:27.194059	t	\N
1505	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	946445	949464	2019-12-05 12:21:06.105562	t	\N
1506	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	601726	604818	2019-12-05 12:21:27.334278	t	\N
1507	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	607511	608074	2019-12-05 12:21:30.342791	t	\N
1508	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970888	971282	2019-12-05 12:21:36.143925	t	\N
1509	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988089	988508	2019-12-05 12:22:06.180418	t	\N
1510	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998763	999160	2019-12-05 12:22:16.19452	t	\N
1511	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	649487	652579	2019-12-05 12:22:28.479258	t	\N
1512	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1637	655281	670225	2019-12-05 12:22:31.48857	t	\N
1513	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025319	1025860	2019-12-05 12:23:02.257158	t	\N
1514	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029894	1030313	2019-12-05 12:23:08.264628	t	\N
1515	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	629	571125	574224	2019-12-05 12:23:22.624912	t	\N
1516	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	579579	580095	2019-12-05 12:23:29.643031	t	\N
1517	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	843849	847112	2019-12-05 12:23:50.315929	t	\N
1518	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858236	858655	2019-12-05 12:24:10.340818	t	\N
1519	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	648	621491	624583	2019-12-05 12:24:27.781072	t	\N
1520	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	627338	628296	2019-12-05 12:24:30.792033	t	\N
1521	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	896331	899350	2019-12-05 12:25:09.414235	t	\N
1522	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	676	570817	573885	2019-12-05 12:25:29.939677	t	\N
1523	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	936792	940139	2019-12-05 12:26:09.494155	t	\N
1524	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941421	941840	2019-12-05 12:26:10.495973	t	\N
1525	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	718	612662	616067	2019-12-05 12:26:24.064498	t	\N
1526	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	620737	621189	2019-12-05 12:26:30.081135	t	\N
1527	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	977857	980843	2019-12-05 12:27:07.568126	t	\N
1528	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982374	982793	2019-12-05 12:27:09.571452	t	\N
1529	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	731	659166	662462	2019-12-05 12:27:23.200943	t	\N
1530	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	668729	669181	2019-12-05 12:27:31.22084	t	\N
1531	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	673955	674518	2019-12-05 12:27:37.238199	t	\N
1532	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1019350	1022369	2019-12-05 12:28:08.64319	t	\N
1533	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	564471	564892	2019-12-05 12:28:11.316611	t	\N
1534	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	578917	579333	2019-12-05 12:28:33.368752	t	\N
1535	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	581058	581510	2019-12-05 12:28:34.373965	t	\N
1536	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	828411	829446	2019-12-05 12:28:35.683855	t	\N
1537	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	831807	845675	2019-12-05 12:28:37.68696	t	\N
1538	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	860860	861401	2019-12-05 12:29:04.719565	t	\N
1539	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864770	865189	2019-12-05 12:29:08.724925	t	\N
1540	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	636	624161	627969	2019-12-05 12:29:34.514164	t	\N
1541	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	901744	904801	2019-12-05 12:30:06.796912	t	\N
1542	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	918392	919385	2019-12-05 12:30:23.824814	t	\N
1543	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	632	668435	671591	2019-12-05 12:30:32.649621	t	\N
1544	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	674457	675020	2019-12-05 12:30:35.658388	t	\N
1545	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944271	944690	2019-12-05 12:31:08.879015	t	\N
1546	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	959483	960232	2019-12-05 12:31:27.901648	t	\N
1547	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	614	579699	582849	2019-12-05 12:31:33.815147	t	\N
1548	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977668	978065	2019-12-05 12:31:59.940362	t	\N
1549	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981578	981972	2019-12-05 12:32:04.947293	t	\N
1550	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985293	985712	2019-12-05 12:32:09.958806	t	\N
1551	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987844	988385	2019-12-05 12:32:11.96196	t	\N
1552	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	696	626101	629193	2019-12-05 12:32:33.957845	t	\N
1553	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010602	1011018	2019-12-05 12:32:46.004266	t	\N
1554	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024186	1024605	2019-12-05 12:33:09.033116	t	\N
1555	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	658086	658505	2019-12-05 12:33:13.049757	t	\N
1556	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	670834	671286	2019-12-05 12:33:31.093684	t	\N
1557	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	675332	676226	2019-12-05 12:33:36.106212	t	\N
1558	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	849298	852357	2019-12-05 12:34:09.125404	t	\N
1559	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	853760	854394	2019-12-05 12:34:10.133386	t	\N
1560	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	646	581877	585027	2019-12-05 12:34:33.251268	t	\N
1561	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	888034	891314	2019-12-05 12:35:03.199973	t	\N
1562	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895484	895903	2019-12-05 12:35:09.208265	t	\N
1563	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	899332	902444	2019-12-05 12:35:14.215277	t	\N
1564	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	620	553656	556964	2019-12-05 12:35:32.391321	t	\N
1565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936258	936677	2019-12-05 12:36:09.282237	t	\N
1566	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	598167	601259	2019-12-05 12:36:30.52653	t	\N
1567	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	604084	604647	2019-12-05 12:36:34.537221	t	\N
1568	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	960959	963945	2019-12-05 12:36:45.331664	t	\N
1569	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	621720	622136	2019-12-05 12:36:52.580174	t	\N
1570	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	977594	978013	2019-12-05 12:37:09.361492	t	\N
1571	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	207	635237	636021	2019-12-05 12:37:12.628154	t	\N
1572	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1608	637664	652037	2019-12-05 12:37:13.63196	t	\N
1573	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	662968	663420	2019-12-05 12:37:30.675248	t	\N
1574	Jobs::ReindexSearch	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	442	545074	546932	2019-12-05 12:37:51.737461	t	\N
1575	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	554777	555384	2019-12-05 12:38:03.766599	t	\N
1576	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1013168	1016514	2019-12-05 12:38:06.442726	t	\N
1577	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	332	558075	558808	2019-12-05 12:38:06.775013	t	\N
1578	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019144	1019563	2019-12-05 12:38:09.448973	t	\N
1579	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	563158	563577	2019-12-05 12:38:11.788519	t	\N
1580	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	565286	565766	2019-12-05 12:38:13.794858	t	\N
1581	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	577378	577827	2019-12-05 12:38:30.835074	t	\N
1582	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	579534	579986	2019-12-05 12:38:31.839498	t	\N
1583	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	220	595651	596359	2019-12-05 12:38:49.880728	t	\N
1584	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	608470	611716	2019-12-05 12:39:07.925695	t	\N
1585	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	845446	848505	2019-12-05 12:39:09.556639	t	\N
1586	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	627544	627996	2019-12-05 12:39:31.984315	t	\N
1587	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	633959	634522	2019-12-05 12:39:40.005172	t	\N
1588	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	885525	888544	2019-12-05 12:40:09.641385	t	\N
1642	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996887	997370	2019-12-05 12:53:04.655021	t	\N
1589	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	621	673892	676958	2019-12-05 12:40:33.126464	t	\N
1590	Jobs::ActivationReminderEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	176	560468	561554	2019-12-05 12:40:56.180972	t	\N
1591	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	923489	926836	2019-12-05 12:41:05.71102	t	\N
1592	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930069	930488	2019-12-05 12:41:09.716526	t	\N
1593	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	175	579087	579834	2019-12-05 12:41:24.248052	t	\N
1594	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	585565	586017	2019-12-05 12:41:31.26731	t	\N
1595	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	952750	955736	2019-12-05 12:41:41.756468	t	\N
1596	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	176	602934	603989	2019-12-05 12:41:50.312928	t	\N
1597	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	970593	971012	2019-12-05 12:42:07.789318	t	\N
1598	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986084	986478	2019-12-05 12:42:26.818293	t	\N
1599	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	630559	631075	2019-12-05 12:42:31.408981	t	\N
1600	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	646189	646752	2019-12-05 12:42:47.449076	t	\N
1601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008009	1008428	2019-12-05 12:43:05.865521	t	\N
1602	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	664997	666120	2019-12-05 12:43:15.518049	t	\N
1603	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	676607	677123	2019-12-05 12:43:31.557173	t	\N
1604	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	82	827766	844285	2019-12-05 12:43:52.94421	t	\N
1605	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	846687	847321	2019-12-05 12:43:55.94966	t	\N
1606	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	854354	854895	2019-12-05 12:44:06.963406	t	\N
1607	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856242	856661	2019-12-05 12:44:07.971129	t	\N
1608	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	684	575374	579069	2019-12-05 12:44:19.697787	t	\N
1609	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	587528	587980	2019-12-05 12:44:31.727918	t	\N
1610	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	608180	609113	2019-12-05 12:44:55.782846	t	\N
1611	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	892952	895971	2019-12-05 12:45:06.044288	t	\N
1612	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	218	628965	630371	2019-12-05 12:45:26.857009	t	\N
1613	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	633863	634379	2019-12-05 12:45:30.867522	t	\N
1614	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	654016	654579	2019-12-05 12:45:54.92526	t	\N
1615	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	933174	936193	2019-12-05 12:46:06.117643	t	\N
1616	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	947830	948637	2019-12-05 12:46:20.135072	t	\N
1617	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	676837	677353	2019-12-05 12:46:29.006096	t	\N
1618	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	470	545788	546665	2019-12-05 12:46:33.016941	t	\N
1619	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965624	966021	2019-12-05 12:46:50.174718	t	\N
1620	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974444	974863	2019-12-05 12:47:04.197445	t	\N
1622	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980226	980767	2019-12-05 12:47:12.207539	t	\N
1621	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	204	577228	577884	2019-12-05 12:47:12.107636	t	\N
1623	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	588091	588543	2019-12-05 12:47:27.142921	t	\N
1624	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012680	1013099	2019-12-05 12:48:03.269217	t	\N
1625	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	622654	623073	2019-12-05 12:48:14.269077	t	\N
1626	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	550743	551161	2019-12-05 12:48:29.306228	t	\N
1627	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	552473	552925	2019-12-05 12:48:30.310351	t	\N
1628	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	569099	569662	2019-12-05 12:48:46.347292	t	\N
1629	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	839029	842088	2019-12-05 12:49:03.343603	t	\N
1630	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	597248	597700	2019-12-05 12:49:30.44764	t	\N
1631	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	878846	881865	2019-12-05 12:50:03.417991	t	\N
1632	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895130	895671	2019-12-05 12:50:20.445435	t	\N
1633	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	641323	644536	2019-12-05 12:50:31.590083	t	\N
1634	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920132	920551	2019-12-05 12:51:03.498344	t	\N
1635	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	676	546853	550113	2019-12-05 12:51:29.728866	t	\N
1636	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944801	945198	2019-12-05 12:51:40.544736	t	\N
1637	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1650	565106	580185	2019-12-05 12:51:45.767761	t	\N
1638	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	582373	583496	2019-12-05 12:51:49.778572	t	\N
1639	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959018	959437	2019-12-05 12:52:04.576051	t	\N
1640	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971226	971620	2019-12-05 12:52:18.59399	t	\N
1641	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	609551	610131	2019-12-05 12:52:30.874412	t	\N
1643	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	643308	643727	2019-12-05 12:53:15.980767	t	\N
1645	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	652359	652811	2019-12-05 12:53:28.011697	t	\N
1644	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1008334	1008875	2019-12-05 12:53:16.670169	t	\N
1646	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028340	1028734	2019-12-05 12:53:49.710682	t	\N
1647	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037137	1037556	2019-12-05 12:54:03.729267	t	\N
1648	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	47	831114	831750	2019-12-05 12:54:09.736819	t	\N
1649	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	651	558887	562019	2019-12-05 12:54:29.152095	t	\N
1650	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	580314	580877	2019-12-05 12:54:50.202102	t	\N
1651	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	859003	862213	2019-12-05 12:54:50.792954	t	\N
1652	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870225	870644	2019-12-05 12:55:03.810365	t	\N
1653	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	606104	606620	2019-12-05 12:55:27.291699	t	\N
1654	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	890865	891450	2019-12-05 12:55:33.847467	t	\N
1655	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906986	907405	2019-12-05 12:56:01.882929	t	\N
1656	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	183	639124	639953	2019-12-05 12:56:11.398706	t	\N
1657	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	915516	916057	2019-12-05 12:56:14.899488	t	\N
1658	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	649454	649906	2019-12-05 12:56:25.432064	t	\N
1659	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	931637	932034	2019-12-05 12:56:34.924613	t	\N
1660	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948400	948819	2019-12-05 12:57:03.96042	t	\N
1661	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	952535	953568	2019-12-05 12:57:09.968775	t	\N
1662	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	648	557783	560915	2019-12-05 12:57:26.593465	t	\N
1663	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	206	563749	564469	2019-12-05 12:57:30.606743	t	\N
1664	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	582637	583200	2019-12-05 12:57:50.653349	t	\N
1665	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	988085	991168	2019-12-05 12:58:05.035995	t	\N
1666	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	994533	1008401	2019-12-05 12:58:10.043609	t	\N
1667	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	596681	597292	2019-12-05 12:58:10.700374	t	\N
1668	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	608759	609211	2019-12-05 12:58:26.740646	t	\N
1669	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	612173	612589	2019-12-05 12:58:30.751308	t	\N
1670	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	831828	834887	2019-12-05 12:59:05.118009	t	\N
1671	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848547	849088	2019-12-05 12:59:22.138619	t	\N
1672	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	683	654058	657086	2019-12-05 12:59:28.88821	t	\N
1673	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874411	874830	2019-12-05 13:00:07.194948	t	\N
1674	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	888506	889499	2019-12-05 13:00:23.215297	t	\N
1675	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	692	563504	566636	2019-12-05 13:00:28.040131	t	\N
1676	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	587185	587898	2019-12-05 13:00:52.097566	t	\N
1677	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915679	916098	2019-12-05 13:01:09.272698	t	\N
1678	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929426	929842	2019-12-05 13:01:25.298124	t	\N
1679	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	611305	611757	2019-12-05 13:01:28.181661	t	\N
1680	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935467	935864	2019-12-05 13:01:33.308116	t	\N
1681	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	945082	945831	2019-12-05 13:01:49.328391	t	\N
1682	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947466	947860	2019-12-05 13:01:51.331803	t	\N
1683	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	956488	957310	2019-12-05 13:02:05.349603	t	\N
1684	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959757	960176	2019-12-05 13:02:08.359659	t	\N
1685	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	975632	976173	2019-12-05 13:02:28.386216	t	\N
1686	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	626	568148	571611	2019-12-05 13:02:28.334156	t	\N
1687	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998391	998810	2019-12-05 13:03:08.433434	t	\N
1688	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	605844	606263	2019-12-05 13:03:14.442457	t	\N
1689	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	616492	616944	2019-12-05 13:03:29.479549	t	\N
1690	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	638353	639066	2019-12-05 13:03:55.542751	t	\N
1691	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1034286	1037305	2019-12-05 13:04:06.506327	t	\N
1692	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	661695	662211	2019-12-05 13:04:30.624503	t	\N
1693	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	849968	850604	2019-12-05 13:04:38.547178	t	\N
1694	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	852845	854297	2019-12-05 13:04:42.55819	t	\N
1695	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870063	870482	2019-12-05 13:05:08.590103	t	\N
1696	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	881210	884311	2019-12-05 13:05:21.606332	t	\N
1697	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	886906	887447	2019-12-05 13:05:24.61094	t	\N
1698	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	598	567483	571403	2019-12-05 13:05:31.777906	t	\N
1699	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	911495	912284	2019-12-05 13:06:06.662738	t	\N
1700	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914989	915408	2019-12-05 13:06:09.67339	t	\N
1701	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928230	928627	2019-12-05 13:06:24.692702	t	\N
1702	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	694	614118	617274	2019-12-05 13:06:32.929557	t	\N
1703	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1696	630249	645273	2019-12-05 13:06:45.960873	t	\N
1704	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	649246	649963	2019-12-05 13:06:51.975935	t	\N
1705	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952515	952934	2019-12-05 13:07:07.744878	t	\N
1706	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	219	666512	667168	2019-12-05 13:07:17.037738	t	\N
1707	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	668877	669390	2019-12-05 13:07:19.044159	t	\N
1708	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	676835	677287	2019-12-05 13:07:30.072791	t	\N
1709	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	991385	994442	2019-12-05 13:08:09.821104	t	\N
1710	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	573123	573608	2019-12-05 13:08:13.173497	t	\N
1711	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1004821	1005362	2019-12-05 13:08:20.835812	t	\N
1712	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	585339	585791	2019-12-05 13:08:31.218499	t	\N
1713	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	600524	600940	2019-12-05 13:08:46.255367	t	\N
1714	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033582	1034001	2019-12-05 13:09:11.903054	t	\N
1715	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	834098	835162	2019-12-05 13:09:18.912813	t	\N
1716	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	615	629243	632437	2019-12-05 13:09:30.359021	t	\N
1717	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	650329	650892	2019-12-05 13:09:51.408941	t	\N
1718	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863736	864155	2019-12-05 13:10:09.977563	t	\N
1719	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	632	667460	671437	2019-12-05 13:10:16.467168	t	\N
1720	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	545615	546069	2019-12-05 13:10:31.504248	t	\N
1721	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	173	563979	564872	2019-12-05 13:10:51.552097	t	\N
1722	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	896423	899773	2019-12-05 13:11:01.041383	t	\N
1723	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904195	904614	2019-12-05 13:11:08.050507	t	\N
1724	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	907732	908273	2019-12-05 13:11:12.060565	t	\N
1725	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918285	918679	2019-12-05 13:11:22.073465	t	\N
1726	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922445	922842	2019-12-05 13:11:27.080189	t	\N
1727	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	590340	590792	2019-12-05 13:11:30.640655	t	\N
1728	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946073	946492	2019-12-05 13:12:09.133733	t	\N
1729	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	667	550813	553964	2019-12-05 13:12:30.791984	t	\N
1730	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	570129	571184	2019-12-05 13:12:47.837282	t	\N
1731	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	576498	577061	2019-12-05 13:12:55.858481	t	\N
1732	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	983292	986311	2019-12-05 13:13:08.208359	t	\N
1733	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	587168	587587	2019-12-05 13:13:10.894855	t	\N
1734	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	600428	600880	2019-12-05 13:13:29.939595	t	\N
1735	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	82	1012049	1028592	2019-12-05 13:13:47.263608	t	\N
1736	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	832164	832707	2019-12-05 13:14:07.289807	t	\N
1737	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834330	834749	2019-12-05 13:14:08.291679	t	\N
1738	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	644191	647347	2019-12-05 13:14:31.083932	t	\N
1739	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	863832	867093	2019-12-05 13:14:53.349126	t	\N
1740	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	668630	669773	2019-12-05 13:14:57.145461	t	\N
1741	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877058	877477	2019-12-05 13:15:09.369629	t	\N
1742	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	554545	555063	2019-12-05 13:15:31.223916	t	\N
1743	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	576663	577290	2019-12-05 13:15:56.283711	t	\N
1744	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	913933	916952	2019-12-05 13:16:09.447405	t	\N
1745	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929491	929888	2019-12-05 13:16:24.466082	t	\N
1746	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	598896	599348	2019-12-05 13:16:29.361237	t	\N
1747	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	934380	935187	2019-12-05 13:16:31.475289	t	\N
1748	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954693	955234	2019-12-05 13:17:06.51849	t	\N
1749	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956576	956995	2019-12-05 13:17:07.520483	t	\N
1750	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	624	641456	644650	2019-12-05 13:17:28.51831	t	\N
1751	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	198	654774	655430	2019-12-05 13:17:42.551162	t	\N
1752	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	670994	671477	2019-12-05 13:18:00.595142	t	\N
1753	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	994697	997716	2019-12-05 13:18:08.60117	t	\N
1754	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	553907	554361	2019-12-05 13:18:28.661381	t	\N
1755	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	564937	565353	2019-12-05 13:18:43.697422	t	\N
1756	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	574974	575537	2019-12-05 13:18:51.715922	t	\N
1757	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	1034050	1038323	2019-12-05 13:19:05.688134	t	\N
1758	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	832075	832494	2019-12-05 13:19:06.690454	t	\N
1759	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	600415	600931	2019-12-05 13:19:28.80054	t	\N
1760	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	870527	873584	2019-12-05 13:20:07.77401	t	\N
1761	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878423	878964	2019-12-05 13:20:14.783325	t	\N
1762	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	632	643000	646194	2019-12-05 13:20:27.940701	t	\N
1763	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904776	905170	2019-12-05 13:20:53.836163	t	\N
1764	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913935	914354	2019-12-05 13:21:07.854263	t	\N
1765	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	553990	557645	2019-12-05 13:21:29.101092	t	\N
1766	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931209	931628	2019-12-05 13:21:29.882347	t	\N
1767	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1648	561880	576463	2019-12-05 13:21:35.116414	t	\N
1768	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	591513	592087	2019-12-05 13:21:52.157832	t	\N
1769	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822809	823230	2019-12-05 13:22:08.94066	t	\N
1770	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	614825	615277	2019-12-05 13:22:27.245423	t	\N
1771	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	548078	548499	2019-12-05 13:22:56.327342	t	\N
1772	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	858649	861706	2019-12-05 13:23:06.009975	t	\N
1773	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874344	874885	2019-12-05 13:23:22.036563	t	\N
1774	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	567407	567923	2019-12-05 13:23:25.396513	t	\N
1775	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900182	900601	2019-12-05 13:24:07.093129	t	\N
1776	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	637	610074	613268	2019-12-05 13:24:24.53581	t	\N
1777	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	634537	635100	2019-12-05 13:24:50.596644	t	\N
1778	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	72	935877	939100	2019-12-05 13:25:03.164016	t	\N
1779	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941216	941635	2019-12-05 13:25:05.166798	t	\N
1780	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	656281	656733	2019-12-05 13:25:22.670771	t	\N
1781	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	977034	980053	2019-12-05 13:26:03.239413	t	\N
1782	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992204	992745	2019-12-05 13:26:16.262856	t	\N
1783	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	997683	998102	2019-12-05 13:26:23.273522	t	\N
1784	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	692	562084	565931	2019-12-05 13:26:22.826774	t	\N
1785	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	195	568765	569594	2019-12-05 13:26:26.837746	t	\N
1786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021298	1021717	2019-12-05 13:27:04.323271	t	\N
1787	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	644	609086	612242	2019-12-05 13:27:21.968375	t	\N
1788	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	818433	819468	2019-12-05 13:27:43.392391	t	\N
1789	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	639600	640227	2019-12-05 13:27:57.054534	t	\N
1790	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832784	833203	2019-12-05 13:28:05.419991	t	\N
1791	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	648929	649348	2019-12-05 13:28:08.080527	t	\N
1792	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	204	651454	652174	2019-12-05 13:28:11.088935	t	\N
1793	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	658419	658935	2019-12-05 13:28:19.109166	t	\N
1794	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	666788	667204	2019-12-05 13:28:31.137439	t	\N
1795	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	857944	871812	2019-12-05 13:28:43.473131	t	\N
1796	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	884698	885117	2019-12-05 13:29:05.500252	t	\N
1797	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887147	887688	2019-12-05 13:29:08.504116	t	\N
1798	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	647	566360	569823	2019-12-05 13:29:20.249196	t	\N
1799	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	924531	927588	2019-12-05 13:30:06.575252	t	\N
1800	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	638	612272	615364	2019-12-05 13:30:19.382653	t	\N
1801	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944126	944520	2019-12-05 13:30:27.602875	t	\N
1802	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	948033	948449	2019-12-05 13:30:32.614368	t	\N
1803	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	957523	958330	2019-12-05 13:30:48.633801	t	\N
1804	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	646547	647185	2019-12-05 13:31:00.481016	t	\N
1805	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969677	970096	2019-12-05 13:31:08.658626	t	\N
1806	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	979903	980838	2019-12-05 13:31:18.671218	t	\N
1807	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	659987	660439	2019-12-05 13:31:19.526201	t	\N
1808	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984629	985026	2019-12-05 13:31:24.679122	t	\N
1809	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009987	1010406	2019-12-05 13:32:08.737579	t	\N
1810	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011562	1012103	2019-12-05 13:32:09.739442	t	\N
1811	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	605	568442	571841	2019-12-05 13:32:21.671774	t	\N
1812	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	598182	598665	2019-12-05 13:32:55.757274	t	\N
1813	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	820132	823191	2019-12-05 13:33:08.815774	t	\N
1814	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	544846	545364	2019-12-05 13:33:21.820253	t	\N
1815	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	569792	570355	2019-12-05 13:33:52.893319	t	\N
1816	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	859121	862268	2019-12-05 13:34:07.886717	t	\N
1817	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	589349	589801	2019-12-05 13:34:21.961064	t	\N
1818	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	881847	882481	2019-12-05 13:34:34.920114	t	\N
1819	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	888242	891343	2019-12-05 13:34:44.93844	t	\N
1820	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903095	903514	2019-12-05 13:35:05.965826	t	\N
1821	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	907865	908470	2019-12-05 13:35:12.975665	t	\N
1822	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	670	630470	633536	2019-12-05 13:35:19.092053	t	\N
1823	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	188	647539	648210	2019-12-05 13:35:40.142105	t	\N
1824	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1638	659629	674397	2019-12-05 13:35:51.168853	t	\N
1825	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	942600	945619	2019-12-05 13:36:07.044459	t	\N
1826	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950634	951031	2019-12-05 13:36:15.05529	t	\N
1827	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	554331	554785	2019-12-05 13:36:18.233093	t	\N
1828	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	224	573057	577960	2019-12-05 13:36:45.297074	t	\N
1829	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	587064	587638	2019-12-05 13:36:58.327853	t	\N
1830	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	982975	985994	2019-12-05 13:37:07.124348	t	\N
1831	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	603013	603465	2019-12-05 13:37:20.382652	t	\N
1832	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	611382	611798	2019-12-05 13:37:32.413181	t	\N
1833	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	626881	627394	2019-12-05 13:37:48.457009	t	\N
1834	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	633390	633809	2019-12-05 13:37:56.476865	t	\N
1835	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1021401	1024743	2019-12-05 13:38:04.193709	t	\N
1836	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027539	1027958	2019-12-05 13:38:07.19837	t	\N
1837	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	650548	651064	2019-12-05 13:38:22.544074	t	\N
1838	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	213	661458	662178	2019-12-05 13:38:36.578765	t	\N
1839	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	676483	676899	2019-12-05 13:38:50.614163	t	\N
1840	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	835404	838463	2019-12-05 13:39:05.274499	t	\N
1841	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	559794	560248	2019-12-05 13:39:21.699628	t	\N
1842	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	675	566837	570147	2019-12-05 13:39:30.720731	t	\N
1843	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	588006	588633	2019-12-05 13:39:51.7697	t	\N
1844	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	873578	876625	2019-12-05 13:40:02.345377	t	\N
1845	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878368	878787	2019-12-05 13:40:04.355191	t	\N
1846	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	610093	610609	2019-12-05 13:40:23.8426	t	\N
1847	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	337	619281	619950	2019-12-05 13:40:36.874434	t	\N
1848	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	912147	915494	2019-12-05 13:40:58.422572	t	\N
1849	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918184	918581	2019-12-05 13:41:01.427058	t	\N
1850	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919885	920304	2019-12-05 13:41:02.428835	t	\N
1851	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	632	655104	658234	2019-12-05 13:41:24.984761	t	\N
1852	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	957480	960499	2019-12-05 13:42:03.50343	t	\N
1853	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	178	553688	554583	2019-12-05 13:42:08.086962	t	\N
1854	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	564280	564732	2019-12-05 13:42:22.120189	t	\N
1855	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	586919	587546	2019-12-05 13:42:49.185207	t	\N
1856	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	589413	589832	2019-12-05 13:42:50.190599	t	\N
1857	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	997197	1000216	2019-12-05 13:43:01.582564	t	\N
1858	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	610202	610654	2019-12-05 13:43:23.268209	t	\N
1859	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	73	1015783	1029927	2019-12-05 13:43:23.610136	t	\N
1860	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	819425	819968	2019-12-05 13:43:52.645675	t	\N
1861	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826148	826567	2019-12-05 13:44:01.657725	t	\N
1864	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	844503	845137	2019-12-05 13:44:26.689997	t	\N
1865	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863155	863574	2019-12-05 13:44:59.735262	t	\N
1862	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	738	648931	650114	2019-12-05 13:44:16.388133	t	\N
1863	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	655121	655637	2019-12-05 13:44:23.404844	t	\N
1866	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	680	561273	564469	2019-12-05 13:45:21.536868	t	\N
1867	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	194	578482	579497	2019-12-05 13:45:42.585266	t	\N
1868	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	587534	588097	2019-12-05 13:45:47.597823	t	\N
1869	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	900387	903444	2019-12-05 13:45:59.810792	t	\N
1870	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909711	910108	2019-12-05 13:46:09.823684	t	\N
1871	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	766	610665	614715	2019-12-05 13:46:21.680467	t	\N
1872	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	616027	616479	2019-12-05 13:46:22.684119	t	\N
1873	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	923607	924414	2019-12-05 13:46:25.844701	t	\N
1874	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	505	629625	630895	2019-12-05 13:46:41.730386	t	\N
1875	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	940484	941025	2019-12-05 13:46:53.879894	t	\N
1876	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	195	645215	646070	2019-12-05 13:46:56.768502	t	\N
1877	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945184	945603	2019-12-05 13:46:59.894406	t	\N
1878	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	662419	662871	2019-12-05 13:47:21.829918	t	\N
1879	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	673105	673524	2019-12-05 13:47:36.867586	t	\N
1880	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	982171	985190	2019-12-05 13:47:58.969445	t	\N
1881	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	215	565761	567143	2019-12-05 13:48:13.959315	t	\N
1882	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	572356	572808	2019-12-05 13:48:21.979108	t	\N
1883	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	586291	587313	2019-12-05 13:48:41.024397	t	\N
1884	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1021066	1024085	2019-12-05 13:48:57.041526	t	\N
1885	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	605963	606379	2019-12-05 13:49:03.07852	t	\N
1886	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	543772	544290	2019-12-05 13:49:21.133692	t	\N
1887	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	831473	834827	2019-12-05 13:49:52.110235	t	\N
1888	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	835956	836497	2019-12-05 13:49:53.112491	t	\N
1889	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	839503	839922	2019-12-05 13:49:56.123414	t	\N
1890	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	631	587689	591169	2019-12-05 13:50:23.277806	t	\N
1891	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1546	614025	628334	2019-12-05 13:50:51.362881	t	\N
1892	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	877210	880229	2019-12-05 13:50:56.197906	t	\N
1893	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896567	896964	2019-12-05 13:51:19.226604	t	\N
1894	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	649565	650081	2019-12-05 13:51:25.438749	t	\N
1895	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	658753	659444	2019-12-05 13:51:38.470315	t	\N
1896	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916995	917414	2019-12-05 13:51:55.270019	t	\N
1897	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	636	556813	559976	2019-12-05 13:52:24.580177	t	\N
1898	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	561160	561612	2019-12-05 13:52:25.584225	t	\N
1899	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	954956	957975	2019-12-05 13:52:55.343577	t	\N
1900	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961953	962494	2019-12-05 13:53:01.358545	t	\N
1901	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	603781	606873	2019-12-05 13:53:24.7285	t	\N
1902	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	996560	999579	2019-12-05 13:53:55.426305	t	\N
1903	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	1006038	1006621	2019-12-05 13:54:06.439839	t	\N
1904	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	691	650174	653394	2019-12-05 13:54:26.871129	t	\N
1905	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1023421	1024055	2019-12-05 13:54:29.468538	t	\N
1906	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	663057	663774	2019-12-05 13:54:40.904392	t	\N
1907	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	814595	815016	2019-12-05 13:54:57.503462	t	\N
1908	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	559575	563356	2019-12-05 13:55:24.016629	t	\N
1909	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840459	840853	2019-12-05 13:55:36.557027	t	\N
1910	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853103	853522	2019-12-05 13:55:57.584122	t	\N
1911	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	857450	857991	2019-12-05 13:56:03.59193	t	\N
1912	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	658	605088	608967	2019-12-05 13:56:24.1578	t	\N
1913	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877567	877964	2019-12-05 13:56:29.624022	t	\N
1914	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	618691	619520	2019-12-05 13:56:39.193857	t	\N
1915	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893579	893998	2019-12-05 13:56:56.657058	t	\N
1916	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	645924	646343	2019-12-05 13:57:13.2756	t	\N
1917	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	653457	653973	2019-12-05 13:57:23.299589	t	\N
1918	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	667843	668470	2019-12-05 13:57:43.346725	t	\N
1919	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	930487	933544	2019-12-05 13:57:56.766406	t	\N
1920	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	214	560524	561182	2019-12-05 13:58:19.447467	t	\N
1921	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	566258	566774	2019-12-05 13:58:25.46187	t	\N
1922	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	954745	955330	2019-12-05 13:58:27.810578	t	\N
1923	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	964783	978651	2019-12-05 13:58:44.83207	t	\N
1924	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	981522	982555	2019-12-05 13:58:47.836488	t	\N
1925	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	988579	988998	2019-12-05 13:58:56.849075	t	\N
1926	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	595428	595844	2019-12-05 13:59:02.546647	t	\N
1927	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996110	996651	2019-12-05 13:59:09.865926	t	\N
1928	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	611370	611822	2019-12-05 13:59:25.599785	t	\N
1929	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020462	1020856	2019-12-05 13:59:44.911347	t	\N
1930	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029123	1029542	2019-12-05 13:59:57.928292	t	\N
1931	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031177	1031593	2019-12-05 13:59:59.931948	t	\N
1932	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	824821	825742	2019-12-05 14:00:25.989086	t	\N
1933	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	607	566446	569661	2019-12-05 14:00:27.762996	t	\N
1934	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	586898	587525	2019-12-05 14:00:46.808565	t	\N
1935	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844348	844767	2019-12-05 14:00:57.035529	t	\N
1936	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862133	862530	2019-12-05 14:01:21.066635	t	\N
1937	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	866246	866995	2019-12-05 14:01:26.073685	t	\N
1938	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	614191	617347	2019-12-05 14:01:27.905125	t	\N
1939	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	884919	885338	2019-12-05 14:01:57.114261	t	\N
1940	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889054	889595	2019-12-05 14:02:03.122755	t	\N
1941	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	658894	661953	2019-12-05 14:02:25.044945	t	\N
1942	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	663662	664114	2019-12-05 14:02:27.051672	t	\N
1943	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	913864	915170	2019-12-05 14:02:39.174879	t	\N
1944	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	925418	925859	2019-12-05 14:02:56.196675	t	\N
1945	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	944262	945084	2019-12-05 14:03:23.230474	t	\N
1946	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	571065	574133	2019-12-05 14:03:29.196639	t	\N
1947	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	591097	591671	2019-12-05 14:03:48.242312	t	\N
1948	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	964950	965380	2019-12-05 14:03:57.274609	t	\N
1949	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	658	618099	621255	2019-12-05 14:04:29.3369	t	\N
1950	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	989915	990549	2019-12-05 14:04:33.320231	t	\N
1951	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004564	1004983	2019-12-05 14:04:57.355307	t	\N
1952	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	1011056	1014141	2019-12-05 14:05:07.367757	t	\N
1953	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1015509	1016050	2019-12-05 14:05:08.369812	t	\N
1954	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	650	663655	667460	2019-12-05 14:05:29.477241	t	\N
1955	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1605	669833	548558	2019-12-05 14:05:32.485512	t	\N
1956	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	822051	825110	2019-12-05 14:05:55.428595	t	\N
1957	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845387	845784	2019-12-05 14:06:25.465941	t	\N
1958	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	590073	593203	2019-12-05 14:06:31.623167	t	\N
1959	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	609133	609696	2019-12-05 14:06:49.667092	t	\N
1960	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862636	863055	2019-12-05 14:06:55.508656	t	\N
1961	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	699	630529	633652	2019-12-05 14:07:20.738989	t	\N
1962	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	157	640583	641035	2019-12-05 14:07:30.762979	t	\N
1963	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	898533	901975	2019-12-05 14:07:52.579186	t	\N
1964	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903287	903706	2019-12-05 14:07:53.581707	t	\N
1965	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	221	665154	665810	2019-12-05 14:08:00.83712	t	\N
1966	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	909209	909750	2019-12-05 14:08:01.592632	t	\N
1967	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	550848	551302	2019-12-05 14:08:32.91072	t	\N
1968	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	941455	944538	2019-12-05 14:08:51.653875	t	\N
1969	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	157	577403	577852	2019-12-05 14:09:05.989129	t	\N
1970	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	953370	954093	2019-12-05 14:09:06.679247	t	\N
1971	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	157	588060	588476	2019-12-05 14:09:21.025598	t	\N
1972	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	595579	596031	2019-12-05 14:09:31.050273	t	\N
1973	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	983914	986933	2019-12-05 14:09:53.737754	t	\N
1974	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	157	547071	547636	2019-12-05 14:09:57.11472	t	\N
1975	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	707	555828	559090	2019-12-05 14:10:09.143661	t	\N
1976	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998766	999160	2019-12-05 14:10:12.763728	t	\N
1977	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	157	572610	573062	2019-12-05 14:10:30.192357	t	\N
1978	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1025347	1028366	2019-12-05 14:10:53.814714	t	\N
1979	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037658	1038199	2019-12-05 14:11:08.833968	t	\N
1980	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	816848	817245	2019-12-05 14:11:11.845134	t	\N
1981	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	638	614988	618796	2019-12-05 14:11:30.331293	t	\N
1982	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	637761	638654	2019-12-05 14:11:52.386192	t	\N
1983	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	844595	847652	2019-12-05 14:11:54.898615	t	\N
1984	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	656401	656948	2019-12-05 14:12:19.448945	t	\N
1985	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	664115	665229	2019-12-05 14:12:30.475445	t	\N
1986	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	884176	887195	2019-12-05 14:12:53.970402	t	\N
1987	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	552346	553688	2019-12-05 14:13:00.549334	t	\N
1988	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	573820	574448	2019-12-05 14:13:32.638557	t	\N
1989	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	576506	577689	2019-12-05 14:13:34.644355	t	\N
1990	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	918540	932472	2019-12-05 14:13:43.035856	t	\N
1991	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937961	938380	2019-12-05 14:13:51.046245	t	\N
1992	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947763	948304	2019-12-05 14:14:08.071194	t	\N
1993	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	48	951342	951976	2019-12-05 14:14:11.075867	t	\N
1994	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	623	618903	622097	2019-12-05 14:14:32.780162	t	\N
1995	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	637786	638801	2019-12-05 14:14:49.821924	t	\N
1996	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	977179	980198	2019-12-05 14:14:50.125214	t	\N
1997	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	621	666244	669464	2019-12-05 14:15:31.918332	t	\N
1998	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1016974	1019993	2019-12-05 14:15:50.199431	t	\N
1999	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027180	1027577	2019-12-05 14:16:01.213228	t	\N
2000	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	560860	561489	2019-12-05 14:16:09.007008	t	\N
2001	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	825017	825826	2019-12-05 14:16:32.255434	t	\N
2002	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	578159	578611	2019-12-05 14:16:33.064867	t	\N
2003	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835591	836010	2019-12-05 14:16:49.276981	t	\N
2004	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847152	847693	2019-12-05 14:17:08.300054	t	\N
2005	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	621060	624349	2019-12-05 14:17:33.207436	t	\N
2006	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	625615	626067	2019-12-05 14:17:34.211377	t	\N
2007	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	874760	877817	2019-12-05 14:17:49.350176	t	\N
2008	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	647	661332	664628	2019-12-05 14:18:21.323216	t	\N
2009	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	132	675149	675601	2019-12-05 14:18:36.360086	t	\N
2010	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	915432	918451	2019-12-05 14:18:50.437254	t	\N
2011	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	132	561943	562508	2019-12-05 14:19:04.426856	t	\N
2012	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	132	582917	583333	2019-12-05 14:19:35.497506	t	\N
2013	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	132	586172	586624	2019-12-05 14:19:38.505653	t	\N
2014	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	955489	958508	2019-12-05 14:19:50.520614	t	\N
2015	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960871	961265	2019-12-05 14:19:53.525321	t	\N
2016	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	971480	972021	2019-12-05 14:20:10.546605	t	\N
2017	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1620	616506	543763	2019-12-05 14:20:19.606269	t	\N
2018	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	132	556333	556785	2019-12-05 14:20:40.657321	t	\N
2019	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	999473	1002492	2019-12-05 14:20:51.598158	t	\N
2020	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004310	1004707	2019-12-05 14:20:53.601206	t	\N
2021	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	638	599578	602855	2019-12-05 14:21:39.792428	t	\N
2022	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	817149	820208	2019-12-05 14:21:49.69551	t	\N
2023	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	622117	622834	2019-12-05 14:22:02.846796	t	\N
2024	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	647033	647549	2019-12-05 14:22:39.93288	t	\N
2025	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	649907	650326	2019-12-05 14:22:41.93984	t	\N
2026	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	857667	860686	2019-12-05 14:22:49.771539	t	\N
2027	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874482	875023	2019-12-05 14:23:14.802313	t	\N
2028	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	553422	557333	2019-12-05 14:23:41.079586	t	\N
2029	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	899222	902241	2019-12-05 14:23:49.84636	t	\N
2030	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	44	906129	906763	2019-12-05 14:23:55.854896	t	\N
2031	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	622	599078	602170	2019-12-05 14:24:40.215929	t	\N
2032	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	942305	945324	2019-12-05 14:24:51.929526	t	\N
2033	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	620906	621533	2019-12-05 14:25:01.264875	t	\N
2034	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	647050	647630	2019-12-05 14:25:40.357046	t	\N
2035	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978566	978963	2019-12-05 14:25:45.99686	t	\N
2036	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983534	983953	2019-12-05 14:25:52.004863	t	\N
2037	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	997106	997814	2019-12-05 14:26:16.035904	t	\N
2038	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	553624	556692	2019-12-05 14:26:41.517432	t	\N
2039	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1022908	1025927	2019-12-05 14:26:53.081876	t	\N
2040	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	573142	573971	2019-12-05 14:27:00.56654	t	\N
2041	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	597116	597535	2019-12-05 14:27:35.64767	t	\N
2042	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	601528	601980	2019-12-05 14:27:40.661255	t	\N
2043	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	840822	843881	2019-12-05 14:27:53.183077	t	\N
2044	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	618805	619522	2019-12-05 14:27:59.707577	t	\N
2045	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	628610	629266	2019-12-05 14:28:12.739771	t	\N
2046	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	647294	647746	2019-12-05 14:28:40.805866	t	\N
2047	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	876114	889982	2019-12-05 14:28:44.245768	t	\N
2048	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	893469	894502	2019-12-05 14:28:49.252426	t	\N
2049	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897386	897805	2019-12-05 14:28:53.258056	t	\N
2050	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	910098	910639	2019-12-05 14:29:14.284678	t	\N
2051	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917871	918287	2019-12-05 14:29:19.297343	t	\N
2052	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	688	545589	548621	2019-12-05 14:29:28.929851	t	\N
2053	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	556190	556642	2019-12-05 14:29:39.956506	t	\N
2054	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936662	937056	2019-12-05 14:29:50.336842	t	\N
2055	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939715	940134	2019-12-05 14:29:53.341094	t	\N
2056	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	966158	967077	2019-12-05 14:30:33.391304	t	\N
2057	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	645	598798	601826	2019-12-05 14:30:38.091361	t	\N
2058	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	978192	978611	2019-12-05 14:30:53.41667	t	\N
2059	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980310	980707	2019-12-05 14:30:55.424536	t	\N
2060	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	621645	622208	2019-12-05 14:31:02.154074	t	\N
2061	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	645556	646008	2019-12-05 14:31:38.235921	t	\N
2062	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1016516	1019535	2019-12-05 14:31:52.494561	t	\N
2063	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1021397	1022204	2019-12-05 14:31:54.497715	t	\N
2064	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033917	1034458	2019-12-05 14:32:14.521756	t	\N
2065	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	629	552160	555292	2019-12-05 14:32:40.397336	t	\N
2066	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	559578	564839	2019-12-05 14:32:46.412578	t	\N
2067	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	838979	842038	2019-12-05 14:32:52.569118	t	\N
2068	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	176	570571	571178	2019-12-05 14:32:54.432058	t	\N
2069	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	600968	601420	2019-12-05 14:33:40.539025	t	\N
2070	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	877004	877638	2019-12-05 14:33:47.644823	t	\N
2071	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881185	881604	2019-12-05 14:33:52.651433	t	\N
2072	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	621152	621779	2019-12-05 14:34:03.59473	t	\N
2073	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	888427	891528	2019-12-05 14:34:04.667125	t	\N
2074	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	211	645053	645862	2019-12-05 14:34:39.677385	t	\N
2075	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1534	647110	665251	2019-12-05 14:34:40.681013	t	\N
2076	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	659256	665875	2019-12-05 14:34:41.684814	t	\N
2077	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	675788	676204	2019-12-05 14:34:49.703066	t	\N
2078	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	922487	925506	2019-12-05 14:34:54.730367	t	\N
2079	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	934710	935251	2019-12-05 14:35:10.750533	t	\N
2080	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	644	572569	576096	2019-12-05 14:35:39.816792	t	\N
2081	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	964363	967382	2019-12-05 14:35:54.810088	t	\N
2082	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975970	976367	2019-12-05 14:36:09.828878	t	\N
2083	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	617737	620893	2019-12-05 14:36:37.950187	t	\N
2084	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1006828	1009847	2019-12-05 14:36:56.887719	t	\N
2085	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	642546	643109	2019-12-05 14:37:05.012924	t	\N
2086	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	664733	665185	2019-12-05 14:37:37.085131	t	\N
2087	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	671187	671606	2019-12-05 14:37:46.108854	t	\N
2088	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	824993	828052	2019-12-05 14:37:54.978241	t	\N
2089	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	835870	836411	2019-12-05 14:38:07.995261	t	\N
2090	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	201	562028	562686	2019-12-05 14:38:19.20208	t	\N
2091	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	573632	574148	2019-12-05 14:38:35.239258	t	\N
2092	Jobs::ReindexSearch	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	437	578174	579902	2019-12-05 14:38:40.25251	t	\N
2093	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	865923	868942	2019-12-05 14:38:53.057482	t	\N
2094	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	894088	894482	2019-12-05 14:39:31.111957	t	\N
2095	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	680	618496	621708	2019-12-05 14:39:34.390796	t	\N
2096	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	908020	908439	2019-12-05 14:39:54.168448	t	\N
2097	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	544914	545332	2019-12-05 14:39:55.448023	t	\N
2098	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	549686	550249	2019-12-05 14:40:01.464173	t	\N
2099	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	684	554080	557342	2019-12-05 14:40:05.474163	t	\N
2100	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	573629	574078	2019-12-05 14:40:30.531137	t	\N
2101	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	577020	577803	2019-12-05 14:40:33.539636	t	\N
2102	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	945589	948608	2019-12-05 14:40:53.24376	t	\N
2103	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	958308	958849	2019-12-05 14:41:11.2672	t	\N
2104	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962691	963110	2019-12-05 14:41:16.280561	t	\N
2105	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	618735	622524	2019-12-05 14:41:31.674794	t	\N
2106	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	988625	991644	2019-12-05 14:41:54.329348	t	\N
2107	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	335	646184	647504	2019-12-05 14:42:01.746874	t	\N
2108	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	656817	657710	2019-12-05 14:42:15.781404	t	\N
2109	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	668316	668768	2019-12-05 14:42:31.825005	t	\N
2110	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1028936	1031955	2019-12-05 14:42:54.406633	t	\N
2111	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	552837	553322	2019-12-05 14:42:56.885263	t	\N
2112	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	558312	558886	2019-12-05 14:43:02.900368	t	\N
2113	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	577237	577689	2019-12-05 14:43:31.969162	t	\N
2114	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	845643	846279	2019-12-05 14:43:47.473552	t	\N
2115	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	849826	850521	2019-12-05 14:43:52.480623	t	\N
2116	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	221	603174	604634	2019-12-05 14:44:04.044524	t	\N
2117	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	863711	864480	2019-12-05 14:44:16.516913	t	\N
2118	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	876053	889985	2019-12-05 14:44:28.532406	t	\N
2119	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	620538	621054	2019-12-05 14:44:29.105312	t	\N
2120	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903869	904288	2019-12-05 14:44:52.563905	t	\N
2121	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	186	641614	642669	2019-12-05 14:44:53.162832	t	\N
2122	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	662868	663889	2019-12-05 14:45:24.232278	t	\N
2123	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	667372	667824	2019-12-05 14:45:28.242468	t	\N
2124	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	552326	553045	2019-12-05 14:45:54.303827	t	\N
2125	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	942153	945210	2019-12-05 14:45:54.641904	t	\N
2126	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951878	952275	2019-12-05 14:46:05.657213	t	\N
2127	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	573736	574188	2019-12-05 14:46:26.381059	t	\N
2128	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	970322	971129	2019-12-05 14:46:30.692077	t	\N
2129	Jobs::ActivationReminderEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	583563	584558	2019-12-05 14:46:39.412619	t	\N
2130	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	478	586598	587473	2019-12-05 14:46:41.418474	t	\N
2131	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984980	985399	2019-12-05 14:46:53.72061	t	\N
2132	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	994250	994791	2019-12-05 14:47:08.73991	t	\N
2133	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	642	619587	622781	2019-12-05 14:47:25.525706	t	\N
2134	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	636324	636807	2019-12-05 14:47:46.575913	t	\N
2135	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1024612	1027631	2019-12-05 14:47:54.797784	t	\N
2136	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	204	656220	656876	2019-12-05 14:48:09.632367	t	\N
2137	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	666300	666752	2019-12-05 14:48:23.66617	t	\N
2138	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	545766	546560	2019-12-05 14:48:46.722032	t	\N
2139	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	556089	557016	2019-12-05 14:48:52.737418	t	\N
2140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	846201	849260	2019-12-05 14:48:54.87054	t	\N
2141	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1585	570994	585373	2019-12-05 14:49:14.793216	t	\N
2142	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	592741	593193	2019-12-05 14:49:25.81957	t	\N
2143	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	596751	597167	2019-12-05 14:49:29.830175	t	\N
2144	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881803	882197	2019-12-05 14:49:45.960923	t	\N
2145	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888264	888683	2019-12-05 14:49:55.973637	t	\N
2146	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894908	895449	2019-12-05 14:50:05.987093	t	\N
2147	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	651	637855	641709	2019-12-05 14:50:26.959866	t	\N
2148	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	925778	928764	2019-12-05 14:50:53.044131	t	\N
2149	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930178	930597	2019-12-05 14:50:54.046187	t	\N
2150	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	672	548446	552250	2019-12-05 14:51:27.104168	t	\N
2151	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	564392	565109	2019-12-05 14:51:46.148657	t	\N
2152	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	967161	970180	2019-12-05 14:51:54.124219	t	\N
2153	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	628	597372	600464	2019-12-05 14:52:29.252694	t	\N
2154	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	998592	999175	2019-12-05 14:52:38.178173	t	\N
2155	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	618703	619122	2019-12-05 14:52:50.309846	t	\N
2156	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009311	1009730	2019-12-05 14:52:56.199555	t	\N
2157	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012393	1012934	2019-12-05 14:52:59.203983	t	\N
2158	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	565350	568813	2019-12-05 14:53:28.400114	t	\N
2159	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	823692	824328	2019-12-05 14:53:44.259355	t	\N
2160	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830583	831002	2019-12-05 14:53:54.27688	t	\N
2161	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	610677	613833	2019-12-05 14:54:28.536935	t	\N
2162	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	630038	631314	2019-12-05 14:54:47.581786	t	\N
2163	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	869087	872144	2019-12-05 14:54:56.353718	t	\N
2164	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	633	658849	662005	2019-12-05 14:55:30.681754	t	\N
2165	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	910433	913452	2019-12-05 14:55:57.428662	t	\N
2166	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918269	918666	2019-12-05 14:56:05.438798	t	\N
2167	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919758	920299	2019-12-05 14:56:06.440609	t	\N
2168	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	634	566409	569605	2019-12-05 14:56:29.819768	t	\N
2169	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948094	948488	2019-12-05 14:56:47.494775	t	\N
2170	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955133	955552	2019-12-05 14:56:58.509237	t	\N
2171	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	612	612354	615510	2019-12-05 14:57:29.960861	t	\N
2172	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	622907	623624	2019-12-05 14:57:39.986179	t	\N
2173	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	172	625134	625963	2019-12-05 14:57:40.990363	t	\N
2174	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	195	638747	639403	2019-12-05 14:57:53.019523	t	\N
2175	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	992780	995799	2019-12-05 14:57:57.581461	t	\N
2176	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	645396	645815	2019-12-05 14:58:02.042131	t	\N
2177	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	663990	664442	2019-12-05 14:58:29.110214	t	\N
2178	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1032434	1035453	2019-12-05 14:58:57.654173	t	\N
2179	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	822321	822864	2019-12-05 14:59:04.68485	t	\N
2180	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	558498	558916	2019-12-05 14:59:09.204234	t	\N
2181	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	570709	571161	2019-12-05 14:59:27.24754	t	\N
2182	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	849086	850119	2019-12-05 14:59:44.742521	t	\N
2183	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	857514	857933	2019-12-05 14:59:56.75935	t	\N
2184	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	863013	876881	2019-12-05 15:00:03.769406	t	\N
2185	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	883489	883883	2019-12-05 15:00:14.78337	t	\N
2186	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	689	614795	617925	2019-12-05 15:00:28.387216	t	\N
2187	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	898620	899100	2019-12-05 15:00:33.808676	t	\N
2188	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	628446	629163	2019-12-05 15:00:43.422756	t	\N
2189	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	909198	910117	2019-12-05 15:00:50.836488	t	\N
2190	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912831	913250	2019-12-05 15:00:54.842118	t	\N
2191	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	914786	915393	2019-12-05 15:00:56.845794	t	\N
2192	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	918897	919733	2019-12-05 15:01:01.852687	t	\N
2193	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922125	922522	2019-12-05 15:01:03.855728	t	\N
2194	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	614	660767	663859	2019-12-05 15:01:26.522518	t	\N
2195	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	952154	952889	2019-12-05 15:01:49.917496	t	\N
2196	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955564	955983	2019-12-05 15:01:52.92158	t	\N
2197	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965560	966101	2019-12-05 15:02:09.943774	t	\N
2198	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	675	572052	575312	2019-12-05 15:02:28.669262	t	\N
2199	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	994488	997545	2019-12-05 15:02:52.998879	t	\N
2200	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	601221	601704	2019-12-05 15:03:02.746912	t	\N
2201	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	546649	547167	2019-12-05 15:03:28.815072	t	\N
2202	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	556157	556934	2019-12-05 15:03:41.847264	t	\N
2203	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1034026	1037045	2019-12-05 15:03:52.072929	t	\N
2204	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	824622	825258	2019-12-05 15:03:58.087826	t	\N
2205	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	843396	846561	2019-12-05 15:04:24.120635	t	\N
2206	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	591967	595097	2019-12-05 15:04:29.961933	t	\N
2207	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	856824	857886	2019-12-05 15:04:41.142917	t	\N
2208	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865453	865872	2019-12-05 15:04:52.157673	t	\N
2209	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1605	616305	631073	2019-12-05 15:04:55.018443	t	\N
2210	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877441	877982	2019-12-05 15:05:13.185175	t	\N
2211	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	884964	886270	2019-12-05 15:05:17.197459	t	\N
2212	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	651189	651641	2019-12-05 15:05:28.095374	t	\N
2213	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	896496	897285	2019-12-05 15:05:34.21836	t	\N
2214	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908126	908545	2019-12-05 15:05:52.241972	t	\N
2215	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915765	916162	2019-12-05 15:06:05.258901	t	\N
2216	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	556830	560357	2019-12-05 15:06:27.230924	t	\N
2217	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	570013	570587	2019-12-05 15:06:41.263809	t	\N
2218	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	946284	949469	2019-12-05 15:06:52.315775	t	\N
2219	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	653	603860	606952	2019-12-05 15:07:26.369104	t	\N
2220	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	986340	989359	2019-12-05 15:07:52.395286	t	\N
2221	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	631264	631683	2019-12-05 15:07:56.438955	t	\N
2222	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	213	637939	638595	2019-12-05 15:08:04.461446	t	\N
2223	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1002678	1003219	2019-12-05 15:08:16.43049	t	\N
2224	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	652713	653165	2019-12-05 15:08:26.514097	t	\N
2225	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026281	1026700	2019-12-05 15:08:50.472963	t	\N
2226	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	550168	550586	2019-12-05 15:09:11.623894	t	\N
2227	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	560793	561245	2019-12-05 15:09:26.65887	t	\N
2228	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	572877	573669	2019-12-05 15:09:43.699081	t	\N
2229	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	847845	850904	2019-12-05 15:09:50.547344	t	\N
2230	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863747	864141	2019-12-05 15:10:13.576543	t	\N
2231	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1196	604007	610216	2019-12-05 15:10:23.790629	t	\N
2232	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	611464	611980	2019-12-05 15:10:25.796539	t	\N
2233	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888583	889002	2019-12-05 15:10:50.626735	t	\N
2234	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	894456	895179	2019-12-05 15:10:58.640608	t	\N
2235	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896335	896732	2019-12-05 15:10:59.642321	t	\N
2236	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905329	905870	2019-12-05 15:11:14.661255	t	\N
2237	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	674	654534	658021	2019-12-05 15:11:25.933131	t	\N
2238	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	664806	665255	2019-12-05 15:11:34.955147	t	\N
2239	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929251	929670	2019-12-05 15:11:48.702566	t	\N
2240	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	623	566277	569409	2019-12-05 15:12:25.090308	t	\N
2241	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	577355	578249	2019-12-05 15:12:37.119845	t	\N
2242	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	175	582150	583043	2019-12-05 15:12:42.133109	t	\N
2243	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	585732	586151	2019-12-05 15:12:44.139156	t	\N
2244	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	968442	971461	2019-12-05 15:12:50.784255	t	\N
2245	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	614908	615360	2019-12-05 15:13:23.239986	t	\N
2246	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	56	1000775	1003998	2019-12-05 15:13:35.839548	t	\N
2247	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	177	553739	554860	2019-12-05 15:13:40.28024	t	\N
2248	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1012959	1013378	2019-12-05 15:13:50.858587	t	\N
2249	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1024637	1025178	2019-12-05 15:14:10.883552	t	\N
2250	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	84	1036715	835608	2019-12-05 15:14:22.898883	t	\N
2251	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	586250	586702	2019-12-05 15:14:23.381853	t	\N
2252	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	179	597151	598108	2019-12-05 15:14:37.415596	t	\N
2253	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	852793	853212	2019-12-05 15:14:52.942679	t	\N
2254	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	675	632541	635671	2019-12-05 15:15:24.543761	t	\N
2255	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	641201	641775	2019-12-05 15:15:32.563897	t	\N
2256	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	889633	892690	2019-12-05 15:15:52.015209	t	\N
2257	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894413	894810	2019-12-05 15:15:53.017057	t	\N
2258	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	543522	546654	2019-12-05 15:16:26.688059	t	\N
2259	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	932745	935764	2019-12-05 15:16:54.091334	t	\N
2260	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	940402	940943	2019-12-05 15:17:02.102017	t	\N
2261	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	942855	944561	2019-12-05 15:17:03.108125	t	\N
2262	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	949753	950560	2019-12-05 15:17:12.120109	t	\N
2263	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	649	588344	591500	2019-12-05 15:17:24.823697	t	\N
2264	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	600494	601628	2019-12-05 15:17:38.858883	t	\N
2265	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	978251	981270	2019-12-05 15:17:53.170631	t	\N
2266	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	206	621415	622071	2019-12-05 15:18:02.914797	t	\N
2267	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	634923	635375	2019-12-05 15:18:22.963693	t	\N
2268	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	646004	646567	2019-12-05 15:18:38.001867	t	\N
2269	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1018310	1021329	2019-12-05 15:18:54.24405	t	\N
2270	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	543186	543679	2019-12-05 15:19:23.121406	t	\N
2271	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	553000	553498	2019-12-05 15:19:36.154207	t	\N
2272	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840935	841331	2019-12-05 15:19:49.314835	t	\N
2273	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844685	845104	2019-12-05 15:19:53.325491	t	\N
2274	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849082	849623	2019-12-05 15:19:59.333203	t	\N
2275	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1592	581078	596506	2019-12-05 15:20:13.239603	t	\N
2276	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	601579	602159	2019-12-05 15:20:22.262194	t	\N
2277	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	883282	886339	2019-12-05 15:20:52.398444	t	\N
2278	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891994	892391	2019-12-05 15:21:01.409924	t	\N
2279	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	646175	649369	2019-12-05 15:21:24.406006	t	\N
2280	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	663191	664036	2019-12-05 15:21:44.452601	t	\N
2281	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923512	923931	2019-12-05 15:21:50.470235	t	\N
2282	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	649	557896	561295	2019-12-05 15:22:24.566354	t	\N
2283	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	575379	575798	2019-12-05 15:22:45.617121	t	\N
2284	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	960944	963963	2019-12-05 15:22:48.543791	t	\N
2285	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	970718	971259	2019-12-05 15:22:59.558291	t	\N
2286	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	605554	608774	2019-12-05 15:23:25.710285	t	\N
2287	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	994319	994953	2019-12-05 15:23:33.59954	t	\N
2288	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003832	1004251	2019-12-05 15:23:48.618242	t	\N
2289	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	650812	653904	2019-12-05 15:24:24.845521	t	\N
2290	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	665936	666660	2019-12-05 15:24:42.886819	t	\N
2291	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	826919	829978	2019-12-05 15:24:48.712176	t	\N
2292	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	560847	561301	2019-12-05 15:25:22.979927	t	\N
2293	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	867462	870481	2019-12-05 15:25:49.793986	t	\N
2294	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873255	873652	2019-12-05 15:25:52.799218	t	\N
2295	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875748	876289	2019-12-05 15:25:55.803209	t	\N
2296	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	603028	606350	2019-12-05 15:26:21.116597	t	\N
2297	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	909431	909850	2019-12-05 15:26:47.867493	t	\N
2298	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	558629	561825	2019-12-05 15:27:21.273495	t	\N
2299	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	578600	579163	2019-12-05 15:27:46.331398	t	\N
2300	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	947041	950060	2019-12-05 15:27:48.941025	t	\N
2301	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	585792	587279	2019-12-05 15:27:49.339748	t	\N
2302	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	592414	592897	2019-12-05 15:27:56.357458	t	\N
2303	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	608401	608853	2019-12-05 15:28:20.417387	t	\N
2304	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	973778	977400	2019-12-05 15:28:23.990941	t	\N
2305	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	207	616363	617147	2019-12-05 15:28:31.443812	t	\N
2306	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	990201	990742	2019-12-05 15:28:47.020032	t	\N
2307	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992929	993348	2019-12-05 15:28:48.022031	t	\N
2308	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006126	1006542	2019-12-05 15:29:11.050698	t	\N
2309	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	651696	652808	2019-12-05 15:29:19.555288	t	\N
2310	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	1020453	1021510	2019-12-05 15:29:28.072798	t	\N
2311	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032306	1032700	2019-12-05 15:29:46.100546	t	\N
2312	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034816	1035235	2019-12-05 15:29:48.103547	t	\N
2313	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	117	1038082	838453	2019-12-05 15:29:52.109659	t	\N
2314	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	665	545298	548522	2019-12-05 15:29:59.646971	t	\N
2315	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	186	557158	557829	2019-12-05 15:30:13.682302	t	\N
2316	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	563227	563679	2019-12-05 15:30:20.699589	t	\N
2317	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	577809	578372	2019-12-05 15:30:41.749725	t	\N
2318	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	872138	875162	2019-12-05 15:30:44.176402	t	\N
2319	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876759	877178	2019-12-05 15:30:46.179651	t	\N
2320	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	605901	606353	2019-12-05 15:31:18.851787	t	\N
2321	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	915598	918617	2019-12-05 15:31:48.26062	t	\N
2322	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919775	920316	2019-12-05 15:31:49.262838	t	\N
2323	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	634	649627	652719	2019-12-05 15:32:18.990814	t	\N
2324	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	957150	960169	2019-12-05 15:32:48.335234	t	\N
2325	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	964027	964834	2019-12-05 15:32:53.342395	t	\N
2326	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	650	543646	546745	2019-12-05 15:32:56.077001	t	\N
2327	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	557371	557787	2019-12-05 15:33:13.117752	t	\N
2328	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	982452	983086	2019-12-05 15:33:18.374562	t	\N
2329	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	563591	564043	2019-12-05 15:33:20.137415	t	\N
2330	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	987950	991051	2019-12-05 15:33:26.390498	t	\N
2331	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	576451	577025	2019-12-05 15:33:38.179508	t	\N
2332	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003546	1003965	2019-12-05 15:33:47.41677	t	\N
2333	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	606864	607316	2019-12-05 15:34:18.274891	t	\N
2334	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	827792	830851	2019-12-05 15:34:48.490131	t	\N
2335	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	832005	832546	2019-12-05 15:34:49.49212	t	\N
2336	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	634	650091	653311	2019-12-05 15:35:18.415243	t	\N
2337	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1561	654559	669988	2019-12-05 15:35:19.419	t	\N
2338	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	866907	869893	2019-12-05 15:35:43.559931	t	\N
2339	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873673	874092	2019-12-05 15:35:49.574764	t	\N
2340	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	616	574852	578635	2019-12-05 15:36:19.559748	t	\N
2341	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	590845	591472	2019-12-05 15:36:38.605827	t	\N
2342	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	910458	913477	2019-12-05 15:36:49.649011	t	\N
2343	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	609526	610335	2019-12-05 15:36:59.656476	t	\N
2344	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	623931	624447	2019-12-05 15:37:19.705062	t	\N
2561	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992524	992943	2019-12-05 16:28:45.831732	t	\N
2345	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	639904	640323	2019-12-05 15:37:42.759304	t	\N
2346	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	950595	953614	2019-12-05 15:37:49.722896	t	\N
2347	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	955211	955752	2019-12-05 15:37:51.726033	t	\N
2348	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	196	667397	668053	2019-12-05 15:38:17.845063	t	\N
2349	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	671931	672383	2019-12-05 15:38:21.855025	t	\N
2350	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	992363	995382	2019-12-05 15:38:49.798438	t	\N
2351	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	578825	582021	2019-12-05 15:39:21.015792	t	\N
2352	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	594099	594816	2019-12-05 15:39:39.058224	t	\N
2353	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1030468	1033487	2019-12-05 15:39:47.87996	t	\N
2354	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	608796	609212	2019-12-05 15:39:53.091909	t	\N
2355	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836596	836992	2019-12-05 15:40:14.934384	t	\N
2356	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	625081	628471	2019-12-05 15:40:17.149066	t	\N
2357	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	632362	632814	2019-12-05 15:40:22.162322	t	\N
2358	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	645755	646204	2019-12-05 15:40:41.206966	t	\N
2359	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858122	858519	2019-12-05 15:40:43.971717	t	\N
2360	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862191	862610	2019-12-05 15:40:49.981034	t	\N
2361	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866075	866616	2019-12-05 15:40:54.987436	t	\N
2362	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	677052	677504	2019-12-05 15:41:22.302572	t	\N
2363	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899611	900030	2019-12-05 15:41:47.058151	t	\N
2364	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	220	566103	567579	2019-12-05 15:41:51.368174	t	\N
2365	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	586640	587092	2019-12-05 15:42:21.439303	t	\N
2366	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	600035	600748	2019-12-05 15:42:40.486015	t	\N
2367	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	935934	938991	2019-12-05 15:42:45.130284	t	\N
2368	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	606026	606509	2019-12-05 15:42:47.506278	t	\N
2369	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	546459	547208	2019-12-05 15:43:00.538493	t	\N
2370	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	330	560329	560934	2019-12-05 15:43:20.588468	t	\N
2371	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	563143	563595	2019-12-05 15:43:23.596594	t	\N
2372	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	965278	968501	2019-12-05 15:43:24.180266	t	\N
2373	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980063	980482	2019-12-05 15:43:44.204612	t	\N
2374	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982245	982786	2019-12-05 15:43:46.20766	t	\N
2375	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	673	606088	609301	2019-12-05 15:44:23.734082	t	\N
2376	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1018576	1021595	2019-12-05 15:44:44.285333	t	\N
2377	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	191	630134	631335	2019-12-05 15:44:48.795417	t	\N
2378	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	832925	846859	2019-12-05 15:45:19.349743	t	\N
2379	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	654502	654954	2019-12-05 15:45:24.882027	t	\N
2380	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	666641	667204	2019-12-05 15:45:40.920032	t	\N
2381	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861632	862051	2019-12-05 15:45:45.382068	t	\N
2382	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	206	679198	543410	2019-12-05 15:45:51.945957	t	\N
2383	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866632	867051	2019-12-05 15:45:52.391058	t	\N
2384	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	564017	564469	2019-12-05 15:46:24.021408	t	\N
2385	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	897791	901113	2019-12-05 15:46:39.450111	t	\N
2386	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905794	906213	2019-12-05 15:46:46.466139	t	\N
2387	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	608772	612030	2019-12-05 15:47:26.184273	t	\N
2388	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	941185	944581	2019-12-05 15:47:43.536667	t	\N
2389	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948032	948451	2019-12-05 15:47:48.543357	t	\N
2390	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	634881	635300	2019-12-05 15:47:55.257454	t	\N
2391	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	639262	639918	2019-12-05 15:48:00.271025	t	\N
2392	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	480	643143	644018	2019-12-05 15:48:03.280305	t	\N
2393	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	651401	652392	2019-12-05 15:48:14.307921	t	\N
2394	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	660900	661416	2019-12-05 15:48:26.337915	t	\N
2395	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	669228	669791	2019-12-05 15:48:36.362618	t	\N
2396	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	985710	988729	2019-12-05 15:48:48.624576	t	\N
2397	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	570773	573969	2019-12-05 15:49:27.480717	t	\N
2398	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	581774	582190	2019-12-05 15:49:38.508063	t	\N
2399	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1022145	1025548	2019-12-05 15:49:40.689059	t	\N
2400	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030068	1030487	2019-12-05 15:49:48.705003	t	\N
2401	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834730	835126	2019-12-05 15:50:15.762063	t	\N
2402	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	617382	620602	2019-12-05 15:50:27.624997	t	\N
2403	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1616	625886	641083	2019-12-05 15:50:34.641811	t	\N
2404	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856544	856963	2019-12-05 15:50:47.804316	t	\N
2405	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860558	860955	2019-12-05 15:50:52.810504	t	\N
2406	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	701	677929	546100	2019-12-05 15:51:27.767669	t	\N
2407	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	555432	555995	2019-12-05 15:51:40.798929	t	\N
2408	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	894252	897309	2019-12-05 15:51:46.907632	t	\N
2409	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	601	590613	593705	2019-12-05 15:52:29.913841	t	\N
2410	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	931120	934404	2019-12-05 15:52:42.983844	t	\N
2411	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939258	939677	2019-12-05 15:52:48.990913	t	\N
2412	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	547462	547883	2019-12-05 15:53:02.995122	t	\N
2413	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	960171	960805	2019-12-05 15:53:20.02944	t	\N
2414	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	563763	564215	2019-12-05 15:53:27.053827	t	\N
2415	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976768	977187	2019-12-05 15:53:48.063675	t	\N
2416	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	604965	605417	2019-12-05 15:54:25.186724	t	\N
2417	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	614208	614853	2019-12-05 15:54:36.212405	t	\N
2418	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1013468	1016487	2019-12-05 15:54:48.137736	t	\N
2419	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	828140	828725	2019-12-05 15:55:21.206224	t	\N
2420	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	626	651101	654295	2019-12-05 15:55:26.328331	t	\N
2421	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	838186	838727	2019-12-05 15:55:37.20631	t	\N
2422	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841769	842166	2019-12-05 15:55:41.212012	t	\N
2423	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846517	846936	2019-12-05 15:55:48.221119	t	\N
2424	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	664	560978	564110	2019-12-05 15:56:27.483712	t	\N
2425	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	882690	885839	2019-12-05 15:56:46.292912	t	\N
2426	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888690	889109	2019-12-05 15:56:50.304825	t	\N
2427	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	897440	898473	2019-12-05 15:57:04.322775	t	\N
2428	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	665	606927	610083	2019-12-05 15:57:27.620255	t	\N
2429	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	613963	614526	2019-12-05 15:57:32.633181	t	\N
2430	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926418	926837	2019-12-05 15:57:48.375934	t	\N
2431	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	210	631125	631845	2019-12-05 15:57:50.677227	t	\N
2432	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	643508	643927	2019-12-05 15:58:07.717498	t	\N
2433	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	187	648332	649161	2019-12-05 15:58:13.732432	t	\N
2434	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	658503	658955	2019-12-05 15:58:26.767638	t	\N
2435	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	960477	963823	2019-12-05 15:58:42.442151	t	\N
2436	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967095	967514	2019-12-05 15:58:46.447645	t	\N
2437	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	561059	561541	2019-12-05 15:59:20.892234	t	\N
2438	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	566544	567060	2019-12-05 15:59:26.907655	t	\N
2439	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1004800	1007819	2019-12-05 15:59:47.526267	t	\N
2440	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1014762	1015755	2019-12-05 15:59:58.540557	t	\N
2441	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1018548	1018942	2019-12-05 16:00:01.545958	t	\N
2442	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020429	1020845	2019-12-05 16:00:03.549236	t	\N
2443	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	607703	608219	2019-12-05 16:00:25.04191	t	\N
2444	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	167	609595	610825	2019-12-05 16:00:26.046103	t	\N
2445	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	830749	844545	2019-12-05 16:00:31.60172	t	\N
2446	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853514	853933	2019-12-05 16:00:47.626669	t	\N
2447	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859442	859839	2019-12-05 16:00:55.636914	t	\N
2448	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	868477	869062	2019-12-05 16:01:10.655414	t	\N
2449	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	651647	652138	2019-12-05 16:01:23.1827	t	\N
2450	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	892610	893151	2019-12-05 16:01:45.700819	t	\N
2451	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894622	895041	2019-12-05 16:01:46.702803	t	\N
2452	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	645	558291	561359	2019-12-05 16:02:23.35454	t	\N
2453	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	931331	934388	2019-12-05 16:02:45.779899	t	\N
2454	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	675	594115	597302	2019-12-05 16:03:07.469218	t	\N
2455	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	949375	950009	2019-12-05 16:03:12.814548	t	\N
2456	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	952668	953562	2019-12-05 16:03:15.819222	t	\N
2457	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	958946	959681	2019-12-05 16:03:17.822801	t	\N
2458	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	608500	608952	2019-12-05 16:03:24.50925	t	\N
2459	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	612259	612822	2019-12-05 16:03:28.521482	t	\N
2460	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974463	974882	2019-12-05 16:03:43.85523	t	\N
2461	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	990284	993385	2019-12-05 16:04:10.894295	t	\N
2462	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	653383	653899	2019-12-05 16:04:25.654033	t	\N
2463	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1012441	1013152	2019-12-05 16:04:37.92884	t	\N
2464	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017147	1017566	2019-12-05 16:04:43.936305	t	\N
2465	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1030403	1031709	2019-12-05 16:05:05.964439	t	\N
2466	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	562012	565208	2019-12-05 16:05:26.807894	t	\N
2467	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846553	846974	2019-12-05 16:05:42.012107	t	\N
2468	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854667	855064	2019-12-05 16:05:55.033798	t	\N
2469	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1641	592271	606975	2019-12-05 16:06:01.889403	t	\N
2470	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	622752	623597	2019-12-05 16:06:26.946266	t	\N
2471	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	625043	625495	2019-12-05 16:06:27.950312	t	\N
2472	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	885788	886207	2019-12-05 16:06:44.096968	t	\N
2473	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	680	667642	670862	2019-12-05 16:07:27.090915	t	\N
2474	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	920833	924218	2019-12-05 16:07:38.164335	t	\N
2475	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928002	928421	2019-12-05 16:07:44.172512	t	\N
2476	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	930482	931271	2019-12-05 16:07:45.174477	t	\N
2477	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	212	563174	563896	2019-12-05 16:08:04.189544	t	\N
2478	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	573996	574415	2019-12-05 16:08:19.224131	t	\N
2479	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	580801	581253	2019-12-05 16:08:27.245022	t	\N
2480	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	966989	970008	2019-12-05 16:08:44.255618	t	\N
2481	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	984285	985008	2019-12-05 16:09:09.287919	t	\N
2482	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	695	622310	625839	2019-12-05 16:09:25.389236	t	\N
2483	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	627023	627740	2019-12-05 16:09:26.395155	t	\N
2484	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	543746	544198	2019-12-05 16:09:27.399481	t	\N
2485	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	552944	553360	2019-12-05 16:09:40.429493	t	\N
2486	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009992	1010411	2019-12-05 16:09:45.336088	t	\N
2487	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	570451	570900	2019-12-05 16:09:59.473085	t	\N
2488	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027813	1028207	2019-12-05 16:10:16.377195	t	\N
2489	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	589884	590336	2019-12-05 16:10:28.541962	t	\N
2490	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833581	834124	2019-12-05 16:10:32.416865	t	\N
2491	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	842091	842510	2019-12-05 16:10:45.439183	t	\N
2492	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853119	853516	2019-12-05 16:11:04.462667	t	\N
2493	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	640	632745	636022	2019-12-05 16:11:27.674316	t	\N
2494	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880909	881328	2019-12-05 16:11:45.513495	t	\N
2495	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	676602	677054	2019-12-05 16:12:25.810863	t	\N
2496	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	542526	543102	2019-12-05 16:12:27.831006	t	\N
2497	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	918554	921611	2019-12-05 16:12:45.587133	t	\N
2498	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	936438	937072	2019-12-05 16:13:12.621279	t	\N
2499	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	580227	580646	2019-12-05 16:13:18.941475	t	\N
2500	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	585816	586268	2019-12-05 16:13:25.959778	t	\N
2501	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950159	950700	2019-12-05 16:13:28.6467	t	\N
2502	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960433	960852	2019-12-05 16:13:44.666791	t	\N
2503	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	599512	600341	2019-12-05 16:13:45.005537	t	\N
2504	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	630286	630738	2019-12-05 16:14:26.102449	t	\N
2505	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	999578	1002597	2019-12-05 16:14:46.743184	t	\N
2506	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	621	673534	676664	2019-12-05 16:15:25.238098	t	\N
2507	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	677976	678539	2019-12-05 16:15:26.241953	t	\N
2508	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	92	1032609	841881	2019-12-05 16:15:33.802465	t	\N
2509	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848381	848800	2019-12-05 16:15:44.816551	t	\N
2510	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865554	865951	2019-12-05 16:16:14.858874	t	\N
2511	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	691	578318	582117	2019-12-05 16:16:15.353111	t	\N
2512	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874526	875067	2019-12-05 16:16:20.867225	t	\N
2513	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	587515	588530	2019-12-05 16:16:22.370664	t	\N
2514	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	591403	591855	2019-12-05 16:16:26.381895	t	\N
2515	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888885	889304	2019-12-05 16:16:44.897854	t	\N
2516	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	633	634148	637843	2019-12-05 16:17:26.516585	t	\N
2517	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	200	644665	645321	2019-12-05 16:17:36.541815	t	\N
2518	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	927661	930718	2019-12-05 16:17:46.974449	t	\N
2519	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	673372	673919	2019-12-05 16:18:12.626873	t	\N
2520	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	954683	955490	2019-12-05 16:18:25.036488	t	\N
2521	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	549041	549495	2019-12-05 16:18:28.664426	t	\N
2522	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	551268	551985	2019-12-05 16:18:30.671945	t	\N
2523	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821736	822157	2019-12-05 16:18:46.068246	t	\N
2524	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844265	844806	2019-12-05 16:19:20.110659	t	\N
2525	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	693	594213	597343	2019-12-05 16:19:29.823561	t	\N
2526	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	605155	605571	2019-12-05 16:19:39.848502	t	\N
2527	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860477	860896	2019-12-05 16:19:46.143733	t	\N
2528	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	636	564154	567935	2019-12-05 16:20:31.974901	t	\N
2529	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	891173	894194	2019-12-05 16:20:33.202657	t	\N
2530	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903300	903719	2019-12-05 16:20:48.221426	t	\N
2531	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915749	916146	2019-12-05 16:21:09.25239	t	\N
2532	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	605936	606499	2019-12-05 16:21:26.099795	t	\N
2533	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1554	611208	629530	2019-12-05 16:21:32.115393	t	\N
2534	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	622732	630154	2019-12-05 16:21:33.119922	t	\N
2535	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941960	942379	2019-12-05 16:21:48.30481	t	\N
2536	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	967661	971002	2019-12-05 16:22:26.352037	t	\N
2537	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	626	671258	675249	2019-12-05 16:22:32.256022	t	\N
2538	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983955	984374	2019-12-05 16:22:48.380999	t	\N
2539	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	990593	991249	2019-12-05 16:22:58.394309	t	\N
2540	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	563744	564229	2019-12-05 16:23:06.335812	t	\N
2541	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	580601	581053	2019-12-05 16:23:31.394083	t	\N
2542	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1023372	1023791	2019-12-05 16:23:48.455219	t	\N
2543	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	620514	621238	2019-12-05 16:24:26.52215	t	\N
2544	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	625727	626179	2019-12-05 16:24:31.534513	t	\N
2545	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	831190	834249	2019-12-05 16:24:46.52667	t	\N
2546	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	861726	865010	2019-12-05 16:25:30.582303	t	\N
2547	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	653	669751	673388	2019-12-05 16:25:32.675056	t	\N
2548	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874752	875171	2019-12-05 16:25:45.602171	t	\N
2549	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888269	888666	2019-12-05 16:26:08.630499	t	\N
2550	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	630	580063	583341	2019-12-05 16:26:33.818302	t	\N
2551	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913567	913986	2019-12-05 16:26:45.681406	t	\N
2552	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	937060	938093	2019-12-05 16:27:19.723541	t	\N
2553	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	620973	621536	2019-12-05 16:27:26.940297	t	\N
2554	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	627469	627921	2019-12-05 16:27:33.959246	t	\N
2555	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953018	953437	2019-12-05 16:27:45.75611	t	\N
2556	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	200	645617	646337	2019-12-05 16:27:54.004552	t	\N
2557	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	654142	654625	2019-12-05 16:28:05.029575	t	\N
2558	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	177	664574	665467	2019-12-05 16:28:19.064223	t	\N
2559	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	979812	980353	2019-12-05 16:28:25.806191	t	\N
2560	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	673695	674211	2019-12-05 16:28:31.093247	t	\N
2562	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	573880	574298	2019-12-05 16:29:18.200013	t	\N
2563	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	583119	583571	2019-12-05 16:29:32.231483	t	\N
2564	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1028970	1031986	2019-12-05 16:29:44.907497	t	\N
2565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034625	1035044	2019-12-05 16:29:47.911865	t	\N
2566	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	75	834879	851398	2019-12-05 16:30:31.967211	t	\N
2568	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	853240	853656	2019-12-05 16:30:32.97042	t	\N
2567	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	637	545078	549054	2019-12-05 16:30:32.383141	t	\N
2569	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	550302	550865	2019-12-05 16:30:33.387438	t	\N
2570	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861098	861517	2019-12-05 16:30:45.987339	t	\N
2571	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	866275	867194	2019-12-05 16:30:53.001268	t	\N
2572	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880774	881171	2019-12-05 16:31:17.031939	t	\N
2573	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	178	585149	585758	2019-12-05 16:31:20.496568	t	\N
2574	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890106	890647	2019-12-05 16:31:26.043574	t	\N
2575	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	593142	593594	2019-12-05 16:31:30.521749	t	\N
2576	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	901657	902076	2019-12-05 16:31:43.068787	t	\N
2577	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	632	636989	640081	2019-12-05 16:32:31.661826	t	\N
2578	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	939311	942330	2019-12-05 16:32:43.147117	t	\N
2579	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	668651	669070	2019-12-05 16:33:08.749737	t	\N
2580	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	969145	969779	2019-12-05 16:33:25.20521	t	\N
2581	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	972454	973261	2019-12-05 16:33:28.209751	t	\N
2582	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	546265	546719	2019-12-05 16:33:30.816913	t	\N
2583	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	548759	549498	2019-12-05 16:33:32.822983	t	\N
2584	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981126	981545	2019-12-05 16:33:41.227328	t	\N
2585	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008653	1009194	2019-12-05 16:34:23.278106	t	\N
2586	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	623	591641	594835	2019-12-05 16:34:30.952506	t	\N
2587	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1021687	1022106	2019-12-05 16:34:43.303892	t	\N
2588	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1035861	811619	2019-12-05 16:35:07.338614	t	\N
2589	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	627	636548	639640	2019-12-05 16:35:30.088545	t	\N
2590	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	834326	834745	2019-12-05 16:35:41.383294	t	\N
2591	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	657021	657437	2019-12-05 16:35:49.133406	t	\N
2592	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	210	669165	669974	2019-12-05 16:36:07.174174	t	\N
2593	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853367	853764	2019-12-05 16:36:13.424105	t	\N
2594	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	548438	548956	2019-12-05 16:36:28.235316	t	\N
2595	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	554294	555014	2019-12-05 16:36:35.253333	t	\N
2597	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874109	874528	2019-12-05 16:36:42.45999	t	\N
2596	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1528	560195	575191	2019-12-05 16:36:42.270693	t	\N
2598	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	898642	899183	2019-12-05 16:37:21.507547	t	\N
2599	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	665	607394	610588	2019-12-05 16:37:28.379115	t	\N
2600	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	211	617653	618309	2019-12-05 16:37:38.407486	t	\N
2601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913810	914229	2019-12-05 16:37:44.542905	t	\N
2602	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	636657	637076	2019-12-05 16:38:00.458719	t	\N
2603	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	639842	643168	2019-12-05 16:38:03.468651	t	\N
2604	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	658265	658717	2019-12-05 16:38:27.528284	t	\N
2605	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	951124	954181	2019-12-05 16:38:44.614914	t	\N
2606	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	696	561171	564662	2019-12-05 16:39:19.662782	t	\N
2607	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	569452	569904	2019-12-05 16:39:26.680905	t	\N
2608	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	572353	572916	2019-12-05 16:39:28.687762	t	\N
2609	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	990209	993228	2019-12-05 16:39:43.686402	t	\N
2610	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006103	1006497	2019-12-05 16:40:05.713371	t	\N
2611	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1011801	1012342	2019-12-05 16:40:13.723762	t	\N
2612	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	158	613575	614091	2019-12-05 16:40:26.825286	t	\N
2613	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032871	1033290	2019-12-05 16:40:43.766075	t	\N
2618	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830201	830600	2019-12-05 16:41:19.813395	t	\N
2614	Jobs::ReindexSearch	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	475	562997	564791	2019-12-05 16:40:53.889584	t	\N
2615	Jobs::ActivationReminderEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	196	566040	567252	2019-12-05 16:40:54.893468	t	\N
2616	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	568500	568949	2019-12-05 16:40:55.897066	t	\N
2617	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	351	581289	581958	2019-12-05 16:41:13.940182	t	\N
2619	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	158	590578	591094	2019-12-05 16:41:26.972134	t	\N
2620	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844856	845275	2019-12-05 16:41:43.842024	t	\N
2621	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	595	632499	635629	2019-12-05 16:42:25.106867	t	\N
2622	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	133	639998	640715	2019-12-05 16:42:31.121664	t	\N
2623	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	881828	884885	2019-12-05 16:42:43.917341	t	\N
2624	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	899130	899671	2019-12-05 16:43:08.949248	t	\N
2625	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	133	670674	671221	2019-12-05 16:43:11.213997	t	\N
2626	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	678999	543082	2019-12-05 16:43:23.243224	t	\N
2627	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	912482	913116	2019-12-05 16:43:24.975917	t	\N
2628	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	133	546510	546962	2019-12-05 16:43:26.252806	t	\N
2629	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924688	925107	2019-12-05 16:43:44.000609	t	\N
2630	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	200	567109	568501	2019-12-05 16:43:49.307409	t	\N
2631	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	133	591500	591952	2019-12-05 16:44:26.391932	t	\N
2632	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	961830	964849	2019-12-05 16:44:45.077792	t	\N
2633	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	980777	994645	2019-12-05 16:45:13.113088	t	\N
2634	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	634546	637676	2019-12-05 16:45:26.526834	t	\N
2635	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	640844	641632	2019-12-05 16:45:30.537585	t	\N
2636	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1016805	1017224	2019-12-05 16:45:45.153194	t	\N
2637	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	662345	663360	2019-12-05 16:45:54.594075	t	\N
2638	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1030052	1030593	2019-12-05 16:46:07.186935	t	\N
2639	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	546351	546869	2019-12-05 16:46:24.676712	t	\N
2640	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821340	821739	2019-12-05 16:46:29.218122	t	\N
2641	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	484	559389	560986	2019-12-05 16:46:43.721747	t	\N
2642	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831577	831996	2019-12-05 16:46:45.237935	t	\N
2643	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	188	579125	580308	2019-12-05 16:47:05.778416	t	\N
2644	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	587753	588409	2019-12-05 16:47:16.804419	t	\N
2645	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	593103	593555	2019-12-05 16:47:22.81962	t	\N
2646	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	868374	871808	2019-12-05 16:47:44.310546	t	\N
2647	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872880	873299	2019-12-05 16:47:45.312206	t	\N
2648	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	623	625238	628399	2019-12-05 16:48:03.915569	t	\N
2649	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	639679	640131	2019-12-05 16:48:21.95655	t	\N
2650	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	645573	646200	2019-12-05 16:48:28.974046	t	\N
2651	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	910663	913682	2019-12-05 16:48:46.393731	t	\N
2652	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922304	922845	2019-12-05 16:49:00.411258	t	\N
2653	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	548376	548958	2019-12-05 16:49:22.095342	t	\N
2654	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	559055	559471	2019-12-05 16:49:36.129402	t	\N
2655	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953363	953782	2019-12-05 16:49:48.471357	t	\N
2656	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968779	969173	2019-12-05 16:50:14.503979	t	\N
2657	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	591968	592420	2019-12-05 16:50:20.231421	t	\N
2658	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990991	991410	2019-12-05 16:50:47.544263	t	\N
2659	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	178	621185	622176	2019-12-05 16:50:58.326629	t	\N
2660	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	556010	556528	2019-12-05 16:51:20.382824	t	\N
2661	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	2	1014399	1014796	2019-12-05 16:51:22.593283	t	\N
2662	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	563181	563744	2019-12-05 16:51:29.404967	t	\N
2663	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028695	1029114	2019-12-05 16:51:45.622744	t	\N
2664	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1526	585415	600125	2019-12-05 16:51:55.467054	t	\N
2665	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	815381	815924	2019-12-05 16:52:04.647226	t	\N
2666	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	615840	616420	2019-12-05 16:52:20.52807	t	\N
2667	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841554	841973	2019-12-05 16:52:43.696589	t	\N
2668	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	852648	853231	2019-12-05 16:53:02.720275	t	\N
2669	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	668	647502	651331	2019-12-05 16:53:03.627772	t	\N
2670	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	856935	857569	2019-12-05 16:53:07.736936	t	\N
2671	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	663082	663534	2019-12-05 16:53:22.67172	t	\N
2672	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882034	882453	2019-12-05 16:53:45.783527	t	\N
2673	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	638	568793	572028	2019-12-05 16:54:22.807719	t	\N
2674	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	580797	581360	2019-12-05 16:54:34.837161	t	\N
2675	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	919845	922902	2019-12-05 16:54:45.859106	t	\N
2676	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938045	938586	2019-12-05 16:55:12.893532	t	\N
2677	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	615431	615883	2019-12-05 16:55:21.941787	t	\N
2678	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961267	961686	2019-12-05 16:55:45.934301	t	\N
2679	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978665	979062	2019-12-05 16:56:16.978128	t	\N
2680	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	673	658420	661843	2019-12-05 16:56:21.079482	t	\N
2681	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997296	997715	2019-12-05 16:56:43.011762	t	\N
2682	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999776	1000170	2019-12-05 16:56:44.01348	t	\N
2683	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1005301	1006334	2019-12-05 16:56:53.024177	t	\N
2684	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	695	557788	561188	2019-12-05 16:57:05.180626	t	\N
2685	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	571619	572071	2019-12-05 16:57:21.219255	t	\N
2686	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	579914	580691	2019-12-05 16:57:32.24496	t	\N
2687	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1037683	816059	2019-12-05 16:57:43.088235	t	\N
2688	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	602292	603850	2019-12-05 16:57:59.307216	t	\N
2689	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828744	829285	2019-12-05 16:58:05.122527	t	\N
2690	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	609851	610270	2019-12-05 16:58:08.328026	t	\N
2691	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	618784	619300	2019-12-05 16:58:20.357079	t	\N
2692	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	844285	844870	2019-12-05 16:58:25.147168	t	\N
2693	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854509	854928	2019-12-05 16:58:41.167485	t	\N
2694	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	864398	865460	2019-12-05 16:58:58.188416	t	\N
2695	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	696	661782	665002	2019-12-05 16:59:20.495418	t	\N
2696	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	669320	669736	2019-12-05 16:59:26.511736	t	\N
2697	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	893515	896534	2019-12-05 16:59:41.242079	t	\N
2698	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	914251	928749	2019-12-05 17:00:13.288858	t	\N
2699	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936012	936428	2019-12-05 17:00:19.297287	t	\N
2700	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	645	572987	576514	2019-12-05 17:00:20.650342	t	\N
2701	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	940682	941601	2019-12-05 17:00:25.305807	t	\N
2702	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	587875	588438	2019-12-05 17:00:37.69188	t	\N
2703	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951094	951488	2019-12-05 17:00:41.32573	t	\N
2704	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952516	952935	2019-12-05 17:00:42.327444	t	\N
2705	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966602	967143	2019-12-05 17:01:07.362874	t	\N
2706	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968549	968946	2019-12-05 17:01:08.364548	t	\N
2707	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	620735	621251	2019-12-05 17:01:21.803269	t	\N
2708	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	982236	983072	2019-12-05 17:01:24.384394	t	\N
2709	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993291	993710	2019-12-05 17:01:42.40873	t	\N
2710	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	630	579351	582547	2019-12-05 17:02:20.939891	t	\N
2711	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	1029713	1032732	2019-12-05 17:02:40.486289	t	\N
2712	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1034494	1035128	2019-12-05 17:02:43.490696	t	\N
2713	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	609983	610466	2019-12-05 17:02:57.026583	t	\N
2714	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	827936	828745	2019-12-05 17:03:12.527381	t	\N
2715	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	626769	627221	2019-12-05 17:03:22.086683	t	\N
2716	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	639701	640264	2019-12-05 17:03:40.131112	t	\N
2717	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848548	849000	2019-12-05 17:03:40.589808	t	\N
2718	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	853395	856496	2019-12-05 17:03:47.599046	t	\N
2719	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	859632	860938	2019-12-05 17:03:51.604291	t	\N
2720	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873808	874349	2019-12-05 17:04:13.635737	t	\N
2721	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	670756	671208	2019-12-05 17:04:21.223174	t	\N
2722	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	892602	893054	2019-12-05 17:04:38.671108	t	\N
2723	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	634	577553	580685	2019-12-05 17:05:22.376644	t	\N
2724	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	928661	931718	2019-12-05 17:05:36.741142	t	\N
2725	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	959356	959775	2019-12-05 17:06:18.792368	t	\N
2726	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	678	622380	625931	2019-12-05 17:06:21.515634	t	\N
2727	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	633049	633612	2019-12-05 17:06:32.541737	t	\N
2729	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	213	654482	655202	2019-12-05 17:06:57.601587	t	\N
2731	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	672197	672713	2019-12-05 17:07:23.660504	t	\N
2732	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1695	677065	556288	2019-12-05 17:07:29.676039	t	\N
2734	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	580732	581151	2019-12-05 17:08:02.752558	t	\N
2735	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	596628	597080	2019-12-05 17:08:25.806583	t	\N
2728	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969499	969918	2019-12-05 17:06:34.816236	t	\N
2730	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989146	989687	2019-12-05 17:07:08.86191	t	\N
2733	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008506	1008925	2019-12-05 17:07:34.895319	t	\N
2736	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	820334	823393	2019-12-05 17:08:32.967556	t	\N
2737	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1080	634670	641539	2019-12-05 17:09:18.926808	t	\N
2738	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	644937	646160	2019-12-05 17:09:24.941529	t	\N
2739	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	647760	648607	2019-12-05 17:09:25.944778	t	\N
2740	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	859209	862228	2019-12-05 17:09:31.041079	t	\N
2741	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	661446	661959	2019-12-05 17:09:45.010309	t	\N
2742	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	873726	874449	2019-12-05 17:09:50.065365	t	\N
2743	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	672175	672655	2019-12-05 17:09:54.031984	t	\N
2744	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	881136	881925	2019-12-05 17:10:02.08622	t	\N
2745	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887713	888254	2019-12-05 17:10:11.097756	t	\N
2746	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	557726	558180	2019-12-05 17:10:25.105433	t	\N
2747	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903086	903505	2019-12-05 17:10:30.122707	t	\N
2748	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	904992	905386	2019-12-05 17:10:32.126593	t	\N
2749	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936506	936903	2019-12-05 17:11:22.189582	t	\N
2750	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	705	601942	605072	2019-12-05 17:11:27.249155	t	\N
2751	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	940859	941311	2019-12-05 17:11:28.202667	t	\N
2752	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	679	559012	562144	2019-12-05 17:12:25.399205	t	\N
2753	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	978975	981994	2019-12-05 17:12:29.278726	t	\N
2754	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	565709	566283	2019-12-05 17:12:30.413506	t	\N
2755	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	994934	995568	2019-12-05 17:12:50.305425	t	\N
2756	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	589947	590366	2019-12-05 17:12:59.481594	t	\N
2757	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1006841	1007382	2019-12-05 17:13:10.330209	t	\N
2758	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	608610	609062	2019-12-05 17:13:27.545986	t	\N
2759	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022560	1022979	2019-12-05 17:13:30.35478	t	\N
2760	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	193	619951	620844	2019-12-05 17:13:42.585099	t	\N
2761	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	653979	654431	2019-12-05 17:14:27.68928	t	\N
2762	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	836913	839972	2019-12-05 17:14:30.433749	t	\N
2763	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	866022	879890	2019-12-05 17:15:16.490088	t	\N
2764	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	667	558150	561346	2019-12-05 17:15:25.827949	t	\N
2765	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891589	892008	2019-12-05 17:15:29.507362	t	\N
2766	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	190	569562	570681	2019-12-05 17:15:37.859953	t	\N
2767	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	571993	572567	2019-12-05 17:15:38.86433	t	\N
2768	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	913429	913970	2019-12-05 17:16:07.553809	t	\N
2769	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927027	927424	2019-12-05 17:16:23.574282	t	\N
2770	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	606906	607358	2019-12-05 17:16:25.971792	t	\N
2771	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	609067	610146	2019-12-05 17:16:27.977694	t	\N
2772	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931820	932239	2019-12-05 17:16:29.587579	t	\N
2773	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	647642	651587	2019-12-05 17:17:20.097616	t	\N
2774	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	656375	656827	2019-12-05 17:17:27.114681	t	\N
2775	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	968473	971492	2019-12-05 17:17:29.662363	t	\N
2776	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	678177	678596	2019-12-05 17:17:53.177999	t	\N
2777	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	994900	995707	2019-12-05 17:18:11.71286	t	\N
2778	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	563058	563512	2019-12-05 17:18:27.257775	t	\N
2779	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	567077	567640	2019-12-05 17:18:31.268774	t	\N
2780	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010615	1011034	2019-12-05 17:18:31.738115	t	\N
2781	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1027465	1028006	2019-12-05 17:18:59.773083	t	\N
2782	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	609280	609796	2019-12-05 17:19:29.402099	t	\N
2783	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827367	827788	2019-12-05 17:19:30.815881	t	\N
2784	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	638722	641816	2019-12-05 17:20:06.489634	t	\N
2785	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	658101	658617	2019-12-05 17:20:31.571045	t	\N
2786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	864345	867402	2019-12-05 17:20:31.89276	t	\N
2787	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868730	869124	2019-12-05 17:20:32.894702	t	\N
2788	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900081	900478	2019-12-05 17:21:22.956353	t	\N
2789	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	560333	560898	2019-12-05 17:21:24.706768	t	\N
2790	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	565143	565595	2019-12-05 17:21:29.719613	t	\N
2791	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905446	905865	2019-12-05 17:21:29.966555	t	\N
2792	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	920446	922152	2019-12-05 17:21:55.002882	t	\N
2793	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1631	587635	602072	2019-12-05 17:21:55.78207	t	\N
2794	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926247	926788	2019-12-05 17:22:01.011643	t	\N
2795	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945896	946315	2019-12-05 17:22:29.047405	t	\N
2796	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	623318	623770	2019-12-05 17:22:29.861588	t	\N
2797	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	949237	949871	2019-12-05 17:22:33.05317	t	\N
2798	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	644376	644795	2019-12-05 17:22:53.919868	t	\N
2799	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984447	984866	2019-12-05 17:23:29.124239	t	\N
2800	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	647	668749	672274	2019-12-05 17:23:31.004987	t	\N
2801	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1022425	1025444	2019-12-05 17:24:29.204578	t	\N
2802	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	651	580050	583293	2019-12-05 17:24:32.157653	t	\N
2803	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	585001	585453	2019-12-05 17:24:33.161329	t	\N
2804	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	824459	827783	2019-12-05 17:25:02.246208	t	\N
2805	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847977	848396	2019-12-05 17:25:31.282928	t	\N
2806	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	544275	547407	2019-12-05 17:25:33.310136	t	\N
2807	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	865356	866389	2019-12-05 17:26:00.319782	t	\N
2808	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882021	882418	2019-12-05 17:26:22.347173	t	\N
2809	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888672	889091	2019-12-05 17:26:33.366332	t	\N
2810	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	590607	593763	2019-12-05 17:26:33.449281	t	\N
2811	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	611721	612441	2019-12-05 17:26:54.500242	t	\N
2812	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	634973	635536	2019-12-05 17:27:30.585412	t	\N
2813	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	638846	639629	2019-12-05 17:27:33.593447	t	\N
2814	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	926002	929021	2019-12-05 17:27:34.440401	t	\N
2815	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	645725	646144	2019-12-05 17:27:41.614971	t	\N
2816	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	949664	950205	2019-12-05 17:28:10.484809	t	\N
2817	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967139	967558	2019-12-05 17:28:34.514886	t	\N
2818	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	546369	549647	2019-12-05 17:28:34.752121	t	\N
2819	Jobs::EnsureDbConsistency	iZj6chkije5xk0gfyvcrzyZ-web-only	127	161	980951	1003822	2019-12-05 17:28:55.541785	t	\N
2820	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	188	575222	576051	2019-12-05 17:29:07.829615	t	\N
2821	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1029113	1032132	2019-12-05 17:29:34.597306	t	\N
2822	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	188	593428	594099	2019-12-05 17:29:34.89517	t	\N
2823	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	595493	595945	2019-12-05 17:29:35.898879	t	\N
2824	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037312	1037728	2019-12-05 17:29:40.606506	t	\N
2825	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	617674	618090	2019-12-05 17:30:01.960765	t	\N
2826	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	830409	844279	2019-12-05 17:30:03.635038	t	\N
2827	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851587	851981	2019-12-05 17:30:15.649854	t	\N
2828	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	638363	638815	2019-12-05 17:30:33.032183	t	\N
2829	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865505	865924	2019-12-05 17:30:33.672591	t	\N
2830	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	641149	642448	2019-12-05 17:30:36.04296	t	\N
2831	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	868955	869874	2019-12-05 17:30:36.681266	t	\N
2832	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888654	889195	2019-12-05 17:31:10.723626	t	\N
2833	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905717	906136	2019-12-05 17:31:32.751353	t	\N
2834	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	670	546341	549537	2019-12-05 17:31:32.193045	t	\N
2835	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	909415	909834	2019-12-05 17:31:35.757373	t	\N
2836	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	941299	942048	2019-12-05 17:32:28.823964	t	\N
2837	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	690	592896	596052	2019-12-05 17:32:33.336731	t	\N
2838	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945746	946198	2019-12-05 17:32:34.838223	t	\N
2839	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	949174	949808	2019-12-05 17:32:37.842136	t	\N
2840	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	613583	614105	2019-12-05 17:32:53.386113	t	\N
2841	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	641	639498	642654	2019-12-05 17:33:33.478703	t	\N
2842	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	984599	987656	2019-12-05 17:33:34.912879	t	\N
2843	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	647649	648212	2019-12-05 17:33:40.500129	t	\N
2844	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009531	1010072	2019-12-05 17:34:12.961199	t	\N
2845	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	216	545551	546298	2019-12-05 17:34:25.602114	t	\N
2846	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1025451	1028552	2019-12-05 17:34:32.98875	t	\N
2847	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	552905	553421	2019-12-05 17:34:34.623337	t	\N
2848	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031978	1032397	2019-12-05 17:34:37.00078	t	\N
2849	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	595148	598518	2019-12-05 17:35:32.760171	t	\N
2850	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	849638	852697	2019-12-05 17:35:37.079485	t	\N
2851	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874695	875092	2019-12-05 17:36:18.130385	t	\N
2852	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	641	561843	565151	2019-12-05 17:36:32.905183	t	\N
2853	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889871	890290	2019-12-05 17:36:37.158097	t	\N
2854	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	572780	573407	2019-12-05 17:36:43.932912	t	\N
2855	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	587677	588093	2019-12-05 17:36:57.966026	t	\N
2856	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906988	907529	2019-12-05 17:37:06.19497	t	\N
2857	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1574	599460	614557	2019-12-05 17:37:15.007089	t	\N
2858	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	204	617788	618444	2019-12-05 17:37:21.023311	t	\N
2859	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	626944	627396	2019-12-05 17:37:32.049392	t	\N
2860	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928499	928918	2019-12-05 17:37:37.24002	t	\N
2861	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	633809	634228	2019-12-05 17:37:41.072701	t	\N
2862	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	673636	676874	2019-12-05 17:38:34.196498	t	\N
2863	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	965692	968711	2019-12-05 17:38:37.313697	t	\N
2864	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	563960	564411	2019-12-05 17:39:04.281384	t	\N
2865	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	343	568762	569431	2019-12-05 17:39:10.296725	t	\N
2866	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	585161	585695	2019-12-05 17:39:34.351405	t	\N
2867	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1006304	1009323	2019-12-05 17:39:38.387267	t	\N
2868	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	590606	591022	2019-12-05 17:39:40.366861	t	\N
2869	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	596484	597261	2019-12-05 17:39:47.38479	t	\N
2870	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025659	1026200	2019-12-05 17:40:08.425167	t	\N
2871	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	675	618043	621305	2019-12-05 17:40:13.444474	t	\N
2872	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1038238	820480	2019-12-05 17:40:21.442772	t	\N
2873	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	635084	635536	2019-12-05 17:40:34.49336	t	\N
2874	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829668	830087	2019-12-05 17:40:36.465697	t	\N
2875	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850881	851278	2019-12-05 17:41:15.513278	t	\N
2876	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865955	866374	2019-12-05 17:41:34.537039	t	\N
2877	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	679	679147	546188	2019-12-05 17:41:36.637834	t	\N
2878	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	904728	907989	2019-12-05 17:42:36.614752	t	\N
2879	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	909017	909436	2019-12-05 17:42:37.616944	t	\N
2880	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	633	589889	593279	2019-12-05 17:42:38.785015	t	\N
2881	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	594527	594979	2019-12-05 17:42:39.788906	t	\N
2882	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	606346	606909	2019-12-05 17:42:50.817851	t	\N
2883	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931037	931578	2019-12-05 17:43:16.668973	t	\N
2884	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	948707	949159	2019-12-05 17:43:39.698265	t	\N
2885	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	653	639642	642734	2019-12-05 17:43:39.934379	t	\N
2886	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	975011	988923	2019-12-05 17:44:19.747729	t	\N
2887	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	641	547275	550535	2019-12-05 17:44:37.067452	t	\N
2888	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	552974	553803	2019-12-05 17:44:41.077989	t	\N
2889	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002442	1002894	2019-12-05 17:44:41.77514	t	\N
2890	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	217	572733	574061	2019-12-05 17:45:02.12648	t	\N
2891	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	471	595296	596189	2019-12-05 17:45:35.20887	t	\N
2892	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	183	598693	599650	2019-12-05 17:45:37.214424	t	\N
2893	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	601423	601875	2019-12-05 17:45:39.222024	t	\N
2894	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	820721	823780	2019-12-05 17:45:39.866009	t	\N
2897	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	839041	839438	2019-12-05 17:46:05.906709	t	\N
2898	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846307	846848	2019-12-05 17:46:16.920163	t	\N
2899	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862805	863257	2019-12-05 17:46:37.946623	t	\N
2901	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	889315	890122	2019-12-05 17:47:18.998391	t	\N
2902	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899852	900271	2019-12-05 17:47:35.018765	t	\N
2895	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	603584	605034	2019-12-05 17:45:41.22826	t	\N
2896	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	619402	619965	2019-12-05 17:45:56.267805	t	\N
2900	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	647336	650428	2019-12-05 17:46:37.366506	t	\N
2903	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	665	558666	561798	2019-12-05 17:47:39.508618	t	\N
2904	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	563046	563465	2019-12-05 17:47:40.512255	t	\N
2905	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	209	574751	575407	2019-12-05 17:47:50.536249	t	\N
2906	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	937334	940353	2019-12-05 17:48:35.09667	t	\N
2907	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	674	605872	609092	2019-12-05 17:48:37.643944	t	\N
2908	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	626897	627460	2019-12-05 17:48:58.694654	t	\N
2909	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961163	961704	2019-12-05 17:49:11.143226	t	\N
2910	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978799	979218	2019-12-05 17:49:34.172258	t	\N
2911	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	601	652333	656051	2019-12-05 17:49:36.782202	t	\N
2912	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	658027	658479	2019-12-05 17:49:38.788048	t	\N
2913	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	991967	992361	2019-12-05 17:49:56.200712	t	\N
2914	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	170	545901	546830	2019-12-05 17:50:07.855824	t	\N
2915	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1017866	1020885	2019-12-05 17:50:35.249611	t	\N
2916	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	567560	568012	2019-12-05 17:50:40.929619	t	\N
2917	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826348	826747	2019-12-05 17:51:15.305359	t	\N
2918	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	841300	841719	2019-12-05 17:51:34.329343	t	\N
2919	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	673	610884	614078	2019-12-05 17:51:40.067	t	\N
2920	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	628400	629177	2019-12-05 17:51:56.119086	t	\N
2921	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	862022	862656	2019-12-05 17:52:10.375474	t	\N
2922	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863812	864353	2019-12-05 17:52:11.377347	t	\N
2923	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1632	559689	574064	2019-12-05 17:52:29.197737	t	\N
2925	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881976	882395	2019-12-05 17:52:35.407741	t	\N
2924	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	578293	578776	2019-12-05 17:52:35.213765	t	\N
2926	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	582103	582555	2019-12-05 17:52:39.224414	t	\N
2927	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	920585	923642	2019-12-05 17:53:37.48784	t	\N
2928	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	625756	628886	2019-12-05 17:53:39.364402	t	\N
2929	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	960294	963313	2019-12-05 17:54:37.562103	t	\N
2930	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	638	670918	674074	2019-12-05 17:54:38.4986	t	\N
2931	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965907	966301	2019-12-05 17:54:41.568308	t	\N
2932	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	545009	549833	2019-12-05 17:54:50.528993	t	\N
2933	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	982470	983117	2019-12-05 17:55:10.604319	t	\N
2934	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988284	988825	2019-12-05 17:55:17.613533	t	\N
2935	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002705	1003124	2019-12-05 17:55:35.642018	t	\N
2936	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	581481	584942	2019-12-05 17:55:39.638867	t	\N
2937	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1017689	1018722	2019-12-05 17:56:00.673399	t	\N
2938	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028006	1028403	2019-12-05 17:56:16.692661	t	\N
2939	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827084	827505	2019-12-05 17:56:36.717156	t	\N
2940	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	640	627557	630713	2019-12-05 17:56:41.793608	t	\N
2941	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	858242	858827	2019-12-05 17:57:25.777302	t	\N
2942	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865500	865919	2019-12-05 17:57:36.796177	t	\N
2943	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	665	673440	676660	2019-12-05 17:57:40.931581	t	\N
2944	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	543572	544324	2019-12-05 17:57:44.957138	t	\N
2945	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	215	553367	554023	2019-12-05 17:57:51.976548	t	\N
2946	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	559930	560504	2019-12-05 17:57:58.994526	t	\N
2947	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888511	889052	2019-12-05 17:58:16.84552	t	\N
2948	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	899784	900678	2019-12-05 17:58:27.863071	t	\N
2949	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904741	905160	2019-12-05 17:58:34.872125	t	\N
2950	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	650	586000	589130	2019-12-05 17:58:38.086886	t	\N
2951	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936903	937319	2019-12-05 17:59:25.934858	t	\N
2952	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	625889	626782	2019-12-05 17:59:30.206553	t	\N
2953	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943006	943425	2019-12-05 17:59:34.951518	t	\N
2954	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	944645	958455	2019-12-05 17:59:35.953443	t	\N
2955	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	633465	633917	2019-12-05 17:59:39.22867	t	\N
2956	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	636354	636834	2019-12-05 17:59:42.236539	t	\N
2957	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987114	987508	2019-12-05 18:00:22.010585	t	\N
2958	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	991376	992295	2019-12-05 18:00:27.017398	t	\N
2959	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996987	997406	2019-12-05 18:00:34.027128	t	\N
2960	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	677029	545881	2019-12-05 18:00:38.367078	t	\N
2961	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	567212	567839	2019-12-05 18:01:05.429266	t	\N
2962	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1020889	1021430	2019-12-05 18:01:16.082867	t	\N
2963	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032559	1032956	2019-12-05 18:01:28.098684	t	\N
2964	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037295	1037714	2019-12-05 18:01:35.107818	t	\N
2965	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	589837	590289	2019-12-05 18:01:38.504987	t	\N
2966	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	832892	833629	2019-12-05 18:01:56.139947	t	\N
2967	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	842280	842914	2019-12-05 18:02:11.163706	t	\N
2968	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860152	860571	2019-12-05 18:02:35.200757	t	\N
2969	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	546828	549960	2019-12-05 18:02:38.658854	t	\N
2970	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	552794	553213	2019-12-05 18:02:42.669649	t	\N
2971	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	882665	885750	2019-12-05 18:03:13.251658	t	\N
2972	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	886842	888148	2019-12-05 18:03:14.253628	t	\N
2973	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903407	903826	2019-12-05 18:03:35.280445	t	\N
2974	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	674	592692	596433	2019-12-05 18:03:37.796886	t	\N
2975	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	616634	617939	2019-12-05 18:04:02.865644	t	\N
2976	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926622	927163	2019-12-05 18:04:14.328771	t	\N
2977	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942887	943306	2019-12-05 18:04:35.361338	t	\N
2978	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	640809	641261	2019-12-05 18:04:37.946059	t	\N
2979	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	979059	982244	2019-12-05 18:05:33.433476	t	\N
2980	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	712	544635	547785	2019-12-05 18:05:36.07893	t	\N
2981	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1013614	1014011	2019-12-05 18:06:23.497374	t	\N
2982	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020700	1021119	2019-12-05 18:06:35.512522	t	\N
2983	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	693	591345	594768	2019-12-05 18:06:37.221976	t	\N
2984	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	616322	616885	2019-12-05 18:07:03.282941	t	\N
2985	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	827573	828116	2019-12-05 18:07:14.562142	t	\N
2986	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	633883	634430	2019-12-05 18:07:30.346305	t	\N
2987	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1693	638107	653103	2019-12-05 18:07:34.357041	t	\N
2989	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845191	845610	2019-12-05 18:07:37.598138	t	\N
2988	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	654894	655346	2019-12-05 18:07:37.365263	t	\N
2990	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	219	676996	677652	2019-12-05 18:08:03.424601	t	\N
2991	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	561283	562196	2019-12-05 18:08:35.512573	t	\N
2992	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	883840	886897	2019-12-05 18:08:39.676804	t	\N
2993	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	594960	595504	2019-12-05 18:09:20.614417	t	\N
2994	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	606867	607319	2019-12-05 18:09:37.652495	t	\N
2995	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	924644	927663	2019-12-05 18:09:41.75221	t	\N
2996	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	616351	616800	2019-12-05 18:09:49.680548	t	\N
2997	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	630632	631356	2019-12-05 18:10:03.714399	t	\N
2998	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	953235	953776	2019-12-05 18:10:20.80076	t	\N
2999	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962215	962609	2019-12-05 18:10:34.818206	t	\N
3000	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	652443	652895	2019-12-05 18:10:35.7909	t	\N
3001	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966487	966939	2019-12-05 18:10:39.830248	t	\N
3002	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	968966	969755	2019-12-05 18:10:42.834067	t	\N
3003	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	701	671254	675226	2019-12-05 18:10:57.84488	t	\N
3004	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	985475	986198	2019-12-05 18:11:09.867939	t	\N
3005	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990549	990946	2019-12-05 18:11:16.876827	t	\N
3006	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	561328	564478	2019-12-05 18:11:33.930524	t	\N
3007	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1008860	1009279	2019-12-05 18:11:40.907135	t	\N
3008	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1017424	1018058	2019-12-05 18:11:53.924017	t	\N
3009	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	599366	599785	2019-12-05 18:12:22.041386	t	\N
3010	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	609061	609513	2019-12-05 18:12:35.073868	t	\N
3011	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	832441	835500	2019-12-05 18:12:41.982117	t	\N
3012	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	633752	634443	2019-12-05 18:13:06.144796	t	\N
3013	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	860985	861526	2019-12-05 18:13:22.032688	t	\N
3014	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	654930	655382	2019-12-05 18:13:37.216303	t	\N
3015	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	872757	873209	2019-12-05 18:13:40.055863	t	\N
3016	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	546020	548023	2019-12-05 18:14:13.29905	t	\N
3017	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	564605	565057	2019-12-05 18:14:38.363807	t	\N
3018	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	910400	913419	2019-12-05 18:14:41.12983	t	\N
3019	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	919573	933441	2019-12-05 18:14:51.149868	t	\N
3020	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	190	584523	585544	2019-12-05 18:15:02.420385	t	\N
3021	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	609940	613337	2019-12-05 18:15:38.50719	t	\N
3022	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	964550	967569	2019-12-05 18:15:41.233274	t	\N
3023	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	190	615443	616562	2019-12-05 18:15:41.516133	t	\N
3024	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	986017	986824	2019-12-05 18:16:13.271968	t	\N
3025	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	642146	642773	2019-12-05 18:16:14.592981	t	\N
3026	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995308	995849	2019-12-05 18:16:22.283085	t	\N
3027	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997816	998213	2019-12-05 18:16:23.284819	t	\N
3028	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	657855	658702	2019-12-05 18:16:36.642165	t	\N
3029	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008699	1009118	2019-12-05 18:16:41.312042	t	\N
3030	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	554228	554649	2019-12-05 18:17:18.738746	t	\N
3031	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	568642	569094	2019-12-05 18:17:38.784363	t	\N
3032	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	210	570534	571190	2019-12-05 18:17:39.788206	t	\N
3033	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	831612	834660	2019-12-05 18:17:41.401752	t	\N
3034	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	612244	616023	2019-12-05 18:18:37.92672	t	\N
3035	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	871823	874842	2019-12-05 18:18:42.477198	t	\N
3036	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	634919	635399	2019-12-05 18:19:00.992945	t	\N
3037	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	553095	553821	2019-12-05 18:19:20.038417	t	\N
3038	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	904167	904708	2019-12-05 18:19:28.533203	t	\N
3039	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	565466	565918	2019-12-05 18:19:37.078802	t	\N
3040	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914153	914572	2019-12-05 18:19:44.552711	t	\N
3041	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930832	931226	2019-12-05 18:20:13.593337	t	\N
3042	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	683	610076	613142	2019-12-05 18:20:39.21625	t	\N
3043	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952219	952638	2019-12-05 18:20:45.633167	t	\N
3044	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966175	966572	2019-12-05 18:21:09.662912	t	\N
3045	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	981184	981818	2019-12-05 18:21:29.688449	t	\N
3046	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	688	656517	659673	2019-12-05 18:21:41.361611	t	\N
3047	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990767	991186	2019-12-05 18:21:43.705459	t	\N
3048	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	546461	547010	2019-12-05 18:22:11.449377	t	\N
3049	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	553668	554242	2019-12-05 18:22:20.4719	t	\N
3050	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1682	562023	576839	2019-12-05 18:22:31.498556	t	\N
3051	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1023209	1026491	2019-12-05 18:22:36.794307	t	\N
3052	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	583295	583811	2019-12-05 18:22:41.522647	t	\N
3053	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032291	1032710	2019-12-05 18:22:43.804154	t	\N
3054	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	854144	857203	2019-12-05 18:23:41.896561	t	\N
3055	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	645	625767	629228	2019-12-05 18:23:41.663894	t	\N
3056	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	630	670964	674184	2019-12-05 18:24:40.798705	t	\N
3057	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	894769	897788	2019-12-05 18:24:42.973294	t	\N
3058	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	568216	569606	2019-12-05 18:25:23.898041	t	\N
3059	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	927457	928339	2019-12-05 18:25:30.033183	t	\N
3060	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	931005	932038	2019-12-05 18:25:34.0389	t	\N
3061	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936695	937147	2019-12-05 18:25:40.047598	t	\N
3063	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956767	957164	2019-12-05 18:26:16.091824	t	\N
3062	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	581962	582414	2019-12-05 18:25:41.946926	t	\N
3064	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	621	624027	627157	2019-12-05 18:26:39.075875	t	\N
3066	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	656633	657052	2019-12-05 18:27:19.16878	t	\N
3067	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	200	669527	670183	2019-12-05 18:27:38.214959	t	\N
3068	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	672883	673399	2019-12-05 18:27:40.220876	t	\N
3070	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	568931	569661	2019-12-05 18:28:23.333943	t	\N
3073	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	582286	582738	2019-12-05 18:28:39.371393	t	\N
3075	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	609452	609868	2019-12-05 18:29:14.452195	t	\N
3076	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	546093	546547	2019-12-05 18:29:39.523733	t	\N
3078	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	175	560965	561794	2019-12-05 18:29:54.558911	t	\N
3080	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	174	572831	573438	2019-12-05 18:30:10.599271	t	\N
3083	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	590605	591057	2019-12-05 18:30:37.659951	t	\N
3086	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	623376	624003	2019-12-05 18:31:20.759638	t	\N
3090	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	635403	635855	2019-12-05 18:31:36.796882	t	\N
3093	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	668592	669011	2019-12-05 18:32:20.899745	t	\N
3094	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	209	676903	677931	2019-12-05 18:32:32.929236	t	\N
3095	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	545216	545670	2019-12-05 18:32:38.944931	t	\N
3065	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	975613	976032	2019-12-05 18:26:42.124434	t	\N
3069	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1012445	1015464	2019-12-05 18:27:42.199154	t	\N
3071	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	829304	829847	2019-12-05 18:28:24.251015	t	\N
3072	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836458	836874	2019-12-05 18:28:35.265615	t	\N
3074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843236	843655	2019-12-05 18:28:44.278291	t	\N
3077	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	878908	881965	2019-12-05 18:29:43.350084	t	\N
3079	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	894855	895848	2019-12-05 18:30:04.376383	t	\N
3081	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	900949	914743	2019-12-05 18:30:13.396165	t	\N
3082	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	928472	928888	2019-12-05 18:30:30.417326	t	\N
3084	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936396	936815	2019-12-05 18:30:43.433553	t	\N
3085	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955807	956204	2019-12-05 18:31:17.476431	t	\N
3087	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	963651	964400	2019-12-05 18:31:23.484482	t	\N
3088	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	969683	970224	2019-12-05 18:31:31.500727	t	\N
3089	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	971961	972595	2019-12-05 18:31:33.503486	t	\N
3091	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	978177	978596	2019-12-05 18:31:41.514546	t	\N
3092	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	990810	993895	2019-12-05 18:32:03.54056	t	\N
3096	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1018753	1021772	2019-12-05 18:32:41.587483	t	\N
3097	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	606	587843	590992	2019-12-05 18:33:38.084145	t	\N
3098	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	846221	849280	2019-12-05 18:33:41.666117	t	\N
3099	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	622658	623552	2019-12-05 18:34:22.189849	t	\N
3100	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875374	875915	2019-12-05 18:34:23.717036	t	\N
3101	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	634873	635325	2019-12-05 18:34:38.227573	t	\N
3102	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887810	888229	2019-12-05 18:34:42.739902	t	\N
3103	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	677016	544641	2019-12-05 18:35:36.359315	t	\N
3104	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	924498	927517	2019-12-05 18:35:42.811914	t	\N
3105	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943912	944309	2019-12-05 18:36:10.845853	t	\N
3106	Jobs::ActivationReminderEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	187	579749	580833	2019-12-05 18:36:26.47994	t	\N
3107	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	586283	587502	2019-12-05 18:36:34.500359	t	\N
3108	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965904	966323	2019-12-05 18:36:42.889341	t	\N
3109	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	207	620155	620875	2019-12-05 18:37:19.602775	t	\N
3110	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	622123	622542	2019-12-05 18:37:20.606701	t	\N
3111	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993018	993559	2019-12-05 18:37:24.9404	t	\N
3112	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	626986	627624	2019-12-05 18:37:26.621625	t	\N
3113	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1614	629224	643927	2019-12-05 18:37:27.625675	t	\N
3114	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	649160	649676	2019-12-05 18:37:34.643499	t	\N
3115	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004384	1004803	2019-12-05 18:37:42.963746	t	\N
3116	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	549026	549508	2019-12-05 18:38:25.773043	t	\N
3117	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	557722	558174	2019-12-05 18:38:36.79962	t	\N
3118	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	827543	830602	2019-12-05 18:38:40.032397	t	\N
3119	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	585024	585440	2019-12-05 18:39:12.884137	t	\N
3120	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	601757	602209	2019-12-05 18:39:36.948565	t	\N
3121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	867498	870517	2019-12-05 18:39:40.105801	t	\N
3122	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	622774	623223	2019-12-05 18:40:02.006432	t	\N
3123	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888411	888805	2019-12-05 18:40:14.154471	t	\N
3124	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	633852	634426	2019-12-05 18:40:19.046578	t	\N
3125	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899231	899772	2019-12-05 18:40:25.167841	t	\N
3126	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	645081	645533	2019-12-05 18:40:34.080773	t	\N
3127	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908095	908514	2019-12-05 18:40:39.18578	t	\N
3128	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	929862	930496	2019-12-05 18:41:17.231196	t	\N
3129	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936786	937183	2019-12-05 18:41:20.236449	t	\N
3130	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1109	550254	556465	2019-12-05 18:41:31.211127	t	\N
3131	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	558681	559133	2019-12-05 18:41:34.219257	t	\N
3132	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	949266	949718	2019-12-05 18:41:40.261935	t	\N
3133	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	314	569300	569905	2019-12-05 18:41:49.254954	t	\N
3134	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	589475	589958	2019-12-05 18:42:12.310556	t	\N
3135	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	605903	606355	2019-12-05 18:42:36.369574	t	\N
3136	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	986880	989899	2019-12-05 18:42:42.338859	t	\N
3137	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1013669	1014210	2019-12-05 18:43:19.384813	t	\N
3138	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	640882	641520	2019-12-05 18:43:24.494649	t	\N
3139	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	651618	652070	2019-12-05 18:43:38.528828	t	\N
3140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027865	1028284	2019-12-05 18:43:41.412987	t	\N
3141	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	209	661790	667463	2019-12-05 18:43:51.559403	t	\N
3142	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	629	561792	564924	2019-12-05 18:44:38.680331	t	\N
3143	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	854309	857368	2019-12-05 18:44:41.487445	t	\N
3144	Jobs::ReindexSearch	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	429	581120	582976	2019-12-05 18:44:56.720947	t	\N
3145	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	178	585082	586748	2019-12-05 18:44:59.728864	t	\N
3146	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	875462	889394	2019-12-05 18:45:14.528588	t	\N
3147	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	176	604919	605754	2019-12-05 18:45:27.792697	t	\N
3148	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	614036	615148	2019-12-05 18:45:39.820254	t	\N
3149	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	908961	909380	2019-12-05 18:45:41.563757	t	\N
3150	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	916492	917241	2019-12-05 18:45:54.579664	t	\N
3151	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	178	631157	632212	2019-12-05 18:45:57.863192	t	\N
3152	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	458	643955	644830	2019-12-05 18:46:15.908065	t	\N
3153	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	930681	931398	2019-12-05 18:46:16.608263	t	\N
3154	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932955	933352	2019-12-05 18:46:18.610942	t	\N
3155	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	650734	652100	2019-12-05 18:46:24.930167	t	\N
3156	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950649	951068	2019-12-05 18:46:41.644103	t	\N
3157	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	663662	664114	2019-12-05 18:46:41.971025	t	\N
3158	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	552288	552773	2019-12-05 18:47:12.045229	t	\N
3159	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	199	564089	564745	2019-12-05 18:47:29.084861	t	\N
3160	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	574016	574468	2019-12-05 18:47:41.113629	t	\N
3161	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	987830	990849	2019-12-05 18:47:41.716963	t	\N
3162	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1025750	1028769	2019-12-05 18:48:39.786517	t	\N
3163	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	634	617134	620264	2019-12-05 18:48:42.261347	t	\N
3164	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	549455	549873	2019-12-05 18:49:15.358097	t	\N
3165	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	838869	839412	2019-12-05 18:49:15.851095	t	\N
3166	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	177	555467	556764	2019-12-05 18:49:23.378946	t	\N
3167	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	559197	559760	2019-12-05 18:49:25.385351	t	\N
3168	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856682	857101	2019-12-05 18:49:39.880838	t	\N
3169	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	571844	572296	2019-12-05 18:49:43.426411	t	\N
3170	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870535	870929	2019-12-05 18:50:01.914363	t	\N
3171	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	896211	899268	2019-12-05 18:50:41.964793	t	\N
3172	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	633	614595	617725	2019-12-05 18:50:43.563613	t	\N
3173	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	910850	911484	2019-12-05 18:51:01.990437	t	\N
3174	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928864	929261	2019-12-05 18:51:27.020983	t	\N
3175	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	936265	936684	2019-12-05 18:51:39.037298	t	\N
3176	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	658	660570	664324	2019-12-05 18:51:44.707128	t	\N
3177	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	952899	953440	2019-12-05 18:52:07.076643	t	\N
3178	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	549138	549559	2019-12-05 18:52:12.77389	t	\N
3179	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	553505	554233	2019-12-05 18:52:17.786757	t	\N
3180	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1609	564568	579181	2019-12-05 18:52:32.820128	t	\N
3181	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975137	975556	2019-12-05 18:52:39.1177	t	\N
3182	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	586085	586537	2019-12-05 18:52:43.844941	t	\N
3183	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979727	980121	2019-12-05 18:52:45.126548	t	\N
3184	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1013585	1016604	2019-12-05 18:53:39.191622	t	\N
3185	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	617	629244	632374	2019-12-05 18:53:41.980516	t	\N
3186	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	840539	841574	2019-12-05 18:54:34.27777	t	\N
3187	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	673002	676818	2019-12-05 18:54:40.114592	t	\N
3188	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847339	847769	2019-12-05 18:54:41.291453	t	\N
3189	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859281	859822	2019-12-05 18:55:02.31766	t	\N
3190	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	568117	568682	2019-12-05 18:55:17.214621	t	\N
3191	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	583954	584406	2019-12-05 18:55:40.27043	t	\N
3192	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	884871	887928	2019-12-05 18:55:41.364975	t	\N
3193	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	921875	924861	2019-12-05 18:56:36.43115	t	\N
3194	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	576	626512	629578	2019-12-05 18:56:38.404929	t	\N
3195	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	927741	928193	2019-12-05 18:56:40.437953	t	\N
3196	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	129	652072	652491	2019-12-05 18:57:06.469535	t	\N
3197	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	955668	956084	2019-12-05 18:57:23.490133	t	\N
3198	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	191	668327	668983	2019-12-05 18:57:30.525187	t	\N
3199	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	130	673682	674280	2019-12-05 18:57:36.540428	t	\N
3200	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	964360	965254	2019-12-05 18:57:37.507701	t	\N
3201	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967058	967477	2019-12-05 18:57:39.510837	t	\N
3202	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976162	976703	2019-12-05 18:57:54.529424	t	\N
3203	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	984691	985274	2019-12-05 18:58:06.544626	t	\N
3204	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	129	572964	573529	2019-12-05 18:58:24.653727	t	\N
3205	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	129	581070	581522	2019-12-05 18:58:34.677909	t	\N
3206	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005648	1006067	2019-12-05 18:58:37.590296	t	\N
3207	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	129	601484	601964	2019-12-05 18:58:58.734111	t	\N
3208	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	130	624679	625195	2019-12-05 18:59:33.828617	t	\N
3209	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	833195	836254	2019-12-05 18:59:38.688546	t	\N
3210	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	844851	845436	2019-12-05 18:59:52.706427	t	\N
3211	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856797	857191	2019-12-05 19:00:12.731679	t	\N
3212	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	707	570317	573973	2019-12-05 19:00:13.925244	t	\N
3213	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	586346	586798	2019-12-05 19:00:31.967895	t	\N
3214	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	873023	886891	2019-12-05 19:00:34.758665	t	\N
3215	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890781	891200	2019-12-05 19:00:39.770096	t	\N
3216	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	897279	897913	2019-12-05 19:00:49.783885	t	\N
3217	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903315	903856	2019-12-05 19:00:58.795385	t	\N
3218	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923923	924320	2019-12-05 19:01:28.832338	t	\N
3219	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	679	627728	631059	2019-12-05 19:01:30.105861	t	\N
3220	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	633249	633701	2019-12-05 19:01:31.109894	t	\N
3221	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	927179	927928	2019-12-05 19:01:31.837332	t	\N
3222	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	928956	929875	2019-12-05 19:01:32.839092	t	\N
3223	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933616	934035	2019-12-05 19:01:37.846119	t	\N
3224	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	652683	653102	2019-12-05 19:01:53.164725	t	\N
3225	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	956444	959529	2019-12-05 19:02:17.895988	t	\N
3226	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	677607	678059	2019-12-05 19:02:31.260496	t	\N
3227	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974932	975351	2019-12-05 19:02:38.922996	t	\N
3228	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	647	582482	586272	2019-12-05 19:03:30.398524	t	\N
3229	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1012450	1015469	2019-12-05 19:03:39.999561	t	\N
3230	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1024015	1024556	2019-12-05 19:03:54.024336	t	\N
3231	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	830524	831588	2019-12-05 19:04:19.075159	t	\N
3232	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	687	623081	626295	2019-12-05 19:04:22.521746	t	\N
3233	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	631027	631479	2019-12-05 19:04:28.537804	t	\N
3234	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	841472	842778	2019-12-05 19:04:29.089522	t	\N
3235	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848077	848496	2019-12-05 19:04:37.100062	t	\N
3236	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	616	673700	676792	2019-12-05 19:05:28.677365	t	\N
3237	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	885842	888899	2019-12-05 19:05:38.178016	t	\N
3238	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909921	910318	2019-12-05 19:06:15.224999	t	\N
3239	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	581921	585384	2019-12-05 19:06:27.820542	t	\N
3240	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925561	925980	2019-12-05 19:06:36.252446	t	\N
3241	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	599806	600225	2019-12-05 19:06:49.8735	t	\N
3242	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	939202	939743	2019-12-05 19:06:57.279624	t	\N
3243	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1637	617285	631722	2019-12-05 19:07:08.92346	t	\N
3244	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	637980	638697	2019-12-05 19:07:18.950175	t	\N
3245	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	210	641928	642584	2019-12-05 19:07:21.958856	t	\N
3246	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	647040	647556	2019-12-05 19:07:27.97379	t	\N
3247	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964155	964574	2019-12-05 19:07:34.327218	t	\N
3248	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	553757	557220	2019-12-05 19:08:27.114435	t	\N
3249	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1001328	1004347	2019-12-05 19:08:34.401949	t	\N
3250	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1013650	1014373	2019-12-05 19:08:49.42774	t	\N
3251	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	581622	582038	2019-12-05 19:08:58.186752	t	\N
3252	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	601934	602450	2019-12-05 19:09:29.259143	t	\N
3253	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	835324	835745	2019-12-05 19:09:35.505028	t	\N
3254	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846423	846817	2019-12-05 19:09:52.525159	t	\N
3255	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853854	854395	2019-12-05 19:10:04.540772	t	\N
3256	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	623	633709	636987	2019-12-05 19:10:11.35923	t	\N
3257	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	642801	643250	2019-12-05 19:10:19.380483	t	\N
3258	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	652133	652585	2019-12-05 19:10:31.409237	t	\N
3259	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875741	876160	2019-12-05 19:10:36.581148	t	\N
3260	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893172	893569	2019-12-05 19:11:05.621087	t	\N
3261	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	899293	899927	2019-12-05 19:11:14.632292	t	\N
3262	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	649	559268	562528	2019-12-05 19:11:31.563738	t	\N
3263	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916380	916799	2019-12-05 19:11:37.660519	t	\N
3264	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	584208	584691	2019-12-05 19:11:58.626945	t	\N
3265	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	594287	597613	2019-12-05 19:12:12.661648	t	\N
3266	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	937298	938087	2019-12-05 19:12:13.70749	t	\N
3267	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	609979	610431	2019-12-05 19:12:31.708668	t	\N
3268	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	810844	811265	2019-12-05 19:12:38.750269	t	\N
3269	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	823477	824018	2019-12-05 19:12:59.781112	t	\N
3270	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	628	638068	641421	2019-12-05 19:13:07.790924	t	\N
3271	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	657112	657564	2019-12-05 19:13:31.847809	t	\N
3272	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	849617	852693	2019-12-05 19:13:38.829256	t	\N
3273	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	608	564644	568107	2019-12-05 19:14:31.987051	t	\N
3274	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	890290	893309	2019-12-05 19:14:40.906837	t	\N
3275	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	173	592155	593379	2019-12-05 19:15:03.061829	t	\N
3276	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	174	599984	600941	2019-12-05 19:15:12.083979	t	\N
3277	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	612252	612768	2019-12-05 19:15:30.127909	t	\N
3278	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	926369	940237	2019-12-05 19:15:33.972356	t	\N
3279	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945620	946039	2019-12-05 19:15:41.983535	t	\N
3280	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952842	953239	2019-12-05 19:15:53.002011	t	\N
3281	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	956560	957101	2019-12-05 19:15:58.008599	t	\N
3282	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	602	568158	572520	2019-12-05 19:16:11.233673	t	\N
3283	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	965376	966147	2019-12-05 19:16:12.027461	t	\N
3284	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	584449	584965	2019-12-05 19:16:29.277627	t	\N
3285	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	986510	986951	2019-12-05 19:16:42.063609	t	\N
3286	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	606376	606795	2019-12-05 19:16:55.339504	t	\N
3287	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	171	626168	627287	2019-12-05 19:17:25.410391	t	\N
3288	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	630847	631299	2019-12-05 19:17:29.42181	t	\N
3289	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1023494	1026513	2019-12-05 19:17:42.135708	t	\N
3290	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	642642	643298	2019-12-05 19:17:46.463475	t	\N
3291	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	674141	674657	2019-12-05 19:18:27.557919	t	\N
3292	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	833291	836350	2019-12-05 19:18:40.232988	t	\N
3293	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	549935	550417	2019-12-05 19:18:45.616785	t	\N
3294	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847131	847672	2019-12-05 19:18:58.256415	t	\N
3295	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	571404	572638	2019-12-05 19:19:11.67922	t	\N
3296	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	583791	584243	2019-12-05 19:19:27.716866	t	\N
3297	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	873230	876213	2019-12-05 19:19:38.306669	t	\N
3298	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	879899	880318	2019-12-05 19:19:42.312865	t	\N
3299	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	635	627648	631109	2019-12-05 19:20:29.88536	t	\N
3300	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	916758	919777	2019-12-05 19:20:42.387215	t	\N
3301	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	47	931386	932020	2019-12-05 19:21:02.419769	t	\N
3302	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935363	935760	2019-12-05 19:21:07.426474	t	\N
3303	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	673636	676792	2019-12-05 19:21:30.029191	t	\N
3304	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	549447	549868	2019-12-05 19:21:42.072283	t	\N
3305	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	959260	962279	2019-12-05 19:21:42.469815	t	\N
3306	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967217	967758	2019-12-05 19:21:51.481281	t	\N
3307	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	568972	569599	2019-12-05 19:22:05.127815	t	\N
3308	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	586952	587404	2019-12-05 19:22:31.188673	t	\N
3309	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1626	594036	608740	2019-12-05 19:22:39.208514	t	\N
3310	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	999232	1002251	2019-12-05 19:22:41.542116	t	\N
3311	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	644273	644725	2019-12-05 19:23:29.324818	t	\N
3312	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	810119	813178	2019-12-05 19:23:41.648971	t	\N
3313	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	658	551212	554344	2019-12-05 19:24:29.47498	t	\N
3314	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	849991	853010	2019-12-05 19:24:41.72377	t	\N
3315	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	855977	857683	2019-12-05 19:24:44.727808	t	\N
3316	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	860434	860975	2019-12-05 19:24:48.73404	t	\N
3317	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	862799	863832	2019-12-05 19:24:50.737055	t	\N
3318	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	587	583731	586998	2019-12-05 19:25:08.565807	t	\N
3319	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	131	599620	600200	2019-12-05 19:25:27.610043	t	\N
3320	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	895699	898718	2019-12-05 19:25:40.808078	t	\N
3321	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	908001	908398	2019-12-05 19:25:56.83007	t	\N
3322	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	643441	646661	2019-12-05 19:26:28.757837	t	\N
3323	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	650729	651148	2019-12-05 19:26:33.771006	t	\N
3324	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	936761	939844	2019-12-05 19:26:40.885407	t	\N
3325	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	607	555150	558677	2019-12-05 19:27:30.905805	t	\N
3326	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	976867	980150	2019-12-05 19:27:40.960676	t	\N
3327	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981484	981903	2019-12-05 19:27:41.962199	t	\N
3328	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	194	569280	570596	2019-12-05 19:27:46.942948	t	\N
3329	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986883	987299	2019-12-05 19:27:48.976573	t	\N
3330	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	587008	587582	2019-12-05 19:28:05.989411	t	\N
3331	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	603028	603811	2019-12-05 19:28:29.04601	t	\N
3332	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	605584	606000	2019-12-05 19:28:31.052316	t	\N
3333	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1017998	1021017	2019-12-05 19:28:40.040413	t	\N
3334	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	616	647306	650398	2019-12-05 19:29:28.182995	t	\N
3335	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	829132	832191	2019-12-05 19:29:38.15305	t	\N
3336	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833327	833721	2019-12-05 19:29:39.154972	t	\N
3337	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	679	547266	550489	2019-12-05 19:30:12.297381	t	\N
3338	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	560959	561475	2019-12-05 19:30:28.334456	t	\N
3339	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	563184	564013	2019-12-05 19:30:30.340366	t	\N
3340	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	866592	867585	2019-12-05 19:30:32.221004	t	\N
3341	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872118	872537	2019-12-05 19:30:38.236939	t	\N
3342	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	876553	877094	2019-12-05 19:30:43.244419	t	\N
3343	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878373	878770	2019-12-05 19:30:44.246286	t	\N
3344	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	880864	881498	2019-12-05 19:30:47.250576	t	\N
3345	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	591214	591777	2019-12-05 19:31:05.422926	t	\N
3346	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	896663	910457	2019-12-05 19:31:13.282673	t	\N
3347	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	922624	923373	2019-12-05 19:31:29.307555	t	\N
3348	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	608406	608858	2019-12-05 19:31:30.48381	t	\N
3349	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927826	928245	2019-12-05 19:31:36.316921	t	\N
3350	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	615037	615456	2019-12-05 19:31:37.503321	t	\N
3351	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	936603	939688	2019-12-05 19:31:49.333465	t	\N
3352	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	654247	654699	2019-12-05 19:32:32.63401	t	\N
3353	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968078	968497	2019-12-05 19:32:35.388894	t	\N
3354	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	561725	565161	2019-12-05 19:33:32.787399	t	\N
3355	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	223	566677	567422	2019-12-05 19:33:33.791215	t	\N
3356	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1006373	1009392	2019-12-05 19:33:37.467312	t	\N
3357	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1011130	1011671	2019-12-05 19:33:38.475297	t	\N
3358	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	647	597114	600381	2019-12-05 19:34:13.884923	t	\N
3359	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	614423	614875	2019-12-05 19:34:34.939662	t	\N
3360	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819499	819920	2019-12-05 19:34:36.547534	t	\N
3361	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	646	581968	585310	2019-12-05 19:35:34.078527	t	\N
3362	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	856607	859631	2019-12-05 19:35:36.622554	t	\N
3363	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860822	861241	2019-12-05 19:35:37.624565	t	\N
3364	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	648	625976	629695	2019-12-05 19:36:32.214063	t	\N
3365	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	632390	632906	2019-12-05 19:36:35.222555	t	\N
3366	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	899021	902301	2019-12-05 19:36:37.700851	t	\N
3367	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	904302	904721	2019-12-05 19:36:39.710654	t	\N
3368	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1593	656173	670674	2019-12-05 19:37:04.288271	t	\N
3369	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	677548	678186	2019-12-05 19:37:15.316162	t	\N
3370	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	554694	555212	2019-12-05 19:37:35.377474	t	\N
3371	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	941442	944461	2019-12-05 19:37:39.784278	t	\N
3372	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	204	572351	573007	2019-12-05 19:37:53.420293	t	\N
3373	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	580032	580512	2019-12-05 19:38:03.445745	t	\N
3374	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	583079	583495	2019-12-05 19:38:07.456919	t	\N
3375	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	602533	602985	2019-12-05 19:38:34.522277	t	\N
3376	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	980928	983947	2019-12-05 19:38:39.85786	t	\N
3377	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1015482	1016023	2019-12-05 19:39:30.921192	t	\N
3378	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	632	645705	648899	2019-12-05 19:39:35.666433	t	\N
3379	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021722	1022141	2019-12-05 19:39:38.931254	t	\N
3380	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029038	1029432	2019-12-05 19:39:49.950297	t	\N
3381	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	677555	545309	2019-12-05 19:40:14.75662	t	\N
3382	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	42	823179	823815	2019-12-05 19:40:20.990697	t	\N
3383	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	558217	558669	2019-12-05 19:40:33.802031	t	\N
3384	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832534	832953	2019-12-05 19:40:36.009636	t	\N
3385	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835288	835685	2019-12-05 19:40:39.014098	t	\N
3386	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	577987	578436	2019-12-05 19:40:56.858399	t	\N
3387	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	334	580408	581013	2019-12-05 19:40:57.862335	t	\N
3388	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	658	585032	588230	2019-12-05 19:41:02.875481	t	\N
3389	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	606555	606974	2019-12-05 19:41:31.9467	t	\N
3390	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	608807	609563	2019-12-05 19:41:32.95072	t	\N
3391	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870430	870849	2019-12-05 19:41:36.085847	t	\N
3392	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	906247	909632	2019-12-05 19:42:33.160208	t	\N
3393	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	651753	654909	2019-12-05 19:42:33.090766	t	\N
3394	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911015	911434	2019-12-05 19:42:34.163139	t	\N
3395	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	680425	680988	2019-12-05 19:43:07.168328	t	\N
3396	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	699558	700010	2019-12-05 19:43:34.230816	t	\N
3397	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	948242	951261	2019-12-05 19:43:36.237085	t	\N
3398	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	986813	989832	2019-12-05 19:44:34.309671	t	\N
3399	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	686	567489	570703	2019-12-05 19:44:36.373752	t	\N
3400	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	198	586568	587583	2019-12-05 19:44:53.412946	t	\N
3401	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1022284	1025562	2019-12-05 19:45:27.380816	t	\N
3402	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028847	1029244	2019-12-05 19:45:31.39241	t	\N
3403	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032565	1032984	2019-12-05 19:45:36.399263	t	\N
3404	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	643	616301	619457	2019-12-05 19:45:38.517202	t	\N
3405	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	813209	814018	2019-12-05 19:45:45.411626	t	\N
3406	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	636863	637692	2019-12-05 19:45:58.56433	t	\N
3407	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	646341	646904	2019-12-05 19:46:11.59551	t	\N
3410	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	663448	663867	2019-12-05 19:46:35.650571	t	\N
3411	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	666987	667503	2019-12-05 19:46:38.658477	t	\N
3412	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	216	674710	676038	2019-12-05 19:46:49.685612	t	\N
3413	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	470	686938	687813	2019-12-05 19:46:58.707152	t	\N
3408	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	832837	846711	2019-12-05 19:46:18.45349	t	\N
3409	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860116	860535	2019-12-05 19:46:35.474557	t	\N
3414	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	897719	900776	2019-12-05 19:47:36.554692	t	\N
3415	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	713720	717143	2019-12-05 19:47:38.802308	t	\N
3416	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	207	550125	550783	2019-12-05 19:47:51.833926	t	\N
3417	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	569965	570445	2019-12-05 19:48:13.885882	t	\N
3418	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	933491	936775	2019-12-05 19:48:28.619828	t	\N
3419	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941764	942183	2019-12-05 19:48:36.630432	t	\N
3420	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	586962	587414	2019-12-05 19:48:38.945908	t	\N
3421	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	188	594345	595528	2019-12-05 19:48:48.969867	t	\N
3422	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	613316	613879	2019-12-05 19:49:10.019658	t	\N
3423	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	976575	979558	2019-12-05 19:49:32.699803	t	\N
3424	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984298	984717	2019-12-05 19:49:38.707588	t	\N
3425	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	633347	633799	2019-12-05 19:49:39.0877	t	\N
3426	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	1002883	1006106	2019-12-05 19:50:12.754146	t	\N
3427	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015783	1016180	2019-12-05 19:50:22.766293	t	\N
3428	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025795	1026214	2019-12-05 19:50:38.78587	t	\N
3429	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	606	676584	679842	2019-12-05 19:50:39.237355	t	\N
3430	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	171	694886	695877	2019-12-05 19:50:56.276009	t	\N
3431	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	717933	718352	2019-12-05 19:51:30.355036	t	\N
3432	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836421	839741	2019-12-05 19:51:35.876269	t	\N
3433	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	550452	550906	2019-12-05 19:51:39.392745	t	\N
3434	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842713	843132	2019-12-05 19:51:39.881741	t	\N
3435	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	579154	579717	2019-12-05 19:52:16.4807	t	\N
3436	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	595638	596090	2019-12-05 19:52:39.537016	t	\N
3438	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	880706	883725	2019-12-05 19:52:41.964663	t	\N
3437	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1479	597338	611717	2019-12-05 19:52:40.540965	t	\N
3439	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	919152	922171	2019-12-05 19:53:41.043386	t	\N
3440	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	654311	657441	2019-12-05 19:53:41.684711	t	\N
3441	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955955	956496	2019-12-05 19:54:35.110909	t	\N
3442	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960147	960566	2019-12-05 19:54:40.117499	t	\N
3443	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	649	700615	703707	2019-12-05 19:54:41.823473	t	\N
3444	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	551829	552394	2019-12-05 19:55:08.90019	t	\N
3445	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980994	981388	2019-12-05 19:55:16.162198	t	\N
3446	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989519	989916	2019-12-05 19:55:23.176078	t	\N
3447	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	997249	998282	2019-12-05 19:55:37.193753	t	\N
3448	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1000773	1001192	2019-12-05 19:55:39.196844	t	\N
3449	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	574055	574507	2019-12-05 19:55:41.978919	t	\N
3450	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	610435	610982	2019-12-05 19:56:32.095824	t	\N
3451	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1037987	816026	2019-12-05 19:56:40.273637	t	\N
3452	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	618415	618931	2019-12-05 19:56:42.121472	t	\N
3453	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848364	848905	2019-12-05 19:57:33.337905	t	\N
3454	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	643	660648	663906	2019-12-05 19:57:41.258984	t	\N
3455	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	854694	855113	2019-12-05 19:57:42.356647	t	\N
3456	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	205	667863	668519	2019-12-05 19:57:47.274237	t	\N
3457	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	680253	681000	2019-12-05 19:57:58.299732	t	\N
3458	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	684291	684854	2019-12-05 19:58:02.310482	t	\N
3459	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	882343	882926	2019-12-05 19:58:23.406052	t	\N
3460	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	680	710297	713389	2019-12-05 19:58:40.396697	t	\N
3461	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895006	895422	2019-12-05 19:58:44.431704	t	\N
3462	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896657	897076	2019-12-05 19:58:45.43423	t	\N
3463	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	926791	927376	2019-12-05 19:59:33.492501	t	\N
3464	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	161	581621	582751	2019-12-05 19:59:38.528428	t	\N
3465	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935221	935640	2019-12-05 19:59:47.515628	t	\N
3466	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937968	938362	2019-12-05 19:59:49.518702	t	\N
3467	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	939931	940565	2019-12-05 19:59:51.521843	t	\N
3468	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	951440	952334	2019-12-05 20:00:09.544432	t	\N
3469	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	969385	969926	2019-12-05 20:00:33.572792	t	\N
3470	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972210	972607	2019-12-05 20:00:36.582783	t	\N
3471	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	633	624963	628157	2019-12-05 20:00:38.667282	t	\N
3472	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978918	979337	2019-12-05 20:00:46.595827	t	\N
3473	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	983499	984234	2019-12-05 20:00:52.604356	t	\N
3474	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	652100	652663	2019-12-05 20:01:09.737325	t	\N
3475	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	996916	997851	2019-12-05 20:01:14.631459	t	\N
3476	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	660379	660862	2019-12-05 20:01:20.76354	t	\N
3477	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	673671	674454	2019-12-05 20:01:38.806486	t	\N
3478	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	675830	676659	2019-12-05 20:01:39.81071	t	\N
3479	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018325	1018744	2019-12-05 20:01:44.668043	t	\N
3480	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	1024707	1038501	2019-12-05 20:01:54.68536	t	\N
3481	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	823928	827013	2019-12-05 20:02:11.707079	t	\N
3482	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	717933	718449	2019-12-05 20:02:37.94629	t	\N
3483	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848937	849356	2019-12-05 20:02:43.74667	t	\N
3484	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	857667	858973	2019-12-05 20:02:58.765102	t	\N
3485	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880720	881261	2019-12-05 20:03:32.806855	t	\N
3486	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	668	587272	590486	2019-12-05 20:03:35.080439	t	\N
3487	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889505	889924	2019-12-05 20:03:44.828257	t	\N
3488	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	613399	614119	2019-12-05 20:04:04.146748	t	\N
3489	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	633780	634232	2019-12-05 20:04:34.219601	t	\N
3490	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	925644	928701	2019-12-05 20:04:43.899579	t	\N
3491	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	675777	679582	2019-12-05 20:05:33.359536	t	\N
3492	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	965998	969081	2019-12-05 20:05:44.985359	t	\N
3493	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970557	970954	2019-12-05 20:05:45.987174	t	\N
3494	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	664	712980	716103	2019-12-05 20:06:19.469499	t	\N
3495	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	999717	1000258	2019-12-05 20:06:32.044769	t	\N
3496	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	555571	556235	2019-12-05 20:06:35.526953	t	\N
3497	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009205	1009624	2019-12-05 20:06:46.068546	t	\N
3498	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	583559	586954	2019-12-05 20:07:12.61207	t	\N
3499	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1612	599406	613843	2019-12-05 20:07:30.653659	t	\N
3500	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	616721	617319	2019-12-05 20:07:34.664517	t	\N
3501	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	619920	620336	2019-12-05 20:07:37.67295	t	\N
3502	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	823296	826355	2019-12-05 20:07:46.167867	t	\N
3503	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	206	637087	637807	2019-12-05 20:07:56.717372	t	\N
3504	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	660920	661372	2019-12-05 20:08:33.803447	t	\N
3505	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	863097	866116	2019-12-05 20:08:45.242519	t	\N
3506	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894708	895249	2019-12-05 20:09:32.301319	t	\N
3507	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	705233	708389	2019-12-05 20:09:35.944209	t	\N
3508	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904833	905252	2019-12-05 20:09:47.321041	t	\N
3509	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	718593	719042	2019-12-05 20:09:50.98092	t	\N
3510	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910184	910578	2019-12-05 20:09:54.335528	t	\N
3511	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	913963	914597	2019-12-05 20:09:59.342375	t	\N
3512	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	919119	919842	2019-12-05 20:10:06.352524	t	\N
3513	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	571357	572085	2019-12-05 20:10:20.049103	t	\N
3514	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	936950	937739	2019-12-05 20:10:31.38333	t	\N
3515	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	583230	583682	2019-12-05 20:10:36.090311	t	\N
3516	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949016	949435	2019-12-05 20:10:49.406339	t	\N
3517	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953036	953433	2019-12-05 20:10:54.418218	t	\N
3518	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	613557	616654	2019-12-05 20:11:16.181446	t	\N
3519	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	627188	630450	2019-12-05 20:11:32.221201	t	\N
3520	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	634220	634672	2019-12-05 20:11:36.232048	t	\N
3521	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	986275	989294	2019-12-05 20:11:47.483312	t	\N
3522	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017939	1018480	2019-12-05 20:12:33.540306	t	\N
3523	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	675909	679211	2019-12-05 20:12:34.368513	t	\N
3524	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029278	1029697	2019-12-05 20:12:49.561611	t	\N
3525	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	713323	716743	2019-12-05 20:13:22.479834	t	\N
3526	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	555467	555921	2019-12-05 20:13:34.50953	t	\N
3527	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	843226	846285	2019-12-05 20:13:49.63559	t	\N
3528	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	589081	593105	2019-12-05 20:14:19.613353	t	\N
3529	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	601385	601837	2019-12-05 20:14:32.64453	t	\N
3530	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	882111	885130	2019-12-05 20:14:47.712696	t	\N
3531	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	593	644995	648747	2019-12-05 20:15:33.786067	t	\N
3532	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	918376	921660	2019-12-05 20:15:41.778243	t	\N
3533	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	927455	927938	2019-12-05 20:15:49.788338	t	\N
3534	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939082	939479	2019-12-05 20:16:08.811207	t	\N
3535	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	636	677792	681500	2019-12-05 20:16:13.879555	t	\N
3536	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	952603	953410	2019-12-05 20:16:24.831442	t	\N
3537	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	688933	689560	2019-12-05 20:16:24.908077	t	\N
3538	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	698030	698482	2019-12-05 20:16:35.933514	t	\N
3539	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	965689	979499	2019-12-05 20:16:45.863344	t	\N
3540	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	982745	983164	2019-12-05 20:16:49.868799	t	\N
3541	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	714450	715279	2019-12-05 20:16:53.978009	t	\N
3542	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	572881	573335	2019-12-05 20:17:35.078761	t	\N
3543	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	201	578853	579509	2019-12-05 20:17:43.099659	t	\N
3544	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1018733	1021752	2019-12-05 20:17:47.938548	t	\N
3545	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	585779	586195	2019-12-05 20:17:51.119471	t	\N
3546	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	618842	619294	2019-12-05 20:18:35.221542	t	\N
3547	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	835327	838386	2019-12-05 20:18:46.03146	t	\N
3548	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840248	840789	2019-12-05 20:18:48.03452	t	\N
3549	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	641633	642688	2019-12-05 20:19:03.287258	t	\N
3550	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	659297	660089	2019-12-05 20:19:28.34652	t	\N
3551	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	665952	666404	2019-12-05 20:19:35.364143	t	\N
3552	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	876706	879725	2019-12-05 20:19:46.114595	t	\N
3553	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	882218	882852	2019-12-05 20:19:49.119118	t	\N
3554	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894259	894653	2019-12-05 20:20:09.144175	t	\N
3555	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	635	707765	711966	2019-12-05 20:20:34.499073	t	\N
3556	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	918334	921353	2019-12-05 20:20:44.187752	t	\N
3557	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	568051	568472	2019-12-05 20:21:06.594196	t	\N
3558	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936866	937263	2019-12-05 20:21:12.222039	t	\N
3559	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	585730	586182	2019-12-05 20:21:33.657577	t	\N
3560	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957447	957866	2019-12-05 20:21:42.262899	t	\N
3561	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963640	964181	2019-12-05 20:21:50.272872	t	\N
3563	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	629	629936	640449	2019-12-05 20:22:23.777118	t	\N
3562	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	2027	621657	644486	2019-12-05 20:22:22.773217	t	\N
3564	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	651785	652237	2019-12-05 20:22:34.805026	t	\N
3565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	996640	999659	2019-12-05 20:22:43.33807	t	\N
3566	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	630	694712	697932	2019-12-05 20:23:34.942466	t	\N
3567	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	45	1035810	817365	2019-12-05 20:23:42.417093	t	\N
3568	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	606	569796	573195	2019-12-05 20:24:32.075969	t	\N
3569	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	854394	857716	2019-12-05 20:24:42.490819	t	\N
3570	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859292	859711	2019-12-05 20:24:43.49261	t	\N
3571	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	611723	615054	2019-12-05 20:25:25.19604	t	\N
3572	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	620087	620539	2019-12-05 20:25:32.214145	t	\N
3573	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	890598	891631	2019-12-05 20:25:32.551947	t	\N
3574	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898088	898507	2019-12-05 20:25:42.56664	t	\N
3576	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918339	918736	2019-12-05 20:26:16.635662	t	\N
3579	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936409	936828	2019-12-05 20:26:41.66598	t	\N
3575	Jobs::EnsureDbConsistency	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	4256	648370	674384	2019-12-05 20:26:08.298646	t	\N
3577	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	678266	678685	2019-12-05 20:26:17.319462	t	\N
3578	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	689191	689643	2019-12-05 20:26:32.356807	t	\N
3580	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	642	565399	568595	2019-12-05 20:27:33.501673	t	\N
3581	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	971360	974639	2019-12-05 20:27:37.739406	t	\N
3582	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	573001	573417	2019-12-05 20:27:39.517936	t	\N
3583	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977330	977749	2019-12-05 20:27:40.743866	t	\N
3584	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	203	592089	592745	2019-12-05 20:28:00.566706	t	\N
3585	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	612178	612752	2019-12-05 20:28:30.637408	t	\N
3586	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	615653	616105	2019-12-05 20:28:33.645437	t	\N
3587	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1014193	1017212	2019-12-05 20:28:40.818296	t	\N
3588	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026298	1026714	2019-12-05 20:28:55.837174	t	\N
3589	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	603	658091	661423	2019-12-05 20:29:32.78755	t	\N
3590	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834227	834648	2019-12-05 20:29:40.912931	t	\N
3591	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	855762	859023	2019-12-05 20:30:18.968074	t	\N
3592	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	865037	865453	2019-12-05 20:30:21.973531	t	\N
3593	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	630	705716	709532	2019-12-05 20:30:34.931394	t	\N
3594	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874637	875178	2019-12-05 20:30:37.993823	t	\N
3595	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876521	876940	2019-12-05 20:30:38.9956	t	\N
3596	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891680	892077	2019-12-05 20:31:04.028309	t	\N
3597	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	566971	567392	2019-12-05 20:31:07.005875	t	\N
3598	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	897737	898544	2019-12-05 20:31:13.045221	t	\N
3599	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	582919	583493	2019-12-05 20:31:30.058934	t	\N
3600	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	587663	588115	2019-12-05 20:31:35.075442	t	\N
3601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	916420	916839	2019-12-05 20:31:39.078716	t	\N
3602	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	176	599269	599876	2019-12-05 20:31:51.112719	t	\N
3603	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	932268	946078	2019-12-05 20:32:04.113528	t	\N
3604	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	177	614634	615591	2019-12-05 20:32:08.152639	t	\N
3605	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	950709	953794	2019-12-05 20:32:11.12319	t	\N
3606	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	212	623000	623724	2019-12-05 20:32:18.178336	t	\N
3607	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	968494	969413	2019-12-05 20:32:30.147675	t	\N
3608	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	636993	637445	2019-12-05 20:32:37.226625	t	\N
3609	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974806	975225	2019-12-05 20:32:39.16663	t	\N
3610	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1007460	1010806	2019-12-05 20:33:31.230427	t	\N
3611	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	678829	682105	2019-12-05 20:33:36.368483	t	\N
3612	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016170	1016589	2019-12-05 20:33:39.241175	t	\N
3613	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	716454	554359	2019-12-05 20:34:24.479423	t	\N
3614	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	563368	563948	2019-12-05 20:34:37.513382	t	\N
3615	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	832489	835548	2019-12-05 20:34:40.334615	t	\N
3616	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	606715	609927	2019-12-05 20:35:36.648886	t	\N
3617	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	873002	876021	2019-12-05 20:35:42.411031	t	\N
3618	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882906	883303	2019-12-05 20:35:53.431608	t	\N
3619	Jobs::ActivationReminderEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	187	626870	627954	2019-12-05 20:35:55.694436	t	\N
3620	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	636729	637148	2019-12-05 20:36:09.728547	t	\N
3621	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	656467	656919	2019-12-05 20:36:37.795818	t	\N
3622	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	912749	913290	2019-12-05 20:36:39.490245	t	\N
3623	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	660484	661231	2019-12-05 20:36:42.808678	t	\N
3624	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916014	916433	2019-12-05 20:36:43.495707	t	\N
3625	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1611	681852	696943	2019-12-05 20:37:08.869497	t	\N
3626	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	711623	712250	2019-12-05 20:37:32.927133	t	\N
3627	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	717306	717758	2019-12-05 20:37:38.941636	t	\N
3628	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	953204	956223	2019-12-05 20:37:42.569316	t	\N
3629	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	207	556371	557029	2019-12-05 20:37:43.954908	t	\N
3630	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	571927	572343	2019-12-05 20:37:59.991749	t	\N
3631	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	596361	596813	2019-12-05 20:38:37.085307	t	\N
3632	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	599250	599763	2019-12-05 20:38:40.09331	t	\N
3634	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	640088	640604	2019-12-05 20:39:37.222174	t	\N
3633	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991618	992037	2019-12-05 20:38:40.640756	t	\N
3635	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1028373	1031392	2019-12-05 20:39:40.717501	t	\N
3636	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1032859	1033400	2019-12-05 20:39:41.719793	t	\N
3637	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	50	831301	834564	2019-12-05 20:40:12.758088	t	\N
3638	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	600	677207	680726	2019-12-05 20:40:28.339171	t	\N
3639	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	687752	688332	2019-12-05 20:40:37.362512	t	\N
3640	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853834	854253	2019-12-05 20:40:39.790901	t	\N
3641	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857999	858396	2019-12-05 20:40:44.796979	t	\N
3642	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862194	862588	2019-12-05 20:40:50.809532	t	\N
3643	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	604	698453	701715	2019-12-05 20:40:52.401023	t	\N
3644	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	556471	556892	2019-12-05 20:41:15.453696	t	\N
3645	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	571328	571780	2019-12-05 20:41:36.505199	t	\N
3646	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892817	893236	2019-12-05 20:41:39.869699	t	\N
3647	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	927588	930872	2019-12-05 20:42:36.938358	t	\N
3648	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	675	615301	618431	2019-12-05 20:42:38.645726	t	\N
3649	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934079	934498	2019-12-05 20:42:39.943217	t	\N
3650	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	193	627236	628251	2019-12-05 20:42:50.674891	t	\N
3651	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	341	659441	660046	2019-12-05 20:43:33.775913	t	\N
3652	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	661358	662217	2019-12-05 20:43:34.779674	t	\N
3653	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	666009	666525	2019-12-05 20:43:38.79042	t	\N
3654	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	970636	973655	2019-12-05 20:43:40.02212	t	\N
3655	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1008845	1011864	2019-12-05 20:44:38.100311	t	\N
3656	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	685	708747	711903	2019-12-05 20:44:38.932599	t	\N
3657	Jobs::ReindexSearch	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	465	571536	573266	2019-12-05 20:45:09.004646	t	\N
3658	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	498	576893	577704	2019-12-05 20:45:13.014865	t	\N
3659	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	593682	594134	2019-12-05 20:45:37.072617	t	\N
3660	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	829061	832120	2019-12-05 20:45:38.174328	t	\N
3661	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834280	834677	2019-12-05 20:45:40.177586	t	\N
3662	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836411	836952	2019-12-05 20:45:43.182067	t	\N
3663	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	615849	616396	2019-12-05 20:46:04.135044	t	\N
3664	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	857304	858111	2019-12-05 20:46:19.226486	t	\N
3665	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	634863	635644	2019-12-05 20:46:32.2012	t	\N
3666	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	638206	638658	2019-12-05 20:46:35.209699	t	\N
3667	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871677	872096	2019-12-05 20:46:36.253612	t	\N
3668	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	191	647781	648941	2019-12-05 20:46:48.242044	t	\N
3669	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	884610	898420	2019-12-05 20:46:58.287394	t	\N
3670	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	679837	680317	2019-12-05 20:47:30.334978	t	\N
3671	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	684596	685048	2019-12-05 20:47:35.347937	t	\N
3672	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923762	924181	2019-12-05 20:47:36.334575	t	\N
3673	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	224	690690	691346	2019-12-05 20:47:42.36545	t	\N
3674	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	194	709275	710330	2019-12-05 20:48:03.416702	t	\N
3675	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	565586	566104	2019-12-05 20:48:33.487954	t	\N
3676	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	960947	964230	2019-12-05 20:48:36.408427	t	\N
3677	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965500	965919	2019-12-05 20:48:37.410438	t	\N
3678	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	686	603214	607179	2019-12-05 20:49:25.615458	t	\N
3679	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	232	612216	613690	2019-12-05 20:49:32.633844	t	\N
3680	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	615575	616091	2019-12-05 20:49:34.64002	t	\N
3681	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1003089	1006108	2019-12-05 20:49:37.487668	t	\N
3682	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1023783	1024417	2019-12-05 20:50:09.527179	t	\N
3683	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1038250	819431	2019-12-05 20:50:26.548639	t	\N
3684	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	673	659181	662483	2019-12-05 20:50:34.783614	t	\N
3685	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826247	826666	2019-12-05 20:50:38.564709	t	\N
3686	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833903	834300	2019-12-05 20:50:49.57866	t	\N
3689	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861413	861954	2019-12-05 20:51:31.638685	t	\N
3687	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	687666	688085	2019-12-05 20:51:06.858942	t	\N
3688	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1636	702521	716894	2019-12-05 20:51:28.911714	t	\N
3690	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	557504	557958	2019-12-05 20:51:33.940075	t	\N
3691	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867536	867955	2019-12-05 20:51:39.649119	t	\N
3692	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	605	592981	596222	2019-12-05 20:52:22.053682	t	\N
3693	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	603930	604558	2019-12-05 20:52:33.080385	t	\N
3694	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	905302	908359	2019-12-05 20:52:40.730484	t	\N
3695	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915062	915456	2019-12-05 20:52:50.743552	t	\N
3696	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	647560	650798	2019-12-05 20:53:34.220487	t	\N
3697	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947207	947659	2019-12-05 20:53:42.807595	t	\N
3698	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	186	658370	659361	2019-12-05 20:53:45.248329	t	\N
3699	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	978755	982101	2019-12-05 20:54:30.865651	t	\N
3700	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	694676	695128	2019-12-05 20:54:34.364177	t	\N
3701	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	989129	989581	2019-12-05 20:54:42.88129	t	\N
3702	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	658	572611	576516	2019-12-05 20:55:30.49332	t	\N
3703	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	1021264	1024886	2019-12-05 20:55:32.94164	t	\N
3704	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	579086	579602	2019-12-05 20:55:33.504686	t	\N
3705	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032825	1033222	2019-12-05 20:55:44.957447	t	\N
3706	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034705	1035124	2019-12-05 20:55:45.959573	t	\N
3707	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	606359	606842	2019-12-05 20:56:07.584516	t	\N
3708	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	623375	623891	2019-12-05 20:56:33.645722	t	\N
3709	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	853959	857018	2019-12-05 20:56:47.040323	t	\N
3710	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	647361	647841	2019-12-05 20:57:02.713665	t	\N
3711	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	216	660977	661697	2019-12-05 20:57:22.763165	t	\N
3712	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	884149	884690	2019-12-05 20:57:30.093321	t	\N
3713	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	669357	669809	2019-12-05 20:57:33.792631	t	\N
3714	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893611	894030	2019-12-05 20:57:45.112746	t	\N
3715	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	922770	923353	2019-12-05 20:58:30.167955	t	\N
3716	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	711760	715203	2019-12-05 20:58:32.927423	t	\N
3717	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	718087	718539	2019-12-05 20:58:35.935138	t	\N
3718	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931606	932025	2019-12-05 20:58:43.185162	t	\N
3719	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941567	941983	2019-12-05 20:58:59.20537	t	\N
3720	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	952759	953344	2019-12-05 20:59:18.229264	t	\N
3721	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	598605	601735	2019-12-05 20:59:34.071577	t	\N
3722	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972309	972728	2019-12-05 20:59:45.263463	t	\N
3723	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	981632	982526	2019-12-05 21:00:00.282582	t	\N
3724	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	989882	990516	2019-12-05 21:00:13.300105	t	\N
3725	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	999841	1000553	2019-12-05 21:00:22.317849	t	\N
3726	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	701	645416	648590	2019-12-05 21:00:35.210086	t	\N
3727	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1010382	1011372	2019-12-05 21:00:38.337848	t	\N
3728	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012464	1012858	2019-12-05 21:00:39.339849	t	\N
3729	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017324	1017743	2019-12-05 21:00:45.348054	t	\N
3730	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025227	1025624	2019-12-05 21:00:57.362739	t	\N
3731	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	674067	674550	2019-12-05 21:01:07.282725	t	\N
3732	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037604	1038265	2019-12-05 21:01:19.395953	t	\N
3733	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	826430	829531	2019-12-05 21:01:21.399237	t	\N
3734	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	830863	844694	2019-12-05 21:01:22.401639	t	\N
3735	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	691399	692026	2019-12-05 21:01:33.343528	t	\N
3736	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	695564	696016	2019-12-05 21:01:36.352437	t	\N
3737	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856499	856918	2019-12-05 21:01:43.428935	t	\N
3738	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	197	703559	704388	2019-12-05 21:01:47.379584	t	\N
3739	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	878216	885318	2019-12-05 21:02:20.474705	t	\N
3740	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	156	580565	581019	2019-12-05 21:02:38.513237	t	\N
3741	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897148	897567	2019-12-05 21:02:41.508392	t	\N
3742	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	903767	905161	2019-12-05 21:02:50.520002	t	\N
3743	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920156	920697	2019-12-05 21:03:17.552811	t	\N
3744	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	589	624060	627585	2019-12-05 21:03:40.652568	t	\N
3745	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938398	938828	2019-12-05 21:03:41.584085	t	\N
3746	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	607	665820	669023	2019-12-05 21:04:33.773041	t	\N
3747	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	673117	673569	2019-12-05 21:04:38.78809	t	\N
3748	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	975194	978213	2019-12-05 21:04:41.65752	t	\N
3749	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	658	716100	719256	2019-12-05 21:05:37.921095	t	\N
3750	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1014846	1017865	2019-12-05 21:05:40.737252	t	\N
3751	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027450	1027847	2019-12-05 21:05:56.757571	t	\N
3752	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	580227	580710	2019-12-05 21:06:03.984615	t	\N
3753	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035398	1035939	2019-12-05 21:06:09.774856	t	\N
3754	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	602678	603130	2019-12-05 21:06:37.063328	t	\N
3755	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840405	840826	2019-12-05 21:06:40.831206	t	\N
3756	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1610	619427	637822	2019-12-05 21:06:55.10724	t	\N
3757	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	672	629958	638216	2019-12-05 21:06:56.110824	t	\N
3758	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	212	643209	643865	2019-12-05 21:07:03.128935	t	\N
3759	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	654035	654943	2019-12-05 21:07:19.167904	t	\N
3760	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	664840	665621	2019-12-05 21:07:34.204132	t	\N
3761	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	669550	670002	2019-12-05 21:07:38.215909	t	\N
3762	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	878195	881252	2019-12-05 21:07:40.907654	t	\N
3763	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	712598	715690	2019-12-05 21:08:38.353954	t	\N
3764	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	919090	922109	2019-12-05 21:08:42.990541	t	\N
3765	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	933072	933613	2019-12-05 21:09:01.01249	t	\N
3766	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	953833	954622	2019-12-05 21:09:30.050241	t	\N
3767	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	597091	600901	2019-12-05 21:09:36.4859	t	\N
3768	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	962875	963327	2019-12-05 21:09:44.067255	t	\N
3769	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	991216	994528	2019-12-05 21:10:27.121746	t	\N
3770	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1000729	1001363	2019-12-05 21:10:37.141219	t	\N
3771	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	670	643835	647055	2019-12-05 21:10:37.627646	t	\N
3772	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	648636	649349	2019-12-05 21:10:39.633647	t	\N
3773	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005999	1006418	2019-12-05 21:10:44.151805	t	\N
3775	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010175	1010591	2019-12-05 21:10:48.157809	t	\N
3774	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	655495	658629	2019-12-05 21:10:47.654771	t	\N
3776	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	672995	673478	2019-12-05 21:11:02.69181	t	\N
3777	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019790	1020187	2019-12-05 21:11:04.178526	t	\N
3778	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	696302	696754	2019-12-05 21:11:37.775218	t	\N
3779	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	830352	833411	2019-12-05 21:11:45.246945	t	\N
3780	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	840322	840863	2019-12-05 21:11:56.267225	t	\N
3781	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	725	571983	576009	2019-12-05 21:12:24.91137	t	\N
3782	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	585654	586170	2019-12-05 21:12:38.944465	t	\N
3783	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870337	870789	2019-12-05 21:12:43.326411	t	\N
3784	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	649	624789	628296	2019-12-05 21:13:33.070289	t	\N
3785	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	632717	633169	2019-12-05 21:13:38.082489	t	\N
3786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	910125	913144	2019-12-05 21:13:43.401624	t	\N
3787	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	611	676025	679181	2019-12-05 21:14:38.222666	t	\N
3788	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	949820	952839	2019-12-05 21:14:43.477201	t	\N
3789	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	964852	965568	2019-12-05 21:15:02.501768	t	\N
3790	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	563912	567108	2019-12-05 21:15:39.376645	t	\N
3791	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992251	992670	2019-12-05 21:15:44.554071	t	\N
3792	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	576041	576460	2019-12-05 21:15:52.407529	t	\N
3793	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008060	1008457	2019-12-05 21:16:10.591645	t	\N
3794	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	601994	602557	2019-12-05 21:16:26.487034	t	\N
3795	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	187	607581	608410	2019-12-05 21:16:32.503109	t	\N
3796	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	613645	614161	2019-12-05 21:16:39.521112	t	\N
3797	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1028780	1029587	2019-12-05 21:16:41.63037	t	\N
3798	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1031373	1031825	2019-12-05 21:16:43.633683	t	\N
3799	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	621704	622184	2019-12-05 21:16:50.550784	t	\N
3801	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	210	653758	654414	2019-12-05 21:17:32.648785	t	\N
3802	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	660774	661226	2019-12-05 21:17:41.671658	t	\N
3803	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	191	663664	664719	2019-12-05 21:17:43.682532	t	\N
3806	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	706124	706576	2019-12-05 21:18:41.818051	t	\N
3800	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	826001	839813	2019-12-05 21:16:59.653327	t	\N
3804	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	869629	872686	2019-12-05 21:17:45.716645	t	\N
3805	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878562	879103	2019-12-05 21:17:54.727668	t	\N
3807	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910414	910833	2019-12-05 21:18:43.788502	t	\N
3808	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	939864	944223	2019-12-05 21:19:29.845762	t	\N
3809	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	586832	590022	2019-12-05 21:19:33.95073	t	\N
3810	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	595030	595482	2019-12-05 21:19:39.966564	t	\N
3811	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951886	952305	2019-12-05 21:19:41.86135	t	\N
3812	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	683	636445	639601	2019-12-05 21:20:38.102388	t	\N
3813	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	987439	990422	2019-12-05 21:20:38.936527	t	\N
3814	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991633	992052	2019-12-05 21:20:39.93844	t	\N
3815	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	643497	643916	2019-12-05 21:20:43.11489	t	\N
3816	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	995259	995893	2019-12-05 21:20:43.944587	t	\N
3817	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001729	1002270	2019-12-05 21:20:51.95486	t	\N
3818	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005909	1006306	2019-12-05 21:20:56.964451	t	\N
3819	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	682993	683445	2019-12-05 21:21:37.243625	t	\N
3820	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1032477	1032896	2019-12-05 21:21:39.020954	t	\N
3821	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1661	692190	707609	2019-12-05 21:21:51.278036	t	\N
3822	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	581620	582196	2019-12-05 21:22:35.393439	t	\N
3823	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	583810	584262	2019-12-05 21:22:36.397604	t	\N
3824	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	855108	858167	2019-12-05 21:22:38.094995	t	\N
3825	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	631	627253	630401	2019-12-05 21:23:36.53608	t	\N
3826	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	895194	898213	2019-12-05 21:23:38.170803	t	\N
3827	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901793	902334	2019-12-05 21:23:43.177759	t	\N
3828	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	935358	938377	2019-12-05 21:24:36.24355	t	\N
3829	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	630	672981	676091	2019-12-05 21:24:36.672731	t	\N
3830	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	714766	717761	2019-12-05 21:25:30.797358	t	\N
3831	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	565824	566691	2019-12-05 21:25:36.826485	t	\N
3832	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975780	978799	2019-12-05 21:25:38.349747	t	\N
3833	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	569918	570545	2019-12-05 21:25:40.837175	t	\N
3834	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983165	983562	2019-12-05 21:25:45.359957	t	\N
3835	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	1000772	1004394	2019-12-05 21:26:15.396623	t	\N
3836	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1021149	1021568	2019-12-05 21:26:38.425062	t	\N
3837	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	631	612139	615397	2019-12-05 21:26:38.971061	t	\N
3838	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028884	1029425	2019-12-05 21:26:49.440299	t	\N
3839	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	638892	639308	2019-12-05 21:27:09.042859	t	\N
3840	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	659507	659959	2019-12-05 21:27:39.112293	t	\N
3841	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846420	846841	2019-12-05 21:27:39.52049	t	\N
3842	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	201	661732	662388	2019-12-05 21:27:41.118625	t	\N
3843	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	883474	886595	2019-12-05 21:28:39.59839	t	\N
3844	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	704129	707349	2019-12-05 21:28:40.258146	t	\N
3845	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	710797	711508	2019-12-05 21:28:44.270049	t	\N
3846	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	589635	590244	2019-12-05 21:29:30.376912	t	\N
3847	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	923403	926422	2019-12-05 21:29:39.673588	t	\N
3848	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	597650	598102	2019-12-05 21:29:40.402825	t	\N
3849	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929500	930041	2019-12-05 21:29:42.678958	t	\N
3850	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937296	937712	2019-12-05 21:29:53.693011	t	\N
3851	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	958368	959024	2019-12-05 21:30:23.735153	t	\N
3852	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	642	634024	637057	2019-12-05 21:30:31.529727	t	\N
3853	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	216	640810	641637	2019-12-05 21:30:35.539737	t	\N
3854	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	645738	646190	2019-12-05 21:30:40.553444	t	\N
3855	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969647	970066	2019-12-05 21:30:41.758318	t	\N
3856	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980748	981145	2019-12-05 21:30:59.781306	t	\N
3857	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983197	983591	2019-12-05 21:31:01.784799	t	\N
3858	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	998458	1012326	2019-12-05 21:31:20.808739	t	\N
3859	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1017012	1017931	2019-12-05 21:31:28.826545	t	\N
3860	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1021923	1022672	2019-12-05 21:31:34.83388	t	\N
3861	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	686380	689867	2019-12-05 21:31:36.680752	t	\N
3862	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	692620	693072	2019-12-05 21:31:38.686451	t	\N
3863	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027976	1028395	2019-12-05 21:31:41.843678	t	\N
3864	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	697440	698153	2019-12-05 21:31:44.709803	t	\N
3865	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	1031360	1034445	2019-12-05 21:31:45.850013	t	\N
3866	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	852134	852677	2019-12-05 21:32:35.91186	t	\N
3867	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	581550	582004	2019-12-05 21:32:37.841231	t	\N
3868	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856377	856796	2019-12-05 21:32:40.924591	t	\N
3869	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	613	624304	627701	2019-12-05 21:33:37.982277	t	\N
3870	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	893970	897027	2019-12-05 21:33:40.999817	t	\N
3871	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	668066	671094	2019-12-05 21:34:36.11796	t	\N
3872	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	932476	935495	2019-12-05 21:34:38.072656	t	\N
3873	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	673867	674441	2019-12-05 21:34:39.126582	t	\N
3874	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	668	702849	706495	2019-12-05 21:35:17.213816	t	\N
3875	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	717594	718046	2019-12-05 21:35:34.254493	t	\N
3876	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	972358	975377	2019-12-05 21:35:36.148669	t	\N
3877	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	976493	977034	2019-12-05 21:35:37.150776	t	\N
3878	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987362	987759	2019-12-05 21:35:54.177593	t	\N
3879	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014779	1015198	2019-12-05 21:36:36.229488	t	\N
3880	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	607317	610595	2019-12-05 21:36:36.3957	t	\N
3881	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1607	628403	643564	2019-12-05 21:36:57.445788	t	\N
3882	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	657862	658278	2019-12-05 21:37:21.502042	t	\N
3883	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	662336	662816	2019-12-05 21:37:26.515667	t	\N
3884	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	666764	667484	2019-12-05 21:37:32.530918	t	\N
3885	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	670360	670812	2019-12-05 21:37:34.537986	t	\N
3886	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	839004	842063	2019-12-05 21:37:35.319844	t	\N
3887	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	678532	679159	2019-12-05 21:37:45.565386	t	\N
3888	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	877747	880766	2019-12-05 21:38:33.392157	t	\N
3889	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	714847	715299	2019-12-05 21:38:33.675167	t	\N
3890	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	882078	882960	2019-12-05 21:38:34.39478	t	\N
3891	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	716611	717060	2019-12-05 21:38:34.679109	t	\N
3892	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	918943	921962	2019-12-05 21:39:32.467814	t	\N
3893	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	635	604853	608746	2019-12-05 21:39:32.818998	t	\N
3894	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	644	612223	616083	2019-12-05 21:39:37.831606	t	\N
3895	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	947707	950930	2019-12-05 21:40:17.524645	t	\N
3896	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	645	646708	649831	2019-12-05 21:40:19.92818	t	\N
3897	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	657584	658036	2019-12-05 21:40:31.95672	t	\N
3898	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963835	964254	2019-12-05 21:40:33.545319	t	\N
3899	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	667876	668439	2019-12-05 21:40:45.991553	t	\N
3900	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976140	976537	2019-12-05 21:40:54.571307	t	\N
3901	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987255	987649	2019-12-05 21:41:12.594294	t	\N
3902	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	703094	703546	2019-12-05 21:41:32.100866	t	\N
3903	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002857	1003398	2019-12-05 21:41:33.625593	t	\N
3904	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004680	1005099	2019-12-05 21:41:34.627002	t	\N
3905	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	571411	572428	2019-12-05 21:41:56.180646	t	\N
3906	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	595778	596230	2019-12-05 21:42:32.264921	t	\N
3907	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	830029	833088	2019-12-05 21:42:36.723347	t	\N
3908	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	640722	643998	2019-12-05 21:43:34.406647	t	\N
3909	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	870474	873493	2019-12-05 21:43:37.798127	t	\N
3910	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	647786	648349	2019-12-05 21:43:39.419382	t	\N
3911	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	336	658368	658973	2019-12-05 21:43:53.453151	t	\N
3912	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	903735	907078	2019-12-05 21:44:25.858952	t	\N
3913	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	689814	690725	2019-12-05 21:44:35.549288	t	\N
3914	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915804	916223	2019-12-05 21:44:39.883325	t	\N
3915	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	577607	580834	2019-12-05 21:45:31.701442	t	\N
3916	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	584524	585058	2019-12-05 21:45:35.712557	t	\N
3917	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	953013	956032	2019-12-05 21:45:40.957295	t	\N
3918	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	467	590017	590892	2019-12-05 21:45:42.729881	t	\N
3919	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964986	965383	2019-12-05 21:45:54.974944	t	\N
3920	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	606677	607506	2019-12-05 21:45:59.770436	t	\N
3921	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	969156	983024	2019-12-05 21:46:00.982944	t	\N
3922	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	986393	987142	2019-12-05 21:46:05.989656	t	\N
3923	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	630384	630836	2019-12-05 21:46:35.855191	t	\N
3924	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009414	1009833	2019-12-05 21:46:40.037583	t	\N
3925	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	635729	636453	2019-12-05 21:46:41.87104	t	\N
3926	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	652540	652956	2019-12-05 21:46:58.912099	t	\N
3927	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	45	1036741	828311	2019-12-05 21:47:22.089974	t	\N
3928	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	676364	676816	2019-12-05 21:47:34.994679	t	\N
3929	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	837938	838357	2019-12-05 21:47:38.11143	t	\N
3930	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	205	681387	682043	2019-12-05 21:47:41.012298	t	\N
3931	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	687192	688247	2019-12-05 21:47:48.029647	t	\N
3932	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	571059	571513	2019-12-05 21:48:35.154715	t	\N
3933	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	874688	877707	2019-12-05 21:48:37.187957	t	\N
3934	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	214	575641	577161	2019-12-05 21:48:40.167105	t	\N
3935	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	693	614760	618614	2019-12-05 21:49:33.29089	t	\N
3936	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	913003	916022	2019-12-05 21:49:35.265647	t	\N
3937	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	621363	621937	2019-12-05 21:49:37.30131	t	\N
3938	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	944588	947866	2019-12-05 21:50:21.329151	t	\N
3939	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	646	661276	664463	2019-12-05 21:50:32.427821	t	\N
3940	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	665823	666935	2019-12-05 21:50:33.431687	t	\N
3941	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	956323	956957	2019-12-05 21:50:34.34599	t	\N
3942	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958261	958680	2019-12-05 21:50:35.347853	t	\N
3943	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969386	969783	2019-12-05 21:50:53.370905	t	\N
3944	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	634	709903	713591	2019-12-05 21:51:33.568889	t	\N
3945	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996907	997301	2019-12-05 21:51:36.424203	t	\N
3946	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	998894	999313	2019-12-05 21:51:37.431052	t	\N
3947	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1555	573561	588064	2019-12-05 21:51:49.630383	t	\N
3948	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	620040	620492	2019-12-05 21:52:33.730383	t	\N
3949	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1034543	1037562	2019-12-05 21:52:35.502639	t	\N
3950	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	623636	624274	2019-12-05 21:52:37.740981	t	\N
3951	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	859054	862437	2019-12-05 21:53:29.568654	t	\N
3953	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	866113	866565	2019-12-05 21:53:34.576034	t	\N
3952	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	665198	668392	2019-12-05 21:53:33.871538	t	\N
3954	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	188	696499	697426	2019-12-05 21:54:10.958711	t	\N
3955	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	891955	894938	2019-12-05 21:54:20.632243	t	\N
3956	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	711028	711544	2019-12-05 21:54:32.008151	t	\N
3957	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906828	907247	2019-12-05 21:54:34.657376	t	\N
3958	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	641	603865	606964	2019-12-05 21:55:32.144915	t	\N
3959	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	608276	608904	2019-12-05 21:55:33.148484	t	\N
3960	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	943793	946812	2019-12-05 21:55:34.73043	t	\N
3961	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	611622	612313	2019-12-05 21:55:35.154962	t	\N
3962	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	953938	954335	2019-12-05 21:55:46.746232	t	\N
3963	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	956136	956719	2019-12-05 21:55:47.747776	t	\N
3964	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	979917	980469	2019-12-05 21:56:23.791451	t	\N
3965	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	580	651800	655351	2019-12-05 21:56:31.283321	t	\N
3967	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	130	680896	681643	2019-12-05 21:57:04.365666	t	\N
3969	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	130	698373	698825	2019-12-05 21:57:30.426634	t	\N
3971	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	710273	710929	2019-12-05 21:57:47.466072	t	\N
3972	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	130	593439	594021	2019-12-05 21:58:30.563907	t	\N
3973	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	130	596634	597197	2019-12-05 21:58:33.572494	t	\N
3966	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987612	988031	2019-12-05 21:56:34.805597	t	\N
3968	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1020043	1023665	2019-12-05 21:57:26.868961	t	\N
3970	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029347	1029766	2019-12-05 21:57:35.880516	t	\N
3974	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	853845	856904	2019-12-05 21:58:33.950926	t	\N
3975	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	891228	894575	2019-12-05 21:59:29.020599	t	\N
3976	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	679	636713	640622	2019-12-05 21:59:28.702138	t	\N
3977	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898342	898761	2019-12-05 21:59:35.027858	t	\N
3978	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	902541	903435	2019-12-05 21:59:41.035908	t	\N
3979	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	922044	922979	2019-12-05 22:00:13.0759	t	\N
3980	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	933509	934143	2019-12-05 22:00:25.091746	t	\N
3981	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	683861	687284	2019-12-05 22:00:29.842645	t	\N
3982	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940703	941122	2019-12-05 22:00:35.105057	t	\N
3983	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	694615	695034	2019-12-05 22:00:39.866746	t	\N
3984	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946298	946714	2019-12-05 22:00:43.120698	t	\N
3985	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951382	951779	2019-12-05 22:00:50.130365	t	\N
3986	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	953083	954463	2019-12-05 22:00:51.132264	t	\N
3987	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	961763	962424	2019-12-05 22:01:03.147775	t	\N
3988	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	719171	571540	2019-12-05 22:01:10.942011	t	\N
3989	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	584802	585254	2019-12-05 22:01:31.992026	t	\N
3990	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	982021	995815	2019-12-05 22:01:32.185009	t	\N
3991	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	998540	998934	2019-12-05 22:01:35.195354	t	\N
3992	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999962	1000381	2019-12-05 22:01:36.19708	t	\N
3993	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	592325	593042	2019-12-05 22:01:40.012151	t	\N
3994	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1012682	1013267	2019-12-05 22:01:57.223575	t	\N
3995	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1025651	1028736	2019-12-05 22:02:18.24975	t	\N
3996	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	828480	829023	2019-12-05 22:02:30.265015	t	\N
3997	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	629657	632787	2019-12-05 22:02:32.159052	t	\N
3998	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832288	832707	2019-12-05 22:02:34.276695	t	\N
3999	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	677000	680092	2019-12-05 22:03:34.303802	t	\N
4000	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	870502	873559	2019-12-05 22:03:35.351584	t	\N
4001	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	909126	912145	2019-12-05 22:04:34.424122	t	\N
4002	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	612	574167	577381	2019-12-05 22:04:34.456162	t	\N
4003	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	584214	584777	2019-12-05 22:04:44.479648	t	\N
4004	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	944826	948172	2019-12-05 22:05:27.488656	t	\N
4005	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952963	953382	2019-12-05 22:05:34.497233	t	\N
4006	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	621553	622005	2019-12-05 22:05:34.596315	t	\N
4007	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957162	957559	2019-12-05 22:05:40.510916	t	\N
4008	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	630901	631320	2019-12-05 22:05:47.628148	t	\N
4009	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	666173	666753	2019-12-05 22:06:34.737206	t	\N
4010	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	991822	994841	2019-12-05 22:06:36.579498	t	\N
4011	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	691691	692171	2019-12-05 22:07:06.812362	t	\N
4012	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1515	707712	574630	2019-12-05 22:07:30.870173	t	\N
4013	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	195	576209	576865	2019-12-05 22:07:32.876287	t	\N
4014	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	578417	578869	2019-12-05 22:07:33.880238	t	\N
4015	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	582662	583111	2019-12-05 22:07:37.89124	t	\N
4016	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1033318	1036337	2019-12-05 22:07:38.664541	t	\N
4017	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	589019	589913	2019-12-05 22:07:45.911762	t	\N
4018	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	623213	623665	2019-12-05 22:08:32.0206	t	\N
4019	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	860813	864302	2019-12-05 22:08:34.774326	t	\N
4020	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867356	867775	2019-12-05 22:08:38.780255	t	\N
4021	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	666858	670052	2019-12-05 22:09:32.161737	t	\N
4022	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	905729	908748	2019-12-05 22:09:40.862073	t	\N
4023	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	928668	929302	2019-12-05 22:10:15.905134	t	\N
4024	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1131	704413	711566	2019-12-05 22:10:19.270027	t	\N
4026	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947043	947462	2019-12-05 22:10:39.935782	t	\N
4025	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	157	719061	572732	2019-12-05 22:10:31.299144	t	\N
4027	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	583569	583988	2019-12-05 22:10:46.334422	t	\N
4028	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	587361	588255	2019-12-05 22:10:50.344772	t	\N
4031	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	179	612167	613182	2019-12-05 22:11:21.419802	t	\N
4032	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	618817	619929	2019-12-05 22:11:29.439276	t	\N
4029	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957117	957514	2019-12-05 22:10:54.955013	t	\N
4030	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	968850	969595	2019-12-05 22:11:14.980976	t	\N
4033	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985886	986280	2019-12-05 22:11:37.009469	t	\N
4034	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988663	989204	2019-12-05 22:11:40.013648	t	\N
4035	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990757	991176	2019-12-05 22:11:41.015405	t	\N
4036	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1011225	1012014	2019-12-05 22:12:16.059071	t	\N
4037	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	634	662887	666017	2019-12-05 22:12:30.58383	t	\N
4038	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029578	1029997	2019-12-05 22:12:41.091881	t	\N
4039	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	606	707780	710872	2019-12-05 22:13:29.715859	t	\N
4040	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	857322	860381	2019-12-05 22:13:41.190013	t	\N
4041	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	580041	580606	2019-12-05 22:13:52.769682	t	\N
4042	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	608711	609163	2019-12-05 22:14:29.853018	t	\N
4043	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	895270	898550	2019-12-05 22:14:38.262266	t	\N
4044	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900780	901199	2019-12-05 22:14:40.265295	t	\N
4045	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	650248	654166	2019-12-05 22:15:28.989676	t	\N
4046	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	661896	662725	2019-12-05 22:15:40.016413	t	\N
4047	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	937900	940919	2019-12-05 22:15:40.341476	t	\N
4048	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	677974	678457	2019-12-05 22:15:56.054933	t	\N
4049	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956354	956751	2019-12-05 22:16:07.375343	t	\N
4050	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	699354	699806	2019-12-05 22:16:29.130812	t	\N
4051	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977233	977652	2019-12-05 22:16:38.41836	t	\N
4052	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	979501	980308	2019-12-05 22:16:39.420406	t	\N
4053	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	716974	717537	2019-12-05 22:16:54.188199	t	\N
4054	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	990629	1004439	2019-12-05 22:16:56.441568	t	\N
4055	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	211	583342	584395	2019-12-05 22:17:04.214068	t	\N
4056	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	587225	587641	2019-12-05 22:17:07.223012	t	\N
4057	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	601805	602257	2019-12-05 22:17:29.274709	t	\N
4058	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029950	1030369	2019-12-05 22:17:36.490726	t	\N
4059	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1032816	1033357	2019-12-05 22:17:39.495259	t	\N
4060	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	188	620445	621500	2019-12-05 22:17:55.337072	t	\N
4061	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	646719	647171	2019-12-05 22:18:29.416467	t	\N
4062	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	859572	862631	2019-12-05 22:18:34.570377	t	\N
4063	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	687	691528	694722	2019-12-05 22:19:31.559848	t	\N
4064	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	899791	902810	2019-12-05 22:19:34.643332	t	\N
4065	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	717524	718252	2019-12-05 22:19:59.626457	t	\N
4066	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	934535	937758	2019-12-05 22:20:25.706883	t	\N
4067	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	595541	595993	2019-12-05 22:20:32.701201	t	\N
4068	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943429	943970	2019-12-05 22:20:35.719611	t	\N
4069	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945445	945864	2019-12-05 22:20:36.721601	t	\N
4070	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	620841	621920	2019-12-05 22:21:04.77569	t	\N
4071	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	963023	963420	2019-12-05 22:21:06.763147	t	\N
4072	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978793	979187	2019-12-05 22:21:27.790157	t	\N
4073	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	639880	640332	2019-12-05 22:21:32.840462	t	\N
4074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984406	984825	2019-12-05 22:21:35.799769	t	\N
4075	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1682	651800	667279	2019-12-05 22:21:49.881457	t	\N
4076	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	697696	698148	2019-12-05 22:22:32.980428	t	\N
4077	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1021656	1024675	2019-12-05 22:22:36.874425	t	\N
4078	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	175	574997	575573	2019-12-05 22:22:59.062457	t	\N
4079	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	849032	852415	2019-12-05 22:23:28.937875	t	\N
4080	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	596812	597264	2019-12-05 22:23:31.116562	t	\N
4081	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857237	857656	2019-12-05 22:23:35.95503	t	\N
4082	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	641	639520	642981	2019-12-05 22:24:31.252509	t	\N
4083	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	892484	895503	2019-12-05 22:24:33.024626	t	\N
4084	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	648	685932	689024	2019-12-05 22:25:32.393403	t	\N
4085	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	933007	935993	2019-12-05 22:25:34.102346	t	\N
4087	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	816201	816600	2019-12-05 22:26:00.142095	t	\N
4089	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	832727	833760	2019-12-05 22:26:24.173154	t	\N
4090	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836251	836792	2019-12-05 22:26:26.176167	t	\N
4092	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841368	841787	2019-12-05 22:26:34.186513	t	\N
4086	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	709202	709765	2019-12-05 22:25:56.448435	t	\N
4088	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	713660	714079	2019-12-05 22:26:00.460426	t	\N
4091	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	591027	591545	2019-12-05 22:26:33.55193	t	\N
4093	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	602447	602927	2019-12-05 22:26:49.590149	t	\N
4094	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	216	616344	617064	2019-12-05 22:27:02.622859	t	\N
4095	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	637026	637478	2019-12-05 22:27:33.694616	t	\N
4096	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	878021	881078	2019-12-05 22:27:34.259341	t	\N
4097	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	721	553364	557048	2019-12-05 22:28:32.84242	t	\N
4098	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	558360	558812	2019-12-05 22:28:33.846881	t	\N
4099	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	918991	922010	2019-12-05 22:28:35.354976	t	\N
4100	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	574122	574685	2019-12-05 22:28:55.898401	t	\N
4101	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	583688	584295	2019-12-05 22:29:01.912682	t	\N
4102	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	956567	959583	2019-12-05 22:29:30.422998	t	\N
4103	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	603962	604478	2019-12-05 22:29:31.983117	t	\N
4104	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961566	962107	2019-12-05 22:29:32.433279	t	\N
4105	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964740	965159	2019-12-05 22:29:35.437345	t	\N
4106	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	981201	981857	2019-12-05 22:30:04.472935	t	\N
4107	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	633136	633944	2019-12-05 22:30:10.07118	t	\N
4108	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	649490	650182	2019-12-05 22:30:33.127204	t	\N
4109	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004232	1004651	2019-12-05 22:30:37.514164	t	\N
4110	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	663259	663742	2019-12-05 22:30:52.172924	t	\N
4111	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021834	1022231	2019-12-05 22:31:07.551438	t	\N
4112	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1025911	1026904	2019-12-05 22:31:13.564369	t	\N
4113	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	694271	694851	2019-12-05 22:31:33.27043	t	\N
4114	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	813564	813960	2019-12-05 22:31:34.612247	t	\N
4115	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	816352	816771	2019-12-05 22:31:36.615215	t	\N
4116	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	818589	832447	2019-12-05 22:31:39.619947	t	\N
4117	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	707196	707759	2019-12-05 22:31:51.312539	t	\N
4118	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	852103	852852	2019-12-05 22:32:14.665116	t	\N
4119	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864925	865466	2019-12-05 22:32:28.687303	t	\N
4120	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	562566	563020	2019-12-05 22:32:33.427373	t	\N
4121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871103	871522	2019-12-05 22:32:36.698169	t	\N
4122	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	613	605260	608721	2019-12-05 22:33:33.578904	t	\N
4123	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	909311	912368	2019-12-05 22:33:38.774482	t	\N
4124	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	917314	920479	2019-12-05 22:33:45.784169	t	\N
4125	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	650256	653588	2019-12-05 22:34:32.710986	t	\N
4126	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	952835	955854	2019-12-05 22:34:38.851581	t	\N
4127	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	669304	670021	2019-12-05 22:34:55.768238	t	\N
4128	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	987429	990775	2019-12-05 22:35:28.919286	t	\N
4129	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	697134	697650	2019-12-05 22:35:30.852323	t	\N
4130	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996835	997254	2019-12-05 22:35:38.932637	t	\N
4131	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007968	1008365	2019-12-05 22:35:55.955451	t	\N
4132	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	714455	714871	2019-12-05 22:35:55.910577	t	\N
4133	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	545911	546332	2019-12-05 22:35:59.921413	t	\N
4134	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	565306	565758	2019-12-05 22:36:28.9894	t	\N
4135	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034655	1035074	2019-12-05 22:36:38.008436	t	\N
4136	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	210	579388	580044	2019-12-05 22:36:49.035472	t	\N
4137	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	583748	584164	2019-12-05 22:36:53.046762	t	\N
4138	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1648	598064	612437	2019-12-05 22:37:07.080383	t	\N
4139	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	626800	627252	2019-12-05 22:37:30.133584	t	\N
4140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	843525	846648	2019-12-05 22:37:37.080856	t	\N
4141	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	639329	639903	2019-12-05 22:37:47.174429	t	\N
4142	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	657727	658240	2019-12-05 22:38:08.225818	t	\N
4143	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	671756	672336	2019-12-05 22:38:28.27226	t	\N
4144	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	880997	884281	2019-12-05 22:38:32.155165	t	\N
4145	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887789	888208	2019-12-05 22:38:36.1607	t	\N
4146	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1142	710915	717124	2019-12-05 22:39:22.39642	t	\N
4147	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	546168	546686	2019-12-05 22:39:28.411613	t	\N
4148	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	924998	928017	2019-12-05 22:39:36.237449	t	\N
4149	Jobs::ActivationReminderEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	554545	555629	2019-12-05 22:39:39.437743	t	\N
4150	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	944563	945197	2019-12-05 22:40:05.272727	t	\N
4151	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	672	591537	594731	2019-12-05 22:40:28.552728	t	\N
4152	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	600857	601936	2019-12-05 22:40:36.573182	t	\N
4153	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967530	967949	2019-12-05 22:40:38.312943	t	\N
4154	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	606423	606986	2019-12-05 22:40:42.588388	t	\N
4155	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976398	976795	2019-12-05 22:40:50.358919	t	\N
4156	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	624422	625172	2019-12-05 22:41:02.634918	t	\N
4157	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	997260	1000243	2019-12-05 22:41:21.393774	t	\N
4158	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	640722	641174	2019-12-05 22:41:26.692025	t	\N
4159	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004104	1004645	2019-12-05 22:41:27.401261	t	\N
4160	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011235	1011654	2019-12-05 22:41:38.414604	t	\N
4161	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	684494	687586	2019-12-05 22:42:27.830205	t	\N
4162	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	819800	822859	2019-12-05 22:42:37.486815	t	\N
4163	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	637	556409	559669	2019-12-05 22:43:28.973544	t	\N
4164	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	565751	566314	2019-12-05 22:43:35.991635	t	\N
4165	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	860108	863127	2019-12-05 22:43:38.566737	t	\N
4166	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	891017	894301	2019-12-05 22:44:21.617729	t	\N
4167	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	603801	606893	2019-12-05 22:44:28.112384	t	\N
4168	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904733	905152	2019-12-05 22:44:39.643198	t	\N
4169	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	687	645348	649009	2019-12-05 22:45:21.235407	t	\N
4170	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	654450	654902	2019-12-05 22:45:29.254782	t	\N
4171	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	942512	945531	2019-12-05 22:45:38.715317	t	\N
4172	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946722	947119	2019-12-05 22:45:39.717604	t	\N
4173	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	673430	678199	2019-12-05 22:45:56.317331	t	\N
4174	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	477	685208	686083	2019-12-05 22:46:06.341597	t	\N
4175	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	329	690821	691554	2019-12-05 22:46:13.359909	t	\N
4176	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	703595	704047	2019-12-05 22:46:31.401363	t	\N
4177	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	76	980751	997230	2019-12-05 22:46:31.785765	t	\N
4178	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	710471	711034	2019-12-05 22:46:40.42255	t	\N
4179	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002954	1003373	2019-12-05 22:46:40.79766	t	\N
4180	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	546670	547088	2019-12-05 22:46:53.45342	t	\N
4181	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	205	557538	558194	2019-12-05 22:47:01.473637	t	\N
4182	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1021126	1021875	2019-12-05 22:47:12.836824	t	\N
4183	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024893	1025434	2019-12-05 22:47:16.841939	t	\N
4184	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	577449	578029	2019-12-05 22:47:31.544431	t	\N
4185	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	813602	814023	2019-12-05 22:47:38.869247	t	\N
4186	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	697	618357	622090	2019-12-05 22:48:28.675381	t	\N
4187	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	221	624130	625604	2019-12-05 22:48:30.681349	t	\N
4188	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	627512	627964	2019-12-05 22:48:31.685658	t	\N
4189	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	849840	852897	2019-12-05 22:48:37.94468	t	\N
4190	Jobs::ReindexSearch	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	444	658195	659987	2019-12-05 22:49:11.777411	t	\N
4191	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	674197	674713	2019-12-05 22:49:33.83162	t	\N
4192	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	890586	893605	2019-12-05 22:49:39.025071	t	\N
4194	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	899974	900608	2019-12-05 22:49:49.038314	t	\N
4193	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	685074	685637	2019-12-05 22:49:48.868476	t	\N
4195	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	923465	926749	2019-12-05 22:50:23.081481	t	\N
4196	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	717334	717786	2019-12-05 22:50:31.966377	t	\N
4200	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	572471	572956	2019-12-05 22:51:09.058047	t	\N
4201	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1608	585295	599738	2019-12-05 22:51:27.10127	t	\N
4202	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	602111	602563	2019-12-05 22:51:31.111522	t	\N
4197	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936705	937124	2019-12-05 22:50:40.10409	t	\N
4198	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939176	939573	2019-12-05 22:50:42.112639	t	\N
4199	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946786	947180	2019-12-05 22:50:53.126952	t	\N
4203	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976910	977329	2019-12-05 22:51:40.18683	t	\N
4204	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	648	647317	650623	2019-12-05 22:52:33.25369	t	\N
4205	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1014061	1017080	2019-12-05 22:52:40.261052	t	\N
4206	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	665363	666649	2019-12-05 22:52:56.30742	t	\N
4207	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037266	1037807	2019-12-05 22:53:15.303359	t	\N
4208	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	694287	694739	2019-12-05 22:53:32.393792	t	\N
4209	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828233	828654	2019-12-05 22:53:38.33728	t	\N
4210	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	837873	838456	2019-12-05 22:53:53.35615	t	\N
4211	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	683	564829	567961	2019-12-05 22:54:32.562082	t	\N
4212	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867603	868022	2019-12-05 22:54:39.413541	t	\N
4213	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	193	582136	583063	2019-12-05 22:54:53.612676	t	\N
4214	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	611859	612311	2019-12-05 22:55:31.70324	t	\N
4215	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904070	907127	2019-12-05 22:55:38.486547	t	\N
4216	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910617	911014	2019-12-05 22:55:43.493324	t	\N
4217	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	636408	636971	2019-12-05 22:56:01.772435	t	\N
4218	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	639888	640307	2019-12-05 22:56:04.781011	t	\N
4219	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	924053	924469	2019-12-05 22:56:05.525388	t	\N
4220	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927280	927821	2019-12-05 22:56:09.530285	t	\N
4221	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	942030	943063	2019-12-05 22:56:26.552972	t	\N
4222	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	658029	658481	2019-12-05 22:56:31.844744	t	\N
4223	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	949447	949866	2019-12-05 22:56:37.566775	t	\N
4224	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	683702	684118	2019-12-05 22:57:03.917545	t	\N
4225	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	218	697840	698496	2019-12-05 22:57:24.96855	t	\N
4226	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	704661	705113	2019-12-05 22:57:32.987612	t	\N
4227	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	984890	987973	2019-12-05 22:57:35.638562	t	\N
4228	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	604	574105	577237	2019-12-05 22:58:30.139122	t	\N
4229	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1026294	1029313	2019-12-05 22:58:37.719822	t	\N
4230	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036199	1036615	2019-12-05 22:58:49.734616	t	\N
4231	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	819197	819740	2019-12-05 22:59:02.750969	t	\N
4232	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	604966	605540	2019-12-05 22:59:06.221299	t	\N
4233	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	621043	621495	2019-12-05 22:59:28.273146	t	\N
4234	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	838579	839473	2019-12-05 22:59:29.783643	t	\N
4235	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844820	845239	2019-12-05 22:59:37.794516	t	\N
4236	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	850737	852117	2019-12-05 22:59:46.806138	t	\N
4237	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	866948	867582	2019-12-05 23:00:13.838926	t	\N
4238	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877635	878029	2019-12-05 23:00:24.853683	t	\N
4239	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	618	665154	668374	2019-12-05 23:00:30.415434	t	\N
4240	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884040	884437	2019-12-05 23:00:34.866821	t	\N
4241	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887491	887910	2019-12-05 23:00:38.872149	t	\N
4242	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	174	680733	681562	2019-12-05 23:00:48.457264	t	\N
4243	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	683684	684167	2019-12-05 23:00:50.463152	t	\N
4244	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	899995	900930	2019-12-05 23:00:59.902492	t	\N
4245	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	906698	920471	2019-12-05 23:01:08.91381	t	\N
4246	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	713464	713916	2019-12-05 23:01:30.556078	t	\N
4247	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941028	941447	2019-12-05 23:01:40.95358	t	\N
4248	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	567007	567967	2019-12-05 23:02:00.626367	t	\N
4249	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956068	956609	2019-12-05 23:02:05.984729	t	\N
4250	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	587604	588056	2019-12-05 23:02:30.695825	t	\N
4251	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980245	980664	2019-12-05 23:02:42.029773	t	\N
4252	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	981820	982481	2019-12-05 23:02:43.036978	t	\N
4253	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1011517	1014729	2019-12-05 23:03:28.093378	t	\N
4255	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1019220	1020282	2019-12-05 23:03:36.10452	t	\N
4254	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	629488	632682	2019-12-05 23:03:28.831866	t	\N
4256	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025262	1025681	2019-12-05 23:03:43.114336	t	\N
4257	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	819197	822300	2019-12-05 23:04:16.155303	t	\N
4258	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	676	675081	678237	2019-12-05 23:04:28.98922	t	\N
4259	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841027	841446	2019-12-05 23:04:43.196108	t	\N
4260	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	852866	853407	2019-12-05 23:05:02.218682	t	\N
4261	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	708368	708931	2019-12-05 23:05:08.082032	t	\N
4262	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	869719	870138	2019-12-05 23:05:25.247578	t	\N
4263	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	552588	553042	2019-12-05 23:05:29.148945	t	\N
4264	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	560902	561321	2019-12-05 23:05:40.176205	t	\N
4265	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880697	881116	2019-12-05 23:05:43.270193	t	\N
4266	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	673	597893	600959	2019-12-05 23:06:31.297594	t	\N
4267	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	918201	921258	2019-12-05 23:06:44.345951	t	\N
4268	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1646	623484	638252	2019-12-05 23:06:59.36866	t	\N
4269	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	641342	641758	2019-12-05 23:07:04.381981	t	\N
4270	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	644974	645423	2019-12-05 23:07:07.390898	t	\N
4271	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	659871	660323	2019-12-05 23:07:30.446508	t	\N
4272	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	957670	960689	2019-12-05 23:07:44.426089	t	\N
4273	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	213	675886	676670	2019-12-05 23:07:52.500272	t	\N
4274	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	972746	973287	2019-12-05 23:08:04.451541	t	\N
4275	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	688730	689447	2019-12-05 23:08:04.529623	t	\N
4276	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	707848	708300	2019-12-05 23:08:32.596014	t	\N
4277	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	998853	999305	2019-12-05 23:08:44.500669	t	\N
4278	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	580365	584562	2019-12-05 23:09:31.747298	t	\N
4279	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1037160	816297	2019-12-05 23:09:45.575939	t	\N
4280	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	842074	845297	2019-12-05 23:10:23.623279	t	\N
4281	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850833	851230	2019-12-05 23:10:32.641379	t	\N
4282	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	665	628367	631459	2019-12-05 23:10:33.890484	t	\N
4283	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	632643	636051	2019-12-05 23:10:34.894554	t	\N
4284	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858063	858457	2019-12-05 23:10:43.656317	t	\N
4285	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860782	861201	2019-12-05 23:10:46.661044	t	\N
4286	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	646262	646809	2019-12-05 23:10:49.929385	t	\N
4287	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867986	868527	2019-12-05 23:10:56.673999	t	\N
4288	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	664453	665080	2019-12-05 23:11:09.978393	t	\N
4289	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	878957	879680	2019-12-05 23:11:13.696635	t	\N
4290	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	675128	676207	2019-12-05 23:11:25.014671	t	\N
4291	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	683340	683792	2019-12-05 23:11:34.036498	t	\N
4292	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901130	901549	2019-12-05 23:11:46.743816	t	\N
4293	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	637	557438	560570	2019-12-05 23:12:35.193416	t	\N
4294	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	939702	942721	2019-12-05 23:12:48.819154	t	\N
4295	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	633	605095	608187	2019-12-05 23:13:37.357703	t	\N
4296	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	979596	982891	2019-12-05 23:13:49.894088	t	\N
4297	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987194	987735	2019-12-05 23:13:55.901821	t	\N
4298	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	630632	631259	2019-12-05 23:14:06.424146	t	\N
4299	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1015098	1015887	2019-12-05 23:14:37.953676	t	\N
4300	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	653170	653622	2019-12-05 23:14:38.500571	t	\N
4301	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1023037	1023456	2019-12-05 23:14:49.977351	t	\N
4302	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	102	826168	842643	2019-12-05 23:15:32.033097	t	\N
4303	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845068	845465	2019-12-05 23:15:34.036178	t	\N
4304	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	642	695799	698891	2019-12-05 23:15:37.638826	t	\N
4305	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854789	855208	2019-12-05 23:15:50.058017	t	\N
4306	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	707614	708033	2019-12-05 23:15:51.671384	t	\N
4307	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	556710	557605	2019-12-05 23:16:10.717905	t	\N
4308	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	576084	576536	2019-12-05 23:16:37.781515	t	\N
4309	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	892129	895212	2019-12-05 23:16:50.134308	t	\N
4310	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901690	902231	2019-12-05 23:16:59.153863	t	\N
4316	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	934999	935418	2019-12-05 23:17:51.21682	t	\N
4317	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	941710	942517	2019-12-05 23:18:02.230599	t	\N
4319	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973533	973952	2019-12-05 23:18:51.290205	t	\N
4320	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	987274	988980	2019-12-05 23:19:15.318892	t	\N
4322	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1012206	1013088	2019-12-05 23:19:50.370445	t	\N
4324	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022628	1023169	2019-12-05 23:20:07.391769	t	\N
4325	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	816641	817277	2019-12-05 23:20:30.421153	t	\N
4327	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822955	823352	2019-12-05 23:20:39.432467	t	\N
4328	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830710	831129	2019-12-05 23:20:50.447061	t	\N
4330	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839998	840392	2019-12-05 23:21:06.472074	t	\N
4332	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868535	868954	2019-12-05 23:21:51.527427	t	\N
4311	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	599166	599740	2019-12-05 23:17:06.8468	t	\N
4312	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	608985	609401	2019-12-05 23:17:19.877141	t	\N
4313	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	621593	622376	2019-12-05 23:17:37.919787	t	\N
4314	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	624085	625204	2019-12-05 23:17:39.926088	t	\N
4315	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	204	632749	633405	2019-12-05 23:17:50.952808	t	\N
4318	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	666878	667330	2019-12-05 23:18:36.060638	t	\N
4321	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	667	708860	712054	2019-12-05 23:19:34.216945	t	\N
4323	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	569179	569744	2019-12-05 23:20:06.313852	t	\N
4326	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	588430	588946	2019-12-05 23:20:34.379805	t	\N
4329	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	602473	602892	2019-12-05 23:20:54.427716	t	\N
4331	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	631171	632614	2019-12-05 23:21:32.528807	t	\N
4333	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1653	658307	673735	2019-12-05 23:22:06.609191	t	\N
4334	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	690630	691082	2019-12-05 23:22:34.677464	t	\N
4335	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904649	907706	2019-12-05 23:22:49.59894	t	\N
4336	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	914366	914907	2019-12-05 23:22:59.612302	t	\N
4337	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	714479	715191	2019-12-05 23:23:02.763944	t	\N
4338	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	568278	568732	2019-12-05 23:23:34.854474	t	\N
4339	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944607	945026	2019-12-05 23:23:47.670762	t	\N
4340	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	621	611977	615189	2019-12-05 23:24:36.994088	t	\N
4341	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	980620	983639	2019-12-05 23:24:45.747616	t	\N
4342	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	1012920	1016542	2019-12-05 23:25:31.803805	t	\N
4343	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	658080	661172	2019-12-05 23:25:38.135804	t	\N
4344	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025402	1025821	2019-12-05 23:25:45.822404	t	\N
4345	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031307	1031704	2019-12-05 23:25:53.832653	t	\N
4346	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	672011	672638	2019-12-05 23:25:54.172962	t	\N
4347	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035815	1036356	2019-12-05 23:26:00.841184	t	\N
4348	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	684168	684587	2019-12-05 23:26:04.196603	t	\N
4349	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	706759	707211	2019-12-05 23:26:38.278425	t	\N
4350	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841973	842394	2019-12-05 23:26:45.901769	t	\N
4351	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	616	577019	580115	2019-12-05 23:27:30.398781	t	\N
4352	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	195	586428	587084	2019-12-05 23:27:38.418952	t	\N
4353	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	588727	589179	2019-12-05 23:27:39.422749	t	\N
4354	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	878667	881724	2019-12-05 23:27:44.976151	t	\N
4355	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	587	631791	634883	2019-12-05 23:28:39.563461	t	\N
4356	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	918405	921424	2019-12-05 23:28:44.052816	t	\N
4357	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	928015	928556	2019-12-05 23:28:54.065805	t	\N
4358	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	131	645049	645612	2019-12-05 23:28:54.600981	t	\N
4359	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951837	952253	2019-12-05 23:29:29.109531	t	\N
4360	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	956300	957293	2019-12-05 23:29:36.123128	t	\N
4361	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	132	678319	678835	2019-12-05 23:29:38.70535	t	\N
4362	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	963554	964006	2019-12-05 23:29:46.136614	t	\N
4363	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	980819	994613	2019-12-05 23:30:15.172413	t	\N
4364	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	642	553092	556306	2019-12-05 23:30:36.852899	t	\N
4365	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1015191	1015643	2019-12-05 23:30:45.210391	t	\N
4366	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1017452	1018086	2019-12-05 23:30:48.214797	t	\N
4367	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028094	1028491	2019-12-05 23:31:04.239873	t	\N
4368	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	216	579520	580329	2019-12-05 23:31:06.921784	t	\N
4369	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	581577	582391	2019-12-05 23:31:07.925823	t	\N
4370	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	596346	597549	2019-12-05 23:31:28.976029	t	\N
4371	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	598862	599469	2019-12-05 23:31:29.981795	t	\N
4372	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826068	826464	2019-12-05 23:31:33.277196	t	\N
4373	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	606212	606664	2019-12-05 23:31:39.003449	t	\N
4374	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	834292	834744	2019-12-05 23:31:45.293531	t	\N
4376	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	844456	844997	2019-12-05 23:32:02.314641	t	\N
4378	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873719	874138	2019-12-05 23:32:47.371158	t	\N
4379	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	884945	888030	2019-12-05 23:33:04.39707	t	\N
4380	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	897445	898194	2019-12-05 23:33:21.418447	t	\N
4375	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	623415	624640	2019-12-05 23:31:58.047057	t	\N
4377	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	650520	651632	2019-12-05 23:32:38.139941	t	\N
4381	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	627	693551	696643	2019-12-05 23:33:38.276737	t	\N
4382	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916655	917074	2019-12-05 23:33:48.452624	t	\N
4383	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	573536	576732	2019-12-05 23:34:38.419605	t	\N
4384	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	954169	957226	2019-12-05 23:34:48.529008	t	\N
4385	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	588440	589003	2019-12-05 23:34:56.461359	t	\N
4386	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	967430	967971	2019-12-05 23:35:04.549318	t	\N
4387	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	619533	619985	2019-12-05 23:35:37.557811	t	\N
4388	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	626574	627054	2019-12-05 23:35:46.581178	t	\N
4389	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996646	997065	2019-12-05 23:35:49.611898	t	\N
4390	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1003756	1004153	2019-12-05 23:36:00.626099	t	\N
4391	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	649486	649905	2019-12-05 23:36:14.645885	t	\N
4392	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	664193	664645	2019-12-05 23:36:35.697954	t	\N
4393	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035533	1035952	2019-12-05 23:36:50.688618	t	\N
4394	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1607	689551	704575	2019-12-05 23:37:06.769744	t	\N
4395	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	558301	558755	2019-12-05 23:37:36.852709	t	\N
4396	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	565499	565915	2019-12-05 23:37:45.876062	t	\N
4397	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	852131	855190	2019-12-05 23:37:51.784575	t	\N
4398	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	573811	574260	2019-12-05 23:37:56.902151	t	\N
4399	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	206	582464	583184	2019-12-05 23:38:01.914682	t	\N
4400	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	584432	584995	2019-12-05 23:38:02.918562	t	\N
4401	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	865791	866332	2019-12-05 23:38:09.80831	t	\N
4402	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	606342	606858	2019-12-05 23:38:34.999846	t	\N
4403	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893091	893510	2019-12-05 23:38:50.86361	t	\N
4404	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	649631	652825	2019-12-05 23:39:34.138576	t	\N
4405	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	929392	932411	2019-12-05 23:39:49.93713	t	\N
4406	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1148	694619	701683	2019-12-05 23:40:34.279511	t	\N
4407	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	700733	704879	2019-12-05 23:40:35.28372	t	\N
4408	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	968381	971400	2019-12-05 23:40:49.011109	t	\N
4409	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974981	975378	2019-12-05 23:40:53.016829	t	\N
4410	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	981339	981973	2019-12-05 23:41:03.029918	t	\N
4411	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	984201	984917	2019-12-05 23:41:05.038445	t	\N
4412	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	564497	565276	2019-12-05 23:41:05.350151	t	\N
4413	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	576389	576808	2019-12-05 23:41:22.391799	t	\N
4414	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	586068	586520	2019-12-05 23:41:35.422264	t	\N
4415	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006720	1007114	2019-12-05 23:41:39.081449	t	\N
4416	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014362	1014781	2019-12-05 23:41:50.095468	t	\N
4417	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	182	613852	614867	2019-12-05 23:42:11.505096	t	\N
4418	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	630999	631451	2019-12-05 23:42:35.563149	t	\N
4419	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	829295	832354	2019-12-05 23:42:48.185673	t	\N
4420	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	664	675371	678501	2019-12-05 23:43:37.714375	t	\N
4421	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	868294	871313	2019-12-05 23:43:46.257104	t	\N
4422	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	338	688235	688904	2019-12-05 23:43:51.74672	t	\N
4423	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	700097	700736	2019-12-05 23:44:01.770687	t	\N
4424	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	882121	882662	2019-12-05 23:44:04.287326	t	\N
4425	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	561021	561475	2019-12-05 23:44:37.854901	t	\N
4426	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910261	910680	2019-12-05 23:44:47.34041	t	\N
4427	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	927365	941233	2019-12-05 23:45:15.374664	t	\N
4428	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	637	606154	609348	2019-12-05 23:45:39.998278	t	\N
4429	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962749	963168	2019-12-05 23:45:49.418182	t	\N
4430	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	179	617632	618461	2019-12-05 23:45:53.030236	t	\N
4431	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974376	974773	2019-12-05 23:46:07.441186	t	\N
4432	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	641685	642104	2019-12-05 23:46:22.099991	t	\N
4433	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	647671	648726	2019-12-05 23:46:29.117804	t	\N
4434	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	656924	657376	2019-12-05 23:46:40.144498	t	\N
4436	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	668484	669204	2019-12-05 23:46:57.1859	t	\N
4438	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	696013	696429	2019-12-05 23:47:32.268937	t	\N
4439	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	701203	701719	2019-12-05 23:47:38.283766	t	\N
4442	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	202	568483	569141	2019-12-05 23:48:16.37042	t	\N
4443	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	466	578494	579305	2019-12-05 23:48:29.402423	t	\N
4444	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	585323	585839	2019-12-05 23:48:38.424968	t	\N
4435	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1002757	1003176	2019-12-05 23:46:51.53035	t	\N
4437	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1011099	1011640	2019-12-05 23:47:04.546057	t	\N
4440	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821635	822056	2019-12-05 23:47:53.604084	t	\N
4441	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	827355	828104	2019-12-05 23:48:01.614073	t	\N
4445	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859837	860256	2019-12-05 23:48:52.675079	t	\N
4446	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	628462	632264	2019-12-05 23:49:38.56511	t	\N
4447	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	897186	900243	2019-12-05 23:49:51.756823	t	\N
4448	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903688	904229	2019-12-05 23:49:56.763592	t	\N
4449	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	644454	649262	2019-12-05 23:49:57.610965	t	\N
4450	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	675952	676404	2019-12-05 23:50:38.705744	t	\N
4451	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	939074	939493	2019-12-05 23:50:53.835964	t	\N
4452	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	950904	951538	2019-12-05 23:51:13.861024	t	\N
4453	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	703054	703537	2019-12-05 23:51:13.787578	t	\N
4454	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954859	955256	2019-12-05 23:51:18.867579	t	\N
4455	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956913	957307	2019-12-05 23:51:19.874089	t	\N
4456	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	224	708962	710500	2019-12-05 23:51:20.804575	t	\N
4457	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	560503	560957	2019-12-05 23:51:36.843085	t	\N
4458	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979052	979471	2019-12-05 23:51:51.914213	t	\N
4459	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1615	586897	601276	2019-12-05 23:52:10.926433	t	\N
4460	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	618364	618816	2019-12-05 23:52:37.988809	t	\N
4461	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1016490	1019840	2019-12-05 23:52:51.989879	t	\N
4462	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	630588	631305	2019-12-05 23:52:55.028436	t	\N
4463	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025302	1025843	2019-12-05 23:53:01.001376	t	\N
4464	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	663200	663652	2019-12-05 23:53:38.127051	t	\N
4465	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838835	839256	2019-12-05 23:53:53.06628	t	\N
4466	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	673	705790	709379	2019-12-05 23:54:38.270967	t	\N
4467	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	871133	874154	2019-12-05 23:54:43.133906	t	\N
4468	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882153	882572	2019-12-05 23:54:55.149671	t	\N
4469	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	884262	884845	2019-12-05 23:54:58.153963	t	\N
4470	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	672	590013	593273	2019-12-05 23:55:36.404723	t	\N
4471	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	915681	916714	2019-12-05 23:55:46.215102	t	\N
4472	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	190	602676	603603	2019-12-05 23:55:50.438433	t	\N
4473	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	607225	607938	2019-12-05 23:55:54.449031	t	\N
4474	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922674	923093	2019-12-05 23:55:55.226957	t	\N
4475	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	927416	927957	2019-12-05 23:56:02.240501	t	\N
4476	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	620379	620862	2019-12-05 23:56:06.477648	t	\N
4477	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944044	944441	2019-12-05 23:56:24.268221	t	\N
4478	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	641526	641978	2019-12-05 23:56:38.554071	t	\N
4479	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	962450	965533	2019-12-05 23:56:55.306856	t	\N
4480	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	975782	976676	2019-12-05 23:57:14.330681	t	\N
4481	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	645	675269	678921	2019-12-05 23:57:23.65912	t	\N
4482	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	688874	689326	2019-12-05 23:57:38.69513	t	\N
4483	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002946	1003365	2019-12-05 23:57:54.379118	t	\N
4484	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	721	563913	567352	2019-12-05 23:58:27.810824	t	\N
4485	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	575188	575640	2019-12-05 23:58:38.837497	t	\N
4486	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1033824	1037865	2019-12-05 23:58:43.442592	t	\N
4487	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	581446	582009	2019-12-05 23:58:46.857544	t	\N
4488	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828013	828434	2019-12-05 23:58:56.459809	t	\N
4489	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831020	831561	2019-12-05 23:59:00.465271	t	\N
4490	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	856008	856943	2019-12-05 23:59:38.511145	t	\N
4491	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	594	619875	623757	2019-12-05 23:59:38.979917	t	\N
4492	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869209	869628	2019-12-05 23:59:58.536539	t	\N
4493	Jobs::ScheduleBackup	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	641495	642564	2019-12-06 00:00:00.030581	t	\N
4494	Jobs::ScheduleBackup	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	871724	872737	2019-12-06 00:00:00.544663	t	\N
4495	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881817	882233	2019-12-06 00:00:16.565521	t	\N
4497	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	73	906528	920322	2019-12-06 00:00:54.612781	t	\N
4498	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923767	924186	2019-12-06 00:00:59.619618	t	\N
4500	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941181	941578	2019-12-06 00:01:24.65	t	\N
4501	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	50	944445	945079	2019-12-06 00:01:27.659799	t	\N
4502	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949402	949796	2019-12-06 00:01:34.668847	t	\N
4506	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	962830	965915	2019-12-06 00:01:55.696396	t	\N
4507	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968276	968695	2019-12-06 00:01:59.702148	t	\N
4508	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	970480	971021	2019-12-06 00:02:00.70401	t	\N
4509	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	991327	991988	2019-12-06 00:02:30.748807	t	\N
4511	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009442	1009861	2019-12-06 00:03:01.785692	t	\N
4512	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010890	1011475	2019-12-06 00:03:02.787518	t	\N
4496	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	133	667128	667644	2019-12-06 00:00:38.119875	t	\N
4499	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	686919	687338	2019-12-06 00:01:00.173411	t	\N
4503	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	169	709949	710860	2019-12-06 00:01:35.258194	t	\N
4504	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	133	713194	713774	2019-12-06 00:01:38.266842	t	\N
4505	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	133	563365	564144	2019-12-06 00:01:51.298044	t	\N
4510	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	133	598772	599884	2019-12-06 00:02:39.409685	t	\N
4513	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	656	640939	644069	2019-12-06 00:03:38.559081	t	\N
4514	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	828375	831434	2019-12-06 00:04:00.878563	t	\N
4515	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	658	688149	691177	2019-12-06 00:04:40.699903	t	\N
4516	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	694395	694958	2019-12-06 00:04:44.71094	t	\N
4517	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	868252	871271	2019-12-06 00:05:01.954743	t	\N
4518	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874470	875011	2019-12-06 00:05:05.968533	t	\N
4519	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	628	575294	578426	2019-12-06 00:05:39.854398	t	\N
4520	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	908468	911487	2019-12-06 00:06:01.035403	t	\N
4521	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	605077	605827	2019-12-06 00:06:14.935339	t	\N
4522	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931018	931415	2019-12-06 00:06:30.072747	t	\N
4523	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	622644	623096	2019-12-06 00:06:39.995551	t	\N
4524	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1538	628694	647192	2019-12-06 00:06:49.017983	t	\N
4525	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	629	641004	647643	2019-12-06 00:06:50.022741	t	\N
4526	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949773	950192	2019-12-06 00:07:01.115814	t	\N
4527	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	668187	668603	2019-12-06 00:07:15.082544	t	\N
4528	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	683633	684085	2019-12-06 00:07:38.136359	t	\N
4529	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	691529	692092	2019-12-06 00:07:49.162904	t	\N
4530	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	985528	988611	2019-12-06 00:08:00.188207	t	\N
4531	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996422	996963	2019-12-06 00:08:13.213153	t	\N
4532	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	733	569326	572598	2019-12-06 00:08:37.275275	t	\N
4533	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	575684	576200	2019-12-06 00:08:40.283636	t	\N
4534	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1026227	1029246	2019-12-06 00:08:59.271434	t	\N
4535	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	679	619196	622619	2019-12-06 00:09:41.423521	t	\N
4536	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	848143	851202	2019-12-06 00:10:00.346387	t	\N
4537	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	664060	667483	2019-12-06 00:10:40.563104	t	\N
4538	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	683	671890	675088	2019-12-06 00:10:46.578443	t	\N
4539	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	677212	677775	2019-12-06 00:10:49.58761	t	\N
4540	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	889370	892389	2019-12-06 00:11:02.423787	t	\N
4541	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	893623	894346	2019-12-06 00:11:03.425617	t	\N
4542	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	899565	900106	2019-12-06 00:11:11.443234	t	\N
4543	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	701251	701670	2019-12-06 00:11:18.655215	t	\N
4544	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	915293	915927	2019-12-06 00:11:31.467875	t	\N
4545	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919303	919700	2019-12-06 00:11:37.476088	t	\N
4546	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	716003	716455	2019-12-06 00:11:38.702767	t	\N
4547	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923841	924235	2019-12-06 00:11:43.484244	t	\N
4548	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934218	934637	2019-12-06 00:12:00.505299	t	\N
4549	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	600165	603297	2019-12-06 00:12:38.845046	t	\N
4550	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	609015	610030	2019-12-06 00:12:45.863703	t	\N
4551	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	972115	975134	2019-12-06 00:13:01.58387	t	\N
4552	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	647352	650572	2019-12-06 00:13:38.99627	t	\N
4553	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	658702	659265	2019-12-06 00:13:50.023369	t	\N
4554	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1011772	1014791	2019-12-06 00:14:01.658177	t	\N
4555	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1018094	1018635	2019-12-06 00:14:06.665227	t	\N
4556	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	693494	694028	2019-12-06 00:14:37.13812	t	\N
4557	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	836465	839524	2019-12-06 00:15:03.734195	t	\N
4558	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	648	579125	582588	2019-12-06 00:15:37.291423	t	\N
4559	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	876365	879384	2019-12-06 00:16:03.805958	t	\N
4560	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	605775	606258	2019-12-06 00:16:07.365699	t	\N
4562	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	626717	627169	2019-12-06 00:16:37.43477	t	\N
4564	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	639665	640228	2019-12-06 00:16:55.475993	t	\N
4567	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	652946	653362	2019-12-06 00:17:07.506134	t	\N
4568	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	654738	655793	2019-12-06 00:17:08.509665	t	\N
4570	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	662779	663608	2019-12-06 00:17:18.534535	t	\N
4572	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	678092	678544	2019-12-06 00:17:39.585488	t	\N
4561	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	894955	908867	2019-12-06 00:16:25.840783	t	\N
4563	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916454	916851	2019-12-06 00:16:37.855517	t	\N
4565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932443	932862	2019-12-06 00:17:05.890504	t	\N
4566	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	934795	935584	2019-12-06 00:17:06.89216	t	\N
4569	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938805	939346	2019-12-06 00:17:11.899653	t	\N
4571	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	955094	955843	2019-12-06 00:17:32.930917	t	\N
4573	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974324	974743	2019-12-06 00:18:05.975103	t	\N
4574	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	749	717998	564796	2019-12-06 00:18:33.709846	t	\N
4575	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	569385	569837	2019-12-06 00:18:39.727569	t	\N
4576	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1011006	1014025	2019-12-06 00:19:05.048002	t	\N
4577	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	668	612013	615829	2019-12-06 00:19:39.870379	t	\N
4579	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	833350	836409	2019-12-06 00:20:04.140984	t	\N
4578	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	634959	635522	2019-12-06 00:20:03.928056	t	\N
4580	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842342	842883	2019-12-06 00:20:14.153453	t	\N
4581	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	659894	660346	2019-12-06 00:20:41.013958	t	\N
4582	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	874903	877922	2019-12-06 00:21:06.223623	t	\N
4583	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	685168	685651	2019-12-06 00:21:14.090897	t	\N
4584	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894690	895087	2019-12-06 00:21:30.252905	t	\N
4585	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1643	701638	716406	2019-12-06 00:21:38.149038	t	\N
4586	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	163	562733	563251	2019-12-06 00:21:42.17263	t	\N
4587	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	905693	906327	2019-12-06 00:21:47.274967	t	\N
4588	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913240	913634	2019-12-06 00:21:58.288612	t	\N
4589	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918416	918835	2019-12-06 00:22:06.299064	t	\N
4590	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	605490	608620	2019-12-06 00:22:42.299898	t	\N
4591	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	618479	619527	2019-12-06 00:22:57.336069	t	\N
4592	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	954529	957548	2019-12-06 00:23:04.377137	t	\N
4593	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961180	961721	2019-12-06 00:23:10.385217	t	\N
4594	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	652122	652574	2019-12-06 00:23:40.461201	t	\N
4595	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	995210	998229	2019-12-06 00:24:03.449308	t	\N
4596	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1007077	1008110	2019-12-06 00:24:19.470037	t	\N
4597	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	664	694331	697359	2019-12-06 00:24:39.602738	t	\N
4598	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1036531	824784	2019-12-06 00:25:03.525539	t	\N
4599	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	656	585509	588641	2019-12-06 00:25:41.743005	t	\N
4600	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	861425	864444	2019-12-06 00:26:03.606761	t	\N
4601	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	608711	609338	2019-12-06 00:26:05.799003	t	\N
4602	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	866575	867116	2019-12-06 00:26:06.611294	t	\N
4603	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	621298	621717	2019-12-06 00:26:23.841561	t	\N
4604	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884208	884605	2019-12-06 00:26:30.640231	t	\N
4605	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	634490	634942	2019-12-06 00:26:40.881867	t	\N
4606	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903765	904184	2019-12-06 00:27:03.680494	t	\N
4607	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	656159	656703	2019-12-06 00:27:07.945973	t	\N
4608	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	679492	679944	2019-12-06 00:27:42.029114	t	\N
4609	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	941648	944667	2019-12-06 00:28:05.756665	t	\N
4610	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	643	567108	570176	2019-12-06 00:28:44.17797	t	\N
4611	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	203	576863	577519	2019-12-06 00:28:53.201112	t	\N
4612	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	586456	587019	2019-12-06 00:29:00.219127	t	\N
4613	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	30	981647	985229	2019-12-06 00:29:06.842434	t	\N
4614	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987073	987492	2019-12-06 00:29:07.844877	t	\N
4615	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	990877	991418	2019-12-06 00:29:12.851646	t	\N
4616	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	617154	617606	2019-12-06 00:29:46.325795	t	\N
4617	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1026797	1029816	2019-12-06 00:30:09.924662	t	\N
4618	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	676	661301	664329	2019-12-06 00:30:47.464733	t	\N
4619	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	851881	854940	2019-12-06 00:31:11.002594	t	\N
4620	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	866208	866688	2019-12-06 00:31:24.026653	t	\N
4621	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867992	868389	2019-12-06 00:31:25.02885	t	\N
4622	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	715	696375	699888	2019-12-06 00:31:31.566759	t	\N
4623	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	703779	704198	2019-12-06 00:31:36.580321	t	\N
4625	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	711294	711746	2019-12-06 00:31:46.604327	t	\N
4626	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	194	718961	564769	2019-12-06 00:31:57.631593	t	\N
4629	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	575224	575915	2019-12-06 00:32:06.654341	t	\N
4632	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	595842	596650	2019-12-06 00:32:36.724561	t	\N
4624	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	876785	877419	2019-12-06 00:31:39.047837	t	\N
4627	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	890604	904472	2019-12-06 00:32:02.078489	t	\N
4628	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906632	907026	2019-12-06 00:32:04.081486	t	\N
4630	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	910479	911020	2019-12-06 00:32:09.09314	t	\N
4631	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912367	912786	2019-12-06 00:32:10.095245	t	\N
4633	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	934356	935105	2019-12-06 00:32:42.135537	t	\N
4634	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	603908	604360	2019-12-06 00:32:46.748706	t	\N
4635	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	950676	953761	2019-12-06 00:33:08.168259	t	\N
4636	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955919	956338	2019-12-06 00:33:11.17274	t	\N
4637	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	645161	648227	2019-12-06 00:33:44.890108	t	\N
4638	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	994302	997321	2019-12-06 00:34:13.251736	t	\N
4639	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	689122	692609	2019-12-06 00:34:42.028706	t	\N
4640	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	709628	710191	2019-12-06 00:35:01.075167	t	\N
4641	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1030238	1033520	2019-12-06 00:35:05.318116	t	\N
4642	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	824724	825145	2019-12-06 00:35:15.331025	t	\N
4643	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	581759	582213	2019-12-06 00:35:41.167002	t	\N
4644	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1621	592851	611459	2019-12-06 00:35:57.204293	t	\N
4645	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	861986	865043	2019-12-06 00:36:16.405505	t	\N
4646	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867746	868143	2019-12-06 00:36:19.409926	t	\N
4647	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	638922	639374	2019-12-06 00:36:40.305834	t	\N
4648	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	645224	645643	2019-12-06 00:36:48.324318	t	\N
4649	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	659972	660388	2019-12-06 00:37:02.35862	t	\N
4650	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	903349	906368	2019-12-06 00:37:16.486492	t	\N
4651	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	670232	670648	2019-12-06 00:37:17.394077	t	\N
4652	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	685443	685895	2019-12-06 00:37:39.444959	t	\N
4653	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	689905	690418	2019-12-06 00:37:44.457883	t	\N
4654	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	707112	707675	2019-12-06 00:38:03.502819	t	\N
4655	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	940218	943502	2019-12-06 00:38:10.552313	t	\N
4656	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947093	947512	2019-12-06 00:38:15.559002	t	\N
4657	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	577000	577849	2019-12-06 00:38:40.6079	t	\N
4658	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	587706	588362	2019-12-06 00:38:55.64366	t	\N
4659	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	983569	986588	2019-12-06 00:39:14.62894	t	\N
4660	Jobs::ActivationReminderEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	186	617188	618207	2019-12-06 00:39:33.731853	t	\N
4661	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	624312	624764	2019-12-06 00:39:41.752267	t	\N
4662	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1021526	1024545	2019-12-06 00:40:12.698474	t	\N
4663	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	634	667517	670583	2019-12-06 00:40:42.896096	t	\N
4664	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	685705	686418	2019-12-06 00:40:58.934214	t	\N
4665	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	848908	852228	2019-12-06 00:41:14.801367	t	\N
4666	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853551	853970	2019-12-06 00:41:15.803346	t	\N
4667	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855733	856130	2019-12-06 00:41:17.806068	t	\N
4668	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	639	708308	711682	2019-12-06 00:41:33.014751	t	\N
4669	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	717189	717608	2019-12-06 00:41:41.03442	t	\N
4670	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	157	565929	566383	2019-12-06 00:41:42.054166	t	\N
4671	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	886132	889115	2019-12-06 00:42:04.863157	t	\N
4672	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	890427	891072	2019-12-06 00:42:05.867004	t	\N
4673	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896778	897197	2019-12-06 00:42:14.878423	t	\N
4674	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	854	607457	610740	2019-12-06 00:42:40.171871	t	\N
4675	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	613957	614409	2019-12-06 00:42:44.186228	t	\N
4676	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	934700	937719	2019-12-06 00:43:16.955116	t	\N
4677	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	753	655017	658736	2019-12-06 00:43:41.340343	t	\N
4678	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	158	661237	661689	2019-12-06 00:43:44.348377	t	\N
4679	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	159	671081	671644	2019-12-06 00:43:58.380127	t	\N
4680	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	974042	977061	2019-12-06 00:44:16.029746	t	\N
4681	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	980664	981205	2019-12-06 00:44:21.036985	t	\N
4682	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	158	705356	705808	2019-12-06 00:44:44.485699	t	\N
4683	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1015647	1018730	2019-12-06 00:45:16.104305	t	\N
4684	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	596078	599146	2019-12-06 00:45:45.627494	t	\N
4685	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	842040	845099	2019-12-06 00:46:18.20727	t	\N
4686	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856518	856915	2019-12-06 00:46:31.22342	t	\N
4687	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	70	857943	871811	2019-12-06 00:46:32.225422	t	\N
4688	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	640840	643960	2019-12-06 00:46:43.762919	t	\N
4689	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	645605	646057	2019-12-06 00:46:45.769608	t	\N
4690	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	652740	653287	2019-12-06 00:46:54.791242	t	\N
4691	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	662092	662719	2019-12-06 00:47:00.807357	t	\N
4692	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895691	896232	2019-12-06 00:47:14.277773	t	\N
4693	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898246	898665	2019-12-06 00:47:16.280975	t	\N
4694	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	914057	914806	2019-12-06 00:47:38.313199	t	\N
4695	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	692058	692510	2019-12-06 00:47:45.915677	t	\N
4696	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	193	706883	708002	2019-12-06 00:48:00.952535	t	\N
4697	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	713003	713832	2019-12-06 00:48:06.968426	t	\N
4698	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936566	936985	2019-12-06 00:48:16.361104	t	\N
4699	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	585292	585746	2019-12-06 00:48:43.055098	t	\N
4700	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	213	593622	594278	2019-12-06 00:48:54.080811	t	\N
4701	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	974482	977501	2019-12-06 00:49:18.440457	t	\N
4702	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	231	624853	626181	2019-12-06 00:49:34.172959	t	\N
4703	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	633079	633531	2019-12-06 00:49:43.19375	t	\N
4704	Jobs::ReindexSearch	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	460	641923	644362	2019-12-06 00:49:56.22606	t	\N
4705	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	651393	651967	2019-12-06 00:50:00.237279	t	\N
4706	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1014045	1017387	2019-12-06 00:50:16.513238	t	\N
4707	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020289	1020708	2019-12-06 00:50:19.517929	t	\N
4708	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	680848	681300	2019-12-06 00:50:43.339886	t	\N
4709	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	494	697998	698937	2019-12-06 00:51:02.387172	t	\N
4710	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	844451	847477	2019-12-06 00:51:19.618941	t	\N
4711	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848659	849078	2019-12-06 00:51:20.621321	t	\N
4712	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1666	716415	580070	2019-12-06 00:51:30.455405	t	\N
4713	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	587809	588261	2019-12-06 00:51:42.485492	t	\N
4715	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	879172	882155	2019-12-06 00:52:08.682921	t	\N
4714	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	609571	610054	2019-12-06 00:52:08.548804	t	\N
4716	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888196	888615	2019-12-06 00:52:18.695554	t	\N
4717	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	43	896876	897510	2019-12-06 00:52:24.703982	t	\N
4718	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	631123	632237	2019-12-06 00:52:41.624195	t	\N
4719	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	650970	651533	2019-12-06 00:53:04.67976	t	\N
4720	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	921279	924563	2019-12-06 00:53:08.764549	t	\N
4721	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	927795	928378	2019-12-06 00:53:12.770382	t	\N
4722	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931305	931724	2019-12-06 00:53:16.775847	t	\N
4723	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	676289	676741	2019-12-06 00:53:41.780002	t	\N
4724	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	954134	955167	2019-12-06 00:53:49.816699	t	\N
4725	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970493	970912	2019-12-06 00:54:16.849405	t	\N
4726	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988137	988531	2019-12-06 00:54:40.883812	t	\N
4727	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	615	718928	570469	2019-12-06 00:54:41.919633	t	\N
4728	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009584	1010003	2019-12-06 00:55:18.931372	t	\N
4729	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	605	611550	614578	2019-12-06 00:55:41.055037	t	\N
4730	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1027422	1028316	2019-12-06 00:55:42.962132	t	\N
4731	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831122	831665	2019-12-06 00:56:08.012589	t	\N
4732	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	636603	637320	2019-12-06 00:56:08.119858	t	\N
4733	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833003	833400	2019-12-06 00:56:09.014623	t	\N
4734	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840737	841156	2019-12-06 00:56:20.033047	t	\N
4845	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869705	870124	2019-12-06 01:22:08.1712	t	\N
4735	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	654820	655236	2019-12-06 00:56:35.183593	t	\N
4736	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	661343	661795	2019-12-06 00:56:43.203902	t	\N
4737	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	172	680526	681453	2019-12-06 00:57:05.254664	t	\N
4738	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	682701	683120	2019-12-06 00:57:06.257817	t	\N
4739	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	876326	879383	2019-12-06 00:57:19.107667	t	\N
4740	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	708403	709186	2019-12-06 00:57:45.348206	t	\N
4741	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	915288	918307	2019-12-06 00:58:17.178057	t	\N
4742	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	642	600281	603477	2019-12-06 00:58:45.487369	t	\N
4743	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	948053	951608	2019-12-06 00:59:04.235632	t	\N
4744	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	203	623998	624654	2019-12-06 00:59:11.551384	t	\N
4745	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	626681	627409	2019-12-06 00:59:12.555401	t	\N
4746	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958968	959387	2019-12-06 00:59:15.250304	t	\N
4747	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	648483	648935	2019-12-06 00:59:43.62723	t	\N
4748	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	996371	999390	2019-12-06 01:00:16.35596	t	\N
4749	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010221	1010637	2019-12-06 01:00:28.371667	t	\N
4750	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1014314	1015307	2019-12-06 01:00:33.377927	t	\N
4751	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	691448	694935	2019-12-06 01:00:43.766755	t	\N
4752	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	827580	828976	2019-12-06 01:01:15.450342	t	\N
4753	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830942	831361	2019-12-06 01:01:18.454246	t	\N
4754	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838201	838598	2019-12-06 01:01:23.465531	t	\N
4755	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	844151	844736	2019-12-06 01:01:32.477803	t	\N
4756	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850414	850808	2019-12-06 01:01:41.489375	t	\N
4758	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	853693	867531	2019-12-06 01:01:44.49445	t	\N
4757	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	598	586739	589935	2019-12-06 01:01:43.907293	t	\N
4759	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	596492	596911	2019-12-06 01:01:52.929019	t	\N
4760	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874785	875446	2019-12-06 01:01:55.509575	t	\N
4761	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	882687	883321	2019-12-06 01:02:07.530108	t	\N
4762	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	886439	886980	2019-12-06 01:02:11.535451	t	\N
4763	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	888746	891831	2019-12-06 01:02:13.53836	t	\N
4764	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895428	895847	2019-12-06 01:02:18.545352	t	\N
4765	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	618179	618817	2019-12-06 01:02:19.991675	t	\N
4766	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	135	633547	633999	2019-12-06 01:02:41.045158	t	\N
4767	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	169	654665	656485	2019-12-06 01:03:07.106315	t	\N
4768	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	30	932300	935357	2019-12-06 01:03:18.620993	t	\N
4769	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	134	677629	678081	2019-12-06 01:03:41.186812	t	\N
4770	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	971419	974438	2019-12-06 01:04:17.708561	t	\N
4771	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	630	570286	573482	2019-12-06 01:04:41.327162	t	\N
4772	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	598503	599066	2019-12-06 01:05:12.39974	t	\N
4773	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1008052	1011334	2019-12-06 01:05:12.779313	t	\N
4774	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014936	1015355	2019-12-06 01:05:17.786023	t	\N
4775	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	618050	618566	2019-12-06 01:05:41.487874	t	\N
4776	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	841859	844918	2019-12-06 01:06:18.861117	t	\N
4777	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	855769	856895	2019-12-06 01:06:30.876235	t	\N
4778	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858713	859110	2019-12-06 01:06:33.886376	t	\N
4780	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	668535	678815	2019-12-06 01:06:41.636018	t	\N
4779	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	2134	661014	683290	2019-12-06 01:06:40.631536	t	\N
4781	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	687300	687749	2019-12-06 01:06:47.653108	t	\N
4782	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	692990	693409	2019-12-06 01:06:54.670896	t	\N
4783	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	703469	703949	2019-12-06 01:07:02.690354	t	\N
4784	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	883671	884090	2019-12-06 01:07:17.941344	t	\N
4785	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	579236	579690	2019-12-06 01:07:41.783231	t	\N
4786	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	914446	917789	2019-12-06 01:08:06.000767	t	\N
4787	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	600223	600850	2019-12-06 01:08:06.84292	t	\N
4788	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923941	924360	2019-12-06 01:08:16.013285	t	\N
4789	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	625397	625849	2019-12-06 01:08:42.933334	t	\N
4790	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	209	641425	642145	2019-12-06 01:08:59.976072	t	\N
4791	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	960760	963779	2019-12-06 01:09:17.089674	t	\N
4792	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	668128	668580	2019-12-06 01:09:40.069294	t	\N
4793	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	668	692975	696872	2019-12-06 01:10:12.143292	t	\N
4794	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1000238	1003257	2019-12-06 01:10:16.170161	t	\N
4795	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	714357	714809	2019-12-06 01:10:39.206843	t	\N
4796	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	578503	583303	2019-12-06 01:10:59.255521	t	\N
4797	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1032725	1036067	2019-12-06 01:11:03.236876	t	\N
4798	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	833354	833775	2019-12-06 01:11:14.295861	t	\N
4799	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838727	839121	2019-12-06 01:11:21.309464	t	\N
4800	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	851501	852224	2019-12-06 01:11:37.344586	t	\N
4801	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	609934	610386	2019-12-06 01:11:39.3459	t	\N
4802	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856054	856451	2019-12-06 01:11:43.35947	t	\N
4803	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	630510	630993	2019-12-06 01:12:03.403785	t	\N
4804	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873588	874007	2019-12-06 01:12:13.40614	t	\N
4805	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	890676	891310	2019-12-06 01:12:36.435042	t	\N
4806	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	654576	655092	2019-12-06 01:12:39.491177	t	\N
4807	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913275	913694	2019-12-06 01:13:15.482626	t	\N
4808	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	684	698452	701913	2019-12-06 01:13:41.656074	t	\N
4809	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	195	707324	708339	2019-12-06 01:13:48.67489	t	\N
4810	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	711995	712706	2019-12-06 01:13:52.684802	t	\N
4811	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	948641	952022	2019-12-06 01:14:11.552566	t	\N
4812	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953800	954219	2019-12-06 01:14:13.56217	t	\N
4813	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	599368	599822	2019-12-06 01:14:41.79778	t	\N
4814	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	990993	994012	2019-12-06 01:15:13.636058	t	\N
4815	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	643046	646176	2019-12-06 01:15:41.932213	t	\N
4816	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1031363	1034510	2019-12-06 01:16:14.710114	t	\N
4817	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	101	1036553	842528	2019-12-06 01:16:16.713107	t	\N
4818	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	850449	851198	2019-12-06 01:16:23.722461	t	\N
4819	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	688621	692437	2019-12-06 01:16:42.077823	t	\N
4820	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865728	866125	2019-12-06 01:16:48.759976	t	\N
4821	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	698854	699571	2019-12-06 01:16:52.101467	t	\N
4822	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	705128	705547	2019-12-06 01:16:58.116893	t	\N
4823	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878491	879032	2019-12-06 01:17:09.786151	t	\N
4824	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882089	882508	2019-12-06 01:17:13.791883	t	\N
4825	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	580653	581135	2019-12-06 01:17:27.184715	t	\N
4826	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	591686	592202	2019-12-06 01:17:42.224352	t	\N
4827	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	192	594893	595722	2019-12-06 01:17:44.230628	t	\N
4828	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	194	605244	606299	2019-12-06 01:17:58.265873	t	\N
4829	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	919260	922317	2019-12-06 01:18:13.867702	t	\N
4830	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	639281	639733	2019-12-06 01:18:43.377499	t	\N
4831	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	216	657215	657935	2019-12-06 01:19:04.426133	t	\N
4832	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	957840	960859	2019-12-06 01:19:11.93867	t	\N
4833	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	681614	682066	2019-12-06 01:19:41.508989	t	\N
4834	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	990066	990855	2019-12-06 01:19:59.005115	t	\N
4835	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	699155	699718	2019-12-06 01:20:00.554239	t	\N
4836	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	995933	996474	2019-12-06 01:20:06.014522	t	\N
4837	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999149	999568	2019-12-06 01:20:10.020226	t	\N
4838	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	578710	579164	2019-12-06 01:20:41.653896	t	\N
4839	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1035019	1038038	2019-12-06 01:21:08.092525	t	\N
4840	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1673	604599	618978	2019-12-06 01:21:13.731913	t	\N
4841	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836152	836548	2019-12-06 01:21:16.104622	t	\N
4844	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855739	856136	2019-12-06 01:21:45.142356	t	\N
4842	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	636132	636648	2019-12-06 01:21:41.798972	t	\N
4843	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	639736	640155	2019-12-06 01:21:44.808508	t	\N
4846	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	874208	874842	2019-12-06 01:22:14.179223	t	\N
4847	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	886512	888218	2019-12-06 01:22:27.195976	t	\N
4848	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	680166	683360	2019-12-06 01:22:41.94056	t	\N
4849	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	700456	701184	2019-12-06 01:23:01.990839	t	\N
4850	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	910550	913931	2019-12-06 01:23:07.244877	t	\N
4851	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915414	915833	2019-12-06 01:23:08.253676	t	\N
4852	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	581718	582300	2019-12-06 01:23:43.118667	t	\N
4853	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	813175	816234	2019-12-06 01:24:07.336403	t	\N
4854	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	662	624450	628039	2019-12-06 01:24:43.260426	t	\N
4855	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	846356	847389	2019-12-06 01:24:55.396374	t	\N
4856	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855144	855563	2019-12-06 01:25:08.4128	t	\N
4857	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	644	668688	671780	2019-12-06 01:25:41.396313	t	\N
4858	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	892705	895788	2019-12-06 01:26:08.490704	t	\N
4859	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	693794	694357	2019-12-06 01:26:08.460507	t	\N
4860	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900119	900660	2019-12-06 01:26:15.507702	t	\N
4861	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	717851	718303	2019-12-06 01:26:43.542365	t	\N
4862	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921991	922388	2019-12-06 01:26:46.54736	t	\N
4863	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	575761	576182	2019-12-06 01:26:48.569162	t	\N
4864	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	590974	591390	2019-12-06 01:27:03.606297	t	\N
4865	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935138	935557	2019-12-06 01:27:08.575447	t	\N
4866	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	618562	619014	2019-12-06 01:27:45.703734	t	\N
4867	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	971630	974649	2019-12-06 01:28:08.649364	t	\N
4868	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	661448	664578	2019-12-06 01:28:44.844123	t	\N
4869	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	220	673973	674718	2019-12-06 01:28:58.878555	t	\N
4870	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1010551	1013570	2019-12-06 01:29:07.724543	t	\N
4871	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	687209	687865	2019-12-06 01:29:11.911717	t	\N
4872	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	691873	692500	2019-12-06 01:29:16.924175	t	\N
4873	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020655	1021196	2019-12-06 01:29:19.746981	t	\N
4874	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	712923	713375	2019-12-06 01:29:46.99578	t	\N
4875	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	823050	826109	2019-12-06 01:30:07.806299	t	\N
4876	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	827971	828964	2019-12-06 01:30:10.810613	t	\N
4877	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	657	610125	613193	2019-12-06 01:30:46.146476	t	\N
4878	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	70	857480	871274	2019-12-06 01:30:55.866987	t	\N
4879	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878830	879249	2019-12-06 01:31:06.88245	t	\N
4880	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	882294	883043	2019-12-06 01:31:11.888769	t	\N
4881	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	893685	894079	2019-12-06 01:31:23.912775	t	\N
4882	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	671	650789	654435	2019-12-06 01:31:38.267218	t	\N
4883	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	659636	660152	2019-12-06 01:31:46.287033	t	\N
4884	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907983	908432	2019-12-06 01:31:46.949674	t	\N
4885	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909568	909965	2019-12-06 01:31:47.951439	t	\N
4886	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	914982	915627	2019-12-06 01:31:54.961291	t	\N
4887	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	923671	924090	2019-12-06 01:32:08.981217	t	\N
4888	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	689017	692348	2019-12-06 01:32:24.376264	t	\N
4889	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	937240	937946	2019-12-06 01:32:26.003331	t	\N
4890	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	706632	707084	2019-12-06 01:32:45.42635	t	\N
4891	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	187	708332	709289	2019-12-06 01:32:46.430291	t	\N
4892	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	186	718574	719309	2019-12-06 01:32:59.485209	t	\N
4893	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	960875	963894	2019-12-06 01:33:06.055948	t	\N
4894	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	986691	989792	2019-12-06 01:33:41.099474	t	\N
4895	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	608424	608940	2019-12-06 01:33:46.594291	t	\N
4896	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005662	1006114	2019-12-06 01:34:07.132196	t	\N
4897	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	651436	654630	2019-12-06 01:34:45.730777	t	\N
4898	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	815617	818676	2019-12-06 01:35:08.209944	t	\N
4899	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	681	683551	686818	2019-12-06 01:35:24.819947	t	\N
4900	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	832159	832872	2019-12-06 01:35:26.233383	t	\N
4901	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	702536	702988	2019-12-06 01:35:47.877428	t	\N
4902	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1680	705026	575449	2019-12-06 01:35:48.881137	t	\N
4903	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	856701	859720	2019-12-06 01:36:07.285877	t	\N
4904	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	599658	600107	2019-12-06 01:36:20.953642	t	\N
4905	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	604142	604561	2019-12-06 01:36:25.967113	t	\N
4906	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881272	881669	2019-12-06 01:36:40.327457	t	\N
4907	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	619084	619536	2019-12-06 01:36:48.019351	t	\N
4908	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898684	899103	2019-12-06 01:37:08.364777	t	\N
4909	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	683	648120	651278	2019-12-06 01:37:26.109307	t	\N
4910	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	665735	666187	2019-12-06 01:37:48.162958	t	\N
4911	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	936574	939593	2019-12-06 01:38:09.446468	t	\N
4912	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	690864	691427	2019-12-06 01:38:19.235777	t	\N
4913	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	693488	693904	2019-12-06 01:38:21.241978	t	\N
4914	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	951201	951742	2019-12-06 01:38:23.464354	t	\N
4915	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	712905	713357	2019-12-06 01:38:49.309378	t	\N
4916	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	235	719392	576662	2019-12-06 01:38:58.331449	t	\N
4917	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	979156	982175	2019-12-06 01:39:11.524435	t	\N
4918	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	614658	615110	2019-12-06 01:39:51.458306	t	\N
4919	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	1017054	1020073	2019-12-06 01:40:09.595809	t	\N
4920	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1137	655148	661357	2019-12-06 01:40:46.598102	t	\N
4921	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	663731	664183	2019-12-06 01:40:49.60834	t	\N
4922	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	316	546482	551324	2019-12-06 01:40:59.636654	t	\N
4923	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	831226	834285	2019-12-06 01:41:11.677005	t	\N
4924	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837764	838305	2019-12-06 01:41:16.690421	t	\N
4925	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	568033	568596	2019-12-06 01:41:25.696806	t	\N
4926	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	570260	570679	2019-12-06 01:41:26.700445	t	\N
4927	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856602	856996	2019-12-06 01:41:43.723455	t	\N
4928	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	860281	860915	2019-12-06 01:41:47.729468	t	\N
4929	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	586731	587183	2019-12-06 01:41:50.758826	t	\N
4930	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865701	866098	2019-12-06 01:41:54.738978	t	\N
4931	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876587	877006	2019-12-06 01:42:12.760913	t	\N
4932	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	704	628848	632773	2019-12-06 01:42:48.894	t	\N
4933	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	912404	915423	2019-12-06 01:43:10.83657	t	\N
4934	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	631	672533	675625	2019-12-06 01:43:46.028797	t	\N
4935	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	180	691276	692940	2019-12-06 01:44:04.078917	t	\N
4936	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	951718	955064	2019-12-06 01:44:09.909233	t	\N
4937	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956335	956754	2019-12-06 01:44:10.911047	t	\N
4938	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	703019	703646	2019-12-06 01:44:19.113672	t	\N
4939	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	545585	546039	2019-12-06 01:44:48.180902	t	\N
4940	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	994168	997187	2019-12-06 01:45:10.985589	t	\N
4941	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1019913	1020720	2019-12-06 01:45:46.029296	t	\N
4942	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	686	590568	593698	2019-12-06 01:45:50.324954	t	\N
4943	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035211	1035630	2019-12-06 01:46:10.066825	t	\N
4944	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	617517	618000	2019-12-06 01:46:20.394859	t	\N
4945	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	828416	842292	2019-12-06 01:46:39.124317	t	\N
4946	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846411	846808	2019-12-06 01:46:45.132412	t	\N
4947	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	637506	637958	2019-12-06 01:46:50.464755	t	\N
4948	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	643591	644007	2019-12-06 01:46:58.485647	t	\N
4949	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860729	861148	2019-12-06 01:47:08.162644	t	\N
4950	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862240	862781	2019-12-06 01:47:09.164488	t	\N
4951	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	659007	659698	2019-12-06 01:47:14.523339	t	\N
4952	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	233	671715	673189	2019-12-06 01:47:32.565948	t	\N
4953	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	685737	686189	2019-12-06 01:47:49.605823	t	\N
4954	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	899807	902864	2019-12-06 01:48:08.242623	t	\N
4955	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	714649	718310	2019-12-06 01:48:27.698729	t	\N
4956	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	179	554226	555614	2019-12-06 01:48:44.738998	t	\N
4957	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	559320	559964	2019-12-06 01:48:49.751872	t	\N
4958	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	468	571901	572776	2019-12-06 01:49:01.78157	t	\N
4959	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	939333	942352	2019-12-06 01:49:08.31655	t	\N
4960	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	201	582061	582717	2019-12-06 01:49:14.814201	t	\N
4961	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	605631	606147	2019-12-06 01:49:49.898015	t	\N
4962	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	975915	976456	2019-12-06 01:50:02.38346	t	\N
4963	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981502	981921	2019-12-06 01:50:10.393683	t	\N
4964	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	628372	628935	2019-12-06 01:50:18.966489	t	\N
4965	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	650126	650578	2019-12-06 01:50:50.040573	t	\N
4966	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1019536	1022555	2019-12-06 01:51:12.469191	t	\N
4967	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	672000	672419	2019-12-06 01:51:17.103426	t	\N
4968	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1549	676363	690742	2019-12-06 01:51:22.116725	t	\N
4969	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	818376	819012	2019-12-06 01:51:43.547924	t	\N
4970	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820040	820437	2019-12-06 01:51:44.549703	t	\N
4971	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	708965	709417	2019-12-06 01:51:50.18044	t	\N
4972	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830834	831228	2019-12-06 01:52:01.572315	t	\N
4973	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	833691	834274	2019-12-06 01:52:04.5765	t	\N
4974	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	838563	838982	2019-12-06 01:52:10.585258	t	\N
4975	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	635	575788	578920	2019-12-06 01:52:50.321657	t	\N
4976	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	873301	876686	2019-12-06 01:53:04.65658	t	\N
4977	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880702	881121	2019-12-06 01:53:10.66467	t	\N
4978	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	603798	604489	2019-12-06 01:53:22.398704	t	\N
4979	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	623422	623874	2019-12-06 01:53:50.463898	t	\N
4980	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	919718	922737	2019-12-06 01:54:12.742322	t	\N
4981	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	666144	669567	2019-12-06 01:54:49.625645	t	\N
4982	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	950366	951260	2019-12-06 01:54:55.796273	t	\N
4983	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961564	961983	2019-12-06 01:55:12.818061	t	\N
4984	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	983760	984793	2019-12-06 01:55:46.865466	t	\N
4985	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	627	712163	715255	2019-12-06 01:55:50.766939	t	\N
4986	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995773	996314	2019-12-06 01:56:04.889505	t	\N
4987	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	555176	555597	2019-12-06 01:56:07.808226	t	\N
4988	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001999	1002418	2019-12-06 01:56:12.90007	t	\N
4989	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	568752	569461	2019-12-06 01:56:27.854017	t	\N
4990	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024184	1024578	2019-12-06 01:56:46.94236	t	\N
4991	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	586840	587292	2019-12-06 01:56:52.913642	t	\N
4992	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030376	1030773	2019-12-06 01:56:54.954106	t	\N
4993	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	603818	604234	2019-12-06 01:57:10.958329	t	\N
4994	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	816167	816588	2019-12-06 01:57:13.002766	t	\N
4995	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	631522	632038	2019-12-06 01:57:53.062757	t	\N
4996	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	853812	856869	2019-12-06 01:58:14.078344	t	\N
4997	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	177	651231	652158	2019-12-06 01:58:16.118641	t	\N
4998	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	676270	677117	2019-12-06 01:58:53.203117	t	\N
4999	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	892505	895785	2019-12-06 01:59:12.150608	t	\N
5000	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	200	694653	695309	2019-12-06 01:59:14.252534	t	\N
5001	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898173	898592	2019-12-06 01:59:15.154815	t	\N
5002	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	704088	704651	2019-12-06 01:59:25.279853	t	\N
5003	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	917369	918362	2019-12-06 01:59:42.189277	t	\N
5004	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	549715	550169	2019-12-06 01:59:55.348031	t	\N
5005	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	934627	935376	2019-12-06 02:00:10.230676	t	\N
5006	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937851	938270	2019-12-06 02:00:13.234704	t	\N
5007	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951110	951526	2019-12-06 02:00:30.256798	t	\N
5008	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	966434	980228	2019-12-06 02:00:55.288247	t	\N
5009	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	624	592752	595882	2019-12-06 02:00:55.490458	t	\N
5010	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	604495	604914	2019-12-06 02:01:01.506417	t	\N
5011	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991219	991638	2019-12-06 02:01:13.311967	t	\N
5012	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	995961	996595	2019-12-06 02:01:20.325679	t	\N
5014	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1020517	1021124	2019-12-06 02:01:56.372059	t	\N
5013	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	710	640150	643242	2019-12-06 02:01:55.632373	t	\N
5015	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028419	1028835	2019-12-06 02:02:07.386728	t	\N
5016	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030035	1030432	2019-12-06 02:02:08.388603	t	\N
5017	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033781	1034200	2019-12-06 02:02:13.395249	t	\N
5018	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035963	1036504	2019-12-06 02:02:15.402985	t	\N
5019	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	158	668594	669221	2019-12-06 02:02:29.710775	t	\N
5020	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	200	681223	682052	2019-12-06 02:02:46.751351	t	\N
5021	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	159	689597	690113	2019-12-06 02:02:57.779325	t	\N
5022	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	848007	851066	2019-12-06 02:03:12.474527	t	\N
5023	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	866450	867902	2019-12-06 02:03:34.501398	t	\N
5024	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	879387	882488	2019-12-06 02:03:53.5255	t	\N
5025	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	610	559791	567745	2019-12-06 02:03:59.925454	t	\N
5026	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892231	892650	2019-12-06 02:04:10.546961	t	\N
5027	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	621	604581	607865	2019-12-06 02:04:59.08181	t	\N
5028	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	928555	931835	2019-12-06 02:05:09.625752	t	\N
5029	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933158	933577	2019-12-06 02:05:10.627775	t	\N
5030	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	633294	633857	2019-12-06 02:05:32.162574	t	\N
5031	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	650491	650943	2019-12-06 02:05:57.221518	t	\N
5032	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	661460	661879	2019-12-06 02:06:05.242215	t	\N
5033	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	971093	974112	2019-12-06 02:06:12.70286	t	\N
5034	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	688706	689219	2019-12-06 02:06:48.343348	t	\N
5035	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	138	695112	695692	2019-12-06 02:06:56.36289	t	\N
5036	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1003709	1004106	2019-12-06 02:07:00.761363	t	\N
5037	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1542	706800	547800	2019-12-06 02:07:05.385819	t	\N
5038	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010613	1011032	2019-12-06 02:07:11.775287	t	\N
5039	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	564142	564558	2019-12-06 02:07:32.447769	t	\N
5040	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	582117	582569	2019-12-06 02:07:58.510708	t	\N
5041	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	822236	825556	2019-12-06 02:08:08.868793	t	\N
5042	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827497	827916	2019-12-06 02:08:10.87196	t	\N
5043	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	609748	610311	2019-12-06 02:08:33.599161	t	\N
5044	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	626443	626895	2019-12-06 02:08:56.652632	t	\N
5045	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	863327	866377	2019-12-06 02:09:08.945918	t	\N
5046	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	198	648652	649308	2019-12-06 02:09:23.715608	t	\N
5047	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	675	670591	673849	2019-12-06 02:09:55.792442	t	\N
5048	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	902657	905676	2019-12-06 02:10:08.05124	t	\N
5049	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	715221	715673	2019-12-06 02:10:54.933386	t	\N
5050	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	166	546841	547262	2019-12-06 02:10:59.963062	t	\N
5051	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	937730	938364	2019-12-06 02:11:01.11673	t	\N
5052	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	679	555081	558215	2019-12-06 02:11:03.973134	t	\N
5053	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941886	942305	2019-12-06 02:11:06.128932	t	\N
5054	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	945502	946043	2019-12-06 02:11:11.135763	t	\N
5055	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	574074	574787	2019-12-06 02:11:27.025164	t	\N
5056	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	592201	592653	2019-12-06 02:11:53.087864	t	\N
5057	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	975094	975491	2019-12-06 02:11:55.189345	t	\N
5058	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	981871	982290	2019-12-06 02:12:06.206124	t	\N
5059	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1002231	1002625	2019-12-06 02:12:36.24304	t	\N
5060	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	613	634854	637920	2019-12-06 02:12:54.228997	t	\N
5061	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021732	1022151	2019-12-06 02:13:08.289307	t	\N
5062	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1024641	1025364	2019-12-06 02:13:12.294904	t	\N
5063	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	699	671176	675489	2019-12-06 02:13:40.338238	t	\N
5064	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	153	686145	686725	2019-12-06 02:13:56.376259	t	\N
5065	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	834988	835531	2019-12-06 02:14:03.385921	t	\N
5066	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840405	840824	2019-12-06 02:14:10.395658	t	\N
5067	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	706756	707464	2019-12-06 02:14:20.436288	t	\N
5068	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	661	558892	562216	2019-12-06 02:14:56.545319	t	\N
5069	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	877648	880705	2019-12-06 02:15:10.473201	t	\N
5070	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	895316	896123	2019-12-06 02:15:28.501863	t	\N
5071	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	598580	599191	2019-12-06 02:15:46.658961	t	\N
5072	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	907015	920869	2019-12-06 02:15:47.525732	t	\N
5073	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	606272	606724	2019-12-06 02:15:56.683585	t	\N
5074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935431	935850	2019-12-06 02:16:12.556902	t	\N
5075	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963012	963409	2019-12-06 02:16:55.610432	t	\N
5076	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	630	650046	653074	2019-12-06 02:16:56.825847	t	\N
5077	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	968360	968901	2019-12-06 02:17:02.62043	t	\N
5078	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976362	976781	2019-12-06 02:17:14.641221	t	\N
5079	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	177	670068	670897	2019-12-06 02:17:15.871474	t	\N
5080	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	674852	675580	2019-12-06 02:17:20.88416	t	\N
5081	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	684259	684739	2019-12-06 02:17:33.915359	t	\N
5082	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	700512	700964	2019-12-06 02:17:56.968819	t	\N
5083	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1013230	1016249	2019-12-06 02:18:13.71477	t	\N
5084	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	570413	570931	2019-12-06 02:18:54.102663	t	\N
5085	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	830900	833959	2019-12-06 02:19:13.787922	t	\N
5086	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	199	592490	593146	2019-12-06 02:19:20.165351	t	\N
5087	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	179	616064	617119	2019-12-06 02:19:55.246944	t	\N
5088	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	619160	619676	2019-12-06 02:19:56.250909	t	\N
5089	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	868899	872175	2019-12-06 02:20:09.859965	t	\N
5090	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875499	875918	2019-12-06 02:20:13.866034	t	\N
5091	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	642908	643617	2019-12-06 02:20:26.322654	t	\N
5092	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	654353	654772	2019-12-06 02:20:41.359956	t	\N
5093	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	663907	664359	2019-12-06 02:20:55.393463	t	\N
5094	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	904193	904827	2019-12-06 02:20:57.926321	t	\N
5095	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913469	913888	2019-12-06 02:21:12.945835	t	\N
5096	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	620	705770	709231	2019-12-06 02:21:53.527609	t	\N
5097	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940931	941328	2019-12-06 02:21:56.000789	t	\N
5098	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949725	950119	2019-12-06 02:22:10.018993	t	\N
5099	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951542	951961	2019-12-06 02:22:12.022125	t	\N
5100	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1540	562644	577748	2019-12-06 02:22:24.616814	t	\N
5101	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	969159	969948	2019-12-06 02:22:37.058033	t	\N
5102	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	596949	598132	2019-12-06 02:22:55.688312	t	\N
5103	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	986882	987423	2019-12-06 02:23:06.093827	t	\N
5104	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990803	991222	2019-12-06 02:23:10.099366	t	\N
5105	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	625282	625845	2019-12-06 02:23:32.774836	t	\N
5106	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	640945	642254	2019-12-06 02:23:55.831473	t	\N
5107	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1027535	1030554	2019-12-06 02:24:09.17299	t	\N
5108	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	683381	683833	2019-12-06 02:24:54.969038	t	\N
5109	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	845398	848457	2019-12-06 02:25:08.26869	t	\N
5110	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	709	718252	551634	2019-12-06 02:25:42.082767	t	\N
5111	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	559099	559615	2019-12-06 02:25:53.112999	t	\N
5112	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	883477	886761	2019-12-06 02:26:05.337193	t	\N
5113	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	888702	889735	2019-12-06 02:26:07.340301	t	\N
5114	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891634	892053	2019-12-06 02:26:08.34257	t	\N
5115	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	585674	588877	2019-12-06 02:26:26.191716	t	\N
5116	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	919419	919816	2019-12-06 02:26:52.397023	t	\N
5118	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930528	930947	2019-12-06 02:27:10.418863	t	\N
5117	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	606704	607220	2019-12-06 02:26:53.255127	t	\N
5119	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	628065	628609	2019-12-06 02:27:19.317138	t	\N
5120	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	650742	651258	2019-12-06 02:27:53.397077	t	\N
5121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	967137	970156	2019-12-06 02:28:10.499184	t	\N
5122	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	682	693476	696568	2019-12-06 02:28:52.531341	t	\N
5123	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	215	698610	699597	2019-12-06 02:28:55.539512	t	\N
5124	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1006029	1009045	2019-12-06 02:29:08.572456	t	\N
5125	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010918	1011459	2019-12-06 02:29:10.575645	t	\N
5126	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012737	1013156	2019-12-06 02:29:11.577677	t	\N
5127	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	550028	550721	2019-12-06 02:29:20.615432	t	\N
5128	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1035551	1036544	2019-12-06 02:29:44.6228	t	\N
5129	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	573556	574008	2019-12-06 02:29:54.692432	t	\N
5130	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830364	830785	2019-12-06 02:30:10.662653	t	\N
5131	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	832548	846342	2019-12-06 02:30:12.665829	t	\N
5132	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	866270	866904	2019-12-06 02:30:42.704225	t	\N
5133	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	673	613169	616266	2019-12-06 02:30:49.817603	t	\N
5134	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	872673	873433	2019-12-06 02:30:50.71514	t	\N
5135	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	226	620147	620956	2019-12-06 02:30:54.83002	t	\N
5136	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	622204	622784	2019-12-06 02:30:55.83396	t	\N
5137	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886020	886439	2019-12-06 02:31:11.742017	t	\N
5138	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	632	666105	669261	2019-12-06 02:31:57.981268	t	\N
5139	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919508	919905	2019-12-06 02:32:04.812371	t	\N
5140	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923579	923973	2019-12-06 02:32:09.81924	t	\N
5141	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925332	925751	2019-12-06 02:32:11.822319	t	\N
5142	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	929504	930045	2019-12-06 02:32:16.829097	t	\N
5143	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	689689	690252	2019-12-06 02:32:23.045129	t	\N
5144	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	179	707862	708691	2019-12-06 02:32:50.109674	t	\N
5145	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	714961	715413	2019-12-06 02:32:58.130679	t	\N
5146	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	963935	966992	2019-12-06 02:33:10.9053	t	\N
5147	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	177	571398	572007	2019-12-06 02:33:30.20588	t	\N
5148	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	591420	591872	2019-12-06 02:33:59.273856	t	\N
5149	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1003677	1006696	2019-12-06 02:34:10.987801	t	\N
5150	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1018940	1022041	2019-12-06 02:34:26.006908	t	\N
5151	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	678	640821	643887	2019-12-06 02:35:01.418413	t	\N
5152	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	827211	830270	2019-12-06 02:35:09.063068	t	\N
5153	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	834868	835409	2019-12-06 02:35:17.073851	t	\N
5154	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	152	654899	655462	2019-12-06 02:35:18.459284	t	\N
5155	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	658	682913	690602	2019-12-06 02:36:00.55755	t	\N
5156	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	692499	692951	2019-12-06 02:36:01.561237	t	\N
5157	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	869544	872563	2019-12-06 02:36:10.141871	t	\N
5158	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	703030	703510	2019-12-06 02:36:16.598918	t	\N
5159	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	562753	570387	2019-12-06 02:37:00.704428	t	\N
5160	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906092	906489	2019-12-06 02:37:03.213657	t	\N
5161	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910794	911213	2019-12-06 02:37:10.223272	t	\N
5162	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1635	587404	605138	2019-12-06 02:37:26.767021	t	\N
5163	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	663	597807	605318	2019-12-06 02:37:27.770984	t	\N
5164	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	613507	614020	2019-12-06 02:37:38.797856	t	\N
5165	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	628157	628609	2019-12-06 02:38:00.851436	t	\N
5166	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	947282	950301	2019-12-06 02:38:08.295518	t	\N
5167	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	641281	641844	2019-12-06 02:38:12.882146	t	\N
5168	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954987	955528	2019-12-06 02:38:16.306344	t	\N
5169	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	665	672975	681026	2019-12-06 02:39:00.994919	t	\N
5170	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	212	682274	682930	2019-12-06 02:39:01.999062	t	\N
5171	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	989148	992167	2019-12-06 02:39:08.371209	t	\N
5172	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	648	718948	554249	2019-12-06 02:39:59.134224	t	\N
5173	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	640	561875	565137	2019-12-06 02:40:03.145004	t	\N
5174	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1028749	1031768	2019-12-06 02:40:08.454379	t	\N
5175	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	844393	845029	2019-12-06 02:40:59.536745	t	\N
5176	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	601569	604692	2019-12-06 02:41:00.27762	t	\N
5177	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	610073	610525	2019-12-06 02:41:01.282078	t	\N
5178	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	615590	616371	2019-12-06 02:41:07.296974	t	\N
5179	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851174	851593	2019-12-06 02:41:08.549648	t	\N
5180	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853016	853557	2019-12-06 02:41:10.552873	t	\N
5181	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	683	656720	660207	2019-12-06 02:42:03.427783	t	\N
5182	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	887044	887463	2019-12-06 02:42:04.619239	t	\N
5183	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890775	891194	2019-12-06 02:42:08.625121	t	\N
5184	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903974	904368	2019-12-06 02:42:25.646355	t	\N
5185	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	701167	705036	2019-12-06 02:43:01.565763	t	\N
5186	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	928957	932014	2019-12-06 02:43:08.699701	t	\N
5187	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	333	553878	554485	2019-12-06 02:43:27.641008	t	\N
5188	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	582312	582828	2019-12-06 02:44:03.720821	t	\N
5189	Jobs::ActivationReminderEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	584472	585684	2019-12-06 02:44:04.724574	t	\N
5190	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	968810	971829	2019-12-06 02:44:08.774254	t	\N
5191	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	973962	974503	2019-12-06 02:44:12.780292	t	\N
5192	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	591944	592507	2019-12-06 02:44:13.75045	t	\N
5193	Jobs::ReindexSearch	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	439	600111	601903	2019-12-06 02:44:23.775259	t	\N
5194	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	605067	606017	2019-12-06 02:44:26.797641	t	\N
5195	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	633513	633965	2019-12-06 02:45:01.878505	t	\N
5196	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1009068	1012087	2019-12-06 02:45:07.855788	t	\N
5197	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	71	821985	836131	2019-12-06 02:45:52.910871	t	\N
5198	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	691	670704	673962	2019-12-06 02:45:59.013067	t	\N
5199	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844081	844500	2019-12-06 02:46:05.927428	t	\N
5200	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	685077	685496	2019-12-06 02:46:09.038235	t	\N
5201	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	862671	863420	2019-12-06 02:46:32.960875	t	\N
5202	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	703	717355	554817	2019-12-06 02:46:59.153223	t	\N
5203	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881896	882315	2019-12-06 02:47:05.002846	t	\N
5204	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883818	884215	2019-12-06 02:47:07.010912	t	\N
5205	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891763	892304	2019-12-06 02:47:19.026325	t	\N
5206	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	571791	572508	2019-12-06 02:47:19.202059	t	\N
5207	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	194	577852	578681	2019-12-06 02:47:26.219582	t	\N
5208	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	232	584057	585385	2019-12-06 02:47:32.235373	t	\N
5209	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	591348	591764	2019-12-06 02:47:40.254718	t	\N
5210	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	603856	604308	2019-12-06 02:47:57.296111	t	\N
5211	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921927	922346	2019-12-06 02:48:05.083873	t	\N
5212	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	217	641095	641833	2019-12-06 02:48:49.434687	t	\N
5213	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	648961	649413	2019-12-06 02:48:59.458926	t	\N
5214	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	959434	962491	2019-12-06 02:49:07.159843	t	\N
5215	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	692053	695412	2019-12-06 02:50:00.601395	t	\N
5216	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	999122	1002141	2019-12-06 02:50:07.234718	t	\N
5217	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005318	1005859	2019-12-06 02:50:12.248448	t	\N
5218	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	712981	713544	2019-12-06 02:50:21.650628	t	\N
5219	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	478	553394	554335	2019-12-06 02:50:29.68677	t	\N
5220	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	186	564050	565105	2019-12-06 02:50:42.72046	t	\N
5221	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	1028408	1028991	2019-12-06 02:50:45.291718	t	\N
5222	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	1035363	1035997	2019-12-06 02:50:54.303356	t	\N
5223	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	576106	576622	2019-12-06 02:50:58.758428	t	\N
5224	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	585041	585460	2019-12-06 02:51:03.771393	t	\N
5225	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	827096	827517	2019-12-06 02:51:09.342249	t	\N
5226	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	656	622260	629689	2019-12-06 02:52:00.905119	t	\N
5227	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	862409	865530	2019-12-06 02:52:07.414643	t	\N
5228	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868815	869212	2019-12-06 02:52:11.427668	t	\N
5230	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	881835	882251	2019-12-06 02:52:27.449762	t	\N
5229	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1619	646247	661618	2019-12-06 02:52:26.967323	t	\N
5231	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	885099	885993	2019-12-06 02:52:30.453051	t	\N
5232	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	687404	688516	2019-12-06 02:53:02.052598	t	\N
5233	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905600	906019	2019-12-06 02:53:05.501118	t	\N
5234	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	910234	910775	2019-12-06 02:53:12.512975	t	\N
5235	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	703218	703781	2019-12-06 02:53:24.105798	t	\N
5236	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	683	561408	564540	2019-12-06 02:54:00.205389	t	\N
5237	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943886	944305	2019-12-06 02:54:04.584952	t	\N
5238	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	606645	609801	2019-12-06 02:55:00.344447	t	\N
5239	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	29	981412	984431	2019-12-06 02:55:05.662685	t	\N
5240	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	645620	646039	2019-12-06 02:55:49.46176	t	\N
5241	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	652406	652858	2019-12-06 02:55:58.482586	t	\N
5242	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1022213	1025232	2019-12-06 02:56:07.740916	t	\N
5243	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1028806	1029347	2019-12-06 02:56:12.748312	t	\N
5244	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	669905	670468	2019-12-06 02:56:17.528675	t	\N
5245	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	696808	699964	2019-12-06 02:56:57.62282	t	\N
5246	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	843927	844390	2019-12-06 02:57:02.816723	t	\N
5247	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847444	847863	2019-12-06 02:57:06.827784	t	\N
5248	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	851409	852442	2019-12-06 02:57:11.834657	t	\N
5249	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	717357	718104	2019-12-06 02:57:18.67308	t	\N
5250	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875362	875778	2019-12-06 02:57:47.878664	t	\N
5251	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	627	579065	582261	2019-12-06 02:57:58.767093	t	\N
5252	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886927	887346	2019-12-06 02:58:04.900647	t	\N
5253	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896985	897379	2019-12-06 02:58:21.922008	t	\N
5254	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	199	619847	620503	2019-12-06 02:58:51.890866	t	\N
5255	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	625659	626111	2019-12-06 02:58:57.906481	t	\N
5256	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	922228	923221	2019-12-06 02:58:58.97312	t	\N
5257	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927098	927517	2019-12-06 02:59:04.981061	t	\N
5258	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	935057	935598	2019-12-06 02:59:18.002692	t	\N
5259	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	648106	648887	2019-12-06 02:59:25.971829	t	\N
5260	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	668951	669403	2019-12-06 02:59:57.044147	t	\N
5261	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	963986	964405	2019-12-06 03:00:02.058281	t	\N
5262	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	998886	1002147	2019-12-06 03:00:57.126979	t	\N
5263	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	654	712665	716424	2019-12-06 03:00:57.185152	t	\N
5264	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	718927	719410	2019-12-06 03:01:01.196441	t	\N
5265	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005798	1006217	2019-12-06 03:01:02.141393	t	\N
5266	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	181	567072	568063	2019-12-06 03:01:12.224243	t	\N
5267	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1012515	1013322	2019-12-06 03:01:13.155998	t	\N
5268	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	1016671	1030481	2019-12-06 03:01:18.162481	t	\N
5269	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	615	598583	601777	2019-12-06 03:01:59.334369	t	\N
5270	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843188	843587	2019-12-06 03:02:02.218496	t	\N
5271	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844807	845226	2019-12-06 03:02:03.220769	t	\N
5272	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855487	856028	2019-12-06 03:02:21.249019	t	\N
5273	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	622541	623168	2019-12-06 03:02:25.397923	t	\N
5274	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	173	630329	631158	2019-12-06 03:02:34.42154	t	\N
5275	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871211	871605	2019-12-06 03:02:40.273427	t	\N
5276	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	881696	882281	2019-12-06 03:02:57.2956	t	\N
5277	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	647734	648186	2019-12-06 03:02:59.483278	t	\N
5278	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887226	887645	2019-12-06 03:03:05.306151	t	\N
5279	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	917820	921899	2019-12-06 03:03:52.392568	t	\N
5280	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	640	691246	698573	2019-12-06 03:04:01.628932	t	\N
5281	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930414	930833	2019-12-06 03:04:06.410094	t	\N
5282	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	950345	951261	2019-12-06 03:04:35.445928	t	\N
5283	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	955333	958434	2019-12-06 03:04:41.454218	t	\N
5284	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	655	572877	576073	2019-12-06 03:05:00.779207	t	\N
5285	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972578	972997	2019-12-06 03:05:05.485792	t	\N
5286	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	592275	592988	2019-12-06 03:05:18.823661	t	\N
5287	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982583	983124	2019-12-06 03:05:22.506674	t	\N
5288	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	643	619175	622267	2019-12-06 03:05:58.917096	t	\N
5289	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	144	628570	629053	2019-12-06 03:06:01.92537	t	\N
5290	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011212	1011631	2019-12-06 03:06:04.564336	t	\N
5291	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	664573	665089	2019-12-06 03:06:57.059746	t	\N
5292	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	832714	835773	2019-12-06 03:07:04.638891	t	\N
5293	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841064	841461	2019-12-06 03:07:13.651105	t	\N
5294	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	651	690646	693805	2019-12-06 03:07:31.142089	t	\N
5295	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1600	699576	714344	2019-12-06 03:07:38.159637	t	\N
5296	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	562253	562707	2019-12-06 03:07:56.201679	t	\N
5297	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874027	874446	2019-12-06 03:08:04.714158	t	\N
5298	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881644	882185	2019-12-06 03:08:17.731633	t	\N
5299	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	585914	586477	2019-12-06 03:08:26.273591	t	\N
5300	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	206	597401	598057	2019-12-06 03:08:41.309371	t	\N
5301	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	604801	605250	2019-12-06 03:08:50.331468	t	\N
5302	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	609258	609710	2019-12-06 03:08:55.343702	t	\N
5303	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912856	913275	2019-12-06 03:09:05.796056	t	\N
5304	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	633648	637161	2019-12-06 03:09:26.4168	t	\N
5305	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	655046	655562	2019-12-06 03:09:53.481301	t	\N
5306	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	950318	953337	2019-12-06 03:10:05.868716	t	\N
5307	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	621	697731	700925	2019-12-06 03:10:53.620732	t	\N
5308	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	705617	706164	2019-12-06 03:11:00.639122	t	\N
5309	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	990057	993076	2019-12-06 03:11:05.941372	t	\N
5310	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996589	997130	2019-12-06 03:11:10.948473	t	\N
5311	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1000531	1001254	2019-12-06 03:11:14.954295	t	\N
5312	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1004842	1005476	2019-12-06 03:11:20.967901	t	\N
5313	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	566815	567541	2019-12-06 03:11:28.719786	t	\N
5314	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	139	583472	583924	2019-12-06 03:11:52.780366	t	\N
5315	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033952	1034371	2019-12-06 03:12:05.021377	t	\N
5316	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824593	824992	2019-12-06 03:12:13.051558	t	\N
5317	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836581	836975	2019-12-06 03:12:27.071773	t	\N
5318	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	599	627091	630945	2019-12-06 03:12:52.932894	t	\N
5319	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858201	858620	2019-12-06 03:13:04.118668	t	\N
5320	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	609	671900	675120	2019-12-06 03:13:51.075436	t	\N
5321	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	894373	897430	2019-12-06 03:14:02.21017	t	\N
5323	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	901351	902064	2019-12-06 03:14:08.218922	t	\N
5322	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	175	691126	692141	2019-12-06 03:14:08.124349	t	\N
5324	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	709838	710401	2019-12-06 03:14:35.193354	t	\N
5325	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	136	559863	560317	2019-12-06 03:14:50.233673	t	\N
5326	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	935331	935750	2019-12-06 03:15:01.285291	t	\N
5327	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	958568	972436	2019-12-06 03:15:35.327342	t	\N
5328	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	666	600904	604429	2019-12-06 03:15:48.370348	t	\N
5329	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	985669	986418	2019-12-06 03:15:58.35638	t	\N
5330	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988878	989297	2019-12-06 03:16:01.366975	t	\N
5331	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	618740	619159	2019-12-06 03:16:03.406663	t	\N
5386	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	611803	612430	2019-12-06 03:29:34.333357	t	\N
5332	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	647551	648003	2019-12-06 03:16:48.511566	t	\N
5333	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	186	651047	651876	2019-12-06 03:16:52.522047	t	\N
5334	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1026954	1029973	2019-12-06 03:17:01.442762	t	\N
5335	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035834	1036231	2019-12-06 03:17:10.454879	t	\N
5336	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	825669	826212	2019-12-06 03:17:14.460417	t	\N
5337	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	676143	676559	2019-12-06 03:17:23.595706	t	\N
5338	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	688842	689469	2019-12-06 03:17:42.640513	t	\N
5339	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	694743	695259	2019-12-06 03:17:48.656298	t	\N
5340	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857268	857687	2019-12-06 03:18:02.520094	t	\N
5341	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	660	576990	580186	2019-12-06 03:18:48.813608	t	\N
5342	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	893176	896297	2019-12-06 03:19:00.596532	t	\N
5343	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	597269	597925	2019-12-06 03:19:08.859894	t	\N
5344	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	622381	622833	2019-12-06 03:19:46.949088	t	\N
5345	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	932346	935365	2019-12-06 03:20:00.670649	t	\N
5346	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	945423	945964	2019-12-06 03:20:18.693538	t	\N
5347	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	690	662311	665589	2019-12-06 03:20:42.076442	t	\N
5348	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	668970	669486	2019-12-06 03:20:46.086661	t	\N
5349	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	973325	973744	2019-12-06 03:21:00.74657	t	\N
5350	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	974836	975470	2019-12-06 03:21:01.748374	t	\N
5351	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	155	690861	691344	2019-12-06 03:21:13.150554	t	\N
5352	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	198	710665	711720	2019-12-06 03:21:42.218747	t	\N
5353	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	715269	715785	2019-12-06 03:21:46.229601	t	\N
5354	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1012115	1015134	2019-12-06 03:22:00.827324	t	\N
5355	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032086	1032483	2019-12-06 03:22:24.85771	t	\N
5356	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1690	585392	600162	2019-12-06 03:22:25.319871	t	\N
5357	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1034545	1034950	2019-12-06 03:22:27.863216	t	\N
5358	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1037783	1038572	2019-12-06 03:22:30.867827	t	\N
5359	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	154	614565	615741	2019-12-06 03:22:48.376055	t	\N
5360	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842812	843231	2019-12-06 03:23:00.908519	t	\N
5361	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	850194	851900	2019-12-06 03:23:12.928739	t	\N
5362	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	854364	854905	2019-12-06 03:23:14.931803	t	\N
5363	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	653185	656644	2019-12-06 03:23:39.49735	t	\N
5364	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	661516	662363	2019-12-06 03:23:46.514967	t	\N
5365	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884265	884684	2019-12-06 03:24:00.990658	t	\N
5366	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	669	705289	708381	2019-12-06 03:24:47.654553	t	\N
5367	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	922086	925143	2019-12-06 03:25:02.065391	t	\N
5368	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	592346	595414	2019-12-06 03:25:47.791436	t	\N
5369	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	960510	963593	2019-12-06 03:26:00.138235	t	\N
5370	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967750	968291	2019-12-06 03:26:07.154373	t	\N
5371	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	612832	613251	2019-12-06 03:26:07.837706	t	\N
5372	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	634968	635531	2019-12-06 03:26:39.91316	t	\N
5373	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	640966	641418	2019-12-06 03:26:47.934283	t	\N
5374	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1001561	1004580	2019-12-06 03:27:01.221962	t	\N
5375	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012696	1013093	2019-12-06 03:27:15.239295	t	\N
5376	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1016811	1017227	2019-12-06 03:27:20.246743	t	\N
5377	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	640	678282	682393	2019-12-06 03:27:38.056002	t	\N
5378	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	143	688267	688783	2019-12-06 03:27:47.078434	t	\N
5379	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830327	830748	2019-12-06 03:27:59.294104	t	\N
5380	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	832833	833826	2019-12-06 03:28:03.304405	t	\N
5381	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	844862	845895	2019-12-06 03:28:22.327755	t	\N
5382	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	659	572565	575889	2019-12-06 03:28:47.221512	t	\N
5383	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869402	869821	2019-12-06 03:28:58.372715	t	\N
5384	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877872	878413	2019-12-06 03:29:11.389156	t	\N
5385	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	214	601287	602007	2019-12-06 03:29:20.300362	t	\N
5387	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	620409	620861	2019-12-06 03:29:45.359177	t	\N
5389	Jobs::PendingReviewablesReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	221	651945	652690	2019-12-06 03:30:28.460972	t	\N
5392	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	664771	665223	2019-12-06 03:30:44.499209	t	\N
5395	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	685743	686162	2019-12-06 03:31:09.559409	t	\N
5396	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	707289	707805	2019-12-06 03:31:42.635036	t	\N
5397	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	715332	716140	2019-12-06 03:31:53.661185	t	\N
5388	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	907575	907994	2019-12-06 03:29:58.446806	t	\N
5390	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	933612	934246	2019-12-06 03:30:37.503564	t	\N
5391	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	938966	939715	2019-12-06 03:30:44.513036	t	\N
5393	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	946809	960731	2019-12-06 03:30:55.52726	t	\N
5394	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962595	963014	2019-12-06 03:30:58.531954	t	\N
5398	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026459	1026878	2019-12-06 03:31:58.606904	t	\N
5399	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	828093	828636	2019-12-06 03:32:14.63064	t	\N
5400	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831113	831510	2019-12-06 03:32:17.636555	t	\N
5401	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846228	846622	2019-12-06 03:32:36.66019	t	\N
5402	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	677	591098	594352	2019-12-06 03:32:37.765819	t	\N
5403	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	597671	598123	2019-12-06 03:32:40.774051	t	\N
5404	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858875	859294	2019-12-06 03:32:57.686014	t	\N
5405	Jobs::PendingQueuedPostsReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	698	638628	641811	2019-12-06 03:33:37.909488	t	\N
5406	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	645382	645834	2019-12-06 03:33:41.920047	t	\N
5407	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	896484	899541	2019-12-06 03:33:58.769932	t	\N
5408	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	648	688793	691821	2019-12-06 03:34:43.081071	t	\N
5409	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	936847	939866	2019-12-06 03:34:58.857083	t	\N
5410	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	953517	954058	2019-12-06 03:35:21.886512	t	\N
5411	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	672	567971	571432	2019-12-06 03:35:29.203226	t	\N
5412	Jobs::PendingUsersReminder	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	573542	573958	2019-12-06 03:35:31.209072	t	\N
5413	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	583715	584167	2019-12-06 03:35:44.240388	t	\N
5414	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978367	978786	2019-12-06 03:35:57.93305	t	\N
5415	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	980006	983171	2019-12-06 03:35:58.934936	t	\N
5416	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	604815	605234	2019-12-06 03:36:09.299214	t	\N
5417	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	629324	629776	2019-12-06 03:36:46.386793	t	\N
5418	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1018632	1021651	2019-12-06 03:36:56.006991	t	\N
5419	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1651	652286	666723	2019-12-06 03:37:14.455863	t	\N
5420	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832511	832910	2019-12-06 03:37:27.053545	t	\N
5421	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	684467	684947	2019-12-06 03:37:43.526811	t	\N
5422	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	688955	689471	2019-12-06 03:37:48.540089	t	\N
5423	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850201	850620	2019-12-06 03:37:57.09151	t	\N
5424	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	861795	862336	2019-12-06 03:38:17.117133	t	\N
5425	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	656	567941	571131	2019-12-06 03:38:36.653932	t	\N
5426	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	889207	889659	2019-12-06 03:38:55.169097	t	\N
5427	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	669833	670285	2019-12-06 03:39:40.703906	t	\N
5428	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	208	671771	672427	2019-12-06 03:39:41.707757	t	\N
5429	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	929496	932553	2019-12-06 03:39:54.247092	t	\N
5430	Jobs::DashboardStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	685986	686435	2019-12-06 03:40:01.757417	t	\N
5431	Jobs::AboutStats	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	664	706150	709460	2019-12-06 03:40:25.821207	t	\N
5432	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	565809	566327	2019-12-06 03:40:38.87015	t	\N
5433	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	969807	972826	2019-12-06 03:40:54.330913	t	\N
5434	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	976290	976924	2019-12-06 03:40:59.33781	t	\N
5435	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	595456	595875	2019-12-06 03:41:16.972125	t	\N
5436	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987741	988282	2019-12-06 03:41:17.36064	t	\N
5437	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	148	608965	609417	2019-12-06 03:41:36.0232	t	\N
5438	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	611685	612248	2019-12-06 03:41:38.028926	t	\N
5439	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011780	1012199	2019-12-06 03:41:52.403701	t	\N
5440	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025775	1026172	2019-12-06 03:42:15.432215	t	\N
5441	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030686	1031080	2019-12-06 03:42:23.44795	t	\N
5442	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	647	655047	658305	2019-12-06 03:42:38.173369	t	\N
5443	Jobs::DirectoryRefreshDaily	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	329	660484	661153	2019-12-06 03:42:40.17952	t	\N
5444	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841838	842259	2019-12-06 03:42:52.484812	t	\N
5445	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	664	701887	705061	2019-12-06 03:43:37.315177	t	\N
5446	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	879130	882187	2019-12-06 03:43:52.558045	t	\N
5447	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	896740	897281	2019-12-06 03:44:18.590676	t	\N
5448	Jobs::DestroyOldDeletionStubs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	699	592809	596778	2019-12-06 03:44:37.46233	t	\N
5449	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	597962	598414	2019-12-06 03:44:38.466417	t	\N
5450	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	600653	601216	2019-12-06 03:44:39.469859	t	\N
5451	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920268	920687	2019-12-06 03:44:52.632931	t	\N
5452	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	652	642308	645336	2019-12-06 03:45:36.60121	t	\N
5453	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	949141	949948	2019-12-06 03:45:38.69476	t	\N
5454	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958490	958909	2019-12-06 03:45:51.710436	t	\N
5455	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	679124	679607	2019-12-06 03:46:23.712793	t	\N
5456	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	984561	998371	2019-12-06 03:46:32.761525	t	\N
5457	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	184	687943	688772	2019-12-06 03:46:34.739679	t	\N
5458	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	690645	691161	2019-12-06 03:46:36.746117	t	\N
5459	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1008389	1008808	2019-12-06 03:46:49.785262	t	\N
5460	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	145	572192	572674	2019-12-06 03:47:25.864876	t	\N
5461	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033287	1033828	2019-12-06 03:47:26.830715	t	\N
5462	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035776	1036195	2019-12-06 03:47:28.840409	t	\N
5463	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	577106	577669	2019-12-06 03:47:31.880068	t	\N
5464	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	581951	582734	2019-12-06 03:47:36.892733	t	\N
5465	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838721	839142	2019-12-06 03:47:47.864034	t	\N
5466	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	865886	866469	2019-12-06 03:48:29.915387	t	\N
5467	Jobs::CleanUpAssociatedAccounts	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	868802	869327	2019-12-06 03:48:31.919015	t	\N
5468	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	613	624348	627891	2019-12-06 03:48:36.03167	t	\N
5469	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878641	879060	2019-12-06 03:48:48.941312	t	\N
5470	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	195	655583	656239	2019-12-06 03:49:13.120111	t	\N
5471	Jobs::CreateMissingAvatars	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	207	660183	661657	2019-12-06 03:49:18.133474	t	\N
5472	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	137	674233	674895	2019-12-06 03:49:36.177652	t	\N
5473	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	916550	919607	2019-12-06 03:49:50.025778	t	\N
5474	Jobs::VersionCheck	iZj6chkije5xk0gfyvcrzyZ-web-only	127	755	921869	927624	2019-12-06 03:49:51.027479	t	\N
5475	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950453	950994	2019-12-06 03:50:28.074125	t	\N
5476	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	953974	954608	2019-12-06 03:50:31.078944	t	\N
5477	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	681	715785	566375	2019-12-06 03:50:34.314115	t	\N
5478	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	567903	568355	2019-12-06 03:50:35.318059	t	\N
5479	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966076	966495	2019-12-06 03:50:51.105199	t	\N
5480	Jobs::InvalidateInactiveAdmins	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	974328	975255	2019-12-06 03:51:04.125847	t	\N
5481	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	604575	604994	2019-12-06 03:51:26.439041	t	\N
5482	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	612898	613414	2019-12-06 03:51:37.469449	t	\N
5483	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1004126	1007145	2019-12-06 03:51:50.182852	t	\N
5484	Jobs::TopRefreshToday	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	488	624839	626831	2019-12-06 03:51:54.513047	t	\N
5485	Jobs::EnqueueDigestEmails	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	189	629270	630325	2019-12-06 03:51:58.523485	t	\N
5486	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1632	633555	652099	2019-12-06 03:52:01.531967	t	\N
5487	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031245	1031639	2019-12-06 03:52:25.22778	t	\N
5488	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035116	1035513	2019-12-06 03:52:30.235342	t	\N
5489	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	675467	675983	2019-12-06 03:52:38.617538	t	\N
5490	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	838125	839021	2019-12-06 03:52:48.257055	t	\N
5491	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840444	840863	2019-12-06 03:52:50.266236	t	\N
5492	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864890	865431	2019-12-06 03:53:26.322115	t	\N
5493	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	711120	711975	2019-12-06 03:53:27.735053	t	\N
5494	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	149	566716	567894	2019-12-06 03:53:39.780281	t	\N
5495	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878568	878987	2019-12-06 03:53:50.352099	t	\N
5496	Jobs::PurgeOldWebHookEvents	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	882623	883215	2019-12-06 03:53:55.358515	t	\N
5497	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	679	610579	614040	2019-12-06 03:54:39.920596	t	\N
5498	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	918696	921753	2019-12-06 03:54:52.428325	t	\N
5499	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	674	657031	660105	2019-12-06 03:55:41.066203	t	\N
5500	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	959776	962795	2019-12-06 03:55:54.5115	t	\N
5501	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	689974	690537	2019-12-06 03:56:21.157999	t	\N
5502	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	694780	695199	2019-12-06 03:56:26.171288	t	\N
5504	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	151	706661	707177	2019-12-06 03:56:43.212467	t	\N
5506	Jobs::MigrateUploadScheme	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	573430	573848	2019-12-06 03:57:05.280077	t	\N
5511	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	150	598472	598924	2019-12-06 03:57:43.371115	t	\N
5503	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985104	985645	2019-12-06 03:56:28.553717	t	\N
5505	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1000485	1000904	2019-12-06 03:56:53.585265	t	\N
5507	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017480	1017899	2019-12-06 03:57:23.623074	t	\N
5508	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1028003	1028397	2019-12-06 03:57:34.636376	t	\N
5509	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1031111	1032104	2019-12-06 03:57:38.649264	t	\N
5510	Jobs::CleanUpUnmatchedIPs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1035143	1035795	2019-12-06 03:57:42.654599	t	\N
5512	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835471	835892	2019-12-06 03:57:53.668463	t	\N
5513	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	839707	840123	2019-12-06 03:57:59.675793	t	\N
5514	Jobs::AutoExpireUserApiKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846520	847068	2019-12-06 03:58:10.690058	t	\N
5515	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	653	640607	644196	2019-12-06 03:58:41.509856	t	\N
5516	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	875516	878573	2019-12-06 03:58:53.748335	t	\N
5517	Jobs::EnqueueOnceoffs	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	207	663593	664313	2019-12-06 03:59:05.568164	t	\N
5518	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	890506	891539	2019-12-06 03:59:14.775074	t	\N
5519	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	673657	674284	2019-12-06 03:59:19.602124	t	\N
5520	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	906739	907280	2019-12-06 03:59:35.801637	t	\N
5521	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	687844	688360	2019-12-06 03:59:39.649681	t	\N
5522	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918637	919056	2019-12-06 03:59:53.823563	t	\N
5524	Jobs::Tl3Promotions	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	923395	925311	2019-12-06 04:00:00.832624	t	\N
5523	Jobs::Tl3Promotions	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	225	702728	704731	2019-12-06 04:00:00.698919	t	\N
5525	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	931236	931823	2019-12-06 04:00:09.850785	t	\N
5526	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	231	949702	810779	2019-12-06 04:00:35.897093	t	\N
5527	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	147	581992	582446	2019-12-06 04:00:39.788054	t	\N
5528	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820803	821222	2019-12-06 04:00:52.917222	t	\N
5529	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	830664	831336	2019-12-06 04:01:09.93838	t	\N
5530	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	614521	614940	2019-12-06 04:01:22.888482	t	\N
5531	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	848171	862045	2019-12-06 04:01:32.967308	t	\N
5532	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	626425	626877	2019-12-06 04:01:39.930707	t	\N
5533	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873908	874327	2019-12-06 04:01:52.997297	t	\N
5534	Jobs::UnsilenceUsers	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	183	641669	642352	2019-12-06 04:02:00.980456	t	\N
5535	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884451	884848	2019-12-06 04:02:11.021212	t	\N
5536	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887542	887936	2019-12-06 04:02:15.027295	t	\N
5537	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	663620	664183	2019-12-06 04:02:27.041996	t	\N
5538	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	146	672715	673167	2019-12-06 04:02:38.070387	t	\N
5539	Jobs::CleanUpUploads	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	185	674940	676446	2019-12-06 04:02:40.077023	t	\N
5540	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907407	907948	2019-12-06 04:02:42.063577	t	\N
5541	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914363	914782	2019-12-06 04:02:52.07622	t	\N
5542	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	695	717565	570267	2019-12-06 04:03:38.212584	t	\N
5543	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	951605	954662	2019-12-06 04:03:52.156991	t	\N
5544	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	629	613192	616284	2019-12-06 04:04:39.353834	t	\N
5545	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	991840	994859	2019-12-06 04:04:52.231979	t	\N
5546	Jobs::Heartbeat	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	141	646869	647443	2019-12-06 04:05:20.450331	t	\N
5547	Jobs::IgnoredUsersSummary	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1019258	1020113	2019-12-06 04:05:31.279617	t	\N
5548	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1024394	1025700	2019-12-06 04:05:37.287874	t	\N
5549	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	140	660409	660861	2019-12-06 04:05:39.49588	t	\N
5550	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029037	1029578	2019-12-06 04:05:42.294586	t	\N
5551	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035710	1036129	2019-12-06 04:05:51.311879	t	\N
5552	Jobs::PeriodicalUpdates	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	1545	696703	714388	2019-12-06 04:06:28.611848	t	\N
5553	Jobs::PollMailbox	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	643	708200	714809	2019-12-06 04:06:29.617232	t	\N
5554	Jobs::ProcessBadgeBacklog	c2bad02e96e3166c21efd34e0410f7e1-deployment-f586bfdc5-f2hps	163	142	572202	572656	2019-12-06 04:06:39.640448	t	\N
5555	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	32	843848	849589	2019-12-06 04:06:49.412716	t	\N
5556	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852201	852620	2019-12-06 04:06:51.415819	t	\N
5557	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857428	857825	2019-12-06 04:07:00.427026	t	\N
5558	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	890870	893889	2019-12-06 04:07:52.489265	t	\N
5559	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923269	923810	2019-12-06 04:08:39.553047	t	\N
5560	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931934	932353	2019-12-06 04:08:51.568071	t	\N
5561	Jobs::DisableBootstrapMode	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933381	933775	2019-12-06 04:08:52.570084	t	\N
5562	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	968216	971235	2019-12-06 04:09:49.639905	t	\N
5563	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1007487	1010506	2019-12-06 04:10:49.71276	t	\N
5564	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	1019893	1020527	2019-12-06 04:11:04.731442	t	\N
5565	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1027874	1028597	2019-12-06 04:11:16.746392	t	\N
5566	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	815940	816483	2019-12-06 04:11:36.790346	t	\N
5567	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	823058	823455	2019-12-06 04:11:47.804225	t	\N
5568	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824990	825409	2019-12-06 04:11:49.808024	t	\N
5569	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834871	835265	2019-12-06 04:12:05.828123	t	\N
5570	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	862721	865778	2019-12-06 04:12:48.88203	t	\N
5571	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	903246	906265	2019-12-06 04:13:49.956062	t	\N
5572	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938251	938792	2019-12-06 04:14:41.0289	t	\N
5573	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943826	944245	2019-12-06 04:14:48.03843	t	\N
5574	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	974191	974998	2019-12-06 04:15:36.103726	t	\N
5575	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983511	983963	2019-12-06 04:15:50.121814	t	\N
5576	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1019266	1022285	2019-12-06 04:16:49.194874	t	\N
5577	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	1023900	1038223	2019-12-06 04:16:51.198268	t	\N
5578	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	815268	815665	2019-12-06 04:16:56.205169	t	\N
5579	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	845408	848793	2019-12-06 04:17:43.268235	t	\N
5580	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852332	852751	2019-12-06 04:17:48.275043	t	\N
5581	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	887767	890786	2019-12-06 04:18:46.348155	t	\N
5582	Jobs::DirectoryRefreshOlder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	903536	904996	2019-12-06 04:19:07.373848	t	\N
5583	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	929157	932176	2019-12-06 04:19:44.419527	t	\N
5584	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	968371	971390	2019-12-06 04:20:43.498973	t	\N
5585	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	972539	973080	2019-12-06 04:20:44.501022	t	\N
5586	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	975092	975726	2019-12-06 04:20:46.504299	t	\N
5587	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1010783	1013802	2019-12-06 04:21:42.575517	t	\N
5588	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022056	1022453	2019-12-06 04:21:56.593353	t	\N
5589	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1030756	1031150	2019-12-06 04:22:10.616505	t	\N
5590	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826071	826492	2019-12-06 04:22:41.678327	t	\N
5591	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	32	859865	863281	2019-12-06 04:23:35.744138	t	\N
5592	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867319	867738	2019-12-06 04:23:41.752238	t	\N
5593	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	869539	870080	2019-12-06 04:23:42.754214	t	\N
5594	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905881	906300	2019-12-06 04:24:41.83411	t	\N
5595	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	943158	946177	2019-12-06 04:25:41.908802	t	\N
5596	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	984005	987287	2019-12-06 04:26:43.984239	t	\N
5597	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988526	988945	2019-12-06 04:26:44.986377	t	\N
5598	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995419	995816	2019-12-06 04:26:54.999252	t	\N
5599	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015913	1016329	2019-12-06 04:27:25.041766	t	\N
5600	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026822	1027241	2019-12-06 04:27:43.065241	t	\N
5601	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	815131	816166	2019-12-06 04:28:05.11387	t	\N
5602	Jobs::DestroyOldHiddenPosts	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	819200	820148	2019-12-06 04:28:09.120166	t	\N
5603	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	841042	841936	2019-12-06 04:28:41.160595	t	\N
5604	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	844068	844487	2019-12-06 04:28:43.169496	t	\N
5605	Jobs::CleanUpEmailLogs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	858148	858767	2019-12-06 04:29:07.199048	t	\N
5606	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	879062	879603	2019-12-06 04:29:37.236856	t	\N
5607	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884283	884702	2019-12-06 04:29:43.244589	t	\N
5608	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	921668	925102	2019-12-06 04:30:44.320794	t	\N
5609	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	926368	927002	2019-12-06 04:30:45.330731	t	\N
5610	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928094	928513	2019-12-06 04:30:46.33271	t	\N
5611	Jobs::CleanUpInactiveUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	961947	962593	2019-12-06 04:31:40.398572	t	\N
5612	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964356	964750	2019-12-06 04:31:42.401532	t	\N
5613	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	967572	981382	2019-12-06 04:31:46.407238	t	\N
5614	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	982752	983171	2019-12-06 04:31:47.414488	t	\N
5615	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985794	986191	2019-12-06 04:31:50.419353	t	\N
5616	Jobs::AutoQueueHandler	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1011429	1012079	2019-12-06 04:32:29.465802	t	\N
5617	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1013899	1014440	2019-12-06 04:32:31.469615	t	\N
5618	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025049	1025468	2019-12-06 04:32:49.491632	t	\N
5619	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	838212	841271	2019-12-06 04:33:50.571103	t	\N
5620	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	877929	880948	2019-12-06 04:34:50.660723	t	\N
5621	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905910	906451	2019-12-06 04:35:28.706345	t	\N
5622	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	920094	920577	2019-12-06 04:35:51.739778	t	\N
5623	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	956542	959561	2019-12-06 04:36:50.812892	t	\N
5624	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963517	963914	2019-12-06 04:36:55.819165	t	\N
5625	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	972696	975797	2019-12-06 04:37:10.838291	t	\N
5626	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1002340	1005359	2019-12-06 04:37:51.888666	t	\N
5627	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1023867	1024408	2019-12-06 04:38:23.927887	t	\N
5628	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822307	822728	2019-12-06 04:38:53.96592	t	\N
5629	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	859350	862407	2019-12-06 04:39:54.04643	t	\N
5630	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	891573	892207	2019-12-06 04:40:42.106075	t	\N
5631	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901149	901568	2019-12-06 04:40:56.124638	t	\N
5632	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917549	918090	2019-12-06 04:41:24.159351	t	\N
5633	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937490	937887	2019-12-06 04:41:52.19519	t	\N
5634	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940003	940422	2019-12-06 04:41:54.202898	t	\N
5635	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949090	949484	2019-12-06 04:42:09.22143	t	\N
5636	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	978465	981484	2019-12-06 04:42:54.276769	t	\N
5637	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1018729	1021748	2019-12-06 04:43:54.351553	t	\N
5638	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	819928	820471	2019-12-06 04:44:26.392149	t	\N
5639	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	837300	837719	2019-12-06 04:44:54.432854	t	\N
5640	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	874312	877369	2019-12-06 04:45:54.508567	t	\N
5641	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	884452	885259	2019-12-06 04:46:07.525307	t	\N
5642	Jobs::PurgeDeletedUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	887818	888228	2019-12-06 04:46:10.530123	t	\N
5643	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	911335	914321	2019-12-06 04:46:46.57435	t	\N
5644	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920113	920532	2019-12-06 04:46:54.591769	t	\N
5645	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	923056	936924	2019-12-06 04:46:58.596998	t	\N
5646	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	950257	950798	2019-12-06 04:47:22.627346	t	\N
5647	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	972002	972421	2019-12-06 04:47:52.665937	t	\N
5648	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1009214	1012233	2019-12-06 04:48:52.736803	t	\N
5649	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	827171	830230	2019-12-06 04:49:51.818147	t	\N
5650	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	843962	844596	2019-12-06 04:50:15.847133	t	\N
5651	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846626	847167	2019-12-06 04:50:18.851398	t	\N
5652	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	858766	859349	2019-12-06 04:50:30.866951	t	\N
5653	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	870596	871512	2019-12-06 04:50:50.896207	t	\N
5654	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	873343	873762	2019-12-06 04:50:51.898077	t	\N
5655	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	907385	910368	2019-12-06 04:51:47.967394	t	\N
5656	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913324	913721	2019-12-06 04:51:50.972433	t	\N
5657	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915276	915695	2019-12-06 04:51:51.974506	t	\N
5658	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	952320	955615	2019-12-06 04:52:52.051208	t	\N
5659	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971971	972512	2019-12-06 04:53:22.099114	t	\N
5660	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994404	994823	2019-12-06 04:53:54.138422	t	\N
5661	Jobs::CheckOutOfDateThemes	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	999139	999771	2019-12-06 04:54:00.146841	t	\N
5662	Jobs::ReviewablePriorities	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1028290	1031399	2019-12-06 04:54:46.20836	t	\N
5663	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037031	1037450	2019-12-06 04:54:54.218618	t	\N
5664	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	852525	855584	2019-12-06 04:55:52.294455	t	\N
5665	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	871995	872536	2019-12-06 04:56:21.330503	t	\N
5666	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893418	893837	2019-12-06 04:56:52.369225	t	\N
5667	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897597	897994	2019-12-06 04:56:57.375848	t	\N
5668	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	903001	904034	2019-12-06 04:57:05.38595	t	\N
5669	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	934016	937035	2019-12-06 04:57:54.45061	t	\N
5670	Jobs::CleanUpUnmatchedEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	942995	943643	2019-12-06 04:58:04.463485	t	\N
5671	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969577	969993	2019-12-06 04:58:44.512154	t	\N
5672	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976419	976838	2019-12-06 04:58:53.524001	t	\N
5673	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	992616	993567	2019-12-06 04:59:20.557219	t	\N
5674	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	994703	995244	2019-12-06 04:59:21.563712	t	\N
5675	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	1013694	1014328	2019-12-06 04:59:48.597589	t	\N
5676	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017858	1018277	2019-12-06 04:59:52.603558	t	\N
5677	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023319	1023713	2019-12-06 05:00:00.613538	t	\N
5678	Jobs::CleanUpPostReplyKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1031758	1032283	2019-12-06 05:00:14.631152	t	\N
5679	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	823601	824188	2019-12-06 05:00:28.65351	t	\N
5680	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838839	839258	2019-12-06 05:00:53.685153	t	\N
5681	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	840414	841147	2019-12-06 05:00:54.686903	t	\N
5682	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	853235	867008	2019-12-06 05:01:15.71433	t	\N
5683	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876355	876749	2019-12-06 05:01:25.727	t	\N
5684	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892183	892580	2019-12-06 05:01:52.765102	t	\N
5685	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894899	895318	2019-12-06 05:01:55.770264	t	\N
5686	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	908342	908883	2019-12-06 05:02:19.799664	t	\N
5687	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934123	934542	2019-12-06 05:02:57.845437	t	\N
5688	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	935634	936940	2019-12-06 05:02:58.847353	t	\N
5689	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	972913	975970	2019-12-06 05:03:57.923415	t	\N
5690	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1011679	1014698	2019-12-06 05:04:56.996995	t	\N
5691	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1034915	1035456	2019-12-06 05:05:27.03434	t	\N
5692	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	825600	828703	2019-12-06 05:05:44.056066	t	\N
5693	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836559	836978	2019-12-06 05:05:56.07117	t	\N
5694	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	872159	875183	2019-12-06 05:06:54.148331	t	\N
5695	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878338	878757	2019-12-06 05:06:58.154363	t	\N
5696	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	915771	918790	2019-12-06 05:08:00.231128	t	\N
5697	Jobs::CleanUpDeprecatedUrlSiteSettings	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	937993	939657	2019-12-06 05:08:27.264358	t	\N
5698	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941863	942580	2019-12-06 05:08:30.269049	t	\N
5699	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961129	961548	2019-12-06 05:09:02.307736	t	\N
5700	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	969219	970281	2019-12-06 05:09:15.324406	t	\N
5701	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	985006	985640	2019-12-06 05:09:35.349342	t	\N
5702	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002104	1002523	2019-12-06 05:10:04.385581	t	\N
5703	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1008861	1009556	2019-12-06 05:10:14.398316	t	\N
5704	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	821251	824310	2019-12-06 05:11:04.465452	t	\N
5705	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840738	841132	2019-12-06 05:11:26.493104	t	\N
5706	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842259	842800	2019-12-06 05:11:27.494912	t	\N
5707	Jobs::TopRefreshOlder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	845849	847581	2019-12-06 05:11:31.500736	t	\N
5708	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865830	866249	2019-12-06 05:12:04.539704	t	\N
5709	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869184	869581	2019-12-06 05:12:07.548747	t	\N
5710	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904092	907111	2019-12-06 05:13:04.617879	t	\N
5711	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	943250	946269	2019-12-06 05:14:03.694479	t	\N
5712	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964097	964638	2019-12-06 05:14:29.726686	t	\N
5713	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984516	984935	2019-12-06 05:15:03.769219	t	\N
5714	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	1005850	1020369	2019-12-06 05:15:35.813261	t	\N
5715	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1024129	1024878	2019-12-06 05:15:41.821388	t	\N
5716	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037758	1038177	2019-12-06 05:16:04.849804	t	\N
5717	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	858055	861114	2019-12-06 05:17:05.92318	t	\N
5718	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862965	863362	2019-12-06 05:17:06.925205	t	\N
5719	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	879568	880109	2019-12-06 05:17:29.958718	t	\N
5720	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900728	901147	2019-12-06 05:18:06.003622	t	\N
5721	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	938357	941376	2019-12-06 05:19:07.079733	t	\N
5722	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	948567	949201	2019-12-06 05:19:19.125427	t	\N
5723	Jobs::CleanUpUnusedStagedUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	967297	968267	2019-12-06 05:19:45.157092	t	\N
5724	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981010	981429	2019-12-06 05:20:06.186511	t	\N
5725	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995305	995846	2019-12-06 05:20:25.211952	t	\N
5726	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018400	1018819	2019-12-06 05:21:04.259242	t	\N
5727	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022204	1022598	2019-12-06 05:21:09.265935	t	\N
5728	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	824804	825595	2019-12-06 05:21:37.301353	t	\N
5729	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840408	840827	2019-12-06 05:22:02.339484	t	\N
5730	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841919	842316	2019-12-06 05:22:03.341735	t	\N
5731	Jobs::CleanUpUnusedApiKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	843344	844099	2019-12-06 05:22:04.343736	t	\N
5732	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	880495	883552	2019-12-06 05:23:02.415767	t	\N
5733	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	902723	903612	2019-12-06 05:23:30.452674	t	\N
5734	Jobs::GrantNewUserOfTheMonthBadges	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	922057	922993	2019-12-06 05:23:59.49278	t	\N
5735	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926081	926533	2019-12-06 05:24:02.49805	t	\N
5736	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	968187	971206	2019-12-06 05:25:03.58512	t	\N
5737	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	56	1003438	1007797	2019-12-06 05:25:50.649414	t	\N
5738	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017082	1017534	2019-12-06 05:26:03.669016	t	\N
5739	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035542	1036258	2019-12-06 05:26:25.701234	t	\N
5740	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	1038300	823088	2019-12-06 05:26:26.703796	t	\N
5741	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846912	847364	2019-12-06 05:27:04.7599	t	\N
5742	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855568	855965	2019-12-06 05:27:16.776938	t	\N
5743	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891173	891625	2019-12-06 05:28:06.84921	t	\N
5744	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	932863	935920	2019-12-06 05:29:06.933738	t	\N
5745	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	940594	941250	2019-12-06 05:29:12.942969	t	\N
5746	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	945913	946622	2019-12-06 05:29:19.953505	t	\N
5747	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	962586	963035	2019-12-06 05:29:37.98002	t	\N
5748	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980974	981393	2019-12-06 05:30:08.020477	t	\N
5749	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	988196	1002064	2019-12-06 05:30:20.040307	t	\N
5750	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1005153	1006136	2019-12-06 05:30:24.045916	t	\N
5751	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1020847	1021241	2019-12-06 05:30:43.070965	t	\N
5752	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1024063	1024812	2019-12-06 05:30:47.077251	t	\N
5753	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036900	1037319	2019-12-06 05:31:08.103861	t	\N
5754	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	855404	858494	2019-12-06 05:32:02.207668	t	\N
5755	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863128	863547	2019-12-06 05:32:09.216603	t	\N
5756	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870809	871350	2019-12-06 05:32:21.231663	t	\N
5757	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901710	902129	2019-12-06 05:33:08.287991	t	\N
5758	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	938491	941510	2019-12-06 05:34:08.366485	t	\N
5759	Jobs::CleanUpExports	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	945849	946507	2019-12-06 05:34:15.382543	t	\N
5760	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	977801	980820	2019-12-06 05:35:06.445507	t	\N
5761	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	997582	998123	2019-12-06 05:35:29.474927	t	\N
5762	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018230	1018649	2019-12-06 05:36:04.517156	t	\N
5763	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1028058	1031159	2019-12-06 05:36:21.538574	t	\N
5764	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845123	845544	2019-12-06 05:37:06.601097	t	\N
5765	Jobs::CleanUpCrawlerStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	847596	848166	2019-12-06 05:37:08.604162	t	\N
5766	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	850105	850524	2019-12-06 05:37:10.608358	t	\N
5767	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	886189	889246	2019-12-06 05:38:08.678369	t	\N
5768	Jobs::GrantAnniversaryBadges	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	903008	904054	2019-12-06 05:38:26.700141	t	\N
5769	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	906728	907269	2019-12-06 05:38:29.713167	t	\N
5770	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	929282	929701	2019-12-06 05:39:09.764854	t	\N
5771	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	935610	936244	2019-12-06 05:39:18.776346	t	\N
5772	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967764	968183	2019-12-06 05:40:08.836285	t	\N
5773	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	998039	1001022	2019-12-06 05:40:55.894901	t	\N
5774	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008864	1009283	2019-12-06 05:41:09.918521	t	\N
5775	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1016973	1017514	2019-12-06 05:41:22.934648	t	\N
5776	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832486	832907	2019-12-06 05:42:08.010168	t	\N
5777	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840012	840409	2019-12-06 05:42:21.027641	t	\N
5778	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871632	872051	2019-12-06 05:43:10.088247	t	\N
5779	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	909778	912835	2019-12-06 05:44:12.169564	t	\N
5780	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926006	926547	2019-12-06 05:44:28.189272	t	\N
5781	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	944268	958136	2019-12-06 05:44:59.227459	t	\N
5782	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	964584	965003	2019-12-06 05:45:10.241726	t	\N
5783	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	992001	995397	2019-12-06 05:45:52.293002	t	\N
5784	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1006867	1007286	2019-12-06 05:46:12.324518	t	\N
5785	Jobs::BadgeGrant	iZj6chkije5xk0gfyvcrzyZ-web-only	127	421	1037376	871319	2019-12-06 05:47:00.383049	t	\N
5786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877707	878126	2019-12-06 05:47:11.397453	t	\N
5787	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883508	884049	2019-12-06 05:47:20.408335	t	\N
5788	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893201	893598	2019-12-06 05:47:28.418869	t	\N
5789	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917066	917485	2019-12-06 05:48:10.479717	t	\N
5790	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	954930	957949	2019-12-06 05:49:12.554462	t	\N
5791	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	961364	961998	2019-12-06 05:49:17.560811	t	\N
5792	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	995750	998833	2019-12-06 05:50:12.627493	t	\N
5793	Jobs::CategoryStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	112	1001577	1027102	2019-12-06 05:50:15.631744	t	\N
5794	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030898	1031439	2019-12-06 05:50:21.646887	t	\N
5795	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	830723	831308	2019-12-06 05:50:37.667211	t	\N
5796	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847984	848378	2019-12-06 05:51:06.702499	t	\N
5797	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	853159	853578	2019-12-06 05:51:13.711952	t	\N
5798	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	874069	875758	2019-12-06 05:51:44.75006	t	\N
5799	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893380	893799	2019-12-06 05:52:14.792858	t	\N
5800	Jobs::EnsureS3UploadsExistence	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897137	897531	2019-12-06 05:52:19.799393	t	\N
5801	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	907425	907822	2019-12-06 05:52:30.813794	t	\N
5802	Jobs::PurgeExpiredIgnoredUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	930653	931187	2019-12-06 05:53:11.863954	t	\N
5803	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932343	932762	2019-12-06 05:53:12.866533	t	\N
5804	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	944499	945040	2019-12-06 05:53:26.89417	t	\N
5805	Jobs::EnsureDbConsistency	iZj6chkije5xk0gfyvcrzyZ-web-only	127	153	969456	992147	2019-12-06 05:54:09.944563	t	\N
5806	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993523	993975	2019-12-06 05:54:10.947135	t	\N
5807	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1030801	1033858	2019-12-06 05:55:11.022759	t	\N
5808	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	858441	861500	2019-12-06 05:56:11.096984	t	\N
5809	Jobs::CleanUpUnsubscribeKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	875600	876124	2019-12-06 05:56:30.121722	t	\N
5810	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878312	878853	2019-12-06 05:56:33.126967	t	\N
5811	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897542	897936	2019-12-06 05:57:05.167444	t	\N
5812	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902759	903178	2019-12-06 05:57:13.178612	t	\N
5813	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916511	916908	2019-12-06 05:57:30.199314	t	\N
5814	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	919244	920277	2019-12-06 05:57:33.208526	t	\N
5815	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944002	944421	2019-12-06 05:58:15.260887	t	\N
5816	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	981602	984621	2019-12-06 05:59:16.335805	t	\N
5817	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	988068	1001936	2019-12-06 05:59:21.342725	t	\N
5818	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1014443	1014984	2019-12-06 05:59:36.364269	t	\N
5819	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1020465	1021099	2019-12-06 05:59:44.380625	t	\N
5820	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828184	828605	2019-12-06 06:00:18.423773	t	\N
5821	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	849711	853145	2019-12-06 06:00:49.462405	t	\N
5822	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858547	858963	2019-12-06 06:00:58.473982	t	\N
5823	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870488	870907	2019-12-06 06:01:18.498431	t	\N
5824	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874436	874830	2019-12-06 06:01:23.510597	t	\N
5825	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	886505	887716	2019-12-06 06:01:37.528184	t	\N
5826	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	896818	897403	2019-12-06 06:01:53.548104	t	\N
5827	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911479	911876	2019-12-06 06:02:18.579131	t	\N
5828	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914017	914436	2019-12-06 06:02:19.58118	t	\N
5829	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	929287	929828	2019-12-06 06:02:40.612387	t	\N
5830	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	953052	956071	2019-12-06 06:03:21.662227	t	\N
5831	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	992693	995712	2019-12-06 06:04:20.732808	t	\N
5832	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1015111	1016563	2019-12-06 06:04:49.76962	t	\N
5833	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033943	1034362	2019-12-06 06:05:19.806206	t	\N
5834	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836134	836677	2019-12-06 06:05:35.830962	t	\N
5835	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	862829	865886	2019-12-06 06:06:21.88713	t	\N
5836	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900375	900772	2019-12-06 06:07:18.956507	t	\N
5837	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902637	903056	2019-12-06 06:07:19.958394	t	\N
5838	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	911415	914516	2019-12-06 06:07:27.968768	t	\N
5839	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	943615	946634	2019-12-06 06:08:20.039983	t	\N
5840	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	958870	959411	2019-12-06 06:08:35.062083	t	\N
5841	Jobs::PurgeUnactivated	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	981395	982332	2019-12-06 06:09:14.10995	t	\N
5842	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986397	986816	2019-12-06 06:09:20.118734	t	\N
5843	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1004948	1005650	2019-12-06 06:09:46.150816	t	\N
5844	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1006870	1007504	2019-12-06 06:09:47.159568	t	\N
5845	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024855	1025274	2019-12-06 06:10:18.198121	t	\N
5846	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	849124	852147	2019-12-06 06:11:14.265632	t	\N
5847	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855055	855474	2019-12-06 06:11:18.270918	t	\N
5848	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864927	865468	2019-12-06 06:11:28.283385	t	\N
5849	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890243	890640	2019-12-06 06:12:11.343094	t	\N
5850	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894384	894803	2019-12-06 06:12:17.351008	t	\N
5851	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	931848	934867	2019-12-06 06:13:17.426747	t	\N
5852	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	76	969367	985885	2019-12-06 06:14:13.495682	t	\N
5853	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	988378	988797	2019-12-06 06:14:16.500309	t	\N
5854	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	999583	1000124	2019-12-06 06:14:29.521614	t	\N
5855	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026050	1026469	2019-12-06 06:15:14.578434	t	\N
5856	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	1037939	829613	2019-12-06 06:15:28.595809	t	\N
5857	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	856989	857408	2019-12-06 06:16:16.653933	t	\N
5858	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	884314	887466	2019-12-06 06:16:59.706336	t	\N
5859	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898258	898677	2019-12-06 06:17:18.736127	t	\N
5860	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901683	902224	2019-12-06 06:17:22.741486	t	\N
5861	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936333	936752	2019-12-06 06:18:17.807462	t	\N
5862	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	973928	976947	2019-12-06 06:19:18.882214	t	\N
5863	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	1007779	1011002	2019-12-06 06:20:07.941684	t	\N
5864	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016359	1016900	2019-12-06 06:20:15.959606	t	\N
5865	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020615	1021034	2019-12-06 06:20:20.966577	t	\N
5866	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841950	842346	2019-12-06 06:21:08.028032	t	\N
5867	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	849166	849585	2019-12-06 06:21:20.044145	t	\N
5868	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	872850	875874	2019-12-06 06:21:55.088254	t	\N
5869	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891513	891932	2019-12-06 06:22:22.128968	t	\N
5870	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	928580	931923	2019-12-06 06:23:22.202233	t	\N
5871	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933194	933613	2019-12-06 06:23:23.204078	t	\N
5872	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	32	969532	972910	2019-12-06 06:24:21.278977	t	\N
5873	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	973982	974401	2019-12-06 06:24:22.281775	t	\N
5874	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1010564	1013583	2019-12-06 06:25:21.358702	t	\N
5875	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	838539	839082	2019-12-06 06:26:14.424637	t	\N
5876	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844297	844716	2019-12-06 06:26:21.434404	t	\N
5877	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	860885	861918	2019-12-06 06:26:44.462588	t	\N
5878	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875651	876048	2019-12-06 06:27:07.490676	t	\N
5879	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	882934	883353	2019-12-06 06:27:19.510703	t	\N
5880	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	45	921670	924694	2019-12-06 06:28:21.588428	t	\N
5881	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	957192	957733	2019-12-06 06:29:14.652785	t	\N
5882	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	960701	974633	2019-12-06 06:29:18.657958	t	\N
5883	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976497	976916	2019-12-06 06:29:20.661349	t	\N
5884	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	1009652	1012875	2019-12-06 06:30:13.735322	t	\N
5885	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1016931	1017350	2019-12-06 06:30:19.743508	t	\N
5886	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031841	1032235	2019-12-06 06:30:39.767836	t	\N
5887	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	833089	833898	2019-12-06 06:30:51.782483	t	\N
5888	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848892	849311	2019-12-06 06:31:19.815574	t	\N
5889	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	871263	874317	2019-12-06 06:31:52.860179	t	\N
5890	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	883307	883848	2019-12-06 06:32:07.878747	t	\N
5891	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	885522	885919	2019-12-06 06:32:09.881502	t	\N
5892	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	887351	888344	2019-12-06 06:32:10.883741	t	\N
5893	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894239	894658	2019-12-06 06:32:19.900076	t	\N
5894	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	931117	934136	2019-12-06 06:33:20.981569	t	\N
5895	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	825278	828337	2019-12-06 06:34:19.062263	t	\N
5896	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	859459	862735	2019-12-06 06:35:09.125696	t	\N
5897	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	868751	869170	2019-12-06 06:35:18.137804	t	\N
5898	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	903877	906896	2019-12-06 06:36:16.209228	t	\N
5899	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	932487	935473	2019-12-06 06:36:55.263867	t	\N
5900	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949220	949639	2019-12-06 06:37:18.293229	t	\N
5901	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	965529	968630	2019-12-06 06:37:41.3231	t	\N
5902	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	980677	981218	2019-12-06 06:38:01.349091	t	\N
5903	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991891	992310	2019-12-06 06:38:18.370511	t	\N
5904	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1028928	1031947	2019-12-06 06:39:18.446678	t	\N
5905	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	827407	830670	2019-12-06 06:39:54.492012	t	\N
5906	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843241	843660	2019-12-06 06:40:16.519198	t	\N
5907	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	858524	858918	2019-12-06 06:40:36.544296	t	\N
5908	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877135	877676	2019-12-06 06:41:08.58256	t	\N
5909	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883447	883866	2019-12-06 06:41:17.601497	t	\N
5910	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	915977	918963	2019-12-06 06:42:09.665348	t	\N
5911	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924571	924990	2019-12-06 06:42:17.675851	t	\N
5912	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	960005	963024	2019-12-06 06:43:15.746094	t	\N
5913	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	999322	1002341	2019-12-06 06:44:13.817168	t	\N
5914	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1004139	1004680	2019-12-06 06:44:15.826586	t	\N
5915	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	100	1032455	821935	2019-12-06 06:44:57.878695	t	\N
5916	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830896	831315	2019-12-06 06:45:12.898373	t	\N
5917	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	857036	860470	2019-12-06 06:45:52.948249	t	\N
5918	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872106	872525	2019-12-06 06:46:12.972909	t	\N
5919	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	908711	911730	2019-12-06 06:47:12.050188	t	\N
5920	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	913620	914161	2019-12-06 06:47:14.053249	t	\N
5921	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918799	919196	2019-12-06 06:47:21.0622	t	\N
5922	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	950018	953037	2019-12-06 06:48:10.122859	t	\N
5923	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	983977	987471	2019-12-06 06:49:00.184076	t	\N
5924	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	993588	994007	2019-12-06 06:49:10.202853	t	\N
5925	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	1014248	1014831	2019-12-06 06:49:40.23988	t	\N
5926	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1016079	1016713	2019-12-06 06:49:41.242416	t	\N
5927	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032713	1033132	2019-12-06 06:50:08.275474	t	\N
5928	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1034160	1034701	2019-12-06 06:50:09.277593	t	\N
5929	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	816524	816920	2019-12-06 06:50:22.299742	t	\N
5930	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	845539	848660	2019-12-06 06:51:08.356137	t	\N
5931	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	885133	888152	2019-12-06 06:52:08.443149	t	\N
5932	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906453	906850	2019-12-06 06:52:34.475679	t	\N
5933	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926974	927393	2019-12-06 06:53:10.521127	t	\N
5934	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	930485	931026	2019-12-06 06:53:14.532282	t	\N
5935	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	965654	968673	2019-12-06 06:54:11.627573	t	\N
5936	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1006003	1009022	2019-12-06 06:55:11.700138	t	\N
5937	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1023232	1024265	2019-12-06 06:55:29.72252	t	\N
5938	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	818990	819533	2019-12-06 06:56:06.78807	t	\N
5939	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	823169	823588	2019-12-06 06:56:11.801629	t	\N
5940	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	861321	864378	2019-12-06 06:57:12.87756	t	\N
5941	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881706	882103	2019-12-06 06:57:37.90803	t	\N
5942	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903237	903656	2019-12-06 06:58:14.953125	t	\N
5943	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	939604	942887	2019-12-06 06:59:14.024163	t	\N
5944	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944221	944640	2019-12-06 06:59:15.032106	t	\N
5945	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947363	947757	2019-12-06 06:59:18.036796	t	\N
5946	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	963669	964303	2019-12-06 06:59:41.065291	t	\N
5947	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983828	984247	2019-12-06 07:00:16.108945	t	\N
5948	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986630	987024	2019-12-06 07:00:19.113291	t	\N
5949	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	994820	1008688	2019-12-06 07:00:26.127856	t	\N
5950	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1018472	1019221	2019-12-06 07:00:42.148592	t	\N
5951	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037221	1037640	2019-12-06 07:01:14.19019	t	\N
5952	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	832060	832981	2019-12-06 07:01:43.248372	t	\N
5953	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847460	848001	2019-12-06 07:02:08.279845	t	\N
5954	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	849408	850714	2019-12-06 07:02:09.287647	t	\N
5955	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854292	854711	2019-12-06 07:02:14.294742	t	\N
5956	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872038	872435	2019-12-06 07:02:37.323656	t	\N
5957	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881681	882130	2019-12-06 07:02:52.342574	t	\N
5958	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894469	894888	2019-12-06 07:03:14.371465	t	\N
5959	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	931267	934324	2019-12-06 07:04:13.448176	t	\N
5960	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	940406	940991	2019-12-06 07:04:22.459919	t	\N
5961	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	969399	972737	2019-12-06 07:05:07.515091	t	\N
5962	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976720	977139	2019-12-06 07:05:13.522749	t	\N
5963	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1013885	1016904	2019-12-06 07:06:15.599598	t	\N
5964	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	830468	833527	2019-12-06 07:07:17.703047	t	\N
5965	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845910	846307	2019-12-06 07:07:32.722284	t	\N
5966	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867025	867566	2019-12-06 07:08:10.769739	t	\N
5967	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871373	871792	2019-12-06 07:08:15.776816	t	\N
5968	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	899505	905206	2019-12-06 07:08:58.830314	t	\N
5969	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	908018	908741	2019-12-06 07:09:02.842222	t	\N
5970	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916265	916684	2019-12-06 07:09:15.85843	t	\N
5971	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	948502	951725	2019-12-06 07:10:05.919838	t	\N
5972	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957563	957957	2019-12-06 07:10:14.931807	t	\N
5973	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959113	959532	2019-12-06 07:10:15.933657	t	\N
5974	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	988985	992264	2019-12-06 07:11:02.996065	t	\N
5975	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1000286	1000705	2019-12-06 07:11:17.014554	t	\N
5976	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1004027	1005089	2019-12-06 07:11:22.021259	t	\N
5977	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	816848	819907	2019-12-06 07:12:19.09228	t	\N
5978	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831619	832016	2019-12-06 07:12:33.109867	t	\N
5979	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	857088	857507	2019-12-06 07:13:19.170604	t	\N
5980	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	884785	888132	2019-12-06 07:14:02.223766	t	\N
5981	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	899059	899478	2019-12-06 07:14:21.247998	t	\N
5982	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	936389	939408	2019-12-06 07:15:21.322253	t	\N
5983	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	82	965379	981858	2019-12-06 07:16:01.373062	t	\N
5984	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994656	995075	2019-12-06 07:16:23.406629	t	\N
5985	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	996523	997272	2019-12-06 07:16:24.408697	t	\N
5986	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018881	1019422	2019-12-06 07:16:56.448275	t	\N
5987	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033294	1033713	2019-12-06 07:17:21.48236	t	\N
5988	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	822271	822692	2019-12-06 07:17:33.498351	t	\N
5989	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850075	850494	2019-12-06 07:18:22.559227	t	\N
5990	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	887420	890477	2019-12-06 07:19:23.634756	t	\N
5991	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	909588	910129	2019-12-06 07:19:51.670173	t	\N
5992	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	918802	919436	2019-12-06 07:20:04.687172	t	\N
5993	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931445	931864	2019-12-06 07:20:25.712782	t	\N
5994	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939136	939530	2019-12-06 07:20:31.725396	t	\N
5995	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	968893	969312	2019-12-06 07:21:23.789084	t	\N
5996	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1006613	1009632	2019-12-06 07:22:24.864076	t	\N
5997	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016248	1016645	2019-12-06 07:22:28.869779	t	\N
5998	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1031129	1031670	2019-12-06 07:22:53.899802	t	\N
5999	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826295	826716	2019-12-06 07:23:22.940797	t	\N
6000	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	843142	843931	2019-12-06 07:23:45.969024	t	\N
6001	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864489	864908	2019-12-06 07:24:22.014482	t	\N
6002	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	884907	885940	2019-12-06 07:24:51.051583	t	\N
6003	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	894195	895901	2019-12-06 07:25:04.068459	t	\N
6004	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905996	906415	2019-12-06 07:25:22.095089	t	\N
6005	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	927307	927848	2019-12-06 07:25:52.132449	t	\N
6006	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	946302	946721	2019-12-06 07:26:24.171739	t	\N
6007	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	982855	985912	2019-12-06 07:27:24.245673	t	\N
6008	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996287	996684	2019-12-06 07:27:36.261135	t	\N
6009	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1028171	1031190	2019-12-06 07:28:26.327887	t	\N
6010	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	828672	829215	2019-12-06 07:28:59.3685	t	\N
6011	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848376	848795	2019-12-06 07:29:27.403966	t	\N
6012	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	870266	870900	2019-12-06 07:30:04.450177	t	\N
6013	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886566	886985	2019-12-06 07:30:27.47871	t	\N
6014	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	891804	905736	2019-12-06 07:30:33.491901	t	\N
6015	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911780	912174	2019-12-06 07:30:43.504687	t	\N
6016	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	935893	938950	2019-12-06 07:31:25.55817	t	\N
6017	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	945089	945896	2019-12-06 07:31:28.562345	t	\N
6018	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	963448	963989	2019-12-06 07:31:59.600715	t	\N
6019	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978534	978953	2019-12-06 07:32:25.636818	t	\N
6020	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	985766	986701	2019-12-06 07:32:30.643328	t	\N
6021	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993515	993912	2019-12-06 07:32:42.659512	t	\N
6022	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1021979	1025329	2019-12-06 07:33:26.715026	t	\N
6023	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030986	1031402	2019-12-06 07:33:35.727248	t	\N
6024	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	839174	842233	2019-12-06 07:34:25.794298	t	\N
6025	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	869038	869579	2019-12-06 07:35:07.845871	t	\N
6026	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884150	884569	2019-12-06 07:35:26.86986	t	\N
6027	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	922172	925191	2019-12-06 07:36:27.942941	t	\N
6028	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	962139	965158	2019-12-06 07:37:29.024074	t	\N
6029	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971045	971442	2019-12-06 07:37:38.043621	t	\N
6030	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	989033	989574	2019-12-06 07:38:08.084222	t	\N
6031	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006022	1006441	2019-12-06 07:38:31.112458	t	\N
6032	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1014585	1017686	2019-12-06 07:38:44.129702	t	\N
6033	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	828531	831590	2019-12-06 07:39:32.205794	t	\N
6034	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	857301	857935	2019-12-06 07:40:17.268655	t	\N
6035	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	872081	872497	2019-12-06 07:40:32.425919	t	\N
6036	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	32	874396	874848	2019-12-06 07:40:33.44977	t	\N
6037	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895025	895566	2019-12-06 07:41:09.525381	t	\N
6038	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	913105	913524	2019-12-06 07:41:33.55593	t	\N
6039	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	951185	954204	2019-12-06 07:42:35.632238	t	\N
6040	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956909	957306	2019-12-06 07:42:38.636494	t	\N
6041	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	992587	995606	2019-12-06 07:43:36.708209	t	\N
6042	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1016249	1017141	2019-12-06 07:44:12.752832	t	\N
6043	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034509	1034928	2019-12-06 07:44:37.783319	t	\N
6044	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	70	850247	866766	2019-12-06 07:45:32.851163	t	\N
6045	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870206	870625	2019-12-06 07:45:37.857992	t	\N
6046	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	906403	909799	2019-12-06 07:46:35.928725	t	\N
6047	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911396	911815	2019-12-06 07:46:37.931993	t	\N
6048	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936064	936605	2019-12-06 07:47:20.98923	t	\N
6049	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947619	948016	2019-12-06 07:47:33.010202	t	\N
6050	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950942	951361	2019-12-06 07:47:37.015523	t	\N
6051	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	989101	992120	2019-12-06 07:48:39.094433	t	\N
6052	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1028618	1031637	2019-12-06 07:49:40.169111	t	\N
6053	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	837444	837987	2019-12-06 07:50:23.220785	t	\N
6054	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	849800	850498	2019-12-06 07:50:37.244577	t	\N
6055	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853093	853512	2019-12-06 07:50:40.249184	t	\N
6056	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855202	855596	2019-12-06 07:50:43.25335	t	\N
6057	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	871941	872835	2019-12-06 07:51:11.287867	t	\N
6058	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893171	893590	2019-12-06 07:51:40.323666	t	\N
6059	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	926568	929592	2019-12-06 07:52:33.392554	t	\N
6060	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	932584	933167	2019-12-06 07:52:37.397843	t	\N
6061	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935799	936218	2019-12-06 07:52:40.402449	t	\N
6062	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	967446	970729	2019-12-06 07:53:30.466491	t	\N
6063	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977123	977542	2019-12-06 07:53:40.479728	t	\N
6064	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1013973	1016992	2019-12-06 07:54:40.557055	t	\N
6065	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1018743	1019776	2019-12-06 07:54:42.560749	t	\N
6066	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	838129	841188	2019-12-06 07:55:39.630226	t	\N
6067	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	872577	875924	2019-12-06 07:56:30.69688	t	\N
6068	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	882480	882899	2019-12-06 07:56:41.711313	t	\N
6069	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	919494	922480	2019-12-06 07:57:41.803221	t	\N
6070	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924615	925034	2019-12-06 07:57:43.805979	t	\N
6071	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	960793	963812	2019-12-06 07:58:42.881317	t	\N
6072	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969919	970313	2019-12-06 07:58:51.892579	t	\N
6073	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	994750	998033	2019-12-06 07:59:28.937524	t	\N
6074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005974	1006393	2019-12-06 07:59:42.962177	t	\N
6075	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	1011373	1025305	2019-12-06 07:59:49.971259	t	\N
6076	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	822112	822748	2019-12-06 08:00:13.022514	t	\N
6077	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825554	825948	2019-12-06 08:00:17.008476	t	\N
6078	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845044	845463	2019-12-06 08:00:44.042555	t	\N
6079	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	872988	876200	2019-12-06 08:01:27.100226	t	\N
6080	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	882453	883905	2019-12-06 08:01:37.113554	t	\N
6081	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	887290	888225	2019-12-06 08:01:42.120447	t	\N
6082	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890976	891395	2019-12-06 08:01:45.125504	t	\N
6083	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	904313	904974	2019-12-06 08:02:08.155085	t	\N
6084	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921095	921492	2019-12-06 08:02:30.187624	t	\N
6085	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925426	925967	2019-12-06 08:02:36.195955	t	\N
6086	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930329	930748	2019-12-06 08:02:43.205046	t	\N
6087	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	968056	971075	2019-12-06 08:03:44.279852	t	\N
6088	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983598	984014	2019-12-06 08:04:05.30595	t	\N
6089	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1007830	1008249	2019-12-06 08:04:43.357342	t	\N
6090	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1038524	825331	2019-12-06 08:05:31.414735	t	\N
6091	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832288	832707	2019-12-06 08:05:42.42873	t	\N
6092	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	854750	855473	2019-12-06 08:06:22.479276	t	\N
6093	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871581	872000	2019-12-06 08:06:44.506662	t	\N
6094	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	906559	909545	2019-12-06 08:07:42.581186	t	\N
6095	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911076	911495	2019-12-06 08:07:43.583144	t	\N
6096	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	941750	945095	2019-12-06 08:08:32.643676	t	\N
6097	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951031	951450	2019-12-06 08:08:41.655118	t	\N
6098	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	959872	962973	2019-12-06 08:08:54.671689	t	\N
6099	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	992338	995357	2019-12-06 08:09:42.736232	t	\N
6100	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	997825	998459	2019-12-06 08:09:45.740818	t	\N
6101	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008108	1008502	2019-12-06 08:10:00.760191	t	\N
6102	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034842	1035261	2019-12-06 08:10:42.812529	t	\N
6103	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	847887	851207	2019-12-06 08:11:27.867612	t	\N
6104	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859839	860258	2019-12-06 08:11:42.893983	t	\N
6105	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	896239	899322	2019-12-06 08:12:42.966961	t	\N
6106	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902128	902525	2019-12-06 08:12:45.9717	t	\N
6107	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	935861	938880	2019-12-06 08:13:40.057347	t	\N
6108	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968203	968744	2019-12-06 08:14:27.117271	t	\N
6109	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977218	977637	2019-12-06 08:14:40.139366	t	\N
6110	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	981052	994920	2019-12-06 08:14:45.14633	t	\N
6111	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1029302	1032321	2019-12-06 08:15:40.215322	t	\N
6112	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	853531	856654	2019-12-06 08:16:40.287938	t	\N
6113	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	859652	860459	2019-12-06 08:16:44.293125	t	\N
6114	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881087	881628	2019-12-06 08:17:20.343161	t	\N
6115	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897060	897479	2019-12-06 08:17:42.369934	t	\N
6116	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900625	901022	2019-12-06 08:17:46.375819	t	\N
6117	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	935415	938434	2019-12-06 08:18:42.442945	t	\N
6118	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	976674	979693	2019-12-06 08:19:44.51831	t	\N
6119	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981822	982216	2019-12-06 08:19:47.528949	t	\N
6120	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	988799	989433	2019-12-06 08:19:57.541921	t	\N
6121	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1001431	1001972	2019-12-06 08:20:18.56807	t	\N
6122	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020667	1021086	2019-12-06 08:20:44.600742	t	\N
6123	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	838813	842231	2019-12-06 08:21:35.684118	t	\N
6124	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848433	848852	2019-12-06 08:21:45.702903	t	\N
6125	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	882772	885758	2019-12-06 08:22:40.769357	t	\N
6126	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889548	889967	2019-12-06 08:22:46.777243	t	\N
6127	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	908325	908866	2019-12-06 08:23:18.816926	t	\N
6128	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928237	928656	2019-12-06 08:23:46.851024	t	\N
6129	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	965396	968415	2019-12-06 08:24:47.928713	t	\N
6130	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1004445	1007464	2019-12-06 08:25:47.003214	t	\N
6131	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1017149	1018182	2019-12-06 08:26:03.024036	t	\N
6132	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1031508	1032049	2019-12-06 08:26:26.053374	t	\N
6133	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834420	834841	2019-12-06 08:26:49.083953	t	\N
6134	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	861181	864205	2019-12-06 08:27:29.138886	t	\N
6135	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876540	876959	2019-12-06 08:27:50.16518	t	\N
6136	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	913651	916734	2019-12-06 08:28:50.242352	t	\N
6137	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935019	935560	2019-12-06 08:29:23.283591	t	\N
6138	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955987	956406	2019-12-06 08:29:52.319027	t	\N
6139	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	959905	973773	2019-12-06 08:29:57.330779	t	\N
6140	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975320	975714	2019-12-06 08:29:59.334403	t	\N
6141	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	988455	989089	2019-12-06 08:30:21.36198	t	\N
6142	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008549	1008968	2019-12-06 08:30:50.397034	t	\N
6143	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	832303	835362	2019-12-06 08:31:50.490258	t	\N
6144	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	841955	842762	2019-12-06 08:32:00.510644	t	\N
6145	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852118	852515	2019-12-06 08:32:16.5308	t	\N
6146	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862890	863431	2019-12-06 08:32:28.545585	t	\N
6147	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876128	876547	2019-12-06 08:32:50.572982	t	\N
6148	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	886423	887358	2019-12-06 08:33:07.593981	t	\N
6149	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912546	912962	2019-12-06 08:33:46.647757	t	\N
6150	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915740	916159	2019-12-06 08:33:50.653106	t	\N
6151	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	951926	954945	2019-12-06 08:34:48.728256	t	\N
6152	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	981254	981795	2019-12-06 08:35:28.777445	t	\N
6153	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992557	992976	2019-12-06 08:35:47.801338	t	\N
6154	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1029199	1032218	2019-12-06 08:36:46.878876	t	\N
6155	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840108	840507	2019-12-06 08:37:23.925806	t	\N
6156	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858354	858773	2019-12-06 08:37:48.961499	t	\N
6157	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	889189	892574	2019-12-06 08:38:36.021741	t	\N
6158	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899452	899871	2019-12-06 08:38:48.036892	t	\N
6159	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	928838	931821	2019-12-06 08:39:33.097261	t	\N
6160	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941898	942317	2019-12-06 08:39:50.118737	t	\N
6161	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	952942	956043	2019-12-06 08:40:09.143199	t	\N
6162	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	972866	973500	2019-12-06 08:40:32.171955	t	\N
6163	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985191	985610	2019-12-06 08:40:52.197712	t	\N
6164	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1013310	1016651	2019-12-06 08:41:36.256446	t	\N
6165	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026233	1026652	2019-12-06 08:41:52.276273	t	\N
6166	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	841851	844877	2019-12-06 08:42:35.349072	t	\N
6167	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853540	853959	2019-12-06 08:42:50.368768	t	\N
6168	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	890521	893540	2019-12-06 08:43:50.443846	t	\N
6169	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	924979	928327	2019-12-06 08:44:41.512864	t	\N
6170	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933937	934356	2019-12-06 08:44:50.52434	t	\N
6171	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	940046	953914	2019-12-06 08:44:59.535944	t	\N
6172	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	985489	988508	2019-12-06 08:45:50.598984	t	\N
6173	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1015290	1018686	2019-12-06 08:46:31.64889	t	\N
6174	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028686	1029105	2019-12-06 08:46:49.678754	t	\N
6175	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	849016	852042	2019-12-06 08:47:39.743223	t	\N
6176	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855457	855998	2019-12-06 08:47:44.750144	t	\N
6177	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859910	860329	2019-12-06 08:47:49.759012	t	\N
6178	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	897034	900053	2019-12-06 08:48:49.832401	t	\N
6179	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917464	917858	2019-12-06 08:49:19.875371	t	\N
6180	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937658	938077	2019-12-06 08:49:49.910959	t	\N
6181	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	970793	974075	2019-12-06 08:50:42.975841	t	\N
6182	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	975320	976214	2019-12-06 08:50:43.977691	t	\N
6183	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979332	979751	2019-12-06 08:50:47.983485	t	\N
6184	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	983988	984622	2019-12-06 08:50:53.996894	t	\N
6185	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	1017535	1020554	2019-12-06 08:51:47.062343	t	\N
6186	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	846252	849311	2019-12-06 08:52:46.156359	t	\N
6187	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851440	851837	2019-12-06 08:52:49.160481	t	\N
6188	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	29	882794	885966	2019-12-06 08:53:39.222552	t	\N
6189	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889694	890113	2019-12-06 08:53:44.236097	t	\N
6190	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891141	891682	2019-12-06 08:53:45.238266	t	\N
6191	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	927094	930113	2019-12-06 08:54:42.310236	t	\N
6192	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	943171	944204	2019-12-06 08:55:05.339497	t	\N
6193	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968735	969154	2019-12-06 08:55:42.38456	t	\N
6194	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1005230	1008249	2019-12-06 08:56:40.485381	t	\N
6195	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009513	1009907	2019-12-06 08:56:41.487564	t	\N
6196	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017005	1017546	2019-12-06 08:56:53.503031	t	\N
6197	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	836081	839107	2019-12-06 08:57:37.557786	t	\N
6198	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841931	842350	2019-12-06 08:57:41.563851	t	\N
6199	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	878966	881985	2019-12-06 08:58:40.642061	t	\N
6200	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897522	897916	2019-12-06 08:59:07.676103	t	\N
6201	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919903	920322	2019-12-06 08:59:40.715409	t	\N
6202	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	932082	945950	2019-12-06 09:00:00.740604	t	\N
6203	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947214	947755	2019-12-06 09:00:01.742337	t	\N
6204	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	952601	953186	2019-12-06 09:00:09.759281	t	\N
6205	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	958503	959897	2019-12-06 09:00:17.770515	t	\N
6206	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	974602	975236	2019-12-06 09:00:37.79896	t	\N
6207	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978087	978506	2019-12-06 09:00:40.803345	t	\N
6208	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1015123	1018142	2019-12-06 09:01:41.878684	t	\N
6209	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1028856	1029849	2019-12-06 09:01:59.907118	t	\N
6210	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1032292	1033041	2019-12-06 09:02:02.911217	t	\N
6211	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835914	836313	2019-12-06 09:02:24.93823	t	\N
6212	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850005	850424	2019-12-06 09:02:41.960026	t	\N
6213	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856479	856895	2019-12-06 09:02:51.972764	t	\N
6214	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867041	867582	2019-12-06 09:03:08.999918	t	\N
6215	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888603	889022	2019-12-06 09:03:40.038434	t	\N
6216	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	926811	929868	2019-12-06 09:04:42.11537	t	\N
6217	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	967319	970338	2019-12-06 09:05:43.192943	t	\N
6218	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	981537	982260	2019-12-06 09:06:01.215714	t	\N
6219	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	986969	987510	2019-12-06 09:06:10.233091	t	\N
6220	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010431	1010850	2019-12-06 09:06:45.27593	t	\N
6221	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	833053	836143	2019-12-06 09:07:32.353191	t	\N
6222	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842562	842981	2019-12-06 09:07:43.368144	t	\N
6223	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	878563	881582	2019-12-06 09:08:41.439264	t	\N
6224	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894539	895080	2019-12-06 09:09:04.474282	t	\N
6225	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	915289	915694	2019-12-06 09:09:34.510438	t	\N
6226	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921372	921791	2019-12-06 09:09:43.521249	t	\N
6227	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	957252	960271	2019-12-06 09:10:42.593733	t	\N
6228	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	42	973283	973917	2019-12-06 09:11:04.621301	t	\N
6229	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	994224	997325	2019-12-06 09:11:34.664975	t	\N
6230	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002001	1002420	2019-12-06 09:11:41.674189	t	\N
6231	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019524	1020065	2019-12-06 09:12:11.710928	t	\N
6232	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1038025	1038422	2019-12-06 09:12:36.742831	t	\N
6233	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833168	833587	2019-12-06 09:12:39.74743	t	\N
6234	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	869480	872537	2019-12-06 09:13:38.8241	t	\N
6235	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	908339	911358	2019-12-06 09:14:37.89595	t	\N
6236	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	923245	924307	2019-12-06 09:14:56.919897	t	\N
6237	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	931713	932254	2019-12-06 09:15:10.939755	t	\N
6238	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	140	940245	954048	2019-12-06 09:15:22.962021	t	\N
6239	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	812767	813188	2019-12-06 09:15:36.98673	t	\N
6240	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	847383	850440	2019-12-06 09:16:34.057677	t	\N
6241	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	875357	876164	2019-12-06 09:17:18.112362	t	\N
6242	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	889337	889756	2019-12-06 09:17:35.134988	t	\N
6243	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892139	892536	2019-12-06 09:17:38.139032	t	\N
6244	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	907477	908018	2019-12-06 09:18:03.174661	t	\N
6245	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929550	929969	2019-12-06 09:18:36.216352	t	\N
6246	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	966685	969704	2019-12-06 09:19:36.29216	t	\N
6247	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976019	976413	2019-12-06 09:19:46.304471	t	\N
6248	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	979467	980256	2019-12-06 09:19:50.310382	t	\N
6249	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1009840	1012859	2019-12-06 09:20:36.375874	t	\N
6250	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1020167	1020801	2019-12-06 09:20:48.39064	t	\N
6251	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1030068	1030609	2019-12-06 09:21:02.408556	t	\N
6252	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	822961	823415	2019-12-06 09:21:34.448564	t	\N
6253	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	861100	864157	2019-12-06 09:22:36.523631	t	\N
6254	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866262	866659	2019-12-06 09:22:37.53217	t	\N
6255	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	901939	904958	2019-12-06 09:23:36.605635	t	\N
6256	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	921225	921766	2019-12-06 09:24:04.640455	t	\N
6257	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	926132	927838	2019-12-06 09:24:11.649556	t	\N
6258	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945059	945511	2019-12-06 09:24:34.679287	t	\N
6259	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	982147	985166	2019-12-06 09:25:34.753002	t	\N
6260	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1010304	1011337	2019-12-06 09:26:18.807109	t	\N
6261	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024444	1024863	2019-12-06 09:26:36.829113	t	\N
6262	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	813658	814201	2019-12-06 09:27:05.864657	t	\N
6263	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	834337	834767	2019-12-06 09:27:34.900471	t	\N
6264	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838611	839008	2019-12-06 09:27:40.908302	t	\N
6265	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	872794	875851	2019-12-06 09:28:34.974489	t	\N
6266	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	912247	915233	2019-12-06 09:29:34.046678	t	\N
6267	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932414	932955	2019-12-06 09:30:04.084333	t	\N
6268	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936925	937319	2019-12-06 09:30:10.092393	t	\N
6269	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	938475	952343	2019-12-06 09:30:11.098724	t	\N
6270	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	969148	969567	2019-12-06 09:30:34.129622	t	\N
6271	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	973523	974157	2019-12-06 09:30:40.137625	t	\N
6272	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1007599	1010618	2019-12-06 09:31:34.204101	t	\N
6273	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1023367	1024174	2019-12-06 09:31:56.231376	t	\N
6274	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1034085	1035020	2019-12-06 09:32:13.259374	t	\N
6275	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820452	820851	2019-12-06 09:32:28.298892	t	\N
6276	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824519	824938	2019-12-06 09:32:34.306409	t	\N
6277	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	843046	843587	2019-12-06 09:33:06.349591	t	\N
6278	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862759	863175	2019-12-06 09:33:33.38335	t	\N
6279	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865392	865811	2019-12-06 09:33:36.393048	t	\N
6280	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	903563	906620	2019-12-06 09:34:38.475307	t	\N
6281	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	941362	944381	2019-12-06 09:35:36.547987	t	\N
6282	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	964625	965166	2019-12-06 09:36:12.592008	t	\N
6283	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982307	982726	2019-12-06 09:36:35.621069	t	\N
6284	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005414	1005811	2019-12-06 09:37:16.675894	t	\N
6285	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020622	1021041	2019-12-06 09:37:36.700189	t	\N
6286	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	831120	834179	2019-12-06 09:38:37.774171	t	\N
6287	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853333	853874	2019-12-06 09:39:10.814896	t	\N
6288	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873697	874116	2019-12-06 09:39:38.849186	t	\N
6289	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	899600	900234	2019-12-06 09:40:24.91061	t	\N
6290	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901390	901784	2019-12-06 09:40:25.912492	t	\N
6291	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912027	912446	2019-12-06 09:40:37.926768	t	\N
6292	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	945876	948977	2019-12-06 09:41:31.992791	t	\N
6293	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953669	954088	2019-12-06 09:41:39.00182	t	\N
6294	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970982	971379	2019-12-06 09:42:09.043584	t	\N
6295	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972535	973076	2019-12-06 09:42:10.045497	t	\N
6296	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993044	993463	2019-12-06 09:42:39.081664	t	\N
6297	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1030610	1033629	2019-12-06 09:43:39.154742	t	\N
6298	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	843137	846196	2019-12-06 09:44:38.22842	t	\N
6299	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863154	863695	2019-12-06 09:45:07.272139	t	\N
6300	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	882598	896466	2019-12-06 09:45:34.30572	t	\N
6301	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900354	900773	2019-12-06 09:45:40.314173	t	\N
6302	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	937448	940467	2019-12-06 09:46:41.388158	t	\N
6303	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	955000	955807	2019-12-06 09:47:05.418264	t	\N
6304	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958733	959130	2019-12-06 09:47:09.42815	t	\N
6305	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	980040	980459	2019-12-06 09:47:40.46727	t	\N
6306	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	999890	1000602	2019-12-06 09:48:14.511159	t	\N
6307	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019460	1019879	2019-12-06 09:48:42.545018	t	\N
6308	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	831103	834162	2019-12-06 09:49:42.637558	t	\N
6309	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	846717	847351	2019-12-06 09:50:03.670632	t	\N
6310	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	868345	871328	2019-12-06 09:50:34.709139	t	\N
6311	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877409	877828	2019-12-06 09:50:44.721328	t	\N
6312	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	893836	894377	2019-12-06 09:51:12.758466	t	\N
6313	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915036	915455	2019-12-06 09:51:43.796426	t	\N
6314	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	930869	931266	2019-12-06 09:52:09.83925	t	\N
6315	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	951452	952346	2019-12-06 09:52:39.875472	t	\N
6316	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954863	955282	2019-12-06 09:52:43.881098	t	\N
6317	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	991966	994985	2019-12-06 09:53:43.955159	t	\N
6318	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1012154	1012695	2019-12-06 09:54:13.992641	t	\N
6319	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	1018229	1018812	2019-12-06 09:54:22.009391	t	\N
6320	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033744	1034163	2019-12-06 09:54:43.03502	t	\N
6321	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	846177	849236	2019-12-06 09:55:42.149351	t	\N
6322	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	886856	889875	2019-12-06 09:56:44.22543	t	\N
6323	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903903	904444	2019-12-06 09:57:08.255412	t	\N
6324	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905727	906124	2019-12-06 09:57:09.263541	t	\N
6325	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	912028	913061	2019-12-06 09:57:18.275818	t	\N
6326	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932146	932565	2019-12-06 09:57:46.310216	t	\N
6327	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949306	949722	2019-12-06 09:58:15.346352	t	\N
6328	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	955883	957335	2019-12-06 09:58:25.358658	t	\N
6329	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972929	973348	2019-12-06 09:58:47.390715	t	\N
6330	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1010978	1013997	2019-12-06 09:59:48.46464	t	\N
6331	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1026277	1026818	2019-12-06 10:00:08.490027	t	\N
6332	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029456	1029850	2019-12-06 10:00:10.493089	t	\N
6333	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	86	1034134	824748	2019-12-06 10:00:17.502654	t	\N
6334	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	828839	829473	2019-12-06 10:00:24.517966	t	\N
6335	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846945	847364	2019-12-06 10:00:49.549232	t	\N
6336	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	863304	863889	2019-12-06 10:01:16.584218	t	\N
6337	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886490	886909	2019-12-06 10:01:51.626888	t	\N
6338	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	893923	894672	2019-12-06 10:02:02.641264	t	\N
6339	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900302	900699	2019-12-06 10:02:11.65935	t	\N
6340	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	902569	903488	2019-12-06 10:02:14.663891	t	\N
6341	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927212	927631	2019-12-06 10:02:50.708169	t	\N
6342	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	937795	938336	2019-12-06 10:03:07.729749	t	\N
6343	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964368	964784	2019-12-06 10:03:48.784759	t	\N
6344	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966900	967319	2019-12-06 10:03:50.792383	t	\N
6345	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1004821	1007878	2019-12-06 10:04:52.867544	t	\N
6346	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	821398	824457	2019-12-06 10:05:53.945049	t	\N
6347	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	834833	835374	2019-12-06 10:06:10.967382	t	\N
6348	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863396	863848	2019-12-06 10:06:55.022876	t	\N
6349	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877708	878105	2019-12-06 10:07:20.054526	t	\N
6350	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	902892	903311	2019-12-06 10:07:57.10183	t	\N
6351	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	924341	925064	2019-12-06 10:08:29.141355	t	\N
6352	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942024	942443	2019-12-06 10:08:57.177781	t	\N
6353	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	948172	948713	2019-12-06 10:09:06.189332	t	\N
6354	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978014	978408	2019-12-06 10:09:52.252684	t	\N
6355	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981947	982366	2019-12-06 10:09:57.259311	t	\N
6356	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1004739	1005373	2019-12-06 10:10:31.300598	t	\N
6357	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019299	1019718	2019-12-06 10:10:55.330687	t	\N
6358	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	833922	836981	2019-12-06 10:11:55.429539	t	\N
6359	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	844696	845237	2019-12-06 10:12:09.453067	t	\N
6360	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847540	847937	2019-12-06 10:12:11.456217	t	\N
6361	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	866049	869150	2019-12-06 10:12:37.488363	t	\N
6362	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	880657	881076	2019-12-06 10:12:57.513535	t	\N
6363	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	917395	920414	2019-12-06 10:13:58.5884	t	\N
6364	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	81	949103	965582	2019-12-06 10:14:44.650048	t	\N
6365	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976114	976533	2019-12-06 10:15:00.670416	t	\N
6366	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979594	980135	2019-12-06 10:15:05.676748	t	\N
6367	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1014284	1014703	2019-12-06 10:16:02.754067	t	\N
6368	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	829398	832457	2019-12-06 10:17:04.848563	t	\N
6369	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	836862	837669	2019-12-06 10:17:10.863382	t	\N
6370	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	841216	841635	2019-12-06 10:17:15.870896	t	\N
6371	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870105	870646	2019-12-06 10:18:00.92664	t	\N
6372	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872664	873083	2019-12-06 10:18:02.929951	t	\N
6373	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	909438	912424	2019-12-06 10:19:02.002815	t	\N
6374	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926503	926897	2019-12-06 10:19:27.041578	t	\N
6375	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950746	951165	2019-12-06 10:20:04.088476	t	\N
6376	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	984344	987623	2019-12-06 10:20:58.156934	t	\N
6377	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	988893	989527	2019-12-06 10:20:59.158862	t	\N
6378	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	994219	994638	2019-12-06 10:21:06.168786	t	\N
6379	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029884	1030303	2019-12-06 10:22:04.243672	t	\N
6380	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1038101	817259	2019-12-06 10:22:16.259431	t	\N
6381	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821683	822080	2019-12-06 10:22:24.269573	t	\N
6382	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846755	847174	2019-12-06 10:23:02.316233	t	\N
6383	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	884638	887956	2019-12-06 10:24:04.392428	t	\N
6384	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	889460	889879	2019-12-06 10:24:05.401278	t	\N
6385	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	927851	930870	2019-12-06 10:25:06.477134	t	\N
6386	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	963921	964954	2019-12-06 10:26:00.543712	t	\N
6387	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969295	969714	2019-12-06 10:26:06.551636	t	\N
6388	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	1006386	1009494	2019-12-06 10:27:06.623776	t	\N
6389	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011180	1011599	2019-12-06 10:27:07.63226	t	\N
6390	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017373	1017770	2019-12-06 10:27:16.643786	t	\N
6391	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	827928	830987	2019-12-06 10:28:07.706014	t	\N
6392	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	868297	871316	2019-12-06 10:29:09.783295	t	\N
6393	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888169	888563	2019-12-06 10:29:33.813327	t	\N
6394	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	78	908106	924585	2019-12-06 10:30:07.860723	t	\N
6395	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926118	926659	2019-12-06 10:30:09.864272	t	\N
6396	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928282	928701	2019-12-06 10:30:10.866169	t	\N
6397	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	953470	954104	2019-12-06 10:30:49.913271	t	\N
6398	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966782	967201	2019-12-06 10:31:10.939529	t	\N
6399	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998841	999238	2019-12-06 10:32:02.005877	t	\N
6400	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1003908	1004827	2019-12-06 10:32:10.016418	t	\N
6401	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005983	1006402	2019-12-06 10:32:11.018302	t	\N
6402	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1022944	1023693	2019-12-06 10:32:34.04741	t	\N
6403	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	823465	826524	2019-12-06 10:33:10.112442	t	\N
6404	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	828631	829172	2019-12-06 10:33:12.122286	t	\N
6405	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861475	861891	2019-12-06 10:34:04.186677	t	\N
6406	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865632	866051	2019-12-06 10:34:09.193013	t	\N
6407	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	902759	905842	2019-12-06 10:35:11.269341	t	\N
6408	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	941101	944383	2019-12-06 10:36:08.342506	t	\N
6409	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946293	946712	2019-12-06 10:36:11.353095	t	\N
6410	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979612	980009	2019-12-06 10:37:03.417672	t	\N
6411	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983805	984224	2019-12-06 10:37:09.426034	t	\N
6412	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1020222	1023241	2019-12-06 10:38:07.499266	t	\N
6413	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	841107	844166	2019-12-06 10:39:08.574525	t	\N
6414	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847595	848136	2019-12-06 10:39:13.587709	t	\N
6415	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876654	877048	2019-12-06 10:39:57.642403	t	\N
6416	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882068	882487	2019-12-06 10:40:06.65373	t	\N
6417	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	921014	924237	2019-12-06 10:41:08.729642	t	\N
6418	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925265	925684	2019-12-06 10:41:09.731599	t	\N
6419	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	962805	965791	2019-12-06 10:42:11.81277	t	\N
6420	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967779	968198	2019-12-06 10:42:12.81469	t	\N
6421	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969446	969987	2019-12-06 10:42:13.816418	t	\N
6422	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1006375	1009394	2019-12-06 10:43:12.888711	t	\N
6423	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1033180	1036345	2019-12-06 10:43:48.934293	t	\N
6424	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831990	832411	2019-12-06 10:44:13.975339	t	\N
6425	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864295	864836	2019-12-06 10:45:06.040579	t	\N
6426	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869031	869450	2019-12-06 10:45:12.049002	t	\N
6427	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	877925	891841	2019-12-06 10:45:26.067536	t	\N
6428	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	920404	923461	2019-12-06 10:46:10.124152	t	\N
6429	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	959242	962261	2019-12-06 10:47:08.195663	t	\N
6430	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965901	966298	2019-12-06 10:47:14.203342	t	\N
6431	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	984121	984928	2019-12-06 10:47:40.235831	t	\N
6432	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	997781	998322	2019-12-06 10:48:02.262691	t	\N
6433	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001226	1001645	2019-12-06 10:48:06.268383	t	\N
6434	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1038049	822577	2019-12-06 10:49:06.346672	t	\N
6435	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	852921	855904	2019-12-06 10:49:53.40364	t	\N
6436	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863470	863889	2019-12-06 10:50:07.421329	t	\N
6437	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	894677	898025	2019-12-06 10:50:57.483031	t	\N
6438	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904139	904558	2019-12-06 10:51:07.495653	t	\N
6439	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	915565	916199	2019-12-06 10:51:26.524252	t	\N
6440	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941612	942031	2019-12-06 10:52:06.573762	t	\N
6441	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	944375	945269	2019-12-06 10:52:08.576976	t	\N
6442	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960542	960939	2019-12-06 10:52:28.60264	t	\N
6443	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981407	981826	2019-12-06 10:53:06.649599	t	\N
6444	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1018277	1021623	2019-12-06 10:54:05.727618	t	\N
6445	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023567	1023986	2019-12-06 10:54:07.731075	t	\N
6446	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	1032720	1033303	2019-12-06 10:54:22.750252	t	\N
6447	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	843730	844151	2019-12-06 10:55:05.804862	t	\N
6448	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	855796	856893	2019-12-06 10:55:26.83033	t	\N
6449	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	873100	874552	2019-12-06 10:55:48.864497	t	\N
6450	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884722	885141	2019-12-06 10:56:06.894996	t	\N
6451	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	921404	924461	2019-12-06 10:57:04.966432	t	\N
6452	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	927365	927906	2019-12-06 10:57:08.972434	t	\N
6453	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935930	936327	2019-12-06 10:57:21.990116	t	\N
6454	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	963938	964357	2019-12-06 10:58:04.047717	t	\N
6455	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1001468	1004487	2019-12-06 10:59:04.124881	t	\N
6456	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016838	1017232	2019-12-06 10:59:26.152588	t	\N
6457	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	85	1029827	826759	2019-12-06 10:59:42.173169	t	\N
6458	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838336	838730	2019-12-06 11:00:01.197267	t	\N
6459	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841720	842139	2019-12-06 11:00:05.207785	t	\N
6460	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	844233	844774	2019-12-06 11:00:08.212061	t	\N
6461	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	852475	853060	2019-12-06 11:00:19.227114	t	\N
6462	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883059	883478	2019-12-06 11:01:07.285593	t	\N
6463	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	884782	885701	2019-12-06 11:01:08.287297	t	\N
6464	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	894234	894868	2019-12-06 11:01:22.311542	t	\N
6465	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923759	924178	2019-12-06 11:02:08.368151	t	\N
6466	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926310	926707	2019-12-06 11:02:10.371022	t	\N
6467	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	935897	936646	2019-12-06 11:02:26.391532	t	\N
6468	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963849	964390	2019-12-06 11:03:08.441906	t	\N
6469	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966653	967072	2019-12-06 11:03:09.449959	t	\N
6470	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1003930	1006987	2019-12-06 11:04:10.524411	t	\N
6471	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015462	1015878	2019-12-06 11:04:24.54145	t	\N
6472	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	828357	831416	2019-12-06 11:05:10.618854	t	\N
6473	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	849294	850017	2019-12-06 11:05:35.650033	t	\N
6474	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	869551	872570	2019-12-06 11:06:10.697296	t	\N
6475	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874167	874708	2019-12-06 11:06:12.700613	t	\N
6476	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	910874	913893	2019-12-06 11:07:12.773091	t	\N
6477	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916412	916809	2019-12-06 11:07:14.776134	t	\N
6478	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	951756	954775	2019-12-06 11:08:12.847026	t	\N
6479	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	991388	994407	2019-12-06 11:09:11.924202	t	\N
6480	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	997722	998285	2019-12-06 11:09:15.930915	t	\N
6481	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009334	1009728	2019-12-06 11:09:28.94718	t	\N
6482	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1034545	1037564	2019-12-06 11:10:13.002807	t	\N
6483	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	858804	861863	2019-12-06 11:11:13.078125	t	\N
6484	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	884074	884708	2019-12-06 11:11:45.125393	t	\N
6485	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894635	895032	2019-12-06 11:12:02.148111	t	\N
6486	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900119	900660	2019-12-06 11:12:10.159346	t	\N
6487	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904320	904739	2019-12-06 11:12:15.166026	t	\N
6488	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	911755	912817	2019-12-06 11:12:28.183437	t	\N
6489	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	943743	946762	2019-12-06 11:13:16.247942	t	\N
6490	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	950588	953689	2019-12-06 11:13:22.256096	t	\N
6491	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	79	983863	1000342	2019-12-06 11:14:10.314977	t	\N
6492	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005427	1005846	2019-12-06 11:14:18.325581	t	\N
6493	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1034320	1034861	2019-12-06 11:15:04.381913	t	\N
6494	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830334	830755	2019-12-06 11:15:19.406765	t	\N
6495	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	867913	870970	2019-12-06 11:16:19.483552	t	\N
6496	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	906594	909580	2019-12-06 11:17:15.551492	t	\N
6497	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911512	911931	2019-12-06 11:17:18.556758	t	\N
6498	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939421	939962	2019-12-06 11:18:00.608059	t	\N
6499	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	942303	943110	2019-12-06 11:18:03.618272	t	\N
6500	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951709	952128	2019-12-06 11:18:18.63677	t	\N
6501	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	988744	991727	2019-12-06 11:19:18.709856	t	\N
6502	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993964	994383	2019-12-06 11:19:20.713307	t	\N
6503	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1030960	1033979	2019-12-06 11:20:20.78664	t	\N
6504	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848038	848581	2019-12-06 11:21:02.845847	t	\N
6505	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860071	860490	2019-12-06 11:21:22.870826	t	\N
6506	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	863599	864388	2019-12-06 11:21:27.877616	t	\N
6507	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	885610	886244	2019-12-06 11:21:58.916266	t	\N
6508	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892465	892862	2019-12-06 11:22:08.930739	t	\N
6509	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900691	901110	2019-12-06 11:22:21.951532	t	\N
6510	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	938687	941744	2019-12-06 11:23:23.025295	t	\N
6511	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967555	968096	2019-12-06 11:24:03.074523	t	\N
6512	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	972461	973494	2019-12-06 11:24:10.083843	t	\N
6513	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982497	982916	2019-12-06 11:24:25.102691	t	\N
6514	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1019242	1022261	2019-12-06 11:25:25.1816	t	\N
6515	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	845867	848926	2019-12-06 11:26:24.253436	t	\N
6516	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874384	874781	2019-12-06 11:27:02.302812	t	\N
6517	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	878102	879808	2019-12-06 11:27:07.309349	t	\N
6518	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883054	883595	2019-12-06 11:27:11.341479	t	\N
6519	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890732	891151	2019-12-06 11:27:23.362791	t	\N
6520	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	927856	930875	2019-12-06 11:28:23.435718	t	\N
6521	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	76	950368	964236	2019-12-06 11:28:51.471634	t	\N
6522	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981906	982300	2019-12-06 11:29:17.504817	t	\N
6523	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986347	986766	2019-12-06 11:29:24.514482	t	\N
6524	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1013889	1014430	2019-12-06 11:30:05.572383	t	\N
6525	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1024355	1024774	2019-12-06 11:30:22.59344	t	\N
6526	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1035996	1036915	2019-12-06 11:30:35.611169	t	\N
6527	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	850832	853891	2019-12-06 11:31:21.689187	t	\N
6528	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	877574	878208	2019-12-06 11:31:56.73397	t	\N
6529	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	889149	889546	2019-12-06 11:32:15.75738	t	\N
6530	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893745	894164	2019-12-06 11:32:22.766697	t	\N
6531	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	916954	917761	2019-12-06 11:32:57.808536	t	\N
6532	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	920115	920656	2019-12-06 11:33:00.813186	t	\N
6533	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934145	934564	2019-12-06 11:33:24.842671	t	\N
6534	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	971146	974165	2019-12-06 11:34:24.920141	t	\N
6535	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994748	995164	2019-12-06 11:34:54.956197	t	\N
6536	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011365	1011784	2019-12-06 11:35:22.992155	t	\N
6537	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035701	1036242	2019-12-06 11:36:00.038469	t	\N
6538	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837938	838359	2019-12-06 11:36:21.064736	t	\N
6539	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	872439	875463	2019-12-06 11:37:16.13731	t	\N
6540	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	879752	880171	2019-12-06 11:37:23.146632	t	\N
6541	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	915893	918912	2019-12-06 11:38:21.218241	t	\N
6542	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946171	946565	2019-12-06 11:39:04.271542	t	\N
6543	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	948681	949222	2019-12-06 11:39:06.27483	t	\N
6544	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959290	959709	2019-12-06 11:39:23.302839	t	\N
6545	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	996169	999188	2019-12-06 11:40:23.377579	t	\N
6546	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1036179	830176	2019-12-06 11:41:24.451203	t	\N
6547	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	853343	856444	2019-12-06 11:41:59.494649	t	\N
6548	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859498	860039	2019-12-06 11:42:03.499707	t	\N
6549	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864677	865074	2019-12-06 11:42:10.514903	t	\N
6550	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	869575	870231	2019-12-06 11:42:16.522796	t	\N
6551	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874949	875368	2019-12-06 11:42:24.532759	t	\N
6552	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	912184	915267	2019-12-06 11:43:24.607732	t	\N
6553	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	934233	948101	2019-12-06 11:43:51.641069	t	\N
6554	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	966452	966871	2019-12-06 11:44:24.687461	t	\N
6555	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993353	993894	2019-12-06 11:45:05.737487	t	\N
6556	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005263	1005682	2019-12-06 11:45:24.761766	t	\N
6557	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	831398	834457	2019-12-06 11:46:25.856577	t	\N
6558	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	867468	870454	2019-12-06 11:47:18.920965	t	\N
6559	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874258	874677	2019-12-06 11:47:24.935487	t	\N
6560	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	901459	902266	2019-12-06 11:48:05.986686	t	\N
6561	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	907529	908070	2019-12-06 11:48:13.99809	t	\N
6562	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914146	914565	2019-12-06 11:48:24.010062	t	\N
6563	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942867	943261	2019-12-06 11:49:09.066284	t	\N
6564	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952293	952712	2019-12-06 11:49:25.091671	t	\N
6565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	988746	991765	2019-12-06 11:50:25.169447	t	\N
6566	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1022935	1026281	2019-12-06 11:51:14.229281	t	\N
6567	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032888	1033307	2019-12-06 11:51:25.243287	t	\N
6568	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	859264	862323	2019-12-06 11:52:25.315611	t	\N
6569	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865070	865467	2019-12-06 11:52:28.326563	t	\N
6570	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	872280	872914	2019-12-06 11:52:33.33317	t	\N
6571	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	887555	888588	2019-12-06 11:52:59.364929	t	\N
6572	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	894844	895738	2019-12-06 11:53:10.378619	t	\N
6573	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903512	903931	2019-12-06 11:53:23.395286	t	\N
6574	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	933381	934761	2019-12-06 11:54:09.457325	t	\N
6575	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935853	936394	2019-12-06 11:54:10.458988	t	\N
6576	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945039	945458	2019-12-06 11:54:24.476799	t	\N
6577	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	982207	985226	2019-12-06 11:55:24.549116	t	\N
6578	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	995499	996082	2019-12-06 11:55:36.564036	t	\N
6579	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1022726	1025745	2019-12-06 11:56:24.628244	t	\N
6580	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845411	845954	2019-12-06 11:57:10.685404	t	\N
6581	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854365	854784	2019-12-06 11:57:24.702748	t	\N
6582	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864230	864627	2019-12-06 11:57:33.714129	t	\N
6583	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	893939	896996	2019-12-06 11:58:26.78204	t	\N
6584	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	919663	933575	2019-12-06 11:58:59.829163	t	\N
6585	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	939896	940481	2019-12-06 11:59:10.842973	t	\N
6586	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949855	950274	2019-12-06 11:59:26.862855	t	\N
6587	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959168	959562	2019-12-06 11:59:35.874481	t	\N
6588	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	977032	977573	2019-12-06 12:00:05.913069	t	\N
6589	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989333	989752	2019-12-06 12:00:26.94404	t	\N
6590	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991685	992079	2019-12-06 12:00:27.946094	t	\N
6591	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1019147	1020066	2019-12-06 12:01:12.000881	t	\N
6592	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029857	1030276	2019-12-06 12:01:28.021599	t	\N
6593	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	850218	853481	2019-12-06 12:02:13.07803	t	\N
6594	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862232	862651	2019-12-06 12:02:28.105	t	\N
6595	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875153	875550	2019-12-06 12:02:44.125537	t	\N
6596	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	877038	877761	2019-12-06 12:02:46.128818	t	\N
6597	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891680	892221	2019-12-06 12:03:10.159653	t	\N
6598	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	900652	901438	2019-12-06 12:03:23.176085	t	\N
6599	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903523	903942	2019-12-06 12:03:27.187829	t	\N
6600	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	939687	942703	2019-12-06 12:04:24.257334	t	\N
6601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943830	944313	2019-12-06 12:04:25.259473	t	\N
6602	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	980115	983134	2019-12-06 12:05:23.330549	t	\N
6603	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1015812	1019158	2019-12-06 12:06:17.39767	t	\N
6604	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024236	1024655	2019-12-06 12:06:24.412666	t	\N
6605	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	853863	856922	2019-12-06 12:07:26.505005	t	\N
6606	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873392	873789	2019-12-06 12:07:49.533247	t	\N
6607	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	893563	893982	2019-12-06 12:08:24.576344	t	\N
6608	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	928809	932156	2019-12-06 12:09:22.64626	t	\N
6609	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934707	935101	2019-12-06 12:09:24.656575	t	\N
6610	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936193	936612	2019-12-06 12:09:25.658301	t	\N
6611	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	973097	976116	2019-12-06 12:10:25.733875	t	\N
6612	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1013394	1016413	2019-12-06 12:11:26.808257	t	\N
6613	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	833840	834476	2019-12-06 12:12:03.856165	t	\N
6614	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845635	846176	2019-12-06 12:12:23.887203	t	\N
6615	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848457	848876	2019-12-06 12:12:26.891551	t	\N
6616	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870981	871378	2019-12-06 12:12:58.931491	t	\N
6617	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	886662	889763	2019-12-06 12:13:26.966022	t	\N
6618	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891131	891550	2019-12-06 12:13:27.968048	t	\N
6619	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	81	906621	920473	2019-12-06 12:13:47.99889	t	\N
6620	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	947358	947777	2019-12-06 12:14:29.060502	t	\N
6621	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	833671	837073	2019-12-06 12:15:26.142582	t	\N
6622	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838942	839361	2019-12-06 12:15:28.145869	t	\N
6623	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	880551	883570	2019-12-06 12:16:30.222278	t	\N
6624	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	921034	924053	2019-12-06 12:17:32.311648	t	\N
6625	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	932511	933318	2019-12-06 12:17:46.328957	t	\N
6626	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947829	948226	2019-12-06 12:18:11.35922	t	\N
6627	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963473	963892	2019-12-06 12:18:32.385479	t	\N
6628	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966220	966761	2019-12-06 12:18:34.388791	t	\N
6629	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	30	996025	999403	2019-12-06 12:19:27.460011	t	\N
6630	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006326	1006745	2019-12-06 12:19:32.466742	t	\N
6631	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007837	1008231	2019-12-06 12:19:33.468734	t	\N
6632	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	815824	818883	2019-12-06 12:20:32.56584	t	\N
6633	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	854441	857725	2019-12-06 12:21:29.635918	t	\N
6634	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859335	859754	2019-12-06 12:21:30.644974	t	\N
6635	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	881854	882488	2019-12-06 12:22:11.694858	t	\N
6636	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	897647	898066	2019-12-06 12:22:31.719387	t	\N
6637	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921029	921426	2019-12-06 12:23:12.77058	t	\N
6638	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936417	936836	2019-12-06 12:23:33.796288	t	\N
6639	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	940221	941254	2019-12-06 12:23:38.807859	t	\N
6640	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	967122	970467	2019-12-06 12:24:23.863359	t	\N
6641	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978664	979083	2019-12-06 12:24:31.873692	t	\N
6642	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1014409	1017428	2019-12-06 12:25:29.943806	t	\N
6643	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	826311	829370	2019-12-06 12:26:31.017209	t	\N
6644	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	854445	857729	2019-12-06 12:27:16.079788	t	\N
6645	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871049	871468	2019-12-06 12:27:33.1014	t	\N
6646	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892719	893116	2019-12-06 12:28:10.147644	t	\N
6647	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	908979	909398	2019-12-06 12:28:32.174883	t	\N
6648	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	928366	942278	2019-12-06 12:29:05.215601	t	\N
6649	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951859	952253	2019-12-06 12:29:21.236249	t	\N
6650	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961295	961714	2019-12-06 12:29:30.247743	t	\N
6651	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	987197	990603	2019-12-06 12:30:16.30331	t	\N
6652	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002942	1003361	2019-12-06 12:30:30.32103	t	\N
6653	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	810974	814033	2019-12-06 12:31:29.413785	t	\N
6654	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	837222	838215	2019-12-06 12:32:10.471545	t	\N
6655	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852736	853155	2019-12-06 12:32:30.496208	t	\N
6656	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	855249	855883	2019-12-06 12:32:33.500488	t	\N
6657	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	867659	868408	2019-12-06 12:32:53.525397	t	\N
6658	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871839	872236	2019-12-06 12:32:58.532858	t	\N
6659	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877673	878089	2019-12-06 12:33:07.548705	t	\N
6660	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	880141	880682	2019-12-06 12:33:09.551903	t	\N
6661	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891353	891772	2019-12-06 12:33:28.576198	t	\N
6662	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	933131	936150	2019-12-06 12:34:29.650098	t	\N
6663	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	972787	975806	2019-12-06 12:35:29.725805	t	\N
6664	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1000975	1001516	2019-12-06 12:36:14.786894	t	\N
6665	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014231	1014650	2019-12-06 12:36:30.806581	t	\N
6666	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	819446	822569	2019-12-06 12:37:28.87739	t	\N
6667	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	844919	845316	2019-12-06 12:38:00.916797	t	\N
6668	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	860311	860730	2019-12-06 12:38:27.949844	t	\N
6669	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887657	888051	2019-12-06 12:39:10.007467	t	\N
6670	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894172	894713	2019-12-06 12:39:20.019968	t	\N
6671	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899355	899774	2019-12-06 12:39:27.029404	t	\N
6672	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	936377	939396	2019-12-06 12:40:28.107538	t	\N
6673	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975926	978945	2019-12-06 12:41:28.182742	t	\N
6674	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1008533	1009167	2019-12-06 12:42:15.2452	t	\N
6675	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014247	1014788	2019-12-06 12:42:24.257387	t	\N
6676	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018092	1018511	2019-12-06 12:42:28.263139	t	\N
6677	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820522	820921	2019-12-06 12:43:13.338166	t	\N
6678	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	829944	830363	2019-12-06 12:43:28.357722	t	\N
6679	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	849598	863466	2019-12-06 12:43:55.424782	t	\N
6680	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	868245	871330	2019-12-06 12:44:03.435621	t	\N
6681	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885049	885468	2019-12-06 12:44:27.466412	t	\N
6682	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	920959	924340	2019-12-06 12:45:24.535438	t	\N
6683	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926209	926628	2019-12-06 12:45:27.539546	t	\N
6684	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	968023	971042	2019-12-06 12:46:29.62061	t	\N
6685	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1003176	1006195	2019-12-06 12:47:28.692151	t	\N
6686	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1012785	1013592	2019-12-06 12:47:32.697642	t	\N
6687	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035766	1036163	2019-12-06 12:48:11.745118	t	\N
6688	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	819850	820393	2019-12-06 12:48:28.767091	t	\N
6689	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825985	826404	2019-12-06 12:48:29.775013	t	\N
6690	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850225	850619	2019-12-06 12:49:13.831252	t	\N
6691	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864211	864630	2019-12-06 12:49:30.852464	t	\N
6692	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	900860	903917	2019-12-06 12:50:30.925212	t	\N
6693	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	935247	938525	2019-12-06 12:51:27.995585	t	\N
6694	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939923	940342	2019-12-06 12:51:29.004326	t	\N
6695	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	954731	956183	2019-12-06 12:51:49.029088	t	\N
6696	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	961066	961700	2019-12-06 12:51:55.03689	t	\N
6697	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	971777	972810	2019-12-06 12:52:14.061088	t	\N
6698	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980909	981328	2019-12-06 12:52:28.079228	t	\N
6699	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	997743	998565	2019-12-06 12:52:51.11147	t	\N
6700	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1007753	1008150	2019-12-06 12:53:05.129807	t	\N
6701	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1020115	1020534	2019-12-06 12:53:26.157413	t	\N
6702	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	831816	834875	2019-12-06 12:54:25.250726	t	\N
6703	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836406	836947	2019-12-06 12:54:27.253796	t	\N
6704	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	871376	874395	2019-12-06 12:55:24.330414	t	\N
6705	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	910790	913809	2019-12-06 12:56:24.403386	t	\N
6706	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	949822	952841	2019-12-06 12:57:23.475649	t	\N
6707	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	960157	960698	2019-12-06 12:57:29.483167	t	\N
6708	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	987460	990446	2019-12-06 12:58:17.544223	t	\N
6709	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994228	994647	2019-12-06 12:58:23.557844	t	\N
6710	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	997765	998348	2019-12-06 12:58:27.563239	t	\N
6711	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1027053	1027447	2019-12-06 12:59:12.618176	t	\N
6712	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033634	1034053	2019-12-06 12:59:22.631254	t	\N
6713	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	822087	836001	2019-12-06 12:59:37.653476	t	\N
6714	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	861245	864302	2019-12-06 13:00:22.707479	t	\N
6715	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867797	868338	2019-12-06 13:00:27.714497	t	\N
6716	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	902849	905868	2019-12-06 13:01:23.784497	t	\N
6717	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	918437	919022	2019-12-06 13:01:39.804739	t	\N
6718	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922501	922895	2019-12-06 13:01:44.812064	t	\N
6719	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	933070	933704	2019-12-06 13:02:00.837014	t	\N
6720	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935200	935616	2019-12-06 13:02:01.838837	t	\N
6721	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948885	949304	2019-12-06 13:02:25.868465	t	\N
6722	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	972272	972995	2019-12-06 13:03:00.910963	t	\N
6723	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	978673	979459	2019-12-06 13:03:09.92175	t	\N
6724	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987012	987409	2019-12-06 13:03:23.94545	t	\N
6725	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	990068	990987	2019-12-06 13:03:26.949542	t	\N
6726	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992218	992637	2019-12-06 13:03:27.951423	t	\N
6727	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999450	999991	2019-12-06 13:03:32.957903	t	\N
6728	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1029247	1032266	2019-12-06 13:04:25.023204	t	\N
6729	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	846507	849566	2019-12-06 13:05:27.108891	t	\N
6730	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	884687	888030	2019-12-06 13:06:24.181046	t	\N
6731	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890932	891351	2019-12-06 13:06:27.185354	t	\N
6732	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	922767	926418	2019-12-06 13:07:17.246063	t	\N
6733	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933265	933684	2019-12-06 13:07:29.261372	t	\N
6734	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	970510	973529	2019-12-06 13:08:29.338507	t	\N
6735	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980273	980670	2019-12-06 13:08:34.345493	t	\N
6736	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1007560	1010543	2019-12-06 13:09:21.40388	t	\N
6737	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1012672	1013213	2019-12-06 13:09:24.408288	t	\N
6738	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021911	1022330	2019-12-06 13:09:31.4187	t	\N
6739	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	836576	839635	2019-12-06 13:10:30.495006	t	\N
6740	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	876460	879607	2019-12-06 13:11:31.570154	t	\N
6741	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	889036	889670	2019-12-06 13:11:48.591079	t	\N
6742	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911062	911603	2019-12-06 13:12:25.63619	t	\N
6743	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918735	919154	2019-12-06 13:12:30.642669	t	\N
6744	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	955618	958637	2019-12-06 13:13:31.720377	t	\N
6745	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	966247	969348	2019-12-06 13:13:44.736974	t	\N
6746	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970941	971338	2019-12-06 13:13:45.738763	t	\N
6747	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	79	1000824	1017303	2019-12-06 13:14:32.796259	t	\N
6748	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018622	1019041	2019-12-06 13:14:33.798197	t	\N
6749	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	823532	826856	2019-12-06 13:15:18.879526	t	\N
6750	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838561	838980	2019-12-06 13:15:31.895374	t	\N
6751	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	875786	878805	2019-12-06 13:16:32.970103	t	\N
6752	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	882873	883662	2019-12-06 13:16:38.978879	t	\N
6753	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	917820	920839	2019-12-06 13:17:34.052791	t	\N
6754	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	945856	949252	2019-12-06 13:18:18.12198	t	\N
6755	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950873	951414	2019-12-06 13:18:20.125404	t	\N
6756	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964752	965171	2019-12-06 13:18:36.14574	t	\N
6757	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973971	974368	2019-12-06 13:18:51.16598	t	\N
6758	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987923	988339	2019-12-06 13:19:15.196472	t	\N
6759	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003154	1003573	2019-12-06 13:19:35.221045	t	\N
6760	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	821102	824161	2019-12-06 13:20:36.297465	t	\N
6761	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	848803	852408	2019-12-06 13:21:20.354201	t	\N
6762	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864089	864508	2019-12-06 13:21:35.373123	t	\N
6763	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	874560	875194	2019-12-06 13:21:52.394668	t	\N
6764	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903371	903790	2019-12-06 13:22:36.45288	t	\N
6765	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	932346	935968	2019-12-06 13:23:28.51649	t	\N
6766	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944654	945073	2019-12-06 13:23:35.525456	t	\N
6767	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952516	952913	2019-12-06 13:23:49.543166	t	\N
6768	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	966710	967251	2019-12-06 13:24:12.572145	t	\N
6769	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984580	984999	2019-12-06 13:24:35.607881	t	\N
6770	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1021221	1024240	2019-12-06 13:25:35.680505	t	\N
6771	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	840777	843836	2019-12-06 13:26:35.752214	t	\N
6772	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862469	863010	2019-12-06 13:27:09.794735	t	\N
6773	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882516	882935	2019-12-06 13:27:37.829299	t	\N
6774	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	919883	922869	2019-12-06 13:28:38.908286	t	\N
6775	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924005	924424	2019-12-06 13:28:39.910244	t	\N
6776	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	947736	950719	2019-12-06 13:29:20.960916	t	\N
6777	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	952316	954022	2019-12-06 13:29:22.964119	t	\N
6778	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967117	967536	2019-12-06 13:29:38.985862	t	\N
6779	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	103	981256	995124	2019-12-06 13:30:02.016115	t	\N
6780	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999215	999756	2019-12-06 13:30:09.025646	t	\N
6781	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016691	1017107	2019-12-06 13:30:33.055912	t	\N
6782	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020704	1021123	2019-12-06 13:30:38.062858	t	\N
6783	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	838262	841321	2019-12-06 13:31:39.138912	t	\N
6784	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	854554	855188	2019-12-06 13:32:01.165477	t	\N
6785	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	877846	878653	2019-12-06 13:32:37.210081	t	\N
6786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880398	880817	2019-12-06 13:32:39.213364	t	\N
6787	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900565	901106	2019-12-06 13:33:13.253675	t	\N
6788	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919397	919816	2019-12-06 13:33:39.286809	t	\N
6789	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922208	922605	2019-12-06 13:33:41.289856	t	\N
6790	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	941093	942028	2019-12-06 13:34:15.333499	t	\N
6791	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958933	959352	2019-12-06 13:34:39.362391	t	\N
6792	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	995208	998227	2019-12-06 13:35:37.433859	t	\N
6793	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1020268	1020809	2019-12-06 13:36:16.482226	t	\N
6794	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1036940	1037359	2019-12-06 13:36:38.515937	t	\N
6795	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	854874	857933	2019-12-06 13:37:38.595719	t	\N
6796	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	894673	897692	2019-12-06 13:38:39.670806	t	\N
6797	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903442	903839	2019-12-06 13:38:48.682181	t	\N
6798	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915810	916204	2019-12-06 13:39:08.707206	t	\N
6799	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	920160	920701	2019-12-06 13:39:14.71992	t	\N
6800	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	940688	941107	2019-12-06 13:39:41.756248	t	\N
6801	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	977638	980657	2019-12-06 13:40:42.830922	t	\N
6802	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1015442	1018461	2019-12-06 13:41:40.902405	t	\N
6803	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035718	1036259	2019-12-06 13:42:10.939685	t	\N
6804	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	824302	825567	2019-12-06 13:42:20.958724	t	\N
6805	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839201	839653	2019-12-06 13:42:38.980464	t	\N
6806	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	876733	879790	2019-12-06 13:43:39.054634	t	\N
6807	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887590	887990	2019-12-06 13:43:52.072615	t	\N
6808	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	904757	918625	2019-12-06 13:44:21.112407	t	\N
6809	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	931169	931588	2019-12-06 13:44:37.138169	t	\N
6810	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	947346	950431	2019-12-06 13:45:05.173814	t	\N
6811	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	955650	956191	2019-12-06 13:45:13.183675	t	\N
6812	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973291	973710	2019-12-06 13:45:37.242051	t	\N
6813	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1008264	1011283	2019-12-06 13:46:35.312723	t	\N
6814	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	829355	832414	2019-12-06 13:47:34.391637	t	\N
6815	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	848573	849380	2019-12-06 13:48:01.425167	t	\N
6816	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853096	853637	2019-12-06 13:48:07.433388	t	\N
6817	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871761	872180	2019-12-06 13:48:34.467053	t	\N
6818	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877330	877727	2019-12-06 13:48:41.476201	t	\N
6819	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	909094	912113	2019-12-06 13:49:32.542761	t	\N
6820	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915533	915927	2019-12-06 13:49:37.549511	t	\N
6821	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	949633	952652	2019-12-06 13:50:32.617102	t	\N
6822	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	968477	969018	2019-12-06 13:51:00.651793	t	\N
6823	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990339	990758	2019-12-06 13:51:31.688948	t	\N
6824	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1009162	1010614	2019-12-06 13:52:04.733621	t	\N
6825	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1019056	1019690	2019-12-06 13:52:18.751731	t	\N
6826	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031160	1031579	2019-12-06 13:52:32.768612	t	\N
6827	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	851261	854320	2019-12-06 13:53:32.862527	t	\N
6828	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	855456	856489	2019-12-06 13:53:33.864587	t	\N
6829	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859002	859399	2019-12-06 13:53:36.873996	t	\N
6830	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870226	870767	2019-12-06 13:53:55.897733	t	\N
6831	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895312	895731	2019-12-06 13:54:32.942981	t	\N
6832	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	931079	934098	2019-12-06 13:55:31.015494	t	\N
6833	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	941825	942719	2019-12-06 13:55:44.032116	t	\N
6834	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	972227	975246	2019-12-06 13:56:31.094973	t	\N
6835	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	984926	985467	2019-12-06 13:56:47.1162	t	\N
6836	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1014580	1017599	2019-12-06 13:57:33.175809	t	\N
6837	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	838547	841606	2019-12-06 13:58:33.270098	t	\N
6838	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846314	846711	2019-12-06 13:58:40.280077	t	\N
6839	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	849094	862962	2019-12-06 13:58:43.284916	t	\N
6840	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882442	882836	2019-12-06 13:59:17.327028	t	\N
6841	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895058	895477	2019-12-06 13:59:32.346581	t	\N
6842	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	907771	908312	2019-12-06 13:59:53.373065	t	\N
6843	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	918371	918954	2019-12-06 14:00:11.396893	t	\N
6844	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935183	935602	2019-12-06 14:00:32.430788	t	\N
6845	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	947830	948516	2019-12-06 14:00:53.456782	t	\N
6846	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952472	952921	2019-12-06 14:00:59.464406	t	\N
6847	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974877	975296	2019-12-06 14:01:32.504407	t	\N
6848	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	993313	993947	2019-12-06 14:02:04.543293	t	\N
6849	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013990	1014409	2019-12-06 14:02:34.585359	t	\N
6850	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1017630	1018401	2019-12-06 14:02:39.592456	t	\N
6851	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026434	1026975	2019-12-06 14:02:52.608521	t	\N
6852	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1032206	1032791	2019-12-06 14:02:59.61804	t	\N
6853	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832376	832775	2019-12-06 14:03:26.674036	t	\N
6854	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841049	841468	2019-12-06 14:03:34.689387	t	\N
6855	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	867308	870329	2019-12-06 14:04:20.747581	t	\N
6856	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883932	884351	2019-12-06 14:04:36.768891	t	\N
6857	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	910142	913724	2019-12-06 14:05:22.827912	t	\N
6858	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	925957	926376	2019-12-06 14:05:37.846865	t	\N
6859	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932547	933088	2019-12-06 14:05:47.865061	t	\N
6860	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	964833	967852	2019-12-06 14:06:37.926149	t	\N
6861	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1004421	1007440	2019-12-06 14:07:38.002096	t	\N
6862	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1033306	1036292	2019-12-06 14:08:23.0602	t	\N
6863	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	833035	833456	2019-12-06 14:08:37.078167	t	\N
6864	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	842510	843051	2019-12-06 14:08:52.103437	t	\N
6865	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862380	862774	2019-12-06 14:09:26.148144	t	\N
6866	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873171	873590	2019-12-06 14:09:37.161584	t	\N
6867	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	910049	913106	2019-12-06 14:10:38.235766	t	\N
6868	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	949699	952718	2019-12-06 14:11:37.308415	t	\N
6869	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959317	959858	2019-12-06 14:11:48.329007	t	\N
6870	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	961742	962376	2019-12-06 14:11:50.332221	t	\N
6871	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	992590	995609	2019-12-06 14:12:37.390161	t	\N
6872	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015524	1015921	2019-12-06 14:13:12.432959	t	\N
6873	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1032075	1032494	2019-12-06 14:13:36.463947	t	\N
6874	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	842189	856059	2019-12-06 14:14:17.519419	t	\N
6875	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	858592	861677	2019-12-06 14:14:21.525507	t	\N
6876	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874221	874640	2019-12-06 14:14:36.544568	t	\N
6877	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	882729	883270	2019-12-06 14:14:50.562185	t	\N
6878	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	912856	915913	2019-12-06 14:15:36.620035	t	\N
6879	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	918825	919614	2019-12-06 14:15:39.631198	t	\N
6880	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	954564	957583	2019-12-06 14:16:36.699703	t	\N
6881	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	995405	998424	2019-12-06 14:17:38.774747	t	\N
6882	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	1000374	1001181	2019-12-06 14:17:41.78213	t	\N
6883	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002902	1003443	2019-12-06 14:17:42.783863	t	\N
6884	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	29	1027237	1030223	2019-12-06 14:18:24.846383	t	\N
6885	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828370	828791	2019-12-06 14:18:37.862384	t	\N
6886	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846349	846743	2019-12-06 14:19:04.897231	t	\N
6887	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869069	869488	2019-12-06 14:19:37.938316	t	\N
6888	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	906248	909369	2019-12-06 14:20:38.014323	t	\N
6889	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	915253	915794	2019-12-06 14:20:47.035733	t	\N
6890	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	947188	950207	2019-12-06 14:21:38.100404	t	\N
6891	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	973412	974068	2019-12-06 14:22:19.151807	t	\N
6892	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988098	988517	2019-12-06 14:22:38.174764	t	\N
6893	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1016612	1019598	2019-12-06 14:23:29.237123	t	\N
6894	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029815	1030234	2019-12-06 14:23:40.259068	t	\N
6895	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032498	1033039	2019-12-06 14:23:42.262307	t	\N
6896	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	855735	859397	2019-12-06 14:24:39.332265	t	\N
6897	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862221	862640	2019-12-06 14:24:42.336727	t	\N
6898	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	900192	903211	2019-12-06 14:25:43.41306	t	\N
6899	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	935716	939000	2019-12-06 14:26:36.483052	t	\N
6900	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944742	945161	2019-12-06 14:26:45.494784	t	\N
6901	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	981577	984596	2019-12-06 14:27:44.566856	t	\N
6902	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1015317	1018303	2019-12-06 14:28:33.627008	t	\N
6903	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025787	1026206	2019-12-06 14:28:46.64392	t	\N
6904	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	837213	840236	2019-12-06 14:29:26.697865	t	\N
6905	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847026	847567	2019-12-06 14:29:30.703638	t	\N
6906	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	852562	866430	2019-12-06 14:29:37.712703	t	\N
6907	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871310	871729	2019-12-06 14:29:45.724041	t	\N
6908	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	899950	902966	2019-12-06 14:30:30.777225	t	\N
6909	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912476	912895	2019-12-06 14:30:46.803753	t	\N
6910	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	949115	952134	2019-12-06 14:31:46.875446	t	\N
6911	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	959648	960455	2019-12-06 14:31:57.89197	t	\N
6912	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	963047	963681	2019-12-06 14:32:01.897755	t	\N
6913	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	975999	976540	2019-12-06 14:32:22.924823	t	\N
6914	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992844	993263	2019-12-06 14:32:45.958426	t	\N
6915	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1012516	1012913	2019-12-06 14:33:20.0004	t	\N
6916	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031389	1031808	2019-12-06 14:33:47.034641	t	\N
6917	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	856980	860039	2019-12-06 14:34:45.113352	t	\N
6918	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	861669	862662	2019-12-06 14:34:47.116743	t	\N
6919	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	883053	883594	2019-12-06 14:35:22.16936	t	\N
6920	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900754	901173	2019-12-06 14:35:45.198452	t	\N
6921	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	937978	940997	2019-12-06 14:36:45.272164	t	\N
6922	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	976957	979976	2019-12-06 14:37:43.34574	t	\N
6923	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1000303	1000700	2019-12-06 14:38:19.397374	t	\N
6924	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005242	1005847	2019-12-06 14:38:27.407605	t	\N
6925	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020593	1021012	2019-12-06 14:38:45.430145	t	\N
6926	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	846996	850019	2019-12-06 14:39:44.503421	t	\N
6927	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851817	852236	2019-12-06 14:39:46.506679	t	\N
6928	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	888643	891662	2019-12-06 14:40:44.578938	t	\N
6929	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	921315	924599	2019-12-06 14:41:31.644586	t	\N
6930	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	928493	929127	2019-12-06 14:41:37.652549	t	\N
6931	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934029	934448	2019-12-06 14:41:44.662262	t	\N
6932	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	971194	974213	2019-12-06 14:42:45.736707	t	\N
6933	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987197	987594	2019-12-06 14:43:07.76446	t	\N
6934	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011548	1011967	2019-12-06 14:43:44.815983	t	\N
6935	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	82	831014	847533	2019-12-06 14:44:30.873268	t	\N
6936	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	850573	851114	2019-12-06 14:44:33.878031	t	\N
6937	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	30	857508	860593	2019-12-06 14:44:43.892308	t	\N
6938	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861649	862068	2019-12-06 14:44:44.894134	t	\N
6939	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	899629	902648	2019-12-06 14:45:46.974964	t	\N
6940	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	938934	941953	2019-12-06 14:46:47.049226	t	\N
6941	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	962178	962985	2019-12-06 14:47:22.094064	t	\N
6942	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	974069	974610	2019-12-06 14:47:34.137198	t	\N
6943	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982362	982781	2019-12-06 14:47:47.153972	t	\N
6944	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	995525	995922	2019-12-06 14:48:08.18499	t	\N
6945	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021576	1021995	2019-12-06 14:48:48.234548	t	\N
6946	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	849626	852685	2019-12-06 14:49:49.329295	t	\N
6947	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854629	855023	2019-12-06 14:49:52.334336	t	\N
6948	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	886555	889902	2019-12-06 14:50:41.395316	t	\N
6949	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895021	895440	2019-12-06 14:50:49.41209	t	\N
6950	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	932090	935109	2019-12-06 14:51:50.486444	t	\N
6951	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	939434	940068	2019-12-06 14:51:56.494136	t	\N
6952	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973527	973946	2019-12-06 14:52:49.559011	t	\N
6953	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	980206	981680	2019-12-06 14:52:59.57207	t	\N
6954	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988024	988421	2019-12-06 14:53:09.584476	t	\N
6955	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010723	1011264	2019-12-06 14:53:43.627515	t	\N
6956	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014931	1015350	2019-12-06 14:53:48.63423	t	\N
6957	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	842873	845932	2019-12-06 14:54:48.707205	t	\N
6958	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	882253	885272	2019-12-06 14:55:49.782011	t	\N
6959	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	890642	891675	2019-12-06 14:55:57.799161	t	\N
6960	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	916177	916718	2019-12-06 14:56:35.845425	t	\N
6961	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924341	924760	2019-12-06 14:56:47.86068	t	\N
6962	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	954300	957472	2019-12-06 14:57:33.916512	t	\N
6963	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	964669	965563	2019-12-06 14:57:45.932259	t	\N
6964	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966591	967010	2019-12-06 14:57:46.938661	t	\N
6965	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	976243	976640	2019-12-06 14:58:00.956354	t	\N
6966	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1003841	1004260	2019-12-06 14:58:45.017924	t	\N
6967	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1035869	830368	2019-12-06 14:59:35.080344	t	\N
6968	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835433	835852	2019-12-06 14:59:43.091192	t	\N
6969	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	70	854076	868008	2019-12-06 15:00:14.135918	t	\N
6970	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869144	869538	2019-12-06 15:00:15.13765	t	\N
6971	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	887093	887542	2019-12-06 15:00:40.171054	t	\N
6972	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889073	889492	2019-12-06 15:00:42.174062	t	\N
6973	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	903941	904627	2019-12-06 15:01:06.204601	t	\N
6974	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	923513	924147	2019-12-06 15:01:34.244759	t	\N
6975	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928955	929374	2019-12-06 15:01:42.255675	t	\N
6976	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932788	933373	2019-12-06 15:01:47.262504	t	\N
6977	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	957891	961275	2019-12-06 15:02:30.314776	t	\N
6978	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	971065	971894	2019-12-06 15:02:40.327694	t	\N
6979	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973361	973780	2019-12-06 15:02:42.331067	t	\N
6980	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989702	990099	2019-12-06 15:03:09.36421	t	\N
6981	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	993779	994173	2019-12-06 15:03:15.372713	t	\N
6982	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1012267	1012686	2019-12-06 15:03:41.405261	t	\N
6983	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	839362	842984	2019-12-06 15:04:38.493044	t	\N
6984	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	844879	845298	2019-12-06 15:04:39.502487	t	\N
6985	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	869279	869820	2019-12-06 15:05:22.555087	t	\N
6986	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881872	882291	2019-12-06 15:05:37.573614	t	\N
6987	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	918874	921893	2019-12-06 15:06:37.64564	t	\N
6988	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	958342	961361	2019-12-06 15:07:38.718553	t	\N
6989	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972609	973006	2019-12-06 15:07:56.747344	t	\N
6990	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987048	987589	2019-12-06 15:08:20.777628	t	\N
6991	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1002717	1003147	2019-12-06 15:08:40.802712	t	\N
6992	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	831434	834493	2019-12-06 15:09:40.876774	t	\N
6993	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	868873	872524	2019-12-06 15:10:36.944083	t	\N
6994	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876186	876580	2019-12-06 15:10:41.958802	t	\N
6995	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877800	878219	2019-12-06 15:10:42.960782	t	\N
6996	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900958	901499	2019-12-06 15:11:24.010684	t	\N
6997	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	915534	915953	2019-12-06 15:11:41.032757	t	\N
6998	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	928376	929010	2019-12-06 15:12:01.057758	t	\N
6999	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954256	954675	2019-12-06 15:12:41.111793	t	\N
7000	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	956107	956504	2019-12-06 15:12:42.113556	t	\N
7001	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	993332	996351	2019-12-06 15:13:43.187843	t	\N
7002	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1017684	1020785	2019-12-06 15:14:20.240264	t	\N
7003	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1024122	1024663	2019-12-06 15:14:25.246243	t	\N
7004	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037869	1038288	2019-12-06 15:14:41.272233	t	\N
7005	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	840127	853979	2019-12-06 15:14:55.289617	t	\N
7006	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	861799	862588	2019-12-06 15:15:08.306273	t	\N
7007	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885201	885620	2019-12-06 15:15:43.351374	t	\N
7008	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	923689	926746	2019-12-06 15:16:45.426005	t	\N
7009	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	946517	947324	2019-12-06 15:17:21.49298	t	\N
7010	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	948692	949233	2019-12-06 15:17:22.49546	t	\N
7011	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	822979	823378	2019-12-06 15:17:41.520436	t	\N
7012	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827334	827753	2019-12-06 15:17:47.528231	t	\N
7013	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	865196	868253	2019-12-06 15:18:49.6038	t	\N
7014	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	906676	909695	2019-12-06 15:19:51.695487	t	\N
7015	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	930422	933405	2019-12-06 15:20:27.740784	t	\N
7016	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939730	940271	2019-12-06 15:20:30.745028	t	\N
7017	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950996	951415	2019-12-06 15:20:49.769844	t	\N
7018	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	989202	992221	2019-12-06 15:21:50.84343	t	\N
7019	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1009900	1010598	2019-12-06 15:22:21.88786	t	\N
7020	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025563	1025960	2019-12-06 15:22:41.913057	t	\N
7021	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031666	1032085	2019-12-06 15:22:50.924419	t	\N
7022	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	824950	828270	2019-12-06 15:23:28.990998	t	\N
7023	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844659	845078	2019-12-06 15:23:51.018734	t	\N
7024	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	881421	884440	2019-12-06 15:24:51.101272	t	\N
7025	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	900638	902366	2019-12-06 15:25:20.139435	t	\N
7026	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	922190	922609	2019-12-06 15:25:49.17655	t	\N
7027	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	949759	953106	2019-12-06 15:26:31.22851	t	\N
7028	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963092	963511	2019-12-06 15:26:49.251445	t	\N
7029	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	975658	976691	2019-12-06 15:27:09.280467	t	\N
7030	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	999211	999608	2019-12-06 15:27:44.323744	t	\N
7031	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002055	1002474	2019-12-06 15:27:47.328643	t	\N
7032	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	812234	815293	2019-12-06 15:28:49.404652	t	\N
7033	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	843600	846947	2019-12-06 15:29:34.460127	t	\N
7034	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856671	857090	2019-12-06 15:29:50.486947	t	\N
7035	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	877912	880928	2019-12-06 15:30:27.532176	t	\N
7036	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	882088	896020	2019-12-06 15:30:28.534387	t	\N
7037	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903605	903999	2019-12-06 15:30:35.544255	t	\N
7038	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914397	914816	2019-12-06 15:30:52.565538	t	\N
7039	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	952609	955628	2019-12-06 15:31:54.645212	t	\N
7040	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	958872	959679	2019-12-06 15:31:58.651188	t	\N
7041	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	973318	973952	2019-12-06 15:32:23.681727	t	\N
7042	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	977629	978170	2019-12-06 15:32:28.68856	t	\N
7043	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	993941	994338	2019-12-06 15:32:50.715892	t	\N
7044	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999162	999581	2019-12-06 15:32:56.728485	t	\N
7045	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1035986	811949	2019-12-06 15:33:56.80186	t	\N
7046	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	849284	852303	2019-12-06 15:34:57.876636	t	\N
7047	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	869630	870171	2019-12-06 15:35:28.914945	t	\N
7048	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	876696	877689	2019-12-06 15:35:32.9204	t	\N
7049	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893424	893843	2019-12-06 15:35:59.957628	t	\N
7050	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	929887	932906	2019-12-06 15:36:59.029661	t	\N
7051	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	965562	965959	2019-12-06 15:37:52.095406	t	\N
7052	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970154	970573	2019-12-06 15:37:58.103265	t	\N
7053	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993310	993851	2019-12-06 15:38:32.146313	t	\N
7054	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009124	1009543	2019-12-06 15:38:58.183539	t	\N
7055	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	818850	821909	2019-12-06 15:39:58.282148	t	\N
7056	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849937	850331	2019-12-06 15:40:42.342938	t	\N
7057	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859683	860102	2019-12-06 15:40:57.361709	t	\N
7058	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	883068	883609	2019-12-06 15:41:33.406082	t	\N
7059	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898110	898529	2019-12-06 15:41:58.442661	t	\N
7060	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	912543	913177	2019-12-06 15:42:23.474059	t	\N
7061	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926156	926575	2019-12-06 15:42:40.495653	t	\N
7062	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938861	939302	2019-12-06 15:43:00.520821	t	\N
7063	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975896	978915	2019-12-06 15:44:00.594944	t	\N
7064	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995245	995786	2019-12-06 15:44:29.630377	t	\N
7065	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1011304	1014405	2019-12-06 15:44:49.655439	t	\N
7066	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020498	1020917	2019-12-06 15:44:58.667096	t	\N
7067	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	819622	833476	2019-12-06 15:45:38.715503	t	\N
7068	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845162	845581	2019-12-06 15:45:58.740175	t	\N
7069	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	868980	869729	2019-12-06 15:46:33.788135	t	\N
7070	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882624	883043	2019-12-06 15:46:56.819703	t	\N
7071	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	899441	899982	2019-12-06 15:47:26.857271	t	\N
7072	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908562	908959	2019-12-06 15:47:33.866292	t	\N
7073	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923649	924068	2019-12-06 15:47:58.89736	t	\N
7074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	960381	963438	2019-12-06 15:48:58.975818	t	\N
7075	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	999551	1002570	2019-12-06 15:49:58.052525	t	\N
7076	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1015405	1015946	2019-12-06 15:50:22.082522	t	\N
7077	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1038335	813107	2019-12-06 15:50:55.122637	t	\N
7078	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	814263	814682	2019-12-06 15:50:56.124707	t	\N
7079	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	830235	831687	2019-12-06 15:51:23.163431	t	\N
7080	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853834	854253	2019-12-06 15:51:56.204574	t	\N
7081	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870508	870905	2019-12-06 15:52:25.239256	t	\N
7082	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	881020	881654	2019-12-06 15:52:37.254302	t	\N
7083	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893064	893483	2019-12-06 15:52:56.277605	t	\N
7084	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	912122	915503	2019-12-06 15:53:29.323047	t	\N
7085	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935837	936256	2019-12-06 15:53:58.35879	t	\N
7086	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	962820	963403	2019-12-06 15:54:40.410025	t	\N
7087	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	974275	974694	2019-12-06 15:54:58.43364	t	\N
7088	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	988973	989867	2019-12-06 15:55:23.46458	t	\N
7089	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1013154	1016173	2019-12-06 15:55:58.512042	t	\N
7090	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	814811	815354	2019-12-06 15:56:34.577156	t	\N
7091	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829530	829949	2019-12-06 15:56:58.606906	t	\N
7092	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838782	839179	2019-12-06 15:57:13.625809	t	\N
7093	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	867548	870605	2019-12-06 15:57:58.68027	t	\N
7094	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	882401	883434	2019-12-06 15:58:19.712324	t	\N
7095	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	885288	886075	2019-12-06 15:58:22.717106	t	\N
7096	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909748	910167	2019-12-06 15:58:57.759707	t	\N
7097	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	927925	931199	2019-12-06 15:59:28.798856	t	\N
7098	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	951950	952369	2019-12-06 15:59:59.846607	t	\N
7099	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	964129	964714	2019-12-06 16:00:19.877613	t	\N
7100	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	984156	984614	2019-12-06 16:00:48.913488	t	\N
7101	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	992435	992854	2019-12-06 16:01:01.93046	t	\N
7102	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	995182	1009050	2019-12-06 16:01:03.933535	t	\N
7103	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032041	1032457	2019-12-06 16:01:39.978768	t	\N
7104	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	820591	821045	2019-12-06 16:02:01.030992	t	\N
7105	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	826392	827141	2019-12-06 16:02:09.041772	t	\N
7106	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	828169	828803	2019-12-06 16:02:10.043859	t	\N
7107	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834509	834906	2019-12-06 16:02:19.055783	t	\N
7108	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840666	841207	2019-12-06 16:02:28.094006	t	\N
7109	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860709	861103	2019-12-06 16:02:57.128226	t	\N
7110	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863842	864261	2019-12-06 16:03:00.133008	t	\N
7111	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	900004	903061	2019-12-06 16:03:59.207278	t	\N
7112	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	940109	943523	2019-12-06 16:05:01.284575	t	\N
7113	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	965479	966020	2019-12-06 16:05:35.32544	t	\N
7114	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980857	981276	2019-12-06 16:06:00.363066	t	\N
7115	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1016931	1019950	2019-12-06 16:06:59.435275	t	\N
7116	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1021904	1022919	2019-12-06 16:07:01.439145	t	\N
7117	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028599	1028996	2019-12-06 16:07:10.450255	t	\N
7118	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836720	839779	2019-12-06 16:07:59.511563	t	\N
7119	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867730	868271	2019-12-06 16:08:43.571533	t	\N
7120	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878343	878762	2019-12-06 16:08:59.591253	t	\N
7121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	914763	917782	2019-12-06 16:09:58.667948	t	\N
7122	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	954586	957605	2019-12-06 16:10:58.74301	t	\N
7123	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967371	967765	2019-12-06 16:11:14.763583	t	\N
7124	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988604	989145	2019-12-06 16:11:45.80729	t	\N
7125	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997573	997992	2019-12-06 16:11:58.823344	t	\N
7126	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	999626	1000045	2019-12-06 16:12:00.8273	t	\N
7127	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1007722	1008356	2019-12-06 16:12:13.84368	t	\N
7128	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1037647	817946	2019-12-06 16:12:59.899853	t	\N
7129	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	854606	857625	2019-12-06 16:13:59.983864	t	\N
7130	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	882566	883107	2019-12-06 16:14:39.033156	t	\N
7131	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894107	894526	2019-12-06 16:14:57.058147	t	\N
7132	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	911796	914897	2019-12-06 16:15:28.102728	t	\N
7133	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	921119	934971	2019-12-06 16:15:32.108256	t	\N
7134	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949091	949510	2019-12-06 16:15:56.143983	t	\N
7135	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	964630	965419	2019-12-06 16:16:23.177439	t	\N
7136	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987038	987457	2019-12-06 16:16:54.216099	t	\N
7137	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991189	991586	2019-12-06 16:17:00.224037	t	\N
7138	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	993165	993936	2019-12-06 16:17:01.226493	t	\N
7139	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1013672	1014213	2019-12-06 16:17:31.262757	t	\N
7140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026769	1027188	2019-12-06 16:17:53.289295	t	\N
7141	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	840879	843938	2019-12-06 16:18:53.363779	t	\N
7142	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	880640	883659	2019-12-06 16:19:52.439127	t	\N
7143	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903362	903903	2019-12-06 16:20:28.491859	t	\N
7144	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921312	921731	2019-12-06 16:20:51.526239	t	\N
7145	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	943924	946907	2019-12-06 16:21:30.573634	t	\N
7146	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962136	962555	2019-12-06 16:21:51.600253	t	\N
7147	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970277	970674	2019-12-06 16:22:03.615967	t	\N
7148	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	980167	980801	2019-12-06 16:22:19.634957	t	\N
7149	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001649	1002068	2019-12-06 16:22:51.679271	t	\N
7150	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1022391	1022932	2019-12-06 16:23:28.724948	t	\N
7151	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	817385	817806	2019-12-06 16:23:49.76948	t	\N
7152	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	853286	856343	2019-12-06 16:24:47.841452	t	\N
7153	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	893128	896147	2019-12-06 16:25:48.917816	t	\N
7154	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918696	919237	2019-12-06 16:26:28.974091	t	\N
7155	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934349	934768	2019-12-06 16:26:48.999014	t	\N
7156	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	936884	937917	2019-12-06 16:26:51.002118	t	\N
7157	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	939402	939799	2019-12-06 16:26:53.005793	t	\N
7158	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	973828	976847	2019-12-06 16:27:47.074237	t	\N
7159	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1013885	1016968	2019-12-06 16:28:47.154601	t	\N
7160	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1037379	1037920	2019-12-06 16:29:22.198623	t	\N
7161	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834509	834928	2019-12-06 16:29:47.229164	t	\N
7162	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	866652	869706	2019-12-06 16:30:38.292963	t	\N
7163	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875775	876194	2019-12-06 16:30:47.304954	t	\N
7164	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	882345	896213	2019-12-06 16:30:56.320942	t	\N
7165	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	921258	924654	2019-12-06 16:31:35.369667	t	\N
7166	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932654	933073	2019-12-06 16:31:49.387484	t	\N
7167	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935189	935583	2019-12-06 16:31:51.390605	t	\N
7168	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940700	941097	2019-12-06 16:31:59.401295	t	\N
7169	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	943440	944096	2019-12-06 16:32:01.410038	t	\N
7170	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	959000	959541	2019-12-06 16:32:28.442485	t	\N
7171	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	974988	975407	2019-12-06 16:32:49.470013	t	\N
7172	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1012931	1015950	2019-12-06 16:33:51.545301	t	\N
7173	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	832151	835210	2019-12-06 16:34:52.622136	t	\N
7174	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855255	855796	2019-12-06 16:35:28.674372	t	\N
7175	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873984	874403	2019-12-06 16:35:53.706282	t	\N
7176	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	911241	914227	2019-12-06 16:36:53.781345	t	\N
7177	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	915473	915892	2019-12-06 16:36:54.78375	t	\N
7178	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	921071	922064	2019-12-06 16:37:01.793041	t	\N
7179	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953200	953619	2019-12-06 16:37:52.855608	t	\N
7180	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	973397	973938	2019-12-06 16:38:28.900305	t	\N
7181	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990550	990969	2019-12-06 16:38:50.926789	t	\N
7182	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1026669	1029688	2019-12-06 16:39:51.000492	t	\N
7183	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	844428	847487	2019-12-06 16:40:48.096301	t	\N
7184	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867603	868144	2019-12-06 16:41:23.158789	t	\N
7185	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881332	881729	2019-12-06 16:41:40.180024	t	\N
7186	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	886225	886920	2019-12-06 16:41:46.188419	t	\N
7187	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890369	890763	2019-12-06 16:41:51.195346	t	\N
7188	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	900321	900955	2019-12-06 16:42:07.220732	t	\N
7189	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926207	926626	2019-12-06 16:42:46.274507	t	\N
7190	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	963232	966251	2019-12-06 16:43:46.348469	t	\N
7191	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985097	985638	2019-12-06 16:44:20.390877	t	\N
7192	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005436	1005855	2019-12-06 16:44:48.426408	t	\N
7193	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1018265	1021366	2019-12-06 16:45:09.453596	t	\N
7194	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	826784	827205	2019-12-06 16:45:48.510862	t	\N
7195	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	836014	849910	2019-12-06 16:46:01.52835	t	\N
7196	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877896	878293	2019-12-06 16:46:46.583748	t	\N
7197	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880654	881073	2019-12-06 16:46:50.589078	t	\N
7198	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	897538	898287	2019-12-06 16:47:18.623996	t	\N
7199	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	899655	900196	2019-12-06 16:47:19.63122	t	\N
7200	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922539	922958	2019-12-06 16:47:52.673301	t	\N
7201	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	942483	943853	2019-12-06 16:48:27.716742	t	\N
7202	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963070	963489	2019-12-06 16:48:54.750098	t	\N
7203	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	999203	1002260	2019-12-06 16:49:53.82159	t	\N
7204	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1013070	1013611	2019-12-06 16:50:11.852456	t	\N
7205	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	820675	821096	2019-12-06 16:50:52.920264	t	\N
7206	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842348	842742	2019-12-06 16:51:30.966299	t	\N
7207	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858276	858695	2019-12-06 16:51:51.99201	t	\N
7208	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862746	863143	2019-12-06 16:51:58.000308	t	\N
7209	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	870668	871302	2019-12-06 16:52:11.021524	t	\N
7210	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895632	896051	2019-12-06 16:52:49.068294	t	\N
7211	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	906533	907074	2019-12-06 16:53:06.090688	t	\N
7212	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934799	935218	2019-12-06 16:53:50.144295	t	\N
7213	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	971561	974618	2019-12-06 16:54:50.217553	t	\N
7214	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	979181	979764	2019-12-06 16:54:56.23254	t	\N
7215	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	995490	996384	2019-12-06 16:55:22.265472	t	\N
7216	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015436	1015855	2019-12-06 16:55:51.30172	t	\N
7217	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1021335	1021876	2019-12-06 16:55:59.312698	t	\N
7218	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	834952	838011	2019-12-06 16:56:49.392816	t	\N
7219	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844196	844593	2019-12-06 16:56:58.410067	t	\N
7220	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	870567	873943	2019-12-06 16:57:39.46092	t	\N
7221	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	875619	876674	2019-12-06 16:57:41.464631	t	\N
7222	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882446	882865	2019-12-06 16:57:50.475952	t	\N
7223	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	918676	921695	2019-12-06 16:58:48.547598	t	\N
7224	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925142	925683	2019-12-06 16:58:53.560312	t	\N
7225	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	935674	936259	2019-12-06 16:59:10.581483	t	\N
7226	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961467	961886	2019-12-06 16:59:49.628829	t	\N
7227	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968027	968443	2019-12-06 16:59:58.640217	t	\N
7228	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	982099	995946	2019-12-06 17:00:22.670568	t	\N
7229	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014496	1014915	2019-12-06 17:00:49.708413	t	\N
7230	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	833956	836982	2019-12-06 17:01:49.782228	t	\N
7231	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	838054	838595	2019-12-06 17:01:50.784189	t	\N
7232	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839938	840357	2019-12-06 17:01:51.786203	t	\N
7233	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843874	844268	2019-12-06 17:01:55.792018	t	\N
7234	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	847653	848460	2019-12-06 17:02:00.803033	t	\N
7235	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	45	857505	858139	2019-12-06 17:02:16.823871	t	\N
7236	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863245	863639	2019-12-06 17:02:23.839545	t	\N
7237	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882415	882834	2019-12-06 17:02:51.875137	t	\N
7238	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	919713	922732	2019-12-06 17:03:51.95233	t	\N
7239	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	955318	958656	2019-12-06 17:04:43.024378	t	\N
7240	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963839	964258	2019-12-06 17:04:52.03654	t	\N
7241	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1002813	1005832	2019-12-06 17:05:54.115686	t	\N
7242	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1015169	1016162	2019-12-06 17:06:10.136139	t	\N
7243	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828313	828734	2019-12-06 17:06:54.237232	t	\N
7244	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830221	830618	2019-12-06 17:06:56.245566	t	\N
7245	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	846578	847575	2019-12-06 17:07:24.281048	t	\N
7246	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	860510	861051	2019-12-06 17:07:41.302945	t	\N
7247	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870231	870650	2019-12-06 17:07:55.321168	t	\N
7248	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	907324	910381	2019-12-06 17:08:56.395804	t	\N
7249	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	949016	952035	2019-12-06 17:09:58.480203	t	\N
7250	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	977147	980493	2019-12-06 17:10:37.529677	t	\N
7251	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992287	992706	2019-12-06 17:10:57.554591	t	\N
7252	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010254	1010648	2019-12-06 17:11:29.593591	t	\N
7253	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1029205	1029839	2019-12-06 17:11:56.627168	t	\N
7254	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031624	1032043	2019-12-06 17:11:57.634993	t	\N
7255	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	823746	824145	2019-12-06 17:12:10.671087	t	\N
7256	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854424	854843	2019-12-06 17:12:57.729705	t	\N
7257	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873274	873815	2019-12-06 17:13:30.770019	t	\N
7258	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892326	892745	2019-12-06 17:13:55.800897	t	\N
7259	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	928965	932022	2019-12-06 17:14:55.878411	t	\N
7260	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	941202	941991	2019-12-06 17:15:10.897286	t	\N
7261	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	964008	977876	2019-12-06 17:15:43.938165	t	\N
7262	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984729	985148	2019-12-06 17:15:54.951346	t	\N
7263	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	986176	989261	2019-12-06 17:15:55.953202	t	\N
7264	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1014488	1017834	2019-12-06 17:16:36.007324	t	\N
7265	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1028457	1028876	2019-12-06 17:16:53.029022	t	\N
7266	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825458	825857	2019-12-06 17:17:13.073904	t	\N
7267	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	827979	828786	2019-12-06 17:17:16.078293	t	\N
7268	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852117	852536	2019-12-06 17:17:52.122685	t	\N
7269	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	890220	893277	2019-12-06 17:18:54.204925	t	\N
7270	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	922633	925980	2019-12-06 17:19:41.262713	t	\N
7271	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934647	935066	2019-12-06 17:19:55.281004	t	\N
7272	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	970420	973439	2019-12-06 17:20:53.352033	t	\N
7273	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987913	988307	2019-12-06 17:21:18.383577	t	\N
7274	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012584	1013003	2019-12-06 17:21:55.433928	t	\N
7275	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1024683	1025317	2019-12-06 17:22:16.459743	t	\N
7276	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031350	1031747	2019-12-06 17:22:26.472483	t	\N
7277	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829811	830354	2019-12-06 17:22:41.509376	t	\N
7278	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839763	840182	2019-12-06 17:22:56.528747	t	\N
7279	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	856655	858361	2019-12-06 17:23:25.568838	t	\N
7280	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	879267	879686	2019-12-06 17:23:56.607607	t	\N
7281	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	915487	918544	2019-12-06 17:24:54.678027	t	\N
7282	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	949108	952513	2019-12-06 17:25:44.739361	t	\N
7283	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959443	959862	2019-12-06 17:25:55.752748	t	\N
7284	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	996567	999650	2019-12-06 17:26:56.831568	t	\N
7285	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1023402	1024435	2019-12-06 17:27:32.877318	t	\N
7286	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029447	1029844	2019-12-06 17:27:39.886594	t	\N
7287	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826426	826847	2019-12-06 17:27:55.925319	t	\N
7288	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	857290	860667	2019-12-06 17:28:45.986333	t	\N
7289	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866327	866746	2019-12-06 17:28:54.003369	t	\N
7290	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881059	881475	2019-12-06 17:29:19.035035	t	\N
7291	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904397	904816	2019-12-06 17:29:54.079134	t	\N
7292	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	940229	943248	2019-12-06 17:30:53.154063	t	\N
7293	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948146	948540	2019-12-06 17:30:59.162046	t	\N
7294	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	955222	969090	2019-12-06 17:31:10.180597	t	\N
7295	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	992281	992822	2019-12-06 17:31:47.225315	t	\N
7296	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998620	999039	2019-12-06 17:31:54.235037	t	\N
7297	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1009126	1009875	2019-12-06 17:32:13.259514	t	\N
7298	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1011900	1012534	2019-12-06 17:32:14.261381	t	\N
7299	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020891	1021288	2019-12-06 17:32:29.284602	t	\N
7300	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827718	828139	2019-12-06 17:32:56.317744	t	\N
7301	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	864357	867414	2019-12-06 17:33:56.394133	t	\N
7302	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	898307	901654	2019-12-06 17:34:46.453566	t	\N
7303	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908384	908803	2019-12-06 17:34:56.466692	t	\N
7304	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	945242	948261	2019-12-06 17:35:56.54536	t	\N
7305	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	962686	963679	2019-12-06 17:36:22.576897	t	\N
7306	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985796	986215	2019-12-06 17:36:54.616126	t	\N
7307	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005877	1006274	2019-12-06 17:37:31.661148	t	\N
7308	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021473	1022014	2019-12-06 17:37:53.687443	t	\N
7309	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025308	1025727	2019-12-06 17:37:56.698323	t	\N
7310	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	850444	853503	2019-12-06 17:38:56.789593	t	\N
7311	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	890487	893506	2019-12-06 17:39:57.862809	t	\N
7312	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	924441	927725	2019-12-06 17:40:47.926197	t	\N
7313	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934333	934752	2019-12-06 17:40:57.939203	t	\N
7314	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942630	943024	2019-12-06 17:41:10.960332	t	\N
7315	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971553	971972	2019-12-06 17:41:57.017284	t	\N
7316	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985636	986033	2019-12-06 17:42:21.046979	t	\N
7317	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	991914	992548	2019-12-06 17:42:31.05959	t	\N
7318	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010816	1011235	2019-12-06 17:42:57.091389	t	\N
7319	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	830689	834013	2019-12-06 17:43:48.178581	t	\N
7320	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840002	840421	2019-12-06 17:43:57.19274	t	\N
7321	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	859984	863085	2019-12-06 17:44:31.238711	t	\N
7322	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881110	881529	2019-12-06 17:44:56.271082	t	\N
7323	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	918931	921950	2019-12-06 17:45:58.348465	t	\N
7324	Jobs::EnsureDbConsistency	iZj6chkije5xk0gfyvcrzyZ-web-only	127	161	926093	948963	2019-12-06 17:46:04.364184	t	\N
7325	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	964501	978279	2019-12-06 17:46:31.396859	t	\N
7326	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	991178	991719	2019-12-06 17:46:48.418319	t	\N
7327	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998776	999195	2019-12-06 17:46:59.433042	t	\N
7328	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005003	1005400	2019-12-06 17:47:07.443923	t	\N
7329	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1033824	1034573	2019-12-06 17:47:53.505077	t	\N
7330	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1038063	1038482	2019-12-06 17:47:58.51189	t	\N
7331	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	864061	867118	2019-12-06 17:48:58.585507	t	\N
7332	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	889347	890799	2019-12-06 17:49:32.630214	t	\N
7333	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	897099	897992	2019-12-06 17:49:42.643458	t	\N
7334	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907351	907770	2019-12-06 17:49:58.663527	t	\N
7335	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	941203	944186	2019-12-06 17:50:52.730586	t	\N
7336	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949788	950207	2019-12-06 17:51:00.740832	t	\N
7337	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	985979	988998	2019-12-06 17:51:59.812448	t	\N
7338	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001845	1002242	2019-12-06 17:52:20.838119	t	\N
7339	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020296	1020837	2019-12-06 17:52:47.875616	t	\N
7340	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1022375	1023009	2019-12-06 17:52:48.877584	t	\N
7341	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030718	1031137	2019-12-06 17:53:00.892641	t	\N
7342	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	1037278	1037861	2019-12-06 17:53:10.90579	t	\N
7343	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859328	859749	2019-12-06 17:54:00.986221	t	\N
7344	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	892565	895915	2019-12-06 17:54:54.056683	t	\N
7345	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900712	901131	2019-12-06 17:55:01.066086	t	\N
7346	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	930417	933701	2019-12-06 17:55:49.125936	t	\N
7347	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942590	943009	2019-12-06 17:56:03.148662	t	\N
7348	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	946079	947112	2019-12-06 17:56:07.154007	t	\N
7349	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980395	980814	2019-12-06 17:57:01.223129	t	\N
7350	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984318	984715	2019-12-06 17:57:06.230076	t	\N
7351	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	991755	992340	2019-12-06 17:57:18.245475	t	\N
7352	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1005127	1006021	2019-12-06 17:57:35.267035	t	\N
7353	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020498	1020917	2019-12-06 17:58:00.298275	t	\N
7354	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	847271	850595	2019-12-06 17:58:57.391103	t	\N
7355	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853827	854246	2019-12-06 17:59:01.397107	t	\N
7356	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	890507	893526	2019-12-06 18:00:01.470876	t	\N
7357	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	899832	900259	2019-12-06 18:00:11.484382	t	\N
7358	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923759	924153	2019-12-06 18:00:47.529096	t	\N
7359	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931351	931770	2019-12-06 18:00:59.54958	t	\N
7360	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	932862	946730	2019-12-06 18:01:00.551527	t	\N
7361	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	979007	981993	2019-12-06 18:01:52.616726	t	\N
7362	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986410	986829	2019-12-06 18:01:58.623974	t	\N
7363	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987921	988462	2019-12-06 18:01:59.626091	t	\N
7364	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1024171	1027154	2019-12-06 18:02:57.701952	t	\N
7365	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028952	1029371	2019-12-06 18:02:59.704877	t	\N
7366	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1034517	1035151	2019-12-06 18:03:06.714622	t	\N
7367	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	844403	845212	2019-12-06 18:03:32.748503	t	\N
7368	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860142	860561	2019-12-06 18:03:59.782455	t	\N
7369	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	895975	899032	2019-12-06 18:04:57.859953	t	\N
7370	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	900236	900777	2019-12-06 18:04:58.864597	t	\N
7371	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	937009	940591	2019-12-06 18:05:56.943847	t	\N
7372	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942135	942554	2019-12-06 18:05:57.946427	t	\N
7373	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	975645	978631	2019-12-06 18:06:53.014859	t	\N
7374	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982056	982475	2019-12-06 18:06:57.027711	t	\N
7375	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1018813	1022096	2019-12-06 18:07:58.102495	t	\N
7376	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023302	1023721	2019-12-06 18:07:59.104234	t	\N
7377	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	851962	855021	2019-12-06 18:08:59.177739	t	\N
7378	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	891701	894720	2019-12-06 18:09:59.25083	t	\N
7379	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	921418	924401	2019-12-06 18:10:41.339728	t	\N
7380	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936031	936450	2019-12-06 18:11:01.36487	t	\N
7381	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940084	940625	2019-12-06 18:11:06.371588	t	\N
7382	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	969697	972683	2019-12-06 18:11:53.428463	t	\N
7383	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977450	977869	2019-12-06 18:12:00.437236	t	\N
7384	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	1004524	1007747	2019-12-06 18:12:42.493241	t	\N
7385	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017355	1017774	2019-12-06 18:12:58.512859	t	\N
7386	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	847192	850251	2019-12-06 18:14:00.586916	t	\N
7387	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852634	853175	2019-12-06 18:14:02.589786	t	\N
7388	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	865876	868977	2019-12-06 18:14:24.618407	t	\N
7389	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891767	892186	2019-12-06 18:14:58.666646	t	\N
7390	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	927801	930820	2019-12-06 18:15:56.7377	t	\N
7391	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	819523	833501	2019-12-06 18:16:22.898131	t	\N
7392	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	854065	854462	2019-12-06 18:16:53.945821	t	\N
7393	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856225	856644	2019-12-06 18:16:55.948585	t	\N
7394	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	861542	862105	2019-12-06 18:17:02.962583	t	\N
7395	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	882763	883552	2019-12-06 18:17:33.000421	t	\N
7396	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	896639	897058	2019-12-06 18:17:56.029679	t	\N
7397	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	898991	899740	2019-12-06 18:17:57.031434	t	\N
7398	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	935022	938046	2019-12-06 18:18:54.10306	t	\N
7399	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	974376	977718	2019-12-06 18:19:54.187639	t	\N
7400	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978989	979408	2019-12-06 18:19:55.189699	t	\N
7401	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996337	996731	2019-12-06 18:20:26.228445	t	\N
7402	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015863	1016282	2019-12-06 18:20:53.260612	t	\N
7403	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	824591	827681	2019-12-06 18:21:53.333111	t	\N
7404	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829208	829627	2019-12-06 18:21:54.343455	t	\N
7405	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	49	864559	867782	2019-12-06 18:22:52.413037	t	\N
7406	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870339	870758	2019-12-06 18:22:55.417519	t	\N
7407	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873481	874022	2019-12-06 18:22:58.422183	t	\N
7408	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	908390	911409	2019-12-06 18:23:54.490498	t	\N
7409	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	948279	951298	2019-12-06 18:24:54.573876	t	\N
7410	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	987172	990191	2019-12-06 18:25:53.649248	t	\N
7411	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	994960	995501	2019-12-06 18:26:00.658854	t	\N
7412	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1027993	1031012	2019-12-06 18:26:53.722733	t	\N
7413	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033212	1033609	2019-12-06 18:26:56.727172	t	\N
7414	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	814095	815130	2019-12-06 18:27:08.767619	t	\N
7415	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843475	843894	2019-12-06 18:27:53.823103	t	\N
7416	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	878960	882017	2019-12-06 18:28:51.903319	t	\N
7417	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891006	891547	2019-12-06 18:29:05.920556	t	\N
7418	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	921735	924754	2019-12-06 18:29:53.981074	t	\N
7419	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928523	928917	2019-12-06 18:29:58.995398	t	\N
7420	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943926	944342	2019-12-06 18:30:25.029044	t	\N
7421	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964806	965225	2019-12-06 18:30:54.065265	t	\N
7422	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	79	969272	983140	2019-12-06 18:31:01.074778	t	\N
7423	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1017516	1020535	2019-12-06 18:31:56.142747	t	\N
7424	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021651	1022192	2019-12-06 18:31:57.15143	t	\N
7425	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025831	1026228	2019-12-06 18:32:02.15846	t	\N
7426	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	826783	830046	2019-12-06 18:32:44.232034	t	\N
7427	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837284	837703	2019-12-06 18:32:56.246886	t	\N
7428	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	843879	844686	2019-12-06 18:33:06.260166	t	\N
7429	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	876274	879293	2019-12-06 18:33:56.328007	t	\N
7430	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	898648	899641	2019-12-06 18:34:31.371111	t	\N
7431	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	914378	914919	2019-12-06 18:34:50.395274	t	\N
7432	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919299	919718	2019-12-06 18:34:56.403202	t	\N
7433	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	955849	958868	2019-12-06 18:35:54.474705	t	\N
7434	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	995316	998335	2019-12-06 18:36:54.552817	t	\N
7435	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008596	1008993	2019-12-06 18:37:12.574867	t	\N
7436	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036399	1036818	2019-12-06 18:37:54.625457	t	\N
7437	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	814138	814681	2019-12-06 18:37:58.63102	t	\N
7438	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	849382	852439	2019-12-06 18:38:55.701053	t	\N
7439	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871428	871822	2019-12-06 18:39:29.749057	t	\N
7440	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888782	889201	2019-12-06 18:39:53.779241	t	\N
7441	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	924640	927659	2019-12-06 18:40:52.851994	t	\N
7442	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	933784	934325	2019-12-06 18:41:01.86341	t	\N
7443	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	965749	968768	2019-12-06 18:41:52.925003	t	\N
7444	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987743	988140	2019-12-06 18:42:24.970579	t	\N
7445	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	996286	996920	2019-12-06 18:42:32.980909	t	\N
7446	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009721	1010140	2019-12-06 18:42:54.008841	t	\N
7447	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	820909	823968	2019-12-06 18:43:55.101748	t	\N
7448	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	826042	826583	2019-12-06 18:43:58.105976	t	\N
7449	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	861391	864410	2019-12-06 18:44:54.178961	t	\N
7450	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	865941	869042	2019-12-06 18:44:56.182035	t	\N
7451	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904690	907709	2019-12-06 18:45:54.254245	t	\N
7452	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	934436	948304	2019-12-06 18:46:37.306467	t	\N
7453	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959277	959696	2019-12-06 18:46:55.329082	t	\N
7454	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	965585	966126	2019-12-06 18:47:04.345811	t	\N
7455	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	972365	973759	2019-12-06 18:47:14.3587	t	\N
7456	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	982449	983110	2019-12-06 18:47:29.37754	t	\N
7457	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990594	990991	2019-12-06 18:47:35.385521	t	\N
7458	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002855	1003274	2019-12-06 18:47:56.410573	t	\N
7459	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	814436	817495	2019-12-06 18:48:56.49067	t	\N
7460	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828025	828419	2019-12-06 18:49:14.513062	t	\N
7461	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854958	855377	2019-12-06 18:49:56.565829	t	\N
7462	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859635	860348	2019-12-06 18:50:03.575262	t	\N
7463	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	893137	896156	2019-12-06 18:50:56.640279	t	\N
7464	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	932537	935556	2019-12-06 18:51:55.717716	t	\N
7465	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	949614	950248	2019-12-06 18:52:20.748603	t	\N
7466	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961232	961629	2019-12-06 18:52:33.765482	t	\N
7467	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973133	973552	2019-12-06 18:52:53.789976	t	\N
7468	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	984018	984559	2019-12-06 18:53:10.812131	t	\N
7469	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1012940	1013359	2019-12-06 18:53:54.873557	t	\N
7470	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	1033173	1033756	2019-12-06 18:54:30.916113	t	\N
7471	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	817960	818685	2019-12-06 18:54:39.92783	t	\N
7472	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	819842	820427	2019-12-06 18:54:40.929639	t	\N
7473	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829905	830324	2019-12-06 18:54:55.948367	t	\N
7474	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	856653	857686	2019-12-06 18:55:39.006059	t	\N
7475	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868247	868666	2019-12-06 18:55:55.026536	t	\N
7476	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875461	876002	2019-12-06 18:56:07.042887	t	\N
7477	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	904803	907860	2019-12-06 18:56:53.098884	t	\N
7478	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923978	924375	2019-12-06 18:57:21.133504	t	\N
7479	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944572	944991	2019-12-06 18:57:51.174817	t	\N
7480	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	980782	983765	2019-12-06 18:58:50.246211	t	\N
7481	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985976	986395	2019-12-06 18:58:53.250029	t	\N
7482	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	994495	995036	2019-12-06 18:59:05.265082	t	\N
7483	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1022388	1025882	2019-12-06 18:59:49.318438	t	\N
7484	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031030	1031449	2019-12-06 18:59:55.332722	t	\N
7485	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	844171	847230	2019-12-06 19:00:56.410668	t	\N
7486	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848973	849367	2019-12-06 19:00:58.413358	t	\N
7487	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862810	863226	2019-12-06 19:01:22.443127	t	\N
7488	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884559	884978	2019-12-06 19:01:54.484391	t	\N
7489	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	890049	890683	2019-12-06 19:02:02.499645	t	\N
7490	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	893465	894006	2019-12-06 19:02:05.504172	t	\N
7491	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	896686	897493	2019-12-06 19:02:09.510138	t	\N
7492	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	902544	916354	2019-12-06 19:02:17.520145	t	\N
7493	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924426	924823	2019-12-06 19:02:30.536494	t	\N
7494	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941877	942296	2019-12-06 19:02:54.570788	t	\N
7495	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	30	980290	983373	2019-12-06 19:03:56.645676	t	\N
7496	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1019573	1022592	2019-12-06 19:04:55.718044	t	\N
7497	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025061	1025602	2019-12-06 19:04:59.723393	t	\N
7498	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	837873	840932	2019-12-06 19:05:56.813482	t	\N
7499	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	842196	843189	2019-12-06 19:05:57.822226	t	\N
7500	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	878979	881998	2019-12-06 19:06:55.895437	t	\N
7501	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899292	899689	2019-12-06 19:07:25.933382	t	\N
7502	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	920216	920635	2019-12-06 19:07:55.97157	t	\N
7503	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923744	924285	2019-12-06 19:08:00.978684	t	\N
7504	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	958558	961577	2019-12-06 19:08:56.05346	t	\N
7505	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	973826	974220	2019-12-06 19:09:18.086391	t	\N
7506	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998093	998512	2019-12-06 19:09:54.133349	t	\N
7507	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1034874	1038216	2019-12-06 19:10:54.208974	t	\N
7508	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	818010	818429	2019-12-06 19:10:56.212228	t	\N
7509	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	853788	856845	2019-12-06 19:11:54.289649	t	\N
7510	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	867989	868623	2019-12-06 19:12:13.313274	t	\N
7511	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874660	875057	2019-12-06 19:12:23.326398	t	\N
7512	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895495	895914	2019-12-06 19:12:53.364136	t	\N
7513	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	913144	914206	2019-12-06 19:13:22.399849	t	\N
7514	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935061	935480	2019-12-06 19:13:53.442179	t	\N
7515	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938915	939456	2019-12-06 19:13:57.448449	t	\N
7516	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	963565	966666	2019-12-06 19:14:34.493798	t	\N
7517	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978861	979280	2019-12-06 19:14:55.51981	t	\N
7518	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1015962	1018981	2019-12-06 19:15:55.594475	t	\N
7519	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	835419	838478	2019-12-06 19:16:57.677214	t	\N
7520	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	840157	840698	2019-12-06 19:16:59.680426	t	\N
7521	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	850130	850937	2019-12-06 19:17:15.700824	t	\N
7522	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865542	865939	2019-12-06 19:17:35.725681	t	\N
7523	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	872181	886055	2019-12-06 19:17:44.737639	t	\N
7524	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894857	895276	2019-12-06 19:17:59.755723	t	\N
7525	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	931507	934526	2019-12-06 19:18:57.829437	t	\N
7526	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959809	960203	2019-12-06 19:19:36.877234	t	\N
7527	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	970820	971361	2019-12-06 19:19:54.899562	t	\N
7528	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	972707	974413	2019-12-06 19:19:55.901412	t	\N
7529	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976595	977014	2019-12-06 19:19:57.911202	t	\N
7530	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	983203	983992	2019-12-06 19:20:07.924764	t	\N
7531	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1016142	1019225	2019-12-06 19:20:59.992001	t	\N
7532	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	834992	838051	2019-12-06 19:21:59.064887	t	\N
7533	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854627	855024	2019-12-06 19:22:28.101492	t	\N
7534	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	862232	862866	2019-12-06 19:22:34.114166	t	\N
7535	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874985	875526	2019-12-06 19:22:54.160534	t	\N
7536	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878228	878647	2019-12-06 19:22:57.164513	t	\N
7537	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	913918	916937	2019-12-06 19:23:55.234406	t	\N
7538	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	951549	955171	2019-12-06 19:24:51.303319	t	\N
7539	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957181	957600	2019-12-06 19:24:53.312536	t	\N
7540	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	994249	997268	2019-12-06 19:25:53.388563	t	\N
7541	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003540	1004081	2019-12-06 19:26:02.399641	t	\N
7542	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1035829	819181	2019-12-06 19:26:53.460728	t	\N
7543	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838211	838608	2019-12-06 19:27:27.502786	t	\N
7544	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856451	856870	2019-12-06 19:27:53.540049	t	\N
7545	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	893375	896432	2019-12-06 19:28:53.61322	t	\N
7546	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905582	906123	2019-12-06 19:29:08.63239	t	\N
7547	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919001	919395	2019-12-06 19:29:30.661388	t	\N
7548	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937440	937859	2019-12-06 19:29:55.693764	t	\N
7549	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975702	978721	2019-12-06 19:30:57.774466	t	\N
7550	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981841	982257	2019-12-06 19:31:01.779922	t	\N
7551	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1015289	1018308	2019-12-06 19:31:55.846513	t	\N
7552	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1025938	1026745	2019-12-06 19:32:07.86179	t	\N
7553	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028049	1028590	2019-12-06 19:32:08.863577	t	\N
7554	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	827802	828438	2019-12-06 19:32:34.900811	t	\N
7555	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830885	831282	2019-12-06 19:32:37.905234	t	\N
7556	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	832981	846791	2019-12-06 19:32:39.908441	t	\N
7557	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856495	856914	2019-12-06 19:32:55.929028	t	\N
7558	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	893329	896386	2019-12-06 19:33:55.002115	t	\N
7559	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	924183	925176	2019-12-06 19:34:39.063651	t	\N
7560	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934005	934424	2019-12-06 19:34:54.08214	t	\N
7561	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943372	943913	2019-12-06 19:35:08.099852	t	\N
7562	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	972151	975170	2019-12-06 19:35:53.15584	t	\N
7563	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1011971	1014990	2019-12-06 19:36:53.229296	t	\N
7564	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	829088	832114	2019-12-06 19:37:46.301041	t	\N
7565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836927	837346	2019-12-06 19:37:53.310113	t	\N
7566	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847370	847911	2019-12-06 19:38:10.331646	t	\N
7567	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	877148	880167	2019-12-06 19:38:55.38669	t	\N
7568	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	911569	914552	2019-12-06 19:39:45.447584	t	\N
7569	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922361	922780	2019-12-06 19:39:57.469344	t	\N
7570	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	959240	962259	2019-12-06 19:40:57.543649	t	\N
7571	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	972813	973354	2019-12-06 19:41:16.568435	t	\N
7572	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999834	1000253	2019-12-06 19:41:56.617491	t	\N
7573	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	1025713	1026347	2019-12-06 19:42:36.66623	t	\N
7574	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031039	1031436	2019-12-06 19:42:43.680629	t	\N
7575	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822912	823333	2019-12-06 19:42:57.71826	t	\N
7576	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	858029	861086	2019-12-06 19:43:55.790368	t	\N
7577	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	868926	872027	2019-12-06 19:44:07.805648	t	\N
7578	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878347	878888	2019-12-06 19:44:18.819025	t	\N
7579	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	902075	903527	2019-12-06 19:44:53.867908	t	\N
7580	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905662	906081	2019-12-06 19:44:56.872083	t	\N
7581	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	941937	944956	2019-12-06 19:45:54.94191	t	\N
7582	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	980444	983527	2019-12-06 19:46:54.015585	t	\N
7583	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995432	995973	2019-12-06 19:47:15.0426	t	\N
7584	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	999612	1000419	2019-12-06 19:47:20.054885	t	\N
7585	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	1006741	1020679	2019-12-06 19:47:31.070361	t	\N
7586	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029498	1029895	2019-12-06 19:47:39.080923	t	\N
7587	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	822036	822457	2019-12-06 19:47:54.120909	t	\N
7588	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	857347	860404	2019-12-06 19:48:52.172544	t	\N
7589	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	896941	899960	2019-12-06 19:49:52.253017	t	\N
7590	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907748	908142	2019-12-06 19:50:04.26808	t	\N
7591	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914724	915265	2019-12-06 19:50:15.28195	t	\N
7592	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939200	939619	2019-12-06 19:50:52.328572	t	\N
7593	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	975905	978924	2019-12-06 19:51:52.401966	t	\N
7594	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	998149	998872	2019-12-06 19:52:26.45001	t	\N
7595	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002385	1002782	2019-12-06 19:52:31.456704	t	\N
7596	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	42	1008198	1008832	2019-12-06 19:52:33.460078	t	\N
7597	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020413	1020832	2019-12-06 19:52:53.484601	t	\N
7598	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033343	1033884	2019-12-06 19:53:15.511485	t	\N
7599	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843471	843892	2019-12-06 19:53:53.564403	t	\N
7600	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	862723	863308	2019-12-06 19:54:26.606208	t	\N
7601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882714	883133	2019-12-06 19:54:53.639416	t	\N
7602	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	914811	918021	2019-12-06 19:55:43.700747	t	\N
7603	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923020	923439	2019-12-06 19:55:51.711485	t	\N
7604	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	934996	936029	2019-12-06 19:56:10.740471	t	\N
7605	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939127	939668	2019-12-06 19:56:14.74575	t	\N
7606	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964171	964593	2019-12-06 19:56:52.793697	t	\N
7607	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982853	983250	2019-12-06 19:57:23.832661	t	\N
7608	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002058	1002477	2019-12-06 19:57:51.867325	t	\N
7609	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	823837	826896	2019-12-06 19:58:52.966101	t	\N
7610	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	840792	841333	2019-12-06 19:59:15.995256	t	\N
7611	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861126	861520	2019-12-06 19:59:44.032042	t	\N
7612	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865343	865762	2019-12-06 19:59:50.040098	t	\N
7613	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	888138	889032	2019-12-06 20:00:29.088837	t	\N
7614	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900022	900438	2019-12-06 20:00:42.112634	t	\N
7615	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905897	906316	2019-12-06 20:00:50.123025	t	\N
7616	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	940038	943434	2019-12-06 20:01:44.19022	t	\N
7617	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947418	947837	2019-12-06 20:01:50.198839	t	\N
7618	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	958305	958846	2019-12-06 20:02:08.221749	t	\N
7619	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964418	964815	2019-12-06 20:02:17.239206	t	\N
7620	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	967666	981476	2019-12-06 20:02:20.243343	t	\N
7621	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982846	983240	2019-12-06 20:02:21.245137	t	\N
7622	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001307	1001726	2019-12-06 20:02:48.278747	t	\N
7623	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1010427	1011061	2019-12-06 20:03:02.296289	t	\N
7624	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	824749	827808	2019-12-06 20:03:49.381564	t	\N
7625	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	862956	866538	2019-12-06 20:04:47.453751	t	\N
7626	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869053	869472	2019-12-06 20:04:50.458084	t	\N
7627	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	879463	880004	2019-12-06 20:05:06.478748	t	\N
7628	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	906385	909404	2019-12-06 20:05:48.530512	t	\N
7629	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	947620	950639	2019-12-06 20:06:50.615314	t	\N
7630	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969210	969607	2019-12-06 20:07:23.656369	t	\N
7631	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987897	988316	2019-12-06 20:07:49.690645	t	\N
7632	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995662	996203	2019-12-06 20:08:01.705657	t	\N
7633	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1026364	1029383	2019-12-06 20:08:49.763976	t	\N
7634	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837191	837587	2019-12-06 20:09:30.837114	t	\N
7635	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852042	852461	2019-12-06 20:09:49.860429	t	\N
7636	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	887852	890909	2019-12-06 20:10:48.958308	t	\N
7637	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903780	904321	2019-12-06 20:11:09.985817	t	\N
7638	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	928893	931912	2019-12-06 20:11:48.032598	t	\N
7639	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	962919	963316	2019-12-06 20:12:37.101615	t	\N
7640	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	42	964684	965318	2019-12-06 20:12:38.103599	t	\N
7641	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	969310	972411	2019-12-06 20:12:44.11122	t	\N
7642	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	975495	975914	2019-12-06 20:12:48.117347	t	\N
7643	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1011449	1014468	2019-12-06 20:13:46.190673	t	\N
7644	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029349	1029890	2019-12-06 20:14:11.222575	t	\N
7645	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	839295	842354	2019-12-06 20:14:46.287163	t	\N
7646	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	879677	882824	2019-12-06 20:15:46.361071	t	\N
7647	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	897407	898214	2019-12-06 20:16:11.392877	t	\N
7648	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	921629	924648	2019-12-06 20:16:48.438399	t	\N
7649	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936581	937122	2019-12-06 20:17:07.46851	t	\N
7650	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	946661	960529	2019-12-06 20:17:23.488136	t	\N
7651	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	972234	972631	2019-12-06 20:17:36.504897	t	\N
7652	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980637	981056	2019-12-06 20:17:50.522817	t	\N
7653	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1017698	1020717	2019-12-06 20:18:50.596867	t	\N
7654	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838462	838858	2019-12-06 20:19:41.666861	t	\N
7655	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844922	845341	2019-12-06 20:19:50.681546	t	\N
7656	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	857473	858014	2019-12-06 20:20:11.707707	t	\N
7657	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	883548	886605	2019-12-06 20:20:50.757226	t	\N
7658	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	922151	925170	2019-12-06 20:21:49.828443	t	\N
7659	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	933685	934474	2019-12-06 20:22:03.853632	t	\N
7660	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	943340	943974	2019-12-06 20:22:17.871526	t	\N
7661	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958482	958879	2019-12-06 20:22:36.894375	t	\N
7662	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	966331	966750	2019-12-06 20:22:49.911023	t	\N
7663	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	984045	984586	2019-12-06 20:23:19.948495	t	\N
7664	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004706	1005125	2019-12-06 20:23:48.991311	t	\N
7665	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	828603	831662	2019-12-06 20:24:48.06504	t	\N
7666	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	868016	871035	2019-12-06 20:25:48.13964	t	\N
7667	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	887223	887764	2019-12-06 20:26:16.174355	t	\N
7668	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908812	909231	2019-12-06 20:26:48.213041	t	\N
7669	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	931989	933022	2019-12-06 20:27:29.267868	t	\N
7670	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941499	941896	2019-12-06 20:27:36.276432	t	\N
7671	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948944	949363	2019-12-06 20:27:49.292996	t	\N
7672	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	984821	987840	2019-12-06 20:28:47.366398	t	\N
7673	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1004644	1005185	2019-12-06 20:29:16.402465	t	\N
7674	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009753	1010147	2019-12-06 20:29:24.422113	t	\N
7675	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026758	1027177	2019-12-06 20:29:46.449473	t	\N
7676	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	852119	855178	2019-12-06 20:30:48.523785	t	\N
7677	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	864418	864834	2019-12-06 20:31:03.540961	t	\N
7678	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	877096	877925	2019-12-06 20:31:25.56946	t	\N
7679	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894064	894483	2019-12-06 20:31:47.626799	t	\N
7680	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	914069	914610	2019-12-06 20:32:20.666007	t	\N
7681	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	919121	919755	2019-12-06 20:32:27.675302	t	\N
7682	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	927746	941556	2019-12-06 20:32:34.684724	t	\N
7683	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949615	950012	2019-12-06 20:32:47.700437	t	\N
7684	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951371	951790	2019-12-06 20:32:49.708059	t	\N
7685	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	982297	983216	2019-12-06 20:33:37.766544	t	\N
7686	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989867	990286	2019-12-06 20:33:49.781273	t	\N
7687	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1027926	1030945	2019-12-06 20:34:51.860048	t	\N
7688	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	833424	833967	2019-12-06 20:35:15.890628	t	\N
7689	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857012	857431	2019-12-06 20:35:50.939798	t	\N
7690	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	893285	896342	2019-12-06 20:36:50.013167	t	\N
7691	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	931259	934245	2019-12-06 20:37:46.083088	t	\N
7692	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935778	936197	2019-12-06 20:37:48.086291	t	\N
7693	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950612	951153	2019-12-06 20:38:13.117149	t	\N
7694	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	974336	977355	2019-12-06 20:38:48.166122	t	\N
7695	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1012791	1015810	2019-12-06 20:39:47.238339	t	\N
7696	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019283	1019677	2019-12-06 20:39:52.246279	t	\N
7697	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	842942	846001	2019-12-06 20:40:46.312341	t	\N
7698	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	866082	866623	2019-12-06 20:41:21.35438	t	\N
7699	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884509	884928	2019-12-06 20:41:46.39147	t	\N
7700	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	50	894355	894989	2019-12-06 20:42:02.411557	t	\N
7701	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	899225	902326	2019-12-06 20:42:09.420801	t	\N
7702	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	927462	930481	2019-12-06 20:42:48.469594	t	\N
7703	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932014	932411	2019-12-06 20:42:50.472578	t	\N
7704	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	937836	939288	2019-12-06 20:42:57.486023	t	\N
7705	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	970062	973081	2019-12-06 20:43:47.545917	t	\N
7706	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	990847	991388	2019-12-06 20:44:18.584454	t	\N
7707	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1011784	1012203	2019-12-06 20:44:48.621198	t	\N
7708	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	838806	841865	2019-12-06 20:45:47.693066	t	\N
7709	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	878028	881047	2019-12-06 20:46:47.772362	t	\N
7710	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	891457	892264	2019-12-06 20:47:05.794285	t	\N
7711	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900215	900756	2019-12-06 20:47:18.810423	t	\N
7712	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919528	919947	2019-12-06 20:47:45.843683	t	\N
7713	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	922015	922412	2019-12-06 20:47:47.846856	t	\N
7714	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	929832	943641	2019-12-06 20:47:59.866649	t	\N
7715	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	972126	972545	2019-12-06 20:48:44.92062	t	\N
7716	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1010571	1013590	2019-12-06 20:49:46.997494	t	\N
7717	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023557	1023951	2019-12-06 20:50:04.019058	t	\N
7718	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1032588	1033129	2019-12-06 20:50:19.038869	t	\N
7719	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843428	843849	2019-12-06 20:50:47.080318	t	\N
7720	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	873436	874070	2019-12-06 20:51:34.15572	t	\N
7721	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881276	881728	2019-12-06 20:51:46.171023	t	\N
7722	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	885216	885939	2019-12-06 20:51:51.178369	t	\N
7723	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918436	918855	2019-12-06 20:52:44.242939	t	\N
7724	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922085	922482	2019-12-06 20:52:48.253856	t	\N
7725	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	926346	926929	2019-12-06 20:52:54.262238	t	\N
7726	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	935738	936323	2019-12-06 20:53:08.280043	t	\N
7727	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940729	941270	2019-12-06 20:53:16.290629	t	\N
7728	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959938	960357	2019-12-06 20:53:42.322446	t	\N
7729	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	996974	1000031	2019-12-06 20:54:42.400865	t	\N
7730	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1034970	1037989	2019-12-06 20:55:40.472612	t	\N
7731	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	851500	854879	2019-12-06 20:56:19.521256	t	\N
7732	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871773	872192	2019-12-06 20:56:42.550273	t	\N
7733	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	897830	901452	2019-12-06 20:57:27.604696	t	\N
7734	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914441	914860	2019-12-06 20:57:44.631714	t	\N
7735	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920282	920679	2019-12-06 20:57:52.642137	t	\N
7736	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952319	952738	2019-12-06 20:58:44.705555	t	\N
7737	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	973505	976851	2019-12-06 20:59:21.751181	t	\N
7738	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	983107	984001	2019-12-06 20:59:31.764559	t	\N
7739	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996608	997027	2019-12-06 20:59:46.789973	t	\N
7740	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011224	1011618	2019-12-06 21:00:11.820436	t	\N
7741	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034480	1034899	2019-12-06 21:00:46.864213	t	\N
7742	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	857786	860809	2019-12-06 21:01:34.922629	t	\N
7743	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	865862	866496	2019-12-06 21:01:42.93296	t	\N
7744	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869070	869489	2019-12-06 21:01:46.943449	t	\N
7745	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877268	877684	2019-12-06 21:01:58.958552	t	\N
7746	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	883840	884647	2019-12-06 21:02:08.971113	t	\N
7747	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	889393	890328	2019-12-06 21:02:16.981613	t	\N
7748	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892760	893301	2019-12-06 21:02:19.985562	t	\N
7749	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911212	911664	2019-12-06 21:02:46.024927	t	\N
7750	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915396	915793	2019-12-06 21:02:52.033347	t	\N
7751	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	917596	931390	2019-12-06 21:02:53.035367	t	\N
7752	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	829684	830105	2019-12-06 21:03:46.118913	t	\N
7753	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	867240	870297	2019-12-06 21:04:46.193515	t	\N
7754	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	892850	896130	2019-12-06 21:05:27.245524	t	\N
7755	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911120	911539	2019-12-06 21:05:47.270865	t	\N
7756	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	949583	952602	2019-12-06 21:06:49.348017	t	\N
7757	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987638	988035	2019-12-06 21:07:46.422005	t	\N
7758	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990103	990522	2019-12-06 21:07:48.424981	t	\N
7759	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1011374	1012090	2019-12-06 21:08:25.474853	t	\N
7760	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027508	1027927	2019-12-06 21:08:47.502117	t	\N
7761	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836049	839108	2019-12-06 21:09:47.575991	t	\N
7762	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	860154	863137	2019-12-06 21:10:24.62112	t	\N
7763	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878564	878983	2019-12-06 21:10:45.64732	t	\N
7764	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	898452	902103	2019-12-06 21:11:19.690287	t	\N
7765	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903603	904144	2019-12-06 21:11:20.691917	t	\N
7766	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	912546	913180	2019-12-06 21:11:33.71745	t	\N
7767	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922893	923312	2019-12-06 21:11:43.738267	t	\N
7768	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	959703	962722	2019-12-06 21:12:44.819547	t	\N
7769	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965102	965499	2019-12-06 21:12:47.831525	t	\N
7770	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	984142	989843	2019-12-06 21:13:19.874152	t	\N
7771	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1007909	1008361	2019-12-06 21:13:45.907187	t	\N
7772	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1030833	1034170	2019-12-06 21:14:25.956786	t	\N
7773	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	823291	823712	2019-12-06 21:14:46.983691	t	\N
7774	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	860309	863366	2019-12-06 21:15:46.059916	t	\N
7775	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	901337	904356	2019-12-06 21:16:48.137976	t	\N
7776	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	928458	931805	2019-12-06 21:17:31.19081	t	\N
7777	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	943228	944035	2019-12-06 21:17:44.207173	t	\N
7778	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	946390	946809	2019-12-06 21:17:48.213811	t	\N
7779	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	948610	962420	2019-12-06 21:17:49.220729	t	\N
7780	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963942	964339	2019-12-06 21:17:50.222601	t	\N
7781	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	998383	998835	2019-12-06 21:18:46.294256	t	\N
7782	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	1017738	1022033	2019-12-06 21:19:19.335294	t	\N
7783	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	814963	815384	2019-12-06 21:19:45.36856	t	\N
7784	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824309	824703	2019-12-06 21:19:59.391374	t	\N
7785	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	841699	842240	2019-12-06 21:20:30.430502	t	\N
7786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854225	854644	2019-12-06 21:20:44.44745	t	\N
7787	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	891752	894809	2019-12-06 21:21:44.521973	t	\N
7788	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	896042	896676	2019-12-06 21:21:45.524324	t	\N
7789	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	929154	932140	2019-12-06 21:22:38.594755	t	\N
7790	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936643	937062	2019-12-06 21:22:44.602807	t	\N
7791	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	960311	963657	2019-12-06 21:23:27.655066	t	\N
7792	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975897	976316	2019-12-06 21:23:42.673478	t	\N
7793	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	981168	981957	2019-12-06 21:23:49.682711	t	\N
7794	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014542	1014961	2019-12-06 21:24:41.751714	t	\N
7795	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	825916	829039	2019-12-06 21:25:41.823361	t	\N
7796	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	856573	859681	2019-12-06 21:26:30.884674	t	\N
7797	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	869314	869733	2019-12-06 21:26:39.896189	t	\N
7798	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	898675	905521	2019-12-06 21:27:33.964621	t	\N
7799	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910142	910561	2019-12-06 21:27:39.984446	t	\N
7800	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	935671	939293	2019-12-06 21:28:25.040917	t	\N
7801	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950625	951044	2019-12-06 21:28:39.058973	t	\N
7802	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	979791	983073	2019-12-06 21:29:30.121905	t	\N
7803	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991066	991460	2019-12-06 21:29:37.130799	t	\N
7804	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992947	993366	2019-12-06 21:29:39.138719	t	\N
7805	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1029200	1032219	2019-12-06 21:30:37.208996	t	\N
7806	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	844386	847445	2019-12-06 21:31:38.303191	t	\N
7807	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	856064	856698	2019-12-06 21:31:53.322642	t	\N
7808	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864690	865106	2019-12-06 21:32:05.339735	t	\N
7809	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	867663	881531	2019-12-06 21:32:09.349532	t	\N
7810	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	892357	892898	2019-12-06 21:32:28.373738	t	\N
7811	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	902977	903396	2019-12-06 21:32:39.387514	t	\N
7812	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	905117	906036	2019-12-06 21:32:40.389447	t	\N
7813	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	908397	908794	2019-12-06 21:32:44.395179	t	\N
7814	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	913701	914450	2019-12-06 21:32:51.409684	t	\N
7815	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945122	945541	2019-12-06 21:33:40.470692	t	\N
7816	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	982502	985521	2019-12-06 21:34:40.54365	t	\N
7817	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1009766	1013107	2019-12-06 21:35:24.59835	t	\N
7818	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025735	1026154	2019-12-06 21:35:39.617538	t	\N
7819	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	838685	841744	2019-12-06 21:36:39.69612	t	\N
7820	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	878602	881621	2019-12-06 21:37:39.769882	t	\N
7821	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885265	885662	2019-12-06 21:37:44.776915	t	\N
7822	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	907667	910951	2019-12-06 21:38:24.826268	t	\N
7823	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	924666	925085	2019-12-06 21:38:40.846824	t	\N
7824	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	959595	962578	2019-12-06 21:39:37.921129	t	\N
7825	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966073	966492	2019-12-06 21:39:42.927802	t	\N
7826	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1002160	1005179	2019-12-06 21:40:40.999199	t	\N
7827	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025752	1026293	2019-12-06 21:41:17.044271	t	\N
7828	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1030670	1031304	2019-12-06 21:41:24.053279	t	\N
7829	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820192	820613	2019-12-06 21:41:39.077443	t	\N
7830	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	854926	860665	2019-12-06 21:42:34.144798	t	\N
7831	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864030	864449	2019-12-06 21:42:39.151899	t	\N
7832	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869790	870187	2019-12-06 21:42:47.162661	t	\N
7833	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	902044	905063	2019-12-06 21:43:39.22394	t	\N
7834	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923059	923600	2019-12-06 21:44:10.268763	t	\N
7835	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943605	944024	2019-12-06 21:44:39.303379	t	\N
7836	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	966151	967603	2019-12-06 21:45:18.351748	t	\N
7837	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983098	983517	2019-12-06 21:45:39.376481	t	\N
7838	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1021134	1024153	2019-12-06 21:46:41.454338	t	\N
7839	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	1036426	1036967	2019-12-06 21:47:02.488693	t	\N
7840	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	818579	832449	2019-12-06 21:47:09.497562	t	\N
7841	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	841106	841855	2019-12-06 21:47:23.514612	t	\N
7842	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856884	857303	2019-12-06 21:47:43.539686	t	\N
7843	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866596	866993	2019-12-06 21:47:59.560476	t	\N
7844	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894973	895392	2019-12-06 21:48:45.621663	t	\N
7845	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910749	911143	2019-12-06 21:49:11.652957	t	\N
7846	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932602	933021	2019-12-06 21:49:45.694034	t	\N
7847	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	944034	944575	2019-12-06 21:50:03.71697	t	\N
7848	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	972254	972673	2019-12-06 21:50:46.774754	t	\N
7849	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	982523	983106	2019-12-06 21:51:02.794984	t	\N
7850	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	986570	987204	2019-12-06 21:51:07.802078	t	\N
7851	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1012370	1012789	2019-12-06 21:51:46.849177	t	\N
7852	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	826116	829175	2019-12-06 21:52:45.93941	t	\N
7853	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833588	833985	2019-12-06 21:52:51.947836	t	\N
7854	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	843319	843860	2019-12-06 21:53:06.971802	t	\N
7855	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	849937	850660	2019-12-06 21:53:16.984852	t	\N
7856	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869176	869595	2019-12-06 21:53:44.041921	t	\N
7857	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	872450	873057	2019-12-06 21:53:47.047364	t	\N
7858	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	908535	911554	2019-12-06 21:54:46.119143	t	\N
7859	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	946957	949976	2019-12-06 21:55:45.198441	t	\N
7860	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	965982	966523	2019-12-06 21:56:12.232402	t	\N
7861	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989129	989581	2019-12-06 21:56:46.277961	t	\N
7862	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1004949	1005843	2019-12-06 21:57:14.311954	t	\N
7863	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025634	1026053	2019-12-06 21:57:44.348668	t	\N
7864	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029344	1029741	2019-12-06 21:57:48.359554	t	\N
7865	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	841392	844451	2019-12-06 21:58:42.425045	t	\N
7866	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854130	854524	2019-12-06 21:58:58.444861	t	\N
7867	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858606	859147	2019-12-06 21:59:05.453647	t	\N
7868	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880853	881247	2019-12-06 21:59:36.493379	t	\N
7869	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884696	885115	2019-12-06 21:59:41.504117	t	\N
7870	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	887228	888261	2019-12-06 21:59:45.509402	t	\N
7871	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	923889	926908	2019-12-06 22:00:43.579179	t	\N
7872	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	939666	940300	2019-12-06 22:01:05.608018	t	\N
7873	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964710	965129	2019-12-06 22:01:42.654523	t	\N
7874	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	975021	975562	2019-12-06 22:01:59.681525	t	\N
7875	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1001920	1002727	2019-12-06 22:02:40.73041	t	\N
7876	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005469	1005888	2019-12-06 22:02:44.735477	t	\N
7877	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	80	1010034	1023844	2019-12-06 22:02:50.743928	t	\N
7878	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029043	1029440	2019-12-06 22:02:57.752807	t	\N
7879	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035287	1035736	2019-12-06 22:03:06.770132	t	\N
7880	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	835497	836418	2019-12-06 22:03:38.831326	t	\N
7881	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839463	839882	2019-12-06 22:03:43.837965	t	\N
7882	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	876080	879137	2019-12-06 22:04:42.909666	t	\N
7883	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891719	892260	2019-12-06 22:05:03.935553	t	\N
7884	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917269	917688	2019-12-06 22:05:42.988816	t	\N
7885	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	954548	957567	2019-12-06 22:06:43.064182	t	\N
7886	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	994700	997719	2019-12-06 22:07:43.138174	t	\N
7887	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009981	1010522	2019-12-06 22:08:04.164486	t	\N
7888	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011899	1012296	2019-12-06 22:08:05.166424	t	\N
7889	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037357	1037776	2019-12-06 22:08:44.218639	t	\N
7890	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834910	835306	2019-12-06 22:09:14.25595	t	\N
7891	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854645	855064	2019-12-06 22:09:42.290238	t	\N
7892	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	890424	893481	2019-12-06 22:10:40.361641	t	\N
7893	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	909637	910178	2019-12-06 22:11:08.397247	t	\N
7894	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	919046	922147	2019-12-06 22:11:23.421518	t	\N
7895	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	925377	926011	2019-12-06 22:11:27.427725	t	\N
7896	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936505	936924	2019-12-06 22:11:40.443628	t	\N
7897	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	974921	977940	2019-12-06 22:12:42.518676	t	\N
7898	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987390	987787	2019-12-06 22:12:58.53904	t	\N
7899	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013940	1014359	2019-12-06 22:13:40.595568	t	\N
7900	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029666	1030382	2019-12-06 22:14:06.627815	t	\N
7901	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832786	833207	2019-12-06 22:14:39.67477	t	\N
7902	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	870168	873225	2019-12-06 22:15:40.750465	t	\N
7903	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	911605	914624	2019-12-06 22:16:42.825733	t	\N
7904	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	930392	930933	2019-12-06 22:17:10.867015	t	\N
7905	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	942981	956849	2019-12-06 22:17:31.892352	t	\N
7906	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967654	968073	2019-12-06 22:17:43.906676	t	\N
7907	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983943	984340	2019-12-06 22:18:11.940894	t	\N
7908	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	991344	992093	2019-12-06 22:18:23.955783	t	\N
7909	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007390	1007809	2019-12-06 22:18:44.988114	t	\N
7910	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024910	1025304	2019-12-06 22:19:16.026033	t	\N
7911	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824430	824851	2019-12-06 22:19:42.059022	t	\N
7912	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836674	837215	2019-12-06 22:20:02.084427	t	\N
7913	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864815	865234	2019-12-06 22:20:44.137244	t	\N
7914	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	893649	896910	2019-12-06 22:21:34.203316	t	\N
7915	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906623	907042	2019-12-06 22:21:44.215837	t	\N
7916	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	944281	947300	2019-12-06 22:22:45.291721	t	\N
7917	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	956127	956668	2019-12-06 22:22:59.309047	t	\N
7918	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962372	962769	2019-12-06 22:23:08.320685	t	\N
7919	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986457	986876	2019-12-06 22:23:45.370932	t	\N
7920	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1022416	1025435	2019-12-06 22:24:43.439681	t	\N
7921	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	845205	848264	2019-12-06 22:25:45.535897	t	\N
7922	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	855834	856375	2019-12-06 22:25:57.552318	t	\N
7923	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	861333	862122	2019-12-06 22:26:04.56102	t	\N
7924	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887048	887467	2019-12-06 22:26:43.615908	t	\N
7925	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	924217	927236	2019-12-06 22:27:43.687902	t	\N
7926	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939630	940027	2019-12-06 22:28:04.714525	t	\N
7927	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964176	964595	2019-12-06 22:28:42.76132	t	\N
7928	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970166	970560	2019-12-06 22:28:50.772208	t	\N
7929	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977325	977866	2019-12-06 22:29:01.79077	t	\N
7930	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005337	1005756	2019-12-06 22:29:43.841049	t	\N
7931	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1010307	1011340	2019-12-06 22:29:51.851425	t	\N
7932	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	826588	829647	2019-12-06 22:30:44.91669	t	\N
7933	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	850578	851212	2019-12-06 22:31:22.966804	t	\N
7934	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866109	866528	2019-12-06 22:31:43.008249	t	\N
7935	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	876749	877290	2019-12-06 22:31:59.028118	t	\N
7936	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903422	903841	2019-12-06 22:32:41.079724	t	\N
7937	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	908313	909306	2019-12-06 22:32:48.089085	t	\N
7938	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910965	911381	2019-12-06 22:32:49.091204	t	\N
7939	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923127	923524	2019-12-06 22:33:09.122044	t	\N
7940	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	925490	939284	2019-12-06 22:33:12.126153	t	\N
7941	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958556	958975	2019-12-06 22:33:40.161797	t	\N
7942	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	970412	971161	2019-12-06 22:33:59.186534	t	\N
7943	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996473	996892	2019-12-06 22:34:39.236952	t	\N
7944	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1008791	1009332	2019-12-06 22:34:59.26695	t	\N
7945	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033936	1034355	2019-12-06 22:35:37.313654	t	\N
7946	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	853618	856677	2019-12-06 22:36:37.407666	t	\N
7947	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	892858	895877	2019-12-06 22:37:36.480554	t	\N
7948	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	912341	912882	2019-12-06 22:38:04.515104	t	\N
7949	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914659	915056	2019-12-06 22:38:06.524219	t	\N
7950	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935895	936314	2019-12-06 22:38:37.562171	t	\N
7951	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938642	939036	2019-12-06 22:38:39.564957	t	\N
7952	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	974151	977170	2019-12-06 22:39:37.639188	t	\N
7953	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1014048	1017067	2019-12-06 22:40:37.713147	t	\N
7954	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1030533	1033634	2019-12-06 22:40:59.747094	t	\N
7955	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035121	1035662	2019-12-06 22:41:01.750432	t	\N
7956	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842118	842539	2019-12-06 22:41:35.812389	t	\N
7957	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	846862	847496	2019-12-06 22:41:42.821609	t	\N
7958	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	880529	883586	2019-12-06 22:42:35.888858	t	\N
7959	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899299	899696	2019-12-06 22:43:03.929955	t	\N
7960	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916513	916932	2019-12-06 22:43:33.968182	t	\N
7961	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936392	936933	2019-12-06 22:44:01.001834	t	\N
7962	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955116	955535	2019-12-06 22:44:33.043035	t	\N
7963	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	991864	994883	2019-12-06 22:45:33.118872	t	\N
7964	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1023678	1025130	2019-12-06 22:46:18.181381	t	\N
7965	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033582	1034001	2019-12-06 22:46:33.200414	t	\N
7966	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836715	837258	2019-12-06 22:46:58.231323	t	\N
7967	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	56	854597	868471	2019-12-06 22:47:29.270184	t	\N
7968	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870843	871262	2019-12-06 22:47:31.273606	t	\N
7969	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886438	886835	2019-12-06 22:47:52.304169	t	\N
7970	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	909023	912080	2019-12-06 22:48:32.3529	t	\N
7971	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935818	936212	2019-12-06 22:49:08.398393	t	\N
7972	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	941183	941766	2019-12-06 22:49:16.408289	t	\N
7973	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	943078	943885	2019-12-06 22:49:17.410798	t	\N
7974	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952249	952668	2019-12-06 22:49:31.428286	t	\N
7975	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967842	968383	2019-12-06 22:49:52.454496	t	\N
7976	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	990089	993108	2019-12-06 22:50:30.501509	t	\N
7977	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1013449	1014172	2019-12-06 22:51:00.538466	t	\N
7978	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1026498	1027132	2019-12-06 22:51:22.566543	t	\N
7979	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032351	1032770	2019-12-06 22:51:30.582926	t	\N
7980	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	854707	857766	2019-12-06 22:52:31.657845	t	\N
7981	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868357	868754	2019-12-06 22:52:43.672803	t	\N
7982	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875195	875736	2019-12-06 22:52:53.685361	t	\N
7983	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	896256	899275	2019-12-06 22:53:29.732526	t	\N
7984	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	934975	937994	2019-12-06 22:54:27.825259	t	\N
7985	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	974122	977141	2019-12-06 22:55:26.89888	t	\N
7986	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997690	998231	2019-12-06 22:55:55.934902	t	\N
7987	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1016846	1017265	2019-12-06 22:56:28.976553	t	\N
7988	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1028058	1028643	2019-12-06 22:56:40.991063	t	\N
7989	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	840021	843080	2019-12-06 22:57:26.053042	t	\N
7990	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845339	845736	2019-12-06 22:57:29.057559	t	\N
7991	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	882056	885075	2019-12-06 22:58:28.131819	t	\N
7992	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	887546	888579	2019-12-06 22:58:31.135979	t	\N
7993	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	901678	902556	2019-12-06 22:58:48.157427	t	\N
7994	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	907298	907756	2019-12-06 22:58:55.166507	t	\N
7995	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	927224	930243	2019-12-06 22:59:30.208836	t	\N
7996	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	952459	953353	2019-12-06 23:00:02.249043	t	\N
7997	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962448	962842	2019-12-06 23:00:18.26933	t	\N
7998	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970003	970422	2019-12-06 23:00:30.28533	t	\N
7999	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1002999	1003633	2019-12-06 23:01:22.359462	t	\N
8000	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009801	1010220	2019-12-06 23:01:31.37179	t	\N
8001	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024096	1024512	2019-12-06 23:01:50.395238	t	\N
8002	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026904	1027445	2019-12-06 23:01:52.398344	t	\N
8003	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	828608	842399	2019-12-06 23:02:17.448132	t	\N
8004	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	845424	846343	2019-12-06 23:02:21.45877	t	\N
8005	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847563	847960	2019-12-06 23:02:22.460573	t	\N
8006	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852442	852861	2019-12-06 23:02:29.475118	t	\N
8007	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	890813	893870	2019-12-06 23:03:31.549757	t	\N
8008	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	909600	910407	2019-12-06 23:03:53.576832	t	\N
8009	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	932278	935297	2019-12-06 23:04:31.630023	t	\N
8010	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954070	954611	2019-12-06 23:04:59.66481	t	\N
8011	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973577	973996	2019-12-06 23:05:31.706332	t	\N
8012	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1010455	1013474	2019-12-06 23:06:31.779783	t	\N
8013	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	836023	839049	2019-12-06 23:07:28.849505	t	\N
8014	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842072	842491	2019-12-06 23:07:32.861488	t	\N
8015	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864054	864595	2019-12-06 23:08:04.90026	t	\N
8016	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880696	881115	2019-12-06 23:08:32.934829	t	\N
8017	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905063	905457	2019-12-06 23:09:09.980226	t	\N
8018	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918713	919132	2019-12-06 23:09:33.00986	t	\N
8019	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	954756	957775	2019-12-06 23:10:33.087655	t	\N
8020	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	966638	969739	2019-12-06 23:10:41.09868	t	\N
8021	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	982352	982893	2019-12-06 23:11:04.126891	t	\N
8022	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	998134	998768	2019-12-06 23:11:30.160392	t	\N
8023	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001363	1001782	2019-12-06 23:11:33.165075	t	\N
8024	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	42	1037097	828623	2019-12-06 23:12:31.23967	t	\N
8025	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836621	837018	2019-12-06 23:12:39.249559	t	\N
8026	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	864775	867794	2019-12-06 23:13:29.310455	t	\N
8027	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894176	894717	2019-12-06 23:14:10.364329	t	\N
8028	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905630	906049	2019-12-06 23:14:29.389657	t	\N
8029	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	944141	947160	2019-12-06 23:15:31.466944	t	\N
8030	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	983006	986025	2019-12-06 23:16:30.541942	t	\N
8031	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009091	1009632	2019-12-06 23:17:05.583985	t	\N
8032	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1011604	1012666	2019-12-06 23:17:06.585845	t	\N
8033	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025270	1025689	2019-12-06 23:17:29.614156	t	\N
8034	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037419	1037816	2019-12-06 23:17:43.635743	t	\N
8035	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	834723	848528	2019-12-06 23:17:57.672693	t	\N
8036	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866457	866876	2019-12-06 23:18:29.713239	t	\N
8037	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	881160	881832	2019-12-06 23:18:48.73925	t	\N
8038	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904382	907439	2019-12-06 23:19:28.78862	t	\N
8039	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909131	909525	2019-12-06 23:19:30.791879	t	\N
8040	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932254	932795	2019-12-06 23:20:04.832863	t	\N
8041	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	938555	940325	2019-12-06 23:20:12.844048	t	\N
8042	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950272	950691	2019-12-06 23:20:30.86618	t	\N
8043	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	987163	990182	2019-12-06 23:21:29.937327	t	\N
8044	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1011692	1012326	2019-12-06 23:21:59.98134	t	\N
8045	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029178	1029597	2019-12-06 23:22:30.019132	t	\N
8046	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836834	837233	2019-12-06 23:22:56.071507	t	\N
8047	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845444	845985	2019-12-06 23:23:09.088568	t	\N
8048	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857996	858415	2019-12-06 23:23:30.11511	t	\N
8049	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	859507	860627	2019-12-06 23:23:31.121647	t	\N
8050	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	897054	900111	2019-12-06 23:24:30.195089	t	\N
8051	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	935557	938576	2019-12-06 23:25:28.26659	t	\N
8052	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	964642	965183	2019-12-06 23:26:08.316147	t	\N
8053	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	976936	977355	2019-12-06 23:26:28.341738	t	\N
8054	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1015162	1018181	2019-12-06 23:27:30.418542	t	\N
8055	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030731	1031128	2019-12-06 23:27:46.438041	t	\N
8056	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	843226	844261	2019-12-06 23:28:26.487897	t	\N
8057	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846549	846968	2019-12-06 23:28:28.491807	t	\N
8058	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870331	870872	2019-12-06 23:29:03.533973	t	\N
8059	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	885373	885767	2019-12-06 23:29:28.571985	t	\N
8060	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886795	887214	2019-12-06 23:29:29.573943	t	\N
8061	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	924218	927275	2019-12-06 23:30:29.651029	t	\N
8062	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	964201	967220	2019-12-06 23:31:30.727645	t	\N
8063	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	983888	984522	2019-12-06 23:31:53.756485	t	\N
8064	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	986676	987217	2019-12-06 23:31:55.765055	t	\N
8065	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002722	1003138	2019-12-06 23:32:22.797775	t	\N
8066	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007322	1007741	2019-12-06 23:32:29.806834	t	\N
8067	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016516	1016913	2019-12-06 23:32:37.817144	t	\N
8068	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	90	1027473	831985	2019-12-06 23:32:56.841061	t	\N
8069	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	834437	835356	2019-12-06 23:32:58.849356	t	\N
8070	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	847009	847758	2019-12-06 23:33:19.875827	t	\N
8071	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853297	853716	2019-12-06 23:33:27.88684	t	\N
8072	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	891506	894563	2019-12-06 23:34:27.963245	t	\N
8073	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911866	912407	2019-12-06 23:34:52.997365	t	\N
8074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	932381	935400	2019-12-06 23:35:28.04755	t	\N
8075	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	972758	975777	2019-12-06 23:36:29.127082	t	\N
8076	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1012294	1015280	2019-12-06 23:37:28.200215	t	\N
8077	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016877	1017296	2019-12-06 23:37:30.203296	t	\N
8078	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1034999	1035540	2019-12-06 23:37:54.235196	t	\N
8079	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	846840	849899	2019-12-06 23:38:29.303683	t	\N
8080	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876077	876471	2019-12-06 23:39:09.352995	t	\N
8081	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888105	888524	2019-12-06 23:39:30.379011	t	\N
8082	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	890011	893112	2019-12-06 23:39:32.382144	t	\N
8083	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	928915	931934	2019-12-06 23:40:31.454401	t	\N
8084	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	949165	949706	2019-12-06 23:40:54.489534	t	\N
8085	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	970089	973108	2019-12-06 23:41:30.532869	t	\N
8086	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	999066	999700	2019-12-06 23:42:10.5817	t	\N
8087	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009999	1010418	2019-12-06 23:42:28.603199	t	\N
8088	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013803	1014200	2019-12-06 23:42:33.609769	t	\N
8089	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838817	839238	2019-12-06 23:43:27.679558	t	\N
8090	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855884	856425	2019-12-06 23:43:50.70788	t	\N
8091	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	878627	881684	2019-12-06 23:44:29.75483	t	\N
8092	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	918493	921512	2019-12-06 23:45:29.827284	t	\N
8093	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	958798	961817	2019-12-06 23:46:30.902466	t	\N
8094	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	974347	974888	2019-12-06 23:46:47.931583	t	\N
8095	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	992852	994304	2019-12-06 23:47:17.96846	t	\N
8096	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002017	1002436	2019-12-06 23:47:30.984564	t	\N
8097	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010935	1011332	2019-12-06 23:47:38.994646	t	\N
8098	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	1021943	1035753	2019-12-06 23:47:57.021121	t	\N
8099	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	837871	838534	2019-12-06 23:48:13.066578	t	\N
8100	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848173	848592	2019-12-06 23:48:29.08657	t	\N
8101	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868793	869187	2019-12-06 23:48:59.123487	t	\N
8102	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886596	887015	2019-12-06 23:49:30.162903	t	\N
8103	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	899978	900519	2019-12-06 23:49:47.183678	t	\N
8104	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	912927	913635	2019-12-06 23:50:08.216534	t	\N
8105	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926624	927043	2019-12-06 23:50:30.2436	t	\N
8106	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	827452	830530	2019-12-06 23:51:30.330538	t	\N
8107	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	849197	849780	2019-12-06 23:51:56.362809	t	\N
8108	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	861912	862546	2019-12-06 23:52:18.390047	t	\N
8109	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869661	870080	2019-12-06 23:52:29.409206	t	\N
8110	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877895	878292	2019-12-06 23:52:36.418544	t	\N
8111	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881006	881547	2019-12-06 23:52:40.424105	t	\N
8112	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	909174	912193	2019-12-06 23:53:29.484504	t	\N
8113	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946998	947417	2019-12-06 23:54:27.553137	t	\N
8114	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	950214	950799	2019-12-06 23:54:30.562223	t	\N
8115	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984633	985052	2019-12-06 23:55:25.628142	t	\N
8116	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1000178	1000719	2019-12-06 23:55:46.654223	t	\N
8117	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022751	1023170	2019-12-06 23:56:24.700413	t	\N
8118	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	832125	835184	2019-12-06 23:57:25.775045	t	\N
8119	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838653	839050	2019-12-06 23:57:30.788755	t	\N
8120	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	859652	860685	2019-12-06 23:57:59.824476	t	\N
8121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875878	876297	2019-12-06 23:58:27.857402	t	\N
8122	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891158	891699	2019-12-06 23:58:47.882099	t	\N
8123	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898898	899292	2019-12-06 23:58:58.896432	t	\N
8124	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904085	904479	2019-12-06 23:59:05.910157	t	\N
8125	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915764	916183	2019-12-06 23:59:25.934663	t	\N
8126	Jobs::ScheduleBackup	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	939707	942742	2019-12-07 00:00:00.978617	t	\N
8127	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954430	954849	2019-12-07 00:00:23.006886	t	\N
8128	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	991328	994347	2019-12-07 00:01:22.082093	t	\N
8129	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009237	1009778	2019-12-07 00:01:42.114137	t	\N
8130	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016296	1016712	2019-12-07 00:01:52.127262	t	\N
8131	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034451	1034870	2019-12-07 00:02:24.166002	t	\N
8132	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1037445	1038438	2019-12-07 00:02:27.170396	t	\N
8133	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	814180	814929	2019-12-07 00:02:30.175211	t	\N
8134	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	816619	817016	2019-12-07 00:02:33.185217	t	\N
8135	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	823955	824589	2019-12-07 00:02:38.19212	t	\N
8136	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	827312	828134	2019-12-07 00:02:41.196425	t	\N
8137	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	835537	849331	2019-12-07 00:02:54.212713	t	\N
8138	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866287	866706	2019-12-07 00:03:24.249416	t	\N
8139	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	902933	905990	2019-12-07 00:04:24.326622	t	\N
8140	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913482	914023	2019-12-07 00:04:35.340742	t	\N
8141	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944227	944646	2019-12-07 00:05:24.405774	t	\N
8142	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	982389	985408	2019-12-07 00:06:25.480393	t	\N
8143	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1022043	1025062	2019-12-07 00:07:25.554146	t	\N
8144	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026924	1027465	2019-12-07 00:07:27.563997	t	\N
8145	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029384	1029781	2019-12-07 00:07:29.568013	t	\N
8146	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	837393	840452	2019-12-07 00:08:24.635684	t	\N
8147	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	865092	868075	2019-12-07 00:09:00.6801	t	\N
8148	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880831	881250	2019-12-07 00:09:24.710114	t	\N
8149	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	894812	897913	2019-12-07 00:09:41.735728	t	\N
8150	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	921904	922445	2019-12-07 00:10:24.789416	t	\N
8151	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924625	925044	2019-12-07 00:10:25.791382	t	\N
8152	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	961977	964996	2019-12-07 00:11:25.867298	t	\N
8153	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1001266	1004285	2019-12-07 00:12:25.940252	t	\N
8154	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006833	1007230	2019-12-07 00:12:29.953715	t	\N
8155	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1018974	1019608	2019-12-07 00:12:43.971691	t	\N
8156	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	816696	817117	2019-12-07 00:13:25.041699	t	\N
8157	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820623	821164	2019-12-07 00:13:30.048848	t	\N
8158	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	854065	857122	2019-12-07 00:14:23.116867	t	\N
8159	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	892846	895865	2019-12-07 00:15:21.2027	t	\N
8160	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	932335	935354	2019-12-07 00:16:21.314454	t	\N
8161	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947527	948068	2019-12-07 00:16:36.334757	t	\N
8162	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971716	972135	2019-12-07 00:17:19.387032	t	\N
8163	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974794	975191	2019-12-07 00:17:22.391314	t	\N
8164	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	990812	991619	2019-12-07 00:17:44.422834	t	\N
8165	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	1007709	1021519	2019-12-07 00:18:12.457664	t	\N
8166	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025914	1026333	2019-12-07 00:18:19.46683	t	\N
8167	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	832431	835454	2019-12-07 00:19:08.526776	t	\N
8168	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843157	843576	2019-12-07 00:19:21.542938	t	\N
8169	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	850938	851479	2019-12-07 00:19:34.564321	t	\N
8170	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881271	881690	2019-12-07 00:20:20.620233	t	\N
8171	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	917136	920155	2019-12-07 00:21:18.691006	t	\N
8172	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	957087	960106	2019-12-07 00:22:18.763866	t	\N
8173	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963142	963539	2019-12-07 00:22:22.769375	t	\N
8174	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	978425	978966	2019-12-07 00:22:42.798974	t	\N
8175	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	988486	989120	2019-12-07 00:22:57.817154	t	\N
8176	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1000392	1000811	2019-12-07 00:23:17.841373	t	\N
8177	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	1021194	1021983	2019-12-07 00:23:47.87857	t	\N
8178	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	814705	815126	2019-12-07 00:24:17.933787	t	\N
8179	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	850971	854028	2019-12-07 00:25:17.011691	t	\N
8180	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863791	864332	2019-12-07 00:25:34.033406	t	\N
8181	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892362	892781	2019-12-07 00:26:17.087159	t	\N
8182	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	914556	915589	2019-12-07 00:26:50.129333	t	\N
8183	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932349	932768	2019-12-07 00:27:19.164854	t	\N
8184	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941143	941540	2019-12-07 00:27:33.187017	t	\N
8185	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970629	971048	2019-12-07 00:28:19.242339	t	\N
8186	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	977169	977710	2019-12-07 00:28:29.255875	t	\N
8187	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1008664	1011647	2019-12-07 00:29:18.316656	t	\N
8188	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1012829	1013248	2019-12-07 00:29:19.318937	t	\N
8189	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	825777	828836	2019-12-07 00:30:18.395951	t	\N
8190	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	858250	861266	2019-12-07 00:31:05.454011	t	\N
8191	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869291	869710	2019-12-07 00:31:18.470577	t	\N
8192	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877798	878339	2019-12-07 00:31:32.488406	t	\N
8193	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907232	907651	2019-12-07 00:32:18.543794	t	\N
8194	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909350	909747	2019-12-07 00:32:20.551892	t	\N
8195	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	928980	929973	2019-12-07 00:32:47.584659	t	\N
8196	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	932949	946743	2019-12-07 00:32:51.590608	t	\N
8197	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	950636	951385	2019-12-07 00:32:56.596873	t	\N
8198	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	42	960676	961310	2019-12-07 00:33:12.617195	t	\N
8199	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965652	966071	2019-12-07 00:33:20.632182	t	\N
8200	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1003810	1006829	2019-12-07 00:34:22.71007	t	\N
8201	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017581	1018122	2019-12-07 00:34:35.728997	t	\N
8202	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822377	822798	2019-12-07 00:35:23.808399	t	\N
8203	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	859565	862622	2019-12-07 00:36:23.885035	t	\N
8204	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	893784	896770	2019-12-07 00:37:13.954696	t	\N
8205	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902125	902544	2019-12-07 00:37:21.966005	t	\N
8206	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	917560	918101	2019-12-07 00:37:42.993271	t	\N
8207	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939184	939603	2019-12-07 00:38:21.040758	t	\N
8208	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	956638	959739	2019-12-07 00:38:44.069755	t	\N
8209	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973357	973751	2019-12-07 00:39:07.09886	t	\N
8210	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981123	981542	2019-12-07 00:39:20.115647	t	\N
8211	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1019892	1022911	2019-12-07 00:40:22.193366	t	\N
8212	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035632	1036173	2019-12-07 00:40:37.21244	t	\N
8213	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840275	840696	2019-12-07 00:41:24.271261	t	\N
8214	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	871747	874771	2019-12-07 00:42:13.336532	t	\N
8215	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880788	881207	2019-12-07 00:42:23.349107	t	\N
8216	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	918968	922191	2019-12-07 00:43:24.423421	t	\N
8217	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923283	923702	2019-12-07 00:43:25.425733	t	\N
8218	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	935578	936119	2019-12-07 00:43:39.443842	t	\N
8219	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962403	962822	2019-12-07 00:44:25.506805	t	\N
8220	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	999945	1002964	2019-12-07 00:45:26.581979	t	\N
8221	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	817635	820694	2019-12-07 00:46:26.654289	t	\N
8222	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	825948	827400	2019-12-07 00:46:33.663327	t	\N
8223	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	839156	839697	2019-12-07 00:46:47.680667	t	\N
8224	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854812	855209	2019-12-07 00:47:13.719582	t	\N
8225	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861301	861720	2019-12-07 00:47:24.733574	t	\N
8226	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	865612	879422	2019-12-07 00:47:29.740561	t	\N
8227	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	913073	916092	2019-12-07 00:48:24.805541	t	\N
8228	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	927725	928532	2019-12-07 00:48:37.821737	t	\N
8229	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932312	932706	2019-12-07 00:48:43.836006	t	\N
8230	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956037	956456	2019-12-07 00:49:25.887153	t	\N
8231	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	973709	974250	2019-12-07 00:49:49.91683	t	\N
8232	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	984316	985018	2019-12-07 00:50:06.937129	t	\N
8233	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996038	996457	2019-12-07 00:50:25.960308	t	\N
8234	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1031706	1034725	2019-12-07 00:51:23.037372	t	\N
8235	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	850679	853705	2019-12-07 00:52:24.13371	t	\N
8236	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854874	855293	2019-12-07 00:52:25.135848	t	\N
8237	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	869581	870122	2019-12-07 00:52:43.158568	t	\N
8238	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893547	893966	2019-12-07 00:53:25.209869	t	\N
8239	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	910954	911588	2019-12-07 00:53:49.246104	t	\N
8240	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	922291	922876	2019-12-07 00:54:07.267851	t	\N
8241	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933373	933792	2019-12-07 00:54:25.289455	t	\N
8242	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	948133	948716	2019-12-07 00:54:44.313239	t	\N
8243	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971740	972159	2019-12-07 00:55:25.368678	t	\N
8244	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	985178	985719	2019-12-07 00:55:42.395669	t	\N
8245	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010597	1011016	2019-12-07 00:56:25.448267	t	\N
8246	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1029718	1030751	2019-12-07 00:56:52.481668	t	\N
8247	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824003	824402	2019-12-07 00:57:16.512506	t	\N
8248	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830347	830766	2019-12-07 00:57:26.525065	t	\N
8249	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	862034	865055	2019-12-07 00:58:15.589	t	\N
8250	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870567	870986	2019-12-07 00:58:24.600692	t	\N
8251	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888788	889568	2019-12-07 00:58:49.632169	t	\N
8252	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910413	910832	2019-12-07 00:59:26.677088	t	\N
8253	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	948110	951129	2019-12-07 01:00:27.751588	t	\N
8254	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	989099	992118	2019-12-07 01:01:28.831799	t	\N
8255	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002051	1002445	2019-12-07 01:01:38.845328	t	\N
8256	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011651	1012067	2019-12-07 01:01:54.865624	t	\N
8257	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013486	1014027	2019-12-07 01:01:55.867655	t	\N
8258	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028965	1029362	2019-12-07 01:02:22.900231	t	\N
8259	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	82	1034490	828867	2019-12-07 01:02:29.914435	t	\N
8260	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829939	830358	2019-12-07 01:02:30.916153	t	\N
8261	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	842406	843325	2019-12-07 01:02:44.933274	t	\N
8262	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	861223	861972	2019-12-07 01:03:17.974971	t	\N
8263	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870373	870792	2019-12-07 01:03:31.993059	t	\N
8264	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	893330	896591	2019-12-07 01:04:06.040167	t	\N
8265	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	900042	900936	2019-12-07 01:04:11.046871	t	\N
8266	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913015	913434	2019-12-07 01:04:33.075724	t	\N
8267	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	927280	927832	2019-12-07 01:04:50.097456	t	\N
8268	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952122	952541	2019-12-07 01:05:33.152033	t	\N
8269	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	988430	991449	2019-12-07 01:06:32.22954	t	\N
8270	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1023928	1026914	2019-12-07 01:07:24.292692	t	\N
8271	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031675	1032094	2019-12-07 01:07:32.303661	t	\N
8272	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	827756	828299	2019-12-07 01:07:51.328196	t	\N
8273	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	850482	850901	2019-12-07 01:08:30.376503	t	\N
8274	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	858730	861831	2019-12-07 01:08:37.385686	t	\N
8275	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865483	865877	2019-12-07 01:08:43.393461	t	\N
8276	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893452	893871	2019-12-07 01:09:32.453682	t	\N
8277	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	930889	933946	2019-12-07 01:10:33.528374	t	\N
8278	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	952415	952956	2019-12-07 01:10:58.559018	t	\N
8279	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972395	972814	2019-12-07 01:11:32.607173	t	\N
8280	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1004167	1007153	2019-12-07 01:12:22.668267	t	\N
8281	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013486	1013905	2019-12-07 01:12:32.68108	t	\N
8282	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	830900	833959	2019-12-07 01:13:30.776814	t	\N
8283	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	843584	844218	2019-12-07 01:13:40.789726	t	\N
8284	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	852411	852952	2019-12-07 01:13:54.812274	t	\N
8285	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874303	874722	2019-12-07 01:14:32.858481	t	\N
8286	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	911032	914051	2019-12-07 01:15:31.938449	t	\N
8287	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	948790	951809	2019-12-07 01:16:29.009448	t	\N
8288	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	974450	974991	2019-12-07 01:17:01.050581	t	\N
8289	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	991799	992218	2019-12-07 01:17:30.092198	t	\N
8290	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993354	993773	2019-12-07 01:17:31.094557	t	\N
8291	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	1001721	1015589	2019-12-07 01:17:39.108294	t	\N
8292	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1029358	1030107	2019-12-07 01:18:02.136862	t	\N
8293	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	823477	823873	2019-12-07 01:18:22.162733	t	\N
8294	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	829729	830159	2019-12-07 01:18:31.180034	t	\N
8295	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	867036	870093	2019-12-07 01:19:32.256146	t	\N
8296	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891666	892207	2019-12-07 01:20:03.294396	t	\N
8297	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909579	909998	2019-12-07 01:20:34.332402	t	\N
8298	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	946677	949696	2019-12-07 01:21:34.40606	t	\N
8299	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	970421	971483	2019-12-07 01:22:04.44833	t	\N
8300	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979899	980296	2019-12-07 01:22:18.466399	t	\N
8301	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989414	989833	2019-12-07 01:22:34.487413	t	\N
8302	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	1012406	1015689	2019-12-07 01:23:08.527882	t	\N
8303	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035192	1035611	2019-12-07 01:23:36.562372	t	\N
8304	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	822169	822805	2019-12-07 01:23:40.592427	t	\N
8305	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	856937	860058	2019-12-07 01:24:37.643701	t	\N
8306	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	872154	872943	2019-12-07 01:24:57.669283	t	\N
8307	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	898588	901607	2019-12-07 01:25:36.718715	t	\N
8308	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	916958	918664	2019-12-07 01:26:03.752474	t	\N
8309	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	922422	922963	2019-12-07 01:26:08.764232	t	\N
8310	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938954	939373	2019-12-07 01:26:35.797027	t	\N
8311	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960441	960838	2019-12-07 01:27:06.8354	t	\N
8312	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	966568	967601	2019-12-07 01:27:15.847414	t	\N
8313	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978624	979043	2019-12-07 01:27:35.871844	t	\N
8314	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1019498	1022517	2019-12-07 01:28:36.953872	t	\N
8315	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028719	1029113	2019-12-07 01:28:46.967265	t	\N
8316	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828323	828866	2019-12-07 01:29:13.024998	t	\N
8317	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841033	841452	2019-12-07 01:29:34.051554	t	\N
8318	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	879109	882166	2019-12-07 01:30:35.126367	t	\N
8319	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	914687	915680	2019-12-07 01:31:29.200606	t	\N
8320	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920504	920923	2019-12-07 01:31:36.209821	t	\N
8321	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938902	939299	2019-12-07 01:32:01.24101	t	\N
8322	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943792	944333	2019-12-07 01:32:09.251415	t	\N
8323	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959584	960003	2019-12-07 01:32:35.282944	t	\N
8324	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	966878	980672	2019-12-07 01:32:40.294211	t	\N
8325	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985058	985474	2019-12-07 01:32:48.304572	t	\N
8326	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1003924	1004673	2019-12-07 01:33:20.34344	t	\N
8327	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013410	1013829	2019-12-07 01:33:35.361762	t	\N
8328	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1032056	1032690	2019-12-07 01:34:01.39356	t	\N
8329	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835730	836151	2019-12-07 01:34:34.438956	t	\N
8330	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	860409	863731	2019-12-07 01:35:10.484245	t	\N
8331	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876818	877237	2019-12-07 01:35:34.51358	t	\N
8332	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	912828	915911	2019-12-07 01:36:33.587507	t	\N
8333	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931028	931425	2019-12-07 01:36:54.613529	t	\N
8334	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953946	954365	2019-12-07 01:37:34.671255	t	\N
8335	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	962088	965189	2019-12-07 01:37:40.678853	t	\N
8336	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	980022	980563	2019-12-07 01:38:06.710839	t	\N
8337	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996248	996667	2019-12-07 01:38:33.744813	t	\N
8338	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011109	1011503	2019-12-07 01:38:52.768415	t	\N
8339	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1036029	826146	2019-12-07 01:39:35.826176	t	\N
8340	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861522	861941	2019-12-07 01:40:33.902669	t	\N
8341	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	884161	887504	2019-12-07 01:41:06.942698	t	\N
8342	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903807	904226	2019-12-07 01:41:35.979177	t	\N
8343	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916776	917173	2019-12-07 01:41:51.999672	t	\N
8344	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939841	940260	2019-12-07 01:42:33.055614	t	\N
8345	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	976919	979938	2019-12-07 01:43:33.131267	t	\N
8346	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1002287	1005570	2019-12-07 01:44:06.172009	t	\N
8347	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1019232	1019888	2019-12-07 01:44:30.202446	t	\N
8348	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022547	1022966	2019-12-07 01:44:33.206739	t	\N
8349	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	845658	848717	2019-12-07 01:45:35.289292	t	\N
8350	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	890478	893497	2019-12-07 01:46:37.364698	t	\N
8351	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897226	897623	2019-12-07 01:46:42.371592	t	\N
8352	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	912523	913064	2019-12-07 01:47:08.403984	t	\N
8353	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	916198	930066	2019-12-07 01:47:11.409646	t	\N
8354	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947328	947747	2019-12-07 01:47:36.445211	t	\N
8355	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	957531	958925	2019-12-07 01:47:53.466489	t	\N
8356	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	977863	978524	2019-12-07 01:48:27.507231	t	\N
8357	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983308	983727	2019-12-07 01:48:35.517768	t	\N
8358	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990958	991352	2019-12-07 01:48:40.526933	t	\N
8359	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020948	1021367	2019-12-07 01:49:34.597983	t	\N
8360	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	826894	827437	2019-12-07 01:50:01.652191	t	\N
8361	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	832890	833576	2019-12-07 01:50:10.664095	t	\N
8362	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846966	847385	2019-12-07 01:50:34.693111	t	\N
8363	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	888709	891766	2019-12-07 01:51:36.774104	t	\N
8364	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896282	896679	2019-12-07 01:51:44.791176	t	\N
8365	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925097	925516	2019-12-07 01:52:35.855527	t	\N
8366	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	944314	944855	2019-12-07 01:53:01.887602	t	\N
8367	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962886	963305	2019-12-07 01:53:34.927574	t	\N
8368	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	57	990812	994035	2019-12-07 01:54:16.980141	t	\N
8369	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	1001617	1002222	2019-12-07 01:54:30.004759	t	\N
8370	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005452	1005871	2019-12-07 01:54:34.010072	t	\N
8371	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1026369	1026954	2019-12-07 01:55:04.047251	t	\N
8372	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831384	831805	2019-12-07 01:55:35.104707	t	\N
8373	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847456	847997	2019-12-07 01:55:56.131048	t	\N
8374	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	874598	877783	2019-12-07 01:56:37.198344	t	\N
8375	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888552	888949	2019-12-07 01:56:56.225299	t	\N
8376	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	915237	918256	2019-12-07 01:57:37.276977	t	\N
8377	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	930477	931510	2019-12-07 01:57:57.301392	t	\N
8378	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	956730	959749	2019-12-07 01:58:37.35243	t	\N
8379	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	964914	965308	2019-12-07 01:58:46.370454	t	\N
8380	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	968198	968913	2019-12-07 01:58:50.376608	t	\N
8381	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	999303	1002322	2019-12-07 01:59:37.432859	t	\N
8382	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037446	1037865	2019-12-07 02:00:36.506634	t	\N
8383	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	858531	861590	2019-12-07 02:01:35.57973	t	\N
8384	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873725	874144	2019-12-07 02:01:50.605155	t	\N
8385	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878046	878587	2019-12-07 02:01:55.612046	t	\N
8386	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882291	882707	2019-12-07 02:02:00.618996	t	\N
8387	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893771	894165	2019-12-07 02:02:19.642827	t	\N
8388	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903316	903735	2019-12-07 02:02:35.66337	t	\N
8389	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	910562	924494	2019-12-07 02:02:40.675047	t	\N
8390	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	927951	928870	2019-12-07 02:02:45.685697	t	\N
8391	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	951126	951875	2019-12-07 02:03:24.734388	t	\N
8392	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963475	963894	2019-12-07 02:03:37.750637	t	\N
8393	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	971762	972396	2019-12-07 02:03:51.769317	t	\N
8394	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1001705	1004724	2019-12-07 02:04:37.831875	t	\N
8395	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1015136	1015677	2019-12-07 02:04:55.854347	t	\N
8396	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	832523	835582	2019-12-07 02:05:38.907263	t	\N
8397	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	866544	867438	2019-12-07 02:06:34.976466	t	\N
8398	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872691	873110	2019-12-07 02:06:36.979899	t	\N
8399	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880970	881367	2019-12-07 02:06:50.003738	t	\N
8400	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	897844	900945	2019-12-07 02:07:18.039645	t	\N
8401	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	914405	914824	2019-12-07 02:07:37.064527	t	\N
8402	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	930229	930770	2019-12-07 02:08:03.097507	t	\N
8403	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944788	945182	2019-12-07 02:08:28.129693	t	\N
8404	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953809	954228	2019-12-07 02:08:37.146054	t	\N
8405	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	987054	990073	2019-12-07 02:09:36.218315	t	\N
8406	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1030566	1033585	2019-12-07 02:10:37.292673	t	\N
8407	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	841082	844406	2019-12-07 02:11:08.348716	t	\N
8408	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863518	863937	2019-12-07 02:11:37.385492	t	\N
8409	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	871669	872066	2019-12-07 02:11:49.405696	t	\N
8410	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902548	902967	2019-12-07 02:12:37.4665	t	\N
8411	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	939338	942357	2019-12-07 02:13:37.539473	t	\N
8412	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	961085	964308	2019-12-07 02:14:09.577995	t	\N
8413	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	965576	966117	2019-12-07 02:14:10.580759	t	\N
8414	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984434	984853	2019-12-07 02:14:37.618546	t	\N
8415	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1020914	1023933	2019-12-07 02:15:36.69193	t	\N
8416	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	846292	849351	2019-12-07 02:16:35.766718	t	\N
8417	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865651	866048	2019-12-07 02:16:57.793767	t	\N
8418	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877416	877957	2019-12-07 02:17:16.817499	t	\N
8419	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	883151	897083	2019-12-07 02:17:24.834024	t	\N
8420	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903830	904249	2019-12-07 02:17:35.848643	t	\N
8421	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	932176	935159	2019-12-07 02:18:18.903279	t	\N
8422	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	939921	940728	2019-12-07 02:18:26.913092	t	\N
8423	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950341	950760	2019-12-07 02:18:37.927545	t	\N
8424	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	982792	985811	2019-12-07 02:19:35.004494	t	\N
8425	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1007916	1008457	2019-12-07 02:20:08.046527	t	\N
8426	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028528	1028947	2019-12-07 02:20:37.08361	t	\N
8427	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	856649	859708	2019-12-07 02:21:37.179296	t	\N
8428	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	877975	880961	2019-12-07 02:22:09.220108	t	\N
8429	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900027	900446	2019-12-07 02:22:37.255841	t	\N
8430	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	906563	907352	2019-12-07 02:22:47.268653	t	\N
8431	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918492	919033	2019-12-07 02:23:05.291689	t	\N
8432	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	941562	944645	2019-12-07 02:23:39.335231	t	\N
8433	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	954927	955561	2019-12-07 02:23:57.358604	t	\N
8434	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	982578	985597	2019-12-07 02:24:39.415942	t	\N
8435	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1023233	1026252	2019-12-07 02:25:41.494211	t	\N
8436	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	832678	833221	2019-12-07 02:26:07.527045	t	\N
8437	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	849911	850944	2019-12-07 02:26:36.563422	t	\N
8438	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	858539	858958	2019-12-07 02:26:43.572081	t	\N
8439	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874199	874596	2019-12-07 02:27:09.609733	t	\N
8440	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897871	898290	2019-12-07 02:27:45.653821	t	\N
8441	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915839	916233	2019-12-07 02:28:16.692634	t	\N
8442	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936036	936455	2019-12-07 02:28:44.727571	t	\N
8443	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	946779	947320	2019-12-07 02:29:01.749079	t	\N
8444	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975286	978343	2019-12-07 02:29:45.808418	t	\N
8445	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	1014864	1017850	2019-12-07 02:30:45.882139	t	\N
8446	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831283	831701	2019-12-07 02:31:22.947252	t	\N
8447	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847968	848387	2019-12-07 02:31:44.975016	t	\N
8448	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	849351	850344	2019-12-07 02:31:45.977671	t	\N
8449	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	861823	862364	2019-12-07 02:32:05.006205	t	\N
8450	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869965	870362	2019-12-07 02:32:17.022104	t	\N
8451	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	876969	891414	2019-12-07 02:32:29.037411	t	\N
8452	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902533	902952	2019-12-07 02:32:42.056275	t	\N
8453	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	925617	926366	2019-12-07 02:33:23.108902	t	\N
8454	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	811259	811680	2019-12-07 02:33:40.138939	t	\N
8455	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	821457	822091	2019-12-07 02:33:56.159017	t	\N
8456	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	849470	852546	2019-12-07 02:34:40.213167	t	\N
8457	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864865	865406	2019-12-07 02:35:00.238291	t	\N
8458	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	891034	894053	2019-12-07 02:35:41.289363	t	\N
8459	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	931398	934417	2019-12-07 02:36:42.370671	t	\N
8460	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	962003	962422	2019-12-07 02:37:31.439354	t	\N
8461	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	965897	968998	2019-12-07 02:37:36.445916	t	\N
8462	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976719	977138	2019-12-07 02:37:44.456373	t	\N
8463	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	988421	988962	2019-12-07 02:38:02.479286	t	\N
8464	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005323	1005717	2019-12-07 02:38:30.520018	t	\N
8465	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018645	1019064	2019-12-07 02:38:46.539858	t	\N
8466	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	827864	830923	2019-12-07 02:39:47.633177	t	\N
8467	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	867700	870719	2019-12-07 02:40:46.710022	t	\N
8468	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	879396	879937	2019-12-07 02:41:00.728655	t	\N
8469	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	908735	911754	2019-12-07 02:41:47.793148	t	\N
8470	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937118	937515	2019-12-07 02:42:32.849188	t	\N
8471	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949958	950377	2019-12-07 02:42:47.872004	t	\N
8472	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	987687	990706	2019-12-07 02:43:49.950228	t	\N
8473	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996097	996638	2019-12-07 02:43:56.95979	t	\N
8474	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	42	1006445	1007079	2019-12-07 02:44:13.987556	t	\N
8475	Jobs::CleanUpAssociatedAccounts	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1012060	1012585	2019-12-07 02:44:20.996724	t	\N
8476	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031054	1031473	2019-12-07 02:44:48.031402	t	\N
8477	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	840944	844003	2019-12-07 02:45:48.108059	t	\N
8478	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	858794	860246	2019-12-07 02:46:13.139975	t	\N
8479	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882744	883163	2019-12-07 02:46:48.188489	t	\N
8480	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887468	888009	2019-12-07 02:46:54.196626	t	\N
8481	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	96	897814	912397	2019-12-07 02:47:10.217464	t	\N
8482	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	921375	921772	2019-12-07 02:47:26.237934	t	\N
8483	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	936551	936970	2019-12-07 02:47:46.264453	t	\N
8484	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	970636	974363	2019-12-07 02:48:40.362068	t	\N
8485	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977822	978241	2019-12-07 02:48:45.369041	t	\N
8486	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980454	980848	2019-12-07 02:48:49.374734	t	\N
8487	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1007051	1007753	2019-12-07 02:49:35.431176	t	\N
8488	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018512	1018931	2019-12-07 02:49:47.446699	t	\N
8489	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024556	1025097	2019-12-07 02:49:55.461984	t	\N
8490	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	830768	833827	2019-12-07 02:50:47.525484	t	\N
8491	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	871422	874441	2019-12-07 02:51:49.600447	t	\N
8492	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890124	890521	2019-12-07 02:52:15.633065	t	\N
8493	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911828	912247	2019-12-07 02:52:49.674593	t	\N
8494	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918987	919528	2019-12-07 02:52:59.692954	t	\N
8495	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	949188	952362	2019-12-07 02:53:45.749438	t	\N
8496	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955727	956146	2019-12-07 02:53:50.75604	t	\N
8497	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	965795	966429	2019-12-07 02:54:06.776401	t	\N
8498	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	972528	973111	2019-12-07 02:54:16.789544	t	\N
8499	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994412	994831	2019-12-07 02:54:48.83661	t	\N
8500	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1033527	1036546	2019-12-07 02:55:50.913848	t	\N
8501	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	816367	816910	2019-12-07 02:55:59.944979	t	\N
8502	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	849477	852534	2019-12-07 02:56:52.011666	t	\N
8503	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867755	868152	2019-12-07 02:57:19.045723	t	\N
8504	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890017	890436	2019-12-07 02:57:52.093726	t	\N
8505	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	893677	894710	2019-12-07 02:57:56.099741	t	\N
8506	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	929518	932537	2019-12-07 02:58:52.175111	t	\N
8507	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	937498	937892	2019-12-07 02:58:59.184104	t	\N
8508	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942568	943109	2019-12-07 02:59:06.193922	t	\N
8509	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	972292	975311	2019-12-07 02:59:53.257013	t	\N
8510	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1013126	1016145	2019-12-07 03:00:55.335398	t	\N
8511	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	83	1037432	826557	2019-12-07 03:01:31.380795	t	\N
8512	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842062	842481	2019-12-07 03:01:53.408467	t	\N
8513	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851166	851707	2019-12-07 03:02:06.425708	t	\N
8514	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	853420	854339	2019-12-07 03:02:08.434696	t	\N
8515	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857804	858201	2019-12-07 03:02:13.441535	t	\N
8516	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861550	861944	2019-12-07 03:02:18.448342	t	\N
8517	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870446	870862	2019-12-07 03:02:32.466197	t	\N
8518	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886425	886844	2019-12-07 03:02:54.493721	t	\N
8519	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	919904	923338	2019-12-07 03:03:48.563681	t	\N
8520	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929457	929876	2019-12-07 03:03:56.575043	t	\N
8521	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	939893	940527	2019-12-07 03:04:14.597401	t	\N
8522	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967932	968351	2019-12-07 03:04:56.649604	t	\N
8523	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	976182	976723	2019-12-07 03:05:10.667645	t	\N
8524	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	986886	987708	2019-12-07 03:05:26.692678	t	\N
8525	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009098	1009517	2019-12-07 03:05:58.731089	t	\N
8526	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	820331	826072	2019-12-07 03:06:56.802357	t	\N
8527	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827934	828353	2019-12-07 03:06:59.806877	t	\N
8528	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832029	832426	2019-12-07 03:07:05.815107	t	\N
8529	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	866546	869565	2019-12-07 03:07:59.885384	t	\N
8530	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	879817	880358	2019-12-07 03:08:17.907501	t	\N
8531	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907600	908019	2019-12-07 03:08:59.960467	t	\N
8532	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919024	919418	2019-12-07 03:09:18.983691	t	\N
8533	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945784	946203	2019-12-07 03:10:00.034207	t	\N
8534	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	982596	985615	2019-12-07 03:10:59.11205	t	\N
8535	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	999226	999767	2019-12-07 03:11:23.143131	t	\N
8536	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022954	1023373	2019-12-07 03:11:57.187501	t	\N
8537	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029807	1030204	2019-12-07 03:12:08.202126	t	\N
8538	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	836422	839481	2019-12-07 03:12:56.282747	t	\N
8539	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	875957	878976	2019-12-07 03:13:56.365543	t	\N
8540	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891329	891998	2019-12-07 03:14:17.390917	t	\N
8541	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	894283	894917	2019-12-07 03:14:20.395263	t	\N
8542	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918876	919295	2019-12-07 03:14:56.440396	t	\N
8543	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	955231	958250	2019-12-07 03:15:55.513069	t	\N
8544	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	74	989392	1005871	2019-12-07 03:16:46.581605	t	\N
8545	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013317	1013736	2019-12-07 03:16:57.595364	t	\N
8546	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015499	1015896	2019-12-07 03:16:59.598601	t	\N
8547	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1027057	1027598	2019-12-07 03:17:19.623364	t	\N
8548	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830487	830908	2019-12-07 03:17:59.67213	t	\N
8549	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	843932	844681	2019-12-07 03:18:22.704786	t	\N
8550	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868926	869345	2019-12-07 03:19:00.755416	t	\N
8551	Jobs::InvalidateInactiveAdmins	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	895433	896214	2019-12-07 03:19:41.806065	t	\N
8552	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897887	898281	2019-12-07 03:19:42.808013	t	\N
8553	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907890	908309	2019-12-07 03:19:58.82838	t	\N
8554	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	917652	918193	2019-12-07 03:20:14.85451	t	\N
8555	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	930951	932657	2019-12-07 03:20:36.882091	t	\N
8556	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947892	948311	2019-12-07 03:20:56.907032	t	\N
8557	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	984070	987127	2019-12-07 03:21:54.979264	t	\N
8558	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990873	991270	2019-12-07 03:21:59.985882	t	\N
8559	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	995183	996245	2019-12-07 03:22:05.998904	t	\N
8560	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	1027582	1030665	2019-12-07 03:22:56.061351	t	\N
8561	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1036718	1037259	2019-12-07 03:23:06.074266	t	\N
8562	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	847708	851126	2019-12-07 03:23:56.136875	t	\N
8563	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853288	853707	2019-12-07 03:23:58.140317	t	\N
8564	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	867724	868358	2019-12-07 03:24:24.179382	t	\N
8565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890194	890613	2019-12-07 03:24:57.220241	t	\N
8566	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	926993	930012	2019-12-07 03:25:57.294943	t	\N
8567	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	935008	935549	2019-12-07 03:26:04.30431	t	\N
8568	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	965109	968095	2019-12-07 03:26:52.364388	t	\N
8569	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971997	972416	2019-12-07 03:26:57.370705	t	\N
8570	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	981469	982502	2019-12-07 03:27:12.390892	t	\N
8571	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1009577	1012660	2019-12-07 03:27:55.442476	t	\N
8572	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	828113	831172	2019-12-07 03:28:55.516008	t	\N
8573	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	837010	837551	2019-12-07 03:29:04.527662	t	\N
8574	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	867050	870033	2019-12-07 03:29:51.597403	t	\N
8575	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873544	873963	2019-12-07 03:29:55.602472	t	\N
8576	Jobs::PurgeOldWebHookEvents	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	902054	902645	2019-12-07 03:30:39.657273	t	\N
8577	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913208	913627	2019-12-07 03:30:57.680125	t	\N
8578	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	940729	954597	2019-12-07 03:31:39.732434	t	\N
8579	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	956671	957590	2019-12-07 03:31:42.742194	t	\N
8580	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963821	964229	2019-12-07 03:31:52.755205	t	\N
8581	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968023	968442	2019-12-07 03:31:57.761662	t	\N
8582	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974616	975157	2019-12-07 03:32:07.77454	t	\N
8583	Jobs::AutoExpireUserApiKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	986716	987264	2019-12-07 03:32:27.799098	t	\N
8584	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009089	1009508	2019-12-07 03:32:58.842418	t	\N
8585	Jobs::CleanUpUnmatchedIPs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1016031	1016683	2019-12-07 03:33:09.856679	t	\N
8586	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1018622	1019071	2019-12-07 03:33:11.860342	t	\N
8587	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	827010	830446	2019-12-07 03:33:55.913131	t	\N
8588	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833151	833570	2019-12-07 03:33:58.917451	t	\N
8589	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	860407	861041	2019-12-07 03:34:42.976066	t	\N
8590	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870245	870664	2019-12-07 03:34:57.994712	t	\N
8591	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	876487	877028	2019-12-07 03:35:07.006708	t	\N
8592	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	908977	911996	2019-12-07 03:35:58.069464	t	\N
8593	Jobs::DisableBootstrapMode	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933015	933409	2019-12-07 03:36:35.116339	t	\N
8594	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943681	944078	2019-12-07 03:36:47.136492	t	\N
8595	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950635	951054	2019-12-07 03:36:58.150451	t	\N
8596	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	989169	992188	2019-12-07 03:38:00.226477	t	\N
8597	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	995096	995637	2019-12-07 03:38:04.23217	t	\N
8598	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	996919	1000020	2019-12-07 03:38:05.233762	t	\N
8599	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1033966	1036985	2019-12-07 03:39:00.314392	t	\N
8600	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	846766	849789	2019-12-07 03:39:48.396712	t	\N
8601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857477	857896	2019-12-07 03:39:59.41098	t	\N
8602	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	894089	897108	2019-12-07 03:40:58.486588	t	\N
8603	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901369	901910	2019-12-07 03:41:04.49418	t	\N
8604	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918549	918946	2019-12-07 03:41:33.535911	t	\N
8605	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936368	936787	2019-12-07 03:41:57.565571	t	\N
8606	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	973416	976435	2019-12-07 03:42:56.638282	t	\N
8607	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1011997	1015016	2019-12-07 03:43:55.710413	t	\N
8608	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021066	1021607	2019-12-07 03:44:04.721684	t	\N
8609	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	824704	825340	2019-12-07 03:44:38.771637	t	\N
8610	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	835454	835873	2019-12-07 03:44:55.793026	t	\N
8611	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	872813	877283	2019-12-07 03:45:55.86819	t	\N
8612	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878770	879189	2019-12-07 03:45:57.871184	t	\N
8613	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900365	900762	2019-12-07 03:46:34.916423	t	\N
8614	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	914680	928490	2019-12-07 03:46:53.944338	t	\N
8615	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931670	932089	2019-12-07 03:46:56.948893	t	\N
8616	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	934748	935289	2019-12-07 03:46:59.95326	t	\N
8617	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	970713	973732	2019-12-07 03:47:57.025151	t	\N
8618	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	993265	994072	2019-12-07 03:48:33.070712	t	\N
8619	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1000675	1001377	2019-12-07 03:48:38.084085	t	\N
8620	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012536	1012955	2019-12-07 03:48:57.107805	t	\N
8621	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028881	1029275	2019-12-07 03:49:25.142186	t	\N
8622	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831758	832179	2019-12-07 03:49:55.180484	t	\N
8623	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836276	836817	2019-12-07 03:50:01.188285	t	\N
8624	Jobs::IgnoredUsersSummary	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	863244	863953	2019-12-07 03:50:42.244363	t	\N
8625	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870330	870749	2019-12-07 03:50:53.259002	t	\N
8626	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904648	907672	2019-12-07 03:51:48.326656	t	\N
8627	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911379	911798	2019-12-07 03:51:53.333521	t	\N
8628	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	941458	942043	2019-12-07 03:52:40.390736	t	\N
8629	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948427	948846	2019-12-07 03:52:51.408461	t	\N
8630	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953708	954249	2019-12-07 03:52:58.418074	t	\N
8631	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	985857	988876	2019-12-07 03:53:49.480026	t	\N
8632	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1024272	1027291	2019-12-07 03:54:48.55517	t	\N
8633	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	1038570	822013	2019-12-07 03:55:06.578058	t	\N
8634	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	848384	851441	2019-12-07 03:55:48.633593	t	\N
8635	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	860572	861155	2019-12-07 03:56:03.651707	t	\N
8636	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864045	864586	2019-12-07 03:56:06.656223	t	\N
8637	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	870947	871980	2019-12-07 03:56:16.668952	t	\N
8638	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	892682	893101	2019-12-07 03:56:48.707989	t	\N
8639	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895696	896093	2019-12-07 03:56:51.716892	t	\N
8640	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	929708	932727	2019-12-07 03:57:46.783468	t	\N
8641	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	969805	972824	2019-12-07 03:58:46.892072	t	\N
8642	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	982221	982762	2019-12-07 03:59:01.909178	t	\N
8643	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1011878	1014897	2019-12-07 03:59:48.966512	t	\N
8644	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017664	1018058	2019-12-07 03:59:51.977154	t	\N
8645	Jobs::Tl3Promotions	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	1024229	1026145	2019-12-07 04:00:00.989318	t	\N
8646	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	838596	841655	2019-12-07 04:00:48.046677	t	\N
8647	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875198	875614	2019-12-07 04:01:42.114614	t	\N
8648	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	879981	880400	2019-12-07 04:01:49.123963	t	\N
8649	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882516	882913	2019-12-07 04:01:51.131663	t	\N
8650	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	885091	885632	2019-12-07 04:01:54.136024	t	\N
8651	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	73	898543	912709	2019-12-07 04:02:15.162942	t	\N
8652	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	913909	914828	2019-12-07 04:02:16.164642	t	\N
8653	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937037	937456	2019-12-07 04:02:50.20531	t	\N
8654	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951138	951532	2019-12-07 04:03:14.2402	t	\N
8655	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	958812	959648	2019-12-07 04:03:26.255503	t	\N
8656	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	961135	961870	2019-12-07 04:03:28.258664	t	\N
8657	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978365	978784	2019-12-07 04:03:50.286608	t	\N
8658	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1016152	1019171	2019-12-07 04:04:52.362111	t	\N
8659	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1024961	1025502	2019-12-07 04:05:00.372672	t	\N
8660	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1027747	1028403	2019-12-07 04:05:03.37762	t	\N
8661	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	843841	846900	2019-12-07 04:05:52.438913	t	\N
8662	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877158	877555	2019-12-07 04:06:41.498327	t	\N
8663	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883820	884239	2019-12-07 04:06:51.511076	t	\N
8664	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	919489	922508	2019-12-07 04:07:49.58679	t	\N
8665	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931043	931584	2019-12-07 04:08:03.603713	t	\N
8666	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	932927	936028	2019-12-07 04:08:04.605538	t	\N
8667	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	964177	967196	2019-12-07 04:08:49.659721	t	\N
8668	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	1002875	1005894	2019-12-07 04:09:47.731791	t	\N
8669	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022898	1023292	2019-12-07 04:10:17.776769	t	\N
8670	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828798	829219	2019-12-07 04:10:48.814646	t	\N
8671	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836994	837535	2019-12-07 04:11:00.830033	t	\N
8672	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	861603	862000	2019-12-07 04:11:37.875876	t	\N
8673	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867382	867801	2019-12-07 04:11:46.887638	t	\N
8674	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	904585	907642	2019-12-07 04:12:47.967246	t	\N
8675	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	945076	948062	2019-12-07 04:13:49.043563	t	\N
8676	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954324	954865	2019-12-07 04:13:58.055604	t	\N
8677	Jobs::VersionCheck	iZj6chkije5xk0gfyvcrzyZ-web-only	127	790	973382	977839	2019-12-07 04:14:31.097584	t	\N
8678	Jobs::ReviewablePriorities	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	987597	988117	2019-12-07 04:14:42.111992	t	\N
8679	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	992484	992903	2019-12-07 04:14:49.130086	t	\N
8680	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1009820	1010454	2019-12-07 04:15:19.167357	t	\N
8681	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030278	1030697	2019-12-07 04:15:49.204635	t	\N
8682	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850861	851260	2019-12-07 04:16:45.292962	t	\N
8683	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854054	854473	2019-12-07 04:16:49.298206	t	\N
8684	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862873	863414	2019-12-07 04:17:02.319508	t	\N
8685	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	894439	897496	2019-12-07 04:17:51.380252	t	\N
8686	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	901456	915324	2019-12-07 04:17:56.387171	t	\N
8687	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	921368	922117	2019-12-07 04:18:06.399794	t	\N
8688	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	951260	954279	2019-12-07 04:18:52.459255	t	\N
8689	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	990432	993451	2019-12-07 04:19:52.547836	t	\N
8690	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	998778	999319	2019-12-07 04:20:00.558829	t	\N
8691	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004552	1004946	2019-12-07 04:20:07.567929	t	\N
8692	Jobs::DirectoryRefreshOlder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	1016917	1018377	2019-12-07 04:20:29.595661	t	\N
8693	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036087	1036506	2019-12-07 04:20:54.628287	t	\N
8694	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853845	854244	2019-12-07 04:21:43.693017	t	\N
8695	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860842	861261	2019-12-07 04:21:54.707679	t	\N
8696	Jobs::CleanUpInactiveUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	866328	866974	2019-12-07 04:22:01.716872	t	\N
8697	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	899061	902118	2019-12-07 04:22:54.783006	t	\N
8698	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908618	909159	2019-12-07 04:23:04.79612	t	\N
8699	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	941892	944911	2019-12-07 04:23:56.866215	t	\N
8700	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	957815	958604	2019-12-07 04:24:20.896183	t	\N
8701	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980942	981361	2019-12-07 04:24:54.93855	t	\N
8702	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	995879	996912	2019-12-07 04:25:19.971171	t	\N
8703	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1007259	1007893	2019-12-07 04:25:36.993423	t	\N
8704	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1020532	1020984	2019-12-07 04:25:53.019012	t	\N
8705	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1028098	1028639	2019-12-07 04:26:05.034391	t	\N
8706	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840554	840953	2019-12-07 04:26:42.101257	t	\N
8707	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848423	848842	2019-12-07 04:26:55.118138	t	\N
8708	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	886222	889279	2019-12-07 04:27:56.194994	t	\N
8709	Jobs::CheckOutOfDateThemes	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	923591	926812	2019-12-07 04:28:52.271769	t	\N
8710	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929089	929508	2019-12-07 04:28:55.276029	t	\N
8711	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935236	935777	2019-12-07 04:29:03.286449	t	\N
8712	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961779	962173	2019-12-07 04:29:44.336671	t	\N
8713	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969417	969836	2019-12-07 04:29:56.352209	t	\N
8714	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985680	986096	2019-12-07 04:30:24.393705	t	\N
8715	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006342	1006761	2019-12-07 04:30:55.430973	t	\N
8716	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1038196	826724	2019-12-07 04:31:46.49271	t	\N
8717	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834359	834778	2019-12-07 04:31:57.507272	t	\N
8718	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	841484	842025	2019-12-07 04:32:09.522252	t	\N
8719	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	843979	844914	2019-12-07 04:32:11.531386	t	\N
8720	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	872665	875722	2019-12-07 04:32:55.585361	t	\N
8721	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	884312	885119	2019-12-07 04:33:08.601457	t	\N
8722	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	892350	906224	2019-12-07 04:33:21.618356	t	\N
8723	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928482	928901	2019-12-07 04:33:55.660073	t	\N
8724	Jobs::AutoQueueHandler	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	944750	945400	2019-12-07 04:34:22.697533	t	\N
8725	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966503	966922	2019-12-07 04:34:54.737122	t	\N
8726	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	971626	972167	2019-12-07 04:35:01.746119	t	\N
8727	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	981231	981865	2019-12-07 04:35:16.765758	t	\N
8728	Jobs::GrantAnniversaryBadges	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	984328	985212	2019-12-07 04:35:19.77047	t	\N
8729	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008753	1009172	2019-12-07 04:35:56.822401	t	\N
8730	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	832186	835212	2019-12-07 04:36:51.889978	t	\N
8731	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839128	839547	2019-12-07 04:36:56.896749	t	\N
8732	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	857730	860831	2019-12-07 04:37:28.936156	t	\N
8733	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878454	878873	2019-12-07 04:37:54.969685	t	\N
8734	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	884665	885206	2019-12-07 04:38:02.985152	t	\N
8735	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	916606	919625	2019-12-07 04:38:54.050261	t	\N
8736	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	933748	934142	2019-12-07 04:39:19.083456	t	\N
8737	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957653	958072	2019-12-07 04:39:54.127872	t	\N
8738	Jobs::CleanUpEmailLogs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	965640	966259	2019-12-07 04:40:07.14441	t	\N
8739	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	995980	998999	2019-12-07 04:40:54.208409	t	\N
8740	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1004216	1004757	2019-12-07 04:41:02.218357	t	\N
8741	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032769	1033166	2019-12-07 04:41:46.273755	t	\N
8742	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1038098	1038528	2019-12-07 04:41:53.283409	t	\N
8743	Jobs::CleanUpUnusedApiKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	840779	841608	2019-12-07 04:42:14.310086	t	\N
8744	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	867158	870215	2019-12-07 04:42:54.360485	t	\N
8745	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	905817	908836	2019-12-07 04:43:53.434377	t	\N
8746	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	915628	916169	2019-12-07 04:44:03.44703	t	\N
8747	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	942947	944399	2019-12-07 04:44:45.500391	t	\N
8748	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949556	950008	2019-12-07 04:44:53.512459	t	\N
8749	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	963609	964243	2019-12-07 04:45:16.54221	t	\N
8750	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	988402	991421	2019-12-07 04:45:53.58661	t	\N
8751	Jobs::CleanUpExports	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1006960	1007617	2019-12-07 04:46:21.621653	t	\N
8752	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026735	1027132	2019-12-07 04:46:49.656099	t	\N
8753	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030623	1031042	2019-12-07 04:46:54.663027	t	\N
8754	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032538	1033079	2019-12-07 04:46:55.669179	t	\N
8755	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	79	857097	873616	2019-12-07 04:47:49.758211	t	\N
8756	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877173	877592	2019-12-07 04:47:54.765985	t	\N
8757	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	879939	880688	2019-12-07 04:47:57.770226	t	\N
8758	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	886126	886812	2019-12-07 04:48:06.781774	t	\N
8759	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	914834	917853	2019-12-07 04:48:52.84272	t	\N
8760	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950458	950852	2019-12-07 04:49:43.904581	t	\N
8761	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	955845	956297	2019-12-07 04:49:52.916966	t	\N
8762	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	958314	958855	2019-12-07 04:49:53.918773	t	\N
8763	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	994421	997504	2019-12-07 04:50:52.993127	t	\N
8764	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021315	1021712	2019-12-07 04:51:36.045082	t	\N
8765	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036013	1036432	2019-12-07 04:51:54.068025	t	\N
8766	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859497	860040	2019-12-07 04:52:46.152968	t	\N
8767	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865616	866035	2019-12-07 04:52:54.163612	t	\N
8768	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	903895	906952	2019-12-07 04:53:56.239143	t	\N
8769	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	939000	939585	2019-12-07 04:54:48.308292	t	\N
8770	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944052	944471	2019-12-07 04:54:54.316314	t	\N
8771	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	960411	961045	2019-12-07 04:55:23.352032	t	\N
8772	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975169	975710	2019-12-07 04:55:42.375289	t	\N
8773	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983542	983961	2019-12-07 04:55:54.390665	t	\N
8774	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1007324	1008357	2019-12-07 04:56:37.447552	t	\N
8775	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017118	1017515	2019-12-07 04:56:46.458924	t	\N
8776	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023379	1023798	2019-12-07 04:56:55.469958	t	\N
8777	Jobs::CleanUpUnmatchedEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	1037951	830614	2019-12-07 04:57:20.500567	t	\N
8778	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854529	854948	2019-12-07 04:57:56.546713	t	\N
8779	Jobs::PurgeExpiredIgnoredUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	876276	876810	2019-12-07 04:58:35.60342	t	\N
8780	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	882458	882999	2019-12-07 04:58:38.607464	t	\N
8781	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893242	893661	2019-12-07 04:58:54.628513	t	\N
8782	Jobs::DestroyOldHiddenPosts	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	894901	895807	2019-12-07 04:58:55.630353	t	\N
8783	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	900032	900615	2019-12-07 04:59:01.63835	t	\N
8784	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908428	908844	2019-12-07 04:59:14.666939	t	\N
8785	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	932863	935884	2019-12-07 04:59:52.713408	t	\N
8786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	937185	937604	2019-12-07 04:59:53.71863	t	\N
8787	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	974757	977776	2019-12-07 05:00:53.794767	t	\N
8788	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997241	997635	2019-12-07 05:01:28.83666	t	\N
8789	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009058	1009599	2019-12-07 05:01:41.858123	t	\N
8790	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011073	1011470	2019-12-07 05:01:42.85971	t	\N
8791	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018308	1018727	2019-12-07 05:01:53.874625	t	\N
8792	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	842324	843133	2019-12-07 05:02:42.934181	t	\N
8793	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	846749	860538	2019-12-07 05:02:48.941857	t	\N
8794	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	862714	863633	2019-12-07 05:02:50.950998	t	\N
8795	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	865332	865751	2019-12-07 05:02:52.954476	t	\N
8796	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	879027	879877	2019-12-07 05:03:14.982115	t	\N
8797	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	902924	905981	2019-12-07 05:03:52.027891	t	\N
8798	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	936816	937357	2019-12-07 05:04:40.090747	t	\N
8799	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	811258	811679	2019-12-07 05:04:50.112099	t	\N
8800	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	823666	824300	2019-12-07 05:05:10.138795	t	\N
8801	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	850489	853546	2019-12-07 05:05:51.191543	t	\N
8802	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	890607	893626	2019-12-07 05:06:51.265731	t	\N
8803	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897799	898196	2019-12-07 05:06:56.273955	t	\N
8804	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918568	919285	2019-12-07 05:07:33.323737	t	\N
8805	Jobs::CategoryStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	929238	941490	2019-12-07 05:07:44.337401	t	\N
8806	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946210	946629	2019-12-07 05:07:51.346437	t	\N
8807	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	965220	968305	2019-12-07 05:08:24.38885	t	\N
8808	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987001	987420	2019-12-07 05:08:51.422545	t	\N
8809	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019051	1019445	2019-12-07 05:09:41.487725	t	\N
8810	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025370	1025789	2019-12-07 05:09:51.500827	t	\N
8811	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	820625	821168	2019-12-07 05:10:32.55203	t	\N
8812	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836282	836701	2019-12-07 05:10:51.576352	t	\N
8813	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	873060	876084	2019-12-07 05:11:51.649395	t	\N
8814	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877875	878294	2019-12-07 05:11:53.659844	t	\N
8815	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	914521	917540	2019-12-07 05:12:52.731488	t	\N
8816	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941063	941604	2019-12-07 05:13:34.783838	t	\N
8817	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956455	956874	2019-12-07 05:13:54.80881	t	\N
8818	Jobs::EnsureDbConsistency	iZj6chkije5xk0gfyvcrzyZ-web-only	127	210	993214	1018693	2019-12-07 05:14:53.880392	t	\N
8819	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019877	1020329	2019-12-07 05:14:54.889375	t	\N
8820	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1037356	1037990	2019-12-07 05:15:23.925394	t	\N
8821	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832620	833041	2019-12-07 05:15:55.964961	t	\N
8822	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	849955	850496	2019-12-07 05:16:26.00298	t	\N
8823	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	854412	856118	2019-12-07 05:16:31.009697	t	\N
8824	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871619	872016	2019-12-07 05:16:53.041751	t	\N
8825	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874757	875176	2019-12-07 05:16:56.045747	t	\N
8826	Jobs::GrantNewUserOfTheMonthBadges	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	881487	882325	2019-12-07 05:17:06.058817	t	\N
8827	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	899153	912931	2019-12-07 05:17:36.097362	t	\N
8828	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	926257	927006	2019-12-07 05:17:54.119937	t	\N
8829	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929972	930391	2019-12-07 05:17:57.130114	t	\N
8830	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	966774	969831	2019-12-07 05:18:57.238259	t	\N
8831	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	986465	987006	2019-12-07 05:19:27.27452	t	\N
8832	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005827	1006221	2019-12-07 05:19:54.309145	t	\N
8833	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009923	1010342	2019-12-07 05:19:59.315824	t	\N
8834	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	819903	822962	2019-12-07 05:20:57.395114	t	\N
8835	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	856795	859781	2019-12-07 05:21:52.463543	t	\N
8836	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863408	863827	2019-12-07 05:21:56.469557	t	\N
8837	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878078	878619	2019-12-07 05:22:22.501047	t	\N
8838	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901605	902024	2019-12-07 05:22:56.545046	t	\N
8839	Jobs::CleanUpDeprecatedUrlSiteSettings	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	914481	916145	2019-12-07 05:23:19.581765	t	\N
8840	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	926080	926904	2019-12-07 05:23:36.602951	t	\N
8841	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	942166	942585	2019-12-07 05:23:56.628734	t	\N
8842	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	974511	975573	2019-12-07 05:24:48.69304	t	\N
8843	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982063	982482	2019-12-07 05:24:58.706496	t	\N
8844	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	988574	989208	2019-12-07 05:25:08.725067	t	\N
8845	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998348	998889	2019-12-07 05:25:24.745428	t	\N
8846	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021127	1021546	2019-12-07 05:25:56.785433	t	\N
8847	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	813221	814256	2019-12-07 05:26:27.843004	t	\N
8848	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835291	835710	2019-12-07 05:26:58.881418	t	\N
8849	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838636	839033	2019-12-07 05:27:02.891654	t	\N
8850	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	873249	876306	2019-12-07 05:27:58.959487	t	\N
8851	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	892075	892616	2019-12-07 05:28:25.993536	t	\N
8852	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913130	913549	2019-12-07 05:28:56.031943	t	\N
8853	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917591	918007	2019-12-07 05:29:01.038812	t	\N
8854	Jobs::CleanUpCrawlerStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	928126	928696	2019-12-07 05:29:19.065477	t	\N
8855	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	952013	955032	2019-12-07 05:29:55.109674	t	\N
8856	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961145	961539	2019-12-07 05:30:04.12104	t	\N
8857	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	994276	997295	2019-12-07 05:30:56.184252	t	\N
8858	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012045	1012586	2019-12-07 05:31:22.216271	t	\N
8859	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1016500	1017493	2019-12-07 05:31:27.228566	t	\N
8860	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035852	1036249	2019-12-07 05:31:54.261605	t	\N
8861	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	814818	815239	2019-12-07 05:31:58.267557	t	\N
8862	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	823512	824261	2019-12-07 05:32:12.285078	t	\N
8863	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	78	849878	866395	2019-12-07 05:32:51.331774	t	\N
8864	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871323	871742	2019-12-07 05:32:58.347301	t	\N
8865	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	908358	911377	2019-12-07 05:33:57.418095	t	\N
8866	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	920715	921256	2019-12-07 05:34:14.440513	t	\N
8867	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	949107	952126	2019-12-07 05:34:57.494223	t	\N
8868	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	968632	969266	2019-12-07 05:35:26.529508	t	\N
8869	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991182	991601	2019-12-07 05:35:59.575436	t	\N
8870	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1028373	1031392	2019-12-07 05:37:00.651392	t	\N
8871	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033574	1033971	2019-12-07 05:37:02.654575	t	\N
8872	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	817491	818034	2019-12-07 05:37:15.671192	t	\N
8873	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	846385	849442	2019-12-07 05:37:59.725243	t	\N
8874	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	870891	873992	2019-12-07 05:38:37.778512	t	\N
8875	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889865	890284	2019-12-07 05:38:59.806996	t	\N
8876	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	922939	925922	2019-12-07 05:39:51.870025	t	\N
8877	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932208	932627	2019-12-07 05:40:01.883392	t	\N
8878	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943256	943797	2019-12-07 05:40:20.91197	t	\N
8879	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	969749	972768	2019-12-07 05:41:00.968301	t	\N
8880	Jobs::CleanUpUnsubscribeKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	988473	988997	2019-12-07 05:41:29.004015	t	\N
8881	Jobs::EnsureS3UploadsExistence	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994779	995173	2019-12-07 05:41:38.016258	t	\N
8882	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010789	1011186	2019-12-07 05:41:59.04208	t	\N
8883	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013633	1014052	2019-12-07 05:42:02.046473	t	\N
8884	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1029360	1030812	2019-12-07 05:42:30.086518	t	\N
8885	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830090	830511	2019-12-07 05:43:02.127676	t	\N
8886	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	842202	842743	2019-12-07 05:43:22.152917	t	\N
8887	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869550	869969	2019-12-07 05:44:04.204125	t	\N
8888	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	906859	909916	2019-12-07 05:45:05.278868	t	\N
8889	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	921314	921948	2019-12-07 05:45:24.309802	t	\N
8890	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947206	947625	2019-12-07 05:46:03.359765	t	\N
8891	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961719	962260	2019-12-07 05:46:28.390962	t	\N
8892	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984860	985279	2019-12-07 05:47:01.432477	t	\N
8893	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987395	987792	2019-12-07 05:47:03.435661	t	\N
8894	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	999869	1000676	2019-12-07 05:47:25.467973	t	\N
8895	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	72	1006344	1020251	2019-12-07 05:47:34.481159	t	\N
8896	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	818365	818786	2019-12-07 05:48:02.515101	t	\N
8897	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	853845	856902	2019-12-07 05:49:00.588162	t	\N
8898	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871349	871743	2019-12-07 05:49:26.619722	t	\N
8899	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874402	874943	2019-12-07 05:49:29.629137	t	\N
8900	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896056	896475	2019-12-07 05:50:00.666749	t	\N
8901	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	929753	933065	2019-12-07 05:50:55.733513	t	\N
8902	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937162	937581	2019-12-07 05:51:00.740332	t	\N
8903	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	973677	976696	2019-12-07 05:51:59.812729	t	\N
8904	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984417	984814	2019-12-07 05:52:12.836215	t	\N
8905	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	994883	995424	2019-12-07 05:52:31.860195	t	\N
8906	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1004379	1004964	2019-12-07 05:52:38.870167	t	\N
8907	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017017	1017436	2019-12-07 05:52:59.896428	t	\N
8908	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	831682	834741	2019-12-07 05:53:58.968697	t	\N
8909	Jobs::PurgeDeletedUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846173	846583	2019-12-07 05:54:19.00037	t	\N
8910	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	870850	873869	2019-12-07 05:54:57.049148	t	\N
8911	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	878478	879511	2019-12-07 05:55:03.057592	t	\N
8912	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	886106	886762	2019-12-07 05:55:14.072494	t	\N
8913	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	896313	896854	2019-12-07 05:55:31.093859	t	\N
8914	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916632	917051	2019-12-07 05:55:58.133153	t	\N
8915	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	953821	956840	2019-12-07 05:56:58.206056	t	\N
8916	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961714	962111	2019-12-07 05:57:07.217357	t	\N
8917	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	993352	996371	2019-12-07 05:57:57.277735	t	\N
8918	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019215	1019756	2019-12-07 05:58:38.328847	t	\N
8919	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034567	1034986	2019-12-07 05:58:57.358647	t	\N
8920	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	820169	820587	2019-12-07 05:59:07.371715	t	\N
8921	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	833459	833853	2019-12-07 05:59:29.399622	t	\N
8922	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851802	852221	2019-12-07 05:59:55.430706	t	\N
8923	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875475	875869	2019-12-07 06:00:37.483033	t	\N
8924	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	889707	890290	2019-12-07 06:00:55.510284	t	\N
8925	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891946	892365	2019-12-07 06:00:56.512391	t	\N
8926	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	915747	916288	2019-12-07 06:01:38.56471	t	\N
8927	Jobs::PurgeUnactivated	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	924616	925553	2019-12-07 06:01:46.574313	t	\N
8928	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931329	931726	2019-12-07 06:01:55.585961	t	\N
8929	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933594	934013	2019-12-07 06:01:57.593608	t	\N
8930	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	942562	956372	2019-12-07 06:02:11.610667	t	\N
8931	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	961541	962460	2019-12-07 06:02:19.621573	t	\N
8932	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	986979	990036	2019-12-07 06:02:57.669422	t	\N
8933	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	997020	997827	2019-12-07 06:03:08.682744	t	\N
8934	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1028046	1031129	2019-12-07 06:03:57.7479	t	\N
8935	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	838022	838565	2019-12-07 06:04:39.821766	t	\N
8936	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850734	851153	2019-12-07 06:04:59.847147	t	\N
8937	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	855140	856886	2019-12-07 06:05:05.855525	t	\N
8938	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	879875	880509	2019-12-07 06:05:40.901637	t	\N
8939	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891538	891957	2019-12-07 06:05:59.929917	t	\N
8940	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920942	921339	2019-12-07 06:06:46.988842	t	\N
8941	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	928043	928462	2019-12-07 06:06:57.00208	t	\N
8942	Jobs::CleanUpUnusedStagedUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	939222	940120	2019-12-07 06:07:16.027347	t	\N
8943	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	951452	951993	2019-12-07 06:07:35.052198	t	\N
8944	Jobs::BadgeGrant	iZj6chkije5xk0gfyvcrzyZ-web-only	127	390	961289	1005622	2019-12-07 06:07:44.064555	t	\N
8945	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013462	1013881	2019-12-07 06:07:58.082513	t	\N
8946	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	832264	835323	2019-12-07 06:09:00.158916	t	\N
8947	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863633	864027	2019-12-07 06:09:46.216619	t	\N
8948	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	865523	868624	2019-12-07 06:09:47.21844	t	\N
8949	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	876672	877155	2019-12-07 06:10:00.241395	t	\N
8950	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903407	903948	2019-12-07 06:10:41.292643	t	\N
8951	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915041	915460	2019-12-07 06:10:59.31468	t	\N
8952	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	949436	952422	2019-12-07 06:11:56.385176	t	\N
8953	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	955976	956395	2019-12-07 06:12:00.391259	t	\N
8954	Jobs::CleanUpPostReplyKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	963708	964233	2019-12-07 06:12:13.412468	t	\N
8955	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	994386	997405	2019-12-07 06:13:00.470538	t	\N
8956	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022525	1023066	2019-12-07 06:13:39.518754	t	\N
8957	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036021	1036440	2019-12-07 06:14:02.547367	t	\N
8958	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	853987	857046	2019-12-07 06:15:02.621017	t	\N
8959	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	870299	870933	2019-12-07 06:15:26.650711	t	\N
8960	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894782	895201	2019-12-07 06:16:03.696855	t	\N
8961	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	922085	922626	2019-12-07 06:16:44.747633	t	\N
8962	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932959	933356	2019-12-07 06:17:01.76888	t	\N
8963	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934688	935107	2019-12-07 06:17:02.771173	t	\N
8964	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	965814	979682	2019-12-07 06:17:52.83107	t	\N
8965	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	982006	982755	2019-12-07 06:17:54.834452	t	\N
8966	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987864	988283	2019-12-07 06:18:02.844158	t	\N
8967	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1023910	1026929	2019-12-07 06:19:01.914644	t	\N
8968	Jobs::TopRefreshOlder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	30	1033028	1034760	2019-12-07 06:19:11.927164	t	\N
8969	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831194	831737	2019-12-07 06:19:37.988392	t	\N
8970	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836540	836934	2019-12-07 06:19:38.990697	t	\N
8971	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848487	848906	2019-12-07 06:19:59.015682	t	\N
8972	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	885699	888756	2019-12-07 06:20:59.090963	t	\N
8973	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919581	919978	2019-12-07 06:21:49.154096	t	\N
8974	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926412	926831	2019-12-07 06:21:59.1722	t	\N
8975	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945787	946328	2019-12-07 06:22:33.213911	t	\N
8976	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	949799	950588	2019-12-07 06:22:37.219867	t	\N
8977	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	966648	967067	2019-12-07 06:22:58.247259	t	\N
8978	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1005021	1008040	2019-12-07 06:24:00.322215	t	\N
8979	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	827042	830101	2019-12-07 06:25:01.40542	t	\N
8980	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	835833	836866	2019-12-07 06:25:10.417146	t	\N
8981	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	841938	842572	2019-12-07 06:25:19.428605	t	\N
8982	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847061	847602	2019-12-07 06:25:25.462464	t	\N
8983	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	871415	871834	2019-12-07 06:26:00.506362	t	\N
8984	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	907313	910299	2019-12-07 06:26:58.581763	t	\N
8985	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	912331	912750	2019-12-07 06:27:00.58471	t	\N
8986	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	949805	952824	2019-12-07 06:28:01.661981	t	\N
8987	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966554	967095	2019-12-07 06:28:24.689923	t	\N
8988	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991961	992380	2019-12-07 06:29:01.73431	t	\N
8989	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008476	1008892	2019-12-07 06:29:30.774976	t	\N
8990	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027247	1027641	2019-12-07 06:29:56.807251	t	\N
8991	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031421	1031840	2019-12-07 06:30:02.815388	t	\N
8992	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	845713	846708	2019-12-07 06:30:52.875584	t	\N
8993	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853378	853797	2019-12-07 06:31:02.88869	t	\N
8994	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	865604	866145	2019-12-07 06:31:23.919495	t	\N
8995	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882234	882631	2019-12-07 06:31:44.945555	t	\N
8996	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892858	893277	2019-12-07 06:32:02.968075	t	\N
8997	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	901465	915259	2019-12-07 06:32:15.984636	t	\N
8998	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	920787	921536	2019-12-07 06:32:24.997361	t	\N
8999	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	944965	945384	2019-12-07 06:33:00.047757	t	\N
9000	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	981981	985038	2019-12-07 06:34:01.122934	t	\N
9001	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	998874	999479	2019-12-07 06:34:25.153021	t	\N
9002	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1024706	1025125	2019-12-07 06:35:03.200301	t	\N
9003	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	836767	837403	2019-12-07 06:35:48.254518	t	\N
9004	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846643	847062	2019-12-07 06:36:03.278483	t	\N
9005	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865267	865664	2019-12-07 06:36:37.322306	t	\N
9006	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883784	884203	2019-12-07 06:37:02.352077	t	\N
9007	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900756	901297	2019-12-07 06:37:32.388574	t	\N
9008	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922965	923384	2019-12-07 06:38:04.428114	t	\N
9009	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	959590	962647	2019-12-07 06:39:04.506267	t	\N
9010	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	998827	1001846	2019-12-07 06:40:04.58004	t	\N
9011	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004370	1004764	2019-12-07 06:40:06.583136	t	\N
9012	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1012069	1015170	2019-12-07 06:40:19.599928	t	\N
9013	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019403	1019944	2019-12-07 06:40:25.608804	t	\N
9014	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831315	831771	2019-12-07 06:41:06.684719	t	\N
9015	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849272	849669	2019-12-07 06:41:37.722946	t	\N
9016	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868463	868882	2019-12-07 06:42:04.756154	t	\N
9017	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	893330	894782	2019-12-07 06:42:42.807533	t	\N
9018	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908981	909400	2019-12-07 06:43:06.837731	t	\N
9019	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923415	923956	2019-12-07 06:43:31.87286	t	\N
9020	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948060	948479	2019-12-07 06:44:08.919675	t	\N
9021	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	985135	988192	2019-12-07 06:45:08.995641	t	\N
9022	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1024146	1027165	2019-12-07 06:46:07.067874	t	\N
9023	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1030552	1031186	2019-12-07 06:46:12.074781	t	\N
9024	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825447	825990	2019-12-07 06:46:28.100248	t	\N
9025	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842907	843304	2019-12-07 06:46:51.128897	t	\N
9026	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851458	851877	2019-12-07 06:47:05.146967	t	\N
9027	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	874699	888567	2019-12-07 06:47:39.190606	t	\N
9028	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	891729	892478	2019-12-07 06:47:43.195849	t	\N
9029	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906387	906806	2019-12-07 06:48:07.231593	t	\N
9030	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	942966	946023	2019-12-07 06:49:06.302391	t	\N
9031	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961408	961949	2019-12-07 06:49:34.336567	t	\N
9032	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	981236	981630	2019-12-07 06:50:01.371064	t	\N
9033	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	984055	984474	2019-12-07 06:50:05.37629	t	\N
9034	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	991906	992491	2019-12-07 06:50:16.396142	t	\N
9035	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1024260	1027279	2019-12-07 06:51:07.459297	t	\N
9036	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830851	831250	2019-12-07 06:51:37.516917	t	\N
9037	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	851913	852332	2019-12-07 06:52:07.554432	t	\N
9038	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	866676	867217	2019-12-07 06:52:33.591767	t	\N
9039	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891443	891862	2019-12-07 06:53:09.642051	t	\N
9040	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	905437	906160	2019-12-07 06:53:32.670799	t	\N
9041	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	931705	932124	2019-12-07 06:54:11.717191	t	\N
9042	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	969590	972647	2019-12-07 06:55:11.791528	t	\N
9043	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	984691	985232	2019-12-07 06:55:33.819114	t	\N
9044	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010541	1010960	2019-12-07 06:56:11.870909	t	\N
9045	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	1015787	1016820	2019-12-07 06:56:20.882775	t	\N
9046	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1022964	1023598	2019-12-07 06:56:30.895785	t	\N
9047	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035097	1035494	2019-12-07 06:56:43.912763	t	\N
9048	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838450	838871	2019-12-07 06:57:11.946989	t	\N
9049	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	873577	876634	2019-12-07 06:58:10.023603	t	\N
9050	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	892524	893065	2019-12-07 06:58:37.056926	t	\N
9051	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	912170	912650	2019-12-07 06:59:04.09075	t	\N
9052	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916613	917032	2019-12-07 06:59:10.098754	t	\N
9053	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	952677	955696	2019-12-07 07:00:08.172668	t	\N
9054	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	962145	963138	2019-12-07 07:00:18.192662	t	\N
9055	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966300	966694	2019-12-07 07:00:22.198358	t	\N
9056	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	975510	976093	2019-12-07 07:00:37.217274	t	\N
9057	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983079	983473	2019-12-07 07:00:42.224438	t	\N
9058	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996693	997112	2019-12-07 07:01:06.254508	t	\N
9059	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1015233	1015774	2019-12-07 07:01:38.29814	t	\N
9060	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020503	1020900	2019-12-07 07:01:39.300357	t	\N
9061	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035860	1036279	2019-12-07 07:02:04.331148	t	\N
9062	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	75	858433	874952	2019-12-07 07:03:00.420768	t	\N
9063	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878712	879131	2019-12-07 07:03:06.429008	t	\N
9064	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	889294	890043	2019-12-07 07:03:23.454808	t	\N
9065	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	918628	921647	2019-12-07 07:04:08.509237	t	\N
9066	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938541	939082	2019-12-07 07:04:38.546923	t	\N
9067	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	960595	961014	2019-12-07 07:05:08.583929	t	\N
9068	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	983604	984498	2019-12-07 07:05:43.627287	t	\N
9069	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999055	999474	2019-12-07 07:06:08.661963	t	\N
9070	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014305	1014724	2019-12-07 07:06:35.695537	t	\N
9071	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1024528	1025162	2019-12-07 07:06:45.707798	t	\N
9072	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827591	828012	2019-12-07 07:07:08.755042	t	\N
9073	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	844785	845326	2019-12-07 07:07:38.792747	t	\N
9074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866163	866582	2019-12-07 07:08:08.835849	t	\N
9075	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	903408	906465	2019-12-07 07:09:08.908772	t	\N
9076	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	935331	935725	2019-12-07 07:09:54.966106	t	\N
9077	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	944206	947307	2019-12-07 07:10:08.985095	t	\N
9078	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	948527	948946	2019-12-07 07:10:09.987342	t	\N
9079	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	965922	966463	2019-12-07 07:10:39.029644	t	\N
9080	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987829	988248	2019-12-07 07:11:10.067817	t	\N
9081	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1008181	1008642	2019-12-07 07:11:40.105746	t	\N
9082	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1026109	1026528	2019-12-07 07:12:11.145037	t	\N
9083	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	1031662	1033368	2019-12-07 07:12:18.154842	t	\N
9084	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	855062	858121	2019-12-07 07:13:11.226951	t	\N
9085	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	881414	881955	2019-12-07 07:13:47.271515	t	\N
9086	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	897714	898133	2019-12-07 07:14:13.305328	t	\N
9087	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	934039	937058	2019-12-07 07:15:12.37968	t	\N
9088	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	973708	976727	2019-12-07 07:16:12.454566	t	\N
9089	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999610	1000151	2019-12-07 07:16:47.506751	t	\N
9090	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003850	1004247	2019-12-07 07:16:52.513362	t	\N
9091	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1015524	1016158	2019-12-07 07:17:11.537145	t	\N
9092	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018881	1019300	2019-12-07 07:17:14.54125	t	\N
9093	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	830728	844598	2019-12-07 07:17:47.582	t	\N
9094	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	861370	861789	2019-12-07 07:18:16.6241	t	\N
9095	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	884391	885140	2019-12-07 07:18:51.666576	t	\N
9096	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900610	901029	2019-12-07 07:19:17.697743	t	\N
9097	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906303	906697	2019-12-07 07:19:26.709529	t	\N
9098	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	918585	919374	2019-12-07 07:19:40.727412	t	\N
9099	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923890	924431	2019-12-07 07:19:47.743807	t	\N
9100	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941834	942253	2019-12-07 07:20:17.781927	t	\N
9101	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	977941	980998	2019-12-07 07:21:15.8529	t	\N
9102	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006899	1007296	2019-12-07 07:21:54.901019	t	\N
9103	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020183	1020602	2019-12-07 07:22:17.929164	t	\N
9104	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	830144	830687	2019-12-07 07:22:43.966757	t	\N
9105	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849628	850047	2019-12-07 07:23:18.010103	t	\N
9106	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	886596	889653	2019-12-07 07:24:18.085671	t	\N
9107	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	928076	931095	2019-12-07 07:25:20.163103	t	\N
9108	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947262	947803	2019-12-07 07:25:43.191617	t	\N
9109	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969186	969605	2019-12-07 07:26:20.243103	t	\N
9110	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	988148	989181	2019-12-07 07:26:48.277589	t	\N
9111	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997753	998150	2019-12-07 07:27:01.294246	t	\N
9112	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1003533	1004595	2019-12-07 07:27:09.304728	t	\N
9113	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1011362	1011996	2019-12-07 07:27:20.319197	t	\N
9114	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013088	1013507	2019-12-07 07:27:21.326479	t	\N
9115	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	841854	844913	2019-12-07 07:28:21.400304	t	\N
9116	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855739	856280	2019-12-07 07:28:39.423445	t	\N
9117	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	882714	883133	2019-12-07 07:29:20.474416	t	\N
9118	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	890491	891484	2019-12-07 07:29:33.490254	t	\N
9119	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	899774	900168	2019-12-07 07:29:39.503311	t	\N
9120	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902593	903009	2019-12-07 07:29:43.508661	t	\N
9121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923350	923769	2019-12-07 07:30:18.55295	t	\N
9122	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	959556	962575	2019-12-07 07:31:16.624633	t	\N
9123	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	971588	972129	2019-12-07 07:31:31.643106	t	\N
9124	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988701	989098	2019-12-07 07:31:54.677701	t	\N
9125	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1002380	1003075	2019-12-07 07:32:17.70601	t	\N
9126	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	1006515	1020383	2019-12-07 07:32:23.71351	t	\N
9127	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	846392	849451	2019-12-07 07:33:16.7782	t	\N
9128	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	879865	883261	2019-12-07 07:34:04.836274	t	\N
9129	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890729	891148	2019-12-07 07:34:16.858566	t	\N
9130	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	898031	898572	2019-12-07 07:34:28.873625	t	\N
9131	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	928862	931881	2019-12-07 07:35:16.933159	t	\N
9132	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	839177	842567	2019-12-07 07:36:16.011239	t	\N
9133	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	870797	873783	2019-12-07 07:37:01.065988	t	\N
9134	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	43	878688	879322	2019-12-07 07:37:09.083918	t	\N
9135	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	884202	884621	2019-12-07 07:37:16.093409	t	\N
9136	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891292	891833	2019-12-07 07:37:28.108448	t	\N
9137	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	922309	925328	2019-12-07 07:38:15.16729	t	\N
9138	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	962454	965473	2019-12-07 07:39:16.240753	t	\N
9139	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	971954	972348	2019-12-07 07:39:27.255466	t	\N
9140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1001517	1004536	2019-12-07 07:40:14.313034	t	\N
9141	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1013428	1013969	2019-12-07 07:40:29.332153	t	\N
9142	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1031427	1034528	2019-12-07 07:40:53.362094	t	\N
9143	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	817919	818340	2019-12-07 07:41:12.405564	t	\N
9144	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847927	848324	2019-12-07 07:41:59.469971	t	\N
9145	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856410	856829	2019-12-07 07:42:12.486486	t	\N
9146	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	877455	878907	2019-12-07 07:42:42.524246	t	\N
9147	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896319	896738	2019-12-07 07:43:12.561971	t	\N
9148	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905405	905946	2019-12-07 07:43:27.581298	t	\N
9149	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	934835	937892	2019-12-07 07:44:12.641808	t	\N
9150	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	974529	977548	2019-12-07 07:45:11.713233	t	\N
9151	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1014103	1017122	2019-12-07 07:46:11.786359	t	\N
9152	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025952	1026493	2019-12-07 07:46:26.806296	t	\N
9153	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	822556	825582	2019-12-07 07:47:00.86735	t	\N
9154	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832067	832486	2019-12-07 07:47:11.887208	t	\N
9155	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	839648	853516	2019-12-07 07:47:23.902487	t	\N
9156	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	861010	861666	2019-12-07 07:47:35.917649	t	\N
9157	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885864	886283	2019-12-07 07:48:12.963003	t	\N
9158	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	895805	896390	2019-12-07 07:48:29.984182	t	\N
9159	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	898670	899419	2019-12-07 07:48:31.992048	t	\N
9160	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	924026	924445	2019-12-07 07:49:10.040084	t	\N
9161	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932302	932843	2019-12-07 07:49:23.057288	t	\N
9162	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947449	947843	2019-12-07 07:49:42.081066	t	\N
9163	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962951	963370	2019-12-07 07:50:09.114873	t	\N
9164	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	999866	1002885	2019-12-07 07:51:09.194898	t	\N
9165	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	812208	815267	2019-12-07 07:52:09.292772	t	\N
9166	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	818696	819093	2019-12-07 07:52:14.299975	t	\N
9167	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822119	822660	2019-12-07 07:52:17.304452	t	\N
9168	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	853972	856991	2019-12-07 07:53:08.366957	t	\N
9169	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	892269	895288	2019-12-07 07:54:06.444354	t	\N
9170	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	919437	920160	2019-12-07 07:54:44.492578	t	\N
9171	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	934010	934429	2019-12-07 07:55:07.522437	t	\N
9172	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942816	943357	2019-12-07 07:55:21.540484	t	\N
9173	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	971713	974732	2019-12-07 07:56:06.595724	t	\N
9174	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1011679	1015301	2019-12-07 07:57:07.677961	t	\N
9175	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1016677	1017096	2019-12-07 07:57:08.680627	t	\N
9176	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018124	1018521	2019-12-07 07:57:09.682478	t	\N
9177	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1030203	1030837	2019-12-07 07:57:29.70716	t	\N
9178	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	830348	833407	2019-12-07 07:58:09.767788	t	\N
9179	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	841381	841797	2019-12-07 07:58:22.791353	t	\N
9180	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	843432	844425	2019-12-07 07:58:24.794565	t	\N
9181	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846521	847062	2019-12-07 07:58:26.797932	t	\N
9182	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	874034	877053	2019-12-07 07:59:09.84982	t	\N
9183	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891209	891603	2019-12-07 07:59:34.880907	t	\N
9184	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	903331	903978	2019-12-07 07:59:48.907116	t	\N
9185	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917052	917471	2019-12-07 08:00:11.961928	t	\N
9186	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	953347	956366	2019-12-07 08:01:11.042699	t	\N
9187	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	966573	967114	2019-12-07 08:01:30.067213	t	\N
9188	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	984830	998698	2019-12-07 08:01:54.095951	t	\N
9189	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008273	1008692	2019-12-07 08:02:09.121615	t	\N
9190	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017123	1017520	2019-12-07 08:02:23.139653	t	\N
9191	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	819791	822850	2019-12-07 08:03:07.193202	t	\N
9192	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826160	826554	2019-12-07 08:03:11.198786	t	\N
9193	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	859603	862999	2019-12-07 08:04:05.264393	t	\N
9194	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865803	866222	2019-12-07 08:04:08.275041	t	\N
9195	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877385	877926	2019-12-07 08:04:28.29971	t	\N
9196	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904061	907080	2019-12-07 08:05:06.348378	t	\N
9197	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	938563	939457	2019-12-07 08:05:57.410953	t	\N
9198	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945151	945570	2019-12-07 08:06:06.422369	t	\N
9199	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	980850	983869	2019-12-07 08:07:04.497424	t	\N
9200	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	986962	987596	2019-12-07 08:07:08.503245	t	\N
9201	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995740	996281	2019-12-07 08:07:22.521294	t	\N
9202	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997691	998088	2019-12-07 08:07:23.523244	t	\N
9203	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	1024738	1027821	2019-12-07 08:08:04.574525	t	\N
9204	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	839142	842201	2019-12-07 08:09:04.659098	t	\N
9205	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853688	854082	2019-12-07 08:09:24.68464	t	\N
9206	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	879863	882882	2019-12-07 08:10:04.733554	t	\N
9207	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894920	895461	2019-12-07 08:10:25.760389	t	\N
9208	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	923236	926255	2019-12-07 08:11:06.811563	t	\N
9209	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	961461	964480	2019-12-07 08:12:05.890226	t	\N
9210	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	967730	970831	2019-12-07 08:12:08.894667	t	\N
9211	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981074	981471	2019-12-07 08:12:26.916715	t	\N
9212	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1005267	1008286	2019-12-07 08:13:03.962601	t	\N
9213	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1023088	1023629	2019-12-07 08:13:30.996661	t	\N
9214	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	822007	825066	2019-12-07 08:14:03.042171	t	\N
9215	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	862776	865795	2019-12-07 08:15:05.118066	t	\N
9216	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	901395	904414	2019-12-07 08:16:03.192891	t	\N
9217	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	921110	921651	2019-12-07 08:16:33.229262	t	\N
9218	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	936907	950775	2019-12-07 08:16:53.254515	t	\N
9219	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957350	957769	2019-12-07 08:17:03.274584	t	\N
9220	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	968508	969142	2019-12-07 08:17:22.298598	t	\N
9221	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971567	971964	2019-12-07 08:17:26.303905	t	\N
9222	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	987817	988606	2019-12-07 08:17:47.330158	t	\N
9223	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	997917	998336	2019-12-07 08:18:02.349388	t	\N
9224	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033621	1034040	2019-12-07 08:19:01.426316	t	\N
9225	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1036834	1037583	2019-12-07 08:19:05.431399	t	\N
9226	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830998	831541	2019-12-07 08:19:36.470176	t	\N
9227	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	834486	834880	2019-12-07 08:19:39.475495	t	\N
9228	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	850301	850720	2019-12-07 08:19:59.49999	t	\N
9229	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	886733	889790	2019-12-07 08:20:58.581243	t	\N
9230	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	927024	930043	2019-12-07 08:21:59.655908	t	\N
9231	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943411	943808	2019-12-07 08:22:22.684643	t	\N
9232	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	952922	953463	2019-12-07 08:22:38.704956	t	\N
9233	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969329	969748	2019-12-07 08:22:59.730419	t	\N
9234	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1005536	1008555	2019-12-07 08:23:57.80626	t	\N
9235	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	822465	825524	2019-12-07 08:24:58.880363	t	\N
9236	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	854873	858157	2019-12-07 08:25:46.941004	t	\N
9237	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866164	866583	2019-12-07 08:25:58.956879	t	\N
9238	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	867739	868772	2019-12-07 08:25:59.958932	t	\N
9239	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904231	907250	2019-12-07 08:26:57.033161	t	\N
9240	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	912657	913291	2019-12-07 08:27:05.043349	t	\N
9241	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	919335	920328	2019-12-07 08:27:15.056308	t	\N
9242	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929743	930140	2019-12-07 08:27:32.078002	t	\N
9243	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949452	949871	2019-12-07 08:27:59.111685	t	\N
9244	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	969227	972243	2019-12-07 08:28:34.162085	t	\N
9245	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	986736	987277	2019-12-07 08:28:54.186702	t	\N
9246	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992007	992426	2019-12-07 08:29:00.194246	t	\N
9247	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006389	1006783	2019-12-07 08:29:26.22575	t	\N
9248	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029403	1029822	2019-12-07 08:29:59.265042	t	\N
9249	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	843221	846344	2019-12-07 08:30:58.341279	t	\N
9250	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	880915	884262	2019-12-07 08:31:56.412437	t	\N
9251	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887438	887857	2019-12-07 08:31:59.416871	t	\N
9252	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	78	907050	923529	2019-12-07 08:32:34.459674	t	\N
9253	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	924729	925126	2019-12-07 08:32:35.461725	t	\N
9254	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	943773	944192	2019-12-07 08:33:01.499275	t	\N
9255	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	982666	985685	2019-12-07 08:34:03.575249	t	\N
9256	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1000447	1001254	2019-12-07 08:34:30.608722	t	\N
9257	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1021393	1021934	2019-12-07 08:34:59.644499	t	\N
9258	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025130	1025549	2019-12-07 08:35:03.650084	t	\N
9259	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	840055	843114	2019-12-07 08:36:03.751142	t	\N
9260	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	879749	882768	2019-12-07 08:37:03.82446	t	\N
9261	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	886488	887122	2019-12-07 08:37:08.831347	t	\N
9262	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898541	898938	2019-12-07 08:37:29.857334	t	\N
9263	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	917638	918179	2019-12-07 08:37:56.891861	t	\N
9264	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922196	922615	2019-12-07 08:38:01.898293	t	\N
9265	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	958856	961875	2019-12-07 08:39:01.972159	t	\N
9266	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	993564	996547	2019-12-07 08:39:54.038447	t	\N
9267	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1000408	1000827	2019-12-07 08:39:59.047445	t	\N
9268	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1031838	1035116	2019-12-07 08:40:49.113548	t	\N
9269	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821350	821771	2019-12-07 08:41:00.154509	t	\N
9270	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	859325	862382	2019-12-07 08:42:00.228881	t	\N
9271	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880126	880523	2019-12-07 08:42:33.269648	t	\N
9272	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	897098	900199	2019-12-07 08:42:55.296274	t	\N
9273	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904437	904856	2019-12-07 08:43:01.30476	t	\N
9274	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	933995	937342	2019-12-07 08:43:48.367344	t	\N
9275	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	945531	945950	2019-12-07 08:44:01.383743	t	\N
9276	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	981827	984846	2019-12-07 08:44:59.453872	t	\N
9277	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	986589	988041	2019-12-07 08:45:01.457293	t	\N
9278	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1024324	1027343	2019-12-07 08:46:01.530447	t	\N
9279	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	835839	839163	2019-12-07 08:46:48.61531	t	\N
9280	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847446	847865	2019-12-07 08:47:00.630703	t	\N
9281	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	850935	851569	2019-12-07 08:47:04.635998	t	\N
9282	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877260	877657	2019-12-07 08:47:44.685709	t	\N
9283	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	879119	892987	2019-12-07 08:47:46.689128	t	\N
9284	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901540	901959	2019-12-07 08:47:59.712021	t	\N
9285	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	938191	941210	2019-12-07 08:48:59.78625	t	\N
9286	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	969494	972839	2019-12-07 08:49:44.840533	t	\N
9287	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979020	979414	2019-12-07 08:49:54.853454	t	\N
9288	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	980910	981717	2019-12-07 08:49:55.855367	t	\N
9289	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	985496	985915	2019-12-07 08:50:00.869078	t	\N
9290	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	988922	989507	2019-12-07 08:50:04.874669	t	\N
9291	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022721	1023140	2019-12-07 08:50:58.941325	t	\N
9292	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	841354	844413	2019-12-07 08:52:00.036699	t	\N
9293	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	864234	867577	2019-12-07 08:52:36.082883	t	\N
9294	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880914	881311	2019-12-07 08:52:53.11083	t	\N
9295	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887080	887499	2019-12-07 08:53:01.121842	t	\N
9296	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	916163	919475	2019-12-07 08:53:47.179631	t	\N
9297	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928307	928726	2019-12-07 08:54:01.1975	t	\N
9298	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	966432	969418	2019-12-07 08:55:03.275613	t	\N
9299	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	984949	985490	2019-12-07 08:55:30.315298	t	\N
9300	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1006952	1007371	2019-12-07 08:56:01.358341	t	\N
9301	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	1026854	1030476	2019-12-07 08:56:37.403806	t	\N
9302	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	822916	823552	2019-12-07 08:56:50.420059	t	\N
9303	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831250	831669	2019-12-07 08:57:03.436926	t	\N
9304	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845419	845835	2019-12-07 08:57:27.47137	t	\N
9305	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	857979	858972	2019-12-07 08:57:42.489659	t	\N
9306	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871041	871438	2019-12-07 08:58:03.516508	t	\N
9307	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872658	873077	2019-12-07 08:58:04.51831	t	\N
9308	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888211	888752	2019-12-07 08:58:30.550842	t	\N
9309	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910367	910786	2019-12-07 08:59:04.59704	t	\N
9310	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	940732	943753	2019-12-07 08:59:52.65503	t	\N
9311	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950508	950927	2019-12-07 09:00:03.669623	t	\N
9312	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	986896	989915	2019-12-07 09:01:02.741963	t	\N
9313	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001877	1002418	2019-12-07 09:01:24.768902	t	\N
9314	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	1010163	1010768	2019-12-07 09:01:36.789496	t	\N
9315	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028563	1028982	2019-12-07 09:02:01.821047	t	\N
9316	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	82	1037502	833466	2019-12-07 09:02:16.839233	t	\N
9317	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856442	856839	2019-12-07 09:02:51.883362	t	\N
9318	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863716	864135	2019-12-07 09:03:02.896758	t	\N
9319	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878935	879329	2019-12-07 09:03:29.935149	t	\N
9320	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	896897	897733	2019-12-07 09:03:54.966375	t	\N
9321	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903546	903965	2019-12-07 09:04:02.977561	t	\N
9322	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915031	915572	2019-12-07 09:04:23.004027	t	\N
9323	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	937293	938028	2019-12-07 09:04:55.042905	t	\N
9324	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944515	944934	2019-12-07 09:05:04.060205	t	\N
9325	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	981179	984236	2019-12-07 09:06:04.135933	t	\N
9326	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	1013760	1016983	2019-12-07 09:06:50.193321	t	\N
9327	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025715	1026134	2019-12-07 09:07:04.210912	t	\N
9328	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1032529	1033070	2019-12-07 09:07:15.225181	t	\N
9329	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840613	841012	2019-12-07 09:07:52.275731	t	\N
9330	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847239	847658	2019-12-07 09:08:02.28793	t	\N
9331	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	883766	886823	2019-12-07 09:09:01.362403	t	\N
9332	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905110	905504	2019-12-07 09:09:34.40241	t	\N
9333	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923830	924249	2019-12-07 09:10:00.434939	t	\N
9334	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932897	933438	2019-12-07 09:10:15.458423	t	\N
9335	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	936645	938351	2019-12-07 09:10:18.46301	t	\N
9336	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	966672	967091	2019-12-07 09:11:02.516951	t	\N
9337	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	993936	1000341	2019-12-07 09:11:45.573561	t	\N
9338	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010728	1011147	2019-12-07 09:12:04.596945	t	\N
9339	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	823874	826900	2019-12-07 09:12:52.712216	t	\N
9340	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835218	835637	2019-12-07 09:13:05.729331	t	\N
9341	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845438	845979	2019-12-07 09:13:22.750814	t	\N
9342	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	875127	878146	2019-12-07 09:14:06.804974	t	\N
9343	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	915369	918388	2019-12-07 09:15:07.879412	t	\N
9344	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	955279	958298	2019-12-07 09:16:06.958526	t	\N
9345	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964048	964589	2019-12-07 09:16:15.970236	t	\N
9346	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	992448	993082	2019-12-07 09:17:00.025247	t	\N
9347	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996136	996555	2019-12-07 09:17:04.031366	t	\N
9348	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	101	1024161	824433	2019-12-07 09:17:48.086057	t	\N
9349	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831369	831766	2019-12-07 09:17:59.107167	t	\N
9350	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835151	835570	2019-12-07 09:18:04.114206	t	\N
9351	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	870074	873490	2019-12-07 09:19:00.185238	t	\N
9352	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875950	876369	2019-12-07 09:19:03.189673	t	\N
9353	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885193	885598	2019-12-07 09:19:18.208221	t	\N
9354	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	887085	887626	2019-12-07 09:19:20.211518	t	\N
9355	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	889602	890409	2019-12-07 09:19:21.213391	t	\N
9356	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917573	917992	2019-12-07 09:20:04.265782	t	\N
9357	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	953880	956899	2019-12-07 09:21:02.337287	t	\N
9358	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	992257	995276	2019-12-07 09:22:00.409004	t	\N
9359	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1008732	1009273	2019-12-07 09:22:24.445968	t	\N
9360	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034531	1034950	2019-12-07 09:23:02.493493	t	\N
9361	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824944	825343	2019-12-07 09:23:11.523476	t	\N
9362	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855635	856054	2019-12-07 09:24:00.584628	t	\N
9363	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	892326	895383	2019-12-07 09:25:00.659757	t	\N
9364	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	909358	909899	2019-12-07 09:25:24.698403	t	\N
9365	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934971	935390	2019-12-07 09:26:01.743539	t	\N
9366	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	969327	972550	2019-12-07 09:26:57.812306	t	\N
9367	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	974368	975361	2019-12-07 09:27:00.816959	t	\N
9368	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977126	977545	2019-12-07 09:27:01.819058	t	\N
9369	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	984000	985033	2019-12-07 09:27:12.837149	t	\N
9370	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016990	1017409	2019-12-07 09:28:03.900549	t	\N
9371	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021048	1021464	2019-12-07 09:28:09.908384	t	\N
9372	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028173	1028570	2019-12-07 09:28:20.922736	t	\N
9373	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031229	1031770	2019-12-07 09:28:23.926885	t	\N
9374	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	841760	842245	2019-12-07 09:29:01.980934	t	\N
9375	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848572	848966	2019-12-07 09:29:12.996179	t	\N
9376	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878267	878686	2019-12-07 09:30:01.057473	t	\N
9377	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	914506	917563	2019-12-07 09:31:00.131305	t	\N
9378	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	928395	928947	2019-12-07 09:31:18.155515	t	\N
9379	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957315	957734	2019-12-07 09:32:02.209605	t	\N
9380	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	983087	986738	2019-12-07 09:32:42.25875	t	\N
9381	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	989237	1003040	2019-12-07 09:32:46.264327	t	\N
9382	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013931	1014350	2019-12-07 09:33:03.286207	t	\N
9383	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024189	1024586	2019-12-07 09:33:21.308721	t	\N
9384	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	837967	838388	2019-12-07 09:34:03.365574	t	\N
9385	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845202	845743	2019-12-07 09:34:15.380248	t	\N
9386	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	849067	849728	2019-12-07 09:34:19.386106	t	\N
9387	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878367	878786	2019-12-07 09:35:04.441264	t	\N
9388	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	914971	918028	2019-12-07 09:36:02.512872	t	\N
9389	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	954814	957833	2019-12-07 09:37:02.592538	t	\N
9390	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962913	963454	2019-12-07 09:37:11.603341	t	\N
9391	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	971186	971820	2019-12-07 09:37:23.618588	t	\N
9392	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	995918	996337	2019-12-07 09:38:00.662908	t	\N
9393	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015337	1015734	2019-12-07 09:38:34.70864	t	\N
9394	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033471	1033890	2019-12-07 09:38:59.744549	t	\N
9395	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037008	1037402	2019-12-07 09:39:03.749872	t	\N
9396	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	857700	860759	2019-12-07 09:39:58.817273	t	\N
9397	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867942	868483	2019-12-07 09:40:11.833714	t	\N
9398	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896906	897325	2019-12-07 09:40:56.887371	t	\N
9399	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	934006	937025	2019-12-07 09:41:56.964698	t	\N
9400	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	973387	976406	2019-12-07 09:42:57.040309	t	\N
9401	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	978686	981820	2019-12-07 09:42:58.042753	t	\N
9402	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	985984	986525	2019-12-07 09:43:04.050664	t	\N
9403	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	998529	999981	2019-12-07 09:43:24.076608	t	\N
9404	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014809	1015206	2019-12-07 09:43:44.106594	t	\N
9405	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022594	1023013	2019-12-07 09:43:57.122749	t	\N
9406	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	848430	851489	2019-12-07 09:44:59.19995	t	\N
9407	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	888277	891296	2019-12-07 09:46:00.273348	t	\N
9408	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894096	894637	2019-12-07 09:46:03.277884	t	\N
9409	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	929372	932391	2019-12-07 09:47:00.353391	t	\N
9410	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	47	943779	944413	2019-12-07 09:47:20.379023	t	\N
9411	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	954655	968523	2019-12-07 09:47:38.40085	t	\N
9412	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984831	985250	2019-12-07 09:48:01.429127	t	\N
9413	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004561	1004958	2019-12-07 09:48:35.471786	t	\N
9414	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1022861	1023280	2019-12-07 09:48:59.505849	t	\N
9415	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025994	1026535	2019-12-07 09:49:03.511572	t	\N
9416	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036922	1037316	2019-12-07 09:49:21.534231	t	\N
9417	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	842327	843078	2019-12-07 09:49:45.563778	t	\N
9418	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	852143	852562	2019-12-07 09:49:59.582097	t	\N
9419	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	888799	891856	2019-12-07 09:50:58.657732	t	\N
9420	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	925966	928985	2019-12-07 09:51:56.727548	t	\N
9421	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	930763	931476	2019-12-07 09:51:57.730031	t	\N
9422	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	964556	967730	2019-12-07 09:52:50.79464	t	\N
9423	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	972857	973309	2019-12-07 09:52:57.804872	t	\N
9424	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994659	995056	2019-12-07 09:53:35.853431	t	\N
9425	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012621	1013040	2019-12-07 09:53:59.882799	t	\N
9426	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	837652	840711	2019-12-07 09:54:58.954196	t	\N
9427	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	844195	844736	2019-12-07 09:55:03.960623	t	\N
9428	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	860664	861387	2019-12-07 09:55:32.996675	t	\N
9429	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877885	878304	2019-12-07 09:55:56.030993	t	\N
9430	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	900814	901847	2019-12-07 09:56:37.08255	t	\N
9431	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908796	909212	2019-12-07 09:56:42.089731	t	\N
9432	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916953	917372	2019-12-07 09:56:55.106304	t	\N
9433	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	922538	923172	2019-12-07 09:57:03.11685	t	\N
9434	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	949848	953430	2019-12-07 09:57:44.172039	t	\N
9435	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960599	961018	2019-12-07 09:57:57.188049	t	\N
9436	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965010	965551	2019-12-07 09:58:02.195043	t	\N
9437	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	977277	977674	2019-12-07 09:58:22.220483	t	\N
9438	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	986342	986925	2019-12-07 09:58:37.238725	t	\N
9439	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1001203	1001622	2019-12-07 09:58:56.271147	t	\N
9440	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020864	1021258	2019-12-07 09:59:30.312157	t	\N
9441	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	828988	829409	2019-12-07 09:59:57.364275	t	\N
9442	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	864806	867863	2019-12-07 10:00:55.434426	t	\N
9443	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873801	874342	2019-12-07 10:01:04.446923	t	\N
9444	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	904287	907306	2019-12-07 10:01:53.520341	t	\N
9445	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	945304	948323	2019-12-07 10:02:55.597769	t	\N
9446	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	961133	975045	2019-12-07 10:03:18.62713	t	\N
9447	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977814	978211	2019-12-07 10:03:21.631251	t	\N
9448	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999420	999839	2019-12-07 10:03:53.670449	t	\N
9449	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005187	1005728	2019-12-07 10:04:00.685363	t	\N
9450	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009569	1009963	2019-12-07 10:04:06.693586	t	\N
9451	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1024331	1025080	2019-12-07 10:04:31.724375	t	\N
9452	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829613	830034	2019-12-07 10:04:51.770193	t	\N
9453	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	839630	840452	2019-12-07 10:05:07.791798	t	\N
9454	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	867529	870586	2019-12-07 10:05:49.851132	t	\N
9455	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	905174	908397	2019-12-07 10:06:46.921854	t	\N
9456	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909553	909972	2019-12-07 10:06:47.923687	t	\N
9457	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913357	913898	2019-12-07 10:06:52.930633	t	\N
9458	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	947682	950701	2019-12-07 10:07:46.998578	t	\N
9459	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965894	966291	2019-12-07 10:08:13.038385	t	\N
9460	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987896	988315	2019-12-07 10:08:45.079509	t	\N
9461	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1023981	1027000	2019-12-07 10:09:43.153983	t	\N
9462	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030139	1030533	2019-12-07 10:09:47.160292	t	\N
9463	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037384	1038100	2019-12-07 10:09:58.17469	t	\N
9464	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	857850	860907	2019-12-07 10:10:44.231574	t	\N
9465	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	897630	900649	2019-12-07 10:11:44.306759	t	\N
9466	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	937351	940370	2019-12-07 10:12:44.380222	t	\N
9467	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	946665	947206	2019-12-07 10:12:54.393693	t	\N
9468	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	963474	966575	2019-12-07 10:13:20.426312	t	\N
9469	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967795	968192	2019-12-07 10:13:21.434272	t	\N
9470	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983743	984162	2019-12-07 10:13:43.462178	t	\N
9471	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1020623	1023642	2019-12-07 10:14:42.535692	t	\N
9472	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	850924	853983	2019-12-07 10:15:42.610156	t	\N
9473	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860139	860680	2019-12-07 10:15:52.622458	t	\N
9474	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	892106	895125	2019-12-07 10:16:42.689331	t	\N
9475	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	907272	907906	2019-12-07 10:17:03.715207	t	\N
9476	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	928654	931673	2019-12-07 10:17:40.761557	t	\N
9477	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955184	955581	2019-12-07 10:18:15.803387	t	\N
9478	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	968483	968902	2019-12-07 10:18:39.833641	t	\N
9479	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	980033	980574	2019-12-07 10:18:52.854626	t	\N
9480	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	981916	995784	2019-12-07 10:18:53.856608	t	\N
9481	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1012005	1012754	2019-12-07 10:19:20.889538	t	\N
9482	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024064	1024483	2019-12-07 10:19:40.915022	t	\N
9483	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034243	1034637	2019-12-07 10:19:51.92875	t	\N
9484	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852965	853386	2019-12-07 10:20:39.012603	t	\N
9485	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	895207	898264	2019-12-07 10:21:41.089284	t	\N
9486	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	902054	902843	2019-12-07 10:21:47.097075	t	\N
9487	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	905047	905588	2019-12-07 10:21:50.101786	t	\N
9488	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	933479	933898	2019-12-07 10:22:39.172903	t	\N
9489	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	958471	961457	2019-12-07 10:23:16.218749	t	\N
9490	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	974281	974733	2019-12-07 10:23:38.247768	t	\N
9491	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1012144	1015163	2019-12-07 10:24:39.327411	t	\N
9492	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1026742	1027283	2019-12-07 10:24:52.343368	t	\N
9493	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846384	846805	2019-12-07 10:25:39.405884	t	\N
9494	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	880720	884045	2019-12-07 10:26:34.473997	t	\N
9495	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	887804	888223	2019-12-07 10:26:39.481777	t	\N
9496	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	909007	910040	2019-12-07 10:27:10.520677	t	\N
9497	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	922479	923472	2019-12-07 10:27:31.547201	t	\N
9498	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927660	928079	2019-12-07 10:27:37.556099	t	\N
9499	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	940960	941501	2019-12-07 10:27:54.582331	t	\N
9500	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	946226	946642	2019-12-07 10:28:00.592137	t	\N
9501	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	818241	818640	2019-12-07 10:28:25.623895	t	\N
9502	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	827342	827761	2019-12-07 10:28:39.643112	t	\N
9503	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	861724	864745	2019-12-07 10:29:33.710617	t	\N
9504	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	868773	869225	2019-12-07 10:29:39.726716	t	\N
9505	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	906039	909058	2019-12-07 10:30:40.803721	t	\N
9506	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	921937	922478	2019-12-07 10:30:56.824235	t	\N
9507	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947029	947448	2019-12-07 10:31:40.879737	t	\N
9508	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	988197	991216	2019-12-07 10:32:41.955005	t	\N
9509	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016802	1017199	2019-12-07 10:33:27.017771	t	\N
9510	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029444	1029863	2019-12-07 10:33:42.037979	t	\N
9511	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	88	1035964	822117	2019-12-07 10:33:52.051284	t	\N
9512	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	827613	828154	2019-12-07 10:34:01.063525	t	\N
9513	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	849772	850191	2019-12-07 10:34:40.112344	t	\N
9514	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	855779	856528	2019-12-07 10:34:42.120969	t	\N
9515	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888626	889045	2019-12-07 10:35:40.192948	t	\N
9516	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	930510	933567	2019-12-07 10:36:42.272311	t	\N
9517	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	44	935707	936341	2019-12-07 10:36:45.277416	t	\N
9518	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947197	947738	2019-12-07 10:37:03.300071	t	\N
9519	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	973145	976164	2019-12-07 10:37:42.353818	t	\N
9520	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997717	998114	2019-12-07 10:38:20.403569	t	\N
9521	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015029	1015448	2019-12-07 10:38:43.439664	t	\N
9522	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	819151	819547	2019-12-07 10:39:38.507709	t	\N
9523	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827094	827513	2019-12-07 10:39:45.547682	t	\N
9524	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	835276	835817	2019-12-07 10:39:57.567442	t	\N
9525	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	865014	868071	2019-12-07 10:40:44.624706	t	\N
9526	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	904555	907574	2019-12-07 10:41:44.698071	t	\N
9527	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	936749	939914	2019-12-07 10:42:37.763102	t	\N
9528	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947534	947953	2019-12-07 10:42:44.772507	t	\N
9529	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	957255	957796	2019-12-07 10:42:59.796222	t	\N
9530	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967222	967619	2019-12-07 10:43:14.814986	t	\N
9531	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	988313	988732	2019-12-07 10:43:44.853104	t	\N
9532	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1024924	1027943	2019-12-07 10:44:43.925279	t	\N
9533	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1030740	1032192	2019-12-07 10:44:46.929961	t	\N
9534	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	840881	843940	2019-12-07 10:45:45.00272	t	\N
9535	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	851670	852211	2019-12-07 10:45:57.017576	t	\N
9536	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	883131	886354	2019-12-07 10:46:46.082945	t	\N
9537	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888075	888494	2019-12-07 10:46:47.085232	t	\N
9538	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	923414	926433	2019-12-07 10:47:45.158192	t	\N
9539	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	940623	954555	2019-12-07 10:48:09.193948	t	\N
9540	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959906	960303	2019-12-07 10:48:17.204161	t	\N
9541	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978473	978892	2019-12-07 10:48:43.236421	t	\N
9542	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987952	988493	2019-12-07 10:48:58.255363	t	\N
9543	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	994924	995673	2019-12-07 10:49:07.268254	t	\N
9544	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001726	1002120	2019-12-07 10:49:17.286097	t	\N
9545	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019774	1020193	2019-12-07 10:49:42.317757	t	\N
9546	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	831668	834727	2019-12-07 10:50:44.392259	t	\N
9547	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	864819	865404	2019-12-07 10:51:38.458796	t	\N
9548	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871786	872205	2019-12-07 10:51:42.464558	t	\N
9549	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	880884	881425	2019-12-07 10:51:57.487119	t	\N
9550	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	910456	913539	2019-12-07 10:52:42.541966	t	\N
9551	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934444	934841	2019-12-07 10:53:21.590803	t	\N
9552	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951238	951657	2019-12-07 10:53:43.617427	t	\N
9553	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	988318	991337	2019-12-07 10:54:44.690425	t	\N
9554	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1003307	1003848	2019-12-07 10:55:04.721738	t	\N
9555	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1030694	1033713	2019-12-07 10:55:46.772777	t	\N
9556	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	830790	831426	2019-12-07 10:56:24.82078	t	\N
9557	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	836433	837466	2019-12-07 10:56:32.831515	t	\N
9558	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848506	848925	2019-12-07 10:56:46.848983	t	\N
9559	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	857077	857822	2019-12-07 10:56:58.869926	t	\N
9560	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	888375	891432	2019-12-07 10:57:47.930582	t	\N
9561	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	906134	906675	2019-12-07 10:58:12.962761	t	\N
9562	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910343	910740	2019-12-07 10:58:17.969326	t	\N
9563	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917545	917961	2019-12-07 10:58:29.985676	t	\N
9564	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	924532	925525	2019-12-07 10:58:41.005239	t	\N
9565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932657	933076	2019-12-07 10:58:47.013206	t	\N
9566	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952605	952999	2019-12-07 10:59:21.055869	t	\N
9567	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970618	971037	2019-12-07 10:59:47.08844	t	\N
9568	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	981702	982285	2019-12-07 11:00:04.110113	t	\N
9569	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1008407	1011426	2019-12-07 11:00:45.169436	t	\N
9570	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1026702	1027243	2019-12-07 11:01:12.202095	t	\N
9571	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	826504	829563	2019-12-07 11:01:47.26521	t	\N
9572	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	866182	869201	2019-12-07 11:02:46.340558	t	\N
9573	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	874340	888315	2019-12-07 11:02:54.351171	t	\N
9574	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	900956	901792	2019-12-07 11:03:16.38571	t	\N
9575	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909972	910369	2019-12-07 11:03:29.403187	t	\N
9576	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916558	916952	2019-12-07 11:03:39.416637	t	\N
9577	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924040	924459	2019-12-07 11:03:45.424821	t	\N
9578	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	929594	930329	2019-12-07 11:03:53.434718	t	\N
9579	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942873	943414	2019-12-07 11:04:15.468987	t	\N
9580	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963402	963821	2019-12-07 11:04:44.505569	t	\N
9581	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	965612	967318	2019-12-07 11:04:46.508434	t	\N
9582	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001544	1001963	2019-12-07 11:05:42.578646	t	\N
9583	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	1030521	1033744	2019-12-07 11:06:33.641981	t	\N
9584	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819928	820349	2019-12-07 11:06:43.660858	t	\N
9585	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	841453	841994	2019-12-07 11:07:21.709127	t	\N
9586	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858364	858783	2019-12-07 11:07:43.736316	t	\N
9587	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894253	894650	2019-12-07 11:08:42.810564	t	\N
9588	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897269	897688	2019-12-07 11:08:45.814704	t	\N
9589	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915599	915993	2019-12-07 11:09:16.85904	t	\N
9590	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935368	935787	2019-12-07 11:09:45.895169	t	\N
9591	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	960242	960783	2019-12-07 11:10:28.948413	t	\N
9592	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974196	974615	2019-12-07 11:10:45.96997	t	\N
9593	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1010902	1013959	2019-12-07 11:11:45.045283	t	\N
9594	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	828225	831284	2019-12-07 11:12:45.124923	t	\N
9595	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	854643	857744	2019-12-07 11:13:26.176716	t	\N
9596	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	858900	859441	2019-12-07 11:13:27.178686	t	\N
9597	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873469	873888	2019-12-07 11:13:45.20132	t	\N
9598	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878422	878819	2019-12-07 11:13:53.211609	t	\N
9599	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	911958	914977	2019-12-07 11:14:45.279452	t	\N
9600	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950056	950475	2019-12-07 11:15:43.351747	t	\N
9601	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	977600	980823	2019-12-07 11:16:31.41585	t	\N
9602	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	981851	982392	2019-12-07 11:16:32.417638	t	\N
9603	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992539	992958	2019-12-07 11:16:43.431898	t	\N
9604	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	80	1012198	1028677	2019-12-07 11:17:17.478255	t	\N
9605	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	826581	827002	2019-12-07 11:17:45.534199	t	\N
9606	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	841845	842594	2019-12-07 11:18:11.566455	t	\N
9607	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862781	863178	2019-12-07 11:18:42.605231	t	\N
9608	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864334	864753	2019-12-07 11:18:43.607231	t	\N
9609	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	893113	896134	2019-12-07 11:19:34.673363	t	\N
9610	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	897603	898144	2019-12-07 11:19:36.676215	t	\N
9611	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907341	907760	2019-12-07 11:19:44.686689	t	\N
9612	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943282	943701	2019-12-07 11:20:43.758844	t	\N
9613	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	979170	982189	2019-12-07 11:21:41.831457	t	\N
9614	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1010539	1013885	2019-12-07 11:22:32.89988	t	\N
9615	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023223	1023642	2019-12-07 11:22:41.911212	t	\N
9616	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	827189	830671	2019-12-07 11:23:24.981285	t	\N
9617	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	843657	844076	2019-12-07 11:23:42.003532	t	\N
9618	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845563	845960	2019-12-07 11:23:44.006838	t	\N
9619	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	878184	881203	2019-12-07 11:24:41.082775	t	\N
9620	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	910243	913590	2019-12-07 11:25:28.140696	t	\N
9621	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925696	926115	2019-12-07 11:25:43.159884	t	\N
9622	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	953029	956252	2019-12-07 11:26:31.219868	t	\N
9623	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966778	967197	2019-12-07 11:26:43.235142	t	\N
9624	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	998726	1002348	2019-12-07 11:27:40.309848	t	\N
9625	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009251	1009670	2019-12-07 11:27:45.317193	t	\N
9626	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024628	1025044	2019-12-07 11:28:11.349781	t	\N
9627	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1032553	1033546	2019-12-07 11:28:24.36671	t	\N
9628	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036547	1037088	2019-12-07 11:28:28.371981	t	\N
9629	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831380	831801	2019-12-07 11:28:46.399731	t	\N
9630	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833500	833897	2019-12-07 11:28:48.402817	t	\N
9631	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867593	868012	2019-12-07 11:29:44.472373	t	\N
9632	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874341	874735	2019-12-07 11:29:54.484814	t	\N
9633	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905552	905971	2019-12-07 11:30:42.5465	t	\N
9634	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	931399	934784	2019-12-07 11:31:27.606524	t	\N
9635	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942388	942807	2019-12-07 11:31:40.622819	t	\N
9636	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	983740	986759	2019-12-07 11:32:42.698089	t	\N
9637	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	990563	991370	2019-12-07 11:32:48.706272	t	\N
9638	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	78	999605	1013415	2019-12-07 11:33:00.721595	t	\N
9639	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820553	820974	2019-12-07 11:33:42.778227	t	\N
9640	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829774	830171	2019-12-07 11:33:57.796919	t	\N
9641	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848334	848875	2019-12-07 11:34:30.838937	t	\N
9642	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859831	860250	2019-12-07 11:34:43.855271	t	\N
9643	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	896721	899778	2019-12-07 11:35:43.927311	t	\N
9644	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	921944	925167	2019-12-07 11:36:23.983065	t	\N
9645	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940255	940674	2019-12-07 11:36:44.00849	t	\N
9646	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	954372	955434	2019-12-07 11:37:07.036948	t	\N
9647	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	966540	967081	2019-12-07 11:37:27.062472	t	\N
9648	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979933	980352	2019-12-07 11:37:43.083566	t	\N
9649	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	1016784	1019770	2019-12-07 11:38:44.166403	t	\N
9650	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1020908	1021327	2019-12-07 11:38:45.168644	t	\N
9651	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	840043	843102	2019-12-07 11:39:46.242379	t	\N
9652	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859204	859598	2019-12-07 11:40:14.277526	t	\N
9653	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	868425	868966	2019-12-07 11:40:29.296168	t	\N
9654	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882616	883035	2019-12-07 11:40:46.323693	t	\N
9655	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	919760	922779	2019-12-07 11:41:46.396053	t	\N
9656	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	959127	962146	2019-12-07 11:42:46.471974	t	\N
9657	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	966089	969190	2019-12-07 11:42:52.480601	t	\N
9658	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	989701	990242	2019-12-07 11:43:29.525685	t	\N
9659	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994336	994733	2019-12-07 11:43:35.539445	t	\N
9660	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004199	1004618	2019-12-07 11:43:45.552444	t	\N
9661	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	822497	825556	2019-12-07 11:44:45.624285	t	\N
9662	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	831376	832828	2019-12-07 11:44:54.63603	t	\N
9663	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863355	863774	2019-12-07 11:45:43.696698	t	\N
9664	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	881032	881666	2019-12-07 11:46:13.738125	t	\N
9665	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888204	888745	2019-12-07 11:46:24.752541	t	\N
9666	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	902413	902832	2019-12-07 11:46:41.778401	t	\N
9667	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	939942	942961	2019-12-07 11:47:41.855492	t	\N
9668	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	958127	958934	2019-12-07 11:48:07.888143	t	\N
9669	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	965882	979736	2019-12-07 11:48:19.91042	t	\N
9670	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996172	996591	2019-12-07 11:48:41.937953	t	\N
9671	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998078	998475	2019-12-07 11:48:43.940861	t	\N
9672	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	1022702	1026048	2019-12-07 11:49:26.023322	t	\N
9673	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	821039	821460	2019-12-07 11:49:42.069062	t	\N
9674	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	849732	852753	2019-12-07 11:50:34.139628	t	\N
9675	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	861785	862204	2019-12-07 11:50:42.151025	t	\N
9676	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	893697	896716	2019-12-07 11:51:40.221524	t	\N
9677	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	927999	931283	2019-12-07 11:52:30.283016	t	\N
9678	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942241	942660	2019-12-07 11:52:42.298242	t	\N
9679	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	971092	974078	2019-12-07 11:53:34.367634	t	\N
9680	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983024	983443	2019-12-07 11:53:42.37743	t	\N
9681	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	986950	987535	2019-12-07 11:53:47.384372	t	\N
9682	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021179	1021598	2019-12-07 11:54:42.451035	t	\N
9683	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	830460	833780	2019-12-07 11:55:28.529689	t	\N
9684	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845453	845872	2019-12-07 11:55:42.55368	t	\N
9685	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	864348	864982	2019-12-07 11:56:15.594771	t	\N
9686	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878929	879348	2019-12-07 11:56:40.626369	t	\N
9687	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902537	902953	2019-12-07 11:57:15.668332	t	\N
9688	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922042	922461	2019-12-07 11:57:42.702474	t	\N
9689	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	936952	937985	2019-12-07 11:58:07.737924	t	\N
9690	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	946432	946973	2019-12-07 11:58:21.75617	t	\N
9691	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948531	948928	2019-12-07 11:58:22.757974	t	\N
9692	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	964468	964887	2019-12-07 11:58:44.785966	t	\N
9693	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	971290	972013	2019-12-07 11:58:55.799529	t	\N
9694	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003261	1003680	2019-12-07 11:59:45.866314	t	\N
9695	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1006015	1006971	2019-12-07 11:59:48.870844	t	\N
9696	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	825281	825702	2019-12-07 12:00:43.93909	t	\N
9697	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832168	832562	2019-12-07 12:00:54.952917	t	\N
9698	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	835933	836769	2019-12-07 12:00:58.958287	t	\N
9699	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	842232	842815	2019-12-07 12:01:07.975068	t	\N
9700	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	854559	855100	2019-12-07 12:01:29.002066	t	\N
9701	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867806	868225	2019-12-07 12:01:45.02205	t	\N
9702	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	903051	906072	2019-12-07 12:02:42.094111	t	\N
9703	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908560	908979	2019-12-07 12:02:46.099482	t	\N
9704	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	924347	924744	2019-12-07 12:03:12.135809	t	\N
9705	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	931580	932387	2019-12-07 12:03:24.151241	t	\N
9706	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947697	948116	2019-12-07 12:03:46.180532	t	\N
9707	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	72	950766	964576	2019-12-07 12:03:48.184689	t	\N
9708	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	990611	991152	2019-12-07 12:04:35.244408	t	\N
9709	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001541	1001960	2019-12-07 12:04:46.264275	t	\N
9710	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1038177	825151	2019-12-07 12:05:46.337423	t	\N
9711	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	849360	852583	2019-12-07 12:06:29.390364	t	\N
9712	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864707	865126	2019-12-07 12:06:44.409182	t	\N
9713	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	892979	896263	2019-12-07 12:07:35.471728	t	\N
9714	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905151	905570	2019-12-07 12:07:43.481708	t	\N
9715	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922475	922872	2019-12-07 12:08:13.519306	t	\N
9716	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942483	942902	2019-12-07 12:08:42.554221	t	\N
9717	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	975146	978165	2019-12-07 12:09:40.626725	t	\N
9718	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1014166	1017512	2019-12-07 12:10:38.697688	t	\N
9719	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019059	1019478	2019-12-07 12:10:39.705915	t	\N
9720	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035363	1035757	2019-12-07 12:11:01.732188	t	\N
9721	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841399	841820	2019-12-07 12:11:40.799816	t	\N
9722	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	882837	885894	2019-12-07 12:12:42.875654	t	\N
9723	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898423	898820	2019-12-07 12:13:04.903527	t	\N
9724	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918857	919398	2019-12-07 12:13:40.951658	t	\N
9725	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925097	925516	2019-12-07 12:13:42.954914	t	\N
9726	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	938581	941682	2019-12-07 12:14:05.984568	t	\N
9727	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961423	961842	2019-12-07 12:14:42.02985	t	\N
9728	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	997628	1000647	2019-12-07 12:15:40.103246	t	\N
9729	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	1031826	1035049	2019-12-07 12:16:29.163777	t	\N
9730	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	826939	827360	2019-12-07 12:16:41.200744	t	\N
9731	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	833539	834080	2019-12-07 12:16:44.205287	t	\N
9732	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	865519	868576	2019-12-07 12:17:40.276547	t	\N
9733	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	874523	875330	2019-12-07 12:17:43.280742	t	\N
9734	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894031	894428	2019-12-07 12:18:16.327721	t	\N
9735	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	905952	919762	2019-12-07 12:18:36.353094	t	\N
9736	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923051	923470	2019-12-07 12:18:41.360037	t	\N
9737	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	959791	962810	2019-12-07 12:19:40.432109	t	\N
9738	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	970109	970650	2019-12-07 12:19:47.441006	t	\N
9739	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1000010	1003029	2019-12-07 12:20:38.510157	t	\N
9740	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023818	1024212	2019-12-07 12:21:09.548421	t	\N
9741	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	825433	825854	2019-12-07 12:21:36.602941	t	\N
9742	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	862645	865702	2019-12-07 12:22:36.654918	t	\N
9743	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	879218	879759	2019-12-07 12:22:53.676272	t	\N
9744	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896339	896736	2019-12-07 12:23:22.718157	t	\N
9745	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903972	904391	2019-12-07 12:23:34.733254	t	\N
9746	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	939384	942403	2019-12-07 12:24:32.805581	t	\N
9747	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	977918	980937	2019-12-07 12:25:31.877756	t	\N
9748	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	992509	993298	2019-12-07 12:25:44.89411	t	\N
9749	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	997102	997643	2019-12-07 12:25:50.909478	t	\N
9750	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021502	1021921	2019-12-07 12:26:32.962441	t	\N
9751	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	1038024	825386	2019-12-07 12:26:54.98945	t	\N
9752	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846255	846674	2019-12-07 12:27:32.036676	t	\N
9753	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	872243	873276	2019-12-07 12:28:10.085219	t	\N
9754	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877362	877778	2019-12-07 12:28:17.095031	t	\N
9755	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881430	881827	2019-12-07 12:28:22.102393	t	\N
9756	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887975	888394	2019-12-07 12:28:33.116486	t	\N
9757	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900861	901402	2019-12-07 12:28:48.137536	t	\N
9758	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	928456	931513	2019-12-07 12:29:34.194739	t	\N
9759	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	940101	941094	2019-12-07 12:29:43.214651	t	\N
9760	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	969545	972564	2019-12-07 12:30:34.278385	t	\N
9761	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	992744	993138	2019-12-07 12:31:03.314806	t	\N
9762	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011357	1011776	2019-12-07 12:31:35.354494	t	\N
9763	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026707	1027248	2019-12-07 12:31:56.380141	t	\N
9764	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1032478	1033285	2019-12-07 12:32:03.39628	t	\N
9765	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837554	837975	2019-12-07 12:32:33.433592	t	\N
9766	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	868924	871948	2019-12-07 12:33:23.495008	t	\N
9767	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	879526	879945	2019-12-07 12:33:35.510846	t	\N
9768	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	906442	920310	2019-12-07 12:34:16.561871	t	\N
9769	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931101	931520	2019-12-07 12:34:35.591356	t	\N
9770	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952102	952643	2019-12-07 12:35:04.626489	t	\N
9771	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	969671	970090	2019-12-07 12:35:34.66416	t	\N
9772	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1007122	1010141	2019-12-07 12:36:35.737413	t	\N
9773	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1019902	1020536	2019-12-07 12:36:46.752046	t	\N
9774	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	835511	838570	2019-12-07 12:37:35.818576	t	\N
9775	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863024	863565	2019-12-07 12:38:12.864647	t	\N
9776	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874123	874520	2019-12-07 12:38:30.886273	t	\N
9777	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878640	879059	2019-12-07 12:38:36.894215	t	\N
9778	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	914477	917496	2019-12-07 12:39:35.966616	t	\N
9779	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	952673	955692	2019-12-07 12:40:33.044198	t	\N
9780	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983082	983623	2019-12-07 12:41:15.096913	t	\N
9781	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991659	992053	2019-12-07 12:41:29.114142	t	\N
9782	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994372	994791	2019-12-07 12:41:32.118443	t	\N
9783	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1031463	1034482	2019-12-07 12:42:33.19294	t	\N
9784	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	854756	860497	2019-12-07 12:43:23.260684	t	\N
9785	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866872	867269	2019-12-07 12:43:34.2754	t	\N
9786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868990	869409	2019-12-07 12:43:35.277481	t	\N
9787	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	893409	894861	2019-12-07 12:44:11.321816	t	\N
9788	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	898274	898815	2019-12-07 12:44:16.328383	t	\N
9789	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909888	910307	2019-12-07 12:44:35.359386	t	\N
9790	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	947938	950957	2019-12-07 12:45:37.435938	t	\N
9791	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	987344	990491	2019-12-07 12:46:37.510598	t	\N
9792	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1006606	1007240	2019-12-07 12:46:59.537866	t	\N
9793	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019846	1020558	2019-12-07 12:47:20.563852	t	\N
9794	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029539	1029958	2019-12-07 12:47:35.582731	t	\N
9795	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1031480	1032287	2019-12-07 12:47:37.585598	t	\N
9796	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	850184	853210	2019-12-07 12:48:22.642998	t	\N
9797	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860267	860686	2019-12-07 12:48:34.658204	t	\N
9798	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	874875	888743	2019-12-07 12:48:52.681595	t	\N
9799	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913764	914183	2019-12-07 12:49:36.741554	t	\N
9800	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938251	938792	2019-12-07 12:50:12.785688	t	\N
9801	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953468	953887	2019-12-07 12:50:38.818345	t	\N
9802	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	990225	993244	2019-12-07 12:51:38.892879	t	\N
9803	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006941	1007335	2019-12-07 12:51:55.91446	t	\N
9804	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031382	1031801	2019-12-07 12:52:38.972458	t	\N
9805	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842052	842451	2019-12-07 12:53:09.032439	t	\N
9806	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846103	846644	2019-12-07 12:53:15.040626	t	\N
9807	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859294	859713	2019-12-07 12:53:36.06715	t	\N
9808	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	897738	900795	2019-12-07 12:54:38.143723	t	\N
9809	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	922141	922726	2019-12-07 12:55:10.190733	t	\N
9810	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939036	939455	2019-12-07 12:55:40.22744	t	\N
9811	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	962066	962607	2019-12-07 12:56:13.268619	t	\N
9812	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978740	979159	2019-12-07 12:56:41.303619	t	\N
9813	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1002307	1002941	2019-12-07 12:57:16.345302	t	\N
9814	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007955	1008371	2019-12-07 12:57:24.360622	t	\N
9815	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018506	1018925	2019-12-07 12:57:41.382191	t	\N
9816	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037499	1037896	2019-12-07 12:58:07.413358	t	\N
9817	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845364	845785	2019-12-07 12:58:39.452379	t	\N
9818	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	859624	860657	2019-12-07 12:58:57.477544	t	\N
9819	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	864422	865437	2019-12-07 12:59:01.488284	t	\N
9820	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	866638	867324	2019-12-07 12:59:02.490417	t	\N
9821	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	871682	872223	2019-12-07 12:59:09.499267	t	\N
9822	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890500	890919	2019-12-07 12:59:41.538477	t	\N
9823	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	917869	920890	2019-12-07 13:00:24.592212	t	\N
9824	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929551	929970	2019-12-07 13:00:39.617108	t	\N
9825	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	966716	969735	2019-12-07 13:01:38.691381	t	\N
9826	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	987693	988651	2019-12-07 13:02:03.723523	t	\N
9827	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992402	992943	2019-12-07 13:02:09.731299	t	\N
9828	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	994217	994952	2019-12-07 13:02:10.733088	t	\N
9829	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997739	998133	2019-12-07 13:02:13.743667	t	\N
9830	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012128	1012547	2019-12-07 13:02:38.775028	t	\N
9831	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	1024704	1025287	2019-12-07 13:02:53.793525	t	\N
9832	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026496	1026893	2019-12-07 13:02:54.795772	t	\N
9833	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	85	1038387	843594	2019-12-07 13:03:13.820635	t	\N
9834	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856929	857348	2019-12-07 13:03:37.858938	t	\N
9835	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	894316	897373	2019-12-07 13:04:37.967108	t	\N
9836	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918473	919014	2019-12-07 13:05:09.00571	t	\N
9837	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934538	934957	2019-12-07 13:05:36.038694	t	\N
9838	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	972436	975455	2019-12-07 13:06:38.115814	t	\N
9839	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	1009486	1012709	2019-12-07 13:07:34.192912	t	\N
9840	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015092	1015511	2019-12-07 13:07:37.19717	t	\N
9841	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028835	1029232	2019-12-07 13:07:54.218741	t	\N
9842	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832547	833090	2019-12-07 13:08:12.24082	t	\N
9843	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847257	847676	2019-12-07 13:08:37.27137	t	\N
9844	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	848803	850509	2019-12-07 13:08:38.277619	t	\N
9845	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	886834	889891	2019-12-07 13:09:36.34927	t	\N
9846	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	925437	928456	2019-12-07 13:10:34.421168	t	\N
9847	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957628	958169	2019-12-07 13:11:20.478503	t	\N
9848	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966737	967156	2019-12-07 13:11:34.495752	t	\N
9849	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1002471	1005454	2019-12-07 13:12:31.570998	t	\N
9850	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007647	1008066	2019-12-07 13:12:34.575056	t	\N
9851	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1025638	1028739	2019-12-07 13:12:58.605251	t	\N
9852	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034476	1034873	2019-12-07 13:13:07.616947	t	\N
9853	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842114	842535	2019-12-07 13:13:34.649871	t	\N
9854	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	871151	871692	2019-12-07 13:14:19.708737	t	\N
9855	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880863	881282	2019-12-07 13:14:35.72824	t	\N
9856	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	917665	920722	2019-12-07 13:15:35.800598	t	\N
9857	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	818947	822006	2019-12-07 13:16:36.939168	t	\N
9858	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	851321	854668	2019-12-07 13:17:23.002375	t	\N
9859	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863451	863870	2019-12-07 13:17:38.028502	t	\N
9860	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	871099	871733	2019-12-07 13:17:43.035471	t	\N
9861	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	873220	887088	2019-12-07 13:17:45.038722	t	\N
9862	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	890183	890932	2019-12-07 13:17:49.044104	t	\N
9863	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906154	906551	2019-12-07 13:18:14.076412	t	\N
9864	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919800	920219	2019-12-07 13:18:38.111046	t	\N
9865	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	955641	958660	2019-12-07 13:19:36.184079	t	\N
9866	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	989408	992750	2019-12-07 13:20:25.244634	t	\N
9867	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998523	998942	2019-12-07 13:20:34.256229	t	\N
9868	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1035492	1038511	2019-12-07 13:21:36.331009	t	\N
9869	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	848390	851447	2019-12-07 13:22:38.415214	t	\N
9870	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861063	861457	2019-12-07 13:22:48.427629	t	\N
9871	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	880037	880434	2019-12-07 13:23:21.469097	t	\N
9872	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886128	886669	2019-12-07 13:23:30.480699	t	\N
9873	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891907	892326	2019-12-07 13:23:37.489772	t	\N
9874	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	929684	932703	2019-12-07 13:24:39.57861	t	\N
9875	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	959686	960475	2019-12-07 13:25:20.628661	t	\N
9876	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971694	972113	2019-12-07 13:25:40.653358	t	\N
9877	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1000525	1003808	2019-12-07 13:26:24.707874	t	\N
9878	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012047	1012466	2019-12-07 13:26:38.725004	t	\N
9879	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	820164	823786	2019-12-07 13:27:35.819843	t	\N
9880	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825983	826402	2019-12-07 13:27:37.823314	t	\N
9881	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	843619	844275	2019-12-07 13:28:01.853624	t	\N
9882	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860406	860822	2019-12-07 13:28:30.89113	t	\N
9883	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863205	863602	2019-12-07 13:28:33.895809	t	\N
9884	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867353	867772	2019-12-07 13:28:39.908308	t	\N
9885	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894294	894835	2019-12-07 13:29:19.957538	t	\N
9886	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905484	905903	2019-12-07 13:29:37.979966	t	\N
9887	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	922987	924020	2019-12-07 13:30:02.011595	t	\N
9888	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942804	943223	2019-12-07 13:30:36.055046	t	\N
9889	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	979908	982927	2019-12-07 13:31:36.13506	t	\N
9890	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1011033	1011574	2019-12-07 13:32:19.186723	t	\N
9891	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	1017877	1031745	2019-12-07 13:32:29.199795	t	\N
9892	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035781	1036200	2019-12-07 13:32:35.207263	t	\N
9893	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	818685	819081	2019-12-07 13:32:44.219257	t	\N
9894	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	838925	839674	2019-12-07 13:33:19.268644	t	\N
9895	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849331	849750	2019-12-07 13:33:37.291358	t	\N
9896	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859101	859498	2019-12-07 13:33:46.303577	t	\N
9897	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	887629	890686	2019-12-07 13:34:36.366016	t	\N
9898	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915428	915969	2019-12-07 13:35:13.410853	t	\N
9899	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930482	930901	2019-12-07 13:35:38.447908	t	\N
9900	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	967395	970414	2019-12-07 13:36:38.52221	t	\N
9901	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1006618	1009637	2019-12-07 13:37:38.594471	t	\N
9902	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1022564	1023198	2019-12-07 13:37:54.614778	t	\N
9903	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037301	1037842	2019-12-07 13:38:18.644772	t	\N
9904	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824138	824559	2019-12-07 13:38:38.675451	t	\N
9905	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839858	840255	2019-12-07 13:38:59.701704	t	\N
9906	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861607	862026	2019-12-07 13:39:38.749131	t	\N
9907	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	898479	901536	2019-12-07 13:40:38.823558	t	\N
9908	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925671	926212	2019-12-07 13:41:16.870487	t	\N
9909	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938819	939238	2019-12-07 13:41:37.901552	t	\N
9910	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	975360	978343	2019-12-07 13:42:37.9758	t	\N
9911	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979810	980229	2019-12-07 13:42:38.977724	t	\N
9912	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	998349	999411	2019-12-07 13:43:04.009695	t	\N
9913	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1001046	1002352	2019-12-07 13:43:06.01299	t	\N
9914	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020990	1021409	2019-12-07 13:43:39.058874	t	\N
9915	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037217	1037614	2019-12-07 13:43:59.08523	t	\N
9916	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	815734	818837	2019-12-07 13:44:03.091279	t	\N
9917	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	825642	826183	2019-12-07 13:44:15.108442	t	\N
9918	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840422	840841	2019-12-07 13:44:40.14389	t	\N
9919	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	878743	881800	2019-12-07 13:45:42.225696	t	\N
9920	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	922656	925675	2019-12-07 13:46:43.301258	t	\N
9921	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942560	943101	2019-12-07 13:47:14.339711	t	\N
9922	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	959067	959486	2019-12-07 13:47:42.375136	t	\N
9923	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	96	974035	987903	2019-12-07 13:48:01.399292	t	\N
9924	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	996065	996814	2019-12-07 13:48:15.422441	t	\N
9925	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1002533	1003167	2019-12-07 13:48:23.433041	t	\N
9926	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013360	1013812	2019-12-07 13:48:41.454984	t	\N
9927	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023892	1024289	2019-12-07 13:48:52.468501	t	\N
9928	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	827103	830162	2019-12-07 13:49:39.527407	t	\N
9929	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855879	856420	2019-12-07 13:50:18.583975	t	\N
9930	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867733	868152	2019-12-07 13:50:38.60922	t	\N
9931	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904920	907939	2019-12-07 13:51:38.682916	t	\N
9932	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933700	934094	2019-12-07 13:52:18.731891	t	\N
9933	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946218	946637	2019-12-07 13:52:39.757592	t	\N
9934	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	968143	968684	2019-12-07 13:53:10.800562	t	\N
9935	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	982284	982869	2019-12-07 13:53:33.829151	t	\N
9936	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985201	985620	2019-12-07 13:53:37.834495	t	\N
9937	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998831	999228	2019-12-07 13:53:53.854483	t	\N
9938	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1023922	1026941	2019-12-07 13:54:37.909538	t	\N
9939	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	841044	844103	2019-12-07 13:55:39.00981	t	\N
9940	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	868602	869207	2019-12-07 13:56:17.056295	t	\N
9941	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881595	882014	2019-12-07 13:56:38.08389	t	\N
9942	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	914087	917103	2019-12-07 13:57:30.148505	t	\N
9943	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922529	922948	2019-12-07 13:57:38.158641	t	\N
9944	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	952879	956102	2019-12-07 13:58:27.223314	t	\N
9945	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	959827	960820	2019-12-07 13:58:32.22961	t	\N
9946	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966032	966451	2019-12-07 13:58:40.240036	t	\N
9947	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982705	983102	2019-12-07 13:59:02.267875	t	\N
9948	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	990635	991176	2019-12-07 13:59:14.284068	t	\N
9949	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	993154	993840	2019-12-07 13:59:16.294054	t	\N
9950	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1008422	1008841	2019-12-07 13:59:42.330452	t	\N
9951	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	820261	823320	2019-12-07 14:00:40.420657	t	\N
9952	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	834776	835809	2019-12-07 14:00:53.436818	t	\N
9953	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	845312	846206	2019-12-07 14:01:09.456799	t	\N
9954	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850557	850951	2019-12-07 14:01:16.470012	t	\N
9955	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864256	864675	2019-12-07 14:01:39.498533	t	\N
9956	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881062	881456	2019-12-07 14:02:01.525813	t	\N
9957	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	893583	894124	2019-12-07 14:02:22.552547	t	\N
9958	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	902629	903364	2019-12-07 14:02:36.569459	t	\N
9959	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906389	906808	2019-12-07 14:02:40.579931	t	\N
9960	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	56	932372	946182	2019-12-07 14:03:19.627483	t	\N
9961	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	957741	958160	2019-12-07 14:03:39.651495	t	\N
9962	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971846	972243	2019-12-07 14:03:57.674738	t	\N
9963	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	992330	992977	2019-12-07 14:04:32.71732	t	\N
9964	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998021	998440	2019-12-07 14:04:40.736878	t	\N
9965	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1027734	1031017	2019-12-07 14:05:27.800681	t	\N
9966	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	815978	816399	2019-12-07 14:05:38.837519	t	\N
9967	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	853686	856743	2019-12-07 14:06:38.890406	t	\N
9968	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	893236	896255	2019-12-07 14:07:38.966025	t	\N
9969	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	922522	923063	2019-12-07 14:08:19.025782	t	\N
9970	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	932638	933272	2019-12-07 14:08:35.046184	t	\N
9971	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936297	936716	2019-12-07 14:08:39.051968	t	\N
9972	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947278	947675	2019-12-07 14:08:50.067335	t	\N
9973	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975380	978463	2019-12-07 14:09:40.129555	t	\N
9974	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1014152	1017171	2019-12-07 14:10:38.207729	t	\N
9975	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	817909	818452	2019-12-07 14:11:11.268594	t	\N
9976	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832934	833353	2019-12-07 14:11:36.315564	t	\N
9977	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844767	845161	2019-12-07 14:11:49.332027	t	\N
9978	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	871147	874204	2019-12-07 14:12:36.389707	t	\N
9979	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	911104	914123	2019-12-07 14:13:36.470142	t	\N
9980	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918233	918641	2019-12-07 14:13:42.478255	t	\N
9981	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936325	936866	2019-12-07 14:14:06.508068	t	\N
9982	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954058	954477	2019-12-07 14:14:36.54535	t	\N
9983	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	978227	981328	2019-12-07 14:15:12.590754	t	\N
9984	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	994805	995224	2019-12-07 14:15:35.62643	t	\N
9985	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1031716	1034735	2019-12-07 14:16:35.699928	t	\N
9986	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	834904	835447	2019-12-07 14:17:06.757255	t	\N
9987	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	852718	866586	2019-12-07 14:17:37.794736	t	\N
9988	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	868287	868706	2019-12-07 14:17:38.796775	t	\N
9989	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	879586	880335	2019-12-07 14:17:51.818898	t	\N
9990	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	892054	892688	2019-12-07 14:18:11.843437	t	\N
9991	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907850	908269	2019-12-07 14:18:38.876397	t	\N
9992	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919615	920012	2019-12-07 14:18:52.894041	t	\N
9993	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	946934	949991	2019-12-07 14:19:40.95199	t	\N
9994	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	968598	969139	2019-12-07 14:20:06.991558	t	\N
9995	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986354	986773	2019-12-07 14:20:38.031179	t	\N
9996	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1024931	1027950	2019-12-07 14:21:39.106252	t	\N
9997	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832453	832849	2019-12-07 14:22:18.156295	t	\N
9998	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844247	844666	2019-12-07 14:22:38.18268	t	\N
9999	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	860979	861520	2019-12-07 14:22:59.213524	t	\N
10000	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882591	883010	2019-12-07 14:23:38.261562	t	\N
10001	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902469	902866	2019-12-07 14:24:05.295273	t	\N
10002	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	920268	921057	2019-12-07 14:24:37.333397	t	\N
10003	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922499	922918	2019-12-07 14:24:38.33556	t	\N
10004	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	958510	961567	2019-12-07 14:25:37.408856	t	\N
10005	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	975618	976223	2019-12-07 14:25:54.431754	t	\N
10006	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1000473	1003492	2019-12-07 14:26:38.48639	t	\N
10007	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	819875	822934	2019-12-07 14:27:38.560601	t	\N
10008	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	840657	841106	2019-12-07 14:28:02.590989	t	\N
10009	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	846192	846826	2019-12-07 14:28:10.601418	t	\N
10010	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861591	862010	2019-12-07 14:28:36.634231	t	\N
10011	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	871824	872365	2019-12-07 14:28:47.648322	t	\N
10012	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883785	884182	2019-12-07 14:29:05.670563	t	\N
10013	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902544	902963	2019-12-07 14:29:38.710884	t	\N
10014	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	905355	906348	2019-12-07 14:29:40.71911	t	\N
10015	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	941048	944067	2019-12-07 14:30:37.788995	t	\N
10016	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	978859	982481	2019-12-07 14:31:33.856526	t	\N
10017	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984135	984554	2019-12-07 14:31:35.860171	t	\N
10018	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995077	995682	2019-12-07 14:31:47.87553	t	\N
10019	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1024000	1027019	2019-12-07 14:32:37.941924	t	\N
10020	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1028711	1029518	2019-12-07 14:32:38.944312	t	\N
10021	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1038114	1038508	2019-12-07 14:32:46.955023	t	\N
10022	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	835594	849404	2019-12-07 14:33:15.992172	t	\N
10023	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	861076	861495	2019-12-07 14:33:37.01947	t	\N
10024	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	876010	876407	2019-12-07 14:33:56.048365	t	\N
10025	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	898461	901518	2019-12-07 14:34:36.098278	t	\N
10026	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	911740	912281	2019-12-07 14:34:47.113229	t	\N
10027	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	939821	942840	2019-12-07 14:35:35.17233	t	\N
10028	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	979546	982629	2019-12-07 14:36:36.246971	t	\N
10029	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1020193	1023212	2019-12-07 14:37:38.329506	t	\N
10030	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1035981	1036522	2019-12-07 14:37:53.348144	t	\N
10031	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	44	834182	834818	2019-12-07 14:38:20.381862	t	\N
10032	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844649	845068	2019-12-07 14:38:38.404892	t	\N
10033	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854728	855125	2019-12-07 14:38:48.417048	t	\N
10034	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	882303	885360	2019-12-07 14:39:37.482977	t	\N
10035	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	922778	925797	2019-12-07 14:40:37.558251	t	\N
10036	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	937695	938236	2019-12-07 14:40:50.57523	t	\N
10037	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	964331	967350	2019-12-07 14:41:37.633623	t	\N
10038	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1004914	1007933	2019-12-07 14:42:39.714151	t	\N
10039	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031228	1031622	2019-12-07 14:43:14.763597	t	\N
10040	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	1035697	1037149	2019-12-07 14:43:21.772521	t	\N
10041	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	828271	828692	2019-12-07 14:43:37.813075	t	\N
10042	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838341	838738	2019-12-07 14:43:47.825532	t	\N
10043	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841792	842333	2019-12-07 14:43:51.831252	t	\N
10044	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	868680	871737	2019-12-07 14:44:38.895625	t	\N
10045	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	909995	913014	2019-12-07 14:45:40.976377	t	\N
10046	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	940340	943441	2019-12-07 14:46:24.032484	t	\N
10047	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952006	952425	2019-12-07 14:46:38.050196	t	\N
10048	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	964058	964599	2019-12-07 14:46:51.066679	t	\N
10049	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	990739	993822	2019-12-07 14:47:38.13226	t	\N
10050	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	1003051	1016919	2019-12-07 14:47:47.144375	t	\N
10051	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1022264	1023013	2019-12-07 14:47:55.155118	t	\N
10052	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1035239	1035873	2019-12-07 14:48:16.181589	t	\N
10053	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828196	828595	2019-12-07 14:48:33.222001	t	\N
10054	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831245	831664	2019-12-07 14:48:37.232523	t	\N
10055	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	867805	870862	2019-12-07 14:49:35.306495	t	\N
10056	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875592	876144	2019-12-07 14:49:43.317685	t	\N
10057	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	908918	911937	2019-12-07 14:50:35.382388	t	\N
10058	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	948751	951770	2019-12-07 14:51:35.45753	t	\N
10059	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	989299	992318	2019-12-07 14:52:35.536743	t	\N
10060	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1004195	1004736	2019-12-07 14:52:49.555039	t	\N
10061	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022769	1023163	2019-12-07 14:53:21.594032	t	\N
10062	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029717	1030136	2019-12-07 14:53:33.608788	t	\N
10063	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825043	825442	2019-12-07 14:53:45.624155	t	\N
10064	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	851702	854759	2019-12-07 14:54:33.688618	t	\N
10065	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	893274	896293	2019-12-07 14:55:35.766803	t	\N
10066	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	909236	909777	2019-12-07 14:55:52.788049	t	\N
10067	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	920857	921442	2019-12-07 14:56:10.810643	t	\N
10068	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933934	934353	2019-12-07 14:56:33.840003	t	\N
10069	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	969876	972895	2019-12-07 14:57:31.915167	t	\N
10070	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	992227	992861	2019-12-07 14:57:58.947889	t	\N
10071	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1008740	1009463	2019-12-07 14:58:24.980815	t	\N
10072	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013729	1014148	2019-12-07 14:58:32.99146	t	\N
10073	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1027237	1027778	2019-12-07 14:58:49.012627	t	\N
10074	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031480	1031877	2019-12-07 14:58:54.025434	t	\N
10075	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033744	1034160	2019-12-07 14:58:55.02727	t	\N
10076	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	839546	842605	2019-12-07 14:59:34.076446	t	\N
10077	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	869189	870083	2019-12-07 15:00:14.126438	t	\N
10078	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881355	881774	2019-12-07 15:00:33.150697	t	\N
10079	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	892154	893089	2019-12-07 15:00:44.170179	t	\N
10080	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	905914	906947	2019-12-07 15:01:05.197233	t	\N
10081	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	913714	914108	2019-12-07 15:01:16.211567	t	\N
10082	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923708	924127	2019-12-07 15:01:33.233312	t	\N
10083	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941138	941679	2019-12-07 15:01:57.262352	t	\N
10084	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	79	960028	976507	2019-12-07 15:02:29.308635	t	\N
10085	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	978294	979043	2019-12-07 15:02:30.310322	t	\N
10086	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	980475	980894	2019-12-07 15:02:31.312397	t	\N
10087	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	1001487	1002070	2019-12-07 15:03:01.350237	t	\N
10088	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019132	1019551	2019-12-07 15:03:31.387403	t	\N
10089	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1026422	1026816	2019-12-07 15:03:43.408673	t	\N
10090	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827757	828156	2019-12-07 15:04:04.434641	t	\N
10091	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	842118	842537	2019-12-07 15:04:29.466507	t	\N
10092	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	861764	862305	2019-12-07 15:04:57.500771	t	\N
10093	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	881389	884446	2019-12-07 15:05:30.540741	t	\N
10094	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	890600	892306	2019-12-07 15:05:40.559722	t	\N
10095	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	924320	927339	2019-12-07 15:06:31.625099	t	\N
10096	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	964590	967609	2019-12-07 15:07:33.700327	t	\N
10097	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	979190	979824	2019-12-07 15:07:45.714732	t	\N
10098	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	989232	989773	2019-12-07 15:08:00.733577	t	\N
10099	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007914	1008333	2019-12-07 15:08:33.78146	t	\N
10100	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025973	1026370	2019-12-07 15:08:57.810728	t	\N
10101	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	831625	834684	2019-12-07 15:09:31.854551	t	\N
10102	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	872213	875232	2019-12-07 15:10:33.931222	t	\N
10103	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	897700	898241	2019-12-07 15:11:05.97164	t	\N
10104	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912915	913334	2019-12-07 15:11:32.009507	t	\N
10105	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	949176	952526	2019-12-07 15:12:31.08348	t	\N
10106	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	987717	990736	2019-12-07 15:13:29.192951	t	\N
10107	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1012804	1016150	2019-12-07 15:14:02.233679	t	\N
10108	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017533	1017949	2019-12-07 15:14:03.236056	t	\N
10109	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022704	1023101	2019-12-07 15:14:10.24498	t	\N
10110	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033107	1033526	2019-12-07 15:14:27.266915	t	\N
10111	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	856554	859613	2019-12-07 15:15:27.341366	t	\N
10112	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	897189	902890	2019-12-07 15:16:29.419153	t	\N
10113	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904655	905074	2019-12-07 15:16:30.42104	t	\N
10114	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	57	920326	934178	2019-12-07 15:16:50.450347	t	\N
10115	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936647	937188	2019-12-07 15:16:54.45638	t	\N
10116	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	951296	952045	2019-12-07 15:17:17.484907	t	\N
10117	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958230	958649	2019-12-07 15:17:28.499258	t	\N
10118	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	56	981165	984388	2019-12-07 15:18:01.540628	t	\N
10119	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998631	999050	2019-12-07 15:18:26.579126	t	\N
10120	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1024621	1027607	2019-12-07 15:19:05.626706	t	\N
10121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	826833	827287	2019-12-07 15:19:26.660598	t	\N
10122	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845819	846360	2019-12-07 15:19:54.694218	t	\N
10123	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863862	864281	2019-12-07 15:20:24.731555	t	\N
10124	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	901888	904945	2019-12-07 15:21:25.810154	t	\N
10125	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	940431	943450	2019-12-07 15:22:24.881961	t	\N
10126	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	960673	961214	2019-12-07 15:22:48.912393	t	\N
10127	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982861	983280	2019-12-07 15:23:25.956842	t	\N
10128	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1008704	1011690	2019-12-07 15:24:04.004231	t	\N
10129	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023453	1023872	2019-12-07 15:24:25.03068	t	\N
10130	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027460	1027854	2019-12-07 15:24:30.042701	t	\N
10131	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	850035	850456	2019-12-07 15:25:24.110451	t	\N
10132	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859407	859948	2019-12-07 15:25:40.130022	t	\N
10133	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888676	889128	2019-12-07 15:26:23.18954	t	\N
10134	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	926273	929330	2019-12-07 15:27:24.266203	t	\N
10135	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	934342	935131	2019-12-07 15:27:31.275363	t	\N
10136	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	948650	949284	2019-12-07 15:27:49.297756	t	\N
10137	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	959488	959904	2019-12-07 15:28:05.318367	t	\N
10138	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970466	970918	2019-12-07 15:28:24.341974	t	\N
10139	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	979271	979812	2019-12-07 15:28:38.359303	t	\N
10140	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001565	1001962	2019-12-07 15:29:09.397795	t	\N
10141	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009952	1010435	2019-12-07 15:29:23.414947	t	\N
10142	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1015866	1016859	2019-12-07 15:29:31.425307	t	\N
10143	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1030147	1031180	2019-12-07 15:29:49.447756	t	\N
10144	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841062	841483	2019-12-07 15:30:25.52968	t	\N
10145	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	878717	881774	2019-12-07 15:31:27.606162	t	\N
10146	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	884921	898789	2019-12-07 15:31:31.611666	t	\N
10147	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903557	904098	2019-12-07 15:31:39.622098	t	\N
10148	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	918261	919010	2019-12-07 15:31:56.643296	t	\N
10149	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937828	938247	2019-12-07 15:32:29.688842	t	\N
10150	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	976459	979542	2019-12-07 15:33:30.763495	t	\N
10151	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005631	1006025	2019-12-07 15:34:10.812952	t	\N
10152	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013174	1013571	2019-12-07 15:34:23.829348	t	\N
10153	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019331	1019750	2019-12-07 15:34:32.840586	t	\N
10154	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032005	1032546	2019-12-07 15:34:47.863432	t	\N
10155	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	847059	850118	2019-12-07 15:35:33.920486	t	\N
10156	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	888047	891066	2019-12-07 15:36:35.997662	t	\N
10157	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	927978	930997	2019-12-07 15:37:37.074741	t	\N
10158	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943093	943634	2019-12-07 15:37:52.093245	t	\N
10159	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	944977	945611	2019-12-07 15:37:53.101578	t	\N
10160	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	969665	972684	2019-12-07 15:38:36.154224	t	\N
10161	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999780	1000177	2019-12-07 15:39:18.205942	t	\N
10162	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010790	1011209	2019-12-07 15:39:36.227846	t	\N
10163	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836894	839953	2019-12-07 15:40:35.301574	t	\N
10164	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853551	854092	2019-12-07 15:40:51.328075	t	\N
10165	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	880045	883064	2019-12-07 15:41:37.384293	t	\N
10166	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	919370	922389	2019-12-07 15:42:36.454857	t	\N
10167	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	934915	936367	2019-12-07 15:42:51.473875	t	\N
10168	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	960300	963319	2019-12-07 15:43:34.52471	t	\N
10169	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	978107	978648	2019-12-07 15:43:53.554421	t	\N
10170	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981707	982101	2019-12-07 15:43:56.558555	t	\N
10171	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	994482	995544	2019-12-07 15:44:17.585448	t	\N
10172	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	998322	998719	2019-12-07 15:44:21.592142	t	\N
10173	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005684	1006103	2019-12-07 15:44:33.606629	t	\N
10174	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	833779	836838	2019-12-07 15:45:33.704372	t	\N
10175	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	851430	854531	2019-12-07 15:45:52.728106	t	\N
10176	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	864351	878203	2019-12-07 15:46:08.747703	t	\N
10177	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891523	891942	2019-12-07 15:46:31.776006	t	\N
10178	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905508	906257	2019-12-07 15:46:50.799656	t	\N
10179	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911291	911832	2019-12-07 15:46:57.813917	t	\N
10180	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929924	930343	2019-12-07 15:47:29.854847	t	\N
10181	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	954954	958177	2019-12-07 15:48:06.90037	t	\N
10182	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970302	970721	2019-12-07 15:48:28.927582	t	\N
10183	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1004116	1007102	2019-12-07 15:49:21.993215	t	\N
10184	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011623	1012042	2019-12-07 15:49:30.011863	t	\N
10185	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1032854	1033395	2019-12-07 15:50:00.050177	t	\N
10186	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841947	842368	2019-12-07 15:50:30.089711	t	\N
10187	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	878751	881808	2019-12-07 15:51:30.162421	t	\N
10188	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	916912	919931	2019-12-07 15:52:28.233441	t	\N
10189	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941293	941834	2019-12-07 15:52:59.277394	t	\N
10190	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958346	958765	2019-12-07 15:53:28.313264	t	\N
10191	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965423	965817	2019-12-07 15:53:40.328089	t	\N
10192	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989720	990117	2019-12-07 15:54:16.372983	t	\N
10193	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998355	998774	2019-12-07 15:54:30.390453	t	\N
10194	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1027543	1030717	2019-12-07 15:55:14.450288	t	\N
10195	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832077	832498	2019-12-07 15:55:30.470509	t	\N
10196	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	854894	858212	2019-12-07 15:56:02.509504	t	\N
10197	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874854	875273	2019-12-07 15:56:32.547098	t	\N
10198	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911432	911851	2019-12-07 15:57:31.618584	t	\N
10199	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	29	948565	951615	2019-12-07 15:58:31.712807	t	\N
10200	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	812831	813467	2019-12-07 15:58:34.716997	t	\N
10201	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830952	831493	2019-12-07 15:58:58.747473	t	\N
10202	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846098	846495	2019-12-07 15:59:22.776367	t	\N
10203	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850544	850960	2019-12-07 15:59:29.785593	t	\N
10204	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852116	852535	2019-12-07 15:59:30.792198	t	\N
10205	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	861121	862136	2019-12-07 15:59:43.80914	t	\N
10206	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	888125	889180	2019-12-07 16:00:23.859219	t	\N
10207	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891373	891767	2019-12-07 16:00:26.863372	t	\N
10208	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896340	896759	2019-12-07 16:00:32.871312	t	\N
10209	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	926480	927166	2019-12-07 16:01:20.934474	t	\N
10210	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933241	933660	2019-12-07 16:01:30.947309	t	\N
10211	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	939987	953781	2019-12-07 16:01:41.961596	t	\N
10212	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	962084	962920	2019-12-07 16:01:47.970569	t	\N
10213	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967380	967921	2019-12-07 16:01:55.981396	t	\N
10214	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	979949	980684	2019-12-07 16:02:16.011611	t	\N
10215	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988390	988809	2019-12-07 16:02:28.027003	t	\N
10216	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1024225	1027282	2019-12-07 16:03:27.098162	t	\N
10217	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	821639	822224	2019-12-07 16:03:58.13775	t	\N
10218	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	823816	824210	2019-12-07 16:03:59.139634	t	\N
10219	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840522	840941	2019-12-07 16:04:28.180369	t	\N
10220	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842033	842430	2019-12-07 16:04:29.18248	t	\N
10221	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859662	860203	2019-12-07 16:04:53.212467	t	\N
10222	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880200	880619	2019-12-07 16:05:28.254112	t	\N
10223	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	917786	920843	2019-12-07 16:06:29.329849	t	\N
10224	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	958495	961514	2019-12-07 16:07:29.410664	t	\N
10225	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	976878	977419	2019-12-07 16:07:49.435641	t	\N
10226	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	994811	995445	2019-12-07 16:08:19.472849	t	\N
10227	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002246	1002665	2019-12-07 16:08:31.488144	t	\N
10228	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1033568	1036554	2019-12-07 16:09:20.547032	t	\N
10229	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	817701	818122	2019-12-07 16:09:32.590709	t	\N
10230	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	854713	857770	2019-12-07 16:10:31.666489	t	\N
10231	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	876408	876949	2019-12-07 16:10:57.699749	t	\N
10232	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895957	896376	2019-12-07 16:11:31.743141	t	\N
10233	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	933002	936021	2019-12-07 16:12:31.818058	t	\N
10234	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	971301	974320	2019-12-07 16:13:29.897326	t	\N
10235	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987634	988028	2019-12-07 16:13:45.918242	t	\N
10236	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991744	992285	2019-12-07 16:13:51.925803	t	\N
10237	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008504	1008901	2019-12-07 16:14:17.958767	t	\N
10238	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015640	1016059	2019-12-07 16:14:29.974779	t	\N
10239	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	825722	828781	2019-12-07 16:15:27.073469	t	\N
10240	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	833170	836271	2019-12-07 16:15:33.081984	t	\N
10241	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	871231	874250	2019-12-07 16:16:29.152599	t	\N
10242	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890762	891303	2019-12-07 16:16:51.180747	t	\N
10243	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	910443	924311	2019-12-07 16:17:23.22045	t	\N
10244	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	927925	928344	2019-12-07 16:17:29.234986	t	\N
10245	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	941661	942410	2019-12-07 16:17:46.255856	t	\N
10246	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	950844	951478	2019-12-07 16:17:59.272397	t	\N
10247	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967836	968255	2019-12-07 16:18:28.30889	t	\N
10248	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	997990	1000976	2019-12-07 16:19:15.366708	t	\N
10249	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007392	1007811	2019-12-07 16:19:26.388228	t	\N
10250	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028287	1028828	2019-12-07 16:19:56.425002	t	\N
10251	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821488	821909	2019-12-07 16:20:26.462942	t	\N
10252	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	858445	861502	2019-12-07 16:21:25.535113	t	\N
10253	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	898462	901481	2019-12-07 16:22:25.607364	t	\N
10254	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	927421	930701	2019-12-07 16:23:04.663012	t	\N
10255	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943406	943825	2019-12-07 16:23:27.690689	t	\N
10256	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953745	954139	2019-12-07 16:23:43.710366	t	\N
10257	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981770	982189	2019-12-07 16:24:26.763179	t	\N
10258	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984241	984638	2019-12-07 16:24:28.766235	t	\N
10259	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1021462	1024481	2019-12-07 16:25:28.842723	t	\N
10260	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	822550	823093	2019-12-07 16:26:01.883837	t	\N
10261	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	837016	837435	2019-12-07 16:26:26.916846	t	\N
10262	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	874291	877348	2019-12-07 16:27:26.995935	t	\N
10263	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	907734	910957	2019-12-07 16:28:16.056074	t	\N
10264	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917281	917700	2019-12-07 16:28:26.076453	t	\N
10265	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	923330	924323	2019-12-07 16:28:35.087716	t	\N
10266	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	939880	940669	2019-12-07 16:28:57.11472	t	\N
10267	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	948332	948873	2019-12-07 16:29:08.128629	t	\N
10268	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	958287	958739	2019-12-07 16:29:24.149024	t	\N
10269	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968488	968885	2019-12-07 16:29:42.17282	t	\N
10270	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	995146	996179	2019-12-07 16:30:22.221335	t	\N
10271	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	998555	999007	2019-12-07 16:30:24.225252	t	\N
10272	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008715	1009131	2019-12-07 16:30:41.245217	t	\N
10273	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035435	1035854	2019-12-07 16:31:22.323183	t	\N
10274	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	842297	845621	2019-12-07 16:32:09.406964	t	\N
10275	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	848661	849468	2019-12-07 16:32:13.412669	t	\N
10276	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	850955	864765	2019-12-07 16:32:15.415577	t	\N
10277	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868158	868577	2019-12-07 16:32:20.422419	t	\N
10278	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	904343	907362	2019-12-07 16:33:18.496084	t	\N
10279	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921503	921897	2019-12-07 16:33:43.533643	t	\N
10280	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944115	944534	2019-12-07 16:34:17.575242	t	\N
10281	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958039	958458	2019-12-07 16:34:41.605624	t	\N
10282	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	981857	982398	2019-12-07 16:35:16.649201	t	\N
10283	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985311	985730	2019-12-07 16:35:19.653576	t	\N
10284	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1022697	1025716	2019-12-07 16:36:21.733565	t	\N
10285	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	839451	842510	2019-12-07 16:37:21.806455	t	\N
10286	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	870474	873697	2019-12-07 16:38:04.859242	t	\N
10287	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	880100	880641	2019-12-07 16:38:15.872879	t	\N
10288	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883674	884093	2019-12-07 16:38:19.878487	t	\N
10289	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	920820	923839	2019-12-07 16:39:19.958417	t	\N
10290	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933061	933458	2019-12-07 16:39:35.980632	t	\N
10291	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961675	962094	2019-12-07 16:40:20.034453	t	\N
10292	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	985036	986488	2019-12-07 16:40:55.078908	t	\N
10293	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1000783	1001202	2019-12-07 16:41:20.109844	t	\N
10294	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1002358	1002899	2019-12-07 16:41:21.116569	t	\N
10295	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	816317	819376	2019-12-07 16:42:19.210161	t	\N
10296	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	855002	858021	2019-12-07 16:43:18.283163	t	\N
10297	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	891001	893984	2019-12-07 16:44:09.344137	t	\N
10298	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	898139	898680	2019-12-07 16:44:15.351963	t	\N
10299	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901889	902308	2019-12-07 16:44:19.36324	t	\N
10300	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921155	921552	2019-12-07 16:44:47.398986	t	\N
10301	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	929858	932959	2019-12-07 16:45:00.419556	t	\N
10302	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942518	942937	2019-12-07 16:45:18.442352	t	\N
10303	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	978924	981943	2019-12-07 16:46:16.512942	t	\N
10304	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	997514	1011445	2019-12-07 16:46:43.551938	t	\N
10305	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1019825	1020574	2019-12-07 16:46:52.563842	t	\N
10306	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1030683	1031224	2019-12-07 16:47:08.58928	t	\N
10307	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035865	1036284	2019-12-07 16:47:15.603538	t	\N
10308	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	827344	827980	2019-12-07 16:47:38.673392	t	\N
10309	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	853539	853958	2019-12-07 16:48:17.73146	t	\N
10310	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	890527	893584	2019-12-07 16:49:17.804474	t	\N
10311	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	920285	920682	2019-12-07 16:49:58.85452	t	\N
10312	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928799	929340	2019-12-07 16:50:12.872199	t	\N
10313	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932255	932674	2019-12-07 16:50:15.877187	t	\N
10314	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	970138	973157	2019-12-07 16:51:16.956709	t	\N
10315	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1009708	1012727	2019-12-07 16:52:16.031038	t	\N
10316	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	825874	829198	2019-12-07 16:53:12.11999	t	\N
10317	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832182	832601	2019-12-07 16:53:16.124921	t	\N
10318	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	863818	866801	2019-12-07 16:54:07.190656	t	\N
10319	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872641	873060	2019-12-07 16:54:16.209606	t	\N
10320	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901954	902351	2019-12-07 16:55:02.26665	t	\N
10321	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910778	911197	2019-12-07 16:55:16.285104	t	\N
10322	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	945072	948418	2019-12-07 16:56:11.35082	t	\N
10323	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952222	952641	2019-12-07 16:56:16.357683	t	\N
10324	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	963787	964372	2019-12-07 16:56:36.387292	t	\N
10325	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990683	991102	2019-12-07 16:57:16.437098	t	\N
10326	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1013683	1014317	2019-12-07 16:57:50.480085	t	\N
10327	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027971	1028390	2019-12-07 16:58:14.510974	t	\N
10328	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	834710	835435	2019-12-07 16:58:56.562958	t	\N
10329	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	838466	839499	2019-12-07 16:59:00.573774	t	\N
10330	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	843504	844045	2019-12-07 16:59:06.582674	t	\N
10331	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	847661	848617	2019-12-07 16:59:10.587909	t	\N
10332	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852308	852727	2019-12-07 16:59:16.594909	t	\N
10333	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856443	856859	2019-12-07 16:59:22.602715	t	\N
10334	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874231	874625	2019-12-07 16:59:46.638005	t	\N
10335	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886494	886891	2019-12-07 17:00:06.662822	t	\N
10336	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893230	893649	2019-12-07 17:00:17.676264	t	\N
10337	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	928524	931958	2019-12-07 17:01:13.745186	t	\N
10338	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935044	935463	2019-12-07 17:01:17.751053	t	\N
10339	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	940315	942043	2019-12-07 17:01:24.765539	t	\N
10340	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	969354	972848	2019-12-07 17:02:06.816265	t	\N
10341	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	975438	976021	2019-12-07 17:02:09.820633	t	\N
10342	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	977885	978426	2019-12-07 17:02:11.824043	t	\N
10343	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983031	983450	2019-12-07 17:02:18.833022	t	\N
10344	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	986835	1000624	2019-12-07 17:02:23.844275	t	\N
10345	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1036514	820856	2019-12-07 17:03:20.913491	t	\N
10346	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831771	832165	2019-12-07 17:03:39.938093	t	\N
10347	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	858429	858848	2019-12-07 17:04:20.989361	t	\N
10348	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884192	884589	2019-12-07 17:04:59.037997	t	\N
10349	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	891557	892098	2019-12-07 17:05:10.057864	t	\N
10350	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898326	898745	2019-12-07 17:05:20.070602	t	\N
10351	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	935557	938576	2019-12-07 17:06:21.146447	t	\N
10352	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975401	978420	2019-12-07 17:07:22.221879	t	\N
10353	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	987810	988444	2019-12-07 17:07:38.241541	t	\N
10354	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1007916	1008457	2019-12-07 17:08:04.279908	t	\N
10355	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018812	1019231	2019-12-07 17:08:23.305604	t	\N
10356	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	836335	839394	2019-12-07 17:09:22.378325	t	\N
10357	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856879	857276	2019-12-07 17:09:46.408311	t	\N
10358	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877557	877976	2019-12-07 17:10:22.453622	t	\N
10359	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903916	904457	2019-12-07 17:11:01.507142	t	\N
10360	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916282	916701	2019-12-07 17:11:22.533642	t	\N
10361	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	953439	956458	2019-12-07 17:12:22.606277	t	\N
10362	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	993492	996453	2019-12-07 17:13:23.68245	t	\N
10363	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	998110	998529	2019-12-07 17:13:24.684906	t	\N
10364	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1023068	1023609	2019-12-07 17:14:01.735419	t	\N
10365	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1036938	1037357	2019-12-07 17:14:24.765583	t	\N
10366	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838055	838454	2019-12-07 17:14:53.82077	t	\N
10367	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857083	857502	2019-12-07 17:15:24.859441	t	\N
10368	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	867179	870280	2019-12-07 17:15:42.881815	t	\N
10369	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	898861	899280	2019-12-07 17:16:26.943076	t	\N
10370	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	905225	906032	2019-12-07 17:16:36.955773	t	\N
10371	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	929343	932728	2019-12-07 17:17:09.997491	t	\N
10372	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	939818	940452	2019-12-07 17:17:22.012682	t	\N
10373	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943903	944322	2019-12-07 17:17:27.019816	t	\N
10374	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	965438	979306	2019-12-07 17:17:59.063533	t	\N
10375	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996130	996549	2019-12-07 17:18:28.100087	t	\N
10376	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1033423	1036442	2019-12-07 17:19:28.172293	t	\N
10377	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842522	842921	2019-12-07 17:20:03.215623	t	\N
10378	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845888	846429	2019-12-07 17:20:07.222345	t	\N
10379	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858748	859167	2019-12-07 17:20:29.255507	t	\N
10380	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	895803	898860	2019-12-07 17:21:29.330119	t	\N
10381	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	935289	938308	2019-12-07 17:22:28.404084	t	\N
10382	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961677	962218	2019-12-07 17:23:02.444973	t	\N
10383	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973925	974319	2019-12-07 17:23:22.469799	t	\N
10384	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978037	978456	2019-12-07 17:23:28.482373	t	\N
10385	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1014682	1017701	2019-12-07 17:24:27.55367	t	\N
10386	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034129	1034526	2019-12-07 17:24:49.580943	t	\N
10387	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	837898	838319	2019-12-07 17:25:27.628279	t	\N
10388	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	866459	869844	2019-12-07 17:26:10.703978	t	\N
10389	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	879317	879736	2019-12-07 17:26:27.730997	t	\N
10390	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	900894	901528	2019-12-07 17:26:58.771019	t	\N
10391	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918243	918662	2019-12-07 17:27:27.807726	t	\N
10392	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	938754	939747	2019-12-07 17:27:56.843168	t	\N
10393	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	942619	943652	2019-12-07 17:27:59.84724	t	\N
10394	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948776	949192	2019-12-07 17:28:08.863298	t	\N
10395	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960168	960587	2019-12-07 17:28:27.885981	t	\N
10396	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983413	983954	2019-12-07 17:29:03.941944	t	\N
10397	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997748	998167	2019-12-07 17:29:27.972007	t	\N
10398	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019514	1019911	2019-12-07 17:29:59.011391	t	\N
10399	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036393	1036812	2019-12-07 17:30:28.052695	t	\N
10400	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	840346	841137	2019-12-07 17:30:57.090119	t	\N
10401	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858006	858425	2019-12-07 17:31:26.127764	t	\N
10402	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881522	882063	2019-12-07 17:32:00.169535	t	\N
10403	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	888905	889654	2019-12-07 17:32:11.185242	t	\N
10404	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898529	898948	2019-12-07 17:32:26.209606	t	\N
10405	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920119	920513	2019-12-07 17:32:57.248121	t	\N
10406	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	929998	943792	2019-12-07 17:33:12.267871	t	\N
10407	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	951912	952331	2019-12-07 17:33:26.285691	t	\N
10408	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	987381	990438	2019-12-07 17:34:24.358086	t	\N
10409	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013738	1014135	2019-12-07 17:34:58.406563	t	\N
10410	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016632	1017173	2019-12-07 17:35:00.409659	t	\N
10411	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030550	1030969	2019-12-07 17:35:24.439163	t	\N
10412	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	851890	854949	2019-12-07 17:36:24.512467	t	\N
10413	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	864913	865547	2019-12-07 17:36:40.531635	t	\N
10414	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892476	892895	2019-12-07 17:37:22.588344	t	\N
10415	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918992	919533	2019-12-07 17:38:02.637109	t	\N
10416	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931448	931867	2019-12-07 17:38:22.663096	t	\N
10417	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	935648	936710	2019-12-07 17:38:28.670865	t	\N
10418	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	971198	974217	2019-12-07 17:39:24.738817	t	\N
10419	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	993474	993871	2019-12-07 17:39:51.778453	t	\N
10420	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011791	1012210	2019-12-07 17:40:23.818825	t	\N
10421	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035511	1036052	2019-12-07 17:40:58.860579	t	\N
10422	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836095	836516	2019-12-07 17:41:22.89089	t	\N
10423	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	873399	876456	2019-12-07 17:42:21.962566	t	\N
10424	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880613	881007	2019-12-07 17:42:28.978565	t	\N
10425	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	913574	916593	2019-12-07 17:43:20.041421	t	\N
10426	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	920472	921924	2019-12-07 17:43:26.049143	t	\N
10427	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941616	942157	2019-12-07 17:43:55.086913	t	\N
10428	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955544	955963	2019-12-07 17:44:18.116483	t	\N
10429	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980370	980789	2019-12-07 17:44:55.165762	t	\N
10430	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993689	994108	2019-12-07 17:45:17.192309	t	\N
10431	Jobs::EnsureDbConsistency	iZj6chkije5xk0gfyvcrzyZ-web-only	127	148	1000108	1022897	2019-12-07 17:45:27.205194	t	\N
10432	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	841413	844472	2019-12-07 17:46:18.267868	t	\N
10433	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	854632	855439	2019-12-07 17:46:35.289827	t	\N
10434	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	859537	860171	2019-12-07 17:46:42.305452	t	\N
10435	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	869328	869869	2019-12-07 17:46:50.315585	t	\N
10436	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	874070	877171	2019-12-07 17:46:56.323683	t	\N
10437	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891496	891915	2019-12-07 17:47:20.353689	t	\N
10438	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	909664	923458	2019-12-07 17:47:46.385658	t	\N
10439	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941419	941838	2019-12-07 17:48:18.43059	t	\N
10440	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	978349	981368	2019-12-07 17:49:18.508953	t	\N
10441	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1007230	1007771	2019-12-07 17:49:58.558454	t	\N
10442	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009430	1009827	2019-12-07 17:49:59.560577	t	\N
10443	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021491	1021910	2019-12-07 17:50:19.586975	t	\N
10444	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	846789	849848	2019-12-07 17:51:20.666086	t	\N
10445	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877783	878177	2019-12-07 17:52:04.719226	t	\N
10446	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888537	888956	2019-12-07 17:52:21.740107	t	\N
10447	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912221	912762	2019-12-07 17:52:58.786588	t	\N
10448	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926853	927272	2019-12-07 17:53:22.816214	t	\N
10449	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	959813	962987	2019-12-07 17:54:13.882573	t	\N
10450	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968194	968613	2019-12-07 17:54:21.892727	t	\N
10451	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992397	992794	2019-12-07 17:54:58.936349	t	\N
10452	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006939	1007358	2019-12-07 17:55:22.966096	t	\N
10453	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1032399	1032940	2019-12-07 17:56:01.011986	t	\N
10454	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	833087	833508	2019-12-07 17:56:22.045976	t	\N
10455	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	839122	839756	2019-12-07 17:56:31.057592	t	\N
10456	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844856	845272	2019-12-07 17:56:40.069077	t	\N
10457	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857827	858221	2019-12-07 17:56:55.088113	t	\N
10458	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	859961	860684	2019-12-07 17:56:56.090026	t	\N
10459	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875636	876055	2019-12-07 17:57:22.12671	t	\N
10460	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	879376	880396	2019-12-07 17:57:27.133295	t	\N
10461	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	914800	917857	2019-12-07 17:58:23.201295	t	\N
10462	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	940224	940765	2019-12-07 17:58:57.243473	t	\N
10463	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	956486	957519	2019-12-07 17:59:25.279517	t	\N
10464	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959370	959789	2019-12-07 17:59:26.286196	t	\N
10465	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977442	977839	2019-12-07 17:59:51.316272	t	\N
10466	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997587	998006	2019-12-07 18:00:26.360784	t	\N
10467	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1034731	1037750	2019-12-07 18:01:26.433698	t	\N
10468	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	830585	831394	2019-12-07 18:01:32.442275	t	\N
10469	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835145	835539	2019-12-07 18:01:38.456079	t	\N
10470	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	849935	850476	2019-12-07 18:01:57.480135	t	\N
10471	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865727	866146	2019-12-07 18:02:24.513569	t	\N
10472	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	887370	901180	2019-12-07 18:02:55.548915	t	\N
10473	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916167	916586	2019-12-07 18:03:22.581662	t	\N
10474	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	32	950134	953344	2019-12-07 18:04:16.659131	t	\N
10475	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956499	956918	2019-12-07 18:04:20.664853	t	\N
10476	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	966919	967813	2019-12-07 18:04:38.68823	t	\N
10477	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970488	970885	2019-12-07 18:04:41.69255	t	\N
10478	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986981	987522	2019-12-07 18:05:03.719092	t	\N
10479	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998199	998618	2019-12-07 18:05:20.746808	t	\N
10480	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1033757	1036776	2019-12-07 18:06:19.818188	t	\N
10481	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	840383	841019	2019-12-07 18:06:44.849269	t	\N
10482	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864263	864682	2019-12-07 18:07:19.893073	t	\N
10483	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894504	895045	2019-12-07 18:08:06.951836	t	\N
10484	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	902649	903068	2019-12-07 18:08:19.975221	t	\N
10485	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	940610	943667	2019-12-07 18:09:21.051481	t	\N
10486	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948817	949214	2019-12-07 18:09:30.062833	t	\N
10487	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	980234	983317	2019-12-07 18:10:20.126646	t	\N
10488	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1013604	1014145	2019-12-07 18:11:07.186276	t	\N
10489	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022780	1023199	2019-12-07 18:11:21.209344	t	\N
10490	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030653	1031047	2019-12-07 18:11:35.226394	t	\N
10491	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	851081	854140	2019-12-07 18:12:21.283414	t	\N
10492	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	890823	893842	2019-12-07 18:13:23.359327	t	\N
10493	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	925168	928452	2019-12-07 18:14:11.418598	t	\N
10494	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935989	936408	2019-12-07 18:14:24.440903	t	\N
10495	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943710	944107	2019-12-07 18:14:36.456457	t	\N
10496	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	973696	976715	2019-12-07 18:15:23.514082	t	\N
10497	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1005415	1008516	2019-12-07 18:16:08.569302	t	\N
10498	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017173	1017656	2019-12-07 18:16:23.587385	t	\N
10499	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	837454	838090	2019-12-07 18:17:10.651758	t	\N
10500	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	842755	843562	2019-12-07 18:17:16.659477	t	\N
10501	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	844985	858779	2019-12-07 18:17:18.662615	t	\N
10502	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	860255	860796	2019-12-07 18:17:19.664421	t	\N
10503	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864041	864460	2019-12-07 18:17:23.670227	t	\N
10504	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	899793	902850	2019-12-07 18:18:21.745248	t	\N
10505	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	940335	943354	2019-12-07 18:19:22.819561	t	\N
10506	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955328	955725	2019-12-07 18:19:44.846242	t	\N
10507	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979287	979828	2019-12-07 18:20:19.89031	t	\N
10508	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982461	982880	2019-12-07 18:20:22.894825	t	\N
10509	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1020098	1023117	2019-12-07 18:21:23.974861	t	\N
10510	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1024310	1024704	2019-12-07 18:21:24.977299	t	\N
10511	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	853271	856330	2019-12-07 18:22:25.051142	t	\N
10512	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	891863	895147	2019-12-07 18:23:23.123224	t	\N
10513	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898586	899005	2019-12-07 18:23:27.129678	t	\N
10514	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	935349	938368	2019-12-07 18:24:27.202545	t	\N
10515	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943461	943858	2019-12-07 18:24:36.213614	t	\N
10516	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975189	978208	2019-12-07 18:25:26.276344	t	\N
10517	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997721	998137	2019-12-07 18:25:55.311214	t	\N
10518	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1014437	1014978	2019-12-07 18:26:22.344585	t	\N
10519	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017620	1018039	2019-12-07 18:26:26.356634	t	\N
10520	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	835109	836104	2019-12-07 18:27:03.4207	t	\N
10521	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	844553	845187	2019-12-07 18:27:17.438484	t	\N
10522	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849777	850196	2019-12-07 18:27:25.448908	t	\N
10523	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	888177	891234	2019-12-07 18:28:27.533093	t	\N
10524	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	897920	898709	2019-12-07 18:28:39.555241	t	\N
10525	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	927568	930844	2019-12-07 18:29:24.611684	t	\N
10526	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932685	933104	2019-12-07 18:29:26.615271	t	\N
10527	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	934858	935277	2019-12-07 18:29:27.617073	t	\N
10528	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	833726	837388	2019-12-07 18:30:16.910792	t	\N
10529	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	843884	844367	2019-12-07 18:30:26.930627	t	\N
10530	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	879506	882525	2019-12-07 18:31:26.005144	t	\N
10531	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901928	902322	2019-12-07 18:31:53.039292	t	\N
10532	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	907439	921307	2019-12-07 18:32:01.050255	t	\N
10533	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	934750	935291	2019-12-07 18:32:25.08301	t	\N
10534	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	937852	938271	2019-12-07 18:32:27.093386	t	\N
10535	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	939363	940112	2019-12-07 18:32:28.095385	t	\N
10536	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975380	978399	2019-12-07 18:33:25.166835	t	\N
10537	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1014164	1017150	2019-12-07 18:34:23.238358	t	\N
10538	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018354	1018773	2019-12-07 18:34:24.240448	t	\N
10539	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	828230	831289	2019-12-07 18:35:24.340765	t	\N
10540	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836792	837333	2019-12-07 18:35:32.351771	t	\N
10541	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	870424	873443	2019-12-07 18:36:26.418621	t	\N
10542	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	896639	897273	2019-12-07 18:37:01.46126	t	\N
10543	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911775	912227	2019-12-07 18:37:26.492564	t	\N
10544	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	948921	951940	2019-12-07 18:38:26.565244	t	\N
10545	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955093	955634	2019-12-07 18:38:30.570599	t	\N
10546	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	988803	991789	2019-12-07 18:39:22.636152	t	\N
10547	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	995385	995804	2019-12-07 18:39:27.643547	t	\N
10548	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1030521	1033540	2019-12-07 18:40:25.713628	t	\N
10549	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	842546	845933	2019-12-07 18:41:24.812474	t	\N
10550	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847140	847559	2019-12-07 18:41:25.814299	t	\N
10551	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867103	867497	2019-12-07 18:41:54.848619	t	\N
10552	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886333	886752	2019-12-07 18:42:27.889826	t	\N
10553	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	916531	920572	2019-12-07 18:43:15.948654	t	\N
10554	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927209	927628	2019-12-07 18:43:26.970344	t	\N
10555	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	958828	962170	2019-12-07 18:44:17.032462	t	\N
10556	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967314	967711	2019-12-07 18:44:25.042792	t	\N
10557	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970458	970877	2019-12-07 18:44:28.047542	t	\N
10558	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1005505	1008524	2019-12-07 18:45:26.120148	t	\N
10559	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	818183	821242	2019-12-07 18:46:27.203279	t	\N
10560	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	846025	846832	2019-12-07 18:47:04.248199	t	\N
10561	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	851355	851989	2019-12-07 18:47:11.257827	t	\N
10562	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854388	854929	2019-12-07 18:47:14.262157	t	\N
10563	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	862168	865269	2019-12-07 18:47:25.275732	t	\N
10564	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866740	867159	2019-12-07 18:47:27.286345	t	\N
10565	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	872837	886631	2019-12-07 18:47:36.297671	t	\N
10566	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	918947	921966	2019-12-07 18:48:27.360535	t	\N
10567	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	951262	954248	2019-12-07 18:49:13.417212	t	\N
10568	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963308	963727	2019-12-07 18:49:27.435264	t	\N
10569	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	997606	1000951	2019-12-07 18:50:22.508022	t	\N
10570	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1003550	1004002	2019-12-07 18:50:26.514408	t	\N
10571	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	812685	815744	2019-12-07 18:51:25.585294	t	\N
10572	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822547	822941	2019-12-07 18:51:36.59945	t	\N
10573	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	842466	843051	2019-12-07 18:52:04.634782	t	\N
10574	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855185	855604	2019-12-07 18:52:26.666653	t	\N
10575	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	892295	895642	2019-12-07 18:53:25.742013	t	\N
10576	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	897025	897477	2019-12-07 18:53:26.74456	t	\N
10577	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	927898	930884	2019-12-07 18:54:14.807664	t	\N
10578	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938147	938599	2019-12-07 18:54:26.824055	t	\N
10579	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942017	942411	2019-12-07 18:54:31.830717	t	\N
10580	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	977948	980967	2019-12-07 18:55:28.905269	t	\N
10581	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1015483	1018766	2019-12-07 18:56:25.973906	t	\N
10582	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020148	1020600	2019-12-07 18:56:26.976202	t	\N
10583	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	818961	819956	2019-12-07 18:57:03.024349	t	\N
10584	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	824953	825587	2019-12-07 18:57:12.045626	t	\N
10585	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831585	832001	2019-12-07 18:57:21.057422	t	\N
10586	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	835829	836281	2019-12-07 18:57:27.065976	t	\N
10587	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	874253	877374	2019-12-07 18:58:28.144343	t	\N
10588	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	901412	902135	2019-12-07 18:59:05.191025	t	\N
10589	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909134	909531	2019-12-07 18:59:17.213118	t	\N
10590	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916846	917265	2019-12-07 18:59:28.226772	t	\N
10591	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	920714	921255	2019-12-07 18:59:33.233961	t	\N
10592	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	926199	927232	2019-12-07 18:59:41.243066	t	\N
10593	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	949389	951095	2019-12-07 19:00:13.283789	t	\N
10594	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960027	960446	2019-12-07 19:00:28.307955	t	\N
10595	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	990401	993384	2019-12-07 19:01:17.367673	t	\N
10596	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999128	999547	2019-12-07 19:01:26.379107	t	\N
10597	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1031607	1035003	2019-12-07 19:02:17.44193	t	\N
10598	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	814754	815175	2019-12-07 19:02:26.472737	t	\N
10599	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820215	820756	2019-12-07 19:02:33.486899	t	\N
10600	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	56	842265	856075	2019-12-07 19:03:05.526328	t	\N
10601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	866982	867401	2019-12-07 19:03:24.550702	t	\N
10602	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	903620	906644	2019-12-07 19:04:23.624351	t	\N
10603	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907899	908318	2019-12-07 19:04:24.626663	t	\N
10604	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	944248	947267	2019-12-07 19:05:23.708062	t	\N
10605	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	951512	952053	2019-12-07 19:05:29.716274	t	\N
10606	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	32	984296	988097	2019-12-07 19:06:22.782307	t	\N
10607	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	989696	990115	2019-12-07 19:06:23.784736	t	\N
10608	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	999800	1000694	2019-12-07 19:06:40.805835	t	\N
10609	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1020524	1021158	2019-12-07 19:07:09.847026	t	\N
10610	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029045	1029464	2019-12-07 19:07:22.863753	t	\N
10611	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	841391	844450	2019-12-07 19:08:22.936206	t	\N
10612	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848311	848852	2019-12-07 19:08:27.94317	t	\N
10613	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	881997	884983	2019-12-07 19:09:22.0174	t	\N
10614	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887013	887432	2019-12-07 19:09:23.02703	t	\N
10615	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	923087	926106	2019-12-07 19:10:22.10111	t	\N
10616	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	962929	965948	2019-12-07 19:11:22.175294	t	\N
10617	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	971385	971926	2019-12-07 19:11:30.186485	t	\N
10618	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984950	985344	2019-12-07 19:11:46.206382	t	\N
10619	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006453	1006872	2019-12-07 19:12:24.257381	t	\N
10620	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	818989	822048	2019-12-07 19:13:26.340457	t	\N
10621	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	857592	860578	2019-12-07 19:14:24.412222	t	\N
10622	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863810	864229	2019-12-07 19:14:28.418338	t	\N
10623	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870273	870814	2019-12-07 19:14:38.430859	t	\N
10624	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	902275	905294	2019-12-07 19:15:27.498696	t	\N
10625	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	943147	946166	2019-12-07 19:16:28.573075	t	\N
10626	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	975298	978758	2019-12-07 19:17:15.630774	t	\N
10627	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986891	987310	2019-12-07 19:17:28.647898	t	\N
10628	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	990631	991265	2019-12-07 19:17:33.654843	t	\N
10629	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992357	992898	2019-12-07 19:17:34.661881	t	\N
10630	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	996564	1010502	2019-12-07 19:17:39.669012	t	\N
10631	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	1013602	1016687	2019-12-07 19:17:43.674504	t	\N
10632	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	820537	823596	2019-12-07 19:18:28.750853	t	\N
10633	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	861083	864102	2019-12-07 19:19:30.825853	t	\N
10634	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867798	868195	2019-12-07 19:19:36.840244	t	\N
10635	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	900771	903790	2019-12-07 19:20:28.904254	t	\N
10636	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	908790	909331	2019-12-07 19:20:37.916438	t	\N
10637	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	941430	944449	2019-12-07 19:21:28.979749	t	\N
10638	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970267	970661	2019-12-07 19:22:09.029837	t	\N
10639	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980276	980695	2019-12-07 19:22:26.055482	t	\N
10640	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1017301	1020320	2019-12-07 19:23:26.129421	t	\N
10641	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1031523	1032064	2019-12-07 19:23:45.152667	t	\N
10642	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	836157	839216	2019-12-07 19:24:28.229261	t	\N
10643	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848047	848444	2019-12-07 19:24:43.247181	t	\N
10644	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	878296	881315	2019-12-07 19:25:30.310427	t	\N
10645	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	902591	903584	2019-12-07 19:26:02.34998	t	\N
10646	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918814	919233	2019-12-07 19:26:28.383187	t	\N
10647	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	928168	928709	2019-12-07 19:26:44.404086	t	\N
10648	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	945705	946339	2019-12-07 19:27:07.432875	t	\N
10649	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959235	959654	2019-12-07 19:27:30.48561	t	\N
10650	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	997327	1000346	2019-12-07 19:28:32.561612	t	\N
10651	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	1006050	1006839	2019-12-07 19:28:41.573079	t	\N
10652	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1014404	1014820	2019-12-07 19:28:47.58186	t	\N
10653	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	815689	816110	2019-12-07 19:29:30.653168	t	\N
10654	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	821823	822364	2019-12-07 19:29:39.668968	t	\N
10655	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826415	826812	2019-12-07 19:29:45.676853	t	\N
10656	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	844742	845775	2019-12-07 19:30:09.707392	t	\N
10657	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857995	858414	2019-12-07 19:30:31.735084	t	\N
10658	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	895800	898857	2019-12-07 19:31:32.808684	t	\N
10659	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	921753	922147	2019-12-07 19:32:07.859886	t	\N
10660	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937398	937817	2019-12-07 19:32:33.892832	t	\N
10661	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938845	939386	2019-12-07 19:32:34.894449	t	\N
10662	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	951685	952492	2019-12-07 19:32:48.911752	t	\N
10663	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	957559	971433	2019-12-07 19:32:57.923725	t	\N
10664	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992813	993232	2019-12-07 19:33:35.977756	t	\N
10665	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1029206	1032225	2019-12-07 19:34:35.05605	t	\N
10666	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	820352	820751	2019-12-07 19:34:47.096237	t	\N
10667	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846487	847028	2019-12-07 19:35:33.162026	t	\N
10668	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850061	850480	2019-12-07 19:35:37.167267	t	\N
10669	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	885817	888874	2019-12-07 19:36:35.2422	t	\N
10670	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	902550	903184	2019-12-07 19:36:52.264143	t	\N
10671	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926908	927327	2019-12-07 19:37:35.316697	t	\N
10672	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	964570	967589	2019-12-07 19:38:35.3906	t	\N
10673	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969488	970029	2019-12-07 19:38:38.395121	t	\N
10674	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1004776	1007795	2019-12-07 19:39:33.468817	t	\N
10675	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025437	1025834	2019-12-07 19:39:58.499517	t	\N
10676	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	822659	824113	2019-12-07 19:40:30.560225	t	\N
10677	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826891	827310	2019-12-07 19:40:34.5655	t	\N
10678	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	864245	867302	2019-12-07 19:41:34.640779	t	\N
10679	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870501	871042	2019-12-07 19:41:38.653086	t	\N
10680	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875404	875798	2019-12-07 19:41:45.66211	t	\N
10681	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	906831	909850	2019-12-07 19:42:34.721685	t	\N
10682	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	915974	917036	2019-12-07 19:42:45.736076	t	\N
10683	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	947834	950853	2019-12-07 19:43:34.7962	t	\N
10684	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	986688	989707	2019-12-07 19:44:34.875193	t	\N
10685	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991547	992088	2019-12-07 19:44:36.87859	t	\N
10686	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997715	998112	2019-12-07 19:44:45.889973	t	\N
10687	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1029629	1032648	2019-12-07 19:45:36.954245	t	\N
10688	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	849220	852483	2019-12-07 19:46:38.032084	t	\N
10689	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854204	854623	2019-12-07 19:46:39.041253	t	\N
10690	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	889198	892482	2019-12-07 19:47:35.110558	t	\N
10691	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	894725	908657	2019-12-07 19:47:38.114597	t	\N
10692	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910753	911172	2019-12-07 19:47:40.117541	t	\N
10693	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	914980	915729	2019-12-07 19:47:46.125958	t	\N
10694	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	948932	951951	2019-12-07 19:48:39.196761	t	\N
10695	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	955212	958313	2019-12-07 19:48:44.203947	t	\N
10696	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	992238	995257	2019-12-07 19:49:39.270921	t	\N
10697	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997386	997847	2019-12-07 19:49:42.275519	t	\N
10698	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1029322	1032604	2019-12-07 19:50:31.340636	t	\N
10699	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819128	819549	2019-12-07 19:50:41.38	t	\N
10700	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	856987	860044	2019-12-07 19:51:43.456586	t	\N
10701	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877672	878077	2019-12-07 19:52:07.486985	t	\N
10702	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898811	899230	2019-12-07 19:52:45.533407	t	\N
10703	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	904954	905539	2019-12-07 19:52:48.537811	t	\N
10704	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926772	927313	2019-12-07 19:53:26.588713	t	\N
10705	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938319	938738	2019-12-07 19:53:44.611161	t	\N
10706	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946681	947075	2019-12-07 19:53:51.620125	t	\N
10707	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969673	970070	2019-12-07 19:54:32.67015	t	\N
10708	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976244	976663	2019-12-07 19:54:42.682768	t	\N
10709	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1014141	1017160	2019-12-07 19:55:44.763517	t	\N
10710	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1030891	1031884	2019-12-07 19:56:00.783353	t	\N
10711	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	43	1037433	1038067	2019-12-07 19:56:09.795857	t	\N
10712	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	828754	829297	2019-12-07 19:56:26.816492	t	\N
10713	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839420	839839	2019-12-07 19:56:43.838327	t	\N
10714	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	877558	880615	2019-12-07 19:57:44.916126	t	\N
10715	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	917241	920260	2019-12-07 19:58:44.990254	t	\N
10716	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	940751	941784	2019-12-07 19:59:15.028606	t	\N
10717	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	951246	951787	2019-12-07 19:59:32.050104	t	\N
10718	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958471	958890	2019-12-07 19:59:44.065573	t	\N
10719	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960951	961348	2019-12-07 19:59:45.071916	t	\N
10720	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979188	979604	2019-12-07 20:00:10.102849	t	\N
10721	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	997266	997685	2019-12-07 20:00:43.14776	t	\N
10722	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1030538	1033850	2019-12-07 20:01:35.212642	t	\N
10723	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1038020	1038439	2019-12-07 20:01:41.220555	t	\N
10724	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833930	834324	2019-12-07 20:01:59.248263	t	\N
10725	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	851785	852326	2019-12-07 20:02:30.286551	t	\N
10726	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859550	859969	2019-12-07 20:02:43.303118	t	\N
10727	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	880329	894160	2019-12-07 20:03:13.340083	t	\N
10728	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	896891	897640	2019-12-07 20:03:16.344262	t	\N
10729	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	914143	914965	2019-12-07 20:03:45.386372	t	\N
10730	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916021	916440	2019-12-07 20:03:46.388426	t	\N
10731	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	950125	953149	2019-12-07 20:04:39.45286	t	\N
10732	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957028	957447	2019-12-07 20:04:45.460574	t	\N
10733	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	970651	971234	2019-12-07 20:05:01.480156	t	\N
10734	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	992078	992619	2019-12-07 20:05:38.53329	t	\N
10735	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997544	997963	2019-12-07 20:05:45.542229	t	\N
10736	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1012853	1013487	2019-12-07 20:06:04.565376	t	\N
10737	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034276	1034695	2019-12-07 20:06:43.614286	t	\N
10738	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	854621	857680	2019-12-07 20:07:45.690762	t	\N
10739	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	891108	894384	2019-12-07 20:08:39.764407	t	\N
10740	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902496	902915	2019-12-07 20:08:46.773394	t	\N
10741	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	932544	935530	2019-12-07 20:09:39.837716	t	\N
10742	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943912	944331	2019-12-07 20:09:48.849608	t	\N
10743	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	980720	981139	2019-12-07 20:10:47.923643	t	\N
10744	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1006506	1009785	2019-12-07 20:11:32.978231	t	\N
10745	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010991	1011385	2019-12-07 20:11:33.980191	t	\N
10746	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1023361	1023780	2019-12-07 20:11:47.999013	t	\N
10747	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	844312	847371	2019-12-07 20:12:48.073684	t	\N
10748	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	883929	886948	2019-12-07 20:13:48.148495	t	\N
10749	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	907919	910905	2019-12-07 20:14:26.195357	t	\N
10750	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919575	920116	2019-12-07 20:14:40.214381	t	\N
10751	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930285	930704	2019-12-07 20:14:50.226929	t	\N
10752	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	968025	971044	2019-12-07 20:15:50.300694	t	\N
10753	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	972266	972900	2019-12-07 20:15:51.303141	t	\N
10754	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1009858	1012877	2019-12-07 20:16:52.384853	t	\N
10755	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035891	1036432	2019-12-07 20:17:33.43629	t	\N
10756	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	828913	829722	2019-12-07 20:17:46.452589	t	\N
10757	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837913	838332	2019-12-07 20:17:54.463565	t	\N
10758	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	872164	885985	2019-12-07 20:18:48.531486	t	\N
10759	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890997	891416	2019-12-07 20:18:55.540154	t	\N
10760	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905620	906017	2019-12-07 20:19:20.571651	t	\N
10761	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	915402	918487	2019-12-07 20:19:37.59325	t	\N
10762	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933040	933459	2019-12-07 20:19:55.616326	t	\N
10763	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954519	955060	2019-12-07 20:20:32.661583	t	\N
10764	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972150	972569	2019-12-07 20:20:55.696731	t	\N
10765	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997908	998302	2019-12-07 20:21:41.755302	t	\N
10766	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008659	1009078	2019-12-07 20:21:53.771053	t	\N
10767	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	828997	832056	2019-12-07 20:22:51.843695	t	\N
10768	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	852347	853064	2019-12-07 20:23:27.888145	t	\N
10769	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870094	870513	2019-12-07 20:23:50.916558	t	\N
10770	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887651	888048	2019-12-07 20:24:20.954187	t	\N
10771	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908397	908816	2019-12-07 20:24:50.991656	t	\N
10772	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	945588	948607	2019-12-07 20:25:51.089162	t	\N
10773	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	957879	958513	2019-12-07 20:26:06.108673	t	\N
10774	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	968372	968913	2019-12-07 20:26:24.136341	t	\N
10775	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	979844	980837	2019-12-07 20:26:42.158107	t	\N
10776	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988493	988912	2019-12-07 20:26:49.167399	t	\N
10777	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	1003006	1003795	2019-12-07 20:27:12.196877	t	\N
10778	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1027207	1030226	2019-12-07 20:27:49.242654	t	\N
10779	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	852410	855469	2019-12-07 20:28:49.343603	t	\N
10780	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872249	872646	2019-12-07 20:29:18.379379	t	\N
10781	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878571	879112	2019-12-07 20:29:28.39228	t	\N
10782	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	882752	883785	2019-12-07 20:29:33.398664	t	\N
10783	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890140	890556	2019-12-07 20:29:44.413278	t	\N
10784	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898466	898885	2019-12-07 20:29:50.426378	t	\N
10785	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	935688	938707	2019-12-07 20:30:50.500563	t	\N
10786	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	973732	976715	2019-12-07 20:31:49.574297	t	\N
10787	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978897	979316	2019-12-07 20:31:50.576265	t	\N
10788	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	999375	999916	2019-12-07 20:32:27.622116	t	\N
10789	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1011216	1012023	2019-12-07 20:32:46.651388	t	\N
10790	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017077	1017496	2019-12-07 20:32:48.654896	t	\N
10791	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	839299	842358	2019-12-07 20:33:48.747201	t	\N
10792	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853072	853469	2019-12-07 20:34:06.770459	t	\N
10793	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	861907	875775	2019-12-07 20:34:20.787897	t	\N
10794	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895917	896336	2019-12-07 20:34:50.830141	t	\N
10795	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	920927	921468	2019-12-07 20:35:34.88549	t	\N
10796	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935258	935677	2019-12-07 20:35:50.905523	t	\N
10797	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	44	948557	949191	2019-12-07 20:36:13.934254	t	\N
10798	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	974466	977485	2019-12-07 20:36:52.983428	t	\N
10799	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1013945	1016964	2019-12-07 20:37:53.065419	t	\N
10800	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	825569	826112	2019-12-07 20:38:33.135608	t	\N
10801	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	838751	840203	2019-12-07 20:38:49.156951	t	\N
10802	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842942	843361	2019-12-07 20:38:52.161172	t	\N
10803	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854491	854888	2019-12-07 20:39:10.184921	t	\N
10804	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	882039	885096	2019-12-07 20:39:54.242774	t	\N
10805	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	921679	924698	2019-12-07 20:40:54.318411	t	\N
10806	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	945702	946243	2019-12-07 20:41:30.363949	t	\N
10807	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962956	963375	2019-12-07 20:41:54.393737	t	\N
10808	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974592	974986	2019-12-07 20:42:13.417915	t	\N
10809	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1000667	1003686	2019-12-07 20:42:54.472357	t	\N
10810	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	824976	828035	2019-12-07 20:43:52.565952	t	\N
10811	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	838052	838449	2019-12-07 20:44:09.588382	t	\N
10812	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851579	852120	2019-12-07 20:44:31.615299	t	\N
10813	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867673	868092	2019-12-07 20:44:52.642148	t	\N
10814	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904733	907880	2019-12-07 20:45:52.722003	t	\N
10815	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	934960	935594	2019-12-07 20:46:40.781137	t	\N
10816	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945223	945642	2019-12-07 20:46:50.794134	t	\N
10817	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965646	966187	2019-12-07 20:47:26.837966	t	\N
10818	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983392	983811	2019-12-07 20:47:50.868742	t	\N
10819	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	995954	996761	2019-12-07 20:48:11.900029	t	\N
10820	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1021193	1021612	2019-12-07 20:48:49.946976	t	\N
10821	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1027591	1030692	2019-12-07 20:48:59.960044	t	\N
10822	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033070	1033467	2019-12-07 20:49:00.962119	t	\N
10823	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	839831	853627	2019-12-07 20:49:37.006805	t	\N
10824	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863123	863542	2019-12-07 20:49:47.02465	t	\N
10825	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	885666	889052	2019-12-07 20:50:26.072911	t	\N
10826	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905937	906356	2019-12-07 20:50:49.103515	t	\N
10827	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	925404	928578	2019-12-07 20:51:22.145048	t	\N
10828	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946367	946786	2019-12-07 20:51:47.176033	t	\N
10829	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964396	964790	2019-12-07 20:52:17.218777	t	\N
10830	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984610	985029	2019-12-07 20:52:47.256346	t	\N
10831	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1007081	1010364	2019-12-07 20:53:26.305302	t	\N
10832	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025992	1026411	2019-12-07 20:53:47.330314	t	\N
10833	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826451	826850	2019-12-07 20:54:09.378844	t	\N
10834	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837370	837764	2019-12-07 20:54:26.40474	t	\N
10835	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853225	853644	2019-12-07 20:54:47.432193	t	\N
10836	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	30	878600	882933	2019-12-07 20:55:32.487875	t	\N
10837	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895461	895880	2019-12-07 20:55:47.507004	t	\N
10838	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	897636	898629	2019-12-07 20:55:50.511733	t	\N
10839	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	914869	915503	2019-12-07 20:56:17.549924	t	\N
10840	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923679	924220	2019-12-07 20:56:31.568308	t	\N
10841	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	937676	938128	2019-12-07 20:56:48.590455	t	\N
10842	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	974895	977914	2019-12-07 20:57:48.66338	t	\N
10843	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	990053	991108	2019-12-07 20:58:08.687422	t	\N
10844	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017198	1017617	2019-12-07 20:58:50.73995	t	\N
10845	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1035836	826983	2019-12-07 20:59:21.777061	t	\N
10846	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836178	836719	2019-12-07 20:59:37.797431	t	\N
10847	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847893	848312	2019-12-07 20:59:50.813953	t	\N
10848	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	870358	873412	2019-12-07 21:00:29.862793	t	\N
10849	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888133	888585	2019-12-07 21:00:48.887628	t	\N
10850	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	905764	906487	2019-12-07 21:01:17.924112	t	\N
10851	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	927083	927535	2019-12-07 21:01:48.964263	t	\N
10852	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933622	934016	2019-12-07 21:01:58.977364	t	\N
10853	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954045	954586	2019-12-07 21:02:35.024623	t	\N
10854	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	957258	958131	2019-12-07 21:02:38.034855	t	\N
10855	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	959499	960234	2019-12-07 21:02:39.036952	t	\N
10856	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969267	969686	2019-12-07 21:02:48.04802	t	\N
10857	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1005940	1008959	2019-12-07 21:03:47.123306	t	\N
10858	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	80	1013028	1026896	2019-12-07 21:03:53.132743	t	\N
10859	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831322	831721	2019-12-07 21:04:21.192828	t	\N
10860	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850700	851119	2019-12-07 21:04:48.226082	t	\N
10861	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	876175	879489	2019-12-07 21:05:32.282276	t	\N
10862	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	881176	881759	2019-12-07 21:05:34.285356	t	\N
10863	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893506	893925	2019-12-07 21:05:47.301643	t	\N
10864	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	911108	911742	2019-12-07 21:06:17.344609	t	\N
10865	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	933148	933567	2019-12-07 21:06:49.385674	t	\N
10866	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	969256	972275	2019-12-07 21:07:47.457813	t	\N
10867	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	994787	998066	2019-12-07 21:08:27.507663	t	\N
10868	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1014196	1014615	2019-12-07 21:08:49.536165	t	\N
10869	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1033699	1036685	2019-12-07 21:09:23.578413	t	\N
10870	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843826	844247	2019-12-07 21:09:47.608875	t	\N
10871	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	876777	879834	2019-12-07 21:10:46.682345	t	\N
10872	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	907860	911207	2019-12-07 21:11:29.737059	t	\N
10873	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926474	926893	2019-12-07 21:11:48.760411	t	\N
10874	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	946430	949413	2019-12-07 21:12:22.802402	t	\N
10875	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967914	968333	2019-12-07 21:12:49.836362	t	\N
10876	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1005192	1008211	2019-12-07 21:13:48.907739	t	\N
10877	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1026504	1027045	2019-12-07 21:14:21.947907	t	\N
10878	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035386	1035783	2019-12-07 21:14:34.964673	t	\N
10879	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838393	838814	2019-12-07 21:14:50.990209	t	\N
10880	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	874852	877909	2019-12-07 21:15:50.064337	t	\N
10881	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	891747	892381	2019-12-07 21:16:13.094947	t	\N
10882	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	916430	916849	2019-12-07 21:16:50.145693	t	\N
10883	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	933425	933966	2019-12-07 21:17:18.181188	t	\N
10884	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	948049	948856	2019-12-07 21:17:43.217419	t	\N
10885	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957456	957875	2019-12-07 21:17:52.228611	t	\N
10886	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	79	988279	1004758	2019-12-07 21:18:46.296238	t	\N
10887	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013575	1013994	2019-12-07 21:18:54.307122	t	\N
10888	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037087	1037484	2019-12-07 21:19:34.357357	t	\N
10889	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843990	844411	2019-12-07 21:19:55.388505	t	\N
10890	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855638	856179	2019-12-07 21:20:13.412464	t	\N
10891	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	860776	863925	2019-12-07 21:20:21.422661	t	\N
10892	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	886636	889693	2019-12-07 21:20:55.466082	t	\N
10893	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	925945	928964	2019-12-07 21:21:54.540231	t	\N
10894	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937766	938160	2019-12-07 21:22:08.567818	t	\N
10895	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	967021	970040	2019-12-07 21:22:53.622949	t	\N
10896	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985275	985816	2019-12-07 21:23:20.656104	t	\N
10897	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1007812	1010831	2019-12-07 21:23:53.698142	t	\N
10898	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030636	1031033	2019-12-07 21:24:28.739808	t	\N
10899	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841209	841630	2019-12-07 21:24:55.778288	t	\N
10900	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	864914	865907	2019-12-07 21:25:37.831204	t	\N
10901	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	878752	879386	2019-12-07 21:25:52.850347	t	\N
10902	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881059	881478	2019-12-07 21:25:53.852339	t	\N
10903	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892007	892548	2019-12-07 21:26:12.874989	t	\N
10904	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	920396	923453	2019-12-07 21:26:55.933852	t	\N
10905	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	942142	942953	2019-12-07 21:27:28.973975	t	\N
10906	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961466	961885	2019-12-07 21:27:56.008775	t	\N
10907	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	998752	1001771	2019-12-07 21:28:56.086538	t	\N
10908	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1005924	1006957	2019-12-07 21:29:02.094659	t	\N
10909	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010055	1010596	2019-12-07 21:29:06.104427	t	\N
10910	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023065	1023462	2019-12-07 21:29:27.147248	t	\N
10911	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836305	836726	2019-12-07 21:29:56.186193	t	\N
10912	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	873520	876577	2019-12-07 21:30:57.265014	t	\N
10913	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881614	882030	2019-12-07 21:31:03.272953	t	\N
10914	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	915142	918161	2019-12-07 21:31:59.345646	t	\N
10915	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	927054	927595	2019-12-07 21:32:14.364444	t	\N
10916	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	940477	940871	2019-12-07 21:32:37.402335	t	\N
10917	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	815074	815495	2019-12-07 21:33:00.552837	t	\N
10918	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	817942	831810	2019-12-07 21:33:03.556987	t	\N
10919	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	836940	837689	2019-12-07 21:33:12.573903	t	\N
10920	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	868324	871381	2019-12-07 21:34:00.630865	t	\N
10921	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881891	882288	2019-12-07 21:34:18.653207	t	\N
10922	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	908739	911758	2019-12-07 21:35:00.704415	t	\N
10923	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920472	921013	2019-12-07 21:35:14.721793	t	\N
10924	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	943671	944305	2019-12-07 21:35:48.769107	t	\N
10925	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950800	951219	2019-12-07 21:35:59.782521	t	\N
10926	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	988175	991194	2019-12-07 21:36:59.85565	t	\N
10927	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1029230	1032249	2019-12-07 21:38:00.930819	t	\N
10928	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	1038370	811043	2019-12-07 21:38:10.943941	t	\N
10929	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	842503	845560	2019-12-07 21:39:01.012492	t	\N
10930	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855116	855513	2019-12-07 21:39:18.034616	t	\N
10931	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	883496	886515	2019-12-07 21:40:01.090308	t	\N
10932	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	899565	901017	2019-12-07 21:40:24.120699	t	\N
10933	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	925622	926041	2019-12-07 21:41:02.168105	t	\N
10934	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	929159	929700	2019-12-07 21:41:06.178874	t	\N
10935	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	965283	968430	2019-12-07 21:42:04.251319	t	\N
10936	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977452	977846	2019-12-07 21:42:19.270077	t	\N
10937	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1006701	1009720	2019-12-07 21:43:04.32473	t	\N
10938	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	820185	823244	2019-12-07 21:44:06.401382	t	\N
10939	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	826180	827058	2019-12-07 21:44:09.406042	t	\N
10940	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836995	837392	2019-12-07 21:44:28.429395	t	\N
10941	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863474	863893	2019-12-07 21:45:07.477843	t	\N
10942	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	875466	876528	2019-12-07 21:45:27.502897	t	\N
10943	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	885901	886557	2019-12-07 21:45:43.523316	t	\N
10944	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905696	906148	2019-12-07 21:46:09.556624	t	\N
10945	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	940653	943935	2019-12-07 21:47:05.626988	t	\N
10946	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945966	946385	2019-12-07 21:47:08.631575	t	\N
10947	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	959265	960072	2019-12-07 21:47:30.659022	t	\N
10948	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986013	986432	2019-12-07 21:48:10.707097	t	\N
10949	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	57	993343	1007217	2019-12-07 21:48:22.726425	t	\N
10950	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1037841	814789	2019-12-07 21:49:10.784192	t	\N
10951	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825880	826277	2019-12-07 21:49:29.80786	t	\N
10952	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846148	846689	2019-12-07 21:49:59.8444	t	\N
10953	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	853534	853953	2019-12-07 21:50:09.857611	t	\N
10954	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	889442	892461	2019-12-07 21:51:08.929944	t	\N
10955	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	902983	906084	2019-12-07 21:51:25.950175	t	\N
10956	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932709	933128	2019-12-07 21:52:08.001308	t	\N
10957	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934156	934550	2019-12-07 21:52:09.00334	t	\N
10958	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	945488	946073	2019-12-07 21:52:27.02515	t	\N
10959	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	966904	967445	2019-12-07 21:52:59.070932	t	\N
10960	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	972760	973179	2019-12-07 21:53:05.079678	t	\N
10961	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1009024	1012043	2019-12-07 21:54:05.15477	t	\N
10962	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024736	1025133	2019-12-07 21:54:28.182526	t	\N
10963	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1027284	1028277	2019-12-07 21:54:30.185818	t	\N
10964	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	826679	827100	2019-12-07 21:55:07.235783	t	\N
10965	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	840424	841058	2019-12-07 21:55:30.266065	t	\N
10966	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862773	863314	2019-12-07 21:56:03.306113	t	\N
10967	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866495	866914	2019-12-07 21:56:07.311209	t	\N
10968	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	903503	906524	2019-12-07 21:57:06.383746	t	\N
10969	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908238	908657	2019-12-07 21:57:08.393283	t	\N
10970	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	943483	947105	2019-12-07 21:58:05.462362	t	\N
10971	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948702	949121	2019-12-07 21:58:07.465688	t	\N
10972	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	985317	988336	2019-12-07 21:59:07.54323	t	\N
10973	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991162	991703	2019-12-07 21:59:10.547587	t	\N
10974	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001241	1001638	2019-12-07 21:59:26.574152	t	\N
10975	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1010110	1010833	2019-12-07 21:59:40.59149	t	\N
10976	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030422	1030874	2019-12-07 22:00:09.627151	t	\N
10977	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	824318	825193	2019-12-07 22:00:41.666049	t	\N
10978	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844417	844836	2019-12-07 22:01:08.699816	t	\N
10979	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	873592	874327	2019-12-07 22:01:54.761009	t	\N
10980	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882318	882737	2019-12-07 22:02:06.77585	t	\N
10981	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	884535	885076	2019-12-07 22:02:08.778938	t	\N
10982	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888528	888944	2019-12-07 22:02:13.785618	t	\N
10983	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891336	891730	2019-12-07 22:02:15.788584	t	\N
10984	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	924423	927480	2019-12-07 22:03:08.857677	t	\N
10985	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	931125	944993	2019-12-07 22:03:13.865115	t	\N
10986	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	980275	983294	2019-12-07 22:04:10.93531	t	\N
10987	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991869	992266	2019-12-07 22:04:25.953874	t	\N
10988	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1016081	1016715	2019-12-07 22:05:03.001421	t	\N
10989	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1021249	1021960	2019-12-07 22:05:10.011046	t	\N
10990	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024135	1024554	2019-12-07 22:05:12.014091	t	\N
10991	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	837835	841047	2019-12-07 22:06:13.110181	t	\N
10992	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	842295	842747	2019-12-07 22:06:14.112374	t	\N
10993	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	878877	882075	2019-12-07 22:07:14.186106	t	\N
10994	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	918113	921393	2019-12-07 22:08:12.262721	t	\N
10995	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924441	924860	2019-12-07 22:08:16.268542	t	\N
10996	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	960832	963851	2019-12-07 22:09:15.340132	t	\N
10997	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968621	969018	2019-12-07 22:09:22.349378	t	\N
10998	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1001646	1004729	2019-12-07 22:10:15.418351	t	\N
10999	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	814821	818141	2019-12-07 22:11:10.512553	t	\N
11000	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820691	821110	2019-12-07 22:11:13.516543	t	\N
11001	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	849389	852372	2019-12-07 22:11:59.572279	t	\N
11002	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860798	861217	2019-12-07 22:12:12.588956	t	\N
11003	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	898091	901110	2019-12-07 22:13:14.666323	t	\N
11004	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	934133	937408	2019-12-07 22:14:06.735318	t	\N
11005	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941961	942380	2019-12-07 22:14:12.74329	t	\N
11006	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	952043	952462	2019-12-07 22:14:29.765369	t	\N
11007	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978711	979130	2019-12-07 22:15:10.817132	t	\N
11008	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	986449	987083	2019-12-07 22:15:23.832863	t	\N
11009	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1017694	1020905	2019-12-07 22:16:12.899021	t	\N
11010	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	828713	832149	2019-12-07 22:17:02.961541	t	\N
11011	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838380	838921	2019-12-07 22:17:11.974257	t	\N
11012	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840599	841018	2019-12-07 22:17:13.977528	t	\N
11013	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	877137	880156	2019-12-07 22:18:12.049571	t	\N
11014	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	83	891229	905097	2019-12-07 22:18:32.081577	t	\N
11015	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931267	931686	2019-12-07 22:19:12.13085	t	\N
11016	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946036	946433	2019-12-07 22:19:39.164618	t	\N
11017	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969495	969914	2019-12-07 22:20:13.206531	t	\N
11018	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971006	971547	2019-12-07 22:20:14.208454	t	\N
11019	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	1007880	1010899	2019-12-07 22:21:13.286889	t	\N
11020	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	818206	821229	2019-12-07 22:22:02.347001	t	\N
11021	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	827959	828378	2019-12-07 22:22:13.362287	t	\N
11022	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	852030	855142	2019-12-07 22:22:50.408273	t	\N
11023	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868610	869029	2019-12-07 22:23:12.435389	t	\N
11024	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870388	870929	2019-12-07 22:23:14.443456	t	\N
11025	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	907545	910564	2019-12-07 22:24:13.515833	t	\N
11026	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917704	918101	2019-12-07 22:24:26.531791	t	\N
11027	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	923949	924738	2019-12-07 22:24:35.543091	t	\N
11028	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950163	950582	2019-12-07 22:25:14.593412	t	\N
11029	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	954657	955291	2019-12-07 22:25:21.607049	t	\N
11030	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	963255	964248	2019-12-07 22:25:34.624241	t	\N
11031	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990479	990898	2019-12-07 22:26:14.67416	t	\N
11032	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994366	994907	2019-12-07 22:26:20.681767	t	\N
11033	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1028768	1031787	2019-12-07 22:27:14.748094	t	\N
11034	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	845359	848418	2019-12-07 22:28:12.845856	t	\N
11035	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	866451	867484	2019-12-07 22:28:45.887328	t	\N
11036	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888053	888472	2019-12-07 22:29:14.923605	t	\N
11037	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889840	890381	2019-12-07 22:29:15.925675	t	\N
11038	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893773	894170	2019-12-07 22:29:20.931935	t	\N
11039	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	927304	930323	2019-12-07 22:30:13.002763	t	\N
11040	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	967840	970859	2019-12-07 22:31:14.080413	t	\N
11041	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	984933	985740	2019-12-07 22:31:39.110938	t	\N
11042	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994901	995295	2019-12-07 22:31:48.122864	t	\N
11043	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010433	1010852	2019-12-07 22:32:14.156039	t	\N
11044	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1012008	1012549	2019-12-07 22:32:15.162508	t	\N
11045	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1036959	1037375	2019-12-07 22:32:52.208864	t	\N
11046	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	823023	836835	2019-12-07 22:33:03.243507	t	\N
11047	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843112	843531	2019-12-07 22:33:14.257945	t	\N
11048	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	881022	884079	2019-12-07 22:34:16.332968	t	\N
11049	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886923	887320	2019-12-07 22:34:20.345325	t	\N
11050	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	917589	920936	2019-12-07 22:35:08.403778	t	\N
11051	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925642	926061	2019-12-07 22:35:16.414307	t	\N
11052	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	941915	942549	2019-12-07 22:35:44.447749	t	\N
11053	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	963857	964276	2019-12-07 22:36:14.485581	t	\N
11054	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1000748	1003767	2019-12-07 22:37:14.5626	t	\N
11055	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	817727	821051	2019-12-07 22:38:13.635025	t	\N
11056	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822321	822740	2019-12-07 22:38:14.636941	t	\N
11057	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	857734	860753	2019-12-07 22:39:12.709398	t	\N
11058	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873280	873677	2019-12-07 22:39:33.735832	t	\N
11059	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898627	899046	2019-12-07 22:40:12.788484	t	\N
11060	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	935705	939810	2019-12-07 22:41:12.860922	t	\N
11061	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941533	941952	2019-12-07 22:41:13.863532	t	\N
11062	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943320	943861	2019-12-07 22:41:14.865447	t	\N
11063	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948190	948584	2019-12-07 22:41:21.874512	t	\N
11064	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	980031	983050	2019-12-07 22:42:12.940824	t	\N
11065	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1020877	1023896	2019-12-07 22:43:14.052044	t	\N
11066	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	839830	842889	2019-12-07 22:44:15.149569	t	\N
11067	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846059	846600	2019-12-07 22:44:19.155682	t	\N
11068	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857620	858017	2019-12-07 22:44:38.180372	t	\N
11069	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882344	882763	2019-12-07 22:45:16.232324	t	\N
11070	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	910144	913367	2019-12-07 22:45:58.286726	t	\N
11071	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923383	923802	2019-12-07 22:46:16.3091	t	\N
11072	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	940233	941040	2019-12-07 22:46:46.344284	t	\N
11073	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	959088	959629	2019-12-07 22:47:11.375634	t	\N
11074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963288	963707	2019-12-07 22:47:16.388819	t	\N
11075	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	999634	1002653	2019-12-07 22:48:15.463753	t	\N
11076	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	1008339	1022207	2019-12-07 22:48:24.475467	t	\N
11077	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	832830	835889	2019-12-07 22:49:13.53637	t	\N
11078	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851733	852130	2019-12-07 22:49:42.572772	t	\N
11079	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	869050	869591	2019-12-07 22:50:03.604083	t	\N
11080	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876029	876448	2019-12-07 22:50:14.617823	t	\N
11081	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	880053	881759	2019-12-07 22:50:19.624669	t	\N
11082	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	916002	919021	2019-12-07 22:51:14.693998	t	\N
11083	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924771	925165	2019-12-07 22:51:23.705173	t	\N
11084	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	942905	943490	2019-12-07 22:51:49.741118	t	\N
11085	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958570	958989	2019-12-07 22:52:15.772994	t	\N
11086	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985619	986160	2019-12-07 22:52:57.823794	t	\N
11087	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996904	997323	2019-12-07 22:53:15.84559	t	\N
11088	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	32	1026568	1032269	2019-12-07 22:54:01.900704	t	\N
11089	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	821650	822071	2019-12-07 22:54:16.926751	t	\N
11090	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844255	844652	2019-12-07 22:54:49.968126	t	\N
11091	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	860544	860963	2019-12-07 22:55:18.003956	t	\N
11092	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	875237	875871	2019-12-07 22:55:43.03544	t	\N
11093	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888196	888737	2019-12-07 22:55:58.055248	t	\N
11094	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892507	892901	2019-12-07 22:56:02.06059	t	\N
11095	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901928	902347	2019-12-07 22:56:18.080116	t	\N
11096	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	910702	911695	2019-12-07 22:56:33.099	t	\N
11097	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941628	942047	2019-12-07 22:57:20.156844	t	\N
11098	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	978815	981872	2019-12-07 22:58:20.229383	t	\N
11099	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005455	1005996	2019-12-07 22:58:56.279371	t	\N
11100	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019986	1020405	2019-12-07 22:59:20.307433	t	\N
11101	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1032655	1033052	2019-12-07 22:59:42.339573	t	\N
11102	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	827158	828193	2019-12-07 22:59:58.359275	t	\N
11103	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840360	840779	2019-12-07 23:00:18.384069	t	\N
11104	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	865022	865745	2019-12-07 23:00:55.434844	t	\N
11105	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866791	867185	2019-12-07 23:00:56.436622	t	\N
11106	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	879098	879517	2019-12-07 23:01:16.462078	t	\N
11107	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	902558	903099	2019-12-07 23:01:51.505865	t	\N
11108	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	906821	907694	2019-12-07 23:01:56.512343	t	\N
11109	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919468	919887	2019-12-07 23:02:17.543264	t	\N
11110	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	927139	927874	2019-12-07 23:02:29.558412	t	\N
11111	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	937126	950899	2019-12-07 23:02:45.578783	t	\N
11112	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	973208	973627	2019-12-07 23:03:18.62068	t	\N
11113	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978303	978719	2019-12-07 23:03:25.629683	t	\N
11114	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1012661	1015718	2019-12-07 23:04:20.701917	t	\N
11115	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037117	1037658	2019-12-07 23:04:53.744327	t	\N
11116	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	822440	822839	2019-12-07 23:04:55.748165	t	\N
11117	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836885	837304	2019-12-07 23:05:19.778703	t	\N
11118	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	867572	870833	2019-12-07 23:06:08.839139	t	\N
11119	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878108	878527	2019-12-07 23:06:19.859624	t	\N
11120	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	29	910294	913466	2019-12-07 23:07:10.921391	t	\N
11121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920154	920573	2019-12-07 23:07:21.935125	t	\N
11122	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	940646	941187	2019-12-07 23:07:50.971685	t	\N
11123	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958754	959173	2019-12-07 23:08:22.009385	t	\N
11124	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	994794	997813	2019-12-07 23:09:20.087348	t	\N
11125	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1026910	1029896	2019-12-07 23:10:07.14552	t	\N
11126	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036431	1036850	2019-12-07 23:10:18.159658	t	\N
11127	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827089	827485	2019-12-07 23:10:30.175274	t	\N
11128	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845378	845919	2019-12-07 23:10:56.207081	t	\N
11129	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858577	858996	2019-12-07 23:11:17.238291	t	\N
11130	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	895153	898210	2019-12-07 23:12:16.311175	t	\N
11131	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	933429	936448	2019-12-07 23:13:14.382207	t	\N
11132	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961060	961601	2019-12-07 23:13:51.428328	t	\N
11133	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	974033	974452	2019-12-07 23:14:12.45391	t	\N
11134	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1011524	1014543	2019-12-07 23:15:12.532552	t	\N
11135	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018397	1018794	2019-12-07 23:15:18.540532	t	\N
11136	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	830994	834257	2019-12-07 23:16:03.595079	t	\N
11137	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841040	841459	2019-12-07 23:16:14.609292	t	\N
11138	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859062	859603	2019-12-07 23:16:45.647822	t	\N
11139	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	876760	890628	2019-12-07 23:17:09.684739	t	\N
11140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893728	894147	2019-12-07 23:17:13.690614	t	\N
11141	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	918386	919135	2019-12-07 23:17:50.736328	t	\N
11142	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932241	932660	2019-12-07 23:18:13.76503	t	\N
11143	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	968588	971607	2019-12-07 23:19:12.836398	t	\N
11144	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987568	988109	2019-12-07 23:19:41.89626	t	\N
11145	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008584	1009003	2019-12-07 23:20:10.932176	t	\N
11146	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016640	1017037	2019-12-07 23:20:24.949843	t	\N
11147	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034522	1034916	2019-12-07 23:20:49.981765	t	\N
11148	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830213	830634	2019-12-07 23:21:08.00585	t	\N
11149	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	867911	870968	2019-12-07 23:22:09.086875	t	\N
11150	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	889460	890001	2019-12-07 23:22:42.129043	t	\N
11151	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	907884	908303	2019-12-07 23:23:07.161042	t	\N
11152	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	944576	947595	2019-12-07 23:24:07.233058	t	\N
11153	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	963629	966730	2019-12-07 23:24:35.269757	t	\N
11154	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	969874	970663	2019-12-07 23:24:40.283293	t	\N
11155	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990416	990835	2019-12-07 23:25:07.318558	t	\N
11156	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997600	997997	2019-12-07 23:25:18.332336	t	\N
11157	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1018931	1019472	2019-12-07 23:25:50.371918	t	\N
11158	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	1021580	1022214	2019-12-07 23:25:51.375388	t	\N
11159	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030499	1030918	2019-12-07 23:26:05.392918	t	\N
11160	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	826893	827888	2019-12-07 23:26:24.416307	t	\N
11161	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	854380	857437	2019-12-07 23:27:05.467507	t	\N
11162	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	893598	896617	2019-12-07 23:28:05.540468	t	\N
11163	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	915820	916853	2019-12-07 23:28:40.582616	t	\N
11164	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919227	919768	2019-12-07 23:28:43.595023	t	\N
11165	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937294	937713	2019-12-07 23:29:06.623779	t	\N
11166	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	974866	977885	2019-12-07 23:30:08.69887	t	\N
11167	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	979354	979751	2019-12-07 23:30:10.70257	t	\N
11168	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994658	995052	2019-12-07 23:30:36.734814	t	\N
11169	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015996	1016415	2019-12-07 23:31:06.776472	t	\N
11170	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	86	1030185	830142	2019-12-07 23:31:31.806971	t	\N
11171	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	833966	834507	2019-12-07 23:31:37.814639	t	\N
11172	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853743	854162	2019-12-07 23:32:05.849415	t	\N
11173	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864427	864843	2019-12-07 23:32:22.869913	t	\N
11174	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	874659	875408	2019-12-07 23:32:39.897793	t	\N
11175	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895205	895624	2019-12-07 23:33:07.932204	t	\N
11176	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	930793	933850	2019-12-07 23:34:06.005015	t	\N
11177	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	953163	953704	2019-12-07 23:34:41.050156	t	\N
11178	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967479	967876	2019-12-07 23:34:57.070189	t	\N
11179	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973261	973680	2019-12-07 23:35:06.087131	t	\N
11180	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1001263	1001897	2019-12-07 23:35:50.140419	t	\N
11181	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1011401	1011853	2019-12-07 23:36:05.160481	t	\N
11182	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836059	839118	2019-12-07 23:37:07.255935	t	\N
11183	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	854516	855057	2019-12-07 23:37:36.291571	t	\N
11184	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877771	878190	2019-12-07 23:38:09.339125	t	\N
11185	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	913633	916652	2019-12-07 23:39:07.410612	t	\N
11186	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	949581	949978	2019-12-07 23:40:01.478907	t	\N
11187	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954403	954822	2019-12-07 23:40:07.486816	t	\N
11188	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974795	975336	2019-12-07 23:40:44.533133	t	\N
11189	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984881	985275	2019-12-07 23:40:53.551137	t	\N
11190	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994777	995196	2019-12-07 23:41:08.570526	t	\N
11191	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1013799	1015251	2019-12-07 23:41:42.61148	t	\N
11192	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033429	1033848	2019-12-07 23:42:07.641633	t	\N
11193	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	857604	860663	2019-12-07 23:43:08.716416	t	\N
11194	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	887679	888220	2019-12-07 23:43:50.773493	t	\N
11195	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900268	900687	2019-12-07 23:44:10.799458	t	\N
11196	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	937380	940366	2019-12-07 23:45:11.873995	t	\N
11197	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942215	942634	2019-12-07 23:45:12.875765	t	\N
11198	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	957503	958137	2019-12-07 23:45:39.908529	t	\N
11199	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	976796	990664	2019-12-07 23:46:06.947709	t	\N
11200	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	995639	996058	2019-12-07 23:46:13.957536	t	\N
11201	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1014690	1015687	2019-12-07 23:46:47.998683	t	\N
11202	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1024427	1024968	2019-12-07 23:46:57.010663	t	\N
11203	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035515	1035934	2019-12-07 23:47:15.032271	t	\N
11204	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	861266	864325	2019-12-07 23:48:15.136721	t	\N
11205	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	867239	868046	2019-12-07 23:48:19.142337	t	\N
11206	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	902936	905955	2019-12-07 23:49:16.215879	t	\N
11207	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932920	933461	2019-12-07 23:49:58.267976	t	\N
11208	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941538	941957	2019-12-07 23:50:11.284754	t	\N
11209	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	944843	945262	2019-12-07 23:50:15.291014	t	\N
11210	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951897	952291	2019-12-07 23:50:27.30553	t	\N
11211	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	983536	986555	2019-12-07 23:51:15.365119	t	\N
11212	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	990229	990814	2019-12-07 23:51:21.372887	t	\N
11213	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1024113	1027132	2019-12-07 23:52:14.438693	t	\N
11214	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846008	846551	2019-12-07 23:53:01.52326	t	\N
11215	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855302	855721	2019-12-07 23:53:16.568433	t	\N
11216	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	892357	895414	2019-12-07 23:54:16.640929	t	\N
11217	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922634	923031	2019-12-07 23:54:59.693813	t	\N
11218	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934408	934827	2019-12-07 23:55:18.71733	t	\N
11219	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	946532	949633	2019-12-07 23:55:39.747523	t	\N
11220	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	959392	960026	2019-12-07 23:55:50.761455	t	\N
11221	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	966980	967521	2019-12-07 23:56:01.775955	t	\N
11222	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977567	977986	2019-12-07 23:56:17.795819	t	\N
11223	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	979345	979739	2019-12-07 23:56:19.799072	t	\N
11224	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1013730	1016749	2019-12-07 23:57:15.87046	t	\N
11225	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1023165	1024158	2019-12-07 23:57:26.884599	t	\N
11226	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	845725	848784	2019-12-07 23:58:16.945032	t	\N
11227	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	873141	874174	2019-12-07 23:58:54.992505	t	\N
11228	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	879213	879754	2019-12-07 23:59:02.002566	t	\N
11229	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	885013	885736	2019-12-07 23:59:09.012036	t	\N
11230	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890123	890542	2019-12-07 23:59:16.021625	t	\N
11231	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	912762	913159	2019-12-07 23:59:51.06439	t	\N
11232	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918795	919189	2019-12-07 23:59:59.075648	t	\N
11233	Jobs::ScheduleBackup	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	920134	920579	2019-12-08 00:00:00.079993	t	\N
11234	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930793	931212	2019-12-08 00:00:17.109584	t	\N
11235	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	943261	944134	2019-12-08 00:00:38.143186	t	\N
11236	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970274	970693	2019-12-08 00:01:19.195277	t	\N
11237	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	56	979068	992926	2019-12-08 00:01:33.212716	t	\N
11238	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1016136	1016677	2019-12-08 00:02:08.256268	t	\N
11239	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023028	1023447	2019-12-08 00:02:18.275257	t	\N
11240	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841270	841688	2019-12-08 00:03:02.329618	t	\N
11241	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851693	852112	2019-12-08 00:03:19.350609	t	\N
11242	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	865587	866322	2019-12-08 00:03:43.381231	t	\N
11243	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889909	890328	2019-12-08 00:04:18.424085	t	\N
11244	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	917391	917932	2019-12-08 00:05:01.481434	t	\N
11245	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920928	921325	2019-12-08 00:05:04.48605	t	\N
11246	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928061	928480	2019-12-08 00:05:16.500467	t	\N
11247	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	939216	939850	2019-12-08 00:05:35.524537	t	\N
11248	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965899	966318	2019-12-08 00:06:15.572966	t	\N
11249	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1003704	1006761	2019-12-08 00:07:17.653062	t	\N
11250	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1030905	1031446	2019-12-08 00:07:54.698486	t	\N
11251	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	1035443	1036026	2019-12-08 00:07:59.705191	t	\N
11252	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839094	839515	2019-12-08 00:08:18.728548	t	\N
11253	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	876726	879783	2019-12-08 00:09:20.805232	t	\N
11254	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900268	900665	2019-12-08 00:09:50.849405	t	\N
11255	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914466	914860	2019-12-08 00:10:13.878548	t	\N
11256	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918935	919354	2019-12-08 00:10:20.887477	t	\N
11257	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	940523	941075	2019-12-08 00:10:51.925016	t	\N
11258	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958384	958803	2019-12-08 00:11:20.961187	t	\N
11259	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	994715	997734	2019-12-08 00:12:20.040553	t	\N
11260	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1032728	1035747	2019-12-08 00:13:18.111566	t	\N
11261	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853606	854149	2019-12-08 00:13:58.179569	t	\N
11262	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865580	865999	2019-12-08 00:14:17.202706	t	\N
11263	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877117	877514	2019-12-08 00:14:36.226148	t	\N
11264	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	900801	901435	2019-12-08 00:15:11.273984	t	\N
11265	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905098	905517	2019-12-08 00:15:16.28131	t	\N
11266	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	941398	944455	2019-12-08 00:16:16.354929	t	\N
11267	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	966880	967421	2019-12-08 00:16:51.398986	t	\N
11268	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	57	969206	983085	2019-12-08 00:16:52.401081	t	\N
11269	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997018	997437	2019-12-08 00:17:15.429543	t	\N
11270	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1034184	1037203	2019-12-08 00:18:15.502824	t	\N
11271	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	853559	854368	2019-12-08 00:18:52.567726	t	\N
11272	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868869	869288	2019-12-08 00:19:17.600136	t	\N
11273	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883619	884016	2019-12-08 00:19:43.631233	t	\N
11274	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	887641	888182	2019-12-08 00:19:48.642616	t	\N
11275	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	899989	900383	2019-12-08 00:20:01.658909	t	\N
11276	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910558	910977	2019-12-08 00:20:18.680021	t	\N
11277	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	819273	822351	2019-12-08 00:21:19.762114	t	\N
11278	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	859207	862226	2019-12-08 00:22:19.843909	t	\N
11279	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877622	878163	2019-12-08 00:22:47.885552	t	\N
11280	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900381	900800	2019-12-08 00:23:19.925955	t	\N
11281	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	937251	940334	2019-12-08 00:24:20.001551	t	\N
11282	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	952085	952482	2019-12-08 00:24:41.027779	t	\N
11283	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	956226	959327	2019-12-08 00:24:47.036899	t	\N
11284	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	960419	961053	2019-12-08 00:24:48.045872	t	\N
11285	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981547	981966	2019-12-08 00:25:18.084413	t	\N
11286	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1004234	1005023	2019-12-08 00:25:52.127325	t	\N
11287	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1006600	1007141	2019-12-08 00:25:54.130703	t	\N
11288	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1011133	1012126	2019-12-08 00:25:59.137711	t	\N
11289	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023436	1023855	2019-12-08 00:26:17.165561	t	\N
11290	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	833028	836087	2019-12-08 00:27:19.240675	t	\N
11291	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	873947	877569	2019-12-08 00:28:20.314965	t	\N
11292	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878817	879258	2019-12-08 00:28:21.317347	t	\N
11293	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	893736	894277	2019-12-08 00:28:48.350514	t	\N
11294	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916672	917091	2019-12-08 00:29:20.396134	t	\N
11295	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923367	923764	2019-12-08 00:29:31.409589	t	\N
11296	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	953265	956284	2019-12-08 00:30:18.467573	t	\N
11297	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961763	962157	2019-12-08 00:30:26.47821	t	\N
11298	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	993770	997120	2019-12-08 00:31:18.541926	t	\N
11299	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	1011769	1025637	2019-12-08 00:31:44.580617	t	\N
11300	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034801	1035342	2019-12-08 00:31:53.591668	t	\N
11301	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	823683	824104	2019-12-08 00:32:19.644194	t	\N
11302	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	860347	863404	2019-12-08 00:33:19.72069	t	\N
11303	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	879449	879865	2019-12-08 00:33:47.755265	t	\N
11304	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	893264	894071	2019-12-08 00:34:04.781682	t	\N
11305	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902999	903418	2019-12-08 00:34:19.800493	t	\N
11306	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907891	908288	2019-12-08 00:34:25.808649	t	\N
11307	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	929188	929793	2019-12-08 00:34:57.848139	t	\N
11308	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	937089	937723	2019-12-08 00:35:08.862091	t	\N
11309	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944066	944485	2019-12-08 00:35:19.881984	t	\N
11310	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	980317	983336	2019-12-08 00:36:17.957164	t	\N
11311	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1018952	1021971	2019-12-08 00:37:16.029741	t	\N
11312	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	819549	820092	2019-12-08 00:37:53.09625	t	\N
11313	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832576	832995	2019-12-08 00:38:14.123615	t	\N
11314	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	868762	871786	2019-12-08 00:39:12.198089	t	\N
11315	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872937	873356	2019-12-08 00:39:13.200216	t	\N
11316	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	911458	914477	2019-12-08 00:40:15.274683	t	\N
11317	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	920635	921029	2019-12-08 00:40:26.28899	t	\N
11318	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	943450	943991	2019-12-08 00:41:00.330573	t	\N
11319	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	951524	952976	2019-12-08 00:41:12.351273	t	\N
11320	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955699	956118	2019-12-08 00:41:15.35546	t	\N
11321	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	991489	994508	2019-12-08 00:42:14.431952	t	\N
11322	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1031427	1034446	2019-12-08 00:43:13.50639	t	\N
11323	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	838579	839122	2019-12-08 00:44:00.563509	t	\N
11324	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840782	841179	2019-12-08 00:44:01.571211	t	\N
11325	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848474	848893	2019-12-08 00:44:13.586604	t	\N
11326	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	877437	878071	2019-12-08 00:44:59.643579	t	\N
11327	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887542	887961	2019-12-08 00:45:14.664195	t	\N
11328	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	925921	928978	2019-12-08 00:46:15.741445	t	\N
11329	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	933295	947163	2019-12-08 00:46:22.75721	t	\N
11330	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	976517	979863	2019-12-08 00:47:08.812766	t	\N
11331	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985752	986171	2019-12-08 00:47:17.824215	t	\N
11332	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1022411	1025430	2019-12-08 00:48:16.897149	t	\N
11333	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	817893	818292	2019-12-08 00:48:47.935783	t	\N
11334	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	828579	829164	2019-12-08 00:48:57.953737	t	\N
11335	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841150	841569	2019-12-08 00:49:17.978818	t	\N
11336	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	851965	852772	2019-12-08 00:49:36.001231	t	\N
11337	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	871436	871977	2019-12-08 00:50:03.034577	t	\N
11338	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878530	878924	2019-12-08 00:50:13.04839	t	\N
11339	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882604	883023	2019-12-08 00:50:19.0565	t	\N
11340	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	885075	886781	2019-12-08 00:50:21.06001	t	\N
11341	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	921777	924898	2019-12-08 00:51:17.130827	t	\N
11342	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	961907	964926	2019-12-08 00:52:18.206841	t	\N
11343	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993502	994043	2019-12-08 00:53:02.261219	t	\N
11344	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003468	1003887	2019-12-08 00:53:18.287425	t	\N
11345	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031359	1031756	2019-12-08 00:54:01.339629	t	\N
11346	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	817267	817688	2019-12-08 00:54:18.361463	t	\N
11347	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	854767	857824	2019-12-08 00:55:18.435159	t	\N
11348	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	861253	864354	2019-12-08 00:55:23.44173	t	\N
11349	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	867739	868373	2019-12-08 00:55:28.455217	t	\N
11350	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	893734	897145	2019-12-08 00:56:07.507016	t	\N
11351	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903550	903969	2019-12-08 00:56:17.519499	t	\N
11352	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	930998	931991	2019-12-08 00:56:59.571145	t	\N
11353	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942762	943181	2019-12-08 00:57:17.594084	t	\N
11354	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	947228	948261	2019-12-08 00:57:23.606586	t	\N
11355	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	956089	956775	2019-12-08 00:57:36.62297	t	\N
11356	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	982940	985959	2019-12-08 00:58:17.67265	t	\N
11357	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1014285	1014826	2019-12-08 00:59:01.725211	t	\N
11358	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021135	1021532	2019-12-08 00:59:11.737529	t	\N
11359	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023416	1023810	2019-12-08 00:59:13.745615	t	\N
11360	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025862	1026281	2019-12-08 00:59:15.74908	t	\N
11361	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831736	832132	2019-12-08 01:00:01.80473	t	\N
11362	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839646	840065	2019-12-08 01:00:14.821938	t	\N
11363	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	876706	879763	2019-12-08 01:01:14.898285	t	\N
11364	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	898504	912372	2019-12-08 01:01:47.961051	t	\N
11365	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	921223	921764	2019-12-08 01:01:55.972153	t	\N
11366	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	933239	933658	2019-12-08 01:02:14.996328	t	\N
11367	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	937071	937907	2019-12-08 01:02:20.003093	t	\N
11368	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	972608	975627	2019-12-08 01:03:16.074668	t	\N
11369	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1008347	1011333	2019-12-08 01:04:10.153204	t	\N
11370	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016811	1017230	2019-12-08 01:04:18.164252	t	\N
11371	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1031903	1032710	2019-12-08 01:04:44.196302	t	\N
11372	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035185	1035726	2019-12-08 01:04:47.200267	t	\N
11373	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821801	822219	2019-12-08 01:04:55.211165	t	\N
11374	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836202	836621	2019-12-08 01:05:18.245294	t	\N
11375	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	852971	853605	2019-12-08 01:05:46.306197	t	\N
11376	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875677	876096	2019-12-08 01:06:20.34786	t	\N
11377	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	914038	917095	2019-12-08 01:07:21.424613	t	\N
11378	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932069	932610	2019-12-08 01:07:48.459161	t	\N
11379	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	955561	956144	2019-12-08 01:08:21.506654	t	\N
11380	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	957732	958151	2019-12-08 01:08:23.510148	t	\N
11381	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	995172	998158	2019-12-08 01:09:23.584327	t	\N
11382	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999351	999770	2019-12-08 01:09:24.586204	t	\N
11383	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1033539	1036522	2019-12-08 01:10:17.651165	t	\N
11384	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819097	819518	2019-12-08 01:10:24.666566	t	\N
11385	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	832888	833429	2019-12-08 01:10:48.697008	t	\N
11386	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857594	858013	2019-12-08 01:11:25.743564	t	\N
11387	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	894836	897893	2019-12-08 01:12:25.817051	t	\N
11388	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	933306	936325	2019-12-08 01:13:23.886972	t	\N
11389	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	949845	950386	2019-12-08 01:13:46.922247	t	\N
11390	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968175	968572	2019-12-08 01:14:11.953228	t	\N
11391	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975348	975767	2019-12-08 01:14:22.967087	t	\N
11392	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1012105	1015124	2019-12-08 01:15:23.043499	t	\N
11393	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	824688	827951	2019-12-08 01:16:11.127756	t	\N
11394	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835027	835446	2019-12-08 01:16:24.150735	t	\N
11395	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855341	855882	2019-12-08 01:16:53.187424	t	\N
11396	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	861162	875030	2019-12-08 01:17:01.198006	t	\N
11397	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	889668	890087	2019-12-08 01:17:26.229302	t	\N
11398	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	926915	929934	2019-12-08 01:18:28.305723	t	\N
11399	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	963552	966602	2019-12-08 01:19:21.377401	t	\N
11400	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971631	972050	2019-12-08 01:19:30.38914	t	\N
11401	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	976589	977396	2019-12-08 01:19:36.397871	t	\N
11402	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983687	984228	2019-12-08 01:19:47.411942	t	\N
11403	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1003875	1004269	2019-12-08 01:20:15.447195	t	\N
11404	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1012087	1012506	2019-12-08 01:20:28.466851	t	\N
11405	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	827873	830932	2019-12-08 01:21:28.56085	t	\N
11406	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	867259	870278	2019-12-08 01:22:28.63311	t	\N
11407	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	881728	882269	2019-12-08 01:22:48.669689	t	\N
11408	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908935	909354	2019-12-08 01:23:28.719285	t	\N
11409	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	946583	949730	2019-12-08 01:24:30.802128	t	\N
11410	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953260	953657	2019-12-08 01:24:35.809028	t	\N
11411	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	986393	989412	2019-12-08 01:25:28.875175	t	\N
11412	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	995074	995863	2019-12-08 01:25:36.885993	t	\N
11413	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009193	1009734	2019-12-08 01:25:54.908915	t	\N
11414	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	1017888	1020989	2019-12-08 01:26:06.929594	t	\N
11415	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1032867	1033501	2019-12-08 01:26:27.95622	t	\N
11416	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034465	1034884	2019-12-08 01:26:28.958501	t	\N
11417	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	849046	852708	2019-12-08 01:27:25.050313	t	\N
11418	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856322	856741	2019-12-08 01:27:30.057448	t	\N
11419	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	860655	861648	2019-12-08 01:27:36.070903	t	\N
11420	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	895135	898154	2019-12-08 01:28:30.137926	t	\N
11421	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909081	909622	2019-12-08 01:28:48.160884	t	\N
11422	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936666	937085	2019-12-08 01:29:30.214316	t	\N
11423	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	945859	946256	2019-12-08 01:29:45.233598	t	\N
11424	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949274	949668	2019-12-08 01:29:49.243968	t	\N
11425	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976200	976619	2019-12-08 01:30:30.295566	t	\N
11426	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1012386	1015405	2019-12-08 01:31:28.365834	t	\N
11427	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1026932	1027473	2019-12-08 01:31:48.390129	t	\N
11428	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833794	834215	2019-12-08 01:32:27.438728	t	\N
11429	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	840356	854288	2019-12-08 01:32:37.456455	t	\N
11430	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	883583	886640	2019-12-08 01:33:25.514783	t	\N
11431	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	924464	927483	2019-12-08 01:34:27.589177	t	\N
11432	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938814	939355	2019-12-08 01:34:47.614491	t	\N
11433	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944553	944950	2019-12-08 01:34:49.617621	t	\N
11434	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	948180	948987	2019-12-08 01:34:53.628566	t	\N
11435	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968294	968713	2019-12-08 01:35:27.670561	t	\N
11436	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987073	987489	2019-12-08 01:35:54.704605	t	\N
11437	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1007735	1008154	2019-12-08 01:36:29.750221	t	\N
11438	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1024709	1025343	2019-12-08 01:36:51.777621	t	\N
11439	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827462	827883	2019-12-08 01:37:29.830032	t	\N
11440	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834064	834605	2019-12-08 01:37:39.842668	t	\N
11441	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	866152	866571	2019-12-08 01:38:28.903863	t	\N
11442	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	902882	905939	2019-12-08 01:39:28.979929	t	\N
11443	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914852	915246	2019-12-08 01:39:44.000374	t	\N
11444	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926873	927270	2019-12-08 01:39:58.023004	t	\N
11445	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	932260	933712	2019-12-08 01:40:05.032548	t	\N
11446	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	946608	947027	2019-12-08 01:40:27.060164	t	\N
11447	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	953708	954249	2019-12-08 01:40:39.075649	t	\N
11448	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	985550	988569	2019-12-08 01:41:29.142012	t	\N
11449	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1024522	1027541	2019-12-08 01:42:27.220328	t	\N
11450	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	845155	848214	2019-12-08 01:43:26.313243	t	\N
11451	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	856407	856948	2019-12-08 01:43:39.330099	t	\N
11452	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	887375	890394	2019-12-08 01:44:27.389882	t	\N
11453	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911071	911468	2019-12-08 01:44:58.428719	t	\N
11454	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927452	927871	2019-12-08 01:45:26.46932	t	\N
11455	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	954037	954622	2019-12-08 01:46:06.518613	t	\N
11456	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967789	968208	2019-12-08 01:46:28.546652	t	\N
11457	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	975569	976110	2019-12-08 01:46:40.562932	t	\N
11458	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	985792	986426	2019-12-08 01:46:50.578526	t	\N
11459	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	995687	1009555	2019-12-08 01:47:05.602919	t	\N
11460	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022426	1022845	2019-12-08 01:47:27.630659	t	\N
11461	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	841557	844616	2019-12-08 01:48:26.723411	t	\N
11462	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	880735	883754	2019-12-08 01:49:25.796807	t	\N
11463	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890611	891152	2019-12-08 01:49:36.812017	t	\N
11464	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894108	894502	2019-12-08 01:49:40.823473	t	\N
11465	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899665	900062	2019-12-08 01:49:48.833813	t	\N
11466	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924616	925035	2019-12-08 01:50:26.880138	t	\N
11467	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	930845	931652	2019-12-08 01:50:35.892236	t	\N
11468	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	936656	937572	2019-12-08 01:50:42.901058	t	\N
11469	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964159	964578	2019-12-08 01:51:24.957111	t	\N
11470	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1000951	1003970	2019-12-08 01:52:25.030872	t	\N
11471	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1007924	1008465	2019-12-08 01:52:31.039394	t	\N
11472	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	826336	829395	2019-12-08 01:53:25.107058	t	\N
11473	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	865352	868371	2019-12-08 01:54:24.180545	t	\N
11474	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	880828	883929	2019-12-08 01:54:45.213709	t	\N
11475	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886872	887269	2019-12-08 01:54:48.218062	t	\N
11476	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910987	911406	2019-12-08 01:55:24.263249	t	\N
11477	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918240	918781	2019-12-08 01:55:35.27723	t	\N
11478	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	949409	952428	2019-12-08 01:56:24.336212	t	\N
11479	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	980261	980895	2019-12-08 01:57:07.395282	t	\N
11480	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	983435	984428	2019-12-08 01:57:11.400909	t	\N
11481	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992457	992876	2019-12-08 01:57:24.417712	t	\N
11482	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1013108	1013794	2019-12-08 01:57:54.455632	t	\N
11483	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1020405	1021438	2019-12-08 01:58:05.469921	t	\N
11484	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025344	1025738	2019-12-08 01:58:11.482218	t	\N
11485	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033134	1033553	2019-12-08 01:58:23.498357	t	\N
11486	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	827364	827907	2019-12-08 01:58:39.518312	t	\N
11487	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	856811	859868	2019-12-08 01:59:25.574768	t	\N
11488	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872333	872727	2019-12-08 01:59:47.602448	t	\N
11489	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	879504	879901	2019-12-08 01:59:52.613648	t	\N
11490	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899719	900138	2019-12-08 02:00:27.678496	t	\N
11491	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	937357	940376	2019-12-08 02:01:29.754975	t	\N
11492	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	951007	951548	2019-12-08 02:01:47.777917	t	\N
11493	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	960509	974377	2019-12-08 02:01:56.789635	t	\N
11494	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992712	993131	2019-12-08 02:02:28.832812	t	\N
11495	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	996057	996893	2019-12-08 02:02:32.837924	t	\N
11496	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1031128	1034147	2019-12-08 02:03:28.905753	t	\N
11497	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	856588	859647	2019-12-08 02:04:30.007659	t	\N
11498	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	865964	866505	2019-12-08 02:04:41.023235	t	\N
11499	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868252	868649	2019-12-08 02:04:42.031172	t	\N
11500	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899328	899747	2019-12-08 02:05:31.092871	t	\N
11501	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	928928	932324	2019-12-08 02:06:17.15151	t	\N
11502	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	934301	934717	2019-12-08 02:06:18.153547	t	\N
11503	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	941783	942202	2019-12-08 02:06:31.170375	t	\N
11504	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	978033	981052	2019-12-08 02:07:29.247675	t	\N
11505	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	984626	985282	2019-12-08 02:07:34.255099	t	\N
11506	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989656	990197	2019-12-08 02:07:41.264346	t	\N
11507	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1020623	1021042	2019-12-08 02:08:28.326848	t	\N
11508	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	844541	847600	2019-12-08 02:09:30.424872	t	\N
11509	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858518	858912	2019-12-08 02:09:48.45558	t	\N
11510	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866262	866670	2019-12-08 02:09:54.464121	t	\N
11511	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886817	887236	2019-12-08 02:10:30.50789	t	\N
11512	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895262	895803	2019-12-08 02:10:43.524713	t	\N
11513	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	920130	920713	2019-12-08 02:11:20.570499	t	\N
11514	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926435	926854	2019-12-08 02:11:29.586448	t	\N
11515	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	963170	966189	2019-12-08 02:12:27.658486	t	\N
11516	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1003993	1007012	2019-12-08 02:13:29.737079	t	\N
11517	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1015183	1015788	2019-12-08 02:13:42.754767	t	\N
11518	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830706	831127	2019-12-08 02:14:27.809586	t	\N
11519	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852232	852629	2019-12-08 02:14:59.853221	t	\N
11520	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869851	870270	2019-12-08 02:15:28.889158	t	\N
11521	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	906640	909697	2019-12-08 02:16:28.962703	t	\N
11522	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	917985	918526	2019-12-08 02:16:42.981533	t	\N
11523	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948301	948720	2019-12-08 02:17:30.038604	t	\N
11524	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	951952	965820	2019-12-08 02:17:35.050725	t	\N
11525	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	983088	983722	2019-12-08 02:17:58.080393	t	\N
11526	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001747	1002166	2019-12-08 02:18:32.123137	t	\N
11527	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	827393	830452	2019-12-08 02:19:34.200852	t	\N
11528	Jobs::PurgeOldWebHookEvents	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	837099	837691	2019-12-08 02:19:45.214891	t	\N
11529	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	844496	845037	2019-12-08 02:19:50.227685	t	\N
11530	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846440	846837	2019-12-08 02:19:51.229794	t	\N
11531	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852442	852836	2019-12-08 02:20:00.241543	t	\N
11532	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872979	873398	2019-12-08 02:20:35.284555	t	\N
11533	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	908459	911478	2019-12-08 02:21:33.35499	t	\N
11534	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	929507	930314	2019-12-08 02:21:58.392516	t	\N
11535	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950201	950620	2019-12-08 02:22:34.438107	t	\N
11536	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	958937	959478	2019-12-08 02:22:48.455195	t	\N
11537	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	989224	989643	2019-12-08 02:23:35.512234	t	\N
11538	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1025411	1028430	2019-12-08 02:24:34.598635	t	\N
11539	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035939	1036336	2019-12-08 02:24:47.61489	t	\N
11540	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	844175	844966	2019-12-08 02:25:16.651379	t	\N
11541	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	855130	858242	2019-12-08 02:25:33.673097	t	\N
11542	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859446	859876	2019-12-08 02:25:34.675407	t	\N
11543	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	876151	876692	2019-12-08 02:25:56.702637	t	\N
11544	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899380	899799	2019-12-08 02:26:36.758669	t	\N
11545	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	907588	908621	2019-12-08 02:26:48.773956	t	\N
11546	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	927960	928953	2019-12-08 02:27:15.807945	t	\N
11547	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940374	940793	2019-12-08 02:27:35.832903	t	\N
11548	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	961143	961777	2019-12-08 02:28:06.869694	t	\N
11549	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	977437	977889	2019-12-08 02:28:33.908698	t	\N
11550	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	997618	998159	2019-12-08 02:29:02.943768	t	\N
11551	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014780	1015199	2019-12-08 02:29:32.982291	t	\N
11552	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033777	1034174	2019-12-08 02:29:59.015458	t	\N
11553	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	827910	828306	2019-12-08 02:30:09.047731	t	\N
11554	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	842329	842781	2019-12-08 02:30:34.084615	t	\N
11555	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	877829	880886	2019-12-08 02:31:32.163807	t	\N
11556	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903863	904404	2019-12-08 02:32:05.206094	t	\N
11557	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918806	919225	2019-12-08 02:32:30.237469	t	\N
11558	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	925672	939540	2019-12-08 02:32:41.252196	t	\N
11559	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	969865	972884	2019-12-08 02:33:29.316739	t	\N
11560	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1009632	1012651	2019-12-08 02:34:29.390863	t	\N
11561	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1031375	1031916	2019-12-08 02:34:57.425371	t	\N
11562	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036001	1036398	2019-12-08 02:35:02.432565	t	\N
11563	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	840635	841056	2019-12-08 02:35:31.468827	t	\N
11564	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851606	852022	2019-12-08 02:35:49.496937	t	\N
11565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	879229	879648	2019-12-08 02:36:32.549696	t	\N
11566	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	916145	919579	2019-12-08 02:37:31.621499	t	\N
11567	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922114	922533	2019-12-08 02:37:33.624938	t	\N
11568	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936102	936643	2019-12-08 02:37:51.647338	t	\N
11569	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	945058	945692	2019-12-08 02:38:03.669907	t	\N
11570	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	962723	963153	2019-12-08 02:38:34.708182	t	\N
11571	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	997957	1000976	2019-12-08 02:39:32.777743	t	\N
11572	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1028864	1031850	2019-12-08 02:40:14.830724	t	\N
11573	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033178	1033572	2019-12-08 02:40:15.832368	t	\N
11574	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833012	833433	2019-12-08 02:40:33.859597	t	\N
11575	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846545	847086	2019-12-08 02:40:51.881614	t	\N
11576	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	872468	872887	2019-12-08 02:41:34.934574	t	\N
11577	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	874853	876305	2019-12-08 02:41:37.938463	t	\N
11578	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	909216	912273	2019-12-08 02:42:32.005964	t	\N
11579	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	947951	950970	2019-12-08 02:43:30.084622	t	\N
11580	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	958490	959031	2019-12-08 02:43:43.10194	t	\N
11581	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	990296	993315	2019-12-08 02:44:31.161579	t	\N
11582	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1024473	1027459	2019-12-08 02:45:20.222133	t	\N
11583	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1032971	1033390	2019-12-08 02:45:29.234192	t	\N
11584	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	1038242	829703	2019-12-08 02:45:37.250215	t	\N
11585	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	832850	833435	2019-12-08 02:45:41.256337	t	\N
11586	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	863953	867010	2019-12-08 02:46:29.318097	t	\N
11587	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	875017	875797	2019-12-08 02:46:43.3362	t	\N
11588	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	79	904210	920689	2019-12-08 02:47:27.390292	t	\N
11589	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	923586	924005	2019-12-08 02:47:30.402189	t	\N
11590	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	958647	961870	2019-12-08 02:48:27.471995	t	\N
11591	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963026	963445	2019-12-08 02:48:28.4738	t	\N
11592	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	999111	1002130	2019-12-08 02:49:26.5466	t	\N
11593	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010402	1010943	2019-12-08 02:49:40.565265	t	\N
11594	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021363	1021757	2019-12-08 02:49:52.585634	t	\N
11595	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832129	832550	2019-12-08 02:50:28.649476	t	\N
11596	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835401	835798	2019-12-08 02:50:31.65368	t	\N
11597	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	870663	873720	2019-12-08 02:51:28.724528	t	\N
11598	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	910412	913431	2019-12-08 02:52:28.798894	t	\N
11599	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918393	918934	2019-12-08 02:52:35.815328	t	\N
11600	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	931954	932761	2019-12-08 02:52:52.836579	t	\N
11601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952156	952575	2019-12-08 02:53:26.879812	t	\N
11602	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	989334	992353	2019-12-08 02:54:27.954878	t	\N
11603	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1028754	1031773	2019-12-08 02:55:27.028575	t	\N
11604	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033390	1033787	2019-12-08 02:55:29.039069	t	\N
11605	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035903	1036444	2019-12-08 02:55:31.042241	t	\N
11606	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	853742	854467	2019-12-08 02:56:11.091412	t	\N
11607	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862815	863234	2019-12-08 02:56:25.108825	t	\N
11608	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	865116	868217	2019-12-08 02:56:28.113375	t	\N
11609	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	894012	895045	2019-12-08 02:57:07.170343	t	\N
11610	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	898401	899357	2019-12-08 02:57:12.177174	t	\N
11611	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	907310	907729	2019-12-08 02:57:25.193833	t	\N
11612	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930773	931167	2019-12-08 02:58:01.238671	t	\N
11613	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	933311	933945	2019-12-08 02:58:03.241595	t	\N
11614	Jobs::InvalidateInactiveAdmins	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	942329	943198	2019-12-08 02:58:17.263347	t	\N
11615	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947245	947664	2019-12-08 02:58:24.272798	t	\N
11616	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952883	953424	2019-12-08 02:58:32.28334	t	\N
11617	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	985797	988854	2019-12-08 02:59:24.347065	t	\N
11618	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996617	997011	2019-12-08 02:59:36.363077	t	\N
11619	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1025821	1028840	2019-12-08 03:00:23.426261	t	\N
11620	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032002	1032399	2019-12-08 03:00:27.431482	t	\N
11621	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	858279	861338	2019-12-08 03:01:23.500414	t	\N
11622	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	870844	871385	2019-12-08 03:01:39.520579	t	\N
11623	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	877261	891321	2019-12-08 03:01:48.532928	t	\N
11624	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915423	915842	2019-12-08 03:02:24.606066	t	\N
11625	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	953076	956095	2019-12-08 03:03:25.677703	t	\N
11626	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	992907	995990	2019-12-08 03:04:26.752812	t	\N
11627	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1003569	1004110	2019-12-08 03:04:38.768212	t	\N
11628	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009346	1009762	2019-12-08 03:04:46.778453	t	\N
11629	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1020122	1021016	2019-12-08 03:04:57.797774	t	\N
11630	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037800	1038219	2019-12-08 03:05:26.833688	t	\N
11631	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837607	838004	2019-12-08 03:05:37.848163	t	\N
11632	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	868871	871928	2019-12-08 03:06:27.909402	t	\N
11633	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	908491	911510	2019-12-08 03:07:27.983785	t	\N
11634	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914608	915149	2019-12-08 03:07:31.99564	t	\N
11635	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	918665	919299	2019-12-08 03:07:36.001621	t	\N
11636	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	816272	819708	2019-12-08 03:08:25.180883	t	\N
11637	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821559	821978	2019-12-08 03:08:27.183924	t	\N
11638	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	857842	860825	2019-12-08 03:09:25.261292	t	\N
11639	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861941	862360	2019-12-08 03:09:26.269724	t	\N
11640	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	899074	902350	2019-12-08 03:10:26.354365	t	\N
11641	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903748	904167	2019-12-08 03:10:27.355982	t	\N
11642	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	913117	913514	2019-12-08 03:10:43.375955	t	\N
11643	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	941723	944742	2019-12-08 03:11:27.428842	t	\N
11644	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	981989	985008	2019-12-08 03:12:28.511184	t	\N
11645	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	992894	993477	2019-12-08 03:12:40.526983	t	\N
11646	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1023112	1026131	2019-12-08 03:13:27.585252	t	\N
11647	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1030674	1031226	2019-12-08 03:13:34.594742	t	\N
11648	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	837013	840072	2019-12-08 03:14:27.659112	t	\N
11649	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	875847	878866	2019-12-08 03:15:25.738543	t	\N
11650	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884115	884534	2019-12-08 03:15:34.750115	t	\N
11651	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	917135	920154	2019-12-08 03:16:26.813975	t	\N
11652	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	927742	928283	2019-12-08 03:16:39.830367	t	\N
11653	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	72	947354	961222	2019-12-08 03:17:05.861581	t	\N
11654	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972531	972950	2019-12-08 03:17:25.891665	t	\N
11655	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	991179	991813	2019-12-08 03:17:52.924617	t	\N
11656	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009087	1009506	2019-12-08 03:18:23.964112	t	\N
11657	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035354	1035748	2019-12-08 03:19:04.01515	t	\N
11658	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	818860	819281	2019-12-08 03:19:21.037	t	\N
11659	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	832961	833502	2019-12-08 03:19:46.074262	t	\N
11660	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855856	856275	2019-12-08 03:20:19.114555	t	\N
11661	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861154	861551	2019-12-08 03:20:27.124838	t	\N
11662	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	893826	896883	2019-12-08 03:21:19.18817	t	\N
11663	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	933599	936618	2019-12-08 03:22:19.261132	t	\N
11664	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	952676	953217	2019-12-08 03:22:48.303968	t	\N
11665	Jobs::VersionCheck	iZj6chkije5xk0gfyvcrzyZ-web-only	127	755	963964	968357	2019-12-08 03:22:59.317529	t	\N
11666	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	971057	971864	2019-12-08 03:23:02.321833	t	\N
11667	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980556	980975	2019-12-08 03:23:17.340481	t	\N
11668	Jobs::CheckOutOfDateThemes	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1009631	1010221	2019-12-08 03:24:03.396444	t	\N
11669	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018331	1018750	2019-12-08 03:24:16.417806	t	\N
11670	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	826764	827555	2019-12-08 03:25:12.500864	t	\N
11671	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829432	829851	2019-12-08 03:25:15.505817	t	\N
11672	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831744	832141	2019-12-08 03:25:16.507517	t	\N
11673	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853400	853941	2019-12-08 03:25:50.549423	t	\N
11674	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	859020	862121	2019-12-08 03:25:57.564491	t	\N
11675	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	871501	872534	2019-12-08 03:26:13.583396	t	\N
11676	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875841	876260	2019-12-08 03:26:17.589537	t	\N
11677	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	881662	882581	2019-12-08 03:26:26.600938	t	\N
11678	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	913531	916588	2019-12-08 03:27:16.664798	t	\N
11679	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	946155	946789	2019-12-08 03:28:03.727389	t	\N
11680	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954287	954706	2019-12-08 03:28:15.742614	t	\N
11681	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967776	968170	2019-12-08 03:28:39.772962	t	\N
11682	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970765	971306	2019-12-08 03:28:42.777495	t	\N
11683	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	994807	997826	2019-12-08 03:29:17.820116	t	\N
11684	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032027	1032424	2019-12-08 03:30:12.894415	t	\N
11685	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036402	1036821	2019-12-08 03:30:18.902778	t	\N
11686	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	847812	850871	2019-12-08 03:31:19.980384	t	\N
11687	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864038	864579	2019-12-08 03:31:43.00895	t	\N
11688	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	888046	891065	2019-12-08 03:32:17.052823	t	\N
11689	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	895156	909024	2019-12-08 03:32:23.06792	t	\N
11690	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942155	942574	2019-12-08 03:33:16.13396	t	\N
11691	Jobs::AutoQueueHandler	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	966803	970116	2019-12-08 03:33:55.182441	t	\N
11692	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	982175	982627	2019-12-08 03:34:15.206914	t	\N
11693	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1006609	1009884	2019-12-08 03:34:51.250744	t	\N
11694	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021415	1021812	2019-12-08 03:35:11.282065	t	\N
11695	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023694	1024113	2019-12-08 03:35:14.286628	t	\N
11696	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	816076	816494	2019-12-08 03:35:44.322862	t	\N
11697	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836482	836901	2019-12-08 03:36:12.357524	t	\N
11698	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	872731	875788	2019-12-08 03:37:12.430414	t	\N
11699	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	896505	899781	2019-12-08 03:37:50.484119	t	\N
11700	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917334	917753	2019-12-08 03:38:14.514114	t	\N
11701	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	926390	927197	2019-12-08 03:38:29.533242	t	\N
11702	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	929772	930406	2019-12-08 03:38:32.537672	t	\N
11703	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954072	954466	2019-12-08 03:39:08.583491	t	\N
11704	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957575	957994	2019-12-08 03:39:13.594666	t	\N
11705	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	974900	976206	2019-12-08 03:39:43.63086	t	\N
11706	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	995077	995474	2019-12-08 03:40:10.663092	t	\N
11707	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997131	997550	2019-12-08 03:40:11.665022	t	\N
11708	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1015698	1016239	2019-12-08 03:40:44.705973	t	\N
11709	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1034245	1034664	2019-12-08 03:41:09.743668	t	\N
11710	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	845969	849028	2019-12-08 03:42:07.814993	t	\N
11711	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	886645	889664	2019-12-08 03:43:09.889944	t	\N
11712	Jobs::CleanUpAssociatedAccounts	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	896576	897101	2019-12-08 03:43:20.905401	t	\N
11713	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	907287	907828	2019-12-08 03:43:38.927478	t	\N
11714	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	909304	909889	2019-12-08 03:43:39.935588	t	\N
11715	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930265	930684	2019-12-08 03:44:08.971517	t	\N
11716	Jobs::CleanUpUnmatchedIPs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	943962	944635	2019-12-08 03:44:32.000391	t	\N
11717	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966372	966769	2019-12-08 03:45:04.039589	t	\N
11718	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969849	970268	2019-12-08 03:45:09.046775	t	\N
11719	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1007563	1010582	2019-12-08 03:46:11.130389	t	\N
11720	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026207	1026748	2019-12-08 03:46:38.16409	t	\N
11721	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826925	827346	2019-12-08 03:47:12.227634	t	\N
11722	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	834392	848260	2019-12-08 03:47:24.242726	t	\N
11723	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	879747	880166	2019-12-08 03:48:14.304014	t	\N
11724	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894710	895104	2019-12-08 03:48:39.340709	t	\N
11725	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	907220	907854	2019-12-08 03:48:54.359354	t	\N
11726	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919023	919442	2019-12-08 03:49:12.382632	t	\N
11727	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	933825	934366	2019-12-08 03:49:38.415745	t	\N
11728	Jobs::AutoExpireUserApiKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	939564	940112	2019-12-08 03:49:46.426082	t	\N
11729	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947658	948055	2019-12-08 03:49:53.440727	t	\N
11730	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958097	958516	2019-12-08 03:50:10.46307	t	\N
11731	Jobs::CleanUpInactiveUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	961111	961757	2019-12-08 03:50:13.467164	t	\N
11732	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	996943	1000000	2019-12-08 03:51:10.536211	t	\N
11733	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1036268	817809	2019-12-08 03:52:10.611788	t	\N
11734	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	831898	832960	2019-12-08 03:52:34.647567	t	\N
11735	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836022	836563	2019-12-08 03:52:38.653315	t	\N
11736	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859694	860113	2019-12-08 03:53:11.694146	t	\N
11737	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	875520	876181	2019-12-08 03:53:39.729457	t	\N
11738	Jobs::DestroyOldHiddenPosts	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	879502	880385	2019-12-08 03:53:44.736239	t	\N
11739	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899889	900308	2019-12-08 03:54:12.774373	t	\N
11740	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	933737	936723	2019-12-08 03:55:06.839331	t	\N
11741	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940145	940564	2019-12-08 03:55:11.846273	t	\N
11742	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	942786	945887	2019-12-08 03:55:14.850773	t	\N
11743	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	951475	952198	2019-12-08 03:55:23.862613	t	\N
11744	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960996	961390	2019-12-08 03:55:38.88635	t	\N
11745	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	965713	966669	2019-12-08 03:55:45.895336	t	\N
11746	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968354	968895	2019-12-08 03:55:46.897147	t	\N
11747	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985436	985855	2019-12-08 03:56:09.924335	t	\N
11748	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1020933	1024555	2019-12-08 03:57:06.996431	t	\N
11749	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026796	1027215	2019-12-08 03:57:10.007667	t	\N
11750	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	841618	844677	2019-12-08 03:58:10.081534	t	\N
11751	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847872	848266	2019-12-08 03:58:14.087158	t	\N
11752	Jobs::DisableBootstrapMode	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854400	854794	2019-12-08 03:58:24.100679	t	\N
11753	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867039	867580	2019-12-08 03:58:46.128137	t	\N
11754	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	880242	880876	2019-12-08 03:59:01.153991	t	\N
11755	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885933	886352	2019-12-08 03:59:08.163454	t	\N
11756	Jobs::Tl3Promotions	iZj6chkije5xk0gfyvcrzyZ-web-only	127	30	918027	922532	2019-12-08 04:00:00.228504	t	\N
11757	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928423	928842	2019-12-08 04:00:08.239412	t	\N
11758	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932465	932862	2019-12-08 04:00:14.24713	t	\N
11759	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	965921	968940	2019-12-08 04:01:08.316795	t	\N
11760	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987224	987765	2019-12-08 04:01:41.357883	t	\N
11761	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007232	1007651	2019-12-08 04:02:07.39	t	\N
11762	Jobs::DirectoryRefreshOlder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	71	1037110	820567	2019-12-08 04:02:56.451637	t	\N
11763	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	822815	836683	2019-12-08 04:02:58.454926	t	\N
11764	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843057	843476	2019-12-08 04:03:08.472752	t	\N
11765	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	880501	883520	2019-12-08 04:04:09.547433	t	\N
11766	Jobs::GrantAnniversaryBadges	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	890956	892002	2019-12-08 04:04:21.562753	t	\N
11767	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905251	905792	2019-12-08 04:04:44.590877	t	\N
11768	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924263	924682	2019-12-08 04:05:08.620377	t	\N
11769	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	926381	927203	2019-12-08 04:05:10.628439	t	\N
11770	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929586	929983	2019-12-08 04:05:13.632391	t	\N
11771	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	964933	967952	2019-12-08 04:06:10.712296	t	\N
11772	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	997632	1000712	2019-12-08 04:06:57.772169	t	\N
11773	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1009844	1010263	2019-12-08 04:07:12.79115	t	\N
11774	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1030229	1033571	2019-12-08 04:07:48.868677	t	\N
11775	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828101	828497	2019-12-08 04:08:09.8944	t	\N
11776	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830825	831244	2019-12-08 04:08:11.897646	t	\N
11777	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	843010	843644	2019-12-08 04:08:32.924008	t	\N
11778	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	845850	846679	2019-12-08 04:08:35.929329	t	\N
11779	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871656	872075	2019-12-08 04:09:13.975332	t	\N
11780	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	902701	905725	2019-12-08 04:10:03.037191	t	\N
11781	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912261	912680	2019-12-08 04:10:13.050351	t	\N
11782	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	929850	930391	2019-12-08 04:10:43.088852	t	\N
11783	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	951620	952039	2019-12-08 04:11:15.128848	t	\N
11784	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	29	979753	982925	2019-12-08 04:11:58.188028	t	\N
11785	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992826	993245	2019-12-08 04:12:15.210016	t	\N
11786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1029353	1032372	2019-12-08 04:13:13.280055	t	\N
11787	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	827462	828005	2019-12-08 04:13:40.333693	t	\N
11788	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	851419	851871	2019-12-08 04:14:15.377231	t	\N
11789	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	878709	881733	2019-12-08 04:14:57.429874	t	\N
11790	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	892127	892579	2019-12-08 04:15:15.453595	t	\N
11791	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	930792	933811	2019-12-08 04:16:17.530226	t	\N
11792	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	943748	944460	2019-12-08 04:16:35.553298	t	\N
11793	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972538	972957	2019-12-08 04:17:17.603985	t	\N
11794	Jobs::CleanUpEmailLogs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	980582	981201	2019-12-08 04:17:31.626339	t	\N
11795	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	988902	1002770	2019-12-08 04:17:43.641361	t	\N
11796	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019432	1019826	2019-12-08 04:18:05.668357	t	\N
11797	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1027678	1028097	2019-12-08 04:18:18.68583	t	\N
11798	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	821151	821787	2019-12-08 04:18:41.714259	t	\N
11799	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	847127	850184	2019-12-08 04:19:19.765706	t	\N
11800	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862519	863060	2019-12-08 04:19:41.79408	t	\N
11801	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883102	883499	2019-12-08 04:20:09.827876	t	\N
11802	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890103	890522	2019-12-08 04:20:20.842738	t	\N
11803	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	926607	929626	2019-12-08 04:21:20.915412	t	\N
11804	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	967284	970303	2019-12-08 04:22:22.999901	t	\N
11805	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	977146	977687	2019-12-08 04:22:35.014762	t	\N
11806	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1008595	1011614	2019-12-08 04:23:23.076791	t	\N
11807	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1031777	1032566	2019-12-08 04:23:53.116179	t	\N
11808	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	828665	829474	2019-12-08 04:24:19.168273	t	\N
11809	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833270	833689	2019-12-08 04:24:25.185804	t	\N
11810	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	844109	847210	2019-12-08 04:24:43.208484	t	\N
11811	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	871905	874929	2019-12-08 04:25:20.254116	t	\N
11812	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	879737	880156	2019-12-08 04:25:27.263299	t	\N
11813	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	887612	888217	2019-12-08 04:25:41.280425	t	\N
11814	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	916202	919221	2019-12-08 04:26:25.340039	t	\N
11815	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	947712	948705	2019-12-08 04:27:09.394777	t	\N
11816	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959350	959769	2019-12-08 04:27:27.417236	t	\N
11817	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	971234	972267	2019-12-08 04:27:48.443418	t	\N
11818	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	992937	993571	2019-12-08 04:28:18.480089	t	\N
11819	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997773	998167	2019-12-08 04:28:24.493845	t	\N
11820	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001157	1001576	2019-12-08 04:28:28.499688	t	\N
11821	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005025	1005566	2019-12-08 04:28:33.506283	t	\N
11822	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	821634	824693	2019-12-08 04:29:29.57444	t	\N
11823	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855694	856091	2019-12-08 04:30:18.635138	t	\N
11824	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862791	863210	2019-12-08 04:30:30.655746	t	\N
11825	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	899703	902722	2019-12-08 04:31:30.729344	t	\N
11826	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	908423	908964	2019-12-08 04:31:39.741636	t	\N
11827	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	940285	943304	2019-12-08 04:32:28.801943	t	\N
11828	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	963674	977542	2019-12-08 04:32:59.839703	t	\N
11829	Jobs::IgnoredUsersSummary	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	978680	979477	2019-12-08 04:33:00.847244	t	\N
11830	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996852	997271	2019-12-08 04:33:30.884414	t	\N
11831	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1034126	1037472	2019-12-08 04:34:31.956761	t	\N
11832	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821690	822111	2019-12-08 04:34:32.958709	t	\N
11833	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844345	844742	2019-12-08 04:35:07.001869	t	\N
11834	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859677	860096	2019-12-08 04:35:33.038373	t	\N
11835	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	895263	898320	2019-12-08 04:36:32.11134	t	\N
11836	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	934756	938036	2019-12-08 04:37:31.183718	t	\N
11837	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939242	939661	2019-12-08 04:37:32.185726	t	\N
11838	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	961667	962301	2019-12-08 04:38:04.225349	t	\N
11839	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972767	973183	2019-12-08 04:38:22.25312	t	\N
11840	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978126	978545	2019-12-08 04:38:30.26297	t	\N
11841	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983631	984025	2019-12-08 04:38:38.27377	t	\N
11842	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1015909	1018928	2019-12-08 04:39:30.3417	t	\N
11843	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1035598	1036405	2019-12-08 04:39:53.370672	t	\N
11844	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829574	829973	2019-12-08 04:40:11.40001	t	\N
11845	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841097	841516	2019-12-08 04:40:31.425274	t	\N
11846	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842736	843277	2019-12-08 04:40:32.427415	t	\N
11847	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	879701	883780	2019-12-08 04:41:31.500097	t	\N
11848	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884964	885383	2019-12-08 04:41:32.502626	t	\N
11849	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	922022	925041	2019-12-08 04:42:32.576396	t	\N
11850	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	948032	948617	2019-12-08 04:43:07.619236	t	\N
11851	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	960436	960977	2019-12-08 04:43:27.64425	t	\N
11852	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964344	964763	2019-12-08 04:43:31.65003	t	\N
11853	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1000810	1003829	2019-12-08 04:44:30.721418	t	\N
11854	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029489	1029886	2019-12-08 04:45:09.777002	t	\N
11855	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	824601	825022	2019-12-08 04:45:29.820774	t	\N
11856	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	857933	861255	2019-12-08 04:46:22.89689	t	\N
11857	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866537	866956	2019-12-08 04:46:31.90843	t	\N
11858	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	891254	892982	2019-12-08 04:47:07.95354	t	\N
11859	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905403	905822	2019-12-08 04:47:29.981283	t	\N
11860	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	909778	923690	2019-12-08 04:47:35.989465	t	\N
11861	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	929255	929889	2019-12-08 04:47:45.000615	t	\N
11862	Jobs::CleanUpUnmatchedEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	941507	942113	2019-12-08 04:47:58.017656	t	\N
11863	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960150	960569	2019-12-08 04:48:30.058097	t	\N
11864	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	982013	982407	2019-12-08 04:49:02.1036	t	\N
11865	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993873	994414	2019-12-08 04:49:22.129217	t	\N
11866	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999735	1000154	2019-12-08 04:49:30.140026	t	\N
11867	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017308	1017705	2019-12-08 04:49:55.171202	t	\N
11868	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037916	1038335	2019-12-08 04:50:30.21585	t	\N
11869	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	860108	863165	2019-12-08 04:51:32.300513	t	\N
11870	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894714	895255	2019-12-08 04:52:21.361508	t	\N
11871	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	902542	902961	2019-12-08 04:52:33.376615	t	\N
11872	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	937877	940896	2019-12-08 04:53:31.447974	t	\N
11873	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	971280	972003	2019-12-08 04:54:19.508007	t	\N
11874	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978818	979237	2019-12-08 04:54:31.528078	t	\N
11875	Jobs::CleanUpUnsubscribeKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	981161	981685	2019-12-08 04:54:33.531798	t	\N
11876	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	986645	987042	2019-12-08 04:54:41.542637	t	\N
11877	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	992013	992799	2019-12-08 04:54:49.552798	t	\N
11878	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1003826	1006927	2019-12-08 04:55:02.569927	t	\N
11879	Jobs::ReviewablePriorities	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010629	1011133	2019-12-08 04:55:07.580699	t	\N
11880	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022358	1022899	2019-12-08 04:55:27.605791	t	\N
11881	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025823	1026242	2019-12-08 04:55:30.610004	t	\N
11882	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	835090	836011	2019-12-08 04:56:05.652329	t	\N
11883	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850785	851204	2019-12-08 04:56:32.685974	t	\N
11884	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	884778	888039	2019-12-08 04:57:26.756311	t	\N
11885	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892982	893401	2019-12-08 04:57:34.766733	t	\N
11886	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	916386	917419	2019-12-08 04:58:08.809337	t	\N
11887	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918950	919344	2019-12-08 04:58:10.813062	t	\N
11888	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	925937	926478	2019-12-08 04:58:21.826647	t	\N
11889	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934453	934872	2019-12-08 04:58:33.848632	t	\N
11890	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944031	944425	2019-12-08 04:58:49.868616	t	\N
11891	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	972084	975295	2019-12-08 04:59:33.922561	t	\N
11892	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990893	991290	2019-12-08 04:59:54.949573	t	\N
11893	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012036	1012455	2019-12-08 05:00:32.999096	t	\N
11894	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	832046	835433	2019-12-08 05:01:27.0728	t	\N
11895	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838666	839085	2019-12-08 05:01:31.0788	t	\N
11896	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	870550	884397	2019-12-08 05:02:21.143441	t	\N
11897	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891320	891739	2019-12-08 05:02:33.158736	t	\N
11898	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	927443	930937	2019-12-08 05:03:31.232017	t	\N
11899	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932404	932823	2019-12-08 05:03:32.240773	t	\N
11900	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	969304	972323	2019-12-08 05:04:32.313345	t	\N
11901	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975017	975558	2019-12-08 05:04:35.317367	t	\N
11902	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997114	997511	2019-12-08 05:05:05.355605	t	\N
11903	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011252	1011671	2019-12-08 05:05:30.386389	t	\N
11904	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	833956	837015	2019-12-08 05:06:29.463743	t	\N
11905	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	855716	856350	2019-12-08 05:06:57.498322	t	\N
11906	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	872866	873282	2019-12-08 05:07:25.536213	t	\N
11907	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874769	875188	2019-12-08 05:07:27.539613	t	\N
11908	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	881042	881759	2019-12-08 05:07:36.551964	t	\N
11909	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	912365	915384	2019-12-08 05:08:25.637549	t	\N
11910	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923226	923620	2019-12-08 05:08:38.654055	t	\N
11911	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	953783	956802	2019-12-08 05:09:27.713388	t	\N
11912	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	964878	965685	2019-12-08 05:09:40.730314	t	\N
11913	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978285	978682	2019-12-08 05:09:56.75027	t	\N
11914	Jobs::CleanUpPostReplyKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	981524	982049	2019-12-08 05:10:00.760444	t	\N
11915	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997141	997560	2019-12-08 05:10:27.79364	t	\N
11916	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005250	1005791	2019-12-08 05:10:39.809278	t	\N
11917	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	1021261	1021844	2019-12-08 05:11:00.835875	t	\N
11918	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1038083	1038502	2019-12-08 05:11:28.871105	t	\N
11919	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	863384	866441	2019-12-08 05:12:29.95203	t	\N
11920	Jobs::CleanUpUnusedApiKeys	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	892221	893050	2019-12-08 05:13:10.002559	t	\N
11921	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904860	905279	2019-12-08 05:13:31.028609	t	\N
11922	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	914198	914739	2019-12-08 05:13:46.048151	t	\N
11923	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	943480	946499	2019-12-08 05:14:32.104812	t	\N
11924	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964322	964719	2019-12-08 05:14:57.143193	t	\N
11925	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985799	986218	2019-12-08 05:15:34.189246	t	\N
11926	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1023073	1026092	2019-12-08 05:16:34.26353	t	\N
11927	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	86	1032250	834694	2019-12-08 05:16:44.276814	t	\N
11928	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	844438	844979	2019-12-08 05:16:54.288879	t	\N
11929	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	854424	855058	2019-12-08 05:17:10.315703	t	\N
11930	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868267	868686	2019-12-08 05:17:33.345008	t	\N
11931	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	903571	906592	2019-12-08 05:18:29.414678	t	\N
11932	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910352	910771	2019-12-08 05:18:35.422576	t	\N
11933	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	946834	949853	2019-12-08 05:19:34.494651	t	\N
11934	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957899	958440	2019-12-08 05:19:48.518301	t	\N
11935	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960678	961075	2019-12-08 05:19:50.522043	t	\N
11936	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	988192	991211	2019-12-08 05:20:33.573377	t	\N
11937	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1028210	1031229	2019-12-08 05:21:33.646201	t	\N
11938	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	858020	861207	2019-12-08 05:22:35.721645	t	\N
11939	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865476	866017	2019-12-08 05:22:41.737574	t	\N
11940	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	899079	902098	2019-12-08 05:23:34.801931	t	\N
11941	Jobs::PurgeExpiredIgnoredUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	925660	926194	2019-12-08 05:24:09.84487	t	\N
11942	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938896	939315	2019-12-08 05:24:32.872522	t	\N
11943	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960728	961125	2019-12-08 05:25:04.911071	t	\N
11944	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	964949	965756	2019-12-08 05:25:09.922642	t	\N
11945	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	979100	982198	2019-12-08 05:25:33.951813	t	\N
11946	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983226	983767	2019-12-08 05:25:34.953666	t	\N
11947	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985177	985596	2019-12-08 05:25:35.955773	t	\N
11948	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	1013231	1014020	2019-12-08 05:26:20.018179	t	\N
11949	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1023441	1023860	2019-12-08 05:26:36.049848	t	\N
11950	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	833402	834339	2019-12-08 05:27:04.105307	t	\N
11951	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	851522	852156	2019-12-08 05:27:36.14538	t	\N
11952	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853488	853940	2019-12-08 05:27:37.147557	t	\N
11953	Jobs::CategoryStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	49	873046	885183	2019-12-08 05:28:04.180821	t	\N
11954	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	889210	890243	2019-12-08 05:28:10.194427	t	\N
11955	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901687	902228	2019-12-08 05:28:30.219385	t	\N
11956	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906982	907398	2019-12-08 05:28:37.228672	t	\N
11957	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908470	908889	2019-12-08 05:28:38.230394	t	\N
11958	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	946540	949597	2019-12-08 05:29:39.305954	t	\N
11959	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969094	969491	2019-12-08 05:30:08.349117	t	\N
11960	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987722	988141	2019-12-08 05:30:40.389631	t	\N
11961	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1017722	1021001	2019-12-08 05:31:28.449055	t	\N
11962	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028712	1029131	2019-12-08 05:31:40.464162	t	\N
11963	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	82	1032121	837143	2019-12-08 05:31:44.469983	t	\N
11964	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	871594	874651	2019-12-08 05:32:41.545239	t	\N
11965	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	911045	914064	2019-12-08 05:33:41.618546	t	\N
11966	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	945031	948315	2019-12-08 05:34:31.681284	t	\N
11967	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954051	954470	2019-12-08 05:34:40.692625	t	\N
11968	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973674	974071	2019-12-08 05:35:08.727853	t	\N
11969	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992830	993249	2019-12-08 05:35:40.77359	t	\N
11970	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1030449	1033468	2019-12-08 05:36:42.849433	t	\N
11971	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	856421	859745	2019-12-08 05:37:32.912267	t	\N
11972	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	862304	862938	2019-12-08 05:37:34.915407	t	\N
11973	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867505	867924	2019-12-08 05:37:42.926591	t	\N
11974	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888650	889066	2019-12-08 05:38:12.969599	t	\N
11975	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906545	906964	2019-12-08 05:38:44.012836	t	\N
11976	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909016	909410	2019-12-08 05:38:46.015931	t	\N
11977	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	944734	947753	2019-12-08 05:39:44.089272	t	\N
11978	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	965267	966074	2019-12-08 05:40:08.120209	t	\N
11979	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974165	974562	2019-12-08 05:40:21.145055	t	\N
11980	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	981185	981726	2019-12-08 05:40:33.160362	t	\N
11981	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988785	989204	2019-12-08 05:40:44.174788	t	\N
11982	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1025884	1028903	2019-12-08 05:41:44.24825	t	\N
11983	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	835381	836835	2019-12-08 05:42:01.26894	t	\N
11984	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	846366	846951	2019-12-08 05:42:17.293819	t	\N
11985	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862096	862515	2019-12-08 05:42:44.327139	t	\N
11986	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	888920	892369	2019-12-08 05:43:25.377374	t	\N
11987	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902840	903259	2019-12-08 05:43:44.401461	t	\N
11988	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	29	939258	942308	2019-12-08 05:44:44.483123	t	\N
11989	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825286	825685	2019-12-08 05:45:21.536358	t	\N
11990	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837732	838151	2019-12-08 05:45:43.562582	t	\N
11991	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	852318	866186	2019-12-08 05:46:02.585656	t	\N
11992	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	877634	878175	2019-12-08 05:46:21.611539	t	\N
11993	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891766	892185	2019-12-08 05:46:45.641345	t	\N
11994	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	923283	926544	2019-12-08 05:47:34.70735	t	\N
11995	Jobs::CleanUpCrawlerStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	932678	933248	2019-12-08 05:47:44.72054	t	\N
11996	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935309	935728	2019-12-08 05:47:45.722319	t	\N
11997	Jobs::TopRefreshOlder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	46	966914	971234	2019-12-08 05:48:36.785515	t	\N
11998	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977771	978190	2019-12-08 05:48:46.798804	t	\N
11999	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996097	996491	2019-12-08 05:49:12.835024	t	\N
12000	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1000082	1000687	2019-12-08 05:49:17.842545	t	\N
12001	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017259	1017678	2019-12-08 05:49:47.879161	t	\N
12002	Jobs::BadgeGrant	iZj6chkije5xk0gfyvcrzyZ-web-only	127	472	1029535	847658	2019-12-08 05:50:01.897213	t	\N
12003	Jobs::CleanUpExports	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848686	849301	2019-12-08 05:50:02.899104	t	\N
12004	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860849	861246	2019-12-08 05:50:22.928775	t	\N
12005	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875508	875927	2019-12-08 05:50:47.960131	t	\N
12006	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	878715	879712	2019-12-08 05:50:50.964487	t	\N
12007	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	914258	917443	2019-12-08 05:51:49.03509	t	\N
12008	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938116	938657	2019-12-08 05:52:19.073466	t	\N
12009	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955210	955629	2019-12-08 05:52:48.116259	t	\N
12010	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	993015	996034	2019-12-08 05:53:50.192415	t	\N
12011	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1016653	1017376	2019-12-08 05:54:19.229212	t	\N
12012	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1022463	1025564	2019-12-08 05:54:27.239665	t	\N
12013	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1038232	816271	2019-12-08 05:54:50.268887	t	\N
12014	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836082	836623	2019-12-08 05:55:18.309138	t	\N
12015	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840654	841051	2019-12-08 05:55:24.31698	t	\N
12016	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	852835	853621	2019-12-08 05:55:44.34367	t	\N
12017	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857577	857996	2019-12-08 05:55:50.351305	t	\N
12018	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	894874	898494	2019-12-08 05:56:49.424003	t	\N
12019	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904774	905193	2019-12-08 05:56:52.435684	t	\N
12020	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	925067	928050	2019-12-08 05:57:26.478635	t	\N
12021	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	51	935726	936360	2019-12-08 05:57:40.496883	t	\N
12022	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947806	948225	2019-12-08 05:57:54.514711	t	\N
12023	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	957982	958523	2019-12-08 05:58:10.534914	t	\N
12024	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	977475	978508	2019-12-08 05:58:43.582778	t	\N
12025	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982296	982690	2019-12-08 05:58:49.590848	t	\N
12026	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989467	989886	2019-12-08 05:58:54.597114	t	\N
12027	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1026809	1029828	2019-12-08 05:59:55.671539	t	\N
12028	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	828031	831057	2019-12-08 06:00:30.737172	t	\N
12029	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847876	848295	2019-12-08 06:00:53.771967	t	\N
12030	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	851052	851946	2019-12-08 06:00:56.7763	t	\N
12031	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856450	856991	2019-12-08 06:01:03.78568	t	\N
12032	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	61	861061	874871	2019-12-08 06:01:09.793918	t	\N
12033	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	897970	898389	2019-12-08 06:01:51.847074	t	\N
12034	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	933672	936691	2019-12-08 06:02:50.924227	t	\N
12035	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	972898	975917	2019-12-08 06:03:49.99641	t	\N
12036	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	984850	985391	2019-12-08 06:03:58.007801	t	\N
12037	Jobs::PurgeDeletedUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007519	1007929	2019-12-08 06:04:37.05557	t	\N
12038	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015135	1015554	2019-12-08 06:04:49.071227	t	\N
12039	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1038333	817853	2019-12-08 06:05:24.119201	t	\N
12040	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831155	831574	2019-12-08 06:05:47.148628	t	\N
12041	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	867795	870852	2019-12-08 06:06:47.225425	t	\N
12042	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873665	874206	2019-12-08 06:06:51.231634	t	\N
12043	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	889486	890120	2019-12-08 06:07:11.257078	t	\N
12044	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891841	892257	2019-12-08 06:07:12.264258	t	\N
12045	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910618	911037	2019-12-08 06:07:45.305153	t	\N
12046	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	948822	951905	2019-12-08 06:08:47.380531	t	\N
12047	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953822	954216	2019-12-08 06:08:50.385361	t	\N
12048	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	965350	965933	2019-12-08 06:09:02.400187	t	\N
12049	Jobs::GrantNewUserOfTheMonthBadges	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	978870	979782	2019-12-08 06:09:25.436066	t	\N
12050	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991270	991689	2019-12-08 06:09:45.460818	t	\N
12051	Jobs::CleanUpDeprecatedUrlSiteSettings	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	994836	996500	2019-12-08 06:09:49.466289	t	\N
12052	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006119	1006660	2019-12-08 06:09:59.478079	t	\N
12053	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1017785	1018556	2019-12-08 06:10:17.500996	t	\N
12054	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1030581	1031000	2019-12-08 06:10:37.526479	t	\N
12055	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035788	1036207	2019-12-08 06:10:46.537924	t	\N
12056	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	854480	857539	2019-12-08 06:11:48.614724	t	\N
12057	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	894426	897445	2019-12-08 06:12:47.687671	t	\N
12058	Jobs::EnsureS3UploadsExistence	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908177	908571	2019-12-08 06:12:59.703422	t	\N
12059	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	909599	910140	2019-12-08 06:13:00.709827	t	\N
12060	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937569	937988	2019-12-08 06:13:48.771098	t	\N
12061	Jobs::EnsureDbConsistency	iZj6chkije5xk0gfyvcrzyZ-web-only	127	165	945558	968426	2019-12-08 06:13:55.780355	t	\N
12062	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	996713	999732	2019-12-08 06:14:46.841647	t	\N
12063	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1030663	1033649	2019-12-08 06:15:36.903481	t	\N
12064	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819773	820194	2019-12-08 06:15:44.939805	t	\N
12065	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829295	829836	2019-12-08 06:15:53.951432	t	\N
12066	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	70	839414	853282	2019-12-08 06:16:09.971271	t	\N
12067	Jobs::CleanUpUnusedStagedUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	871647	872559	2019-12-08 06:16:43.013508	t	\N
12068	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874322	874741	2019-12-08 06:16:45.016944	t	\N
12069	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	876109	876743	2019-12-08 06:16:46.023581	t	\N
12070	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	912858	915915	2019-12-08 06:17:46.099356	t	\N
12071	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	950756	953739	2019-12-08 06:18:43.169432	t	\N
12072	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954950	955369	2019-12-08 06:18:44.171568	t	\N
12073	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	968117	968658	2019-12-08 06:19:01.192694	t	\N
12074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	993653	994072	2019-12-08 06:19:46.255538	t	\N
12075	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1026639	1029625	2019-12-08 06:20:39.319799	t	\N
12076	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1033782	1034201	2019-12-08 06:20:46.329474	t	\N
12077	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	851751	854810	2019-12-08 06:21:45.402448	t	\N
12078	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863684	864225	2019-12-08 06:21:53.412707	t	\N
12079	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	893743	896762	2019-12-08 06:22:47.485678	t	\N
12080	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	932422	935441	2019-12-08 06:23:45.557812	t	\N
12081	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	971922	974941	2019-12-08 06:24:45.632299	t	\N
12082	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983488	984029	2019-12-08 06:24:53.642662	t	\N
12083	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	990913	994014	2019-12-08 06:25:03.656098	t	\N
12084	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1009265	1010072	2019-12-08 06:25:31.696074	t	\N
12085	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1013964	1014361	2019-12-08 06:25:37.704326	t	\N
12086	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018805	1019224	2019-12-08 06:25:43.712126	t	\N
12087	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	828092	828728	2019-12-08 06:26:24.762469	t	\N
12088	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	833815	834750	2019-12-08 06:26:32.802555	t	\N
12089	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841160	841579	2019-12-08 06:26:43.822958	t	\N
12090	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	876528	879585	2019-12-08 06:27:41.896303	t	\N
12091	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891361	891902	2019-12-08 06:27:55.913777	t	\N
12092	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	916109	919092	2019-12-08 06:28:37.965822	t	\N
12093	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	921236	921655	2019-12-08 06:28:41.971804	t	\N
12094	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	938451	939240	2019-12-08 06:29:04.003672	t	\N
12095	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	951698	952731	2019-12-08 06:29:26.031262	t	\N
12096	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	961646	962065	2019-12-08 06:29:41.051404	t	\N
12097	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	998824	1001810	2019-12-08 06:30:42.127861	t	\N
12098	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003639	1004058	2019-12-08 06:30:43.129508	t	\N
12099	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1014552	1015093	2019-12-08 06:30:55.149692	t	\N
12100	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	1016784	1030950	2019-12-08 06:30:57.152813	t	\N
12101	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	840566	843625	2019-12-08 06:31:43.210386	t	\N
12102	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	879598	882617	2019-12-08 06:32:43.284784	t	\N
12103	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	918493	921512	2019-12-08 06:33:42.356608	t	\N
12104	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	932743	933284	2019-12-08 06:33:54.377582	t	\N
12105	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	959729	962748	2019-12-08 06:34:42.436528	t	\N
12106	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	995886	998872	2019-12-08 06:35:35.505832	t	\N
12107	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004781	1005200	2019-12-08 06:35:43.516594	t	\N
12108	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025898	1026314	2019-12-08 06:36:15.556385	t	\N
12109	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1032097	1032731	2019-12-08 06:36:24.572614	t	\N
12110	Jobs::PurgeUnactivated	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1034761	1035762	2019-12-08 06:36:27.576761	t	\N
12111	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828989	829410	2019-12-08 06:36:43.596843	t	\N
12112	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	843419	843960	2019-12-08 06:37:02.620863	t	\N
12113	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867541	867960	2019-12-08 06:37:43.670356	t	\N
12114	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	903208	906265	2019-12-08 06:38:41.745584	t	\N
12115	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911289	911683	2019-12-08 06:38:48.754508	t	\N
12116	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	946304	949323	2019-12-08 06:39:43.820879	t	\N
12117	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	965520	966327	2019-12-08 06:40:05.847826	t	\N
12118	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969277	969818	2019-12-08 06:40:08.852408	t	\N
12119	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	979960	981266	2019-12-08 06:40:26.880111	t	\N
12120	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983921	984318	2019-12-08 06:40:29.884658	t	\N
12121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	991538	991957	2019-12-08 06:40:42.901787	t	\N
12122	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	996662	997247	2019-12-08 06:40:49.910632	t	\N
12123	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1028927	1031946	2019-12-08 06:41:40.974169	t	\N
12124	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	853340	856399	2019-12-08 06:42:41.0553	t	\N
12125	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	876343	876884	2019-12-08 06:43:09.090759	t	\N
12126	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895110	895529	2019-12-08 06:43:43.13257	t	\N
12127	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	932875	935894	2019-12-08 06:44:44.207949	t	\N
12128	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959304	959701	2019-12-08 06:45:19.25156	t	\N
12129	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	961850	975718	2019-12-08 06:45:23.261523	t	\N
12130	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	986999	987418	2019-12-08 06:45:43.286734	t	\N
12131	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1001661	1002202	2019-12-08 06:46:01.30916	t	\N
12132	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026579	1026998	2019-12-08 06:46:44.370058	t	\N
12133	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	43	1034860	1035494	2019-12-08 06:46:52.380261	t	\N
12134	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	850601	853660	2019-12-08 06:47:44.448549	t	\N
12135	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878190	878584	2019-12-08 06:48:21.494664	t	\N
12136	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892328	892747	2019-12-08 06:48:45.524237	t	\N
12137	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905019	905560	2019-12-08 06:49:00.54238	t	\N
12138	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931345	931764	2019-12-08 06:49:46.598536	t	\N
12139	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955329	955726	2019-12-08 06:50:22.648052	t	\N
12140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969555	969974	2019-12-08 06:50:47.679197	t	\N
12141	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	32	997174	1001469	2019-12-08 06:51:29.730159	t	\N
12142	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011844	1012263	2019-12-08 06:51:48.75362	t	\N
12143	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1020395	1020936	2019-12-08 06:51:55.762846	t	\N
12144	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836020	839079	2019-12-08 06:52:47.85532	t	\N
12145	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	875384	878403	2019-12-08 06:53:46.928437	t	\N
12146	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	914085	917104	2019-12-08 06:54:46.001063	t	\N
12147	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926301	926842	2019-12-08 06:54:55.012733	t	\N
12148	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	932758	933481	2019-12-08 06:55:04.025064	t	\N
12149	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	937797	938583	2019-12-08 06:55:10.03874	t	\N
12150	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942363	942760	2019-12-08 06:55:16.046818	t	\N
12151	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958200	958619	2019-12-08 06:55:44.081827	t	\N
12152	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961701	962095	2019-12-08 06:55:48.087493	t	\N
12153	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	979961	983062	2019-12-08 06:56:13.118992	t	\N
12154	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	48	997652	998286	2019-12-08 06:56:39.15931	t	\N
12155	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001947	1002366	2019-12-08 06:56:44.165682	t	\N
12156	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	1033668	1037378	2019-12-08 06:57:34.227485	t	\N
12157	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829716	830137	2019-12-08 06:57:43.2396	t	\N
12158	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	841316	841857	2019-12-08 06:57:56.25555	t	\N
12159	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845727	846121	2019-12-08 06:58:01.269304	t	\N
12160	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871021	871440	2019-12-08 06:58:45.323019	t	\N
12161	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	872468	873501	2019-12-08 06:58:46.32499	t	\N
12162	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	909570	912627	2019-12-08 06:59:45.39628	t	\N
12163	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926636	927033	2019-12-08 07:00:04.420123	t	\N
12164	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	937064	938811	2019-12-08 07:00:20.445572	t	\N
12165	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	949337	963169	2019-12-08 07:00:38.468447	t	\N
12166	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966653	967072	2019-12-08 07:00:43.475435	t	\N
12167	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	976225	976766	2019-12-08 07:00:53.487968	t	\N
12168	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1004384	1007403	2019-12-08 07:01:41.546583	t	\N
12169	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	830986	834045	2019-12-08 07:02:40.643673	t	\N
12170	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	871067	874086	2019-12-08 07:03:42.718027	t	\N
12171	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	883923	884464	2019-12-08 07:03:53.73183	t	\N
12172	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	912476	915495	2019-12-08 07:04:42.7911	t	\N
12173	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926665	927062	2019-12-08 07:04:55.807009	t	\N
12174	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	952629	955648	2019-12-08 07:05:41.868562	t	\N
12175	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	982457	983091	2019-12-08 07:06:22.918523	t	\N
12176	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986145	986561	2019-12-08 07:06:26.923951	t	\N
12177	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	993691	994110	2019-12-08 07:06:39.940747	t	\N
12178	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	998814	999355	2019-12-08 07:06:46.949798	t	\N
12179	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1033340	1036359	2019-12-08 07:07:41.027628	t	\N
12180	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844902	845298	2019-12-08 07:08:11.064777	t	\N
12181	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862115	862534	2019-12-08 07:08:41.103082	t	\N
12182	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	899129	902514	2019-12-08 07:09:42.179517	t	\N
12183	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903785	904204	2019-12-08 07:09:43.181384	t	\N
12184	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922436	922833	2019-12-08 07:10:08.217424	t	\N
12185	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942068	942487	2019-12-08 07:10:43.262086	t	\N
12186	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	944870	945677	2019-12-08 07:10:46.26642	t	\N
12187	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	978893	982065	2019-12-08 07:11:40.333235	t	\N
12188	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	985242	985661	2019-12-08 07:11:45.340388	t	\N
12189	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1024925	1027944	2019-12-08 07:12:47.423427	t	\N
12190	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030031	1030572	2019-12-08 07:12:50.427706	t	\N
12191	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	854855	857914	2019-12-08 07:13:47.515714	t	\N
12192	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	894342	897361	2019-12-08 07:14:47.590431	t	\N
12193	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907735	908154	2019-12-08 07:14:58.60437	t	\N
12194	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	83	930099	946578	2019-12-08 07:15:36.652016	t	\N
12195	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953642	954061	2019-12-08 07:15:48.667148	t	\N
12196	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955760	956301	2019-12-08 07:15:50.670233	t	\N
12197	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	43	970401	971035	2019-12-08 07:16:07.691904	t	\N
12198	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993132	993551	2019-12-08 07:16:47.740086	t	\N
12199	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1030090	1033109	2019-12-08 07:17:47.818998	t	\N
12200	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	852079	855102	2019-12-08 07:18:34.878573	t	\N
12201	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863877	864296	2019-12-08 07:18:49.897641	t	\N
12202	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872905	873446	2019-12-08 07:18:57.907868	t	\N
12203	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	902731	905717	2019-12-08 07:19:50.97361	t	\N
12204	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907835	908254	2019-12-08 07:19:51.981904	t	\N
12205	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	943946	946965	2019-12-08 07:20:51.056293	t	\N
12206	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	984550	987569	2019-12-08 07:21:52.130939	t	\N
12207	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	992337	992878	2019-12-08 07:21:53.133044	t	\N
12208	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1030005	1033024	2019-12-08 07:22:54.206831	t	\N
12209	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	859091	862150	2019-12-08 07:23:55.288133	t	\N
12210	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	893068	896348	2019-12-08 07:24:51.358353	t	\N
12211	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902590	903009	2019-12-08 07:24:55.363804	t	\N
12212	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906275	906672	2019-12-08 07:24:59.369451	t	\N
12213	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	912868	913675	2019-12-08 07:25:08.381456	t	\N
12214	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	925054	928155	2019-12-08 07:25:28.4105	t	\N
12215	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	937918	938552	2019-12-08 07:25:45.431679	t	\N
12216	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947438	947857	2019-12-08 07:25:54.443651	t	\N
12217	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	983992	987011	2019-12-08 07:26:54.516659	t	\N
12218	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	1017479	1021061	2019-12-08 07:27:49.584597	t	\N
12219	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1022711	1023252	2019-12-08 07:27:50.593234	t	\N
12220	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030273	1030692	2019-12-08 07:27:56.600907	t	\N
12221	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837302	837698	2019-12-08 07:28:22.634505	t	\N
12222	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861011	861430	2019-12-08 07:28:57.677486	t	\N
12223	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	890242	893266	2019-12-08 07:29:50.743261	t	\N
12224	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901524	901943	2019-12-08 07:29:57.758463	t	\N
12225	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	906045	907078	2019-12-08 07:30:03.767778	t	\N
12226	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	917036	930904	2019-12-08 07:30:19.78803	t	\N
12227	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	953918	954459	2019-12-08 07:30:55.833056	t	\N
12228	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955994	956413	2019-12-08 07:30:56.834773	t	\N
12229	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	978642	982020	2019-12-08 07:31:34.886186	t	\N
12230	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997718	998137	2019-12-08 07:31:56.912931	t	\N
12231	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	49	1036085	831653	2019-12-08 07:32:58.993841	t	\N
12232	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	866780	869799	2019-12-08 07:33:57.065193	t	\N
12233	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	871714	872255	2019-12-08 07:33:58.067442	t	\N
12234	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	900715	903701	2019-12-08 07:34:49.137403	t	\N
12235	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911356	911775	2019-12-08 07:34:56.147837	t	\N
12236	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921036	921452	2019-12-08 07:35:11.167216	t	\N
12237	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	928848	929482	2019-12-08 07:35:23.183051	t	\N
12238	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826284	826705	2019-12-08 07:35:56.224542	t	\N
12239	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	864485	867542	2019-12-08 07:36:55.302263	t	\N
12240	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869221	869762	2019-12-08 07:36:57.305693	t	\N
12241	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	905975	908994	2019-12-08 07:37:56.379685	t	\N
12242	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922397	922791	2019-12-08 07:38:18.406996	t	\N
12243	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946721	947140	2019-12-08 07:38:56.4556	t	\N
12244	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	966532	967984	2019-12-08 07:39:30.503394	t	\N
12245	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	973411	974072	2019-12-08 07:39:38.512665	t	\N
12246	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975896	976293	2019-12-08 07:39:41.517029	t	\N
12247	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	990171	990623	2019-12-08 07:39:58.538447	t	\N
12248	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	992889	993430	2019-12-08 07:40:01.543185	t	\N
12249	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1029068	1032087	2019-12-08 07:40:58.617322	t	\N
12250	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	817436	818023	2019-12-08 07:41:22.667202	t	\N
12251	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842847	843266	2019-12-08 07:42:00.714044	t	\N
12252	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	879747	882804	2019-12-08 07:43:00.787735	t	\N
12253	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888694	889235	2019-12-08 07:43:09.799332	t	\N
12254	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921408	921827	2019-12-08 07:44:00.870884	t	\N
12255	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	944192	947178	2019-12-08 07:44:40.920928	t	\N
12256	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	961605	975473	2019-12-08 07:44:58.944239	t	\N
12257	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	977646	978065	2019-12-08 07:45:01.948832	t	\N
12258	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	992708	993342	2019-12-08 07:45:27.985758	t	\N
12259	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1014496	1014926	2019-12-08 07:45:59.030151	t	\N
12260	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019903	1020444	2019-12-08 07:46:07.040273	t	\N
12261	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	825818	826272	2019-12-08 07:46:59.112681	t	\N
12262	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	863038	866095	2019-12-08 07:47:59.188489	t	\N
12263	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884509	884903	2019-12-08 07:48:32.228943	t	\N
12264	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	899885	900947	2019-12-08 07:48:53.260054	t	\N
12265	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904147	904566	2019-12-08 07:48:57.265684	t	\N
12266	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	915594	916135	2019-12-08 07:49:15.289151	t	\N
12267	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931278	931675	2019-12-08 07:49:41.322902	t	\N
12268	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944205	944624	2019-12-08 07:49:57.343131	t	\N
12269	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	980511	983530	2019-12-08 07:50:56.421384	t	\N
12270	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1019140	1022159	2019-12-08 07:51:54.49264	t	\N
12271	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033305	1033846	2019-12-08 07:52:13.515576	t	\N
12272	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830303	830724	2019-12-08 07:52:52.564897	t	\N
12273	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	866344	869365	2019-12-08 07:53:49.633312	t	\N
12274	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871505	871924	2019-12-08 07:53:52.643862	t	\N
12275	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	907724	910743	2019-12-08 07:54:50.714282	t	\N
12276	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915999	916396	2019-12-08 07:54:53.718599	t	\N
12277	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	919596	920403	2019-12-08 07:54:57.723969	t	\N
12278	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	922927	923561	2019-12-08 07:54:59.72751	t	\N
12279	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	928768	929309	2019-12-08 07:55:08.74448	t	\N
12280	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	942239	945340	2019-12-08 07:55:29.770558	t	\N
12281	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957340	957759	2019-12-08 07:55:50.795888	t	\N
12282	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	988283	991865	2019-12-08 07:56:39.855718	t	\N
12283	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998279	998698	2019-12-08 07:56:50.869875	t	\N
12284	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1032708	1036020	2019-12-08 07:57:45.941387	t	\N
12285	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	28	1038327	814288	2019-12-08 07:57:48.94574	t	\N
12286	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	816276	816695	2019-12-08 07:57:50.948523	t	\N
12287	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831767	832161	2019-12-08 07:58:09.972953	t	\N
12288	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	835610	836151	2019-12-08 07:58:14.9798	t	\N
12289	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854244	854663	2019-12-08 07:58:48.027293	t	\N
12290	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	891497	894554	2019-12-08 07:59:48.203081	t	\N
12291	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897261	897658	2019-12-08 07:59:52.208842	t	\N
12292	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	73	920442	934310	2019-12-08 08:00:26.251112	t	\N
12293	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	943759	944792	2019-12-08 08:00:43.272637	t	\N
12294	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	948940	949359	2019-12-08 08:00:49.285923	t	\N
12295	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	968262	968803	2019-12-08 08:01:15.321661	t	\N
12296	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988405	988824	2019-12-08 08:01:50.364529	t	\N
12297	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1026340	1029359	2019-12-08 08:02:52.438603	t	\N
12298	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	845976	849035	2019-12-08 08:03:54.534215	t	\N
12299	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	857925	858466	2019-12-08 08:04:07.556977	t	\N
12300	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	874060	874694	2019-12-08 08:04:34.613201	t	\N
12301	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884619	885038	2019-12-08 08:04:52.635207	t	\N
12302	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	895134	895531	2019-12-08 08:05:03.650726	t	\N
12303	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	920250	923266	2019-12-08 08:05:48.706736	t	\N
12304	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925596	926015	2019-12-08 08:05:50.717163	t	\N
12305	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	963148	966231	2019-12-08 08:06:52.792484	t	\N
12306	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975007	975548	2019-12-08 08:06:59.801694	t	\N
12307	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1009856	1012875	2019-12-08 08:07:54.869398	t	\N
12308	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033066	1033460	2019-12-08 08:08:30.919271	t	\N
12309	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827093	827514	2019-12-08 08:08:54.953787	t	\N
12310	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	858116	861550	2019-12-08 08:09:50.024116	t	\N
12311	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863125	863544	2019-12-08 08:09:52.027524	t	\N
12312	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875453	875994	2019-12-08 08:10:05.045063	t	\N
12313	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881002	881399	2019-12-08 08:10:13.055192	t	\N
12314	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901828	902247	2019-12-08 08:10:50.10695	t	\N
12315	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	938843	941862	2019-12-08 08:11:50.179625	t	\N
12316	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	978235	981254	2019-12-08 08:12:48.254412	t	\N
12317	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	998742	999283	2019-12-08 08:13:12.285023	t	\N
12318	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	1017294	1017877	2019-12-08 08:13:44.3243	t	\N
12319	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021464	1021883	2019-12-08 08:13:49.337755	t	\N
12320	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	834410	837673	2019-12-08 08:14:45.428105	t	\N
12321	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839722	840141	2019-12-08 08:14:49.433776	t	\N
12322	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863598	864271	2019-12-08 08:15:24.477533	t	\N
12323	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	875018	888886	2019-12-08 08:15:41.501305	t	\N
12324	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	893027	893446	2019-12-08 08:15:48.51558	t	\N
12325	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	908343	908884	2019-12-08 08:16:07.539995	t	\N
12326	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932201	932620	2019-12-08 08:16:49.59152	t	\N
12327	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	968905	971924	2019-12-08 08:17:48.664248	t	\N
12328	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989942	990336	2019-12-08 08:18:12.694443	t	\N
12329	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011374	1011793	2019-12-08 08:18:50.746244	t	\N
12330	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022013	1022554	2019-12-08 08:19:01.760008	t	\N
12331	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	826730	829789	2019-12-08 08:19:48.817488	t	\N
12332	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857560	857957	2019-12-08 08:20:31.871049	t	\N
12333	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866969	867388	2019-12-08 08:20:46.890248	t	\N
12334	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	903858	906877	2019-12-08 08:21:46.971815	t	\N
12335	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919811	920352	2019-12-08 08:22:03.992434	t	\N
12336	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	944294	947313	2019-12-08 08:22:46.043656	t	\N
12337	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	983321	986340	2019-12-08 08:23:45.115807	t	\N
12338	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1023828	1026847	2019-12-08 08:24:46.190383	t	\N
12339	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	1030284	1030918	2019-12-08 08:24:51.203069	t	\N
12340	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	817553	818362	2019-12-08 08:24:58.23143	t	\N
12341	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	819518	820059	2019-12-08 08:24:59.233436	t	\N
12342	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	842757	845781	2019-12-08 08:25:39.28321	t	\N
12343	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849620	850039	2019-12-08 08:25:45.291265	t	\N
12344	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	873099	876211	2019-12-08 08:26:19.336743	t	\N
12345	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892004	892423	2019-12-08 08:26:47.37196	t	\N
12346	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	913642	914657	2019-12-08 08:27:19.411216	t	\N
12347	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	929122	929541	2019-12-08 08:27:45.444428	t	\N
12348	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941598	941992	2019-12-08 08:27:59.462403	t	\N
12349	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944834	945375	2019-12-08 08:28:03.46825	t	\N
12350	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	968705	971724	2019-12-08 08:28:45.52136	t	\N
12351	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1002967	1004000	2019-12-08 08:29:35.582945	t	\N
12352	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011229	1011648	2019-12-08 08:29:46.597537	t	\N
12353	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	826838	829897	2019-12-08 08:30:45.671858	t	\N
12354	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	832811	846679	2019-12-08 08:30:49.68352	t	\N
12355	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849051	849448	2019-12-08 08:30:51.68678	t	\N
12356	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863273	863814	2019-12-08 08:31:09.709056	t	\N
12357	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885140	885559	2019-12-08 08:31:47.756785	t	\N
12358	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	920580	923599	2019-12-08 08:32:45.828276	t	\N
12359	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	960619	963638	2019-12-08 08:33:45.906495	t	\N
12360	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	967927	968716	2019-12-08 08:33:51.914425	t	\N
12361	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	979253	979794	2019-12-08 08:34:03.929766	t	\N
12362	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1003521	1006540	2019-12-08 08:34:45.982551	t	\N
12363	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	50	1010840	1011474	2019-12-08 08:34:51.991044	t	\N
12364	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034103	1034519	2019-12-08 08:35:26.03924	t	\N
12365	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821768	822167	2019-12-08 08:35:37.053057	t	\N
12366	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826935	827354	2019-12-08 08:35:45.064029	t	\N
12367	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	863504	866561	2019-12-08 08:36:45.13758	t	\N
12368	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881167	881708	2019-12-08 08:37:04.162171	t	\N
12369	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	904077	907060	2019-12-08 08:37:44.216764	t	\N
12370	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908922	909341	2019-12-08 08:37:46.21979	t	\N
12371	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	945098	948117	2019-12-08 08:38:44.289977	t	\N
12372	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	984327	987723	2019-12-08 08:39:43.362297	t	\N
12373	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989585	990004	2019-12-08 08:39:45.365515	t	\N
12374	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1006976	1007517	2019-12-08 08:40:07.397095	t	\N
12375	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024343	1024740	2019-12-08 08:40:37.433415	t	\N
12376	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029594	1030013	2019-12-08 08:40:45.443829	t	\N
12377	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	847147	850206	2019-12-08 08:41:44.516522	t	\N
12378	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	855349	856801	2019-12-08 08:41:52.526657	t	\N
12379	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	889054	892073	2019-12-08 08:42:45.595477	t	\N
12380	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	907929	908514	2019-12-08 08:43:06.622354	t	\N
12381	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	911555	912096	2019-12-08 08:43:10.627997	t	\N
12382	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932417	932836	2019-12-08 08:43:46.672668	t	\N
12383	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	969801	972820	2019-12-08 08:44:46.745431	t	\N
12384	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	986678	987312	2019-12-08 08:45:02.774934	t	\N
12385	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004686	1005083	2019-12-08 08:45:33.813201	t	\N
12386	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012599	1013018	2019-12-08 08:45:46.829822	t	\N
12387	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1027444	1027985	2019-12-08 08:46:04.853773	t	\N
12388	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	73	1029523	825509	2019-12-08 08:46:05.855413	t	\N
12389	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	848569	851626	2019-12-08 08:46:47.912683	t	\N
12390	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	889069	892088	2019-12-08 08:47:49.999179	t	\N
12391	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905768	906162	2019-12-08 08:48:06.021394	t	\N
12392	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	931367	934386	2019-12-08 08:48:51.077336	t	\N
12393	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942710	943251	2019-12-08 08:48:58.087018	t	\N
12394	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	972050	975069	2019-12-08 08:49:49.157431	t	\N
12395	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005169	1005566	2019-12-08 08:50:36.216022	t	\N
12396	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014348	1014767	2019-12-08 08:50:51.235381	t	\N
12397	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	834496	837820	2019-12-08 08:51:52.311	t	\N
12398	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839719	840138	2019-12-08 08:51:53.312827	t	\N
12399	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	875604	878623	2019-12-08 08:52:51.390111	t	\N
12400	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	914675	917694	2019-12-08 08:53:49.463065	t	\N
12401	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	954174	957193	2019-12-08 08:54:49.538141	t	\N
12402	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	963663	964470	2019-12-08 08:54:53.543868	t	\N
12403	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967189	967730	2019-12-08 08:54:57.549335	t	\N
12404	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	982521	983155	2019-12-08 08:55:21.586287	t	\N
12405	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	985272	985974	2019-12-08 08:55:23.58913	t	\N
12406	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990297	990694	2019-12-08 08:55:30.598507	t	\N
12407	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001767	1002186	2019-12-08 08:55:49.622082	t	\N
12408	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1036114	823738	2019-12-08 08:56:45.691739	t	\N
12409	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	825189	826182	2019-12-08 08:56:47.701321	t	\N
12410	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	828543	828962	2019-12-08 08:56:49.704781	t	\N
12411	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	835196	836902	2019-12-08 08:56:53.710064	t	\N
12412	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	847382	850483	2019-12-08 08:57:11.732209	t	\N
12413	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	872391	872932	2019-12-08 08:57:50.782089	t	\N
12414	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874279	874698	2019-12-08 08:57:51.789685	t	\N
12415	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890125	890519	2019-12-08 08:58:11.814896	t	\N
12416	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917922	918341	2019-12-08 08:58:53.865972	t	\N
12417	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	954407	957490	2019-12-08 08:59:53.939514	t	\N
12418	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	959957	960851	2019-12-08 08:59:57.945038	t	\N
12419	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	966084	967117	2019-12-08 09:00:04.961064	t	\N
12420	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981893	982290	2019-12-08 09:00:30.994216	t	\N
12421	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	988603	1002413	2019-12-08 09:00:41.00787	t	\N
12422	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1003880	1004421	2019-12-08 09:00:43.011212	t	\N
12423	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010040	1010459	2019-12-08 09:00:52.023141	t	\N
12424	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	830680	833739	2019-12-08 09:01:52.123656	t	\N
12425	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	870443	873462	2019-12-08 09:02:52.202827	t	\N
12426	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901542	902083	2019-12-08 09:03:36.256684	t	\N
12427	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	910906	911325	2019-12-08 09:03:51.275705	t	\N
12428	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940323	940739	2019-12-08 09:04:37.33266	t	\N
12429	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948590	949009	2019-12-08 09:04:49.353607	t	\N
12430	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969728	970125	2019-12-08 09:05:19.391	t	\N
12431	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	982348	982982	2019-12-08 09:05:42.419953	t	\N
12432	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988688	989107	2019-12-08 09:05:51.431225	t	\N
12433	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1016923	1017464	2019-12-08 09:06:34.48297	t	\N
12434	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027794	1028213	2019-12-08 09:06:51.509507	t	\N
12435	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	853302	856361	2019-12-08 09:07:53.587033	t	\N
12436	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	880400	880794	2019-12-08 09:08:35.639253	t	\N
12437	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890183	890602	2019-12-08 09:08:51.660184	t	\N
12438	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919575	920116	2019-12-08 09:09:37.717945	t	\N
12439	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	928946	929365	2019-12-08 09:09:52.74346	t	\N
12440	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	936831	937638	2019-12-08 09:09:58.751127	t	\N
12441	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953409	953806	2019-12-08 09:10:24.784308	t	\N
12442	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972892	973311	2019-12-08 09:10:53.819397	t	\N
12443	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1011811	1014830	2019-12-08 09:11:55.899769	t	\N
12444	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037745	1038286	2019-12-08 09:12:36.958529	t	\N
12445	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837373	837792	2019-12-08 09:12:54.982056	t	\N
12446	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	868809	871866	2019-12-08 09:13:52.052953	t	\N
12447	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	881580	882185	2019-12-08 09:14:01.06501	t	\N
12448	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	909715	912734	2019-12-08 09:14:50.125936	t	\N
12449	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	931775	932409	2019-12-08 09:15:19.168884	t	\N
12450	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935383	935780	2019-12-08 09:15:22.173615	t	\N
12451	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	944956	945497	2019-12-08 09:15:38.193313	t	\N
12452	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	953535	953954	2019-12-08 09:15:50.208568	t	\N
12453	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	72	960519	974387	2019-12-08 09:15:55.215469	t	\N
12454	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1006006	1009025	2019-12-08 09:16:52.291565	t	\N
12455	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	831165	834288	2019-12-08 09:17:53.366572	t	\N
12456	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862358	862752	2019-12-08 09:18:35.418137	t	\N
12457	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868041	868582	2019-12-08 09:18:44.429821	t	\N
12458	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873872	874291	2019-12-08 09:18:52.440101	t	\N
12459	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	911401	914420	2019-12-08 09:19:52.517953	t	\N
12460	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942658	943055	2019-12-08 09:20:35.571567	t	\N
12461	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952956	953375	2019-12-08 09:20:52.593116	t	\N
12462	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	987511	990921	2019-12-08 09:21:48.661301	t	\N
12463	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998367	998786	2019-12-08 09:21:54.671807	t	\N
12464	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1037131	826206	2019-12-08 09:22:56.747607	t	\N
12465	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	860825	863844	2019-12-08 09:23:54.818423	t	\N
12466	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	895396	898739	2019-12-08 09:24:51.888565	t	\N
12467	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	905333	905967	2019-12-08 09:24:55.893808	t	\N
12468	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907123	907542	2019-12-08 09:24:56.895877	t	\N
12469	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930504	930901	2019-12-08 09:25:37.950528	t	\N
12470	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	932699	933506	2019-12-08 09:25:39.953469	t	\N
12471	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946599	947018	2019-12-08 09:25:55.97329	t	\N
12472	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	956787	957722	2019-12-08 09:26:12.994757	t	\N
12473	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983759	984178	2019-12-08 09:26:55.078035	t	\N
12474	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	986749	989850	2019-12-08 09:26:59.087901	t	\N
12475	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1016937	1020279	2019-12-08 09:27:47.150596	t	\N
12476	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1028826	1029245	2019-12-08 09:27:55.163034	t	\N
12477	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	846033	849056	2019-12-08 09:28:52.25829	t	\N
12478	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	850415	850834	2019-12-08 09:28:53.260785	t	\N
12479	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	891875	894894	2019-12-08 09:29:55.342104	t	\N
12480	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	910002	911035	2019-12-08 09:30:21.375899	t	\N
12481	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922325	922722	2019-12-08 09:30:41.400332	t	\N
12482	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	933484	934025	2019-12-08 09:30:54.41657	t	\N
12483	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	936065	949997	2019-12-08 09:30:55.418335	t	\N
12484	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951069	951488	2019-12-08 09:30:56.426382	t	\N
12485	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	988168	991187	2019-12-08 09:31:56.500767	t	\N
12486	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1026578	1029597	2019-12-08 09:32:54.571918	t	\N
12487	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	845270	848594	2019-12-08 09:33:46.6364	t	\N
12488	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	856910	857393	2019-12-08 09:33:54.647747	t	\N
12489	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	862572	863425	2019-12-08 09:34:02.66311	t	\N
12490	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880912	881328	2019-12-08 09:34:33.701383	t	\N
12491	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892545	892964	2019-12-08 09:34:52.724708	t	\N
12492	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	907950	908584	2019-12-08 09:35:11.748962	t	\N
12493	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921071	921468	2019-12-08 09:35:34.776755	t	\N
12494	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935589	936008	2019-12-08 09:35:53.804129	t	\N
12495	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961760	962301	2019-12-08 09:36:39.859312	t	\N
12496	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974353	974772	2019-12-08 09:36:53.877502	t	\N
12497	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1011437	1014456	2019-12-08 09:37:53.949946	t	\N
12498	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	831497	834520	2019-12-08 09:38:47.016374	t	\N
12499	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842771	843190	2019-12-08 09:38:55.033165	t	\N
12500	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	871536	874820	2019-12-08 09:39:46.097223	t	\N
12501	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	876054	877506	2019-12-08 09:39:47.099143	t	\N
12502	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886907	887326	2019-12-08 09:39:57.111968	t	\N
12503	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	905913	906574	2019-12-08 09:40:30.152969	t	\N
12504	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914790	915187	2019-12-08 09:40:45.177042	t	\N
12505	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926053	926472	2019-12-08 09:40:57.192408	t	\N
12506	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	937515	938100	2019-12-08 09:41:16.216034	t	\N
12507	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	964162	964581	2019-12-08 09:41:58.266637	t	\N
12508	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	993014	996643	2019-12-08 09:42:50.329179	t	\N
12509	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005261	1005680	2019-12-08 09:42:58.347797	t	\N
12510	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	828599	831658	2019-12-08 09:43:56.418348	t	\N
12511	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	857732	861383	2019-12-08 09:44:42.473821	t	\N
12512	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	867199	867833	2019-12-08 09:44:51.48551	t	\N
12513	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874683	875102	2019-12-08 09:44:57.494025	t	\N
12514	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895024	895421	2019-12-08 09:45:31.540429	t	\N
12515	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	911294	911835	2019-12-08 09:45:54.569205	t	\N
12516	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914555	914974	2019-12-08 09:45:57.573208	t	\N
12517	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	937895	951698	2019-12-08 09:46:38.623158	t	\N
12518	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	965532	965951	2019-12-08 09:46:56.645716	t	\N
12519	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1000503	1003522	2019-12-08 09:47:54.723857	t	\N
12520	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1033372	1036713	2019-12-08 09:48:48.790022	t	\N
12521	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829014	829435	2019-12-08 09:48:53.797033	t	\N
12522	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836294	836688	2019-12-08 09:48:58.803377	t	\N
12523	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	866458	869515	2019-12-08 09:49:52.869942	t	\N
12524	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888033	888430	2019-12-08 09:50:18.907715	t	\N
12525	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911837	912256	2019-12-08 09:50:54.951816	t	\N
12526	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	942086	945497	2019-12-08 09:51:48.020658	t	\N
12527	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949063	949482	2019-12-08 09:51:53.027679	t	\N
12528	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	986497	989580	2019-12-08 09:52:53.102648	t	\N
12529	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1026220	1029239	2019-12-08 09:53:53.184105	t	\N
12530	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	852411	855731	2019-12-08 09:54:48.270069	t	\N
12531	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	857352	858159	2019-12-08 09:54:49.271838	t	\N
12532	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859582	860001	2019-12-08 09:54:51.274789	t	\N
12533	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873634	874031	2019-12-08 09:55:07.295239	t	\N
12534	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	880728	881362	2019-12-08 09:55:18.314422	t	\N
12535	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	888251	889186	2019-12-08 09:55:30.329073	t	\N
12536	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901956	902375	2019-12-08 09:55:52.356362	t	\N
12537	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	942615	945634	2019-12-08 09:56:54.433394	t	\N
12538	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	962882	963605	2019-12-08 09:57:24.47182	t	\N
12539	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	977834	980999	2019-12-08 09:57:50.508832	t	\N
12540	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983327	983868	2019-12-08 09:57:52.512283	t	\N
12541	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989608	990027	2019-12-08 09:57:55.516148	t	\N
12542	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999588	999982	2019-12-08 09:58:11.536635	t	\N
12543	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1011029	1011902	2019-12-08 09:58:30.560631	t	\N
12544	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024467	1024861	2019-12-08 09:58:52.59479	t	\N
12545	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030016	1030435	2019-12-08 09:58:54.598116	t	\N
12546	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	834596	835631	2019-12-08 09:59:17.626126	t	\N
12547	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	858793	859190	2019-12-08 09:59:54.671547	t	\N
12548	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860346	860765	2019-12-08 09:59:55.673046	t	\N
12549	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	897353	900410	2019-12-08 10:00:55.752968	t	\N
12550	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	904093	904634	2019-12-08 10:01:00.759006	t	\N
12551	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	80	932331	948810	2019-12-08 10:01:49.819485	t	\N
12552	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956019	956438	2019-12-08 10:01:55.82732	t	\N
12553	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	993152	996171	2019-12-08 10:02:56.900419	t	\N
12554	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007215	1007631	2019-12-08 10:03:13.928518	t	\N
12555	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1032922	1033463	2019-12-08 10:03:54.979859	t	\N
12556	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1035479	1035898	2019-12-08 10:03:56.983021	t	\N
12557	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	856382	859645	2019-12-08 10:04:50.075104	t	\N
12558	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866155	866574	2019-12-08 10:04:54.080511	t	\N
12559	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870041	870438	2019-12-08 10:04:59.091895	t	\N
12560	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	904115	907134	2019-12-08 10:05:54.159463	t	\N
12561	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	943918	946937	2019-12-08 10:06:55.234437	t	\N
12562	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	951518	952059	2019-12-08 10:07:02.243461	t	\N
12563	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	985780	988799	2019-12-08 10:07:57.315386	t	\N
12564	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1026733	1029752	2019-12-08 10:08:59.398174	t	\N
12565	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034198	1034592	2019-12-08 10:09:05.406752	t	\N
12566	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	850682	853708	2019-12-08 10:09:49.46166	t	\N
12567	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	861255	862062	2019-12-08 10:09:56.470501	t	\N
12568	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863448	863989	2019-12-08 10:09:57.472301	t	\N
12569	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866352	866771	2019-12-08 10:09:59.480737	t	\N
12570	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	903341	906360	2019-12-08 10:10:59.55555	t	\N
12571	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	943583	946602	2019-12-08 10:11:59.627521	t	\N
12572	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	981927	985206	2019-12-08 10:12:57.6993	t	\N
12573	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987767	988186	2019-12-08 10:13:00.703358	t	\N
12574	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1024043	1027062	2019-12-08 10:13:59.779799	t	\N
12575	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	832396	833054	2019-12-08 10:14:21.807435	t	\N
12576	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	849841	850238	2019-12-08 10:14:52.845527	t	\N
12577	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	858461	858880	2019-12-08 10:14:58.853443	t	\N
12578	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	888399	891780	2019-12-08 10:15:52.920802	t	\N
12579	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900471	900890	2019-12-08 10:15:59.936324	t	\N
12580	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	904078	904661	2019-12-08 10:16:04.944493	t	\N
12581	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	75	922685	936553	2019-12-08 10:16:36.983429	t	\N
12582	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	823057	823478	2019-12-08 10:17:00.013469	t	\N
12583	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	859799	862856	2019-12-08 10:17:59.08628	t	\N
12584	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	898708	902055	2019-12-08 10:18:58.168865	t	\N
12585	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	904815	905267	2019-12-08 10:19:01.173782	t	\N
12586	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919126	919520	2019-12-08 10:19:24.202635	t	\N
12587	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	943040	943481	2019-12-08 10:20:01.248825	t	\N
12588	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944520	944917	2019-12-08 10:20:02.250304	t	\N
12589	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	981787	984806	2019-12-08 10:21:03.330123	t	\N
12590	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1018751	1022034	2019-12-08 10:21:58.397805	t	\N
12591	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025475	1025894	2019-12-08 10:22:03.404622	t	\N
12592	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836253	839312	2019-12-08 10:23:05.504696	t	\N
12593	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	876280	879299	2019-12-08 10:24:05.580322	t	\N
12594	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	882222	882856	2019-12-08 10:24:09.592976	t	\N
12595	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	905111	908097	2019-12-08 10:24:50.644268	t	\N
12596	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	909694	910501	2019-12-08 10:24:52.647514	t	\N
12597	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917424	917965	2019-12-08 10:24:57.653851	t	\N
12598	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924277	924696	2019-12-08 10:25:06.667925	t	\N
12599	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	960474	963493	2019-12-08 10:26:05.746079	t	\N
12600	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	964662	965655	2019-12-08 10:26:06.747968	t	\N
12601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1002094	1005113	2019-12-08 10:27:06.820294	t	\N
12602	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1010557	1013658	2019-12-08 10:27:14.830604	t	\N
12603	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	812962	813505	2019-12-08 10:27:56.884311	t	\N
12604	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819524	819943	2019-12-08 10:28:04.901428	t	\N
12605	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	847140	850800	2019-12-08 10:28:52.963301	t	\N
12606	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863232	863651	2019-12-08 10:29:06.981715	t	\N
12607	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873746	874140	2019-12-08 10:29:24.003929	t	\N
12608	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899856	900253	2019-12-08 10:30:04.054788	t	\N
12609	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901473	901892	2019-12-08 10:30:05.061209	t	\N
12610	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	933567	936846	2019-12-08 10:30:57.126098	t	\N
12611	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942300	942719	2019-12-08 10:31:05.13651	t	\N
12612	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	78	969947	986426	2019-12-08 10:31:54.197955	t	\N
12613	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996964	997383	2019-12-08 10:32:05.212693	t	\N
12614	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1006362	1006778	2019-12-08 10:32:21.237667	t	\N
12615	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1034682	1035101	2019-12-08 10:33:05.291983	t	\N
12616	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	840339	843727	2019-12-08 10:33:57.35506	t	\N
12617	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	847071	847727	2019-12-08 10:34:01.361269	t	\N
12618	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851493	851912	2019-12-08 10:34:06.367969	t	\N
12619	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	885488	888474	2019-12-08 10:35:02.442524	t	\N
12620	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892681	893100	2019-12-08 10:35:08.450165	t	\N
12621	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	915001	918379	2019-12-08 10:35:48.499405	t	\N
12622	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934020	934439	2019-12-08 10:36:08.524541	t	\N
12623	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	958722	962001	2019-12-08 10:36:52.581042	t	\N
12624	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974578	974997	2019-12-08 10:37:07.607052	t	\N
12625	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1011370	1014389	2019-12-08 10:38:07.680624	t	\N
12626	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	820983	824197	2019-12-08 10:39:00.767025	t	\N
12627	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829132	829551	2019-12-08 10:39:07.776662	t	\N
12628	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837073	837467	2019-12-08 10:39:20.793065	t	\N
12629	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854121	854662	2019-12-08 10:39:49.833872	t	\N
12630	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	856667	857474	2019-12-08 10:39:52.838307	t	\N
12631	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870444	870863	2019-12-08 10:40:07.857963	t	\N
12632	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873014	873411	2019-12-08 10:40:09.861236	t	\N
12633	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	908558	911577	2019-12-08 10:41:07.933808	t	\N
12634	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	922014	923466	2019-12-08 10:41:25.963391	t	\N
12635	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	949470	949889	2019-12-08 10:42:07.01487	t	\N
12636	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	969202	969743	2019-12-08 10:42:42.059298	t	\N
12637	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988818	989237	2019-12-08 10:43:09.092982	t	\N
12638	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1025755	1028774	2019-12-08 10:44:09.167709	t	\N
12639	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1034282	1034916	2019-12-08 10:44:18.186426	t	\N
12640	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840379	840778	2019-12-08 10:45:08.268866	t	\N
12641	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843536	843955	2019-12-08 10:45:11.273117	t	\N
12642	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	862858	863399	2019-12-08 10:45:45.31565	t	\N
12643	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882507	882926	2019-12-08 10:46:12.350455	t	\N
12644	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	82	918759	935276	2019-12-08 10:47:10.426154	t	\N
12645	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936540	936959	2019-12-08 10:47:11.428123	t	\N
12646	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	974445	977464	2019-12-08 10:48:13.510851	t	\N
12647	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	997995	1001278	2019-12-08 10:48:49.603125	t	\N
12648	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003221	1003615	2019-12-08 10:48:51.606549	t	\N
12649	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1018949	1019368	2019-12-08 10:49:11.636786	t	\N
12650	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	821252	824278	2019-12-08 10:49:55.711105	t	\N
12651	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833684	834103	2019-12-08 10:50:10.730065	t	\N
12652	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	871700	874719	2019-12-08 10:51:12.807576	t	\N
12653	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	893655	896994	2019-12-08 10:51:45.850235	t	\N
12654	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917313	917732	2019-12-08 10:52:14.891784	t	\N
12655	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	953476	956495	2019-12-08 10:53:13.964687	t	\N
12656	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	992934	995953	2019-12-08 10:54:14.042989	t	\N
12657	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1003539	1004173	2019-12-08 10:54:26.058901	t	\N
12658	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1011486	1012293	2019-12-08 10:54:39.075482	t	\N
12659	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1018282	1018823	2019-12-08 10:54:49.094843	t	\N
12660	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034289	1034686	2019-12-08 10:55:09.120424	t	\N
12661	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1038007	1038426	2019-12-08 10:55:14.127049	t	\N
12662	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	851292	854349	2019-12-08 10:56:15.202432	t	\N
12663	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	856136	857129	2019-12-08 10:56:17.205287	t	\N
12664	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	870956	871792	2019-12-08 10:56:41.245291	t	\N
12665	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877781	878175	2019-12-08 10:56:51.258139	t	\N
12666	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	886091	889192	2019-12-08 10:56:59.268173	t	\N
12667	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	900033	900452	2019-12-08 10:57:16.289045	t	\N
12668	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	921135	921676	2019-12-08 10:57:53.334794	t	\N
12669	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	939189	939875	2019-12-08 10:58:17.370635	t	\N
12670	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940967	941386	2019-12-08 10:58:18.372554	t	\N
12671	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	959790	961496	2019-12-08 10:58:51.412369	t	\N
12672	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973836	974230	2019-12-08 10:59:05.430626	t	\N
12673	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982194	982613	2019-12-08 10:59:19.44789	t	\N
12674	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	987955	988988	2019-12-08 10:59:28.464195	t	\N
12675	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009388	1009785	2019-12-08 10:59:58.501152	t	\N
12676	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021890	1022309	2019-12-08 11:00:19.529563	t	\N
12677	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	814929	815472	2019-12-08 11:00:49.587461	t	\N
12678	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835691	836110	2019-12-08 11:01:18.623553	t	\N
12679	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	872779	875836	2019-12-08 11:02:18.70346	t	\N
12680	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	884261	898108	2019-12-08 11:02:32.721647	t	\N
12681	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903077	903493	2019-12-08 11:02:40.732163	t	\N
12682	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	929607	932626	2019-12-08 11:03:19.780745	t	\N
12683	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950379	950920	2019-12-08 11:03:51.821767	t	\N
12684	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971341	971760	2019-12-08 11:04:20.863111	t	\N
12685	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	978748	979382	2019-12-08 11:04:32.881568	t	\N
12686	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003985	1004382	2019-12-08 11:05:09.925679	t	\N
12687	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009475	1009894	2019-12-08 11:05:18.937149	t	\N
12688	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	822990	826049	2019-12-08 11:06:18.011591	t	\N
12689	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	844245	844786	2019-12-08 11:06:50.059387	t	\N
12690	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864597	865016	2019-12-08 11:07:19.095237	t	\N
12691	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	900717	903736	2019-12-08 11:08:17.166048	t	\N
12692	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	928745	929552	2019-12-08 11:08:55.211989	t	\N
12693	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930708	931102	2019-12-08 11:08:56.214094	t	\N
12694	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942838	943257	2019-12-08 11:09:16.250331	t	\N
12695	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	969308	972650	2019-12-08 11:09:57.301006	t	\N
12696	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973793	974190	2019-12-08 11:09:58.303034	t	\N
12697	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985498	985917	2019-12-08 11:10:17.32717	t	\N
12698	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1023548	1026567	2019-12-08 11:11:19.404421	t	\N
12699	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	840437	843496	2019-12-08 11:12:17.482511	t	\N
12700	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873935	874476	2019-12-08 11:13:05.540986	t	\N
12701	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881038	881457	2019-12-08 11:13:16.555254	t	\N
12702	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	918900	921919	2019-12-08 11:14:18.633092	t	\N
12703	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	931158	931792	2019-12-08 11:14:34.653496	t	\N
12704	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948961	949358	2019-12-08 11:14:58.696612	t	\N
12705	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961087	961506	2019-12-08 11:15:18.722016	t	\N
12706	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	988303	988844	2019-12-08 11:16:00.774353	t	\N
12707	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999380	999799	2019-12-08 11:16:18.797472	t	\N
12708	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035195	1035614	2019-12-08 11:17:16.868778	t	\N
12709	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	88	839564	856083	2019-12-08 11:17:57.946011	t	\N
12710	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	11	857382	857965	2019-12-08 11:17:58.948392	t	\N
12711	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869079	869498	2019-12-08 11:18:16.970945	t	\N
12712	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	888575	891558	2019-12-08 11:18:52.016065	t	\N
12713	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	904287	904828	2019-12-08 11:19:08.036467	t	\N
12714	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909505	909924	2019-12-08 11:19:15.050956	t	\N
12715	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926512	926909	2019-12-08 11:19:45.088092	t	\N
12716	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947612	948031	2019-12-08 11:20:15.127785	t	\N
12717	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	986207	989226	2019-12-08 11:21:17.206793	t	\N
12718	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1018572	1021846	2019-12-08 11:22:04.266493	t	\N
12719	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030385	1030804	2019-12-08 11:22:17.290995	t	\N
12720	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	846650	849709	2019-12-08 11:23:18.368782	t	\N
12721	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	858641	859448	2019-12-08 11:23:32.388424	t	\N
12722	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	888133	891152	2019-12-08 11:24:18.444063	t	\N
12723	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908300	908697	2019-12-08 11:24:49.483482	t	\N
12724	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	912018	912652	2019-12-08 11:24:54.494278	t	\N
12725	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926929	927470	2019-12-08 11:25:12.517184	t	\N
12726	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931545	931964	2019-12-08 11:25:18.525038	t	\N
12727	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	967412	968405	2019-12-08 11:26:15.595693	t	\N
12728	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970854	971273	2019-12-08 11:26:19.601271	t	\N
12729	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006861	1007280	2019-12-08 11:27:17.67471	t	\N
12730	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1037385	820249	2019-12-08 11:28:05.732604	t	\N
12731	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	824646	825679	2019-12-08 11:28:12.741965	t	\N
12732	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829125	829544	2019-12-08 11:28:17.748691	t	\N
12733	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	835493	838594	2019-12-08 11:28:27.762578	t	\N
12734	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852490	852884	2019-12-08 11:28:52.792997	t	\N
12735	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870402	870821	2019-12-08 11:29:16.834081	t	\N
12736	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	897379	900365	2019-12-08 11:29:58.887299	t	\N
12737	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911106	911525	2019-12-08 11:30:15.908921	t	\N
12738	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	939959	943242	2019-12-08 11:31:00.964845	t	\N
12739	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953357	953776	2019-12-08 11:31:17.994396	t	\N
12740	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	971236	974252	2019-12-08 11:31:50.035578	t	\N
12741	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993872	994355	2019-12-08 11:32:17.07103	t	\N
12742	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	71	1009469	1023337	2019-12-08 11:32:45.107158	t	\N
12743	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	825201	825622	2019-12-08 11:33:17.146801	t	\N
12744	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	845505	848823	2019-12-08 11:33:53.196385	t	\N
12745	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	866868	867287	2019-12-08 11:34:18.227738	t	\N
12746	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	897875	900861	2019-12-08 11:35:07.28782	t	\N
12747	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	904667	905301	2019-12-08 11:35:13.296086	t	\N
12748	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908723	909142	2019-12-08 11:35:17.301641	t	\N
12749	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	944041	947060	2019-12-08 11:36:15.376381	t	\N
12750	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	973742	977021	2019-12-08 11:36:56.42627	t	\N
12751	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987733	988152	2019-12-08 11:37:14.448959	t	\N
12752	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	1018096	1021474	2019-12-08 11:38:01.507706	t	\N
12753	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029401	1029820	2019-12-08 11:38:14.524165	t	\N
12754	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	821210	822664	2019-12-08 11:38:32.573961	t	\N
12755	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	846468	847129	2019-12-08 11:39:07.618252	t	\N
12756	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848854	849248	2019-12-08 11:39:10.622705	t	\N
12757	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852569	852988	2019-12-08 11:39:15.629222	t	\N
12758	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	871540	872125	2019-12-08 11:39:48.670817	t	\N
12759	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873509	874050	2019-12-08 11:39:49.67822	t	\N
12760	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888354	888751	2019-12-08 11:40:06.700162	t	\N
12761	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895494	895913	2019-12-08 11:40:17.714547	t	\N
12762	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	931668	934725	2019-12-08 11:41:17.788654	t	\N
12763	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	971704	974723	2019-12-08 11:42:18.863819	t	\N
12764	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	991896	995242	2019-12-08 11:42:49.907502	t	\N
12765	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1003159	1004221	2019-12-08 11:42:55.915246	t	\N
12766	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017405	1017824	2019-12-08 11:43:18.943561	t	\N
12767	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	834235	837294	2019-12-08 11:44:16.015615	t	\N
12768	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	854064	854698	2019-12-08 11:44:47.055041	t	\N
12769	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865126	865523	2019-12-08 11:45:00.080764	t	\N
12770	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875962	876381	2019-12-08 11:45:16.101071	t	\N
12771	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	901677	905024	2019-12-08 11:45:56.166143	t	\N
12772	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917595	918014	2019-12-08 11:46:17.19227	t	\N
12773	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	83	946028	962507	2019-12-08 11:47:02.247167	t	\N
12774	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971557	971976	2019-12-08 11:47:17.272843	t	\N
12775	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1007964	1010983	2019-12-08 11:48:16.343594	t	\N
12776	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	1037129	822506	2019-12-08 11:48:57.393583	t	\N
12777	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	823929	824470	2019-12-08 11:48:59.397185	t	\N
12778	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	833944	834363	2019-12-08 11:49:14.416671	t	\N
12779	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	869753	872739	2019-12-08 11:50:12.502848	t	\N
12780	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874603	875022	2019-12-08 11:50:15.507577	t	\N
12781	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	911053	914072	2019-12-08 11:51:13.578311	t	\N
12782	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	945781	949064	2019-12-08 11:52:03.641444	t	\N
12783	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954601	955020	2019-12-08 11:52:11.651405	t	\N
12784	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	992174	995193	2019-12-08 11:53:11.728744	t	\N
12785	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1032832	1035851	2019-12-08 11:54:13.807082	t	\N
12786	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	823222	823858	2019-12-08 11:54:21.817239	t	\N
12787	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	826545	827352	2019-12-08 11:54:25.823697	t	\N
12788	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	852465	853400	2019-12-08 11:55:04.873811	t	\N
12789	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855257	855798	2019-12-08 11:55:05.880842	t	\N
12790	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861753	862172	2019-12-08 11:55:15.893499	t	\N
12791	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	866625	867447	2019-12-08 11:55:21.90136	t	\N
12792	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868927	869346	2019-12-08 11:55:22.903657	t	\N
12793	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901216	901635	2019-12-08 11:56:14.967565	t	\N
12794	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	931090	934440	2019-12-08 11:57:02.034964	t	\N
12795	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	941725	942144	2019-12-08 11:57:14.054721	t	\N
12796	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	947702	948757	2019-12-08 11:57:23.066606	t	\N
12797	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	978086	978627	2019-12-08 11:58:10.125105	t	\N
12798	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982657	983076	2019-12-08 11:58:16.133	t	\N
12799	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	1007994	1013695	2019-12-08 11:58:55.186347	t	\N
12800	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1027276	1027695	2019-12-08 11:59:18.214904	t	\N
12801	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030829	1031223	2019-12-08 11:59:22.220281	t	\N
12802	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033539	1034209	2019-12-08 11:59:26.226565	t	\N
12803	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844191	844590	2019-12-08 12:00:08.27745	t	\N
12804	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851057	851476	2019-12-08 12:00:19.29656	t	\N
12805	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863735	864151	2019-12-08 12:00:40.323465	t	\N
12806	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	885885	886426	2019-12-08 12:01:12.362756	t	\N
12807	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891439	891858	2019-12-08 12:01:20.37302	t	\N
12808	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	909569	923421	2019-12-08 12:01:51.41147	t	\N
12809	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943075	943494	2019-12-08 12:02:20.454864	t	\N
12810	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	30	980309	983430	2019-12-08 12:03:20.528461	t	\N
12811	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1006064	1006698	2019-12-08 12:03:55.571875	t	\N
12812	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1020105	1020646	2019-12-08 12:04:17.600273	t	\N
12813	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024300	1024719	2019-12-08 12:04:22.606758	t	\N
12814	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840312	840711	2019-12-08 12:05:14.696974	t	\N
12815	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845431	845850	2019-12-08 12:05:21.706653	t	\N
12816	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	882579	885636	2019-12-08 12:06:22.783107	t	\N
12817	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920018	920559	2019-12-08 12:07:18.85142	t	\N
12818	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923485	923904	2019-12-08 12:07:21.855897	t	\N
12819	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959093	959512	2019-12-08 12:08:19.930661	t	\N
12820	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	994800	997819	2019-12-08 12:09:17.00231	t	\N
12821	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004167	1004561	2019-12-08 12:09:27.028142	t	\N
12822	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1016611	1017418	2019-12-08 12:09:49.063013	t	\N
12823	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029474	1029893	2019-12-08 12:10:03.081734	t	\N
12824	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1036916	1037335	2019-12-08 12:10:15.097608	t	\N
12825	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825863	826406	2019-12-08 12:10:21.105521	t	\N
12826	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859946	860365	2019-12-08 12:11:16.174108	t	\N
12827	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	898188	901245	2019-12-08 12:12:17.249631	t	\N
12828	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	938057	941076	2019-12-08 12:13:17.321935	t	\N
12829	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942415	942956	2019-12-08 12:13:19.332263	t	\N
12830	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	956801	957435	2019-12-08 12:13:42.361954	t	\N
12831	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981452	981871	2019-12-08 12:14:19.407137	t	\N
12832	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1000871	1003857	2019-12-08 12:14:53.449167	t	\N
12833	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1022317	1022736	2019-12-08 12:15:19.482052	t	\N
12834	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	844067	847387	2019-12-08 12:16:17.558421	t	\N
12835	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849253	849672	2019-12-08 12:16:19.561697	t	\N
12836	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	80	868478	884957	2019-12-08 12:16:52.603499	t	\N
12837	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903803	904222	2019-12-08 12:17:19.637756	t	\N
12838	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	941156	944175	2019-12-08 12:18:19.712245	t	\N
12839	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	972265	975248	2019-12-08 12:19:04.774326	t	\N
12840	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984360	984779	2019-12-08 12:19:19.792055	t	\N
12841	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	988398	988939	2019-12-08 12:19:24.799054	t	\N
12842	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010495	1010892	2019-12-08 12:19:56.836531	t	\N
12843	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	1015197	1015780	2019-12-08 12:20:03.847112	t	\N
12844	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025253	1025672	2019-12-08 12:20:19.867394	t	\N
12845	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	847765	850824	2019-12-08 12:21:19.939571	t	\N
12846	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	887407	890687	2019-12-08 12:22:20.013561	t	\N
12847	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891957	892376	2019-12-08 12:22:21.015445	t	\N
12848	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	929944	932963	2019-12-08 12:23:23.091669	t	\N
12849	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	949230	950223	2019-12-08 12:23:52.12922	t	\N
12850	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	960760	961394	2019-12-08 12:24:04.145664	t	\N
12851	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	972662	973092	2019-12-08 12:24:23.169152	t	\N
12852	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996612	997009	2019-12-08 12:25:00.215358	t	\N
12853	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	998037	998786	2019-12-08 12:25:01.218313	t	\N
12854	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1012552	1013263	2019-12-08 12:25:23.252163	t	\N
12855	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014425	1014844	2019-12-08 12:25:24.254135	t	\N
12856	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	838991	842050	2019-12-08 12:26:24.329538	t	\N
12857	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	878169	881188	2019-12-08 12:27:22.404314	t	\N
12858	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	914158	914699	2019-12-08 12:28:16.473117	t	\N
12859	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918363	918782	2019-12-08 12:28:21.486165	t	\N
12860	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	926707	927740	2019-12-08 12:28:33.500756	t	\N
12861	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	937792	938186	2019-12-08 12:28:51.524041	t	\N
12862	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	944767	947868	2019-12-08 12:28:56.535996	t	\N
12863	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963577	963996	2019-12-08 12:29:22.568612	t	\N
12864	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	987085	987482	2019-12-08 12:29:57.617324	t	\N
12865	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1002676	1003128	2019-12-08 12:30:23.649195	t	\N
12866	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1036382	1036923	2019-12-08 12:31:18.715992	t	\N
12867	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827491	827912	2019-12-08 12:31:22.741428	t	\N
12868	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835783	836199	2019-12-08 12:31:36.759521	t	\N
12869	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	844365	858217	2019-12-08 12:31:49.781141	t	\N
12870	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	882384	885441	2019-12-08 12:32:24.826515	t	\N
12871	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	922659	925678	2019-12-08 12:33:26.904432	t	\N
12872	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	956087	956628	2019-12-08 12:34:15.966155	t	\N
12873	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	963317	963951	2019-12-08 12:34:26.98088	t	\N
12874	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965864	966283	2019-12-08 12:34:27.988203	t	\N
12875	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978481	978878	2019-12-08 12:34:50.01663	t	\N
12876	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1003035	1006054	2019-12-08 12:35:27.064083	t	\N
12877	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	830983	834042	2019-12-08 12:36:27.160657	t	\N
12878	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	856209	856998	2019-12-08 12:37:00.201873	t	\N
12879	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	858657	860109	2019-12-08 12:37:01.208453	t	\N
12880	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867617	868158	2019-12-08 12:37:13.224304	t	\N
12881	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875525	875944	2019-12-08 12:37:25.239498	t	\N
12882	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	912432	915451	2019-12-08 12:38:24.312726	t	\N
12883	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	941659	942244	2019-12-08 12:39:05.363817	t	\N
12884	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	949276	949670	2019-12-08 12:39:16.383983	t	\N
12885	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954833	955285	2019-12-08 12:39:24.394816	t	\N
12886	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981521	981918	2019-12-08 12:40:04.444849	t	\N
12887	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	985141	985948	2019-12-08 12:40:08.450408	t	\N
12888	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987746	988287	2019-12-08 12:40:10.453767	t	\N
12889	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996392	996844	2019-12-08 12:40:23.476813	t	\N
12890	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1034452	1037471	2019-12-08 12:41:24.552557	t	\N
12891	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	863175	866234	2019-12-08 12:42:24.646095	t	\N
12892	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895852	896393	2019-12-08 12:43:11.704651	t	\N
12893	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905426	905845	2019-12-08 12:43:26.724149	t	\N
12894	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	943176	946195	2019-12-08 12:44:27.8034	t	\N
12895	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	951939	952573	2019-12-08 12:44:36.814984	t	\N
12896	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973818	974215	2019-12-08 12:45:07.854581	t	\N
12897	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984891	985310	2019-12-08 12:45:25.876958	t	\N
12898	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1014441	1014982	2019-12-08 12:46:12.934637	t	\N
12899	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1022923	1023342	2019-12-08 12:46:25.989109	t	\N
12900	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	72	834973	848971	2019-12-08 12:46:59.048353	t	\N
12901	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	863474	863893	2019-12-08 12:47:24.080405	t	\N
12902	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	901134	904191	2019-12-08 12:48:26.156368	t	\N
12903	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935240	935634	2019-12-08 12:49:16.217382	t	\N
12904	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936818	937359	2019-12-08 12:49:17.224565	t	\N
12905	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943714	944133	2019-12-08 12:49:27.237195	t	\N
12906	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959441	959838	2019-12-08 12:49:54.270015	t	\N
12907	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983090	983509	2019-12-08 12:50:28.311878	t	\N
12908	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1020677	1023696	2019-12-08 12:51:28.393274	t	\N
12909	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	841348	841891	2019-12-08 12:52:11.45364	t	\N
12910	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	852312	852731	2019-12-08 12:52:28.475877	t	\N
12911	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	887823	890880	2019-12-08 12:53:26.551835	t	\N
12912	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	927277	930296	2019-12-08 12:54:25.633067	t	\N
12913	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	45	939348	939982	2019-12-08 12:54:40.652166	t	\N
12914	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	941010	942003	2019-12-08 12:54:41.659526	t	\N
12915	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	957503	957922	2019-12-08 12:55:01.68583	t	\N
12916	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963821	964362	2019-12-08 12:55:09.697781	t	\N
12917	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	969362	970111	2019-12-08 12:55:17.70792	t	\N
12918	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975630	976049	2019-12-08 12:55:25.718533	t	\N
12919	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1012455	1015474	2019-12-08 12:56:24.796093	t	\N
12920	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	1038113	830341	2019-12-08 12:56:59.839944	t	\N
12921	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845376	845795	2019-12-08 12:57:24.871833	t	\N
12922	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875987	876528	2019-12-08 12:58:12.931411	t	\N
12923	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884458	884877	2019-12-08 12:58:25.947377	t	\N
12924	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	885970	886672	2019-12-08 12:58:26.954169	t	\N
12925	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	917996	919702	2019-12-08 12:59:17.017314	t	\N
12926	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925479	925898	2019-12-08 12:59:26.029056	t	\N
12927	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926990	927384	2019-12-08 12:59:27.031034	t	\N
12928	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	932391	933424	2019-12-08 12:59:35.040905	t	\N
12929	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	937175	940276	2019-12-08 12:59:41.053365	t	\N
12930	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	948502	948896	2019-12-08 12:59:55.072126	t	\N
12931	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956150	956547	2019-12-08 13:00:01.0799	t	\N
12932	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	970326	970745	2019-12-08 13:00:24.109978	t	\N
12933	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	999922	1000463	2019-12-08 13:01:11.171237	t	\N
12934	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009054	1009473	2019-12-08 13:01:26.195814	t	\N
12935	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	1012591	1026369	2019-12-08 13:01:30.201305	t	\N
12936	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	841401	841819	2019-12-08 13:02:06.245286	t	\N
12937	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853803	854222	2019-12-08 13:02:27.27189	t	\N
12938	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	889613	892670	2019-12-08 13:03:25.343358	t	\N
12939	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919669	920210	2019-12-08 13:04:07.401216	t	\N
12940	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	929424	930058	2019-12-08 13:04:23.420395	t	\N
12941	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931859	932278	2019-12-08 13:04:24.422292	t	\N
12942	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964521	964918	2019-12-08 13:05:15.485265	t	\N
12943	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970907	971326	2019-12-08 13:05:25.497683	t	\N
12944	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1007521	1010540	2019-12-08 13:06:25.574929	t	\N
12945	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035494	1036035	2019-12-08 13:07:04.622747	t	\N
12946	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840647	841068	2019-12-08 13:07:26.671609	t	\N
12947	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	877001	880058	2019-12-08 13:08:24.743536	t	\N
12948	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	917022	920005	2019-12-08 13:09:26.818905	t	\N
12949	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921132	921551	2019-12-08 13:09:27.828611	t	\N
12950	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943595	944136	2019-12-08 13:10:00.868368	t	\N
12951	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951694	952091	2019-12-08 13:10:12.883781	t	\N
12952	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	960126	960545	2019-12-08 13:10:25.900837	t	\N
12953	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	970067	970874	2019-12-08 13:10:42.921818	t	\N
12954	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	999354	1002373	2019-12-08 13:11:26.981844	t	\N
12955	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037675	1038127	2019-12-08 13:12:24.053665	t	\N
12956	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847358	847901	2019-12-08 13:12:54.091981	t	\N
12957	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	868935	869387	2019-12-08 13:13:24.130254	t	\N
12958	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	891051	894312	2019-12-08 13:13:56.169649	t	\N
12959	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	910254	910706	2019-12-08 13:14:24.211723	t	\N
12960	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	941894	944858	2019-12-08 13:15:14.280499	t	\N
12961	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	951071	951490	2019-12-08 13:15:24.299486	t	\N
12962	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	833550	836874	2019-12-08 13:16:00.344046	t	\N
12963	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	76	838751	852619	2019-12-08 13:16:03.348353	t	\N
12964	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	866265	866684	2019-12-08 13:16:26.383027	t	\N
12965	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	902900	905919	2019-12-08 13:17:26.458782	t	\N
12966	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	933233	933816	2019-12-08 13:18:09.512205	t	\N
12967	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	944324	944743	2019-12-08 13:18:26.533347	t	\N
12968	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967217	967758	2019-12-08 13:19:00.575932	t	\N
12969	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	980660	981054	2019-12-08 13:19:22.608309	t	\N
12970	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983048	983500	2019-12-08 13:19:24.612002	t	\N
12971	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1011219	1014205	2019-12-08 13:20:07.664298	t	\N
12972	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023022	1023441	2019-12-08 13:20:22.683188	t	\N
12973	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	831985	835044	2019-12-08 13:21:22.755321	t	\N
12974	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	864102	867445	2019-12-08 13:22:08.827864	t	\N
12975	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875062	875481	2019-12-08 13:22:20.845592	t	\N
12976	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	911815	914834	2019-12-08 13:23:20.918042	t	\N
12977	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	924396	925030	2019-12-08 13:23:37.939135	t	\N
12978	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	951697	952116	2019-12-08 13:24:19.991475	t	\N
12979	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	977667	980949	2019-12-08 13:25:00.044963	t	\N
12980	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983642	984039	2019-12-08 13:25:03.050906	t	\N
12981	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994956	995375	2019-12-08 13:25:21.074244	t	\N
12982	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1019675	1023257	2019-12-08 13:25:59.12118	t	\N
12983	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1027283	1028043	2019-12-08 13:26:05.130319	t	\N
12984	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	811618	812039	2019-12-08 13:26:23.173548	t	\N
12985	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	847651	850708	2019-12-08 13:27:21.245199	t	\N
12986	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	873466	876750	2019-12-08 13:27:56.288949	t	\N
12987	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891800	892219	2019-12-08 13:28:23.32199	t	\N
12988	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	909773	912874	2019-12-08 13:28:54.363971	t	\N
12989	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	914242	914636	2019-12-08 13:28:55.372904	t	\N
12990	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	927870	928903	2019-12-08 13:29:10.392092	t	\N
12991	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936209	936628	2019-12-08 13:29:23.408052	t	\N
12992	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	964888	967874	2019-12-08 13:30:07.462126	t	\N
12993	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976340	976759	2019-12-08 13:30:22.481287	t	\N
12994	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992453	992994	2019-12-08 13:30:50.520754	t	\N
12995	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	1007394	1021262	2019-12-08 13:31:08.54319	t	\N
12996	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1029428	1029847	2019-12-08 13:31:21.562947	t	\N
12997	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	840409	843468	2019-12-08 13:32:21.640139	t	\N
12998	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855031	855447	2019-12-08 13:32:42.667097	t	\N
12999	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	880744	881163	2019-12-08 13:33:20.718381	t	\N
13000	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894401	895118	2019-12-08 13:33:44.749149	t	\N
13001	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	901401	902035	2019-12-08 13:33:54.767086	t	\N
13002	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921317	921736	2019-12-08 13:34:21.799698	t	\N
13003	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	950944	953930	2019-12-08 13:35:07.856259	t	\N
13004	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	960441	961230	2019-12-08 13:35:18.877558	t	\N
13005	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	964871	965290	2019-12-08 13:35:23.884628	t	\N
13006	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1003526	1006545	2019-12-08 13:36:25.961808	t	\N
13007	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019955	1020496	2019-12-08 13:36:49.992609	t	\N
13008	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1029982	1030567	2019-12-08 13:36:59.004442	t	\N
13009	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819154	819575	2019-12-08 13:37:24.040024	t	\N
13010	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	856840	859897	2019-12-08 13:38:24.121575	t	\N
13011	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	861996	863058	2019-12-08 13:38:26.124992	t	\N
13012	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	887298	890281	2019-12-08 13:39:03.171745	t	\N
13013	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902146	902565	2019-12-08 13:39:23.197298	t	\N
13014	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	911207	912659	2019-12-08 13:39:38.220969	t	\N
13015	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	926998	927539	2019-12-08 13:39:57.24576	t	\N
13016	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	939293	939690	2019-12-08 13:40:16.269743	t	\N
13017	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943103	943522	2019-12-08 13:40:21.276402	t	\N
13018	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	978485	981504	2019-12-08 13:41:19.347136	t	\N
13019	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	996824	997631	2019-12-08 13:41:46.388852	t	\N
13020	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019078	1019497	2019-12-08 13:42:19.430313	t	\N
13021	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	822453	825777	2019-12-08 13:43:01.502714	t	\N
13022	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836179	836598	2019-12-08 13:43:19.52517	t	\N
13023	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	854088	854722	2019-12-08 13:43:50.5643	t	\N
13024	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874654	875073	2019-12-08 13:44:18.604232	t	\N
13025	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	911429	914415	2019-12-08 13:45:16.675699	t	\N
13026	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915965	916384	2019-12-08 13:45:18.678589	t	\N
13027	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	936498	937039	2019-12-08 13:45:55.725201	t	\N
13028	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	954163	968031	2019-12-08 13:46:16.751304	t	\N
13029	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	969539	969958	2019-12-08 13:46:18.760063	t	\N
13030	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1007754	1011402	2019-12-08 13:47:20.83648	t	\N
13031	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	825005	828064	2019-12-08 13:48:22.916169	t	\N
13032	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847242	847783	2019-12-08 13:48:55.957837	t	\N
13033	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859970	860364	2019-12-08 13:49:09.976617	t	\N
13034	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868694	869113	2019-12-08 13:49:23.999636	t	\N
13035	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	904505	907524	2019-12-08 13:50:21.0706	t	\N
13036	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912262	912659	2019-12-08 13:50:29.080841	t	\N
13037	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945391	945810	2019-12-08 13:51:21.143518	t	\N
13038	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	971725	975071	2019-12-08 13:52:01.19467	t	\N
13039	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987661	988080	2019-12-08 13:52:23.232842	t	\N
13040	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1024461	1027480	2019-12-08 13:53:22.304978	t	\N
13041	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	816200	816836	2019-12-08 13:53:43.334143	t	\N
13042	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843116	843535	2019-12-08 13:54:22.382904	t	\N
13043	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	871016	874393	2019-12-08 13:55:05.436323	t	\N
13044	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	884812	885231	2019-12-08 13:55:22.457258	t	\N
13045	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889126	889523	2019-12-08 13:55:28.465219	t	\N
13046	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	908692	909586	2019-12-08 13:55:57.501246	t	\N
13047	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	916546	917281	2019-12-08 13:56:08.515332	t	\N
13048	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925582	926001	2019-12-08 13:56:22.532469	t	\N
13049	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	955519	959165	2019-12-08 13:57:08.593706	t	\N
13050	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967269	967688	2019-12-08 13:57:22.611107	t	\N
13051	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	990634	991175	2019-12-08 13:57:57.654098	t	\N
13052	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005478	1005897	2019-12-08 13:58:21.683184	t	\N
13053	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1022670	1023703	2019-12-08 13:58:51.749107	t	\N
13054	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819803	820224	2019-12-08 13:59:19.808143	t	\N
13055	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	822617	823303	2019-12-08 13:59:21.811201	t	\N
13056	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829749	830143	2019-12-08 13:59:32.825798	t	\N
13057	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833795	834189	2019-12-08 13:59:38.834197	t	\N
13058	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	843767	846868	2019-12-08 13:59:54.854769	t	\N
13059	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864285	864704	2019-12-08 14:00:18.894775	t	\N
13060	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866063	866460	2019-12-08 14:00:20.898151	t	\N
13061	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	885316	885857	2019-12-08 14:00:53.939032	t	\N
13062	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	898173	911951	2019-12-08 14:01:07.957338	t	\N
13063	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918334	918753	2019-12-08 14:01:18.971423	t	\N
13064	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	955929	958986	2019-12-08 14:02:19.052282	t	\N
13065	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	997120	1000139	2019-12-08 14:03:21.128764	t	\N
13066	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1005980	1006614	2019-12-08 14:03:31.142167	t	\N
13067	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014408	1014824	2019-12-08 14:03:44.158354	t	\N
13068	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027839	1028380	2019-12-08 14:04:00.179112	t	\N
13069	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819882	820303	2019-12-08 14:04:22.212124	t	\N
13070	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	851919	854943	2019-12-08 14:05:12.273842	t	\N
13071	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	862134	862553	2019-12-08 14:05:24.289216	t	\N
13072	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	898313	901332	2019-12-08 14:06:24.365258	t	\N
13073	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	928284	931631	2019-12-08 14:07:06.417388	t	\N
13074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941376	941795	2019-12-08 14:07:22.444142	t	\N
13075	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	978694	981713	2019-12-08 14:08:23.518877	t	\N
13076	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	1018330	1021349	2019-12-08 14:09:23.592159	t	\N
13077	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029856	1030250	2019-12-08 14:09:38.61103	t	\N
13078	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	831903	832446	2019-12-08 14:10:12.672562	t	\N
13079	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838215	838612	2019-12-08 14:10:21.689148	t	\N
13080	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840099	840518	2019-12-08 14:10:23.692857	t	\N
13081	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	871428	874862	2019-12-08 14:11:12.751278	t	\N
13082	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881082	881501	2019-12-08 14:11:22.764286	t	\N
13083	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	917700	920719	2019-12-08 14:12:22.838075	t	\N
13084	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	952556	955839	2019-12-08 14:13:12.915323	t	\N
13085	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	959955	960589	2019-12-08 14:13:18.923509	t	\N
13086	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963451	963870	2019-12-08 14:13:22.928527	t	\N
13087	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	1000757	1003776	2019-12-08 14:14:23.00355	t	\N
13088	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	819488	822514	2019-12-08 14:15:24.100365	t	\N
13089	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	823954	824406	2019-12-08 14:15:25.109653	t	\N
13090	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	79	855073	871680	2019-12-08 14:16:13.17063	t	\N
13091	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	875459	876000	2019-12-08 14:16:18.177736	t	\N
13092	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	880807	881259	2019-12-08 14:16:26.189288	t	\N
13093	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	889005	889588	2019-12-08 14:16:39.205236	t	\N
13094	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918039	918458	2019-12-08 14:17:24.268451	t	\N
13095	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	955810	958829	2019-12-08 14:18:24.343769	t	\N
13096	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	990545	993528	2019-12-08 14:19:16.41219	t	\N
13097	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996740	997281	2019-12-08 14:19:20.418372	t	\N
13098	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1000589	1001008	2019-12-08 14:19:24.424262	t	\N
13099	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1037403	820102	2019-12-08 14:20:22.505352	t	\N
13100	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826005	826402	2019-12-08 14:20:32.518905	t	\N
13101	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	856278	856697	2019-12-08 14:21:21.578731	t	\N
13102	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	889470	892813	2019-12-08 14:22:13.643356	t	\N
13103	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897179	897598	2019-12-08 14:22:20.65311	t	\N
13104	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	933927	936946	2019-12-08 14:23:20.72632	t	\N
13105	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	948419	949053	2019-12-08 14:23:40.750957	t	\N
13106	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976896	977315	2019-12-08 14:24:22.802463	t	\N
13107	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1008719	1012065	2019-12-08 14:25:13.865568	t	\N
13108	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015604	1016001	2019-12-08 14:25:18.872164	t	\N
13109	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019653	1020072	2019-12-08 14:25:24.88525	t	\N
13110	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1025962	1026769	2019-12-08 14:25:34.897419	t	\N
13111	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837809	838230	2019-12-08 14:26:24.959348	t	\N
13112	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	874805	877862	2019-12-08 14:27:25.033572	t	\N
13113	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	886237	887230	2019-12-08 14:27:39.051317	t	\N
13114	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	910656	911197	2019-12-08 14:28:13.102793	t	\N
13115	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917149	917568	2019-12-08 14:28:23.115269	t	\N
13116	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	952716	955735	2019-12-08 14:29:21.185025	t	\N
13117	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	958171	961272	2019-12-08 14:29:23.187899	t	\N
13118	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	962871	963926	2019-12-08 14:29:25.191275	t	\N
13119	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974971	975365	2019-12-08 14:29:44.215415	t	\N
13120	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997697	998094	2019-12-08 14:30:17.256431	t	\N
13121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001874	1002293	2019-12-08 14:30:23.263457	t	\N
13122	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	105	1033608	830694	2019-12-08 14:31:12.323665	t	\N
13123	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833035	833576	2019-12-08 14:31:16.329099	t	\N
13124	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838204	838623	2019-12-08 14:31:22.342461	t	\N
13125	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	873739	876796	2019-12-08 14:32:20.415039	t	\N
13126	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	884158	884574	2019-12-08 14:32:32.430007	t	\N
13127	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914470	914889	2019-12-08 14:33:21.498092	t	\N
13128	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	945496	948719	2019-12-08 14:34:08.557148	t	\N
13129	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	949847	950432	2019-12-08 14:34:09.566241	t	\N
13130	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955403	955944	2019-12-08 14:34:17.575607	t	\N
13131	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959973	960392	2019-12-08 14:34:23.583557	t	\N
13132	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	996412	999431	2019-12-08 14:35:22.657708	t	\N
13133	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004683	1005080	2019-12-08 14:35:31.669852	t	\N
13134	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	1032149	1032938	2019-12-08 14:36:13.72714	t	\N
13135	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037902	1038321	2019-12-08 14:36:21.738442	t	\N
13136	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	852956	856278	2019-12-08 14:37:16.805676	t	\N
13137	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859198	859617	2019-12-08 14:37:20.811652	t	\N
13138	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	897025	900044	2019-12-08 14:38:20.885275	t	\N
13139	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	913117	914569	2019-12-08 14:38:42.918599	t	\N
13140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937892	938311	2019-12-08 14:39:18.963192	t	\N
13141	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949729	950123	2019-12-08 14:39:38.988603	t	\N
13142	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974312	974709	2019-12-08 14:40:17.036014	t	\N
13143	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977129	977548	2019-12-08 14:40:19.039255	t	\N
13144	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	980869	981410	2019-12-08 14:40:24.050895	t	\N
13145	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	993404	994065	2019-12-08 14:40:44.07614	t	\N
13146	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017599	1018018	2019-12-08 14:41:19.120928	t	\N
13147	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	837266	840325	2019-12-08 14:42:19.195784	t	\N
13148	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	877217	880236	2019-12-08 14:43:21.271195	t	\N
13149	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885684	886225	2019-12-08 14:43:29.288234	t	\N
13150	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	57	912306	915593	2019-12-08 14:44:08.336195	t	\N
13151	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922603	923022	2019-12-08 14:44:20.351211	t	\N
13152	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	950217	953203	2019-12-08 14:45:03.403892	t	\N
13153	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963056	963475	2019-12-08 14:45:20.426066	t	\N
13154	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	981890	995758	2019-12-08 14:45:53.47225	t	\N
13155	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014742	1015161	2019-12-08 14:46:21.506604	t	\N
13156	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020695	1021236	2019-12-08 14:46:29.516902	t	\N
13157	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836582	839641	2019-12-08 14:47:21.582464	t	\N
13158	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	875663	878682	2019-12-08 14:48:19.653232	t	\N
13159	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	915960	918979	2019-12-08 14:49:20.737905	t	\N
13160	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	924921	925462	2019-12-08 14:49:30.751166	t	\N
13161	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937331	937728	2019-12-08 14:49:50.776017	t	\N
13162	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946337	946731	2019-12-08 14:49:58.785941	t	\N
13163	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958891	959310	2019-12-08 14:50:20.813363	t	\N
13164	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	995419	998438	2019-12-08 14:51:19.891797	t	\N
13165	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1035040	1038059	2019-12-08 14:52:19.967963	t	\N
13166	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	824575	825118	2019-12-08 14:52:23.996844	t	\N
13167	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	857803	860860	2019-12-08 14:53:17.065824	t	\N
13168	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	899567	902586	2019-12-08 14:54:19.142417	t	\N
13169	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	908925	909559	2019-12-08 14:54:30.164794	t	\N
13170	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920974	921371	2019-12-08 14:54:50.190082	t	\N
13171	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	937270	938077	2019-12-08 14:55:12.218173	t	\N
13172	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943388	943807	2019-12-08 14:55:20.227996	t	\N
13173	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947128	947669	2019-12-08 14:55:25.234836	t	\N
13174	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	980930	983949	2019-12-08 14:56:18.303921	t	\N
13175	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	1019201	1022783	2019-12-08 14:57:16.405374	t	\N
13176	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025282	1025701	2019-12-08 14:57:18.408866	t	\N
13177	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	835391	836079	2019-12-08 14:57:58.459302	t	\N
13178	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845948	846342	2019-12-08 14:58:15.480796	t	\N
13179	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849029	849448	2019-12-08 14:58:18.489618	t	\N
13180	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	855547	856088	2019-12-08 14:58:28.502878	t	\N
13181	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	862781	863617	2019-12-08 14:58:40.518249	t	\N
13182	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	866340	867373	2019-12-08 14:58:43.522272	t	\N
13183	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890662	891081	2019-12-08 14:59:18.565551	t	\N
13184	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	900725	901119	2019-12-08 14:59:35.591253	t	\N
13185	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910000	910397	2019-12-08 14:59:50.609458	t	\N
13186	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	925085	928186	2019-12-08 15:00:08.632227	t	\N
13187	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932599	933018	2019-12-08 15:00:16.642483	t	\N
13188	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	960613	974391	2019-12-08 15:01:00.696365	t	\N
13189	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983644	984063	2019-12-08 15:01:15.721492	t	\N
13190	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	989043	989459	2019-12-08 15:01:22.730969	t	\N
13191	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	992126	992678	2019-12-08 15:01:26.737274	t	\N
13192	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	999917	1001623	2019-12-08 15:01:37.750446	t	\N
13193	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025406	1025825	2019-12-08 15:02:13.800877	t	\N
13194	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	845466	848525	2019-12-08 15:03:11.876039	t	\N
13195	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	884999	888018	2019-12-08 15:04:10.948066	t	\N
13196	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	43	891787	892421	2019-12-08 15:04:15.955338	t	\N
13197	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903406	903947	2019-12-08 15:04:34.979833	t	\N
13198	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912761	913158	2019-12-08 15:04:49.999026	t	\N
13199	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	929457	929876	2019-12-08 15:05:12.03292	t	\N
13200	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	966458	969477	2019-12-08 15:06:11.10661	t	\N
13201	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1006468	1009487	2019-12-08 15:07:12.183034	t	\N
13202	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019924	1020465	2019-12-08 15:07:29.204368	t	\N
13203	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	832865	835924	2019-12-08 15:08:12.257192	t	\N
13204	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	874058	877077	2019-12-08 15:09:14.338465	t	\N
13205	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885618	886012	2019-12-08 15:09:28.357104	t	\N
13206	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900530	900927	2019-12-08 15:09:55.390209	t	\N
13207	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916802	917221	2019-12-08 15:10:16.416457	t	\N
13208	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	920239	921046	2019-12-08 15:10:20.421931	t	\N
13209	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	925247	925788	2019-12-08 15:10:27.437972	t	\N
13210	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	958346	961365	2019-12-08 15:11:18.499456	t	\N
13211	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	998100	1001119	2019-12-08 15:12:19.574941	t	\N
13212	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1037744	826276	2019-12-08 15:13:19.653249	t	\N
13213	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	832472	833013	2019-12-08 15:13:29.666802	t	\N
13214	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	845557	846140	2019-12-08 15:13:51.701217	t	\N
13215	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	856263	856897	2019-12-08 15:14:02.715742	t	\N
13216	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866196	866615	2019-12-08 15:14:17.734443	t	\N
13217	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	897406	900392	2019-12-08 15:15:06.796345	t	\N
13218	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907156	907575	2019-12-08 15:15:17.810076	t	\N
13219	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	943611	946630	2019-12-08 15:16:16.88687	t	\N
13220	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	954741	968609	2019-12-08 15:16:29.903833	t	\N
13221	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	969809	970350	2019-12-08 15:16:30.905918	t	\N
13222	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1001363	1004382	2019-12-08 15:17:18.964896	t	\N
13223	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	825148	828207	2019-12-08 15:18:18.038833	t	\N
13224	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	865624	868643	2019-12-08 15:19:19.121585	t	\N
13225	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	873780	874321	2019-12-08 15:19:28.133472	t	\N
13226	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885941	886335	2019-12-08 15:19:47.156774	t	\N
13227	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903686	904083	2019-12-08 15:20:10.186085	t	\N
13228	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910259	910678	2019-12-08 15:20:21.199481	t	\N
13229	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	948241	951238	2019-12-08 15:21:23.280468	t	\N
13230	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	987011	990030	2019-12-08 15:22:22.352401	t	\N
13231	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	996041	996582	2019-12-08 15:22:32.365183	t	\N
13232	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1027672	1030691	2019-12-08 15:23:22.426697	t	\N
13233	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	833297	833933	2019-12-08 15:23:52.484191	t	\N
13234	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854945	855364	2019-12-08 15:24:22.528096	t	\N
13235	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	889544	892568	2019-12-08 15:25:18.59734	t	\N
13236	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896447	896866	2019-12-08 15:25:24.604766	t	\N
13237	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	904844	905385	2019-12-08 15:25:38.622213	t	\N
13238	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	914740	915547	2019-12-08 15:25:54.64172	t	\N
13239	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936449	936868	2019-12-08 15:26:24.684966	t	\N
13240	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	973165	976184	2019-12-08 15:27:24.757738	t	\N
13241	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1011481	1014500	2019-12-08 15:28:22.830515	t	\N
13242	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1019637	1020630	2019-12-08 15:28:30.840946	t	\N
13243	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1021702	1022243	2019-12-08 15:28:31.843136	t	\N
13244	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1029976	1031009	2019-12-08 15:28:43.864191	t	\N
13245	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1033532	1036633	2019-12-08 15:28:47.870306	t	\N
13246	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846170	846591	2019-12-08 15:29:21.933316	t	\N
13247	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	871250	871644	2019-12-08 15:29:59.98049	t	\N
13248	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875440	875837	2019-12-08 15:30:05.988125	t	\N
13249	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885865	886284	2019-12-08 15:30:23.015038	t	\N
13250	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	923830	926887	2019-12-08 15:31:24.090531	t	\N
13251	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	929475	930016	2019-12-08 15:31:28.096214	t	\N
13252	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	951302	965298	2019-12-08 15:31:59.135504	t	\N
13253	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979941	980357	2019-12-08 15:32:24.165931	t	\N
13254	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981513	981932	2019-12-08 15:32:25.172691	t	\N
13255	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1018111	1021130	2019-12-08 15:33:25.25304	t	\N
13256	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	1028653	1029287	2019-12-08 15:33:38.269154	t	\N
13257	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847138	847559	2019-12-08 15:34:25.327996	t	\N
13258	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850946	851487	2019-12-08 15:34:30.334746	t	\N
13259	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872334	872731	2019-12-08 15:35:01.37837	t	\N
13260	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	876496	877103	2019-12-08 15:35:06.386394	t	\N
13261	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888665	889084	2019-12-08 15:35:25.409712	t	\N
13262	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	905582	906644	2019-12-08 15:35:54.44653	t	\N
13263	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928405	928824	2019-12-08 15:36:27.486755	t	\N
13264	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	965760	968817	2019-12-08 15:37:28.566879	t	\N
13265	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	973829	975281	2019-12-08 15:37:35.575992	t	\N
13266	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977311	977852	2019-12-08 15:37:38.579979	t	\N
13267	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009247	1009666	2019-12-08 15:38:28.641226	t	\N
13268	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	1037255	828996	2019-12-08 15:39:09.692446	t	\N
13269	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	838463	838915	2019-12-08 15:39:26.722371	t	\N
13270	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862126	862523	2019-12-08 15:40:01.766189	t	\N
13271	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866768	867162	2019-12-08 15:40:07.774374	t	\N
13272	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877085	877504	2019-12-08 15:40:24.795344	t	\N
13273	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	884257	885064	2019-12-08 15:40:36.810562	t	\N
13274	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	888484	889025	2019-12-08 15:40:41.823537	t	\N
13275	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915652	916071	2019-12-08 15:41:23.874983	t	\N
13276	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	953248	956267	2019-12-08 15:42:24.948882	t	\N
13277	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	993270	996289	2019-12-08 15:43:25.023629	t	\N
13278	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1003141	1003682	2019-12-08 15:43:37.039657	t	\N
13279	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1020072	1020706	2019-12-08 15:43:59.073199	t	\N
13280	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1036099	1036518	2019-12-08 15:44:25.106302	t	\N
13281	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840509	840908	2019-12-08 15:44:54.143171	t	\N
13282	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	863169	863588	2019-12-08 15:45:27.19162	t	\N
13283	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	900556	903613	2019-12-08 15:46:27.264024	t	\N
13284	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	906382	906923	2019-12-08 15:46:30.275785	t	\N
13285	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	913900	927768	2019-12-08 15:46:42.291142	t	\N
13286	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956194	956613	2019-12-08 15:47:27.347028	t	\N
13287	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	992371	995390	2019-12-08 15:48:25.419792	t	\N
13288	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1031664	1035010	2019-12-08 15:49:25.493767	t	\N
13289	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1036217	1036636	2019-12-08 15:49:26.502477	t	\N
13290	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836179	836578	2019-12-08 15:49:45.52552	t	\N
13291	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837974	838390	2019-12-08 15:49:46.528079	t	\N
13292	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862851	863270	2019-12-08 15:50:24.576326	t	\N
13293	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	899741	902798	2019-12-08 15:51:24.648588	t	\N
13294	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	939033	942052	2019-12-08 15:52:23.72616	t	\N
13295	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947507	948048	2019-12-08 15:52:31.739282	t	\N
13296	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	979913	982932	2019-12-08 15:53:22.817418	t	\N
13297	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	1018597	1021820	2019-12-08 15:54:20.889363	t	\N
13298	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023786	1024205	2019-12-08 15:54:23.893319	t	\N
13299	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	830167	830976	2019-12-08 15:54:52.934396	t	\N
13300	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832132	832529	2019-12-08 15:54:53.936744	t	\N
13301	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853794	854213	2019-12-08 15:55:23.975753	t	\N
13302	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	856266	856968	2019-12-08 15:55:25.9789	t	\N
13303	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	857996	858537	2019-12-08 15:55:26.981044	t	\N
13304	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	892886	895943	2019-12-08 15:56:22.055327	t	\N
13305	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	930638	933657	2019-12-08 15:57:20.126884	t	\N
13306	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	960222	963323	2019-12-08 15:58:02.17876	t	\N
13307	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	973974	974393	2019-12-08 15:58:20.201556	t	\N
13308	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	978738	979279	2019-12-08 15:58:26.208979	t	\N
13309	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	983589	984622	2019-12-08 15:58:32.223173	t	\N
13310	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1015657	1018676	2019-12-08 15:59:21.283506	t	\N
13311	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1025713	1026706	2019-12-08 15:59:34.299655	t	\N
13312	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033481	1033875	2019-12-08 15:59:45.313622	t	\N
13313	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	829993	830392	2019-12-08 15:59:51.340516	t	\N
13314	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844685	845079	2019-12-08 16:00:10.351019	t	\N
13315	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850785	851204	2019-12-08 16:00:19.362447	t	\N
13316	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	859166	860002	2019-12-08 16:00:33.379936	t	\N
13317	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	888833	891890	2019-12-08 16:01:18.436236	t	\N
13318	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	893370	893911	2019-12-08 16:01:20.439389	t	\N
13319	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	900171	914039	2019-12-08 16:01:30.457322	t	\N
13320	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	943634	946653	2019-12-08 16:02:16.514213	t	\N
13321	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	983193	986212	2019-12-08 16:03:16.587498	t	\N
13322	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1000847	1001263	2019-12-08 16:03:43.62064	t	\N
13323	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1020012	1020646	2019-12-08 16:04:09.653838	t	\N
13324	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025681	1026100	2019-12-08 16:04:17.670037	t	\N
13325	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1029597	1030138	2019-12-08 16:04:22.677068	t	\N
13326	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830120	830519	2019-12-08 16:04:37.721592	t	\N
13327	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857273	857692	2019-12-08 16:05:19.777004	t	\N
13328	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	893646	896703	2019-12-08 16:06:17.88034	t	\N
13329	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	933924	936943	2019-12-08 16:07:18.965719	t	\N
13330	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938037	938578	2019-12-08 16:07:19.967879	t	\N
13331	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	975063	978082	2019-12-08 16:08:19.04109	t	\N
13332	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	27	1015985	1019004	2019-12-08 16:09:21.118893	t	\N
13333	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1031472	1031869	2019-12-08 16:09:43.147489	t	\N
13334	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840674	841070	2019-12-08 16:10:06.182287	t	\N
13335	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	842402	843209	2019-12-08 16:10:07.184803	t	\N
13336	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	850664	851205	2019-12-08 16:10:19.200261	t	\N
13337	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853444	853863	2019-12-08 16:10:21.203436	t	\N
13338	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	889671	892728	2019-12-08 16:11:20.27621	t	\N
13339	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	928475	931558	2019-12-08 16:12:19.353829	t	\N
13340	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	969554	972573	2019-12-08 16:13:21.429742	t	\N
13341	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	975117	975658	2019-12-08 16:13:25.436732	t	\N
13342	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1011061	1014080	2019-12-08 16:14:22.506231	t	\N
13343	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1016451	1017085	2019-12-08 16:14:25.511765	t	\N
13344	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	1020728	1021311	2019-12-08 16:14:30.518602	t	\N
13345	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1031562	1031981	2019-12-08 16:14:48.541527	t	\N
13346	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848598	849019	2019-12-08 16:15:24.586113	t	\N
13347	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	884587	887972	2019-12-08 16:16:22.661654	t	\N
13348	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	889574	889993	2019-12-08 16:16:24.664996	t	\N
13349	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	914131	927999	2019-12-08 16:17:01.715599	t	\N
13350	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	942391	942810	2019-12-08 16:17:26.753242	t	\N
13351	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	840564	843623	2019-12-08 16:18:25.865468	t	\N
13352	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	875942	879289	2019-12-08 16:19:17.929602	t	\N
13353	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883524	883943	2019-12-08 16:19:23.93706	t	\N
13354	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906090	906487	2019-12-08 16:19:57.9842	t	\N
13355	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920488	920907	2019-12-08 16:20:23.01503	t	\N
13356	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	924839	925233	2019-12-08 16:20:29.023304	t	\N
13357	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	958224	961243	2019-12-08 16:21:23.094248	t	\N
13358	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	992790	996135	2019-12-08 16:22:14.156707	t	\N
13359	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002234	1002653	2019-12-08 16:22:24.175888	t	\N
13360	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	811140	814199	2019-12-08 16:23:26.270119	t	\N
13361	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	850299	853522	2019-12-08 16:24:25.341285	t	\N
13362	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854742	855161	2019-12-08 16:24:26.343482	t	\N
13363	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876635	877032	2019-12-08 16:24:58.38269	t	\N
13364	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885569	886110	2019-12-08 16:25:12.404895	t	\N
13365	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	887784	888591	2019-12-08 16:25:14.408513	t	\N
13366	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894692	895111	2019-12-08 16:25:24.421016	t	\N
13367	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	931892	934911	2019-12-08 16:26:25.495182	t	\N
13368	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	970954	973973	2019-12-08 16:27:23.567055	t	\N
13369	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	1000017	1001010	2019-12-08 16:28:05.62546	t	\N
13370	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006448	1006989	2019-12-08 16:28:12.63416	t	\N
13371	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013335	1013754	2019-12-08 16:28:23.648292	t	\N
13372	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1020725	1021758	2019-12-08 16:28:35.663475	t	\N
13373	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	1024609	1027710	2019-12-08 16:28:39.669183	t	\N
13374	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	826377	826798	2019-12-08 16:29:21.725182	t	\N
13375	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	842594	842991	2019-12-08 16:29:47.757177	t	\N
13376	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864756	865175	2019-12-08 16:30:21.798467	t	\N
13377	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874024	874418	2019-12-08 16:30:36.817016	t	\N
13378	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	900103	903484	2019-12-08 16:31:15.864196	t	\N
13379	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908411	908830	2019-12-08 16:31:22.880367	t	\N
13380	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	943957	946976	2019-12-08 16:32:20.949202	t	\N
13381	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	955756	969624	2019-12-08 16:32:36.969626	t	\N
13382	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	996515	999534	2019-12-08 16:33:19.021409	t	\N
13383	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028787	1029203	2019-12-08 16:34:06.085728	t	\N
13384	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1036253	1036794	2019-12-08 16:34:17.104658	t	\N
13385	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	811695	812331	2019-12-08 16:34:18.127605	t	\N
13386	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	814297	814716	2019-12-08 16:34:21.131613	t	\N
13387	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829067	829464	2019-12-08 16:34:47.163229	t	\N
13388	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	832853	833438	2019-12-08 16:34:52.170692	t	\N
13389	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855610	856029	2019-12-08 16:35:23.213576	t	\N
13390	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	893497	896554	2019-12-08 16:36:24.288541	t	\N
13391	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	926135	929482	2019-12-08 16:37:12.347133	t	\N
13392	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937468	937887	2019-12-08 16:37:25.364001	t	\N
13393	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	974117	977136	2019-12-08 16:38:23.436018	t	\N
13394	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1014194	1017213	2019-12-08 16:39:23.515674	t	\N
13395	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1031856	1033308	2019-12-08 16:39:50.55004	t	\N
13396	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034731	1035128	2019-12-08 16:39:52.552974	t	\N
13397	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	823830	824493	2019-12-08 16:40:11.577196	t	\N
13398	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	829795	830336	2019-12-08 16:40:20.589028	t	\N
13399	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832078	832497	2019-12-08 16:40:22.597746	t	\N
13400	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	848169	848958	2019-12-08 16:40:50.632509	t	\N
13401	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852243	852637	2019-12-08 16:40:55.63984	t	\N
13402	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870538	870957	2019-12-08 16:41:20.670329	t	\N
13403	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	907287	910344	2019-12-08 16:42:18.74112	t	\N
13404	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	943847	947126	2019-12-08 16:43:13.818248	t	\N
13405	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949122	949541	2019-12-08 16:43:16.82308	t	\N
13406	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	985189	988208	2019-12-08 16:44:14.895643	t	\N
13407	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	994289	994923	2019-12-08 16:44:23.90729	t	\N
13408	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021649	1022046	2019-12-08 16:45:06.962197	t	\N
13409	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028491	1028910	2019-12-08 16:45:16.979911	t	\N
13410	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	834156	834699	2019-12-08 16:46:08.043575	t	\N
13411	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	840126	840545	2019-12-08 16:46:15.052868	t	\N
13412	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	876632	879689	2019-12-08 16:47:14.126813	t	\N
13413	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	892214	906082	2019-12-08 16:47:37.15622	t	\N
13414	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	930848	933867	2019-12-08 16:48:14.208254	t	\N
13415	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	965521	966062	2019-12-08 16:49:06.27105	t	\N
13416	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971896	972315	2019-12-08 16:49:14.281579	t	\N
13417	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005116	1005535	2019-12-08 16:50:07.347722	t	\N
13418	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009396	1009815	2019-12-08 16:50:12.354117	t	\N
13419	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019915	1020309	2019-12-08 16:50:29.378954	t	\N
13420	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	822467	825526	2019-12-08 16:51:11.430214	t	\N
13421	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	860284	860825	2019-12-08 16:52:08.499615	t	\N
13422	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	862784	863203	2019-12-08 16:52:09.501287	t	\N
13423	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	879790	880513	2019-12-08 16:52:39.537721	t	\N
13424	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901458	901877	2019-12-08 16:53:09.583021	t	\N
13425	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	931006	931640	2019-12-08 16:53:58.64153	t	\N
13426	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	937494	937913	2019-12-08 16:54:07.658017	t	\N
13427	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	956694	960154	2019-12-08 16:54:39.69746	t	\N
13428	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	978233	978652	2019-12-08 16:55:05.729944	t	\N
13429	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983207	983748	2019-12-08 16:55:11.743484	t	\N
13430	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989037	989434	2019-12-08 16:55:19.753715	t	\N
13431	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1017685	1018104	2019-12-08 16:56:05.810263	t	\N
13432	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	829695	832754	2019-12-08 16:57:06.883165	t	\N
13433	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	844647	845680	2019-12-08 16:57:26.907822	t	\N
13434	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	854622	855516	2019-12-08 16:57:41.931316	t	\N
13435	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	864196	867297	2019-12-08 16:57:56.951064	t	\N
13436	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876780	877199	2019-12-08 16:58:06.964012	t	\N
13437	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	878467	879349	2019-12-08 16:58:07.966723	t	\N
13438	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885000	885394	2019-12-08 16:58:15.97705	t	\N
13439	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	916441	916860	2019-12-08 16:59:07.045484	t	\N
13440	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	926416	927351	2019-12-08 16:59:23.066374	t	\N
13441	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	951546	951940	2019-12-08 17:00:00.11526	t	\N
13442	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	955987	956406	2019-12-08 17:00:07.124497	t	\N
13443	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959638	960035	2019-12-08 17:00:10.128675	t	\N
13444	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995103	995522	2019-12-08 17:01:09.204689	t	\N
13445	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997625	998166	2019-12-08 17:01:11.207804	t	\N
13446	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033525	1033944	2019-12-08 17:02:09.2784	t	\N
13447	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	84	842084	858582	2019-12-08 17:03:00.341491	t	\N
13448	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860049	860465	2019-12-08 17:03:02.344412	t	\N
13449	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866598	867017	2019-12-08 17:03:11.360857	t	\N
13450	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	890655	891289	2019-12-08 17:03:55.415193	t	\N
13451	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903905	904324	2019-12-08 17:04:10.434024	t	\N
13452	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906749	907290	2019-12-08 17:04:14.439225	t	\N
13453	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	943329	946348	2019-12-08 17:05:11.506803	t	\N
13454	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953753	954150	2019-12-08 17:05:24.529962	t	\N
13455	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	984246	987265	2019-12-08 17:06:11.586723	t	\N
13456	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1011629	1013335	2019-12-08 17:06:56.640228	t	\N
13457	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1026392	1026933	2019-12-08 17:07:12.660209	t	\N
13458	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028343	1028762	2019-12-08 17:07:13.662222	t	\N
13459	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	840879	843938	2019-12-08 17:08:11.737594	t	\N
13460	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	868869	869676	2019-12-08 17:08:57.795774	t	\N
13461	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	881354	881773	2019-12-08 17:09:10.81212	t	\N
13462	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912985	913379	2019-12-08 17:10:00.872373	t	\N
13463	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	918857	919276	2019-12-08 17:10:09.884417	t	\N
13464	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	922015	922556	2019-12-08 17:10:12.893746	t	\N
13465	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933092	933489	2019-12-08 17:10:30.915582	t	\N
13466	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	957141	957560	2019-12-08 17:11:07.960943	t	\N
13467	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	993228	996311	2019-12-08 17:12:07.03698	t	\N
13468	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	1032486	1035764	2019-12-08 17:13:07.114518	t	\N
13469	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037769	1038188	2019-12-08 17:13:09.126327	t	\N
13470	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	851312	854371	2019-12-08 17:14:07.200942	t	\N
13471	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	859697	860280	2019-12-08 17:14:15.21172	t	\N
13472	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	863099	863733	2019-12-08 17:14:18.21615	t	\N
13473	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894135	894554	2019-12-08 17:15:07.282984	t	\N
13474	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911532	911929	2019-12-08 17:15:37.324695	t	\N
13475	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931820	932239	2019-12-08 17:16:07.361402	t	\N
13476	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	933838	934716	2019-12-08 17:16:08.364062	t	\N
13477	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	971532	974551	2019-12-08 17:17:08.436994	t	\N
13478	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	73	1005551	1022030	2019-12-08 17:17:58.497753	t	\N
13479	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1028631	1029050	2019-12-08 17:18:09.518483	t	\N
13480	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	843344	846403	2019-12-08 17:19:09.590931	t	\N
13481	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	849848	850389	2019-12-08 17:19:14.597579	t	\N
13482	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	884596	885015	2019-12-08 17:20:09.66546	t	\N
13483	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	886235	886629	2019-12-08 17:20:10.667613	t	\N
13484	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	907393	910379	2019-12-08 17:20:47.715825	t	\N
13485	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927926	928345	2019-12-08 17:21:11.748928	t	\N
13486	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	961959	962500	2019-12-08 17:22:06.815473	t	\N
13487	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965342	965761	2019-12-08 17:22:09.82125	t	\N
13488	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1002166	1005185	2019-12-08 17:23:09.893396	t	\N
13489	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	71	1035851	818018	2019-12-08 17:23:58.959754	t	\N
13490	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824787	825206	2019-12-08 17:24:09.975076	t	\N
13491	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	833543	834350	2019-12-08 17:24:24.993469	t	\N
13492	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	857254	857795	2019-12-08 17:25:00.038032	t	\N
13493	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864097	864516	2019-12-08 17:25:09.050621	t	\N
13494	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	878542	878939	2019-12-08 17:25:34.085997	t	\N
13495	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	896507	897540	2019-12-08 17:26:00.118286	t	\N
13496	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	903720	904139	2019-12-08 17:26:09.129665	t	\N
13497	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	940687	943744	2019-12-08 17:27:09.232789	t	\N
13498	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	966709	972410	2019-12-08 17:27:50.283388	t	\N
13499	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975232	975773	2019-12-08 17:27:53.294357	t	\N
13500	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989484	989903	2019-12-08 17:28:10.315375	t	\N
13501	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1025011	1028030	2019-12-08 17:29:08.386292	t	\N
13502	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	833618	836641	2019-12-08 17:29:55.463356	t	\N
13503	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	848797	849216	2019-12-08 17:30:09.481426	t	\N
13504	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	859515	860508	2019-12-08 17:30:27.509304	t	\N
13505	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864515	864912	2019-12-08 17:30:33.520344	t	\N
13506	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	876614	877155	2019-12-08 17:30:54.546187	t	\N
13507	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	890452	890871	2019-12-08 17:31:10.567197	t	\N
13508	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	927794	930813	2019-12-08 17:32:10.643472	t	\N
13509	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	967282	970301	2019-12-08 17:33:09.722271	t	\N
13510	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	982877	996745	2019-12-08 17:33:31.750021	t	\N
13511	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011600	1012016	2019-12-08 17:33:57.782236	t	\N
13512	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016774	1017315	2019-12-08 17:33:58.784205	t	\N
13513	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024508	1024927	2019-12-08 17:34:09.798669	t	\N
13514	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1031172	1031806	2019-12-08 17:34:19.815662	t	\N
13515	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	843169	843623	2019-12-08 17:35:08.875393	t	\N
13516	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853047	853444	2019-12-08 17:35:24.894913	t	\N
13517	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	881468	881887	2019-12-08 17:36:08.948462	t	\N
13518	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	915289	918611	2019-12-08 17:37:05.019092	t	\N
13519	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921448	921867	2019-12-08 17:37:08.030239	t	\N
13520	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	923256	924318	2019-12-08 17:37:09.03244	t	\N
13521	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	945910	949084	2019-12-08 17:37:48.080729	t	\N
13522	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	950524	951987	2019-12-08 17:37:49.083511	t	\N
13523	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	967628	968047	2019-12-08 17:38:10.109723	t	\N
13524	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1003834	1006853	2019-12-08 17:39:09.186732	t	\N
13525	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1018974	1019781	2019-12-08 17:39:30.213483	t	\N
13526	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025459	1025853	2019-12-08 17:39:39.224843	t	\N
13527	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	823427	823970	2019-12-08 17:40:00.250979	t	\N
13528	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	829675	830127	2019-12-08 17:40:08.261861	t	\N
13529	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834606	835003	2019-12-08 17:40:15.270872	t	\N
13530	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867470	867922	2019-12-08 17:41:08.336726	t	\N
13531	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	874212	875001	2019-12-08 17:41:18.349059	t	\N
13532	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904909	905328	2019-12-08 17:42:06.407415	t	\N
13533	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	940191	943337	2019-12-08 17:43:02.47777	t	\N
13534	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	945745	946164	2019-12-08 17:43:05.488635	t	\N
13535	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	982683	985702	2019-12-08 17:44:05.56226	t	\N
13536	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	1007394	1010617	2019-12-08 17:44:42.60736	t	\N
13537	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025927	1026346	2019-12-08 17:45:03.633257	t	\N
13538	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036785	1037182	2019-12-08 17:45:21.655611	t	\N
13539	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	844510	845053	2019-12-08 17:45:58.706329	t	\N
13540	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847058	847477	2019-12-08 17:46:01.711142	t	\N
13541	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	885129	888186	2019-12-08 17:47:02.784947	t	\N
13542	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	924429	927448	2019-12-08 17:48:02.857795	t	\N
13543	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	74	954292	970771	2019-12-08 17:48:50.915316	t	\N
13544	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	980761	981302	2019-12-08 17:49:01.935114	t	\N
13545	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983884	984303	2019-12-08 17:49:03.938086	t	\N
13546	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1020309	1023292	2019-12-08 17:50:03.010497	t	\N
13547	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1024472	1024891	2019-12-08 17:50:04.01268	t	\N
13548	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031676	1032073	2019-12-08 17:50:15.029738	t	\N
13549	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846014	846435	2019-12-08 17:51:05.095717	t	\N
13550	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	880604	883926	2019-12-08 17:52:01.163069	t	\N
13551	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887158	887577	2019-12-08 17:52:05.168639	t	\N
13552	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	900864	901587	2019-12-08 17:52:28.196423	t	\N
13553	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	925109	925528	2019-12-08 17:53:05.242518	t	\N
13554	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	961248	964267	2019-12-08 17:54:04.319254	t	\N
13555	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	990550	993946	2019-12-08 17:54:51.376551	t	\N
13556	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1003925	1004466	2019-12-08 17:55:02.390997	t	\N
13557	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1006440	1007074	2019-12-08 17:55:03.392851	t	\N
13558	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1008166	1008585	2019-12-08 17:55:04.395176	t	\N
13559	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1013070	1013467	2019-12-08 17:55:10.407483	t	\N
13560	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	1034429	1038051	2019-12-08 17:55:48.452667	t	\N
13561	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	833573	833994	2019-12-08 17:56:02.470507	t	\N
13562	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	872321	875378	2019-12-08 17:57:04.545024	t	\N
13563	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	877251	878145	2019-12-08 17:57:07.549396	t	\N
13564	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	911069	914412	2019-12-08 17:58:00.618127	t	\N
13565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917369	917788	2019-12-08 17:58:04.623646	t	\N
13566	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	955605	958624	2019-12-08 17:59:06.698778	t	\N
13567	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	962570	965671	2019-12-08 17:59:11.705338	t	\N
13568	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	998814	1002396	2019-12-08 18:00:04.770466	t	\N
13569	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004141	1004560	2019-12-08 18:00:06.780538	t	\N
13570	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008502	1008899	2019-12-08 18:00:11.787205	t	\N
13571	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011243	1011637	2019-12-08 18:00:13.790141	t	\N
13572	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033743	1034284	2019-12-08 18:00:54.839663	t	\N
13573	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830140	830561	2019-12-08 18:01:06.855231	t	\N
13574	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834044	834438	2019-12-08 18:01:10.865921	t	\N
13575	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	868981	872038	2019-12-08 18:02:07.935694	t	\N
13576	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	907586	910605	2019-12-08 18:03:05.007359	t	\N
13577	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	934474	937817	2019-12-08 18:03:48.06063	t	\N
13578	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952168	952587	2019-12-08 18:04:06.083228	t	\N
13579	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	956092	970088	2019-12-08 18:04:10.09347	t	\N
13580	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	986431	987065	2019-12-08 18:04:39.129117	t	\N
13581	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006508	1006927	2019-12-08 18:05:08.166784	t	\N
13582	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012454	1012870	2019-12-08 18:05:15.176432	t	\N
13583	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014357	1014754	2019-12-08 18:05:17.179535	t	\N
13584	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831280	831701	2019-12-08 18:06:06.243102	t	\N
13585	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	858799	862184	2019-12-08 18:06:55.304689	t	\N
13586	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871506	871925	2019-12-08 18:07:05.317123	t	\N
13587	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	909345	912364	2019-12-08 18:08:07.3933	t	\N
13588	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	950610	953629	2019-12-08 18:09:09.46852	t	\N
13589	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	968052	968859	2019-12-08 18:09:34.505432	t	\N
13590	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978058	978599	2019-12-08 18:09:50.525238	t	\N
13591	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	993819	994238	2019-12-08 18:10:10.549763	t	\N
13592	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997308	997702	2019-12-08 18:10:14.555455	t	\N
13593	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1002053	1002450	2019-12-08 18:10:21.564421	t	\N
13594	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033070	1033489	2019-12-08 18:11:10.632703	t	\N
13595	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	858167	861226	2019-12-08 18:12:12.707693	t	\N
13596	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	886281	889730	2019-12-08 18:12:57.763033	t	\N
13597	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	901967	902550	2019-12-08 18:13:11.780842	t	\N
13598	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903926	904345	2019-12-08 18:13:12.783459	t	\N
13599	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	941676	944695	2019-12-08 18:14:13.856739	t	\N
13600	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	951688	952322	2019-12-08 18:14:24.870835	t	\N
13601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982809	983228	2019-12-08 18:15:13.930305	t	\N
13602	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988555	988952	2019-12-08 18:15:21.940508	t	\N
13603	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1005482	1006023	2019-12-08 18:15:51.978274	t	\N
13604	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021979	1022398	2019-12-08 18:16:13.010919	t	\N
13605	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	845606	848665	2019-12-08 18:17:11.102012	t	\N
13606	Jobs::EnsureDbConsistency	iZj6chkije5xk0gfyvcrzyZ-web-only	127	143	852833	875701	2019-12-08 18:17:18.111014	t	\N
13607	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	907458	907910	2019-12-08 18:18:09.177071	t	\N
13608	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	76	931938	948417	2019-12-08 18:18:50.227154	t	\N
13609	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	957114	957655	2019-12-08 18:18:59.245585	t	\N
13610	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	963815	964267	2019-12-08 18:19:09.258678	t	\N
13611	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1000388	1003371	2019-12-08 18:20:07.328687	t	\N
13612	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1006762	1007181	2019-12-08 18:20:10.333283	t	\N
13613	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1021121	1021582	2019-12-08 18:20:35.364023	t	\N
13614	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832617	833038	2019-12-08 18:21:10.412992	t	\N
13615	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	867716	871101	2019-12-08 18:22:07.484871	t	\N
13616	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874026	874445	2019-12-08 18:22:10.48922	t	\N
13617	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	909891	912910	2019-12-08 18:23:09.559973	t	\N
13618	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	950120	953139	2019-12-08 18:24:10.635677	t	\N
13619	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	965898	966532	2019-12-08 18:24:34.671916	t	\N
13620	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	972576	973609	2019-12-08 18:24:44.685035	t	\N
13621	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992606	993025	2019-12-08 18:25:10.717209	t	\N
13622	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	994181	994988	2019-12-08 18:25:11.719062	t	\N
13623	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	996742	997283	2019-12-08 18:25:14.723139	t	\N
13624	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1003255	1003652	2019-12-08 18:25:23.740397	t	\N
13625	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032452	1032871	2019-12-08 18:26:09.795997	t	\N
13626	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	859385	862444	2019-12-08 18:27:11.870589	t	\N
13627	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	898771	902118	2019-12-08 18:28:10.941527	t	\N
13628	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903314	903733	2019-12-08 18:28:11.943412	t	\N
13629	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	939919	942938	2019-12-08 18:29:11.020676	t	\N
13630	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	961099	962092	2019-12-08 18:29:44.062308	t	\N
13631	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981704	982123	2019-12-08 18:30:11.09634	t	\N
13632	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983482	983879	2019-12-08 18:30:13.099512	t	\N
13633	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	986342	989507	2019-12-08 18:30:16.104049	t	\N
13634	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999130	999524	2019-12-08 18:30:33.129652	t	\N
13635	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1021910	1022451	2019-12-08 18:31:06.170964	t	\N
13636	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026318	1026737	2019-12-08 18:31:11.177933	t	\N
13637	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	852890	855949	2019-12-08 18:32:11.27211	t	\N
13638	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	890584	893603	2019-12-08 18:33:09.344475	t	\N
13639	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	68	897853	911785	2019-12-08 18:33:15.352366	t	\N
13640	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	933874	936890	2019-12-08 18:33:55.401296	t	\N
13641	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948050	948469	2019-12-08 18:34:07.416889	t	\N
13642	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952689	953230	2019-12-08 18:34:13.424791	t	\N
13643	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	957309	957943	2019-12-08 18:34:19.432668	t	\N
13644	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	986814	987211	2019-12-08 18:35:05.495667	t	\N
13645	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	990551	991003	2019-12-08 18:35:09.501519	t	\N
13646	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1027399	1030418	2019-12-08 18:36:08.573724	t	\N
13647	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1036266	1036851	2019-12-08 18:36:16.584271	t	\N
13648	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	856951	857494	2019-12-08 18:37:05.662623	t	\N
13649	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860132	860551	2019-12-08 18:37:08.672973	t	\N
13650	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	896944	900001	2019-12-08 18:38:08.746245	t	\N
13651	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	922373	926414	2019-12-08 18:38:47.794145	t	\N
13652	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941464	941883	2019-12-08 18:39:08.81991	t	\N
13653	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	966336	969322	2019-12-08 18:39:51.871841	t	\N
13654	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982518	982937	2019-12-08 18:40:08.901047	t	\N
13655	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	984467	985008	2019-12-08 18:40:09.90316	t	\N
13656	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1005015	1005822	2019-12-08 18:40:45.945604	t	\N
13657	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011698	1012092	2019-12-08 18:40:54.957513	t	\N
13658	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023868	1024287	2019-12-08 18:41:08.975015	t	\N
13659	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	851664	854723	2019-12-08 18:42:09.099561	t	\N
13660	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	874469	875258	2019-12-08 18:42:44.14248	t	\N
13661	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	891886	892427	2019-12-08 18:43:07.171058	t	\N
13662	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894046	894465	2019-12-08 18:43:08.172916	t	\N
13663	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	927694	930917	2019-12-08 18:44:02.239254	t	\N
13664	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936406	936825	2019-12-08 18:44:10.256572	t	\N
13665	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	960477	963463	2019-12-08 18:44:53.308969	t	\N
13666	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978620	979039	2019-12-08 18:45:12.333042	t	\N
13667	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1008195	1011474	2019-12-08 18:46:00.391938	t	\N
13668	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020692	1021111	2019-12-08 18:46:14.414177	t	\N
13669	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	849569	852628	2019-12-08 18:47:15.516351	t	\N
13670	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	864372	878240	2019-12-08 18:47:35.54262	t	\N
13671	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	903576	903995	2019-12-08 18:48:13.588298	t	\N
13672	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	925654	928938	2019-12-08 18:48:52.635595	t	\N
13673	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944691	945110	2019-12-08 18:49:12.65992	t	\N
13674	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	966725	969711	2019-12-08 18:49:52.713608	t	\N
13675	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985506	985925	2019-12-08 18:50:13.73975	t	\N
13676	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1019762	1022745	2019-12-08 18:51:09.807755	t	\N
13677	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1025664	1026083	2019-12-08 18:51:12.811885	t	\N
13678	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	842295	845619	2019-12-08 18:51:57.867107	t	\N
13679	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859280	859699	2019-12-08 18:52:14.895775	t	\N
13680	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	895508	898527	2019-12-08 18:53:13.966107	t	\N
13681	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	935066	938085	2019-12-08 18:54:14.045341	t	\N
13682	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	944866	945899	2019-12-08 18:54:26.060778	t	\N
13683	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	948833	949489	2019-12-08 18:54:30.066806	t	\N
13684	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	954773	955496	2019-12-08 18:54:38.077355	t	\N
13685	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	957294	958167	2019-12-08 18:54:40.080278	t	\N
13686	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	965910	966451	2019-12-08 18:54:53.097094	t	\N
13687	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968699	969118	2019-12-08 18:54:56.101797	t	\N
13688	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983737	984156	2019-12-08 18:55:14.123848	t	\N
13689	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	987925	988660	2019-12-08 18:55:19.135145	t	\N
13690	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1023303	1023722	2019-12-08 18:56:16.203936	t	\N
13691	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	852022	855081	2019-12-08 18:57:14.29335	t	\N
13692	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	876850	880130	2019-12-08 18:57:53.341743	t	\N
13693	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895567	896050	2019-12-08 18:58:13.367317	t	\N
13694	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	932523	935542	2019-12-08 18:59:13.444758	t	\N
13695	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	12	937073	938066	2019-12-08 18:59:15.451102	t	\N
13696	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824467	824866	2019-12-08 18:59:42.48406	t	\N
13697	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846542	846961	2019-12-08 19:00:14.524706	t	\N
13698	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	855814	858937	2019-12-08 19:00:29.543521	t	\N
13699	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	872506	873047	2019-12-08 19:00:53.574809	t	\N
13700	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887990	888409	2019-12-08 19:01:12.598793	t	\N
13701	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901036	901430	2019-12-08 19:01:34.626602	t	\N
13702	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926370	926789	2019-12-08 19:02:12.672909	t	\N
13703	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	933992	935698	2019-12-08 19:02:24.687886	t	\N
13704	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950186	950580	2019-12-08 19:02:50.725733	t	\N
13705	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	964585	978363	2019-12-08 19:03:08.747255	t	\N
13706	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981678	982097	2019-12-08 19:03:12.7532	t	\N
13707	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988812	989228	2019-12-08 19:03:24.767912	t	\N
13708	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007358	1007899	2019-12-08 19:03:56.806884	t	\N
13709	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020763	1021182	2019-12-08 19:04:11.830893	t	\N
13710	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	811126	811525	2019-12-08 19:04:44.892623	t	\N
13711	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	35	817979	818613	2019-12-08 19:04:55.907	t	\N
13712	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831431	831850	2019-12-08 19:05:10.926815	t	\N
13713	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	868961	872018	2019-12-08 19:06:11.002973	t	\N
13714	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	903357	906700	2019-12-08 19:07:01.08032	t	\N
13715	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914552	914971	2019-12-08 19:07:13.09563	t	\N
13716	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	951750	954769	2019-12-08 19:08:13.170906	t	\N
13717	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	990879	993898	2019-12-08 19:09:13.24394	t	\N
13718	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009250	1009647	2019-12-08 19:09:42.279738	t	\N
13719	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026107	1026648	2019-12-08 19:10:04.311704	t	\N
13720	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1033334	1033753	2019-12-08 19:10:14.325032	t	\N
13721	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	1037844	810919	2019-12-08 19:10:21.334006	t	\N
13722	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	844166	844585	2019-12-08 19:11:15.399543	t	\N
13723	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852931	853325	2019-12-08 19:11:29.417147	t	\N
13724	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882864	883283	2019-12-08 19:12:16.47916	t	\N
13725	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	894652	895235	2019-12-08 19:12:37.505427	t	\N
13726	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	918478	919019	2019-12-08 19:13:11.546925	t	\N
13727	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923294	923713	2019-12-08 19:13:17.554567	t	\N
13728	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	30	961744	964801	2019-12-08 19:14:19.63098	t	\N
13729	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978820	979217	2019-12-08 19:14:44.671106	t	\N
13730	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	41	985192	985826	2019-12-08 19:14:54.684056	t	\N
13731	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004269	1004688	2019-12-08 19:15:19.714668	t	\N
13732	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	813380	816700	2019-12-08 19:16:18.803134	t	\N
13733	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	817970	818389	2019-12-08 19:16:19.805058	t	\N
13734	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	855080	858099	2019-12-08 19:17:19.88314	t	\N
13735	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	862082	875950	2019-12-08 19:17:25.89137	t	\N
13736	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	909964	912983	2019-12-08 19:18:19.957045	t	\N
13737	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	944505	945046	2019-12-08 19:19:10.018713	t	\N
13738	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	949974	950393	2019-12-08 19:19:18.029863	t	\N
13739	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961767	962164	2019-12-08 19:19:38.060118	t	\N
13740	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	988196	988615	2019-12-08 19:20:17.110983	t	\N
13741	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1024823	1027842	2019-12-08 19:21:15.181751	t	\N
13742	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	817242	817638	2019-12-08 19:21:43.216083	t	\N
13743	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838076	838495	2019-12-08 19:22:13.254168	t	\N
13744	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	841844	842385	2019-12-08 19:22:18.266055	t	\N
13745	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	877580	880637	2019-12-08 19:23:15.335048	t	\N
13746	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	918166	921185	2019-12-08 19:24:17.409675	t	\N
13747	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	930305	930939	2019-12-08 19:24:33.430285	t	\N
13748	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932991	933388	2019-12-08 19:24:35.433394	t	\N
13749	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	959472	959891	2019-12-08 19:25:15.487381	t	\N
13750	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965880	966421	2019-12-08 19:25:25.499812	t	\N
13751	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	967763	968796	2019-12-08 19:25:26.501965	t	\N
13752	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	983618	984425	2019-12-08 19:25:52.534396	t	\N
13753	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001503	1001922	2019-12-08 19:26:15.56235	t	\N
13754	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1038371	815239	2019-12-08 19:27:14.637877	t	\N
13755	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	852363	855382	2019-12-08 19:28:16.713441	t	\N
13756	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	864919	865460	2019-12-08 19:28:33.734398	t	\N
13757	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892121	892540	2019-12-08 19:29:14.783183	t	\N
13758	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	896971	897964	2019-12-08 19:29:21.792124	t	\N
13759	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	899164	899561	2019-12-08 19:29:22.80203	t	\N
13760	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	904237	907338	2019-12-08 19:29:29.811098	t	\N
13761	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936766	937185	2019-12-08 19:30:16.868987	t	\N
13762	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	974163	977182	2019-12-08 19:31:17.941561	t	\N
13763	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	990884	991425	2019-12-08 19:31:41.97122	t	\N
13764	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994668	995062	2019-12-08 19:31:45.982878	t	\N
13765	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015882	1016301	2019-12-08 19:32:17.021067	t	\N
13766	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	101	1036517	828370	2019-12-08 19:32:54.066023	t	\N
13767	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	841979	842395	2019-12-08 19:33:10.087071	t	\N
13768	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846161	846580	2019-12-08 19:33:15.093538	t	\N
13769	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	883540	886559	2019-12-08 19:34:17.181524	t	\N
13770	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	892797	893194	2019-12-08 19:34:27.194636	t	\N
13771	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	901270	901811	2019-12-08 19:34:40.212205	t	\N
13772	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	903829	904463	2019-12-08 19:34:42.215171	t	\N
13773	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927912	928331	2019-12-08 19:35:17.258576	t	\N
13774	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	965066	968085	2019-12-08 19:36:17.336497	t	\N
13775	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	974847	975432	2019-12-08 19:36:29.351059	t	\N
13776	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	996537	997989	2019-12-08 19:37:00.390131	t	\N
13777	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008348	1008767	2019-12-08 19:37:18.412254	t	\N
13778	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020194	1020735	2019-12-08 19:37:38.437948	t	\N
13779	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	821503	821924	2019-12-08 19:38:18.512665	t	\N
13780	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	858464	861585	2019-12-08 19:39:19.588062	t	\N
13781	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867259	867656	2019-12-08 19:39:28.599784	t	\N
13782	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898447	898866	2019-12-08 19:40:17.65969	t	\N
13783	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	913206	913747	2019-12-08 19:40:42.691898	t	\N
13784	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	916787	917594	2019-12-08 19:40:46.703162	t	\N
13785	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	923771	924687	2019-12-08 19:40:55.715389	t	\N
13786	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940875	941294	2019-12-08 19:41:17.741382	t	\N
13787	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947586	947980	2019-12-08 19:41:28.755134	t	\N
13788	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978680	979099	2019-12-08 19:42:17.81451	t	\N
13789	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	1011970	1015348	2019-12-08 19:43:10.883735	t	\N
13790	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019864	1020283	2019-12-08 19:43:17.89259	t	\N
13791	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1031560	1032101	2019-12-08 19:43:37.917478	t	\N
13792	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832567	832966	2019-12-08 19:44:14.984034	t	\N
13793	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	836048	836467	2019-12-08 19:44:18.989864	t	\N
13794	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	838535	839169	2019-12-08 19:44:20.997305	t	\N
13795	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874249	874668	2019-12-08 19:45:18.067661	t	\N
13796	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	910543	913600	2019-12-08 19:46:18.139394	t	\N
13797	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	920033	920574	2019-12-08 19:46:29.153344	t	\N
13798	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950916	951335	2019-12-08 19:47:16.211287	t	\N
13799	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	962781	976649	2019-12-08 19:47:36.240308	t	\N
13800	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1001301	1001720	2019-12-08 19:48:15.28813	t	\N
13801	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1037554	817175	2019-12-08 19:49:13.359786	t	\N
13802	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822566	822963	2019-12-08 19:49:21.370122	t	\N
13803	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	827010	827551	2019-12-08 19:49:28.379394	t	\N
13804	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855712	856131	2019-12-08 19:50:11.437252	t	\N
13805	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	892505	895524	2019-12-08 19:51:11.511003	t	\N
13806	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	902349	902743	2019-12-08 19:51:23.52664	t	\N
13807	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	928535	929258	2019-12-08 19:52:03.576801	t	\N
13808	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932945	933364	2019-12-08 19:52:09.5848	t	\N
13809	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	949060	949601	2019-12-08 19:52:36.622371	t	\N
13810	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970636	971055	2019-12-08 19:53:08.661709	t	\N
13811	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	1005277	1008500	2019-12-08 19:54:04.728431	t	\N
13812	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1011426	1011845	2019-12-08 19:54:08.735101	t	\N
13813	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1016052	1016449	2019-12-08 19:54:14.744426	t	\N
13814	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	827054	830113	2019-12-08 19:55:10.839194	t	\N
13815	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	845120	845661	2019-12-08 19:55:36.870903	t	\N
13816	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	850565	851372	2019-12-08 19:55:44.881305	t	\N
13817	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	852676	853709	2019-12-08 19:55:45.883202	t	\N
13818	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	870854	871273	2019-12-08 19:56:08.911292	t	\N
13819	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	898861	902355	2019-12-08 19:56:57.977367	t	\N
13820	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912341	912760	2019-12-08 19:57:08.990439	t	\N
13821	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	950142	953161	2019-12-08 19:58:10.065171	t	\N
13822	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	964986	966043	2019-12-08 19:58:30.090676	t	\N
13823	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	972477	973018	2019-12-08 19:58:41.105131	t	\N
13824	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	982589	985690	2019-12-08 19:58:56.163131	t	\N
13825	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998619	999038	2019-12-08 19:59:12.182763	t	\N
13826	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1000461	1000858	2019-12-08 19:59:14.185904	t	\N
13827	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1037068	817202	2019-12-08 20:00:13.255508	t	\N
13828	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	847678	850661	2019-12-08 20:01:03.315693	t	\N
13829	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857538	857957	2019-12-08 20:01:14.337547	t	\N
13830	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874223	874764	2019-12-08 20:01:43.372638	t	\N
13831	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	894864	908732	2019-12-08 20:02:12.407422	t	\N
13832	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910254	910673	2019-12-08 20:02:14.410328	t	\N
13833	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919562	919956	2019-12-08 20:02:29.42861	t	\N
13834	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948778	949197	2019-12-08 20:03:15.490063	t	\N
13835	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	54	971867	975090	2019-12-08 20:03:56.540485	t	\N
13836	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984297	984713	2019-12-08 20:04:06.552903	t	\N
13837	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	989562	989981	2019-12-08 20:04:13.561624	t	\N
13838	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	995096	995493	2019-12-08 20:04:21.572085	t	\N
13839	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1010520	1011061	2019-12-08 20:04:49.611304	t	\N
13840	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028849	1029268	2019-12-08 20:05:13.639986	t	\N
13841	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	843001	846060	2019-12-08 20:06:14.71399	t	\N
13842	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	882851	885870	2019-12-08 20:07:14.788204	t	\N
13843	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	905515	906232	2019-12-08 20:07:50.83225	t	\N
13844	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923173	923592	2019-12-08 20:08:12.858925	t	\N
13845	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	958675	961661	2019-12-08 20:09:10.927838	t	\N
13846	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964759	965178	2019-12-08 20:09:14.933291	t	\N
13847	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1000724	1003743	2019-12-08 20:10:13.003401	t	\N
13908	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845748	846145	2019-12-08 20:38:41.215641	t	\N
13848	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	1015542	1016125	2019-12-08 20:10:34.029448	t	\N
13849	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1027840	1028381	2019-12-08 20:10:54.061236	t	\N
13850	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	820965	821386	2019-12-08 20:11:13.08534	t	\N
13851	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824312	824706	2019-12-08 20:11:17.09113	t	\N
13852	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	828797	829604	2019-12-08 20:11:24.100077	t	\N
13853	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859095	859514	2019-12-08 20:12:11.15657	t	\N
13854	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	895824	898881	2019-12-08 20:13:11.232569	t	\N
13855	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919249	919790	2019-12-08 20:13:47.274927	t	\N
13856	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	921836	922470	2019-12-08 20:13:49.278079	t	\N
13857	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	934328	934725	2019-12-08 20:14:03.295664	t	\N
13858	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938807	939226	2019-12-08 20:14:10.304088	t	\N
13859	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	976149	979168	2019-12-08 20:15:10.382423	t	\N
13860	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1014945	1017964	2019-12-08 20:16:08.452437	t	\N
13861	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1035731	1036272	2019-12-08 20:16:40.490999	t	\N
13862	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834211	834632	2019-12-08 20:17:08.545153	t	\N
13863	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	64	841822	855754	2019-12-08 20:17:20.560507	t	\N
13864	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	886296	889353	2019-12-08 20:18:10.625298	t	\N
13865	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	914125	917111	2019-12-08 20:18:54.680181	t	\N
13866	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	930303	930722	2019-12-08 20:19:10.704916	t	\N
13867	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	947544	948085	2019-12-08 20:19:41.74114	t	\N
13868	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967893	968312	2019-12-08 20:20:08.774842	t	\N
13869	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1005009	1008028	2019-12-08 20:21:09.853096	t	\N
13870	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1014367	1014761	2019-12-08 20:21:18.865159	t	\N
13871	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	824280	827339	2019-12-08 20:22:09.926931	t	\N
13872	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	849056	849597	2019-12-08 20:22:47.974214	t	\N
13873	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864914	865333	2019-12-08 20:23:07.999615	t	\N
13874	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885756	886153	2019-12-08 20:23:44.048823	t	\N
13875	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	903408	903827	2019-12-08 20:24:09.079531	t	\N
13876	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	905018	905652	2019-12-08 20:24:10.081551	t	\N
13877	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	941902	944921	2019-12-08 20:25:09.154227	t	\N
13878	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	969981	973259	2019-12-08 20:25:53.208821	t	\N
13879	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	984650	985683	2019-12-08 20:26:07.232528	t	\N
13880	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	989373	989792	2019-12-08 20:26:11.239502	t	\N
13881	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	997679	998486	2019-12-08 20:26:24.255004	t	\N
13882	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029149	1029568	2019-12-08 20:27:13.315036	t	\N
13883	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	843702	846761	2019-12-08 20:28:11.407966	t	\N
13884	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858547	858944	2019-12-08 20:28:31.432561	t	\N
13885	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	860996	861989	2019-12-08 20:28:33.435655	t	\N
13886	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	874759	875300	2019-12-08 20:28:56.463957	t	\N
13887	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888270	888689	2019-12-08 20:29:12.484215	t	\N
13888	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	915127	920828	2019-12-08 20:29:59.541681	t	\N
13889	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	930804	931223	2019-12-08 20:30:10.562613	t	\N
13890	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	965573	968556	2019-12-08 20:31:06.631887	t	\N
13891	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971221	971640	2019-12-08 20:31:10.637125	t	\N
13892	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	997182	1000524	2019-12-08 20:31:56.693331	t	\N
13893	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1012183	1012602	2019-12-08 20:32:09.709344	t	\N
13894	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	56	1022877	1036809	2019-12-08 20:32:27.735906	t	\N
13895	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	842233	842654	2019-12-08 20:33:07.785175	t	\N
13896	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863552	863949	2019-12-08 20:33:43.82865	t	\N
13897	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	877245	877661	2019-12-08 20:34:01.850483	t	\N
13898	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	883255	883674	2019-12-08 20:34:09.860609	t	\N
13899	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	898234	898868	2019-12-08 20:34:34.897441	t	\N
13900	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	910603	911144	2019-12-08 20:34:55.92407	t	\N
13901	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	924502	924954	2019-12-08 20:35:10.943013	t	\N
13902	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	961202	964259	2019-12-08 20:36:10.016219	t	\N
13903	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	998884	1002925	2019-12-08 20:37:07.090245	t	\N
13904	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004893	1005312	2019-12-08 20:37:09.099383	t	\N
13905	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1009716	1010301	2019-12-08 20:37:14.106344	t	\N
13906	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	819843	823163	2019-12-08 20:38:03.16784	t	\N
13907	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	828052	828471	2019-12-08 20:38:10.17711	t	\N
13909	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867015	867467	2019-12-08 20:39:12.259062	t	\N
13910	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	905314	908333	2019-12-08 20:40:13.334179	t	\N
13911	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	922396	922790	2019-12-08 20:40:38.365008	t	\N
13912	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	934112	934653	2019-12-08 20:40:57.388593	t	\N
13913	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	948084	948503	2019-12-08 20:41:13.409346	t	\N
13914	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	956849	957656	2019-12-08 20:41:27.430421	t	\N
13915	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	986066	986485	2019-12-08 20:42:12.486215	t	\N
13916	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1023632	1026651	2019-12-08 20:43:13.56118	t	\N
13917	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036332	1036729	2019-12-08 20:43:29.581493	t	\N
13918	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	837986	838529	2019-12-08 20:44:00.619635	t	\N
13919	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847634	848053	2019-12-08 20:44:14.644037	t	\N
13920	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	863734	864368	2019-12-08 20:44:43.679578	t	\N
13921	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	885703	886122	2019-12-08 20:45:14.719104	t	\N
13922	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	29	916055	919471	2019-12-08 20:46:03.778934	t	\N
13923	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927067	927486	2019-12-08 20:46:14.793126	t	\N
13924	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	950231	953514	2019-12-08 20:46:55.848769	t	\N
13925	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	968353	968772	2019-12-08 20:47:14.872223	t	\N
13926	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	980013	993881	2019-12-08 20:47:34.896549	t	\N
13927	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1020529	1020948	2019-12-08 20:48:15.946513	t	\N
13928	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032359	1032756	2019-12-08 20:48:35.971547	t	\N
13929	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	838807	839228	2019-12-08 20:49:14.02314	t	\N
13930	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	858157	858698	2019-12-08 20:49:48.065278	t	\N
13931	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	873054	873740	2019-12-08 20:50:06.089437	t	\N
13932	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878398	878817	2019-12-08 20:50:12.098239	t	\N
13933	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888246	888640	2019-12-08 20:50:29.119425	t	\N
13934	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	917007	917426	2019-12-08 20:51:12.177301	t	\N
13935	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	955040	958289	2019-12-08 20:52:14.251448	t	\N
13936	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	979837	980378	2019-12-08 20:52:53.2994	t	\N
13937	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997538	997957	2019-12-08 20:53:16.327242	t	\N
13938	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1015363	1015760	2019-12-08 20:53:48.365587	t	\N
13939	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034690	1035109	2019-12-08 20:54:14.40541	t	\N
13940	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	55	847170	850433	2019-12-08 20:55:01.463208	t	\N
13941	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	858027	858446	2019-12-08 20:55:14.480746	t	\N
13942	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	882452	885732	2019-12-08 20:55:57.533733	t	\N
13943	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	895192	895999	2019-12-08 20:56:06.545645	t	\N
13944	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902633	903052	2019-12-08 20:56:16.565248	t	\N
13945	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	939987	943006	2019-12-08 20:57:16.637999	t	\N
13946	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	949180	950213	2019-12-08 20:57:26.65058	t	\N
13947	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	968129	969835	2019-12-08 20:57:59.691095	t	\N
13948	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	982668	983087	2019-12-08 20:58:14.710694	t	\N
13949	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	985415	986408	2019-12-08 20:58:16.718793	t	\N
13950	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1009371	1012716	2019-12-08 20:58:58.769759	t	\N
13951	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018679	1019076	2019-12-08 20:59:00.772841	t	\N
13952	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1026637	1027531	2019-12-08 20:59:12.788018	t	\N
13953	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1030457	1030876	2019-12-08 20:59:16.793444	t	\N
13954	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	836721	839744	2019-12-08 20:59:58.866709	t	\N
13955	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	851629	852045	2019-12-08 21:00:11.884167	t	\N
13956	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	856495	856914	2019-12-08 21:00:18.894113	t	\N
13957	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	867056	870157	2019-12-08 21:00:35.916072	t	\N
13958	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	896656	897075	2019-12-08 21:01:17.96817	t	\N
13959	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	924477	927761	2019-12-08 21:02:01.026132	t	\N
13960	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937724	938143	2019-12-08 21:02:18.047414	t	\N
13961	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	948886	962754	2019-12-08 21:02:36.070342	t	\N
13962	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	988722	989141	2019-12-08 21:03:16.120922	t	\N
13963	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1012566	1015552	2019-12-08 21:03:59.173379	t	\N
13964	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1030099	1030518	2019-12-08 21:04:17.202007	t	\N
13965	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830599	831017	2019-12-08 21:04:47.239368	t	\N
13966	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	837202	837743	2019-12-08 21:04:57.252847	t	\N
13967	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853067	853486	2019-12-08 21:05:17.278207	t	\N
13968	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	859340	859974	2019-12-08 21:05:26.290206	t	\N
13969	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891077	891496	2019-12-08 21:06:16.358059	t	\N
13970	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	926603	929724	2019-12-08 21:07:14.430036	t	\N
13971	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	951654	952237	2019-12-08 21:07:54.479607	t	\N
13972	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	962475	963016	2019-12-08 21:08:05.493674	t	\N
13973	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	970586	971005	2019-12-08 21:08:16.507614	t	\N
13974	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	993015	996001	2019-12-08 21:08:56.564186	t	\N
13975	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009625	1010044	2019-12-08 21:09:14.586173	t	\N
13976	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029571	1029965	2019-12-08 21:09:49.628065	t	\N
13977	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	832093	832514	2019-12-08 21:10:12.656791	t	\N
13978	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	852325	853132	2019-12-08 21:10:48.70069	t	\N
13979	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859426	859967	2019-12-08 21:10:58.719511	t	\N
13980	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	872332	872751	2019-12-08 21:11:12.737595	t	\N
13981	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	909522	912579	2019-12-08 21:12:13.811498	t	\N
13982	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	948368	951387	2019-12-08 21:13:11.882083	t	\N
13983	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	980883	984229	2019-12-08 21:14:00.941495	t	\N
13984	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	990057	990454	2019-12-08 21:14:09.961165	t	\N
13985	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993163	993582	2019-12-08 21:14:11.964478	t	\N
13986	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1028017	1031036	2019-12-08 21:15:09.035021	t	\N
13987	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	1033943	1034577	2019-12-08 21:15:12.039098	t	\N
13988	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	854363	857422	2019-12-08 21:16:09.134756	t	\N
13989	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	893023	896307	2019-12-08 21:17:07.232769	t	\N
13990	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898248	898667	2019-12-08 21:17:09.235804	t	\N
13991	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	915415	929283	2019-12-08 21:17:39.272481	t	\N
13992	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950280	950699	2019-12-08 21:18:10.311855	t	\N
13993	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	988537	991556	2019-12-08 21:19:11.385721	t	\N
13994	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994089	994486	2019-12-08 21:19:15.397925	t	\N
13995	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1022680	1025663	2019-12-08 21:20:00.452155	t	\N
13996	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1033435	1033854	2019-12-08 21:20:11.466555	t	\N
13997	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034946	1035487	2019-12-08 21:20:12.468308	t	\N
13998	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	858633	861756	2019-12-08 21:21:13.562872	t	\N
13999	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	898695	901714	2019-12-08 21:22:13.644556	t	\N
14000	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	938902	941921	2019-12-08 21:23:14.718801	t	\N
14001	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	945380	945921	2019-12-08 21:23:19.726001	t	\N
14002	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	979375	982361	2019-12-08 21:24:11.789287	t	\N
14003	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985726	986145	2019-12-08 21:24:16.795653	t	\N
14004	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	1009402	1012625	2019-12-08 21:24:59.852452	t	\N
14005	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027797	1028216	2019-12-08 21:25:18.876224	t	\N
14006	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	850537	853857	2019-12-08 21:26:16.966092	t	\N
14007	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855528	855947	2019-12-08 21:26:18.969118	t	\N
14008	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	856975	857782	2019-12-08 21:26:19.971071	t	\N
14009	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	871142	872175	2019-12-08 21:26:43.005854	t	\N
14010	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895203	895622	2019-12-08 21:27:17.048672	t	\N
14011	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	915402	916337	2019-12-08 21:27:54.095816	t	\N
14012	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931695	932114	2019-12-08 21:28:15.122353	t	\N
14013	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	956143	959129	2019-12-08 21:28:58.173865	t	\N
14014	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972134	972553	2019-12-08 21:29:13.199133	t	\N
14015	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976509	977050	2019-12-08 21:29:19.206745	t	\N
14016	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	980804	983905	2019-12-08 21:29:25.214224	t	\N
14017	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1003555	1006538	2019-12-08 21:30:00.25874	t	\N
14018	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016545	1016964	2019-12-08 21:30:11.273148	t	\N
14019	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	840865	843988	2019-12-08 21:31:10.349511	t	\N
14020	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	880439	883458	2019-12-08 21:32:10.422345	t	\N
14021	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	886420	886961	2019-12-08 21:32:13.427275	t	\N
14022	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	75	911502	927981	2019-12-08 21:32:57.482051	t	\N
14023	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938536	938955	2019-12-08 21:33:10.499621	t	\N
14024	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	972813	975799	2019-12-08 21:34:05.57248	t	\N
14025	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	979647	980066	2019-12-08 21:34:10.579369	t	\N
14026	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	993824	994458	2019-12-08 21:34:34.609138	t	\N
14027	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1017530	1017949	2019-12-08 21:35:10.657082	t	\N
14028	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1021141	1021682	2019-12-08 21:35:13.661708	t	\N
14029	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026011	1026427	2019-12-08 21:35:20.676758	t	\N
14030	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	844696	847755	2019-12-08 21:36:08.737441	t	\N
14031	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	858942	860394	2019-12-08 21:36:27.760368	t	\N
14032	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	885935	886418	2019-12-08 21:37:07.810592	t	\N
14033	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	922955	925974	2019-12-08 21:38:07.882813	t	\N
14034	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	928861	929402	2019-12-08 21:38:11.894962	t	\N
14035	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	934027	934612	2019-12-08 21:38:17.903457	t	\N
14036	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954892	955289	2019-12-08 21:38:54.947915	t	\N
14037	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	965459	965878	2019-12-08 21:39:05.962286	t	\N
14038	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	1001680	1004699	2019-12-08 21:40:05.033486	t	\N
14039	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016038	1016432	2019-12-08 21:40:23.062824	t	\N
14040	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	830765	833824	2019-12-08 21:41:04.115002	t	\N
14041	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834907	835448	2019-12-08 21:41:05.116841	t	\N
14042	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	850587	851394	2019-12-08 21:41:31.149816	t	\N
14043	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873415	873834	2019-12-08 21:42:03.189346	t	\N
14044	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	910757	913776	2019-12-08 21:43:05.26855	t	\N
14045	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	942175	942572	2019-12-08 21:43:56.330836	t	\N
14046	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943664	944205	2019-12-08 21:43:57.3327	t	\N
14047	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953347	953766	2019-12-08 21:44:06.343789	t	\N
14048	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	960477	961111	2019-12-08 21:44:16.356164	t	\N
14049	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	969725	970787	2019-12-08 21:44:31.379336	t	\N
14050	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	993713	994132	2019-12-08 21:45:06.42214	t	\N
14051	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1031046	1034065	2019-12-08 21:46:07.497053	t	\N
14052	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	847785	848328	2019-12-08 21:46:50.54801	t	\N
14053	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860847	861266	2019-12-08 21:47:05.566363	t	\N
14054	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	883933	884722	2019-12-08 21:47:46.621869	t	\N
14055	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	891312	905180	2019-12-08 21:47:57.636143	t	\N
14056	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	914072	914491	2019-12-08 21:48:05.646809	t	\N
14057	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	950247	953271	2019-12-08 21:49:04.715978	t	\N
14058	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954515	954934	2019-12-08 21:49:05.718102	t	\N
14059	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	983592	984133	2019-12-08 21:49:57.784661	t	\N
14060	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	993696	994115	2019-12-08 21:50:06.796303	t	\N
14061	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004759	1005153	2019-12-08 21:50:23.816351	t	\N
14062	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1032657	1035676	2019-12-08 21:51:06.869729	t	\N
14063	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	846862	847587	2019-12-08 21:51:43.91488	t	\N
14064	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	864822	865241	2019-12-08 21:52:08.950791	t	\N
14065	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	898381	901699	2019-12-08 21:53:03.016395	t	\N
14066	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904547	904966	2019-12-08 21:53:06.020582	t	\N
14067	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	941064	944083	2019-12-08 21:54:07.094511	t	\N
14068	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	946821	947455	2019-12-08 21:54:10.09874	t	\N
14069	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949718	950115	2019-12-08 21:54:13.108285	t	\N
14070	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	982588	985671	2019-12-08 21:55:06.175682	t	\N
14071	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1013191	1013732	2019-12-08 21:55:56.235904	t	\N
14072	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1024553	1024972	2019-12-08 21:56:08.250682	t	\N
14073	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	843222	844031	2019-12-08 21:56:58.331068	t	\N
14074	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852868	853287	2019-12-08 21:57:06.34752	t	\N
14075	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	857816	858849	2019-12-08 21:57:13.356801	t	\N
14076	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	871454	872389	2019-12-08 21:57:34.382549	t	\N
14077	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894278	894697	2019-12-08 21:58:08.428705	t	\N
14078	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	919643	920184	2019-12-08 21:58:53.485287	t	\N
14079	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	931900	932319	2019-12-08 21:59:06.501567	t	\N
14080	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938810	939207	2019-12-08 21:59:16.514312	t	\N
14081	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	970190	973211	2019-12-08 22:00:06.574395	t	\N
14082	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	974424	974843	2019-12-08 22:00:07.57645	t	\N
14083	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	975935	979100	2019-12-08 22:00:08.578588	t	\N
14084	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1001746	1002640	2019-12-08 22:00:48.63464	t	\N
14085	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016581	1017000	2019-12-08 22:01:06.656882	t	\N
14086	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	838300	841624	2019-12-08 22:01:59.737273	t	\N
14087	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	850309	850728	2019-12-08 22:02:08.748548	t	\N
14088	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	861484	861878	2019-12-08 22:02:26.770819	t	\N
14089	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	76	884968	901447	2019-12-08 22:03:02.820646	t	\N
14090	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906268	906687	2019-12-08 22:03:09.829745	t	\N
14091	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	924856	925490	2019-12-08 22:03:42.871328	t	\N
14092	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943034	943453	2019-12-08 22:04:08.903015	t	\N
14093	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950996	951412	2019-12-08 22:04:19.917613	t	\N
14094	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	952376	952773	2019-12-08 22:04:20.924118	t	\N
14095	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	979138	982421	2019-12-08 22:05:02.975914	t	\N
14096	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985589	986008	2019-12-08 22:05:06.981654	t	\N
14097	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1022247	1025266	2019-12-08 22:06:06.054018	t	\N
14098	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	854364	857423	2019-12-08 22:07:06.145704	t	\N
14099	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	894271	897290	2019-12-08 22:08:07.226605	t	\N
14100	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	898693	899234	2019-12-08 22:08:08.228292	t	\N
14101	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	913166	913749	2019-12-08 22:08:31.256565	t	\N
14102	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	938264	938683	2019-12-08 22:09:09.307146	t	\N
14103	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	950207	950604	2019-12-08 22:09:29.338491	t	\N
14104	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822955	823351	2019-12-08 22:09:53.372647	t	\N
14105	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835209	835628	2019-12-08 22:10:07.38981	t	\N
14106	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	872750	876072	2019-12-08 22:11:08.464027	t	\N
14107	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877342	877761	2019-12-08 22:11:09.466119	t	\N
14108	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	883940	884747	2019-12-08 22:11:19.47982	t	\N
14109	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	916190	919209	2019-12-08 22:12:10.547037	t	\N
14110	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	956101	959184	2019-12-08 22:13:10.619977	t	\N
14111	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	982487	983143	2019-12-08 22:13:52.67163	t	\N
14112	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995597	996138	2019-12-08 22:14:08.690938	t	\N
14113	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	998475	998958	2019-12-08 22:14:10.694027	t	\N
14114	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1016312	1016709	2019-12-08 22:14:41.737875	t	\N
14115	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037774	1038193	2019-12-08 22:15:12.777951	t	\N
14116	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	847927	850986	2019-12-08 22:16:14.858994	t	\N
14117	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	883501	886844	2019-12-08 22:17:06.921596	t	\N
14118	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891563	891982	2019-12-08 22:17:13.930636	t	\N
14119	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	928249	931268	2019-12-08 22:18:13.007997	t	\N
14120	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	935451	949968	2019-12-08 22:18:20.016807	t	\N
14121	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	984073	987092	2019-12-08 22:19:15.085406	t	\N
14122	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004452	1004846	2019-12-08 22:19:47.124822	t	\N
14123	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010311	1010708	2019-12-08 22:19:55.135341	t	\N
14124	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020008	1020549	2019-12-08 22:20:05.152456	t	\N
14125	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026389	1026808	2019-12-08 22:20:14.16433	t	\N
14126	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	836890	839949	2019-12-08 22:21:14.238099	t	\N
14127	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	876607	879626	2019-12-08 22:22:14.309343	t	\N
14128	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	914043	917327	2019-12-08 22:23:10.377837	t	\N
14129	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920079	920498	2019-12-08 22:23:14.390542	t	\N
14130	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	939791	940425	2019-12-08 22:23:49.431354	t	\N
14131	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958080	958499	2019-12-08 22:24:14.462469	t	\N
14132	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975096	975493	2019-12-08 22:24:44.497863	t	\N
14133	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	995919	996338	2019-12-08 22:25:13.533206	t	\N
14134	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1030792	1034266	2019-12-08 22:26:10.603175	t	\N
14135	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1036866	1037285	2019-12-08 22:26:13.60742	t	\N
14136	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	819065	819874	2019-12-08 22:26:27.625198	t	\N
14137	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	848775	852395	2019-12-08 22:27:13.680955	t	\N
14138	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854703	855122	2019-12-08 22:27:15.68413	t	\N
14139	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	879623	880656	2019-12-08 22:28:00.742925	t	\N
14140	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891965	892384	2019-12-08 22:28:14.760602	t	\N
14141	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	923284	926631	2019-12-08 22:29:04.822794	t	\N
14142	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	932586	933005	2019-12-08 22:29:13.835217	t	\N
14143	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	938987	939381	2019-12-08 22:29:22.846904	t	\N
14144	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953442	953839	2019-12-08 22:29:47.882513	t	\N
14145	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	954867	957968	2019-12-08 22:29:48.884567	t	\N
14146	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	976292	976711	2019-12-08 22:30:13.917476	t	\N
14147	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1013274	1016293	2019-12-08 22:31:14.991427	t	\N
14148	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	825549	828932	2019-12-08 22:32:12.061858	t	\N
14149	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830914	831333	2019-12-08 22:32:14.071604	t	\N
14150	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	59	844600	858468	2019-12-08 22:32:37.10098	t	\N
14151	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882183	882602	2019-12-08 22:33:14.148285	t	\N
14152	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	889930	890564	2019-12-08 22:33:26.162686	t	\N
14153	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913369	913785	2019-12-08 22:34:01.205289	t	\N
14154	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920888	921307	2019-12-08 22:34:13.224978	t	\N
14155	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937167	937564	2019-12-08 22:34:41.258808	t	\N
14156	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	958521	958940	2019-12-08 22:35:13.299987	t	\N
14157	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960244	960785	2019-12-08 22:35:14.302028	t	\N
14158	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	997762	1000781	2019-12-08 22:36:14.375249	t	\N
14159	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	1031146	1035187	2019-12-08 22:37:03.441841	t	\N
14160	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	816400	816821	2019-12-08 22:37:13.474121	t	\N
14161	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	822197	822782	2019-12-08 22:37:21.484312	t	\N
14162	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	854781	857838	2019-12-08 22:38:13.548522	t	\N
14163	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	859084	859625	2019-12-08 22:38:14.550784	t	\N
14164	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	882593	882987	2019-12-08 22:38:55.607765	t	\N
14165	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897607	898026	2019-12-08 22:39:14.631288	t	\N
14166	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919856	920253	2019-12-08 22:39:54.681729	t	\N
14167	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	936442	936861	2019-12-08 22:40:15.70766	t	\N
14168	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	956917	957724	2019-12-08 22:40:51.751831	t	\N
14169	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	975654	976073	2019-12-08 22:41:15.806046	t	\N
14170	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977165	977706	2019-12-08 22:41:16.807634	t	\N
14171	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1014038	1017057	2019-12-08 22:42:15.879034	t	\N
14172	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	829637	832696	2019-12-08 22:43:15.951361	t	\N
14173	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	846942	847576	2019-12-08 22:43:41.98349	t	\N
14174	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869308	869727	2019-12-08 22:44:15.029289	t	\N
14175	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	871448	871989	2019-12-08 22:44:16.031523	t	\N
14176	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	893026	893423	2019-12-08 22:44:55.080979	t	\N
14177	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910153	910572	2019-12-08 22:45:17.108104	t	\N
14178	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	947174	950193	2019-12-08 22:46:17.181296	t	\N
14179	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	984889	988172	2019-12-08 22:47:14.257079	t	\N
14180	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991009	991428	2019-12-08 22:47:17.260973	t	\N
14181	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	1007484	1021352	2019-12-08 22:47:46.296084	t	\N
14182	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	819278	819699	2019-12-08 22:48:17.355252	t	\N
14183	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	854616	857673	2019-12-08 22:49:15.426564	t	\N
14184	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863083	863477	2019-12-08 22:49:24.444196	t	\N
14185	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	31	890517	893895	2019-12-08 22:50:06.497547	t	\N
14186	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895474	896015	2019-12-08 22:50:07.499711	t	\N
14187	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897362	897759	2019-12-08 22:50:08.5018	t	\N
14188	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901891	902310	2019-12-08 22:50:14.509749	t	\N
14189	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	926958	927681	2019-12-08 22:50:59.570706	t	\N
14190	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	939200	939619	2019-12-08 22:51:12.586906	t	\N
14191	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	976324	979343	2019-12-08 22:52:12.658383	t	\N
14192	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1011022	1014368	2019-12-08 22:53:04.720604	t	\N
14193	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1020963	1021382	2019-12-08 22:53:14.732506	t	\N
14194	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	823610	824246	2019-12-08 22:53:59.79238	t	\N
14195	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	837384	837803	2019-12-08 22:54:15.812272	t	\N
14196	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	860748	862454	2019-12-08 22:54:57.863567	t	\N
14197	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869209	869606	2019-12-08 22:55:01.869149	t	\N
14198	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877252	877671	2019-12-08 22:55:14.885674	t	\N
14199	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	907164	907705	2019-12-08 22:56:01.946796	t	\N
14200	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	914857	915276	2019-12-08 22:56:13.96273	t	\N
14201	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	919232	920039	2019-12-08 22:56:19.970442	t	\N
14202	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	953076	956133	2019-12-08 22:57:13.037799	t	\N
14203	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	991256	994750	2019-12-08 22:58:11.109435	t	\N
14204	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	997930	998349	2019-12-08 22:58:14.120508	t	\N
14205	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1010490	1011545	2019-12-08 22:58:35.147849	t	\N
14206	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1014643	1015578	2019-12-08 22:58:39.152924	t	\N
14207	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032592	1033133	2019-12-08 22:59:03.184248	t	\N
14208	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	819553	819974	2019-12-08 22:59:16.220849	t	\N
14209	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	834728	835122	2019-12-08 22:59:43.258117	t	\N
14210	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849963	850360	2019-12-08 23:00:03.283144	t	\N
14211	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	859779	860198	2019-12-08 23:00:18.301813	t	\N
14212	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	876603	879704	2019-12-08 23:00:47.341579	t	\N
14213	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	900799	901218	2019-12-08 23:01:18.379916	t	\N
14214	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923356	923897	2019-12-08 23:01:59.435329	t	\N
14215	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938624	939043	2019-12-08 23:02:17.457455	t	\N
14216	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	962173	975930	2019-12-08 23:02:58.508297	t	\N
14217	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	991295	991714	2019-12-08 23:03:18.532535	t	\N
14218	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	995035	995429	2019-12-08 23:03:23.539256	t	\N
14219	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1007500	1007916	2019-12-08 23:03:45.570243	t	\N
14220	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1010032	1010666	2019-12-08 23:03:47.573507	t	\N
14221	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032346	1032765	2019-12-08 23:04:19.61249	t	\N
14222	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	830059	830778	2019-12-08 23:04:53.655644	t	\N
14223	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846997	847394	2019-12-08 23:05:14.681496	t	\N
14224	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	850807	851226	2019-12-08 23:05:19.692867	t	\N
14225	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	889400	892457	2019-12-08 23:06:21.769281	t	\N
14226	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	929389	932408	2019-12-08 23:07:21.842287	t	\N
14227	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949170	949711	2019-12-08 23:07:51.878028	t	\N
14228	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971304	971723	2019-12-08 23:08:23.917146	t	\N
14229	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1008514	1011533	2019-12-08 23:09:25.99843	t	\N
14230	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	1022567	1023150	2019-12-08 23:09:46.023208	t	\N
14231	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1025191	1025585	2019-12-08 23:09:47.02564	t	\N
14232	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	826725	827124	2019-12-08 23:10:20.091393	t	\N
14233	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	830776	831195	2019-12-08 23:10:26.09919	t	\N
14234	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	846688	847229	2019-12-08 23:10:53.139319	t	\N
14235	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868507	868926	2019-12-08 23:11:25.18034	t	\N
14236	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	882767	883574	2019-12-08 23:11:49.209528	t	\N
14237	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	907453	907872	2019-12-08 23:12:26.254936	t	\N
14238	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	945970	949027	2019-12-08 23:13:28.330066	t	\N
14239	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	963750	964291	2019-12-08 23:13:55.369681	t	\N
14240	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	976491	977125	2019-12-08 23:14:10.387506	t	\N
14241	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	988065	988484	2019-12-08 23:14:28.410086	t	\N
14242	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1022531	1025517	2019-12-08 23:15:22.475077	t	\N
14243	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1029972	1030391	2019-12-08 23:15:30.485368	t	\N
14244	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	847049	850108	2019-12-08 23:16:30.581338	t	\N
14245	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	871744	872285	2019-12-08 23:17:02.626385	t	\N
14246	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887564	887983	2019-12-08 23:17:28.658254	t	\N
14247	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	924800	927819	2019-12-08 23:18:28.731504	t	\N
14248	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	934441	948373	2019-12-08 23:18:40.746793	t	\N
14249	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978569	978988	2019-12-08 23:19:27.809282	t	\N
14250	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984748	985142	2019-12-08 23:19:36.820607	t	\N
14251	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1002937	1003478	2019-12-08 23:20:01.852218	t	\N
14252	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1012853	1013250	2019-12-08 23:20:16.869798	t	\N
14253	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1019958	1020377	2019-12-08 23:20:27.883649	t	\N
14254	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	838219	841278	2019-12-08 23:21:28.963132	t	\N
14255	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	877011	880030	2019-12-08 23:22:28.036065	t	\N
14256	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	894951	895664	2019-12-08 23:22:54.068648	t	\N
14257	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	917978	918397	2019-12-08 23:23:27.10948	t	\N
14258	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	955082	958101	2019-12-08 23:24:27.184192	t	\N
14259	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	964478	965112	2019-12-08 23:24:37.203845	t	\N
14260	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994477	994874	2019-12-08 23:25:23.25946	t	\N
14261	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	997864	998283	2019-12-08 23:25:27.26511	t	\N
14262	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1014197	1014738	2019-12-08 23:25:56.302013	t	\N
14263	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	1037115	1037534	2019-12-08 23:26:29.343046	t	\N
14264	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	850742	854178	2019-12-08 23:27:20.414616	t	\N
14265	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	860233	860652	2019-12-08 23:27:30.427584	t	\N
14266	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	26	889046	892628	2019-12-08 23:28:14.481807	t	\N
14267	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	902955	903374	2019-12-08 23:28:32.503747	t	\N
14268	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	913476	914017	2019-12-08 23:28:51.52717	t	\N
14269	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	941654	942073	2019-12-08 23:29:32.583587	t	\N
14270	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	944452	944846	2019-12-08 23:29:36.588977	t	\N
14271	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	953818	954851	2019-12-08 23:29:51.607631	t	\N
14272	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	979436	980109	2019-12-08 23:30:28.653266	t	\N
14273	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	983430	983849	2019-12-08 23:30:33.65979	t	\N
14274	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1020407	1023426	2019-12-08 23:31:33.737494	t	\N
14275	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037200	1037741	2019-12-08 23:31:57.766507	t	\N
14276	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	833111	836214	2019-12-08 23:32:14.787984	t	\N
14277	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	847104	847523	2019-12-08 23:32:32.810703	t	\N
14278	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	883940	887061	2019-12-08 23:33:32.882114	t	\N
14279	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895959	896375	2019-12-08 23:33:47.908506	t	\N
14280	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	66	909740	923608	2019-12-08 23:34:05.930941	t	\N
14281	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937716	938135	2019-12-08 23:34:30.96209	t	\N
14282	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	960905	961539	2019-12-08 23:35:04.003724	t	\N
14283	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	962907	963448	2019-12-08 23:35:05.005592	t	\N
14284	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977802	978221	2019-12-08 23:35:30.042567	t	\N
14285	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984413	984810	2019-12-08 23:35:40.055783	t	\N
14286	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	994212	995606	2019-12-08 23:35:56.076674	t	\N
14287	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019485	1019904	2019-12-08 23:36:32.121931	t	\N
14288	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	840516	843575	2019-12-08 23:37:34.200746	t	\N
14289	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	858115	858656	2019-12-08 23:37:59.232109	t	\N
14290	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	882740	883175	2019-12-08 23:38:35.278351	t	\N
14291	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	889487	890072	2019-12-08 23:38:46.292375	t	\N
14292	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	921107	924126	2019-12-08 23:39:35.3795	t	\N
14293	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	943375	943769	2019-12-08 23:40:03.413476	t	\N
14294	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	961144	961563	2019-12-08 23:40:33.454546	t	\N
14295	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	964818	965215	2019-12-08 23:40:37.460303	t	\N
14296	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	974290	975001	2019-12-08 23:40:53.48071	t	\N
14297	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1002169	1005252	2019-12-08 23:41:35.53174	t	\N
14298	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	826902	829961	2019-12-08 23:42:37.633006	t	\N
14299	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	832403	833210	2019-12-08 23:42:41.645292	t	\N
14300	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	868664	871683	2019-12-08 23:43:37.71433	t	\N
14301	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	878505	879046	2019-12-08 23:43:49.729089	t	\N
14302	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	908508	911527	2019-12-08 23:44:35.786239	t	\N
14303	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	930762	931396	2019-12-08 23:45:03.820943	t	\N
14304	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	949063	952049	2019-12-08 23:45:35.865229	t	\N
14305	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	953357	953776	2019-12-08 23:45:36.867375	t	\N
14306	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	989153	989572	2019-12-08 23:46:34.938804	t	\N
14307	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	998156	998697	2019-12-08 23:46:49.957383	t	\N
14308	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	1013886	1014948	2019-12-08 23:47:09.982293	t	\N
14309	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028966	1029385	2019-12-08 23:47:34.017725	t	\N
14310	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	848354	851413	2019-12-08 23:48:32.116304	t	\N
14311	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	63	871525	885393	2019-12-08 23:49:02.154931	t	\N
14312	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901500	901919	2019-12-08 23:49:30.190377	t	\N
14313	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	906114	906508	2019-12-08 23:49:36.198867	t	\N
14314	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	912157	912698	2019-12-08 23:49:45.214166	t	\N
14315	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	940962	941381	2019-12-08 23:50:30.270054	t	\N
14316	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947207	947604	2019-12-08 23:50:39.281987	t	\N
14317	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	972282	972968	2019-12-08 23:51:17.329321	t	\N
14318	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	977405	978194	2019-12-08 23:51:23.33725	t	\N
14319	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981691	982110	2019-12-08 23:51:28.351689	t	\N
14320	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1018472	1021555	2019-12-08 23:52:28.426029	t	\N
14321	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1030342	1030883	2019-12-08 23:52:43.444399	t	\N
14322	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845015	845436	2019-12-08 23:53:29.50212	t	\N
14323	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	881058	884115	2019-12-08 23:54:28.573711	t	\N
14324	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	896898	897532	2019-12-08 23:54:51.609768	t	\N
14325	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	923185	923604	2019-12-08 23:55:30.658742	t	\N
14326	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	928428	928825	2019-12-08 23:55:37.667923	t	\N
14327	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933238	933779	2019-12-08 23:55:45.678211	t	\N
14328	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	962992	963411	2019-12-08 23:56:31.73665	t	\N
14329	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	989595	992991	2019-12-08 23:57:12.791693	t	\N
14330	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1005153	1005572	2019-12-08 23:57:32.816835	t	\N
14331	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	825938	828997	2019-12-08 23:58:30.888749	t	\N
14332	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	836504	837045	2019-12-08 23:58:42.904104	t	\N
14333	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	9	841982	842975	2019-12-08 23:58:50.914425	t	\N
14334	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	857654	858490	2019-12-08 23:59:08.940735	t	\N
14335	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	867690	868084	2019-12-08 23:59:23.960206	t	\N
14336	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873698	874117	2019-12-08 23:59:32.971639	t	\N
14337	Jobs::ScheduleBackup	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889121	889566	2019-12-09 00:00:00.006742	t	\N
14338	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	910786	911183	2019-12-09 00:00:32.046713	t	\N
14339	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912904	913323	2019-12-09 00:00:33.052963	t	\N
14340	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	917123	918156	2019-12-09 00:00:38.06066	t	\N
14341	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	950438	950857	2019-12-09 00:01:31.125699	t	\N
14342	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	961387	961928	2019-12-09 00:01:49.147799	t	\N
14343	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	963210	966311	2019-12-09 00:01:50.149453	t	\N
14344	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	993644	994063	2019-12-09 00:02:32.205578	t	\N
14345	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1029702	1032721	2019-12-09 00:03:30.276772	t	\N
14346	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824819	825237	2019-12-09 00:03:40.308949	t	\N
14347	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	855613	856032	2019-12-09 00:04:28.368243	t	\N
14348	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	865311	865852	2019-12-09 00:04:44.389422	t	\N
14349	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	70	867590	881458	2019-12-09 00:04:46.398132	t	\N
14350	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	36	898164	898798	2019-12-09 00:05:09.426776	t	\N
14351	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	910291	910710	2019-12-09 00:05:28.450247	t	\N
14352	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913071	913468	2019-12-09 00:05:32.455721	t	\N
14353	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	919265	919659	2019-12-09 00:05:41.46755	t	\N
14354	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949809	950228	2019-12-09 00:06:28.532309	t	\N
14355	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	985953	989010	2019-12-09 00:07:26.603532	t	\N
14356	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001958	1002499	2019-12-09 00:07:49.632008	t	\N
14357	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027132	1027551	2019-12-09 00:08:26.678364	t	\N
14358	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839121	839517	2019-12-09 00:09:04.726562	t	\N
14359	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	13	849561	850144	2019-12-09 00:09:20.751869	t	\N
14360	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853696	854115	2019-12-09 00:09:26.760271	t	\N
14361	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	887843	890867	2019-12-09 00:10:20.83155	t	\N
14362	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894958	895377	2019-12-09 00:10:27.840394	t	\N
14363	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	905365	905906	2019-12-09 00:10:43.86059	t	\N
14364	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933403	933822	2019-12-09 00:11:27.927228	t	\N
14365	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	950463	951270	2019-12-09 00:11:56.962342	t	\N
14366	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	971714	972133	2019-12-09 00:12:26.999264	t	\N
14367	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1007243	1010262	2019-12-09 00:13:24.06979	t	\N
14368	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1021845	1022386	2019-12-09 00:13:44.095508	t	\N
14369	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835753	836174	2019-12-09 00:14:24.152269	t	\N
14370	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	855653	856287	2019-12-09 00:15:00.195682	t	\N
14371	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871467	871864	2019-12-09 00:15:20.220581	t	\N
14372	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874918	875337	2019-12-09 00:15:24.225855	t	\N
14373	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	910665	913722	2019-12-09 00:16:22.297573	t	\N
14374	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	922180	922721	2019-12-09 00:16:36.321376	t	\N
14375	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	951666	954685	2019-12-09 00:17:22.377207	t	\N
14376	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	992849	995868	2019-12-09 00:18:24.451776	t	\N
14377	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	69	1022678	1036610	2019-12-09 00:19:06.505384	t	\N
14378	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835973	836394	2019-12-09 00:19:24.548215	t	\N
14379	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839448	839842	2019-12-09 00:19:28.558496	t	\N
14380	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	848989	849530	2019-12-09 00:19:44.578129	t	\N
14381	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873227	873624	2019-12-09 00:20:19.622187	t	\N
14382	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	875590	876009	2019-12-09 00:20:22.626292	t	\N
14383	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	913210	916267	2019-12-09 00:21:22.70133	t	\N
14384	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	952632	955651	2019-12-09 00:22:20.778899	t	\N
14385	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967865	968406	2019-12-09 00:22:41.805629	t	\N
14386	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994123	994542	2019-12-09 00:23:20.856414	t	\N
14387	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1032101	1035120	2019-12-09 00:24:22.933592	t	\N
14388	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	52	861837	865100	2019-12-09 00:25:24.015194	t	\N
14389	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	866192	866611	2019-12-09 00:25:25.023598	t	\N
14390	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871265	871662	2019-12-09 00:25:33.034041	t	\N
14391	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877887	878428	2019-12-09 00:25:43.047816	t	\N
14392	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	905339	905758	2019-12-09 00:26:24.103211	t	\N
14393	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	943191	946210	2019-12-09 00:27:25.178353	t	\N
14394	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	947743	948550	2019-12-09 00:27:27.187781	t	\N
14395	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	985392	988411	2019-12-09 00:28:27.261211	t	\N
14396	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	994693	995234	2019-12-09 00:28:37.274085	t	\N
14397	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	1001778	1002771	2019-12-09 00:28:48.288019	t	\N
14398	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1022312	1022706	2019-12-09 00:29:16.323812	t	\N
14399	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1030641	1031060	2019-12-09 00:29:29.344803	t	\N
14400	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	852724	856386	2019-12-09 00:30:20.408419	t	\N
14401	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857963	858360	2019-12-09 00:30:21.410662	t	\N
14402	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863707	864126	2019-12-09 00:30:29.420842	t	\N
14403	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	899377	902396	2019-12-09 00:31:27.492761	t	\N
14404	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904633	905174	2019-12-09 00:31:29.502862	t	\N
14405	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	934716	940417	2019-12-09 00:32:16.55968	t	\N
14406	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946904	947323	2019-12-09 00:32:27.573624	t	\N
14407	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	983331	986350	2019-12-09 00:33:27.645011	t	\N
14408	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	85	1013217	1029760	2019-12-09 00:34:09.697254	t	\N
14409	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037627	1038168	2019-12-09 00:34:22.720614	t	\N
14410	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	831791	832210	2019-12-09 00:34:26.726205	t	\N
14411	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	843204	843620	2019-12-09 00:34:46.75244	t	\N
14412	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	869191	869610	2019-12-09 00:35:24.802224	t	\N
14413	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871971	872368	2019-12-09 00:35:28.807501	t	\N
14414	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	43	876713	877347	2019-12-09 00:35:34.820068	t	\N
14415	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	891934	893328	2019-12-09 00:36:00.85177	t	\N
14416	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	902914	903499	2019-12-09 00:36:09.863563	t	\N
14417	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	912792	913211	2019-12-09 00:36:24.882851	t	\N
14418	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	944662	948047	2019-12-09 00:37:15.945206	t	\N
14419	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	954371	954790	2019-12-09 00:37:26.96482	t	\N
14420	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	991303	994322	2019-12-09 00:38:26.038641	t	\N
14421	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	1030083	1033066	2019-12-09 00:39:25.149102	t	\N
14422	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1034224	1034643	2019-12-09 00:39:26.151322	t	\N
14423	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	861008	864332	2019-12-09 00:40:22.222221	t	\N
14424	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	867096	867515	2019-12-09 00:40:26.234935	t	\N
14425	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	874737	875134	2019-12-09 00:40:38.250928	t	\N
14426	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	906101	909120	2019-12-09 00:41:27.311631	t	\N
14427	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	943726	947122	2019-12-09 00:42:22.381559	t	\N
14428	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949774	950193	2019-12-09 00:42:25.388322	t	\N
14429	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	985346	988629	2019-12-09 00:43:23.461858	t	\N
14430	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	990731	991150	2019-12-09 00:43:25.465023	t	\N
14431	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1028932	1031951	2019-12-09 00:44:26.540505	t	\N
14432	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	860956	864015	2019-12-09 00:45:26.615835	t	\N
14433	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	866645	867279	2019-12-09 00:45:29.620353	t	\N
14434	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	871992	872389	2019-12-09 00:45:37.636134	t	\N
14435	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	903672	906691	2019-12-09 00:46:26.69752	t	\N
14436	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	907955	908496	2019-12-09 00:46:27.699641	t	\N
14437	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	944204	947223	2019-12-09 00:47:24.769579	t	\N
14438	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	984301	987320	2019-12-09 00:48:26.84575	t	\N
14439	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	60	1011637	1025505	2019-12-09 00:49:03.896862	t	\N
14440	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028627	1029021	2019-12-09 00:49:08.903494	t	\N
14441	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1037594	1038135	2019-12-09 00:49:21.919677	t	\N
14442	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	834106	834525	2019-12-09 00:49:25.925252	t	\N
14443	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	33	865601	869017	2019-12-09 00:50:16.989805	t	\N
14444	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873213	873632	2019-12-09 00:50:24.006006	t	\N
14445	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	889079	889476	2019-12-09 00:50:51.039525	t	\N
14446	Jobs::ReindexSearch	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	899756	901462	2019-12-09 00:51:03.055257	t	\N
14447	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	912697	913116	2019-12-09 00:51:22.080202	t	\N
14448	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	817305	820364	2019-12-09 00:52:21.191207	t	\N
14449	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	822560	823283	2019-12-09 00:52:24.202513	t	\N
14450	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	825878	826419	2019-12-09 00:52:27.206747	t	\N
14451	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	860159	863178	2019-12-09 00:53:21.273295	t	\N
14452	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	899797	902816	2019-12-09 00:54:21.34798	t	\N
14453	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	940214	943233	2019-12-09 00:55:22.422914	t	\N
14454	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	946269	946810	2019-12-09 00:55:26.435154	t	\N
14455	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	38	948946	949580	2019-12-09 00:55:29.439304	t	\N
14456	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	972088	972485	2019-12-09 00:56:03.481655	t	\N
14457	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	984093	984512	2019-12-09 00:56:23.506827	t	\N
14458	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	994983	995790	2019-12-09 00:56:41.530972	t	\N
14459	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1022293	1022712	2019-12-09 00:57:23.589149	t	\N
14460	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1027388	1028210	2019-12-09 00:57:30.598208	t	\N
14461	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	830381	833701	2019-12-09 00:58:19.65804	t	\N
14462	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	10	836794	837787	2019-12-09 00:58:23.66381	t	\N
14463	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	839936	840355	2019-12-09 00:58:25.667001	t	\N
14464	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	854339	854733	2019-12-09 00:58:50.702144	t	\N
14465	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	876620	877039	2019-12-09 00:59:23.74461	t	\N
14466	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	17	915333	918352	2019-12-09 01:00:25.821271	t	\N
14467	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933527	933924	2019-12-09 01:00:52.854521	t	\N
14468	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	937012	938045	2019-12-09 01:00:56.861292	t	\N
14469	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	957449	957868	2019-12-09 01:01:23.89574	t	\N
14470	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	960527	961068	2019-12-09 01:01:26.899865	t	\N
14471	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	16	985308	988409	2019-12-09 01:02:02.945626	t	\N
14472	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1001154	1001573	2019-12-09 01:02:24.973346	t	\N
14473	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	1037794	813292	2019-12-09 01:03:24.046986	t	\N
14474	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	846667	849683	2019-12-09 01:04:18.122033	t	\N
14475	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	853445	853864	2019-12-09 01:04:24.130755	t	\N
14476	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857525	858066	2019-12-09 01:04:29.137574	t	\N
14477	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	62	860768	874636	2019-12-09 01:04:32.141911	t	\N
14478	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	57	902031	905254	2019-12-09 01:05:15.194997	t	\N
14479	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	911236	911655	2019-12-09 01:05:24.21285	t	\N
14480	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	920014	920411	2019-12-09 01:05:38.229882	t	\N
14481	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	937607	938001	2019-12-09 01:06:03.261596	t	\N
14482	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	951194	951613	2019-12-09 01:06:25.288963	t	\N
14483	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	987495	990900	2019-12-09 01:07:23.366539	t	\N
14484	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	994005	994424	2019-12-09 01:07:27.379263	t	\N
14485	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1031194	1034213	2019-12-09 01:08:28.454184	t	\N
14486	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	822994	823390	2019-12-09 01:08:56.490365	t	\N
14487	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845224	845643	2019-12-09 01:09:29.531158	t	\N
14488	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	14	851475	852058	2019-12-09 01:09:38.543069	t	\N
14489	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	880284	883661	2019-12-09 01:10:22.604883	t	\N
14490	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	887942	888361	2019-12-09 01:10:29.613884	t	\N
14491	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	891287	891684	2019-12-09 01:10:33.619587	t	\N
14492	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	926297	929316	2019-12-09 01:11:29.690692	t	\N
14493	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	939511	940318	2019-12-09 01:11:45.711318	t	\N
14494	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	967580	967999	2019-12-09 01:12:28.77065	t	\N
14495	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1000352	1003698	2019-12-09 01:13:20.83334	t	\N
14496	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1008125	1008544	2019-12-09 01:13:27.842343	t	\N
14497	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	816813	819872	2019-12-09 01:14:25.931512	t	\N
14498	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	845851	846485	2019-12-09 01:15:06.983157	t	\N
14499	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	857908	858327	2019-12-09 01:15:27.014146	t	\N
14500	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	868304	868701	2019-12-09 01:15:45.037024	t	\N
14501	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890795	891336	2019-12-09 01:16:16.076385	t	\N
14502	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	897895	898314	2019-12-09 01:16:27.090555	t	\N
14503	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	934887	937906	2019-12-09 01:17:28.165634	t	\N
14504	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	975046	978129	2019-12-09 01:18:30.247636	t	\N
14505	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	92	989619	1003487	2019-12-09 01:18:50.274601	t	\N
14506	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1008098	1008503	2019-12-09 01:18:56.283101	t	\N
14507	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1019046	1019587	2019-12-09 01:19:09.299444	t	\N
14508	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1031831	1032250	2019-12-09 01:19:29.324634	t	\N
14509	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	842566	845625	2019-12-09 01:20:29.403936	t	\N
14510	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	849226	849623	2019-12-09 01:20:34.410988	t	\N
14511	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	883970	886989	2019-12-09 01:21:30.483542	t	\N
14512	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	915729	919009	2019-12-09 01:22:15.538993	t	\N
14513	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	927175	927594	2019-12-09 01:22:28.555266	t	\N
14514	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	963754	966773	2019-12-09 01:23:28.635395	t	\N
14515	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1003599	1006618	2019-12-09 01:24:28.708394	t	\N
14516	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	1034300	1037977	2019-12-09 01:25:12.764055	t	\N
14517	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	813972	814608	2019-12-09 01:25:14.767092	t	\N
14518	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	824048	824467	2019-12-09 01:25:30.788046	t	\N
14519	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829959	830356	2019-12-09 01:25:38.803358	t	\N
14520	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	863057	866114	2019-12-09 01:26:31.872338	t	\N
14521	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	896571	899967	2019-12-09 01:27:18.930605	t	\N
14522	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	908315	908734	2019-12-09 01:27:32.948837	t	\N
14523	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	913641	914576	2019-12-09 01:27:40.959464	t	\N
14524	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	934473	935014	2019-12-09 01:28:11.001025	t	\N
14525	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	947047	947441	2019-12-09 01:28:31.027515	t	\N
14526	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	950164	950583	2019-12-09 01:28:34.032494	t	\N
14527	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	24	984653	988275	2019-12-09 01:29:28.100508	t	\N
14528	Jobs::PurgeOldWebHookEvents	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	989810	990401	2019-12-09 01:29:30.104199	t	\N
14529	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	992517	992936	2019-12-09 01:29:32.113149	t	\N
14530	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1029169	1032188	2019-12-09 01:30:31.186288	t	\N
14531	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	815126	815525	2019-12-09 01:30:45.224075	t	\N
14532	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	832127	832668	2019-12-09 01:31:08.253201	t	\N
14533	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	846628	847047	2019-12-09 01:31:31.283599	t	\N
14534	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	883850	889589	2019-12-09 01:32:32.358756	t	\N
14535	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	890725	891144	2019-12-09 01:32:33.360615	t	\N
14536	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	927287	930306	2019-12-09 01:33:32.43523	t	\N
14537	Jobs::CreateMissingAvatars	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	942034	943486	2019-12-09 01:33:54.462422	t	\N
14538	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	960811	961352	2019-12-09 01:34:16.491382	t	\N
14539	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	65	968976	982786	2019-12-09 01:34:29.513804	t	\N
14540	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985149	985568	2019-12-09 01:34:31.517385	t	\N
14541	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	58	1021700	1024923	2019-12-09 01:35:30.592072	t	\N
14542	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1026708	1027127	2019-12-09 01:35:31.594064	t	\N
14543	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1028881	1029297	2019-12-09 01:35:34.598411	t	\N
14544	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1032044	1032441	2019-12-09 01:35:37.607184	t	\N
14545	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	841816	844875	2019-12-09 01:36:31.674224	t	\N
14546	Jobs::PendingQueuedPostsReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	22	874214	877388	2019-12-09 01:37:17.731604	t	\N
14547	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	880589	881130	2019-12-09 01:37:21.736958	t	\N
14548	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	888048	888467	2019-12-09 01:37:33.752061	t	\N
14549	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	909368	909762	2019-12-09 01:38:05.79876	t	\N
14550	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	926155	926574	2019-12-09 01:38:33.833583	t	\N
14551	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	963435	966454	2019-12-09 01:39:33.920815	t	\N
14552	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	995935	999281	2019-12-09 01:40:19.979597	t	\N
14553	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1004403	1004800	2019-12-09 01:40:27.990132	t	\N
14554	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1009123	1009606	2019-12-09 01:40:35.00418	t	\N
14555	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	821333	824392	2019-12-09 01:41:33.075988	t	\N
14556	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	838388	839195	2019-12-09 01:41:57.107824	t	\N
14557	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	863748	864167	2019-12-09 01:42:35.154626	t	\N
14558	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	895913	899256	2019-12-09 01:43:26.217807	t	\N
14559	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	904762	905181	2019-12-09 01:43:35.236628	t	\N
14560	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	940982	944001	2019-12-09 01:44:33.308353	t	\N
14561	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	53	972869	976092	2019-12-09 01:45:18.364088	t	\N
14562	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	981770	982167	2019-12-09 01:45:27.375106	t	\N
14563	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	985819	986238	2019-12-09 01:45:33.383259	t	\N
14564	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1015366	1018712	2019-12-09 01:46:18.444281	t	\N
14565	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1027186	1027605	2019-12-09 01:46:33.463369	t	\N
14566	Jobs::ActivationReminderEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	25	834122	837813	2019-12-09 01:47:20.542782	t	\N
14567	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	845093	845512	2019-12-09 01:47:32.558392	t	\N
14568	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	852995	853389	2019-12-09 01:47:45.575887	t	\N
14569	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	883906	884325	2019-12-09 01:48:34.64493	t	\N
14570	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	911665	915076	2019-12-09 01:49:16.695314	t	\N
14571	Jobs::TopRefreshToday	iZj6chkije5xk0gfyvcrzyZ-web-only	127	15	918725	919514	2019-12-09 01:49:22.703248	t	\N
14572	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	926165	926584	2019-12-09 01:49:34.71877	t	\N
14573	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	96	932385	946269	2019-12-09 01:49:43.730742	t	\N
14574	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	966479	966876	2019-12-09 01:50:13.772822	t	\N
14575	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	978198	978617	2019-12-09 01:50:32.797426	t	\N
14576	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	1016202	1019221	2019-12-09 01:51:34.872975	t	\N
14577	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	34	822247	822806	2019-12-09 01:52:13.921419	t	\N
14578	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	835488	835907	2019-12-09 01:52:34.948243	t	\N
14579	Jobs::PendingReviewablesReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	849923	850646	2019-12-09 01:53:00.003754	t	\N
14580	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	873782	874201	2019-12-09 01:53:35.047747	t	\N
14581	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	912113	915170	2019-12-09 01:54:37.124462	t	\N
14582	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	934533	935074	2019-12-09 01:55:06.160486	t	\N
14583	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	943516	944150	2019-12-09 01:55:19.177142	t	\N
14584	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	949497	949894	2019-12-09 01:55:27.192166	t	\N
14585	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954843	955295	2019-12-09 01:55:36.20414	t	\N
14586	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	991673	994692	2019-12-09 01:56:36.277281	t	\N
14587	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	1024768	1027751	2019-12-09 01:57:23.335131	t	\N
14588	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1030721	1031528	2019-12-09 01:57:27.340891	t	\N
14589	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1037956	1038375	2019-12-09 01:57:38.361105	t	\N
14590	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	839579	840120	2019-12-09 01:58:12.404271	t	\N
14591	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	855124	855543	2019-12-09 01:58:38.436825	t	\N
14592	Jobs::DestroyOldDeletionStubs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	8	860184	861119	2019-12-09 01:58:46.447711	t	\N
14593	Jobs::CleanUpUploads	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	875459	876281	2019-12-09 01:59:05.47239	t	\N
14594	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	894606	895025	2019-12-09 01:59:37.517646	t	\N
14595	Jobs::EnqueueDigestEmails	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	906471	907504	2019-12-09 01:59:57.542277	t	\N
14596	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	933495	933914	2019-12-09 02:00:37.592083	t	\N
14597	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	935677	936074	2019-12-09 02:00:39.595392	t	\N
14598	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	954274	954879	2019-12-09 02:01:05.628688	t	\N
14599	Jobs::AboutStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	971709	974810	2019-12-09 02:01:34.671875	t	\N
14600	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	977888	978307	2019-12-09 02:01:37.676379	t	\N
14601	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	1014904	1017961	2019-12-09 02:02:38.749426	t	\N
14602	Jobs::PendingUsersReminder	iZj6chkije5xk0gfyvcrzyZ-web-only	127	18	832351	835374	2019-12-09 02:03:34.818585	t	\N
14603	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	838871	839290	2019-12-09 02:03:39.825567	t	\N
14604	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	858567	859108	2019-12-09 02:04:07.864728	t	\N
14605	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	877251	877705	2019-12-09 02:04:39.904347	t	\N
14606	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	67	886263	900131	2019-12-09 02:04:53.921595	t	\N
14607	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	914767	915401	2019-12-09 02:05:12.945767	t	\N
14608	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	5	929872	930291	2019-12-09 02:05:37.977571	t	\N
14609	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	933647	934044	2019-12-09 02:05:42.989159	t	\N
14610	Jobs::DashboardStats	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	935878	936294	2019-12-09 02:05:45.993802	t	\N
14611	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	969336	969755	2019-12-09 02:06:38.060104	t	\N
14612	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	993547	996830	2019-12-09 02:07:15.108633	t	\N
14613	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1010923	1011342	2019-12-09 02:07:38.137066	t	\N
14614	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1018368	1018762	2019-12-09 02:07:50.156638	t	\N
14615	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	829723	830144	2019-12-09 02:08:38.237721	t	\N
14616	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	868113	871170	2019-12-09 02:09:38.317607	t	\N
14617	Jobs::DirectoryRefreshDaily	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	880525	881172	2019-12-09 02:09:54.338615	t	\N
14618	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	894315	894867	2019-12-09 02:10:09.359921	t	\N
14619	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	913600	914019	2019-12-09 02:10:39.401135	t	\N
14620	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	915082	915479	2019-12-09 02:10:40.402985	t	\N
14621	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	951698	954717	2019-12-09 02:11:39.476196	t	\N
14622	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	991578	994597	2019-12-09 02:12:39.550789	t	\N
14623	Jobs::UnsilenceUsers	iZj6chkije5xk0gfyvcrzyZ-web-only	127	6	1001071	1001878	2019-12-09 02:12:50.564723	t	\N
14624	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1018500	1019041	2019-12-09 02:13:13.599516	t	\N
14625	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	1034883	1035302	2019-12-09 02:13:41.633521	t	\N
14626	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	853135	856194	2019-12-09 02:14:41.707895	t	\N
14627	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	39	867909	868543	2019-12-09 02:15:01.733804	t	\N
14628	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	895720	896139	2019-12-09 02:15:43.786627	t	\N
14629	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	902468	902865	2019-12-09 02:15:53.804689	t	\N
14630	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	919814	920355	2019-12-09 02:16:16.833974	t	\N
14631	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	938813	939232	2019-12-09 02:16:44.873984	t	\N
14632	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	21	980946	983965	2019-12-09 02:17:44.961387	t	\N
14633	Jobs::MigrateUploadScheme	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	999006	999400	2019-12-09 02:18:02.986977	t	\N
14634	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	7	1025654	1026106	2019-12-09 02:18:44.077167	t	\N
14635	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	23	834998	838322	2019-12-09 02:19:21.137221	t	\N
14636	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	853604	854056	2019-12-09 02:19:44.177066	t	\N
14637	Jobs::PeriodicalUpdates	iZj6chkije5xk0gfyvcrzyZ-web-only	127	85	888018	904497	2019-12-09 02:20:32.250148	t	\N
14638	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	913029	913481	2019-12-09 02:20:44.267765	t	\N
14639	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	4	924356	924775	2019-12-09 02:21:01.29652	t	\N
14640	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	956089	956541	2019-12-09 02:21:44.358877	t	\N
14641	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	19	987073	990418	2019-12-09 02:22:27.419323	t	\N
14642	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	1000569	1000988	2019-12-09 02:22:44.440324	t	\N
14643	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	40	1037935	823279	2019-12-09 02:23:44.512805	t	\N
14644	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	20	859036	862055	2019-12-09 02:24:42.591148	t	\N
14645	Jobs::EnqueueOnceoffs	iZj6chkije5xk0gfyvcrzyZ-web-only	127	37	868891	869525	2019-12-09 02:24:53.604655	t	\N
14646	Jobs::Heartbeat	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	895503	896044	2019-12-09 02:25:33.653945	t	\N
14647	Jobs::ProcessBadgeBacklog	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	901947	902366	2019-12-09 02:25:42.666277	t	\N
14648	Jobs::PollMailbox	iZj6chkije5xk0gfyvcrzyZ-web-only	127	3	921557	921954	2019-12-09 02:26:11.701585	t	\N
\.


--
-- Data for Name: schema_migration_details; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.schema_migration_details (id, version, name, hostname, git_version, rails_version, duration, direction, created_at) FROM stdin;
1	20000225050318	AddSchemaMigrationDetails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:08.939044
2	20120311163914	CreateForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:08.957193
3	20120311164326	CreatePosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:08.978396
4	20120311170118	CreateUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:08.991758
5	20120311201341	CreateForums	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:09.001634
6	20120311210245	CreateSites	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:09.01246
7	20120416201606	AddReplyToToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:09.022513
8	20120420183447	AddViewsToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	19	up	2019-12-05 04:03:09.046723
9	20120423140906	AddPostsCountToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:09.065703
10	20120423142820	FixPostIndices	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:09.082717
11	20120423151548	RemoveLastPostId	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:09.09221
12	20120425145456	AddDisplayUsernameToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:09.104903
13	20120427150624	AddUserIdIndexToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:09.115039
14	20120427151452	CookedMigration	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:09.125414
15	20120427154330	CreateVestalVersions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	37	up	2019-12-05 04:03:09.168076
16	20120427172031	AddVersionToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	32	up	2019-12-05 04:03:09.205281
17	20120502183240	AddCreatedByToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:09.213402
18	20120502192121	AddLastPostUserIdToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:09.218484
19	20120503205521	AddSiteIdToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:09.227434
20	20120507144132	CreateExpressions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:09.239264
21	20120507144222	CreateExpressionTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:09.258611
22	20120514144549	AddReplyCountToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	24	up	2019-12-05 04:03:09.288098
23	20120514173920	AddFlagToExpressionTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:09.305973
24	20120514204934	AddDescriptionToExpressionTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:09.318076
25	20120517200130	AddQuotelessToPost	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:09.341125
26	20120518200115	CreateReadPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:09.359466
27	20120519182212	CreateLastReadPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:09.375538
28	20120523180723	CreateViews	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:09.394676
29	20120523184307	AddRepliesToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:09.410157
30	20120523201329	AddFeaturedToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:09.418227
31	20120525194845	AddAvgTimeToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:09.423647
32	20120529175956	CreateUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	19	up	2019-12-05 04:03:09.446819
33	20120529202707	CreateStars	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:09.457419
34	20120530150726	CreateForumThreadUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:09.472143
35	20120530160745	MigratePosted	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:09.479935
36	20120530200724	AddIndexToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:09.49091
37	20120530212912	CreateForumThreadLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:09.516229
38	20120614190726	AddTagsToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:09.521651
39	20120614202024	AddQuoteCountToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:09.544415
40	20120615180517	CreateBookmarks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:09.563178
41	20120618152946	AddReplyBelowToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:09.56892
42	20120618212349	CreatePostTimings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:09.592845
43	20120618214856	CreateMessageBus	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	19	up	2019-12-05 04:03:09.617144
44	20120619150807	FixPostTimings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:09.641016
45	20120619153349	DropReadPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:09.649133
46	20120619172714	AddPostNumberToBookmarks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:09.668113
47	20120621155351	AddSeenPostCountToForumThreadUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:09.67664
48	20120621190310	AddDeletedAtToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:09.686958
49	20120622200242	CreateNotifications	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:09.710246
50	20120625145714	AddSeenNotificationIdToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	28	up	2019-12-05 04:03:09.744214
51	20120625162318	AddDeletedAtToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:09.753253
52	20120625174544	AddHighestPostNumberToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:09.772507
53	20120625195326	AddImageUrlToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:09.780468
54	20120629143908	RenameExpressionTypeId	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:09.791211
55	20120629150253	DenormalizeExpressions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	180	up	2019-12-05 04:03:09.978531
56	20120629151243	MakeExpressionsLessGeneric	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:09.99803
57	20120629182637	CreateIncomingLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:10.017826
58	20120702211427	CreateReplies	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:10.035554
59	20120703184734	AddReflectionToForumThreadLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:10.055279
60	20120703201312	AddIncomingLinkCountToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:10.083376
61	20120703203623	AddIncomingLinkCountToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:10.107854
62	20120703210004	AddBookmarkCountToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	50	up	2019-12-05 04:03:10.164592
63	20120704160659	AddAvgTimeToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:10.174679
64	20120704201743	AddViewCountToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:10.199491
65	20120705181724	AddUserToVersions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:10.206102
66	20120708210305	AddLastPostedAtToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:10.216758
67	20120712150500	CreateCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	42	up	2019-12-05 04:03:10.264064
68	20120712151934	AddCategoryIdToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:10.270753
69	20120713201324	CreateCategoryFeaturedThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:10.280642
70	20120716020835	CreateSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:10.293854
71	20120716173544	AddStatsToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:10.300659
72	20120718044955	CreateUserOpenIds	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:10.317273
73	20120719004636	AddEmailHashedPasswordNameSaltToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:10.337184
74	20120720013733	AddUsernameLowerToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:10.349621
75	20120720044246	AddAuthTokenToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:10.361428
76	20120720162422	AddForumIdToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:10.368812
77	20120723051512	AddNotNullsToUserOpenIds	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:10.375586
78	20120724234502	AddLastSeenAtToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:10.380175
79	20120724234711	AddWebsiteToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:10.384407
80	20120725183347	AddExcerptToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:10.392395
81	20120726201830	AddInvisibleToForumThread	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:10.41987
82	20120726235129	AddUserIdToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:10.429162
83	20120727005556	RemoveExcerptFromCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:10.434162
84	20120727150428	RenameInvisible	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:10.451942
85	20120727213543	AddThreadCountsToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:10.461263
86	20120802151210	AddIconToExpressionTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:10.466702
87	20120803191426	AddAdminFlagToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	79	up	2019-12-05 04:03:10.550263
88	20120806030641	AddNewPasswordNewSaltEmailTokenToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:10.559712
89	20120806062617	RemoveNewPasswordStuffFromUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:10.564767
90	20120807223020	CreateActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:10.584075
91	20120809020415	RemoveSiteId	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	32	up	2019-12-05 04:03:10.621863
92	20120809030647	RemoveForumId	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:10.632203
93	20120809053414	CorrectIndexingOnPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:10.647682
94	20120809154750	RemoveIndexForNow	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:10.663773
95	20120809174649	CreatePostActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:10.688426
96	20120809175110	CreatePostActionTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:10.700346
97	20120809201855	MigrateBookmarksToPostActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:10.706546
98	20120810064839	RenameActionsToUserActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:10.719507
99	20120812235417	RetireExpressions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:10.725843
100	20120813004347	RenameExpressionColumnsInForumThread	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:10.738393
101	20120813042912	RenameExpressionColumnsInPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:10.752445
102	20120813201426	CreateForumThreadLinkClicks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	24	up	2019-12-05 04:03:10.78182
103	20120815004411	AddUniqueIndexToForumThreadLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:10.796842
104	20120815180106	AddPostTypeToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	24	up	2019-12-05 04:03:10.827303
105	20120815204733	AddModeratorPostsCountToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:10.847867
106	20120816050526	AddUniqueConstraintToUserActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:10.860503
107	20120816205537	AddForumThreadStates	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	40	up	2019-12-05 04:03:10.904996
108	20120816205538	AddStarredAtToForumThreadUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:10.916036
109	20120820191804	AddSearchIndices	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:10.923519
110	20120821191616	AddBumpedAtToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:10.937674
111	20120823205956	AddSlugToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:10.945434
112	20120824171908	CreateCategoryFeaturedUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:10.960216
113	20120828204209	CreateOneboxRenders	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:10.982002
114	20120828204624	CreatePostOneboxRenders	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:10.992932
115	20120830182736	AddPreviewToOneboxRenders	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:10.998606
116	20120910171504	RemoveDescriptionFromSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:11.003448
117	20120918152319	RenameViewsToReads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:11.0105
118	20120918205931	AddSubTagToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:11.020858
119	20120919152846	AddHasBestOfToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	16	up	2019-12-05 04:03:11.042831
120	20120921055428	AddTwitterUserInfo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:11.070389
121	20120921155050	CreateArchetypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	32	up	2019-12-05 04:03:11.10864
122	20120921162512	AddMetaDataToForumThreads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:11.118105
123	20120921163606	CreateArchetypeOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:11.140805
124	20120924182000	AddHstoreExtension	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:11.145603
125	20120924182031	AddVoteCountToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	45	up	2019-12-05 04:03:11.195381
126	20120925171620	RemoveEnglishFromPostActionTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:11.206296
127	20120925190802	AddSequenceToPostActionTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:11.218319
128	20120928170023	AddSortOrderToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:11.230312
129	20121009161116	AddEmailStuffToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	27	up	2019-12-05 04:03:11.264819
130	20121011155904	CreateEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:11.296881
131	20121017162924	ConvertArchetypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	25	up	2019-12-05 04:03:11.327446
132	20121018103721	RenameForumThreadTables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	61	up	2019-12-05 04:03:11.396758
133	20121018133039	CreateTopicAllowedUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:11.419542
134	20121018182709	FixNotificationData	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:11.425147
135	20121106015500	DropAvatarUrlFromUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:11.429618
136	20121108193516	AddPostActionIdToNotifications	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:11.440147
137	20121109164630	CreateTrustLevels	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	34	up	2019-12-05 04:03:11.479262
138	20121113200844	BioMarkdownSupport	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:11.494305
139	20121113200845	CreateFacebookUserInfos	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	24	up	2019-12-05 04:03:11.523559
140	20121115172544	RenameStickyToPinned	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:11.531824
141	20121116212424	AddMoreEmailSettingsToUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	51	up	2019-12-05 04:03:11.587972
142	20121119190529	AddEmailSettingsToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	60	up	2019-12-05 04:03:11.657164
143	20121119200843	AddEmailDirectToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	42	up	2019-12-05 04:03:11.707848
144	20121121202035	CreateInvites	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	19	up	2019-12-05 04:03:11.735577
145	20121121205215	CreateTopicInvites	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	16	up	2019-12-05 04:03:11.758373
146	20121122033316	AddMutedAtToTopicUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:11.767607
147	20121123054127	MakePostNumberDistinct	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:11.774469
148	20121123063630	CreateUserVisits	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:11.789473
149	20121129160035	CreateEmailTokens	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:11.808704
150	20121129184948	RemoveEmailTokenFromUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:11.814556
151	20121130010400	CreateDrafts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:11.832955
152	20121130191818	AddLinkPostIdToTopicLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:11.838738
153	20121202225421	AddVisitedAtToTopicUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:11.843516
154	20121203181719	RenameSeenNotificaitonId	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:11.851149
155	20121204183855	FixLinkPostId	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:11.867062
156	20121204193747	AddAnotherFeaturedUserToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:11.871999
157	20121205162143	AddApprovedToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	29	up	2019-12-05 04:03:11.905662
158	20121207000741	AddNotificationsToTopicUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:11.921043
159	20121211233131	CreateSiteCustomizations	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:11.940892
160	20121216230719	AddOverrideDefaultStyleToSiteCustomization	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	24	up	2019-12-05 04:03:11.970572
161	20121218205642	AddTopicsEnteredToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	50	up	2019-12-05 04:03:12.029108
162	20121224072204	AddLastEditorIdToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.03894
163	20121224095139	CreateDraftSequence	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:12.058354
164	20121224100650	AddSequenceToDrafts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:12.075944
165	20121228192219	AddDeletedAtToInvites	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.083257
166	20130107165207	AddDigestAfterDaysToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	29	up	2019-12-05 04:03:12.117412
167	20130108195847	AddPreviousVisitAtToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.124891
168	20130115012140	MergeMuteOptionsOnTopicUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:12.133028
169	20130115021937	CorrectDefaultOnNotificationLevel	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:12.141819
170	20130115043603	OopsUnwatchABoatOfWatchedStuff	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.146457
171	20130116151829	RemoveSubTagFromTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.151371
172	20130120222728	FixSearch	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	28	up	2019-12-05 04:03:12.186068
173	20130121231352	AddTrackingToTopicUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.192865
174	20130122051134	AddAutoTrackTopicsToUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	27	up	2019-12-05 04:03:12.224665
175	20130122232825	AddAutoTrackAfterSecondsAndBanningAndDobToUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	38	up	2019-12-05 04:03:12.270194
176	20130123070909	AutoTrackAllTopicsRepliedTo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.278205
177	20130125002652	AddHiddenToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:12.302829
178	20130125030305	AddFieldsToPostAction	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:12.315912
179	20130125031122	CorrectIndexOnPostAction	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:12.327487
180	20130127213646	RemoveTrustLevels	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	32	up	2019-12-05 04:03:12.366285
181	20130128182013	TrustLevelDefaultNull	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:12.378055
182	20130129010625	RemovePmReflections	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.3831
183	20130129163244	AddTimeReadToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	25	up	2019-12-05 04:03:12.413058
184	20130129174845	AddDaysVisitedToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	27	up	2019-12-05 04:03:12.448127
185	20130130154611	RemoveIndexFromViews	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:12.462586
186	20130131055710	AddCustomFlagCountToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	35	up	2019-12-05 04:03:12.503694
187	20130201000828	AddColumnSummariesToPostsAndTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	91	up	2019-12-05 04:03:12.602762
188	20130201023409	AddPositionToPostActionType	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:12.620189
189	20130203204338	AddLastVersionAtToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:12.629557
190	20130204000159	AddIpAddressToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.634985
191	20130205021905	AlterFacebookUserId	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	19	up	2019-12-05 04:03:12.659542
192	20130207200019	AddUserDeletedToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	19	up	2019-12-05 04:03:12.685938
193	20130208220635	RemoveReplyBelowPostNumberFromPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.692817
194	20130213021450	RemoveTopicResponseActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.697516
195	20130213203300	AddNewTopicDurationMinutesToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.702125
196	20130221215017	AddDescriptionToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:12.708607
197	20130226015336	AddGithubUserInfo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:12.739334
198	20130306180148	AddClearedPinnedToTopicUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:12.747278
199	20130311181327	RemoveExtraSpamRecord	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:12.75323
200	20130313004922	AddExternalLinksInNewTabAnDisableQuotingToUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	48	up	2019-12-05 04:03:12.806266
201	20130314093434	AddForegroundColorToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:12.829637
202	20130315180637	EnableTrigramSupport	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.836521
203	20130319122248	AddReplyToUserIdToPost	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:12.84253
204	20130320012100	AddUserIndexesToPostsAndTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:12.854048
205	20130320024345	AddModeratorToUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:12.882255
206	20130321154905	RemoveOneboxesFromDb	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:12.891554
207	20130322183614	AddPercentRankToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:12.916122
208	20130326210101	AddHotnessToCategory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:12.936425
209	20130327185852	UpdateSiteSettingsForHot	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:12.943321
210	20130328162943	CreateHotTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:12.963649
211	20130328182433	AddScoreToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:12.98674
212	20130402210723	AddValuesToHotTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:12.995391
213	20130404143437	CreateSiteContents	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:13.009215
214	20130404232558	AddUserExtras	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	78	up	2019-12-05 04:03:13.092392
215	20130411205132	CreateAdminLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:13.109302
216	20130412015502	CorrectCountsOnPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:13.13613
217	20130412020156	CorrectCountsOnTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:13.164029
218	20130416004607	CreateGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:13.180096
219	20130416004933	GroupUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:13.201235
220	20130416170855	AddSubtypeToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:13.208729
221	20130419195746	IncreaseDataLengthOnNotifications	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:13.232126
222	20130422050626	AddRelatedPostIdToPostActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.239268
223	20130424015746	AddSlugToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.2436
224	20130424055025	AddUserIdToIncomingLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.249087
225	20130426044914	AllowNullsInIncomingLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:13.255033
226	20130426052257	AddIncomingIpCurrentUserIdToIncomingLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.259971
227	20130428194335	AddUnstarredAtToTopicUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.264044
228	20130429000101	AddSecurityToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:13.28994
229	20130430052751	AddTopicAllowedGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:13.310992
230	20130501105651	FixTopicAllowedGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:13.319715
231	20130506020935	AddAutomaticToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:13.333474
232	20130506185042	AddAutoCloseAtToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:13.341241
233	20130508040235	AddUserCountToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:13.358789
234	20130509040248	UpdateSequenceForGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.367096
235	20130509041351	AddUniqueNameToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:13.379171
236	20130515193551	AddAutoCloseDaysToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.38517
237	20130521210140	CreateCasUserInfos	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:13.412624
238	20130522193615	RenameSearchTables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:13.435842
239	20130527152648	AddLikeScoreToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	22	up	2019-12-05 04:03:13.462943
240	20130528174147	AddRankToCategoryFeaturedTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:13.530019
241	20130531210816	AddStaffTookActionToPostActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:13.601868
242	20130603192412	AddBlockedToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	29	up	2019-12-05 04:03:13.667831
243	20130606190601	AddAutoCloseStartedAtToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.700832
244	20130610201033	AddReplyKeyToEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:13.714213
245	20130612200846	CreatePostUploadJoinTable	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:13.737023
246	20130613211700	DropPostsUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.743331
247	20130613212230	CreatePostUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:13.759602
248	20130615064344	AddDynamicFaviconPreferenceToUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	36	up	2019-12-05 04:03:13.801367
249	20130615073305	RemoveTopicIdFromUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.808662
250	20130615075557	AddShaToUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:13.820612
251	20130616082327	CreateOptimizedImages	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:13.844939
252	20130617014127	RenameShaAndExtColumns	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	43	up	2019-12-05 04:03:13.895726
253	20130617180009	RenameShaColumn	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	47	up	2019-12-05 04:03:13.950233
254	20130617181804	AddPostIdToEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.957469
255	20130619063902	AddDeferToPostActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:13.962424
256	20130621042855	ChangeSupressToSuppress	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:13.974111
257	20130622110348	AddUrlIndexToUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:13.984011
258	20130624203206	ChangeIpToInetInTopicLinkClicks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:13.99631
259	20130625022454	ChangeIpToInetInViews	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:14.007699
260	20130625170842	RemoveAccessPassword	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:14.01266
261	20130625201113	AddTitleToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:14.0173
262	20130709184941	AddDeletedByIdToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:14.030263
263	20130710201248	AddNukedUserToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:14.055149
264	20130712041133	AddPermissionTypeToCategoryGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:14.072024
265	20130712163509	AddMissingIdColumns	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	32	up	2019-12-05 04:03:14.110942
266	20130723212758	RenameAdminLog	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:14.122949
267	20130724201552	CreateBlockedEmails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	16	up	2019-12-05 04:03:14.14482
268	20130725213613	AddMoreToStaffActionLog	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:14.151192
269	20130728172550	AddUrlToOptimizedImages	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:14.161426
270	20130731163035	AddReportIndexToIncomingLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:14.177441
271	20130807202516	AddLastMatchIndexToBlockedEmails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:14.186467
272	20130809160751	FixSeenNotificationIds	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:14.192387
273	20130809204732	AddFilterIndexesToStaffActionLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	22	up	2019-12-05 04:03:14.22317
274	20130809211409	AddAvatarToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	26	up	2019-12-05 04:03:14.255003
275	20130813204212	CreateScreenedUrls	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	19	up	2019-12-05 04:03:14.282689
276	20130813224817	RenameBlockedEmailsToScreenedEmails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:14.293201
277	20130816024250	CreateOauth2UserInfos	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:14.318869
278	20130819192358	AddValueColumnsToStaffActionLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:14.325653
279	20130820174431	AddSubjectIndexToStaffActionLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:14.335249
280	20130822213513	AddIpAddressToScreeningTables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:14.341498
281	20130823201420	DropDefaultsOnEmailDigestColumnsOfUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:14.354079
282	20130826011521	CreatePluginStoreRows	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:14.373296
283	20130828192526	FixOptimizedImagesUrls	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:14.380216
284	20130903154323	AllowNullUserIdOnPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:14.390474
285	20130904181208	AllowNullUserIdOnTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:14.40243
286	20130906081326	RenameSystemUsername	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:14.409184
287	20130906171631	AddIndexToUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:14.418588
288	20130910040235	IndexTopicsForFrontPage	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:14.438825
289	20130910220317	RenameStaffActionLogsToUserHistory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:14.462233
290	20130911182437	CreateUserStats	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:14.475948
291	20130912185218	ActingUserNull	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:14.482855
292	20130913210454	AddMobileToSiteCustomizations	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:14.489091
293	20130917174738	AddTopicIdToUserHistories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:14.494661
294	20131001060630	AddEmailAlwaysToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	24	up	2019-12-05 04:03:14.523608
295	20131002070347	AddUserIdParentTypeIndexOnViews	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:14.536463
296	20131003061137	MoveColumnsToUserStats	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	58	up	2019-12-05 04:03:14.600368
297	20131014203951	BackfillPostUploadReverseIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	16	up	2019-12-05 04:03:14.625663
298	20131015131652	CreatePostDetails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:14.647578
299	20131017014509	AddPostCountToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	16	up	2019-12-05 04:03:14.66914
300	20131017030605	AddLatestToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:14.679103
301	20131017205954	CreateScreenedIpAddresses	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:14.704472
302	20131018050738	AddPositionToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:14.711134
303	20131022045114	AddUncategorizedCategory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:14.719043
304	20131022151218	CreateApiKeys	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:14.738781
305	20131023163509	AddParentCategoryIdToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:14.743605
306	20131105101051	AddOriginToUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:14.74812
307	20131107154900	RenameBannedToSuspended	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:14.758685
308	20131114185225	AddParticipantCountToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	25	up	2019-12-05 04:03:14.788859
309	20131115165105	AddEditReasonToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:14.796915
310	20131118173159	RenameBestOfToSummary	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:14.80537
311	20131120055018	MoveEmojiToNewLocation	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:14.810578
312	20131122064921	IncreaseTwitterUserIdLength	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:14.836256
313	20131206200009	RenameAutoCloseDaysToHours	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:14.845653
314	20131209091702	CreatePostRevisions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:14.873027
315	20131209091742	CreateTopicRevisions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	22	up	2019-12-05 04:03:14.901695
316	20131210163702	AddWordCountToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:14.906906
317	20131210181901	MigrateWordCounts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:14.911837
318	20131210234530	RenameVersionColumn	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:14.937282
319	20131212225511	AddPostCountStatsColumnsToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:14.945428
320	20131216164557	MakePositionNullableInCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:14.950442
321	20131217174004	CreateTopicEmbeds	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:14.972233
322	20131219203905	AddCookMethodToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:14.998637
323	20131223171005	CreateTopTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	83	up	2019-12-05 04:03:15.089241
324	20131227164338	AddScoresToTopTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:15.096324
325	20131229221725	AddWatchNewTopicsToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:15.125377
326	20131230010239	AddLastEmailedPostNumberToTopicUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.132962
327	20140101235747	AddCategoryUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:15.144273
328	20140102104229	AddAliasLevelToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:15.161826
329	20140102194802	RemoveDefaultFromExternalLinksInNewTab	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:15.173506
330	20140107220141	RemoveEnableWideCategoryList	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.178715
331	20140109205940	RenameFavoritesToStarred	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.183247
332	20140116170655	DropHotTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:15.18826
333	20140120155706	AddLoungeCategory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.194198
334	20140121204628	AddInvalidatedAtToInvites	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.198672
335	20140122043508	AddMetaCategory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.202482
336	20140124202427	AddPostsReadToUserVisits	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:15.216848
337	20140129164541	RemoveCategoryHotness	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.222995
338	20140206044818	AddLocaleToUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.22737
339	20140206195001	AddDefaultsToCategoryPostsAndTopicsFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:15.243943
340	20140206215029	AddMailingListModeToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:15.252412
341	20140210194146	AddPrimaryGroupIdToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.257565
342	20140211230222	MoveCasSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:15.266238
343	20140211234523	AddTargetsTopicToPostActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:15.287748
344	20140214151255	AddSkippedToEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	24	up	2019-12-05 04:03:15.319027
345	20140220160510	RenameSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.326059
346	20140220163213	RenameDeleteUserMaxAge	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.335518
347	20140224232712	AddProfileBackgroundToUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.34108
348	20140224232913	AddSingleSignOnRecords	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:15.360806
349	20140227104930	AddCustomEmailInToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	26	up	2019-12-05 04:03:15.39262
350	20140227201005	AddStaffCategory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.39978
351	20140228005443	AddExternalUsernameToSingleSignOnRecord	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.404593
352	20140228173431	AddExternalEmailAndExternalNameToSingleSignOnRecord	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.409439
353	20140228205743	AddAdminOnlyToUserHistories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	25	up	2019-12-05 04:03:15.439691
354	20140303185354	AddNewSinceToUserStats	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:15.449312
355	20140304200606	CreateBadgeTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:15.470151
356	20140304201403	CreateBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	19	up	2019-12-05 04:03:15.495111
357	20140305100909	CreateUserBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:15.515358
358	20140306223522	MoveTopicRevisionsToPostRevisions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:15.524193
359	20140318150412	AddExcerptToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:15.532172
360	20140318203559	AddCreatedAtIndexToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	53	up	2019-12-05 04:03:15.590687
361	20140320042653	FacebookUserInfosUsernameCanBeNil	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.599393
362	20140402201432	MakeContentSha1Nullable	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:15.605309
363	20140404143501	AddTitleToTopicLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:15.612099
364	20140407055830	AddPinnedGloballyToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	27	up	2019-12-05 04:03:15.643607
365	20140407202158	SiteSettingCommaToPipe	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.652077
366	20140408061512	AddWikiToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:15.678208
367	20140408152401	AddDefaultValueToTopTopicScores	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:15.694459
368	20140415054717	AllowLongerUsernames	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:15.70123
369	20140416202746	CreateColorSchemes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:15.714191
370	20140416202801	CreateColorSchemeColors	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:15.7432
371	20140416235757	RemoveColorHexcodeFromBadgeTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.749419
372	20140421235646	AddUserCustomFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:15.769026
373	20140422195623	AddVisibileToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:15.787667
374	20140425125742	AddCustomFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	44	up	2019-12-05 04:03:15.840351
375	20140425135354	AddTopicCustomFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	56	up	2019-12-05 04:03:15.902025
376	20140425172618	AddTitleableToBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	19	up	2019-12-05 04:03:15.926439
377	20140429175951	AddRegistrationIpAddressToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.934229
378	20140504174212	IncrementReservedTrustLevelBadgeIds	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:15.95758
379	20140505145918	AddLastRedirectedToTopAtToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.964599
380	20140506200235	RemoveSeedColorScheme	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.969991
381	20140507173327	RemoveOpacityFromColorSchemeColors	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.97462
382	20140508053815	AddInvitedGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:15.984816
383	20140515220111	InitFixedCategoryPositionsValue	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:15.990406
384	20140520062826	AddMultipleAwardToBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	44	up	2019-12-05 04:03:16.039384
385	20140520063859	RemoveHasCustomAvatarFromUserStats	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.047451
386	20140521192142	CreateGoogleUserInfos	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	25	up	2019-12-05 04:03:16.077464
387	20140521220115	GoogleOpenidDefaultHasChanged	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.083589
388	20140522003151	AddUserAvatars	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:16.099754
389	20140525233953	RemoveUploadedAvatarTemplateFromUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.106254
390	20140526185749	ChangeCategoryUniqunessContstraint	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:16.116947
391	20140526201939	AddDisableJumpReplyToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	31	up	2019-12-05 04:03:16.155187
392	20140527163207	CreateUserProfiles	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:16.173504
393	20140527233225	AddSystemSavatarVersionToUserAvatars	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:16.188685
394	20140528015354	AddBakedAtToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.197787
395	20140529045508	RemoveUseUploadedAvatarFromUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.203225
396	20140530002535	RemoveSystemAvatarsFromUserAvatars	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	39	up	2019-12-05 04:03:16.247679
397	20140530043913	AddBakedVersionToPost	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.253971
398	20140604145431	DisableExternalAuthsByDefault	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.259412
399	20140607035234	AddWebsiteToUserProfiles	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:16.265997
400	20140610012414	AddPostIdToUserBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.270903
401	20140610012833	AddIconToBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	16	up	2019-12-05 04:03:16.291699
402	20140610034314	MoveBioToUserProfiles	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:16.302146
403	20140612010718	MoveProfileBackgroundToUserProfiles	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:16.308793
404	20140617053829	AddNotificationIdToUserBadge	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.314148
405	20140617080955	RenameRegisteredUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.319103
406	20140617193351	AddPostIdIndexOnTopicLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:16.330101
407	20140618001820	DontAutoMutoTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.336014
408	20140618163511	AddDismissedBannerKeyToUserProfile	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.343955
409	20140620184031	AddHiddenAtToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.349523
410	20140623195618	FixCategoriesConstraint	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:16.360609
411	20140624044600	AddRawDataToSearch	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:16.369209
412	20140627193814	AddImagesToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.374154
413	20140703022838	AddFieldsToBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	29	up	2019-12-05 04:03:16.407304
414	20140705081453	IndexUserBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:16.420557
415	20140707071913	AddSelfEditsToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	27	up	2019-12-05 04:03:16.453148
416	20140710005023	AddBadgePostsAndTopicsView	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	28	up	2019-12-05 04:03:16.488841
417	20140710224658	AddIsQuoteToTopicLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	22	up	2019-12-05 04:03:16.519164
418	20140711063215	AddReadFaqToUserStats	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.52716
419	20140711143146	RemoveNotNullFromEmail	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.533023
420	20140711193923	RemoveEmailInAddressSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:16.539663
421	20140711233329	BadgesOnlyOnPublicCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:16.550175
422	20140714060646	AddEnabledToBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:16.571458
423	20140715013018	CorrectPostNumberIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:16.592687
424	20140715051412	AddAutoRevokeToBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:16.614391
425	20140715055242	AddQuotedPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:16.640859
426	20140715160720	UpdateUsersCaseInsensitiveEmails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:16.652463
427	20140715190552	RemoveUncategorizedParents	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:16.660855
428	20140716063802	AddBadgeGroupings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:16.675113
429	20140717024528	DescriptionOptionalInBadgeGrouping	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.680681
430	20140718041445	SetDefaultBadgeGrouping	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:16.692107
431	20140721063820	AddTriggerToBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.697372
432	20140721161249	AddAgreedAtAndAgreedByIdToPostAction	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.702359
433	20140721162307	RenameDeferColumnsOnPostAction	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:16.710626
434	20140723011456	AddShowPostsToBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:16.728279
435	20140725050636	RemoveInvalidIncomingLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.735509
436	20140725172830	RemoveMessageFromPostAction	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.740038
437	20140727030954	AddEditHistoryPublicToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	33	up	2019-12-05 04:03:16.778453
438	20140728120708	FixIndexOnPostAction	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:16.792815
439	20140728144308	AddFirstPostCreatedAtToUserStat	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:16.801382
440	20140728152804	AddPostAndTopicCountsToUserStat	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:16.821151
441	20140729092525	RemoveUniqueConstraintFromInvitesIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:16.83589
442	20140730203029	AddDisagreedAtAndDisagreedByIdToPostAction	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:16.845005
443	20140731011328	AddReplyQuotedToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	22	up	2019-12-05 04:03:16.872159
444	20140801052028	FixIncomingLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:16.888271
445	20140801170444	CreatePostTimingsUserIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:16.89984
446	20140804010803	IncomingLinkNormalization	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	48	up	2019-12-05 04:03:16.952934
447	20140804030041	RemoveUrlFromIncomingReferer	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.960128
448	20140804060439	DropTopicIdFromIncomingLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:16.966624
449	20140804072504	ViewsToTopicViews	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:16.990211
450	20140804075613	NormalizeTopicViewDataAndIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	32	up	2019-12-05 04:03:17.029143
451	20140805061612	AddBioCookedVersionToUserProfile	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:17.04299
452	20140806003116	FixupBadgeIds	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:17.067802
453	20140807033123	AddIndexOnLastSeenToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:17.080538
454	20140808051823	CreateTopicSearchIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:17.093993
455	20140809224243	AddUserBadgeUniqueIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:17.120261
456	20140811094300	RenameDeferedColumnsOnPostAction	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:17.13237
457	20140813175357	AddDefaultToActive	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:17.146089
458	20140815183851	FixIndexOnPostActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:17.164679
459	20140815191556	FixPostActionsIndexAgain	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:17.177388
460	20140815215618	AddNameLowerToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:17.185713
461	20140817011612	AddExternalAvatarUrlToSingleSignOnRecord	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.1906
462	20140818023700	IndexEmailTokens	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:17.200125
463	20140826234625	RenameSettingsPop3sToPop3	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.20458
464	20140827044811	RemoveNullableDates	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:17.221043
465	20140828172407	CreatePermalinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:17.239076
466	20140828200231	MakeUrlColBiggerInPermalinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	22	up	2019-12-05 04:03:17.266447
467	20140831191346	RemoveCategoryGroupsOrphanedByRemovingCategoryOrGroup	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.273999
468	20140904055702	CorrectPostActionIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:17.284335
469	20140904160015	AddViaEmailToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	30	up	2019-12-05 04:03:17.319493
470	20140904215629	RenameTrustLevelSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:17.327621
471	20140905055251	RenameTrustLevelBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:17.332896
472	20140905171733	CreateWarnings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:17.354852
473	20140908165716	MigrateWarningTopicSubtypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:17.361046
474	20140908191429	TrimProfileLength	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.366774
475	20140910130155	CreateTopicUserIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:17.377753
476	20140911065449	PrivateMessagesHaveNoCategoryId	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:17.384266
477	20140913192733	AddTrustLevelLockedColumn	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	33	up	2019-12-05 04:03:17.42229
478	20140923042349	AddRetainHoursToUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.430265
479	20140924192418	RenameContentType	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:17.443492
480	20140925173220	CreateUserFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:17.455698
481	20140929181930	AddEditableToUserFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:17.469263
482	20140929204155	MigrateTosSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.476511
483	20141001101041	AddPostIdToUserHistories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.481137
484	20141002181613	AddDescriptionToUserFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:17.48685
485	20141007224814	AddBadgeGrantedTitleToUserProfile	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:17.508411
486	20141008152953	AddExernalUrlToPermalinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.516071
487	20141008181228	AddRequiredSignupToUserFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:17.53003
488	20141008192525	AddAutoCloseBasedOnLastPostAndAutoCloseHoursToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	47	up	2019-12-05 04:03:17.583705
489	20141008192526	AddAutoCloseBasedOnLastPostToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	26	up	2019-12-05 04:03:17.616943
490	20141014032859	AddHiddenToPostRevision	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:17.646288
491	20141014191645	FixTosName	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.654483
492	20141015060145	AddRawEmailToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.659942
493	20141016183307	AddExpansionBackgroundToUserProfiles	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.665175
494	20141020153415	AddPublicVersionToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	24	up	2019-12-05 04:03:17.694192
495	20141020154935	RenameExpansionToCard	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:17.703353
496	20141020164816	AddImageToBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.708514
497	20141020174120	AddCardImageToUserProfiles	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.713158
498	20141030222425	RenameSeenPostCount	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:17.71973
499	20141110150304	AddFooterToSiteCustomization	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.724535
500	20141118011735	CorrectUsernameSearch	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.729139
501	20141120035016	AddAllowedIpsToApiKeys	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:17.736652
502	20141120043401	AddHiddenToApiKeys	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:17.758815
503	20141211114517	FixEmojiPath	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.766245
504	20141216112341	ResolveDuplicateGroupNames	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:17.774484
505	20141222051622	RemoveOverrideDefaultStylesFromSiteCustomizations	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.779594
506	20141222224220	FixEmojiPathTake2	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.784509
507	20141222230707	AmendSiteCustomization	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:17.78921
508	20141223145058	CreateCsvExportLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:17.801379
509	20141228151019	RenameCsvExportLogsToUserExports	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:17.809325
510	20150102113309	CleanUpUserHistory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:17.821017
511	20150106215342	RemoveStars	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:17.82919
512	20150108002354	AddLikedAndBookmarkedToTopicUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	30	up	2019-12-05 04:03:17.864501
513	20150108202057	CreateBookmarkActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:17.873951
514	20150108211557	IndexTopicCustomFieldValues	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:17.884776
515	20150108221703	GroupManagers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:17.902178
516	20150112172258	AddNewSiteCustomizationTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:17.908885
517	20150112172259	MigrateSiteTextToSiteCustomization	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:17.916656
518	20150114093325	AddTopToSiteCustomization	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:17.92462
519	20150115172310	RenameUserExportColumn	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:17.931647
520	20150119192813	AddPostsIndexIncludingDeleted	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:17.942038
521	20150123145128	AddAutomaticMembershipToGroup	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:17.959901
522	20150129204520	AddShowOnProfileToUserFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:17.975321
523	20150203041207	AddApplicationRequests	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:17.992164
524	20150205032808	ResetApplicationRequests	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:18.003863
525	20150205172051	AddCustomTypeToUserHistories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.011033
526	20150206004143	FlushApplicationRequests	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:18.021451
527	20150213174159	CreateDigestUnsubscribeKeys	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:18.038716
528	20150224004420	AddPinnedIndexes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:18.0542
529	20150227043622	AddLongDescriptionToBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.063586
530	20150301224250	CreateSuggestedForIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:18.074932
531	20150306050437	AddAllTimeAndOpLikesToTopTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	306	up	2019-12-05 04:03:18.386331
532	20150318143915	CreateDirectoryItems	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:18.406067
533	20150323034933	AddAllowPrivateMessagesToUserProfile	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:18.422924
534	20150323062322	RemoveAllowPrivateMessagesFromUserProfile	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.430234
535	20150323234856	AddMutedUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:18.453571
536	20150324184222	AddMoreToDirectoryItems	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:18.480035
537	20150325183400	FixGroupUserCount	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.487458
538	20150325190959	CreateQueuedPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:18.512413
539	20150410002033	AddPrimaryGroupToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:18.530642
540	20150410002551	AddTitleToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.540953
541	20150421085850	IncreaseUrlLengthOnTopicEmbed	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:18.564366
542	20150421190714	AddQueuedPostIdToUserActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.571465
543	20150422160235	AddLinkPostIdIndexOnTopicLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:18.581206
544	20150501152228	RenameTotalVotesToVoters	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:18.59599
545	20150505044154	AddStylesheetCache	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:18.619353
546	20150513094042	AddIndexOnPostActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:18.629665
547	20150514023016	AddUnreadNotificationsIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:18.640899
548	20150514043155	AddUserActionsAllIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:18.652127
549	20150525151759	SetDefaultS3Region	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.657564
550	20150609163211	MigrateEmbeddableHost	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.661867
551	20150617080349	AddIndexOnPostNotifications	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:18.673568
552	20150617233018	AddIndexTargetPostIdOnUserActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:18.684106
553	20150617234511	AddStaffIndexToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:18.697972
554	20150702201926	AddTopicTemplateToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.702843
555	20150706215111	AddMobileToUserVisits	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:18.717071
556	20150707163251	AddReportsIndexToUserVisits	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:18.728223
557	20150709021818	AddLikeCountToPostMenu	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.733515
558	20150713203955	EnlargeUsersEmailField	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:18.742196
559	20150724165259	AddIndexToPostCustomFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:18.751644
560	20150724182342	AddActionCodeToPost	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.758024
561	20150727193414	CreateUserFieldOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:18.777775
562	20150727210019	AddPinnedUntilToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:18.7837
563	20150727210748	AddQuarterlyToTopTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	335	up	2019-12-05 04:03:19.124635
564	20150727230537	AddExampleColumnComments	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.226208
565	20150728004647	CorrectCustomFieldsMigration	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:19.236999
566	20150728210202	MigrateOldModeratorPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:19.249569
567	20150729150523	MigrateAutoClosePosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:19.25644
568	20150730154830	AddPositionToUserFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:19.272354
569	20150731225331	MigrateOldMovedPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.279758
570	20150802233112	AddPostStats	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:19.329584
571	20150806210727	AddEmbeddedCssToSiteCustomizations	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.338005
572	20150818190757	CreateEmbeddableHosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:19.355181
573	20150822141540	FixMigratedHosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:19.360517
574	20150828155137	AddSuppressFromHomepageToCategory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	24	up	2019-12-05 04:03:19.389567
575	20150901192313	AddGrantTrustLevelToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:19.397762
576	20150914021445	CreateUserProfileViews	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	28	up	2019-12-05 04:03:19.431025
577	20150914034541	AddViewsToUserProfile	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:19.451529
578	20150917071017	AddCategoryIdToUserHistories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:19.465095
579	20150918004206	AddUserIdGroupIdIndexToGroupUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:19.474833
580	20150924022040	AddFancyTitleToTopic	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:19.480957
581	20150925000915	ExcludeWhispersFromBadges	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:19.491087
582	20151016163051	MergePollsVotes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.497406
583	20151103233815	AddLowerTitleIndexOnTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:19.505932
584	20151105181635	AddStagedToUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	43	up	2019-12-05 04:03:19.553831
585	20151107041044	FixIncorrectTopicCreatorAfterMove	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.563413
586	20151107042241	AddOwnerToGroupUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:19.585232
587	20151109124147	DropGroupManagers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.593656
588	20151113205046	CreateTranslationOverrides	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:19.614516
589	20151117165756	AddAutomaticallyUnpinTopicsToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	35	up	2019-12-05 04:03:19.655069
590	20151124172631	AddIsSupportToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	22	up	2019-12-05 04:03:19.686114
591	20151124192339	RenameNinjaEdit	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:19.693328
592	20151125194322	RemoveSiteText	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.698742
593	20151126173356	RenameIsSupportToContainsMessages	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:19.707497
594	20151126233623	AddBakedHeadAndBodyToSiteCustomizations	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:19.712503
595	20151127011837	AddHeaderAndFooterBakedToSiteCustomizations	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.717695
596	20151201035631	AddGroupMentions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:19.746347
597	20151201161726	AddIncomingEmailToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:19.757229
598	20151214165852	AddNotificationLevelToGroupUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:19.77534
599	20151218232200	AddUniqueIndexToCategoryUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:19.794896
600	20151219045559	AddHasMessagesToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:19.817099
601	20151220232725	AddUserArchivedMessagesGroupArchivedMessages	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	22	up	2019-12-05 04:03:19.849731
602	20160108051129	FixIncorrectUserHistory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.857958
603	20160110053003	ArchiveSystemMessagesWithNoReplies	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:19.865785
604	20160112025852	RemoveUsersFromTopicAllowedUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.883898
605	20160112101818	RemoveContainsMessageOnCategory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:19.890557
606	20160112104733	AddContainsMessagesBackToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:19.896048
607	20160113160742	CreateIncomingEmails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	26	up	2019-12-05 04:03:19.927493
608	20160118174335	RebakeHtmlCustomizations	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:19.933712
609	20160118233631	BackfillIncomingEmails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:19.941659
610	20160127105314	ChangeDefaultNotificationLevelOnGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:19.951111
611	20160127222802	MigrateUncategorizedDescriptionSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:19.95625
612	20160201181320	FixEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:19.96228
613	20160206210202	RemoveInvalidWebsites	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:19.967128
614	20160215075528	AddUnreadPmIndexToNotifications	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:19.978634
615	20160224033122	CreateInstagramUserInfos	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:19.992253
616	20160225050317	AddUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:20.008789
617	20160225050318	AllowDefaultsOnUsersTable	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:20.0292
618	20160225050319	MoveTrackingOptionsToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:20.03564
619	20160225050320	AddEmailPreviousRepliesToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:20.047296
620	20160225095306	AddEmailInReplyToToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:20.069084
621	20160302063432	RebuildDirectoryItemWithIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:20.092689
622	20160302104253	AddLikeNotificationFrequencyToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:20.106738
623	20160302170230	RenameDigestAfterDaysToDigestAfterMinutes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:20.117203
624	20160303183607	ClearCommonPasswordsCache	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.121531
625	20160303234317	AddRejectionMessageToIncomingEmail	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.126217
626	20160307190919	CreateEmailChangeRequests	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:20.147045
627	20160308193142	RenameConfirmTranslationKey	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.152571
628	20160309073132	AddMailingListModeFrequency	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:20.165588
629	20160317174357	CreateGivenDailyLikes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:20.188411
630	20160317201955	AddIncludeTl0InDigestsToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:20.202586
631	20160321164925	ClosePollsInClosedTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	16	up	2019-12-05 04:03:20.225946
632	20160326001747	AddUserFirstVisit	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.231326
633	20160329101122	RemoveWikiColor	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.235398
634	20160405172827	CreateUserFirsts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:20.248625
635	20160407160756	RemoveUserFirsts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:20.25458
636	20160407180149	CreateOnceoffLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:20.281568
637	20160408131959	AddShowOnUserCardToUserFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:20.297153
638	20160408175727	AddCompiledJsToTranslationOverrides	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.304064
639	20160418065403	AddBounceKeyToEmailLog	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.308411
640	20160420172330	AddIsAutoGeneratedToIncomingEmails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:20.330738
641	20160425141954	FixIncomingEmailsIndices	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:20.345393
642	20160427202222	AddSupportForBouncedEmails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	57	up	2019-12-05 04:03:20.407385
643	20160503205953	CreateTags	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	44	up	2019-12-05 04:03:20.459803
644	20160514100852	RemoveInvalidTopicUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:20.465519
645	20160520022627	ShortenTopicCustomFieldsIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:20.482986
646	20160527015355	CorrectMailingListModeFrequency	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.491667
647	20160527191614	CreateCategoryTags	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:20.511864
648	20160530003739	CreateSchedulerStats	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:20.525321
649	20160530203810	AddMessageIdToEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:20.535363
650	20160602164008	CreateTagGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:20.558726
651	20160606204319	CreateCategoryTagGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:20.573829
652	20160607213656	AddTagGroupOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:20.589867
653	20160609203508	RemoveTagCountFromTagGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.598559
654	20160615024524	RenameDigestUnsbscribeKeys	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:20.613015
655	20160615165447	RenameNumFlagsToBlockNewUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.617529
656	20160627104436	UseHttpsNameChangeInSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.622355
657	20160707195549	AddCompilerVersionToSiteCustomizations	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:20.639672
658	20160716112354	RemoveEditHistoryPublic	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.647265
659	20160719002225	AddDeletedPostIndexToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:20.658267
660	20160722071221	AddAuthTokenCreatedAtToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.664112
661	20160725015749	RenameAuthTokenCreatedAt	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:20.673411
662	20160727233044	CreateDevelopersTable	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:20.684076
663	20160815002002	AddUserApiKeys	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:20.71258
664	20160815210156	AddFlairUrlToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.718183
665	20160816052836	UserApiClientIdIsUnique	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:20.730765
666	20160816063534	AddRevokedAtToUserApiKeys	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.737691
667	20160823171911	AddPathWhitelistToEmbeddableHosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.743363
668	20160826195018	AddFlairColorToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.748238
669	20160905082217	CreateWebHookEventTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:20.762381
670	20160905082248	CreateWebHooks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:20.78021
671	20160905084502	CreateWebHookEvents	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:20.800779
672	20160905085445	CreateJoinTableWebHooksWebHookEventTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:20.812891
673	20160905091958	CreateJoinTableWebHooksGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:20.824827
674	20160905092148	CreateJoinTableWebHooksCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:20.838116
675	20160906200439	AddViaWizardToColorSchemes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:20.853913
676	20160919003141	AddAvatarUrlToFacebookInfo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.861824
677	20160919054014	AddFieldsToFacebookUserInfo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:20.867734
678	20160920165833	AddModeratorToInvites	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:20.890673
679	20160930123330	AddNotificationLevelWhenReplying	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:20.898598
680	20161010230853	SingleSignOnIncreaseExternalAvatarUrl	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:20.917637
681	20161013012136	AddScopesToUserApiKeys	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	22	up	2019-12-05 04:03:20.946609
682	20161014171034	AddDirectoryItemsIndexes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	48	up	2019-12-05 04:03:21.003132
683	20161025083648	FixCategoryLogoAndBackgroundUrls	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:21.007778
684	20161029181306	AddImageUrlToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:21.012543
685	20161031183811	AddSortFieldsToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:21.018103
686	20161102024700	AddPostUploadsIndexes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:21.03839
687	20161102024818	AddUploadedAvatarIdIndexToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:21.053661
688	20161102024838	AddUserAvatarsIndexes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:21.074427
689	20161102024900	AddUserProfilesIndexes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:21.089194
690	20161102024920	AddCategoriesIndexes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:21.105431
691	20161124020918	AddScoresIndexesToTopTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	38	up	2019-12-05 04:03:21.148862
692	20161202011139	AddWhisperSupportToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	44	up	2019-12-05 04:03:21.198901
693	20161202034856	AddUploadsToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:21.21149
694	20161205001727	AddTopicColumnsBack	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:21.21965
695	20161205065743	AddBioToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:21.226748
696	20161207030057	AddPublicToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:21.25572
697	20161208064834	CreateGroupHistories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	29	up	2019-12-05 04:03:21.293445
698	20161212123649	AddAllowMembershipRequestsToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:21.319593
699	20161213073938	AddFullNameToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:21.327125
700	20161215201907	MigrateFeaturedLinkFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	31	up	2019-12-05 04:03:21.363367
701	20161216101352	AddAllTopicsWikiToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	35	up	2019-12-05 04:03:21.40716
702	20170124181409	AddUserAuthTokens	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	25	up	2019-12-05 04:03:21.440661
703	20170201085745	CreateCustomEmojis	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:21.4615
704	20170213180857	AddUserAuthTokenLog	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:21.478635
705	20170215151505	AddSeenAtToUserAuthToken	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:21.485569
706	20170221204204	AddShowSubcategoryListToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	32	up	2019-12-05 04:03:21.527869
707	20170222173036	MakeUserAuthTokenIndexUnique	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:21.55251
708	20170227211458	AddFeaturedTopicsToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	28	up	2019-12-05 04:03:21.587029
709	20170301215150	AddDefaultViewToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:21.594869
710	20170303070706	AddIndexToTopicViewItems	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:21.604662
711	20170307181800	AddPathToUserAuthTokenLog	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:21.609502
712	20170308201552	AddSubcategoryListStyleToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	29	up	2019-12-05 04:03:21.644242
713	20170313192741	AddThemes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	48	up	2019-12-05 04:03:21.699899
714	20170322065911	CreateTopicStatusUpdates	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:21.717244
715	20170322155537	AddThemeToStylesheetCache	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:21.73922
716	20170322191305	AddDefaultTopPeriodToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	37	up	2019-12-05 04:03:21.782786
717	20170324032913	MoveAutoCloseColumnsToTopicStatusUpdate	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:21.792055
718	20170324144456	AmendCssColumnsInTheme	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:21.803141
719	20170328163918	BreakUpThemesTable	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	45	up	2019-12-05 04:03:21.857724
720	20170328203122	AddCompilerVersionToThemeFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:21.876912
721	20170330041605	AddIndexToTopicStatusUpdates	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:21.888359
722	20170403062717	AddCategoryIdToTopicStatusUpdates	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:21.894045
723	20170407154510	RenameThemeId	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:21.899213
724	20170410170923	AddThemeRemoteFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:21.917219
725	20170413043152	RenameWarnings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:21.926947
726	20170417164715	AddThemeIdToColorScheme	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:21.931763
727	20170419193714	AddErrorToThemeFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:21.938244
728	20170420163628	AddDefaultNotificationLevelToGroup	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:21.967089
729	20170425083011	AddDeletedAtToTopicEmbeds	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:21.977109
730	20170425172415	AddErrorToSchedulerStats	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:21.982375
731	20170501191912	AddUploadIdToThemeFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	28	up	2019-12-05 04:03:22.015961
732	20170505035229	MigrateMailingListDailyUpdatesUsersToDailySummary	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:22.026137
733	20170508183819	AddCssClassNameToEmbeddableHosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.031225
734	20170511071355	RemoveConvertPastedImageSiteSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.035492
735	20170511080007	RenameConvertPastedImagesQualitySiteSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.039692
736	20170511184842	RenameTopicStatusUpdatesToTopicTimers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:22.048785
737	20170512153318	AddThemeKeyToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:22.061028
738	20170512185227	CreateTopicStatusUpdatesAgain	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:22.07647
739	20170515152725	AddThemeKeySeqToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:22.092462
740	20170515203721	AddPublicTypeToTopicTimers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:22.122345
741	20170602132735	FixGroupAllowMembershipRequests	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.129575
742	20170605014820	RemoveAutoCloseColumnsFromTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.134093
743	20170609115401	AddExtensionToTopicLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:22.145778
744	20170628152322	CreateWatchedWords	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:22.168263
745	20170630083540	AddCustomMessageToInvite	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.174564
746	20170703115216	AddExtensionToUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:22.184418
747	20170703144855	AddVisibilityLevelToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:22.208638
748	20170704142141	AddVisibleBackToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:22.238452
749	20170713164357	CreateSearchLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:22.252742
750	20170717084947	CreateUserEmails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	26	up	2019-12-05 04:03:22.285968
751	20170725075535	CorrectDefaultEmailMailingListModeFrequency	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.291166
752	20170728012754	SplitPublicInGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	35	up	2019-12-05 04:03:22.331075
753	20170731075604	AddMembershipRequestTemplateToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.339721
754	20170803123704	AddVersionToSearchData	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	43	up	2019-12-05 04:03:22.387951
755	20170818191909	SplitAliasLevels	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	33	up	2019-12-05 04:03:22.431192
756	20170823173427	CreateTagSearchData	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:22.447264
757	20170824172615	AddSlugIndexOnTopic	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:22.455476
758	20170831180419	RemoveWhisperTopicLinks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:22.46116
759	20171003180951	RenameForgotPasswordStrictSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.465952
760	20171006030028	AddAllowPrivateMessagesToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:22.48289
761	20171026014317	AddUserOptionHome	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.490793
762	20171110174413	RenameBlockedSilence	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	41	up	2019-12-05 04:03:22.536854
763	20171113175414	AddSilencedTillToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:22.557199
764	20171113214725	AddTimeReadToUserVisits	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	27	up	2019-12-05 04:03:22.589659
765	20171115170858	AddMailinglistMirrorToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	34	up	2019-12-05 04:03:22.630649
766	20171123200157	AddTrustLevelLocksToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:22.641841
767	20171128172835	RenameClickedTopicIdToSearchResultId	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:22.650991
768	20171213105921	ReplaceInviteMailerTranslationOverride	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.656534
769	20171214040346	AddEmailToTwitterUserInfo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.661217
770	20171220181249	ChangeUserEmailsPrimaryIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:22.67361
771	20171228122834	ReplaceBlockedSilenceTranslation	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.680423
772	20180109222722	CreateUserSecondFactors	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:22.696985
773	20180111092141	AddIndexesToEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:22.713743
774	20180118215249	CreateThemeSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:22.728102
775	20180125185717	AddLockedByToPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.734196
776	20180127005644	RemoveOldGaSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.739034
777	20180131052859	RenamePrivatePersonal	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:22.745024
778	20180207161422	AddSkippedCreatedAtUserIdIndexOnEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:22.753523
779	20180207163946	CreateCategoryTagStats	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:22.782134
780	20180221215641	AddSuppressFromLatestToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	39	up	2019-12-05 04:03:22.826652
781	20180223041147	FixGoogleOauth2PromptDataType	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.835008
782	20180223222415	RemoveCensoredPatternSiteSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.841044
783	20180308071922	DropRaiseReadOnlyFunction	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.845646
784	20180309014014	AddPrivateKeyToRemoteTheme	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.851079
785	20180316092939	AddExternalProfileAndCardBackgroundUrlToSingleSignOnRecord	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.857038
786	20180316165104	CreateSharedDrafts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:22.868994
787	20180320190339	CreateWebCrawlerRequests	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:22.886753
788	20180323154826	CreateTagGroupPermissions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	16	up	2019-12-05 04:03:22.908479
789	20180323161659	AddIdToSharedDrafts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:22.925392
790	20180327062911	AddPostCustomFieldsAkismetIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:22.937163
791	20180328180317	AddCategoryIndexToSharedDrafts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:22.946715
792	20180331125522	AddMinimumRequiredTagsToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	29	up	2019-12-05 04:03:22.980969
793	20180419095326	AddUploadIdToUserExports	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:22.988245
794	20180420141134	RemoveStaffTagsSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:22.997009
795	20180425152503	DropUserCardBadgeColumns	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:23.006078
796	20180425185749	CreatePushSubscription	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:23.019565
797	20180508142711	RemoveInvitePassthroughHours	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.024819
798	20180514133440	AddPmTopicCountToTags	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:23.040067
799	20180519053933	DeleteConfirmOldEmailTemplateOverrides	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.047991
800	20180521175611	ChangeIndexesTopicViewItem	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:23.059123
801	20180521184439	AllowNullIpSearchLog	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.066494
802	20180521190040	AllowNullIpTopicLinkClick	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.071638
803	20180521191418	AllowNullIpUserProfileView	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:23.094225
804	20180607095414	MigrateDisableEmails	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:23.10213
805	20180621013807	AddIndexTopicIdPercentRankOnPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:23.111911
806	20180706054922	DropKeyColumnFromThemes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:23.129392
807	20180710075119	AddIndexTopicIdSortOrderOnPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:23.142815
808	20180710172959	DisallowMultiLevelsThemeComponents	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:23.150337
809	20180716062012	AddIndexUserIdOnUserSecondFactors	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:23.16123
810	20180716062405	AddNavigateToFirstPostAfterReadToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	30	up	2019-12-05 04:03:23.196636
811	20180716072125	AlterBounceKeyOnEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	30	up	2019-12-05 04:03:23.23514
812	20180716140323	AddUniqIpOrUserIdTopicViews	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:23.250626
813	20180716200103	AddThemeKeyDefault	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:23.257987
814	20180717025038	DropNotNullIpAddressOnTopicViews	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.263127
815	20180717084758	AlterReplyKeyOnEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	35	up	2019-12-05 04:03:23.302945
816	20180718062728	CreatePostReplyKeys	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	19	up	2019-12-05 04:03:23.330687
817	20180719103905	AlterIndexesOnEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:23.356551
818	20180720054856	CreateSkippedEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	32	up	2019-12-05 04:03:23.395646
819	20180724070554	DropTopicIdOnEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:23.406792
820	20180727042448	DropReplyKeySkippedSkippedReasonFromEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:23.423416
821	20180729092926	RemoveTrackExternalRightClicks	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.429731
822	20180803085321	AddIndexEmailLogsOnBounced	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:23.443351
823	20180812150839	AddUserApiKeysLastUsedAt	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:23.468203
824	20180813074843	AddComponentToThemes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:23.493549
825	20180820073549	CreatePollsTables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	73	up	2019-12-05 04:03:23.575141
826	20180820080623	MigratePollsData	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:23.585653
827	20180827053514	AddFilesizeToOptimizedImages	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:23.593043
828	20180828065005	ChangeBounceScoreToFloat	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:23.606533
829	20180831182853	AddBranchToRemoteTheme	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.614967
830	20180907075713	AddLastErrorTextToRemoteThemes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.620801
831	20180913200027	RemoveEnforceSquareEmoji	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.627138
832	20180916195601	MigrateS3BackupSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.633447
833	20180917024729	RemoveSuperfluousColumns	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	77	up	2019-12-05 04:03:23.717878
834	20180917034056	RemoveSuperfluousTables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:23.73134
835	20180920023559	AddExternalDetailsToUserFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:23.739823
836	20180920042415	CreateUserUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	16	up	2019-12-05 04:03:23.761659
837	20180927135248	CreateJavascriptCaches	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	21	up	2019-12-05 04:03:23.78815
838	20180928105835	AddIndexToTags	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:23.800829
839	20181005084357	AddSsoProviderSecretsToSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.806054
840	20181005144357	AddViaEmailToInvites	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:23.829759
841	20181010150631	AddHideProfileAndPresenceToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:23.854972
842	20181012123001	DropGroupLockedTrustLevelFromUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:23.863645
843	20181031165343	AddFlagStatsToUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:23.891974
844	20181108115009	CreateUserAssociatedAccounts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	26	up	2019-12-05 04:03:23.924759
845	20181112013117	MigrateUrlSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.929727
846	20181120140552	MigrateCorporateSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.93477
847	20181128140547	MigrateFacebookUserInfo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.939695
848	20181129094518	AddNotNullMinimumRequiredTagsOnCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:23.948091
849	20181204123042	AddUploadedMetaIdToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.953171
850	20181204193426	CreateJoinTableWebHooksTags	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:23.965982
851	20181207141900	MigrateTwitterUserInfo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.972615
852	20181210122522	RemoveNotNullUserAssociatedAccountUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:23.978451
853	20181218071253	AddEtagToUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:23.995708
854	20181221121805	CreateThemeTranslationOverride	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:24.01797
855	20190103051737	AddVersionToOptimizedImages	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.02333
856	20190103060819	ForceRebakeOnPostsWithImages	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:24.028714
857	20190103065652	RemoveUploadedMetaIdFromCategory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:24.034759
858	20190103160533	CreateReviewables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	32	up	2019-12-05 04:03:24.071755
859	20190103185626	CreateReviewableUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.077549
860	20190106041015	AddTopicIdIndexToUserHistories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:24.087094
861	20190108110630	AddTextSizeKeyToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:24.101825
862	20190110142917	EnableContentSecurityPolicyForNewSites	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:24.114069
863	20190110201340	RemoveGooglePlusFromShareLinksSiteSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.118729
864	20190110212005	CreateReviewableHistories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:24.136135
865	20190111170824	MigrateReviewableQueuedPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:24.144942
866	20190117191606	CreateGroupRequests	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	22	up	2019-12-05 04:03:24.171757
867	20190121202656	RemoveUserActionPending	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.176613
868	20190121203023	DropQueuedPostIdFromUserActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.181016
869	20190122132732	AddFieldsToRemoteThemes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:24.186418
870	20190123171817	DropQueuedPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:24.191005
871	20190125103246	CopyLoginRequiredWelcomeMessage	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.197586
872	20190125153345	AddTextSizeSeqToUserOption	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	30	up	2019-12-05 04:03:24.232022
873	20190130013015	AddIndexOnUserIdToSingleSignOnRecords	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:24.269281
874	20190130163000	CreateReviewableScores	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:24.2904
875	20190130163001	MigrateReviewableFlaggedPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:24.299737
876	20190205104116	DropUnusedAuthTables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.304387
877	20190208144706	DropUnusedAuthTablesAgain	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:24.312134
878	20190215204033	AddScoreBonusToPostActionTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:24.33691
879	20190225133654	AddIgnoredUsersTable	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:24.364661
880	20190227150413	MigrateInstagramUserInfo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.370649
881	20190227210035	AddMissingTopicIdSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:24.377383
882	20190304170931	MigrateUncategorizedCategoryName	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.38294
883	20190306154335	MigrateGoogleUserInfo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.388439
884	20190306184409	AddReviewableScoreToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	38	up	2019-12-05 04:03:24.431969
885	20190312181641	MigrateEmailUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	23	up	2019-12-05 04:03:24.463737
886	20190312194528	DropEmailUserOptionsColumns	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:24.478176
887	20190313134642	MigrateDefaultUserEmailOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:24.484816
888	20190313171338	AddIndexesToReviewables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:24.499538
889	20190313205652	RenameModeratorSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.506796
890	20190314082018	AddSearchPriorityToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	39	up	2019-12-05 04:03:24.551193
891	20190314144755	AddSummarizedAtColumnToIgnoredUsersTable	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.561076
892	20190315025804	MigrateBlankOverrideForUploadSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:24.568765
893	20190315055432	MigrateNullOverrideForUploadSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:24.575732
894	20190315170411	AddIndexToReviewableHistories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:24.585783
895	20190315174428	MigrateFlagHistory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:24.594468
896	20190320091323	AddIndexPostActionTypeIdDisagreedAtOnPostActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:24.613745
897	20190320104640	RemoveS3ForcePathStyle	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.619036
898	20190321072029	AddIndexMethodEnabledOnUserSecondFactors	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:24.631446
899	20190322152347	ForceRebakeOnPostsWithLightboxes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.636787
900	20190325162154	MakeSiteSettingsUnique	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:24.647954
901	20190326123708	AddIndexCreatedAtOnSearchLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:24.658255
902	20190327090918	AddExpiringAtColumnToIgnoredUsersTable	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.663056
903	20190327205525	RequireReviewableScores	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:24.669287
904	20190402024053	AddFirstUnreadAtToUserStats	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	29	up	2019-12-05 04:03:24.709959
905	20190402142223	DisableInviteOnlySso	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.716148
906	20190403180142	AddAllowGlobalTagsToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	28	up	2019-12-05 04:03:24.750069
907	20190403202001	FixReviewableUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:24.758851
908	20190405044140	AddIndexActionTypeCreatedAtOnUserActions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:24.770059
909	20190408072550	AddIndexIdBakedVersionOnPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:24.781573
910	20190408082101	AddSearchDataIndexes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:24.804778
911	20190409054736	AddIndexForRebakeOldOnPosts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:24.827224
912	20190410055459	AddIndexReplyIdOnPostReplies	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:24.838081
913	20190410102915	RemoveIgnoreUserEnabledSiteSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.843944
914	20190410122835	AddMissingUploadsIndexToPostCustomFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:24.854964
915	20190411121312	AddTitleCountModeToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:24.871564
916	20190411144545	AddReasonToReviewableScores	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:24.890958
917	20190412161430	AddCreatedByIndexToReviewables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:24.900578
918	20190414162753	RenamePostNotices	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:24.923532
919	20190417135049	MigrateNativeAppBannerSiteSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:24.929526
920	20190417203622	AddReviewGroupToCategory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:24.95009
921	20190418113814	AddUniqueIndexToGroupRequests	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	6	up	2019-12-05 04:03:24.961365
922	20190423112954	IncreaseThemeFieldNameLength	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:24.967708
923	20190424065841	AddPostImageIndexes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	25	up	2019-12-05 04:03:24.998367
924	20190426011148	AddUploadForeignKeysToUserProfiles	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:25.015857
925	20190426074404	AddMissingUserDestroyerIndexes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	24	up	2019-12-05 04:03:25.046782
926	20190426123026	AddIncomingEmailByUserIdIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:25.056134
927	20190426123658	AddIndexOnUserAuthTokenUser	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:25.065366
928	20190427211829	AddNameToUserSecondFactors	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.070916
929	20190430135846	MigrateEnglishLocale	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:25.077811
930	20190502223613	AddBounceKeyIndexOnEmailLogs	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:25.087523
931	20190503180839	RemoveLikeCountFromPostMenu	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.093068
932	20190508135348	RenameSiteSettingDefaultTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.097756
933	20190508141327	CreateReviewableClaimedTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:25.112912
934	20190508141824	DropClaimedById	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.118972
935	20190508193900	AddMissingUploadsIgnoredIndexToPostCustomFields	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:25.128104
936	20190513143015	AddThemeIdToJavascriptCache	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:25.144187
937	20190514055014	AddReadNotificationIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	20	up	2019-12-05 04:03:25.169144
938	20190522194332	AddPriorityToPostActionTypes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:25.183356
939	20190523093215	AddTopicIdToUserExports	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:25.191151
940	20190529002752	AddUniqueConstraintToShadowAccounts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:25.214754
941	20190531044744	AddEnableDeferToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:25.231257
942	20190531101648	MergeRemoveMutedTagsFromLatestSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:25.239132
943	20190603134013	ChangeThemeFieldCompilerVersion	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	12	up	2019-12-05 04:03:25.25571
944	20190621095105	RemoveNotificationLevelFromCategoryUserIndexes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	13	up	2019-12-05 04:03:25.276188
945	20190630165003	AddEnabledToThemes	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	11	up	2019-12-05 04:03:25.295048
946	20190704133453	CreateBackupMetadata	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:25.312813
947	20190705173948	RenumberGroupVisibilityLevels	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:25.31884
948	20190711154946	AddEmailedStatusToInvite	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	7	up	2019-12-05 04:03:25.333423
949	20190716014949	RenameDeprecatedBadgeIcons	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.339347
950	20190716124050	RemoveViaEmailFromInvite	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:25.348121
951	20190716173854	AddSecureToUploads	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	31	up	2019-12-05 04:03:25.384199
952	20190717133743	MigrateGroupListSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.392589
953	20190724162522	MigrateForwardedEmailsBehaviourSiteSettings	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.398086
954	20190731090219	RenameEditNotificationSetting	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.40281
955	20190807194043	GroupsPublishReadState	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:25.42307
956	20190812141433	AddMembersVisibilityLevelToGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	14	up	2019-12-05 04:03:25.444856
957	20190820192341	CreateTopicGroupTable	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:25.462965
958	20190903073730	AddLastUsedAtToApiKey	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.468323
959	20190904104533	CreateUserSecurityKeys	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	34	up	2019-12-05 04:03:25.507351
960	20190908233325	AddSecureIdentifierColumnToUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:25.5217
961	20190908234054	MigratePostEditTimeLimit	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.527241
962	20190917100006	AddEnabledIndexToUserSecurityKey	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:25.536173
963	20191007140446	AddUserAccuracyBonusToReviewableScores	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	15	up	2019-12-05 04:03:25.556097
964	20191008124357	AddUniqueIndexCategoriesOnSlug	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:25.567654
965	20191011131041	MigrateDecompressedFileMaxSizeMb	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.572631
966	20191016124059	FixCategorySlugsIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:25.581721
967	20191017044811	AddDraftBackupTables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	33	up	2019-12-05 04:03:25.62107
968	20191022155215	AddIndexToOauth2UserInfo	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:25.629851
969	20191022161944	AddIndexOnGroupToCategoryGroups	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	4	up	2019-12-05 04:03:25.643274
970	20191025005204	AmendOauth2UserInfoIndex	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:25.657626
971	20191030112559	AddIndexToNotifications	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	17	up	2019-12-05 04:03:25.682564
972	20191030155530	AddRequiredTagGroupToCategories	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	32	up	2019-12-05 04:03:25.719527
973	20191031042212	AddOwnerToDrafts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.726422
974	20191031052711	AddGrantedTitleBadgeIdToUserProfile	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	10	up	2019-12-05 04:03:25.740959
975	20191101001705	AddBannerIndexToTopics	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:25.750958
976	20191101113230	AddRevokedAtToApiKey	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:25.764801
977	20191107025041	AddLastSeenToCategoryUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.77112
978	20191107025140	AddIndexToLastSeenAtOnCategoryUsers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	9	up	2019-12-05 04:03:25.784972
979	20191107032231	ChangeNotificationLevel	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.789789
980	20191107190330	RemoveSuppressFromLatestFromCategory	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	2	up	2019-12-05 04:03:25.796288
981	20191108000414	AddUniqueIndexToDrafts	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	8	up	2019-12-05 04:03:25.8085
982	20191113193141	AddTargetTagIdToTags	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	0	up	2019-12-05 04:03:25.814577
983	20191114160613	AddGraphToPolls	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	18	up	2019-12-05 04:03:25.837149
984	20191120015344	AddTimezoneToUserOptions	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	1	up	2019-12-05 04:03:25.844441
985	20191128222140	AddUniqueIndexToDevelopers	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	5	up	2019-12-05 04:03:25.853704
986	20191129144706	DropUnusedGoogleInstagramAuthTables	6d0469c97ca0\n	fe9293b8b554ab79636faa61a4756d5ff514a233	6.0.1	3	up	2019-12-05 04:03:25.860812
\.


--
-- Data for Name: schema_migrations; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.schema_migrations (version) FROM stdin;
20000225050318
20120311163914
20120311164326
20120311170118
20120311201341
20120311210245
20120416201606
20120420183447
20120423140906
20120423142820
20120423151548
20120425145456
20120427150624
20120427151452
20120427154330
20120427172031
20120502183240
20120502192121
20120503205521
20120507144132
20120507144222
20120514144549
20120514173920
20120514204934
20120517200130
20120518200115
20120519182212
20120523180723
20120523184307
20120523201329
20120525194845
20120529175956
20120529202707
20120530150726
20120530160745
20120530200724
20120530212912
20120614190726
20120614202024
20120615180517
20120618152946
20120618212349
20120618214856
20120619150807
20120619153349
20120619172714
20120621155351
20120621190310
20120622200242
20120625145714
20120625162318
20120625174544
20120625195326
20120629143908
20120629150253
20120629151243
20120629182637
20120702211427
20120703184734
20120703201312
20120703203623
20120703210004
20120704160659
20120704201743
20120705181724
20120708210305
20120712150500
20120712151934
20120713201324
20120716020835
20120716173544
20120718044955
20120719004636
20120720013733
20120720044246
20120720162422
20120723051512
20120724234502
20120724234711
20120725183347
20120726201830
20120726235129
20120727005556
20120727150428
20120727213543
20120802151210
20120803191426
20120806030641
20120806062617
20120807223020
20120809020415
20120809030647
20120809053414
20120809154750
20120809174649
20120809175110
20120809201855
20120810064839
20120812235417
20120813004347
20120813042912
20120813201426
20120815004411
20120815180106
20120815204733
20120816050526
20120816205537
20120816205538
20120820191804
20120821191616
20120823205956
20120824171908
20120828204209
20120828204624
20120830182736
20120910171504
20120918152319
20120918205931
20120919152846
20120921055428
20120921155050
20120921162512
20120921163606
20120924182000
20120924182031
20120925171620
20120925190802
20120928170023
20121009161116
20121011155904
20121017162924
20121018103721
20121018133039
20121018182709
20121106015500
20121108193516
20121109164630
20121113200844
20121113200845
20121115172544
20121116212424
20121119190529
20121119200843
20121121202035
20121121205215
20121122033316
20121123054127
20121123063630
20121129160035
20121129184948
20121130010400
20121130191818
20121202225421
20121203181719
20121204183855
20121204193747
20121205162143
20121207000741
20121211233131
20121216230719
20121218205642
20121224072204
20121224095139
20121224100650
20121228192219
20130107165207
20130108195847
20130115012140
20130115021937
20130115043603
20130116151829
20130120222728
20130121231352
20130122051134
20130122232825
20130123070909
20130125002652
20130125030305
20130125031122
20130127213646
20130128182013
20130129010625
20130129163244
20130129174845
20130130154611
20130131055710
20130201000828
20130201023409
20130203204338
20130204000159
20130205021905
20130207200019
20130208220635
20130213021450
20130213203300
20130221215017
20130226015336
20130306180148
20130311181327
20130313004922
20130314093434
20130315180637
20130319122248
20130320012100
20130320024345
20130321154905
20130322183614
20130326210101
20130327185852
20130328162943
20130328182433
20130402210723
20130404143437
20130404232558
20130411205132
20130412015502
20130412020156
20130416004607
20130416004933
20130416170855
20130419195746
20130422050626
20130424015746
20130424055025
20130426044914
20130426052257
20130428194335
20130429000101
20130430052751
20130501105651
20130506020935
20130506185042
20130508040235
20130509040248
20130509041351
20130515193551
20130521210140
20130522193615
20130527152648
20130528174147
20130531210816
20130603192412
20130606190601
20130610201033
20130612200846
20130613211700
20130613212230
20130615064344
20130615073305
20130615075557
20130616082327
20130617014127
20130617180009
20130617181804
20130619063902
20130621042855
20130622110348
20130624203206
20130625022454
20130625170842
20130625201113
20130709184941
20130710201248
20130712041133
20130712163509
20130723212758
20130724201552
20130725213613
20130728172550
20130731163035
20130807202516
20130809160751
20130809204732
20130809211409
20130813204212
20130813224817
20130816024250
20130819192358
20130820174431
20130822213513
20130823201420
20130826011521
20130828192526
20130903154323
20130904181208
20130906081326
20130906171631
20130910040235
20130910220317
20130911182437
20130912185218
20130913210454
20130917174738
20131001060630
20131002070347
20131003061137
20131014203951
20131015131652
20131017014509
20131017030605
20131017205954
20131018050738
20131022045114
20131022151218
20131023163509
20131105101051
20131107154900
20131114185225
20131115165105
20131118173159
20131120055018
20131122064921
20131206200009
20131209091702
20131209091742
20131210163702
20131210181901
20131210234530
20131212225511
20131216164557
20131217174004
20131219203905
20131223171005
20131227164338
20131229221725
20131230010239
20140101235747
20140102104229
20140102194802
20140107220141
20140109205940
20140116170655
20140120155706
20140121204628
20140122043508
20140124202427
20140129164541
20140206044818
20140206195001
20140206215029
20140210194146
20140211230222
20140211234523
20140214151255
20140220160510
20140220163213
20140224232712
20140224232913
20140227104930
20140227201005
20140228005443
20140228173431
20140228205743
20140303185354
20140304200606
20140304201403
20140305100909
20140306223522
20140318150412
20140318203559
20140320042653
20140402201432
20140404143501
20140407055830
20140407202158
20140408061512
20140408152401
20140415054717
20140416202746
20140416202801
20140416235757
20140421235646
20140422195623
20140425125742
20140425135354
20140425172618
20140429175951
20140504174212
20140505145918
20140506200235
20140507173327
20140508053815
20140515220111
20140520062826
20140520063859
20140521192142
20140521220115
20140522003151
20140525233953
20140526185749
20140526201939
20140527163207
20140527233225
20140528015354
20140529045508
20140530002535
20140530043913
20140604145431
20140607035234
20140610012414
20140610012833
20140610034314
20140612010718
20140617053829
20140617080955
20140617193351
20140618001820
20140618163511
20140620184031
20140623195618
20140624044600
20140627193814
20140703022838
20140705081453
20140707071913
20140710005023
20140710224658
20140711063215
20140711143146
20140711193923
20140711233329
20140714060646
20140715013018
20140715051412
20140715055242
20140715160720
20140715190552
20140716063802
20140717024528
20140718041445
20140721063820
20140721161249
20140721162307
20140723011456
20140725050636
20140725172830
20140727030954
20140728120708
20140728144308
20140728152804
20140729092525
20140730203029
20140731011328
20140801052028
20140801170444
20140804010803
20140804030041
20140804060439
20140804072504
20140804075613
20140805061612
20140806003116
20140807033123
20140808051823
20140809224243
20140811094300
20140813175357
20140815183851
20140815191556
20140815215618
20140817011612
20140818023700
20140826234625
20140827044811
20140828172407
20140828200231
20140831191346
20140904055702
20140904160015
20140904215629
20140905055251
20140905171733
20140908165716
20140908191429
20140910130155
20140911065449
20140913192733
20140923042349
20140924192418
20140925173220
20140929181930
20140929204155
20141001101041
20141002181613
20141007224814
20141008152953
20141008181228
20141008192525
20141008192526
20141014032859
20141014191645
20141015060145
20141016183307
20141020153415
20141020154935
20141020164816
20141020174120
20141030222425
20141110150304
20141118011735
20141120035016
20141120043401
20141211114517
20141216112341
20141222051622
20141222224220
20141222230707
20141223145058
20141228151019
20150102113309
20150106215342
20150108002354
20150108202057
20150108211557
20150108221703
20150112172258
20150112172259
20150114093325
20150115172310
20150119192813
20150123145128
20150129204520
20150203041207
20150205032808
20150205172051
20150206004143
20150213174159
20150224004420
20150227043622
20150301224250
20150306050437
20150318143915
20150323034933
20150323062322
20150323234856
20150324184222
20150325183400
20150325190959
20150410002033
20150410002551
20150421085850
20150421190714
20150422160235
20150501152228
20150505044154
20150513094042
20150514023016
20150514043155
20150525151759
20150609163211
20150617080349
20150617233018
20150617234511
20150702201926
20150706215111
20150707163251
20150709021818
20150713203955
20150724165259
20150724182342
20150727193414
20150727210019
20150727210748
20150727230537
20150728004647
20150728210202
20150729150523
20150730154830
20150731225331
20150802233112
20150806210727
20150818190757
20150822141540
20150828155137
20150901192313
20150914021445
20150914034541
20150917071017
20150918004206
20150924022040
20150925000915
20151016163051
20151103233815
20151105181635
20151107041044
20151107042241
20151109124147
20151113205046
20151117165756
20151124172631
20151124192339
20151125194322
20151126173356
20151126233623
20151127011837
20151201035631
20151201161726
20151214165852
20151218232200
20151219045559
20151220232725
20160108051129
20160110053003
20160112025852
20160112101818
20160112104733
20160113160742
20160118174335
20160118233631
20160127105314
20160127222802
20160201181320
20160206210202
20160215075528
20160224033122
20160225050317
20160225050318
20160225050319
20160225050320
20160225095306
20160302063432
20160302104253
20160302170230
20160303183607
20160303234317
20160307190919
20160308193142
20160309073132
20160317174357
20160317201955
20160321164925
20160326001747
20160329101122
20160405172827
20160407160756
20160407180149
20160408131959
20160408175727
20160418065403
20160420172330
20160425141954
20160427202222
20160503205953
20160514100852
20160520022627
20160527015355
20160527191614
20160530003739
20160530203810
20160602164008
20160606204319
20160607213656
20160609203508
20160615024524
20160615165447
20160627104436
20160707195549
20160716112354
20160719002225
20160722071221
20160725015749
20160727233044
20160815002002
20160815210156
20160816052836
20160816063534
20160823171911
20160826195018
20160905082217
20160905082248
20160905084502
20160905085445
20160905091958
20160905092148
20160906200439
20160919003141
20160919054014
20160920165833
20160930123330
20161010230853
20161013012136
20161014171034
20161025083648
20161029181306
20161031183811
20161102024700
20161102024818
20161102024838
20161102024900
20161102024920
20161124020918
20161202011139
20161202034856
20161205001727
20161205065743
20161207030057
20161208064834
20161212123649
20161213073938
20161215201907
20161216101352
20170124181409
20170201085745
20170213180857
20170215151505
20170221204204
20170222173036
20170227211458
20170301215150
20170303070706
20170307181800
20170308201552
20170313192741
20170322065911
20170322155537
20170322191305
20170324032913
20170324144456
20170328163918
20170328203122
20170330041605
20170403062717
20170407154510
20170410170923
20170413043152
20170417164715
20170419193714
20170420163628
20170425083011
20170425172415
20170501191912
20170505035229
20170508183819
20170511071355
20170511080007
20170511184842
20170512153318
20170512185227
20170515152725
20170515203721
20170602132735
20170605014820
20170609115401
20170628152322
20170630083540
20170703115216
20170703144855
20170704142141
20170713164357
20170717084947
20170725075535
20170728012754
20170731075604
20170803123704
20170818191909
20170823173427
20170824172615
20170831180419
20171003180951
20171006030028
20171026014317
20171110174413
20171113175414
20171113214725
20171115170858
20171123200157
20171128172835
20171213105921
20171214040346
20171220181249
20171228122834
20180109222722
20180111092141
20180118215249
20180125185717
20180127005644
20180131052859
20180207161422
20180207163946
20180221215641
20180223041147
20180223222415
20180308071922
20180309014014
20180316092939
20180316165104
20180320190339
20180323154826
20180323161659
20180327062911
20180328180317
20180331125522
20180419095326
20180420141134
20180425152503
20180425185749
20180508142711
20180514133440
20180519053933
20180521175611
20180521184439
20180521190040
20180521191418
20180607095414
20180621013807
20180706054922
20180710075119
20180710172959
20180716062012
20180716062405
20180716072125
20180716140323
20180716200103
20180717025038
20180717084758
20180718062728
20180719103905
20180720054856
20180724070554
20180727042448
20180729092926
20180803085321
20180812150839
20180813074843
20180820073549
20180820080623
20180827053514
20180828065005
20180831182853
20180907075713
20180913200027
20180916195601
20180917024729
20180917034056
20180920023559
20180920042415
20180927135248
20180928105835
20181005084357
20181005144357
20181010150631
20181012123001
20181031165343
20181108115009
20181112013117
20181120140552
20181128140547
20181129094518
20181204123042
20181204193426
20181207141900
20181210122522
20181218071253
20181221121805
20190103051737
20190103060819
20190103065652
20190103160533
20190103185626
20190106041015
20190108110630
20190110142917
20190110201340
20190110212005
20190111170824
20190117191606
20190121202656
20190121203023
20190122132732
20190123171817
20190125103246
20190125153345
20190130013015
20190130163000
20190130163001
20190205104116
20190208144706
20190215204033
20190225133654
20190227150413
20190227210035
20190304170931
20190306154335
20190306184409
20190312181641
20190312194528
20190313134642
20190313171338
20190313205652
20190314082018
20190314144755
20190315025804
20190315055432
20190315170411
20190315174428
20190320091323
20190320104640
20190321072029
20190322152347
20190325162154
20190326123708
20190327090918
20190327205525
20190402024053
20190402142223
20190403180142
20190403202001
20190405044140
20190408072550
20190408082101
20190409054736
20190410055459
20190410102915
20190410122835
20190411121312
20190411144545
20190412161430
20190414162753
20190417135049
20190417203622
20190418113814
20190423112954
20190424065841
20190426011148
20190426074404
20190426123026
20190426123658
20190427211829
20190430135846
20190502223613
20190503180839
20190508135348
20190508141327
20190508141824
20190508193900
20190513143015
20190514055014
20190522194332
20190523093215
20190529002752
20190531044744
20190531101648
20190603134013
20190621095105
20190630165003
20190704133453
20190705173948
20190711154946
20190716014949
20190716124050
20190716173854
20190717133743
20190724162522
20190731090219
20190807194043
20190812141433
20190820192341
20190903073730
20190904104533
20190908233325
20190908234054
20190917100006
20191007140446
20191008124357
20191011131041
20191016124059
20191017044811
20191022155215
20191022161944
20191025005204
20191030112559
20191030155530
20191031042212
20191031052711
20191101001705
20191101113230
20191107025041
20191107025140
20191107032231
20191107190330
20191108000414
20191113193141
20191114160613
20191120015344
20191128222140
20191129144706
\.


--
-- Data for Name: screened_emails; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.screened_emails (id, email, action_type, match_count, last_match_at, created_at, updated_at, ip_address) FROM stdin;
\.


--
-- Data for Name: screened_ip_addresses; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.screened_ip_addresses (id, ip_address, action_type, match_count, last_match_at, created_at, updated_at) FROM stdin;
1	10.0.0.0/8	2	0	\N	2019-12-05 04:03:26.486856	2019-12-05 04:03:26.486856
2	192.168.0.0/16	2	0	\N	2019-12-05 04:03:26.490968	2019-12-05 04:03:26.490968
3	127.0.0.0/8	2	0	\N	2019-12-05 04:03:26.493276	2019-12-05 04:03:26.493276
4	172.16.0.0/12	2	0	\N	2019-12-05 04:03:26.49558	2019-12-05 04:03:26.49558
5	fc00::/7	2	0	\N	2019-12-05 04:03:26.499332	2019-12-05 04:03:26.499332
\.


--
-- Data for Name: screened_urls; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.screened_urls (id, url, domain, action_type, match_count, last_match_at, created_at, updated_at, ip_address) FROM stdin;
\.


--
-- Data for Name: search_logs; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.search_logs (id, term, user_id, ip_address, search_result_id, search_type, created_at, search_result_type) FROM stdin;
\.


--
-- Data for Name: shared_drafts; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.shared_drafts (topic_id, category_id, created_at, updated_at, id) FROM stdin;
\.


--
-- Data for Name: single_sign_on_records; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.single_sign_on_records (id, user_id, external_id, last_payload, created_at, updated_at, external_username, external_email, external_name, external_avatar_url, external_profile_background_url, external_card_background_url) FROM stdin;
\.


--
-- Data for Name: site_settings; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.site_settings (id, name, data_type, value, created_at, updated_at) FROM stdin;
1	uncategorized_category_id	3	1	2019-12-05 04:03:14.714593	2019-12-05 04:03:14.714593
2	content_security_policy	5	t	2019-12-05 04:03:24.10789	2019-12-05 04:03:24.10789
3	api_key_last_used_epoch	1	2019-12-05 04:03:25.753659+00	2019-12-05 04:03:25.753659	2019-12-05 04:03:25.753659
4	meta_category_id	3	2	2019-12-05 04:03:33.10428	2019-12-05 04:03:33.10428
5	staff_category_id	3	3	2019-12-05 04:03:33.158748	2019-12-05 04:03:33.158748
6	lounge_category_id	3	4	2019-12-05 04:03:33.234657	2019-12-05 04:03:33.234657
7	default_theme_id	3	2	2019-12-05 04:03:34.851823	2019-12-05 04:03:34.851823
8	notification_email	14	noreply@t.goodrain.com	2019-12-05 04:03:34.85847	2019-12-05 04:03:34.85847
9	tos_topic_id	3	4	2019-12-05 04:03:35.856283	2019-12-05 04:03:35.856283
10	guidelines_topic_id	3	5	2019-12-05 04:03:36.201815	2019-12-05 04:03:36.201815
11	privacy_topic_id	3	6	2019-12-05 04:03:36.546244	2019-12-05 04:03:36.546244
12	welcome_topic_id	3	7	2019-12-05 04:03:36.770011	2019-12-05 04:03:36.770011
13	lounge_welcome_topic_id	3	8	2019-12-05 04:03:36.953199	2019-12-05 04:03:36.953199
14	admin_quick_start_topic_id	3	9	2019-12-05 04:03:37.54053	2019-12-05 04:03:37.54053
15	push_api_secret_key	1	b3a1f6f19e6afe1bd6f817fc28b27aed	2019-12-05 04:03:45.74361	2019-12-05 04:03:45.74361
16	global_notice	1	Congratulations, you installed Discourse! Register a new admin account with root@goodrain.com to finalize configuration.	2019-12-05 04:03:45.836436	2019-12-05 04:03:45.836436
17	has_login_hint	5	t	2019-12-05 04:03:45.839873	2019-12-05 04:03:45.839873
18	vapid_base_url	1	http://t.goodrain.com	2019-12-05 04:03:46.049318	2019-12-05 04:03:46.049318
19	vapid_public_key	1	BAiuLPz8dOxo5gz_qjXUZRsLlNYcf11xxSdYdabTifBt0174e8Ij8YIcLlfNdV2py4_MQMKLIO4q7QH_-PP19FI=	2019-12-05 04:03:46.054592	2019-12-05 04:03:46.054592
20	vapid_private_key	1	tAldSP_jhWD_FBHtryqLl22v8h04fa1IMwKLK3vNMM8=	2019-12-05 04:03:46.057497	2019-12-05 04:03:46.057497
21	vapid_public_key_bytes	1	4|8|174|44|252|252|116|236|104|230|12|255|170|53|212|101|27|11|148|214|28|127|93|113|197|39|88|117|166|211|137|240|109|211|94|248|123|194|35|241|130|28|46|87|205|117|93|169|203|143|204|64|194|139|32|238|42|237|1|255|248|243|245|244|82	2019-12-05 04:03:46.060415	2019-12-05 04:03:46.060415
\.


--
-- Data for Name: skipped_email_logs; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.skipped_email_logs (id, email_type, to_address, user_id, post_id, reason_type, custom_reason, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: stylesheet_cache; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.stylesheet_cache (id, target, digest, content, created_at, updated_at, theme_id, source_map) FROM stdin;
1	desktop_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	﻿/*! normalize.css v3.0.1 | MIT License | git.io/normalize */html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%}body{margin:0}article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary{display:block}audio,canvas,progress,video{display:inline-block;vertical-align:baseline}audio:not([controls]){display:none;height:0}[hidden],template{display:none}a{background:transparent}a:active,a:hover{outline:0}abbr[title],acronym[title]{text-decoration:underline;text-decoration-style:dotted}b,strong{font-weight:bold}dfn{font-style:italic}h1{font-size:1.7511em;margin:0.67em 0}mark{background:#ff0;color:#000}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sup{top:-0.5em}sub{bottom:-0.25em}img{border:0}figure{margin:1em 40px}hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0}pre{overflow:auto}code,kbd,pre,samp{font-family:monospace, monospace;font-size:1em}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0}button{overflow:visible}button,select{text-transform:none}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer}button[disabled],html input[disabled]{cursor:default}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0}input{line-height:normal}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0}input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{height:auto}input[type="search"]{-webkit-appearance:textfield;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em}legend{border:0;padding:0}textarea{overflow:auto}optgroup{font-weight:bold}table{border-collapse:collapse;border-spacing:0}td,th{padding:0}/*!\n * Pikaday\n * Copyright © 2014 David Bushell | BSD & MIT license | http://dbushell.com/\n */.pika-single{z-index:9999;display:block;position:relative;color:#ddd;background:#222;border:1px solid #313131;border-bottom-color:#313131;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif}.pika-single.is-hidden{display:none}.pika-single.is-bound{position:absolute;box-shadow:0 5px 15px -5px rgba(0,0,0,0.5)}.pika-single:before,.pika-single:after{content:" ";display:table}.pika-single:after{clear:both}.pika-lendar{float:left;width:240px;margin:8px}.pika-title{position:relative;text-align:center}.pika-title select{cursor:pointer;position:absolute;z-index:9998;margin:0;left:0;top:5px;filter:alpha(opacity=0);opacity:0}.pika-label{display:inline-block;position:relative;z-index:9999;overflow:hidden;margin:0;padding:5px 3px;font-size:14px;line-height:20px;font-weight:bold;color:#ddd;background-color:#222}.pika-prev,.pika-next{display:block;cursor:pointer;position:relative;outline:none;border:0;padding:0;width:20px;height:30px;text-indent:20px;white-space:nowrap;overflow:hidden;background-color:transparent;background-position:center center;background-repeat:no-repeat;background-size:75% 75%;opacity:.5;filter:invert(1)}.pika-prev:hover,.pika-next:hover{opacity:1}.pika-prev.is-disabled,.pika-next.is-disabled{cursor:default;opacity:.2}.pika-prev,.is-rtl .pika-next{float:left;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==")}.pika-next,.is-rtl .pika-prev{float:right;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=")}.pika-select{display:inline-block}.pika-table{width:100%;border-collapse:collapse;border-spacing:0;border:0}.pika-table th,.pika-table td{width:14.285714285714286%;padding:0}.pika-table th{color:#ddd;font-size:12px;line-height:25px;font-weight:bold;text-align:center}.pika-table abbr{border-bottom:none;cursor:help}.pika-button{cursor:pointer;display:block;-moz-box-sizing:border-box;box-sizing:border-box;outline:none;border:0;margin:0;width:100%;padding:5px;color:#ddd;font-size:12px;line-height:15px;text-align:right;background:#222}.is-today .pika-button{color:#0f82af;font-weight:bold}.is-selected .pika-button{color:#222;font-weight:bold;background:#0f82af;box-shadow:inset 0 1px 3px #052e3d;border-radius:3px}.is-disabled .pika-button,.is-outside-current-month .pika-button{pointer-events:none;cursor:default;color:#ddd;opacity:.3}.pika-button:hover{color:#ddd;background:#052e3d;box-shadow:none;border-radius:3px}.pika-week{font-size:11px;color:#ddd}.is-inrange .pika-button{background:#D5E9F7}.is-startrange .pika-button{color:#222;background:#6CB31D;box-shadow:none;border-radius:3px}.is-endrange .pika-button{color:#222;background:#0f82af;box-shadow:none;border-radius:3px}.pull-left{float:left}.pull-right{float:right}.show{display:block}.hide,.hidden{display:none}.invisible{visibility:hidden}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);border:0}.affix{position:fixed}.clearfix:before,.nav-pills:before,.container:before,.wrap:before,.clearfix:after,.nav-pills:after,.container:after,.wrap:after{display:table;content:" "}.clearfix:after,.nav-pills:after,.container:after,.wrap:after{clear:both}.overflow-ellipsis{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.clickable{cursor:pointer}.disable-no-hover:hover{background:#919191;color:#ddd}html{color:#ddd;font-family:Helvetica,Arial,sans-serif;font-size:15px;line-height:1.4;background-color:#222;overflow-y:scroll;direction:ltr}html.text-size-smaller{font-size:14px}html.text-size-larger{font-size:17px}html.text-size-largest{font-size:19px}a{color:#0f82af;text-decoration:none;cursor:pointer}a:visited{color:#0f82af}a:hover{color:#0f82af}a:active{color:#0f82af}hr{display:block;height:1px;margin:1em 0;border:0;border-top:1px solid #313131;padding:0}ul,dd{margin:0 0 9px 25px;padding:0}.cooked ul,.cooked ol,.cooked dd{clear:both}.cooked ul,.d-editor-preview ul{margin:0;padding-left:40px}li>ul,li>ol{margin-bottom:0}img{vertical-align:middle}fieldset{margin:0;border:0;padding:0}pre code{overflow:auto;tab-size:4}.row:before,.row:after{display:table;content:""}.row:after{clear:both}#offscreen-content{display:none}tbody{border-top:3px solid #313131}tr{border-bottom:1px solid #313131}tr.highlighted{animation:background-fade-highlight 2.5s ease-out}ruby>rt{font-size:72%}.select-kit.categories-admin-dropdown .select-kit-body{min-width:auto;width:250px}.select-kit.categories-admin-dropdown .select-kit-header .d-icon{justify-content:space-between}.select-kit.combo-box.category-chooser{width:300px}.select-kit.combo-box.category-chooser .select-kit-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:flex-start;-ms-flex-align:flex-start;align-items:flex-start;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.select-kit.combo-box.category-chooser .select-kit-row.none .topic-count{display:none}.select-kit.combo-box.category-chooser .select-kit-row .topic-count{font-size:.7579em;color:#ddd;white-space:nowrap}.select-kit.combo-box.category-chooser .select-kit-row .category-status{color:#ddd;line-height:1.4;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto}.select-kit.combo-box.category-chooser .select-kit-row .category-desc{-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;color:#919191;font-size:.8706em;line-height:1.4}.select-kit.combo-box.category-drop .badge-wrapper{font-size:1em;font-weight:normal}.select-kit.combo-box.category-drop .badge-wrapper.box{margin:0}.select-kit.combo-box.category-drop .badge-wrapper.box span.badge-category{margin:0}.select-kit.combo-box.category-drop.bar.has-selection .category-drop-header{padding:0 5px 0 10px}.select-kit.combo-box.category-drop.box.has-selection .category-drop-header .badge-wrapper.box{padding:0}.select-kit.combo-box.category-drop .category-drop-header.is-none .selected-name{color:inherit}.select-kit.combo-box.category-drop .category-drop-header .badge-wrapper{margin-right:0}.select-kit.combo-box.category-drop .select-kit-body{min-width:300px}.select-kit.combo-box.category-drop .select-kit-row{flex-direction:column;align-items:flex-start}.select-kit.combo-box.category-drop .select-kit-row[data-value="all-categories"],.select-kit.combo-box.category-drop .select-kit-row[data-value="no-categories"]{color:#0f82af;font-weight:700}.select-kit.combo-box.category-drop .select-kit-row .category-desc{font-weight:normal;color:#909090;margin-top:2px}.select-kit.combo-box.category-drop .select-kit-row .category-status{align-items:center}.select-kit.combo-box.category-drop .select-kit-row .topic-count{margin-left:5px;font-weight:normal}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper{margin:0;font-weight:bold}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper:nth-child(2){margin-left:10px}.select-kit.combo-box.category-drop.is-expanded .select-kit-wrapper,.select-kit.combo-box.category-drop .select-kit-wrapper{display:none}.select-kit .category-row .category-status{display:flex;flex-wrap:wrap;align-items:center;max-width:100%;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto}.select-kit .category-row .category-desc{max-width:100%}.select-kit .category-row .category-status .badge-wrapper.box{margin-bottom:1px;margin-top:1px}.select-kit .category-row .topic-count{white-space:nowrap}.select-kit.category-selector .selected-name .badge-wrapper.box,.select-kit-box.category-selector .selected-name .badge-wrapper.box{margin:2px;padding:0}.select-kit.combo-box{min-width:auto}.select-kit.combo-box .select-kit-body{width:100%;min-width:150px;border-radius:0;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}.select-kit.combo-box .select-kit-row{margin:0;min-height:1px;padding:6px 10px}.select-kit.combo-box .select-kit-row.no-content{font-weight:normal}.select-kit.combo-box .select-kit-filter{padding:4px 10px;border-top:1px solid #313131;border-bottom:1px solid #313131}.select-kit.combo-box .select-kit-filter .spinner{flex:0 0 auto}.select-kit.combo-box .select-kit-filter .filter-input,.select-kit.combo-box .select-kit-filter .filter-input:focus,.select-kit.combo-box .select-kit-filter .filter-input:active{flex:0 0 auto;width:90%}.select-kit.combo-box .select-kit-filter .filter-icon{padding-left:5px}.select-kit.combo-box .select-kit-header{background:#222;border:1px solid #909090;padding:0 5px 0 10px;font-weight:500;font-size:1em}.select-kit.combo-box .select-kit-header.is-focused{border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af}.select-kit.combo-box .select-kit-collection{display:flex;flex-direction:column;padding:0;min-width:100px;max-height:200px;max-width:32em}.select-kit.combo-box .select-kit-collection .collection-header a{white-space:nowrap;color:#ddd;line-height:1.2;font-weight:bold;display:block;padding:6px 10px;color:#0f82af}.select-kit.combo-box .select-kit-collection .collection-header a:hover{text-decoration:underline}.select-kit.combo-box.is-disabled .select-kit-header{background:#313131;border-color:#7a7a7a;color:#909090}.select-kit.combo-box.is-disabled .select-kit-header .d-icon{color:#909090}.select-kit.combo-box.is-highlighted .select-kit-header{border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af}.select-kit.combo-box.is-expanded .select-kit-wrapper{display:block;border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af}.select-kit.combo-box.is-expanded.is-above .select-kit-header{border-radius:0 0 3px 3px}.select-kit.combo-box.is-expanded.is-above .select-kit-body{border-radius:3px 3px 0 0}.select-kit.combo-box.tag-drop,.select-kit.combo-box.group-dropdown{min-width:auto}.select-kit.combo-box.tag-drop .select-kit-row,.select-kit.combo-box.group-dropdown .select-kit-row{font-weight:bold}.select-kit.combo-box.is-expanded .select-kit-wrapper,.select-kit.combo-box .select-kit-wrapper{display:none}.select-kit.dropdown-select-box.composer-actions{margin:0}.select-kit.dropdown-select-box.composer-actions .select-kit-header{background:none;outline:none;padding:0;margin-right:5px;border:1px solid #313131;min-height:unset}.select-kit.dropdown-select-box.composer-actions .select-kit-header .d-icon{padding:5px 6px}.select-kit.dropdown-select-box.composer-actions .select-kit-header:hover,.select-kit.dropdown-select-box.composer-actions .select-kit-header:focus{background:#313131}.select-kit.dropdown-select-box.composer-actions .d-icon{margin:0 !important}.select-kit.dropdown-select-box{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;min-width:auto;border:none}.select-kit.dropdown-select-box.is-expanded .select-kit-collection,.select-kit.dropdown-select-box.is-expanded .select-kit-body{border-radius:0}.select-kit.dropdown-select-box .select-kit-body{border:1px solid #313131;background-clip:padding-box;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);max-width:300px;width:300px}.select-kit.dropdown-select-box .select-kit-row{margin:0;padding:10px 5px}.select-kit.dropdown-select-box .select-kit-row .icons{display:-webkit-box;display:-ms-flexbox;display:flex;flex:0 0 auto;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-item-align:start;align-self:flex-start;margin-right:0.357em;margin-top:2px;width:30px}.select-kit.dropdown-select-box .select-kit-row .icons .d-icon{font-size:1.3195em;-ms-flex-item-align:center;align-self:center;margin-right:0;opacity:1}.select-kit.dropdown-select-box .select-kit-row .texts{width:0;line-height:1.4;-webkit-box-flex:1;-ms-flex:1;flex:1 1 0%;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.select-kit.dropdown-select-box .select-kit-row .texts .name{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;font-weight:bold;font-size:1em;color:#ddd;padding:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100%}.select-kit.dropdown-select-box .select-kit-row .texts .desc{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;width:100%;font-size:.8706em;font-weight:normal;color:#909090;white-space:normal}.select-kit.dropdown-select-box .select-kit-collection{padding:0;max-height:100%}.select-kit.dropdown-select-box .dropdown-select-box-header{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;border:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}.select-kit.dropdown-select-box .dropdown-select-box-header .d-icon+.d-icon{margin-left:5px}.select-kit.dropdown-select-box .dropdown-select-box-header.is-focused{outline-style:auto;outline-color:#0f82af}.select-kit.combobox.future-date-input-selector{min-width:50%}.select-kit.combobox.future-date-input-selector .future-date-input-selector-header .btn-clear{line-height:1.4}.select-kit.combobox.future-date-input-selector .future-date-input-selector-datetime{color:#fff;margin-left:5px;white-space:nowrap}.select-kit.combobox.future-date-input-selector .future-date-input-selector-icons{margin-right:5px}.select-kit.combobox.future-date-input-selector .btn-clear{padding:0;margin-left:5px}.select-kit.combobox.future-date-input-selector .future-date-input-selector-row .future-date-input-selector-icons{color:#fff}.select-kit.multi-select.list-setting .select-kit-row.create .square{width:12px;height:12px;margin-left:5px}.select-kit.combo-box.mini-tag-chooser{margin-bottom:5px;margin-left:5px}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-header{border:1px solid #0f82af}.select-kit.combo-box.mini-tag-chooser.no-tags .select-kit-header .selected-name{color:#909090}.select-kit.combo-box.mini-tag-chooser .select-kit-body{max-width:32em}.select-kit.combo-box.mini-tag-chooser .select-kit-header{height:30px}.select-kit.combo-box.mini-tag-chooser .select-kit-header .selected-name{margin:0;border:0;padding:0;outline:none;box-shadow:none;cursor:pointer;max-width:250px}.select-kit.combo-box.mini-tag-chooser .select-kit-filter{border-top:0}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-wrapper,.select-kit.combo-box.mini-tag-chooser .select-kit-wrapper{display:none}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-selected{background:none}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-highlighted.is-selected{background:#052e3d}.select-kit.combo-box.mini-tag-chooser .select-kit-row .discourse-tag-count{margin-left:5px}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header{max-height:125px;overflow:hidden;flex:1 0 auto;border-bottom:1px solid #313131}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tags{display:flex;padding:4px;flex-wrap:wrap;margin:-2px;overflow:hidden}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag{background:#313131;padding:2px 4px;margin:2px;border:0}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag.is-highlighted{box-shadow:0 0 2px #e45735,0 1px 0 rgba(0,0,0,0.05)}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag .d-icon{color:#7a7a7a;vertical-align:middle}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag:hover .d-icon{color:#e45735}.select-kit.multi-select{width:300px;background:#222;border-radius:0}.select-kit.multi-select .select-kit-body{width:100%}.select-kit.multi-select .select-kit-row{margin:5px;min-height:1px;padding:5px;border-radius:0}.select-kit.multi-select .select-kit-filter{border:0;flex:1 0 0px;margin:1px}.select-kit.multi-select .multi-select-header{background:#222;border:1px solid #909090}.select-kit.multi-select .multi-select-header.is-focused{box-shadow:0 0 6px 0 #0f82af;border-radius:0}.select-kit.multi-select.is-disabled .multi-select-header{background:#313131;border-color:#7a7a7a;color:#909090}.select-kit.multi-select.is-disabled .multi-select-header .d-icon{color:#909090}.select-kit.multi-select.is-highlighted .multi-select-header{border-radius:0;border-bottom:1px solid transparent;box-shadow:0 0 6px 0 #0f82af}.select-kit.multi-select.is-expanded .select-kit-wrapper{display:block;border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af;border-radius:0}.select-kit.multi-select.is-expanded .multi-select-header{border-radius:0;box-shadow:none}.select-kit.multi-select.is-expanded .select-kit-body{border-radius:0}.select-kit.multi-select .choices{margin:0 2px;box-sizing:border-box;display:flex;justify-content:flex-start;flex-wrap:wrap;width:100%}.select-kit.multi-select .choices .choice{display:inline-flex;box-sizing:border-box;align-items:center;justify-content:space-between;flex-wrap:wrap;flex-direction:row;margin:1px 0px 2px 2px}.select-kit.multi-select .choices .filter{align-items:center;justify-content:flex-start;white-space:nowrap;min-width:50px;padding:0;outline:none;flex:1 0 0px}.select-kit.multi-select .choices .filter .filter-input,.select-kit.multi-select .choices .filter .filter-input:focus{border:none;background:none;display:inline-block;width:100%;outline:none;min-width:auto;padding:0;margin:0;outline:0;border:0;box-shadow:none;border-radius:0;min-height:unset}.select-kit.multi-select .choices .selected-color .selected-color-wrapper{display:flex;flex:1 0 0px;flex-direction:column}.select-kit.multi-select .choices .selected-color .color-preview{height:5px;margin:0 2px 2px 0px;display:flex;width:100%}.select-kit.multi-select .choices .selected-category .body{display:flex;align-items:center}.select-kit.multi-select .choices .selected-category .badge-wrapper{padding:2px 4px;line-height:1.2;display:flex;flex:1 0 0px;align-items:center}.select-kit.multi-select .choices .selected-category .badge-wrapper.bullet{margin-right:2.5px}.select-kit.multi-select .choices .selected-name .footer{display:flex;width:100%}.select-kit.multi-select .choices .selected-name .body{background:#313131;padding:4px}.select-kit.multi-select .choices .selected-name .d-icon{color:#7a7a7a;vertical-align:middle}.select-kit.multi-select .choices .selected-name:hover .d-icon:last-child{color:#e45735}.select-kit.multi-select .choices .selected-name.is-highlighted{box-shadow:0 0 2px #e45735,0 1px 0 rgba(0,0,0,0.05)}.select-kit.dropdown-select-box.notifications-button .select-kit-body{min-width:550px;max-width:550px}.select-kit.dropdown-select-box.notifications-button .select-kit-row .icons{-ms-flex-item-align:start;align-self:flex-start}.select-kit.dropdown-select-box.period-chooser{display:inline-flex;position:relative}.select-kit.dropdown-select-box.period-chooser .select-kit-collection{padding:5px}.select-kit.dropdown-select-box.period-chooser .period-chooser-header{background:none;border:none;justify-content:flex-start;width:auto;height:auto;padding:0}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{color:#222;display:inline-block;box-sizing:border-box}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .date-section{color:#ddd;margin-right:5px}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.8706em;color:#646464;font-weight:normal;text-transform:uppercase}.select-kit.dropdown-select-box.period-chooser .period-chooser-header .d-icon{color:#ddd;opacity:1;margin:5px 0 10px 5px;font-size:1.5157em}.select-kit.dropdown-select-box.period-chooser .period-chooser-header.is-focused,.select-kit.dropdown-select-box.period-chooser .period-chooser-header:hover{background:none;border:none;outline:none}.select-kit.dropdown-select-box.period-chooser .period-chooser-row{font-weight:bold;padding:5px;font-size:1.1487em;align-items:center;display:flex}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .period-title{flex:1 0 0px}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .date-section{color:#ddd}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .top-date-string{font-weight:normal;font-size:.8706em;color:#646464;text-transform:uppercase;margin-left:5px}#topic-footer-buttons .pinned-button{min-width:auto;margin:1em 0}#topic-footer-buttons .pinned-button.is-hidden{display:none}#topic-footer-buttons .pinned-button .btn{margin:0}#topic-footer-buttons .pinned-button .reason{display:inline;line-height:1.2}.pinned-button{margin:0;min-width:auto}.pinned-button .pinned-options{display:inline}.pinned-button .pinned-options .select-kit-body{min-width:unset;max-width:unset;width:550px}.mobile-view .select-kit.is-expanded{z-index:300}.select-kit{border:none;min-width:220px;box-sizing:border-box;display:inline-block;flex-direction:column;position:relative;vertical-align:middle;user-select:none}.select-kit.is-hidden{display:none}.select-kit.is-disabled{pointer-events:none}.select-kit.is-expanded{z-index:300}.select-kit.is-expanded .select-kit-body{display:flex;flex-direction:column;left:0;position:absolute;top:0}.select-kit.is-expanded .select-kit-collection{border-radius:inherit}.select-kit.is-above .select-kit-body{bottom:0;top:auto}.select-kit.is-above .select-kit-filter{border-top:0}.select-kit.is-above .select-kit-wrapper{bottom:0;top:auto}.select-kit .d-icon{color:#a6a6a6}.select-kit .select-kit-header{box-sizing:border-box;overflow:hidden;transition:all 0.25s;cursor:pointer;outline:none;display:flex;align-items:center;flex-direction:row;min-height:30px}.select-kit .select-kit-header .selected-name{text-align:left;flex:0 1 auto;padding:1px 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:inherit}.select-kit .select-kit-header .btn-clear{padding:0 10px;border:0;background:none}.select-kit .select-kit-header .icon{margin-right:5px}.select-kit .select-kit-header .caret-icon{margin-left:auto;padding-left:5px;pointer-events:none}.select-kit .select-kit-header .d-button-label{display:flex;align-items:center;white-space:nowrap;overflow:hidden;line-height:1.2}.select-kit .select-kit-header .d-button-label .d-icon{margin-left:5px;margin-right:0}.select-kit .select-kit-body{display:none;background:#222;box-sizing:border-box}.select-kit .select-kit-row{cursor:pointer;line-height:1.2;outline:none;display:flex;flex:1 0 auto;box-sizing:border-box;align-items:center;justify-content:flex-start}.select-kit .select-kit-row .name{margin:0;overflow:hidden;text-overflow:ellipsis;flex:1 1 0%}.select-kit .select-kit-row .d-icon{margin-right:5px}.select-kit .select-kit-row.is-highlighted{background:#052e3d}.select-kit .select-kit-row.is-selected{background:#4c3319}.select-kit .select-kit-row.is-selected.is-highlighted{background:#052e3d}.select-kit .select-kit-row .discourse-tag,.select-kit .select-kit-row .discourse-tag-count{color:#ddd}.select-kit .select-kit-collection{background:#222;overflow-x:hidden;overflow-y:auto;border-radius:inherit;-webkit-overflow-scrolling:touch;margin:0;padding:0;max-height:200px}.select-kit .select-kit-collection .validation-message{white-space:nowrap;color:#e45735;flex:1 0 auto;margin:5px;padding:0 2px}.select-kit .select-kit-collection .select-kit-collection{padding:0;margin:0}.select-kit .select-kit-collection .select-kit-collection:hover .select-kit-row.is-highlighted:hover{background:#052e3d}.select-kit .select-kit-collection::-webkit-scrollbar{-webkit-appearance:none;width:10px}.select-kit .select-kit-collection::-webkit-scrollbar-thumb{cursor:pointer;border-radius:5px;background:#919191}.select-kit .select-kit-collection::-webkit-scrollbar-track{background:transparent;border-radius:0}.select-kit .select-kit-filter{display:flex;box-sizing:border-box;align-items:center;justify-content:space-between}.select-kit .select-kit-filter .filter-input,.select-kit .select-kit-filter .filter-input:focus,.select-kit .select-kit-filter .filter-input:active{background:none;margin:0;padding:0;flex:1 0 0px;outline:none;border:0;border-radius:0;box-shadow:none;width:100%}.select-kit .select-kit-filter.is-hidden{width:1px;height:1px;border:0;margin:-1px;padding:0;overflow:hidden;position:fixed;outline:0;left:0;top:0}.select-kit .select-kit-wrapper{position:absolute;top:0;left:0;background:none;display:none;box-sizing:border-box;pointer-events:none}.select-kit.multi-select.tag-chooser .select-kit-row{display:flex;align-items:center}.select-kit.multi-select.tag-chooser .select-kit-row .discourse-tag-count{margin-left:5px}.select-kit.combo-box.tag-drop .select-kit-row[data-value="all-tags"],.select-kit.combo-box.tag-drop .select-kit-row[data-value="no-tags"]{color:#0f82af;font-weight:700}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-body{box-shadow:none;padding:10px 10px 5px 10px;width:230px}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row{margin-bottom:5px;padding:6px 3px;background:#313131;transition:all 0.25s}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{font-size:1em;font-weight:normal;color:#ddd}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{opacity:0.7}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted{background:#909090}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .d-icon{color:#222}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row:hover{background:#909090;color:#222}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected{color:#ddd;background:#313131}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected.is-highlighted{background:#909090;color:#ddd}#topic-footer-buttons .topic-notifications-button{min-width:auto;margin:1em 0}#topic-footer-buttons .topic-notifications-button .btn{margin:0}#topic-footer-buttons .topic-notifications-button .reason{display:inline;line-height:1.2}.topic-notifications-button .topic-notifications-options{min-width:auto}.topic-notifications-button{margin:0}.topic-notifications-button .topic-notifications-options{display:inline-flex}.select-kit.dropdown-select-box.user-notifications-dropdown{text-align:left}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-body{width:485px;max-width:485px}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-header{justify-content:center}.select-kit.dropdown-select-box.user-notifications-dropdown .dropdown-select-box-header{align-items:center}.select-kit.combo-box.color-palettes .color-palettes-row .palettes{display:flex;align-items:center;margin-left:0.5em;flex:1 0 0}.select-kit.combo-box.color-palettes .color-palettes-row .palettes .palette{height:15px;width:15px;display:block}.svg-icon,.svg-icon-title{height:1em;width:1em;line-height:1;display:inline-flex;position:relative;vertical-align:-0.125em;fill:currentColor;flex-shrink:0;overflow:visible}svg>use{pointer-events:none}.fa-stack{position:relative;width:1em;height:1em;display:inline-block}.fa-stack .fa-stack-1x,.fa-stack .fa-stack-2x{left:0px;top:0px;position:absolute}.fa-stack .fa-stack-2x{height:1.5em;width:1.5em;margin-top:-0.25em;margin-left:-0.25em}.d-date-time-input-range{padding:0.5em;background:whitesmole;border:1px solid #313131;width:300px;display:flex;flex-direction:column}.d-date-time-input-range .panels{display:inline-flex;list-style:none;margin:0 0 0.5em 0;flex:1}.d-date-time-input-range .panels.from .from-panel{background:#e45735;color:#222}.d-date-time-input-range .panels.to .to-panel{background:#e45735;color:#222}.d-date-time-input-range .panels .btn{margin-right:0.5em}.d-date-time-input-range .panel{display:none;flex:1}.d-date-time-input-range .panel.visible{display:flex}.nav-pills,.nav-stacked{margin-left:0;list-style:none}.nav-pills li a,.nav-stacked li a{display:block;text-decoration:none}.nav-pills>li{float:left;margin-right:5px}.nav-pills>li>a{border:none;padding:6px 12px;color:#ddd;font-size:1.1487em;line-height:1;box-sizing:border-box;min-height:30px;display:flex;align-items:center;transition:background 0.15s}.nav-pills>li>a .d-icon{margin-right:5px;opacity:0.65}.nav-pills>li>a:hover{color:#c14924;background-color:#3a160b}.nav-pills>li a.active{color:#222;background-color:#c14924}.nav-pills>li a.active .d-icon{opacity:1}.nav-stacked{padding:0;overflow:hidden;background:#313131}.nav-stacked li{border-bottom:1px solid #313131;position:relative}.nav-stacked li:last-of-type{border-bottom:0}.nav-stacked li.indent{padding-left:15px}.nav-stacked a{margin:0;padding:13px;font-size:1.1487em;line-height:1;cursor:pointer;color:#ddd}.nav-stacked a.active{color:#222;background-color:#c14924}.nav-stacked a.active::after{left:90%;top:33%;content:" ";position:absolute;border:8px solid transparent;border-left-color:#222}.nav-stacked .count{font-size:.8706em}.nav-stacked .glyph{font-size:.8706em;width:1.25em;text-align:center;margin-right:0.25em;line-height:1.4}.btn{display:inline-block;margin:0;padding:6px 12px;font-weight:500;font-size:1em;line-height:1;text-align:center;cursor:pointer;transition:all 0.25s;box-sizing:border-box;min-height:30px}.btn .d-icon{transition:color 0.25s}.btn:active,.btn.btn-active{text-shadow:none}.btn[disabled],.btn.disabled{cursor:default;opacity:0.4}.btn .d-icon{margin-right:7px}.btn.no-text .d-icon{margin-right:0}.btn.hidden{display:none}.btn{border:none;color:#ddd;font-weight:normal;background:#313131}.btn .d-icon{color:#a6a6a6}.btn[href]{color:#ddd;min-height:unset}.discourse-no-touch .btn:hover,.discourse-no-touch .btn.btn-hover{background:#909090;color:#222}.discourse-no-touch .btn:hover .d-icon,.discourse-no-touch .btn.btn-hover .d-icon{color:#313131}.btn[disabled],.btn.disabled{background:#313131;cursor:not-allowed}.btn[disabled] .d-icon,.btn.disabled .d-icon{color:#909090}.btn[disabled]:hover,.btn.disabled:hover{color:#646464}.btn[disabled]:hover .d-icon,.btn.disabled:hover .d-icon{color:#7a7a7a}.btn .d-icon{line-height:1.2}.btn-primary{border:none;font-weight:normal;color:#222;background:#0f82af}.btn-primary .d-icon{color:currentColor}.btn-primary[href]{color:#222}.discourse-no-touch .btn-primary:hover,.discourse-no-touch .btn-primary.btn-hover{background:#14aeea}.discourse-no-touch .btn-primary:hover .d-icon,.discourse-no-touch .btn-primary.btn-hover .d-icon{color:currentColor}.btn-primary:active,.btn-primary.btn-active{background-color:#0c688c;background-image:linear-gradient(to bottom, #0c688c, #0f82af)}.btn-primary[disabled],.btn-primary.disabled{background:#0f82af}.btn-primary[disabled] .d-icon,.btn-primary.disabled .d-icon{color:currentColor}.btn-danger{color:#222;font-weight:normal;background:#e45735}.btn-danger .d-icon{color:#591b0c}.btn-danger[href]{color:#222}.discourse-no-touch .btn-danger:hover,.discourse-no-touch .btn-danger.btn-hover{background:#e9795d}.discourse-no-touch .btn-danger:hover .d-icon,.discourse-no-touch .btn-danger.btn-hover .d-icon{color:#591b0c}.btn-danger:active,.btn-danger.btn-active{background-color:#c63c1b;background-image:linear-gradient(to bottom, #c63c1b, #e45735)}.btn-danger[disabled],.btn-danger.disabled{background:#e45735}.btn-danger[disabled] .d-icon,.btn-danger.disabled .d-icon{color:#591b0c}.btn-social{color:#fff;background:#666}.btn-social .d-icon{color:#fff}.btn-social:hover{color:#fff}.btn-social[href]{color:#222}.btn-social:before{margin-right:9px;font-size:1em}.btn-social.google_oauth2{background:#fff;color:#333;border:1px solid #313131}.btn-social.google_oauth2 .d-icon{opacity:0.9}.btn-social.google_oauth2:hover{color:currentColor;background:#f2f2f2}.btn-social.instagram{background:#e1306c}.btn-social.instagram:hover{background:#ac194b}.btn-social.facebook{background:#4267b2}.btn-social.facebook:hover{background:#2d477a}.btn-social.cas{background:#70ba61}.btn-social.twitter{background:#1da1f2}.btn-social.twitter:hover{background:#0c85d0}.btn-social.github{background:#100e0f}.btn-social.github:hover{background:#463e42}.btn-social.discord{background:#7289da}.btn-social.discord:hover{background:#4a67cf}.btn-small{padding:3px 6px;font-size:.8706em}.btn-large{padding:9px 18px;font-size:1.1487em;line-height:1}.btn-flat{background:transparent;border:0;outline:0;line-height:1;transition:color 0.25s, background 0.25s}.btn-flat .d-icon{color:#7a7a7a}.discourse-no-touch .btn-flat:hover .d-icon,.discourse-no-touch .btn-flat.btn-hover .d-icon{color:#ddd}.btn-flat.close{padding:0;min-height:unset;background:transparent;font-size:1.5157em}.btn-flat.close .d-icon{color:#a6a6a6}.discourse-no-touch .btn-flat.close:hover,.discourse-no-touch .btn-flat.close.btn-hover{background:transparent}.discourse-no-touch .btn-flat.close:hover .d-icon,.discourse-no-touch .btn-flat.close.btn-hover .d-icon{color:#ddd}.btn-link{background:transparent;border:0;outline:0;padding:0;color:#0f82af}.btn-link:focus{outline:1px currentColor dotted}.topic-list-item td:first-child,.topic-post{border-left:1px solid transparent}.topic-list tr.selected td:first-child,.topic-list-item.selected td:first-child,.latest-topic-list-item.selected{box-shadow:inset 3px 0 0 #e45735}.featured-topic.selected,.topic-post.selected{box-shadow:-3px 0 0 #e45735}.latest .featured-topic{padding-left:4px}.topic-list-item.selected{background-color:inherit}.keyboard-shortcuts-modal .modal-body{max-height:560px}#keyboard-shortcuts-help div.row{width:100%}#keyboard-shortcuts-help div.row div{float:left;width:32%}#keyboard-shortcuts-help ul{list-style:none;margin-left:0}#keyboard-shortcuts-help ul li{margin:5px 0}#keyboard-shortcuts-help ul kbd{font-size:15px;font-family:Helvetica,Arial,sans-serif;margin:0;color:#aaa;font-weight:bold;padding:2px 6px;white-space:nowrap}.d-date-time-input{display:flex;align-items:center;border:1px solid #313131;width:258px;box-sizing:border-box;position:relative;flex:1;justify-content:space-between}.d-date-time-input .date-picker,.d-date-time-input .fields{border:0}.group-member-dropdown{text-align:left}#banner{padding:10px;background:#052e3d;color:#ddd;z-index:2;overflow:auto}#banner.overlay{position:fixed}#banner .close{margin-top:-5px;color:#7a7a7a;padding-left:5px;float:right}#banner .meta{display:none}.ignored-list{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#222;min-height:30px;box-sizing:border-box}.ignored-user-list-item{border:1px solid #909090;border-radius:0.25em;padding:0;display:flex;align-items:center;margin-right:10px}.remove-ignored-user{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0 0.25em 0.25em 0;padding-top:0;padding-bottom:0;height:100%}.ignored-user-name{padding-left:10px;padding-right:10px}.d-date-input .date-picker{margin:0;text-align:left;width:100%;outline:none;box-shadow:none !important}.d-date-input .pika-single{margin-left:-1px}.d-time-input{box-sizing:border-box}.d-time-input .fields{display:flex;align-items:center;border:1px solid #313131}.d-time-input .fields .field{text-align:center;width:auto;margin:0;border:none;outline:none;box-shadow:none;width:32px}.d-time-input .fields .field.time{width:100%;text-align:left}.d-time-input .fields .field.hours,.d-time-input .fields .field.minutes{text-align:center;width:45px}.d-time-input .fields .field.hours{padding-right:0}.d-time-input .fields .field.minutes{padding-left:10px;width:55px}.group-form-automatic-membership-automatic,.groups-form-grant-trust-level{margin-bottom:10px}.conditional-loading-section.is-loading{padding:2em;margin:1em;display:flex;align-items:center;justify-content:center;background:#282828;flex-direction:column}.conditional-loading-section.is-loading .title{font-size:1.1487em;font-weight:700}.conditional-loading-section:not(.is-loading){animation:fadein 0.5s;-webkit-animation:fadein 0.5s}@keyframes fadein{from{opacity:0}to{opacity:1}}@-webkit-keyframes fadein{from{opacity:0}to{opacity:1}}a.hashtag{color:#7a7a7a;font-weight:bold}a.hashtag:visited,a.hashtag:hover{color:#7a7a7a}a.hashtag:hover span{text-decoration:underline}.convert-to-public-topic .modal-body .instructions{margin-bottom:1em}.pika-table th,.pika-table td{padding:0 !important;border-top:none !important;border-bottom:none !important}.date-picker-wrapper{position:relative;display:inline-block}.date-picker{text-align:center;width:8em;margin:0}.pika-single{position:absolute !important}.animated-placeholder{height:20px;position:relative}.card-avatar-placeholder{width:120px;height:120px;border-radius:100%;position:relative;overflow:hidden}.card-avatar-placeholder:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;left:0;content:"";background:linear-gradient(to right, #282828 10%, #313131 18%, #282828 33%);height:120px;width:580px}#user-card,#group-card{width:580px;box-shadow:0 4px 14px rgba(0,0,0,0.15);color:#ddd;background:#222 center center;background-size:cover;transition:opacity 0.2s, transform 0.2s;-webkit-transition:opacity 0.2s, -webkit-transform 0.2s;opacity:0;-webkit-transform:scale(0.9);transform:scale(0.9)}#user-card.show,#group-card.show{opacity:1;-webkit-transform:scale(1);transform:scale(1)}#user-card .card-content,#group-card .card-content{padding:10px;background:rgba(34,34,34,0.85);margin-top:80px}#user-card .card-content:after,#group-card .card-content:after{content:"";display:block;clear:both}#user-card .card-content a.card-huge-avatar,#group-card .card-content a.card-huge-avatar{outline:none}#user-card.no-bg .card-content,#group-card.no-bg .card-content{margin-top:0}#user-card .card-row:not(.first-row),#group-card .card-row:not(.first-row){margin-top:0.5em}#user-card .first-row .names,#group-card .first-row .names{padding-left:1.25em}#user-card .first-row .names .user-profile-link,#group-card .first-row .names .user-profile-link{display:flex;align-items:center}#user-card .first-row .names .d-icon,#group-card .first-row .names .d-icon{margin:0 0.25em}#user-card .first-row .names .name-username-wrapper,#group-card .first-row .names .name-username-wrapper{margin-right:0;flex:0 1 auto}#user-card .first-row .names span,#group-card .first-row .names span{display:block}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{list-style-type:none;margin:0}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{width:100%}#user-card .btn,#group-card .btn{margin-bottom:5px}#user-card h1,#group-card h1{line-height:1.2}#user-card h1 .d-icon,#group-card h1 .d-icon{color:#ddd}#user-card h3,#group-card h3{display:inline;margin-right:0.5em;color:#ddd}#user-card h3.email,#user-card h3 .desc,#user-card h3 a,#group-card h3.email,#group-card h3 .desc,#group-card h3 a{color:#a6a6a6}#user-card h1,#user-card h2,#user-card h3,#group-card h1,#group-card h2,#group-card h3{margin:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#user-card h1 a,#user-card h2 a,#group-card h1 a,#group-card h2 a{color:#ddd}#user-card h2,#user-card h3,#group-card h2,#group-card h3{font-weight:normal}#user-card p,#group-card p{margin:0 0 5px 0}#user-card .first-row{display:flex}#user-card .first-row .avatar-placeholder{width:120px;height:120px}#user-card .first-row .user-card-avatar{margin-top:-50px}#user-card .first-row .new-user a{color:#7a7a7a}#user-card .second-row{max-height:150px;overflow:auto}#user-card .second-row .bio a{color:#ddd;text-decoration:underline}#user-card .second-row .bio a.mention{text-decoration:none}#user-card .second-row .bio .overflow{max-height:60px;overflow:hidden}#user-card .second-row .suspended{color:#e45735}#user-card .second-row .suspended .suspension-reason-title,#user-card .second-row .suspended .suspension-date{font-weight:bold}#user-card .second-row .profile-hidden{font-size:1.1487em;margin-top:0.5em}#user-card .third-row .location-and-website{display:flex;flex-wrap:wrap;width:100%;align-items:center}#user-card .third-row .location-and-website .location,#user-card .third-row .location-and-website .website-name{display:flex;overflow:hidden;align-items:center}#user-card .third-row .location-and-website .location .d-icon,#user-card .third-row .location-and-website .website-name .d-icon{margin-right:0.25em}#user-card .third-row .location-and-website .website-name a,#user-card .third-row .location-and-website .location span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:#ddd}#user-card .third-row .location-and-website .location{margin-right:0.5em}#user-card .third-row .location-and-website .website-name a{text-decoration:underline}#user-card .fifth-row .public-user-fields{margin:0}#user-card .sixth-row .badge-section{display:flex;align-items:flex-start}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;background:#282828;border:1px solid #313131;color:#ddd}#group-card .first-row{display:flex}#group-card .first-row .group-card-avatar{margin-top:-50px}#group-card .first-row .avatar-flair{display:flex;background-size:contain;width:120px;height:120px;color:#ddd}#group-card .first-row .avatar-flair .d-icon{margin:auto;font-size:80px}#group-card .first-row .avatar-flair.rounded{border-radius:50%}#group-card .second-row{max-height:150px;overflow:auto}#group-card .second-row .bio a{color:#ddd;text-decoration:underline}#group-card .second-row .bio img{max-width:100%;height:auto}#group-card .second-row .bio a.mention{text-decoration:none}#group-card .second-row .bio .overflow{max-height:60px;overflow:hidden}body.footer-nav-visible #main-outlet{padding-bottom:64px}body.footer-nav-visible #topic-progress-wrapper,body.footer-nav-visible #reply-control.draft{bottom:49px}body.footer-nav-visible #reply-control.draft{margin-bottom:env(safe-area-inset-bottom);padding-bottom:0px}.footer-nav{background-color:rgba(17,17,17,0.9);box-shadow:0 0 2px 0 rgba(0,0,0,0.25);height:49px;position:fixed;bottom:-49px;left:0;width:100%;z-index:900;transition:all linear 0.1s}.footer-nav .d-icon{color:#909090}.footer-nav.visible{bottom:0px}.footer-nav .footer-nav-widget{display:flex;justify-content:"space-evenly";-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.footer-nav .footer-nav-widget button{flex:1;margin:4px;border-radius:2px;padding:14px 18px}.footer-nav .footer-nav-widget button:disabled{opacity:0.6}@supports (padding: 0px){.footer-nav.visible{padding-bottom:max(5px, env(safe-area-inset-bottom))}}@supports (-webkit-backdrop-filter: blur(10px)){body:not(.footer-nav-ipad) .footer-nav{background-color:rgba(17,17,17,0.7);-webkit-backdrop-filter:blur(20px)}}body.footer-nav-ipad{padding-top:49px}body.footer-nav-ipad .footer-nav{bottom:auto;top:0px;background-color:#111;z-index:1020;padding-bottom:0}body.footer-nav-ipad #reply-control,body.footer-nav-ipad #reply-control.fullscreen{z-index:1021}body.footer-nav-ipad.docked .d-header{margin-top:49px}.share-and-invite.modal .modal-body{max-width:475px;min-width:320px}.share-and-invite.modal .modal-header .modal-close{padding-left:0}.share-and-invite.modal .share.modal-panel .header{display:flex;flex-direction:row;align-items:center}.share-and-invite.modal .share.modal-panel .header .title{font-size:1em;font-weight:normal;margin-bottom:8px}.share-and-invite.modal .share.modal-panel .header .title .post-date{color:#909090;font-size:.8706em}.share-and-invite.modal .share.modal-panel .body{display:flex;flex-direction:column}.share-and-invite.modal .share.modal-panel .body .topic-share-url{width:100%;height:auto;box-sizing:border-box}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch a{word-break:break-all;font-size:1.1487em}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch,.share-and-invite.modal .share.modal-panel .body .topic-share-url{margin-bottom:8px}.share-and-invite.modal .share.modal-panel .body .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row}.share-and-invite.modal .share.modal-panel .body .sources .social-link{font-size:2.296em;margin-right:8px}.share-and-invite.modal .invite.modal-panel .error-message,.share-and-invite.modal .invite.modal-panel .success-message{margin-bottom:8px}.share-and-invite.modal .invite.modal-panel .body .invite-user-control,.share-and-invite.modal .invite.modal-panel .body .group-access-control,.share-and-invite.modal .invite.modal-panel .body .show-custom-message-control{margin-bottom:16px}.share-and-invite.modal .invite.modal-panel .body .instructions{margin-bottom:8px}.share-and-invite.modal .invite.modal-panel .body .email-or-username-input{width:100%}.share-and-invite.modal .invite.modal-panel .footer{display:flex;align-items:center}.share-and-invite.modal .invite.modal-panel .footer .btn-primary{margin-right:8px}.share-and-invite.modal .invite.modal-panel .footer .btn-primary:last-child{margin-right:0}.user-stream .item,.user-stream .user-stream-item{background-color:#222;border-bottom:1px solid #313131}.user-stream .item.moderator-action,.user-stream .user-stream-item.moderator-action{background-color:#4c3319}.user-stream .item.deleted,.user-stream .user-stream-item.deleted{opacity:0.8;background-color:rgba(223,67,30,0.7)}.user-stream .item.hidden,.user-stream .user-stream-item.hidden{display:block;opacity:0.4}.user-stream .type,.user-stream span.name{color:#ddd}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{display:block;float:right;color:#909090;font-size:.7579em}.user-stream .draft-type{clear:right}.user-stream .delete-info .d-icon{font-size:1em}.user-stream .expand-item,.user-stream .collapse-item{float:right;margin-right:0.5em;line-height:1;color:#909090}.user-stream .avatar-link{float:left;margin-right:4px}.user-stream .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:block}.user-stream .name{font-size:1em;max-width:400px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-stream .edit-reason{background-color:#54391c;padding:3px 5px 5px 5px}.user-stream .remove-bookmark,.user-stream .remove-draft{float:right;margin-top:-4px}.user-stream .notification li{display:inline-block}.user-stream .notification p{display:inline-block}.user-stream .notification p span:first-child{color:#ddd}.user-stream .notification .time{display:inline-block;margin-left:10px;float:none}.user-stream .notification .fa,.user-stream .notification .icon{color:#919191;font-size:1.7511em}.user-stream .excerpt{margin:1em 0 0 0;font-size:1em;word-wrap:break-word;color:#ddd}.user-stream .excerpt:empty{display:none}.user-stream .excerpt details.disabled{color:#909090}.user-stream .group-member-info{display:flex}.user-stream .child-actions,.user-stream-item-actions,.user-stream-item-draft-actions{margin-top:8px}.user-stream .child-actions .avatar-link,.user-stream-item-actions .avatar-link,.user-stream-item-draft-actions .avatar-link{float:none;margin-right:3px}.user-stream .child-actions .fa,.user-stream-item-actions .fa,.user-stream-item-draft-actions .fa{width:15px;display:inline-block;color:#ddd}.user-stream .child-actions .fa.d-icon-heart,.user-stream-item-actions .fa.d-icon-heart,.user-stream-item-draft-actions .fa.d-icon-heart{color:#fa6c8d}.badge-notification,.badge-group{display:inline-block;font-weight:normal;white-space:nowrap;border-radius:10px}.badge-wrapper{font-size:.8706em;font-weight:bold;white-space:nowrap;position:relative;display:inline-flex;align-items:baseline}.badge-wrapper .badge-category{display:inline-flex;align-items:baseline}.badge-wrapper .badge-category .category-name{text-overflow:ellipsis;overflow:hidden}.badge-wrapper .badge-category .d-icon{margin-right:3px;width:0.74em;height:0.74em;color:inherit}.badge-wrapper.bullet{margin-right:12px}.badge-wrapper.bullet span.badge-category{color:#a6a6a6;overflow:hidden;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper.bullet span.badge-category{color:#ddd}.badge-wrapper.bullet .badge-category-parent-bg,.badge-wrapper.bullet .badge-category-bg{flex:0 0 auto;width:9px;height:9px;margin-right:5px;display:inline-block}.badge-wrapper.bullet .badge-category-parent-bg{width:5px;margin-right:0}.badge-wrapper.bullet .badge-category-parent-bg+.badge-category-bg{width:5px}.badge-wrapper.bullet .d-icon{color:#909090}.badge-wrapper.box{margin-right:5px;padding:2px 4px 2px 4px;display:inline-flex}.badge-wrapper.box span{overflow:hidden;text-overflow:ellipsis}.badge-wrapper.box span.badge-category-bg,.badge-wrapper.box span.badge-category-parent-bg{position:absolute;top:0;right:0;bottom:0;left:0}.badge-wrapper.box span.badge-category-parent-bg{width:calc(100% - 5px)}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg{left:5px;width:calc(100% - 5px)}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg+.badge-category{margin-left:5px}.badge-wrapper.box span.badge-category{position:relative}.badge-wrapper.box+.topic-header-extra{padding:2px 4px 2px 4px}.badge-wrapper.bar{margin-right:5px}.badge-wrapper.bar span.badge-category{color:#a6a6a6;padding:1px 3px;overflow:hidden;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper.bar span.badge-category{color:#ddd}.badge-wrapper.bar .badge-category-parent-bg,.badge-wrapper.bar .badge-category-bg{display:inline-block;padding:0 1px}.badge-wrapper.bar .badge-category-parent-bg:before,.badge-wrapper.bar .badge-category-bg:before{content:"\\a0"}.badge-wrapper.none{color:#a6a6a6;margin-right:5px}.list-controls .category-breadcrumb a.badge-category{display:inline-block;padding:6px 8px;line-height:1.2}.badge-notification{padding:0.21em 0.42em;min-width:0.5em;color:#222;font-size:.7579em;line-height:1;text-align:center;background-color:#bdbdbd}.badge-notification[href]{color:#222}.badge-notification:hover{color:#222}.badge-notification.new-posts,.badge-notification.unread-posts{background-color:#0f82af;color:#222;font-weight:bold}.badge-notification.new-topic{background-color:transparent;color:#0b6283;font-weight:normal;font-size:.8706em}.badge-notification.new-topic::before{content:"●";margin-right:2px}.badge-notification.clicks{font-weight:normal;background-color:#313131;top:-1px;color:#909090;position:relative;border:none}.badge-posts{font-weight:normal;font-size:1em;line-height:1}.badge-posts[href]{color:#919191}.badge-group{padding:2px 5px;color:#ddd;background-color:#313131;border-color:#313131;font-size:.8706em}.user-info{display:inline-block;clear:both;margin-bottom:1em}.user-info .user-image{float:left;padding-right:4px;margin-right:10px}.user-info .user-image-inner{position:relative;display:inline-block}.user-info .user-detail{float:left;width:70%;padding-left:5px}@media screen and (max-width: 600px){.user-info .user-detail{font-size:.8706em}}.user-info .user-detail .name-line{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-info .user-detail .username a{font-weight:bold;color:#bdbdbd}.user-info .user-detail .name{margin-left:5px;color:#bdbdbd}.user-info .user-detail .title{margin-top:3px;color:#919191}.user-info.small{width:333px}@media screen and (max-width: 800px){.user-info.small{width:auto;display:flex}}@media screen and (max-width: 600px){.user-info.small{width:100%}}.user-info.medium{min-height:60px}.user-info.medium .username,.user-info.medium .name{display:block}.user-info.medium .name{margin-left:0}.user-info.medium.badge-info{min-height:80px;min-width:250px}.user-info.medium.badge-info .granted-on{color:#919191}.user-info.medium.badge-info .post-link{display:block;margin-top:0.2em}.user-stream.filter-deleted{grid-column-start:1;grid-column-end:3;grid-row-start:2}.popup-tip{position:absolute;display:block;padding:5px 10px;z-index:600}.popup-tip.bad{background:#a13116;color:white;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}.popup-tip.hide,.popup-tip.good{display:none}.popup-tip .close{float:right;color:#ddd;opacity:0.5;font-size:1em;margin:0 0 0 4px;cursor:pointer}.popup-tip .close:hover{opacity:1}#topic-entrance{border:1px solid #313131;padding:5px;background:#222;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:300;position:absolute;width:133px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}#topic-entrance button.full{width:100%;margin-bottom:5px}#topic-entrance button.full .d-icon{display:block;margin:2px auto;transform:rotate(90deg)}#topic-entrance button.btn.jump-bottom{margin:5px 0 0 0}@media print{.avatar,.topic-avatar,header,.topic-above-post-stream-outlet.topic-above-post-stream,.topic-map,.post-menu-area.clearfix,.post-menu-area.nav-pills,.post-menu-area.container,.post-menu-area.wrap,div#topic-footer-buttons,div.suggested-topics,div#progress-topic-wrapper,#topic-progress-wrapper,div.nums,._flyout,.show-topic-admin,#topic-progress,.quote-controls,.topic-status-info,div.lazyYT,.post-info.edits,.post-action,.saving-text,.draft-text,.discourse-modal,div.read-state,div.read-state.read,.edit-topic,a.reply-to-tab,a.reply-new,div.time-gap,#bottom,#footer,.alert-info,.badge-category,.badge-category-bg,.badge-notification.clicks,.crawler-nav,.powered-by-link{display:none !important}a,a:visited{color:#0088cc !important}div.row{border-top:1px solid #aaa}.cooked pre code{max-height:none}#main-outlet{padding:0 !important}html,body{min-width:0;height:auto}.lightbox-wrapper img{max-width:500px !important;height:auto !important}.topic-body{width:auto;margin:0;padding:0;float:none}.topic-post article.boxed .select-posts{width:auto;left:auto;right:0}.gap{width:auto}#topic-title{margin:0;padding:0}#topic-title div div h1{margin:2.5em 0 0 0;padding:0;float:left;font-weight:normal;font-size:normal}a,a:visited{color:#ddd;font-weight:bold}.topic-category-outlet.show-topic-category-location,div.alert.alert-info.alert-emails-disabled,div.profiler-results.profiler-left.profiler-no-controls{display:none}}section.about{margin-bottom:40px}section.about h3{margin-bottom:15px}section.about table{width:auto}section.about table td{padding:10px}section.about table td.title{width:33%}.body-page{width:100%;max-width:700px}.about-page .body-page{max-width:unset}.about-page .body-page section:not(.admins):not(.moderators):not(.category-moderators){max-width:700px}.about-page .body-page .about.category-moderators .badge-wrapper.bullet .badge-category{color:#ddd}.mobile-view .body-page{font-size:1em;margin-top:20px}.body-page li{margin-bottom:8px}.body-page .nav-pills{margin-bottom:20px}.body-page ul:not(.nav-pills),.body-page ol:not(.nav-pills){margin-left:40px}body.crawler>header{width:100%;position:absolute;top:0;z-index:9999;background-color:#fff;padding:10px;box-shadow:none;border-bottom:1px solid #7a7a7a;box-sizing:border-box}body.crawler div#main-outlet div.post{word-break:break-word}body.crawler div#main-outlet div.post img{max-width:100%;height:auto}body.crawler .raw-topic-link{display:block;font-weight:bold;margin-bottom:0.25em}body.crawler .topic-list{margin-bottom:1em}body.crawler footer{margin-top:3em;border-top:1px solid #7a7a7a}.crawler-topic-title{margin-top:0.5em}.crawler-post{margin-top:1em;margin-bottom:2em;padding-top:1.5em;border-top:1px solid #313131}.crawler-post-meta{margin-bottom:1em}.crawler-post-meta .creator{word-break:break-all}.crawler-post-meta .creator a{font-weight:bold}@media screen and (max-width: 768px){.crawler-post-meta .creator{display:inline-block;margin-bottom:0.25em}}.crawler-post-infos{color:#a6a6a6;display:inline-block}@media screen and (min-width: 768px){.crawler-post-infos{float:right}}.crawler-post-infos [itemprop="position"]{float:left;margin-right:0.5em}#breadcrumbs{margin-bottom:0.5em;font-size:1.1487em}#breadcrumbs>div{margin-bottom:0.15em}#breadcrumbs .badge-category-bg{background-color:#646464}#breadcrumbs .category-title{color:#ddd}.crawler-tags-list span{display:block;margin-bottom:0.15em}.crawler-linkback-list{margin-top:1em}.crawler-linkback-list a{display:block;padding:0.5em 0;border-top:1px solid #313131}.crawler-nav{margin:1em 0}.crawler-nav ul{margin:0;list-style-type:none}.crawler-nav li{display:inline-block}.crawler-nav a{display:inline-block;padding:0.5em 1em 0.5em 0}div.ac-wrap.composer-user-selector-limited{width:400px;padding:0 10px;margin-bottom:5px}div.ac-wrap.composer-user-selector-limited .btn-primary{margin-left:0.5em;padding:3px 6px 2px;font-size:.8706em;min-height:unset}@keyframes ping{from{transform:scale(0.25);opacity:1}to{transform:scale(2);opacity:0}}@keyframes rotate-forever{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}@keyframes background-fade-highlight{0%{background-color:#052e3d}100%{background-color:transparent}}@keyframes placeHolderShimmer{0%{background-position:-1000px 0}100%{background-position:1100px 0}}.placeholder-animation{animation-duration:4s;animation-fill-mode:forwards;animation-iteration-count:infinite;animation-name:placeHolderShimmer;animation-timing-function:linear;background:#282828;background:linear-gradient(to right, #282828 10%, #313131 18%, #282828 33%)}html{height:100%}body{background-attachment:fixed;background-size:cover;min-height:100%}body:before,body:after{content:"";display:table}body:after{clear:both}big{font-size:2em}small{font-size:.7579em}blockquote{border-left:5px solid #313131;background-color:#3c3c3c;clear:both}h1,h2,h3,h4,h5,h6{margin-top:0;margin-bottom:0.5rem}button.ok{background:#1ca551;color:#222}button.ok .d-icon{color:currentColor}.discourse-no-touch button.ok:hover,.discourse-no-touch button.ok.btn-hover{background:#23d166;color:#222}button.cancel{background:#e45735;color:#222}button.cancel .d-icon{color:currentColor}.discourse-no-touch button.cancel:hover,.discourse-no-touch button.cancel.btn-hover{background:#ea7c62;color:#222}a.cancel{margin-left:1.25em;line-height:normal;color:#a6a6a6;transition:color 250ms}a.cancel:hover{color:#e45735}ul.breadcrumb{margin:0 10px 0 10px}a.no-href{cursor:pointer}img.avatar{border-radius:50%}span.relative-date{white-space:nowrap}label{display:flex;margin-bottom:5px;align-items:flex-start}label>.d-icon{align-self:center;margin-right:4px}input[type="radio"],input[type="checkbox"]{margin-top:0.17em;margin-right:0.43em;margin-left:0.1em;line-height:1;cursor:pointer;flex-shrink:0}input[type="submit"],input[type="reset"],input[type="button"],input[type="radio"],input[type="checkbox"]{width:auto}input.invalid{background-color:#631e0d}.radio input[type="radio"],.checkbox input[type="checkbox"]{float:left;margin-left:-18px}input,select,textarea{color:#ddd;caret-color:currentColor}input[class*="span"],select[class*="span"],textarea[class*="span"]{float:none;margin-left:0}input[disabled],input[readonly],select[disabled],select[readonly],textarea[disabled],textarea[readonly]{cursor:not-allowed;background-color:#313131;border-color:#313131}input:focus:required:invalid,select:focus:required:invalid,textarea:focus:required:invalid{color:#e45735;border-color:#e45735}input:focus:required:invalid:focus,select:focus:required:invalid:focus,textarea:focus:required:invalid:focus{border-color:#e45735;box-shadow:0 0 6px 0 #e45735}input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]{-webkit-appearance:none;-moz-appearance:none;appearance:none;display:inline-block;padding:4px 10px;margin-bottom:9px;font-size:1em;line-height:1;color:#ddd;background-color:#222;border:1px solid #909090;border-radius:0;box-sizing:border-box;min-height:30px}input[type="text"]:focus,input[type="password"]:focus,input[type="datetime"]:focus,input[type="datetime-local"]:focus,input[type="date"]:focus,input[type="month"]:focus,input[type="time"]:focus,input[type="week"]:focus,input[type="number"]:focus,input[type="email"]:focus,input[type="url"]:focus,input[type="search"]:focus,input[type="tel"]:focus,input[type="color"]:focus{border-color:#0f82af;box-shadow:0 0 6px 0 #0f82af;outline:0}.input-prepend,.input-append{margin-bottom:5px}.input-prepend input[class*="span"],.input-append input[class*="span"]{display:inline-block}.input-prepend input,.input-prepend select,.input-append input,.input-append select{position:relative;margin-bottom:0;vertical-align:middle;border-radius:0}.input-prepend input:focus,.input-prepend select:focus,.input-append input:focus,.input-append select:focus{z-index:2}.input-prepend .add-on,.input-append .add-on{display:inline-flex;align-items:center;width:auto;padding:0 0.5em;height:28px;background-color:#313131;border:1px solid #909090}.input-prepend .add-on:first-child,.input-prepend .btn:first-child,.input-append .add-on:first-child,.input-append .btn:first-child{margin-right:-1px}.input-prepend .add-on:last-child,.input-prepend .btn:last-child,.input-append .add-on:last-child,.input-append .btn:last-child{margin-left:-1px;border-radius:0 3px 3px 0}.input-prepend .add-on,.input-prepend .btn{margin-right:-1px}textarea{height:auto;background-color:#222;border:1px solid #909090}textarea:focus{border-color:#0f82af;box-shadow:0 0 6px 0 #0f82af;outline:0}select{border:1px solid #313131}table th{font-weight:normal;color:#909090;text-align:left;padding:0.5em}.sortable{white-space:nowrap;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.discourse-no-touch .sortable:hover{background-color:#313131}.sortable .d-icon{margin-left:0.25em}.radio,.checkbox{min-height:18px;padding-left:18px}.controls>.radio:first-child,.controls>.checkbox:first-child{padding-top:5px}.radio.inline,.checkbox.inline{display:inline-block;padding-top:5px;margin-bottom:0;vertical-align:middle}.radio.inline .radio.inline,.checkbox.inline .checkbox.inline{margin-left:10px}.wrap{margin-right:auto;margin-left:auto;padding:0 8px}.wrap .contents{position:relative}.boxed.white{background-color:#222}.full-width{margin-left:12px}.coldmap-high{color:#646464 !important}.coldmap-med{color:#646464 !important}.coldmap-low{color:#919191 !important}.top-space{margin-top:10px}.message{border-radius:8px;background-color:#222;padding:14px}.message h2{margin-bottom:20px}.clear-transitions{transition:none !important}.tip{display:inline-block}.tip.good{color:#1ca551}.tip.bad{color:#e45735}.avatar-wrapper{background-color:#222;display:inline-block;border-radius:50%}.profiler-results.profiler-left{top:60px !important}.flex-center-align{display:flex;align-items:center}.unread-private-messages{color:#222;background:#1ca551}.unread-private-messages.badge-notification[href]{color:#222}.ring-backdrop-spotlight{position:absolute;width:80px;height:80px;top:-18px;right:-18px;background-image:radial-gradient(40px at 50% 50%, transparent 95%, #ddd 100%);opacity:0.85}.ring-backdrop{position:absolute;width:80px;height:80px;top:-18px !important;right:-18px !important;box-shadow:0 0 0 9999px rgba(221,221,221,0.85);z-index:1200}.ring-first-notification{position:absolute;color:#222;text-align:left;right:70px;top:60px;width:230px;line-height:1.2}.ring{background:-webkit-radial-gradient(transparent, #090);background:-o-radial-gradient(transparent, #090);background:-moz-radial-gradient(transparent, #090);background:radial-gradient(transparent, #090);top:-11px !important;right:23.5px !important;border-radius:100%;width:20px;height:20px;-moz-animation-iteration-count:infinite;-webkit-animation-iteration-count:infinite;-webkit-transform-origin:center;-moz-animation-duration:3s;-webkit-animation-duration:3s;-moz-animation-name:ping;-webkit-animation-name:ping}.fade{opacity:0;transition:opacity 0.15s linear}.fade.in{opacity:1}.inline-spinner{display:inline-block;margin:0}.spinner{margin:20px auto 20px auto;position:relative;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;height:30px;width:30px;border:4px solid #9e9e9e;border-right-color:transparent;border-radius:50%}.spinner.small{width:10px;height:10px;margin:0;display:inline-block}.content-list h3{color:#909090;font-size:1.1487em;padding-left:5px;margin-bottom:10px}.content-list ul{list-style:none;margin:0}.content-list ul li{border-bottom:1px solid #313131}.content-list ul li:first-of-type{border-top:1px solid #313131}.content-list ul li a{display:block;padding:10px;color:#ddd}.content-list ul li a:hover{background-color:#313131;color:#ddd}.content-list ul li a.active{font-weight:bold;color:#ddd}.form-vertical input,.form-vertical textarea,.form-vertical select,.form-vertical .input-prepend,.form-vertical .input-append{display:inline-block;margin-bottom:0;flex:0 0 auto}.form-vertical .control-group:before,.form-vertical .control-group:after{content:"";display:table}.form-vertical .control-group:after{clear:both}.form-vertical .control-label{font-weight:bold;font-size:1.3195em;line-height:1.4}.form-vertical .controls{margin-left:0}#main img.avatar.header{width:45px;height:45px}#main img.avatar.medium{width:32px;height:32px}#main img.avatar.small{width:25px;height:25px}#main img.avatar.tiny{width:20px;height:20px}#main .user-list .user{padding-bottom:5px}#loading-message{position:absolute;font-size:2em;text-align:center;top:120px;left:500px;color:#ddd}#footer .container{height:50px}#footer .container .contents{padding-top:10px}#footer .container .contents a[href]{color:#222}.inline{display:inline}.pref-auth-tokens .row{border-bottom:1px solid #ddd;margin:5px 0px;padding-bottom:5px}.pref-auth-tokens .row:last-child{border-bottom:0}.pref-auth-tokens .auth-token-icon{color:#909090;font-size:2.25em;float:left;margin-right:10px}.pref-auth-tokens .auth-token-first{font-size:1.1em}.pref-auth-tokens .auth-token-first .auth-token-device{font-weight:bold}.pref-auth-tokens .auth-token-second{color:#909090}.pref-auth-tokens .auth-token-second .active{color:#1ca551;font-weight:bold}.pref-auth-tokens .auth-token-dropdown{float:right}.pref-auth-tokens .auth-token-dropdown .btn,.pref-auth-tokens .auth-token-dropdown .btn:hover{background:transparent}.pref-auth-tokens .auth-token-dropdown .btn .d-icon,.pref-auth-tokens .auth-token-dropdown .btn:hover .d-icon{color:#a6a6a6}.pref-auth-tokens .dropdown-menu{width:120px}.pref-auth-tokens .dropdown-menu .icon{margin-top:auto}.topic-statuses{display:inline;float:left;margin-right:0.15em}.topic-statuses .topic-status{margin:0;display:inline-flex;color:#909090}.topic-statuses .topic-status .d-icon{height:0.76em;width:0.75em}.topic-statuses .topic-status:not(:last-child){margin-right:0.15em}.topic-statuses .d-icon-envelope{color:#e45735}.broken-theme-alert{font-size:15px;font-weight:bold;padding:5px 0;background:#a13116;text-align:center;z-index:9999;color:#222}.error-page{text-align:center;padding-top:2em}.error-page .face{font-size:4.286em}.error-page .reason{font-size:1.7511em}.error-page .url{font-style:italic;font-size:.8706em}.error-page .desc{margin-top:16px}.error-page .desc .d-icon-check-circle{color:#1ca551}.error-page .buttons{display:inline-flex;margin-top:15px}.error-page .buttons button{margin:0 20px}.category-list{table-layout:fixed}.category-list .category-text-title{display:flex;align-items:baseline}.category-list .category-name{display:inline-block;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:text-top;line-height:1.2}.category-boxes,.category-boxes-with-topics{display:flex;flex-wrap:wrap;justify-content:flex-start;margin-top:1em;margin-bottom:1em;width:100%}.category-boxes .category-box,.category-boxes-with-topics .category-box{display:flex;flex-direction:row;align-content:flex-start;cursor:pointer;box-sizing:border-box;border-width:0;border-left-width:6px;border-style:solid;border-color:#313131}.mobile-view .category-boxes .category-box,.mobile-view .category-boxes-with-topics .category-box{width:100%}.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{display:block;width:auto;height:40px;margin:0 auto 1em auto}@supports (--custom: property){.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{--height: 40px;width:calc(var(--height) * var(--aspect-ratio));max-width:100%}}.category-boxes .category-box-inner,.category-boxes-with-topics .category-box-inner{box-sizing:border-box;width:100%;padding:0;display:flex;flex-direction:column;border-width:2px;border-left-width:0;border-style:solid;border-color:#313131}.category-boxes.no-logos .logo,.category-boxes-with-topics.no-logos .logo{display:none}.category-boxes .category-box{width:23%;margin:0 1% 1.5em 1%}.category-boxes .category-box>a{width:100%;padding:0}.category-boxes .category-box .category-box-inner{padding:1em}.category-boxes .category-box .category-box-inner .category-logo{float:none;margin:0}.category-boxes.no-logos .category-box .category-box-inner>a{padding:3em 1em}.category-boxes .description{padding-bottom:1em;text-align:center;font-size:1em;color:#646464}.category-boxes .description .overflow{max-height:6em}.category-boxes h3{font-size:1.3195em;margin-bottom:0.5em;margin-top:0.25em;line-height:1.2;text-align:center;color:#ddd;overflow:hidden}.category-boxes .subcategories{display:flex;flex-flow:wrap}.category-boxes .subcategories .subcategory{display:flex;align-items:center;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;margin-right:1em;margin-bottom:0.6em}.category-boxes .subcategories .subcategory .subcategory-image-placeholder{display:inline-block;margin-right:0.6em}.category-boxes .subcategories .subcategory .subcategory-link{min-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.category-boxes .subcategories .subcategory .logo img{display:inline-block;height:20px;width:20px;margin:0}.category-boxes-with-topics .category-box{width:31%;margin:0 1% 1.5em 1%;padding:0}.category-boxes-with-topics h3{font-size:1.3195em;text-align:center;overflow:hidden}.category-boxes-with-topics .category-box-heading{padding:1em 1em 0.5em 1em}.category-boxes-with-topics .category-box-heading a[href]{width:100%;color:#ddd}.category-boxes-with-topics .featured-topics{padding:0.5em 1em 1em 1em}.category-boxes-with-topics .featured-topics ul{color:#909090;list-style:none;padding:0;margin:0}.category-boxes-with-topics .featured-topics li{padding:4px 0;display:flex;align-items:baseline}.category-boxes-with-topics .featured-topics li .overflow{max-height:3em;overflow:hidden}.category-boxes-with-topics .featured-topics li .d-icon{margin-right:0.15em;width:0.76em;height:0.76em}.categories-list .category h3 .d-icon{color:#909090;height:0.76em;width:0.76em;vertical-align:baseline;margin-right:0.15em}.category-boxes-with-topics .category-box h3 .d-icon,.category-boxes .category-box h3 .d-icon{margin-right:0}#share-link{position:absolute;left:20px;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-color:#222;padding:8px 8px 4px 8px;width:300px;display:none}#share-link.visible{display:block}#share-link input[type="text"]{width:100%}#share-link .share-for-touch .overflow-ellipsis{clear:both}#share-link .share-for-touch{margin:14px 0}#share-link .title{margin-bottom:4px;align-items:center;display:flex;justify-content:space-between}#share-link .title h3{font-size:1em;margin:0}#share-link .title .date{font-weight:normal;color:#919191}#share-link .copy-text{display:inline-block;position:absolute;margin:5px 5px 5px 15px;color:#1ca551;opacity:1;transition:opacity 0.25s;font-size:1em}#share-link .copy-text:not(.success){opacity:0}#share-link .social-link{margin-right:8px;font-size:1.7511em}#share-link .social-link .d-icon{color:#fff}#share-link .social-link .d-icon-fab-facebook{color:#fff}#share-link .social-link .d-icon-fab-twitter-square{color:#fff}#share-link input[type="text"]{font-size:1.1487em;margin-bottom:0}#share-link .actions{display:flex;align-items:flex-end;margin-top:8px}#share-link .actions .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;max-width:45%}#share-link .actions .sources .social-link{margin-right:8px}#share-link .actions .alt-actions{display:flex;align-items:center;flex:1;justify-content:flex-end;height:36px}#share-link .actions .alt-actions .close-share{font-size:1.5157em;color:#919191}#share-link .actions .alt-actions .new-topic{margin-right:16px}.discourse-no-touch #share-link .share-for-touch{display:none}.discourse-touch #share-link input[type="text"]{display:none}.ember-select{background-color:#222;color:#ddd}.uploaded-image-preview{background:#ddd center;background-size:cover;position:relative}.uploaded-image-preview .placeholder-overlay{background-size:contain;background-repeat:no-repeat;background-position:center;position:absolute;top:0;left:0;width:100%;height:100%;opacity:0.3}.uploaded-image-preview .image-upload-controls{position:relative;display:flex;padding:10px}.uploaded-image-preview .image-upload-controls .btn{margin-right:5px;padding:7px 10px}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn{background:none;margin-right:0;margin-left:auto}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn .d-icon{color:#313131}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover{background:none}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover .d-icon{color:#ddd}.image-uploader.no-repeat .uploaded-image-preview{background-repeat:no-repeat}.image-uploader.contain-image .uploaded-image-preview{background-size:contain}.hidden-upload-field{visibility:hidden;position:absolute}.search-container{display:flex;justify-content:space-between}.search-container .warning{background-color:#a13116;padding:5px 8px;color:#222}.search-container .search-bar{display:flex;justify-content:space-between;align-items:center;justify-content:space-between;margin-bottom:1em}.search-container .search-bar .search-query{flex:1 0 0px;margin:0 0.5em 0 0}.search-container .search-bar .search-cta{padding-bottom:6.5px;padding-top:6.5px}.search-container .search-advanced{width:70%}@media screen and (max-width: 850px){.search-container .search-advanced{width:65%}}.search-container .search-advanced .search-actions,.search-container .search-advanced .search-notice,.search-container .search-advanced .search-results,.search-container .search-advanced .search-title,.search-container .search-advanced .search-bar{margin-bottom:1em}.search-container .search-advanced .search-info{display:flex;flex-wrap:wrap;border-bottom:3px solid #313131;padding-bottom:0.5em;margin-bottom:1em;flex-direction:row;align-items:center}.search-container .search-advanced .search-info .result-count{display:flex}.search-container .search-advanced .search-info .result-count .term{font-weight:bold}.search-container .search-advanced .search-info .result-count span+span{margin-left:0.25em}.search-container .search-advanced .search-info .sort-by{display:flex;margin-left:auto;align-items:center}.search-container .search-advanced .search-info .sort-by .desc{margin-right:0.5em}.search-container .search-advanced .search-info .sort-by .combo-box{min-width:150px}.search-container .search-advanced .search-title{display:flex;justify-content:flex-start;align-items:center}.search-container .search-advanced .search-title .bulk-select{margin-left:0.5em}.search-container .search-advanced .search-title .fps-select a{margin-left:0.5em;font-size:.8706em}.search-container .search-advanced .search-title .fps-select a:hover{text-decoration:underline}.search-container .search-advanced .search-notice .fps-invalid{padding:0.5em;background-color:#591b0c;border:1px solid #a13116;color:#e45735}.search-container .search-advanced-sidebar{width:30%;margin-left:1em;display:flex;flex-direction:column}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar{width:35%}}.search-container .search-advanced-sidebar #search-min-post-count,.search-container .search-advanced-sidebar .date-picker,.search-container .search-advanced-sidebar .combo-box,.search-container .search-advanced-sidebar .ac-wrap,.search-container .search-advanced-sidebar .control-group,.search-container .search-advanced-sidebar .date-picker-wrapper,.search-container .search-advanced-sidebar .search-advanced-category-chooser{box-sizing:border-box;width:100%;min-width:100%}.search-container .search-advanced-sidebar #search-min-post-count input,.search-container .search-advanced-sidebar #search-min-post-count .item,.search-container .search-advanced-sidebar .date-picker input,.search-container .search-advanced-sidebar .date-picker .item,.search-container .search-advanced-sidebar .combo-box input,.search-container .search-advanced-sidebar .combo-box .item,.search-container .search-advanced-sidebar .ac-wrap input,.search-container .search-advanced-sidebar .ac-wrap .item,.search-container .search-advanced-sidebar .control-group input,.search-container .search-advanced-sidebar .control-group .item,.search-container .search-advanced-sidebar .date-picker-wrapper input,.search-container .search-advanced-sidebar .date-picker-wrapper .item,.search-container .search-advanced-sidebar .search-advanced-category-chooser input,.search-container .search-advanced-sidebar .search-advanced-category-chooser .item{padding-left:4px}.search-container .search-advanced-sidebar .date-picker-wrapper{margin-top:0.5em}.search-container .search-advanced-sidebar .date-picker{box-sizing:border-box;text-align:left;padding:4px;margin-bottom:0}.search-container .search-advanced-sidebar .search-advanced-title{background:#313131;padding:0.358em 1em;font-weight:700;text-align:left;font-weight:bold}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar .search-advanced-title{padding:0.358em 0.5em}}.search-container .search-advanced-sidebar .search-advanced-title.btn{background:#313131}.search-container .search-advanced-sidebar .search-advanced-title .d-icon{margin:0}.search-container .search-advanced-sidebar .search-advanced-filters{background:#282828;padding:1em}.search-container .search-advanced-sidebar .search-advanced-filters .control-group{margin-bottom:15px}.search-container .search-advanced-sidebar .search-advanced-filters section.field{margin-top:5px}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar .search-advanced-filters{padding:0.75em 0.5em}.search-container .search-advanced-sidebar .search-advanced-filters .ac-wrap,.search-container .search-advanced-sidebar .search-advanced-filters .choices,.search-container .search-advanced-sidebar .search-advanced-filters .select-kit.multi-select{width:100% !important}.search-container .search-advanced-sidebar .search-advanced-filters .select-kit{min-width:unset}}.fps-invalid{margin-bottom:1em}.fps-result{display:flex;margin-bottom:28px;max-width:780px}.fps-result .author{display:inline-block;vertical-align:top}.fps-result .like-count{color:#919191}.fps-result .like-count .fa{color:#fa6c8d;font-size:.8706em}.fps-result .badge-wrapper span.badge-category{max-width:inherit}.fps-result .search-category{padding-top:3px}.fps-result .topic{padding-bottom:2px;max-width:700px}.fps-result .avatar{margin-right:14px}.fps-result a.search-link:visited .topic-title{color:#0b6283}.fps-result .search-link .topic-title{font-size:1.3195em;line-height:1.2}.fps-result .search-link .topic-statuses{display:inline-block;font-size:1.3em;line-height:1.2;color:#909090}.fps-result .search-link .topic-statuses span{line-height:1}.fps-result .blurb{font-size:1em;line-height:1.4;word-wrap:break-word;max-width:640px;color:#919191}.fps-result .blurb .date{color:#646464}.fps-result .blurb .search-highlight{color:#bdbdbd}.fps-result .discourse-tag{font-size:.8706em}.fps-topic{display:inline-block}.no-results-suggestion{margin-top:30px}.search-footer{margin-bottom:30px}.panel-body-contents .search-context label{float:left}.google-search-form{margin-top:2em}a.loading-onebox:before{content:"";display:inline-flex;float:left;margin:3px 5px 0 0;position:relative;height:10px;width:10px;border:2px solid #7a7a7a;border-right-color:transparent;border-radius:50%;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear}.onebox-result{border-left:5px solid #313131;background-color:#3c3c3c;margin-top:15px;padding:12px;font-size:1em}.onebox-result>.source{margin-bottom:12px;margin-right:10px;display:block;color:#ddd;position:relative;height:20px}.onebox-result>.source .info{position:absolute;font-size:1em}.onebox-result>.source .info a{color:black;text-decoration:none;padding-right:10px}.onebox-result>.source .info img.favicon{margin-right:3px}.onebox-result .onebox-result-body{padding-top:5px}.onebox-result .onebox-result-body img{max-height:80%;max-width:25%;height:auto;float:left;margin-right:10px}.onebox-result .onebox-result-body h3,.onebox-result .onebox-result-body h4{margin:0}.onebox-result .onebox-result-body code{max-height:400px}.onebox-result .onebox-result-body .metrics{clear:both;padding-bottom:25px}.onebox-result .onebox-result-body .metrics .metric{display:inline-block;padding-left:33px;float:left}.onebox-result .onebox-result-body img.verdict{float:none;margin-right:7px}.onebox-result .onebox-result-body img.popcorn{float:none;margin-left:20px;margin-right:5px}aside.onebox{border:5px solid #313131;margin-bottom:1em;padding:12px 25px 12px 12px;font-size:1em}aside.onebox header{margin-bottom:8px}aside.onebox header a[href]{color:#919191;text-decoration:none}aside.onebox.stackexchange .source{background:url('/images/favicons/stackexchange.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.twitterstatus .source{background:url('/images/favicons/twitter.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.wikipedia .source{background:url('/images/favicons/wikipedia.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubblob .source{background:url('/images/favicons/github.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubcommit .source{background:url('/images/favicons/github.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubpullrequest .source{background:url('/images/favicons/github.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubissue .source{background:url('/images/favicons/github.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubgist .source{background:url('/images/favicons/github.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.amazon .source{background:url('/images/favicons/amazon.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.instagram .source{background:url('/images/favicons/instagram.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.googledocs .source{background:url('/images/favicons/google_branding/logo_drive_48px.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.googledrive .source{background:url('/images/favicons/google_branding/logo_drive_48px.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox .onebox-body{clear:both}aside.onebox .onebox-body h3,aside.onebox .onebox-body h4{font-size:1.1487em;margin:0 0 10px 0}aside.onebox .onebox-body a[href]{color:#0f82af;text-decoration:none}aside.onebox .onebox-body a[href]:visited{color:#0f82af}aside.onebox .onebox-body img{max-height:170px;max-width:20%;height:auto;width:auto;float:left;margin-right:10px}@media all and (max-width: 600px){aside.onebox .onebox-body img{max-width:35%}}aside.onebox .onebox-body img.onebox-full-image{max-height:none;max-width:none;width:initial;height:initial}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{width:100%}aside.onebox .onebox-body [style*="--aspect-ratio"]>img{height:auto}@supports (--custom: property){aside.onebox .onebox-body .aspect-image{max-height:170px;--magic-ratio: calc(var(--aspect-ratio) + 0.15);width:calc(128px * var(--magic-ratio));max-width:20%;float:left;margin-right:10px;height:auto}aside.onebox .onebox-body .aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;margin-right:none}aside.onebox .onebox-body .aspect-image-full-size{max-height:500px;width:calc(500px * var(--aspect-ratio));max-width:100%}aside.onebox .onebox-body .aspect-image-full-size img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;padding:5px 5px 5px 5px}aside.onebox .onebox-body [style*="--aspect-ratio"]{position:relative}aside.onebox .onebox-body [style*="--aspect-ratio"]::before{content:"";display:block;padding-bottom:calc(100% / (var(--aspect-ratio)))}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{position:absolute;top:0;left:0;height:100%}}aside.onebox .onebox-body p:last-child{margin-bottom:4px}aside.onebox .onebox-body .tweet-images{display:block;clear:both}aside.onebox .onebox-body .tweet-images img.tweet-image{margin-top:1em;max-width:100%;max-height:100%;float:none}@media screen and (max-width: 550px){aside.onebox .onebox-body .tweet-images iframe{max-height:70vh}}aside.onebox .onebox-body.user-onebox .fa{margin-right:5px}aside.onebox .onebox-body.user-onebox .full-name,aside.onebox .onebox-body.user-onebox .location{margin-right:10px}aside.onebox .onebox-body .instagram-images,aside.onebox .onebox-body .scale-images{clear:both;position:relative}aside.onebox .onebox-body .instagram-images .instagram-image,aside.onebox .onebox-body .instagram-images .scale-image,aside.onebox .onebox-body .scale-images .instagram-image,aside.onebox .onebox-body .scale-images .scale-image{padding:5px 5px 5px 5px;max-width:100%;max-height:100%;float:none}aside.onebox .onebox-body .instagram-video-icon{bottom:10px;right:10px;position:absolute}aside.onebox .onebox-body .instagram-video-icon:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32px' height='32px' viewBox='0 0 512 512' fill='white'%3E%3Cpath d='M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z'%3E%3C/path%3E%3C/svg%3E")}.googledocs-onebox-logo{width:60px;height:50px;float:left}.googledocs-onebox-logo.g-docs-logo{background:url('/images/favicons/google_branding/logo_docs_48px.png') no-repeat}.googledocs-onebox-logo.g-forms-logo{background:url('/images/favicons/google_branding/logo_forms_48px.png') no-repeat}.googledocs-onebox-logo.g-sheets-logo{background:url('/images/favicons/google_branding/logo_sheets_48px.png') no-repeat}.googledocs-onebox-logo.g-slides-logo{background:url('/images/favicons/google_branding/logo_slides_48px.png') no-repeat}.googledocs-onebox-logo.g-calendar-logo{background:url('/images/favicons/google_branding/logo_calendar_48px.png') no-repeat}.googledocs-onebox-logo.g-drive-logo{background:url('/images/favicons/google_branding/logo_drive_48px.png') no-repeat}.gdocs-onebox-splash{background-color:#7c7c7c;color:#ddd;border:1px inset #ddd}.gdocs-onebox-splash .gdocs-onebox-logo{display:inline-block;width:128px;height:128px}.gdocs-onebox-splash .gdocs-onebox-logo.g-calendar-logo{background:url('/images/favicons/google_branding/logo_calendar_128px.png') no-repeat}aside.onebox .onebox-body .onebox-avatar{max-height:none;max-width:none;height:60px;width:60px}blockquote aside.onebox{border-left:5px solid #313131;background-color:#3c3c3c}pre.onebox code ol.lines li:before{position:absolute;display:inline-block;width:35px;left:-40px;color:#afafaf;text-align:right;padding-right:5px;font-size:.8706em;line-height:1.4;content:counter(li-counter);counter-increment:li-counter}pre.onebox code ol{margin-left:0;line-height:1.4}pre.onebox code{background-color:#000}pre.onebox code li{padding-left:5px}pre.onebox code ol.lines{position:relative;margin:0 0 0 40px}pre.onebox code ol.lines li{list-style-type:none;padding-left:5px;margin-left:0;border-left:1px solid #cfcfcf;min-height:1.5em;white-space:pre}pre.onebox code li.selected{background-color:#541}pre.onebox code{white-space:normal}.onebox.githubpullrequest .onebox-body h4,.onebox.githubcommit .onebox-body h4,.onebox.githubissue .onebox-body h4{margin-bottom:5px}.onebox.githubpullrequest .onebox-body>.github-icon,.onebox.githubcommit .onebox-body>.github-icon,.onebox.githubissue .onebox-body>.github-icon{float:left;margin-right:5px}.onebox.githubpullrequest .github-row,.onebox.githubcommit .github-row,.onebox.githubissue .github-row{display:flex}.onebox.githubpullrequest .github-icon-container,.onebox.githubcommit .github-icon-container,.onebox.githubissue .github-icon-container{display:flex;align-items:flex-start;margin-right:5px}.onebox.githubpullrequest .github-icon,.onebox.githubcommit .github-icon,.onebox.githubissue .github-icon{fill:#a6a6a6;width:40px;height:40px}.onebox.githubpullrequest .branches,.onebox.githubcommit .branches,.onebox.githubissue .branches{font-size:.8706em}.onebox.githubpullrequest .branches code,.onebox.githubcommit .branches code,.onebox.githubissue .branches code{word-break:break-all}.onebox.githubpullrequest .github-info-container,.onebox.githubcommit .github-info-container,.onebox.githubissue .github-info-container{width:100%}.onebox.githubpullrequest .github-info,.onebox.githubcommit .github-info,.onebox.githubissue .github-info{display:flex;align-items:center;flex-wrap:wrap;width:100%}.onebox.githubpullrequest .github-info>div,.onebox.githubcommit .github-info>div,.onebox.githubissue .github-info>div{margin:2.5px 0}.onebox.githubpullrequest .github-info>div:not(:last-child),.onebox.githubcommit .github-info>div:not(:last-child),.onebox.githubissue .github-info>div:not(:last-child){margin-right:15px}.onebox.githubpullrequest .github-info .lines,.onebox.githubcommit .github-info .lines,.onebox.githubissue .github-info .lines{font-weight:bold}.onebox.githubpullrequest .github-info .lines .added,.onebox.githubcommit .github-info .lines .added,.onebox.githubissue .github-info .lines .added{color:#1ca551}.onebox.githubpullrequest .github-info .lines .removed,.onebox.githubcommit .github-info .lines .removed,.onebox.githubissue .github-info .lines .removed{color:#e45735}.onebox.githubpullrequest .onebox-avatar-inline,.onebox.githubcommit .onebox-avatar-inline,.onebox.githubissue .onebox-avatar-inline{height:20px;width:20px;border-radius:2px;float:none;margin:0;padding:0;vertical-align:middle;max-width:none}.onebox.githubpullrequest .github-content,.onebox.githubcommit .github-content,.onebox.githubissue .github-content{margin:5px 0 0 0}.onebox.githubpullrequest .labels span,.onebox.githubcommit .labels span,.onebox.githubissue .labels span{background-color:#909090 !important;color:#222 !important;padding:2px 4px !important}.onebox-body .github-commit-status{background:#f5f5f5;border-radius:5px;margin:0 0 5px 100px;padding:10px}.onebox-body .status_tag{display:inline-block;color:#fff;padding:1px 4px;border-radius:3px;font-weight:bold;margin-bottom:5px;text-transform:capitalize}.onebox-body .build_status{padding:2px;font-size:.8706em}.onebox-body .status_tag.open{background-color:#6cc644}.onebox-body .status_tag.merged{background-color:#6e5494}.onebox-body .status_tag.closed{background-color:#bd2c00}.onebox-body .github-content-right{margin-left:100px}aside.onebox.twitterstatus .onebox-body h4{margin-bottom:0}.onebox.twitterstatus .thumbnail{width:48px;height:48px}.onebox.twitterstatus p,.onebox.twitterstatus .tweet{white-space:pre-line;padding-top:3px;margin-left:70px}.onebox.twitterstatus p .quoted,.onebox.twitterstatus .tweet .quoted{border:1px solid #313131;padding:0px 14px 0px 12px;white-space:normal;margin-top:15px}.onebox.twitterstatus p .quoted .quoted-link,.onebox.twitterstatus .tweet .quoted .quoted-link{color:inherit}.onebox.twitterstatus p .quoted .quoted-title,.onebox.twitterstatus .tweet .quoted .quoted-title{font-weight:bold;margin:5px 2px}.onebox.twitterstatus p .quoted .quoted-title span,.onebox.twitterstatus .tweet .quoted .quoted-title span{font-weight:lighter;color:#909090}.onebox.twitterstatus p .quoted div,.onebox.twitterstatus .tweet .quoted div{margin-bottom:5px}.onebox.twitterstatus .date{clear:left}.onebox.imgur-album .outer-box,.onebox.google-photos-album .outer-box,.onebox.flickr-album .outer-box{position:absolute;z-index:1;font-size:.8706em;color:#fff;background-color:rgba(0,0,0,0.6);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:690px;padding:5px 0}.onebox.imgur-album .outer-box .inner-box,.onebox.google-photos-album .outer-box .inner-box,.onebox.flickr-album .outer-box .inner-box{padding-left:10px;padding-right:10px;overflow:hidden;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.onebox.imgur-album .outer-box .inner-box .album-title,.onebox.google-photos-album .outer-box .inner-box .album-title,.onebox.flickr-album .outer-box .inner-box .album-title{width:100%;font-size:1.1487em;line-height:1.4;color:#ccc;text-decoration:none}aside.onebox.stackexchange .onebox-body img:not(.onebox-avatar){max-height:60%;max-width:10%}aside.onebox.stackexchange .onebox-body .tags{color:gray}.onebox-metadata{color:#919191}.onebox.xkcd .onebox-body img{max-width:100% !important;float:none !important}.onebox.pdf .onebox-body .pdf-onebox-logo{width:60px;height:50px;float:left;background:url('/images/favicons/pdf_64px.png') no-repeat;background-size:48px 48px;display:inline-block}.onebox.pdf .onebox-body .filesize{color:gray}.onebox.whitelistedgeneric .label1,.onebox.whitelistedgeneric .label2{color:#919191}.onebox.whitelistedgeneric .label1{float:left}.onebox.whitelistedgeneric .label2{float:right}.onebox.whitelistedgeneric .site-icon,.onebox.gfycat .site-icon{width:16px;height:16px;margin-right:3px}.onebox.gfycat p span.label1 a{white-space:nowrap}.onebox.instagram div.instagram-description{color:#919191;padding-top:10px}.onebox.githubcommit pre.message{padding:0}.onebox.twitterstatus .like,.onebox.twitterstatus .retweet{color:#919191;padding-left:10px}.onebox.twitterstatus .like svg,.onebox.twitterstatus .retweet svg{fill:currentColor;vertical-align:middle}.mobile-view article.onebox-body{border-top:none}.onebox.video-onebox{position:relative;padding:0 0 56.25% 0;width:100%}.onebox.video-onebox video{position:absolute;width:100%;height:100%}.onebox-placeholder-container{position:relative;width:100%;padding:0 0 48.25% 0;background-color:#313131}.onebox-placeholder-container .placeholder-icon{position:absolute;width:100%;height:100%;display:flex;justify-content:center;align-items:center}.onebox-placeholder-container .placeholder-icon.video:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512'%3E%3Cpath fill='grey' d='M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z'%3E%3C/path%3E%3C/svg%3E")}.onebox-placeholder-container .placeholder-icon.audio:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath fill='currentColor' d='M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z'%3E%3C/path%3E%3C/svg%3E")}.onebox-placeholder-container .placeholder-icon.generic:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath fill='currentColor' d='M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z'%3E%3C/path%3E%3C/svg%3E")}.d-header{display:flex;align-items:center;width:100%;position:absolute;top:0;z-index:1000;background-color:#111;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25)}.d-header>.wrap{width:calc(100% - 16px);height:100%}.d-header>.wrap .contents{display:flex;align-items:center;height:100%}.d-header>.wrap .contents .header-row{width:100%}.d-header>.wrap .contents .header-row .logo-wrapper{float:left}.d-header>.wrap .contents .header-row .auth-buttons{float:right;margin-top:0.4em}.d-header>.wrap .contents .header-row .auth-buttons .login-button,.d-header>.wrap .contents .header-row .auth-buttons .signup-button{padding:8px 14px}.docked .d-header{position:fixed;backface-visibility:hidden}.d-header .title{display:flex;align-items:center;height:100%}.d-header .title a,.d-header .title a:visited{color:#ddd}.d-header #site-logo{width:auto}.d-header .d-icon-home{font-size:2.296em}.d-header .panel{position:relative;display:flex;flex:0 0 auto;margin-left:auto;align-items:center}.d-header .hamburger-panel,.d-header .user-menu,.d-header .search-menu{width:0}.d-header .header-buttons{display:flex;align-items:center;margin-top:0.2em}.d-header .login-button,.d-header button.sign-up-button{padding:6px 10px}.d-header .login-button .fa,.d-header button.sign-up-button .fa{margin-right:3px}.d-header button.login-button{margin-left:7px}.header-dropdown-toggle .flagged-posts,.header-dropdown-toggle .reviewables,.drop-down .flagged-posts,.drop-down .reviewables,.panel-body .flagged-posts,.panel-body .reviewables{background:#e45735;min-width:6px}.d-header-icons{text-align:center;margin:0 0 0 5px;list-style:none}.d-header-icons>li{float:left}.d-header-icons .icon{position:relative;display:flex;align-items:center;justify-content:center;width:2.2857em;height:2.2857em;padding:0.2143em;text-decoration:none;cursor:pointer;border-top:1px solid transparent;border-left:1px solid transparent;border-right:1px solid transparent;transition:all linear 0.15s;outline:none}.d-header-icons .icon img.avatar{width:2.1333em;height:2.1333em}.d-header-icons .icon:hover,.d-header-icons .icon:focus{background-color:#313131;border-top:1px solid transparent;border-left:1px solid transparent;border-right:1px solid transparent}.d-header-icons .icon:hover .d-icon,.d-header-icons .icon:focus .d-icon{color:#909090}.d-header-icons .icon:active{color:#ddd;background-color:#313131}.drop-down-mode .d-header-icons .active .icon{position:relative;background-color:#222;cursor:default;border-top:1px solid #313131;border-left:1px solid #313131;border-right:1px solid #313131}.drop-down-mode .d-header-icons .active .icon .d-icon{color:#909090}.drop-down-mode .d-header-icons .active .icon:after{display:block;position:absolute;top:100%;left:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #222}.drop-down-mode .d-header-icons .active .icon:hover{border-bottom:none}.d-header-icons .d-icon{width:100%;font-size:1.7511em;line-height:1.4;display:inline-block;color:#7a7a7a}.d-header-icons .notifications{position:relative}.d-header-icons .ring{position:absolute;top:-9px;z-index:1;margin-left:0}.d-header-icons .header-dropdown-toggle{position:relative}.d-header-icons .badge-notification{position:absolute;z-index:1;left:0;top:-4px;min-width:0.6em}.d-header-icons .unread-notifications{left:auto;right:-3px;background-color:#0f82af}.d-header-icons .unread-private-messages,.d-header-icons .ring{left:auto;right:25px}.highlight-strong{background-color:#4c3319}.search-highlight{font-weight:bold}#search-help table td{padding-right:10px}#search-term::-ms-clear{display:none}.extra-info-wrapper{display:flex;align-items:center;flex:1 1 0%;height:100%;line-height:1.2;padding:0 1.5em 0 0.5em;overflow:hidden}.extra-info-wrapper .extra-info{overflow:hidden;width:100%;-webkit-animation:fadein 0.5s;animation:fadein 0.5s}.extra-info-wrapper .topic-link{color:#ddd;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .topic-statuses .d-icon{color:#909090}.extra-info-wrapper .topic-statuses .d-icon-envelope{color:#e45735}.extra-info-wrapper .header-title{margin:0 0 0.15em 0;font-size:1.5157em;width:100%}.archetype-private_message .extra-info-wrapper .header-title{margin:0}.extra-info-wrapper .categories-wrapper{display:inline-flex;align-items:center;max-width:80%;flex:0 1 auto;min-width:1px}.extra-info-wrapper .categories-wrapper .badge-wrapper{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper{margin-right:8px}.extra-info-wrapper .badge-wrapper.bullet .badge-category-parent-bg,.extra-info-wrapper .badge-wrapper.bullet .badge-category-bg{min-width:5px}.extra-info-wrapper .badge-wrapper.bullet span.badge-category,.extra-info-wrapper .badge-wrapper.bar span.badge-category,.extra-info-wrapper .badge-wrapper.none span.badge-category{color:#a6a6a6}.extra-info-wrapper .topic-header-extra{display:inline-flex;align-items:center;max-width:100%;flex:1 0 0%}.extra-info-wrapper .topic-header-extra .discourse-tags{color:#a6a6a6;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .topic-header-extra .discourse-tags .discourse-tag{display:inline}.extra-info-wrapper .topic-header-extra{min-width:1px}.topic-header-participants{display:flex;align-items:center;overflow:hidden;font-size:.8706em}.topic-header-participants:not(:first-child){margin-left:5px}.topic-header-participants .trigger-user-card:not(:last-of-type),.topic-header-participants .trigger-group-card:not(:last-of-type){margin-right:5px}.topic-header-participants .trigger-user-card .icon{height:1.641em;display:inline-block}.mobile-view .topic-header-participants .trigger-user-card .icon{height:1.532em}.topic-header-participants .trigger-user-card .icon img{height:100%;width:auto}.topic-header-participants .trigger-group-card{padding:0 5px;border:1px solid #313131;border-radius:0.25em;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.topic-header-participants .trigger-group-card .icon{display:flex;align-items:center;height:1.641em;color:#a6a6a6}.mobile-view .topic-header-participants .trigger-group-card .icon{height:1.532em}.topic-header-participants .trigger-group-card .icon .d-icon{margin-right:5px}.topic-header-participants .trigger-group-card span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.topic-header-participants .more-participants{color:#a6a6a6;margin-left:5px}span.bbcode-b{font-weight:bold}span.bbcode-i{font-style:italic}span.bbcode-u{text-decoration:underline}span.bbcode-s{text-decoration:line-through}#simple-container{border-radius:10px;background-color:#222;padding:20px;width:550px;margin:0 auto}#simple-container .account-created .ac-message{font-size:1.1487em;line-height:1.4}#simple-container .account-created .activation-controls button{margin-right:0.5em}.show-topic-admin{position:fixed;top:120px;right:10px;z-index:300;height:35px}.popup-menu{background-color:#222;width:215px;padding:10px;border:1px solid #313131;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15)}.popup-menu ul{list-style:none;margin:10px 0 0 0}.popup-menu .btn{text-align:left}.popup-menu button{width:100%;margin-bottom:5px}.modal-body.feature-topic{padding:5px;max-height:500px}.modal-body.feature-topic input.date-picker{margin:0}.modal-body.feature-topic hr{margin:10px 0}.modal-body.feature-topic .feature-section{display:block}.modal-body.feature-topic .feature-section .badge-wrapper{margin-right:0}.modal-body.feature-topic .feature-section .desc{display:inline-block;vertical-align:middle;margin-left:10px}.modal-body.feature-topic .feature-section .desc p:first-of-type{margin:0}.modal-body.feature-topic .feature-section .desc p{margin:10px 0 0}.modal-body.feature-topic .feature-section .with-validation{position:relative}.desktop-view .feature-topic-modal .feature-topic{overflow:visible}.desktop-view .feature-topic-modal .modal-inner-container{min-width:700px}.desktop-view .feature-topic-modal .pin-until{position:relative;display:inline-block}.mobile-view .feature-topic .feature-section .desc{display:block;clear:both;max-width:90%;margin:0 10px}.selected-posts{border:1px solid #084860;background-color:#052e3d}.selected-posts .btn{border:none;color:#222;font-weight:normal;margin-bottom:10px}.selected-posts .btn:not(.btn-danger){background:#0f82af;border-color:#0f82af}.selected-posts .btn:not(.btn-danger)[href]{color:#222}.selected-posts .btn:not(.btn-danger):hover{color:#222;background:#0b6283}.selected-posts .btn:not(.btn-danger):active{background-color:#08435a;background-image:linear-gradient(to bottom, #08435a, #0a5877);color:#222}.selected-posts .btn[disabled]{text-shadow:0 1px 0 rgba(221,221,221,0.2);background-color:#0f82af;background-image:linear-gradient(to bottom, #0f82af, #073c51);box-shadow:inset 0 1px 0 rgba(0,0,0,0.33)}.lightbox-wrapper .lightbox{position:relative;display:inline-block;overflow:hidden}.lightbox-wrapper .lightbox:hover .meta{opacity:0.9;transition:opacity 0.5s}.d-lazyload-hidden{box-sizing:border-box}.onebox img.d-lazyload-hidden{border:1px solid #313131}.cooked img.d-lazyload{transition:opacity 0.4s 0.75s ease}.lightbox-wrapper{display:inline-block}.lightbox-wrapper img{object-fit:cover;object-position:top}.lightbox-wrapper,.lightbox-wrapper *{outline:0}.meta{position:absolute;bottom:0;width:100%;color:#222;background:#ddd;opacity:0;transition:opacity 0.2s;display:flex;align-items:center}.meta .filename{margin:6px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.meta .d-icon{margin:6px;opacity:0.8;color:#222}.meta .d-icon+.filename{margin-left:0px}.meta .informations{margin:6px;padding-right:20px;color:#646464;font-size:1em;flex-shrink:0;flex-grow:3}.mfp-preloader .spinner{margin:auto}.reorder-categories thead th{padding-bottom:0.5em}.reorder-categories input{width:4em}@media screen and (max-width: 550px){.reorder-categories input{width:2em}}.reorder-categories table{width:100%;padding-bottom:150px}.reorder-categories table td{padding:0.5em 0.5em 0.5em 0}@media screen and (min-width: null){.reorder-categories table td{min-width:15em}}.reorder-categories .badge-wrapper span.badge-category{max-width:20em}@media screen and (max-width: 550px){.reorder-categories .badge-wrapper span.badge-category{max-width:30vw}}.reorder-categories-sub-cat{margin-left:20px}.edit-topic-timer-modal .modal-body{max-height:none;overflow:visible !important}.edit-topic-timer-modal .control-group{display:flex;align-items:center}.edit-topic-timer-modal .control-group>.d-icon{margin-right:5px}.edit-topic-timer-modal input.date-picker,.edit-topic-timer-modal input[type="time"]{width:200px;text-align:left}.edit-topic-timer-modal .radios{margin-bottom:10px}.edit-topic-timer-modal label{display:inline-flex;padding-right:5px;margin-bottom:0;align-items:center}.edit-topic-timer-modal label input{margin-top:0}.edit-topic-timer-modal .btn.pull-right{margin-right:10px}.edit-topic-timer-modal .future-date-input input{margin:0}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -15px -15px -15px}.edit-topic-timer-modal .future-date-input .btn-clear{display:none}.edit-topic-timer-modal .future-date-input .topic-status-info{border:none;padding:0}.edit-topic-timer-modal .future-date-input .topic-status-info h3{font-weight:normal;font-size:1.1487em}.edit-topic-timer-modal .future-date-input input[disabled]{background:#313131}.edit-topic-timer-modal .pika-single{position:absolute !important}.mobile-view .edit-topic-timer-modal .select-kit.combo-box{flex:1 0 0px}.redirection-warning{margin:0 auto;text-align:center;font-size:1.7511em;line-height:1.2}.rtl .d-icon-caret-right{-webkit-transform:rotate(180deg);-moz-transform:rotate(180deg);-ms-transform:rotate(180deg);-o-transform:rotate(180deg);transform:rotate(180deg);filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=cos(180), M12=-sin(180), M21=sin(180), M22=cos(180))";-ms-filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=cos(180), M12=-sin(180), M21=sin(180), M22=cos(180))";zoom:1}.rtl .nav-stacked a.active::after{border-left-color:transparent !important;border-right-color:#222 !important}.rtl code{direction:ltr !important;text-align:left !important}.rtl .pull-left{float:right !important}.rtl .autocomplete{left:27px}.rtl .admin-customize .current-style .toggle-mobile{position:static !important;float:left !important}.rtl .admin-customize .current-style .toggle-maximize{position:static !important;float:left !important}.rtl .dashboard-left{float:right !important}.rtl .dashboard-right{float:left !important}.cooked ul[dir="ltr"],.d-editor-preview ul[dir="ltr"],.cooked ul[dir="rtl"],.d-editor-preview ul[dir="rtl"]{padding-right:40px;padding-left:40px}.rtl aside.onebox.githubblob{padding:12px 25px 12px 12px !important;direction:ltr !important}.rtl aside.onebox.githubblob .source{background-position:0 50% !important;padding-right:20px}.rtl pre.onebox code ol.lines{margin:0 0 0 40px !important}.rtl pre.onebox code ol.lines li:before{right:-40px;padding-left:5px;padding-right:0;text-align:right !important}.rtl pre.onebox code ol.lines li{padding-right:5px;padding-left:0;margin-right:0;border-right:1px solid #cfcfcf;border-left:none !important}.search-menu .search-input{position:relative;padding:0.5em 3px}.search-menu .search-context .show-help{float:right}.search-menu .heading{padding:5px 0 5px 5px}.search-menu .heading .filter{padding:0 5px}.search-menu input[type="text"]{box-sizing:border-box;width:calc(100% - 6px);height:32px}.search-menu .search-context{padding:0 5px}.search-menu .search-context label{margin-bottom:0}.search-menu .search-context+.results{margin-top:5px}.search-menu .results{display:flex;flex-direction:row}.search-menu .results .list{min-width:100px}.search-menu .results .list .item .blurb{overflow-wrap:break-word;word-wrap:break-word;-ms-word-break:break-all;word-break:break-all;word-break:break-word;-ms-hyphens:auto;-moz-hyphens:auto;-webkit-hyphens:auto;hyphens:auto;margin-top:0.25em}.search-menu .results .search-result-topic .second-line{display:flex;flex-wrap:wrap;align-items:center}.search-menu .results .search-result-topic .second-line .discourse-tags{flex-wrap:wrap;display:contents}.search-menu .results .main-results{display:flex;flex:1 1 auto}.search-menu .results .main-results .topic-statuses{color:#909090}.search-menu .results .main-results+.secondary-results{border-left:1px solid #313131;margin-left:1em;padding-left:1em;max-width:33%}.search-menu .results .secondary-results{display:flex;flex-direction:column;flex:1 1 auto}.search-menu .results .secondary-results .separator{margin-bottom:1em;margin-top:1em;height:1px;background:#313131}.search-menu .results .secondary-results .search-result-tag .discourse-tag{font-size:.8706em}.search-menu .results .secondary-results .search-result-category .widget-link{margin-bottom:0}.search-menu .results .secondary-results .search-result-group .search-link{color:#a6a6a6}.search-menu .results .secondary-results .search-result-group .search-link:hover{color:#ddd}.search-menu .results .secondary-results .search-result-group .group-result{display:flex;align-items:center}.search-menu .results .secondary-results .search-result-group .group-result .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair{min-width:25px;margin-right:0.5em}.search-menu .results .secondary-results .search-result-group .group-result .d-icon .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair .d-icon{margin-right:0}.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair-image{background-repeat:no-repeat;background-size:100% 100%;min-height:25px}.search-menu .results .secondary-results .search-result-group .group-result .group-names{display:flex;flex-direction:column;overflow:auto;line-height:1.2}.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .slug{color:#a6a6a6}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name{font-weight:700}.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{font-size:.8706em;color:#a6a6a6}.search-menu .results .secondary-results .search-result-category .list,.search-menu .results .secondary-results .search-result-user .list,.search-menu .results .secondary-results .search-result-group .list,.search-menu .results .secondary-results .search-result-tag .list{display:block}.search-menu .results .secondary-results .search-result-category .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-user .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-group .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-tag .list .item .widget-link.search-link{flex:1;font-size:1em;padding:5px}.search-menu .results .secondary-results .search-result-user .user-result{display:flex;flex-direction:row;align-items:center}.search-menu .results .secondary-results .search-result-user .user-result .avatar{margin-right:0.5em;display:block;min-width:25px}.search-menu .results .secondary-results .search-result-user .user-result .user-titles{display:flex;flex-direction:column;overflow:auto;line-height:1.2}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username,.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username{color:#bdbdbd;font-size:.8706em}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{color:#bdbdbd;font-size:1em;font-weight:700}.search-menu .results .show-more{padding:5px}.search-menu .searching{position:absolute;top:1.15em;right:1em}.search-menu .searching .spinner{width:10px;height:10px;border-width:2px;margin:0}.search-menu .no-results{padding:5px}.search-menu .filter{padding:0}.search-menu .filter:hover{background:transparent}.search-menu .search-link{margin-bottom:0.25em}.search-menu .search-link .badge-category-parent{line-height:1}.search-menu .search-link .topic{display:inline-block;line-height:1.2}.search-menu .search-link .topic-title{margin-right:0.25em}.user-badge,#user-card .sixth-row .badge-section .more-user-badges a{padding:3px 8px;color:#ddd;border:1px solid #313131;line-height:1.4;display:inline-flex;align-items:center;background-color:#222;margin:0 0 3px}.user-badge img,#user-card .sixth-row .badge-section .more-user-badges a img{height:16px;width:16px}.user-badge .badge-display-name,#user-card .sixth-row .badge-section .more-user-badges a .badge-display-name{margin-left:0.25em}.user-badge.badge-type-gold .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-gold .fa{color:#e7c300 !important}.user-badge.badge-type-silver .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-silver .fa{color:silver !important}.user-badge.badge-type-bronze .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-bronze .fa{color:#cd7f32 !important}.user-badge.disabled,#user-card .sixth-row .badge-section .more-user-badges a.disabled{color:#909090;background-color:#282828}.user-badge.disabled .fa,#user-card .sixth-row .badge-section .more-user-badges a.disabled .fa{opacity:0.4}@media all and (max-width: 750px){.show-badge .user-badge-with-posts .badge-user a.post-link{width:auto}.show-badge div.badge-user{padding:0}.badges-listing{display:block}.badges-listing .info,.badges-listing .grant-count{text-align:left}.badges-listing .row>div.info{display:none}.badges-listing .row{display:block}.badges-listing .row>div{display:block;margin-top:10px}}.show-badge .badge-user-info .earned{font-size:1.3195em;margin-bottom:1em}.show-badge .single-user{margin-left:2%;padding-bottom:20px}.show-badge .single-user .load-more{padding-top:30px;display:block;font-size:1.3195em}.show-badge .single-user .badge-user{padding-left:0;text-align:left;display:block;margin:20px 0;width:800px}.show-badge .single-user .badge-user .badge-info{display:none}.show-badge .single-user .badge-user .date{display:inline-block;font-size:1.1487em;margin-left:10px}.show-badge .single-user .badge-user .post-link{font-size:1.3195em;width:500px;margin:0;padding:0}.show-badge .single-user .badge-user:after{content:"";clear:both;display:table}.long-description.banner{width:88%;margin-bottom:15px;margin-top:15px}.badge-card{position:relative;display:inline-block;background-color:#282828;border:1px solid #313131;margin-bottom:2vh;transition:box-shadow 0.25s}.badge-card .check-display{position:absolute;left:5px;top:5px}.badge-card .grant-count{position:absolute;right:5px;top:5px;font-weight:bold;color:#909090;font-size:1.3195em}.badge-card .badge-contents{display:flex;min-height:128px;height:100%;padding:0 10%}.badge-card .badge-contents .badge-link{color:#ddd}.badge-card .badge-contents .badge-icon{display:flex;flex:0 0 auto;width:1.23em;margin-right:5%;align-items:center;justify-content:center;font-size:3.5em}.badge-card .badge-contents .badge-icon a{width:100%}.badge-card .badge-contents .badge-icon img{width:100%;max-width:65px;max-height:80px}.badge-card .badge-contents .badge-icon.badge-type-gold .fa{color:#e7c300 !important}.badge-card .badge-contents .badge-icon.badge-type-silver .fa{color:#c0c0c0 !important}.badge-card .badge-contents .badge-icon.badge-type-bronze .fa{color:#cd7f32 !important}.badge-card .badge-contents .badge-info{display:flex;flex:1 1 auto;align-items:center;padding:1em 1.5em 1em 0;color:#ddd}@media screen and (max-width: 600px){.badge-card .badge-contents .badge-info{padding-right:0}}.badge-card .badge-contents .badge-info h3{margin-bottom:0.25em;font-size:1.1487em}@media screen and (min-width: 900px){.badge-card .badge-contents .badge-info h3{font-size:1.3195em}}.badge-card.medium{flex:0 0 auto;width:32%;margin-right:1.63%}@media screen and (min-width: 851px){.badge-card.medium:nth-of-type(3n){margin-right:0}}@media screen and (max-width: 850px){.badge-card.medium{width:48.5%}.badge-card.medium:nth-of-type(2n){margin-right:0}}@media screen and (max-width: 550px){.badge-card.medium{flex:0 0 100%}}.badge-card.medium:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15)}.badge-card.medium:active{box-shadow:none}.badge-card.large{width:100%;align-self:flex-start}@media screen and (min-width: 767px){.badge-card.large{max-width:calc(1110px / 2);margin-right:1.5em}}.badge-card.large .badge-contents{padding:0 5%}.badge-card.large .badge-contents h3{font-size:1.5157em}.badges-granted{display:flex;flex-wrap:wrap}@media screen and (max-width: 800px){.badges-granted{justify-content:space-between}}.badge-groups{margin:20px 0;color:#919191}.badge-groups h3{margin-bottom:1em}.badge-title .user-content{padding:0}.badge-group-list{margin-bottom:1.5em;display:flex;flex-wrap:wrap}@media screen and (max-width: 850px){.badge-group-list{justify-content:space-between}}.badge-group-list .title{width:100%;font-size:1.1487em}.show-badge-details{display:flex;flex-wrap:wrap;flex-direction:row;margin-bottom:2em;margin-top:1em}.show-badge-details .badge-grant-info.hidden{display:none}.show-badge-details .grant-info-item{margin-bottom:1em;color:#919191}.show-badge-details .grant-info-item:first-of-type{margin-right:10px}.show-badge-details .badge-set-title{padding:1.5em;border:1px solid #313131}.show-badge-details .badge-set-title .user-content{padding:0}.show-badge-details .badge-set-title .user-content .control-group{margin-bottom:1em}.show-badge-details .badge-title .form-horizontal .controls{margin-left:0}.show-badge-details .form-horizontal{margin-bottom:0}.check-display{display:inline-block;padding:0 0.25em;border-radius:10px;text-align:center}.check-display .fa{font-size:0.9em;color:#222}.check-display.status-checked{background-color:#1ca551}.check-display.status-unchecked{background-color:#e45735}.hyperlink{cursor:pointer}.reviewable .flagged-post-header{width:100%;display:flex;justify-content:space-between}.reviewable .status{color:#909090}.reviewable .status span.approved{color:#1ca551}.reviewable .status span.approved .d-icon{color:currentColor}.reviewable .status span.rejected{color:#e45735}.reviewable .status span.rejected .d-icon{color:currentColor}.reviewable .explain{margin-left:0.5em}.reviewable .nav-pills{margin-bottom:1em}.reviewable .reviewable-container{display:flex;flex-direction:row;margin-top:1em}.reviewable .reviewable-container .reviewable-list{flex:1;box-sizing:border-box;max-width:760px;min-width:0;margin-right:auto}.reviewable .reviewable-container .reviewable-filters{width:250px;height:100%;box-sizing:border-box}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin-left:1em}.reviewable-settings h4{margin-top:1em;margin-bottom:1em}.reviewable-settings .saved{margin-left:0.5em}.reviewable-settings .reviewable-score-type{display:flex;margin-bottom:0.5em}.reviewable-settings .reviewable-score-type .select-kit{min-width:10em}.reviewable-settings .reviewable-score-type .title{width:30%}.reviewable-user-info{margin:0.5em 0}.reviewable-user-info .reviewable-user-fields{margin-bottom:2em}.reviewable-user-info .reviewable-user-details{border-bottom:1px solid #313131;padding-bottom:0.25em;display:flex;margin-bottom:0.5em}.reviewable-user-info .reviewable-user-details .name{width:8em;font-weight:bold;margin-right:1em}.no-review{margin-top:1em}.reviewable-filters{background-color:#282828;padding:1em;margin-bottom:1em}.reviewable-filters .reviewable-filter{display:flex;flex-direction:column;margin:0 0 1em 0}.reviewable-filters .reviewable-filter .filter-label{margin:0 0 0.5em 0}.reviewable-filters .reviewable-filter .score-filter{margin:0;width:100%}.reviewable-filters .reviewable-filter .category-chooser{width:100%}.reviewable-filters .reviewable-filter .d-date-time-input-range{width:inherit;border:none;padding:0}.reviewable-filters .reviewable-filter .d-date-time-input-range .d-date-input{flex:1 1 auto;border:1px solid #909090}.reviewable-claimed-topic{display:flex;align-items:center}.reviewable-claimed-topic .btn-small{margin-left:0.5em}.reviewable-actions .claimed-actions{display:flex;width:100%;justify-content:space-between;align-items:center;margin-bottom:0.5em}.claimed-by{display:flex;align-items:center}.claimed-by .claimed-username{margin-left:0.5em}.reviewable-topics{width:100%}.reviewable-topics tbody td{padding:0.5em}.reviewable-topics .reviewable-details{display:flex;justify-content:flex-end}.reviewable-topics .reviewable-details .btn{display:flex;align-items:center;margin-left:1em}.reviewable-filters .topic-filter .btn{display:flex;width:auto}.reviewable-filters .refresh{height:1em;display:flex}.reviewable-filters .score-filter{width:5em}.user-flag-percentage{display:flex;align-items:center;margin-left:0.5em}.user-flag-percentage .percentage-label{margin-right:0.25em}.user-flag-percentage .percentage-label.agreed{color:#1ca551}.user-flag-percentage .percentage-label.agreed+.d-icon{color:#1ca551}.user-flag-percentage .percentage-label.disagreed{color:#e45735}.user-flag-percentage .percentage-label.disagreed+.d-icon{color:#e45735}.user-flag-percentage .percentage-label.ignored{color:#909090}.user-flag-percentage .d-icon{font-size:0.9em}.reviewable-item{padding-top:2em;border-top:1px solid #bdbdbd;padding-bottom:1em}.reviewable-item .topic-statuses{font-size:1.3195em}.reviewable-item .reviewable-meta-data{color:#919191;display:flex;width:100%;margin-bottom:0.5em;font-size:.8706em;align-items:baseline}.reviewable-item .reviewable-meta-data .reviewable-type{margin-right:0.25em}.reviewable-item .reviewable-meta-data .reply-count{margin-left:1em}.reviewable-item .reviewable-meta-data .created-at{margin-left:1em;margin-right:auto}.reviewable-item .reviewable-meta-data .created-at a{color:#919191}.reviewable-item .reviewable-meta-data .score{font-size:.8706em}.reviewable-item .reviewable-contents{display:flex;flex-wrap:wrap;margin-bottom:2em}.reviewable-item .reviewable-actions{display:flex;flex-wrap:wrap}.reviewable-item .reviewable-actions button{white-space:nowrap}.reviewable-item .reviewable-actions .reviewable-action,.reviewable-item .reviewable-actions .reviewable-action-dropdown{margin-right:0.5em}.reviewable-histories{margin-top:1em}.reviewable-scores{min-width:50%;color:#a6a6a6}.reviewable-scores .reviewed-by .date{margin-left:0.5em}.reviewable-scores .user,.reviewable-scores .reviewed-by{display:flex;align-items:center}.reviewable-scores .user-flag-percentage{margin-left:0.5em}.reviewable-scores .d-icon{font-size:.8706em;color:#909090}.reviewable-scores .badge-notification{line-height:1.2;vertical-align:text-top}.reviewable-scores tbody{border-width:1px}.reviewable-scores tbody td{white-space:nowrap;vertical-align:baseline}.reviewable-scores tbody td.user a,.reviewable-scores tbody td.reviewed-by a{max-width:150px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.reviewable-scores tbody td:last-of-type{width:100%;white-space:normal}.reviewable-scores tbody>tr>th{text-align:left}.reviewable-scores tbody>tr>th:not(:empty),.reviewable-scores tbody>tr>td:not(:empty){padding:0.5em 1em 0.5em 0}@media screen and (max-width: 450px){.reviewable-scores tbody>tr>th,.reviewable-scores tbody>tr>td{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-right:0.5em}}.reviewable-scores tbody .reviewable-score-spacer{padding-right:1em}.reviewable-score-reason{margin:0.5em 0;max-width:690px;margin-bottom:0.5em}.reviewable-conversation{margin:0.5em 0}.reviewable-conversation .reviewable-conversation-post{max-width:690px;margin-bottom:0.5em}.reviewable-conversation .reviewable-conversation-post .username{font-weight:bold;margin-right:0.25em}.reviewable-conversation .controls{margin-top:0.25em}.reviewable-item .show-raw-email{color:#909090;font-size:.7579em}.reviewable-item .post-title{background-color:yellow}.reviewable-item .created-by{margin-right:1em;padding-top:0.35em}@media screen and (max-width: 450px){.reviewable-item .created-by{float:left;margin-bottom:1em}}.reviewable-item .names{font-weight:bold}.reviewable-item .post-contents-wrapper{width:100%;margin-top:1em;min-width:275px;word-break:break-word}@media screen and (min-width: 450px){.reviewable-item .post-contents-wrapper{display:flex}}.reviewable-item .reviewable-post-header{display:flex;justify-content:space-between;max-width:690px;width:690px;align-items:center}.reviewable-item .reviewable-post-header .reviewable-reply-to{display:flex;align-items:center;color:#909090;font-size:0.9em}.reviewable-item .reviewable-post-header .reviewable-reply-to .d-icon{margin-right:0.5em}.reviewable-item .post-contents{width:100%;min-width:0}.reviewable-item .post-body{max-width:690px;max-height:300px;margin-top:0.5em;overflow-y:auto}.reviewable-item .post-body p,.reviewable-item .post-body aside{margin:0 0 1em 0}.reviewable-item .post-body pre,.reviewable-item .post-body code{word-break:break-all}.reviewable-item .post-topic{width:100%;color:#909090;margin-bottom:0.75em}.reviewable-item .post-topic .title-text{font-weight:bold;color:#ddd;display:block;font-size:1.3195em;margin-right:0.75em}.reviewable-item .post-topic .topic-statuses:empty{display:none}.editable-fields{width:100%}.editable-fields .editable-created-by{display:flex;margin-bottom:0.5em}.editable-fields .editable-created-by .avatar{margin-right:0.25em}.editable-fields .editable-field{margin-bottom:0.5em}.editable-fields .editable-field .mini-tag-chooser{margin:0}.editable-fields .editable-field .reviewable-input-text{width:100%;margin-bottom:0}.editable-fields .editable-field .reviewable-input-textarea{width:100%;height:10em}@media screen and (max-width: 1000px){table.reviewable-scores{width:100%;display:block}table.reviewable-scores tbody{width:calc(100% - 5px);display:block;clear:both}tr.reviewable-score{display:grid;grid-template-columns:auto auto 1fr}td.reviewable-score-spacer{display:none}}@media screen and (max-width: 450px){tr.reviewable-score{grid-template-columns:auto auto auto}}.shared-draft-controls{background-color:#052e3d;padding:1em;clear:both}.shared-draft-controls .publish-field{margin-top:1em}.explain-reviewable{min-width:500px}.explain-reviewable .thresholds{margin-top:1em}.explain-reviewable table{width:100%}.explain-reviewable table td{padding:0.5em}.explain-reviewable td.sum{text-align:right}.explain-reviewable td.sum.total{font-weight:bold}.explain-reviewable tr.total td{background-color:#313131;font-weight:bold}.explain-reviewable .op{font-weight:bold}.explain-reviewable .score-value-type{color:#909090}.explain-reviewable .op:last-of-type{display:none}.category-color-editor input{width:5.5em;margin-right:1em}.category-color-editor .color-title{display:block;margin:1em 0 0.25em}.category-color-editor .colorpicker-wrapper{display:flex;align-items:center}.category-color-editor .colorpicker-wrapper input,.category-color-editor .colorpicker-wrapper .add-on{align-self:flex-start;margin-bottom:0.125em}.category-color-editor .colors-container{display:inline-flex;flex-wrap:wrap}.category-color-editor .colors-container .colorpicker{position:relative;margin:0 0.125em 0.25em;border:1px solid #909090;width:1.25em;height:1.2em;padding:0;flex:0 0 auto;color:white}.category-color-editor .colors-container .colorpicker svg{display:none}.category-color-editor .colors-container .colorpicker.used-color svg{display:inline-flex;opacity:0.8;max-width:70%}.modal.history-modal #revision-numbers{display:inline-block;min-width:96px;text-align:center}.modal.history-modal #revision{overflow:auto;border-bottom:3px solid #313131}.modal.history-modal table.markdown>tbody>tr>td,.modal.history-modal .revision-content{width:47.5%;float:left}.modal.history-modal table.markdown>tbody>tr>td:nth-of-type(2),.modal.history-modal .revision-content:nth-of-type(2){margin-left:5%}.modal.history-modal #revision-details{padding:5px}.modal.history-modal #revisions .row:first-of-type{margin-top:10px}.modal.history-modal ins code,.modal.history-modal ins img,.modal.history-modal .diff-ins code,.modal.history-modal .diff-ins img{border:2px solid #1ca551}.modal.history-modal ins img,.modal.history-modal .diff-ins img{opacity:0.75;filter:alpha(opacity=75)}.modal.history-modal ins a,.modal.history-modal .diff-ins a{color:#1ca551;text-decoration:none}.modal.history-modal img.diff-ins,.modal.history-modal code.diff-ins{border:2px solid #1ca551}.modal.history-modal img.diff-ins{opacity:0.75;filter:alpha(opacity=75)}.modal.history-modal .diff-ins{color:#ddd;background:#0b4220}.modal.history-modal ins{color:#ddd;background:#0b4220;text-decoration:none}.modal.history-modal del code,.modal.history-modal del img,.modal.history-modal .diff-del code,.modal.history-modal .diff-del img{border:2px solid #e45735}.modal.history-modal del img,.modal.history-modal .diff-del img{opacity:0.5;filter:alpha(opacity=50)}.modal.history-modal del a,.modal.history-modal .diff-del a{color:#e45735;text-decoration:none}.modal.history-modal img.diff-del,.modal.history-modal code.diff-del{border:2px solid #e45735}.modal.history-modal img.diff-del{opacity:0.5;filter:alpha(opacity=50)}.modal.history-modal .diff-del{color:#ddd;background:#591b0c;text-decoration:none}.modal.history-modal del{color:#ddd;background:#591b0c;text-decoration:none}.modal.history-modal span.date{font-weight:bold}.modal.history-modal span.edit-reason{background-color:#4c3319;padding:3px 5px 5px 5px}.modal.history-modal .d-icon-ban{color:#f00}.modal.history-modal .hidden-revision-either{opacity:0.5}.modal.history-modal .hidden-revision-previous .row div:nth-of-type(1),.modal.history-modal .hidden-revision-previous .row td:nth-of-type(1){opacity:0.5}.modal.history-modal .hidden-revision-current .row div:nth-of-type(2),.modal.history-modal .hidden-revision-current .row td:nth-of-type(2){opacity:0.5}@-webkit-keyframes popoverFadeIn{from{opacity:0}to{opacity:1}}@keyframes popoverFadeIn{from{opacity:0}to{opacity:1}}#d-popover{background-color:#222;position:absolute;z-index:1600;border-color:#909090;border-style:solid;border-width:1px;max-width:300px;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;background-clip:padding-box;display:block;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);border-radius:2px}#d-popover.is-under{margin-top:0px}#d-popover.is-under .d-popover-top-arrow{display:block}#d-popover.is-under .d-popover-bottom-arrow{display:none}#d-popover.is-above{margin-top:0px}#d-popover.is-above .d-popover-bottom-arrow{display:block}#d-popover.is-above .d-popover-top-arrow{display:none}#d-popover.retina{border-width:0.5px}#d-popover .d-popover-content{padding:0.5em;font-size:.8706em;overflow-wrap:break-word;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s}#d-popover .d-popover-arrow{border-style:solid;color:transparent;content:"";position:absolute;z-index:calc(z("tooltip") - 100)}#d-popover .d-popover-top-arrow{border-color:transparent transparent #909090;top:8px;transform:translate(0, -15px);border-width:0 8px 8px}#d-popover .d-popover-top-arrow:after{border-color:transparent transparent #222;border-style:solid;border-width:0 7px 7px;bottom:-8px;margin-left:-7px;position:absolute;content:""}#d-popover .d-popover-bottom-arrow{border-color:#909090 transparent transparent;top:calc(100% + 16px);transform:translate(0, -16px);border-width:8px 8px 0}#d-popover .d-popover-bottom-arrow:after{position:absolute;content:"";border-color:#222 transparent transparent;border-style:solid;border-width:7px 7px 0;bottom:2px;transform:translate(-7px, 0)}div.tagsinput{border:1px solid #ccc;background:#fff;padding:5px 5px 0;width:584px;height:100px;overflow-y:auto;border-radius:4px}div.tagsinput span.tag{border:1px solid #a5d24a;border-radius:2px;display:block;float:left;padding:1px 5px;text-decoration:none;background:#cde69c;color:#638421;margin-right:5px;margin-bottom:5px;font-family:helvetica;font-size:.8706em}div.tagsinput span.tag a{font-weight:bold;color:#82ad2b;text-decoration:none;font-size:.7579em}div.tagsinput input{width:80px;font-family:helvetica;font-size:.8706em;border:1px solid transparent;padding:2px 5px;background:transparent;color:#000;outline:0;margin:0 5px 5px 0}div.tagsinput div{display:block;float:left}.tags_clear{clear:both;width:100%;height:0}.not_valid{background:#fbd8db !important;color:#90111a !important}.d-icon.d-icon-d-regular,.d-icon.d-icon-d-muted,.d-icon.d-icon-d-watching-first,.d-icon.d-icon-d-watching-first-post{color:#919191}.d-icon.d-icon-d-tracking,.d-icon.d-icon-d-watching{color:#0f82af}.directory{margin-bottom:100px}.directory .user-info{margin-bottom:0}.directory .period-chooser{float:left}.directory .filter-name{float:right}.directory .spinner{clear:both}.directory table{width:100%;margin-bottom:1em}.directory table td,.directory table th{padding:0.5em;text-align:left;border-bottom:1px solid #313131}@media screen and (max-width: 800px){.directory table td,.directory table th{padding:0.5em 0.25em}}.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.5157em;color:#909090}@media screen and (max-width: 800px){.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.1487em}}.directory table td .time-read,.directory table th .time-read{white-space:nowrap}.directory table th.sortable{width:13%}.directory table th.sortable .d-icon-heart{color:#fa6c8d;margin:0 0.25em 0 0}.directory .me{background-color:#4c3319}.directory .me .username a,.directory .me .name,.directory .me .title,.directory .me .number,.directory .me .time-read{color:#909090}.alert{padding:8px 32px 8px 16px;background-color:#591b0c;color:#ddd;position:relative}.alert .close{position:absolute;top:8px;right:8px;font-size:1.5157em}.alert .close .d-icon{color:#7a7a7a}.alert.alert-success{background-color:#0b4220;color:#ddd}.alert.alert-error{background-color:#591b0c;color:#ddd}.alert.alert-info{background-color:#052e3d;color:#ddd}.alert.alert-info.clickable{color:#0f82af}.group-details-container{background:#282828;padding:20px;margin-bottom:15px;position:relative}.group-outlet{position:relative}.group-members-actions{display:flex;flex-wrap:wrap;width:100%}.group-members-actions input+.group-members-manage{margin-left:auto}.group-members-actions .group-username-filter{margin:0 0 5px 0;vertical-align:middle}.group-info{width:100%}.group-info .group-info-name{font-size:1.5157em;font-weight:bold;color:#ddd}.group-info .group-info-full-name{font-size:1.3195em;color:#bdbdbd}.group-info span{display:inline-block;vertical-align:middle}.group-info .avatar-flair-image{width:50px}.group-info .avatar-flair{background-size:50px;height:50px;width:50px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat}.group-info .avatar-flair .d-icon{height:27.77778px;width:27.77778px}.group-manage-logs-filter{margin-right:10px}.group-manage-logs-filter:hover{background-color:#e45735}table.group-manage-logs{width:100%}table.group-manage-logs td{padding:0.5em}table.group-manage-logs .group-manage-logs-expand-details{cursor:pointer}table.group-manage-logs .group-manage-logs-expand-details .d-icon{color:#909090}table.group-members{width:100%;table-layout:fixed}table.group-members th:first-child{width:30%;text-align:left}table.group-members th:last-child{width:5%}table.group-members th.group-members-actions{width:5%}table.group-members th{text-align:center}table.group-members tr .user-info{display:block}table.group-members tr .user-info .avatar-flair{color:#ddd}table.group-members tr td:first-child{text-align:left}table.group-members tr td{text-align:center;color:#909090;padding:0.8em 0}.group-owner-label{color:#ddd}.form-vertical .group-flair-inputs{display:inline-block}.form-vertical .avatar-flair-preview{position:relative;width:45px}.form-vertical .avatar-flair-preview .avatar-wrapper{background-color:#f4f4f4}.group-form-save{margin-right:20px}.group-add-members .group-add-members-make-owner label{display:inline;vertical-align:middle}.group-add-members .group-add-members-make-owner input[type="checkbox"]{vertical-align:middle}img.emoji{width:20px;height:20px;vertical-align:middle}small img.emoji,sub img.emoji,sup img.emoji{height:1.1em;width:1.1em}.emoji-picker{background-clip:padding-box;z-index:1300;position:fixed;display:none;flex-direction:row;height:320px;color:#ddd;background-color:#222;border:1px solid #313131}.emoji-picker .categories-column{display:flex;flex-direction:column;flex:1 0 0px;align-items:center;justify-content:space-between;border-right:1px solid #313131;min-width:36px}.emoji-picker .category-icon{display:block;margin:4px auto;-webkit-filter:grayscale(100%);filter:grayscale(100%)}.emoji-picker .category-icon button.emoji{margin:0;padding:0}.emoji-picker .category-icon.current,.emoji-picker .category-icon:hover{-webkit-filter:grayscale(0%);filter:grayscale(0%)}.emoji-picker .main-column{display:flex;flex-direction:column;flex:20}.emoji-picker .list{overflow-y:scroll;-webkit-overflow-scrolling:touch;padding:0;flex:1 0 0px;flex-direction:column}.emoji-picker .section-header{padding:8px;margin-top:2px;margin-bottom:0px;padding-bottom:0px;justify-content:space-between;display:flex;align-items:center;font-weight:bold}.emoji-picker .section-header .title{color:#ddd}.emoji-picker .section-header .clear-recent .fa{margin:0;padding:0;color:#ddd}.emoji-picker .section-header .clear-recent .fa:hover{color:#ddd}.emoji-picker .section-group{flex-wrap:wrap;display:flex;align-items:center;justify-content:flex-start;padding:4px}.emoji-picker .footer{align-items:center;display:flex;justify-content:space-between;border-top:1px solid #313131}.emoji-picker .info{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-left:8px;font-weight:700;max-width:125px}.emoji-picker .diversity-picker{display:flex;justify-content:flex-end;padding:8px}.emoji-picker .diversity-picker .diversity-scale{width:20px;height:20px;margin-left:5px;border:0;border-radius:3px;display:flex;align-items:center;justify-content:center;cursor:pointer}.emoji-picker .diversity-picker .diversity-scale.default{background:#ffcc4d}.emoji-picker .diversity-picker .diversity-scale.light{background:#f7dece}.emoji-picker .diversity-picker .diversity-scale.medium-light{background:#f3d2a2}.emoji-picker .diversity-picker .diversity-scale.medium{background:#d5ab88}.emoji-picker .diversity-picker .diversity-scale.medium-dark{background:#af7e57}.emoji-picker .diversity-picker .diversity-scale.dark{background:#7c533e}.emoji-picker .diversity-picker .diversity-scale.selected .d-icon{display:block}.emoji-picker .diversity-picker .d-icon{display:none}.emoji-picker .diversity-picker .d-icon{color:#fff;font-size:1em;filter:drop-shadow(0.5px 1.5px 0 rgba(0,0,0,0.3))}.emoji-picker button.emoji{background:transparent;background-position:center;background-repeat:no-repeat;border-radius:0;background-size:20px 20px;-moz-box-sizing:content-box;box-sizing:content-box;height:20px;border:0;vertical-align:top;width:20px;outline:none;padding:3px;margin:2px}.emoji-picker .section-group button.emoji:hover,.emoji-picker .results button.emoji:hover{display:inline-block;vertical-align:top;border-radius:2px;background-color:#94daf6}.emoji-picker-modal.fadeIn{z-index:1200;position:fixed;left:0;top:0;width:100%;height:100%;opacity:0.8;background-color:black}.emoji-picker .filter{background-color:none;border-bottom:1px solid #313131;padding:5px;display:flex;position:relative;align-items:center}.emoji-picker .filter input[type="text"]{width:auto !important}.emoji-picker .filter .d-icon-search{color:#ddd;font-size:1.1487em;margin-left:5px;margin-right:5px}.emoji-picker .filter input{height:24px;margin:0;flex:1 0 0px;border:none;box-shadow:none;padding-right:24px;outline:none;color:#ddd;background:#222}.emoji-picker .filter input:focus{border:none;box-shadow:none}.emoji-picker .filter input::-ms-clear{display:none}.emoji-picker .results{display:none;flex-wrap:wrap;align-items:center;justify-content:flex-start;padding:4px;flex:1 0 0px}.emoji-picker .filter .clear-filter{position:absolute;right:5px;top:12px;border:0;background:none;color:#ddd;outline:none;display:none}.emoji-picker .filter .clear-filter:hover{color:#ddd}.topic-list.shared-drafts{margin-bottom:1.5em}.show-more{width:100%;z-index:1}.show-more.has-topics{position:absolute;top:7px}.list-controls{clear:both;margin-bottom:5px}.list-controls .combo-box .combo-box-header{background:#222;color:#ddd;border:1px solid #909090;font-size:1em;transition:none;height:10px}.list-controls .select-kit{align-self:center}.list-controls .select-kit .select-kit-collection{font-size:.8706em;max-height:40vh}.list-controls .select-kit .select-kit-collection .texts,.list-controls .select-kit .select-kit-collection .icons{font-size:1.1487em}.list-controls .select-kit.categories-admin-dropdown,.list-controls .select-kit.tags-admin-dropdown,.list-controls .select-kit.category-notifications-button,.list-controls .select-kit.tag-notifications-button{float:right}.list-controls .select-kit.categories-admin-dropdown button,.list-controls .select-kit.tags-admin-dropdown button,.list-controls .select-kit.category-notifications-button button,.list-controls .select-kit.tag-notifications-button button{display:inline-block}.list-controls .category-heading{max-width:100%}.topic-list-item.visited a.title:not(.badge-notification),.latest-topic-list-item.visited a.title:not(.badge-notification),.category-topic-link.visited a.title:not(.badge-notification){color:#909090}.topic-list-main-link,.topic-list .main-link,.latest-topic-list-item .main-link{font-size:1.1487em}.topic-list-main-link a.title,.topic-list .main-link a.title,.latest-topic-list-item .main-link a.title{padding:15px 0;word-break:break-word;color:#ddd}.anon .topic-list-main-link a.title:visited:not(.badge-notification),.anon .topic-list .main-link a.title:visited:not(.badge-notification),.topic-list .anon .main-link a.title:visited:not(.badge-notification),.anon .latest-topic-list-item .main-link a.title:visited:not(.badge-notification),.latest-topic-list-item .anon .main-link a.title:visited:not(.badge-notification){color:#909090}.topic-list-main-link a.title.visited:not(.badge-notification),.topic-list .main-link a.title.visited:not(.badge-notification),.latest-topic-list-item .main-link a.title.visited:not(.badge-notification){color:#909090}.topic-list{width:100%;border-collapse:collapse}.topic-list>tbody>tr.has-excerpt .star{vertical-align:top;margin-top:2px}.topic-list>tbody>tr.last-visit{border-bottom:none}.topic-list>tbody>tr .topic-list-separator{text-align:center}.topic-list .topic-list-item-separator{border:none}.topic-list .topic-list-item-separator td{border-bottom:1px solid #a13116;line-height:0.1em;padding:0;text-align:center}.topic-list .topic-list-item-separator td span{background-color:#222;color:#a13116;padding:0 8px;font-size:.8706em}.topic-list th,.topic-list td{line-height:1.4;text-align:left;vertical-align:middle}.topic-list th button .d-icon{color:#909090}.topic-list td{color:#909090;font-size:1em}.topic-list .main-link .raw-topic-link>*{pointer-events:none}.topic-list .unread-indicator.read{display:none}.topic-list .unread-indicator .d-icon{vertical-align:middle;font-size:.5em}.topic-list .link-bottom-line{font-size:.8706em;display:flex;flex-wrap:wrap;align-items:center}.topic-list .link-bottom-line .discourse-tags{flex-wrap:wrap;-ms-flex:1 0 0px}.topic-list .link-bottom-line a.badge-wrapper.box,.topic-list .link-bottom-line a.discourse-tag.box{padding-top:0;padding-bottom:0}.topic-list .link-bottom-line .discourse-tag.simple:after,.topic-list .link-bottom-line .discourse-tag.box{margin-right:0.25em}.topic-list .topic-featured-link{padding-left:5px}.topic-list .topic-excerpt{font-size:.8706em;margin-top:5px;color:#a6a6a6;word-wrap:break-word;line-height:1.4;padding-right:20px}.topic-list .topic-statuses:empty{display:none}.topic-list .num{text-align:center}.topic-list .num a:not(.badge-posts){color:inherit}.topic-list .num a.badge-posts{font-weight:bold}.topic-list .num.posts a{padding:15px 5px}.topic-list .num.activity a{padding:15px 5px}.heatmap-high,.heatmap-high a{color:#fe7a15 !important}.heatmap-med,.heatmap-med a{color:#cf7721 !important}.heatmap-low,.heatmap-low a{color:#9b764f !important}.loading .topic-list{border:0;box-shadow:none}.loading .topic-list tr{background-color:transparent}#list-area{margin-bottom:100px}#list-area .empty-topic-list{padding:10px}#list-area .unseen{background-color:transparent;padding:0;border:0;color:#a13116;font-size:1em;cursor:default}.topic-list .alert{margin-bottom:0;font-size:1em}.topic-list .spinner{margin-top:40px}ol.category-breadcrumb.hidden{display:none}ol.category-breadcrumb{display:block;float:left;list-style:none;margin:0 10px 10px 0;padding:0}ol.category-breadcrumb li{float:left;margin-right:5px}ol.category-breadcrumb .bread-crumbs-right-outlet{float:left}.d-icon-thumbtack.unpinned{-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=1)";-webkit-transform:rotate(180deg);-ms-transform:rotate(180deg);transform:rotate(180deg)}.top-title-buttons{display:inline}.top-title-buttons button{margin-right:0.5em}div.education{color:#919191}div.education .badge-notification.new-posts{vertical-align:text-bottom}.list-cell,.table-heading,.category-list td,.category-list th{padding:12px 5px;color:#646464}.table-heading{border-bottom:3px solid #313131}.topic-post-badges{white-space:nowrap;align-self:center;line-height:1.2}.user-content-wrapper{width:100%;display:grid;grid-template-columns:1fr 5fr;grid-template-rows:auto auto 1fr auto;grid-row-gap:20px}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-column-end:3;grid-row-start:1;grid-row-end:2}.user-content-wrapper .user-secondary-navigation{grid-column-start:1;grid-column-end:2;grid-row-start:2;grid-row-end:3}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:2;grid-row-end:4;grid-column-start:1;grid-column-end:3}.user-content-wrapper .user-content{min-width:100%}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:2;grid-column-end:3}.user-content-wrapper .user-additional-controls{grid-row-start:3;align-self:start;justify-self:start}.user-content-wrapper{display:-ms-grid;-ms-grid-columns:1fr 5fr;-ms-grid-rows:auto auto 1fr auto}.user-content-wrapper .user-primary-navigation{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2}.user-content-wrapper .user-secondary-navigation{-ms-grid-row:2;-ms-grid-column:1}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:2}.user-content-wrapper .user-secondary-navigation+.user-content{-ms-grid-column:2;-ms-grid-column-span:1}.user-content-wrapper .user-additional-controls{-ms-grid-row:3;-ms-grid-column-align:start;-ms-grid-row-align:start}.user-content .list-actions{display:flex;margin-bottom:12px}.user-content .list-actions .btn{margin-right:12px}.user-content .paginated-topics-list{position:relative}.user-content .show-mores{width:100%}.user-content .d-icon-heart{color:#fa6c8d}.user-main .about{width:100%;margin-bottom:15px}.user-main .about.has-background .user-profile-image{background-size:cover;background-position:center center;background-repeat:no-repeat}.user-main .about.has-background .staff-counters{margin-bottom:0}.user-main .about .secondary{display:inline-block;width:100%;border-top:1px solid #313131}.user-main .about .secondary .btn{padding:4px 12px}.user-main .about .secondary dl{margin:0;padding:5px 10px}.user-main .about .secondary dl div{display:inline-flex;align-items:baseline;margin-right:15px;margin:4px 0}.user-main .about .secondary dt,.user-main .about .secondary dd{display:inline-flex;align-items:center}.user-main .about .secondary dd{padding:0;margin:0 15px 0 0;color:#ddd}.user-main .about .secondary dd.groups span:not(:last-of-type){margin-right:0.25em}.user-main .about .secondary dd.groups span:after{content:","}.user-main .about .secondary dd.groups span:last-of-type:after{content:""}.user-main .about .secondary dt{color:#919191;margin-right:5px;display:inline-block}.user-main .about .details{background:rgba(34,34,34,0.8);border-bottom:1px solid #313131}.user-main .about .details h1{font-size:2em;font-weight:normal}.user-main .about .details h1 .d-icon{font-size:0.8em}.user-main .about .details h2{font-weight:normal;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-main .about .details h3{font-weight:normal;margin-bottom:0.5em}.user-main .about .details h3 .d-icon:not(:first-of-type){margin-left:10px}.user-main .about .details .groups{margin-left:10px;display:inline}.user-main .about .details img.avatar{float:left}.user-main .about .details .suspended{color:#e45735}.user-main .about .details .primary{width:100%;position:relative}.user-main .about .details .primary h1{font-weight:bold}.user-main .about .details .primary .bio{max-height:300px;overflow:auto}.user-main .about .details .primary .bio a[href]{text-decoration:underline}.user-main .about .details .primary .bio img{max-width:100%}.user-main .about .details .user-profile-avatar{position:relative;float:left}.user-main .about .details .user-profile-avatar .avatar-flair{bottom:8px;right:16px}.user-main .about .controls ul{list-style-type:none}.user-main .about .controls .btn{margin-bottom:10px;line-height:1.2}.user-main .about.collapsed-info .details{margin-top:0;background:rgba(34,34,34,0.8)}.user-main .about.collapsed-info .details .bio{display:none}.user-main .about.collapsed-info .details .primary{width:100%}.user-main .about.collapsed-info .details .primary .avatar{margin-right:10px;width:45px;height:45px}.user-main .about.collapsed-info .details .primary h1{font-size:1.5157em}.user-main .about.collapsed-info .details .primary h2{font-size:1.1487em}.user-main .about.collapsed-info .details .primary h3,.user-main .about.collapsed-info .details .primary h3.location-and-website{display:none}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair{bottom:8px;right:2px}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair .d-icon{font-size:1em}.user-main .staff-counters{background:#ddd;color:#222;display:flex;padding:10px;margin-bottom:16px}.user-main .staff-counters>div,.user-main .staff-counters>div a{display:flex;align-items:baseline;flex:0 1 auto;margin:0 10px 0 0;color:#222}.user-main .staff-counters>div span,.user-main .staff-counters>div a span{padding:0 7px 1px;border-radius:10px;margin-right:5px}.user-main .staff-counters .active{font-weight:bold}.user-main .helpful-flags{background-color:#1ca551}.user-main .flagged-posts{background-color:#e49735}.user-main .warnings-received{background-color:#a13116}.user-main .deleted-posts{background-color:#a13116}.user-main .suspensions{background-color:#e45735}.user-main .user-field{margin-bottom:10px}.user-main .user-field .controls label{width:auto;text-align:left;font-weight:normal}.user-main .user-field .controls .instructions{color:#909090;margin-top:5px;margin-bottom:10px;font-size:.8706em}.user-main .user-content .admin-controls nav{margin:0}.user-main .user-content .admin-controls nav .nav-pills{overflow-x:auto}.user-field .required{vertical-align:top;color:#e45735;font-weight:bold;margin-left:0.25em}.public-user-fields{margin-top:8px;margin-bottom:8px}.public-user-fields .user-field-name{font-weight:bold}.collapsed-info .public-user-fields{display:none}.avatar-selector .avatar-choice{display:grid;grid-template-columns:2em 1fr auto;grid-template-rows:auto auto;align-items:center}.avatar-selector .avatar-choice:not(:last-of-type){margin-bottom:0.75em}.avatar-selector .avatar-choice span{word-break:break-word}.avatar-selector .avatar-choice input[type="radio"]{margin-top:0}.avatar-selector .avatar-choice button{margin-left:auto}.avatar-selector label.radio{display:flex;align-items:center;max-width:300px;margin:0 0.5em 0 0;padding:0}.avatar-selector label.radio .avatar{flex:0 0 auto;margin:0 0.75em 0 0}.avatar-selector .error{color:#e45735;margin:0;max-width:calc(300px - 20px);grid-column-start:2;grid-column-end:3}.avatar-selector .avatar-choice{display:-ms-grid;-ms-grid-columns:2em 1fr auto;-ms-grid-rows:auto auto}.avatar-selector .avatar-choice input[type="radio"]{-ms-grid-row:1;-ms-grid-column:1}.avatar-selector .avatar-choice label.radio{-ms-grid-row:1;-ms-grid-column:2}.avatar-selector .avatar-choice span.avatar-uploader{-ms-grid-row:1;-ms-grid-column:3}.avatar-selector .avatar-choice .error{-ms-grid-row:2;-ms-grid-column-span:3}.top-section:before,.top-section:after{content:"";display:table}.top-section:after{clear:both}.top-section ul{list-style:none;margin:0}.top-section,.top-sub-section{margin-bottom:20px}.top-section.badges-section,.top-sub-section.badges-section{display:flex;flex-wrap:wrap}.stats-title{text-transform:uppercase;margin-bottom:10px;width:100%}.stats-section ul{margin:10px 0}.stats-section li{display:inline-block;padding:10px 14px 10px 0;margin:0 10px 10px 0}.stats-section li.linked-stat{padding:0}.stats-section li.linked-stat a{padding:10px 14px 10px 0;width:100%;height:100%;display:block;color:#ddd}.stats-section .value{font-weight:bold;font-size:1.3195em}.stats-section .label{color:#909090}.top-sub-section{width:50%}.top-sub-section ul{max-width:95%}.top-sub-section li{border-left:#313131 solid 2px;padding:5px 8px;margin:10px 0}.top-sub-section .topic-info{color:#909090}@media all and (max-width: 600px){.top-sub-section{float:none;width:100%}}.replies-section li,.topics-section li,.links-section li{word-wrap:break-word}.links-section .domain{font-size:.8706em;color:#909090}.top-categories-section table{max-width:95%}.top-categories-section table tr{border:none}.top-categories-section table td,.top-categories-section table th{padding:0.5em}.top-categories-section table td.topic-count,.top-categories-section table td.reply-count,.top-categories-section table th.topic-count,.top-categories-section table th.reply-count{text-align:center}.summary-user-list li{height:45px}.groups .group-link{color:#0f82af}.user-preferences textarea{height:100px}.user-preferences .tracking-controls label{align-items:center;display:inline-block}.user-preferences .tracking-controls label .d-icon{margin-right:3px}@media screen and (max-width: 550px){.user-preferences .tracking-controls .select-kit.multi-select{width:100%}}.user-preferences .tracking-controls .show-tracking{float:right}.user-preferences .static{color:#ddd;display:inline-block}.user-preferences .instructions{color:#909090;margin-bottom:10px;font-size:.8706em;line-height:1.4}.user-preferences .instructions a[href]{color:#0f82af}.user-preferences .avatar{margin-left:3px}.user-preferences .warning{background-color:#a13116;padding:5px 8px;color:#222;width:520px}.user-preferences .warning-wrap{height:30px;margin-bottom:10px}.user-preferences .tracking-controls{margin-top:24px}.user-preferences.second-factor-backup-preferences{padding-left:0}.user-preferences.second-factor-backup-preferences .second-factor-token-input{margin-right:10px}.user-preferences.second-factor-backup-preferences .form-horizontal .instructions{margin-left:0}.user-preferences.second-factor-backup-preferences .backup-codes{margin:2em 0}.user-preferences.second-factor-backup-preferences .backup-codes .wrapper{display:inline-block;position:relative;padding:10px;border-radius:3px;border:1px solid #313131}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area{resize:none;padding:0;height:auto;text-align:center;width:250px;background:white;border:0;cursor:auto;overflow:hidden;outline:none;font-family:monospace}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area:focus{box-shadow:none;border-color:#313131}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn,.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{right:5px;position:absolute}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn{top:5px}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{top:40px}.user-preferences .pref-associated-accounts table td{padding:8px}.paginated-topics-list .user-content{width:100%;margin-top:0}.large-notification{display:flex;align-items:center}.large-notification a{display:flex;align-items:center}.large-notification a .d-icon{margin-right:0.5em}.large-notification a span:first-child{color:#ddd}.large-notification a div .fa{display:none}.large-notification a div p{margin:0}.qr-code-container{display:flex}.qr-code-container .qr-code{padding:5px 5px 0 5px;background-color:white}.second-factor.instructions{color:#909090;margin-top:5px;margin-bottom:10px;font-size:.8706em}.second-factor .second-factor-item{margin-top:0.75em}.second-factor .btn.edit{min-height:auto}.primary-textual .staged,#user-card .staged{font-style:italic}.selectable-avatars{max-height:350px;margin-bottom:1em;text-align:justify}.selectable-avatars .selectable-avatar{margin:5px;display:inline-block}.selectable-avatars .selectable-avatar .avatar{cursor:pointer;width:60px;height:60px}.selectable-avatars .selectable-avatar .avatar:hover{box-shadow:0 0 10px #ddd}.topic-title-outlet.choose-tags{margin-left:25px;margin-top:3px}.tag-list{margin-top:2em;padding-bottom:1em;border-bottom:1px solid #313131}#list-area .tag-list h3{margin-bottom:20px}.tag-list .tag-box{display:inline-block;width:300px;margin-bottom:1em;float:left;vertical-align:middle}.tag-list .tag-box .discourse-tag{font-size:1em}.tag-list .tag-box .tag-count{font-size:.8706em;vertical-align:middle;line-height:1}.tag-show-heading{display:inline-flex;flex-wrap:wrap;align-items:center;white-space:nowrap;overflow:hidden;text-overflow:hidden}@media screen and (max-width: 450px){.tag-show-heading{width:100%}}.tag-show-heading .d-icon{margin:0 0.25em}.topic-category{display:flex;flex-wrap:wrap;align-items:center}.topic-category .topic-header-extra{display:inline-flex;align-items:center}.topic-category .badge-wrapper{margin-top:0}.discourse-tag-count{font-size:.8706em;color:#909090;line-height:1;vertical-align:middle}.discourse-tag{max-width:14em;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle}.discourse-tag{margin:0;color:#909090}.discourse-tag:visited,.discourse-tag:hover{color:#909090}.extra-info-wrapper .discourse-tag{color:#a6a6a6 !important}.discourse-tag.large{font-size:1.3195em}.discourse-tag.box{background-color:#313131;color:#a6a6a6;padding:2px 8px}.extra-info-wrapper .discourse-tag.box{background-color:#313131;color:#909090}.discourse-tag.simple,.discourse-tag.simple:visited,.discourse-tag.simple:hover{margin-right:0;color:#a6a6a6}.discourse-tag.bullet{margin-right:0.5em;display:inline-flex;align-items:center}.discourse-tag.bullet:before{background:#7a7a7a;margin-right:5px;position:relative;width:9px;height:9px;display:inline-block;content:""}.discourse-tag.bullet.large:before{width:13px;height:13px}.discourse-tags .discourse-tag.simple:not(:last-child):after,.list-tags .discourse-tag.simple:not(:last-child):after{content:", ";margin-left:1px}.d-header .topic-header-extra .discourse-tags{display:inline-block;font-size:.8706em}.d-header .topic-header-extra .discourse-tags+.topic-featured-link{margin-left:8px}.fps-result .add-full-page-tags{display:inline-block}.topic-list-item .discourse-tags{display:inline-flex;font-weight:normal;font-size:.8706em}.categories-list .topic-list-latest .discourse-tags{display:inline-block}.mobile-view .topic-list-item .discourse-tags{display:inline-flex;flex-wrap:wrap;font-size:.8706em;margin-top:0}.mobile-view .topic-list-item .discourse-tags .discourse-tag{margin-right:0.2em}.mobile-view .topic-list-item .discourse-tags .discourse-tag.box{position:relative;top:0}header .discourse-tag{color:#909090}.list-tags{display:inline-block;margin-right:3px;font-size:.8706em}.tag-chooser{width:100%;max-width:100%}.title-wrapper .tag-chooser{width:500px}.tag-sort-options{margin-bottom:20px}.tag-sort-options a{text-decoration:underline}.tag-sort-options span.active a{font-weight:bold}.autocomplete .d-icon-tag{color:#7a7a7a;padding-right:5px}.autocomplete a{color:#909090}.tags-admin-menu{margin-top:20px}.tags-admin-menu ul{width:320px}.tag-groups-container{margin-top:20px}.tag-groups-container .content-list{width:20%;float:left;margin:20px 0}.tag-groups-container .content-list ul{margin-bottom:10px}.tag-groups-container .content-list .btn{margin-left:10px}.tag-groups-container .tag-group-content{width:75%;float:right}.tag-groups-container .tag-group-content section{margin-bottom:20px}.tag-groups-container .tag-group-content label{font-size:1em;display:inline-block;margin-right:10px}.tag-groups-container .tag-group-content .btn{margin-right:10px}.tag-groups-container .tag-group-content h1 input{width:100%}.tag-groups-container .group-tags-list .tag-chooser{width:100%}.tag-groups-container .saving{margin-left:20px}.tag-groups-container .parent-tag-section .tag-chooser{width:200px;margin-right:10px}.tag-info{margin-top:1em;margin-bottom:1em}.tag-info .delete-tag{float:right}.tag-info .synonyms-list,.tag-info .add-synonyms,.tag-info .tag-associations{margin-top:1em}.tag-info .tag-list{border:none}.tag-info .tag-list .d-icon{color:#909090}.tag-info .field{margin-bottom:5px}#reply-control{position:fixed;display:flex;flex-direction:column;bottom:0;height:0;right:0;left:0;margin-left:auto;margin-right:auto;max-width:1475px;width:100%;z-index:400;transition:height 250ms ease, background 250ms ease, transform 250ms ease, max-width 250ms ease;background-color:#222;box-shadow:0 -1px 40px rgba(0,0,0,0.12)}#reply-control.hide-preview{max-width:740px}@media screen and (max-width: 1200px){#reply-control{min-width:0}}#reply-control .reply-area{display:flex;flex-direction:column}#reply-control .saving-text,#reply-control .draft-text{display:none;padding-left:10px}#reply-control .saving-text .spinner,#reply-control .draft-text .spinner{margin-left:5px;border-color:#222;border-right-color:transparent}#reply-control .saving-text .d-icon,#reply-control .draft-text .d-icon{color:#222}#reply-control.open{height:300px}#reply-control.open.edit-title{height:400px}#reply-control.closed{height:0 !important}#reply-control.draft,#reply-control.saving{height:40px !important;align-items:center;background:#0f82af;color:#222;flex-direction:row;width:100%}#reply-control.draft .composer-controls,#reply-control.saving .composer-controls{margin-left:auto;display:flex;padding-right:5px}#reply-control.draft .composer-controls .toggle-toolbar,#reply-control.saving .composer-controls .toggle-toolbar{display:none}#reply-control.draft .composer-controls .d-icon,#reply-control.saving .composer-controls .d-icon{color:#222}#reply-control.draft{cursor:pointer;display:flex}#reply-control.draft .draft-text{display:block}#reply-control.draft .grippie,#reply-control.draft .saving-text{display:none}#reply-control.draft .toggler{order:2}#reply-control.saving .saving-text{display:flex}#reply-control .reply-to{color:#a6a6a6;margin:5px 0 10px 0;display:flex;align-items:center}#reply-control .reply-to .d-icon{color:#909090}#reply-control .reply-to .reply-details{max-width:calc(100% - 175px);flex:1 1 auto;display:flex;align-items:center;white-space:nowrap}#reply-control .reply-to .reply-details .d-icon{opacity:0.8}#reply-control .reply-to .composer-action-title{display:inline-flex;align-items:center;width:auto;max-width:100%}#reply-control .reply-to .composer-action-title .avatar{width:20px}#reply-control .reply-to .composer-action-title .action-title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#reply-control .reply-to .composer-action-title .topic-link,#reply-control .reply-to .composer-action-title .user-link,#reply-control .reply-to .composer-action-title .post-link{margin-right:5px}#reply-control .reply-to .composer-action-title .username{margin-right:5px;max-width:100px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}@media screen and (max-width: 500px){#reply-control .reply-to .composer-action-title .username{display:none}}#reply-control .reply-to .composer-action-title .d-icon{margin-right:5px}#reply-control .reply-to .composer-action-title img.avatar{margin-right:3px}#reply-control .reply-to .composer-controls{display:flex;margin-left:auto}#reply-control .reply-to .composer-controls button{padding:5px 7px}#reply-control .reply-to .composer-controls button.toggler{order:2}#reply-control .whisper,#reply-control .display-edit-reason{font-style:italic}#reply-control .whisper{margin-right:0.25em}#reply-control .display-edit-reason{display:inline-flex}#reply-control .display-edit-reason a{display:inline-flex}#reply-control .display-edit-reason .d-icon{padding:0.3em 0.5em;color:#0f82af}#reply-control #edit-reason{margin:0 4px}#reply-control .user-selector,#reply-control .title-and-category{display:flex;flex-wrap:wrap;width:100%;align-items:center;margin-bottom:5px;position:relative}#reply-control .user-selector.with-preview,#reply-control .title-and-category.with-preview{width:50%}#reply-control .title-input{position:relative;display:flex;flex:1 1 50%}#reply-control .title-input input{flex-grow:1}#reply-control .with-tags .title-input{flex:1 1 100%}#reply-control .category-input{display:flex;flex:1 0 35%;margin:0 0 5px 10px}@media screen and (max-width: 955px){#reply-control .category-input{flex:1 0 100%;margin-left:0}}#reply-control .category-input .category-chooser{display:flex;flex:1 0 auto;width:auto}#reply-control .with-tags .category-input{flex-basis:25%;margin-left:0;margin-right:5px}@media screen and (max-width: 920px){#reply-control .with-tags .category-input{flex-basis:100%;margin-right:0}}#reply-control .add-warning{margin-left:0.75em;margin-bottom:0;display:flex}#reply-control .add-warning input{margin-right:5px}#reply-control #reply-title{margin:0 0 5px 0;flex-basis:50%}#reply-control .mini-tag-chooser{flex:1 1 25%;margin:0 0 5px 0;background:#222;z-index:700}@media all and (max-width: 900px){#reply-control .mini-tag-chooser{margin:0;flex:1 1 100%}}#reply-control .popup-tip{z-index:701}#reply-control .wmd-controls{position:relative;display:flex;flex-direction:column;flex-grow:1;min-height:0}#reply-control .submit-panel{display:flex;flex-shrink:0;margin:7px 0 3px 0}#reply-control .save-or-cancel{flex-basis:50%;display:flex;align-items:center;margin-right:auto}#reply-control .save-or-cancel button{flex:0 0 auto}#reply-control .save-or-cancel .cancel{margin-left:1.25em;line-height:normal;color:#a6a6a6;transition:color 250ms}#reply-control .save-or-cancel .cancel:hover{color:#e45735}#reply-control .save-or-cancel #draft-status,#reply-control .save-or-cancel #file-uploading{margin-left:25px}#reply-control .save-or-cancel #file-uploading{display:flex;align-items:center}#reply-control .save-or-cancel #file-uploading a{margin-left:5px;color:#a6a6a6}#reply-control .save-or-cancel #file-uploading .spinner{margin-right:5px}#reply-control .save-or-cancel #draft-status .d-icon-user-edit{color:#e45735;font-size:20px;vertical-align:-5.5px}#reply-control #draft-status,#reply-control #file-uploading{color:#a6a6a6}.cooked>*:first-child{margin-top:0}.autocomplete{z-index:701;position:absolute;width:240px;background-color:#222;border:1px solid #313131}.autocomplete ul{list-style:none;padding:0;margin:0}.autocomplete ul li{border-bottom:1px solid #313131}.autocomplete ul li .d-icon-users{color:#fff;padding:0 2px}.autocomplete ul li a{padding:5px;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.autocomplete ul li a span.username{color:#ddd}.autocomplete ul li a span.name{font-size:.8706em;vertical-align:middle}.autocomplete ul li a.selected{background-color:#052e3d}.discourse-no-touch .autocomplete ul li a:hover,.discourse-no-touch .autocomplete ul li a.btn-hover{background-color:#22170b;text-decoration:none}div.ac-wrap.disabled input{display:none}div.ac-wrap.disabled .item a{display:none}div.ac-wrap div.item a.remove,.remove-link{margin-left:4px;font-size:.8706em;line-height:1;padding:1px 3.5px;border-radius:12px;box-sizing:border-box;border:1px solid #313131}div.ac-wrap div.item a.remove:hover,.remove-link:hover{background-color:#591b0c;border:1px solid #a13116;text-decoration:none;color:#e45735}div.ac-wrap{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#222;border:1px solid #909090;min-height:30px;box-sizing:border-box}div.ac-wrap div.item{float:left;padding:4px 10px;line-height:1.4}div.ac-wrap div.item span{display:inline-block;line-height:1.2}div.ac-wrap .ac-collapsed-button{float:left;border-radius:20px;position:relative;top:-2px;margin-right:10px}div.ac-wrap input[type="text"]{float:left;display:block;box-shadow:none;border:0;margin:0;background:transparent;min-height:unset}div.ac-wrap input[type="text"].fullwidth-input{width:100%}.future-date-input .examples{color:#909090}.md-table{overflow-y:auto;margin:1em 0}.mobile-view .md-table table{width:100%}.save-animation{-webkit-animation:transformer 5s forwards;animation:transformer 5s forwards}@-webkit-keyframes transformer{90%{-webkit-filter:opacity(1)}100%{-webkit-filter:opacity(0)}}@keyframes transformer{90%{opacity:1}100%{opacity:0}}body.ios-safari-composer-hacks #main-outlet,body.ios-safari-composer-hacks header,body.ios-safari-composer-hacks .grippie,html:not(.fullscreen-composer) body.ios-safari-composer-hacks .toggle-fullscreen{display:none}body.ios-safari-composer-hacks #reply-control{top:0px}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh, 1vh) * 100)}.mfp-bg{top:0;left:0;width:100%;height:100%;z-index:1042;overflow:hidden;position:fixed;background:#0b0b0b;opacity:.8;filter:alpha(opacity=80)}.mfp-wrap{top:0;left:0;width:100%;height:100%;z-index:1043;position:fixed;outline:0 !important;-webkit-backface-visibility:hidden}.mfp-container{text-align:center;position:absolute;width:100%;height:100%;left:0;top:0;padding:0 8px;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.mfp-container:before{content:"";display:inline-block;height:100%;vertical-align:middle}.mfp-align-top .mfp-container:before{display:none}.mfp-content{position:relative;display:inline-block;vertical-align:middle;margin:0 auto;text-align:left;z-index:1045}.mfp-inline-holder .mfp-content,.mfp-ajax-holder .mfp-content{width:100%;cursor:auto}.mfp-ajax-cur{cursor:progress}.mfp-zoom-out-cur,.mfp-zoom-out-cur .mfp-image-holder .mfp-close{cursor:-moz-zoom-out;cursor:-webkit-zoom-out;cursor:zoom-out}.mfp-zoom{cursor:pointer;cursor:-webkit-zoom-in;cursor:-moz-zoom-in;cursor:zoom-in}.mfp-auto-cursor .mfp-content{cursor:auto}.mfp-close,.mfp-arrow,.mfp-preloader,.mfp-counter{-webkit-user-select:none;-moz-user-select:none;user-select:none}.mfp-loading.mfp-figure{display:none}.mfp-hide{display:none !important}.mfp-preloader{color:#ccc;position:absolute;top:50%;width:auto;text-align:center;margin-top:-0.8em;left:8px;right:8px;z-index:1044}.mfp-preloader a{color:#ccc}.mfp-preloader a:hover{color:#fff}.mfp-s-ready .mfp-preloader{display:none}.mfp-s-error .mfp-content{display:none}button.mfp-close,button.mfp-arrow{overflow:visible;cursor:pointer;background:transparent;border:0;-webkit-appearance:none;display:block;padding:0;z-index:1046;-webkit-box-shadow:none;box-shadow:none}button::-moz-focus-inner{padding:0;border:0}.mfp-close{width:44px;height:44px;line-height:1.4;position:absolute;right:0;top:0;text-decoration:none;text-align:center;opacity:.65;filter:alpha(opacity=65);padding:0 0 18px 10px;color:#fff;font-style:normal;font-size:2em;font-family:Arial, Baskerville, monospace}.mfp-close:hover,.mfp-close:focus{opacity:1;outline:0;filter:alpha(opacity=100)}.mfp-close:active{top:1px}.mfp-close-btn-in .mfp-close{color:#333}.mfp-image-holder .mfp-close,.mfp-iframe-holder .mfp-close{color:#fff;right:-6px;text-align:right;padding-right:6px;width:100%}.mfp-counter{position:absolute;top:0;right:0;color:#ccc;font-size:.8706em;line-height:1.2}.mfp-arrow{position:absolute;opacity:.65;filter:alpha(opacity=65);top:50%;margin:-55px 0 0;padding:0;width:90px;height:110px;-webkit-tap-highlight-color:transparent}.mfp-arrow:active{margin-top:-54px}.mfp-arrow:hover,.mfp-arrow:focus{outline:0;opacity:1;filter:alpha(opacity=100)}.mfp-arrow:before,.mfp-arrow:after,.mfp-arrow .mfp-b,.mfp-arrow .mfp-a{content:"";display:block;width:0;height:0;position:absolute;left:0;top:0;margin-top:35px;margin-left:35px;border:medium inset transparent}.mfp-arrow:after,.mfp-arrow .mfp-a{border-top-width:13px;border-bottom-width:13px;top:8px}.mfp-arrow:before,.mfp-arrow .mfp-b{border-top-width:21px;border-bottom-width:21px}.mfp-arrow-left{left:0}.mfp-arrow-left:after,.mfp-arrow-left .mfp-a{border-right:17px solid #fff;margin-left:31px}.mfp-arrow-left:before,.mfp-arrow-left .mfp-b{margin-left:25px;border-right:27px solid #3f3f3f}.mfp-arrow-right{right:0}.mfp-arrow-right:after,.mfp-arrow-right .mfp-a{border-left:17px solid #fff;margin-left:39px}.mfp-arrow-right:before,.mfp-arrow-right .mfp-b{border-left:27px solid #3f3f3f}.mfp-iframe-holder{padding-top:40px;padding-bottom:40px}.mfp-iframe-holder .mfp-content{line-height:0;width:100%;max-width:900px}.mfp-iframe-holder .mfp-close{top:-40px}.mfp-iframe-scaler{width:100%;height:0;overflow:hidden;padding-top:56.25%}.mfp-iframe-scaler iframe{position:absolute;display:block;top:0;left:0;width:100%;height:100%;box-shadow:0 0 8px rgba(0,0,0,0.6);background:#000}img.mfp-img{width:auto;max-width:100%;height:auto;display:block;line-height:0;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;padding:40px 0 40px;margin:0 auto}.mfp-figure{line-height:0}.mfp-figure:after{content:"";position:absolute;left:0;top:40px;bottom:40px;display:block;right:0;width:auto;height:auto;z-index:-1;box-shadow:0 0 8px rgba(0,0,0,0.6);background:linear-gradient(45deg, #111 0%, #333 100%)}.mfp-figure small{color:#bdbdbd;display:block;font-size:.8706em;line-height:1.2}.mfp-figure figure{margin:0}.mfp-bottom-bar{margin-top:-36px;position:absolute;top:100%;left:0;width:100%;cursor:auto}.mfp-title{text-align:left;line-height:1.2;color:#f3f3f3;word-wrap:break-word;padding-right:36px}.mfp-title a.image-source-link .d-icon{padding-right:5px}.mfp-image-holder .mfp-content{max-width:100%}.mfp-gallery .mfp-image-holder .mfp-figure{cursor:pointer}@media all and (max-width: 800px) and (orientation: landscape), screen and (max-height: 300px){.mfp-img-mobile .mfp-image-holder{padding-left:0;padding-right:0}.mfp-img-mobile img.mfp-img{padding:0}.mfp-img-mobile .mfp-figure:after{top:0;bottom:0}.mfp-img-mobile .mfp-figure small{display:inline;margin-left:5px}.mfp-img-mobile .mfp-bottom-bar{background:rgba(0,0,0,0.6);bottom:0;margin:0;top:auto;padding:3px 5px;position:fixed;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.mfp-img-mobile .mfp-bottom-bar:empty{padding:0}.mfp-img-mobile .mfp-counter{right:5px;top:3px}.mfp-img-mobile .mfp-close{top:0;right:0;width:35px;height:35px;line-height:1.4;background:rgba(0,0,0,0.6);position:fixed;text-align:center;padding:0}}@media all and (max-width: 900px){.mfp-arrow{-webkit-transform:scale(0.75);transform:scale(0.75)}.mfp-arrow-left{transform-origin:0;-webkit-transform-origin:0}.mfp-arrow-right{transform-origin:100%;-webkit-transform-origin:100%}.mfp-container{padding-left:6px;padding-right:6px}}.mfp-ie7 .mfp-img{padding:0}.mfp-ie7 .mfp-bottom-bar{width:600px;left:50%;margin-left:-300px;margin-top:5px;padding-bottom:5px}.mfp-ie7 .mfp-container{padding:0}.mfp-ie7 .mfp-content{padding-top:44px}.mfp-ie7 .mfp-close{top:0;right:0;padding-top:0}.mfp-zoom-in .mfp-content{opacity:0;transition:all 0.2s;-webkit-transform:scale(0.8);-ms-transform:scale(0.8);transform:scale(0.8)}.mfp-zoom-in.mfp-bg{opacity:0;transition:all 0.3s ease-out}.mfp-zoom-in.mfp-ready .mfp-content{opacity:1;-webkit-transform:scale(1);transform:scale(1)}.mfp-zoom-in.mfp-ready.mfp-bg{opacity:0.8}.mfp-zoom-in.mfp-removing .mfp-content{-webkit-transform:scale(0.8);transform:scale(0.8);opacity:0}.mfp-zoom-in.mfp-removing.mfp-bg{opacity:0}.mfp-force-scrollbars.mfp-wrap{overflow-y:auto !important;overflow-x:auto !important}.mfp-force-scrollbars .mfp-img{max-width:none}.button-count.has-pending span{background-color:#e45735;color:#222;border-radius:10px;padding:0.25em 0.5em;display:inline-block;font-size:0.8em}.placeholder-avatar{display:inline-block;width:45px;height:45px;border-radius:50%;position:relative;overflow:hidden}.placeholder-avatar:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;left:0;content:"";background:linear-gradient(to right, #282828 10%, #313131 28%, #282828 43%);height:45px;width:700px}.placeholder-text{margin-left:11px;display:inline-block;width:calc(100% - 11px);height:1.5em;margin-bottom:0.6em}.names{flex:1 1 auto;overflow:hidden}.names span.first{display:flex;align-items:baseline;font-weight:bold}.names span{font-size:1em;margin-right:8px;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle}.names span a{color:#bdbdbd}.names .fa{font-size:.8706em;color:#919191}.names .svg-icon-title{margin-left:3px;margin-right:0px}.names .new_user a,.names .user-title,.names .user-title a{color:#919191}.cooked,.d-editor-preview{word-wrap:break-word;line-height:1.4}.cooked h1,.cooked h2,.cooked h3,.cooked h4,.cooked h5,.cooked h6,.d-editor-preview h1,.d-editor-preview h2,.d-editor-preview h3,.d-editor-preview h4,.d-editor-preview h5,.d-editor-preview h6{margin:30px 0 10px;line-height:1.2}.cooked h1,.d-editor-preview h1{font-size:1.5157em}.cooked h2,.d-editor-preview h2{font-size:1.3195em}.cooked h3,.d-editor-preview h3{font-size:1.1487em}.cooked h4,.d-editor-preview h4{font-size:1em}.cooked h5,.d-editor-preview h5{font-size:.8706em}.cooked h6,.d-editor-preview h6{font-size:.7579em}.cooked a,.d-editor-preview a{word-wrap:break-word}.cooked ins,.d-editor-preview ins{background-color:#0b4220}.cooked del,.d-editor-preview del{background-color:#631e0d}.cooked big,.d-editor-preview big{font-size:1.5rem}.cooked small,.d-editor-preview small{font-size:0.75rem}.cooked small small,.d-editor-preview small small{font-size:0.75em}.cooked big big,.d-editor-preview big big{font-size:1em}.cooked sub sub sub,.d-editor-preview sub sub sub{bottom:0}.cooked sup sup sup,.d-editor-preview sup sup sup{top:0}.cooked video,.d-editor-preview video{max-width:100%}.cooked sup sup,.d-editor-preview sup sup{top:0}.moderator .regular>.cooked{background-color:#4c3319;padding:10px}.moderator .regular>.cooked img:not(.thumbnail){max-width:100%;height:auto}.moderator .clearfix>.topic-meta-data>.names span.user-title,.moderator .nav-pills>.topic-meta-data>.names span.user-title,.moderator .container>.topic-meta-data>.names span.user-title,.moderator .wrap>.topic-meta-data>.names span.user-title{color:#bdbdbd}.moderator .clearfix>.topic-meta-data>.names span.user-title a,.moderator .nav-pills>.topic-meta-data>.names span.user-title a,.moderator .container>.topic-meta-data>.names span.user-title a,.moderator .wrap>.topic-meta-data>.names span.user-title a{background-color:#4c3319;padding-left:4px;padding-right:4px}.topic-meta-data{display:flex;align-items:flex-start}.topic-meta-data .names{margin-right:auto}.topic-meta-data .post-infos{display:flex;flex:0 0 auto;align-items:center}aside.quote{margin-top:1em;margin-bottom:1em}aside.quote .badge-wrapper{margin-left:5px}aside.quote .title{border-left:5px solid #313131;background-color:#3c3c3c;color:#bdbdbd;padding:12px 12px 1px 12px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}aside.quote .title .avatar{margin-right:7px}aside.quote .title img{margin-top:-4px}aside.quote blockquote{margin-top:0}blockquote img{max-width:100% !important}.quote-controls,.quote-controls .d-icon{color:#646464}.cooked .highlight{background-color:#052e3d;padding:2px;margin:-2px}.post-ignored{font-style:italic}.post-action{color:#909090}.post-action .undo-action,.post-action .act-action{margin-left:5px}.post-hidden{opacity:0.5;position:relative;z-index:1}.topic-post.staged{opacity:0.4}.quote-controls{float:right;display:flex;align-items:center}.quote-controls a{margin-left:0.3em}.quote-button{display:none;position:absolute;background-color:#9e9e9e;color:#ddd;padding:10px;z-index:300;opacity:0.9}.quote-button .d-icon{display:inline-block}.quote-button:hover{background-color:#909090;cursor:pointer}.topic-avatar,.user-card-avatar{position:relative}.topic-map{background:#282828;border:1px solid #313131;border-top:none}.topic-map .avatars>div{float:left;position:relative;margin:3px 0}.topic-map .avatars .post-count{position:absolute;right:0;border-radius:100px;padding:3px 5px;text-align:center;font-weight:normal;font-size:.7579em;line-height:1}.topic-map .avatar{float:left;margin-right:4px}.topic-map section{border-top:1px solid #313131}.topic-map ul{margin:0;list-style:none}.topic-map h3{margin-bottom:4px;color:#ddd;line-height:1.4;font-weight:normal;font-size:1em}.topic-map h4{margin:1px 0 2px 0;color:#919191;font-weight:normal;font-size:.8706em;line-height:1}.topic-map span.domain{font-size:.7579em;color:#919191}.topic-map td{vertical-align:top;padding:1px}.topic-map .topic-links tr{border:none}.topic-map .topic-links .badge-notification{margin:1px 5px 2px 0}.topic-map .controls{display:flex;align-items:center}.topic-map .controls .btn{margin-right:0.5em}.topic-map .controls .btn:last-child{margin:0}.topic-map .participants{display:flex;flex-wrap:wrap;align-items:center}.topic-map .participants+.controls{margin-top:0.5em}.topic-map .participants.hide-names .user .username,.topic-map .participants.hide-names .user .group-name{display:none}.topic-map .participants .user{border:1px solid #313131;border-radius:0.25em;padding:0;margin:0.125em 0.25em 0.125em 0;display:flex;align-items:center;height:26px}.topic-map .participants .user .user-link,.topic-map .participants .user .group-link{color:#a6a6a6}.topic-map .participants .user .user-link:hover,.topic-map .participants .user .group-link:hover{color:#ddd}.topic-map .participants .user .avatar,.topic-map .participants .user .d-icon-users{margin-left:0.25em;margin-right:0.25em}.topic-map .participants .user .username,.topic-map .participants .user .group-name{margin-right:0.25em}.topic-map .participants .user:last-child{margin-right:0}.topic-map .participants .user .remove-invited{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0 0.25em 0.25em 0;padding-top:0;padding-bottom:0;height:100%}.topic-map .add-remove-participant-btn .d-icon{margin-left:0.25em}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.user-card-avatar .avatar-flair,.topic-map .poster .avatar-flair,.user-profile-avatar .avatar-flair,.user-image .avatar-flair{display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;background-position:center;position:absolute;bottom:0;right:-6px}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.collapsed-info .user-profile-avatar .avatar-flair,.user-image .avatar-flair{background-size:20px 20px;width:20px;height:20px}.topic-avatar .avatar-flair.rounded,.avatar-flair-preview .avatar-flair.rounded,.collapsed-info .user-profile-avatar .avatar-flair.rounded,.user-image .avatar-flair.rounded{background-size:18px 18px;border-radius:12px;width:24px;height:24px;bottom:-2px;right:-8px}.user-card-avatar .avatar-flair,.user-profile-avatar .avatar-flair{background-size:40px 40px;width:40px;height:40px}.user-card-avatar .avatar-flair.rounded,.user-profile-avatar .avatar-flair.rounded{background-size:30px 30px;border-radius:24px;width:40px;height:40px;bottom:-2px;right:-4px}.user-card-avatar .avatar-flair .fa,.user-profile-avatar .avatar-flair .fa{font-size:1.7511em}.topic-map .poster .avatar-flair{right:0;background-size:12px 12px;width:16px;height:16px;bottom:-3px;color:#ddd}.topic-map .poster .avatar-flair.rounded{background-size:12px 12px;border-radius:8px;width:16px;height:16px;bottom:-2px;right:0}.topic-map .poster .avatar-flair .d-icon{font-size:.7579em}.topic-avatar .poster-avatar-extra{display:none}.map:first-of-type{display:flex}.map:first-of-type .buttons{margin-left:auto;order:15}.map:first-of-type .buttons .btn{height:100%}.topic-body .cooked{overflow:hidden}.topic-body.highlighted{animation:background-fade-highlight 2.5s ease-out}.post-info{flex:0 0 auto;margin-right:0.5em}.post-info.post-date{margin-right:0}.post-info.via-email .d-icon,.post-info.whisper .d-icon,.post-info.post-locked .d-icon{font-size:1em}.post-info .wiki,.post-info .last-wiki-edit{color:green}.post-info.via-email{color:#646464}.post-info.raw-email{cursor:pointer}pre code{word-wrap:normal;display:block;padding:0.5em;color:#ddd;background:#3c3c3c;max-height:500px}kbd{background-color:#222;border:1px solid #313131;border-radius:3px;box-shadow:0 2px 0 rgba(0,0,0,0.2),0 0 0 1px #000 inset;background:#333;border:1px solid #555;border-bottom:medium none #000;color:#ddd;display:inline-block;font-size:.8706em;line-height:1.4;margin:0 0.1em;padding:0.1em 0.6em}kbd * * *{display:none}blockquote>*:first-child{margin-top:0 !important}blockquote>*:last-child{margin-bottom:0 !important}.gap{padding:0.25em 0 0.5em 56px;color:#646464;cursor:pointer;text-transform:uppercase;font-weight:bold;font-size:.8706em}.who-liked,.who-read{transition:height 0.5s}.who-liked a,.who-read a{margin:0 0.25em 0.5em 0;display:inline-block}.cooked table thead th,.d-editor-preview table thead th{text-align:left;padding-bottom:2px;font-weight:bold;color:#ddd}.cooked table td,.d-editor-preview table td{padding:3px 3px 3px 0.5em}.small-action{display:flex;align-items:center;max-width:758px;border-top:1px solid #313131}.small-action .topic-avatar{align-self:flex-start;padding:0.7em 0;border-top:none;margin-right:11px;flex:0 0 auto}.small-action .topic-avatar .d-icon{font-size:2em;width:45px;text-align:center;color:#7a7a7a}.small-action .small-action.deleted{background-color:rgba(99,30,13,0.7)}.small-action .small-action-desc.timegap{color:#909090}.small-action .small-action-desc{display:flex;flex-wrap:wrap;flex:1 1 100%;align-items:center;padding:1em 0;text-transform:uppercase;font-weight:bold;font-size:.8706em;color:#909090;min-width:0}.small-action .small-action-desc .custom-message{flex:1 1 100%;text-transform:none;font-weight:normal;font-size:1.1487em;order:12;word-break:break-word;min-width:0}.small-action .small-action-desc .custom-message p{margin-bottom:0}.small-action .small-action-desc a.trigger-user-card{align-self:stretch}.small-action .small-action-desc .avatar{margin-right:0.8em;float:left}.small-action .small-action-desc>p{margin:0;line-height:1.2;flex:1 1}.small-action button{background:transparent;border:0;order:9}.small-action button:last-of-type{margin-left:auto;order:8}.whisper .post-info.whisper{margin-left:0.5em}.whisper .topic-body .cooked{font-style:italic;color:#909090}a.mention,a.mention-group{padding:2px 4px;color:#bdbdbd;background:#313131;border-radius:8px;font-weight:bold;font-size:0.93em}.popup-menu h3{margin-top:0}.suggested-topics .topics{padding-bottom:15px}.suggested-topics .suggested-topics-message .badge-wrapper{margin-right:0}.large-image-placeholder>a.link{margin-right:10px}.large-image-placeholder>a>*{overflow:hidden;vertical-align:middle}.large-image-placeholder>a>.d-icon{color:#919191;margin-right:6px;font-size:1em;line-height:1.4}.large-image-placeholder>a>span.url{display:inline-block;max-width:300px;margin-right:6px;text-overflow:ellipsis;white-space:nowrap}.large-image-placeholder>a>span.help{display:inline-block;color:#919191;font-size:.8706em;font-style:italic;line-height:1.4;margin-bottom:1px}.large-image-placeholder>a>span.badge-notification{vertical-align:unset}.broken-image,.large-image{color:#646464;border:1px solid #313131;font-size:2em;padding:16px}.reply-to-tab{display:flex;align-items:center;margin-right:2em}.reply-to-tab img{margin:0 0.25em}.topic-post.selected article.boxed .select-posts button.select-post{background-color:#0f82af;color:#222;border-color:#0f82af}.topic-post.selected article.boxed .topic-body .contents:after{display:none}.topic-post article.boxed{position:relative}.topic-post article.boxed .select-posts{position:absolute;right:5em;z-index:300;top:0.5em;height:100px}.topic-post article.boxed .select-posts button{margin-left:8px;background-color:#313131;color:#ddd;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}@media all and (max-width: 767px){.reply-to-tab span{display:none}.user-title{float:left;clear:left}}.signup-cta a{float:right;text-decoration:underline}.signup-cta .buttons{margin-bottom:1em}.post-notice{align-items:center;background-color:#052e3d;border-top:1px solid #313131;display:flex;max-width:calc( 690px + (11px * 2) + 45px - (0.8em * 2));padding:0.8em}.post-notice.old{background-color:unset;color:#909090}.post-notice.old .d-icon{color:#909090}.post-notice p{margin:0}.post-notice .d-icon{font-size:2em;color:#a6a6a6;margin-right:0.65em}#topic-footer-buttons .reason{color:#a6a6a6;display:inline;margin:0 0 0 8px;line-height:1.2}@keyframes button-jump-up{0%{margin-bottom:-60px}50%{margin-bottom:10px}65%{margin-bottom:0px}77%{margin-bottom:5px}100%{margin-bottom:0px}}.progress-back-container{z-index:300;margin-right:0;animation-duration:0.5s;animation-name:button-jump-up;width:145px;text-align:center;margin-bottom:0px;position:absolute;right:0;top:-2em}.progress-back-container .btn{margin:0}#topic-progress-wrapper{display:flex}#topic-progress-wrapper .topic-admin-menu-button-container{display:flex}#topic-progress-wrapper .topic-admin-menu-button-container>span{display:flex}#topic-progress-wrapper .topic-admin-popup-menu.right-side{position:absolute;bottom:0;right:0;left:auto;transition:bottom 0.5s;transform:translateZ(0)}#topic-progress-wrapper.docked .topic-admin-popup-menu.right-side{bottom:-150px}.title-wrapper{display:flex;flex-wrap:wrap}.title-wrapper button{margin:0 0.5em 0 0}.title-wrapper a.topic-featured-link{display:inline-block}.title-wrapper .topic-statuses{line-height:1.2em;margin-right:0.15em}.title-wrapper .topic-statuses .d-icon{color:#909090}h1{margin:0 0 4px 0}a.badge-category{margin-top:5px}#topic-title .title-wrapper{display:flex;flex-wrap:wrap;width:90%}#topic-title .title-wrapper a.topic-featured-link{display:inline-block}#topic-title h1{margin:0 0 4px 0;width:100%}#topic-title a.badge-category{margin-top:5px}#topic-title a.edit-topic .d-icon{font-size:0.8em}#topic-title .edit-topic-title{display:flex;flex-wrap:wrap;box-sizing:border-box;max-width:758px}#topic-title .edit-topic-title #edit-title{flex:1 1 auto}#topic-title .edit-topic-title .private-message-glyph{margin:5px 5px 0 0}#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 49%;margin:0 0 9px 0}@media all and (max-width: 500px){#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 100%}}#topic-title .edit-topic-title .mini-tag-chooser{margin-left:2%}@media all and (max-width: 500px){#topic-title .edit-topic-title .mini-tag-chooser{margin-left:0}}.private-message-glyph{color:#646464;margin-right:5px}.archetype-private_message #topic-title .edit-topic-title .tag-chooser{margin-left:19px}.private_message #topic-title .edit-topic-title #edit-title{width:calc(100% - 50px)}.topic-title-outlet{clear:both}.has-pending-posts{display:flex;justify-content:space-between;padding:0.5em;background-color:#4c3319;margin-top:1em;max-width:757px}.suggested-topics-wrapper.related-messages-wrapper .suggested-topics:nth-of-type(n+2) thead{display:none}.suggested-topics h3 .badge-wrapper.bullet span.badge-category,.suggested-topics h3 .badge-wrapper.box span,.suggested-topics h3 .badge-wrapper.bar span{display:inline}.suggested-topics h3 .badge-wrapper.bullet span.badge-category{vertical-align:baseline;line-height:1.2}.suggested-topics h3 .badge-wrapper.bullet,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg{line-height:0.8}.suggested-topics .badge-wrapper.bullet span.badge-category,.suggested-topics .badge-wrapper.bar span.badge-category{max-width:150px}.suggested-topics .suggested-topics-title{display:flex;align-items:center}.post-links-container{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both}.post-links-container .post-links{margin-top:1em;padding-top:1em;border-top:1px solid #313131}.post-links-container .post-links li:last-of-type{margin-bottom:1em}.post-links-container .expand-links{color:#919191}.post-links-container .track-link{display:flex;align-items:center}.post-links-container .track-link span:not(.badge){overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.post-links-container ul{margin:0;list-style:none}.post-links-container ul li{margin-bottom:0.5em}.post-links-container ul li a[href]{color:#919191}.post-links-container ul li .clicks{margin-left:0.5em;flex:0 0 auto}.post-links-container ul li .d-icon{font-size:.7579em;margin:0 0.5em 0 0}.post-links-container a.reply-new .d-icon{background:#222;border-radius:20px;transition:all linear 0.15s}.post-links-container a.reply-new:hover{color:#0f82af}.post-links-container a.reply-new:hover .d-icon{background:#052e3d}a.topic-featured-link{display:inline-block;text-transform:lowercase;color:#919191;font-size:0.875rem}a.topic-featured-link .d-icon{margin-right:3px}.topic-area .pending-posts{max-width:calc( 690px + 45px + 22px)}.topic-area .pending-posts .reviewable-item .post-body{max-height:unset}#request-access{width:325px;margin:0 auto}#request-access input[type="text"]{width:320px;height:30px;font-size:1.5157em}#request-access input[type="submit"]{font-size:1.5157em;padding:10px}.hljs{display:block;padding:0.5em;color:#f8f8f8}.hljs-comment,.hljs-doctag{color:#bba;font-style:italic}.hljs-keyword,.javascript .hljs-title,.nginx .hljs-title,.hljs-subst,.hljs-request,.hljs-status{color:#f8f8f8;font-weight:bold}.hljs-number,.ruby .hljs-constant{color:#aff}.hljs-string,.hljs-tag .hljs-string,.tex .hljs-formula{color:#f99}.hljs-title,.hljs-name,.coffeescript .hljs-params,.scss .hljs-meta{color:#f99;font-weight:bold}.javascript .hljs-title,.lisp .hljs-title,.clojure .hljs-title,.hljs-subst{font-weight:normal}.hljs-class .hljs-title,.haskell .hljs-type,.vhdl .hljs-literal,.tex .hljs-command{color:#9ae;font-weight:bold}.hljs-tag,.hljs-tag .hljs-title,.django .hljs-tag .hljs-keyword{color:#99f;font-weight:normal}.hljs-attribute,.css .hljs-keyword,.hljs-variable,.lisp .hljs-body{color:#0ee}.hljs-regexp{color:#1ca551}.hljs-symbol,.ruby .hljs-symbol .hljs-string,.lisp .hljs-keyword,.tex .hljs-special,.hljs-prompt{color:#fbe}.hljs-built_in,.lisp .hljs-title,.clojure .hljs-built_in,.hljs-builtin-name{color:#0b6283}.meta{color:#909090;font-weight:bold}.hljs-deletion{background:#591b0c}.hljs-addition{background:#0b4220}.diff .hljs-meta{color:#313131}p>code,li>code,pre>code{color:#f8f8f8;background:#333}#discourse-tooltip{background-color:#222;position:absolute;z-index:600;border:1px solid #909090;max-width:400px;margin-top:25px;overflow-wrap:break-word;display:none;font-size:1em;font-weight:500}#discourse-tooltip.retina{border:0.5px solid #909090}#discourse-tooltip .tooltip-pointer{position:relative;background:#222}#discourse-tooltip .tooltip-pointer:before,#discourse-tooltip .tooltip-pointer:after{position:absolute;pointer-events:none;border:solid transparent;bottom:100%;content:"";height:0;width:0}#discourse-tooltip .tooltip-pointer:after{border-bottom-color:#222;border-width:8px;left:50%;margin-left:-8px;margin-bottom:-0.5px}#discourse-tooltip .tooltip-pointer:before{border-bottom-color:#909090;border-width:9px;left:50%;margin-left:-9px;margin-bottom:-0.5px}#discourse-tooltip .tooltip-content{padding:1em;max-width:250px;font-size:.8706em;color:#ddd;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);line-height:1.4em}.page-not-found{margin:0 0 40px 0}.page-not-found h1.title{font-size:2em;line-height:1.2}.page-not-found-search{margin-top:20px}.page-not-found-topics{display:flex}@media screen and (max-width: 600px){.page-not-found-topics{flex-wrap:wrap}}.popular-topics,.recent-topics{box-sizing:border-box;width:50%;max-width:400px;margin-bottom:40px;padding-right:20px}@media screen and (max-width: 600px){.popular-topics,.recent-topics{width:100%}}.popular-topics h2,.recent-topics h2{margin-bottom:10px}.not-found-topic{display:flex;flex-wrap:wrap;align-items:baseline;margin-bottom:15px}@media screen and (max-width: 600px){.not-found-topic:nth-of-type(n+6){display:none}}.not-found-topic a:not(.badge-wrapper){flex-basis:100%}.modal-outer-container{width:100%;height:100%}.modal-middle-container{display:flex;height:100%;align-items:center}.modal-inner-container{box-sizing:border-box;flex:0 1 auto;margin:0 auto;max-width:700px;background-color:#222;box-shadow:0 8px 60px rgba(0,0,0,0.6)}.modal-inner-container .select-kit{width:220px}.modal-inner-container .select-kit.tag-chooser{width:100%}.modal-open .dropdown-menu{z-index:1400}.modal-open .popover{z-index:1500}.modal-open .tooltip{z-index:1600}.bootbox.modal{position:fixed;z-index:1300;overflow:auto;height:auto;background-color:#222;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-clip:padding-box}.input-hint-text{margin-left:0.5em;color:#646464}.modal-header{display:flex;padding:10px 15px;border-bottom:1px solid #313131;align-items:center}.modal-header .title h3{margin-bottom:0}.modal-header .title p{margin:0}.modal-header .modal-close{align-self:flex-start;order:2;margin-left:auto;padding-left:2em}.modal-header .modal-close .close{color:#a6a6a6}.modal-backdrop{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1200;background-color:#111}.modal-backdrop.fade{opacity:0}.modal-backdrop,.modal-backdrop.fade.in{animation:fade 0.3s;opacity:0.9;filter:alpha(opacity=90)}@keyframes fade{from{opacity:0}to{opacity:0.9}}@keyframes slidein{from{transform:translateY(-20%)}to{transform:translateY(0)}}.create-account.in .modal-inner-container,.login-modal.in .modal-inner-container{animation:slidein 0.3s}.inline-modal .modal-inner-container{border:1px solid #919191}.fixed-modal{position:fixed;top:0;width:100%;height:100%;z-index:1300;overflow:auto}.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:80vh !important}@media screen and (max-height: 500px){.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:65vh !important}}.modal-form{margin-bottom:0}.modal-footer{padding:14px 15px 10px;border-top:1px solid #313131}.modal-footer .btn{margin:0 5px 5px 0}.modal.edit-category-modal .modal-body textarea{height:10em}@media screen and (min-width: 524px){.modal.edit-category-modal .modal-inner-container{min-width:525px}}.modal .nav{padding:10px 30px 10px 15px;background-color:#222;border-bottom:1px solid #313131}.modal .nav li>a{font-size:1em}.modal.hidden{display:none}.modal .modal-body{box-sizing:border-box;width:100%;overflow-y:auto;max-height:400px}.modal .modal-body.full-height-modal{max-height:calc(100vh - 150px)}.modal .modal-body.insert-link{overflow-y:visible}.modal .modal-body.insert-link input{min-width:300px}.modal .modal-body.insert-link .inputs{position:relative}.modal .modal-body.insert-link .inputs .spinner{position:absolute;right:8px;top:-15px;width:10px;height:10px}.modal .modal-body.insert-link .inputs .internal-link-results{position:absolute;top:70%;padding:5px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:5;background-color:#222;max-height:150px;width:90%;overflow-y:auto}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link{padding:6px;border-bottom:1px solid #313131;cursor:pointer;display:block}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:hover,.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:focus{background-color:#4c3319}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .search-category{display:flex;align-items:center}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .discourse-tags{display:inline-block;font-size:.8706em}.modal .modal-body textarea{width:99%;height:80px}.modal .modal-body p{font-size:1em}.modal .modal-body .archetype-option{margin-bottom:20px}.modal .modal-body .warning{color:#e45735 !important}.modal .password-confirmation{display:none}.modal section.field{padding:0.25em 0;margin-bottom:5px}.modal section.field.with-items{display:flex;align-items:flex-start}.modal section.field .field-item{display:inline-block;margin-right:10px}.modal .modal-body.forgot-password-modal p{font-size:1em}.modal pre code{white-space:pre-wrap;max-width:700px}.reply-where-modal .modal-footer a{display:block}.reply-where-modal .modal-footer .d-modal-cancel{margin:1em 0 0.5em}.reply-where-modal .modal-footer .btn{text-align:left;font-size:1.3195em;line-height:1.2;margin-bottom:10px;font-weight:bold}.reply-where-modal .modal-footer .btn .topic-title{font-weight:normal}.d-modal-cancel{margin-left:1em;color:#909090}.d-modal-cancel:hover{color:#e45735}.delete-user-modal .modal-footer .btn{line-height:1.2}.delete-posts-progress .progress-bar{height:15px;position:relative;background:#7a7a7a;border-radius:25px;overflow:hidden;margin:30px 0 20px}.delete-posts-progress .progress-bar span{display:block;width:0%;height:100%;background-color:#0f82af;position:relative;transition:width 0.6s linear}.permission-list{list-style:none;margin:0 0 30px;padding:0}.permission-list .name{margin-right:20px;display:inline-block;min-width:100px}.permission-list .permission{margin-left:20px}.permission-list .d-icon-times-circle{margin-left:5px;color:#e45735}.permission-list li{margin-bottom:10px}.edit-category-modal input:not([type="checkbox"]),.edit-category-modal .controls{display:block;margin-bottom:0.5em}.edit-category-modal .disable_info_wrap{position:relative;display:inline-block;float:right}.edit-category-modal .disable_info_wrap .cannot_delete_reason{position:absolute;background:#ddd;color:#222;text-align:center;border-radius:2px;padding:12px 8px}.edit-category-modal .disable_info_wrap .cannot_delete_reason::after{top:100%;left:57%;border:solid transparent;content:" ";position:absolute;border-top-color:#ddd;border-width:8px}.edit-category-modal .permission-selector{margin-right:0.25em}.edit-category-modal .pending-permission-change-alert{margin-left:auto;max-width:250px;background:#c7c7c7;color:#222;margin-top:10px;padding:5px 10px;position:relative}.edit-category-modal .pending-permission-change-alert .arrow-div{border:solid transparent;content:" ";position:absolute;border-bottom-color:#c7c7c7;border-width:7px;top:-13px;left:200px}.edit-category-modal .add-permission{position:relative;top:0.1em}.edit-category-modal .edit-category-tab-settings>section{margin-bottom:1.5em}.edit-category-modal .edit-category-tab-settings input[type="number"],.edit-category-modal .edit-category-tab-settings input[type="text"],.edit-category-modal .edit-category-tab-settings .select-kit{width:280px}.edit-category-modal .edit-category-tab-settings label{max-width:280px}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label{flex-wrap:wrap}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label a{margin-left:1.3em}.edit-category-modal #category-min-tags-from-group{width:100px}.incoming-email-modal .btn{transition:none;background-color:transparent;margin-right:5px}.incoming-email-modal .btn:hover,.incoming-email-modal .btn.active{color:#ddd}.incoming-email-modal .btn.active{font-weight:bold}.incoming-email-modal .btn:focus{outline:2px solid #313131}.incoming-email-modal .incoming-email-tabs{margin-bottom:15px}.incoming-email-modal .incoming-email-content{height:300px;max-width:700px;width:90vw}.incoming-email-modal .incoming-email-content textarea,.incoming-email-modal .incoming-email-content .incoming-email-html-part{height:95%;border:none;border-top:1px solid #313131;padding-top:10px}.incoming-email-modal .incoming-email-content textarea{font-family:monospace;resize:none;border-radius:0;box-shadow:none}.incoming-email-modal .incoming-email-content .incoming-email-html-part{padding:10px 4px 4px 4px}.modal .modal-body.change-timestamp #date-container .pika-single{width:100%;box-sizing:border-box;display:flex;justify-content:center}.modal .modal-body.change-timestamp form{display:flex}.modal .modal-body.change-timestamp form .date-picker-wrapper,.modal .modal-body.change-timestamp form input[type="time"]{width:50%}.modal .modal-body.change-timestamp form .date-picker-wrapper{display:flex;flex:1}.modal .modal-body.change-timestamp form .date-picker-wrapper .date-picker{flex:1}.modal .modal-body.change-timestamp form input.date-picker,.modal .modal-body.change-timestamp form input[type="time"]{text-align:left;margin:0}.change-timestamp{max-width:420px}.change-timestamp #date-container .pika-single,.poll-ui-builder #date-container .pika-single{position:relative !important;display:inline-block;margin-top:0.5em}.change-timestamp .date-picker-wrapper,.poll-ui-builder .date-picker-wrapper{min-width:130px;margin-right:0.5em}.change-timestamp input[type="time"],.poll-ui-builder input[type="time"]{width:130px}.change-timestamp form,.poll-ui-builder form{margin:0}.flag-modal{max-height:450px}.flag-modal .flag-action-type-details{width:100%;max-width:500px;line-height:1.4}.flag-message{margin:0}.custom-message-length{color:#909090;font-size:.8706em}.jump-to-post-modal .modal-inner-container{max-width:350px}.jump-to-post-modal .modal-body{overflow-y:visible}.jump-to-post-modal .modal-body #post-jump,.jump-to-post-modal .modal-body .date-picker{margin:0;width:100px}.jump-to-post-modal .modal-body .input-hint-text{color:#ddd}.jump-to-post-modal .modal-body .jump-to-post-control .index{color:#909090}.jump-to-post-modal .modal-body .jump-to-date-control .input-hint-text{margin-left:0}.jump-to-post-modal .modal-body .separator{display:flex;align-items:center;margin:0.5em auto}.jump-to-post-modal .modal-body .separator hr{flex:1 0 0px}.jump-to-post-modal .modal-body .separator .text{margin:0 0.5em 0 0;color:#909090}.move-to-modal .existing-topic .radio{flex-wrap:wrap}.move-to-modal .existing-topic .topic-title{max-width:90%}.move-to-modal .existing-topic .topic-categories{width:100%}.modal:not(.has-tabs) .modal-tab{position:absolute;width:95%}.modal.has-tabs .modal-tabs{display:inline-flex;flex-wrap:wrap;width:calc(100% - 20px);flex:1 0 auto;margin:0}.modal.has-tabs .modal-tabs .modal-tab{list-style:none;padding:4px 8px;margin-right:4px;cursor:pointer}.modal.has-tabs .modal-tabs .modal-tab.is-active{color:#222;background:#e45735}.modal.has-tabs .modal-tabs .modal-tab.is-active.single-tab{background:none;color:#ddd;padding:4px 0}.groups-header{display:flex;flex-wrap:wrap;margin-bottom:1em}.groups-header .groups-header-new{order:2;margin-bottom:0.5em}.groups-header-filters{display:flex;flex-wrap:wrap}.groups-header-filters .groups-header-filters-name,.groups-header-filters .groups-header-filters-type{margin-right:5px;margin-bottom:0.5em}.groups-header-filters:last-child{margin-right:auto}.groups-boxes{margin:1em 0;width:100%;display:flex;flex-wrap:wrap;justify-content:space-between}@supports (display: grid){.groups-boxes{display:grid;grid-template-columns:repeat(4, 24%);grid-column-gap:1.333%;grid-row-gap:1em}@media screen and (max-width: 768px){.groups-boxes{grid-template-columns:repeat(3, 32%);grid-column-gap:2%}}@media screen and (max-width: 450px){.groups-boxes{grid-template-columns:100%}}}.groups-boxes .group-box{flex:1 1 24%;margin:1%;display:flex;box-sizing:border-box;cursor:pointer;border:1px solid #313131;color:#ddd}@media screen and (max-width: 450px){.groups-boxes .group-box{margin:0}}.discourse-no-touch .groups-boxes .group-box{transition:all 0.25s}.discourse-no-touch .groups-boxes .group-box:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15)}.groups-boxes .group-box .group-membership{color:#909090;margin-top:auto;padding-top:1em}.groups-boxes .group-box .group-membership .is-group-owner,.groups-boxes .group-box .group-membership .is-group-member{color:#1ca551}.groups-boxes .group-box .group-box-inner{padding:1em;width:100%;display:flex;flex-direction:column;box-sizing:border-box}.groups-boxes .group-box .group-box-inner .group-info-wrapper{display:flex;overflow:hidden;flex:0 1 auto}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-avatar-flair{margin-top:0.2em;margin-right:8px;flex:0 0 auto}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info{flex:1 0 auto;margin-bottom:1em;width:70%}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info span{width:100%;word-break:break-word;line-height:1.2}.groups-boxes .group-box .group-box-inner .group-user-count{display:flex;align-items:center;color:#a6a6a6}.groups-boxes .group-box .group-box-inner .group-user-count .d-icon{margin-right:0.25em;font-size:0.8em;color:#909090}.groups-boxes .group-box .group-box-inner .group-description{color:#a6a6a6;word-wrap:break-word}.groups-boxes .group-box .groups-info-name{font-size:1.1487em;font-weight:bold;color:#ddd}.groups-boxes .group-box .group-avatar-flair{display:inline-block;color:#ddd}.groups-boxes .group-box .group-avatar-flair .avatar-flair{background-size:40px;height:40px;width:40px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat}.groups-boxes .group-box .group-avatar-flair .avatar-flair .d-icon{height:22.22222px;width:22.22222px}.groups-boxes .group-box .avatar-flair-image{width:40px}.caps-lock-warning{color:#e45735;font-size:.8706em;font-weight:bold}.discourse-no-touch #login-form{margin:0}.discourse-touch .caps-lock-warning{display:none}#login-form table{width:100%}#login-form a{color:#a6a6a6}#login-form td{padding-right:5px}#login-form #credentials tr:first-of-type{margin-bottom:0.75em}#new-account-link{cursor:pointer}.login-modal tr,.create-account tr{border:none}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:10px 0 0 0}.login-modal td label,.login-modal td input,.create-account td label,.create-account td input{margin-bottom:0;width:100%}.login-modal .modal-footer .inline-spinner,.create-account .modal-footer .inline-spinner{display:inline-flex}.login-modal.awaiting-approval,.create-account.awaiting-approval{display:none}.create-account .disclaimer{color:#909090;margin-top:0.5em}.create-account .user-field>label{margin-top:0.75em;margin-bottom:0;padding-top:5px}.create-account .user-field:first-of-type>label{margin-top:0}.create-account .user-field input[type="text"]{margin-bottom:0;width:100%}.create-account .user-field .select-kit{width:100%}.create-account .user-field .controls{padding-top:5px}.create-account .user-field .controls label{width:auto;text-align:left;font-weight:normal}.create-account .user-field .controls .instructions{margin-top:0.15em;color:#909090;line-height:1.2}.password-reset .instructions label{color:#909090}.invites-show .two-col{position:relative;display:flex}.invites-show .col-image{position:relative;margin-right:20px}@media screen and (max-width: 600px){.invites-show .col-image{display:none}}.invites-show form{margin-top:24px}.invites-show form button.btn-primary{margin-top:10px}.invites-show form label:not(.checkbox-label){font-weight:bold}.invites-show form .controls,.invites-show form .input{margin-bottom:10px}.invites-show form .instructions{color:#909090;margin:0;font-size:.8706em;font-weight:normal;line-height:1.2}.auth-message{padding:0 15px 15px 15px}.auth-message:empty{padding:0}.modal tr.instructions{display:flex;flex-direction:column;margin-top:0.15em}.modal tr.instructions label{color:#909090}button#login-link,button#new-account-link{background:transparent;color:#a6a6a6}#security-key{display:flex;flex-wrap:wrap;align-items:center}#security-key button{margin-right:1.5em}#security-key p{margin:0;font-size:1em}#security-key a{display:inline-block;padding:1em 0.5em 1em 0;color:#0f82af}.menu-panel.slide-in{position:fixed;right:0;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25)}.menu-panel.slide-in.animate{transition:right 0.2s ease-out, left 0.2s ease-out}.menu-panel.slide-in .panel-body{position:absolute;top:3px;bottom:37px;width:97%}.header-cloak{display:none}.menu-panel.drop-down{position:absolute;top:100%;right:-10px}.menu-panel{border:1px solid #313131;box-shadow:0 12px 12px rgba(0,0,0,0.15);background-color:#222;z-index:1000;padding:0.5em;width:300px}.menu-panel hr{margin:3px 0}.menu-panel .panel-header{position:absolute;right:20px}.menu-panel ul{list-style:none;margin:0;padding:0}.menu-panel .panel-body{touch-action:pan-y pinch-zoom;overflow-y:auto;overflow-x:hidden;max-height:100vh}.menu-panel .badge-notification{vertical-align:text-bottom}.menu-links.columned li{width:50%;float:left}.menu-panel li a.widget-link,.menu-panel li.heading a.widget-link{padding:0.25em 0.5em;display:block}.menu-panel li a.widget-link:hover,.menu-panel li a.widget-link:focus,.menu-panel li.heading a.widget-link:hover,.menu-panel li.heading a.widget-link:focus{background-color:#4c3319;outline:none}.menu-panel li .new,.menu-panel li.heading .new{font-size:.8706em;margin-left:0.5em;color:#919191}.menu-panel .categories-link{display:block;padding:0.25em 0.5em}.menu-panel li.category-link{float:left;background-color:transparent;display:inline-flex;align-items:center;padding:0.25em 0.5em;width:50%;box-sizing:border-box}.menu-panel li.category-link a{display:inline-flex}.menu-panel li.category-link a:hover,.menu-panel li.category-link a:focus{background:transparent}.menu-panel li.category-link .badge-notification{color:#919191;background-color:transparent;display:inline;padding:0;font-size:.8706em;line-height:1.4}.menu-panel li.category-link .badge-wrapper.bar,.menu-panel li.category-link .badge-wrapper.bullet{color:#ddd;padding:0 0 0 0.15em}.menu-panel li.category-link .badge-wrapper.box{color:#222}.menu-panel li.category-link .badge-wrapper.box+a.badge.badge-notification{padding-top:2px}.menu-panel li.category-link .badge-wrapper.box span{z-index:-1}.menu-panel b.topics-count{color:#919191;font-weight:normal;font-size:.8706em}.menu-panel span.badge-category{max-width:100px}.menu-panel div.discourse-tags{font-size:.8706em}.user-menu .quick-access-panel{width:100%;display:table;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.user-menu .quick-access-panel h3{padding:0 0.4em;font-weight:bold;margin:0.5em 0}.user-menu .quick-access-panel .d-icon,.user-menu .quick-access-panel:hover .d-icon{color:#909090}.user-menu .quick-access-panel .icon{color:#a6a6a6}.user-menu .quick-access-panel li{background-color:#052e3d}.user-menu .quick-access-panel li div .fa{display:none}.user-menu .quick-access-panel li span:first-child{color:#ddd}.user-menu .quick-access-panel li:hover,.user-menu .quick-access-panel li:focus{background-color:#4c3319;outline:none}.user-menu .quick-access-panel li a{padding:0}.user-menu .quick-access-panel li a>div{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}.user-menu .quick-access-panel li p{margin:0;overflow:hidden}.user-menu .quick-access-panel li:not(.show-all){padding:0.25em 0.5em}.user-menu .quick-access-panel li:not(.show-all) .d-icon{float:left;margin-right:5px;padding-top:0.2em}.user-menu .quick-access-panel .is-warning .d-icon-far-envelope{color:#e45735}.user-menu .quick-access-panel .read{background-color:#222}.user-menu .quick-access-panel .none{padding-top:5px}.user-menu .quick-access-panel .spinner-container{min-height:2em}.user-menu .quick-access-panel .spinner{width:20px;height:20px;border-width:2px;margin:0 auto}.user-menu .quick-access-panel .show-all a{width:100%;display:flex;justify-content:center;align-items:center;min-height:30px;color:#646464;background:#3c3c3c}.user-menu .quick-access-panel .show-all a:hover{color:#ddd;background:#2c2c2c}.user-menu .dismiss-link{display:inline-block;float:right}div.menu-links-header{width:100%;display:table;border-collapse:separate;border-spacing:0 0.5em}div.menu-links-header .menu-links-row{border-bottom:1px solid #919191;display:flex;padding:0 4px}div.menu-links-header .menu-links-row li{display:inline-flex;align-items:center;flex-wrap:wrap}div.menu-links-header .menu-links-row li.user{margin-right:auto}div.menu-links-header .menu-links-row li.glyphs{flex-wrap:wrap;text-align:right;max-width:65%}div.menu-links-header .menu-links-row li.glyphs a{padding-left:0.6em;padding-right:0.6em}div.menu-links-header .menu-links-row li a{border:1px solid transparent;border-bottom:0}div.menu-links-header .menu-links-row li a.active{border:1px solid #919191;border-bottom:0;position:relative}div.menu-links-header .menu-links-row li a.active:after{display:block;position:absolute;top:100%;left:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #222}div.menu-links-header .menu-links-row li a.active:focus,div.menu-links-header .menu-links-row li a.active:hover{background-color:inherit}div.menu-links-header a:hover,div.menu-links-header a:focus{background-color:#4c3319;outline:none}div.menu-links-header a{padding:0.3em 0.5em}div.menu-links-header a.user-activity-link{align-items:center;display:flex;margin:-0.5em 0;max-width:130px;overflow:visible}div.menu-links-header a.user-activity-link span.d-label{display:block;max-width:130px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}@media screen and (max-width: 350px){div.menu-links-header a.user-activity-link{max-width:125px}}div.menu-links-header li{display:table-cell;width:auto;text-align:center}div.menu-links-header li:first-child{text-align:left}div.menu-links-header li:last-child{text-align:right}div.menu-links-header .fa,div.menu-links-header a{color:#919191}div.menu-links-header .d-icon-user{margin-right:0.475em}.request-group-membership-form label{font-weight:bold}.group-add-membership-request-template{width:98%}.d-editor-container{display:flex;flex-grow:1;max-width:100%}.d-editor{display:flex;flex-grow:1;min-height:0}.d-editor-textarea-wrapper,.d-editor-preview-wrapper{flex:1}.d-editor-textarea-wrapper{display:flex;flex-direction:column;background-color:#222;position:relative;border:1px solid #909090}.d-editor-textarea-wrapper textarea{background:transparent}.d-editor-textarea-wrapper.disabled{cursor:not-allowed}.d-editor-textarea-wrapper.disabled .d-editor-button-bar{visibility:hidden}.d-editor-preview-wrapper{max-width:49%;margin-left:1%;display:flex;flex-direction:column}.d-editor-button-bar{display:flex;align-items:center;min-height:30px;border-bottom:1px solid #313131}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{background-color:transparent;display:inline-block}.d-editor-button-bar .btn .d-icon,.d-editor-button-bar .btn-default .d-icon{color:#909090}.d-editor-button-bar .btn svg,.d-editor-button-bar .btn-default svg{-webkit-transform:translate3d(0, 0, 0)}.d-editor-button-bar .d-editor-spacer{height:1em;display:inline-block;border-left:1px solid #7a7a7a}.d-editor-button-bar .btn:not(.no-text){font-size:1.1487em}.d-editor-button-bar .btn.bold{font-weight:bolder}.d-editor-button-bar .btn.italic{font-style:italic}.d-editor-preview-wrapper{overflow:auto;cursor:default;-webkit-overflow-scrolling:touch}.d-editor-input,.d-editor-preview{box-sizing:border-box;flex:1 1 100%;width:100%;margin:0;min-height:auto;word-wrap:break-word;-webkit-appearance:none;border-radius:0}.d-editor-input:focus,.d-editor-preview:focus{box-shadow:none;border:0;outline:0}.d-editor-input{border:0;padding:10px;height:100%;overflow-x:hidden;resize:none}.d-editor-preview{height:auto}.d-editor-plugin{display:flex;flex:1 1;overflow:auto}.composing-whisper .d-editor-preview{font-style:italic;color:#909090 !important}.d-editor-preview>*:first-child{margin-top:0}.hide-preview .d-editor-preview-wrapper{display:none;flex:0}.user-preferences .bio-composer textarea,.group-form-bio textarea,.edit-category-tab-topic-template textarea{width:100%;height:100%;min-height:10em}.user-preferences .bio-composer .d-editor-container,.group-form-bio .d-editor-container,.edit-category-tab-topic-template .d-editor-container{display:block}.user-preferences .bio-composer .d-editor-textarea-wrapper,.group-form-bio .d-editor-textarea-wrapper,.edit-category-tab-topic-template .d-editor-textarea-wrapper{border:1px solid #313131}.user-preferences .bio-composer .d-editor-preview-wrapper,.group-form-bio .d-editor-preview-wrapper,.edit-category-tab-topic-template .d-editor-preview-wrapper{max-width:100%;margin:10px 0 0 0}.user-preferences .bio-composer .d-editor-preview,.group-form-bio .d-editor-preview,.edit-category-tab-topic-template .d-editor-preview{background-color:#282828;padding:5px}.user-preferences .bio-composer .d-editor-preview:empty,.group-form-bio .d-editor-preview:empty,.edit-category-tab-topic-template .d-editor-preview:empty{padding:0}.user-preferences .bio-composer,.group-form-bio{padding:10px;border:1px solid #313131}.d-editor-preview img{padding-bottom:1.4em}.d-editor-preview img.emoji,.d-editor-preview img.avatar,.d-editor-preview img.site-icon{padding-bottom:0}.d-editor-preview .image-wrapper{position:relative;display:inline-block;padding-bottom:1.4em}.d-editor-preview .image-wrapper img{padding-bottom:0}.d-editor-preview .image-wrapper:hover .button-wrapper{opacity:0.9}.d-editor-preview .image-wrapper .button-wrapper{opacity:0;position:absolute;transition:all 0.25s;display:flex;align-items:center;bottom:0;left:0}.d-editor-preview .image-wrapper .button-wrapper .separator{color:#7a7a7a}.d-editor-preview .image-wrapper .button-wrapper .scale-btn{color:#0f82af;padding:0 0.4em}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:first-of-type{padding-left:0}.d-editor-preview .image-wrapper .button-wrapper .scale-btn.active{font-weight:bold;color:#ddd}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:not(.active):hover{text-decoration:underline;cursor:pointer}.mobile-view .d-editor-preview .image-wrapper .button-wrapper{opacity:1}.d-editor-button-bar{margin:0.25em}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{padding:0 0.5em}.d-editor-button-bar .d-editor-spacer{margin:0 0.25em}@media screen and (max-width: 450px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.4em}}@media screen and (max-width: 350px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.3em}.text-size-smaller .d-editor-button-bar .d-editor-spacer{margin:0 0.25em}}@media screen and (max-width: 450px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.35em}}@media screen and (max-width: 350px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.25em}}@media screen and (max-width: 450px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.3em}}@media screen and (max-width: 350px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.2em}}.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{font-size:.8706em}@media screen and (max-width: 450px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.3em}}@media screen and (max-width: 350px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.2em}}.timeline-loading{width:900px}.timeline-container{box-sizing:border-box;z-index:100;margin-left:757px;position:fixed;-webkit-transform:translate3d(0, 0, 0)}@media screen and (min-width: 1140px){.timeline-container{margin-left:820px}}@media all and (min-width: 1250px){.timeline-container{margin-left:900px}}.timeline-container.timeline-docked{position:absolute}.timeline-container.timeline-docked-bottom .timeline-footer-controls{opacity:0;pointer-events:none;cursor:default}.timeline-container.timeline-fullscreen.show{max-height:700px;transition:max-height 0.4s ease-out}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen.show{max-height:75vh}}.timeline-container.timeline-fullscreen.show .topic-timeline .timeline-footer-controls{display:inherit}.timeline-container.timeline-fullscreen.show .timeline-controls{display:table-cell;vertical-align:top}.timeline-container.timeline-fullscreen{max-height:0;transition:max-height 0.3s ease-in;position:fixed;margin-left:0;background-color:#222;bottom:0;left:0;right:0;border-top:1px solid #bdbdbd;box-shadow:0 -1px 40px rgba(0,0,0,0.12);padding-top:20px;z-index:1150}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen{padding-top:10px}}.timeline-container.timeline-fullscreen .back-button{display:none}.timeline-container.timeline-fullscreen .topic-timeline{width:100%;table-layout:fixed;margin-left:0;margin-right:0;display:table;touch-action:none}.timeline-container.timeline-fullscreen .topic-timeline .timeline-date-wrapper{float:right;text-align:right}.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{max-width:650px;max-height:165px;line-height:1.4;overflow:hidden;word-wrap:break-word;text-overflow:ellipsis;display:block;display:-webkit-box;-webkit-line-clamp:8;-webkit-box-orient:vertical}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{-webkit-line-clamp:5}}.timeline-container.timeline-fullscreen .topic-timeline .username{color:#bdbdbd;word-wrap:break-word;font-weight:bold}.timeline-container.timeline-fullscreen .topic-timeline .title{margin-top:0;padding-left:1em;display:table-cell;vertical-align:top;width:100%}.timeline-container.timeline-fullscreen .topic-timeline .title h2{margin-top:0;display:block;display:-webkit-box;-webkit-line-clamp:4;-webkit-box-orient:vertical;max-height:110px;line-height:1.2;word-wrap:break-word;text-overflow:ellipsis;overflow:hidden;font-size:1.3195em}.timeline-container.timeline-fullscreen .topic-timeline .title a{color:#ddd}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read{right:0;margin-left:0}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read .progress{display:none}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls{display:none;position:absolute;bottom:10px;left:10px}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls button,.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls .btn-group{float:none;display:inline-block;margin-bottom:0;margin-right:15px;position:static}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea-wrapper{display:table-cell;padding-bottom:20px;padding-right:1.5em;width:100px}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea{border-left:0;border-right-style:solid;border-right-width:1px;max-width:120px;float:right}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller{position:relative;margin-right:-1.5em;padding-right:1.5em;justify-content:flex-end}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-scroller-content{text-align:right;padding-left:0;padding-right:1em}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-handle{float:none;width:11px;position:relative;right:-6px}.timeline-container.timeline-fullscreen .timeline-scrollarea-wrapper::after{content:"";display:table;clear:both}.timeline-container .topic-timeline{margin-left:3em;transition:opacity 0.2s ease-in;touch-action:none}.timeline-container .topic-timeline .timeline-controls{margin-bottom:1em}.timeline-container .topic-timeline .timeline-controls button{margin-right:0.5em}.timeline-container .topic-timeline .timeline-footer-controls{margin-top:1.5em;transition:opacity 0.2s ease-in;display:flex}.timeline-container .topic-timeline .timeline-footer-controls button{margin-right:0.5em}.timeline-container .topic-timeline .timeline-footer-controls button:last-child{margin-right:0}.timeline-container .topic-timeline .start-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;color:#919191}.timeline-container .topic-timeline .timeline-scrollarea{margin-top:0.5em;margin-left:0.5em;border-left:1px solid;border-color:#0b6283;position:relative;-webkit-transform:translate3d(0, 0, 0)}.timeline-container .topic-timeline .timeline-padding{transition:height 0.15s ease-out;cursor:pointer}.widget-dragging .timeline-container .topic-timeline .timeline-padding{transition:none}.timeline-container .topic-timeline .timeline-handle{border-radius:0.8em;width:0.35em;background-color:#0b6283;height:100%;float:left;z-index:2}.timeline-container .topic-timeline .timeline-scroller-content{padding-left:1em}.timeline-container .topic-timeline .timeline-ago{color:#919191}.timeline-container .topic-timeline .timeline-scroller{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;margin-left:-0.19em;cursor:ns-resize;display:flex;align-items:center}.timeline-container .topic-timeline .timeline-scroller .back-button{margin-top:1em}.timeline-container .topic-timeline .timeline-replies{font-weight:bold}.timeline-container .topic-timeline .timeline-last-read{position:absolute;margin-left:-0.35em;z-index:3}.timeline-container .topic-timeline .timeline-last-read .progress{font-size:0.8em;color:#0f82af;margin-right:1em}.timeline-container .topic-timeline .back-button{min-height:unset;padding:2px 5px}.timeline-container .topic-timeline .now-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;display:inline-block;color:#919191;margin-top:0.5em}.alert{margin-bottom:15px}#banner{margin-bottom:10px;max-width:1090px;max-height:250px}#reply-control .reply-area{margin:0 auto;padding:5px 15px;box-sizing:border-box;height:calc(100% - 11px);width:100%}#reply-control .reply-area .submit-panel{flex-wrap:wrap;align-items:center}#reply-control #private-message-users{width:404px}#reply-control .item+#private-message-users{width:150px}#reply-control .select-kit.is-expanded{z-index:701}.category-input{margin-left:10px}.edit-title .d-editor-preview-wrapper{margin-top:-43px}@media screen and (max-width: 955px){.edit-title:not(.private-message) .d-editor-preview-wrapper{margin-top:-77px}}.edit-title .with-tags .d-editor-preview-wrapper{margin-top:-77px}@media screen and (max-width: 900px){.edit-title .with-tags .d-editor-preview-wrapper{margin-top:-105px}}.closed .grippie{display:none}.open .grippie{cursor:row-resize;padding:4px 0;background:#0f82af}.open .grippie:before{content:"";display:block;width:27px;margin:auto;border-top:3px double #222}.discourse-touch .open .grippie{padding:7px 0}.composer-popup-container{max-width:1500px;margin-left:auto;margin-right:auto}.composer-popup{position:absolute;width:calc(50% - 45px);max-width:724px;top:20px;bottom:10px;left:51%;overflow-y:auto;z-index:500;padding:10px 10px 35px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);background:#4c3319}.hide-preview .composer-popup{z-index:701}.composer-popup.urgent{background:#591b0c}.composer-popup.education-message{background-color:#052e3d}.composer-popup h3{margin-bottom:10px}.composer-popup p{margin-bottom:10px}.composer-popup a.close{display:flex;align-items:center;position:absolute;right:10px;top:10px;color:#ddd;opacity:0.5;font-size:1.1487em}.composer-popup a.close:before{content:"esc";font-size:.8706em;margin-right:0.5em}.composer-popup a.close:hover{opacity:1}.composer-popup ul{list-style:none;margin:0;padding:0}.composer-popup ul li{font-weight:normal;margin-top:8px}.composer-controls .d-chevron-down{vertical-align:text-top}.custom-body{background-color:#052e3d}.custom-body p{max-width:98%}.similar-topics{background-color:#052e3d}.similar-topics a[href]{color:#ddd}.similar-topics .posts-count{background-color:#0f82af}.similar-topics .search-link .topic-title{flex:0 1 auto;margin-right:0.5em}.similar-topics .search-link .topic-statuses:empty{display:none}.similar-topics .search-link span.badge-wrapper{margin-left:0}.similar-topics .search-link .blurb{color:#a6a6a6}.similar-topics .search-link .topic-title .d-icon,.similar-topics .search-link .blurb .d-icon{color:#a6a6a6}.similar-topics .search-link span.topic{display:flex;flex-direction:column}.similar-topics .search-link span.topic .first-line{flex:1}.similar-topics .search-link span.topic .second-line{display:flex;flex-wrap:wrap;align-items:center}.similar-topics .search-link span.topic .second-line .discourse-tags{flex-wrap:wrap;display:contents;font-size:.8706em}.composer-popup:nth-of-type(2){margin-left:10px;width:calc(50% - 65px)}a.toggle-preview{color:#a6a6a6}a.toggle-preview:hover{color:#0f82af}#draft-status,#file-uploading{flex-grow:1;text-align:right}.fullscreen-composer{overflow:hidden}.fullscreen-composer .profiler-results{display:none}.fullscreen-composer #reply-control.fullscreen{height:100vh !important;z-index:1001}@supports (--custom: property){.fullscreen-composer #reply-control.fullscreen{height:calc(var(--composer-vh, 1vh) * 100) !important}}.fullscreen-composer #reply-control.fullscreen .d-editor-preview-wrapper{margin-top:1%}.fullscreen-composer #reply-control.fullscreen .reply-to{border-bottom:1px solid #313131;padding-bottom:3px;margin:0}.fullscreen-composer #reply-control.fullscreen .reply-to .composer-controls{margin-right:0}.fullscreen-composer #reply-control.fullscreen .d-editor-textarea-wrapper{border:none}.fullscreen-composer #reply-control.fullscreen.show-preview .d-editor-textarea-wrapper{border-right:1px solid #313131}.fullscreen-composer #reply-control.fullscreen #draft-status,.fullscreen-composer #reply-control.fullscreen #file-uploading{margin-left:0;text-align:initial}.fullscreen-composer #reply-control.fullscreen .composer-popup{top:30px}.fullscreen-composer #reply-control.fullscreen:before{content:"";background:#222;width:100%;height:100%;position:fixed;z-index:-1;left:0}body.widget-dragging{cursor:ns-resize}.boxed{height:100%}.form-vertical .control-group{margin-bottom:1.25em}.form-vertical .controls:not(.controls-dropdown)+.controls{margin-top:0.5em}code,pre{font-family:Consolas, Menlo, Monaco, "Lucida Console", "Liberation Mono", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Courier New", monospace}h1+p,h2+p,h3+p,h4+p,h5+p,h6+p{margin-top:0}form{margin:0 0 18px}label,input,button,select,textarea{font-size:1em;font-weight:normal;line-height:1.2}select,textarea{display:inline-block;padding:4px;margin-bottom:9px;font-size:1em;line-height:1.4;color:#ddd}input,textarea{width:210px}select,input[type="file"]{line-height:1.4}select{width:220px;background:#222}select[multiple],select[size]{height:auto}input,textarea{margin-left:0}input[type="radio"][disabled],input[type="radio"][readonly],input[type="checkbox"][disabled],input[type="checkbox"][readonly]{background-color:transparent}.input-xxlarge,.input-xxlarge+.control-instructions{width:530px}.controls-dropdown{margin-bottom:10px}.control-instructions{color:#919191;font-size:0.875rem}.control-group{margin-bottom:9px}.control-group.warning>label,.control-group.error>label{color:#e45735}.control-group.warning .checkbox,.control-group.warning .radio,.control-group.warning input,.control-group.warning select,.control-group.warning textarea,.control-group.error .checkbox,.control-group.error .radio,.control-group.error input,.control-group.error select,.control-group.error textarea{color:#e45735;border-color:#e45735}.control-group.warning .checkbox:focus,.control-group.warning .radio:focus,.control-group.warning input:focus,.control-group.warning select:focus,.control-group.warning textarea:focus,.control-group.error .checkbox:focus,.control-group.error .radio:focus,.control-group.error input:focus,.control-group.error select:focus,.control-group.error textarea:focus{border-color:#ae3417;box-shadow:0 0 6px 0 #e45735}.control-group.warning .input-prepend .add-on,.control-group.warning .input-append .add-on{color:#e45735;background-color:#e45735;border-color:#e45735}.control-group.error .input-prepend .add-on,.control-group.error .input-append .add-on{color:#e45735;background-color:#a13116;border-color:#c63c1b}.control-group.success>label{color:#1ca551}.control-group.success .checkbox,.control-group.success .radio,.control-group.success input,.control-group.success select,.control-group.success textarea{color:#1ca551;border-color:#1ca551}.control-group.success .checkbox:focus,.control-group.success .radio:focus,.control-group.success input:focus,.control-group.success select:focus,.control-group.success textarea:focus{border-color:#1ca551;box-shadow:0 0 6px 0 #0f82af}.control-group.success .input-prepend .add-on,.control-group.success .input-append .add-on{color:#1ca551;background-color:#0b4220;border-color:#1ca551}.form-horizontal .hide{display:none}.form-horizontal input,.form-horizontal textarea,.form-horizontal select,.form-horizontal .input-prepend,.form-horizontal .input-append{display:inline-block;margin-bottom:0}.form-horizontal .control-group{margin-bottom:18px}.form-horizontal .control-group:before,.form-horizontal .control-group:after{content:"";display:table}.form-horizontal .control-group:after{clear:both}.form-horizontal .control-indent{margin-left:20px;margin-bottom:10px}.form-horizontal .control-label{margin:6.5px;float:left;width:140px;text-align:right;font-weight:bold}.form-horizontal .controls{margin-left:160px}.bootbox.modal .modal-footer a.btn-primary{color:#222}.row:before,.row:after{content:"";display:table}.row:after{clear:both}.offset2{margin-left:116px}.offset1{margin-left:64px}@media all and (max-width: 570px){body{min-width:0}.wrap,.full-width{min-width:0}}.d-header{left:0;height:4em;margin-bottom:15px}.d-header #site-logo{height:2.667em}.d-header #site-text-logo{font-size:1.5157em;margin:0}.d-header .extra-info:not(.two-rows){min-height:2.75em}@media all and (max-width: 570px){.extra-info-wrapper{display:none}}#main{position:relative}#main-outlet{padding-top:5.8572em}.search-link .blurb{color:#919191;display:block;word-wrap:break-word;font-size:.7579em;line-height:1.4}.search-link .blurb .search-highlight{color:#bdbdbd}.login-modal #login-buttons:not(.hidden),.create-account #login-buttons:not(.hidden){display:flex;flex:0 1 auto;flex-direction:column;align-items:stretch;min-height:75px;padding:0 24px;order:2}.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{display:flex;text-align:left;margin:0.35em;white-space:nowrap}.login-modal #login-buttons:not(.hidden) button:lang(zh_CN),.create-account #login-buttons:not(.hidden) button:lang(zh_CN){min-width:200px}.login-modal #login-buttons:not(.hidden) button:first-of-type:last-of-type.oauth2_basic,.create-account #login-buttons:not(.hidden) button:first-of-type:last-of-type.oauth2_basic{margin-left:auto;margin-right:auto;justify-content:center}.login-modal form,.create-account form{min-width:300px;max-width:100%}.login-modal #modal-alert,.create-account #modal-alert{max-width:100%;padding:8px 16px}.login-modal .login-modal #login-buttons:not(.hidden) button:first-of-type,.create-account .login-modal #login-buttons:not(.hidden) button:first-of-type{margin-top:2.8em}.login-modal .login-modal #login-buttons:not(.hidden) button:last-of-type,.create-account .login-modal #login-buttons:not(.hidden) button:last-of-type{margin-bottom:3em}.login-modal .create-account #login-buttons:not(.hidden),.create-account .create-account #login-buttons:not(.hidden){justify-content:flex-start;padding-top:2.7em}.login-modal .create-account #login-buttons:not(.hidden)+.login-form,.create-account .create-account #login-buttons:not(.hidden)+.login-form{border-right:1px solid #313131}.login-modal #login-form,.create-account #login-form{box-sizing:border-box;flex:1 0 auto;padding:0 24px}.login-modal #login-form+#login-buttons,.create-account #login-form+#login-buttons{border-left:1px solid #313131}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{display:flex;padding:5px 0 0 0}.login-modal .tip,.login-modal td label,.create-account .tip,.create-account td label{display:block;overflow:hidden;word-wrap:break-word;margin-bottom:0;max-width:280px}@media screen and (min-width: 500px){.login-modal .tip,.login-modal td label,.create-account .tip,.create-account td label{max-width:400px}}.has-alt-auth .tip,.has-alt-auth td label{max-width:250px}.d-modal.login-modal .modal-body,.d-modal.login-modal #credentials{display:flex;align-items:center;padding:15px 0}.d-modal.login-modal .modal-body tr,.d-modal.login-modal #credentials tr{display:flex;flex-direction:column}.d-modal.login-modal .modal-body.hidden,.d-modal.login-modal #credentials.hidden{display:none}.d-modal.create-account .modal-body{display:flex;padding:15px 0}.d-modal.create-account .create-account-form tr{display:flex;flex-direction:column}.d-modal.create-account .login-form{position:relative;display:flex;overflow:hidden;flex:1 1 auto}.d-modal.create-account .login-form:after,.d-modal.create-account .login-form:before{content:"";display:block;position:absolute;width:100%;pointer-events:none}.d-modal.create-account .login-form:after{bottom:0;height:35px;background-image:linear-gradient(to bottom, rgba(34,34,34,0) 0%, rgba(34,34,34,0.9) 100%)}@media screen and (max-height: 650px){.d-modal.create-account .login-form:after{height:45px}}.d-modal.create-account .login-form:before{top:0;height:25px;background-image:linear-gradient(to top, rgba(34,34,34,0) 0%, #222 100%)}.d-modal.create-account .login-form form{box-sizing:border-box;padding:16px 24px;margin-bottom:0;max-height:475px;overflow-x:hidden;overflow-y:auto}@media screen and (max-height: 650px){.d-modal.create-account .login-form form{max-height:calc(65vh - 100px)}.d-modal.create-account .login-form form>*:last-child{margin-bottom:40px}}.d-modal.create-account .login-form form,.d-modal.create-account .login-form table{width:100%;display:block}.d-modal.create-account .login-form tr{display:flex;flex-direction:column;margin-top:0.15em}.d-modal.create-account .login-form tr.password-confirmation{display:none}.d-modal.create-account tr.input input,.d-modal.create-account tr.input label{margin-bottom:0;width:100%}.d-modal.create-account tr.input .tip{max-width:340px}.d-modal.create-account .user-fields{margin-bottom:20px}.d-modal.create-account .user-field{display:flex;flex-direction:column}.d-modal.create-account .user-field.confirm{margin-top:5px}.d-modal.create-account .user-field>label{width:auto}.d-modal.create-account .user-field .controls{margin-left:0}.d-modal.create-account .invites-show{padding-top:20px}.d-modal.create-account .invites-show .two-col{margin-top:30px}.d-modal.create-account .invites-show .col-form{margin-left:200px}.d-modal.create-account .invites-show .col-form .inline-invite-img{display:none}.d-modal.create-account .invites-show form .controls,.d-modal.create-account .invites-show form .input{margin-left:20px}.d-modal.create-account .invites-show form input,.d-modal.create-account .invites-show form label{margin-bottom:0}.d-modal.create-account .invites-show form .user-field .control-label:not(.checkbox-label){margin-left:20px}.d-modal.create-account .tos-agree{margin-bottom:12px}.login-form .tip:not(:empty)+td{display:none}.login-form .tip:not(:empty),.login-form .tip:empty+td{min-height:1.75em}.login-form .tip:not(:empty).bad .svg-icon,.login-form .tip:empty+td.bad .svg-icon{vertical-align:middle}.password-reset .col-form,.email-login .col-form,.invites-show .col-form{padding-left:20px}.password-reset .col-image,.email-login .col-image,.invites-show .col-image{width:175px}.password-reset .col-image img,.email-login .col-image img,.invites-show .col-image img{width:100%}.password-reset h2,.email-login h2,.invites-show h2{margin-bottom:12px}.password-reset .col-form,.email-login .col-form{padding-top:40px}.bootbox.modal{top:50%;left:50%;width:610px;margin:-250px 0 0 -305px}.bootbox.modal .cancel{margin-left:1em}.modal.in{-webkit-animation:fade 0.25s;animation:fade 0.25s}.modal-body{padding:15px}.modal-footer .btn.right{float:right}.modal-header h3{font-size:1.5157em}.close{font-size:1.5157em;text-decoration:none;cursor:pointer}.close:visited{color:#a6a6a6}.close:hover{color:#ddd}.modal .category-chooser{width:50%}.modal .modal-body.insert-link input{min-width:450px}.edit-category-modal .modal-body{position:relative;height:420px}.edit-category-modal .disable_info_wrap .cannot_delete_reason{top:-100px;right:4px;max-width:380px;min-width:300px}.topic-bulk-actions-modal p{margin-top:0}.topic-bulk-actions-modal.full .modal-body{height:400px;max-height:400px}.topic-bulk-actions-modal .bulk-buttons{display:flex;flex-wrap:wrap;margin-right:-1%}.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 0 30%;margin-bottom:1em;margin-right:1%;white-space:nowrap;overflow:hidden;max-width:33%}@media screen and (max-width: 767px){.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 0 48%;max-width:48%}}@media screen and (max-width: 550px){.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 1 auto;min-width:49%;max-width:unset}}.move-to-modal .modal-body{position:relative;height:350px}.move-to-modal #move-selected{width:525px}.move-to-modal #move-selected p{margin-top:0}.move-to-modal #move-selected .radios{margin-bottom:10px;display:flex;flex-direction:row}.move-to-modal #move-selected .radios .radio-label{display:inline-block;padding-right:15px}.move-to-modal #move-selected button{margin-top:10px;display:block;width:300px}.move-to-modal #move-selected .category-chooser{margin-bottom:9px}.move-to-modal #move-selected form{width:95%;margin-top:20px}.move-to-modal #move-selected form #split-topic-name,.move-to-modal #move-selected form #choose-topic-title,.move-to-modal #move-selected form #choose-message-title{width:100%}.move-to-modal #move-selected form .participant-selector{width:100%}.move-to-modal #move-selected form div.ac-wrap{width:100%;margin-bottom:9px}.category-list{margin-bottom:10px;width:100%}.category-list td{vertical-align:top}.category-list th{vertical-align:middle}.category-list td:first-of-type{padding-left:10px}.category-list.with-topics{margin-left:3px}.category-list.with-topics .category{width:45%}.category-list .topics .badge-notification,.category-list .category .badge-notification{background-color:transparent;color:#646464}.category-list .topics{width:80px;text-align:right}.category-list .topics .value{font-size:1.1487em}.category-list .topics .unit{font-size:.8706em}.category-list .topics .badge-notification{display:block;text-align:right;padding-right:0;margin-top:5px}.category-list .subcategories{margin-top:0.25em;clear:both}.category-list .subcategories .subcategory{display:inline-flex;align-items:baseline;margin-right:0.3em}.category-list .subcategories .badge-wrapper{margin-right:0.5em}.category-list .subcategories .badge-notification.new-posts{display:block;padding:0}.category-list .featured-topic{margin:10px 0 0;display:flex;align-items:baseline}.category-list .featured-topic:first-of-type{margin-top:13px}.category-list .featured-topic a.last-posted-at,.category-list .featured-topic a.last-posted-at:visited{font-size:.8706em;color:#646464}.category-list .featured-topic .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;flex:0 1 auto}.category-list .featured-topic .topic-statuses{margin-right:0.15em}.category-list .featured-topic .topic-post-badges .badge.new-posts,.category-list .featured-topic .title{margin-right:5px}.category-list tbody .category{border-left:6px solid}.category-list tbody .category h3{font-size:1.3195em;line-height:1.2}.category-list tbody .category h3 a[href]{color:#ddd}.category-list tbody .latest{padding:0 0 10px 10px}.categories-and-latest,.categories-and-top{display:flex;flex-flow:row wrap}.categories-and-latest div.column,.categories-and-top div.column{flex:1 0 0px;flex-direction:row;min-width:300px}@media all and (max-width: 600px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-right:0}}@media all and (min-width: 600px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-right:1em}}@media all and (min-width: 700px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-right:2em}}.categories-and-latest .discourse-tags,.categories-and-top .discourse-tags{display:inline-block}.categories-and-latest .discourse-tags .discourse-tag,.categories-and-top .discourse-tags .discourse-tag{font-size:.8706em}.categories-and-latest .topic-featured-link,.categories-and-top .topic-featured-link{padding-left:8px}.latest-topic-list .table-heading,.top-topic-list .table-heading{padding:12px 5px;color:#646464}.latest-topic-list .no-topics,.latest-topic-list .more-topics,.top-topic-list .no-topics,.top-topic-list .more-topics{margin-top:1em}.latest-topic-list-item{padding:1em;border-bottom:1px solid #313131;display:flex;align-items:center}.latest-topic-list-item .topic-poster{width:60px}.latest-topic-list-item .main-link{flex:0 1 auto;max-width:65%;font-size:1em}.latest-topic-list-item .main-link .badge-wrapper{max-width:100%}.latest-topic-list-item .main-link .badge-wrapper .badge-category-bg{flex-shrink:0}.latest-topic-list-item .main-link .top-row{margin-bottom:0.1em;font-size:1.1487em}.latest-topic-list-item .topic-stats{flex:1 0 0px;text-align:right;color:#646464}.latest-topic-list-item .topic-last-activity a{color:#646464}.list-controls .nav{float:left;margin-bottom:10px}.list-controls .btn{float:right;margin-left:8px;margin-bottom:9px;font-size:1.1487em;font-weight:normal}.list-controls .search .btn{float:none}.list-controls a.badge-category{padding:3px 12px;font-size:1.1487em}.topic-list-icons .d-icon-thumbtack,.latest-topic-list .d-icon-thumbtack,.top-topic-list .d-icon-thumbtack,.topic-list .d-icon-thumbtack{color:#919191}.topic-list-icons .d-icon-thumbtack.unpinned,.latest-topic-list .d-icon-thumbtack.unpinned,.top-topic-list .d-icon-thumbtack.unpinned,.topic-list .d-icon-thumbtack.unpinned{color:#919191}.topic-list-icons a.title,.latest-topic-list a.title,.top-topic-list a.title,.topic-list a.title{color:#ddd}.topic-list-icons .d-icon-bookmark,.latest-topic-list .d-icon-bookmark,.top-topic-list .d-icon-bookmark,.topic-list .d-icon-bookmark{color:#919191}.topic-list{margin:0 0 10px}.topic-list th,.topic-list td{padding:12px 5px}.topic-list th:first-of-type,.topic-list td:first-of-type{padding-left:10px}.topic-list th:last-of-type,.topic-list td:last-of-type{padding-right:10px}.topic-list th button .d-icon{color:#919191}.topic-list button.bulk-select{padding:0}.topic-list td.bulk-select{padding:10px;width:30px}.topic-list td.bulk-select+.main-link{padding-left:0}.topic-list .badge-notification{position:relative;top:-2px}.topic-list .badge-notification.new-topic{top:-1px;padding-left:5px}.topic-list .posters{width:146px}.topic-list .posters>a{float:left;margin-right:4px}.topic-list .posters>a:last-of-type{margin-right:0}.topic-list .posters>a.posters-more-count{cursor:default;color:#919191;line-height:25px;font-size:.8706em}.topic-list td.posters{height:29px}.topic-list .posters a:first-child .avatar.latest:not(.single){box-shadow:0 0 3px 1px #1b3f4e;border:2px solid #1d3e4b;position:relative;top:-2px;left:-2px}.topic-list .likes{width:65px}.topic-list .views{width:65px}.topic-list .posts{width:65px}.topic-list .post-actions{clear:both;width:auto;color:#919191;text-align:left;font-size:.8706em;margin-top:5px}.topic-list .post-actions .fa{margin-right:2px}.topic-list .post-actions a{color:#919191;margin-right:3px;line-height:1.4}.topic-list .activity{width:60px}.topic-list .activity:lang(zh_CN){width:80px}.topic-list .activity span{cursor:pointer}.topic-list .age{width:60px}.topic-list .with-year{white-space:nowrap}.topic-list-bottom{margin:20px 0}#list-area .top-lists h2{cursor:pointer;margin:5px 0 10px}#list-area h2{margin:20px 0 10px}#list-area .show-more.has-topics{top:0}#list-area .show-more.has-topics .alert{padding:12px 35px 12px 14px}#bulk-select{position:fixed;right:20px;top:130px;padding:5px;background-color:#222;z-index:300}button.dismiss-read{float:right;margin-bottom:5px;margin-left:10px}.tags-admin-menu .dropdown-menu{right:0;top:30px;bottom:auto;left:auto}.category-heading p{line-height:1.4;font-size:1.5157em}.category-navigation{clear:both}.category-logo.aspect-image{float:left;margin:0.25em 1em 0.5em 0}.category-logo.aspect-image img{width:auto;max-height:150px}@supports (--custom: property){.category-logo.aspect-image{--max-height: 150px;max-height:var(--max-height);max-width:60%;height:auto;width:calc(var(--max-height) * var(--aspect-ratio))}.category-logo.aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial}}@media screen and (max-width: 850px){.nav-pills>li>a{font-size:1em;padding:7px 10px}button#create-topic span{display:none}button#create-topic .d-icon{margin-right:0}.topic-list th:first-of-type{padding:12px 5px}.topic-list th,.topic-list td{padding:10px;font-size:1em}.topic-list th.views{display:none}.topic-list td.views{display:none}.topic-list .posts{width:50px}.topic-list .posters{width:30px;text-align:center}.topic-list td.posters a:not(.latest){display:none}.topic-list td.posters a.latest{width:100%}.topic-list td.posters a.latest img{margin:0 auto}}.wrap{max-width:1110px}.full-width{margin-left:0}.topic-body{padding:0}.topic-body .regular{margin-top:15px}.topic-body:first-of-type{border-top:none}.topic-body .reply-to-tab{z-index:2;color:#919191}.discourse-no-touch .topic-body .actions .fade-out{opacity:0.7;transition:background 0.25s, opacity 0.7s ease-in-out}.discourse-touch .topic-body .actions .fade-out{opacity:1}.topic-body:hover .actions .fade-out,.topic-body .selected .actions .fade-out{opacity:1}section.post-menu-area{position:relative;padding-left:11px}.post-links-container{margin-left:11px}nav.post-controls{padding:0}nav.post-controls .double-button{display:inline-flex;color:#7a7a7a;margin-right:0.15em}nav.post-controls .double-button:hover button{background:#313131;color:#909090}nav.post-controls .double-button button{margin-left:0;margin-right:0}nav.post-controls .double-button button:active{box-shadow:none}nav.post-controls .double-button button.my-likes .d-icon,nav.post-controls .double-button button.read-indicator .d-icon,nav.post-controls .double-button button.regular-likes .d-icon{color:#7a7a7a;padding-left:0.45em}nav.post-controls .double-button button.like.d-hover{background:#8a0524}nav.post-controls .double-button button.like.d-hover .d-icon{color:#fa6c8d}nav.post-controls .double-button button.has-like .d-icon{color:#fa6c8d}nav.post-controls .double-button button.has-like.d-hover{background:#313131}nav.post-controls .double-button button.has-like.d-hover .d-icon{color:#909090}nav.post-controls .double-button button[disabled]{cursor:not-allowed}nav.post-controls .double-button button.button-count:not(.my-likes){padding-right:0}nav.post-controls .double-button button.button-count.d-hover{color:#ddd}nav.post-controls .double-button button.button-count+.toggle-like{padding-left:0.45em}nav.post-controls .double-button button.button-count+.toggle-like.d-hover{background:#313131}nav.post-controls a,nav.post-controls button{color:#646464;margin-right:2px;display:inline-block}nav.post-controls a .d-icon,nav.post-controls button .d-icon{opacity:1}nav.post-controls a.toggle-likes{padding:8px 0;margin-right:-3px}nav.post-controls span.badge-posts{margin-right:5px;transition:all linear 0.15s}nav.post-controls .actions{text-align:right;float:right;display:inline-block}nav.post-controls .actions .more-actions{display:none;overflow:hidden}nav.post-controls .show-replies{margin-left:-10px;font-size:inherit}nav.post-controls .show-replies span.badge-posts{color:#646464}nav.post-controls .show-replies:hover{background:#313131}nav.post-controls .show-replies:hover span.badge-posts{color:#ddd}nav.post-controls .show-replies .d-icon{margin-left:5px;font-size:.8706em}nav.post-controls button.create{margin-right:0;color:#bdbdbd;margin-left:10px}nav.post-controls button.create .d-icon{color:#bdbdbd}nav.post-controls .create .d-icon{margin-right:5px}nav.post-controls button{font-size:1.1487em;padding:8px 10px;vertical-align:top;background:transparent;border:none;margin-left:3px}nav.post-controls button.d-hover,nav.post-controls button:focus{background:#313131;color:#ddd}nav.post-controls button:active{box-shadow:inset 0 1px 3px rgba(0,0,0,0.4)}nav.post-controls button.hidden{display:none}nav.post-controls button.admin{position:relative}nav.post-controls button.delete.d-hover,nav.post-controls button.delete:hover,nav.post-controls button.delete:focus{background:#e45735;color:#222}nav.post-controls button.delete.d-hover .d-icon,nav.post-controls button.delete:hover .d-icon,nav.post-controls button.delete:focus .d-icon{color:#222}nav.post-controls button.bookmark{padding:8px 11px}nav.post-controls button.bookmark.bookmarked .d-icon{color:#0f82af}nav.post-controls .post-admin-menu{display:inline-flex;flex-direction:column;box-sizing:border-box;background-color:#222;width:auto;max-width:320px;padding:10px;border:1px solid #313131;position:absolute;text-align:left;bottom:-2px;right:15px;z-index:300}nav.post-controls .post-admin-menu h3{margin-top:0;color:#ddd;font-size:1em}nav.post-controls .post-admin-menu ul{list-style:none;margin:10px 0 0 0}nav.post-controls .post-admin-menu li{margin-bottom:5px}nav.post-controls .post-admin-menu li .d-icon{width:14px;margin-right:10px}.embedded-posts{border:1px solid #313131}.embedded-posts h1,.embedded-posts h2,.embedded-posts h3{margin:10px 0}.embedded-posts .topic-body{box-sizing:border-box;width:calc(100% - 70px);overflow:hidden}.embedded-posts .cooked{margin-top:15px}.embedded-posts .topic-avatar{padding-left:25px;padding-top:15px}.embedded-posts .collapse-down,.embedded-posts .collapse-up{position:absolute;color:#909090;background:#222;border:1px solid #313131;padding:6px 9px 8px;z-index:99}.embedded-posts .collapse-down .d-icon,.embedded-posts .collapse-up .d-icon{color:currentColor}.discourse-no-touch .embedded-posts .collapse-down:hover,.discourse-no-touch .embedded-posts .collapse-up:hover{background:#313131;color:#a6a6a6}.discourse-no-touch .embedded-posts .collapse-down:hover .d-icon,.discourse-no-touch .embedded-posts .collapse-up:hover .d-icon{color:currentColor}.embedded-posts.bottom{border-top:none;margin-bottom:20px;margin-left:11px}.embedded-posts.bottom.hidden{display:block;opacity:0}.embedded-posts.bottom .collapse-up{transform:translate(-50%, -164%)}.embedded-posts.bottom .row{padding-bottom:0.5em}.embedded-posts.bottom .row .topic-avatar,.embedded-posts.bottom .row .topic-body{border-top:1px solid #313131}.embedded-posts.top{border-bottom:none;margin-left:56px;width:699px}.embedded-posts.top .collapse-down{transform:translate(-50%, 55%)}.embedded-posts.top .row{border-bottom:none}.embedded-posts.top .row .topic-avatar,.embedded-posts.top .row .topic-body{border-top:1px solid #313131}.embedded-posts.top.topic-body{padding:0}.embedded-posts .post-date{color:#646464}.embedded-posts .d-icon-arrow-up,.embedded-posts .d-icon-arrow-down{margin-left:5px}.embedded-posts .reply:first-of-type .row{border-top:none}.embedded-posts .topic-meta-data{position:relative}.embedded-posts .topic-meta-data h5{position:absolute;z-index:1;font-size:.8706em}.embedded-posts .topic-meta-data h5 a{font-weight:bold;color:#646464}.embedded-posts .arrow{color:#646464}.post-action .relative-date{margin-left:5px}.post-action .avatar{margin-right:2px}.topic-map{margin:20px 0 20px 11px}.topic-map .map .secondary{text-align:center}.topic-map .map li{float:left;padding:7px 10px}.topic-map .map li:last-of-type{border-right:0}.topic-map .map li:nth-child(3){text-align:center}.topic-map .map .number{color:#a6a6a6}.topic-map .map .number,.topic-map .map .d-icon{font-size:1.3195em;line-height:1.2}.topic-map .map button .d-icon,.topic-map .map button:hover .d-icon{color:#a6a6a6}.topic-map .map .avatar a{float:left}.topic-map .map .topic-map-post{margin-top:6px}.topic-map .avatars,.topic-map .links,.topic-map .information{padding:7px 10px 7px 10px;color:#ddd}.topic-map .buttons{float:right}.topic-map .buttons .btn{border:0;padding:0 23px;color:#646464;background:#3c3c3c;border-left:1px solid #313131;border-top:1px solid transparent}.topic-map .buttons .btn:hover{color:#ddd;background:#313131}.topic-map .buttons .btn.collapsed{padding-bottom:1px}.topic-map .buttons .btn .fa{margin:0;font-size:1.3195em;line-height:52px}.topic-map .link-summary .btn{color:#646464;background:#3c3c3c;width:100%}.topic-map .link-summary .btn:hover{color:#ddd;background:#2c2c2c}#topic-footer-buttons{padding:10px 10px 0 0;float:left}#topic-footer-buttons .btn{margin-bottom:5px;margin-right:10px}#topic-footer-buttons .btn .d-icon-bookmark.bookmarked{color:#0f82af}#topic-footer-buttons .bookmark.bookmarked .d-icon-bookmark{color:#0f82af}#topic-footer-button{width:757px}.suggested-topics{clear:left;padding:20px 0 15px 0}.suggested-topics table{margin-top:10px}.suggested-topics .topic-statuses .topic-status{padding:0}.suggested-topics .topic-statuses .topic-status .d-icon{font-size:1em}span.post-count{background:#ddd;color:#222;opacity:0.8}button.expand-post{margin-top:10px;margin-left:11px}.quote-button.visible{display:block}iframe{max-width:100%}video{max-height:500px}.video{max-height:500px}.video>video{max-height:unset}@-webkit-keyframes fadein{from{opacity:0}to{opacity:1}}@keyframes fadein{from{opacity:0}to{opacity:1}}.open>.dropdown-menu{display:block}.btn-group{position:relative}.dropdown-toggle{float:left;position:relative}.deleted .topic-body{background-color:rgba(99,30,13,0.7)}.post-select{float:right;margin-right:20px;margin-top:-20px}.deleted-user-avatar{font-size:2.296em}.info-line{margin:10px 0;color:#ddd}blockquote{margin-left:0;margin-right:0;padding:12px}.quote>blockquote .onebox-result{background-color:#282828}.quote aside .quote,.quote aside .title,.quote aside blockquote,.quote aside .onebox,.quote aside .onebox-result{background:#282828;border-left:5px solid #313131}.quote aside aside.quote>blockquote,.quote aside aside.quote>.title{border-left:0}.topic-body{width:calc(690px + (11px * 2));float:left;position:relative;border-top:1px solid #313131;padding:12px 0 0 0}.topic-body .topic-meta-data,.topic-body .cooked{padding:0 11px 0.25em 11px}.topic-body a.expand-hidden{padding-left:11px}.topic-avatar{border-top:1px solid #313131;padding-top:15px;width:45px;float:left;z-index:2}.gap{width:calc( 45px + 690px + 2 * 11px)}.time-gap+.topic-post .topic-body,.time-gap+.topic-post .topic-avatar{border-top:none}.time-gap+.topic-post .embedded-posts.top{border-bottom:1px solid #313131}.posts-wrapper{position:relative;-webkit-font-smoothing:subpixel-antialiased}.dropdown{position:relative}.caret{display:inline-block;width:0;height:0;vertical-align:middle;border-top:4px solid #ddd;border-right:4px solid transparent;border-left:4px solid transparent;content:"";margin-left:5px}.dropdown-menu{position:absolute;bottom:115%;left:0;z-index:300;display:none;float:left;width:550px;margin:1px 0 0;list-style:none;background-color:#222;border:1px solid #313131;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);background-clip:padding-box}.dropdown-menu span{font-size:.8706em;color:#919191}.dropdown-menu span.title{font-weight:bold;display:block;font-size:1em;color:#ddd}.dropdown-menu a{display:block;padding:9px;clear:both;font-weight:normal;line-height:1.2;color:#ddd;transition:all linear 0.15s}.dropdown-menu a>div{margin-left:26px}.dropdown-menu li>a:hover,.dropdown-menu .active>a,.dropdown-menu .active>a:hover{color:#ddd;text-decoration:none;background-color:#4c3319}.dropdown-menu .disabled>a,.dropdown-menu .disabled>a:hover{text-decoration:none;color:#ddd;background-color:#052e3d;cursor:default}.dropdown-menu .icon{margin-top:3px;float:left;font-size:1.3195em}.open>.dropdown-menu{display:block;clear:both}.selected-posts{width:200px;position:fixed;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);padding:0.714em;margin-bottom:5px;right:10px}@media screen and (min-width: 1140px){.selected-posts{right:auto;margin-left:330px;left:50%}}.selected-posts button{width:100%;margin:4px auto;display:inline-block;text-align:left}.selected-posts.hidden{display:none}.selected-posts .controls{margin-top:10px}.selected-posts p{font-size:.8706em;margin:0 0 10px 0}.selected-posts p.cancel{margin:10px 0 0 0}.selected-posts h3{font-size:1.7511em;color:#ddd;margin-bottom:5px}.selected-posts h3 .d-icon{margin-right:7px}a.attachment:before{display:inline-block;margin-right:4px;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14px' height='16px' viewBox='0 0 512 512' fill='%230f82af'%3E%3Cpath d='M216 0h80c13.3 0 24 10.7 24 24v168h87.7c17.8 0 26.7 21.5 14.1 34.1L269.7 378.3c-7.5 7.5-19.8 7.5-27.3 0L90.1 226.1c-12.6-12.6-3.7-34.1 14.1-34.1H192V24c0-13.3 10.7-24 24-24zm296 376v112c0 13.3-10.7 24-24 24H24c-13.3 0-24-10.7-24-24V376c0-13.3 10.7-24 24-24h146.7l49 49c20.1 20.1 52.5 20.1 72.6 0l49-49H488c13.3 0 24 10.7 24 24zm-124 88c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20zm64 0c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20z'%3E%3C/path%3E%3C/svg%3E");vertical-align:middle}.topic-meta-data{align-items:center}.topic-meta-data .names{display:flex;align-items:center}.topic-meta-data:after{visibility:hidden;display:block;font-size:0;content:" ";clear:both;height:0}.topic-meta-data .post-info a{color:#919191}.topic-meta-data .post-info a.wiki{color:green}.who-liked,.who-read{margin-top:20px;margin-bottom:0;width:100%;text-align:right}span.highlighted{background-color:#052e3d}.first.new-user:not(.staff) a{color:#7a7a7a}.read-state{position:absolute;align-self:center;color:#084860;right:0;font-size:0.571em}.read-state.read{visibility:hidden;opacity:0;transition:visibility 1s, opacity ease-out 1s}.signup-cta{width:690px}@media all and (max-width: 775px){.topic-avatar{width:45px}.topic-post .reply-to-tab{right:15%}.topic-body{box-sizing:border-box;width:calc(100% - 47px)}.embedded-posts.top{width:calc(100% - 56px)}}.post-actions{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both;text-align:right;margin-bottom:10px}.post-actions .post-action{display:inline-block;margin-left:10px;margin-top:10px}.post-menu-area{margin:20px 0}#topic-title{z-index:1;padding-top:14px;margin-bottom:10px}#topic-title #edit-title,#topic-title .category-chooser,#topic-title .edit-controls{width:500px}#topic-title h1{font-size:1.7511em;line-height:1.2;overflow:hidden;width:100%}#topic-title h1 a{color:#ddd}#topic-title .private-message-glyph{display:none}#topic-title .remove-featured-link{float:right;text-transform:lowercase;color:#919191;font-size:0.857rem}.private-message-glyph{float:left}.private_message #topic-title .private-message-glyph{display:inline}.topic-error,.topic-notice{padding:18px;width:60%;margin-left:auto;margin-right:auto;font-size:1.7511em;text-align:center;line-height:1.2}.topic-error .topic-retry,.topic-error .topic-join-group,.topic-notice .topic-retry,.topic-notice .topic-join-group{display:block;margin-top:28px;margin-left:auto;margin-right:auto}.topic-status-info{border-top:1px solid #313131;padding:10px 0;max-width:758px}.topic-status-info .topic-timer-heading{display:flex;align-items:center;margin:0px}.topic-status-info .topic-timer-remove{font-size:.7579em;background:transparent;margin-left:auto}#topic-progress-wrapper{position:fixed;right:1em;bottom:0;z-index:100}#topic-progress-wrapper.docked{position:absolute;bottom:-70px}#topic-progress-expanded{border:1px solid #313131;padding:5px;background:#222;position:relative;left:340px;width:135px}#topic-progress-expanded button.full{width:100%;margin-bottom:5px}#topic-progress-expanded button.full .d-icon{display:block;margin-top:2px;margin-bottom:2px;font-size:1.3195em}#topic-progress-expanded .jump-form input[type="text"]{float:left;width:45px;height:20px;text-align:center;margin-bottom:0;font-size:1.1487em}#topic-progress-expanded .jump-form button.btn{float:right;width:55px}#topic-progress-expanded button.btn.jump-prompt{margin:0}#topic-progress-expanded button.btn.jump-bottom{margin:5px 0 0 0}#topic-progress{position:relative;left:340px;background-color:#222;color:#0f82af;border:1px solid #052e3d;border-bottom:none;width:145px;height:34px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}#topic-progress.hidden{display:none}#topic-progress:hover{cursor:pointer}#topic-progress .nums{position:relative;top:9px;width:100%;text-align:center;z-index:1}#topic-progress .d-icon{position:absolute;right:8px;bottom:9px;z-index:1}#topic-progress h4{display:inline;font-size:1.3195em;line-height:1}#topic-progress .bg{position:absolute;top:0;bottom:0;width:0;max-width:145px;border-right:1px solid #052e3d;background-color:#052e3d;transition:width 0.75s}#topic-filter{background-color:#4c3319;padding:8px;bottom:0;position:fixed;width:100%;font-size:1em;z-index:300}@media all and (min-width: 400px){#topic-progress,#topic-progress-expanded{right:0;left:0}#topic-progress-wrapper{right:19vw}#topic-progress-wrapper.docked{right:19vw}#topic-footer-main-buttons{max-width:70%}}@media all and (max-width: 485px){#topic-progress-wrapper.docked{display:none}#topic-footer-main-buttons{max-width:100%}}.upload-selector label{display:inline-block;padding-left:10px}.upload-selector .radios{min-height:60px;display:flex;align-items:flex-start}.upload-selector .radios label{flex:1 0 auto;margin-right:1em;margin-top:1px}.upload-selector .radios .inputs{width:100%}.upload-selector .radios .inputs input{width:90%;margin:0 0 5px 0}.upload-selector .radios .inputs input[type="file"]{font-size:1em;line-height:1.2}.upload-selector .radios .inputs .description,.upload-selector .radios .inputs .hint{color:#919191;display:block}.upload-selector .radios .inputs .hint{font-style:italic;margin:5px 0 0 0}.upload-selector .radios .inputs .label{margin:0 0 5px 0}.upload-selector .radios:last-child:not(:nth-child(2)){min-height:20px}.uploaded-image-preview{height:270px;width:400px;max-height:150px;margin-bottom:10px}.user-content-wrapper>.alert:first-child,.user-content-wrapper>.user-stream>.alert:first-child{margin-top:10px}.user-content-wrapper .show-mores{position:absolute}.form-horizontal .control-group.category{margin-top:18px}.user-profile-hidden{font-size:1.5em;text-align:center}.user-secondary-navigation{min-width:150px}.user-secondary-navigation .nav-stacked{background-color:transparent}.user-secondary-navigation .nav-stacked li{border-bottom:none}.user-secondary-navigation .nav-stacked li.archive{padding-left:1.4em}.user-secondary-navigation .nav-stacked a{color:#909090}.user-secondary-navigation .nav-stacked a.active{color:#ddd;font-weight:bold;background-color:transparent}.user-secondary-navigation .nav-stacked a.active:after{display:none}.user-content{padding-bottom:12px;margin-bottom:12px;background-color:#222;box-sizing:border-box}.user-content.user-badges-list{display:flex;flex-wrap:wrap}.user-content .btn.right{float:right}.user-content h2{margin-bottom:10px}.pref-avatar .avatar{max-width:90px;max-height:90px}.pref-second-factor{margin-top:10px}.user-invite-list{width:100%;margin-top:15px}.user-invite-list tr td{padding:0.667em}.user-invite-search{clear:both;margin:15px 0px -15px 0px}.user-invite-none{padding:15px 0}.user-main{margin-bottom:50px}.user-main .about.group .details{padding:15px 0;margin:0;color:#222}.user-main .about .details img.avatar{margin:0 20px 10px 0}.user-main .about .details .primary .primary-textual{padding:0 4px 4px}.user-main .about .details .primary .primary-textual a[href]{text-decoration:underline}.user-main .about .details .primary .primary-textual h1{max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-main .about .details .primary .primary-textual .location-and-website{display:flex;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-main .about .details .primary .primary-textual .location-and-website .user-profile-location{margin-right:1em}.user-main .about .details .primary .bio{max-width:750px}.user-main .about .details .primary .bio a.mention{text-decoration:none}.user-main .about .details .secondary{margin-top:16px}.user-main .about.has-background .user-profile-image{height:300px}.user-main .about.has-background .details{box-sizing:border-box;width:100%;padding:15px 0 0 0;bottom:0}.user-main .about .controls{padding:0 0 12px 0;float:right;text-align:right}.user-main .about .controls .btn{min-width:140px}.user-main .about.collapsed-info .user-profile-image{display:none}.user-main .about.collapsed-info .controls{width:auto}.user-main .about.collapsed-info .controls>ul{display:inline-flex}.user-main .about.collapsed-info .controls>ul>li{display:inline;margin-left:12px}.user-main .about.collapsed-info .controls>ul>li .d-button-label{line-height:1}.user-main .about.collapsed-info .controls>ul a{margin-bottom:10px;width:auto}.user-main .about.collapsed-info .details{position:relative;padding:0;margin-top:0;border-bottom:1px solid #313131}.user-main .user-field input[type="text"]{width:530px}.user-main .user-field .controls .instructions{display:block}.user-main .public-user-fields{overflow:hidden}.user-preferences{padding-top:10px;padding-left:30px}.user-preferences .form-vertical{width:500px;max-width:100%}.user-preferences h3{color:#ddd;margin:20px 0 10px 0}.user-preferences .category-selector,.user-preferences .tag-chooser,.user-preferences textarea,.user-preferences input.user-selector{width:100%}.user-preferences .instructions{display:inline-block;margin-top:4px}.user-crawler .username{margin-left:5px;display:inline-block}.modal.history-modal .modal-inner-container{max-width:1110px}.modal.history-modal .modal-body{height:70vh}.modal.history-modal #revision-controls .btn[disabled]{cursor:not-allowed;background-color:#313131}.modal.history-modal #revision-controls .btn-danger[disabled]{background-color:#a13116}.modal.history-modal #revision{display:flex;justify-content:space-between}.modal.history-modal #revisions{word-wrap:break-word}.modal.history-modal #revisions table{margin-top:10px}.modal.history-modal img{max-width:670px;height:auto}.modal.history-modal .inline-diff{width:670px}.modal.history-modal .markdown{font-family:monospace;font-size:.8706em;width:100%;border-collapse:collapse;border-spacing:0}.modal.history-modal .markdown td{width:50%;vertical-align:top;max-width:440px;word-wrap:break-word;white-space:pre-wrap}.modal.history-modal .revision-content img,.modal.history-modal .markdown img{max-width:100%;box-sizing:border-box}.modal.history-modal .modal-header{height:42px}.modal.history-modal .modal-footer{display:flex;justify-content:space-between}.group-nav .group-dropdown{margin-right:10px}.group-info{margin-bottom:20px}.group-navigation{width:15%;background-color:transparent}.group-navigation li{border:none}.group-navigation li a{color:#646464;padding:8px 0}.group-navigation li a.active{background-color:transparent;font-weight:bold;color:#ddd}.group-navigation li a.active:after{display:none}.group-activity-outlet,.group-messages-outlet,.group-manage-outlet{width:85%}.group-manage .form-horizontal button{float:none}.group-details-button{position:absolute;top:20px;right:20px}.admin-customize .show-current-style{padding-left:2%;width:68%}.admin-customize .show-current-style .title input{width:80%}.admin-customize .themes-list{width:28%}#user-card,#group-card{position:absolute;z-index:200}#user-card.fixed,#group-card.fixed{position:fixed;z-index:401}#user-card.docked-card,#group-card.docked-card{z-index:1001}#user-card .first-row .names,#group-card .first-row .names{flex:1 1 auto}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{min-width:150px}#user-card h1 .d-icon,#group-card h1 .d-icon{font-size:.8706em}#user-card h2,#group-card h2{font-size:1.1487em}#user-card h3,#group-card h3{font-size:1em}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{display:block;max-width:185px;margin:0 0.5em 0 0}#user-card .sixth-row .badge-section .more-user-badges{max-width:125px}.user-stream .item,.user-stream .user-stream-item{padding:1em 0.53em}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{margin-right:8px}.user-stream .notification.unread{background-color:#052e3d}.user-info.medium{flex:0 0 32%;margin:0 2% 4vh 0;display:flex}.user-info.medium:nth-of-type(3n){margin-right:0}@media screen and (max-width: 800px){.user-info.medium{flex:0 0 48%;margin-right:0}}.user-info.medium .user-image{width:55px;margin-right:0}\n\n/*# sourceMappingURL=desktop_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:33.890371	2019-12-05 04:03:33.890371	-1	{\n\t"version": 3,\n\t"file": "desktop.css",\n\t"sources": [\n\t\t"desktop.scss",\n\t\t"app/assets/stylesheets/common.scss",\n\t\t"app/assets/stylesheets/vendor/normalize.scss",\n\t\t"app/assets/stylesheets/vendor/pikaday.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/helpers.scss",\n\t\t"app/assets/stylesheets/common/foundation/base.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/spacing.scss",\n\t\t"app/assets/stylesheets/common/select-kit/categories-admin-dropdown.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-drop.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-row.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-selector.scss",\n\t\t"app/assets/stylesheets/common/select-kit/combo-box.scss",\n\t\t"app/assets/stylesheets/common/select-kit/composer-actions.scss",\n\t\t"app/assets/stylesheets/common/select-kit/dropdown-select-box.scss",\n\t\t"app/assets/stylesheets/common/select-kit/future-date-input-selector.scss",\n\t\t"app/assets/stylesheets/common/select-kit/list-setting.scss",\n\t\t"app/assets/stylesheets/common/select-kit/mini-tag-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/multi-select.scss",\n\t\t"app/assets/stylesheets/common/select-kit/notifications-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/period-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/pinned-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/select-kit.scss",\n\t\t"app/assets/stylesheets/common/select-kit/tag-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/tag-drop.scss",\n\t\t"app/assets/stylesheets/common/select-kit/toolbar-popup-menu-options.scss",\n\t\t"app/assets/stylesheets/common/select-kit/topic-notifications-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/user-notifications-dropdown.scss",\n\t\t"app/assets/stylesheets/common/select-kit/color-palettes.scss",\n\t\t"app/assets/stylesheets/common/components/svg.scss",\n\t\t"app/assets/stylesheets/common/components/date-time-input-range.scss",\n\t\t"app/assets/stylesheets/common/components/navs.scss",\n\t\t"app/assets/stylesheets/common/components/buttons.scss",\n\t\t"app/assets/stylesheets/common/components/keyboard_shortcuts.scss",\n\t\t"app/assets/stylesheets/common/components/date-time-input.scss",\n\t\t"app/assets/stylesheets/common/components/group-member-dropdown.scss",\n\t\t"app/assets/stylesheets/common/components/banner.scss",\n\t\t"app/assets/stylesheets/common/components/ignored-user-list.scss",\n\t\t"app/assets/stylesheets/common/components/date-input.scss",\n\t\t"app/assets/stylesheets/common/components/time-input.scss",\n\t\t"app/assets/stylesheets/common/components/groups-form-membership-fields.scss",\n\t\t"app/assets/stylesheets/common/components/conditional-loading-section.scss",\n\t\t"app/assets/stylesheets/common/components/hashtag.scss",\n\t\t"app/assets/stylesheets/common/components/convert-to-public-topic-modal.scss",\n\t\t"app/assets/stylesheets/common/components/date-picker.scss",\n\t\t"app/assets/stylesheets/common/components/user-card.scss",\n\t\t"app/assets/stylesheets/common/components/footer-nav.scss",\n\t\t"app/assets/stylesheets/common/components/share-and-invite-modal.scss",\n\t\t"app/assets/stylesheets/common/components/user-stream-item.scss",\n\t\t"app/assets/stylesheets/common/components/badges.scss",\n\t\t"app/assets/stylesheets/common/components/user-info.scss",\n\t\t"app/assets/stylesheets/common/components/user-stream.scss",\n\t\t"app/assets/stylesheets/common/input_tip.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/topic-entrance.scss",\n\t\t"app/assets/stylesheets/common/printer-friendly.scss",\n\t\t"app/assets/stylesheets/common/base/about.scss",\n\t\t"app/assets/stylesheets/common/base/faqs.scss",\n\t\t"app/assets/stylesheets/common/base/crawler_layout.scss",\n\t\t"app/assets/stylesheets/common/base/composer-user-selector.scss",\n\t\t"app/assets/stylesheets/common/base/discourse.scss",\n\t\t"app/assets/stylesheets/common/base/exception.scss",\n\t\t"app/assets/stylesheets/common/base/category-list.scss",\n\t\t"app/assets/stylesheets/common/base/share_link.scss",\n\t\t"app/assets/stylesheets/common/base/ember-select.scss",\n\t\t"app/assets/stylesheets/common/base/upload.scss",\n\t\t"app/assets/stylesheets/common/base/search.scss",\n\t\t"app/assets/stylesheets/common/base/onebox.scss",\n\t\t"app/assets/stylesheets/common/base/header.scss",\n\t\t"app/assets/stylesheets/common/base/bbcode.scss",\n\t\t"app/assets/stylesheets/common/base/activation.scss",\n\t\t"app/assets/stylesheets/common/base/topic-admin-menu.scss",\n\t\t"app/assets/stylesheets/common/base/lightbox.scss",\n\t\t"app/assets/stylesheets/common/base/cat_reorder.scss",\n\t\t"app/assets/stylesheets/common/base/edit-topic-status-update-modal.scss",\n\t\t"app/assets/stylesheets/common/base/redirection.scss",\n\t\t"app/assets/stylesheets/common/base/rtl.scss",\n\t\t"app/assets/stylesheets/common/base/search-menu.scss",\n\t\t"app/assets/stylesheets/common/base/user-badges.scss",\n\t\t"app/assets/stylesheets/common/base/reviewables.scss",\n\t\t"app/assets/stylesheets/common/base/shared-drafts.scss",\n\t\t"app/assets/stylesheets/common/base/explain-reviewable.scss",\n\t\t"app/assets/stylesheets/common/base/colorpicker.scss",\n\t\t"app/assets/stylesheets/common/base/history.scss",\n\t\t"app/assets/stylesheets/common/base/d-popover.scss",\n\t\t"app/assets/stylesheets/common/base/username_tagsinput.scss",\n\t\t"app/assets/stylesheets/common/base/d-icon.scss",\n\t\t"app/assets/stylesheets/common/base/directory.scss",\n\t\t"app/assets/stylesheets/common/base/alert.scss",\n\t\t"app/assets/stylesheets/common/base/group.scss",\n\t\t"app/assets/stylesheets/common/base/emoji.scss",\n\t\t"app/assets/stylesheets/common/base/_topic-list.scss",\n\t\t"app/assets/stylesheets/common/base/user.scss",\n\t\t"app/assets/stylesheets/common/base/tagging.scss",\n\t\t"app/assets/stylesheets/common/base/compose.scss",\n\t\t"app/assets/stylesheets/common/base/magnific-popup.scss",\n\t\t"app/assets/stylesheets/common/base/topic-post.scss",\n\t\t"app/assets/stylesheets/common/base/topic.scss",\n\t\t"app/assets/stylesheets/common/base/request_access.scss",\n\t\t"app/assets/stylesheets/common/base/code_highlighting.scss",\n\t\t"app/assets/stylesheets/common/base/tooltip.scss",\n\t\t"app/assets/stylesheets/common/base/not-found.scss",\n\t\t"app/assets/stylesheets/common/base/modal.scss",\n\t\t"app/assets/stylesheets/common/base/groups.scss",\n\t\t"app/assets/stylesheets/common/base/login.scss",\n\t\t"app/assets/stylesheets/common/base/menu-panel.scss",\n\t\t"app/assets/stylesheets/common/base/request-group-membership-form.scss",\n\t\t"app/assets/stylesheets/common/d-editor.scss",\n\t\t"app/assets/stylesheets/common/topic-timeline.scss",\n\t\t"app/assets/stylesheets/desktop/alert.scss",\n\t\t"app/assets/stylesheets/desktop/banner.scss",\n\t\t"app/assets/stylesheets/desktop/compose.scss",\n\t\t"app/assets/stylesheets/desktop/discourse.scss",\n\t\t"app/assets/stylesheets/desktop/header.scss",\n\t\t"app/assets/stylesheets/desktop/login.scss",\n\t\t"app/assets/stylesheets/desktop/modal.scss",\n\t\t"app/assets/stylesheets/desktop/category-list.scss",\n\t\t"app/assets/stylesheets/desktop/latest-topic-list.scss",\n\t\t"app/assets/stylesheets/desktop/topic-list.scss",\n\t\t"app/assets/stylesheets/desktop/topic-post.scss",\n\t\t"app/assets/stylesheets/desktop/topic.scss",\n\t\t"app/assets/stylesheets/desktop/upload.scss",\n\t\t"app/assets/stylesheets/desktop/user.scss",\n\t\t"app/assets/stylesheets/desktop/history.scss",\n\t\t"app/assets/stylesheets/desktop/group.scss",\n\t\t"app/assets/stylesheets/desktop/admin_customize.scss",\n\t\t"app/assets/stylesheets/desktop/components/user-card.scss",\n\t\t"app/assets/stylesheets/desktop/components/user-stream-item.scss",\n\t\t"app/assets/stylesheets/desktop/components/user-info.scss",\n\t\t"category_background.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common\\";\\n\\n/* @import \\"desktop/*\\"; TODO: get this working again */\\n\\n@import \\"desktop/alert\\";\\n@import \\"desktop/banner\\";\\n@import \\"desktop/compose\\";\\n@import \\"desktop/discourse\\";\\n@import \\"desktop/header\\";\\n@import \\"desktop/login\\";\\n@import \\"desktop/modal\\";\\n@import \\"desktop/category-list\\";\\n@import \\"desktop/latest-topic-list\\";\\n@import \\"desktop/topic-list\\";\\n@import \\"desktop/topic-post\\";\\n@import \\"desktop/topic\\";\\n@import \\"desktop/upload\\";\\n@import \\"desktop/user\\";\\n@import \\"desktop/history\\";\\n@import \\"desktop/group\\";\\n@import \\"desktop/admin_customize\\";\\n\\n// Import all component-specific files\\n@import \\"desktop/components/*\\";\\n\\n/* These files doesn't actually exist, they are injected by Stylesheet::Compiler. */\\n\\n@import \\"category_backgrounds\\";\\n",\n\t\t"@import \\"vendor/normalize\\";\\n@import \\"vendor/pikaday\\";\\n@import \\"common/foundation/helpers\\";\\n@import \\"common/foundation/base\\";\\n@import \\"common/foundation/mixins\\";\\n@import \\"common/foundation/variables\\";\\n@import \\"common/foundation/spacing\\";\\n@import \\"common/select-kit/categories-admin-dropdown\\";\\n@import \\"common/select-kit/category-chooser\\";\\n@import \\"common/select-kit/category-drop\\";\\n@import \\"common/select-kit/category-row\\";\\n@import \\"common/select-kit/category-selector\\";\\n@import \\"common/select-kit/combo-box\\";\\n@import \\"common/select-kit/composer-actions\\";\\n@import \\"common/select-kit/dropdown-select-box\\";\\n@import \\"common/select-kit/future-date-input-selector\\";\\n@import \\"common/select-kit/list-setting\\";\\n@import \\"common/select-kit/mini-tag-chooser\\";\\n@import \\"common/select-kit/multi-select\\";\\n@import \\"common/select-kit/notifications-button\\";\\n@import \\"common/select-kit/period-chooser\\";\\n@import \\"common/select-kit/pinned-button\\";\\n@import \\"common/select-kit/select-kit\\";\\n@import \\"common/select-kit/tag-chooser\\";\\n@import \\"common/select-kit/tag-drop\\";\\n@import \\"common/select-kit/toolbar-popup-menu-options\\";\\n@import \\"common/select-kit/topic-notifications-button\\";\\n@import \\"common/select-kit/user-notifications-dropdown\\";\\n@import \\"common/select-kit/color-palettes\\";\\n@import \\"common/components/*\\";\\n@import \\"common/input_tip\\";\\n@import \\"common/topic-entrance\\";\\n@import \\"common/printer-friendly\\";\\n@import \\"common/base/*\\";\\n@import \\"common/d-editor\\";\\n@import \\"common/topic-timeline\\";\\n",\n\t\t"/*! normalize.css v3.0.1 | MIT License | git.io/normalize */\\n\\n/**\\n * 1. Set default font family to sans-serif.\\n * 2. Prevent iOS text size adjust after orientation change, without disabling\\n *    user zoom.\\n */\\n\\nhtml {\\n  font-family: sans-serif; /* 1 */\\n  -ms-text-size-adjust: 100%; /* 2 */\\n  -webkit-text-size-adjust: 100%; /* 2 */\\n}\\n\\n/**\\n * Remove default margin.\\n */\\n\\nbody {\\n  margin: 0;\\n}\\n\\n/* HTML5 display definitions\\n   ========================================================================== */\\n\\n/**\\n * Correct `block` display not defined for any HTML5 element in IE 8/9.\\n * Correct `block` display not defined for `details` or `summary` in IE 10/11 and Firefox.\\n * Correct `block` display not defined for `main` in IE 11.\\n */\\n\\narticle,\\naside,\\ndetails,\\nfigcaption,\\nfigure,\\nfooter,\\nheader,\\nhgroup,\\nmain,\\nnav,\\nsection,\\nsummary {\\n  display: block;\\n}\\n\\n/**\\n * 1. Correct `inline-block` display not defined in IE 8/9.\\n * 2. Normalize vertical alignment of `progress` in Chrome, Firefox, and Opera.\\n */\\n\\naudio,\\ncanvas,\\nprogress,\\nvideo {\\n  display: inline-block; /* 1 */\\n  vertical-align: baseline; /* 2 */\\n}\\n\\n/**\\n * Prevent modern browsers from displaying `audio` without controls.\\n * Remove excess height in iOS 5 devices.\\n */\\n\\naudio:not([controls]) {\\n  display: none;\\n  height: 0;\\n}\\n\\n/**\\n * Address `[hidden]` styling not present in IE 8/9/10.\\n * Hide the `template` element in IE 8/9/11, Safari, and Firefox < 22.\\n */\\n\\n[hidden],\\ntemplate {\\n  display: none;\\n}\\n\\n/* Links\\n   ========================================================================== */\\n\\n/**\\n * Remove the gray background color from active links in IE 10.\\n */\\n\\na {\\n  background: transparent;\\n}\\n\\n/**\\n * Improve readability when focused and also mouse hovered in all browsers.\\n */\\n\\na:active,\\na:hover {\\n  outline: 0;\\n}\\n\\n/* Text-level semantics\\n   ========================================================================== */\\n\\n/**\\n * Address styling not present in IE 8/9/10/11 & Edge\\n */\\n\\n abbr[title], acronym[title] {\\n  text-decoration: underline;\\n  text-decoration-style: dotted; \\n}\\n\\n/**\\n * Address style set to `bolder` in Firefox 4+, Safari, and Chrome.\\n */\\n\\nb,\\nstrong {\\n  font-weight: bold;\\n}\\n\\n/**\\n * Address styling not present in Safari and Chrome.\\n */\\n\\ndfn {\\n  font-style: italic;\\n}\\n\\n/**\\n * Address variable `h1` font-size and margin within `section` and `article`\\n * contexts in Firefox 4+, Safari, and Chrome.\\n */\\n\\nh1 {\\n  font-size: 1.7511em;\\n  margin: 0.67em 0;\\n}\\n\\n/**\\n * Address styling not present in IE 8/9.\\n */\\n\\nmark {\\n  background: #ff0;\\n  color: #000;\\n}\\n\\n/**\\n * Address inconsistent and variable font size in all browsers.\\n */\\n\\nsmall {\\n  font-size: 80%;\\n}\\n\\n/**\\n * Prevent `sub` and `sup` affecting `line-height` in all browsers.\\n */\\n\\nsub,\\nsup {\\n  font-size: 75%;\\n  line-height: 0;\\n  position: relative;\\n  vertical-align: baseline;\\n}\\n\\nsup {\\n  top: -0.5em;\\n}\\n\\nsub {\\n  bottom: -0.25em;\\n}\\n\\n/* Embedded content\\n   ========================================================================== */\\n\\n/**\\n * Remove border when inside `a` element in IE 8/9/10.\\n */\\n\\nimg {\\n  border: 0;\\n}\\n\\n/* Grouping content\\n   ========================================================================== */\\n\\n/**\\n * Address margin not present in IE 8/9 and Safari.\\n */\\n\\nfigure {\\n  margin: 1em 40px;\\n}\\n\\n/**\\n * Address differences between Firefox and other browsers.\\n */\\n\\nhr {\\n  -moz-box-sizing: content-box;\\n  box-sizing: content-box;\\n  height: 0;\\n}\\n\\n/**\\n * Contain overflow in all browsers.\\n */\\n\\npre {\\n  overflow: auto;\\n}\\n\\n/**\\n * Address odd `em`-unit font size rendering in all browsers.\\n */\\n\\ncode,\\nkbd,\\npre,\\nsamp {\\n  font-family: monospace, monospace;\\n  font-size: 1em;\\n}\\n\\n/* Forms\\n   ========================================================================== */\\n\\n/**\\n * Known limitation: by default, Chrome and Safari on OS X allow very limited\\n * styling of `select`, unless a `border` property is set.\\n */\\n\\n/**\\n * 1. Correct color not being inherited.\\n *    Known issue: affects color of disabled elements.\\n * 2. Correct font properties not being inherited.\\n * 3. Address margins set differently in Firefox 4+, Safari, and Chrome.\\n */\\n\\nbutton,\\ninput,\\noptgroup,\\nselect,\\ntextarea {\\n  color: inherit; /* 1 */\\n  font: inherit; /* 2 */\\n  margin: 0; /* 3 */\\n}\\n\\n/**\\n * Address `overflow` set to `hidden` in IE 8/9/10/11.\\n */\\n\\nbutton {\\n  overflow: visible;\\n}\\n\\n/**\\n * Address inconsistent `text-transform` inheritance for `button` and `select`.\\n * All other form control elements do not inherit `text-transform` values.\\n * Correct `button` style inheritance in Firefox, IE 8/9/10/11, and Opera.\\n * Correct `select` style inheritance in Firefox.\\n */\\n\\nbutton,\\nselect {\\n  text-transform: none;\\n}\\n\\n/**\\n * 1. Avoid the WebKit bug in Android 4.0.* where (2) destroys native `audio`\\n *    and `video` controls.\\n * 2. Correct inability to style clickable `input` types in iOS.\\n * 3. Improve usability and consistency of cursor style between image-type\\n *    `input` and others.\\n */\\n\\nbutton,\\nhtml input[type=\\"button\\"], /* 1 */\\ninput[type=\\"reset\\"],\\ninput[type=\\"submit\\"] {\\n  -webkit-appearance: button; /* 2 */\\n  cursor: pointer; /* 3 */\\n}\\n\\n/**\\n * Re-set default cursor for disabled elements.\\n */\\n\\nbutton[disabled],\\nhtml input[disabled] {\\n  cursor: default;\\n}\\n\\n/**\\n * Remove inner padding and border in Firefox 4+.\\n */\\n\\nbutton::-moz-focus-inner,\\ninput::-moz-focus-inner {\\n  border: 0;\\n  padding: 0;\\n}\\n\\n/**\\n * Address Firefox 4+ setting `line-height` on `input` using `!important` in\\n * the UA stylesheet.\\n */\\n\\ninput {\\n  line-height: normal;\\n}\\n\\n/**\\n * It's recommended that you don't attempt to style these elements.\\n * Firefox's implementation doesn't respect box-sizing, padding, or width.\\n *\\n * 1. Address box sizing set to `content-box` in IE 8/9/10.\\n * 2. Remove excess padding in IE 8/9/10.\\n */\\n\\ninput[type=\\"checkbox\\"],\\ninput[type=\\"radio\\"] {\\n  box-sizing: border-box; /* 1 */\\n  padding: 0; /* 2 */\\n}\\n\\n/**\\n * Fix the cursor style for Chrome's increment/decrement buttons. For certain\\n * `font-size` values of the `input`, it causes the cursor style of the\\n * decrement button to change from `default` to `text`.\\n */\\n\\ninput[type=\\"number\\"]::-webkit-inner-spin-button,\\ninput[type=\\"number\\"]::-webkit-outer-spin-button {\\n  height: auto;\\n}\\n\\n/**\\n * 1. Address `appearance` set to `searchfield` in Safari and Chrome.\\n * 2. Address `box-sizing` set to `border-box` in Safari and Chrome\\n *    (include `-moz` to future-proof).\\n */\\n\\ninput[type=\\"search\\"] {\\n  -webkit-appearance: textfield; /* 1 */\\n  -moz-box-sizing: content-box;\\n  -webkit-box-sizing: content-box; /* 2 */\\n  box-sizing: content-box;\\n}\\n\\n/**\\n * Remove inner padding and search cancel button in Safari and Chrome on OS X.\\n * Safari (but not Chrome) clips the cancel button when the search input has\\n * padding (and `textfield` appearance).\\n */\\n\\ninput[type=\\"search\\"]::-webkit-search-cancel-button,\\ninput[type=\\"search\\"]::-webkit-search-decoration {\\n  -webkit-appearance: none;\\n}\\n\\n/**\\n * Define consistent border, margin, and padding.\\n */\\n\\nfieldset {\\n  border: 1px solid #c0c0c0;\\n  margin: 0 2px;\\n  padding: 0.35em 0.625em 0.75em;\\n}\\n\\n/**\\n * 1. Correct `color` not being inherited in IE 8/9/10/11.\\n * 2. Remove padding so people aren't caught out if they zero out fieldsets.\\n */\\n\\nlegend {\\n  border: 0; /* 1 */\\n  padding: 0; /* 2 */\\n}\\n\\n/**\\n * Remove default vertical scrollbar in IE 8/9/10/11.\\n */\\n\\ntextarea {\\n  overflow: auto;\\n}\\n\\n/**\\n * Don't inherit the `font-weight` (applied by a rule above).\\n * NOTE: the default cannot safely be changed in Chrome and Safari on OS X.\\n */\\n\\noptgroup {\\n  font-weight: bold;\\n}\\n\\n/* Tables\\n   ========================================================================== */\\n\\n/**\\n * Remove most spacing between table cells.\\n */\\n\\ntable {\\n  border-collapse: collapse;\\n  border-spacing: 0;\\n}\\n\\ntd,\\nth {\\n  padding: 0;\\n}\\n",\n\t\t"@import \\"common/foundation/variables\\";\\n\\n/*!\\n * Pikaday\\n * Copyright © 2014 David Bushell | BSD & MIT license | http://dbushell.com/\\n */\\n\\n// Variables\\n// Declare any of these variables before importing this SCSS file to easily override defaults\\n// Variables are namespaced with the pd (pikaday) prefix\\n\\n// Colours\\n$pd-text-color: $primary !default;\\n$pd-title-color: $primary !default;\\n$pd-title-bg: $secondary !default;\\n$pd-picker-bg: $secondary !default;\\n$pd-picker-border: $primary-low !default;\\n$pd-picker-border-bottom: $primary-low !default;\\n$pd-picker-shadow: rgba(0,0,0,.5) !default;\\n$pd-th-color: $primary !default;\\n$pd-day-color: $primary !default;\\n$pd-day-bg: $secondary !default;\\n$pd-day-hover-color: $primary !default;\\n$pd-day-hover-bg: $tertiary-low !default;\\n$pd-day-today-color: $tertiary !default;\\n$pd-day-selected-color: $secondary !default;\\n$pd-day-selected-bg: $tertiary !default;\\n$pd-day-selected-shadow: $tertiary-low !default;\\n$pd-day-disabled-color: $primary !default;\\n$pd-week-color: $primary !default;\\n\\n// Font\\n$pd-font-family: \\"Helvetica Neue\\", Helvetica, Arial, sans-serif !default;\\n\\n\\n.pika-single {\\n    z-index: 9999;\\n    display: block;\\n    position: relative;\\n    color: $pd-text-color;\\n    background: $pd-picker-bg;\\n    border: 1px solid $pd-picker-border;\\n    border-bottom-color: $pd-picker-border-bottom;\\n    font-family: $pd-font-family;\\n\\n    &.is-hidden {\\n        display: none;\\n    }\\n\\n    &.is-bound {\\n        position: absolute;\\n        box-shadow: 0 5px 15px -5px $pd-picker-shadow;\\n    }\\n}\\n\\n// clear child float (pika-lendar), using the famous micro clearfix hack\\n// http://nicolasgallagher.com/micro-clearfix-hack/\\n.pika-single {\\n    &:before,\\n    &:after {\\n        content: \\" \\";\\n        display: table;\\n    }\\n\\n    &:after { clear: both }\\n}\\n\\n.pika-lendar {\\n    float: left;\\n    width: 240px;\\n    margin: 8px;\\n}\\n\\n.pika-title {\\n    position: relative;\\n    text-align: center;\\n\\n    select {\\n        cursor: pointer;\\n        position: absolute;\\n        z-index: 9998;\\n        margin: 0;\\n        left: 0;\\n        top: 5px;\\n        filter: alpha(opacity=0);\\n        opacity: 0;\\n    }\\n}\\n\\n.pika-label {\\n    display: inline-block;\\n    position: relative;\\n    z-index: 9999;\\n    overflow: hidden;\\n    margin: 0;\\n    padding: 5px 3px;\\n    font-size: 14px;\\n    line-height: 20px;\\n    font-weight: bold;\\n    color: $pd-title-color;\\n    background-color: $pd-title-bg;\\n}\\n\\n.pika-prev,\\n.pika-next {\\n    display: block;\\n    cursor: pointer;\\n    position: relative;\\n    outline: none;\\n    border: 0;\\n    padding: 0;\\n    width: 20px;\\n    height: 30px;\\n    text-indent: 20px; // hide text using text-indent trick, using width value (it's enough)\\n    white-space: nowrap;\\n    overflow: hidden;\\n    background-color: transparent;\\n    background-position: center center;\\n    background-repeat: no-repeat;\\n    background-size: 75% 75%;\\n    opacity: .5;\\n    @if (lightness($secondary) < 50) { // invert the black png if the background is dark\\n        filter: invert(1); \\n    } \\n\\n    &:hover {\\n        opacity: 1;\\n    }\\n\\n    &.is-disabled {\\n        cursor: default;\\n        opacity: .2;\\n    }\\n}\\n\\n.pika-prev,\\n.is-rtl .pika-next {\\n    float: left;\\n    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==');\\n}\\n\\n.pika-next,\\n.is-rtl .pika-prev {\\n    float: right;\\n    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=');\\n}\\n\\n.pika-select {\\n    display: inline-block;\\n}\\n\\n.pika-table {\\n    width: 100%;\\n    border-collapse: collapse;\\n    border-spacing: 0;\\n    border: 0;\\n\\n    th,\\n    td {\\n        width: 14.285714285714286%;\\n        padding: 0;\\n    }\\n\\n    th {\\n        color: $pd-th-color;\\n        font-size: 12px;\\n        line-height: 25px;\\n        font-weight: bold;\\n        text-align: center;\\n    }\\n\\n    abbr {\\n        border-bottom: none;\\n        cursor: help;\\n    }\\n}\\n\\n.pika-button {\\n    cursor: pointer;\\n    display: block;\\n    -moz-box-sizing: border-box;\\n    box-sizing: border-box;\\n    outline: none;\\n    border: 0;\\n    margin: 0;\\n    width: 100%;\\n    padding: 5px;\\n    color: $pd-day-color;\\n    font-size: 12px;\\n    line-height: 15px;\\n    text-align: right;\\n    background: $pd-day-bg;\\n\\n    .is-today & {\\n        color: $pd-day-today-color;\\n        font-weight: bold;\\n    }\\n\\n    .is-selected & {\\n        color: $pd-day-selected-color;\\n        font-weight: bold;\\n        background: $pd-day-selected-bg;\\n        box-shadow: inset 0 1px 3px $pd-day-selected-shadow;\\n        border-radius: 3px;\\n    }\\n\\n    .is-disabled &,\\n    .is-outside-current-month & {\\n        pointer-events: none;\\n        cursor: default;\\n        color: $pd-day-disabled-color;\\n        opacity: .3;\\n    }\\n\\n    &:hover {\\n        color: $pd-day-hover-color;\\n        background: $pd-day-hover-bg;\\n        box-shadow: none;\\n        border-radius: 3px;\\n    }\\n}\\n\\n.pika-week {\\n    font-size: 11px;\\n    color: $pd-week-color;\\n}\\n\\n.is-inrange .pika-button {\\n    background: #D5E9F7;\\n}\\n\\n.is-startrange .pika-button {\\n    color: $secondary;\\n    background: #6CB31D;\\n    box-shadow: none;\\n    border-radius: 3px;\\n}\\n\\n.is-endrange .pika-button {\\n    color: $secondary;\\n    background: $tertiary;\\n    box-shadow: none;\\n    border-radius: 3px;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Generic helper classes\\n// --------------------------------------------------\\n\\n// Floats\\n// --------------------------------------------------\\n\\n.pull-left {\\n  float: left;\\n}\\n\\n.pull-right {\\n  float: right;\\n}\\n\\n// Element visibility\\n// --------------------------------------------------\\n\\n.show {\\n  display: block;\\n}\\n\\n.hide,\\n.hidden {\\n  display: none;\\n}\\n\\n.invisible {\\n  visibility: hidden;\\n}\\n\\n.sr-only {\\n  position: absolute;\\n  width: 1px;\\n  height: 1px;\\n  padding: 0;\\n  margin: -1px;\\n  overflow: hidden;\\n  clip: rect(0, 0, 0, 0);\\n  border: 0;\\n}\\n\\n// Affix\\n// --------------------------------------------------\\n\\n.affix {\\n  position: fixed;\\n}\\n\\n// Contain floats\\n// --------------------------------------------------\\n\\n.clearfix {\\n  &:before,\\n  &:after {\\n    display: table;\\n    content: \\" \\";\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n// Overflow\\n// --------------------------------------------------\\n\\n.overflow-ellipsis {\\n  white-space: nowrap;\\n  overflow: hidden;\\n  text-overflow: ellipsis;\\n}\\n\\n// Clickable elements\\n// --------------------------------------------------\\n\\n.clickable {\\n  cursor: pointer;\\n}\\n\\n// Buttons\\n// ---------------------------------------------------\\n.disable-no-hover:hover {\\n  background: dark-light-choose($primary-low, $secondary-medium);\\n  color: $primary;\\n}\\n",\n\t\t"@import \\"./variables\\";\\n@import \\"./mixins\\";\\n\\n// --------------------------------------------------\\n// Base styles for HTML elements\\n// --------------------------------------------------\\n\\nhtml {\\n  color: $primary;\\n  font-family: $base-font-family;\\n  font-size: $base-font-size;\\n  line-height: $line-height-large;\\n  background-color: $secondary;\\n  overflow-y: scroll;\\n  direction: ltr;\\n\\n  &.text-size-smaller {\\n    font-size: $base-font-size-smaller;\\n  }\\n\\n  &.text-size-larger {\\n    font-size: $base-font-size-larger;\\n  }\\n\\n  &.text-size-largest {\\n    font-size: $base-font-size-largest;\\n  }\\n}\\n\\n// Links\\n// --------------------------------------------------\\n\\na {\\n  color: $tertiary;\\n  text-decoration: none;\\n  cursor: pointer;\\n  &:visited {\\n    color: $tertiary;\\n  }\\n  &:hover {\\n    color: $tertiary;\\n  }\\n  &:active {\\n    color: $tertiary;\\n  }\\n}\\n\\n// Typography\\n// --------------------------------------------------\\n\\nhr {\\n  display: block;\\n  height: 1px;\\n  margin: 1em 0;\\n  border: 0;\\n  border-top: 1px solid $primary-low;\\n  padding: 0;\\n}\\n\\n// Lists\\n// --------------------------------------------------\\n\\nul,\\ndd {\\n  margin: 0 0 9px 25px;\\n  padding: 0;\\n}\\n\\n.cooked ul,\\n.cooked ol,\\n.cooked dd {\\n  clear: both;\\n}\\n\\n.cooked ul,\\n.d-editor-preview ul {\\n  margin: 0;\\n  padding-left: 40px;\\n}\\n\\nli {\\n  > ul,\\n  > ol {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n// Embedded content\\n// --------------------------------------------------\\n\\nimg {\\n  vertical-align: middle;\\n}\\n\\n// Forms\\n// --------------------------------------------------\\n\\nfieldset {\\n  margin: 0;\\n  border: 0;\\n  padding: 0;\\n}\\n\\npre code {\\n  overflow: auto;\\n  tab-size: 4;\\n}\\n\\n// TODO figure out a clean place to put stuff like this\\n.row:before,\\n.row:after {\\n  display: table;\\n  content: \\"\\";\\n}\\n.row:after {\\n  clear: both;\\n}\\n\\n#offscreen-content {\\n  display: none;\\n}\\n\\n// Tables\\n// --------------------------------------------------\\n\\ntbody {\\n  border-top: 3px solid $primary-low;\\n}\\n\\ntr {\\n  border-bottom: 1px solid $primary-low;\\n  &.highlighted {\\n    animation: background-fade-highlight 2.5s ease-out;\\n  }\\n}\\n\\n// https://en.wikipedia.org/wiki/Ruby_character\\nruby > rt {\\n  font-size: 72%; // ~10px with 14px base\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"$base-space: 4px;\\n\\n@function s(\\n  $sizes: (\\n    0\\n  )\\n) {\\n  $spaces: ();\\n  @each $size in $sizes {\\n    @if ($size == 0) {\\n      // Strip units if 0\\n      $size: $size * $base-space;\\n      $size: $size / ($size * 0 + 1);\\n    } @else if ($size == auto) {\\n      $size: auto;\\n    } @else {\\n      $size: $size * $base-space;\\n    }\\n\\n    $spaces: append($spaces, $size);\\n  }\\n  @return $spaces;\\n}\\n",\n\t\t".select-kit {\\n  &.categories-admin-dropdown {\\n    .select-kit-body {\\n      min-width: auto;\\n      width: 250px;\\n    }\\n\\n    .select-kit-header .d-icon {\\n      justify-content: space-between;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-chooser {\\n      width: 300px;\\n\\n      .select-kit-row {\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        -webkit-box-align: flex-start;\\n        -ms-flex-align: flex-start;\\n        align-items: flex-start;\\n        -webkit-box-orient: vertical;\\n        -webkit-box-direction: normal;\\n        -ms-flex-direction: column;\\n        flex-direction: column;\\n\\n        &.none {\\n          .topic-count {\\n            display: none;\\n          }\\n        }\\n\\n        .topic-count {\\n          font-size: $font-down-2;\\n          color: $primary;\\n          white-space: nowrap;\\n        }\\n\\n        .category-status {\\n          color: $primary;\\n          line-height: $line-height-large;\\n          -webkit-box-flex: 0;\\n          -ms-flex: 1 1 auto;\\n          flex: 1 1 auto;\\n        }\\n\\n        .category-desc {\\n          -webkit-box-flex: 0;\\n          -ms-flex: 1 1 auto;\\n          flex: 1 1 auto;\\n          color: #919191;\\n          font-size: $font-down-1;\\n          line-height: $line-height-large;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-drop {\\n      .badge-wrapper {\\n        font-size: $font-0;\\n        font-weight: normal;\\n\\n        &.box {\\n          margin: 0;\\n\\n          span.badge-category {\\n            margin: 0;\\n          }\\n        }\\n      }\\n\\n      &.bar.has-selection .category-drop-header {\\n        padding: 0 5px 0 10px;\\n      }\\n\\n      &.box.has-selection .category-drop-header {\\n        .badge-wrapper.box {\\n          padding: 0;\\n        }\\n      }\\n\\n      .category-drop-header {\\n        &.is-none .selected-name {\\n          color: inherit;\\n        }\\n\\n        .badge-wrapper {\\n          margin-right: 0;\\n        }\\n      }\\n\\n      .select-kit-body {\\n        min-width: 300px;\\n      }\\n\\n      .select-kit-row {\\n        flex-direction: column;\\n        align-items: flex-start;\\n\\n        &[data-value=\\"all-categories\\"],\\n        &[data-value=\\"no-categories\\"] {\\n          color: $tertiary;\\n          font-weight: 700;\\n        }\\n\\n        .category-desc {\\n          font-weight: normal;\\n          color: $primary-medium;\\n          margin-top: 2px;\\n        }\\n\\n        .category-status {\\n          align-items: center;\\n        }\\n\\n        .topic-count {\\n          margin-left: 5px;\\n          font-weight: normal;\\n        }\\n\\n        .badge-wrapper {\\n          margin: 0;\\n          font-weight: bold;\\n\\n          &:nth-child(2) {\\n            margin-left: 10px;\\n          }\\n        }\\n      }\\n\\n      &.is-expanded .select-kit-wrapper,\\n      .select-kit-wrapper {\\n        display: none;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  .category-row {\\n    .category-status {\\n      display: flex;\\n      flex-wrap: wrap;\\n      align-items: center;\\n      max-width: 100%;\\n      -webkit-box-flex: 0;\\n      -ms-flex: 1 1 auto;\\n      flex: 1 1 auto;\\n    }\\n    .category-desc {\\n      max-width: 100%; // needed for IE11\\n    }\\n    .category-status {\\n      .badge-wrapper.box {\\n        margin-bottom: 1px;\\n        margin-top: 1px;\\n      }\\n    }\\n    .topic-count {\\n      white-space: nowrap;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit,\\n.select-kit-box {\\n  &.category-selector {\\n    .selected-name {\\n      .badge-wrapper {\\n        &.box {\\n          margin: 2px;\\n          padding: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    min-width: auto;\\n    .select-kit-body {\\n      width: 100%;\\n      min-width: 150px;\\n      border-radius: 0;\\n      box-shadow: shadow(\\"dropdown\\");\\n    }\\n\\n    .select-kit-row {\\n      margin: 0;\\n      min-height: 1px;\\n      padding: 6px 10px;\\n      &.no-content {\\n        font-weight: normal;\\n      }\\n    }\\n\\n    .select-kit-filter {\\n      padding: $input-padding;\\n      border-top: 1px solid $primary-low;\\n      border-bottom: 1px solid $primary-low;\\n\\n      .spinner {\\n        flex: 0 0 auto;\\n      }\\n\\n      .filter-input,\\n      .filter-input:focus,\\n      .filter-input:active {\\n        flex: 0 0 auto;\\n        width: 90%; // Firefox quirk\\n      }\\n\\n      .filter-icon {\\n        padding-left: 5px;\\n      }\\n    }\\n\\n    .select-kit-header {\\n      background: $secondary;\\n      border: 1px solid $primary-medium;\\n      padding: 0 5px 0 10px;\\n      font-weight: 500;\\n      font-size: $font-0;\\n\\n      &.is-focused {\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    .select-kit-collection {\\n      display: flex;\\n      flex-direction: column;\\n      padding: 0;\\n      min-width: 100px;\\n      max-height: 200px;\\n      max-width: 32em;\\n\\n      .collection-header {\\n        a {\\n          white-space: nowrap;\\n          color: $primary;\\n          line-height: $line-height-medium;\\n          font-weight: bold;\\n          display: block;\\n          padding: 6px 10px;\\n          color: $tertiary;\\n\\n          &:hover {\\n            text-decoration: underline;\\n          }\\n        }\\n      }\\n    }\\n\\n    &.is-disabled {\\n      .select-kit-header {\\n        background: $primary-low;\\n        border-color: $primary-low-mid;\\n        color: $primary-medium;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n\\n    &.is-highlighted {\\n      .select-kit-header {\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded {\\n      .select-kit-wrapper {\\n        display: block;\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded.is-above {\\n      .select-kit-header {\\n        border-radius: 0 0 3px 3px;\\n      }\\n\\n      .select-kit-body {\\n        border-radius: 3px 3px 0 0;\\n      }\\n    }\\n\\n    &.tag-drop,\\n    &.group-dropdown {\\n      min-width: auto;\\n      .select-kit-row {\\n        font-weight: bold;\\n      }\\n    }\\n\\n    &.is-expanded .select-kit-wrapper,\\n    .select-kit-wrapper {\\n      display: none;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.composer-actions {\\n      margin: 0;\\n      .select-kit-header {\\n        background: none;\\n        outline: none;\\n        padding: 0;\\n        margin-right: 5px;\\n        border: 1px solid $primary-low;\\n        min-height: unset;\\n        .d-icon {\\n          padding: 5px 6px;\\n        }\\n        &:hover,\\n        &:focus {\\n          background: $primary-low;\\n        }\\n      }\\n      .d-icon {\\n        margin: 0 !important;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    display: -webkit-inline-box;\\n    display: -ms-inline-flexbox;\\n    display: inline-flex;\\n    min-width: auto;\\n    border: none;\\n\\n    &.is-expanded {\\n      .select-kit-collection,\\n      .select-kit-body {\\n        border-radius: 0;\\n      }\\n    }\\n\\n    .select-kit-body {\\n      border: 1px solid $primary-low;\\n      background-clip: padding-box;\\n      box-shadow: shadow(\\"dropdown\\");\\n      max-width: 300px;\\n      width: 300px;\\n    }\\n\\n    .select-kit-row {\\n      margin: 0;\\n      padding: 10px 5px;\\n\\n      .icons {\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        flex: 0 0 auto;\\n        -webkit-box-align: start;\\n        -ms-flex-align: start;\\n        align-items: flex-start;\\n        -webkit-box-pack: center;\\n        -ms-flex-pack: center;\\n        justify-content: center;\\n        -ms-flex-item-align: start;\\n        align-self: flex-start;\\n        margin-right: 0.357em;\\n        margin-top: 2px;\\n        width: 30px;\\n\\n        .d-icon {\\n          font-size: $font-up-2;\\n          -ms-flex-item-align: center;\\n          align-self: center;\\n          margin-right: 0;\\n          opacity: 1;\\n        }\\n      }\\n\\n      .texts {\\n        width: 0; //IE11\\n        line-height: $line-height-large;\\n        -webkit-box-flex: 1;\\n        -ms-flex: 1;\\n        flex: 1 1 0%;\\n        -webkit-box-align: start;\\n        -ms-flex-align: start;\\n        align-items: flex-start;\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        -ms-flex-wrap: wrap;\\n        flex-wrap: wrap;\\n        -webkit-box-orient: vertical;\\n        -webkit-box-direction: normal;\\n        -ms-flex-direction: column;\\n        flex-direction: column;\\n\\n        .name {\\n          -webkit-box-flex: 1;\\n          -ms-flex: 1;\\n          flex: 1 1 auto;\\n          font-weight: bold;\\n          font-size: $font-0;\\n          color: $primary;\\n          padding: 0;\\n          @include ellipsis;\\n          max-width: 100%;\\n        }\\n\\n        .desc {\\n          -webkit-box-flex: 1;\\n          -ms-flex: 1;\\n          flex: 1 1 auto;\\n          width: 100%; //IE11\\n          font-size: $font-down-1;\\n          font-weight: normal;\\n          color: $primary-medium;\\n          white-space: normal;\\n        }\\n      }\\n    }\\n\\n    .select-kit-collection {\\n      padding: 0;\\n      max-height: 100%;\\n    }\\n\\n    .dropdown-select-box-header {\\n      -webkit-box-sizing: border-box;\\n      -moz-box-sizing: border-box;\\n      box-sizing: border-box;\\n      border: 0;\\n\\n      -webkit-box-align: center;\\n      -ms-flex-align: center;\\n      align-items: center;\\n      -webkit-box-pack: justify;\\n      -ms-flex-pack: justify;\\n      justify-content: space-between;\\n      -webkit-box-orient: horizontal;\\n      -webkit-box-direction: normal;\\n      -ms-flex-direction: row;\\n      flex-direction: row;\\n      display: -webkit-inline-box;\\n      display: -ms-inline-flexbox;\\n      display: inline-flex;\\n\\n      .d-icon + .d-icon {\\n        margin-left: 5px;\\n      }\\n\\n      &.is-focused {\\n        outline-style: auto;\\n        outline-color: $tertiary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combobox {\\n    &.future-date-input-selector {\\n      min-width: 50%;\\n\\n      .future-date-input-selector-header {\\n        .btn-clear {\\n          line-height: $line-height-large;\\n        }\\n      }\\n\\n      .future-date-input-selector-datetime {\\n        color: lighten($primary, 40%);\\n        margin-left: 5px;\\n        white-space: nowrap;\\n      }\\n\\n      .future-date-input-selector-icons {\\n        margin-right: 5px;\\n      }\\n\\n      .btn-clear {\\n        padding: 0;\\n        margin-left: 5px;\\n      }\\n\\n      .future-date-input-selector-row {\\n        .future-date-input-selector-icons {\\n          color: lighten($primary, 40%);\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    &.list-setting {\\n      .select-kit-row.create {\\n        .square {\\n          width: 12px;\\n          height: 12px;\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.mini-tag-chooser {\\n      margin-bottom: 5px;\\n      margin-left: 5px;\\n\\n      &.is-expanded {\\n        .select-kit-header {\\n          border: 1px solid $tertiary;\\n        }\\n      }\\n\\n      &.no-tags {\\n        .select-kit-header .selected-name {\\n          color: $primary-medium;\\n        }\\n      }\\n\\n      .select-kit-body {\\n        max-width: 32em;\\n      }\\n\\n      .select-kit-header {\\n        height: 30px;\\n\\n        .selected-name {\\n          margin: 0;\\n          border: 0;\\n          padding: 0;\\n          outline: none;\\n          box-shadow: none;\\n          cursor: pointer;\\n          max-width: 250px;\\n        }\\n      }\\n\\n      .select-kit-filter {\\n        border-top: 0;\\n      }\\n\\n      &.is-expanded .select-kit-wrapper,\\n      .select-kit-wrapper {\\n        display: none;\\n      }\\n\\n      .select-kit-row {\\n        &.is-selected {\\n          background: none;\\n        }\\n\\n        &.is-highlighted.is-selected {\\n          background: $tertiary-low;\\n        }\\n\\n        .discourse-tag-count {\\n          margin-left: 5px;\\n        }\\n      }\\n\\n      .select-kit-collection {\\n        .collection-header {\\n          max-height: 125px;\\n          overflow: hidden;\\n          flex: 1 0 auto;\\n          border-bottom: 1px solid $primary-low;\\n\\n          .selected-tags {\\n            display: flex;\\n            padding: 4px;\\n            flex-wrap: wrap;\\n            margin: -2px;\\n            overflow: hidden;\\n          }\\n\\n          .selected-tag {\\n            background: $primary-low;\\n            padding: 2px 4px;\\n            margin: 2px;\\n            border: 0;\\n\\n            &.is-highlighted {\\n              box-shadow: 0 0 2px $danger, 0 1px 0 rgba(0, 0, 0, 0.05);\\n            }\\n\\n            .d-icon {\\n              color: $primary-low-mid;\\n              vertical-align: middle;\\n            }\\n\\n            &:hover .d-icon {\\n              color: $danger;\\n            }\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    width: 300px;\\n    background: $secondary;\\n    border-radius: 0;\\n\\n    .select-kit-body {\\n      width: 100%;\\n    }\\n\\n    .select-kit-row {\\n      margin: 5px;\\n      min-height: 1px;\\n      padding: 5px;\\n      border-radius: 0;\\n    }\\n\\n    .select-kit-filter {\\n      border: 0;\\n      flex: 1 0 0px;\\n      margin: 1px;\\n    }\\n\\n    .multi-select-header {\\n      background: $secondary;\\n      border: 1px solid $primary-medium;\\n\\n      &.is-focused {\\n        box-shadow: shadow(\\"focus\\");\\n        border-radius: 0;\\n      }\\n    }\\n\\n    &.is-disabled {\\n      .multi-select-header {\\n        background: $primary-low;\\n        border-color: $primary-low-mid;\\n        color: $primary-medium;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n\\n    &.is-highlighted {\\n      .multi-select-header {\\n        border-radius: 0;\\n        border-bottom: 1px solid transparent;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded {\\n      .select-kit-wrapper {\\n        display: block;\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n        border-radius: 0;\\n      }\\n\\n      .multi-select-header {\\n        border-radius: 0;\\n        box-shadow: none;\\n      }\\n\\n      .select-kit-body {\\n        border-radius: 0;\\n      }\\n    }\\n\\n    .choices {\\n      margin: 0 2px;\\n      box-sizing: border-box;\\n      display: flex;\\n      justify-content: flex-start;\\n      flex-wrap: wrap;\\n      width: 100%;\\n\\n      .choice {\\n        display: inline-flex;\\n        box-sizing: border-box;\\n        align-items: center;\\n        justify-content: space-between;\\n        flex-wrap: wrap;\\n        flex-direction: row;\\n        margin: 1px 0px 2px 2px;\\n      }\\n\\n      .filter {\\n        align-items: center;\\n        justify-content: flex-start;\\n        white-space: nowrap;\\n        min-width: 50px;\\n        padding: 0;\\n        outline: none;\\n        flex: 1 0 0px;\\n\\n        .filter-input,\\n        .filter-input:focus {\\n          border: none;\\n          background: none;\\n          display: inline-block;\\n          width: 100%;\\n          outline: none;\\n          min-width: auto;\\n          padding: 0;\\n          margin: 0;\\n          outline: 0;\\n          border: 0;\\n          box-shadow: none;\\n          border-radius: 0;\\n          min-height: unset; // overrides input defaults\\n        }\\n      }\\n\\n      .selected-color {\\n        .selected-color-wrapper {\\n          display: flex;\\n          flex: 1 0 0px;\\n          flex-direction: column;\\n        }\\n\\n        .color-preview {\\n          height: 5px;\\n          margin: 0 2px 2px 0px;\\n          display: flex;\\n          width: 100%;\\n        }\\n      }\\n\\n      .selected-category {\\n        .body {\\n          display: flex;\\n          align-items: center;\\n        }\\n        .badge-wrapper {\\n          &.bullet {\\n            margin-right: 2.5px;\\n          }\\n\\n          padding: 2px 4px;\\n          line-height: $line-height-medium;\\n          display: flex;\\n          flex: 1 0 0px;\\n          align-items: center;\\n        }\\n      }\\n\\n      .selected-name {\\n        .footer {\\n          display: flex;\\n          width: 100%;\\n        }\\n\\n        .body {\\n          background: $primary-low;\\n          padding: 4px;\\n        }\\n\\n        .d-icon {\\n          color: $primary-low-mid;\\n          vertical-align: middle;\\n        }\\n        &:hover .d-icon:last-child {\\n          color: $danger;\\n        }\\n\\n        &.is-highlighted {\\n          box-shadow: 0 0 2px $danger, 0 1px 0 rgba(0, 0, 0, 0.05);\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.notifications-button {\\n      .select-kit-body {\\n        min-width: 550px;\\n        max-width: 550px;\\n      }\\n\\n      .select-kit-row {\\n        .icons {\\n          -ms-flex-item-align: start;\\n          align-self: flex-start;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.period-chooser {\\n      display: inline-flex;\\n      position: relative;\\n\\n      .select-kit-collection {\\n        padding: 5px;\\n      }\\n\\n      .period-chooser-header {\\n        background: none;\\n        border: none;\\n        justify-content: flex-start;\\n        width: auto;\\n        height: auto;\\n        padding: 0;\\n\\n        h2.selected-name {\\n          color: $secondary;\\n          display: inline-block;\\n          box-sizing: border-box;\\n\\n          .date-section {\\n            color: $primary;\\n            margin-right: 5px;\\n          }\\n\\n          .top-date-string {\\n            font-size: $font-down-1;\\n            color: dark-light-choose($primary-medium, $secondary-high);\\n            font-weight: normal;\\n            text-transform: uppercase;\\n          }\\n        }\\n\\n        .d-icon {\\n          color: $primary;\\n          opacity: 1;\\n          margin: 5px 0 10px 5px;\\n          font-size: $font-up-3;\\n        }\\n\\n        &.is-focused,\\n        &:hover {\\n          background: none;\\n          border: none;\\n          outline: none;\\n        }\\n      }\\n\\n      .period-chooser-row {\\n        font-weight: bold;\\n        padding: 5px;\\n        font-size: $font-up-1;\\n        align-items: center;\\n        display: flex;\\n\\n        .period-title {\\n          flex: 1 0 0px;\\n        }\\n\\n        .date-section {\\n          color: $primary;\\n        }\\n\\n        .top-date-string {\\n          font-weight: normal;\\n          font-size: $font-down-1;\\n          color: dark-light-choose($primary-medium, $secondary-high);\\n          text-transform: uppercase;\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#topic-footer-buttons {\\n  .pinned-button {\\n    min-width: auto;\\n    margin: 1em 0;\\n\\n    &.is-hidden {\\n      display: none;\\n    }\\n\\n    .btn {\\n      margin: 0;\\n    }\\n\\n    .reason {\\n      display: inline;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.pinned-button {\\n  margin: 0;\\n  min-width: auto;\\n\\n  .pinned-options {\\n    display: inline;\\n\\n    .select-kit-body {\\n      min-width: unset;\\n      max-width: unset;\\n      width: 550px;\\n    }\\n  }\\n}\\n",\n\t\t".mobile-view .select-kit.is-expanded {\\n  z-index: z(\\"dropdown\\");\\n}\\n\\n.select-kit {\\n  border: none;\\n  min-width: 220px;\\n  box-sizing: border-box;\\n  display: inline-block;\\n  flex-direction: column;\\n  position: relative;\\n  vertical-align: middle;\\n  user-select: none;\\n\\n  &.is-hidden {\\n    display: none;\\n  }\\n\\n  &.is-disabled {\\n    pointer-events: none;\\n  }\\n\\n  &.is-expanded {\\n    z-index: z(\\"dropdown\\");\\n\\n    .select-kit-body {\\n      display: flex;\\n      flex-direction: column;\\n      left: 0;\\n      position: absolute;\\n      top: 0;\\n    }\\n\\n    .select-kit-collection {\\n      border-radius: inherit;\\n    }\\n  }\\n\\n  &.is-above {\\n    .select-kit-body {\\n      bottom: 0;\\n      top: auto;\\n    }\\n\\n    .select-kit-filter {\\n      border-top: 0;\\n    }\\n\\n    .select-kit-wrapper {\\n      bottom: 0;\\n      top: auto;\\n    }\\n  }\\n\\n  .d-icon {\\n    color: $primary-high;\\n  }\\n\\n  .select-kit-header {\\n    box-sizing: border-box;\\n    overflow: hidden;\\n    transition: all 0.25s;\\n    cursor: pointer;\\n    outline: none;\\n    display: flex;\\n    align-items: center;\\n    flex-direction: row;\\n    min-height: 30px;\\n\\n    .selected-name {\\n      text-align: left;\\n      flex: 0 1 auto;\\n      padding: 1px 0;\\n      @include ellipsis;\\n      color: inherit;\\n    }\\n\\n    .btn-clear {\\n      padding: 0 10px;\\n      border: 0;\\n      background: none;\\n    }\\n\\n    .icon {\\n      margin-right: 5px;\\n    }\\n\\n    .caret-icon {\\n      margin-left: auto;\\n      padding-left: 5px;\\n      pointer-events: none;\\n    }\\n\\n    .d-button-label {\\n      display: flex;\\n      align-items: center;\\n      white-space: nowrap;\\n      overflow: hidden;\\n      line-height: $line-height-medium;\\n\\n      .d-icon {\\n        margin-left: 5px;\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n\\n  .select-kit-body {\\n    display: none;\\n    background: $secondary;\\n    box-sizing: border-box;\\n  }\\n\\n  .select-kit-row {\\n    cursor: pointer;\\n    line-height: $line-height-medium;\\n    outline: none;\\n    display: flex;\\n    flex: 1 0 auto;\\n    box-sizing: border-box;\\n    align-items: center;\\n    justify-content: flex-start;\\n\\n    .name {\\n      margin: 0;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      flex: 1 1 0%;\\n    }\\n\\n    .d-icon {\\n      margin-right: 5px;\\n    }\\n\\n    &.is-highlighted {\\n      background: $tertiary-low;\\n    }\\n\\n    &.is-selected {\\n      background: $highlight-medium;\\n    }\\n\\n    &.is-selected.is-highlighted {\\n      background: $tertiary-low;\\n    }\\n\\n    .discourse-tag,\\n    .discourse-tag-count {\\n      color: $primary;\\n    }\\n  }\\n\\n  .select-kit-collection {\\n    background: $secondary;\\n    overflow-x: hidden;\\n    overflow-y: auto;\\n    border-radius: inherit;\\n    -webkit-overflow-scrolling: touch;\\n    margin: 0;\\n    padding: 0;\\n    max-height: 200px;\\n\\n    .validation-message {\\n      white-space: nowrap;\\n      color: $danger;\\n      flex: 1 0 auto;\\n      margin: 5px;\\n      padding: 0 2px;\\n    }\\n\\n    .select-kit-collection {\\n      padding: 0;\\n      margin: 0;\\n\\n      &:hover .select-kit-row.is-highlighted:hover {\\n        background: $tertiary-low;\\n      }\\n    }\\n\\n    &::-webkit-scrollbar {\\n      -webkit-appearance: none;\\n      width: 10px;\\n    }\\n\\n    &::-webkit-scrollbar-thumb {\\n      cursor: pointer;\\n      border-radius: 5px;\\n      background: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    &::-webkit-scrollbar-track {\\n      background: transparent;\\n      border-radius: 0;\\n    }\\n  }\\n\\n  .select-kit-filter {\\n    display: flex;\\n    box-sizing: border-box;\\n    align-items: center;\\n    justify-content: space-between;\\n\\n    .filter-input,\\n    .filter-input:focus,\\n    .filter-input:active {\\n      background: none;\\n      margin: 0;\\n      padding: 0;\\n      flex: 1 0 0px;\\n      outline: none;\\n      border: 0;\\n      border-radius: 0;\\n      box-shadow: none;\\n      width: 100%;\\n    }\\n\\n    &.is-hidden {\\n      width: 1px;\\n      height: 1px;\\n      border: 0;\\n      margin: -1px;\\n      padding: 0;\\n      overflow: hidden;\\n      position: fixed;\\n      outline: 0;\\n      left: 0;\\n      top: 0;\\n    }\\n  }\\n\\n  .select-kit-wrapper {\\n    position: absolute;\\n    top: 0;\\n    left: 0;\\n    background: none;\\n    display: none;\\n    box-sizing: border-box;\\n    pointer-events: none;\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    &.tag-chooser {\\n      .select-kit-row {\\n        display: flex;\\n        align-items: center;\\n\\n        .discourse-tag-count {\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.tag-drop {\\n      .select-kit-row {\\n        &[data-value=\\"all-tags\\"],\\n        &[data-value=\\"no-tags\\"] {\\n          color: $tertiary;\\n          font-weight: 700;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.toolbar-popup-menu-options {\\n      .select-kit-body {\\n        box-shadow: none;\\n        padding: 10px 10px 5px 10px;\\n        width: 230px;\\n      }\\n\\n      .select-kit-row {\\n        margin-bottom: 5px;\\n        padding: 6px 3px;\\n        background: $primary-low;\\n        transition: all 0.25s;\\n\\n        .name,\\n        .d-icon {\\n          font-size: $font-0;\\n          font-weight: normal;\\n          color: $primary;\\n        }\\n\\n        .d-icon {\\n          opacity: 0.7;\\n        }\\n\\n        &.is-highlighted {\\n          background: $primary-medium;\\n\\n          .name,\\n          .d-icon {\\n            color: $secondary;\\n          }\\n        }\\n\\n        &:hover {\\n          background: $primary-medium;\\n          color: $secondary;\\n        }\\n\\n        &.is-selected {\\n          color: $primary;\\n          background: $primary-low;\\n        }\\n\\n        &.is-selected.is-highlighted {\\n          background: $primary-medium;\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#topic-footer-buttons {\\n  .topic-notifications-button {\\n    min-width: auto;\\n    margin: 1em 0;\\n\\n    .btn {\\n      margin: 0;\\n    }\\n\\n    .reason {\\n      display: inline;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.topic-notifications-button .topic-notifications-options {\\n  min-width: auto;\\n}\\n\\n.topic-notifications-button {\\n  margin: 0;\\n\\n  .topic-notifications-options {\\n    display: inline-flex;\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.user-notifications-dropdown {\\n      text-align: left;\\n\\n      .select-kit-body {\\n        width: 485px;\\n        max-width: 485px;\\n      }\\n\\n      .select-kit-header {\\n        justify-content: center;\\n      }\\n\\n      .dropdown-select-box-header {\\n        align-items: center;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.color-palettes {\\n      .color-palettes-row {\\n        .palettes {\\n          display: flex;\\n          align-items: center;\\n          margin-left: 0.5em;\\n          flex: 1 0 0;\\n\\n          .palette {\\n            height: 15px;\\n            width: 15px;\\n            display: block;\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".svg-icon,\\n.svg-icon-title {\\n  height: 1em;\\n  width: 1em;\\n  line-height: 1;\\n  display: inline-flex;\\n  position: relative;\\n  vertical-align: -0.125em;\\n  fill: currentColor;\\n  flex-shrink: 0; // Prevent the icon from shrinking if it's in a flexbox\\n  overflow: visible;\\n}\\n\\n// Fixes Edge bug with SVG elements not triggering click event\\nsvg > use {\\n  pointer-events: none;\\n}\\n\\n// Stacked Icons\\n// Usage:\\n// <span class=\\"fa-stack\\">\\n//    <svg class=\\"... d-icon-icon1 fa-stack-1x ...\\" xmlns=\\"http://www.w3.org/2000/svg\\"><use xlink:href=\\"#icon1\\"></use></svg>\\n//    <svg class=\\"... d-icon-icon2 fa-stack-2x ...\\" xmlns=\\"http://www.w3.org/2000/svg\\"><use xlink:href=\\"#icon2\\"></use></svg>\\n// </span>\\n// -------------------------\\n\\n.fa-stack {\\n  position: relative;\\n  width: 1em;\\n  height: 1em;\\n  display: inline-block;\\n\\n  .fa-stack-1x,\\n  .fa-stack-2x {\\n    left: 0px;\\n    top: 0px;\\n    position: absolute;\\n  }\\n\\n  .fa-stack-2x {\\n    height: 1.5em;\\n    width: 1.5em;\\n    margin-top: -0.25em;\\n    margin-left: -0.25em;\\n  }\\n}\\n",\n\t\t".d-date-time-input-range {\\n  padding: 0.5em;\\n  background: whitesmole;\\n  border: 1px solid $primary-low;\\n  width: 300px;\\n  display: flex;\\n  flex-direction: column;\\n\\n  .panels {\\n    display: inline-flex;\\n    list-style: none;\\n    margin: 0 0 0.5em 0;\\n    flex: 1;\\n\\n    &.from {\\n      .from-panel {\\n        background: $danger;\\n        color: $secondary;\\n      }\\n    }\\n\\n    &.to {\\n      .to-panel {\\n        background: $danger;\\n        color: $secondary;\\n      }\\n    }\\n\\n    .btn {\\n      margin-right: 0.5em;\\n    }\\n  }\\n\\n  .panel {\\n    display: none;\\n    flex: 1;\\n\\n    &.visible {\\n      display: flex;\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Navigation menus\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n%nav {\\n  margin-left: 0;\\n  list-style: none;\\n  li a {\\n    display: block;\\n    text-decoration: none;\\n  }\\n}\\n\\n// Pill nav\\n// --------------------------------------------------\\n\\n.nav-pills {\\n  @extend %nav;\\n  @extend .clearfix;\\n\\n  > li {\\n    float: left;\\n    margin-right: 5px;\\n\\n    > a {\\n      border: none;\\n      padding: 6px 12px;\\n      color: $primary;\\n      font-size: $font-up-1;\\n      line-height: $line-height-small;\\n      box-sizing: border-box;\\n      min-height: 30px;\\n      display: flex;\\n      align-items: center;\\n      transition: background 0.15s;\\n\\n      .d-icon {\\n        margin-right: 5px;\\n        opacity: 0.65;\\n      }\\n\\n      &:hover {\\n        color: $quaternary;\\n        background-color: $quaternary-low;\\n      }\\n    }\\n\\n    a.active {\\n      color: $secondary;\\n      background-color: $quaternary;\\n\\n      .d-icon {\\n        opacity: 1;\\n      }\\n    }\\n  }\\n}\\n\\n// Stacked nav\\n// --------------------------------------------------\\n\\n.nav-stacked {\\n  @extend %nav;\\n  padding: 0;\\n  overflow: hidden;\\n  background: $primary-low;\\n\\n  li {\\n    border-bottom: 1px solid $primary-low;\\n    position: relative;\\n\\n    &:last-of-type {\\n      border-bottom: 0;\\n    }\\n\\n    &.indent {\\n      padding-left: 15px;\\n    }\\n  }\\n\\n  a {\\n    margin: 0;\\n    padding: 13px;\\n    font-size: $font-up-1;\\n    line-height: $line-height-small;\\n    cursor: pointer;\\n    color: $primary;\\n\\n    &.active {\\n      color: $secondary;\\n      background-color: $quaternary;\\n\\n      &::after {\\n        left: 90%;\\n        top: 33%;\\n        content: \\" \\";\\n        position: absolute;\\n        border: 8px solid transparent;\\n        border-left-color: $secondary;\\n      }\\n    }\\n  }\\n\\n  .count {\\n    font-size: $font-down-1;\\n  }\\n\\n  .glyph {\\n    font-size: $font-down-1;\\n    width: 1.25em;\\n    text-align: center;\\n    margin-right: 0.25em;\\n    line-height: $line-height-large;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Buttons\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n.btn {\\n  display: inline-block;\\n  margin: 0;\\n  padding: 6px 12px;\\n  font-weight: 500;\\n  font-size: $font-0;\\n  line-height: $line-height-small;\\n  text-align: center;\\n  cursor: pointer;\\n  transition: all 0.25s;\\n  box-sizing: border-box;\\n  min-height: 30px;\\n  .d-icon {\\n    transition: color 0.25s;\\n  }\\n  &:active,\\n  &.btn-active {\\n    text-shadow: none;\\n  }\\n  &[disabled],\\n  &.disabled {\\n    cursor: default;\\n    opacity: 0.4;\\n  }\\n  .d-icon {\\n    margin-right: 7px;\\n  }\\n  &.no-text {\\n    .d-icon {\\n      margin-right: 0;\\n    }\\n  }\\n}\\n\\n.btn.hidden {\\n  display: none;\\n}\\n\\n// Default button\\n// --------------------------------------------------\\n\\n.btn {\\n  border: none;\\n  color: $primary;\\n  font-weight: normal;\\n  background: $primary-low;\\n  .d-icon {\\n    color: $primary-high;\\n  }\\n\\n  &[href] {\\n    color: $primary;\\n    min-height: unset; // ovverides button defaults\\n  }\\n  @include hover {\\n    background: $primary-medium;\\n    color: $secondary;\\n    .d-icon {\\n      color: $secondary-very-high;\\n    }\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $primary-low;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n    &:hover {\\n      color: dark-light-choose($primary-low-mid, $secondary-high);\\n      .d-icon {\\n        color: $primary-low-mid;\\n      }\\n    }\\n    cursor: not-allowed;\\n  }\\n\\n  .d-icon {\\n    line-height: $line-height-medium; // Match button text line-height\\n  }\\n}\\n\\n// Primary button\\n// --------------------------------------------------\\n\\n.btn-primary {\\n  border: none;\\n  font-weight: normal;\\n  color: $secondary;\\n  background: $tertiary;\\n  .d-icon {\\n    color: currentColor;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  @include hover {\\n    background: dark-light-choose(\\n      scale-color($tertiary, $lightness: -20%),\\n      scale-color($tertiary, $lightness: 20%)\\n    );\\n    .d-icon {\\n      color: currentColor;\\n    }\\n  }\\n  &:active,\\n  &.btn-active {\\n    @include linear-gradient(\\n      scale-color($tertiary, $lightness: -20%),\\n      $tertiary\\n    );\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $tertiary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n  }\\n}\\n\\n// Danger button\\n// --------------------------------------------------\\n\\n.btn-danger {\\n  color: $secondary;\\n  font-weight: normal;\\n  background: $danger;\\n  .d-icon {\\n    color: $danger-low;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  @include hover {\\n    background: dark-light-choose(\\n      scale-color($danger, $lightness: -20%),\\n      scale-color($danger, $lightness: 20%)\\n    );\\n    .d-icon {\\n      color: $danger-low;\\n    }\\n  }\\n  &:active,\\n  &.btn-active {\\n    @include linear-gradient(scale-color($danger, $lightness: -20%), $danger);\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $danger;\\n    .d-icon {\\n      color: $danger-low;\\n    }\\n  }\\n}\\n\\n// Social buttons\\n// --------------------------------------------------\\n\\n.btn-social {\\n  .d-icon {\\n    color: #fff;\\n  }\\n  color: #fff;\\n  background: #666;\\n  &:hover {\\n    color: #fff;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  &:before {\\n    margin-right: 9px;\\n    font-size: $font-0;\\n  }\\n  &.google_oauth2 {\\n    background: $google;\\n    color: #333;\\n    border: 1px solid $primary-low;\\n    // non-FA SVG icon for Google in login-buttons.hbs\\n    .d-icon {\\n      opacity: 0.9;\\n    }\\n    &:hover {\\n      color: currentColor;\\n      background: darken($google, 5%);\\n    }\\n  }\\n  &.instagram {\\n    background: $instagram;\\n    &:hover {\\n      background: darken($instagram, 15%);\\n    }\\n  }\\n  &.facebook {\\n    background: $facebook;\\n    &:hover {\\n      background: darken($facebook, 15%);\\n    }\\n  }\\n  &.cas {\\n    background: $cas;\\n  }\\n  &.twitter {\\n    background: $twitter;\\n    &:hover {\\n      background: darken($twitter, 10%);\\n    }\\n  }\\n  &.github {\\n    background: $github;\\n    &:hover {\\n      background: lighten($github, 20%);\\n    }\\n  }\\n  &.discord {\\n    background: $discord;\\n    &:hover {\\n      background: darken($discord, 10%);\\n    }\\n  }\\n}\\n\\n// Button Sizes\\n// --------------------------------------------------\\n\\n// Small\\n\\n.btn-small {\\n  padding: 3px 6px;\\n  font-size: $font-down-1;\\n}\\n\\n// Large\\n\\n.btn-large {\\n  padding: 9px 18px;\\n  font-size: $font-up-1;\\n  line-height: $line-height-small;\\n}\\n\\n.btn-flat {\\n  background: transparent;\\n  border: 0;\\n  outline: 0;\\n  line-height: $line-height-small;\\n  transition: color 0.25s, background 0.25s;\\n  .d-icon {\\n    color: $primary-low-mid;\\n  }\\n  @include hover {\\n    .d-icon {\\n      color: $primary;\\n    }\\n  }\\n  &.close {\\n    padding: 0;\\n    min-height: unset;\\n    background: transparent;\\n    font-size: $font-up-3;\\n    .d-icon {\\n      color: $primary-high;\\n    }\\n    @include hover {\\n      background: transparent;\\n      .d-icon {\\n        color: $primary;\\n      }\\n    }\\n  }\\n}\\n\\n.btn-link {\\n  background: transparent;\\n  border: 0;\\n  outline: 0;\\n  padding: 0;\\n  color: $tertiary;\\n  &:focus {\\n    outline: 1px currentColor dotted;\\n  }\\n}\\n",\n\t\t".topic-list-item td:first-child,\\n.topic-post {\\n  border-left: 1px solid transparent;\\n}\\n\\n.topic-list tr.selected td:first-child,\\n.topic-list-item.selected td:first-child,\\n.latest-topic-list-item.selected {\\n  box-shadow: inset 3px 0 0 $danger; // needs to be inset for Edge\\n}\\n\\n.featured-topic.selected,\\n.topic-post.selected {\\n  box-shadow: -3px 0 0 $danger;\\n}\\n\\n.latest .featured-topic {\\n  padding-left: 4px;\\n}\\n\\n.topic-list-item.selected {\\n  background-color: inherit;\\n}\\n\\n.keyboard-shortcuts-modal .modal-body {\\n  max-height: 560px;\\n}\\n\\n#keyboard-shortcuts-help {\\n  div.row {\\n    width: 100%;\\n    div {\\n      float: left;\\n      width: 32%;\\n    }\\n  }\\n  ul {\\n    list-style: none;\\n    margin-left: 0;\\n\\n    li {\\n      margin: 5px 0;\\n    }\\n\\n    kbd {\\n      font-size: $base-font-size;\\n      font-family: $base-font-family;\\n      margin: 0;\\n      color: dark-light-choose(#444, #aaa);\\n      font-weight: bold;\\n      padding: 2px 6px;\\n      white-space: nowrap;\\n    }\\n  }\\n}\\n",\n\t\t".d-date-time-input {\\n  display: flex;\\n  align-items: center;\\n  border: 1px solid $primary-low;\\n  width: 258px;\\n  box-sizing: border-box;\\n  position: relative;\\n  flex: 1;\\n  justify-content: space-between;\\n\\n  .date-picker,\\n  .fields {\\n    border: 0;\\n  }\\n}\\n",\n\t\t".group-member-dropdown {\\n  text-align: left;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Banner\\n// --------------------------------------------------\\n\\n#banner {\\n  padding: 10px;\\n  background: $tertiary-low;\\n  color: $primary;\\n  z-index: z(\\"base\\") + 1;\\n  overflow: auto;\\n\\n  &.overlay {\\n    position: fixed;\\n  }\\n\\n  .close {\\n    margin-top: -5px;\\n    color: $primary-low-mid;\\n    padding-left: 5px;\\n    float: right;\\n  }\\n\\n  .meta {\\n    display: none;\\n  }\\n}\\n",\n\t\t".ignored-list {\\n  overflow: auto;\\n  max-height: 150px;\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  background-color: $secondary;\\n  min-height: 30px;\\n  box-sizing: border-box;\\n}\\n\\n.ignored-user-list-item {\\n  border: 1px solid $primary-medium;\\n  border-radius: 0.25em;\\n  padding: 0;\\n  display: flex;\\n  align-items: center;\\n  margin-right: 10px;\\n}\\n\\n.remove-ignored-user {\\n  display: flex;\\n  flex: 1 0 0px;\\n  align-items: center;\\n  justify-content: center;\\n  box-sizing: border-box;\\n  border-radius: 0 0.25em 0.25em 0;\\n  padding-top: 0;\\n  padding-bottom: 0;\\n  height: 100%;\\n}\\n\\n.ignored-user-name {\\n  padding-left: 10px;\\n  padding-right: 10px;\\n}\\n",\n\t\t".d-date-input {\\n  .date-picker {\\n    margin: 0;\\n    text-align: left;\\n    width: 100%;\\n    outline: none;\\n    box-shadow: none !important;\\n  }\\n\\n  .pika-single {\\n    margin-left: -1px;\\n  }\\n}\\n",\n\t\t".d-time-input {\\n  box-sizing: border-box;\\n\\n  .fields {\\n    display: flex;\\n    align-items: center;\\n    border: 1px solid $primary-low;\\n\\n    .field {\\n      text-align: center;\\n      width: auto;\\n      margin: 0;\\n      border: none;\\n      outline: none;\\n      box-shadow: none;\\n      width: 32px;\\n\\n      &.time {\\n        width: 100%;\\n        text-align: left;\\n      }\\n\\n      &.hours,\\n      &.minutes {\\n        text-align: center;\\n        width: 45px;\\n      }\\n\\n      &.hours {\\n        padding-right: 0;\\n      }\\n\\n      &.minutes {\\n        padding-left: 10px;\\n        width: 55px;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".group-form-automatic-membership-automatic,\\n.groups-form-grant-trust-level {\\n  margin-bottom: 10px;\\n}\\n",\n\t\t".conditional-loading-section {\\n  &.is-loading {\\n    padding: 2em;\\n    margin: 1em;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background: $primary-very-low;\\n    flex-direction: column;\\n\\n    .title {\\n      font-size: $font-up-1;\\n      font-weight: 700;\\n    }\\n  }\\n\\n  &:not(.is-loading) {\\n    animation: fadein 0.5s;\\n    -webkit-animation: fadein 0.5s;\\n  }\\n\\n  @keyframes fadein {\\n    from {\\n      opacity: 0;\\n    }\\n    to {\\n      opacity: 1;\\n    }\\n  }\\n\\n  @-webkit-keyframes fadein {\\n    from {\\n      opacity: 0;\\n    }\\n    to {\\n      opacity: 1;\\n    }\\n  }\\n}\\n",\n\t\t"a.hashtag {\\n  color: dark-light-choose($primary, $primary-low-mid);\\n  font-weight: bold;\\n\\n  &:visited,\\n  &:hover {\\n    color: dark-light-choose($primary, $primary-low-mid);\\n  }\\n\\n  &:hover {\\n    span {\\n      text-decoration: underline;\\n    }\\n  }\\n}\\n",\n\t\t".convert-to-public-topic .modal-body {\\n  .instructions {\\n    margin-bottom: 1em;\\n  }\\n}\\n",\n\t\t".pika-table {\\n  th,\\n  td {\\n    padding: 0 !important;\\n    border-top: none !important;\\n    border-bottom: none !important;\\n  }\\n}\\n\\n.date-picker-wrapper {\\n  position: relative;\\n  display: inline-block;\\n}\\n\\n.date-picker {\\n  text-align: center;\\n  width: 8em;\\n  margin: 0;\\n}\\n\\n.pika-single {\\n  position: absolute !important;\\n}\\n",\n\t\t"$card_width: 580px;\\n$avatar_width: 120px;\\n$avatar_margin: -50px; // negative margin makes avatars extend above cards\\n\\n.animated-placeholder {\\n  height: 20px;\\n  position: relative;\\n}\\n\\n.card-avatar-placeholder {\\n  width: $avatar_width;\\n  height: $avatar_width;\\n  border-radius: 100%;\\n  position: relative;\\n  overflow: hidden;\\n  &:before {\\n    animation: placeHolderShimmer 4s linear infinite forwards;\\n    position: absolute;\\n    left: 0;\\n    content: \\"\\";\\n    background: linear-gradient(\\n      to right,\\n      $primary-very-low 10%,\\n      $primary-low 18%,\\n      $primary-very-low 33%\\n    );\\n    height: $avatar_width;\\n    width: $card_width;\\n  }\\n}\\n\\n// shared styles for user and group cards\\n#user-card,\\n#group-card {\\n  width: $card_width;\\n  box-shadow: shadow(\\"card\\");\\n  color: $primary;\\n  background: $secondary center center;\\n  background-size: cover;\\n  transition: opacity 0.2s, transform 0.2s;\\n  -webkit-transition: opacity 0.2s, -webkit-transform 0.2s;\\n  opacity: 0;\\n  @include transform(scale(0.9));\\n  &.show {\\n    opacity: 1;\\n    @include transform(scale(1));\\n  }\\n  .card-content {\\n    padding: 10px;\\n    background: rgba($secondary, 0.85);\\n    margin-top: 80px;\\n    &:after {\\n      content: \\"\\";\\n      display: block;\\n      clear: both;\\n    }\\n    a.card-huge-avatar {\\n      outline: none;\\n    }\\n  }\\n  &.no-bg {\\n    .card-content {\\n      margin-top: 0;\\n    }\\n  }\\n  .card-row:not(.first-row) {\\n    margin-top: 0.5em;\\n  }\\n  // avatar - names - controls\\n  .first-row {\\n    .names {\\n      padding-left: 1.25em;\\n\\n      .user-profile-link {\\n        display: flex;\\n        align-items: center;\\n      }\\n\\n      .d-icon {\\n        margin: 0 0.25em;\\n      }\\n\\n      .name-username-wrapper {\\n        margin-right: 0;\\n        flex: 0 1 auto;\\n      }\\n      span {\\n        display: block;\\n      }\\n    }\\n    .usercard-controls {\\n      list-style-type: none;\\n      margin: 0;\\n      button {\\n        width: 100%;\\n      }\\n    }\\n  }\\n  .btn {\\n    margin-bottom: 5px;\\n  }\\n  h1 {\\n    line-height: $line-height-medium;\\n    .d-icon {\\n      color: $primary;\\n    }\\n  }\\n  h3 {\\n    display: inline;\\n    margin-right: 0.5em;\\n    color: $primary;\\n    &.email,\\n    .desc,\\n    a {\\n      color: $primary-high;\\n    }\\n  }\\n  h1,\\n  h2,\\n  h3 {\\n    margin: 0;\\n    @include ellipsis;\\n  }\\n  h1,\\n  h2 {\\n    a {\\n      color: $primary;\\n    }\\n  }\\n  h2,\\n  h3 {\\n    font-weight: normal;\\n  }\\n  p {\\n    margin: 0 0 5px 0;\\n  }\\n}\\n\\n// styles for user cards only\\n#user-card {\\n  // avatar - names - controls\\n  .first-row {\\n    display: flex;\\n    .avatar-placeholder {\\n      width: $avatar_width;\\n      height: $avatar_width;\\n    }\\n    .user-card-avatar {\\n      margin-top: $avatar_margin;\\n    }\\n    .new-user a {\\n      color: $primary-low-mid;\\n    }\\n  }\\n  // user bio - suspension reason\\n  .second-row {\\n    max-height: 150px;\\n    overflow: auto;\\n    .bio {\\n      a {\\n        color: $primary;\\n        text-decoration: underline;\\n      }\\n      a.mention {\\n        text-decoration: none;\\n      }\\n      .overflow {\\n        max-height: 60px;\\n        overflow: hidden;\\n      }\\n    }\\n    .suspended {\\n      color: $danger;\\n      .suspension-reason-title,\\n      .suspension-date {\\n        font-weight: bold;\\n      }\\n    }\\n    .profile-hidden {\\n      font-size: $font-up-1;\\n      margin-top: 0.5em;\\n    }\\n  }\\n  // location and website\\n  .third-row {\\n    .location-and-website {\\n      display: flex;\\n      flex-wrap: wrap;\\n      width: 100%;\\n      align-items: center;\\n      .location,\\n      .website-name {\\n        display: flex;\\n        overflow: hidden;\\n        align-items: center;\\n        .d-icon {\\n          margin-right: 0.25em;\\n        }\\n      }\\n      .website-name a,\\n      .location span {\\n        @include ellipsis;\\n        color: $primary;\\n      }\\n      .location {\\n        margin-right: 0.5em;\\n      }\\n      .website-name a {\\n        text-decoration: underline;\\n      }\\n    }\\n  }\\n  // custom user fields\\n  .fifth-row {\\n    .public-user-fields {\\n      margin: 0;\\n    }\\n  }\\n  // badges\\n  .sixth-row {\\n    .badge-section {\\n      display: flex;\\n      align-items: flex-start;\\n      .user-badge {\\n        @include ellipsis;\\n        background: $primary-very-low;\\n        border: 1px solid $primary-low;\\n        color: $primary;\\n      }\\n      .more-user-badges {\\n        a {\\n          @extend .user-badge;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// styles for group cards only\\n#group-card {\\n  // avatar - names and controls\\n  .first-row {\\n    display: flex;\\n    .group-card-avatar {\\n      margin-top: $avatar_margin;\\n    }\\n    .avatar-flair {\\n      display: flex;\\n      background-size: contain;\\n      width: $avatar_width;\\n      height: $avatar_width;\\n      color: $primary;\\n      .d-icon {\\n        margin: auto;\\n        font-size: $avatar_width / 1.5;\\n      }\\n      &.rounded {\\n        border-radius: 50%;\\n      }\\n    }\\n  }\\n  // group bio\\n  .second-row {\\n    max-height: 150px;\\n    overflow: auto;\\n    .bio {\\n      a {\\n        color: $primary;\\n        text-decoration: underline;\\n      }\\n      img {\\n        max-width: 100%;\\n        height: auto;\\n      }\\n      a.mention {\\n        text-decoration: none;\\n      }\\n      .overflow {\\n        max-height: 60px;\\n        overflow: hidden;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Footer nav bar (displayed in DiscourseHub app and PWAs)\\n// --------------------------------------------------\\n\\n$footer-nav-height: 49px;\\n\\nbody.footer-nav-visible {\\n  #main-outlet {\\n    padding-bottom: $footer-nav-height + 15;\\n  }\\n\\n  #topic-progress-wrapper,\\n  #reply-control.draft {\\n    bottom: $footer-nav-height;\\n  }\\n\\n  #reply-control.draft {\\n    margin-bottom: env(safe-area-inset-bottom);\\n    padding-bottom: 0px;\\n  }\\n}\\n\\n.footer-nav {\\n  background-color: rgba($header_background, 0.9);\\n  box-shadow: shadow(\\"footer-nav\\");\\n  height: $footer-nav-height;\\n  position: fixed;\\n  bottom: -$footer-nav-height;\\n  left: 0;\\n  width: 100%;\\n  z-index: z(\\"footer-nav\\");\\n  transition: all linear 0.1s;\\n\\n  .d-icon {\\n    color: $header_primary-medium;\\n  }\\n\\n  &.visible {\\n    bottom: 0px;\\n  }\\n\\n  .footer-nav-widget {\\n    display: flex;\\n    justify-content: \\"space-evenly\\";\\n    @include unselectable;\\n    button {\\n      flex: 1;\\n      margin: 4px;\\n      border-radius: 2px;\\n      padding: 14px 18px;\\n      &:disabled {\\n        opacity: 0.6;\\n      }\\n    }\\n  }\\n}\\n\\n@supports (padding: max(0px)) {\\n  .footer-nav.visible {\\n    padding-bottom: unquote(\\"max(5px, env(safe-area-inset-bottom))\\");\\n  }\\n}\\n\\n@supports (-webkit-backdrop-filter: blur(10px)) {\\n  body:not(.footer-nav-ipad) .footer-nav {\\n    background-color: rgba($header_background, 0.7);\\n    -webkit-backdrop-filter: blur(20px);\\n  }\\n}\\n\\nbody.footer-nav-ipad {\\n  padding-top: $footer-nav-height;\\n  .footer-nav {\\n    bottom: auto;\\n    top: 0px;\\n    background-color: $header_background;\\n    z-index: z(\\"ipad-header-nav\\");\\n    padding-bottom: 0; // resets safe-area-inset-bottom\\n  }\\n\\n  #reply-control,\\n  #reply-control.fullscreen {\\n    z-index: z(\\"ipad-header-nav\\") + 1;\\n  }\\n\\n  &.docked .d-header {\\n    margin-top: $footer-nav-height;\\n  }\\n}\\n",\n\t\t".share-and-invite.modal {\\n  .modal-body {\\n    max-width: 475px;\\n    min-width: 320px;\\n  }\\n\\n  .modal-header {\\n    .modal-close {\\n      padding-left: 0;\\n    }\\n  }\\n}\\n\\n.share-and-invite.modal .share.modal-panel {\\n  .header {\\n    display: flex;\\n    flex-direction: row;\\n    align-items: center;\\n\\n    .title {\\n      font-size: $font-0;\\n      font-weight: normal;\\n      margin-bottom: s(2);\\n\\n      .post-date {\\n        color: $primary-medium;\\n        font-size: $font-down-1;\\n      }\\n    }\\n  }\\n\\n  .body {\\n    display: flex;\\n    flex-direction: column;\\n\\n    .topic-share-url {\\n      width: 100%;\\n      height: auto;\\n      box-sizing: border-box;\\n    }\\n\\n    .topic-share-url-for-touch {\\n      a {\\n        word-break: break-all;\\n        font-size: $font-up-1;\\n      }\\n    }\\n\\n    .topic-share-url-for-touch,\\n    .topic-share-url {\\n      margin-bottom: s(2);\\n    }\\n\\n    .sources {\\n      display: flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      flex-direction: row;\\n\\n      .social-link {\\n        font-size: $font-up-6;\\n        margin-right: s(2);\\n      }\\n    }\\n  }\\n}\\n\\n.share-and-invite.modal .invite.modal-panel {\\n  .error-message,\\n  .success-message {\\n    margin-bottom: s(2);\\n  }\\n\\n  .body {\\n    .invite-user-control,\\n    .group-access-control,\\n    .show-custom-message-control {\\n      margin-bottom: s(4);\\n    }\\n\\n    .instructions {\\n      margin-bottom: s(2);\\n    }\\n\\n    .email-or-username-input {\\n      width: 100%;\\n    }\\n  }\\n\\n  .footer {\\n    display: flex;\\n    align-items: center;\\n\\n    .btn-primary {\\n      margin-right: s(2);\\n\\n      &:last-child {\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Common styles for \\"user-stream-item\\" component\\n.user-stream {\\n  // DEPRECATED:\\n  // The \\".item\\" class should be removed because it's too generic.\\n  // Once \\".item\\" has been removed, \\".user-stream-item\\" can replace\\n  // \\".user-stream\\" as the top-level selector on this file as all other\\n  // selectors below are its children\\n  .item,\\n  .user-stream-item {\\n    background-color: $secondary;\\n    border-bottom: 1px solid $primary-low;\\n\\n    &.moderator-action {\\n      background-color: $highlight-medium;\\n    }\\n\\n    &.deleted {\\n      opacity: 0.8;\\n      background-color: dark-light-diff(\\n        rgba($danger, 0.7),\\n        $secondary,\\n        50%,\\n        -10%\\n      );\\n    }\\n\\n    &.hidden {\\n      display: block;\\n      opacity: 0.4;\\n    }\\n  }\\n\\n  .type,\\n  span.name {\\n    color: $primary;\\n  }\\n\\n  .time,\\n  .delete-info,\\n  .draft-type {\\n    display: block;\\n    float: right;\\n    color: $primary-medium;\\n    font-size: $font-down-2;\\n  }\\n\\n  .draft-type {\\n    clear: right;\\n  }\\n\\n  .delete-info .d-icon {\\n    font-size: $font-0;\\n  }\\n\\n  .expand-item,\\n  .collapse-item {\\n    float: right;\\n    margin-right: 0.5em;\\n    line-height: $line-height-small;\\n    color: $primary-medium;\\n  }\\n\\n  .avatar-link {\\n    float: left;\\n    margin-right: 4px;\\n  }\\n\\n  .title {\\n    @include ellipsis;\\n    display: block;\\n  }\\n\\n  .name {\\n    font-size: $font-0;\\n    max-width: 400px;\\n    @include ellipsis;\\n  }\\n\\n  .edit-reason {\\n    background-color: dark-light-choose(\\n      $highlight-medium,\\n      scale-color($highlight, $lightness: -50%)\\n    );\\n    padding: 3px 5px 5px 5px;\\n  }\\n\\n  .remove-bookmark,\\n  .remove-draft {\\n    float: right;\\n    margin-top: -4px;\\n  }\\n\\n  .notification {\\n    li {\\n      display: inline-block;\\n    }\\n\\n    p {\\n      display: inline-block;\\n\\n      span:first-child {\\n        color: $primary;\\n      }\\n    }\\n\\n    .time {\\n      display: inline-block;\\n      margin-left: 10px;\\n      float: none;\\n    }\\n\\n    // common/base/header.scss\\n    .fa,\\n    .icon {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      font-size: $font-up-4;\\n    }\\n  }\\n\\n  .excerpt {\\n    margin: 1em 0 0 0;\\n    font-size: $font-0;\\n    word-wrap: break-word;\\n    color: $primary;\\n    &:empty {\\n      display: none;\\n    }\\n    details.disabled {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  .group-member-info {\\n    display: flex;\\n  }\\n}\\n\\n.user-stream .child-actions, /* DEPRECATED: '.user-stream .child-actions' selector*/\\n.user-stream-item-actions,\\n.user-stream-item-draft-actions {\\n  margin-top: 8px;\\n\\n  .avatar-link {\\n    float: none;\\n    margin-right: 3px;\\n  }\\n\\n  .fa {\\n    width: 15px;\\n    display: inline-block;\\n    color: $primary;\\n    &.d-icon-heart {\\n      color: $love;\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Badges\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n%badge {\\n  display: inline-block;\\n  font-weight: normal;\\n  white-space: nowrap;\\n  border-radius: 10px;\\n}\\n\\n// Category badges\\n// --------------------------------------------------\\n\\n.badge-wrapper {\\n  font-size: $font-down-1;\\n  font-weight: bold;\\n  white-space: nowrap;\\n  position: relative;\\n  display: inline-flex;\\n  align-items: baseline;\\n\\n  .badge-category {\\n    display: inline-flex;\\n    align-items: baseline;\\n    .category-name {\\n      text-overflow: ellipsis;\\n      overflow: hidden;\\n    }\\n    .d-icon {\\n      margin-right: 3px;\\n      width: 0.74em;\\n      height: 0.74em;\\n      color: inherit;\\n    }\\n  }\\n\\n  // ----- Bullet\\n\\n  &.bullet {\\n    margin-right: 12px;\\n    span.badge-category {\\n      color: $primary-high;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      .extra-info-wrapper & {\\n        color: $header-primary;\\n      }\\n    }\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      flex: 0 0 auto;\\n      width: 9px;\\n      height: 9px;\\n      margin-right: 5px;\\n      display: inline-block;\\n    }\\n    .badge-category-parent-bg {\\n      // Subcategories\\n      width: 5px;\\n      margin-right: 0;\\n      + .badge-category-bg {\\n        width: 5px;\\n      }\\n    }\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  // ----- Box\\n\\n  &.box {\\n    margin-right: 5px;\\n    padding: 2px 4px 2px 4px;\\n    display: inline-flex;\\n    span {\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      &.badge-category-bg,\\n      &.badge-category-parent-bg {\\n        position: absolute;\\n        top: 0;\\n        right: 0;\\n        bottom: 0;\\n        left: 0;\\n      }\\n\\n      &.badge-category-parent-bg {\\n        // Subcategories\\n        width: calc(100% - 5px);\\n        & + .badge-category-bg {\\n          left: 5px;\\n          width: calc(100% - 5px);\\n          & + .badge-category {\\n            margin-left: 5px;\\n          }\\n        }\\n      }\\n\\n      &.badge-category {\\n        position: relative;\\n      }\\n    }\\n    + .topic-header-extra {\\n      padding: 2px 4px 2px 4px;\\n    }\\n  }\\n\\n  // ----- Bar\\n\\n  &.bar {\\n    margin-right: 5px;\\n\\n    span.badge-category {\\n      color: $primary-high;\\n      padding: 1px 3px;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n\\n      .extra-info-wrapper & {\\n        color: $header-primary;\\n      }\\n    }\\n\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      // Subcategories\\n      display: inline-block;\\n      padding: 0 1px;\\n\\n      &:before {\\n        content: \\"\\\\a0\\";\\n      }\\n    }\\n  }\\n\\n  // ----- No category style\\n\\n  &.none {\\n    color: $primary-high;\\n    margin-right: 5px;\\n  }\\n}\\n\\n// Category badge dropdown\\n// --------------------------------------------------\\n\\n.list-controls {\\n  .category-breadcrumb {\\n    a.badge-category {\\n      display: inline-block;\\n      padding: 6px 8px;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n// Notification badge\\n// --------------------------------------------------\\n\\n.badge-notification {\\n  @extend %badge;\\n  padding: 0.21em 0.42em;\\n  min-width: 0.5em;\\n  color: $secondary;\\n  font-size: $font-down-2;\\n  line-height: $line-height-small;\\n  text-align: center;\\n  background-color: dark-light-choose($primary-low-mid, $secondary-low);\\n  &[href] {\\n    color: $secondary;\\n  }\\n\\n  &:hover {\\n    color: $secondary;\\n  }\\n\\n  // New posts\\n\\n  &.new-posts,\\n  &.unread-posts {\\n    background-color: dark-light-choose($tertiary-medium, $tertiary);\\n    color: dark-light-choose($secondary, $secondary);\\n    font-weight: dark-light-choose(normal, bold);\\n  }\\n\\n  &.new-topic {\\n    background-color: transparent;\\n    color: $tertiary-high;\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n  }\\n\\n  &.new-topic::before {\\n    content: \\"●\\";\\n    margin-right: 2px;\\n  }\\n\\n  // Click count\\n\\n  &.clicks {\\n    font-weight: normal;\\n    background-color: $primary-low;\\n    top: -1px;\\n    color: $primary-medium;\\n    position: relative;\\n    border: none;\\n  }\\n}\\n\\n// Posts badge\\n// --------------------------------------------------\\n\\n.badge-posts {\\n  font-weight: normal;\\n  font-size: $font-0;\\n  line-height: $line-height-small;\\n  &[href] {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n}\\n\\n// Group badge\\n// --------------------------------------------------\\n\\n.badge-group {\\n  @extend %badge;\\n  padding: 2px 5px;\\n  color: $primary;\\n  background-color: $primary-low;\\n  border-color: $primary-low;\\n  font-size: $font-down-1;\\n}\\n",\n\t\t"// Common styles for \\"user-info\\" component\\n.user-info {\\n  display: inline-block;\\n  clear: both;\\n  margin-bottom: 1em;\\n\\n  .user-image {\\n    float: left;\\n    padding-right: 4px;\\n    margin-right: 10px;\\n  }\\n\\n  .user-image-inner {\\n    position: relative;\\n    display: inline-block;\\n  }\\n\\n  .user-detail {\\n    float: left;\\n    width: 70%;\\n    padding-left: 5px;\\n    @media screen and (max-width: 600px) {\\n      font-size: $font-down-1;\\n    }\\n\\n    .name-line {\\n      @include ellipsis;\\n    }\\n\\n    .username a {\\n      font-weight: bold;\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n\\n    .name {\\n      margin-left: 5px;\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n\\n    .title {\\n      margin-top: 3px;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  &.small {\\n    width: 333px;\\n    @media screen and (max-width: $small-width) {\\n      width: auto;\\n      display: flex;\\n    }\\n    @media screen and (max-width: 600px) {\\n      width: 100%;\\n    }\\n  }\\n\\n  &.medium {\\n    min-height: 60px;\\n\\n    .username,\\n    .name {\\n      display: block;\\n    }\\n\\n    .name {\\n      margin-left: 0;\\n    }\\n\\n    &.badge-info {\\n      min-height: 80px;\\n      min-width: 250px;\\n\\n      .granted-on {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n\\n      .post-link {\\n        display: block;\\n        margin-top: 0.2em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".user-stream {\\n  &.filter-deleted {\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n    grid-row-start: 2;\\n  }\\n}\\n",\n\t\t"@import \\"foundation/variables\\";\\n@import \\"foundation/mixins\\";\\n\\n.popup-tip {\\n  position: absolute;\\n  display: block;\\n  padding: 5px 10px;\\n  z-index: z(\\"tooltip\\");\\n  &.bad {\\n    background: $danger-medium;\\n    color: white;\\n    box-shadow: shadow(\\"dropdown\\");\\n  }\\n  &.hide,\\n  &.good {\\n    display: none;\\n  }\\n  .close {\\n    float: right;\\n    color: $primary;\\n    opacity: 0.5;\\n    font-size: $font-0;\\n    margin: 0 0 0 4px;\\n    cursor: pointer;\\n  }\\n  .close:hover {\\n    opacity: 1;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"#topic-entrance {\\n  border: 1px solid $primary-low;\\n  padding: 5px;\\n  background: $secondary;\\n  box-shadow: shadow(\\"card\\");\\n  z-index: z(\\"dropdown\\");\\n\\n  position: absolute;\\n  width: 133px;\\n  @include unselectable;\\n\\n  button.full {\\n    width: 100%;\\n    margin-bottom: 5px;\\n\\n    .d-icon {\\n      display: block;\\n      margin: 2px auto;\\n      transform: rotate(90deg);\\n    }\\n  }\\n  button.btn.jump-bottom {\\n    margin: 5px 0 0 0;\\n  }\\n}\\n",\n\t\t"@media print {\\n  /* remove items N/A for print\\n  ** visual clutter etc. */\\n  .avatar,\\n  .topic-avatar,\\n  header,\\n  .topic-above-post-stream-outlet.topic-above-post-stream,\\n  .topic-map,\\n  .post-menu-area.clearfix,\\n  div#topic-footer-buttons,\\n  div.suggested-topics,\\n  div#progress-topic-wrapper,\\n  #topic-progress-wrapper,\\n  div.nums,\\n  ._flyout,\\n  .show-topic-admin,\\n  #topic-progress,\\n  .quote-controls,\\n  .topic-status-info,\\n  div.lazyYT,\\n  .post-info.edits,\\n  .post-action,\\n  .saving-text,\\n  .draft-text,\\n  .discourse-modal,\\n  div.read-state,\\n  div.read-state.read,\\n  .edit-topic,\\n  a.reply-to-tab,\\n  a.reply-new,\\n  div.time-gap,\\n  #bottom,\\n  #footer,\\n  .alert-info,\\n  .badge-category,\\n  .badge-category-bg,\\n  .badge-notification.clicks,\\n  .crawler-nav,\\n  .powered-by-link {\\n    display: none !important;\\n  }\\n  /* For readability */\\n  a,\\n  a:visited {\\n    color: #0088cc !important;\\n  }\\n  /* bottom border to help separate posts */\\n  div.row {\\n    border-top: 1px solid #aaa;\\n  }\\n  .cooked pre code {\\n    max-height: none;\\n  }\\n  #main-outlet {\\n    padding: 0 !important;\\n  }\\n  html,\\n  body {\\n    min-width: 0;\\n    height: auto;\\n  }\\n  .lightbox-wrapper img {\\n    max-width: 500px !important;\\n    height: auto !important;\\n  }\\n  .topic-body {\\n    width: auto;\\n    margin: 0;\\n    padding: 0;\\n    float: none;\\n  }\\n  .topic-post article.boxed .select-posts {\\n    width: auto;\\n    left: auto;\\n    right: 0;\\n  }\\n  .gap {\\n    width: auto;\\n  }\\n  /* restyle div#topic-title */\\n  #topic-title {\\n    margin: 0;\\n    padding: 0;\\n  }\\n  #topic-title div div h1 {\\n    margin: 2.5em 0 0 0;\\n    padding: 0;\\n    float: left;\\n    font-weight: normal;\\n    font-size: normal;\\n  }\\n  a,\\n  a:visited {\\n    color: #ddd;\\n    font-weight: bold;\\n  }\\n  /* localhost  - MOOT for production */\\n  .topic-category-outlet.show-topic-category-location,\\n  div.alert.alert-info.alert-emails-disabled,\\n  div.profiler-results.profiler-left.profiler-no-controls {\\n    display: none;\\n  }\\n}\\n",\n\t\t"section.about {\\n  margin-bottom: 40px;\\n\\n  h3 {\\n    margin-bottom: 15px;\\n  }\\n\\n  table {\\n    width: auto;\\n\\n    td {\\n      padding: 10px;\\n    }\\n\\n    td.title {\\n      width: 33%;\\n    }\\n  }\\n}\\n",\n\t\t".body-page {\\n  /* intended only for /about /faq, /guidelines, /tos, and /privacy */\\n  width: 100%;\\n  max-width: 700px;\\n  .about-page & {\\n    max-width: unset;\\n    section:not(.admins):not(.moderators):not(.category-moderators) {\\n      max-width: 700px;\\n    }\\n    .about.category-moderators {\\n      .badge-wrapper.bullet .badge-category {\\n        color: $primary;\\n      }\\n    }\\n  }\\n  .mobile-view & {\\n    font-size: $font-0;\\n    margin-top: 20px;\\n  }\\n  li {\\n    margin-bottom: 8px;\\n  }\\n  .nav-pills {\\n    margin-bottom: 20px;\\n  }\\n  ul:not(.nav-pills),\\n  ol:not(.nav-pills) {\\n    margin-left: 40px;\\n  }\\n}\\n",\n\t\t"body.crawler {\\n  > header {\\n    width: 100%;\\n    position: absolute;\\n    top: 0;\\n    z-index: z(\\"max\\");\\n    background-color: #fff;\\n    padding: 10px;\\n    box-shadow: none;\\n    border-bottom: 1px solid $primary-low-mid;\\n    box-sizing: border-box;\\n  }\\n\\n  div#main-outlet {\\n    div.post {\\n      word-break: break-word;\\n      img {\\n        max-width: 100%;\\n        height: auto;\\n      }\\n    }\\n  }\\n\\n  .raw-topic-link {\\n    display: block;\\n    font-weight: bold;\\n    margin-bottom: 0.25em;\\n  }\\n\\n  .topic-list {\\n    margin-bottom: 1em;\\n  }\\n\\n  footer {\\n    margin-top: 3em;\\n    border-top: 1px solid $primary-low-mid;\\n  }\\n}\\n\\n.crawler-topic-title {\\n  margin-top: 0.5em;\\n}\\n\\n.crawler-post {\\n  margin-top: 1em;\\n  margin-bottom: 2em;\\n  padding-top: 1.5em;\\n  border-top: 1px solid $primary-low;\\n}\\n\\n.crawler-post-meta {\\n  margin-bottom: 1em;\\n  .creator {\\n    word-break: break-all;\\n    a {\\n      font-weight: bold;\\n    }\\n    @include breakpoint(tablet) {\\n      display: inline-block;\\n      margin-bottom: 0.25em;\\n    }\\n  }\\n}\\n\\n.crawler-post-infos {\\n  color: $primary-high;\\n  display: inline-block;\\n  @include breakpoint(tablet, min-width) {\\n    float: right;\\n  }\\n  [itemprop=\\"position\\"] {\\n    float: left;\\n    margin-right: 0.5em;\\n  }\\n}\\n\\n#breadcrumbs {\\n  margin-bottom: 0.5em;\\n  font-size: $font-up-1;\\n  > div {\\n    margin-bottom: 0.15em;\\n  }\\n  .badge-category-bg {\\n    background-color: $secondary-high;\\n  }\\n  .category-title {\\n    color: $primary;\\n  }\\n}\\n\\n.crawler-tags-list {\\n  span {\\n    display: block;\\n    margin-bottom: 0.15em;\\n  }\\n}\\n\\n.crawler-linkback-list {\\n  margin-top: 1em;\\n  a {\\n    display: block;\\n    padding: 0.5em 0;\\n    border-top: 1px solid $primary-low;\\n  }\\n}\\n\\n.crawler-nav {\\n  margin: 1em 0;\\n  ul {\\n    margin: 0;\\n    list-style-type: none;\\n  }\\n  li {\\n    display: inline-block;\\n  }\\n  a {\\n    display: inline-block;\\n    padding: 0.5em 1em 0.5em 0;\\n  }\\n}\\n",\n\t\t"div.ac-wrap.composer-user-selector-limited {\\n  width: 400px;\\n  padding: 0 10px;\\n  margin-bottom: 5px;\\n  .btn-primary {\\n    margin-left: 0.5em;\\n    padding: 3px 6px 2px;\\n    font-size: $font-down-1;\\n    min-height: unset;\\n  }\\n}\\n",\n\t\t"// Common\\n// global styles that apply to the Discourse application specifically\\n// BEWARE: changing these styles implies they take effect anywhere they are seen\\n// throughout the Discourse application\\n\\n// Animation Keyframes\\n@keyframes ping {\\n  from {\\n    transform: scale(0.25);\\n    opacity: 1;\\n  }\\n  to {\\n    transform: scale(2);\\n    opacity: 0;\\n  }\\n}\\n\\n@keyframes rotate-forever {\\n  0% {\\n    transform: rotate(0deg);\\n  }\\n  100% {\\n    transform: rotate(360deg);\\n  }\\n}\\n\\n@keyframes background-fade-highlight {\\n  0% {\\n    background-color: $tertiary-low;\\n  }\\n  100% {\\n    background-color: transparent;\\n  }\\n}\\n\\n// placeholder\\n@keyframes placeHolderShimmer {\\n  0% {\\n    background-position: -1000px 0;\\n  }\\n  100% {\\n    background-position: 1100px 0;\\n  }\\n}\\n\\n.placeholder-animation {\\n  animation-duration: 4s;\\n  animation-fill-mode: forwards;\\n  animation-iteration-count: infinite;\\n  animation-name: placeHolderShimmer;\\n  animation-timing-function: linear;\\n  background: $primary-very-low;\\n  background: linear-gradient(\\n    to right,\\n    $primary-very-low 10%,\\n    $primary-low 18%,\\n    $primary-very-low 33%\\n  );\\n}\\n\\n// Base Elements\\nhtml {\\n  height: 100%;\\n}\\n\\nbody {\\n  background-attachment: fixed;\\n  background-size: cover;\\n  min-height: 100%;\\n\\n  @include clearfix;\\n}\\n\\n// setting a static limit on big and small prevents nesting abuse\\nbig {\\n  font-size: $font-up-5;\\n}\\nsmall {\\n  font-size: $font-down-2;\\n}\\n\\nblockquote {\\n  @include post-aside;\\n  clear: both;\\n}\\n\\nh1,\\nh2,\\nh3,\\nh4,\\nh5,\\nh6 {\\n  margin-top: 0;\\n  margin-bottom: 0.5rem;\\n}\\n\\nbutton {\\n  &.ok {\\n    background: $success;\\n    color: $secondary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n    @include hover {\\n      background: lighten($success, 10%);\\n      color: $secondary;\\n    }\\n  }\\n\\n  &.cancel {\\n    background: $danger;\\n    color: $secondary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n    @include hover {\\n      background: lighten($danger, 10%);\\n      color: $secondary;\\n    }\\n  }\\n}\\n\\na.cancel {\\n  margin-left: 1.25em;\\n  line-height: normal;\\n  color: $primary-high;\\n  transition: color 250ms;\\n  &:hover {\\n    color: $danger;\\n  }\\n}\\n\\nul.breadcrumb {\\n  margin: 0 10px 0 10px;\\n}\\n\\na.no-href {\\n  cursor: pointer;\\n}\\n\\nimg.avatar {\\n  border-radius: 50%;\\n}\\n\\n// don't wrap relative dates; we want Jul 26, '15, not: Jul\\n//                                                      26,\\n//                                                      '15\\nspan.relative-date {\\n  white-space: nowrap;\\n}\\n\\nlabel {\\n  display: flex;\\n  margin-bottom: 5px;\\n  align-items: flex-start;\\n  > .d-icon {\\n    align-self: center;\\n    margin-right: 4px;\\n  }\\n}\\n\\ninput {\\n  &[type=\\"radio\\"],\\n  &[type=\\"checkbox\\"] {\\n    margin-top: 0.17em;\\n    margin-right: 0.43em;\\n    margin-left: 0.1em;\\n    line-height: $line-height-small;\\n    cursor: pointer;\\n    flex-shrink: 0; // Adding for safety, Safari will shrink checkboxes\\n  }\\n  &[type=\\"submit\\"],\\n  &[type=\\"reset\\"],\\n  &[type=\\"button\\"],\\n  &[type=\\"radio\\"],\\n  &[type=\\"checkbox\\"] {\\n    width: auto;\\n  }\\n\\n  &.invalid {\\n    background-color: dark-light-choose(\\n      $danger-low,\\n      scale-color($danger, $lightness: -60%)\\n    );\\n  }\\n\\n  .radio &[type=\\"radio\\"],\\n  .checkbox &[type=\\"checkbox\\"] {\\n    float: left;\\n    margin-left: -18px;\\n  }\\n}\\n\\ninput,\\nselect,\\ntextarea {\\n  color: $primary;\\n  caret-color: currentColor;\\n\\n  &[class*=\\"span\\"] {\\n    float: none;\\n    margin-left: 0;\\n  }\\n\\n  &[disabled],\\n  &[readonly] {\\n    cursor: not-allowed;\\n    background-color: $primary-low;\\n    border-color: $primary-low;\\n  }\\n\\n  &:focus:required:invalid {\\n    color: $danger;\\n    border-color: $danger;\\n  }\\n\\n  &:focus:required:invalid:focus {\\n    border-color: $danger;\\n    box-shadow: shadow(\\"focus-danger\\");\\n  }\\n}\\n\\ninput {\\n  &[type=\\"text\\"],\\n  &[type=\\"password\\"],\\n  &[type=\\"datetime\\"],\\n  &[type=\\"datetime-local\\"],\\n  &[type=\\"date\\"],\\n  &[type=\\"month\\"],\\n  &[type=\\"time\\"],\\n  &[type=\\"week\\"],\\n  &[type=\\"number\\"],\\n  &[type=\\"email\\"],\\n  &[type=\\"url\\"],\\n  &[type=\\"search\\"],\\n  &[type=\\"tel\\"],\\n  &[type=\\"color\\"] {\\n    @include appearance-none;\\n    display: inline-block;\\n    padding: $input-padding;\\n    margin-bottom: 9px;\\n    font-size: $font-0;\\n    line-height: $line-height-small;\\n    color: $primary;\\n    background-color: $secondary;\\n    border: 1px solid $primary-medium;\\n    border-radius: 0;\\n    box-sizing: border-box;\\n    min-height: 30px;\\n    &:focus {\\n      border-color: $tertiary;\\n      box-shadow: shadow(\\"focus\\");\\n      outline: 0;\\n    }\\n  }\\n}\\n\\n.input {\\n  &-prepend,\\n  &-append {\\n    margin-bottom: 5px;\\n    input[class*=\\"span\\"] {\\n      display: inline-block;\\n    }\\n    input,\\n    select {\\n      position: relative;\\n      margin-bottom: 0;\\n      vertical-align: middle;\\n      border-radius: 0;\\n      &:focus {\\n        z-index: z(\\"base\\") + 1;\\n      }\\n    }\\n    .add-on {\\n      display: inline-flex;\\n      align-items: center;\\n      width: auto;\\n      padding: 0 0.5em;\\n      height: 28px;\\n      background-color: $primary-low;\\n      border: 1px solid $primary-medium;\\n    }\\n    .add-on,\\n    .btn {\\n      &:first-child {\\n        margin-right: -1px;\\n      }\\n      &:last-child {\\n        margin-left: -1px;\\n        border-radius: 0 3px 3px 0;\\n      }\\n    }\\n  }\\n\\n  &-prepend {\\n    .add-on,\\n    .btn {\\n      margin-right: -1px;\\n    }\\n  }\\n}\\n\\ntextarea {\\n  height: auto;\\n  background-color: $secondary;\\n  border: 1px solid $primary-medium;\\n  &:focus {\\n    border-color: $tertiary;\\n    box-shadow: shadow(\\"focus\\");\\n    outline: 0;\\n  }\\n}\\n\\nselect {\\n  border: 1px solid $primary-low;\\n}\\n\\ntable {\\n  th {\\n    font-weight: normal;\\n    color: $primary-medium;\\n    text-align: left;\\n    padding: 0.5em;\\n  }\\n}\\n\\n// Common Classes\\n\\n.sortable {\\n  white-space: nowrap;\\n  cursor: pointer;\\n  .discourse-no-touch & {\\n    &:hover {\\n      background-color: $primary-low;\\n    }\\n  }\\n  .d-icon {\\n    margin-left: 0.25em;\\n  }\\n  @include unselectable;\\n}\\n\\n.radio,\\n.checkbox {\\n  min-height: 18px;\\n  padding-left: 18px;\\n\\n  .controls > &:first-child {\\n    padding-top: 5px;\\n  }\\n\\n  &.inline {\\n    display: inline-block;\\n    padding-top: 5px;\\n    margin-bottom: 0;\\n    vertical-align: middle;\\n  }\\n}\\n\\n.radio.inline .radio.inline,\\n.checkbox.inline .checkbox.inline {\\n  margin-left: 10px;\\n}\\n\\n.container {\\n  @extend .clearfix;\\n}\\n\\n.wrap {\\n  @extend .clearfix;\\n  margin-right: auto;\\n  margin-left: auto;\\n  padding: 0 8px;\\n\\n  .contents {\\n    position: relative;\\n  }\\n}\\n\\n.boxed {\\n  &.white {\\n    background-color: $secondary;\\n  }\\n}\\n\\n.full-width {\\n  margin-left: 12px;\\n}\\n\\n// the default for table cells in topic list\\n// is $primary-medium\\n// numbers get dimmer as they get colder\\n.coldmap {\\n  &-high {\\n    color: dark-light-choose($primary-low-mid, $secondary-high) !important;\\n  }\\n\\n  &-med {\\n    color: dark-light-choose($primary-medium, $secondary-high) !important;\\n  }\\n\\n  &-low {\\n    color: dark-light-choose($primary-medium, $secondary-medium) !important;\\n  }\\n}\\n\\n.top-space {\\n  margin-top: 10px;\\n}\\n\\n.message {\\n  border-radius: 8px;\\n  background-color: $secondary;\\n  padding: 14px;\\n\\n  h2 {\\n    margin-bottom: 20px;\\n  }\\n}\\n\\n.clear-transitions {\\n  transition: none !important;\\n}\\n\\n.tip {\\n  display: inline-block;\\n  &.good {\\n    color: $success;\\n  }\\n  &.bad {\\n    color: $danger;\\n  }\\n}\\n\\n.avatar-wrapper {\\n  background-color: $secondary;\\n  display: inline-block;\\n  border-radius: 50%;\\n}\\n\\n.profiler-results.profiler-left {\\n  top: 60px !important;\\n}\\n\\n.flex-center-align {\\n  display: flex;\\n  align-items: center;\\n}\\n\\n.unread-private-messages {\\n  color: $secondary;\\n  background: $success;\\n\\n  &.badge-notification[href] {\\n    color: $secondary;\\n  }\\n}\\n\\n.ring-backdrop-spotlight {\\n  position: absolute;\\n  width: 80px;\\n  height: 80px;\\n  top: -18px;\\n  right: -18px;\\n  background-image: radial-gradient(\\n    40px at 50% 50%,\\n    transparent 95%,\\n    $primary 100%\\n  );\\n  opacity: 0.85;\\n}\\n\\n.ring-backdrop {\\n  position: absolute;\\n  width: 80px;\\n  height: 80px;\\n  top: -18px !important;\\n  right: -18px !important;\\n  box-shadow: 0 0 0 9999px rgba($primary, 0.85);\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n}\\n\\n.ring-first-notification {\\n  position: absolute;\\n  color: $secondary;\\n  text-align: left;\\n  right: 70px;\\n  top: 60px;\\n  width: 230px;\\n  line-height: $line-height-medium;\\n}\\n\\n.ring {\\n  $gradient-start: transparent;\\n  $gradient-end: #090;\\n  background: -webkit-radial-gradient($gradient-start, $gradient-end);\\n  background: -o-radial-gradient($gradient-start, $gradient-end);\\n  background: -moz-radial-gradient($gradient-start, $gradient-end);\\n  background: radial-gradient($gradient-start, $gradient-end);\\n  top: -11px !important;\\n  right: 23.5px !important;\\n  border-radius: 100%;\\n  width: 20px;\\n  height: 20px;\\n  -moz-animation-iteration-count: infinite;\\n  -webkit-animation-iteration-count: infinite;\\n  -webkit-transform-origin: center;\\n  -moz-animation-duration: 3s;\\n  -webkit-animation-duration: 3s;\\n  -moz-animation-name: ping;\\n  -webkit-animation-name: ping;\\n}\\n\\n.fade {\\n  opacity: 0;\\n  transition: opacity 0.15s linear;\\n\\n  &.in {\\n    opacity: 1;\\n  }\\n}\\n\\n.inline-spinner {\\n  display: inline-block;\\n  margin: 0;\\n}\\n\\n.spinner {\\n  margin: 20px auto 20px auto;\\n  position: relative;\\n  -webkit-animation: rotate-forever 1s infinite linear;\\n  animation: rotate-forever 1s infinite linear;\\n  height: 30px;\\n  width: 30px;\\n  border: 4px solid blend-primary-secondary(50%);\\n  border-right-color: transparent;\\n  border-radius: 50%;\\n\\n  &.small {\\n    width: 10px;\\n    height: 10px;\\n    margin: 0;\\n    display: inline-block;\\n  }\\n}\\n\\n.content-list {\\n  h3 {\\n    color: $primary-medium;\\n    font-size: $font-up-1;\\n    padding-left: 5px;\\n    margin-bottom: 10px;\\n  }\\n\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n\\n    li {\\n      border-bottom: 1px solid $primary-low;\\n\\n      &:first-of-type {\\n        border-top: 1px solid $primary-low;\\n      }\\n\\n      a {\\n        display: block;\\n        padding: 10px;\\n        color: $primary;\\n\\n        &:hover {\\n          background-color: $primary-low;\\n          color: $primary;\\n        }\\n\\n        &.active {\\n          font-weight: bold;\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.form-vertical {\\n  input,\\n  textarea,\\n  select,\\n  .input-prepend,\\n  .input-append {\\n    display: inline-block;\\n    margin-bottom: 0;\\n    flex: 0 0 auto;\\n  }\\n\\n  .control-group {\\n    @include clearfix;\\n  }\\n\\n  .control-label {\\n    font-weight: bold;\\n    font-size: $font-up-2;\\n    line-height: $line-height-large;\\n  }\\n\\n  .controls {\\n    margin-left: 0;\\n  }\\n}\\n\\n// Special elements\\n// Special elements\\n#main {\\n  img.avatar {\\n    &.header {\\n      width: 45px;\\n      height: 45px;\\n    }\\n\\n    &.medium {\\n      width: 32px;\\n      height: 32px;\\n    }\\n\\n    &.small {\\n      width: 25px;\\n      height: 25px;\\n    }\\n\\n    &.tiny {\\n      width: 20px;\\n      height: 20px;\\n    }\\n  }\\n\\n  .user-list {\\n    .user {\\n      padding-bottom: 5px;\\n    }\\n  }\\n}\\n\\n#loading-message {\\n  position: absolute;\\n  font-size: $font-up-5;\\n  text-align: center;\\n  top: 120px;\\n  left: 500px;\\n  color: $primary;\\n}\\n\\n#footer {\\n  .container {\\n    height: 50px;\\n    .contents {\\n      padding-top: 10px;\\n      a[href] {\\n        color: $secondary;\\n      }\\n    }\\n  }\\n}\\n\\n.inline {\\n  display: inline;\\n}\\n\\n.pref-auth-tokens {\\n  .row {\\n    border-bottom: 1px solid #ddd;\\n    margin: 5px 0px;\\n    padding-bottom: 5px;\\n\\n    &:last-child {\\n      border-bottom: 0;\\n    }\\n  }\\n\\n  .auth-token-icon {\\n    color: $primary-medium;\\n    font-size: 2.25em;\\n    float: left;\\n    margin-right: 10px;\\n  }\\n\\n  .auth-token-first {\\n    font-size: 1.1em;\\n\\n    .auth-token-device {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .auth-token-second {\\n    color: $primary-medium;\\n\\n    .active {\\n      color: $success;\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .auth-token-dropdown {\\n    float: right;\\n\\n    .btn,\\n    .btn:hover {\\n      background: transparent;\\n\\n      .d-icon {\\n        color: $primary-high;\\n      }\\n    }\\n  }\\n\\n  .dropdown-menu {\\n    width: 120px;\\n\\n    & .icon {\\n      margin-top: auto;\\n    }\\n  }\\n}\\n\\n.topic-statuses {\\n  display: inline;\\n  float: left;\\n  margin-right: 0.15em;\\n  .topic-status {\\n    margin: 0;\\n    display: inline-flex;\\n    color: $primary-medium;\\n    .d-icon {\\n      height: 0.76em;\\n      width: 0.75em;\\n    }\\n    &:not(:last-child) {\\n      margin-right: 0.15em;\\n    }\\n  }\\n\\n  .d-icon-envelope {\\n    color: $danger;\\n  }\\n}\\n\\n.broken-theme-alert {\\n  font-size: $base-font-size;\\n  font-weight: bold;\\n  padding: 5px 0;\\n  background: $danger-medium;\\n  text-align: center;\\n  z-index: z(\\"max\\");\\n  color: $secondary;\\n}\\n",\n\t\t".error-page {\\n  text-align: center;\\n  padding-top: 2em;\\n\\n  .face {\\n    font-size: 4.286em;\\n  }\\n  .reason {\\n    font-size: $font-up-4;\\n  }\\n  .url {\\n    font-style: italic;\\n    font-size: $font-down-1;\\n  }\\n  .desc {\\n    margin-top: 16px;\\n    .d-icon-check-circle {\\n      color: $success;\\n    }\\n  }\\n  .buttons {\\n    display: inline-flex;\\n    margin-top: 15px;\\n\\n    button {\\n      margin: 0 20px;\\n    }\\n  }\\n}\\n",\n\t\t".category-list {\\n  table-layout: fixed;\\n  .category-text-title {\\n    display: flex;\\n    align-items: baseline;\\n  }\\n  .category-name {\\n    display: inline-block;\\n    max-width: 100%;\\n    @include ellipsis;\\n    vertical-align: text-top;\\n    line-height: $line-height-medium;\\n  }\\n}\\n\\n.category-boxes,\\n.category-boxes-with-topics {\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: flex-start;\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n  width: 100%;\\n\\n  .category-box {\\n    display: flex;\\n    flex-direction: row;\\n    align-content: flex-start;\\n    cursor: pointer;\\n\\n    box-sizing: border-box;\\n\\n    border-width: 0;\\n    border-left-width: 6px;\\n\\n    border-style: solid;\\n    border-color: $primary-low;\\n\\n    .mobile-view & {\\n      width: 100%;\\n    }\\n\\n    .logo.aspect-image img {\\n      display: block;\\n      width: auto;\\n      height: 40px;\\n      margin: 0 auto 1em auto;\\n    }\\n\\n    @supports (--custom: property) {\\n      .logo.aspect-image img {\\n        --height: 40px;\\n        width: calc(var(--height) * var(--aspect-ratio));\\n        max-width: 100%;\\n      }\\n    }\\n  }\\n\\n  .category-box-inner {\\n    box-sizing: border-box;\\n    width: 100%;\\n    padding: 0;\\n    display: flex;\\n    flex-direction: column;\\n\\n    border-width: 2px;\\n    border-left-width: 0;\\n\\n    border-style: solid;\\n    border-color: $primary-low;\\n  }\\n\\n  &.no-logos {\\n    .logo {\\n      display: none;\\n    }\\n  }\\n}\\n\\n.category-boxes {\\n  .category-box {\\n    width: 23%;\\n    margin: 0 1% 1.5em 1%;\\n    > a {\\n      width: 100%;\\n      padding: 0;\\n    }\\n    .category-box-inner {\\n      padding: 1em;\\n\\n      .category-logo {\\n        float: none;\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  &.no-logos {\\n    .category-box .category-box-inner > a {\\n      padding: 3em 1em;\\n    }\\n  }\\n\\n  .description {\\n    padding-bottom: 1em;\\n    text-align: center;\\n    font-size: $font-0;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n    .overflow {\\n      max-height: 6em;\\n    }\\n  }\\n\\n  h3 {\\n    font-size: $font-up-2;\\n    margin-bottom: 0.5em;\\n    margin-top: 0.25em;\\n    line-height: $line-height-medium;\\n    text-align: center;\\n    color: $primary;\\n    overflow: hidden;\\n  }\\n\\n  .subcategories {\\n    display: flex;\\n    flex-flow: wrap;\\n    .subcategory {\\n      display: flex;\\n      align-items: center;\\n      @include ellipsis;\\n      margin-right: 1em;\\n      margin-bottom: 0.6em;\\n      .subcategory-image-placeholder {\\n        display: inline-block;\\n        margin-right: 0.6em;\\n      }\\n      .subcategory-link {\\n        min-width: 0;\\n        @include ellipsis;\\n      }\\n      .logo img {\\n        display: inline-block;\\n        height: 20px;\\n        width: 20px;\\n        margin: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.category-boxes-with-topics {\\n  .category-box {\\n    width: 31%;\\n    margin: 0 1% 1.5em 1%;\\n    padding: 0;\\n  }\\n\\n  h3 {\\n    font-size: $font-up-2;\\n    text-align: center;\\n    overflow: hidden;\\n  }\\n\\n  .category-box-heading {\\n    padding: 1em 1em 0.5em 1em;\\n    a[href] {\\n      width: 100%;\\n      color: $primary;\\n    }\\n  }\\n\\n  .featured-topics {\\n    padding: 0.5em 1em 1em 1em;\\n    ul {\\n      color: $primary-medium;\\n      list-style: none;\\n      padding: 0;\\n      margin: 0;\\n    }\\n    li {\\n      padding: 4px 0;\\n      display: flex;\\n      align-items: baseline;\\n      .overflow {\\n        max-height: 3em;\\n        overflow: hidden;\\n      }\\n      .d-icon {\\n        margin-right: 0.15em;\\n        width: 0.76em;\\n        height: 0.76em;\\n      }\\n    }\\n  }\\n}\\n\\n.categories-list .category {\\n  h3 .d-icon {\\n    color: $primary-medium;\\n    height: 0.76em;\\n    width: 0.76em;\\n    vertical-align: baseline;\\n    margin-right: 0.15em;\\n  }\\n}\\n\\n.category-boxes-with-topics,\\n.category-boxes {\\n  .category-box h3 .d-icon {\\n    margin-right: 0;\\n  }\\n}\\n",\n\t\t"// styles that apply to the \\"share\\" popup when sharing a link to a post or topic\\n\\n#share-link {\\n  position: absolute;\\n  left: 20px;\\n  z-index: z(\\"dropdown\\");\\n  box-shadow: shadow(\\"card\\");\\n  background-color: $secondary;\\n  padding: s(2 2 1 2);\\n  width: 300px;\\n  display: none;\\n  &.visible {\\n    display: block;\\n  }\\n  input[type=\\"text\\"] {\\n    width: 100%;\\n  }\\n  .share-for-touch .overflow-ellipsis {\\n    clear: both;\\n  }\\n  .share-for-touch {\\n    margin: 14px 0;\\n  }\\n\\n  .title {\\n    margin-bottom: s(1);\\n    align-items: center;\\n    display: flex;\\n    justify-content: space-between;\\n\\n    h3 {\\n      font-size: $font-0;\\n      margin: 0;\\n    }\\n\\n    .date {\\n      font-weight: normal;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  .copy-text {\\n    display: inline-block;\\n    position: absolute;\\n    margin: 5px 5px 5px 15px;\\n    color: $success;\\n    opacity: 1;\\n    transition: opacity 0.25s;\\n    font-size: $font-0;\\n    &:not(.success) {\\n      opacity: 0;\\n    }\\n  }\\n  .social-link {\\n    margin-right: s(2);\\n    font-size: $font-up-4;\\n    .d-icon {\\n      color: dark-light-choose($tertiary, white);\\n    }\\n    .d-icon-fab-facebook {\\n      // Adheres to Facebook brand guidelines\\n      color: dark-light-choose($facebook, white);\\n    }\\n    .d-icon-fab-twitter-square {\\n      // Adheres to Twitter brand guidelines\\n      color: dark-light-choose($twitter, white);\\n    }\\n  }\\n\\n  input[type=\\"text\\"] {\\n    font-size: $font-up-1;\\n    margin-bottom: 0;\\n  }\\n\\n  .actions {\\n    display: flex;\\n    align-items: flex-end;\\n    margin-top: s(2);\\n\\n    .sources {\\n      display: flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      flex-direction: row;\\n      max-width: 45%;\\n\\n      .social-link {\\n        margin-right: s(2);\\n      }\\n    }\\n\\n    .alt-actions {\\n      display: flex;\\n      align-items: center;\\n      flex: 1;\\n      justify-content: flex-end;\\n      height: 36px;\\n\\n      .close-share {\\n        font-size: $font-up-3;\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n\\n      .new-topic {\\n        margin-right: s(4);\\n      }\\n    }\\n  }\\n}\\n\\n.discourse-no-touch #share-link .share-for-touch {\\n  display: none;\\n}\\n\\n.discourse-touch #share-link input[type=\\"text\\"] {\\n  display: none;\\n}\\n",\n\t\t".ember-select {\\n  background-color: $secondary;\\n  color: $primary;\\n}\\n",\n\t\t".uploaded-image-preview {\\n  background: $primary center;\\n  background-size: cover;\\n  position: relative;\\n\\n  .placeholder-overlay {\\n    background-size: contain;\\n    background-repeat: no-repeat;\\n    background-position: center;\\n    position: absolute;\\n    top: 0;\\n    left: 0;\\n    width: 100%;\\n    height: 100%;\\n    opacity: 0.3;\\n  }\\n\\n  .image-upload-controls {\\n    position: relative;\\n    display: flex;\\n    padding: 10px;\\n\\n    .btn {\\n      margin-right: 5px;\\n      padding: 7px 10px;\\n    }\\n\\n    .image-uploader-lightbox-btn {\\n      background: none;\\n      margin-right: 0;\\n      margin-left: auto;\\n\\n      .d-icon {\\n        color: $primary-low;\\n      }\\n\\n      &:hover {\\n        background: none;\\n\\n        .d-icon {\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.image-uploader.no-repeat {\\n  .uploaded-image-preview {\\n    background-repeat: no-repeat;\\n  }\\n}\\n\\n.image-uploader.contain-image {\\n  .uploaded-image-preview {\\n    background-size: contain;\\n  }\\n}\\n\\n.hidden-upload-field {\\n  visibility: hidden;\\n  position: absolute;\\n}\\n",\n\t\t".search-container {\\n  display: flex;\\n  justify-content: space-between;\\n\\n  .warning {\\n    background-color: $danger-medium;\\n    padding: 5px 8px;\\n    color: $secondary;\\n  }\\n\\n  .search-bar {\\n    display: flex;\\n    justify-content: space-between;\\n    align-items: center;\\n    justify-content: space-between;\\n    margin-bottom: 1em;\\n\\n    .search-query {\\n      flex: 1 0 0px;\\n      margin: 0 0.5em 0 0;\\n    }\\n\\n    .search-cta {\\n      padding-bottom: 6.5px;\\n      padding-top: 6.5px;\\n    }\\n  }\\n\\n  .search-advanced {\\n    width: 70%;\\n    @include breakpoint(medium) {\\n      width: 65%;\\n    }\\n\\n    .search-actions,\\n    .search-notice,\\n    .search-results,\\n    .search-title,\\n    .search-bar {\\n      margin-bottom: 1em;\\n    }\\n\\n    .search-info {\\n      display: flex;\\n      flex-wrap: wrap;\\n      border-bottom: 3px solid $primary-low;\\n      padding-bottom: 0.5em;\\n      margin-bottom: 1em;\\n      flex-direction: row;\\n      align-items: center;\\n\\n      .result-count {\\n        display: flex;\\n\\n        .term {\\n          font-weight: bold;\\n        }\\n\\n        // spans can be in different orders depending of locale\\n        span + span {\\n          margin-left: 0.25em;\\n        }\\n      }\\n\\n      .sort-by {\\n        display: flex;\\n        margin-left: auto;\\n        align-items: center;\\n\\n        .desc {\\n          margin-right: 0.5em;\\n        }\\n\\n        .combo-box {\\n          min-width: 150px;\\n        }\\n      }\\n    }\\n\\n    .search-title {\\n      display: flex;\\n      justify-content: flex-start;\\n      align-items: center;\\n\\n      .bulk-select {\\n        margin-left: 0.5em;\\n      }\\n\\n      .fps-select a {\\n        margin-left: 0.5em;\\n        font-size: $font-down-1;\\n\\n        &:hover {\\n          text-decoration: underline;\\n        }\\n      }\\n    }\\n\\n    .search-notice {\\n      .fps-invalid {\\n        padding: 0.5em;\\n        background-color: $danger-low;\\n        border: 1px solid $danger-medium;\\n        color: $danger;\\n      }\\n    }\\n  }\\n\\n  .search-advanced-sidebar {\\n    width: 30%;\\n    @include breakpoint(medium) {\\n      width: 35%;\\n    }\\n    margin-left: 1em;\\n    display: flex;\\n    flex-direction: column;\\n\\n    #search-min-post-count,\\n    .date-picker,\\n    .combo-box,\\n    .ac-wrap,\\n    .control-group,\\n    .date-picker-wrapper,\\n    .search-advanced-category-chooser {\\n      box-sizing: border-box;\\n      width: 100%;\\n      min-width: 100%;\\n      input,\\n      .item {\\n        padding-left: 4px; // temporarily normalizing input padding for this section\\n      }\\n    }\\n\\n    .date-picker-wrapper {\\n      margin-top: 0.5em;\\n    }\\n\\n    .date-picker {\\n      box-sizing: border-box;\\n      text-align: left;\\n      padding: 4px;\\n      margin-bottom: 0;\\n    }\\n\\n    .search-advanced-title {\\n      background: $primary-low;\\n      padding: 0.358em 1em;\\n      @include breakpoint(medium) {\\n        padding: 0.358em 0.5em;\\n      }\\n      font-weight: 700;\\n      text-align: left;\\n      font-weight: bold;\\n\\n      &.btn {\\n        background: $primary-low;\\n      }\\n\\n      .d-icon {\\n        margin: 0;\\n      }\\n    }\\n\\n    .search-advanced-filters {\\n      background: $primary-very-low;\\n      padding: 1em;\\n      .control-group {\\n        margin-bottom: 15px;\\n      }\\n      section.field {\\n        margin-top: 5px;\\n      }\\n      @include breakpoint(medium) {\\n        padding: 0.75em 0.5em;\\n        .ac-wrap,\\n        .choices,\\n        .select-kit.multi-select {\\n          // overriding inline width from JS\\n          width: 100% !important;\\n        }\\n        .select-kit {\\n          min-width: unset;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.fps-invalid {\\n  margin-bottom: 1em;\\n}\\n\\n.fps-result {\\n  display: flex;\\n  .author {\\n    display: inline-block;\\n    vertical-align: top;\\n  }\\n\\n  .like-count {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    .fa {\\n      color: $love;\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  .badge-wrapper span.badge-category {\\n    max-width: inherit;\\n  }\\n\\n  .search-category {\\n    padding-top: 3px;\\n  }\\n\\n  margin-bottom: 28px;\\n  max-width: 780px;\\n  .topic {\\n    padding-bottom: 2px;\\n    max-width: 700px;\\n  }\\n  .avatar {\\n    margin-right: 14px;\\n  }\\n  a.search-link:visited .topic-title {\\n    color: $tertiary-high;\\n  }\\n  .search-link {\\n    .topic-title {\\n      font-size: $font-up-2;\\n      line-height: $line-height-medium;\\n    }\\n    .topic-statuses {\\n      display: inline-block;\\n      font-size: 1.3em;\\n      line-height: $line-height-medium;\\n      color: $primary-medium;\\n      span {\\n        line-height: 1;\\n      }\\n    }\\n  }\\n  .blurb {\\n    font-size: $font-0;\\n    line-height: $line-height-large;\\n    word-wrap: break-word;\\n    max-width: 640px;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    .date {\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n    }\\n\\n    .search-highlight {\\n      color: dark-light-choose($primary, $secondary-low);\\n    }\\n  }\\n\\n  .discourse-tag {\\n    font-size: $font-down-1;\\n  }\\n}\\n\\n.fps-topic {\\n  display: inline-block;\\n}\\n\\n.no-results-suggestion {\\n  margin-top: 30px;\\n}\\n.search-footer {\\n  margin-bottom: 30px;\\n}\\n\\n.panel-body-contents .search-context label {\\n  float: left;\\n}\\n\\n.google-search-form {\\n  margin-top: 2em;\\n}\\n",\n\t\t"a.loading-onebox {\\n  &:before {\\n    content: \\"\\";\\n    display: inline-flex;\\n    float: left;\\n    margin: 3px 5px 0 0;\\n    position: relative;\\n    height: 10px;\\n    width: 10px;\\n    border: 2px solid $primary-low-mid;\\n    border-right-color: transparent;\\n    border-radius: 50%;\\n    -webkit-animation: rotate-forever 1s infinite linear;\\n    animation: rotate-forever 1s infinite linear;\\n  }\\n}\\n\\n.onebox-result {\\n  @include post-aside;\\n\\n  margin-top: 15px;\\n  padding: 12px;\\n  font-size: $font-0;\\n  > .source {\\n    margin-bottom: 12px;\\n    margin-right: 10px;\\n    display: block;\\n    color: $primary;\\n    position: relative;\\n    height: 20px;\\n    .info {\\n      a {\\n        color: black;\\n        text-decoration: none;\\n        padding-right: 10px;\\n      }\\n      position: absolute;\\n      font-size: $font-0;\\n      img.favicon {\\n        margin-right: 3px;\\n      }\\n    }\\n  }\\n\\n  .onebox-result-body {\\n    padding-top: 5px;\\n    img {\\n      max-height: 80%;\\n      max-width: 25%;\\n      height: auto;\\n      float: left;\\n      margin-right: 10px;\\n    }\\n    h3,\\n    h4 {\\n      margin: 0;\\n    }\\n    code {\\n      max-height: 400px;\\n    }\\n    .metrics {\\n      clear: both;\\n      padding-bottom: 25px;\\n      .metric {\\n        display: inline-block;\\n        padding-left: 33px;\\n        float: left;\\n      }\\n    }\\n  }\\n}\\n\\n// RottenTomatoes Onebox\\n.onebox-result {\\n  .onebox-result-body {\\n    img.verdict {\\n      float: none;\\n      margin-right: 7px;\\n    }\\n    img.popcorn {\\n      float: none;\\n      margin-left: 20px;\\n      margin-right: 5px;\\n    }\\n  }\\n}\\n\\n@mixin onebox-favicon($class, $image) {\\n  &.#{$class} .source {\\n    background: image-url(\\"favicons/#{$image}.png\\") no-repeat 0% 50%;\\n    background-size: 16px 16px;\\n    padding-left: 20px;\\n  }\\n}\\n\\naside.onebox {\\n  border: 5px solid $primary-low;\\n  margin-bottom: 1em;\\n  padding: 12px 25px 12px 12px;\\n  font-size: $font-0;\\n\\n  header {\\n    margin-bottom: 8px;\\n    a[href] {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      text-decoration: none;\\n    }\\n  }\\n\\n  @include onebox-favicon(\\"stackexchange\\", \\"stackexchange\\");\\n  @include onebox-favicon(\\"twitterstatus\\", \\"twitter\\");\\n  @include onebox-favicon(\\"wikipedia\\", \\"wikipedia\\");\\n  @include onebox-favicon(\\"githubblob\\", \\"github\\");\\n  @include onebox-favicon(\\"githubcommit\\", \\"github\\");\\n  @include onebox-favicon(\\"githubpullrequest\\", \\"github\\");\\n  @include onebox-favicon(\\"githubissue\\", \\"github\\");\\n  @include onebox-favicon(\\"githubgist\\", \\"github\\");\\n  @include onebox-favicon(\\"amazon\\", \\"amazon\\");\\n  @include onebox-favicon(\\"instagram\\", \\"instagram\\");\\n  @include onebox-favicon(\\"googledocs\\", \\"google_branding/logo_drive_48px\\");\\n  @include onebox-favicon(\\"googledrive\\", \\"google_branding/logo_drive_48px\\");\\n\\n  .onebox-body {\\n    clear: both;\\n\\n    h3,\\n    h4 {\\n      font-size: $font-up-1;\\n      margin: 0 0 10px 0;\\n    }\\n\\n    a[href] {\\n      color: dark-light-choose($tertiary, $tertiary);\\n      text-decoration: none;\\n    }\\n\\n    a[href]:visited {\\n      color: dark-light-choose($tertiary, $tertiary);\\n    }\\n\\n    img {\\n      max-height: 170px;\\n      max-width: 20%;\\n      @media all and (max-width: 600px) {\\n        max-width: 35%;\\n      }\\n      height: auto;\\n      width: auto;\\n      float: left;\\n      margin-right: 10px;\\n      &.onebox-full-image {\\n        max-height: none;\\n        max-width: none;\\n        width: initial;\\n        height: initial;\\n      }\\n    }\\n\\n    [style*=\\"--aspect-ratio\\"] > :first-child {\\n      width: 100%;\\n    }\\n    [style*=\\"--aspect-ratio\\"] > img {\\n      height: auto;\\n    }\\n\\n    // this allows us to load all onebox images without jiggle\\n    // see: http://cssmojo.com/aspect-ratio-using-custom-properties-and-calc/\\n    @supports (--custom: property) {\\n      .aspect-image {\\n        max-height: 170px;\\n        --magic-ratio: calc(var(--aspect-ratio) + 0.15);\\n        width: calc(128px * var(--magic-ratio));\\n        max-width: 20%;\\n        float: left;\\n        margin-right: 10px;\\n        height: auto;\\n\\n        img {\\n          width: 100%;\\n          height: inherit;\\n          max-width: initial;\\n          max-height: initial;\\n          float: none;\\n          margin-right: none;\\n        }\\n      }\\n\\n      // full size images for instagram, twitter, etc.\\n      .aspect-image-full-size {\\n        max-height: 500px;\\n        width: calc(500px * var(--aspect-ratio));\\n        max-width: 100%;\\n\\n        img {\\n          width: 100%;\\n          height: inherit;\\n          max-width: initial;\\n          max-height: initial;\\n          float: none;\\n          padding: 5px 5px 5px 5px;\\n        }\\n      }\\n\\n      [style*=\\"--aspect-ratio\\"] {\\n        position: relative;\\n      }\\n      [style*=\\"--aspect-ratio\\"]::before {\\n        content: \\"\\";\\n        display: block;\\n        padding-bottom: calc(100% / (var(--aspect-ratio)));\\n      }\\n      [style*=\\"--aspect-ratio\\"] > :first-child {\\n        position: absolute;\\n        top: 0;\\n        left: 0;\\n        height: 100%;\\n      }\\n    }\\n\\n    // tighten bottom margin on last para\\n    p:last-child {\\n      margin-bottom: 4px;\\n    }\\n\\n    // twitter fixes\\n    .tweet-images {\\n      display: block;\\n      clear: both;\\n\\n      img.tweet-image {\\n        margin-top: 1em;\\n        max-width: 100%;\\n        max-height: 100%;\\n        float: none;\\n      }\\n\\n      @include breakpoint(mobile-extra-large) {\\n        // Prevent twitter embeds from being taller than the mobile viewport\\n        iframe {\\n          max-height: 70vh;\\n        }\\n      }\\n    }\\n\\n    &.user-onebox {\\n      .fa {\\n        margin-right: 5px;\\n      }\\n      .full-name,\\n      .location {\\n        margin-right: 10px;\\n      }\\n    }\\n\\n    // instagram + reddit fixes\\n    .instagram-images,\\n    .scale-images {\\n      clear: both;\\n      position: relative;\\n\\n      .instagram-image,\\n      .scale-image {\\n        padding: 5px 5px 5px 5px;\\n        max-width: 100%;\\n        max-height: 100%;\\n        float: none;\\n      }\\n    }\\n\\n    .instagram-video-icon {\\n      &:before {\\n        opacity: 0.8;\\n        // ideally, the SVG used here should be in HTML and reference the SVG sprite\\n        content: svg-uri(\\n          '<svg xmlns=\\"http://www.w3.org/2000/svg\\" width=\\"32px\\" height=\\"32px\\" viewBox=\\"0 0 512 512\\" fill=\\"white\\"><path d=\\"M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z\\"></path></svg>'\\n        );\\n      }\\n      bottom: 10px;\\n      right: 10px;\\n      position: absolute;\\n    }\\n  }\\n}\\n\\n@mixin gdocs-logo($type) {\\n  &.g-#{$type}-logo {\\n    background: image-url(\\"favicons/google_branding/logo_#{$type}_48px.png\\")\\n      no-repeat;\\n  }\\n}\\n\\n.googledocs-onebox-logo {\\n  width: 60px;\\n  height: 50px;\\n  float: left;\\n  @include gdocs-logo(\\"docs\\");\\n  @include gdocs-logo(\\"forms\\");\\n  @include gdocs-logo(\\"sheets\\");\\n  @include gdocs-logo(\\"slides\\");\\n  @include gdocs-logo(\\"calendar\\");\\n  @include gdocs-logo(\\"drive\\");\\n}\\n\\n// Google Calendar Placeholder\\n.gdocs-onebox-splash {\\n  background-color: blend-primary-secondary(30%);\\n  color: $primary;\\n  border: 1px inset $primary;\\n  .gdocs-onebox-logo {\\n    display: inline-block;\\n    width: 128px;\\n    height: 128px;\\n    &.g-calendar-logo {\\n      background: image-url(\\"favicons/google_branding/logo_calendar_128px.png\\")\\n        no-repeat;\\n    }\\n  }\\n}\\n\\naside.onebox .onebox-body .onebox-avatar {\\n  max-height: none;\\n  max-width: none;\\n  height: 60px;\\n  width: 60px;\\n}\\n\\nblockquote {\\n  aside.onebox {\\n    @include post-aside;\\n  }\\n}\\n\\n// -- Onebox Github Code Blob --\\npre.onebox code ol.lines li:before {\\n  position: absolute;\\n  display: inline-block;\\n  width: 35px;\\n  left: -40px;\\n  color: #afafaf;\\n  text-align: right;\\n  padding-right: 5px;\\n  font-size: $font-down-1;\\n  line-height: $line-height-large;\\n  content: counter(li-counter);\\n  counter-increment: li-counter;\\n}\\n\\npre.onebox code ol {\\n  margin-left: 0;\\n  line-height: $line-height-large;\\n}\\npre.onebox code {\\n  background-color: dark-light-choose(#fff, #000);\\n}\\npre.onebox code li {\\n  padding-left: 5px;\\n}\\n\\npre.onebox code ol.lines {\\n  position: relative;\\n  margin: 0 0 0 40px;\\n}\\n\\npre.onebox code ol.lines li {\\n  list-style-type: none;\\n  padding-left: 5px;\\n  margin-left: 0;\\n  border-left: 1px solid #cfcfcf;\\n  min-height: 1.5em; //show empty li lines\\n  white-space: pre;\\n}\\n\\npre.onebox code li.selected {\\n  background-color: dark-light-choose(#f8eec7, #541);\\n}\\n\\npre.onebox code {\\n  white-space: normal;\\n}\\n\\n// Onebox - Github - PR, Commit & Issue\\n.onebox.githubpullrequest,\\n.onebox.githubcommit,\\n.onebox.githubissue {\\n  .onebox-body {\\n    h4 {\\n      margin-bottom: 5px;\\n    }\\n\\n    > .github-icon {\\n      // For backwards compatibility with old onebox\\n      float: left;\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  .github-row {\\n    display: flex;\\n  }\\n\\n  .github-icon-container {\\n    display: flex;\\n    align-items: flex-start;\\n    margin-right: 5px;\\n  }\\n\\n  .github-icon {\\n    fill: $primary-high;\\n    width: 40px;\\n    height: 40px;\\n  }\\n\\n  .branches {\\n    font-size: $font-down-1;\\n    code {\\n      word-break: break-all;\\n    }\\n  }\\n\\n  .github-info-container {\\n    width: 100%;\\n  }\\n\\n  .github-info {\\n    display: flex;\\n    align-items: center;\\n    flex-wrap: wrap;\\n    width: 100%;\\n\\n    > div {\\n      margin: 2.5px 0;\\n    }\\n\\n    > div:not(:last-child) {\\n      margin-right: 15px;\\n    }\\n\\n    .lines {\\n      font-weight: bold;\\n\\n      .added {\\n        color: $success;\\n      }\\n      .removed {\\n        color: $danger;\\n      }\\n    }\\n  }\\n\\n  .onebox-avatar-inline {\\n    height: 20px;\\n    width: 20px;\\n    border-radius: 2px;\\n    float: none;\\n    margin: 0;\\n    padding: 0;\\n    vertical-align: middle;\\n    max-width: none;\\n  }\\n\\n  .github-content {\\n    margin: 5px 0 0 0;\\n  }\\n\\n  .labels span {\\n    // !important required to override inline style attribute\\n    background-color: $primary-medium !important;\\n    color: $secondary !important;\\n    padding: 2px 4px !important;\\n  }\\n}\\n\\n//Onebox - Github - Pull request\\n.onebox-body .github-commit-status {\\n  background: #f5f5f5;\\n  border-radius: 5px;\\n  margin: 0 0 5px 100px;\\n  padding: 10px;\\n}\\n\\n.onebox-body .status_tag {\\n  display: inline-block;\\n  color: #fff;\\n  padding: 1px 4px;\\n  border-radius: 3px;\\n  font-weight: bold;\\n  margin-bottom: 5px;\\n  text-transform: capitalize;\\n}\\n\\n.onebox-body .build_status {\\n  padding: 2px;\\n  font-size: $font-down-1;\\n}\\n\\n.onebox-body .status_tag.open {\\n  background-color: #6cc644;\\n}\\n.onebox-body .status_tag.merged {\\n  background-color: #6e5494;\\n}\\n.onebox-body .status_tag.closed {\\n  background-color: #bd2c00;\\n}\\n\\n.onebox-body .github-content-right {\\n  margin-left: 100px;\\n}\\n\\n//Onebox - Twitter - Status\\naside.onebox.twitterstatus .onebox-body {\\n  h4 {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n// thumbnail, oddly, ONLY applies to twitter avatar\\n.onebox.twitterstatus {\\n  .thumbnail {\\n    width: 48px;\\n    height: 48px;\\n  }\\n  p,\\n  .tweet {\\n    white-space: pre-line;\\n    padding-top: 3px;\\n    margin-left: 70px;\\n\\n    .quoted {\\n      border: 1px solid $primary-low;\\n      padding: 0px 14px 0px 12px;\\n      white-space: normal;\\n      margin-top: 15px;\\n\\n      .quoted-link {\\n        color: inherit;\\n      }\\n\\n      .quoted-title {\\n        font-weight: bold;\\n        margin: 5px 2px;\\n\\n        span {\\n          font-weight: lighter;\\n          color: $primary-medium;\\n        }\\n      }\\n\\n      div {\\n        margin-bottom: 5px;\\n      }\\n    }\\n  }\\n  .date {\\n    clear: left;\\n  }\\n}\\n\\n// Onebox - Imgur/Flickr - Album\\n.onebox.imgur-album,\\n.onebox.flickr-album {\\n  .outer-box {\\n    position: absolute;\\n    z-index: z(\\"base\\");\\n    font-size: $font-down-1;\\n    color: #fff;\\n    background-color: rgba(0, 0, 0, 0.6);\\n    @include ellipsis;\\n    max-width: 690px;\\n    padding: 5px 0;\\n\\n    .inner-box {\\n      padding-left: 10px;\\n      padding-right: 10px;\\n      overflow: hidden;\\n      @include ellipsis;\\n\\n      .album-title {\\n        width: 100%;\\n        font-size: $font-up-1;\\n        line-height: $line-height-large;\\n        color: #ccc;\\n        text-decoration: none;\\n      }\\n    }\\n  }\\n}\\n\\n// resize stackexchange onebox image\\naside.onebox.stackexchange .onebox-body {\\n  img:not(.onebox-avatar) {\\n    max-height: 60%;\\n    max-width: 10%;\\n  }\\n\\n  .tags {\\n    color: gray;\\n  }\\n}\\n\\n.onebox-metadata {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n}\\n\\n.onebox.xkcd .onebox-body {\\n  img {\\n    max-width: 100% !important;\\n    float: none !important;\\n  }\\n}\\n\\n// pdf onebox\\n.onebox.pdf .onebox-body {\\n  .pdf-onebox-logo {\\n    width: 60px;\\n    height: 50px;\\n    float: left;\\n    background: image-url(\\"favicons/pdf_64px.png\\") no-repeat;\\n    background-size: 48px 48px;\\n    display: inline-block;\\n  }\\n  .filesize {\\n    color: gray;\\n  }\\n}\\n\\n// whitelistedgeneric twitter labels\\n.onebox.whitelistedgeneric {\\n  .label1,\\n  .label2 {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .label1 {\\n    float: left;\\n  }\\n  .label2 {\\n    float: right;\\n  }\\n}\\n\\n.onebox {\\n  &.whitelistedgeneric,\\n  &.gfycat {\\n    .site-icon {\\n      width: 16px;\\n      height: 16px;\\n      margin-right: 3px;\\n    }\\n  }\\n}\\n\\n.onebox.gfycat p {\\n  span.label1 a {\\n    white-space: nowrap;\\n  }\\n}\\n\\n.onebox.instagram {\\n  div.instagram-description {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    padding-top: 10px;\\n  }\\n}\\n\\n.onebox.githubcommit {\\n  pre.message {\\n    padding: 0;\\n  }\\n}\\n\\n.onebox.twitterstatus {\\n  .like,\\n  .retweet {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    padding-left: 10px;\\n    svg {\\n      fill: currentColor;\\n      vertical-align: middle;\\n    }\\n  }\\n}\\n\\n// mobile specific style\\n.mobile-view article.onebox-body {\\n  border-top: none;\\n}\\n\\n// Google Photos Album\\n.onebox.google-photos-album {\\n  @extend .imgur-album;\\n}\\n\\n// Force oneboxed videos to 16:9 aspect ratio\\n.onebox.video-onebox {\\n  position: relative;\\n  padding: 0 0 56.25% 0;\\n  width: 100%;\\n\\n  video {\\n    position: absolute;\\n    width: 100%;\\n    height: 100%;\\n  }\\n}\\n\\n.onebox-placeholder-container {\\n  position: relative;\\n  width: 100%;\\n  padding: 0 0 48.25% 0;\\n  background-color: $primary-low;\\n\\n  .placeholder-icon {\\n    position: absolute;\\n    width: 100%;\\n    height: 100%;\\n    display: flex;\\n    justify-content: center;\\n    align-items: center;\\n\\n    &.video {\\n      &:before {\\n        opacity: 0.8;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 576 512\\"><path fill=\\"grey\\" d=\\"M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z\\"></path></svg>'\\n        );\\n      }\\n    }\\n    &.audio {\\n      &:before {\\n        opacity: 0.4;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 512 512\\"><path fill=\\"currentColor\\" d=\\"M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z\\"></path></svg>'\\n        );\\n      }\\n    }\\n    &.generic {\\n      &:before {\\n        opacity: 0.4;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 384 512\\"><path fill=\\"currentColor\\" d=\\"M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z\\"></path></svg>'\\n        );\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".d-header {\\n  display: flex;\\n  align-items: center;\\n  width: 100%;\\n  position: absolute;\\n  top: 0;\\n  z-index: z(\\"header\\");\\n  background-color: $header_background;\\n  box-shadow: shadow(\\"header\\");\\n\\n  > .wrap {\\n    width: calc(100% - 16px); // accommodates for 8px vertical padding\\n    height: 100%;\\n    .contents {\\n      display: flex;\\n      align-items: center;\\n      height: 100%;\\n\\n      .header-row {\\n        width: 100%;\\n\\n        .logo-wrapper {\\n          float: left;\\n        }\\n        .auth-buttons {\\n          float: right;\\n          margin-top: 0.4em;\\n\\n          .login-button,\\n          .signup-button {\\n            padding: 8px 14px;\\n          }\\n        }\\n      }\\n    }\\n  }\\n\\n  .docked & {\\n    position: fixed;\\n    backface-visibility: hidden; /** do magic for scrolling performance **/\\n  }\\n\\n  .title {\\n    display: flex;\\n    align-items: center;\\n    height: 100%;\\n    a,\\n    a:visited {\\n      color: $header_primary;\\n    }\\n  }\\n\\n  #site-logo {\\n    width: auto;\\n  }\\n\\n  .d-icon-home {\\n    font-size: $font-up-6;\\n  }\\n\\n  .panel {\\n    position: relative;\\n    display: flex;\\n    flex: 0 0 auto;\\n    margin-left: auto;\\n    align-items: center;\\n  }\\n\\n  .hamburger-panel,\\n  .user-menu,\\n  .search-menu {\\n    width: 0; // Flexbox fix for Safari\\n  }\\n\\n  .header-buttons {\\n    display: flex;\\n    align-items: center;\\n    margin-top: 0.2em;\\n  }\\n\\n  .login-button,\\n  button.sign-up-button {\\n    padding: 6px 10px;\\n    .fa {\\n      margin-right: 3px;\\n    }\\n  }\\n\\n  button.login-button {\\n    margin-left: 7px;\\n  }\\n}\\n\\n.header-dropdown-toggle,\\n.drop-down,\\n.panel-body {\\n  .flagged-posts,\\n  .reviewables {\\n    background: $danger;\\n    min-width: 6px;\\n  }\\n}\\n\\n.d-header-icons {\\n  text-align: center;\\n  margin: 0 0 0 5px;\\n  list-style: none;\\n\\n  > li {\\n    float: left;\\n  }\\n  .icon {\\n    position: relative;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    width: 2.2857em;\\n    height: 2.2857em;\\n    padding: 0.2143em;\\n    text-decoration: none;\\n    cursor: pointer;\\n    border-top: 1px solid transparent;\\n    border-left: 1px solid transparent;\\n    border-right: 1px solid transparent;\\n    transition: all linear 0.15s;\\n    outline: none;\\n    img.avatar {\\n      width: 2.1333em;\\n      height: 2.1333em;\\n    }\\n    &:hover,\\n    &:focus {\\n      background-color: $primary-low;\\n      border-top: 1px solid transparent;\\n      border-left: 1px solid transparent;\\n      border-right: 1px solid transparent;\\n      .d-icon {\\n        color: $primary-medium;\\n      }\\n    }\\n    &:active {\\n      color: $primary;\\n      background-color: $primary-low;\\n    }\\n  }\\n  .drop-down-mode & {\\n    .active .icon {\\n      position: relative;\\n      background-color: $secondary;\\n      cursor: default;\\n      border-top: 1px solid $primary-low;\\n      border-left: 1px solid $primary-low;\\n      border-right: 1px solid $primary-low;\\n      .d-icon {\\n        color: $primary-medium;\\n      }\\n      &:after {\\n        display: block;\\n        position: absolute;\\n        top: 100%;\\n        left: 0;\\n        z-index: z(\\"header\\") + 1; // Higher than .menu-panel\\n        width: 100%;\\n        height: 0;\\n        content: \\"\\";\\n        border-top: 1px solid $secondary;\\n      }\\n      &:hover {\\n        border-bottom: none;\\n      }\\n    }\\n  }\\n\\n  .d-icon {\\n    width: 100%;\\n    font-size: $font-up-4;\\n    line-height: $line-height-large;\\n    display: inline-block;\\n    color: $header_primary-low-mid;\\n  }\\n  .notifications {\\n    position: relative;\\n  }\\n  .ring {\\n    position: absolute;\\n    top: -9px;\\n    z-index: z(\\"base\\");\\n    margin-left: 0;\\n  }\\n  .header-dropdown-toggle {\\n    position: relative;\\n  }\\n  .badge-notification {\\n    position: absolute;\\n    z-index: z(\\"base\\");\\n    left: 0;\\n    top: -4px;\\n    min-width: 0.6em;\\n  }\\n  .unread-notifications {\\n    left: auto;\\n    right: -3px;\\n    background-color: dark-light-choose($tertiary-medium, $tertiary);\\n  }\\n  .unread-private-messages,\\n  .ring {\\n    left: auto;\\n    right: 25px;\\n  }\\n}\\n\\n.highlight-strong {\\n  background-color: $highlight-medium;\\n}\\n\\n.search-highlight {\\n  font-weight: bold;\\n}\\n\\n#search-help table td {\\n  padding-right: 10px;\\n}\\n\\n// we don't need this X to clear field\\n#search-term::-ms-clear {\\n  display: none;\\n}\\n\\n// topic info in the header\\n.extra-info-wrapper {\\n  display: flex;\\n  align-items: center;\\n  flex: 1 1 0%; // unit on flex-basis is required for IE11\\n  height: 100%;\\n  line-height: $line-height-medium;\\n  padding: 0 1.5em 0 0.5em;\\n  // we need to hide overflow in both to truncate the title in a flexbox\\n  overflow: hidden;\\n  .extra-info {\\n    overflow: hidden;\\n    width: 100%;\\n    -webkit-animation: fadein 0.5s;\\n    animation: fadein 0.5s;\\n  }\\n  .topic-link {\\n    color: $header_primary;\\n    display: block;\\n    @include ellipsis;\\n  }\\n  .topic-statuses {\\n    .d-icon {\\n      color: $header_primary-medium;\\n    }\\n    .d-icon-envelope {\\n      color: $danger;\\n    }\\n  }\\n  .header-title {\\n    margin: 0 0 0.15em 0;\\n    .archetype-private_message & {\\n      // PMs might have participant avatars in the header\\n      margin: 0;\\n    }\\n    font-size: $font-up-3;\\n    width: 100%;\\n  }\\n  .categories-wrapper {\\n    display: inline-flex;\\n    align-items: center;\\n    // Protection against a very rare edge case in mobile header for topics with\\n    // very long category names and lots of tags at the same time\\n    max-width: 80%;\\n    flex: 0 1 auto;\\n    min-width: 1px;\\n    .badge-wrapper {\\n      @include ellipsis;\\n    }\\n  }\\n  .badge-wrapper {\\n    margin-right: 8px;\\n  }\\n  .badge-wrapper.bullet {\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      min-width: 5px;\\n    }\\n  }\\n  .badge-wrapper {\\n    &.bullet,\\n    &.bar,\\n    &.none {\\n      span.badge-category {\\n        color: $header_primary-high;\\n      }\\n    }\\n  }\\n  .topic-header-extra {\\n    display: inline-flex;\\n    align-items: center;\\n    max-width: 100%;\\n    flex: 1 0 0%; // unit on flex-basis is required for IE11\\n    .discourse-tags {\\n      color: $header_primary-high;\\n      @include ellipsis;\\n      .discourse-tag {\\n        display: inline; // tags need to stay inline in order for them to truncate\\n      }\\n    }\\n  }\\n  // the tag container should shrink\\n  .topic-header-extra {\\n    min-width: 1px; // 1px value is needed to avoid IE11 flexbox bug\\n  }\\n}\\n\\n// PM header participants\\n\\n$avatar-height: 1.641em;\\n$mobile-avatar-height: 1.532em;\\n\\n.topic-header-participants {\\n  display: flex;\\n  align-items: center;\\n  overflow: hidden;\\n  font-size: $font-down-1;\\n  &:not(:first-child) {\\n    margin-left: 5px;\\n  }\\n  .trigger-user-card,\\n  .trigger-group-card {\\n    &:not(:last-of-type) {\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  .trigger-user-card {\\n    .icon {\\n      height: $avatar-height;\\n      .mobile-view & {\\n        height: $mobile-avatar-height;\\n      }\\n      display: inline-block;\\n      img {\\n        height: 100%;\\n        width: auto;\\n      }\\n    }\\n  }\\n\\n  .trigger-group-card {\\n    padding: 0 5px;\\n    border: 1px solid $primary-low;\\n    border-radius: 0.25em;\\n    @include ellipsis;\\n\\n    .icon {\\n      display: flex;\\n      align-items: center;\\n      height: $avatar-height;\\n      .mobile-view & {\\n        height: $mobile-avatar-height;\\n      }\\n      color: $primary-high;\\n\\n      .d-icon {\\n        margin-right: 5px;\\n      }\\n    }\\n\\n    span {\\n      @include ellipsis;\\n    }\\n  }\\n\\n  .more-participants {\\n    color: $header_primary-high;\\n    margin-left: 5px;\\n  }\\n}\\n",\n\t\t"// Support for BBCode styles like colors and font sizes\\n\\nspan {\\n  &.bbcode-b {\\n    font-weight: bold;\\n  }\\n  &.bbcode-i {\\n    font-style: italic;\\n  }\\n  &.bbcode-u {\\n    text-decoration: underline;\\n  }\\n  &.bbcode-s {\\n    text-decoration: line-through;\\n  }\\n}\\n",\n\t\t"// Styles used before the user is logged into discourse. For example, activating their\\n// account or changing their email.\\n\\n#simple-container {\\n  border-radius: 10px;\\n  background-color: $secondary;\\n  padding: 20px;\\n  width: 550px;\\n  margin: 0 auto;\\n\\n  .account-created {\\n    .ac-message {\\n      font-size: $font-up-1;\\n      line-height: $line-height-large;\\n    }\\n\\n    .activation-controls {\\n      button {\\n        margin-right: 0.5em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for the topic admin menu\\n\\n.show-topic-admin {\\n  position: fixed;\\n  top: 120px;\\n  right: 10px;\\n  z-index: z(\\"dropdown\\");\\n  height: 35px;\\n}\\n\\n.popup-menu {\\n  background-color: $secondary;\\n  width: 215px;\\n  padding: 10px;\\n  border: 1px solid $primary-low;\\n  z-index: z(\\"dropdown\\");\\n  box-shadow: shadow(\\"card\\");\\n\\n  ul {\\n    list-style: none;\\n    margin: 10px 0 0 0;\\n  }\\n\\n  .btn {\\n    text-align: left;\\n  }\\n\\n  button {\\n    width: 100%;\\n    margin-bottom: 5px;\\n  }\\n}\\n\\n.modal-body.feature-topic {\\n  padding: 5px;\\n  max-height: 500px;\\n  input.date-picker {\\n    margin: 0;\\n  }\\n  hr {\\n    margin: 10px 0;\\n  }\\n  .feature-section {\\n    display: block;\\n    .badge-wrapper {\\n      margin-right: 0;\\n    }\\n    .desc {\\n      display: inline-block;\\n      vertical-align: middle;\\n      margin-left: 10px;\\n      p:first-of-type {\\n        margin: 0;\\n      }\\n      p {\\n        margin: 10px 0 0;\\n      }\\n    }\\n    .with-validation {\\n      position: relative;\\n    }\\n  }\\n}\\n\\n.desktop-view .feature-topic-modal {\\n  .feature-topic {\\n    overflow: visible;\\n  }\\n\\n  .modal-inner-container {\\n    min-width: 700px;\\n  }\\n\\n  .pin-until {\\n    position: relative;\\n    display: inline-block;\\n  }\\n}\\n\\n.mobile-view .feature-topic .feature-section {\\n  .desc {\\n    display: block;\\n    clear: both;\\n    max-width: 90%;\\n    margin: 0 10px;\\n  }\\n}\\n\\n// Select posts\\n\\n.selected-posts {\\n  border: 1px solid $tertiary-medium;\\n  background-color: $tertiary-low;\\n  .btn {\\n    border: none;\\n    color: $secondary;\\n    font-weight: normal;\\n    margin-bottom: 10px;\\n    &:not(.btn-danger) {\\n      background: $tertiary;\\n      border-color: $tertiary;\\n      &[href] {\\n        color: $secondary;\\n      }\\n      &:hover {\\n        color: $secondary;\\n        background: $tertiary-high;\\n      }\\n      &:active {\\n        @include linear-gradient(\\n          darken($tertiary, 18%),\\n          darken($tertiary, 12%)\\n        );\\n        color: $secondary;\\n      }\\n    }\\n    &[disabled] {\\n      text-shadow: 0 1px 0 rgba($primary, 0.2);\\n      @include linear-gradient($tertiary, darken($tertiary, 20%));\\n      box-shadow: inset 0 1px 0 rgba(0, 0, 0, 0.33);\\n    }\\n  }\\n}\\n",\n\t\t"$meta-element-margin: 6px;\\n\\n.lightbox-wrapper .lightbox {\\n  position: relative;\\n  display: inline-block;\\n  overflow: hidden;\\n  &:hover .meta {\\n    opacity: 0.9;\\n    transition: opacity 0.5s;\\n  }\\n}\\n\\n.d-lazyload-hidden {\\n  box-sizing: border-box;\\n}\\n\\n.onebox img.d-lazyload-hidden {\\n  border: 1px solid $primary-low;\\n}\\n\\n.cooked img.d-lazyload {\\n  transition: opacity 0.4s 0.75s ease;\\n}\\n\\n.lightbox-wrapper {\\n  display: inline-block;\\n  img {\\n    object-fit: cover;\\n    object-position: top;\\n  }\\n  &,\\n  * {\\n    outline: 0;\\n  }\\n}\\n\\n.meta {\\n  position: absolute;\\n  bottom: 0;\\n  width: 100%;\\n  color: $secondary;\\n  background: $primary;\\n  opacity: 0;\\n  transition: opacity 0.2s;\\n  display: flex;\\n  align-items: center;\\n\\n  .filename {\\n    margin: $meta-element-margin;\\n    @include ellipsis;\\n  }\\n\\n  .d-icon {\\n    margin: $meta-element-margin;\\n    opacity: 0.8;\\n    color: $secondary;\\n    + .filename {\\n      margin-left: 0px;\\n    }\\n  }\\n\\n  .informations {\\n    margin: $meta-element-margin;\\n    padding-right: 20px;\\n    color: $secondary-high;\\n    font-size: $font-0;\\n    flex-shrink: 0;\\n    flex-grow: 3;\\n  }\\n}\\n\\n.mfp-preloader .spinner {\\n  margin: auto;\\n}\\n\\n.discourse-no-touch {\\n  @if is-light-color-scheme() {\\n    a.lightbox {\\n      -webkit-transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);\\n      transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);\\n    }\\n\\n    a.lightbox:hover {\\n      border-radius: 5px;\\n      box-shadow: 0 2px 5px 0 rgba($primary, 0.2),\\n        0 2px 10px 0 rgba($primary, 0.2);\\n    }\\n  }\\n}\\n",\n\t\t".reorder-categories {\\n  thead {\\n    th {\\n      padding-bottom: 0.5em;\\n    }\\n  }\\n  input {\\n    width: 4em;\\n    @include breakpoint(mobile-extra-large) {\\n      width: 2em;\\n    }\\n  }\\n  table {\\n    width: 100%;\\n    padding-bottom: 150px;\\n    td {\\n      padding: 0.5em 0.5em 0.5em 0;\\n      @include breakpoint(mobile, min-width) {\\n        min-width: 15em;\\n      }\\n    }\\n  }\\n  .badge-wrapper span.badge-category {\\n    max-width: 20em;\\n    @include breakpoint(mobile-extra-large) {\\n      max-width: 30vw;\\n    }\\n  }\\n}\\n\\n.reorder-categories-sub-cat {\\n  margin-left: 20px;\\n}\\n",\n\t\t".edit-topic-timer-modal {\\n  .modal-body {\\n    max-height: none;\\n    overflow: visible !important; /* inline JS styles */\\n  }\\n  .control-group {\\n    display: flex;\\n    align-items: center;\\n\\n    > .d-icon {\\n      margin-right: 5px;\\n    }\\n  }\\n  input.date-picker,\\n  input[type=\\"time\\"] {\\n    width: 200px;\\n    text-align: left;\\n  }\\n  .radios {\\n    margin-bottom: 10px;\\n  }\\n  label {\\n    display: inline-flex;\\n    padding-right: 5px;\\n    margin-bottom: 0;\\n    align-items: center;\\n    input {\\n      margin-top: 0;\\n    }\\n  }\\n  .btn.pull-right {\\n    margin-right: 10px;\\n  }\\n  .future-date-input {\\n    input {\\n      margin: 0;\\n    }\\n    .alert-info {\\n      margin: 0 -15px -15px -15px;\\n    }\\n    .btn-clear {\\n      display: none;\\n    }\\n    .topic-status-info {\\n      border: none;\\n      padding: 0;\\n      h3 {\\n        font-weight: normal;\\n        font-size: $font-up-1;\\n      }\\n    }\\n\\n    input[disabled] {\\n      background: $primary-low;\\n    }\\n  }\\n  .pika-single {\\n    position: absolute !important; /* inline JS styles */\\n  }\\n}\\n\\n// mobile styles\\n.mobile-view .edit-topic-timer-modal {\\n  .select-kit.combo-box {\\n    flex: 1 0 0px;\\n  }\\n}\\n",\n\t\t".redirection-warning {\\n  margin: 0 auto;\\n  text-align: center;\\n  font-size: $font-up-4;\\n  line-height: $line-height-medium;\\n}\\n",\n\t\t"// Right to left styles.\\n// *** These styles are all going to be flipped by the r2 gem ***\\n// Adding the !important declaration to a rule prevents it from being flipped.\\n\\n// This is used to flip the .d-icon-caret-right\\n@mixin rotate($degrees) {\\n  -webkit-transform: rotate(#{$degrees}deg);\\n  -moz-transform: rotate(#{$degrees}deg);\\n  -ms-transform: rotate(#{$degrees}deg);\\n  -o-transform: rotate(#{$degrees}deg);\\n  transform: rotate(#{$degrees}deg);\\n\\n  filter: \\"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=#{cos($degrees)}, M12=-#{sin($degrees)}, M21=#{sin($degrees)}, M22=#{cos($degrees)})\\";\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=#{cos($degrees)}, M12=-#{sin($degrees)}, M21=#{sin($degrees)}, M22=#{cos($degrees)})\\";\\n  zoom: 1;\\n}\\n\\n// Get the right caret to point left\\n.rtl .d-icon-caret-right {\\n  @include rotate(180);\\n}\\n\\n// Changes the triangle arrow direction in .nav-stacked .active\\n// The 'left' and 'right' in these selectors is not being flipped by r2.\\n.rtl .nav-stacked a.active::after {\\n  border-left-color: transparent !important;\\n  border-right-color: $secondary !important;\\n}\\n.rtl code {\\n  direction: ltr !important;\\n  text-align: left !important;\\n}\\n.rtl .pull-left {\\n  float: right !important;\\n}\\n.rtl .autocomplete {\\n  left: 27px;\\n}\\n\\n.rtl .admin-customize .current-style .toggle-mobile {\\n  position: static !important;\\n  float: left !important;\\n}\\n.rtl .admin-customize .current-style .toggle-maximize {\\n  position: static !important;\\n  float: left !important;\\n}\\n.rtl .dashboard-left {\\n  float: right !important;\\n}\\n.rtl .dashboard-right {\\n  float: left !important;\\n}\\n\\n// This is for the support_mixed_text_direction setting\\n.cooked ul[dir=\\"ltr\\"],\\n.d-editor-preview ul[dir=\\"ltr\\"],\\n.cooked ul[dir=\\"rtl\\"],\\n.d-editor-preview ul[dir=\\"rtl\\"] {\\n  padding-right: 40px;\\n  padding-left: 40px;\\n}\\n\\n// Fixes github oneboxes for RTL sites\\n.rtl aside.onebox.githubblob {\\n  padding: 12px 25px 12px 12px !important;\\n  direction: ltr !important;\\n}\\n\\n.rtl aside.onebox.githubblob .source {\\n  background-position: 0 50% !important;\\n  padding-right: 20px;\\n}\\n\\n.rtl pre.onebox code ol.lines {\\n  margin: 0 0 0 40px !important;\\n}\\n\\n.rtl pre.onebox code ol.lines li:before {\\n  right: -40px;\\n  padding-left: 5px;\\n  padding-right: 0;\\n  text-align: right !important;\\n}\\n\\n.rtl pre.onebox code ol.lines li {\\n  padding-right: 5px;\\n  padding-left: 0;\\n  margin-right: 0;\\n  border-right: 1px solid #cfcfcf;\\n  border-left: none !important;\\n}\\n",\n\t\t".search-menu {\\n  .search-input {\\n    position: relative;\\n    padding: 0.5em 3px;\\n  }\\n\\n  .search-context .show-help {\\n    float: right;\\n  }\\n\\n  .heading {\\n    padding: 5px 0 5px 5px;\\n    .filter {\\n      padding: 0 5px;\\n    }\\n  }\\n\\n  input[type=\\"text\\"] {\\n    box-sizing: border-box;\\n    width: calc(100% - 6px);\\n    height: 32px;\\n  }\\n\\n  .search-context {\\n    padding: 0 5px;\\n\\n    label {\\n      margin-bottom: 0;\\n    }\\n  }\\n\\n  .search-context + .results {\\n    margin-top: 5px;\\n  }\\n\\n  .results {\\n    display: flex;\\n    flex-direction: row;\\n\\n    .list {\\n      min-width: 100px;\\n\\n      .item {\\n        .blurb {\\n          // https://css-tricks.com/snippets/css/prevent-long-urls-from-breaking-out-of-container/\\n          overflow-wrap: break-word;\\n          word-wrap: break-word;\\n          -ms-word-break: break-all;\\n          word-break: break-all;\\n          word-break: break-word;\\n          -ms-hyphens: auto;\\n          -moz-hyphens: auto;\\n          -webkit-hyphens: auto;\\n          hyphens: auto;\\n          margin-top: 0.25em;\\n        }\\n      }\\n    }\\n\\n    .search-result-topic {\\n      .second-line {\\n        display: flex;\\n        flex-wrap: wrap;\\n        align-items: center;\\n\\n        .discourse-tags {\\n          flex-wrap: wrap;\\n          display: contents;\\n        }\\n      }\\n    }\\n\\n    .main-results {\\n      display: flex;\\n      flex: 1 1 auto;\\n      .topic-statuses {\\n        color: $primary-medium;\\n      }\\n    }\\n\\n    .main-results + .secondary-results {\\n      border-left: 1px solid $primary-low;\\n      margin-left: 1em;\\n      padding-left: 1em;\\n      max-width: 33%;\\n    }\\n\\n    .secondary-results {\\n      display: flex;\\n      flex-direction: column;\\n      flex: 1 1 auto;\\n\\n      .separator {\\n        margin-bottom: 1em;\\n        margin-top: 1em;\\n        height: 1px;\\n        background: $primary-low;\\n      }\\n\\n      .search-result-tag {\\n        .discourse-tag {\\n          font-size: $font-down-1;\\n        }\\n      }\\n\\n      .search-result-category {\\n        .widget-link {\\n          margin-bottom: 0;\\n        }\\n      }\\n\\n      .search-result-group {\\n        .search-link {\\n          color: $primary-high;\\n\\n          &:hover {\\n            color: $primary;\\n          }\\n        }\\n\\n        .group-result {\\n          display: flex;\\n          align-items: center;\\n\\n          .d-icon,\\n          .avatar-flair {\\n            min-width: 25px;\\n            margin-right: 0.5em;\\n\\n            .d-icon {\\n              margin-right: 0;\\n            }\\n          }\\n\\n          .avatar-flair-image {\\n            background-repeat: no-repeat;\\n            background-size: 100% 100%;\\n            min-height: 25px;\\n          }\\n\\n          .group-names {\\n            display: flex;\\n            flex-direction: column;\\n            overflow: auto;\\n            line-height: $line-height-medium;\\n\\n            &:hover {\\n              .name,\\n              .slug {\\n                color: $primary-high;\\n              }\\n            }\\n\\n            .name,\\n            .slug {\\n              @include ellipsis;\\n            }\\n\\n            .name {\\n              font-weight: 700;\\n            }\\n\\n            .slug {\\n              font-size: $font-down-1;\\n              color: $primary-high;\\n            }\\n          }\\n        }\\n      }\\n\\n      .search-result-category,\\n      .search-result-user,\\n      .search-result-group,\\n      .search-result-tag {\\n        .list {\\n          display: block;\\n\\n          .item {\\n            .widget-link.search-link {\\n              flex: 1;\\n              font-size: $font-0;\\n              padding: 5px;\\n            }\\n          }\\n        }\\n      }\\n\\n      .search-result-user {\\n        .user-result {\\n          display: flex;\\n          flex-direction: row;\\n          align-items: center;\\n\\n          .avatar {\\n            margin-right: 0.5em;\\n            display: block;\\n            min-width: 25px;\\n          }\\n\\n          .user-titles {\\n            display: flex;\\n            flex-direction: column;\\n            overflow: auto;\\n            line-height: $line-height-medium;\\n\\n            .username,\\n            .name {\\n              @include ellipsis;\\n            }\\n\\n            .username {\\n              color: dark-light-choose($primary-high, $secondary-low);\\n              font-size: $font-down-1;\\n            }\\n\\n            .name {\\n              color: dark-light-choose($primary-high, $secondary-low);\\n              font-size: $font-0;\\n              font-weight: 700;\\n            }\\n          }\\n        }\\n      }\\n    }\\n\\n    .show-more {\\n      padding: 5px;\\n    }\\n  }\\n\\n  .searching {\\n    position: absolute;\\n    top: 1.15em;\\n    right: 1em;\\n\\n    .spinner {\\n      width: 10px;\\n      height: 10px;\\n      border-width: 2px;\\n      margin: 0;\\n    }\\n  }\\n\\n  .no-results {\\n    padding: 5px;\\n  }\\n\\n  .filter {\\n    padding: 0;\\n    &:hover {\\n      background: transparent;\\n    }\\n  }\\n\\n  .search-link {\\n    margin-bottom: 0.25em;\\n\\n    .badge-category-parent {\\n      line-height: $line-height-small;\\n    }\\n\\n    .topic {\\n      display: inline-block;\\n      line-height: $line-height-medium;\\n    }\\n\\n    .topic-title {\\n      margin-right: 0.25em;\\n    }\\n  }\\n}\\n",\n\t\t"/* Default badge styles. */\\n.user-badge {\\n  padding: 3px 8px;\\n  color: $primary;\\n  border: 1px solid $primary-low;\\n  line-height: $line-height-large;\\n  display: inline-flex;\\n  align-items: center;\\n  background-color: $secondary;\\n  margin: 0 0 3px;\\n\\n  img {\\n    height: 16px;\\n    width: 16px;\\n  }\\n\\n  .badge-display-name {\\n    margin-left: 0.25em;\\n  }\\n\\n  &.badge-type-gold .fa {\\n    color: $gold !important;\\n  }\\n\\n  &.badge-type-silver .fa {\\n    color: $silver !important;\\n  }\\n\\n  &.badge-type-bronze .fa {\\n    color: $bronze !important;\\n  }\\n\\n  &.disabled {\\n    color: $primary-medium;\\n    background-color: $primary-very-low;\\n    .fa {\\n      opacity: 0.4;\\n    }\\n  }\\n}\\n\\n@media all and (max-width: 750px) {\\n  .show-badge .user-badge-with-posts .badge-user a.post-link {\\n    width: auto;\\n  }\\n  .show-badge div.badge-user {\\n    padding: 0;\\n  }\\n  .badges-listing {\\n    display: block;\\n\\n    .info,\\n    .grant-count {\\n      text-align: left;\\n    }\\n\\n    .row > div.info {\\n      display: none;\\n    }\\n\\n    .row {\\n      display: block;\\n      > div {\\n        display: block;\\n        margin-top: 10px;\\n      }\\n    }\\n  }\\n}\\n\\n.show-badge .badge-user-info {\\n  .earned {\\n    font-size: $font-up-2;\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.show-badge .single-user {\\n  margin-left: 2%;\\n  padding-bottom: 20px;\\n  .load-more {\\n    padding-top: 30px;\\n    display: block;\\n    font-size: $font-up-2;\\n  }\\n}\\n\\n.show-badge .single-user .badge-user {\\n  padding-left: 0;\\n\\n  text-align: left;\\n  display: block;\\n  margin: 20px 0;\\n  .badge-info {\\n    display: none;\\n  }\\n  .date {\\n    display: inline-block;\\n    font-size: $font-up-1;\\n    margin-left: 10px;\\n  }\\n  .post-link {\\n    font-size: $font-up-2;\\n    width: 500px;\\n    margin: 0;\\n    padding: 0;\\n  }\\n  width: 800px;\\n\\n  &:after {\\n    content: \\"\\";\\n    clear: both;\\n    display: table;\\n  }\\n}\\n\\n.long-description.banner {\\n  width: 88%;\\n  margin-bottom: 15px;\\n  margin-top: 15px;\\n}\\n\\n.badge-card {\\n  position: relative;\\n  display: inline-block;\\n  background-color: $primary-very-low;\\n  border: 1px solid $primary-low;\\n  margin-bottom: 2vh;\\n  transition: box-shadow 0.25s;\\n\\n  .check-display {\\n    position: absolute;\\n    left: 5px;\\n    top: 5px;\\n  }\\n\\n  .grant-count {\\n    position: absolute;\\n    right: 5px;\\n    top: 5px;\\n    font-weight: bold;\\n    color: $primary-medium;\\n    font-size: $font-up-2;\\n  }\\n\\n  .badge-contents {\\n    display: flex;\\n    min-height: 128px;\\n    height: 100%;\\n    padding: 0 10%;\\n\\n    .badge-link {\\n      color: $primary;\\n    }\\n\\n    .badge-icon {\\n      display: flex;\\n      flex: 0 0 auto;\\n      width: 1.23em;\\n      margin-right: 5%;\\n      align-items: center;\\n      justify-content: center;\\n      font-size: 3.5em;\\n      a {\\n        width: 100%;\\n      }\\n      img {\\n        width: 100%;\\n        max-width: 65px;\\n        max-height: 80px;\\n      }\\n\\n      &.badge-type-gold .fa {\\n        color: rgb(231, 195, 0) !important;\\n      }\\n\\n      &.badge-type-silver .fa {\\n        color: #c0c0c0 !important;\\n      }\\n\\n      &.badge-type-bronze .fa {\\n        color: #cd7f32 !important;\\n      }\\n    }\\n\\n    .badge-info {\\n      display: flex;\\n      flex: 1 1 auto;\\n      align-items: center;\\n      padding: 1em 1.5em 1em 0;\\n      color: $primary;\\n      @media screen and (max-width: 600px) {\\n        padding-right: 0;\\n      }\\n\\n      h3 {\\n        margin-bottom: 0.25em;\\n        font-size: $font-up-1;\\n        @media screen and (min-width: 900px) {\\n          font-size: $font-up-2;\\n        }\\n      }\\n    }\\n  }\\n\\n  &.medium {\\n    flex: 0 0 auto;\\n    width: 32%;\\n    margin-right: 1.63%;\\n    @media screen and (min-width: 851px) {\\n      &:nth-of-type(3n) {\\n        margin-right: 0;\\n      }\\n    }\\n    @include breakpoint(medium) {\\n      width: 48.5%;\\n      &:nth-of-type(2n) {\\n        margin-right: 0;\\n      }\\n    }\\n    @include breakpoint(mobile-extra-large) {\\n      flex: 0 0 100%;\\n    }\\n    &:hover {\\n      box-shadow: shadow(\\"card\\");\\n    }\\n    &:active {\\n      box-shadow: none;\\n    }\\n  }\\n  &.large {\\n    width: 100%;\\n    align-self: flex-start;\\n    @media screen and (min-width: 767px) {\\n      max-width: calc(#{$large-width} / 2);\\n      margin-right: 1.5em;\\n    }\\n    .badge-contents {\\n      padding: 0 5%;\\n      h3 {\\n        font-size: $font-up-3;\\n      }\\n    }\\n  }\\n}\\n\\n.badges-granted {\\n  display: flex;\\n  flex-wrap: wrap;\\n  @media screen and (max-width: $small-width) {\\n    justify-content: space-between;\\n  }\\n}\\n\\n.badge-groups {\\n  margin: 20px 0;\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  h3 {\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.badge-title {\\n  .user-content {\\n    padding: 0;\\n  }\\n}\\n\\n.badge-group-list {\\n  margin-bottom: 1.5em;\\n  display: flex;\\n  flex-wrap: wrap;\\n  @include breakpoint(medium) {\\n    justify-content: space-between;\\n  }\\n\\n  .title {\\n    width: 100%;\\n    font-size: $font-up-1;\\n  }\\n}\\n\\n.show-badge-details {\\n  display: flex;\\n  flex-wrap: wrap;\\n  flex-direction: row;\\n  margin-bottom: 2em;\\n  margin-top: 1em;\\n\\n  .badge-grant-info {\\n    &.hidden {\\n      display: none;\\n    }\\n  }\\n\\n  .grant-info-item {\\n    margin-bottom: 1em;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    &:first-of-type {\\n      margin-right: 10px;\\n    }\\n  }\\n\\n  .badge-set-title {\\n    padding: 1.5em;\\n    border: 1px solid $primary-low;\\n\\n    .user-content {\\n      padding: 0;\\n      .control-group {\\n        margin-bottom: 1em;\\n      }\\n    }\\n  }\\n\\n  .badge-title .form-horizontal .controls {\\n    margin-left: 0;\\n  }\\n\\n  .form-horizontal {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n.check-display {\\n  display: inline-block;\\n  padding: 0 0.25em;\\n  border-radius: 10px;\\n  text-align: center;\\n  .fa {\\n    font-size: 0.9em;\\n    color: $secondary;\\n  }\\n}\\n\\n.check-display.status-checked {\\n  background-color: $success;\\n}\\n\\n.check-display.status-unchecked {\\n  background-color: $danger;\\n}\\n\\n.hyperlink {\\n  cursor: pointer;\\n}\\n",\n\t\t".reviewable {\\n  .flagged-post-header {\\n    width: 100%;\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n\\n  .status {\\n    color: $primary-medium;\\n    span.approved {\\n      color: $success;\\n      .d-icon {\\n        color: currentColor;\\n      }\\n    }\\n    span.rejected {\\n      color: $danger;\\n      .d-icon {\\n        color: currentColor;\\n      }\\n    }\\n  }\\n  .explain {\\n    margin-left: 0.5em;\\n  }\\n\\n  .nav-pills {\\n    margin-bottom: 1em;\\n  }\\n\\n  .reviewable-container {\\n    display: flex;\\n    flex-direction: row;\\n    margin-top: 1em;\\n\\n    .reviewable-list {\\n      flex: 1;\\n      box-sizing: border-box;\\n      max-width: 760px; // Match topic post width\\n      min-width: 0;\\n      margin-right: auto;\\n    }\\n\\n    .reviewable-filters {\\n      width: 250px;\\n      height: 100%;\\n      box-sizing: border-box;\\n    }\\n\\n    .reviewable-list + .reviewable-filters {\\n      margin-left: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-settings {\\n  h4 {\\n    margin-top: 1em;\\n    margin-bottom: 1em;\\n  }\\n\\n  .saved {\\n    margin-left: 0.5em;\\n  }\\n  .reviewable-score-type {\\n    display: flex;\\n    margin-bottom: 0.5em;\\n\\n    .select-kit {\\n      min-width: 10em;\\n    }\\n    .title {\\n      width: 30%;\\n    }\\n  }\\n}\\n\\n.reviewable-user-info {\\n  margin: 0.5em 0;\\n  .reviewable-user-fields {\\n    margin-bottom: 2em;\\n  }\\n\\n  .reviewable-user-details {\\n    border-bottom: 1px solid $primary-low;\\n    padding-bottom: 0.25em;\\n\\n    display: flex;\\n    .name {\\n      width: 8em;\\n      font-weight: bold;\\n      margin-right: 1em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.no-review {\\n  margin-top: 1em;\\n}\\n\\n.reviewable-filters {\\n  background-color: $primary-very-low;\\n  padding: 1em;\\n  margin-bottom: 1em;\\n\\n  .reviewable-filter {\\n    display: flex;\\n    flex-direction: column;\\n    margin: 0 0 1em 0;\\n\\n    .filter-label {\\n      margin: 0 0 0.5em 0;\\n    }\\n\\n    .score-filter {\\n      margin: 0;\\n      width: 100%;\\n    }\\n\\n    .category-chooser {\\n      width: 100%;\\n    }\\n\\n    .d-date-time-input-range {\\n      width: inherit;\\n      border: none;\\n      padding: 0;\\n\\n      .d-date-input {\\n        flex: 1 1 auto;\\n        border: 1px solid $primary-medium;\\n      }\\n    }\\n  }\\n}\\n\\n.reviewable-claimed-topic {\\n  display: flex;\\n  align-items: center;\\n  .btn-small {\\n    margin-left: 0.5em;\\n  }\\n}\\n\\n.reviewable-actions .claimed-actions {\\n  display: flex;\\n  width: 100%;\\n  justify-content: space-between;\\n  align-items: center;\\n  margin-bottom: 0.5em;\\n}\\n\\n.claimed-by {\\n  display: flex;\\n  align-items: center;\\n  .claimed-username {\\n    margin-left: 0.5em;\\n  }\\n}\\n\\n.reviewable-topics {\\n  width: 100%;\\n\\n  tbody {\\n    td {\\n      padding: 0.5em;\\n    }\\n  }\\n\\n  .reviewable-details {\\n    display: flex;\\n    justify-content: flex-end;\\n\\n    .btn {\\n      display: flex;\\n      align-items: center;\\n      margin-left: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-filters {\\n  .topic-filter .btn {\\n    display: flex;\\n    width: auto;\\n  }\\n\\n  .refresh {\\n    height: 1em;\\n    display: flex;\\n  }\\n\\n  .score-filter {\\n    width: 5em;\\n  }\\n}\\n.user-flag-percentage {\\n  display: flex;\\n  align-items: center;\\n  margin-left: 0.5em;\\n\\n  .percentage-label {\\n    margin-right: 0.25em;\\n    &.agreed {\\n      color: $success;\\n      + .d-icon {\\n        color: $success;\\n      }\\n    }\\n    &.disagreed {\\n      color: $danger;\\n      + .d-icon {\\n        color: $danger;\\n      }\\n    }\\n    &.ignored {\\n      color: $primary-medium;\\n    }\\n  }\\n  .d-icon {\\n    font-size: 0.9em;\\n  }\\n}\\n\\n.reviewable-item {\\n  padding-top: 2em;\\n  border-top: 1px solid dark-light-choose($primary-low, $secondary-low);\\n\\n  .topic-statuses {\\n    font-size: $font-up-2;\\n  }\\n\\n  .reviewable-meta-data {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    display: flex;\\n    width: 100%;\\n    margin-bottom: 0.5em;\\n    font-size: $font-down-1;\\n    align-items: baseline;\\n    .reviewable-type {\\n      margin-right: 0.25em;\\n    }\\n    .reply-count {\\n      margin-left: 1em;\\n    }\\n    .created-at {\\n      margin-left: 1em;\\n      margin-right: auto;\\n      a {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n    }\\n    .score {\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  .reviewable-contents {\\n    display: flex;\\n    flex-wrap: wrap;\\n    margin-bottom: 2em;\\n  }\\n\\n  .reviewable-actions {\\n    display: flex;\\n    flex-wrap: wrap;\\n\\n    button {\\n      white-space: nowrap;\\n    }\\n\\n    .reviewable-action,\\n    .reviewable-action-dropdown {\\n      margin-right: 0.5em;\\n    }\\n  }\\n  padding-bottom: 1em;\\n}\\n\\n.reviewable-histories {\\n  margin-top: 1em;\\n}\\n\\n.reviewable-scores {\\n  min-width: 50%;\\n  color: $primary-high;\\n\\n  .reviewed-by {\\n    .date {\\n      margin-left: 0.5em;\\n    }\\n  }\\n  .user,\\n  .reviewed-by {\\n    display: flex;\\n    align-items: center;\\n  }\\n\\n  .user-flag-percentage {\\n    margin-left: 0.5em;\\n  }\\n\\n  .d-icon {\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n  }\\n\\n  .badge-notification {\\n    line-height: $line-height-medium;\\n    vertical-align: text-top;\\n  }\\n\\n  tbody {\\n    border-width: 1px;\\n    td {\\n      white-space: nowrap;\\n      vertical-align: baseline;\\n      &.user a,\\n      &.reviewed-by a {\\n        max-width: 150px;\\n        @include ellipsis;\\n      }\\n    }\\n\\n    td:last-of-type {\\n      width: 100%;\\n      white-space: normal;\\n    }\\n    > tr > th {\\n      text-align: left;\\n    }\\n    > tr > th,\\n    > tr > td {\\n      &:not(:empty) {\\n        padding: 0.5em 1em 0.5em 0;\\n      }\\n      @include breakpoint(\\"mobile-large\\") {\\n        @include ellipsis;\\n        padding-right: 0.5em;\\n      }\\n    }\\n    .reviewable-score-spacer {\\n      padding-right: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-score-reason {\\n  margin: 0.5em 0;\\n  max-width: $topic-body-width;\\n  margin-bottom: 0.5em;\\n}\\n\\n.reviewable-conversation {\\n  margin: 0.5em 0;\\n\\n  .reviewable-conversation-post {\\n    max-width: $topic-body-width;\\n    margin-bottom: 0.5em;\\n\\n    .username {\\n      font-weight: bold;\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .controls {\\n    margin-top: 0.25em;\\n  }\\n}\\n\\n.reviewable-item {\\n  .show-raw-email {\\n    color: $primary-medium;\\n    font-size: $font-down-2;\\n  }\\n  .post-title {\\n    background-color: yellow;\\n  }\\n  .created-by {\\n    margin-right: 1em;\\n    padding-top: 0.35em;\\n    @include breakpoint(\\"mobile-large\\") {\\n      float: left;\\n      margin-bottom: 1em;\\n    }\\n  }\\n\\n  .names {\\n    font-weight: bold;\\n  }\\n\\n  .post-contents-wrapper {\\n    width: 100%;\\n    margin-top: 1em;\\n    min-width: 275px;\\n    word-break: break-word;\\n    @include breakpoint(\\"mobile-large\\", min-width) {\\n      display: flex;\\n    }\\n  }\\n  .reviewable-post-header {\\n    display: flex;\\n    justify-content: space-between;\\n    max-width: $topic-body-width;\\n    width: $topic-body-width;\\n    align-items: center;\\n\\n    .reviewable-reply-to {\\n      display: flex;\\n      align-items: center;\\n      color: $primary-medium;\\n      font-size: 0.9em;\\n      .d-icon {\\n        margin-right: 0.5em;\\n      }\\n    }\\n  }\\n\\n  .post-contents {\\n    width: 100%;\\n    min-width: 0; // Flexbox fix\\n  }\\n\\n  .post-body {\\n    max-width: $topic-body-width;\\n    max-height: 300px;\\n    margin-top: 0.5em;\\n    overflow-y: auto;\\n\\n    p,\\n    aside {\\n      margin: 0 0 1em 0;\\n    }\\n\\n    pre,\\n    code {\\n      word-break: break-all;\\n    }\\n  }\\n\\n  .post-topic {\\n    width: 100%;\\n    color: $primary-medium;\\n    margin-bottom: 0.75em;\\n    .title-text {\\n      font-weight: bold;\\n      color: $primary;\\n      display: block;\\n      font-size: $font-up-2;\\n      margin-right: 0.75em;\\n    }\\n    .topic-statuses {\\n      &:empty {\\n        display: none;\\n      }\\n    }\\n  }\\n}\\n\\n.editable-fields {\\n  .editable-created-by {\\n    display: flex;\\n    .avatar {\\n      margin-right: 0.25em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n\\n  width: 100%;\\n  .editable-field {\\n    .mini-tag-chooser {\\n      margin: 0;\\n    }\\n\\n    .reviewable-input-text {\\n      width: 100%;\\n      margin-bottom: 0;\\n    }\\n\\n    .reviewable-input-textarea {\\n      width: 100%;\\n      height: 10em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n@media screen and (max-width: 1000px) {\\n  table.reviewable-scores {\\n    width: 100%;\\n    display: block;\\n    tbody {\\n      width: calc(100% - 5px);\\n      display: block;\\n      clear: both;\\n    }\\n  }\\n  tr.reviewable-score {\\n    display: grid;\\n    grid-template-columns: auto auto 1fr;\\n  }\\n  td.reviewable-score-spacer {\\n    display: none;\\n  }\\n}\\n\\n@include breakpoint(\\"mobile-large\\") {\\n  tr.reviewable-score {\\n    grid-template-columns: auto auto auto;\\n  }\\n}\\n",\n\t\t".shared-draft-controls {\\n  background-color: $tertiary-low;\\n  padding: 1em;\\n\\n  .publish-field {\\n    margin-top: 1em;\\n  }\\n\\n  clear: both;\\n}\\n",\n\t\t".explain-reviewable {\\n  min-width: 500px;\\n\\n  .thresholds {\\n    margin-top: 1em;\\n  }\\n  table {\\n    width: 100%;\\n  }\\n  table td {\\n    padding: 0.5em;\\n  }\\n  td.sum {\\n    text-align: right;\\n  }\\n  td.sum.total {\\n    font-weight: bold;\\n  }\\n  tr.total {\\n    td {\\n      background-color: $primary-low;\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .op {\\n    font-weight: bold;\\n  }\\n\\n  .score-value-type {\\n    color: $primary-medium;\\n  }\\n\\n  .op:last-of-type {\\n    display: none;\\n  }\\n}\\n",\n\t\t"// styles for the category badge color picker\\n\\n.category-color-editor {\\n  input {\\n    width: 5.5em;\\n    margin-right: 1em;\\n  }\\n\\n  .color-title {\\n    display: block;\\n    margin: 1em 0 0.25em;\\n  }\\n\\n  .colorpicker-wrapper {\\n    display: flex;\\n    align-items: center;\\n    input,\\n    .add-on {\\n      align-self: flex-start;\\n      margin-bottom: 0.125em;\\n    }\\n  }\\n\\n  .colors-container {\\n    display: inline-flex;\\n    flex-wrap: wrap;\\n\\n    .colorpicker {\\n      position: relative;\\n      margin: 0 0.125em 0.25em;\\n      border: 1px solid $primary-medium;\\n      width: 1.25em;\\n      height: 1.2em;\\n      padding: 0;\\n      flex: 0 0 auto;\\n      color: white;\\n      svg {\\n        display: none;\\n      }\\n      &.used-color svg {\\n        display: inline-flex;\\n        opacity: 0.8;\\n        max-width: 70%;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// styles that apply to the popup that appears when you show the edit history of a post\\n\\n.modal.history-modal {\\n  #revision-numbers {\\n    display: inline-block;\\n    min-width: 96px;\\n    text-align: center;\\n  }\\n\\n  #revision {\\n    overflow: auto;\\n    border-bottom: 3px solid $primary-low;\\n  }\\n\\n  table.markdown > tbody > tr > td,\\n  .revision-content {\\n    width: 47.5%;\\n    float: left;\\n\\n    &:nth-of-type(2) {\\n      margin-left: 5%;\\n    }\\n  }\\n\\n  #revision-details {\\n    padding: 5px;\\n  }\\n\\n  #revisions .row:first-of-type {\\n    margin-top: 10px;\\n  }\\n  ins,\\n  .diff-ins {\\n    code,\\n    img {\\n      border: 2px solid $success;\\n    }\\n    img {\\n      opacity: 0.75;\\n      filter: alpha(opacity=75);\\n    }\\n    a {\\n      color: $success;\\n      text-decoration: none;\\n    }\\n  }\\n  img.diff-ins,\\n  code.diff-ins {\\n    border: 2px solid $success;\\n  }\\n  img.diff-ins {\\n    opacity: 0.75;\\n    filter: alpha(opacity=75);\\n  }\\n  .diff-ins {\\n    color: $primary;\\n    background: $success-low;\\n  }\\n  ins {\\n    color: $primary;\\n    background: $success-low;\\n    text-decoration: none;\\n  }\\n  del,\\n  .diff-del {\\n    code,\\n    img {\\n      border: 2px solid $danger;\\n    }\\n    img {\\n      opacity: 0.5;\\n      filter: alpha(opacity=50);\\n    }\\n    a {\\n      color: $danger;\\n      text-decoration: none;\\n    }\\n  }\\n  img.diff-del,\\n  code.diff-del {\\n    border: 2px solid $danger;\\n  }\\n  img.diff-del {\\n    opacity: 0.5;\\n    filter: alpha(opacity=50);\\n  }\\n  .diff-del {\\n    color: $primary;\\n    background: $danger-low;\\n    text-decoration: none;\\n  }\\n  del {\\n    color: $primary;\\n    background: $danger-low;\\n    text-decoration: none;\\n  }\\n  span.date {\\n    font-weight: bold;\\n  }\\n  span.edit-reason {\\n    background-color: $highlight-medium;\\n    padding: 3px 5px 5px 5px;\\n  }\\n  .d-icon-ban {\\n    color: #f00;\\n  }\\n  .hidden-revision-either {\\n    opacity: 0.5;\\n  }\\n  .hidden-revision-previous .row {\\n    div:nth-of-type(1),\\n    td:nth-of-type(1) {\\n      opacity: 0.5;\\n    }\\n  }\\n  .hidden-revision-current .row {\\n    div:nth-of-type(2),\\n    td:nth-of-type(2) {\\n      opacity: 0.5;\\n    }\\n  }\\n}\\n",\n\t\t"$d-popover-background: $secondary;\\n$d-popover-border: $primary-medium;\\n\\n@-webkit-keyframes popoverFadeIn {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n@keyframes popoverFadeIn {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n#d-popover {\\n  background-color: $d-popover-background;\\n  position: absolute;\\n  z-index: z(\\"modal\\", \\"tooltip\\");\\n  border-color: $d-popover-border;\\n  border-style: solid;\\n  border-width: 1px;\\n  max-width: 300px;\\n  -webkit-animation: popoverFadeIn 0.5s;\\n  animation: popoverFadeIn 0.5s;\\n  background-clip: padding-box;\\n  display: block;\\n  box-shadow: shadow(\\"dropdown\\");\\n  border-radius: 2px;\\n\\n  &.is-under {\\n    margin-top: 0px;\\n\\n    .d-popover-top-arrow {\\n      display: block;\\n    }\\n\\n    .d-popover-bottom-arrow {\\n      display: none;\\n    }\\n  }\\n\\n  &.is-above {\\n    margin-top: 0px;\\n\\n    .d-popover-bottom-arrow {\\n      display: block;\\n    }\\n\\n    .d-popover-top-arrow {\\n      display: none;\\n    }\\n  }\\n\\n  &.retina {\\n    border-width: 0.5px;\\n  }\\n\\n  .d-popover-content {\\n    padding: 0.5em;\\n    font-size: $font-down-1;\\n    overflow-wrap: break-word;\\n    -webkit-animation: popoverFadeIn 0.5s;\\n    animation: popoverFadeIn 0.5s;\\n  }\\n\\n  .d-popover-arrow {\\n    border-style: solid;\\n    color: transparent;\\n    content: \\"\\";\\n    position: absolute;\\n    z-index: calc(z(\\"tooltip\\") - 100);\\n  }\\n\\n  .d-popover-top-arrow {\\n    border-color: transparent transparent $d-popover-border;\\n    top: 8px;\\n    transform: translate(0, -15px);\\n    border-width: 0 8px 8px;\\n\\n    &:after {\\n      border-color: transparent transparent $d-popover-background;\\n      border-style: solid;\\n      border-width: 0 7px 7px;\\n      bottom: -8px;\\n      margin-left: -7px;\\n      position: absolute;\\n      content: \\"\\";\\n    }\\n  }\\n\\n  .d-popover-bottom-arrow {\\n    border-color: $d-popover-border transparent transparent;\\n    top: calc(100% + 16px);\\n    transform: translate(0, -16px);\\n    border-width: 8px 8px 0;\\n\\n    &:after {\\n      position: absolute;\\n      content: \\"\\";\\n      border-color: $d-popover-background transparent transparent;\\n      border-style: solid;\\n      border-width: 7px 7px 0;\\n      bottom: 2px;\\n      transform: translate(-7px, 0);\\n    }\\n  }\\n}\\n",\n\t\t"div.tagsinput {\\n  border: 1px solid #ccc;\\n  background: #fff;\\n  padding: 5px 5px 0;\\n  width: 584px;\\n  height: 100px;\\n  overflow-y: auto;\\n  border-radius: 4px;\\n}\\n\\ndiv.tagsinput span.tag {\\n  border: 1px solid #a5d24a;\\n  border-radius: 2px;\\n  display: block;\\n  float: left;\\n  padding: 1px 5px;\\n  text-decoration: none;\\n  background: #cde69c;\\n  color: #638421;\\n  margin-right: 5px;\\n  margin-bottom: 5px;\\n  font-family: helvetica;\\n  font-size: $font-down-1;\\n}\\n\\ndiv.tagsinput span.tag a {\\n  font-weight: bold;\\n  color: #82ad2b;\\n  text-decoration: none;\\n  font-size: $font-down-2;\\n}\\ndiv.tagsinput input {\\n  width: 80px;\\n  font-family: helvetica;\\n  font-size: $font-down-1;\\n  border: 1px solid transparent;\\n  padding: 2px 5px;\\n  background: transparent;\\n  color: #000;\\n  outline: 0;\\n  margin: 0 5px 5px 0;\\n}\\ndiv.tagsinput div {\\n  display: block;\\n  float: left;\\n}\\n.tags_clear {\\n  clear: both;\\n  width: 100%;\\n  height: 0;\\n}\\n.not_valid {\\n  background: #fbd8db !important;\\n  color: #90111a !important;\\n}\\n",\n\t\t".d-icon.d-icon-d-regular,\\n.d-icon.d-icon-d-muted,\\n.d-icon.d-icon-d-watching-first,\\n.d-icon.d-icon-d-watching-first-post {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n}\\n\\n.d-icon.d-icon-d-tracking,\\n.d-icon.d-icon-d-watching {\\n  color: $tertiary;\\n}\\n",\n\t\t".directory {\\n  margin-bottom: 100px;\\n\\n  .user-info {\\n    margin-bottom: 0;\\n  }\\n\\n  .period-chooser {\\n    float: left;\\n  }\\n  .filter-name {\\n    float: right;\\n  }\\n  .spinner {\\n    clear: both;\\n  }\\n\\n  table {\\n    width: 100%;\\n    margin-bottom: 1em;\\n\\n    td,\\n    th {\\n      padding: 0.5em;\\n      text-align: left;\\n      border-bottom: 1px solid $primary-low;\\n      @media screen and (max-width: $small-width) {\\n        padding: 0.5em 0.25em;\\n      }\\n\\n      .number,\\n      .time-read {\\n        font-size: $font-up-3;\\n        color: $primary-medium;\\n        @media screen and (max-width: $small-width) {\\n          font-size: $font-up-1;\\n        }\\n      }\\n      .time-read {\\n        white-space: nowrap;\\n      }\\n    }\\n\\n    th.sortable {\\n      width: 13%;\\n      .d-icon-heart {\\n        color: $love;\\n        margin: 0 0.25em 0 0;\\n      }\\n    }\\n  }\\n  .me {\\n    background-color: dark-light-choose($highlight-low, $highlight-medium);\\n    .username a,\\n    .name,\\n    .title,\\n    .number,\\n    .time-read {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n",\n\t\t".alert {\\n  padding: 8px 32px 8px 16px;\\n  background-color: $danger-low;\\n  color: $primary;\\n  position: relative;\\n\\n  .close {\\n    position: absolute;\\n    top: 8px;\\n    right: 8px;\\n    font-size: $font-up-3;\\n    .d-icon {\\n      color: $primary-low-mid;\\n    }\\n  }\\n\\n  &.alert-success {\\n    background-color: $success-low;\\n    color: $primary;\\n  }\\n  &.alert-error {\\n    background-color: $danger-low;\\n    color: $primary;\\n  }\\n  &.alert-info {\\n    background-color: $tertiary-low;\\n    color: $primary;\\n    &.clickable {\\n      color: $tertiary;\\n    }\\n  }\\n}\\n",\n\t\t"// We should try to reuse the user page HTML for groups when possible\\n// To style group content differently, use the existing classes with a .group parent class.\\n// For example: .group .user-secondary-navigation\\n\\n.group-details-container {\\n  background: $primary-very-low;\\n  padding: 20px;\\n  margin-bottom: 15px;\\n  position: relative;\\n}\\n\\n.group-outlet {\\n  position: relative;\\n}\\n\\n.group-members-actions {\\n  display: flex;\\n  flex-wrap: wrap;\\n  width: 100%;\\n\\n  input + .group-members-manage {\\n    margin-left: auto;\\n  }\\n\\n  .group-username-filter {\\n    margin: 0 0 5px 0;\\n    vertical-align: middle;\\n  }\\n}\\n\\n.group-info {\\n  width: 100%;\\n\\n  .group-info-name {\\n    font-size: $font-up-3;\\n    font-weight: bold;\\n    color: $primary;\\n  }\\n\\n  .group-info-full-name {\\n    font-size: $font-up-2;\\n    color: dark-light-choose($primary-high, $secondary-low);\\n  }\\n\\n  span {\\n    display: inline-block;\\n    vertical-align: middle;\\n  }\\n\\n  $size: 50px;\\n  $icon-size: $size / 1.8;\\n\\n  .avatar-flair-image {\\n    width: $size;\\n  }\\n\\n  .avatar-flair {\\n    background-size: $size;\\n    height: $size;\\n    width: $size;\\n    border-radius: 50%;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background-repeat: no-repeat;\\n\\n    .d-icon {\\n      height: $icon-size;\\n      width: $icon-size;\\n    }\\n  }\\n}\\n\\n.group-manage-logs-filter {\\n  margin-right: 10px;\\n\\n  &:hover {\\n    background-color: $danger;\\n  }\\n}\\n\\ntable.group-manage-logs {\\n  width: 100%;\\n\\n  td {\\n    padding: 0.5em;\\n  }\\n\\n  .group-manage-logs-expand-details {\\n    cursor: pointer;\\n\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\ntable.group-members {\\n  width: 100%;\\n  table-layout: fixed;\\n\\n  th:first-child {\\n    width: 30%;\\n    text-align: left;\\n  }\\n\\n  th:last-child {\\n    width: 5%;\\n  }\\n\\n  th.group-members-actions {\\n    width: 5%;\\n  }\\n\\n  th {\\n    text-align: center;\\n  }\\n\\n  tr {\\n    .user-info {\\n      display: block;\\n      .avatar-flair {\\n        color: $primary;\\n      }\\n    }\\n\\n    td:first-child {\\n      text-align: left;\\n    }\\n\\n    td {\\n      text-align: center;\\n      color: $primary-medium;\\n      padding: 0.8em 0;\\n    }\\n  }\\n}\\n\\n.group-owner-label {\\n  color: $primary;\\n}\\n\\n.form-vertical {\\n  .group-flair-inputs {\\n    display: inline-block;\\n  }\\n\\n  .avatar-flair-preview {\\n    position: relative;\\n    width: 45px;\\n\\n    .avatar-wrapper {\\n      background-color: #f4f4f4;\\n    }\\n  }\\n}\\n\\n.group-form-save {\\n  margin-right: 20px;\\n}\\n\\n.group-add-members {\\n  .group-add-members-make-owner {\\n    label {\\n      display: inline;\\n      vertical-align: middle;\\n    }\\n\\n    input[type=\\"checkbox\\"] {\\n      vertical-align: middle;\\n    }\\n  }\\n}\\n",\n\t\t"img.emoji {\\n  width: 20px;\\n  height: 20px;\\n  vertical-align: middle;\\n}\\n\\nsmall img.emoji,\\nsub img.emoji,\\nsup img.emoji {\\n  height: 1.1em;\\n  width: 1.1em;\\n}\\n\\n.emoji-picker {\\n  background-clip: padding-box;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  position: fixed;\\n  display: none;\\n  flex-direction: row;\\n  height: 320px;\\n  color: $primary;\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n}\\n\\n.emoji-picker .categories-column {\\n  display: flex;\\n  flex-direction: column;\\n  flex: 1 0 0px;\\n  align-items: center;\\n  justify-content: space-between;\\n  border-right: 1px solid $primary-low;\\n  min-width: 36px;\\n}\\n\\n.emoji-picker .category-icon {\\n  display: block;\\n  margin: 4px auto;\\n  -webkit-filter: grayscale(100%);\\n  filter: grayscale(100%);\\n\\n  button.emoji {\\n    margin: 0;\\n    padding: 0;\\n  }\\n}\\n\\n.emoji-picker .category-icon.current,\\n.emoji-picker .category-icon:hover {\\n  -webkit-filter: grayscale(0%);\\n  filter: grayscale(0%);\\n}\\n\\n.emoji-picker .main-column {\\n  display: flex;\\n  flex-direction: column;\\n  flex: 20;\\n}\\n\\n.emoji-picker .list {\\n  overflow-y: scroll;\\n  -webkit-overflow-scrolling: touch;\\n  padding: 0;\\n  flex: 1 0 0px;\\n  flex-direction: column;\\n}\\n\\n.emoji-picker .section-header {\\n  padding: 8px;\\n  margin-top: 2px;\\n  margin-bottom: 0px;\\n  padding-bottom: 0px;\\n  justify-content: space-between;\\n  display: flex;\\n  align-items: center;\\n  font-weight: bold;\\n}\\n\\n.emoji-picker .section-header .title {\\n  color: $primary;\\n}\\n\\n.emoji-picker .section-header .clear-recent .fa {\\n  margin: 0;\\n  padding: 0;\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n\\n  &:hover {\\n    color: $primary;\\n  }\\n}\\n\\n.emoji-picker .section-group {\\n  flex-wrap: wrap;\\n  display: flex;\\n  align-items: center;\\n  justify-content: flex-start;\\n  padding: 4px;\\n}\\n\\n.emoji-picker .footer {\\n  align-items: center;\\n  display: flex;\\n  justify-content: space-between;\\n  border-top: 1px solid $primary-low;\\n}\\n\\n.emoji-picker .info {\\n  @include ellipsis;\\n  padding-left: 8px;\\n  font-weight: 700;\\n  max-width: 125px;\\n}\\n\\n.emoji-picker .diversity-picker {\\n  display: flex;\\n  justify-content: flex-end;\\n  padding: 8px;\\n}\\n\\n.emoji-picker .diversity-picker .diversity-scale {\\n  width: 20px;\\n  height: 20px;\\n  margin-left: 5px;\\n  border: 0;\\n  border-radius: 3px;\\n  display: flex;\\n  align-items: center;\\n  justify-content: center;\\n  cursor: pointer;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.default {\\n  background: #ffcc4d;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.light {\\n  background: #f7dece;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium-light {\\n  background: #f3d2a2;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium {\\n  background: #d5ab88;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium-dark {\\n  background: #af7e57;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.dark {\\n  background: #7c533e;\\n}\\n\\n.emoji-picker .diversity-picker .diversity-scale.selected .d-icon {\\n  display: block;\\n}\\n\\n.emoji-picker .diversity-picker .d-icon {\\n  display: none;\\n}\\n\\n.emoji-picker .diversity-picker .d-icon {\\n  color: #fff;\\n  font-size: $font-0;\\n  filter: drop-shadow(0.5px 1.5px 0 rgba(0, 0, 0, 0.3));\\n}\\n\\n.emoji-picker button.emoji {\\n  background: transparent;\\n  background-position: center;\\n  background-repeat: no-repeat;\\n  border-radius: 0;\\n  background-size: 20px 20px;\\n  -moz-box-sizing: content-box;\\n  box-sizing: content-box;\\n  height: 20px;\\n  border: 0;\\n  vertical-align: top;\\n  width: 20px;\\n  outline: none;\\n  padding: 3px;\\n  margin: 2px;\\n}\\n\\n.emoji-picker .section-group button.emoji:hover,\\n.emoji-picker .results button.emoji:hover {\\n  display: inline-block;\\n  vertical-align: top;\\n  border-radius: 2px;\\n  background-color: lighten($tertiary, 40%);\\n}\\n\\n.emoji-picker-modal.fadeIn {\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n  position: fixed;\\n  left: 0;\\n  top: 0;\\n  width: 100%;\\n  height: 100%;\\n  opacity: 0.8;\\n  background-color: black;\\n}\\n\\n.emoji-picker .filter {\\n  background-color: none;\\n  border-bottom: 1px solid $primary-low;\\n  padding: 5px;\\n  display: flex;\\n  position: relative;\\n  align-items: center;\\n\\n  input[type=\\"text\\"] {\\n    width: auto !important;\\n  }\\n}\\n\\n.emoji-picker .filter .d-icon-search {\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n  font-size: $font-up-1;\\n  margin-left: 5px;\\n  margin-right: 5px;\\n}\\n\\n.emoji-picker .filter input {\\n  height: 24px;\\n  margin: 0;\\n  flex: 1 0 0px;\\n  border: none;\\n  box-shadow: none;\\n  padding-right: 24px;\\n  outline: none;\\n  color: $primary;\\n  background: $secondary;\\n\\n  &:focus {\\n    border: none;\\n    box-shadow: none;\\n  }\\n}\\n\\n.emoji-picker .filter input::-ms-clear {\\n  display: none;\\n}\\n\\n.emoji-picker .results {\\n  display: none;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  justify-content: flex-start;\\n  padding: 4px;\\n  flex: 1 0 0px;\\n}\\n\\n.emoji-picker .filter .clear-filter {\\n  position: absolute;\\n  right: 5px;\\n  top: 12px;\\n  border: 0;\\n  background: none;\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n  outline: none;\\n  display: none;\\n\\n  &:hover {\\n    color: $primary;\\n  }\\n}\\n",\n\t\t".topic-list.shared-drafts {\\n  margin-bottom: 1.5em;\\n}\\n\\n.show-more {\\n  width: 100%;\\n  z-index: z(\\"base\\");\\n  &.has-topics {\\n    position: absolute;\\n    top: 7px;\\n  }\\n}\\n\\n.list-controls {\\n  clear: both;\\n  margin-bottom: 5px;\\n  .combo-box .combo-box-header {\\n    background: $secondary;\\n    color: $primary;\\n    border: 1px solid $primary-medium;\\n    font-size: $font-0;\\n    transition: none;\\n    height: 10px; // IE11 needs any height here for vertical centering, overriden elsewhere by min-height\\n  }\\n  .select-kit {\\n    align-self: center;\\n    .select-kit-collection {\\n      font-size: $font-down-1;\\n      max-height: 40vh;\\n      .texts,\\n      .icons {\\n        font-size: $font-up-1;\\n      }\\n    }\\n    &.categories-admin-dropdown,\\n    &.tags-admin-dropdown,\\n    &.category-notifications-button,\\n    &.tag-notifications-button {\\n      float: right;\\n      button {\\n        display: inline-block;\\n      }\\n    }\\n  }\\n  .category-heading {\\n    max-width: 100%;\\n  }\\n}\\n\\n.topic-list-item.visited,\\n.latest-topic-list-item.visited,\\n.category-topic-link.visited {\\n  a.title:not(.badge-notification) {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.topic-list-main-link {\\n  font-size: $font-up-1;\\n  a.title {\\n    padding: 15px 0;\\n    word-break: break-word;\\n    color: $primary;\\n  }\\n\\n  .anon & {\\n    a.title:visited:not(.badge-notification) {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  a.title.visited:not(.badge-notification) {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.topic-list {\\n  width: 100%;\\n  border-collapse: collapse;\\n\\n  > tbody > tr {\\n    &.has-excerpt .star {\\n      vertical-align: top;\\n      margin-top: 2px;\\n    }\\n\\n    &.last-visit {\\n      border-bottom: none;\\n    }\\n\\n    .topic-list-separator {\\n      text-align: center;\\n    }\\n  }\\n\\n  .topic-list-item-separator {\\n    border: none;\\n\\n    td {\\n      border-bottom: 1px solid $danger-medium;\\n      line-height: 0.1em;\\n      padding: 0;\\n      text-align: center;\\n    }\\n\\n    td span {\\n      background-color: $secondary;\\n      color: $danger-medium;\\n      padding: 0 8px;\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  th,\\n  td {\\n    line-height: $line-height-large;\\n    text-align: left;\\n    vertical-align: middle;\\n  }\\n  th {\\n    button .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n  td {\\n    color: $primary-medium;\\n    font-size: $font-0;\\n  }\\n\\n  .main-link {\\n    @extend .topic-list-main-link;\\n\\n    .raw-topic-link > * {\\n      pointer-events: none;\\n    }\\n  }\\n\\n  .unread-indicator {\\n    &.read {\\n      display: none;\\n    }\\n    .d-icon {\\n      vertical-align: middle;\\n      font-size: $font-down-5;\\n    }\\n  }\\n\\n  .link-bottom-line {\\n    font-size: $font-down-1;\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n    .discourse-tags {\\n      flex-wrap: wrap;\\n      // IE11 is being very stubborn but this is only protection for topics with\\n      // a very excessive number of extra long tags - edge case.\\n      -ms-flex: 1 0 0px;\\n    }\\n    a.badge-wrapper.box,\\n    a.discourse-tag.box {\\n      padding-top: 0;\\n      padding-bottom: 0;\\n    }\\n    .discourse-tag.simple:after,\\n    .discourse-tag.box {\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .topic-featured-link {\\n    padding-left: 5px;\\n  }\\n\\n  .topic-excerpt {\\n    font-size: $font-down-1;\\n    margin-top: 5px;\\n    color: $primary-high;\\n    word-wrap: break-word;\\n    line-height: $line-height-large;\\n    padding-right: 20px;\\n  }\\n  .topic-statuses:empty {\\n    display: none;\\n  }\\n\\n  .num {\\n    text-align: center;\\n    a:not(.badge-posts) {\\n      color: inherit;\\n    }\\n    a.badge-posts {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .num.posts {\\n    a {\\n      padding: 15px 5px;\\n    }\\n  }\\n\\n  .num.activity {\\n    a {\\n      padding: 15px 5px;\\n    }\\n  }\\n}\\n\\n.heatmap-high,\\n.heatmap-high a {\\n  color: #fe7a15 !important;\\n}\\n.heatmap-med,\\n.heatmap-med a {\\n  color: #cf7721 !important;\\n}\\n.heatmap-low,\\n.heatmap-low a {\\n  color: #9b764f !important;\\n}\\n\\n.loading .topic-list {\\n  border: 0;\\n  box-shadow: none;\\n  tr {\\n    background-color: transparent;\\n  }\\n}\\n\\n#list-area {\\n  margin-bottom: 100px;\\n  .empty-topic-list {\\n    padding: 10px;\\n  }\\n  .unseen {\\n    background-color: transparent;\\n    padding: 0;\\n    border: 0;\\n    color: $danger-medium;\\n    font-size: $font-0;\\n    cursor: default;\\n  }\\n}\\n\\n.topic-list {\\n  .alert {\\n    margin-bottom: 0;\\n    font-size: $font-0;\\n  }\\n  .spinner {\\n    margin-top: 40px;\\n  }\\n}\\n\\nol.category-breadcrumb.hidden {\\n  display: none;\\n}\\n\\nol.category-breadcrumb {\\n  display: block;\\n  float: left;\\n  list-style: none;\\n  margin: 0 10px 10px 0;\\n  padding: 0;\\n\\n  li {\\n    float: left;\\n    margin-right: 5px;\\n  }\\n\\n  .bread-crumbs-right-outlet {\\n    float: left;\\n  }\\n}\\n\\n.d-icon-thumbtack.unpinned {\\n  @include fa-rotate(180deg, 1);\\n}\\n\\n.top-title-buttons {\\n  display: inline;\\n\\n  button {\\n    margin-right: 0.5em;\\n  }\\n}\\n\\ndiv.education {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  .badge-notification.new-posts {\\n    vertical-align: text-bottom;\\n  }\\n}\\n\\n.list-cell {\\n  padding: 12px 5px;\\n  color: dark-light-choose($primary-medium, $secondary-high);\\n}\\n\\n.table-heading {\\n  @extend .list-cell;\\n  border-bottom: 3px solid $primary-low;\\n}\\n\\n// This is not what we want:\\n//\\n//     This is an overly-long topic title that would break just right\\n//     *\\n//\\n// Instead, we want the line to break like this:\\n//\\n//     This is an overly-long topic title that would break just\\n//     right *\\n.topic-post-badges {\\n  white-space: nowrap;\\n  align-self: center;\\n  line-height: $line-height-medium;\\n}\\n",\n\t\t"// Common styles for \\"/user\\" section\\n// These styles are also used for \\"/groups\\" — test those pages if making significant changes\\n\\n.user-content-wrapper {\\n  // Grid layout\\n  width: 100%;\\n  display: grid;\\n  grid-template-columns: 1fr 5fr;\\n  grid-template-rows: auto auto 1fr auto;\\n  grid-row-gap: s(5);\\n  .user-primary-navigation {\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n    grid-row-start: 1;\\n    grid-row-end: 2;\\n  }\\n  .user-secondary-navigation {\\n    grid-column-start: 1;\\n    grid-column-end: 2;\\n    grid-row-start: 2;\\n    grid-row-end: 3;\\n  }\\n  .solo-preference,\\n  .user-content,\\n  .spinner {\\n    grid-row-start: 2;\\n    grid-row-end: 4;\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n  }\\n  .user-content {\\n    min-width: 100%;\\n  }\\n  .user-additional-controls + .user-content,\\n  .user-secondary-navigation + .user-content {\\n    grid-column-start: 2;\\n    grid-column-end: 3;\\n  }\\n  .user-additional-controls {\\n    grid-row-start: 3;\\n    align-self: start;\\n    justify-self: start;\\n  }\\n}\\n\\n.user-content-wrapper {\\n  // IE11 Support\\n  display: -ms-grid;\\n  -ms-grid-columns: 1fr 5fr;\\n  -ms-grid-rows: auto auto 1fr auto;\\n  .user-primary-navigation {\\n    -ms-grid-row: 1;\\n    -ms-grid-column: 1;\\n    -ms-grid-column-span: 2;\\n  }\\n  .user-secondary-navigation {\\n    -ms-grid-row: 2;\\n    -ms-grid-column: 1;\\n  }\\n  .solo-preference,\\n  .user-content,\\n  .spinner {\\n    -ms-grid-row: 2;\\n    -ms-grid-column: 2;\\n    -ms-grid-column-span: 2;\\n  }\\n  .user-secondary-navigation + .user-content {\\n    -ms-grid-column: 2;\\n    -ms-grid-column-span: 1;\\n  }\\n  .user-additional-controls {\\n    -ms-grid-row: 3;\\n    -ms-grid-column-align: start;\\n    -ms-grid-row-align: start;\\n  }\\n}\\n\\n.user-content {\\n  .list-actions {\\n    display: flex;\\n    margin-bottom: s(3);\\n\\n    .btn {\\n      margin-right: s(3);\\n    }\\n  }\\n\\n  .paginated-topics-list {\\n    position: relative;\\n  }\\n\\n  .show-mores {\\n    width: 100%;\\n  }\\n\\n  .d-icon-heart {\\n    color: $love;\\n  }\\n}\\n\\n.user-main {\\n  .about {\\n    width: 100%;\\n    margin-bottom: 15px;\\n\\n    &.has-background {\\n      .user-profile-image {\\n        background-size: cover;\\n        background-position: center center;\\n        background-repeat: no-repeat;\\n      }\\n      .staff-counters {\\n        margin-bottom: 0;\\n      }\\n    }\\n\\n    .secondary {\\n      display: inline-block;\\n      width: 100%;\\n      border-top: 1px solid $primary-low;\\n\\n      .btn {\\n        padding: 4px 12px;\\n      }\\n\\n      dl {\\n        margin: 0;\\n        padding: 5px 10px;\\n        div {\\n          display: inline-flex;\\n          align-items: baseline;\\n          margin-right: 15px;\\n          margin: 4px 0;\\n        }\\n      }\\n\\n      dt,\\n      dd {\\n        display: inline-flex;\\n        align-items: center;\\n      }\\n\\n      dd {\\n        padding: 0;\\n        margin: 0 15px 0 0;\\n        color: $primary;\\n\\n        &.groups {\\n          span:not(:last-of-type) {\\n            margin-right: 0.25em;\\n          }\\n          span:after {\\n            content: \\",\\";\\n          }\\n          span:last-of-type:after {\\n            content: \\"\\";\\n          }\\n        }\\n      }\\n\\n      dt {\\n        color: $secondary-medium;\\n        margin-right: 5px;\\n        display: inline-block;\\n      }\\n    }\\n\\n    .details {\\n      background: rgba($secondary, 0.8);\\n      border-bottom: 1px solid $primary-low;\\n\\n      h1 {\\n        font-size: $font-up-5;\\n        font-weight: normal;\\n        .d-icon {\\n          font-size: 0.8em;\\n        }\\n      }\\n\\n      h2 {\\n        font-weight: normal;\\n        max-width: 100%;\\n        @include ellipsis;\\n      }\\n\\n      h3 {\\n        font-weight: normal;\\n        margin-bottom: 0.5em;\\n        .d-icon:not(:first-of-type) {\\n          margin-left: 10px;\\n        }\\n      }\\n\\n      .groups {\\n        margin-left: 10px;\\n        display: inline;\\n      }\\n\\n      img.avatar {\\n        float: left;\\n      }\\n\\n      .suspended {\\n        color: $danger;\\n      }\\n\\n      .primary {\\n        width: 100%;\\n        position: relative;\\n\\n        h1 {\\n          font-weight: bold;\\n        }\\n\\n        .bio {\\n          max-height: 300px;\\n          overflow: auto;\\n\\n          a[href] {\\n            text-decoration: underline;\\n          }\\n\\n          img {\\n            max-width: 100%;\\n          }\\n        }\\n      }\\n\\n      .user-profile-avatar {\\n        position: relative;\\n        float: left;\\n        .avatar-flair {\\n          bottom: 8px;\\n          right: 16px;\\n        }\\n      }\\n    }\\n\\n    .controls {\\n      ul {\\n        list-style-type: none;\\n      }\\n\\n      .btn {\\n        margin-bottom: 10px;\\n        line-height: $line-height-medium;\\n      }\\n    }\\n\\n    &.collapsed-info {\\n      .details {\\n        margin-top: 0;\\n        background: rgba($secondary, 0.8);\\n\\n        .bio {\\n          display: none;\\n        }\\n\\n        .primary {\\n          width: 100%;\\n\\n          .avatar {\\n            margin-right: 10px;\\n            width: 45px;\\n            height: 45px;\\n          }\\n\\n          h1 {\\n            font-size: $font-up-3;\\n          }\\n\\n          h2 {\\n            font-size: $font-up-1;\\n          }\\n          h3,\\n          h3.location-and-website {\\n            display: none;\\n          }\\n        }\\n      }\\n\\n      .user-profile-avatar {\\n        .avatar-flair {\\n          bottom: 8px;\\n          right: 2px;\\n          .d-icon {\\n            font-size: $font-0;\\n          }\\n        }\\n      }\\n    }\\n  }\\n\\n  .staff-counters {\\n    background: $primary;\\n    color: $secondary;\\n    display: flex;\\n    padding: 10px;\\n    margin-bottom: s(4);\\n    > div,\\n    > div a {\\n      display: flex;\\n      align-items: baseline;\\n      flex: 0 1 auto;\\n      margin: 0 10px 0 0;\\n      color: $secondary;\\n\\n      span {\\n        padding: 0 7px 1px;\\n        border-radius: 10px;\\n        margin-right: 5px;\\n      }\\n    }\\n\\n    .active {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .helpful-flags {\\n    background-color: $success;\\n  }\\n\\n  .flagged-posts {\\n    background-color: #e49735;\\n  }\\n\\n  .warnings-received {\\n    background-color: $danger-medium;\\n  }\\n\\n  .deleted-posts {\\n    background-color: $danger-medium;\\n  }\\n\\n  .suspensions {\\n    background-color: $danger;\\n  }\\n\\n  .user-field {\\n    margin-bottom: 10px;\\n\\n    .controls {\\n      label {\\n        width: auto;\\n        text-align: left;\\n        font-weight: normal;\\n      }\\n\\n      .instructions {\\n        color: $primary-medium;\\n        margin-top: 5px;\\n        margin-bottom: 10px;\\n        font-size: $font-down-1;\\n      }\\n    }\\n  }\\n  .user-content {\\n    .admin-controls nav {\\n      margin: 0;\\n      .nav-pills {\\n        overflow-x: auto;\\n      }\\n    }\\n  }\\n}\\n\\n.user-field {\\n  .required {\\n    vertical-align: top;\\n    color: $danger;\\n    font-weight: bold;\\n    margin-left: 0.25em;\\n  }\\n}\\n\\n.public-user-fields {\\n  margin-top: 8px;\\n  margin-bottom: 8px;\\n\\n  .user-field-name {\\n    font-weight: bold;\\n  }\\n\\n  .collapsed-info & {\\n    display: none;\\n  }\\n}\\n\\n.avatar-selector {\\n  .avatar-choice {\\n    display: grid;\\n    grid-template-columns: 2em 1fr auto;\\n    grid-template-rows: auto auto;\\n    align-items: center;\\n    &:not(:last-of-type) {\\n      margin-bottom: 0.75em;\\n    }\\n    span {\\n      word-break: break-word; // Prevents long emails from breaking the modal width\\n    }\\n    input[type=\\"radio\\"] {\\n      margin-top: 0;\\n    }\\n    button {\\n      margin-left: auto;\\n    }\\n  }\\n  $label-max-width: 300px;\\n  label.radio {\\n    display: flex;\\n    align-items: center;\\n    max-width: $label-max-width;\\n    margin: 0 0.5em 0 0;\\n    padding: 0;\\n    .avatar {\\n      flex: 0 0 auto;\\n      margin: 0 0.75em 0 0;\\n    }\\n  }\\n  .error {\\n    color: $danger;\\n    margin: 0;\\n    max-width: calc(#{$label-max-width} - 20px);\\n    grid-column-start: 2;\\n    grid-column-end: 3;\\n  }\\n\\n  // IE11 Support\\n  .avatar-choice {\\n    display: -ms-grid;\\n    -ms-grid-columns: 2em 1fr auto;\\n    -ms-grid-rows: auto auto;\\n    input[type=\\"radio\\"] {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 1;\\n    }\\n    label.radio {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 2;\\n    }\\n    span.avatar-uploader {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 3;\\n    }\\n    .error {\\n      -ms-grid-row: 2;\\n      -ms-grid-column-span: 3;\\n    }\\n  }\\n}\\n\\n.top-section {\\n  @include clearfix();\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n  }\\n}\\n\\n.top-section,\\n.top-sub-section {\\n  margin-bottom: 20px;\\n  &.badges-section {\\n    display: flex;\\n    flex-wrap: wrap;\\n  }\\n}\\n\\n.stats-title {\\n  text-transform: uppercase;\\n  margin-bottom: 10px;\\n  width: 100%;\\n}\\n\\n.stats-section {\\n  ul {\\n    margin: 10px 0;\\n  }\\n\\n  li {\\n    display: inline-block;\\n    padding: 10px 14px 10px 0;\\n    margin: 0 10px 10px 0;\\n\\n    &.linked-stat {\\n      // This makes the entire \\"box\\" (the li) clickable instead of a narrow area.\\n      padding: 0;\\n      a {\\n        padding: 10px 14px 10px 0;\\n        width: 100%;\\n        height: 100%;\\n        display: block;\\n        color: $primary;\\n      }\\n    }\\n  }\\n\\n  .value {\\n    font-weight: bold;\\n    font-size: $font-up-2;\\n  }\\n\\n  .label {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.top-sub-section {\\n  width: 50%;\\n\\n  ul {\\n    max-width: 95%;\\n  }\\n\\n  li {\\n    border-left: $primary-low solid 2px;\\n    padding: 5px 8px;\\n    margin: 10px 0;\\n  }\\n\\n  .topic-info {\\n    color: $primary-medium;\\n  }\\n\\n  @media all and (max-width: 600px) {\\n    float: none;\\n    width: 100%;\\n  }\\n}\\n\\n.replies-section,\\n.topics-section,\\n.links-section {\\n  li {\\n    word-wrap: break-word;\\n  }\\n}\\n\\n.links-section {\\n  .domain {\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n  }\\n}\\n\\n.top-categories-section {\\n  table {\\n    max-width: 95%;\\n    tr {\\n      border: none;\\n    }\\n    td,\\n    th {\\n      padding: 0.5em;\\n      &.topic-count,\\n      &.reply-count {\\n        text-align: center;\\n      }\\n    }\\n  }\\n}\\n\\n.summary-user-list {\\n  li {\\n    height: 45px;\\n  }\\n}\\n\\n.groups {\\n  .group-link {\\n    color: $tertiary;\\n  }\\n}\\n\\n.user-preferences {\\n  textarea {\\n    height: 100px;\\n  }\\n\\n  .tracking-controls {\\n    label {\\n      align-items: center;\\n      display: inline-block;\\n      .d-icon {\\n        margin-right: 3px;\\n      }\\n    }\\n    .select-kit.multi-select {\\n      @include breakpoint(mobile-extra-large) {\\n        width: 100%;\\n      }\\n    }\\n    .show-tracking {\\n      float: right;\\n    }\\n  }\\n\\n  .static {\\n    color: $primary;\\n    display: inline-block;\\n  }\\n\\n  .instructions {\\n    color: $primary-medium;\\n    margin-bottom: 10px;\\n    font-size: $font-down-1;\\n    line-height: $line-height-large;\\n\\n    a[href] {\\n      color: $tertiary;\\n    }\\n  }\\n\\n  .avatar {\\n    margin-left: 3px;\\n  }\\n\\n  .warning {\\n    background-color: $danger-medium;\\n    padding: 5px 8px;\\n    color: $secondary;\\n    width: 520px;\\n  }\\n\\n  .warning-wrap {\\n    height: 30px;\\n    margin-bottom: 10px;\\n  }\\n\\n  .tracking-controls {\\n    margin-top: 24px;\\n  }\\n\\n  &.second-factor-backup-preferences {\\n    padding-left: 0;\\n\\n    .second-factor-token-input {\\n      margin-right: 10px;\\n    }\\n\\n    .form-horizontal .instructions {\\n      margin-left: 0;\\n    }\\n\\n    .backup-codes {\\n      margin: 2em 0;\\n\\n      .wrapper {\\n        display: inline-block;\\n        position: relative;\\n        padding: 10px;\\n        border-radius: 3px;\\n        border: 1px solid $primary-low;\\n      }\\n\\n      .backup-codes-area {\\n        resize: none;\\n        padding: 0;\\n        height: auto;\\n        text-align: center;\\n        width: 250px;\\n        background: white;\\n        border: 0;\\n        cursor: auto;\\n        overflow: hidden;\\n        outline: none;\\n        font-family: monospace;\\n\\n        &:focus {\\n          box-shadow: none;\\n          border-color: $primary-low;\\n        }\\n      }\\n\\n      .backup-codes-copy-btn,\\n      .backup-codes-download-btn {\\n        right: 5px;\\n        position: absolute;\\n      }\\n\\n      .backup-codes-copy-btn {\\n        top: 5px;\\n      }\\n\\n      .backup-codes-download-btn {\\n        top: 40px;\\n      }\\n    }\\n  }\\n\\n  .pref-associated-accounts table {\\n    td {\\n      padding: 8px;\\n    }\\n  }\\n}\\n\\n.paginated-topics-list {\\n  .user-content {\\n    width: 100%;\\n    margin-top: 0;\\n  }\\n}\\n\\n.large-notification {\\n  display: flex;\\n  align-items: center;\\n\\n  a {\\n    display: flex;\\n    align-items: center;\\n\\n    .d-icon {\\n      margin-right: 0.5em;\\n    }\\n\\n    span:first-child {\\n      color: $primary;\\n    }\\n\\n    // Can remove this once other languages have removed html from i18n values\\n    div {\\n      .fa {\\n        display: none;\\n      }\\n      p {\\n        margin: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.qr-code-container {\\n  display: flex;\\n  .qr-code {\\n    padding: 5px 5px 0 5px;\\n    background-color: white;\\n  }\\n}\\n\\n.second-factor {\\n  &.instructions {\\n    color: $primary-medium;\\n    margin-top: 5px;\\n    margin-bottom: 10px;\\n    font-size: $font-down-1;\\n  }\\n  .second-factor-item {\\n    margin-top: 0.75em;\\n  }\\n  .btn.edit {\\n    min-height: auto;\\n  }\\n}\\n\\n.primary-textual .staged,\\n#user-card .staged {\\n  font-style: italic;\\n}\\n\\n.selectable-avatars {\\n  max-height: 350px;\\n  margin-bottom: 1em;\\n  text-align: justify;\\n  .selectable-avatar {\\n    margin: 5px;\\n    display: inline-block;\\n    .avatar {\\n      cursor: pointer;\\n      width: 60px;\\n      height: 60px;\\n      &:hover {\\n        box-shadow: 0 0 10px $primary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".topic-title-outlet.choose-tags {\\n  margin-left: 25px;\\n  margin-top: 3px;\\n}\\n\\n.tag-list {\\n  margin-top: 2em;\\n  padding-bottom: 1em;\\n  border-bottom: 1px solid $primary-low;\\n}\\n\\n#list-area .tag-list h3 {\\n  margin-bottom: 20px;\\n}\\n\\n.tag-list .tag-box {\\n  display: inline-block;\\n  width: 300px;\\n  margin-bottom: 1em;\\n  float: left;\\n  vertical-align: middle;\\n\\n  .discourse-tag {\\n    font-size: $font-0;\\n  }\\n\\n  .tag-count {\\n    font-size: $font-down-1;\\n    vertical-align: middle;\\n    line-height: $line-height-small;\\n  }\\n}\\n\\n.tag-show-heading {\\n  display: inline-flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  white-space: nowrap;\\n  overflow: hidden;\\n  text-overflow: hidden;\\n  @include breakpoint(mobile-large) {\\n    width: 100%;\\n  }\\n  .d-icon {\\n    margin: 0 0.25em;\\n  }\\n}\\n\\n.topic-category {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n\\n  .topic-header-extra {\\n    display: inline-flex;\\n    align-items: center;\\n  }\\n\\n  .badge-wrapper {\\n    margin-top: 0;\\n  }\\n}\\n\\n$tag-color: $primary-medium;\\n\\n.discourse-tag-count {\\n  font-size: $font-down-1;\\n  color: $tag-color;\\n  line-height: $line-height-small;\\n  vertical-align: middle;\\n}\\n\\n.discourse-tag {\\n  max-width: 14em;\\n  display: inline-block;\\n  @include ellipsis;\\n  vertical-align: middle;\\n}\\n\\n.discourse-tag {\\n  margin: 0;\\n  color: $tag-color;\\n\\n  &:visited,\\n  &:hover {\\n    color: $tag-color;\\n  }\\n\\n  .extra-info-wrapper & {\\n    color: $header-primary_high !important;\\n  }\\n\\n  &.large {\\n    font-size: $font-up-2;\\n  }\\n\\n  &.box {\\n    background-color: $primary-low;\\n    color: $primary-high;\\n    padding: 2px 8px;\\n    .extra-info-wrapper & {\\n      background-color: $header_primary-low;\\n      color: $header_primary-medium;\\n    }\\n  }\\n\\n  &.simple,\\n  &.simple:visited,\\n  &.simple:hover {\\n    margin-right: 0;\\n    color: $primary-high;\\n  }\\n\\n  &.bullet {\\n    margin-right: 0.5em;\\n    display: inline-flex;\\n    align-items: center;\\n    &:before {\\n      background: $primary-low-mid;\\n      margin-right: 5px;\\n      position: relative;\\n      width: 9px;\\n      height: 9px;\\n      display: inline-block;\\n      content: \\"\\";\\n    }\\n    &.large:before {\\n      width: 13px;\\n      height: 13px;\\n    }\\n  }\\n}\\n\\n.discourse-tags,\\n.list-tags {\\n  .discourse-tag.simple:not(:last-child):after {\\n    content: \\", \\";\\n    margin-left: 1px;\\n  }\\n}\\n\\n.d-header .topic-header-extra {\\n  .discourse-tags {\\n    display: inline-block;\\n    font-size: $font-down-1;\\n  }\\n  .discourse-tags + .topic-featured-link {\\n    margin-left: 8px;\\n  }\\n}\\n\\n.fps-result .add-full-page-tags {\\n  display: inline-block;\\n}\\n\\n.topic-list-item .discourse-tags {\\n  display: inline-flex;\\n  font-weight: normal;\\n  font-size: $font-down-1;\\n}\\n\\n.categories-list .topic-list-latest .discourse-tags {\\n  display: inline-block;\\n}\\n\\n.mobile-view .topic-list-item .discourse-tags {\\n  display: inline-flex;\\n  flex-wrap: wrap;\\n  font-size: $font-down-1;\\n  margin-top: 0;\\n  .discourse-tag {\\n    margin-right: 0.2em;\\n  }\\n  .discourse-tag.box {\\n    position: relative;\\n    top: 0;\\n  }\\n}\\n\\nheader .discourse-tag {\\n  color: $tag-color;\\n}\\n\\n.list-tags {\\n  display: inline-block;\\n  margin-right: 3px;\\n  font-size: $font-down-1;\\n}\\n\\n.tag-chooser {\\n  width: 100%;\\n  max-width: 100%;\\n}\\n\\n.title-wrapper .tag-chooser {\\n  width: 500px;\\n}\\n\\n.tag-sort-options {\\n  margin-bottom: 20px;\\n  a {\\n    text-decoration: underline;\\n  }\\n  span.active a {\\n    font-weight: bold;\\n  }\\n}\\n\\n.autocomplete {\\n  .d-icon-tag {\\n    color: dark-light-choose($primary, $primary-low-mid);\\n    padding-right: 5px;\\n  }\\n\\n  a {\\n    color: $tag-color;\\n  }\\n}\\n\\n.tags-admin-menu {\\n  margin-top: 20px;\\n  ul {\\n    width: 320px;\\n  }\\n}\\n\\n.tag-groups-container {\\n  margin-top: 20px;\\n  .content-list {\\n    width: 20%;\\n    float: left;\\n    margin: 20px 0;\\n    ul {\\n      margin-bottom: 10px;\\n    }\\n    .btn {\\n      margin-left: 10px;\\n    }\\n  }\\n  .tag-group-content {\\n    width: 75%;\\n    float: right;\\n    section {\\n      margin-bottom: 20px;\\n    }\\n    label {\\n      font-size: $font-0;\\n      display: inline-block;\\n      margin-right: 10px;\\n    }\\n    .btn {\\n      margin-right: 10px;\\n    }\\n    h1 input {\\n      width: 100%;\\n    }\\n  }\\n  .group-tags-list .tag-chooser {\\n    width: 100%;\\n  }\\n  .saving {\\n    margin-left: 20px;\\n  }\\n  .parent-tag-section {\\n    .tag-chooser {\\n      width: 200px;\\n      margin-right: 10px;\\n    }\\n  }\\n}\\n\\n.tag-info {\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n\\n  .delete-tag {\\n    float: right;\\n  }\\n  .synonyms-list,\\n  .add-synonyms,\\n  .tag-associations {\\n    margin-top: 1em;\\n  }\\n  .tag-list {\\n    border: none;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n  .field {\\n    margin-bottom: 5px;\\n  }\\n}\\n",\n\t\t"#reply-control {\\n  position: fixed;\\n  display: flex;\\n  flex-direction: column;\\n  bottom: 0;\\n  height: 0;\\n  right: 0;\\n  left: 0;\\n  margin-left: auto;\\n  margin-right: auto;\\n  max-width: 1475px;\\n  width: 100%;\\n  &.hide-preview {\\n    max-width: 740px;\\n  }\\n  @media screen and (max-width: 1200px) {\\n    min-width: 0;\\n  }\\n  z-index: z(\\"composer\\", \\"content\\");\\n  transition: height 250ms ease, background 250ms ease, transform 250ms ease,\\n    max-width 250ms ease;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"composer\\");\\n\\n  .reply-area {\\n    display: flex;\\n    flex-direction: column;\\n  }\\n\\n  .saving-text,\\n  .draft-text {\\n    display: none;\\n    padding-left: 10px;\\n    .spinner {\\n      margin-left: 5px;\\n      border-color: $secondary;\\n      border-right-color: transparent;\\n    }\\n    .d-icon {\\n      color: $secondary;\\n    }\\n  }\\n\\n  &.open {\\n    height: 300px;\\n    &.edit-title {\\n      height: 400px; // more room when editing the title\\n    }\\n  }\\n\\n  &.closed {\\n    height: 0 !important;\\n  }\\n\\n  &.draft,\\n  &.saving {\\n    height: 40px !important;\\n    align-items: center;\\n    background: $tertiary;\\n    color: $secondary;\\n    flex-direction: row;\\n    width: 100%;\\n    .composer-controls {\\n      margin-left: auto;\\n      display: flex;\\n      padding-right: 5px;\\n      .toggle-toolbar {\\n        display: none;\\n      }\\n      .d-icon {\\n        color: $secondary;\\n      }\\n    }\\n  }\\n\\n  &.draft {\\n    cursor: pointer;\\n    display: flex;\\n    .draft-text {\\n      display: block;\\n    }\\n    .grippie,\\n    .saving-text {\\n      display: none;\\n    }\\n    .toggler {\\n      order: 2;\\n    }\\n  }\\n\\n  &.saving .saving-text {\\n    display: flex;\\n  }\\n\\n  .reply-to {\\n    color: $primary-high;\\n    margin: 5px 0 10px 0;\\n    display: flex;\\n    align-items: center;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n    .reply-details {\\n      max-width: calc(100% - 175px);\\n      flex: 1 1 auto;\\n      display: flex;\\n      align-items: center;\\n      white-space: nowrap;\\n\\n      .d-icon {\\n        opacity: 0.8;\\n      }\\n    }\\n    .composer-action-title {\\n      display: inline-flex;\\n      align-items: center;\\n      width: auto;\\n      max-width: 100%;\\n\\n      .avatar {\\n        width: 20px;\\n      }\\n\\n      .action-title {\\n        @include ellipsis;\\n      }\\n\\n      .topic-link,\\n      .user-link,\\n      .post-link {\\n        margin-right: 5px;\\n      }\\n\\n      .username {\\n        margin-right: 5px;\\n        max-width: 100px;\\n        @include ellipsis;\\n        @media screen and (max-width: 500px) {\\n          display: none;\\n        }\\n      }\\n\\n      .d-icon {\\n        margin-right: 5px;\\n      }\\n\\n      img.avatar {\\n        margin-right: 3px;\\n      }\\n    }\\n    .composer-controls {\\n      display: flex;\\n      margin-left: auto;\\n      button {\\n        padding: 5px 7px;\\n        &.toggler {\\n          order: 2;\\n        }\\n      }\\n    }\\n  }\\n\\n  .whisper,\\n  .display-edit-reason {\\n    font-style: italic;\\n  }\\n\\n  .whisper {\\n    margin-right: 0.25em;\\n  }\\n\\n  .display-edit-reason {\\n    display: inline-flex;\\n    a {\\n      display: inline-flex;\\n    }\\n    .d-icon {\\n      padding: 0.3em 0.5em;\\n      color: $tertiary;\\n    }\\n  }\\n\\n  #edit-reason {\\n    margin: 0 4px;\\n  }\\n\\n  .user-selector,\\n  .title-and-category {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 100%;\\n    align-items: center;\\n    margin-bottom: 5px;\\n    position: relative;\\n    &.with-preview {\\n      width: 50%;\\n    }\\n  }\\n\\n  .title-input {\\n    position: relative;\\n    display: flex;\\n    flex: 1 1 50%;\\n\\n    input {\\n      flex-grow: 1;\\n    }\\n  }\\n\\n  .with-tags {\\n    .title-input {\\n      flex: 1 1 100%;\\n    }\\n  }\\n\\n  .category-input {\\n    display: flex;\\n    flex: 1 0 35%;\\n    margin: 0 0 5px 10px;\\n    @media screen and (max-width: 955px) {\\n      flex: 1 0 100%;\\n      margin-left: 0;\\n    }\\n    .category-chooser {\\n      display: flex;\\n      flex: 1 0 auto;\\n      width: auto;\\n    }\\n  }\\n\\n  .with-tags {\\n    .category-input {\\n      flex-basis: 25%;\\n      margin-left: 0;\\n      margin-right: 5px;\\n      @media screen and (max-width: 920px) {\\n        flex-basis: 100%;\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n\\n  .add-warning {\\n    margin-left: 0.75em;\\n    margin-bottom: 0;\\n    display: flex;\\n    input {\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  #reply-title {\\n    margin: 0 0 5px 0;\\n    flex-basis: 50%;\\n  }\\n\\n  .mini-tag-chooser {\\n    flex: 1 1 25%;\\n    margin: 0 0 5px 0;\\n    background: $secondary;\\n    z-index: z(\\"composer\\", \\"dropdown\\");\\n    @media all and (max-width: 900px) {\\n      margin: 0;\\n      flex: 1 1 100%;\\n    }\\n  }\\n\\n  .popup-tip {\\n    z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  }\\n\\n  .wmd-controls {\\n    position: relative;\\n    display: flex;\\n    flex-direction: column;\\n    flex-grow: 1;\\n    min-height: 0;\\n  }\\n\\n  .submit-panel {\\n    display: flex;\\n    flex-shrink: 0;\\n    margin: 7px 0 3px 0;\\n  }\\n\\n  .save-or-cancel {\\n    flex-basis: 50%;\\n    display: flex;\\n    align-items: center;\\n    margin-right: auto;\\n    button {\\n      flex: 0 0 auto;\\n    }\\n    .cancel {\\n      margin-left: 1.25em;\\n      line-height: normal;\\n      color: $primary-high;\\n      transition: color 250ms;\\n      &:hover {\\n        color: $danger;\\n      }\\n    }\\n    #draft-status,\\n    #file-uploading {\\n      margin-left: 25px;\\n    }\\n    #file-uploading {\\n      display: flex;\\n      align-items: center;\\n      a {\\n        margin-left: 5px;\\n        color: $primary-high;\\n      }\\n      .spinner {\\n        margin-right: 5px;\\n      }\\n    }\\n    #draft-status .d-icon-user-edit {\\n      color: $danger;\\n      font-size: 20px;\\n      vertical-align: -5.5px;\\n    }\\n  }\\n\\n  #draft-status,\\n  #file-uploading {\\n    color: $primary-high;\\n  }\\n}\\n\\n.cooked > *:first-child {\\n  margin-top: 0;\\n}\\n\\n.autocomplete {\\n  z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  position: absolute;\\n  width: 240px;\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n  ul {\\n    list-style: none;\\n    padding: 0;\\n    margin: 0;\\n\\n    li {\\n      .d-icon-users {\\n        color: lighten($primary, 40%);\\n        padding: 0 2px;\\n      }\\n\\n      border-bottom: 1px solid $primary-low;\\n\\n      a {\\n        padding: 5px;\\n        display: block;\\n        @include ellipsis;\\n\\n        span.username {\\n          color: $primary;\\n        }\\n        span.name {\\n          font-size: $font-down-1;\\n          vertical-align: middle;\\n        }\\n        &.selected {\\n          background-color: $tertiary-low;\\n        }\\n        @include hover {\\n          background-color: $highlight-low;\\n          text-decoration: none;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\ndiv.ac-wrap.disabled {\\n  input {\\n    display: none;\\n  }\\n  .item a {\\n    display: none;\\n  }\\n}\\n\\ndiv.ac-wrap div.item a.remove,\\n.remove-link {\\n  margin-left: 4px;\\n  font-size: $font-down-1;\\n  line-height: $line-height-small;\\n  padding: 1px 3.5px;\\n  border-radius: 12px;\\n  box-sizing: border-box;\\n  border: 1px solid $primary-low;\\n  &:hover {\\n    background-color: $danger-low;\\n    border: 1px solid $danger-medium;\\n    text-decoration: none;\\n    color: $danger;\\n  }\\n}\\n\\ndiv.ac-wrap {\\n  overflow: auto;\\n  max-height: 150px;\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  background-color: $secondary;\\n  border: 1px solid $primary-medium;\\n  min-height: 30px;\\n  box-sizing: border-box;\\n  div.item {\\n    float: left;\\n    padding: 4px 10px;\\n    line-height: $line-height-large;\\n    span {\\n      display: inline-block;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n\\n  .ac-collapsed-button {\\n    float: left;\\n    border-radius: 20px;\\n    position: relative;\\n    top: -2px;\\n    margin-right: 10px;\\n  }\\n\\n  input[type=\\"text\\"] {\\n    float: left;\\n    display: block;\\n    box-shadow: none;\\n    border: 0;\\n    margin: 0;\\n    background: transparent;\\n    min-height: unset;\\n    &.fullwidth-input {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.future-date-input {\\n  .examples {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.md-table {\\n  overflow-y: auto;\\n  margin: 1em 0;\\n  .mobile-view & {\\n    table {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.save-animation {\\n  -webkit-animation: transformer 5s forwards;\\n  animation: transformer 5s forwards;\\n}\\n\\n@-webkit-keyframes transformer {\\n  90% {\\n    -webkit-filter: opacity(1);\\n  }\\n  100% {\\n    -webkit-filter: opacity(0);\\n  }\\n}\\n@keyframes transformer {\\n  90% {\\n    opacity: 1;\\n  }\\n  100% {\\n    opacity: 0;\\n  }\\n}\\n\\nbody.ios-safari-composer-hacks {\\n  #main-outlet,\\n  header,\\n  .grippie,\\n  html:not(.fullscreen-composer) & .toggle-fullscreen {\\n    display: none;\\n  }\\n\\n  #reply-control {\\n    top: 0px;\\n    &.open {\\n      height: calc(var(--composer-vh, 1vh) * 100);\\n    }\\n  }\\n}\\n",\n\t\t"/* Magnific Popup CSS */\\n\\n////////////////////////\\n//\\n// Contents:\\n//\\n// 1. Default Settings\\n// 2. General styles\\n//    - Transluscent overlay\\n//    - Containers, wrappers\\n//    - Cursors\\n//    - Helper classes\\n// 3. Appearance\\n//    - Preloader & text that displays error messages\\n//    - CSS reset for buttons\\n//    - Close icon\\n//    - \\"1 of X\\" counter\\n//    - Navigation (left/right) arrows\\n//    - Iframe content type styles\\n//    - Image content type styles\\n//    - Media query where size of arrows is reduced\\n//    - IE7 support\\n//\\n////////////////////////\\n\\n////////////////////////\\n// 1. Default Settings\\n////////////////////////\\n\\n$overlay-color: #0b0b0b !default;\\n$overlay-opacity: 0.8 !default;\\n$shadow: 0 0 8px rgba(0, 0, 0, 0.6) !default; // shadow on image or iframe\\n$popup-padding-left: 8px !default; // Padding from left and from right side\\n$popup-padding-left-mobile: 6px !default; // Same as above, but is applied when width of window is less than 800px\\n\\n$z-index-base: 1040 !default; // Base z-index of popup\\n$include-arrows: true !default; // include styles for nav arrows\\n$controls-opacity: 0.65 !default;\\n$controls-color: #fff !default;\\n$inner-close-icon-color: #333 !default;\\n$controls-text-color: #ccc !default; // Color of preloader and \\"1 of X\\" indicator\\n$controls-text-color-hover: #fff !default;\\n$IE7support: true !default; // Very basic IE7 support\\n\\n// Iframe-type options\\n$include-iframe-type: true !default;\\n$iframe-padding-top: 40px !default;\\n$iframe-background: #000 !default;\\n$iframe-max-width: 900px !default;\\n$iframe-ratio: 9/16 !default;\\n\\n// Image-type options\\n$include-image-type: true !default;\\n$image-background: linear-gradient(45deg, #111 0%, #333 100%) !default;\\n$image-padding-top: 40px !default;\\n$image-padding-bottom: 40px !default;\\n$include-mobile-layout-for-image: true !default; // Removes paddings from top and bottom\\n\\n// Image caption options\\n$caption-title-color: #f3f3f3 !default;\\n$caption-subtitle-color: #bdbdbd !default;\\n\\n// A11y\\n$use-visuallyhidden: false !default; // Hide content from browsers, but make it available for screen readers\\n\\n////////////////////////\\n// 2. General styles\\n////////////////////////\\n\\n// Transluscent overlay\\n.mfp-bg {\\n  top: 0;\\n  left: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: $z-index-base + 2;\\n  overflow: hidden;\\n  position: fixed;\\n\\n  background: $overlay-color;\\n  opacity: $overlay-opacity;\\n  @if $IE7support {\\n    filter: unquote(\\"alpha(opacity=#{$overlay-opacity*100})\\");\\n  }\\n}\\n\\n// Wrapper for popup\\n.mfp-wrap {\\n  top: 0;\\n  left: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: $z-index-base + 3;\\n  position: fixed;\\n  outline: 0 !important;\\n  -webkit-backface-visibility: hidden; // fixes webkit bug that can cause \\"false\\" scrollbar\\n}\\n\\n// Root container\\n.mfp-container {\\n  text-align: center;\\n  position: absolute;\\n  width: 100%;\\n  height: 100%;\\n  left: 0;\\n  top: 0;\\n  padding: 0 $popup-padding-left;\\n  -webkit-box-sizing: border-box;\\n  -moz-box-sizing: border-box;\\n  box-sizing: border-box;\\n}\\n\\n// Vertical centerer helper\\n.mfp-container {\\n  &:before {\\n    content: \\"\\";\\n    display: inline-block;\\n    height: 100%;\\n    vertical-align: middle;\\n  }\\n}\\n\\n// Remove vertical centering when popup has class `mfp-align-top`\\n.mfp-align-top {\\n  .mfp-container {\\n    &:before {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// Popup content holder\\n.mfp-content {\\n  position: relative;\\n  display: inline-block;\\n  vertical-align: middle;\\n  margin: 0 auto;\\n  text-align: left;\\n  z-index: $z-index-base + 5;\\n}\\n.mfp-inline-holder,\\n.mfp-ajax-holder {\\n  .mfp-content {\\n    width: 100%;\\n    cursor: auto;\\n  }\\n}\\n\\n// Cursors\\n.mfp-ajax-cur {\\n  cursor: progress;\\n}\\n.mfp-zoom-out-cur {\\n  &,\\n  .mfp-image-holder .mfp-close {\\n    cursor: -moz-zoom-out;\\n    cursor: -webkit-zoom-out;\\n    cursor: zoom-out;\\n  }\\n}\\n.mfp-zoom {\\n  cursor: pointer;\\n  cursor: -webkit-zoom-in;\\n  cursor: -moz-zoom-in;\\n  cursor: zoom-in;\\n}\\n.mfp-auto-cursor {\\n  .mfp-content {\\n    cursor: auto;\\n  }\\n}\\n\\n.mfp-close,\\n.mfp-arrow,\\n.mfp-preloader,\\n.mfp-counter {\\n  -webkit-user-select: none;\\n  -moz-user-select: none;\\n  user-select: none;\\n}\\n\\n// Hide the image during the loading\\n.mfp-loading {\\n  &.mfp-figure {\\n    display: none;\\n  }\\n}\\n\\n// Helper class that hides stuff\\n@if $use-visuallyhidden {\\n  // From HTML5 Boilerplate https://github.com/h5bp/html5-boilerplate/blob/v4.2.0/doc/css.md#visuallyhidden\\n  .mfp-hide {\\n    border: 0 !important;\\n    clip: rect(0 0 0 0) !important;\\n    height: 1px !important;\\n    margin: -1px !important;\\n    overflow: hidden !important;\\n    padding: 0 !important;\\n    position: absolute !important;\\n    width: 1px !important;\\n  }\\n} @else {\\n  .mfp-hide {\\n    display: none !important;\\n  }\\n}\\n\\n////////////////////////\\n// 3. Appearance\\n////////////////////////\\n\\n// Preloader and text that displays error messages\\n.mfp-preloader {\\n  color: $controls-text-color;\\n  position: absolute;\\n  top: 50%;\\n  width: auto;\\n  text-align: center;\\n  margin-top: -0.8em;\\n  left: 8px;\\n  right: 8px;\\n  z-index: $z-index-base + 4;\\n  a {\\n    color: $controls-text-color;\\n    &:hover {\\n      color: $controls-text-color-hover;\\n    }\\n  }\\n}\\n\\n// Hide preloader when content successfully loaded\\n.mfp-s-ready {\\n  .mfp-preloader {\\n    display: none;\\n  }\\n}\\n\\n// Hide content when it was not loaded\\n.mfp-s-error {\\n  .mfp-content {\\n    display: none;\\n  }\\n}\\n\\n// CSS-reset for buttons\\nbutton {\\n  &.mfp-close,\\n  &.mfp-arrow {\\n    overflow: visible;\\n    cursor: pointer;\\n    background: transparent;\\n    border: 0;\\n    -webkit-appearance: none;\\n    display: block;\\n    padding: 0;\\n    z-index: $z-index-base + 6;\\n    -webkit-box-shadow: none;\\n    box-shadow: none;\\n  }\\n  &::-moz-focus-inner {\\n    padding: 0;\\n    border: 0;\\n  }\\n}\\n\\n// Close icon\\n.mfp-close {\\n  width: 44px;\\n  height: 44px;\\n  line-height: $line-height-large;\\n  position: absolute;\\n  right: 0;\\n  top: 0;\\n  text-decoration: none;\\n  text-align: center;\\n  opacity: $controls-opacity;\\n  @if $IE7support {\\n    filter: unquote(\\"alpha(opacity=#{$controls-opacity*100})\\");\\n  }\\n  padding: 0 0 18px 10px;\\n  color: $controls-color;\\n  font-style: normal;\\n  font-size: $font-up-5;\\n  font-family: Arial, Baskerville, monospace;\\n\\n  &:hover,\\n  &:focus {\\n    opacity: 1;\\n    outline: 0;\\n    @if $IE7support {\\n      filter: unquote(\\"alpha(opacity=#{1*100})\\");\\n    }\\n  }\\n\\n  &:active {\\n    top: 1px;\\n  }\\n}\\n.mfp-close-btn-in {\\n  .mfp-close {\\n    color: $inner-close-icon-color;\\n  }\\n}\\n.mfp-image-holder,\\n.mfp-iframe-holder {\\n  .mfp-close {\\n    color: $controls-color;\\n    right: -6px;\\n    text-align: right;\\n    padding-right: 6px;\\n    width: 100%;\\n  }\\n}\\n\\n// \\"1 of X\\" counter\\n.mfp-counter {\\n  position: absolute;\\n  top: 0;\\n  right: 0;\\n  color: $controls-text-color;\\n  font-size: $font-down-1;\\n  line-height: $line-height-medium;\\n}\\n\\n// Navigation arrows\\n@if $include-arrows {\\n  .mfp-arrow {\\n    position: absolute;\\n    opacity: $controls-opacity;\\n    @if $IE7support {\\n      filter: unquote(\\"alpha(opacity=#{$controls-opacity*100})\\");\\n    }\\n    top: 50%;\\n    margin: -55px 0 0;\\n    padding: 0;\\n    width: 90px;\\n    height: 110px;\\n    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\\n    &:active {\\n      margin-top: -54px;\\n    }\\n    &:hover,\\n    &:focus {\\n      outline: 0;\\n      opacity: 1;\\n      @if $IE7support {\\n        filter: unquote(\\"alpha(opacity=#{1*100})\\");\\n      }\\n    }\\n    &:before,\\n    &:after,\\n    .mfp-b,\\n    .mfp-a {\\n      content: \\"\\";\\n      display: block;\\n      width: 0;\\n      height: 0;\\n      position: absolute;\\n      left: 0;\\n      top: 0;\\n      margin-top: 35px;\\n      margin-left: 35px;\\n      border: medium inset transparent;\\n    }\\n\\n    &:after,\\n    .mfp-a {\\n      border-top-width: 13px;\\n      border-bottom-width: 13px;\\n      top: 8px;\\n    }\\n\\n    &:before,\\n    .mfp-b {\\n      border-top-width: 21px;\\n      border-bottom-width: 21px;\\n    }\\n  }\\n\\n  .mfp-arrow-left {\\n    left: 0;\\n\\n    &:after,\\n    .mfp-a {\\n      border-right: 17px solid #fff;\\n      margin-left: 31px;\\n    }\\n    &:before,\\n    .mfp-b {\\n      margin-left: 25px;\\n      border-right: 27px solid #3f3f3f;\\n    }\\n  }\\n\\n  .mfp-arrow-right {\\n    right: 0;\\n    &:after,\\n    .mfp-a {\\n      border-left: 17px solid #fff;\\n      margin-left: 39px;\\n    }\\n    &:before,\\n    .mfp-b {\\n      border-left: 27px solid #3f3f3f;\\n    }\\n  }\\n}\\n\\n// Iframe content type\\n@if $include-iframe-type {\\n  .mfp-iframe-holder {\\n    padding-top: $iframe-padding-top;\\n    padding-bottom: $iframe-padding-top;\\n    .mfp-content {\\n      line-height: 0;\\n      width: 100%;\\n      max-width: $iframe-max-width;\\n    }\\n    .mfp-close {\\n      top: -40px;\\n    }\\n  }\\n  .mfp-iframe-scaler {\\n    width: 100%;\\n    height: 0;\\n    overflow: hidden;\\n    padding-top: $iframe-ratio * 100%;\\n    iframe {\\n      position: absolute;\\n      display: block;\\n      top: 0;\\n      left: 0;\\n      width: 100%;\\n      height: 100%;\\n      box-shadow: $shadow;\\n      background: $iframe-background;\\n    }\\n  }\\n}\\n\\n// Image content type\\n@if $include-image-type {\\n  /* Main image in popup */\\n  img {\\n    &.mfp-img {\\n      width: auto;\\n      max-width: 100%;\\n      height: auto;\\n      display: block;\\n      line-height: 0;\\n      -webkit-box-sizing: border-box;\\n      -moz-box-sizing: border-box;\\n      box-sizing: border-box;\\n      padding: $image-padding-top 0 $image-padding-bottom;\\n      margin: 0 auto;\\n    }\\n  }\\n\\n  /* The shadow behind the image */\\n  .mfp-figure {\\n    line-height: 0;\\n    &:after {\\n      content: \\"\\";\\n      position: absolute;\\n      left: 0;\\n      top: $image-padding-top;\\n      bottom: $image-padding-bottom;\\n      display: block;\\n      right: 0;\\n      width: auto;\\n      height: auto;\\n      z-index: -1;\\n      box-shadow: $shadow;\\n      background: $image-background;\\n    }\\n    small {\\n      color: $caption-subtitle-color;\\n      display: block;\\n      font-size: $font-down-1;\\n      line-height: $line-height-medium;\\n    }\\n    figure {\\n      margin: 0;\\n    }\\n  }\\n  .mfp-bottom-bar {\\n    margin-top: -$image-padding-bottom + 4;\\n    position: absolute;\\n    top: 100%;\\n    left: 0;\\n    width: 100%;\\n    cursor: auto;\\n  }\\n  .mfp-title {\\n    text-align: left;\\n    line-height: $line-height-medium;\\n    color: $caption-title-color;\\n    word-wrap: break-word;\\n    padding-right: 36px; // leave some space for counter at right side\\n\\n    // add the download icon\\n    a.image-source-link .d-icon {\\n      padding-right: 5px;\\n    }\\n  }\\n\\n  .mfp-image-holder {\\n    .mfp-content {\\n      max-width: 100%;\\n    }\\n  }\\n\\n  .mfp-gallery {\\n    .mfp-image-holder {\\n      .mfp-figure {\\n        cursor: pointer;\\n      }\\n    }\\n  }\\n\\n  @if $include-mobile-layout-for-image {\\n    @media all and (max-width: 800px) and (orientation: landscape),\\n      screen and (max-height: 300px) {\\n      /**\\n       * Remove all paddings around the image on small screen\\n       */\\n      .mfp-img-mobile {\\n        .mfp-image-holder {\\n          padding-left: 0;\\n          padding-right: 0;\\n        }\\n        img {\\n          &.mfp-img {\\n            padding: 0;\\n          }\\n        }\\n        .mfp-figure {\\n          /* The shadow behind the image */\\n          &:after {\\n            top: 0;\\n            bottom: 0;\\n          }\\n          small {\\n            display: inline;\\n            margin-left: 5px;\\n          }\\n        }\\n        .mfp-bottom-bar {\\n          background: rgba(0, 0, 0, 0.6);\\n          bottom: 0;\\n          margin: 0;\\n          top: auto;\\n          padding: 3px 5px;\\n          position: fixed;\\n          -webkit-box-sizing: border-box;\\n          -moz-box-sizing: border-box;\\n          box-sizing: border-box;\\n          &:empty {\\n            padding: 0;\\n          }\\n        }\\n        .mfp-counter {\\n          right: 5px;\\n          top: 3px;\\n        }\\n        .mfp-close {\\n          top: 0;\\n          right: 0;\\n          width: 35px;\\n          height: 35px;\\n          line-height: $line-height-large;\\n          background: rgba(0, 0, 0, 0.6);\\n          position: fixed;\\n          text-align: center;\\n          padding: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// Scale navigation arrows and reduce padding from sides\\n@media all and (max-width: 900px) {\\n  .mfp-arrow {\\n    @include transform(scale(0.75));\\n  }\\n  .mfp-arrow-left {\\n    transform-origin: 0;\\n    -webkit-transform-origin: 0;\\n  }\\n  .mfp-arrow-right {\\n    transform-origin: 100%;\\n    -webkit-transform-origin: 100%;\\n  }\\n  .mfp-container {\\n    padding-left: $popup-padding-left-mobile;\\n    padding-right: $popup-padding-left-mobile;\\n  }\\n}\\n\\n// IE7 support\\n// Styles that make popup look nicier in old IE\\n@if $IE7support {\\n  .mfp-ie7 {\\n    .mfp-img {\\n      padding: 0;\\n    }\\n    .mfp-bottom-bar {\\n      width: 600px;\\n      left: 50%;\\n      margin-left: -300px;\\n      margin-top: 5px;\\n      padding-bottom: 5px;\\n    }\\n    .mfp-container {\\n      padding: 0;\\n    }\\n    .mfp-content {\\n      padding-top: 44px;\\n    }\\n    .mfp-close {\\n      top: 0;\\n      right: 0;\\n      padding-top: 0;\\n    }\\n  }\\n}\\n\\n.mfp-zoom-in {\\n  /* start state */\\n  .mfp-content {\\n    opacity: 0;\\n    transition: all 0.2s;\\n    -webkit-transform: scale(0.8);\\n    -ms-transform: scale(0.8);\\n    transform: scale(0.8);\\n  }\\n\\n  &.mfp-bg {\\n    opacity: 0;\\n    transition: all 0.3s ease-out;\\n  }\\n\\n  /* animate in */\\n  &.mfp-ready {\\n    .mfp-content {\\n      opacity: 1;\\n      @include transform(scale(1));\\n    }\\n    &.mfp-bg {\\n      opacity: 0.8;\\n    }\\n  }\\n\\n  /* animate out */\\n  &.mfp-removing {\\n    .mfp-content {\\n      @include transform(scale(0.8));\\n      opacity: 0;\\n    }\\n    &.mfp-bg {\\n      opacity: 0;\\n    }\\n  }\\n}\\n\\n.mfp-force-scrollbars {\\n  &.mfp-wrap {\\n    overflow-y: auto !important;\\n    overflow-x: auto !important;\\n  }\\n  .mfp-img {\\n    max-width: none;\\n  }\\n}\\n",\n\t\t".button-count.has-pending {\\n  span {\\n    background-color: $danger;\\n    color: $secondary;\\n    border-radius: 10px;\\n    padding: 0.25em 0.5em;\\n    display: inline-block;\\n    font-size: 0.8em;\\n  }\\n}\\n\\n.placeholder-avatar {\\n  display: inline-block;\\n  width: 45px;\\n  height: 45px;\\n  border-radius: 50%;\\n  position: relative;\\n  overflow: hidden;\\n  &:before {\\n    animation: placeHolderShimmer 4s linear infinite forwards;\\n    position: absolute;\\n    left: 0;\\n    content: \\"\\";\\n    background: linear-gradient(\\n      to right,\\n      $primary-very-low 10%,\\n      $primary-low 28%,\\n      $primary-very-low 43%\\n    );\\n    height: 45px;\\n    width: 700px;\\n  }\\n}\\n\\n.placeholder-text {\\n  margin-left: 11px;\\n  display: inline-block;\\n  width: calc(100% - 11px);\\n  height: 1.5em;\\n  margin-bottom: 0.6em;\\n}\\n\\n.names {\\n  flex: 1 1 auto;\\n  overflow: hidden;\\n  span.first {\\n    display: flex;\\n    align-items: baseline;\\n    font-weight: bold;\\n  }\\n\\n  span {\\n    font-size: $font-0;\\n    margin-right: 8px;\\n    display: inline-block;\\n    @include ellipsis;\\n    vertical-align: middle;\\n    a {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n  }\\n  .fa {\\n    font-size: $font-down-1;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .svg-icon-title {\\n    margin-left: 3px;\\n    margin-right: 0px;\\n  }\\n  .new_user a,\\n  .user-title,\\n  .user-title a {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n}\\n\\n// global styles for the cooked HTML content in posts (and preview)\\n.cooked,\\n.d-editor-preview {\\n  word-wrap: break-word;\\n  line-height: $line-height-large;\\n  h1,\\n  h2,\\n  h3,\\n  h4,\\n  h5,\\n  h6 {\\n    margin: 30px 0 10px;\\n    line-height: $line-height-medium;\\n  }\\n\\n  h1 {\\n    font-size: $font-up-3;\\n  }\\n\\n  h2 {\\n    font-size: $font-up-2;\\n  }\\n\\n  h3 {\\n    font-size: $font-up-1;\\n  }\\n\\n  h4 {\\n    font-size: $font-0;\\n  }\\n\\n  h5 {\\n    font-size: $font-down-1;\\n  }\\n\\n  h6 {\\n    font-size: $font-down-2;\\n  }\\n\\n  a {\\n    word-wrap: break-word;\\n  }\\n  ins {\\n    background-color: dark-light-choose(\\n      $success-low,\\n      scale-color($success, $lightness: -60%)\\n    );\\n  }\\n  del {\\n    background-color: dark-light-choose(\\n      $danger-low,\\n      scale-color($danger, $lightness: -60%)\\n    );\\n  }\\n  // Prevents users from breaking posts with tag nesting\\n  big {\\n    font-size: 1.5rem;\\n  }\\n  small {\\n    font-size: 0.75rem;\\n  }\\n  small small {\\n    font-size: 0.75em;\\n  }\\n  big big {\\n    font-size: 1em;\\n  }\\n  sub sub sub {\\n    bottom: 0;\\n  }\\n  sup sup sup {\\n    top: 0;\\n  }\\n}\\n\\n.cooked,\\n.d-editor-preview {\\n  video {\\n    max-width: 100%;\\n  }\\n  sup sup {\\n    top: 0;\\n  }\\n}\\n\\n// add staff color\\n.moderator {\\n  .regular > .cooked {\\n    background-color: dark-light-choose($highlight-low, $highlight-medium);\\n    padding: 10px;\\n    img:not(.thumbnail) {\\n      max-width: 100%;\\n      height: auto;\\n    }\\n  }\\n  .clearfix > .topic-meta-data > .names {\\n    span.user-title {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n      a {\\n        background-color: dark-light-choose($highlight-low, $highlight-medium);\\n        padding-left: 4px;\\n        padding-right: 4px;\\n      }\\n    }\\n  }\\n}\\n\\n.topic-meta-data {\\n  display: flex;\\n  align-items: flex-start;\\n\\n  .names {\\n    margin-right: auto;\\n  }\\n\\n  .post-infos {\\n    display: flex;\\n    flex: 0 0 auto;\\n    align-items: center;\\n  }\\n}\\n\\n// we use aside to hold expandable quotes (versus, say, static blockquotes)\\naside.quote {\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n\\n  .badge-wrapper {\\n    margin-left: 5px;\\n  }\\n\\n  .title {\\n    @include post-aside;\\n\\n    color: dark-light-choose($primary-high, $secondary-low);\\n    // IE will screw up the blockquote underneath if bottom padding is 0px\\n    padding: 12px 12px 1px 12px;\\n    // blockquote is underneath this and has top margin\\n    .avatar {\\n      margin-right: 7px;\\n    }\\n    img {\\n      margin-top: -4px;\\n    }\\n    @include unselectable;\\n  }\\n\\n  // blockquote is docked within aside for content\\n  blockquote {\\n    margin-top: 0;\\n  }\\n}\\n\\nblockquote {\\n  // due to #image-sizing-hack large images and lightboxes extend past the\\n  // limits blockquotes. Since #image-sizing-hack is inline, we need to use\\n  // !important here otherwise it won't work.\\n  img {\\n    max-width: 100% !important;\\n  }\\n}\\n\\n.quote-controls,\\n.quote-controls .d-icon {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n}\\n\\n.cooked .highlight {\\n  background-color: $tertiary-low;\\n  padding: 2px;\\n  margin: -2px;\\n}\\n\\n.post-ignored {\\n  font-style: italic;\\n}\\n\\n.post-action {\\n  color: $primary-medium;\\n  .undo-action,\\n  .act-action {\\n    margin-left: 5px;\\n  }\\n}\\n\\n.post-hidden {\\n  opacity: 0.5; // opacity sets a new z-index context,\\n  position: relative; // so the positioning is required,\\n  z-index: z(\\"base\\"); // otherwise post controls are stacked too low\\n}\\n\\n.topic-post.staged {\\n  opacity: 0.4;\\n}\\n\\n.quote-controls {\\n  float: right;\\n  display: flex;\\n  align-items: center;\\n  a {\\n    margin-left: 0.3em;\\n  }\\n}\\n\\n.quote-button {\\n  display: none;\\n  position: absolute;\\n  background-color: blend-primary-secondary(50%);\\n  color: dark-light-choose($secondary, $primary);\\n  padding: 10px;\\n  z-index: z(\\"dropdown\\");\\n  opacity: 0.9;\\n\\n  .d-icon {\\n    display: inline-block;\\n  }\\n\\n  &:hover {\\n    background-color: $primary-medium;\\n    cursor: pointer;\\n  }\\n}\\n\\n.topic-avatar,\\n.user-card-avatar {\\n  position: relative;\\n}\\n\\n.topic-map {\\n  background: $primary-very-low;\\n  border: 1px solid $primary-low;\\n  border-top: none; // would cause double top border\\n\\n  .avatars {\\n    > div {\\n      float: left;\\n      position: relative;\\n      margin: 3px 0;\\n    }\\n    .post-count {\\n      position: absolute;\\n      right: 0;\\n      border-radius: 100px;\\n      padding: 3px 5px;\\n      text-align: center;\\n      font-weight: normal;\\n      font-size: $font-down-2;\\n      line-height: $line-height-small;\\n    }\\n  }\\n\\n  .avatar {\\n    float: left;\\n    margin-right: 4px;\\n  }\\n\\n  section {\\n    border-top: 1px solid $primary-low;\\n  }\\n\\n  ul {\\n    margin: 0;\\n    list-style: none;\\n  }\\n\\n  h3 {\\n    margin-bottom: 4px;\\n    color: $primary;\\n    line-height: $line-height-large;\\n    font-weight: normal;\\n    font-size: $font-0;\\n  }\\n\\n  h4 {\\n    margin: 1px 0 2px 0;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n    line-height: $line-height-small;\\n  }\\n\\n  span.domain {\\n    font-size: $font-down-2;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n\\n  td {\\n    vertical-align: top;\\n    padding: 1px;\\n  }\\n\\n  .topic-links {\\n    tr {\\n      border: none;\\n    }\\n    .badge-notification {\\n      margin: 1px 5px 2px 0;\\n    }\\n  }\\n\\n  .controls {\\n    display: flex;\\n    align-items: center;\\n\\n    .btn {\\n      margin-right: 0.5em;\\n\\n      &:last-child {\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  .participants {\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n\\n    & + .controls {\\n      margin-top: 0.5em;\\n    }\\n\\n    &.hide-names .user {\\n      .username,\\n      .group-name {\\n        display: none;\\n      }\\n    }\\n\\n    .user {\\n      border: 1px solid $primary-low;\\n      border-radius: 0.25em;\\n      padding: 0;\\n      margin: 0.125em 0.25em 0.125em 0;\\n      display: flex;\\n      align-items: center;\\n      height: 26px;\\n\\n      .user-link,\\n      .group-link {\\n        color: $primary-high;\\n\\n        &:hover {\\n          color: $primary;\\n        }\\n      }\\n\\n      .avatar,\\n      .d-icon-users {\\n        margin-left: 0.25em;\\n        margin-right: 0.25em;\\n      }\\n\\n      .username,\\n      .group-name {\\n        margin-right: 0.25em;\\n      }\\n\\n      &:last-child {\\n        margin-right: 0;\\n      }\\n\\n      .remove-invited {\\n        display: flex;\\n        flex: 1 0 0px;\\n        align-items: center;\\n        justify-content: center;\\n        box-sizing: border-box;\\n        border-radius: 0 0.25em 0.25em 0;\\n        padding-top: 0;\\n        padding-bottom: 0;\\n        height: 100%;\\n      }\\n    }\\n  }\\n\\n  .add-remove-participant-btn {\\n    .d-icon {\\n      margin-left: 0.25em;\\n    }\\n  }\\n}\\n\\n.topic-avatar,\\n.avatar-flair-preview,\\n.user-card-avatar,\\n.topic-map .poster,\\n.user-profile-avatar,\\n.user-image {\\n  .avatar-flair {\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background-repeat: no-repeat;\\n    background-position: center;\\n    position: absolute;\\n    bottom: 0;\\n    right: -6px;\\n  }\\n}\\n.topic-avatar .avatar-flair,\\n.avatar-flair-preview .avatar-flair,\\n.collapsed-info .user-profile-avatar .avatar-flair,\\n.user-image .avatar-flair {\\n  background-size: 20px 20px;\\n  width: 20px;\\n  height: 20px;\\n  &.rounded {\\n    background-size: 18px 18px;\\n    border-radius: 12px;\\n    width: 24px;\\n    height: 24px;\\n    bottom: -2px;\\n    right: -8px;\\n  }\\n}\\n.user-card-avatar .avatar-flair,\\n.user-profile-avatar .avatar-flair {\\n  background-size: 40px 40px;\\n  width: 40px;\\n  height: 40px;\\n  &.rounded {\\n    background-size: 30px 30px;\\n    border-radius: 24px;\\n    width: 40px;\\n    height: 40px;\\n    bottom: -2px;\\n    right: -4px;\\n  }\\n  .fa {\\n    font-size: $font-up-4;\\n  }\\n}\\n.topic-map .poster .avatar-flair {\\n  right: 0;\\n  background-size: 12px 12px;\\n  width: 16px;\\n  height: 16px;\\n  bottom: -3px;\\n  color: $primary;\\n  &.rounded {\\n    background-size: 12px 12px;\\n    border-radius: 8px;\\n    width: 16px;\\n    height: 16px;\\n    bottom: -2px;\\n    right: 0;\\n  }\\n  .d-icon {\\n    font-size: $font-down-2;\\n  }\\n}\\n.topic-avatar .poster-avatar-extra {\\n  display: none;\\n}\\n\\n.map {\\n  &:first-of-type {\\n    display: flex;\\n    .buttons {\\n      margin-left: auto;\\n      order: 15;\\n      .btn {\\n        height: 100%;\\n      }\\n    }\\n  }\\n}\\n\\n.topic-body {\\n  // this is necessary for ANYTHING that extends past the right edge of\\n  // the post body, such as an image in a deeply nested list, image in\\n  // a deeply nested blockquote, and so on.. you get the idea.\\n  .cooked {\\n    overflow: hidden;\\n  }\\n  &.highlighted {\\n    animation: background-fade-highlight 2.5s ease-out;\\n  }\\n}\\n\\n.post-info {\\n  flex: 0 0 auto;\\n  margin-right: 0.5em;\\n\\n  &.post-date {\\n    margin-right: 0;\\n  }\\n  &.via-email,\\n  &.whisper,\\n  &.post-locked {\\n    .d-icon {\\n      font-size: $font-0;\\n    }\\n  }\\n\\n  .wiki,\\n  .last-wiki-edit {\\n    color: $wiki;\\n  }\\n\\n  &.via-email {\\n    color: dark-light-choose($primary-low-mid, $secondary-high);\\n  }\\n  &.raw-email {\\n    cursor: pointer;\\n  }\\n}\\n\\npre {\\n  code {\\n    word-wrap: normal;\\n    display: block;\\n    padding: 0.5em;\\n    color: $primary;\\n    background: blend-primary-secondary(5%);\\n    max-height: 500px;\\n  }\\n}\\n\\nkbd {\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n  border-radius: 3px;\\n  box-shadow: shadow(\\"kbd\\");\\n  background: dark-light-choose(#fafafa, #333);\\n  border: 1px solid dark-light-choose(#ccc, #555);\\n  border-bottom: medium none dark-light-choose(#fff, #000);\\n\\n  color: $primary;\\n  display: inline-block;\\n  font-size: $font-down-1;\\n  line-height: $line-height-large;\\n  margin: 0 0.1em;\\n  padding: 0.1em 0.6em;\\n\\n  // don't allow more than 3 nested elements to prevent FF from crashing\\n  // cf. http://what.thedailywtf.com/t/nested-elements/7927\\n  // 3 levels are needed to prevent highlighted words being hidden\\n  // cf. https://meta.discourse.org/t/word-disappears-when-searched-and-in-details-summary-kbd-b/25741\\n  * * * {\\n    display: none;\\n  }\\n}\\n\\n// we assume blockquotes have their own margins, so all blockquotes\\n// will remove margins from first (top) and last (bottom) child elements\\nblockquote > *:first-child {\\n  margin-top: 0 !important;\\n}\\nblockquote > *:last-child {\\n  margin-bottom: 0 !important;\\n}\\n\\n.gap {\\n  padding: 0.25em 0 0.5em 56px; // 45px (topic avatar) + 11px (margin) = 56px\\n  color: dark-light-choose($primary-medium, $secondary-high);\\n  cursor: pointer;\\n  text-transform: uppercase;\\n  font-weight: bold;\\n  font-size: $font-down-1;\\n}\\n\\n.who-liked,\\n.who-read {\\n  transition: height 0.5s;\\n  a {\\n    margin: 0 0.25em 0.5em 0;\\n    display: inline-block;\\n  }\\n}\\n\\n.cooked table,\\n.d-editor-preview table {\\n  thead {\\n    th {\\n      text-align: left;\\n      padding-bottom: 2px;\\n      font-weight: bold;\\n      color: $primary;\\n    }\\n  }\\n\\n  td {\\n    padding: 3px 3px 3px 0.5em;\\n  }\\n}\\n\\n.small-action {\\n  display: flex;\\n  align-items: center;\\n  max-width: 758px;\\n  border-top: 1px solid $primary-low;\\n  .topic-avatar {\\n    align-self: flex-start;\\n    padding: 0.7em 0;\\n    border-top: none;\\n    margin-right: 11px;\\n    flex: 0 0 auto;\\n    .d-icon {\\n      font-size: 2em;\\n      width: 45px;\\n      text-align: center;\\n      color: $primary-low-mid;\\n    }\\n  }\\n\\n  .small-action.deleted {\\n    background-color: dark-light-diff(\\n      rgba($danger, 0.7),\\n      $secondary,\\n      50%,\\n      -60%\\n    );\\n  }\\n\\n  .small-action-desc.timegap {\\n    color: $primary-medium;\\n  }\\n\\n  .small-action-desc {\\n    display: flex;\\n    flex-wrap: wrap;\\n    flex: 1 1 100%;\\n    align-items: center;\\n    padding: 1em 0;\\n    text-transform: uppercase;\\n    font-weight: bold;\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n    min-width: 0; // Allows flex container to shrink\\n\\n    .custom-message {\\n      flex: 1 1 100%;\\n      text-transform: none;\\n      font-weight: normal;\\n      font-size: $font-up-1;\\n      order: 12;\\n      word-break: break-word;\\n      min-width: 0; // Allows content like oneboxes to shrink\\n      p {\\n        margin-bottom: 0;\\n      }\\n    }\\n    a.trigger-user-card {\\n      align-self: stretch;\\n    }\\n    .avatar {\\n      margin-right: 0.8em;\\n      float: left;\\n    }\\n\\n    > p {\\n      margin: 0;\\n      line-height: $line-height-medium;\\n      flex: 1 1;\\n    }\\n  }\\n\\n  button {\\n    background: transparent;\\n    border: 0;\\n    order: 9;\\n    &:last-of-type {\\n      margin-left: auto;\\n      order: 8;\\n    }\\n  }\\n}\\n\\n.whisper {\\n  .post-info.whisper {\\n    margin-left: 0.5em;\\n  }\\n  .topic-body {\\n    .cooked {\\n      font-style: italic;\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\na.mention,\\na.mention-group {\\n  padding: 2px 4px;\\n  color: dark-light-choose($primary-high, $secondary-low);\\n  background: $primary-low;\\n  border-radius: 8px;\\n  font-weight: bold;\\n  font-size: 0.93em;\\n}\\n\\n.popup-menu {\\n  h3 {\\n    margin-top: 0;\\n  }\\n}\\n\\n.suggested-topics {\\n  .topics {\\n    padding-bottom: 15px;\\n  }\\n  .suggested-topics-message {\\n    .badge-wrapper {\\n      margin-right: 0;\\n    }\\n  }\\n}\\n\\n.large-image-placeholder {\\n  > a {\\n    &.link {\\n      margin-right: 10px;\\n    }\\n\\n    > * {\\n      overflow: hidden;\\n      vertical-align: middle;\\n    }\\n\\n    > .d-icon {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      margin-right: 6px;\\n      font-size: $font-0;\\n      line-height: $line-height-large;\\n    }\\n\\n    > span.url {\\n      display: inline-block;\\n      max-width: 300px;\\n      margin-right: 6px;\\n      text-overflow: ellipsis;\\n      white-space: nowrap;\\n    }\\n\\n    > span.help {\\n      display: inline-block;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      font-size: $font-down-1;\\n      font-style: italic;\\n      line-height: $line-height-large;\\n      margin-bottom: 1px;\\n    }\\n\\n    > span.badge-notification {\\n      vertical-align: unset;\\n    }\\n  }\\n}\\n\\n.broken-image,\\n.large-image {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n  border: 1px solid $primary-low;\\n  font-size: $font-up-5;\\n  padding: 16px;\\n}\\n\\n/* below standard tablet portrait ----------- */\\n\\n.reply-to-tab {\\n  display: flex;\\n  align-items: center;\\n  margin-right: 2em;\\n\\n  img {\\n    margin: 0 0.25em;\\n  }\\n}\\n\\n// Select posts\\n\\n.topic-post {\\n  &.selected {\\n    article.boxed {\\n      .select-posts {\\n        button.select-post {\\n          background-color: $tertiary;\\n          color: $secondary;\\n          border-color: $tertiary;\\n        }\\n      }\\n      .topic-body {\\n        .contents:after {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n  article.boxed {\\n    position: relative;\\n    .select-posts {\\n      position: absolute;\\n      right: 5em;\\n      z-index: z(\\"dropdown\\");\\n      top: 0.5em;\\n      height: 100px;\\n      button {\\n        margin-left: 8px;\\n        background-color: $primary-low;\\n        color: $primary;\\n        box-shadow: shadow(\\"dropdown\\");\\n      }\\n    }\\n  }\\n}\\n\\n@media all and (max-width: 767px) {\\n  .reply-to-tab {\\n    span {\\n      display: none;\\n    }\\n  }\\n  .user-title {\\n    float: left;\\n    clear: left;\\n  }\\n}\\n\\n.signup-cta {\\n  a {\\n    float: right;\\n    text-decoration: underline;\\n  }\\n  .buttons {\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.post-notice {\\n  align-items: center;\\n  background-color: $tertiary-low;\\n  border-top: 1px solid $primary-low;\\n  display: flex;\\n  max-width: calc(\\n    #{$topic-body-width} + (#{$topic-body-width-padding} * 2) + #{$topic-avatar-width} -\\n      (0.8em * 2)\\n  );\\n  padding: 0.8em;\\n\\n  &.old {\\n    background-color: unset;\\n    color: $primary-medium;\\n\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  p {\\n    margin: 0;\\n  }\\n\\n  .d-icon {\\n    font-size: 2em;\\n    color: $primary-high;\\n    margin-right: 0.65em;\\n  }\\n}\\n\\n#topic-footer-buttons {\\n  .reason {\\n    color: $primary-high;\\n    display: inline;\\n    margin: 0 0 0 8px;\\n    line-height: $line-height-medium;\\n  }\\n}\\n",\n\t\t"@keyframes button-jump-up {\\n  0% {\\n    margin-bottom: -60px;\\n  }\\n  50% {\\n    margin-bottom: 10px;\\n  }\\n  65% {\\n    margin-bottom: 0px;\\n  }\\n  77% {\\n    margin-bottom: 5px;\\n  }\\n  100% {\\n    margin-bottom: 0px;\\n  }\\n}\\n\\n.progress-back-container {\\n  z-index: z(\\"dropdown\\");\\n  margin-right: 0;\\n  animation-duration: 0.5s;\\n  animation-name: button-jump-up;\\n  width: 145px;\\n  text-align: center;\\n  margin-bottom: 0px;\\n  position: absolute;\\n  right: 0;\\n  top: -2em;\\n  .btn {\\n    margin: 0;\\n  }\\n}\\n\\n#topic-progress-wrapper {\\n  display: flex;\\n  .topic-admin-menu-button-container {\\n    display: flex;\\n    > span {\\n      display: flex;\\n    }\\n  }\\n  .topic-admin-popup-menu.right-side {\\n    position: absolute;\\n    bottom: 0;\\n    right: 0;\\n    left: auto;\\n    transition: bottom 0.5s;\\n    transform: translateZ(\\n      0\\n    ); // iOS11 Rendering bug https://meta.discourse.org/t/wrench-menu-not-disappearing-on-ios/94297\\n  }\\n}\\n\\n#topic-progress-wrapper.docked {\\n  .topic-admin-popup-menu.right-side {\\n    bottom: -150px; // Prevents menu from being too high when a topic is very short\\n  }\\n}\\n\\n.title-wrapper {\\n  display: flex;\\n  flex-wrap: wrap;\\n  button {\\n    margin: 0 0.5em 0 0;\\n  }\\n  a.topic-featured-link {\\n    display: inline-block;\\n  }\\n  .topic-statuses {\\n    line-height: 1.2em;\\n    margin-right: 0.15em;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\nh1 {\\n  margin: 0 0 4px 0;\\n}\\n\\na.badge-category {\\n  margin-top: 5px;\\n}\\n\\n#topic-title {\\n  .title-wrapper {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 90%;\\n    a.topic-featured-link {\\n      display: inline-block;\\n    }\\n  }\\n  h1 {\\n    margin: 0 0 4px 0;\\n    width: 100%;\\n  }\\n  a.badge-category {\\n    margin-top: 5px;\\n  }\\n  a.edit-topic .d-icon {\\n    font-size: 0.8em;\\n  }\\n  .edit-topic-title {\\n    display: flex;\\n    flex-wrap: wrap;\\n    box-sizing: border-box;\\n    max-width: 758px;\\n    #edit-title {\\n      flex: 1 1 auto;\\n    }\\n    .private-message-glyph {\\n      margin: 5px 5px 0 0;\\n    }\\n    .category-chooser,\\n    .mini-tag-chooser {\\n      flex: 1 1 49%;\\n      margin: 0 0 9px 0;\\n      @media all and (max-width: 500px) {\\n        flex: 1 1 100%;\\n      }\\n    }\\n    .mini-tag-chooser {\\n      margin-left: 2%;\\n      @media all and (max-width: 500px) {\\n        margin-left: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.private-message-glyph {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n  margin-right: 5px;\\n}\\n\\n.archetype-private_message #topic-title .edit-topic-title .tag-chooser {\\n  margin-left: 19px;\\n}\\n\\n.private_message {\\n  #topic-title {\\n    .edit-topic-title {\\n      #edit-title {\\n        width: calc(100% - 50px);\\n      }\\n    }\\n  }\\n}\\n\\n.topic-title-outlet {\\n  clear: both;\\n}\\n\\n.has-pending-posts {\\n  display: flex;\\n  justify-content: space-between;\\n\\n  padding: 0.5em;\\n  background-color: $highlight-medium;\\n  margin-top: 1em;\\n  max-width: 757px;\\n}\\n\\n.suggested-topics-wrapper.related-messages-wrapper {\\n  .suggested-topics:nth-of-type(n + 2) {\\n    thead {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// Target the .badge-category text, the bullet icon needs to maintain `display: block`\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category,\\n.suggested-topics h3 .badge-wrapper.box span,\\n.suggested-topics h3 .badge-wrapper.bar span {\\n  display: inline;\\n}\\n\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category {\\n  // Override vertical-align: text-top from `badges.css.scss`\\n  vertical-align: baseline;\\n  line-height: $line-height-medium;\\n}\\n\\n.suggested-topics h3 .badge-wrapper.bullet,\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg {\\n  // Top of bullet aligns with top of line - adjust line height to vertically align bullet.\\n  line-height: 0.8;\\n}\\n\\n.suggested-topics .badge-wrapper.bullet span.badge-category,\\n.suggested-topics .badge-wrapper.bar span.badge-category {\\n  max-width: 150px;\\n}\\n\\n.suggested-topics .suggested-topics-title {\\n  display: flex;\\n  align-items: center;\\n}\\n\\n.post-links-container {\\n  @include unselectable;\\n  clear: both;\\n  .post-links {\\n    margin-top: 1em;\\n    padding-top: 1em;\\n    border-top: 1px solid $primary-low;\\n    li:last-of-type {\\n      margin-bottom: 1em;\\n    }\\n  }\\n  .expand-links {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .track-link {\\n    display: flex;\\n    align-items: center;\\n    span:not(.badge) {\\n      @include ellipsis;\\n    }\\n  }\\n  ul {\\n    margin: 0;\\n    list-style: none;\\n    li {\\n      margin-bottom: 0.5em;\\n      a[href] {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n      .clicks {\\n        margin-left: 0.5em;\\n        flex: 0 0 auto;\\n      }\\n      .d-icon {\\n        font-size: $font-down-2;\\n        margin: 0 0.5em 0 0;\\n      }\\n    }\\n  }\\n  a.reply-new {\\n    .d-icon {\\n      background: $secondary;\\n      border-radius: 20px;\\n      transition: all linear 0.15s;\\n    }\\n    &:hover {\\n      color: $tertiary;\\n      .d-icon {\\n        background: $tertiary-low;\\n      }\\n    }\\n  }\\n}\\n\\na.topic-featured-link {\\n  display: inline-block;\\n  text-transform: lowercase;\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  font-size: 0.875rem;\\n  .d-icon {\\n    margin-right: 3px;\\n  }\\n}\\n\\n.topic-area {\\n  .pending-posts {\\n    max-width: calc(\\n      #{$topic-body-width} + #{$topic-avatar-width} + #{$topic-body-width-padding *\\n        2}\\n    );\\n    .reviewable-item {\\n      .post-body {\\n        max-height: unset;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#request-access {\\n  width: 325px;\\n  margin: 0 auto;\\n  input[type=\\"text\\"] {\\n    width: 320px;\\n    height: 30px;\\n    font-size: $font-up-3;\\n  }\\n  input[type=\\"submit\\"] {\\n    font-size: $font-up-3;\\n    padding: 10px;\\n  }\\n}\\n",\n\t\t"/*\\n\\ngithub.com style (c) Vasily Polovnyov <vast@whiteants.net>\\n\\n*/\\n\\n.hljs {\\n  display: block;\\n  padding: 0.5em;\\n  color: dark-light-choose(#333, #f8f8f8);\\n}\\n\\n.hljs-comment,\\n.hljs-doctag {\\n  color: dark-light-choose(#998, #bba);\\n  font-style: italic;\\n}\\n\\n.hljs-keyword,\\n.javascript .hljs-title,\\n.nginx .hljs-title,\\n.hljs-subst,\\n.hljs-request,\\n.hljs-status {\\n  color: dark-light-choose(#333, #f8f8f8);\\n  font-weight: bold;\\n}\\n\\n.hljs-number,\\n.ruby .hljs-constant {\\n  color: dark-light-choose(#099, #aff);\\n}\\n\\n.hljs-string,\\n.hljs-tag .hljs-string,\\n.tex .hljs-formula {\\n  color: dark-light-choose(#d14, #f99);\\n}\\n\\n.hljs-title,\\n.hljs-name,\\n.coffeescript .hljs-params,\\n.scss .hljs-meta {\\n  color: dark-light-choose(#d14, #f99);\\n  font-weight: bold;\\n}\\n\\n.javascript .hljs-title,\\n.lisp .hljs-title,\\n.clojure .hljs-title,\\n.hljs-subst {\\n  font-weight: normal;\\n}\\n\\n.hljs-class .hljs-title,\\n.haskell .hljs-type,\\n.vhdl .hljs-literal,\\n.tex .hljs-command {\\n  color: dark-light-choose(#458, #9ae);\\n  font-weight: bold;\\n}\\n\\n.hljs-tag,\\n.hljs-tag .hljs-title,\\n.django .hljs-tag .hljs-keyword {\\n  color: dark-light-choose(#000080, #99f);\\n  font-weight: normal;\\n}\\n\\n.hljs-attribute,\\n.css .hljs-keyword,\\n.hljs-variable,\\n.lisp .hljs-body {\\n  color: dark-light-choose(#008080, #0ee);\\n}\\n\\n.hljs-regexp {\\n  color: $success;\\n}\\n\\n.hljs-symbol,\\n.ruby .hljs-symbol .hljs-string,\\n.lisp .hljs-keyword,\\n.tex .hljs-special,\\n.hljs-prompt {\\n  color: dark-light-choose(#990073, #fbe);\\n}\\n\\n.hljs-built_in,\\n.lisp .hljs-title,\\n.clojure .hljs-built_in,\\n.hljs-builtin-name {\\n  color: $tertiary-high;\\n}\\n\\n.meta {\\n  color: $primary-medium;\\n  font-weight: bold;\\n}\\n\\n.hljs-deletion {\\n  background: $danger-low;\\n}\\n\\n.hljs-addition {\\n  background: $success-low;\\n}\\n\\n.diff .hljs-meta {\\n  color: $primary-low;\\n}\\n\\n/*\\n--------------------------------------------------------------------------------\\n|                       SHOULD NOT BE REMOVED                                  |\\n--------------------------------------------------------------------------------\\n*/\\n\\np > code,\\nli > code,\\npre > code {\\n  color: dark-light-choose(#333, #f8f8f8);\\n  background: dark-light-choose(#f8f8f8, #333);\\n}\\n\\n// removed some unnecessary styles here\\n",\n\t\t"$discourse-tooltip-background: $secondary;\\n$discourse-tooltip-border: $primary-medium;\\n\\n#discourse-tooltip {\\n  background-color: $discourse-tooltip-background;\\n  position: absolute;\\n  z-index: z(\\"tooltip\\");\\n  border: 1px solid $discourse-tooltip-border;\\n  max-width: 400px;\\n  margin-top: 25px;\\n  overflow-wrap: break-word;\\n  display: none;\\n  font-size: $font-0;\\n  font-weight: 500;\\n\\n  &.retina {\\n    border: 0.5px solid $discourse-tooltip-border;\\n  }\\n\\n  .tooltip-pointer {\\n    position: relative;\\n    background: $discourse-tooltip-background;\\n  }\\n\\n  .tooltip-pointer:before,\\n  .tooltip-pointer:after {\\n    position: absolute;\\n    pointer-events: none;\\n    border: solid transparent;\\n    bottom: 100%;\\n    content: \\"\\";\\n    height: 0;\\n    width: 0;\\n  }\\n\\n  .tooltip-pointer:after {\\n    border-bottom-color: $discourse-tooltip-background;\\n    border-width: 8px;\\n    left: 50%;\\n    margin-left: -8px;\\n    margin-bottom: -0.5px;\\n  }\\n\\n  .tooltip-pointer:before {\\n    border-bottom-color: $discourse-tooltip-border;\\n    border-width: 9px;\\n    left: 50%;\\n    margin-left: -9px;\\n    margin-bottom: -0.5px;\\n  }\\n\\n  .tooltip-content {\\n    padding: 1em;\\n    max-width: 250px;\\n    font-size: $font-down-1;\\n    color: $primary;\\n    box-shadow: shadow(\\"dropdown\\");\\n    line-height: 1.4em;\\n  }\\n}\\n",\n\t\t"// Page not found styles\\n\\n.page-not-found {\\n  margin: 0 0 40px 0;\\n\\n  h1.title {\\n    font-size: $font-up-5;\\n    line-height: $line-height-medium;\\n  }\\n\\n  &-search {\\n    margin-top: 20px;\\n  }\\n}\\n\\n.page-not-found-topics {\\n  display: flex;\\n  @media screen and (max-width: 600px) {\\n    flex-wrap: wrap;\\n  }\\n}\\n\\n.popular-topics,\\n.recent-topics {\\n  box-sizing: border-box;\\n  width: 50%;\\n  max-width: 400px;\\n  margin-bottom: 40px;\\n  padding-right: 20px;\\n  @media screen and (max-width: 600px) {\\n    width: 100%;\\n  }\\n  h2 {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.not-found-topic {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: baseline;\\n  margin-bottom: 15px;\\n  @media screen and (max-width: 600px) {\\n    &:nth-of-type(n + 6) {\\n      display: none;\\n    }\\n  }\\n  a:not(.badge-wrapper) {\\n    flex-basis: 100%;\\n  }\\n}\\n",\n\t\t"// Modal wrappers\\n\\n.modal-outer-container {\\n  width: 100%;\\n  height: 100%;\\n}\\n\\n.modal-middle-container {\\n  display: flex;\\n  height: 100%;\\n  align-items: center;\\n}\\n\\n.modal-inner-container {\\n  box-sizing: border-box;\\n  flex: 0 1 auto;\\n  margin: 0 auto;\\n  max-width: 700px;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"modal\\");\\n\\n  .select-kit {\\n    width: 220px;\\n\\n    &.tag-chooser {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.modal-open {\\n  .dropdown-menu {\\n    z-index: z(\\"modal\\", \\"dropdown\\");\\n  }\\n  .popover {\\n    z-index: z(\\"modal\\", \\"popover\\");\\n  }\\n  .tooltip {\\n    z-index: z(\\"modal\\", \\"tooltip\\");\\n  }\\n}\\n\\n.bootbox.modal {\\n  position: fixed;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  overflow: auto;\\n  height: auto;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"card\\");\\n  background-clip: padding-box;\\n}\\n\\n.input-hint-text {\\n  margin-left: 0.5em;\\n  color: $secondary-high;\\n}\\n\\n.modal-header {\\n  display: flex;\\n  padding: 10px 15px;\\n  border-bottom: 1px solid $primary-low;\\n  align-items: center;\\n\\n  .title {\\n    h3 {\\n      margin-bottom: 0;\\n    }\\n\\n    p {\\n      margin: 0;\\n    }\\n  }\\n\\n  .modal-close {\\n    align-self: flex-start;\\n    order: 2;\\n    margin-left: auto;\\n    padding-left: 2em;\\n    .close {\\n      color: $primary-high;\\n    }\\n  }\\n}\\n\\n.modal-backdrop {\\n  position: fixed;\\n  top: 0;\\n  right: 0;\\n  bottom: 0;\\n  left: 0;\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n  background-color: #111;\\n  &.fade {\\n    opacity: 0;\\n  }\\n}\\n\\n.modal-backdrop,\\n.modal-backdrop.fade.in {\\n  animation: fade 0.3s;\\n  opacity: 0.9;\\n  filter: alpha(opacity=90);\\n}\\n\\n// fade in\\n@keyframes fade {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 0.9;\\n  }\\n}\\n\\n// slide in\\n@keyframes slidein {\\n  from {\\n    transform: translateY(-20%);\\n  }\\n  to {\\n    transform: translateY(0);\\n  }\\n}\\n\\n.create-account.in .modal-inner-container,\\n.login-modal.in .modal-inner-container {\\n  animation: slidein 0.3s;\\n}\\n\\n.inline-modal {\\n  .modal-inner-container {\\n    border: 1px solid $secondary-medium;\\n  }\\n}\\n\\n.fixed-modal {\\n  position: fixed;\\n  top: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  overflow: auto;\\n\\n  &:not(.history-modal) {\\n    .modal-body:not(.reorder-categories):not(.poll-ui-builder) {\\n      max-height: 80vh !important;\\n      @media screen and (max-height: 500px) {\\n        max-height: 65vh !important;\\n      }\\n    }\\n  }\\n}\\n\\n.modal-form {\\n  margin-bottom: 0;\\n}\\n\\n.modal-footer {\\n  padding: 14px 15px 10px;\\n  border-top: 1px solid $primary-low;\\n  .btn {\\n    margin: 0 5px 5px 0;\\n  }\\n}\\n\\n.modal.edit-category-modal {\\n  .modal-body {\\n    textarea {\\n      height: 10em;\\n    }\\n  }\\n  @media screen and (min-width: 524px) {\\n    .modal-inner-container {\\n      min-width: 525px;\\n    }\\n  }\\n}\\n\\n.modal {\\n  .nav {\\n    padding: 10px 30px 10px 15px;\\n    background-color: $secondary;\\n    li > a {\\n      font-size: $font-0;\\n    }\\n    border-bottom: 1px solid $primary-low;\\n  }\\n\\n  &.hidden {\\n    display: none;\\n  }\\n\\n  .modal-body {\\n    box-sizing: border-box;\\n    width: 100%;\\n    overflow-y: auto;\\n    max-height: 400px;\\n\\n    &.full-height-modal {\\n      max-height: calc(100vh - 150px);\\n    }\\n\\n    &.insert-link {\\n      overflow-y: visible;\\n      input {\\n        min-width: 300px;\\n      }\\n\\n      .inputs {\\n        position: relative;\\n        .spinner {\\n          position: absolute;\\n          right: 8px;\\n          top: -15px;\\n          width: 10px;\\n          height: 10px;\\n        }\\n        .internal-link-results {\\n          position: absolute;\\n          top: 70%;\\n          padding: 5px 10px;\\n          box-shadow: shadow(\\"card\\");\\n          z-index: 5;\\n          background-color: $secondary;\\n          max-height: 150px;\\n          width: 90%;\\n          overflow-y: auto;\\n          > .search-link {\\n            padding: 6px;\\n            border-bottom: 1px solid $primary-low;\\n            cursor: pointer;\\n            display: block;\\n            &:hover,\\n            &:focus {\\n              background-color: $highlight-medium;\\n            }\\n            .search-category {\\n              display: flex;\\n              align-items: center;\\n            }\\n            .discourse-tags {\\n              display: inline-block;\\n              font-size: $font-down-1;\\n            }\\n          }\\n        }\\n      }\\n    }\\n    textarea {\\n      width: 99%;\\n      height: 80px;\\n    }\\n    p {\\n      font-size: $font-0;\\n    }\\n    .archetype-option {\\n      margin-bottom: 20px;\\n    }\\n    .warning {\\n      color: $danger !important;\\n    }\\n  }\\n\\n  .password-confirmation {\\n    display: none;\\n  }\\n\\n  section.field {\\n    padding: 0.25em 0;\\n    margin-bottom: 5px;\\n    &.with-items {\\n      display: flex;\\n      align-items: flex-start;\\n    }\\n    .field-item {\\n      display: inline-block;\\n      margin-right: 10px;\\n    }\\n  }\\n\\n  // password reset modal\\n  .modal-body.forgot-password-modal p {\\n    font-size: $font-0;\\n  }\\n\\n  pre code {\\n    white-space: pre-wrap;\\n    max-width: 700px;\\n  }\\n}\\n\\n.reply-where-modal {\\n  .modal-footer {\\n    a {\\n      display: block;\\n    }\\n    .d-modal-cancel {\\n      margin: 1em 0 0.5em;\\n    }\\n    .btn {\\n      text-align: left;\\n      font-size: $font-up-2;\\n      line-height: $line-height-medium;\\n      margin-bottom: 10px;\\n      font-weight: bold;\\n      .topic-title {\\n        font-weight: normal;\\n      }\\n    }\\n  }\\n}\\n\\n.d-modal-cancel {\\n  margin-left: 1em;\\n  color: $primary-medium;\\n  &:hover {\\n    color: $danger;\\n  }\\n}\\n\\n.delete-user-modal {\\n  .modal-footer {\\n    .btn {\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.delete-posts-progress {\\n  .progress-bar {\\n    height: 15px;\\n    position: relative;\\n    background: $primary-low-mid;\\n    border-radius: 25px;\\n    overflow: hidden;\\n    margin: 30px 0 20px;\\n    span {\\n      display: block;\\n      width: 0%;\\n      height: 100%;\\n      background-color: $tertiary;\\n      position: relative;\\n      transition: width 0.6s linear;\\n    }\\n  }\\n}\\n\\n.permission-list {\\n  // Category security tab\\n  list-style: none;\\n  margin: 0 0 30px;\\n  padding: 0;\\n  .name {\\n    margin-right: 20px;\\n    display: inline-block;\\n    min-width: 100px;\\n  }\\n  .permission {\\n    margin-left: 20px;\\n  }\\n  .d-icon-times-circle {\\n    margin-left: 5px;\\n    color: $danger;\\n  }\\n  li {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.edit-category-modal {\\n  input:not([type=\\"checkbox\\"]),\\n  .controls {\\n    display: block;\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .disable_info_wrap {\\n    position: relative;\\n    display: inline-block;\\n    float: right;\\n\\n    .cannot_delete_reason {\\n      position: absolute;\\n      background: $primary;\\n      color: $secondary;\\n      text-align: center;\\n      border-radius: 2px;\\n      padding: 12px 8px;\\n\\n      &::after {\\n        top: 100%;\\n        left: 57%;\\n        border: solid transparent;\\n        content: \\" \\";\\n        position: absolute;\\n        border-top-color: $primary;\\n        border-width: 8px;\\n      }\\n    }\\n  }\\n\\n  .permission-selector {\\n    margin-right: 0.25em;\\n  }\\n\\n  .pending-permission-change-alert {\\n    margin-left: auto;\\n    max-width: 250px;\\n    background: $primary-very-high;\\n    color: $secondary;\\n    margin-top: 10px;\\n    padding: 5px 10px;\\n    position: relative;\\n    .arrow-div {\\n      border: solid transparent;\\n      content: \\" \\";\\n      position: absolute;\\n      border-bottom-color: $primary-very-high;\\n      border-width: 7px;\\n      top: -13px;\\n      left: 200px;\\n    }\\n  }\\n\\n  .add-permission {\\n    position: relative;\\n    top: 0.1em;\\n  }\\n\\n  .edit-category-tab-settings {\\n    $category-settings-width: 280px; // Consistent width makes this all easier to read\\n    > section {\\n      margin-bottom: 1.5em;\\n    }\\n    input[type=\\"number\\"],\\n    input[type=\\"text\\"],\\n    .select-kit {\\n      width: $category-settings-width;\\n    }\\n    label {\\n      max-width: $category-settings-width;\\n    }\\n    .category-email-in-outlet {\\n      label {\\n        flex-wrap: wrap; // Todo: fix all multi-element labels\\n        a {\\n          margin-left: 1.3em;\\n        }\\n      }\\n    }\\n  }\\n  #category-min-tags-from-group {\\n    width: 100px;\\n  }\\n}\\n\\n.incoming-email-modal {\\n  .btn {\\n    transition: none;\\n    background-color: transparent;\\n    margin-right: 5px;\\n    &:hover,\\n    &.active {\\n      color: $primary;\\n    }\\n    &.active {\\n      font-weight: bold;\\n    }\\n    &:focus {\\n      outline: 2px solid $primary-low;\\n    }\\n  }\\n  .incoming-email-tabs {\\n    margin-bottom: 15px;\\n  }\\n  .incoming-email-content {\\n    height: 300px;\\n    max-width: 700px;\\n    width: 90vw; // forcing textarea wider\\n    textarea,\\n    .incoming-email-html-part {\\n      height: 95%;\\n      border: none;\\n      border-top: 1px solid $primary-low;\\n      padding-top: 10px;\\n    }\\n    textarea {\\n      font-family: monospace;\\n      resize: none;\\n      border-radius: 0;\\n      box-shadow: none;\\n    }\\n    .incoming-email-html-part {\\n      padding: 10px 4px 4px 4px;\\n    }\\n  }\\n}\\n\\n.modal .modal-body.change-timestamp {\\n  #date-container {\\n    .pika-single {\\n      width: 100%;\\n      box-sizing: border-box;\\n      display: flex;\\n      justify-content: center;\\n    }\\n  }\\n\\n  form {\\n    display: flex;\\n\\n    .date-picker-wrapper,\\n    input[type=\\"time\\"] {\\n      width: 50%;\\n    }\\n\\n    .date-picker-wrapper {\\n      display: flex;\\n      flex: 1;\\n\\n      .date-picker {\\n        flex: 1;\\n      }\\n    }\\n\\n    input.date-picker,\\n    input[type=\\"time\\"] {\\n      text-align: left;\\n      margin: 0;\\n    }\\n  }\\n}\\n\\n.change-timestamp {\\n  max-width: 420px;\\n}\\n\\n.change-timestamp,\\n.poll-ui-builder {\\n  #date-container {\\n    .pika-single {\\n      position: relative !important; // overriding another important\\n      display: inline-block;\\n      margin-top: 0.5em;\\n    }\\n  }\\n\\n  .date-picker-wrapper {\\n    min-width: 130px;\\n    margin-right: 0.5em;\\n  }\\n\\n  input[type=\\"time\\"] {\\n    width: 130px;\\n  }\\n\\n  form {\\n    margin: 0;\\n  }\\n}\\n\\n.flag-modal {\\n  max-height: 450px;\\n  .flag-action-type-details {\\n    width: 100%;\\n    max-width: 500px;\\n    line-height: $line-height-large;\\n  }\\n}\\n\\n.flag-message {\\n  margin: 0;\\n}\\n\\n.custom-message-length {\\n  color: $primary-medium;\\n  font-size: $font-down-1;\\n}\\n\\n.jump-to-post-modal {\\n  .modal-inner-container {\\n    max-width: 350px;\\n  }\\n  .modal-body {\\n    overflow-y: visible;\\n    #post-jump,\\n    .date-picker {\\n      margin: 0;\\n      width: 100px;\\n    }\\n\\n    .input-hint-text {\\n      color: $primary;\\n    }\\n\\n    .jump-to-post-control .index {\\n      color: $primary-medium;\\n    }\\n\\n    .jump-to-date-control .input-hint-text {\\n      margin-left: 0;\\n    }\\n\\n    .separator {\\n      display: flex;\\n      align-items: center;\\n      margin: 0.5em auto;\\n\\n      hr {\\n        flex: 1 0 0px;\\n      }\\n\\n      .text {\\n        margin: 0 0.5em 0 0;\\n        color: $primary-medium;\\n      }\\n    }\\n  }\\n}\\n\\n// move-to topic modal\\n.move-to-modal {\\n  // move to existing topic\\n  .existing-topic {\\n    .radio {\\n      flex-wrap: wrap;\\n    }\\n    .topic-title {\\n      max-width: 90%;\\n    }\\n    .topic-categories {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.modal:not(.has-tabs) {\\n  .modal-tab {\\n    position: absolute;\\n    width: 95%;\\n  }\\n}\\n\\n.modal {\\n  &.has-tabs {\\n    .modal-tabs {\\n      display: inline-flex;\\n      flex-wrap: wrap;\\n      width: calc(100% - 20px);\\n      flex: 1 0 auto;\\n      margin: 0;\\n\\n      .modal-tab {\\n        list-style: none;\\n        padding: s(1 2);\\n        margin-right: s(1);\\n        cursor: pointer;\\n\\n        &.is-active {\\n          color: $secondary;\\n          background: $danger;\\n\\n          &.single-tab {\\n            background: none;\\n            color: $primary;\\n            padding: s(1 0);\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".groups-header {\\n  display: flex;\\n  flex-wrap: wrap;\\n  margin-bottom: 1em;\\n  .groups-header-new {\\n    order: 2;\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.groups-header-filters {\\n  display: flex;\\n  flex-wrap: wrap;\\n\\n  .groups-header-filters-name,\\n  .groups-header-filters-type {\\n    margin-right: 5px;\\n    margin-bottom: 0.5em;\\n  }\\n\\n  &:last-child {\\n    margin-right: auto;\\n  }\\n}\\n\\n.groups-boxes {\\n  margin: 1em 0;\\n  width: 100%;\\n  // IE11 falls back to flexbox\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: space-between;\\n  // Everything that's not IE11 uses grid\\n  @supports (display: grid) {\\n    display: grid;\\n    grid-template-columns: repeat(4, 24%);\\n    grid-column-gap: 1.333%;\\n    grid-row-gap: 1em;\\n    @include breakpoint(\\"tablet\\") {\\n      grid-template-columns: repeat(3, 32%);\\n      grid-column-gap: 2%;\\n    }\\n    @include breakpoint(\\"mobile-large\\") {\\n      grid-template-columns: 100%;\\n    }\\n  }\\n\\n  .group-box {\\n    // Flex and margin are for IE11\\n    flex: 1 1 24%;\\n    margin: 1%;\\n    @include breakpoint(\\"mobile-large\\") {\\n      margin: 0;\\n    }\\n    display: flex;\\n    box-sizing: border-box;\\n    cursor: pointer;\\n    border: 1px solid $primary-low;\\n    color: $primary;\\n    .discourse-no-touch & {\\n      transition: all 0.25s;\\n      &:hover {\\n        box-shadow: shadow(\\"card\\");\\n      }\\n    }\\n    .group-membership {\\n      color: $primary-medium;\\n      margin-top: auto;\\n      padding-top: 1em;\\n      .is-group-owner,\\n      .is-group-member {\\n        color: $success;\\n      }\\n    }\\n    .group-box-inner {\\n      padding: 1em;\\n      width: 100%;\\n      display: flex;\\n      flex-direction: column;\\n      box-sizing: border-box;\\n      .group-info-wrapper {\\n        display: flex;\\n        overflow: hidden;\\n        flex: 0 1 auto;\\n        .group-avatar-flair {\\n          margin-top: 0.2em;\\n          margin-right: 8px;\\n          flex: 0 0 auto;\\n        }\\n        .group-info {\\n          flex: 1 0 auto;\\n          margin-bottom: 1em;\\n          width: 70%;\\n\\n          span {\\n            width: 100%;\\n            word-break: break-word;\\n            line-height: $line-height-medium;\\n          }\\n        }\\n      }\\n      .group-user-count {\\n        display: flex;\\n        align-items: center;\\n        color: $primary-high;\\n        .d-icon {\\n          margin-right: 0.25em;\\n          font-size: 0.8em;\\n          color: $primary-medium;\\n        }\\n      }\\n      .group-description {\\n        color: $primary-high;\\n        word-wrap: break-word;\\n      }\\n    }\\n\\n    .groups-info-name {\\n      font-size: $font-up-1;\\n      font-weight: bold;\\n      color: $primary;\\n    }\\n\\n    $size: 40px;\\n    $icon-size: $size / 1.8;\\n\\n    .group-avatar-flair {\\n      display: inline-block;\\n      color: $primary;\\n\\n      .avatar-flair {\\n        background-size: $size;\\n        height: $size;\\n        width: $size;\\n        border-radius: 50%;\\n        display: flex;\\n        align-items: center;\\n        justify-content: center;\\n        background-repeat: no-repeat;\\n\\n        .d-icon {\\n          height: $icon-size;\\n          width: $icon-size;\\n        }\\n      }\\n    }\\n    .avatar-flair-image {\\n      width: $size;\\n    }\\n  }\\n}\\n",\n\t\t".caps-lock-warning {\\n  color: $danger;\\n  font-size: $font-down-1;\\n  font-weight: bold;\\n}\\n\\n.discourse-no-touch #login-form {\\n  margin: 0;\\n}\\n\\n.discourse-touch .caps-lock-warning {\\n  display: none;\\n}\\n\\n#login-form {\\n  table {\\n    width: 100%;\\n  }\\n  a {\\n    color: $primary-high;\\n  }\\n  td {\\n    padding-right: 5px;\\n  }\\n  #credentials {\\n    tr:first-of-type {\\n      margin-bottom: 0.75em;\\n    }\\n  }\\n}\\n\\n#new-account-link {\\n  cursor: pointer;\\n}\\n\\n.login-modal,\\n.create-account {\\n  tr {\\n    border: none;\\n  }\\n  tr:not(.instructions) {\\n    td {\\n      padding: 10px 0 0 0;\\n    }\\n  }\\n  td {\\n    label,\\n    input {\\n      margin-bottom: 0;\\n      width: 100%;\\n    }\\n  }\\n  .modal-footer {\\n    .inline-spinner {\\n      display: inline-flex;\\n    }\\n  }\\n  &.awaiting-approval {\\n    display: none;\\n  }\\n}\\n\\n.create-account {\\n  .disclaimer {\\n    color: $primary-medium;\\n    margin-top: 0.5em;\\n  }\\n\\n  .user-field {\\n    > label {\\n      margin-top: 0.75em;\\n      margin-bottom: 0;\\n      padding-top: 5px;\\n    }\\n    &:first-of-type > label {\\n      margin-top: 0;\\n    }\\n\\n    input[type=\\"text\\"] {\\n      margin-bottom: 0;\\n      width: 100%;\\n    }\\n\\n    .select-kit {\\n      width: 100%;\\n    }\\n\\n    .controls {\\n      padding-top: 5px;\\n      label {\\n        width: auto;\\n        text-align: left;\\n        font-weight: normal;\\n      }\\n      .instructions {\\n        margin-top: 0.15em;\\n        color: $primary-medium;\\n        line-height: $line-height-medium;\\n      }\\n    }\\n  }\\n}\\n\\n.password-reset {\\n  .instructions {\\n    label {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\n.invites-show {\\n  .two-col {\\n    position: relative;\\n    display: flex;\\n  }\\n\\n  .col-image {\\n    position: relative;\\n    margin-right: 20px;\\n    @media screen and (max-width: 600px) {\\n      display: none;\\n    }\\n  }\\n\\n  form {\\n    margin-top: 24px;\\n    button.btn-primary {\\n      margin-top: 10px;\\n    }\\n    label:not(.checkbox-label) {\\n      font-weight: bold;\\n    }\\n    .controls,\\n    .input {\\n      margin-bottom: 10px;\\n    }\\n    .instructions {\\n      color: $primary-medium;\\n      margin: 0;\\n      font-size: $font-down-1;\\n      font-weight: normal;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.auth-message {\\n  padding: 0 15px 15px 15px;\\n  &:empty {\\n    padding: 0;\\n  }\\n}\\n\\n.modal tr.instructions {\\n  display: flex;\\n  flex-direction: column;\\n  margin-top: 0.15em;\\n  label {\\n    color: $primary-medium;\\n  }\\n}\\n\\n// alternate login / create new account buttons should be de-emphasized\\n\\nbutton#login-link,\\nbutton#new-account-link {\\n  background: transparent;\\n  color: $primary-high;\\n}\\n\\n#security-key {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  button {\\n    margin-right: 1.5em;\\n  }\\n  p {\\n    margin: 0;\\n    font-size: $font-0;\\n  }\\n  a {\\n    display: inline-block;\\n    padding: 1em 0.5em 1em 0;\\n    color: $tertiary;\\n  }\\n}\\n",\n\t\t".menu-panel.slide-in {\\n  position: fixed;\\n  right: 0;\\n  box-shadow: shadow(\\"header\\");\\n  &.animate {\\n    transition: right 0.2s ease-out, left 0.2s ease-out;\\n  }\\n\\n  .panel-body {\\n    position: absolute;\\n    top: 3px;\\n    bottom: 37px;\\n    width: 97%;\\n  }\\n}\\n.header-cloak {\\n  display: none;\\n}\\n\\n.menu-panel.drop-down {\\n  position: absolute;\\n  // positions are relative to the .d-header .panel div\\n  top: 100%; // directly underneath .panel\\n  right: -10px; // 10px to the right of .panel - adjust as needed\\n}\\n\\n.menu-panel {\\n  border: 1px solid $primary-low;\\n  box-shadow: shadow(\\"menu-panel\\");\\n  background-color: $secondary;\\n  z-index: z(\\"header\\");\\n  padding: 0.5em;\\n  width: 300px;\\n\\n  hr {\\n    margin: 3px 0;\\n  }\\n\\n  .panel-header {\\n    position: absolute;\\n    right: 20px;\\n  }\\n\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n    padding: 0;\\n  }\\n\\n  .panel-body {\\n    touch-action: pan-y pinch-zoom;\\n    overflow-y: auto;\\n    overflow-x: hidden;\\n    max-height: 100vh;\\n  }\\n\\n  .badge-notification {\\n    vertical-align: text-bottom;\\n  }\\n}\\n\\n.menu-links.columned {\\n  li {\\n    width: 50%;\\n    float: left;\\n  }\\n}\\n\\n.menu-panel {\\n  li,\\n  li.heading {\\n    a.widget-link {\\n      padding: 0.25em 0.5em;\\n      display: block;\\n      &:hover,\\n      &:focus {\\n        background-color: $highlight-medium;\\n        outline: none;\\n      }\\n    }\\n\\n    .new {\\n      font-size: $font-down-1;\\n      margin-left: 0.5em;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  .categories-link {\\n    display: block;\\n    padding: 0.25em 0.5em;\\n  }\\n\\n  li.category-link {\\n    float: left;\\n    background-color: transparent;\\n    display: inline-flex;\\n    align-items: center;\\n    padding: 0.25em 0.5em;\\n    width: 50%;\\n    box-sizing: border-box;\\n    a {\\n      display: inline-flex;\\n      &:hover,\\n      &:focus {\\n        background: transparent;\\n      }\\n    }\\n    .badge-notification {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      background-color: transparent;\\n      display: inline;\\n      padding: 0;\\n      font-size: $font-down-1;\\n      line-height: $line-height-large;\\n    }\\n    .badge-wrapper {\\n      &.bar,\\n      &.bullet {\\n        color: $primary;\\n        padding: 0 0 0 0.15em;\\n      }\\n      &.box {\\n        color: $secondary;\\n        + a.badge.badge-notification {\\n          padding-top: 2px;\\n        }\\n        span {\\n          z-index: z(\\"base\\") * -1;\\n        }\\n      }\\n    }\\n  }\\n\\n  // note these topic counts only appear for anons in the category hamburger drop down\\n  b.topics-count {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n  }\\n\\n  span.badge-category {\\n    max-width: 100px;\\n  }\\n\\n  div.discourse-tags {\\n    font-size: $font-down-1;\\n  }\\n}\\n\\n.user-menu {\\n  .quick-access-panel {\\n    width: 100%;\\n    display: table;\\n\\n    h3 {\\n      padding: 0 0.4em;\\n      font-weight: bold;\\n      margin: 0.5em 0;\\n    }\\n\\n    .d-icon,\\n    &:hover .d-icon {\\n      color: $primary-medium;\\n    }\\n    .icon {\\n      color: $primary-high;\\n    }\\n    li {\\n      background-color: $tertiary-low;\\n\\n      // This is until other languages remove the HTML from within\\n      // notifications. It can then be removed\\n      div .fa {\\n        display: none;\\n      }\\n\\n      span:first-child {\\n        color: $primary;\\n      }\\n\\n      &:hover,\\n      &:focus {\\n        background-color: $highlight-medium;\\n        outline: none;\\n      }\\n\\n      a {\\n        padding: 0;\\n        > div {\\n          overflow: hidden; // clears the text from wrapping below icons\\n\\n          // Truncate items with more than 2 lines.\\n          display: -webkit-box;\\n          -webkit-line-clamp: 2;\\n          -webkit-box-orient: vertical;\\n        }\\n      }\\n\\n      p {\\n        margin: 0;\\n        overflow: hidden;\\n      }\\n    }\\n    li:not(.show-all) {\\n      padding: 0.25em 0.5em;\\n      .d-icon {\\n        float: left;\\n        margin-right: 5px;\\n        padding-top: 0.2em;\\n      }\\n    }\\n    .is-warning {\\n      .d-icon-far-envelope {\\n        color: $danger;\\n      }\\n    }\\n    .read {\\n      background-color: $secondary;\\n    }\\n    .none {\\n      padding-top: 5px;\\n    }\\n    .spinner-container {\\n      min-height: 2em;\\n    }\\n    .spinner {\\n      width: 20px;\\n      height: 20px;\\n      border-width: 2px;\\n      margin: 0 auto;\\n    }\\n    .show-all a {\\n      width: 100%;\\n      display: flex;\\n      justify-content: center;\\n      align-items: center;\\n      min-height: 30px;\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n      background: blend-primary-secondary(5%);\\n      &:hover {\\n        color: $primary;\\n        background: dark-light-diff($primary, $secondary, 90%, -80%);\\n      }\\n    }\\n    /* as a big ol' click target, don't let text inside be selected */\\n    @include unselectable;\\n  }\\n\\n  .dismiss-link {\\n    display: inline-block;\\n    float: right;\\n  }\\n}\\n\\ndiv.menu-links-header {\\n  width: 100%;\\n  display: table;\\n  border-collapse: separate;\\n  border-spacing: 0 0.5em;\\n  .menu-links-row {\\n    border-bottom: 1px solid dark-light-choose($primary-low, $secondary-medium);\\n    display: flex;\\n\\n    // Tabs should have \\"ears\\".\\n    padding: 0 4px;\\n\\n    li {\\n      display: inline-flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      &.user {\\n        margin-right: auto;\\n      }\\n      &.glyphs {\\n        flex-wrap: wrap;\\n        text-align: right;\\n        max-width: 65%; //IE11\\n\\n        a {\\n          // Expand the click area a bit.\\n          padding-left: 0.6em;\\n          padding-right: 0.6em;\\n        }\\n      }\\n\\n      a {\\n        // This is to make sure active and inactive tab icons have the same\\n        // size. `box-sizing` does not work and I have no idea why.\\n        border: 1px solid transparent;\\n        border-bottom: 0;\\n      }\\n\\n      a.active {\\n        border: 1px solid dark-light-choose($primary-low, $secondary-medium);\\n        border-bottom: 0;\\n        position: relative;\\n\\n        &:after {\\n          display: block;\\n          position: absolute;\\n          top: 100%;\\n          left: 0;\\n          z-index: z(\\"header\\") + 1; // Higher than .menu-panel\\n          width: 100%;\\n          height: 0;\\n          content: \\"\\";\\n          border-top: 1px solid $secondary;\\n        }\\n\\n        &:focus,\\n        &:hover {\\n          background-color: inherit;\\n        }\\n      }\\n    }\\n  }\\n  a:hover,\\n  a:focus {\\n    background-color: $highlight-medium;\\n    outline: none;\\n  }\\n  a {\\n    padding: 0.3em 0.5em;\\n  }\\n  a.user-activity-link {\\n    align-items: center;\\n    display: flex;\\n    margin: -0.5em 0;\\n    max-width: 130px;\\n\\n    // `overflow: hidden` on `.user-activity-link` would hide the `::after`\\n    // pseudo element (used to create the tab-looking effect). Sets `overflow:\\n    // hidden` on the child username label instead.\\n    overflow: visible;\\n\\n    span.d-label {\\n      display: block;\\n      max-width: 130px;\\n      @include ellipsis;\\n    }\\n\\n    @include breakpoint(mobile-medium) {\\n      max-width: 125px;\\n    }\\n  }\\n  li {\\n    display: table-cell;\\n    width: auto;\\n    text-align: center;\\n  }\\n  li:first-child {\\n    text-align: left;\\n  }\\n\\n  li:last-child {\\n    text-align: right;\\n  }\\n  .fa,\\n  a {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n\\n  .d-icon-user {\\n    margin-right: 0.475em;\\n  }\\n}\\n",\n\t\t".request-group-membership-form {\\n  label {\\n    font-weight: bold;\\n  }\\n}\\n\\n.group-add-membership-request-template {\\n  width: 98%;\\n}\\n",\n\t\t".d-editor-container {\\n  display: flex;\\n  flex-grow: 1;\\n  max-width: 100%;\\n}\\n\\n.d-editor {\\n  display: flex;\\n  flex-grow: 1;\\n  min-height: 0;\\n}\\n\\n.d-editor-textarea-wrapper,\\n.d-editor-preview-wrapper {\\n  flex: 1;\\n}\\n\\n.d-editor-textarea-wrapper {\\n  display: flex;\\n  flex-direction: column;\\n  background-color: $secondary;\\n  position: relative;\\n  border: 1px solid $primary-medium;\\n\\n  textarea {\\n    background: transparent;\\n  }\\n\\n  &.disabled {\\n    cursor: not-allowed;\\n    .d-editor-button-bar {\\n      visibility: hidden;\\n    }\\n  }\\n}\\n\\n.d-editor-preview-wrapper {\\n  max-width: 49%;\\n  margin-left: 1%;\\n  display: flex;\\n  flex-direction: column;\\n}\\n\\n.d-editor-button-bar {\\n  display: flex;\\n  align-items: center;\\n  min-height: 30px;\\n  border-bottom: 1px solid $primary-low;\\n\\n  .btn,\\n  .btn-default {\\n    background-color: transparent;\\n    display: inline-block;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n\\n    svg {\\n      -webkit-transform: translate3d(\\n        0,\\n        0,\\n        0\\n      ); // Hack: Reduces composer icon jitter while scrolling in Safari on iOS12\\n    }\\n  }\\n\\n  .d-editor-spacer {\\n    height: 1em;\\n    display: inline-block;\\n    border-left: 1px solid $primary-low-mid;\\n  }\\n\\n  .btn:not(.no-text) {\\n    font-size: $font-up-1;\\n  }\\n\\n  .btn.bold {\\n    font-weight: bolder;\\n  }\\n\\n  .btn.italic {\\n    font-style: italic;\\n  }\\n}\\n\\n.d-editor-preview-wrapper {\\n  overflow: auto;\\n  cursor: default;\\n  -webkit-overflow-scrolling: touch;\\n}\\n\\n.d-editor-input,\\n.d-editor-preview {\\n  box-sizing: border-box;\\n  flex: 1 1 100%;\\n  width: 100%;\\n  margin: 0;\\n  min-height: auto;\\n  word-wrap: break-word;\\n  -webkit-appearance: none;\\n  border-radius: 0;\\n  &:focus {\\n    box-shadow: none;\\n    border: 0;\\n    outline: 0;\\n  }\\n}\\n\\n.d-editor-input {\\n  border: 0;\\n  padding: 10px;\\n  height: 100%;\\n  overflow-x: hidden;\\n  resize: none;\\n}\\n\\n.d-editor-preview {\\n  height: auto;\\n}\\n\\n.d-editor-plugin {\\n  display: flex;\\n  flex: 1 1;\\n  overflow: auto;\\n}\\n\\n.composing-whisper .d-editor-preview {\\n  font-style: italic;\\n  color: $primary-medium !important;\\n}\\n\\n.d-editor-preview > *:first-child {\\n  margin-top: 0;\\n}\\n\\n.hide-preview .d-editor-preview-wrapper {\\n  display: none;\\n  flex: 0;\\n}\\n\\n.user-preferences .bio-composer,\\n.group-form-bio,\\n.edit-category-tab-topic-template {\\n  textarea {\\n    width: 100%;\\n    height: 100%;\\n    min-height: 10em;\\n  }\\n  .d-editor-container {\\n    display: block;\\n  }\\n  .d-editor-textarea-wrapper {\\n    border: 1px solid $primary-low;\\n  }\\n  .d-editor-preview-wrapper {\\n    max-width: 100%;\\n    margin: 10px 0 0 0;\\n  }\\n  .d-editor-preview {\\n    background-color: $primary-very-low;\\n    padding: 5px;\\n    &:empty {\\n      padding: 0;\\n    }\\n  }\\n}\\n\\n.user-preferences .bio-composer,\\n.group-form-bio {\\n  padding: 10px;\\n  border: 1px solid $primary-low;\\n}\\n\\n.d-editor-preview img {\\n  padding-bottom: 1.4em;\\n  &.emoji,\\n  &.avatar,\\n  &.site-icon {\\n    padding-bottom: 0;\\n  }\\n}\\n\\n.d-editor-preview .image-wrapper {\\n  position: relative;\\n  display: inline-block;\\n  padding-bottom: 1.4em;\\n\\n  img {\\n    padding-bottom: 0;\\n  }\\n\\n  &:hover {\\n    .button-wrapper {\\n      opacity: 0.9;\\n    }\\n  }\\n  .button-wrapper {\\n    opacity: 0;\\n    position: absolute;\\n    transition: all 0.25s;\\n    display: flex;\\n    align-items: center;\\n    bottom: 0;\\n    left: 0;\\n    .separator {\\n      color: $primary-low-mid;\\n    }\\n\\n    .scale-btn {\\n      color: $tertiary;\\n      padding: 0 0.4em;\\n      &:first-of-type {\\n        padding-left: 0;\\n      }\\n\\n      &.active {\\n        font-weight: bold;\\n        color: $primary;\\n      }\\n\\n      &:not(.active):hover {\\n        text-decoration: underline;\\n        cursor: pointer;\\n      }\\n    }\\n  }\\n}\\n\\n.mobile-view .d-editor-preview .image-wrapper .button-wrapper {\\n  opacity: 1;\\n}\\n\\n// d-editor bar button sizing for all editors - this is kept seprate to keep\\n// everything in one place\\n.d-editor-button-bar {\\n  margin: 0.25em;\\n\\n  // shared styles for all font sizes\\n  .btn,\\n  .btn-default {\\n    padding: 0 0.5em;\\n  }\\n  .d-editor-spacer {\\n    margin: 0 0.25em;\\n  }\\n\\n  // small text size\\n  .text-size-smaller & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.4em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n      .d-editor-spacer {\\n        margin: 0 0.25em;\\n      }\\n    }\\n  }\\n\\n  // normal text size\\n  .text-size-normal & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.35em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.25em;\\n      }\\n    }\\n  }\\n\\n  // larger text size\\n  .text-size-larger & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.2em;\\n      }\\n    }\\n  }\\n\\n  // largest text size\\n  .text-size-largest & {\\n    .btn,\\n    .btn-default {\\n      font-size: $font-down-1;\\n    }\\n\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.2em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".timeline-loading {\\n  width: 900px;\\n}\\n\\n.timeline-container {\\n  box-sizing: border-box;\\n  z-index: z(\\"timeline\\");\\n  margin-left: 757px;\\n\\n  @include breakpoint(extra-large, min-width) {\\n    margin-left: 820px;\\n  }\\n  @media all and (min-width: 1250px) {\\n    margin-left: 900px;\\n  }\\n\\n  position: fixed;\\n  -webkit-transform: translate3d(0, 0, 0);\\n\\n  &.timeline-docked {\\n    position: absolute;\\n  }\\n\\n  &.timeline-docked-bottom {\\n    .timeline-footer-controls {\\n      opacity: 0;\\n      pointer-events: none;\\n      cursor: default;\\n    }\\n  }\\n\\n  &.timeline-fullscreen.show {\\n    max-height: 700px;\\n    transition: max-height 0.4s ease-out;\\n    @media screen and (max-height: 425px) {\\n      max-height: 75vh;\\n    }\\n    .topic-timeline {\\n      .timeline-footer-controls {\\n        display: inherit;\\n      }\\n    }\\n    .timeline-controls {\\n      display: table-cell;\\n      vertical-align: top;\\n    }\\n  }\\n\\n  &.timeline-fullscreen {\\n    max-height: 0;\\n    transition: max-height 0.3s ease-in;\\n    position: fixed;\\n    margin-left: 0;\\n    background-color: $secondary;\\n    bottom: 0;\\n    left: 0;\\n    right: 0;\\n    border-top: 1px solid dark-light-choose($primary-low, $secondary-low);\\n    box-shadow: shadow(\\"composer\\");\\n    padding-top: 20px;\\n    z-index: z(\\"fullscreen\\");\\n    @media screen and (max-height: 425px) {\\n      padding-top: 10px;\\n    }\\n    .back-button {\\n      display: none;\\n    }\\n    .topic-timeline {\\n      width: 100%;\\n      table-layout: fixed;\\n      margin-left: 0;\\n      margin-right: 0;\\n      display: table;\\n      touch-action: none;\\n\\n      .timeline-date-wrapper {\\n        float: right;\\n        text-align: right;\\n      }\\n      .post-excerpt {\\n        max-width: 650px;\\n        max-height: 165px;\\n        line-height: $line-height-large;\\n        overflow: hidden;\\n        word-wrap: break-word;\\n        text-overflow: ellipsis;\\n        display: block;\\n        display: -webkit-box;\\n        -webkit-line-clamp: 8;\\n        @media screen and (max-height: 425px) {\\n          -webkit-line-clamp: 5;\\n        }\\n        -webkit-box-orient: vertical;\\n      }\\n      .username {\\n        color: dark-light-choose($primary-high, $secondary-low);\\n        word-wrap: break-word;\\n        font-weight: bold;\\n      }\\n      .title {\\n        margin-top: 0;\\n        padding-left: 1em;\\n        display: table-cell;\\n        vertical-align: top;\\n        width: 100%;\\n        h2 {\\n          margin-top: 0;\\n          display: block;\\n          display: -webkit-box;\\n          -webkit-line-clamp: 4;\\n          -webkit-box-orient: vertical;\\n          max-height: 110px;\\n          line-height: $line-height-medium;\\n          word-wrap: break-word;\\n          text-overflow: ellipsis;\\n          overflow: hidden;\\n          font-size: $font-up-2;\\n        }\\n        a {\\n          color: $primary;\\n        }\\n      }\\n      .timeline-last-read {\\n        right: 0;\\n        margin-left: 0;\\n        .progress {\\n          display: none;\\n        }\\n      }\\n      .timeline-footer-controls {\\n        display: none;\\n        position: absolute;\\n        bottom: 10px;\\n        left: 10px;\\n\\n        button,\\n        .btn-group {\\n          float: none;\\n          display: inline-block;\\n          margin-bottom: 0;\\n          margin-right: 15px;\\n          position: static;\\n        }\\n      }\\n      .timeline-scrollarea-wrapper {\\n        display: table-cell;\\n        padding-bottom: 20px;\\n        padding-right: 1.5em;\\n        width: 100px;\\n      }\\n      .timeline-scrollarea {\\n        border-left: 0;\\n        border-right-style: solid;\\n        border-right-width: 1px;\\n        max-width: 120px;\\n        float: right;\\n\\n        .timeline-scroller {\\n          position: relative;\\n          margin-right: -1.5em;\\n          padding-right: 1.5em;\\n          justify-content: flex-end;\\n          .timeline-scroller-content {\\n            text-align: right;\\n            padding-left: 0;\\n            padding-right: 1em;\\n          }\\n          .timeline-handle {\\n            float: none;\\n            width: 11px;\\n            position: relative;\\n            right: -6px;\\n          }\\n        }\\n      }\\n    }\\n\\n    .timeline-scrollarea-wrapper::after {\\n      content: \\"\\";\\n      display: table;\\n      clear: both;\\n    }\\n  }\\n\\n  .topic-timeline {\\n    margin-left: 3em;\\n    transition: opacity 0.2s ease-in;\\n    touch-action: none;\\n\\n    .timeline-controls {\\n      margin-bottom: 1em;\\n\\n      button {\\n        margin-right: 0.5em;\\n      }\\n    }\\n\\n    .timeline-footer-controls {\\n      margin-top: 1.5em;\\n      transition: opacity 0.2s ease-in;\\n      display: flex;\\n\\n      button {\\n        margin-right: 0.5em;\\n      }\\n\\n      button:last-child {\\n        margin-right: 0;\\n      }\\n    }\\n\\n    .start-date {\\n      @include unselectable;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    .timeline-scrollarea {\\n      margin-top: 0.5em;\\n      margin-left: 0.5em;\\n      border-left: 1px solid;\\n      border-color: dark-light-choose($tertiary-low, $tertiary-high);\\n      position: relative;\\n      -webkit-transform: translate3d(0, 0, 0);\\n    }\\n\\n    .timeline-padding {\\n      transition: height 0.15s ease-out;\\n      cursor: pointer;\\n      .widget-dragging & {\\n        transition: none;\\n      }\\n    }\\n\\n    .timeline-handle {\\n      border-radius: 0.8em;\\n      width: 0.35em;\\n      background-color: dark-light-choose($tertiary-low, $tertiary-high);\\n      height: 100%;\\n      float: left;\\n      z-index: z(\\"base\\") + 1;\\n    }\\n\\n    .timeline-scroller-content {\\n      padding-left: 1em;\\n    }\\n\\n    .timeline-ago {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    .timeline-scroller {\\n      @include unselectable;\\n      margin-left: -0.19em;\\n      cursor: ns-resize;\\n      display: flex;\\n      align-items: center;\\n\\n      .back-button {\\n        margin-top: 1em;\\n      }\\n    }\\n\\n    .timeline-replies {\\n      font-weight: bold;\\n    }\\n\\n    .timeline-last-read {\\n      position: absolute;\\n      margin-left: -0.35em;\\n      .progress {\\n        font-size: 0.8em;\\n        color: $tertiary;\\n        margin-right: 1em;\\n      }\\n      z-index: z(\\"base\\") + 2; // above timeline-handle\\n    }\\n\\n    .back-button {\\n      min-height: unset;\\n      padding: 2px 5px;\\n    }\\n\\n    .now-date {\\n      @include unselectable;\\n      display: inline-block;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      margin-top: 0.5em;\\n    }\\n  }\\n}\\n",\n\t\t".alert {\\n  margin-bottom: 15px;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Banner\\n// --------------------------------------------------\\n\\n#banner {\\n  margin-bottom: 10px;\\n  max-width: 1090px;\\n  max-height: 250px;\\n}\\n",\n\t\t"#reply-control {\\n  .reply-area {\\n    margin: 0 auto;\\n    padding: 5px 15px;\\n    box-sizing: border-box;\\n    height: calc(100% - 11px);\\n    width: 100%;\\n    .submit-panel {\\n      flex-wrap: wrap;\\n      align-items: center;\\n    }\\n  }\\n\\n  #private-message-users {\\n    width: 404px;\\n  }\\n\\n  .item + #private-message-users {\\n    width: 150px;\\n  }\\n\\n  .select-kit.is-expanded {\\n    z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  }\\n}\\n\\n.category-input {\\n  margin-left: 10px;\\n}\\n\\n.edit-title {\\n  .d-editor-preview-wrapper {\\n    margin-top: -43px;\\n  }\\n  &:not(.private-message) {\\n    .d-editor-preview-wrapper {\\n      @media screen and (max-width: 955px) {\\n        margin-top: -77px;\\n      }\\n    }\\n  }\\n\\n  .with-tags {\\n    .d-editor-preview-wrapper {\\n      margin-top: -77px;\\n      @media screen and (max-width: 900px) {\\n        margin-top: -105px;\\n      }\\n    }\\n  }\\n}\\n\\n.closed {\\n  .grippie {\\n    display: none;\\n  }\\n}\\n\\n.open {\\n  .grippie {\\n    cursor: row-resize;\\n    padding: 4px 0;\\n    background: $tertiary;\\n    &:before {\\n      content: \\"\\";\\n      display: block;\\n      width: 27px;\\n      margin: auto;\\n      border-top: 3px double $secondary;\\n    }\\n  }\\n}\\n\\n.discourse-touch {\\n  .open {\\n    .grippie {\\n      padding: 7px 0;\\n    }\\n  }\\n}\\n\\n.composer-popup-container {\\n  max-width: 1500px;\\n  margin-left: auto;\\n  margin-right: auto;\\n}\\n\\n.composer-popup {\\n  position: absolute;\\n  width: calc(50% - 45px);\\n  max-width: 724px;\\n  top: 20px;\\n  bottom: 10px;\\n  left: 51%;\\n  overflow-y: auto;\\n  z-index: z(\\"composer\\", \\"popover\\");\\n  padding: 10px 10px 35px 10px;\\n  box-shadow: shadow(\\"card\\");\\n  background: $highlight-medium;\\n  .hide-preview & {\\n    z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  }\\n\\n  &.urgent {\\n    background: $danger-low;\\n  }\\n\\n  &.education-message {\\n    background-color: $tertiary-low;\\n  }\\n\\n  h3 {\\n    margin-bottom: 10px;\\n  }\\n\\n  p {\\n    margin-bottom: 10px;\\n  }\\n\\n  a.close {\\n    display: flex;\\n    align-items: center;\\n    position: absolute;\\n    right: 10px;\\n    top: 10px;\\n    color: $primary;\\n    opacity: 0.5;\\n    font-size: $font-up-1;\\n    &:before {\\n      content: \\"esc\\";\\n      font-size: $font-down-1;\\n      margin-right: 0.5em;\\n    }\\n  }\\n\\n  a.close:hover {\\n    opacity: 1;\\n  }\\n\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n    padding: 0;\\n\\n    li {\\n      font-weight: normal;\\n      margin-top: 8px;\\n    }\\n  }\\n}\\n\\n.composer-controls {\\n  .d-chevron-down {\\n    vertical-align: text-top;\\n  }\\n}\\n\\n.custom-body {\\n  background-color: $tertiary-low;\\n  p {\\n    max-width: 98%;\\n  }\\n}\\n\\n.similar-topics {\\n  background-color: $tertiary-low;\\n\\n  a[href] {\\n    color: $primary;\\n  }\\n\\n  .posts-count {\\n    background-color: $tertiary;\\n  }\\n\\n  .search-link {\\n    .topic-title {\\n      flex: 0 1 auto;\\n      margin-right: 0.5em;\\n    }\\n    .topic-statuses:empty {\\n      display: none;\\n    }\\n    span.badge-wrapper {\\n      margin-left: 0;\\n    }\\n    .blurb {\\n      color: $primary-high;\\n    }\\n    .topic-title,\\n    .blurb {\\n      .d-icon {\\n        color: $primary-high;\\n      }\\n    }\\n    span.topic {\\n      display: flex;\\n      flex-direction: column;\\n\\n      .first-line {\\n        flex: 1;\\n      }\\n\\n      .second-line {\\n        display: flex;\\n        flex-wrap: wrap;\\n        align-items: center;\\n\\n        .discourse-tags {\\n          flex-wrap: wrap;\\n          display: contents;\\n          font-size: $font-down-1;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.composer-popup:nth-of-type(2) {\\n  margin-left: 10px;\\n  width: calc(50% - 65px);\\n}\\n\\na.toggle-preview {\\n  color: $primary-high;\\n  &:hover {\\n    color: $tertiary;\\n  }\\n}\\n\\n#draft-status,\\n#file-uploading {\\n  flex-grow: 1;\\n  text-align: right;\\n}\\n\\n// fullscreen composer styles\\n.fullscreen-composer {\\n  overflow: hidden;\\n\\n  .profiler-results {\\n    display: none;\\n  }\\n  #reply-control {\\n    &.fullscreen {\\n      // important needed because of inline styles when height is changed manually with grippie\\n      height: 100vh !important;\\n      @supports (--custom: property) {\\n        height: calc(var(--composer-vh, 1vh) * 100) !important;\\n      }\\n      z-index: z(\\"header\\") + 1;\\n      .d-editor-preview-wrapper {\\n        margin-top: 1%;\\n      }\\n      .reply-to {\\n        border-bottom: 1px solid $primary-low;\\n        padding-bottom: 3px;\\n        margin: 0;\\n        .composer-controls {\\n          margin-right: 0;\\n        }\\n      }\\n      .d-editor-textarea-wrapper {\\n        border: none;\\n      }\\n      &.show-preview .d-editor-textarea-wrapper {\\n        border-right: 1px solid $primary-low;\\n      }\\n      #draft-status,\\n      #file-uploading {\\n        margin-left: 0;\\n        text-align: initial;\\n      }\\n      .composer-popup {\\n        top: 30px;\\n      }\\n      &:before {\\n        content: \\"\\";\\n        background: $secondary;\\n        width: 100%;\\n        height: 100%;\\n        position: fixed;\\n        z-index: -1;\\n        left: 0;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Desktop\\n// global styles that apply to the Discourse application specifically\\n// BEWARE: changing these styles implies they take effect anywhere they are seen\\n// throughout the Discourse application\\n\\n// Base Elements\\nbody.widget-dragging {\\n  cursor: ns-resize;\\n}\\n\\n// Common classes\\n.boxed {\\n  height: 100%;\\n}\\n\\n.form-vertical {\\n  .control-group {\\n    margin-bottom: 1.25em;\\n  }\\n  .controls:not(.controls-dropdown) + .controls {\\n    margin-top: 0.5em;\\n  }\\n}\\n\\n/***********************/\\n/* bootstrap carryover */\\n/***********************/\\ncode,\\npre {\\n  font-family: Consolas, Menlo, Monaco, \\"Lucida Console\\", \\"Liberation Mono\\",\\n    \\"DejaVu Sans Mono\\", \\"Bitstream Vera Sans Mono\\", \\"Courier New\\", monospace;\\n}\\n\\n// this removes the unwanted top margin on a paragraph under a heading\\nh1,\\nh2,\\nh3,\\nh4,\\nh5,\\nh6 {\\n  + p {\\n    margin-top: 0;\\n  }\\n}\\n\\nform {\\n  margin: 0 0 18px;\\n}\\n\\nlabel,\\ninput,\\nbutton,\\nselect,\\ntextarea {\\n  font-size: $font-0;\\n  font-weight: normal;\\n  line-height: $line-height-medium;\\n}\\n\\nselect,\\ntextarea {\\n  display: inline-block;\\n  padding: 4px;\\n  margin-bottom: 9px;\\n  font-size: $font-0;\\n  line-height: $line-height-large;\\n  color: $primary;\\n}\\n\\ninput,\\ntextarea {\\n  width: 210px;\\n}\\n\\nselect,\\ninput[type=\\"file\\"] {\\n  line-height: $line-height-large;\\n}\\n\\nselect {\\n  width: 220px;\\n  background: $secondary;\\n\\n  &[multiple],\\n  &[size] {\\n    height: auto;\\n  }\\n}\\n\\ninput,\\ntextarea {\\n  margin-left: 0;\\n}\\n\\ninput {\\n  &[type=\\"radio\\"],\\n  &[type=\\"checkbox\\"] {\\n    &[disabled],\\n    &[readonly] {\\n      background-color: transparent;\\n    }\\n  }\\n}\\n\\n.input {\\n  &-xxlarge,\\n  &-xxlarge + .control-instructions {\\n    width: 530px;\\n  }\\n}\\n\\n.controls-dropdown {\\n  margin-bottom: 10px;\\n}\\n\\n.control-instructions {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  font-size: 0.875rem;\\n}\\n\\n.control-group {\\n  margin-bottom: 9px;\\n\\n  &.warning,\\n  &.error {\\n    > label {\\n      color: $danger;\\n    }\\n\\n    .checkbox,\\n    .radio,\\n    input,\\n    select,\\n    textarea {\\n      color: $danger;\\n      border-color: $danger;\\n\\n      &:focus {\\n        border-color: scale-color($danger, $lightness: -30%);\\n        box-shadow: shadow(\\"focus-danger\\");\\n      }\\n    }\\n  }\\n\\n  &.warning {\\n    .input-prepend,\\n    .input-append {\\n      .add-on {\\n        color: $danger;\\n        background-color: $danger;\\n        border-color: $danger;\\n      }\\n    }\\n  }\\n\\n  &.error {\\n    .input-prepend,\\n    .input-append {\\n      .add-on {\\n        color: $danger;\\n        background-color: $danger-medium;\\n        border-color: scale-color($danger, $lightness: -20%);\\n      }\\n    }\\n  }\\n\\n  &.success {\\n    > label {\\n      color: $success;\\n    }\\n\\n    .checkbox,\\n    .radio,\\n    input,\\n    select,\\n    textarea {\\n      color: $success;\\n      border-color: $success;\\n\\n      &:focus {\\n        border-color: $success;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    .input-prepend,\\n    .input-append {\\n      .add-on {\\n        color: $success;\\n        background-color: $success-low;\\n        border-color: $success;\\n      }\\n    }\\n  }\\n}\\n\\n.form-horizontal {\\n  .hide {\\n    display: none;\\n  }\\n\\n  input,\\n  textarea,\\n  select,\\n  .input-prepend,\\n  .input-append {\\n    display: inline-block;\\n    margin-bottom: 0;\\n  }\\n\\n  .control-group {\\n    @include clearfix;\\n    margin-bottom: 18px;\\n  }\\n\\n  .control-indent {\\n    margin-left: 20px;\\n    margin-bottom: 10px;\\n  }\\n\\n  .control-label {\\n    margin: 6.5px;\\n    float: left;\\n    width: 140px;\\n    text-align: right;\\n    font-weight: bold;\\n  }\\n\\n  .controls {\\n    margin-left: 160px;\\n  }\\n}\\n\\n.bootbox.modal {\\n  .modal-footer {\\n    a.btn-primary {\\n      color: $secondary;\\n    }\\n  }\\n}\\n\\n/* bootstrap columns */\\n.row {\\n  @include clearfix;\\n}\\n\\n.offset {\\n  &2 {\\n    margin-left: 116px;\\n  }\\n\\n  &1 {\\n    margin-left: 64px;\\n  }\\n}\\n\\n// Media Queries\\n@media all and (max-width: 570px) {\\n  body {\\n    min-width: 0;\\n  }\\n\\n  .wrap,\\n  .full-width {\\n    min-width: 0;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Discourse header\\n// --------------------------------------------------\\n\\n.d-header {\\n  left: 0;\\n  height: 4em;\\n  margin-bottom: 15px;\\n  #site-logo {\\n    height: 2.667em; // 40px with default 15px font size\\n  }\\n  #site-text-logo {\\n    font-size: $font-up-3;\\n    margin: 0;\\n  }\\n  .extra-info {\\n    // header title should not be centered if there's no tags / categories\\n    &:not(.two-rows) {\\n      min-height: 2.75em;\\n    }\\n  }\\n}\\n\\n@media all and (max-width: 570px) {\\n  .extra-info-wrapper {\\n    display: none;\\n  }\\n}\\n\\n#main {\\n  position: relative;\\n}\\n\\n#main-outlet {\\n  padding-top: 5.8572em;\\n}\\n\\n.search-link .blurb {\\n  color: dark-light-choose($primary-high, $secondary-medium);\\n  display: block;\\n  word-wrap: break-word;\\n  font-size: $font-down-2;\\n  line-height: $line-height-large;\\n  .search-highlight {\\n    color: dark-light-choose($primary-high, $secondary-low);\\n  }\\n}\\n",\n\t\t"// shared styles used\\n// on both the login and\\n// create account modals\\n.login-modal,\\n.create-account {\\n  #login-buttons:not(.hidden) {\\n    display: flex;\\n    flex: 0 1 auto;\\n    flex-direction: column;\\n    align-items: stretch;\\n    min-height: 75px;\\n    padding: s(0 6);\\n    order: 2;\\n\\n    button {\\n      display: flex;\\n      text-align: left;\\n      margin: 0.35em;\\n      white-space: nowrap;\\n      &:lang(zh_CN) {\\n        min-width: 200px;\\n      }\\n      &:first-of-type:last-of-type {\\n        &.oauth2_basic {\\n          // Handles a strange fringe case where OAuth2 and account approval are enabled\\n          margin-left: auto;\\n          margin-right: auto;\\n          justify-content: center;\\n        }\\n      }\\n    }\\n  }\\n\\n  form {\\n    min-width: 300px;\\n    max-width: 100%;\\n  }\\n\\n  #modal-alert {\\n    max-width: 100%;\\n    padding: s(2 4);\\n  }\\n\\n  .login-modal {\\n    #login-buttons:not(.hidden) {\\n      button {\\n        &:first-of-type {\\n          margin-top: 2.8em;\\n        }\\n        &:last-of-type {\\n          margin-bottom: 3em;\\n        }\\n      }\\n    }\\n  }\\n\\n  .create-account {\\n    #login-buttons:not(.hidden) {\\n      justify-content: flex-start;\\n      padding-top: 2.7em;\\n      + .login-form {\\n        border-right: 1px solid $primary-low; // Only show border when login-form is present\\n      }\\n    }\\n  }\\n\\n  #login-form {\\n    box-sizing: border-box;\\n    flex: 1 0 auto;\\n    padding: s(0 6);\\n    + #login-buttons {\\n      border-left: 1px solid $primary-low; // Only show border when login-form is present\\n    }\\n  }\\n\\n  tr:not(.instructions) {\\n    td {\\n      display: flex;\\n      padding: 5px 0 0 0;\\n    }\\n  }\\n  .tip,\\n  td label {\\n    display: block;\\n    overflow: hidden;\\n    word-wrap: break-word;\\n    margin-bottom: 0;\\n    max-width: 280px;\\n    @media screen and (min-width: 500px) {\\n      max-width: 400px;\\n    }\\n  }\\n}\\n\\n.has-alt-auth {\\n  .tip,\\n  td label {\\n    max-width: 250px;\\n  }\\n}\\n\\n// styles used on\\n// login modal only\\n.d-modal.login-modal {\\n  .modal-body,\\n  #credentials {\\n    display: flex;\\n    align-items: center;\\n    padding: 15px 0;\\n\\n    tr {\\n      display: flex;\\n      flex-direction: column;\\n    }\\n\\n    &.hidden {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// styles used on the\\n// create account\\n// modal only\\n.d-modal.create-account {\\n  .modal-body {\\n    display: flex;\\n    padding: 15px 0;\\n  }\\n\\n  .create-account-form tr {\\n    display: flex;\\n    flex-direction: column;\\n  }\\n\\n  .login-form {\\n    position: relative;\\n    display: flex;\\n    overflow: hidden;\\n    flex: 1 1 auto;\\n\\n    &:after,\\n    &:before {\\n      content: \\"\\";\\n      display: block;\\n      position: absolute;\\n      width: 100%;\\n      pointer-events: none;\\n    }\\n    &:after {\\n      bottom: 0;\\n      height: 35px;\\n      @media screen and (max-height: 650px) {\\n        height: 45px;\\n      }\\n      background-image: linear-gradient(\\n        to bottom,\\n        rgba($secondary, 0) 0%,\\n        rgba($secondary, 0.9) 100%\\n      );\\n    }\\n    &:before {\\n      top: 0;\\n      height: 25px;\\n      background-image: linear-gradient(\\n        to top,\\n        rgba($secondary, 0) 0%,\\n        rgba($secondary, 1) 100%\\n      );\\n    }\\n    form {\\n      box-sizing: border-box;\\n      padding: s(4 6);\\n      margin-bottom: 0;\\n      max-height: 475px;\\n      @media screen and (max-height: 650px) {\\n        max-height: calc(65vh - 100px);\\n        > *:last-child {\\n          margin-bottom: 40px;\\n        }\\n      }\\n      overflow-x: hidden;\\n      overflow-y: auto;\\n    }\\n\\n    form,\\n    table {\\n      width: 100%;\\n      display: block; //IE11\\n    }\\n\\n    tr {\\n      display: flex;\\n      flex-direction: column;\\n      margin-top: 0.15em;\\n      &.password-confirmation {\\n        display: none;\\n      }\\n    }\\n  }\\n\\n  tr.input {\\n    input,\\n    label {\\n      margin-bottom: 0;\\n      width: 100%;\\n    }\\n    .tip {\\n      max-width: 340px;\\n    }\\n  }\\n\\n  .user-fields {\\n    margin-bottom: 20px;\\n  }\\n\\n  .user-field {\\n    display: flex;\\n    flex-direction: column;\\n\\n    &.confirm {\\n      margin-top: 5px;\\n    }\\n\\n    > label {\\n      width: auto;\\n    }\\n\\n    .controls {\\n      margin-left: 0;\\n    }\\n  }\\n\\n  .invites-show {\\n    padding-top: 20px;\\n\\n    .two-col {\\n      margin-top: 30px;\\n    }\\n    .col-form {\\n      margin-left: 200px;\\n      .inline-invite-img {\\n        display: none;\\n      }\\n    }\\n    form {\\n      .controls,\\n      .input {\\n        margin-left: 20px;\\n      }\\n      input,\\n      label {\\n        margin-bottom: 0;\\n      }\\n      .user-field .control-label:not(.checkbox-label) {\\n        margin-left: 20px;\\n      }\\n    }\\n  }\\n\\n  .tos-agree {\\n    margin-bottom: 12px;\\n  }\\n}\\n\\n.login-form {\\n  .tip {\\n    &:not(:empty) + td {\\n      display: none;\\n    }\\n    &:not(:empty),\\n    &:empty + td {\\n      min-height: 1.75em;\\n      &.bad .svg-icon {\\n        vertical-align: middle;\\n      }\\n    }\\n  }\\n}\\n\\n.password-reset,\\n.email-login,\\n.invites-show {\\n  .col-form {\\n    padding-left: 20px;\\n  }\\n  .col-image {\\n    width: 175px;\\n    img {\\n      width: 100%;\\n    }\\n  }\\n  h2 {\\n    margin-bottom: 12px;\\n  }\\n}\\n\\n.password-reset,\\n.email-login {\\n  .col-form {\\n    padding-top: 40px;\\n  }\\n}\\n",\n\t\t"// Hardcode to be the same as before for now. I would recommend not using bootbox, or finding a way so the html structure can be the same\\n.bootbox.modal {\\n  top: 50%;\\n  left: 50%;\\n  width: 610px;\\n  margin: -250px 0 0 -305px;\\n  .cancel {\\n    margin-left: 1em;\\n  }\\n}\\n\\n.modal.in {\\n  -webkit-animation: fade 0.25s;\\n  animation: fade 0.25s;\\n}\\n\\n.modal-body {\\n  padding: 15px;\\n}\\n\\n.modal-footer .btn.right {\\n  float: right;\\n}\\n\\n.modal-header {\\n  h3 {\\n    font-size: $font-up-3;\\n  }\\n}\\n\\n.close {\\n  font-size: $font-up-3;\\n  text-decoration: none;\\n  &:visited {\\n    color: $primary-high;\\n  }\\n  cursor: pointer;\\n  &:hover {\\n    color: $primary;\\n  }\\n}\\n\\n.modal {\\n  .category-chooser {\\n    width: 50%;\\n  }\\n\\n  .modal-body.insert-link {\\n    input {\\n      min-width: 450px;\\n    }\\n  }\\n}\\n\\n.edit-category-modal {\\n  .modal-body {\\n    position: relative;\\n    height: 420px;\\n  }\\n\\n  .disable_info_wrap {\\n    .cannot_delete_reason {\\n      top: -100px;\\n      right: 4px;\\n      max-width: 380px;\\n      min-width: 300px;\\n    }\\n  }\\n}\\n\\n.topic-bulk-actions-modal {\\n  p {\\n    margin-top: 0;\\n  }\\n  &.full .modal-body {\\n    height: 400px;\\n    max-height: 400px;\\n  }\\n\\n  .bulk-buttons {\\n    display: flex;\\n    flex-wrap: wrap;\\n    margin-right: -1%;\\n\\n    .btn {\\n      flex: 1 0 30%;\\n      margin-bottom: 1em;\\n      margin-right: 1%;\\n      white-space: nowrap;\\n      overflow: hidden;\\n      max-width: 33%;\\n\\n      @media screen and (max-width: 767px) {\\n        flex: 1 0 48%;\\n        max-width: 48%;\\n      }\\n\\n      @include breakpoint(mobile-extra-large) {\\n        flex: 1 1 auto;\\n        min-width: 49%;\\n        max-width: unset;\\n      }\\n    }\\n  }\\n}\\n\\n.move-to-modal {\\n  .modal-body {\\n    position: relative;\\n    height: 350px;\\n  }\\n\\n  #move-selected {\\n    // prevents content from moving when user selects different move options 525px\\n    // is the same width we set on category edit modal\\n    width: 525px;\\n\\n    p {\\n      margin-top: 0;\\n    }\\n\\n    .radios {\\n      margin-bottom: 10px;\\n      display: flex;\\n      flex-direction: row;\\n\\n      .radio-label {\\n        display: inline-block;\\n        padding-right: 15px;\\n      }\\n    }\\n\\n    button {\\n      margin-top: 10px;\\n      display: block;\\n      width: 300px;\\n    }\\n\\n    .category-chooser {\\n      margin-bottom: 9px;\\n    }\\n\\n    form {\\n      width: 95%;\\n      margin-top: 20px;\\n      #split-topic-name,\\n      #choose-topic-title,\\n      #choose-message-title {\\n        width: 100%;\\n      }\\n\\n      .participant-selector {\\n        width: 100%;\\n      }\\n\\n      div.ac-wrap {\\n        width: 100%;\\n        margin-bottom: 9px;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".category-list {\\n  margin-bottom: 10px;\\n  width: 100%;\\n\\n  td,\\n  th {\\n    @extend .list-cell;\\n  }\\n\\n  td {\\n    vertical-align: top;\\n  }\\n\\n  th {\\n    vertical-align: middle;\\n  }\\n\\n  td:first-of-type {\\n    padding-left: 10px;\\n  }\\n\\n  &.with-topics {\\n    margin-left: 3px;\\n    .category {\\n      width: 45%;\\n    }\\n  }\\n\\n  .topics .badge-notification,\\n  .category .badge-notification {\\n    background-color: transparent;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n\\n  .topics {\\n    width: 80px;\\n    text-align: right;\\n\\n    .value {\\n      font-size: $font-up-1;\\n    }\\n    .unit {\\n      font-size: $font-down-1;\\n    }\\n    .badge-notification {\\n      display: block;\\n      text-align: right;\\n      padding-right: 0;\\n      margin-top: 5px;\\n    }\\n  }\\n\\n  .subcategories {\\n    margin-top: 0.25em;\\n    clear: both;\\n    .subcategory {\\n      display: inline-flex;\\n      align-items: baseline;\\n      margin-right: 0.3em;\\n    }\\n    .badge-wrapper {\\n      margin-right: 0.5em;\\n    }\\n    .badge-notification.new-posts {\\n      display: block;\\n      padding: 0;\\n    }\\n  }\\n\\n  .featured-topic {\\n    margin: 10px 0 0;\\n    display: flex;\\n    align-items: baseline;\\n    &:first-of-type {\\n      margin-top: 13px;\\n    }\\n    a.last-posted-at,\\n    a.last-posted-at:visited {\\n      font-size: $font-down-1;\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n    }\\n    .title {\\n      @include ellipsis;\\n      flex: 0 1 auto;\\n    }\\n    .topic-statuses {\\n      margin-right: 0.15em;\\n    }\\n    .topic-post-badges .badge.new-posts,\\n    .title {\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  tbody {\\n    .category {\\n      border-left: 6px solid;\\n      h3 {\\n        font-size: $font-up-2;\\n        line-height: $line-height-medium;\\n        a[href] {\\n          color: $primary;\\n        }\\n      }\\n    }\\n\\n    .latest {\\n      padding: 0 0 10px 10px;\\n    }\\n  }\\n}\\n\\n.categories-and-latest,\\n.categories-and-top {\\n  display: flex;\\n  flex-flow: row wrap;\\n\\n  div.column {\\n    flex: 1 0 0px;\\n    flex-direction: row;\\n    min-width: 300px;\\n  }\\n\\n  div.column.categories {\\n    @media all and (max-width: 600px) {\\n      margin-right: 0;\\n    }\\n    @media all and (min-width: 600px) {\\n      margin-right: 1em;\\n    }\\n    @media all and (min-width: 700px) {\\n      margin-right: 2em;\\n    }\\n  }\\n\\n  .discourse-tags {\\n    display: inline-block;\\n    .discourse-tag {\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  .topic-featured-link {\\n    padding-left: 8px;\\n  }\\n}\\n",\n\t\t".latest-topic-list,\\n.top-topic-list {\\n  @extend .topic-list-icons;\\n\\n  .table-heading {\\n    padding: 12px 5px;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n\\n  .no-topics,\\n  .more-topics {\\n    margin-top: 1em;\\n  }\\n}\\n\\n.latest-topic-list-item {\\n  padding: 1em;\\n  border-bottom: 1px solid $primary-low;\\n  display: flex;\\n\\n  align-items: center;\\n\\n  .topic-poster {\\n    width: 60px;\\n  }\\n  .main-link {\\n    @extend .topic-list-main-link;\\n    flex: 0 1 auto;\\n    max-width: 65%;\\n    font-size: $font-0;\\n    .badge-wrapper {\\n      max-width: 100%;\\n      .badge-category-bg {\\n        flex-shrink: 0;\\n      }\\n    }\\n\\n    .top-row {\\n      margin-bottom: 0.1em;\\n      font-size: $font-up-1;\\n    }\\n  }\\n  .topic-stats {\\n    flex: 1 0 0px;\\n    text-align: right;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n\\n  .topic-last-activity a {\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Topic lists\\n// --------------------------------------------------\\n\\n// List controls\\n// --------------------------------------------------\\n\\n.list-controls {\\n  .nav {\\n    float: left;\\n    margin-bottom: 10px;\\n  }\\n\\n  .btn {\\n    float: right;\\n    margin-left: 8px;\\n    margin-bottom: 9px;\\n    font-size: $font-up-1;\\n    font-weight: normal;\\n  }\\n\\n  .search .btn {\\n    float: none;\\n  }\\n\\n  a.badge-category {\\n    padding: 3px 12px;\\n    font-size: $font-up-1;\\n  }\\n}\\n\\n// Base list\\n// --------------------------------------------------\\n\\n.topic-list-icons {\\n  .d-icon-thumbtack {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .d-icon-thumbtack.unpinned {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  a.title {\\n    color: $primary;\\n  }\\n  .d-icon-bookmark {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n}\\n\\n.topic-list {\\n  @extend .topic-list-icons;\\n\\n  margin: 0 0 10px;\\n  th,\\n  td {\\n    padding: 12px 5px;\\n    &:first-of-type {\\n      padding-left: 10px;\\n    }\\n    &:last-of-type {\\n      padding-right: 10px;\\n    }\\n  }\\n  th {\\n    button .d-icon {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  button.bulk-select {\\n    padding: 0;\\n  }\\n\\n  td.bulk-select {\\n    padding: 10px;\\n    width: 30px;\\n    + .main-link {\\n      padding-left: 0;\\n    }\\n  }\\n\\n  .badge-notification {\\n    position: relative;\\n    top: -2px;\\n    &.new-topic {\\n      top: -1px;\\n      padding-left: 5px;\\n    }\\n  }\\n\\n  $td-posters-height: 29px; // min-height of td with avatar glow\\n  $td-posters-more-lh: $td-posters-height - 4;\\n\\n  .posters {\\n    // we know there are up to 5 avatars of fixed size\\n    // will be overridden by media width queries on narrow displays to 1 avatar's width\\n    width: 146px;\\n    > a {\\n      float: left;\\n      margin-right: 4px;\\n      &:last-of-type {\\n        margin-right: 0;\\n      }\\n\\n      &.posters-more-count {\\n        cursor: default;\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n        line-height: $td-posters-more-lh;\\n        font-size: $font-down-1;\\n      }\\n    }\\n  }\\n  td.posters {\\n    height: $td-posters-height;\\n  }\\n  .posters a:first-child .avatar.latest:not(.single) {\\n    box-shadow: 0 0 3px 1px desaturate($tertiary-medium, 35%);\\n    border: 2px solid desaturate($tertiary-medium, 40%);\\n    position: relative;\\n    top: -2px;\\n    left: -2px;\\n  }\\n\\n  .likes {\\n    width: 65px;\\n  }\\n  .views {\\n    width: 65px;\\n  }\\n  .posts {\\n    width: 65px;\\n  }\\n\\n  .post-actions {\\n    clear: both;\\n    width: auto;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    text-align: left;\\n    font-size: $font-down-1;\\n    margin-top: 5px;\\n    .fa {\\n      margin-right: 2px;\\n    }\\n    a {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      margin-right: 3px;\\n      line-height: $line-height-large;\\n    }\\n  }\\n  .activity {\\n    width: 60px;\\n    &:lang(zh_CN) {\\n      width: 80px;\\n    }\\n    span {\\n      cursor: pointer;\\n    }\\n  }\\n  .age {\\n    width: 60px;\\n  }\\n  .with-year {\\n    white-space: nowrap;\\n  }\\n}\\n\\n.topic-list-bottom {\\n  margin: 20px 0;\\n}\\n\\n// Misc. stuff\\n// --------------------------------------------------\\n\\n#list-area .top-lists h2 {\\n  cursor: pointer;\\n  margin: 5px 0 10px;\\n}\\n\\n#list-area {\\n  h2 {\\n    margin: 20px 0 10px;\\n  }\\n  .show-more.has-topics {\\n    top: 0;\\n    .alert {\\n      padding: 12px 35px 12px 14px;\\n    }\\n  }\\n}\\n\\n#bulk-select {\\n  position: fixed;\\n  right: 20px;\\n  top: 130px;\\n  padding: 5px;\\n  background-color: $secondary;\\n  z-index: z(\\"dropdown\\");\\n}\\n\\nbutton.dismiss-read {\\n  float: right;\\n  margin-bottom: 5px;\\n  margin-left: 10px;\\n}\\n\\n.tags-admin-menu {\\n  .dropdown-menu {\\n    right: 0;\\n    top: 30px;\\n    bottom: auto;\\n    left: auto;\\n  }\\n}\\n\\n.category-heading {\\n  p {\\n    line-height: $line-height-large;\\n    font-size: $font-up-3;\\n  }\\n}\\n\\n.category-navigation {\\n  clear: both;\\n}\\n\\n.category-logo.aspect-image {\\n  float: left;\\n  margin: 0.25em 1em 0.5em 0;\\n\\n  img {\\n    width: auto;\\n    max-height: 150px;\\n  }\\n}\\n\\n@supports (--custom: property) {\\n  .category-logo.aspect-image {\\n    --max-height: 150px;\\n    max-height: var(--max-height);\\n    max-width: 60%;\\n    height: auto;\\n    width: calc(var(--max-height) * var(--aspect-ratio));\\n\\n    img {\\n      width: 100%;\\n      height: inherit;\\n      max-width: initial;\\n      max-height: initial;\\n    }\\n  }\\n}\\n\\n/* Tablet (portrait) ----------- */\\n\\n@include breakpoint(medium) {\\n  // slightly smaller font, tighten spacing on nav pills\\n  .nav-pills {\\n    > li > a {\\n      font-size: $font-0;\\n      padding: 7px 10px;\\n    }\\n  }\\n\\n  // new topic just a \\"+\\" no text\\n  button#create-topic {\\n    span {\\n      display: none;\\n    }\\n    .d-icon {\\n      margin-right: 0;\\n    }\\n  }\\n\\n  .topic-list {\\n    // tighter table header spacing\\n    th:first-of-type {\\n      padding: 12px 5px;\\n    }\\n    // smaller table cell spacing\\n    th,\\n    td {\\n      padding: 10px;\\n      font-size: $font-0;\\n    }\\n    // suppress views column\\n    th.views {\\n      display: none;\\n    }\\n    td.views {\\n      display: none;\\n    }\\n    // reduce width for more title space\\n    .posts {\\n      width: 50px;\\n    }\\n    .posters {\\n      width: 30px;\\n      text-align: center;\\n    }\\n    // show only the first poster\\n    td.posters {\\n      a:not(.latest) {\\n        display: none;\\n      }\\n      a.latest {\\n        width: 100%;\\n        img {\\n          margin: 0 auto;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".wrap {\\n  max-width: $large-width;\\n}\\n\\n.full-width {\\n  margin-left: 0;\\n}\\n\\n.topic-body {\\n  // this ensures consistent top margin on topic posts even if the first line of a post\\n  // is a top-margin-less element like a list or image.\\n  .regular {\\n    margin-top: 15px;\\n  }\\n  padding: 0;\\n  &:first-of-type {\\n    border-top: none;\\n  }\\n  .reply-to-tab {\\n    z-index: z(\\"base\\") + 1;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .actions .fade-out {\\n    .discourse-no-touch & {\\n      opacity: 0.7;\\n      transition: background 0.25s, opacity 0.7s ease-in-out;\\n    }\\n    .discourse-touch & {\\n      opacity: 1;\\n    }\\n  }\\n  &:hover .actions .fade-out,\\n  .selected .actions .fade-out {\\n    opacity: 1;\\n  }\\n}\\n\\nsection.post-menu-area {\\n  position: relative;\\n  padding-left: 11px;\\n}\\n\\n.post-links-container {\\n  margin-left: 11px;\\n}\\n\\nnav.post-controls {\\n  padding: 0;\\n\\n  // Some buttons can be doubled up, like likes or flags\\n  .double-button {\\n    display: inline-flex;\\n    color: $primary-low-mid;\\n    margin-right: 0.15em;\\n    &:hover {\\n      button {\\n        background: $primary-low;\\n        color: $primary-medium;\\n      }\\n    }\\n    button {\\n      // It looks really confusing when one half a double button has an inner shadow on click.\\n      &:active {\\n        box-shadow: none;\\n      }\\n      margin-left: 0;\\n      margin-right: 0;\\n      &.my-likes,\\n      &.read-indicator,\\n      &.regular-likes {\\n        // Like count on posts\\n        .d-icon {\\n          color: $primary-low-mid;\\n          padding-left: 0.45em;\\n        }\\n      }\\n      &.like {\\n        // Like button with 0 likes\\n        &.d-hover {\\n          background: $love-low;\\n          .d-icon {\\n            color: $love;\\n          }\\n        }\\n      }\\n      &.has-like {\\n        // Like button after I've liked\\n        .d-icon {\\n          color: $love;\\n        }\\n        &.d-hover {\\n          background: $primary-low;\\n          .d-icon {\\n            color: $primary-medium;\\n          }\\n        }\\n      }\\n      &[disabled] {\\n        // Disabled like button\\n        cursor: not-allowed;\\n      }\\n      &.button-count {\\n        // Like count button\\n        &:not(.my-likes) {\\n          padding-right: 0;\\n        }\\n        &.d-hover {\\n          color: $primary;\\n        }\\n        + .toggle-like {\\n          // Like button when like count is present\\n          padding-left: 0.45em;\\n          &.d-hover {\\n            background: $primary-low;\\n          }\\n        }\\n      }\\n    }\\n  }\\n  a,\\n  button {\\n    color: dark-light-choose($primary-low-mid, $secondary-high);\\n    .d-icon {\\n      opacity: 1;\\n    }\\n    margin-right: 2px;\\n    display: inline-block;\\n  }\\n  a.toggle-likes {\\n    padding: 8px 0;\\n    margin-right: -3px;\\n  }\\n  span.badge-posts {\\n    margin-right: 5px;\\n    transition: all linear 0.15s;\\n  }\\n  .actions {\\n    text-align: right;\\n    float: right;\\n    display: inline-block;\\n    .more-actions {\\n      display: none;\\n      overflow: hidden;\\n    }\\n  }\\n  .show-replies {\\n    margin-left: -10px;\\n    font-size: inherit;\\n    span.badge-posts {\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n    }\\n    &:hover {\\n      background: $primary-low;\\n      span.badge-posts {\\n        color: $primary;\\n      }\\n    }\\n    .d-icon {\\n      margin-left: 5px;\\n      font-size: $font-down-1;\\n    }\\n  }\\n  button.create {\\n    margin-right: 0;\\n    color: dark-light-choose($primary-high, $secondary-low);\\n    margin-left: 10px;\\n    .d-icon {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n  }\\n  .create .d-icon {\\n    margin-right: 5px;\\n  }\\n  button {\\n    font-size: $font-up-1;\\n    padding: 8px 10px;\\n    vertical-align: top;\\n    background: transparent;\\n    border: none;\\n    margin-left: 3px;\\n    &.d-hover,\\n    &:focus {\\n      background: $primary-low;\\n      color: $primary;\\n    }\\n    &:active {\\n      box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.4);\\n    }\\n    &.hidden {\\n      display: none;\\n    }\\n    &.admin {\\n      position: relative;\\n    }\\n    &.delete.d-hover,\\n    &.delete:hover,\\n    &.delete:focus {\\n      background: $danger;\\n      color: $secondary;\\n      .d-icon {\\n        color: $secondary;\\n      }\\n    }\\n    &.bookmark {\\n      padding: 8px 11px;\\n      &.bookmarked .d-icon {\\n        color: $tertiary;\\n      }\\n    }\\n  }\\n  .post-admin-menu {\\n    display: inline-flex;\\n    flex-direction: column;\\n    box-sizing: border-box;\\n    background-color: $secondary;\\n    width: auto;\\n    max-width: 320px;\\n    padding: 10px;\\n    border: 1px solid $primary-low;\\n    position: absolute;\\n    text-align: left;\\n    bottom: -2px;\\n    right: 15px;\\n    z-index: z(\\"dropdown\\");\\n    h3 {\\n      margin-top: 0;\\n      color: $primary;\\n      font-size: $font-0;\\n    }\\n    ul {\\n      list-style: none;\\n      margin: 10px 0 0 0;\\n    }\\n    li {\\n      margin-bottom: 5px;\\n      .d-icon {\\n        width: 14px;\\n        margin-right: 10px;\\n      }\\n    }\\n  }\\n}\\n\\n.embedded-posts {\\n  h1,\\n  h2,\\n  h3 {\\n    margin: 10px 0;\\n  }\\n  border: 1px solid $primary-low;\\n  .topic-body {\\n    box-sizing: border-box;\\n    width: calc(100% - 70px); // [100% - .topic-avatar width]\\n    // WARNING: overflow hide is required for quoted / embedded images\\n    // which expect \\"normal\\" post width, but expansions are narrower\\n    overflow: hidden;\\n  } // this is covered by .topic-body .regular on a normal post\\n  // but no such class structure exists for an embedded, expanded post\\n  .cooked {\\n    margin-top: 15px;\\n  }\\n  .topic-avatar {\\n    padding-left: 25px;\\n    padding-top: 15px;\\n  }\\n  .collapse-down,\\n  .collapse-up {\\n    position: absolute;\\n    color: $primary-medium;\\n    background: $secondary;\\n    border: 1px solid $primary-low;\\n    padding: 6px 9px 8px;\\n    z-index: 99; // Needs to be higher than topic-avatar\\n    .d-icon {\\n      color: currentColor;\\n    }\\n    .discourse-no-touch & {\\n      &:hover {\\n        background: $primary-low;\\n        color: $primary-high;\\n        .d-icon {\\n          color: currentColor;\\n        }\\n      }\\n    }\\n  } // bottom means \\"reply expansion\\" below a post\\n  &.bottom {\\n    border-top: none;\\n    margin-bottom: 20px;\\n    margin-left: 11px;\\n    &.hidden {\\n      display: block;\\n      opacity: 0;\\n    }\\n  }\\n  &.bottom {\\n    .collapse-up {\\n      transform: translate(-50%, -164%);\\n    }\\n    .row {\\n      padding-bottom: 0.5em;\\n      .topic-avatar,\\n      .topic-body {\\n        border-top: 1px solid $primary-low;\\n      }\\n    }\\n  } // top means \\"in reply to expansion\\" above a post\\n  &.top {\\n    border-bottom: none;\\n    .collapse-down {\\n      transform: translate(-50%, 55%);\\n    }\\n    margin-left: 56px;\\n    width: 699px;\\n    .row {\\n      border-bottom: none;\\n      .topic-avatar,\\n      .topic-body {\\n        border-top: 1px solid $primary-low;\\n      }\\n    }\\n  }\\n  &.top.topic-body {\\n    padding: 0;\\n  }\\n  .post-date {\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n  .d-icon-arrow-up,\\n  .d-icon-arrow-down {\\n    margin-left: 5px;\\n  }\\n  .reply:first-of-type .row {\\n    border-top: none;\\n  }\\n  .topic-meta-data {\\n    position: relative;\\n  }\\n  .topic-meta-data h5 {\\n    position: absolute;\\n    z-index: z(\\"base\\");\\n    font-size: $font-down-1;\\n    a {\\n      font-weight: bold;\\n      color: dark-light-choose($primary-low-mid, $secondary-high);\\n    }\\n  }\\n  .arrow {\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n}\\n\\n.post-action {\\n  .relative-date {\\n    margin-left: 5px;\\n  }\\n  .avatar {\\n    margin-right: 2px;\\n  }\\n}\\n\\n.topic-map {\\n  margin: 20px 0 20px 11px;\\n  .map {\\n    .secondary {\\n      text-align: center;\\n    }\\n    li {\\n      float: left;\\n      padding: 7px 10px;\\n      &:last-of-type {\\n        border-right: 0;\\n      }\\n      &:nth-child(3) {\\n        text-align: center;\\n      }\\n    }\\n    .number {\\n      color: $primary-high;\\n    }\\n    .number,\\n    .d-icon {\\n      font-size: $font-up-2;\\n      line-height: $line-height-medium;\\n    }\\n    button .d-icon,\\n    button:hover .d-icon {\\n      color: $primary-high;\\n    }\\n    .avatar a {\\n      float: left;\\n    }\\n    .topic-map-post {\\n      margin-top: 6px;\\n    }\\n  }\\n  .avatars,\\n  .links,\\n  .information {\\n    padding: 7px 10px 7px 10px;\\n    color: $primary;\\n  }\\n  .buttons {\\n    float: right;\\n    .btn {\\n      border: 0;\\n      padding: 0 23px;\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n      background: blend-primary-secondary(5%);\\n      border-left: 1px solid $primary-low;\\n      border-top: 1px solid transparent;\\n      &:hover {\\n        color: $primary;\\n        background: $primary-low;\\n      }\\n      &.collapsed {\\n        padding-bottom: 1px;\\n      }\\n      .fa {\\n        margin: 0;\\n        font-size: $font-up-2;\\n        line-height: 52px;\\n      }\\n    }\\n  }\\n  .link-summary .btn {\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n    background: blend-primary-secondary(5%);\\n    width: 100%;\\n    &:hover {\\n      color: $primary;\\n      background: dark-light-diff($primary, $secondary, 90%, -80%);\\n    }\\n  }\\n}\\n\\n@mixin topic-footer-button {\\n  margin-bottom: 5px;\\n  margin-right: 10px;\\n}\\n\\n#topic-footer-buttons {\\n  padding: 10px 10px 0 0;\\n  float: left;\\n  .btn {\\n    @include topic-footer-button;\\n    .d-icon-bookmark.bookmarked {\\n      color: $tertiary;\\n    }\\n  }\\n  .bookmark.bookmarked .d-icon-bookmark {\\n    color: $tertiary;\\n  }\\n}\\n\\n#topic-footer-button {\\n  width: 757px;\\n}\\n\\n.suggested-topics {\\n  clear: left;\\n  padding: 20px 0 15px 0;\\n  table {\\n    margin-top: 10px;\\n  }\\n}\\n\\n.suggested-topics .topic-statuses .topic-status {\\n  padding: 0;\\n  .d-icon {\\n    font-size: 1em;\\n  }\\n}\\n\\nspan.post-count {\\n  background: $primary;\\n  color: $secondary;\\n  opacity: 0.8;\\n}\\n\\nbutton.expand-post {\\n  margin-top: 10px;\\n  margin-left: $topic-body-width-padding;\\n}\\n\\n.quote-button.visible {\\n  display: block;\\n}\\n\\niframe {\\n  max-width: 100%;\\n}\\n\\nvideo {\\n  max-height: 500px;\\n}\\n\\n.video {\\n  // Height determined by aspect-ratio\\n  max-height: 500px;\\n  > video {\\n    max-height: unset;\\n  }\\n}\\n\\n@-webkit-keyframes fadein {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n@keyframes fadein {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n.open > .dropdown-menu {\\n  display: block;\\n}\\n\\n.btn-group {\\n  position: relative;\\n}\\n\\n.dropdown-toggle {\\n  float: left;\\n  position: relative;\\n}\\n\\n.deleted {\\n  .topic-body {\\n    background-color: dark-light-diff(\\n      rgba($danger, 0.7),\\n      $secondary,\\n      50%,\\n      -60%\\n    );\\n  }\\n}\\n\\n.post-select {\\n  float: right;\\n  margin-right: 20px;\\n  margin-top: -20px;\\n}\\n\\n.deleted-user-avatar {\\n  font-size: $font-up-6;\\n}\\n\\n.info-line {\\n  margin: 10px 0;\\n  color: $primary;\\n}\\n\\n/* solo quotes */\\n\\nblockquote {\\n  /* leave browser defaults for top and bottom here */\\n  margin-left: 0;\\n  margin-right: 0;\\n  padding: 12px;\\n}\\n\\n/* quotes with attribution */\\n\\n.quote {\\n  & > blockquote {\\n    .onebox-result {\\n      background-color: $primary-very-low;\\n    }\\n  }\\n  aside {\\n    .quote,\\n    .title,\\n    blockquote,\\n    .onebox,\\n    .onebox-result {\\n      background: $primary-very-low;\\n      border-left: 5px solid $primary-low;\\n    }\\n    aside.quote > blockquote,\\n    aside.quote > .title {\\n      border-left: 0;\\n    }\\n  }\\n}\\n\\n// variables are used to calculate the width of .gap\\n.topic-body {\\n  width: calc(#{$topic-body-width} + (#{$topic-body-width-padding} * 2));\\n  float: left;\\n  position: relative;\\n  border-top: 1px solid $primary-low;\\n  padding: 12px 0 0 0;\\n  .topic-meta-data,\\n  .cooked {\\n    padding: 0 $topic-body-width-padding 0.25em $topic-body-width-padding;\\n  }\\n  a.expand-hidden {\\n    padding-left: $topic-body-width-padding;\\n  }\\n}\\n\\n.topic-avatar {\\n  border-top: 1px solid $primary-low;\\n  padding-top: 15px;\\n  width: $topic-avatar-width;\\n  float: left;\\n  z-index: z(\\"base\\") + 1;\\n}\\n\\n.gap {\\n  width: calc(\\n    #{$topic-avatar-width} + #{$topic-body-width} + 2 * #{$topic-body-width-padding}\\n  );\\n}\\n\\n/* hide the reply border above the time gap notices */\\n\\n.time-gap + .topic-post .topic-body,\\n.time-gap + .topic-post .topic-avatar {\\n  border-top: none;\\n}\\n\\n.time-gap + .topic-post .embedded-posts.top {\\n  border-bottom: 1px solid $primary-low;\\n}\\n\\n.posts-wrapper {\\n  position: relative;\\n  -webkit-font-smoothing: subpixel-antialiased;\\n}\\n\\n.dropdown {\\n  position: relative;\\n}\\n\\n.caret {\\n  display: inline-block;\\n  width: 0;\\n  height: 0;\\n  vertical-align: middle;\\n  border-top: 4px solid $primary;\\n  border-right: 4px solid transparent;\\n  border-left: 4px solid transparent;\\n  content: \\"\\";\\n  margin-left: 5px;\\n}\\n\\n.dropdown-menu {\\n  position: absolute;\\n  bottom: 115%;\\n  left: 0;\\n  z-index: z(\\"dropdown\\");\\n  display: none;\\n  float: left;\\n  width: 550px;\\n  margin: 1px 0 0;\\n  list-style: none;\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n  box-shadow: shadow(\\"dropdown\\");\\n  background-clip: padding-box;\\n  span {\\n    font-size: $font-down-1;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  span.title {\\n    font-weight: bold;\\n    display: block;\\n    font-size: $font-0;\\n    color: $primary;\\n  }\\n}\\n\\n.dropdown-menu a {\\n  display: block;\\n  padding: 9px;\\n  clear: both;\\n  font-weight: normal;\\n  line-height: $line-height-medium;\\n  color: $primary;\\n  transition: all linear 0.15s;\\n  & > div {\\n    margin-left: 26px;\\n  }\\n}\\n\\n.dropdown-menu li > a:hover,\\n.dropdown-menu .active > a,\\n.dropdown-menu .active > a:hover {\\n  color: $primary;\\n  text-decoration: none;\\n  background-color: $highlight-medium;\\n}\\n\\n.dropdown-menu .disabled > a,\\n.dropdown-menu .disabled > a:hover {\\n  text-decoration: none;\\n  color: $primary;\\n  background-color: $tertiary-low;\\n  cursor: default;\\n}\\n\\n.dropdown-menu .icon {\\n  margin-top: 3px;\\n  float: left;\\n  font-size: $font-up-2;\\n}\\n\\n.open > .dropdown-menu {\\n  display: block;\\n  clear: both;\\n}\\n\\n.selected-posts {\\n  width: 200px;\\n  position: fixed;\\n  z-index: z(\\"dropdown\\");\\n  box-shadow: shadow(\\"card\\");\\n  padding: 0.714em;\\n  margin-bottom: 5px;\\n  right: 10px;\\n  @include breakpoint(extra-large, min-width) {\\n    right: auto;\\n    margin-left: 330px;\\n    left: 50%;\\n  }\\n  button {\\n    width: 100%;\\n    margin: 4px auto;\\n    display: inline-block;\\n    text-align: left;\\n  }\\n  &.hidden {\\n    display: none;\\n  }\\n  .controls {\\n    margin-top: 10px;\\n  }\\n  p {\\n    font-size: $font-down-1;\\n    margin: 0 0 10px 0;\\n  }\\n  p.cancel {\\n    margin: 10px 0 0 0;\\n  }\\n  h3 {\\n    font-size: $font-up-4;\\n    color: $primary;\\n    margin-bottom: 5px;\\n    .d-icon {\\n      margin-right: 7px;\\n    }\\n  }\\n}\\n\\na.attachment:before {\\n  display: inline-block;\\n  margin-right: 4px;\\n  // ideally, the SVG used here should be in HTML and reference the SVG sprite\\n  content: svg-uri(\\n    '<svg xmlns=\\"http://www.w3.org/2000/svg\\" width=\\"14px\\" height=\\"16px\\" viewBox=\\"0 0 512 512\\" fill=\\"#{$tertiary}\\"><path d=\\"M216 0h80c13.3 0 24 10.7 24 24v168h87.7c17.8 0 26.7 21.5 14.1 34.1L269.7 378.3c-7.5 7.5-19.8 7.5-27.3 0L90.1 226.1c-12.6-12.6-3.7-34.1 14.1-34.1H192V24c0-13.3 10.7-24 24-24zm296 376v112c0 13.3-10.7 24-24 24H24c-13.3 0-24-10.7-24-24V376c0-13.3 10.7-24 24-24h146.7l49 49c20.1 20.1 52.5 20.1 72.6 0l49-49H488c13.3 0 24 10.7 24 24zm-124 88c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20zm64 0c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20z\\"></path></svg>'\\n  );\\n  vertical-align: middle;\\n}\\n\\n.topic-meta-data {\\n  align-items: center;\\n\\n  .names {\\n    display: flex;\\n    align-items: center;\\n  }\\n\\n  &:after {\\n    visibility: hidden;\\n    display: block;\\n    font-size: 0;\\n    content: \\" \\";\\n    clear: both;\\n    height: 0;\\n  }\\n\\n  .post-info {\\n    a {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    a.wiki {\\n      color: $wiki;\\n    }\\n  }\\n}\\n\\n.who-liked,\\n.who-read {\\n  margin-top: 20px;\\n  margin-bottom: 0;\\n  width: 100%;\\n  text-align: right;\\n}\\n\\nspan.highlighted {\\n  background-color: $tertiary-low;\\n}\\n\\n.first.new-user:not(.staff) a {\\n  color: $primary-low-mid;\\n}\\n\\n.read-state {\\n  position: absolute;\\n  // We use absolute positioning here because we want it to display in the padding\\n  align-self: center;\\n  color: $tertiary-medium;\\n  right: 0;\\n  font-size: 0.571em;\\n}\\n\\n.read-state.read {\\n  visibility: hidden;\\n  opacity: 0;\\n  transition: visibility 1s, opacity ease-out 1s;\\n}\\n\\n.signup-cta {\\n  width: $topic-body-width;\\n}\\n\\n/* Tablet (portrait) ----------- */\\n\\n@media all and (max-width: 775px) {\\n  .topic-avatar {\\n    width: 45px;\\n  }\\n  .topic-post .reply-to-tab {\\n    right: 15%;\\n  }\\n  .topic-body {\\n    box-sizing: border-box;\\n    width: calc(100% - 47px); //100% - [width of .topic-avatar + 2px]\\n  }\\n  .embedded-posts {\\n    // top means \\"in reply to expansion\\" above a post\\n    &.top {\\n      width: calc(100% - 56px); // [100% - margin-left]\\n    }\\n  }\\n}\\n",\n\t\t".post-actions {\\n  @include unselectable;\\n  clear: both;\\n  text-align: right;\\n  margin-bottom: 10px;\\n  .post-action {\\n    display: inline-block;\\n    margin-left: 10px;\\n    margin-top: 10px;\\n  }\\n}\\n\\n.post-menu-area {\\n  margin: 20px 0;\\n}\\n\\n#topic-title {\\n  z-index: z(\\"base\\");\\n  padding-top: 14px;\\n  margin-bottom: 10px;\\n\\n  #edit-title,\\n  .category-chooser,\\n  .edit-controls {\\n    width: 500px;\\n  }\\n  h1 {\\n    font-size: $font-up-4;\\n    line-height: $line-height-medium;\\n    overflow: hidden;\\n    width: 100%;\\n    a {\\n      color: $primary;\\n    }\\n  }\\n  .private-message-glyph {\\n    display: none;\\n  }\\n  .remove-featured-link {\\n    float: right;\\n    text-transform: lowercase;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    font-size: 0.857rem;\\n  }\\n}\\n\\n.private-message-glyph {\\n  float: left;\\n}\\n\\n.private_message #topic-title .private-message-glyph {\\n  display: inline;\\n}\\n\\n.topic-error,\\n.topic-notice {\\n  padding: 18px;\\n  width: 60%;\\n  margin-left: auto;\\n  margin-right: auto;\\n  font-size: $font-up-4;\\n  text-align: center;\\n  line-height: $line-height-medium;\\n\\n  .topic-retry,\\n  .topic-join-group {\\n    display: block;\\n    margin-top: 28px;\\n    margin-left: auto;\\n    margin-right: auto;\\n  }\\n}\\n\\n.topic-status-info {\\n  border-top: 1px solid $primary-low;\\n  padding: 10px 0;\\n  max-width: 758px;\\n  .topic-timer-heading {\\n    display: flex;\\n    align-items: center;\\n    margin: 0px;\\n  }\\n  .topic-timer-remove {\\n    font-size: $font-down-2;\\n    background: transparent;\\n    margin-left: auto;\\n  }\\n}\\n\\n#topic-progress-wrapper {\\n  position: fixed;\\n  right: 1em;\\n  bottom: 0;\\n  z-index: z(\\"timeline\\");\\n  &.docked {\\n    position: absolute;\\n    bottom: -70px;\\n  }\\n}\\n\\n#topic-progress-expanded {\\n  border: 1px solid $primary-low;\\n  padding: 5px;\\n  background: $secondary;\\n\\n  position: relative;\\n  left: 340px;\\n  width: 135px;\\n\\n  button.full {\\n    width: 100%;\\n    margin-bottom: 5px;\\n    .d-icon {\\n      display: block;\\n      margin-top: 2px;\\n      margin-bottom: 2px;\\n      font-size: $font-up-2;\\n    }\\n  }\\n  .jump-form {\\n    input[type=\\"text\\"] {\\n      float: left;\\n      width: 45px;\\n      height: 20px;\\n      text-align: center;\\n      margin-bottom: 0;\\n      font-size: $font-up-1;\\n    }\\n    button.btn {\\n      float: right;\\n      width: 55px;\\n    }\\n  }\\n  button.btn.jump-prompt {\\n    margin: 0;\\n  }\\n\\n  button.btn.jump-bottom {\\n    margin: 5px 0 0 0;\\n  }\\n}\\n\\n#topic-progress {\\n  position: relative;\\n  left: 340px;\\n  &.hidden {\\n    display: none;\\n  }\\n  background-color: $secondary;\\n  color: $tertiary;\\n  border: 1px solid $tertiary-low;\\n  border-bottom: none;\\n  width: 145px;\\n  height: 34px;\\n\\n  /* as a big ol' click target, don't let text inside be selected */\\n  @include unselectable;\\n\\n  &:hover {\\n    cursor: pointer;\\n  }\\n  .nums {\\n    position: relative;\\n    top: 9px;\\n    width: 100%;\\n    text-align: center;\\n    z-index: z(\\"base\\");\\n  }\\n  .d-icon {\\n    position: absolute;\\n    right: 8px;\\n    bottom: 9px;\\n    z-index: z(\\"base\\");\\n  }\\n  h4 {\\n    display: inline;\\n    font-size: $font-up-2;\\n    line-height: $line-height-small;\\n  }\\n  .bg {\\n    position: absolute;\\n    top: 0;\\n    bottom: 0;\\n    width: 0;\\n    max-width: 145px;\\n    border-right: 1px solid $tertiary-low;\\n    background-color: $tertiary-low;\\n    transition: width 0.75s;\\n  }\\n}\\n\\n#topic-filter {\\n  background-color: $highlight-medium;\\n  padding: 8px;\\n  bottom: 0;\\n  position: fixed;\\n  width: 100%;\\n  font-size: $font-0;\\n  z-index: z(\\"dropdown\\");\\n}\\n\\n@media all and (min-width: 400px) {\\n  #topic-progress,\\n  #topic-progress-expanded {\\n    right: 0;\\n    left: 0;\\n  }\\n\\n  #topic-progress-wrapper {\\n    right: 19vw;\\n  }\\n\\n  #topic-progress-wrapper.docked {\\n    right: 19vw;\\n  }\\n\\n  #topic-footer-main-buttons {\\n    max-width: 70%;\\n  }\\n}\\n\\n@media all and (max-width: 485px) {\\n  #topic-progress-wrapper.docked {\\n    display: none;\\n  }\\n\\n  #topic-footer-main-buttons {\\n    max-width: 100%;\\n  }\\n}\\n",\n\t\t".upload-selector {\\n  label {\\n    display: inline-block;\\n    padding-left: 10px;\\n  }\\n  .radios {\\n    min-height: 60px;\\n    display: flex;\\n    align-items: flex-start;\\n    label {\\n      flex: 1 0 auto;\\n      margin-right: 1em;\\n      margin-top: 1px;\\n    }\\n    .inputs {\\n      width: 100%;\\n      input {\\n        width: 90%;\\n        margin: 0 0 5px 0;\\n      }\\n      input[type=\\"file\\"] {\\n        font-size: $font-0;\\n        line-height: $line-height-medium;\\n      }\\n      .description,\\n      .hint {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n        display: block;\\n      }\\n      .hint {\\n        font-style: italic;\\n        margin: 5px 0 0 0;\\n      }\\n      .label {\\n        margin: 0 0 5px 0;\\n      }\\n    }\\n  }\\n  .radios:last-child:not(:nth-child(2)) {\\n    // last child for composer modal, but not theme import modal\\n    min-height: 20px;\\n  }\\n}\\n\\n.uploaded-image-preview {\\n  height: 270px;\\n  width: 400px;\\n  max-height: 150px;\\n  margin-bottom: 10px;\\n}\\n",\n\t\t"// Desktop styles for \\"/user\\" section\\n.user-content-wrapper {\\n  &,\\n  > .user-stream {\\n    > .alert:first-child {\\n      margin-top: 10px;\\n    }\\n  }\\n\\n  .show-mores {\\n    position: absolute;\\n  }\\n}\\n\\n.form-horizontal .control-group.category {\\n  margin-top: 18px;\\n}\\n\\n.user-profile-hidden {\\n  font-size: 1.5em;\\n  text-align: center;\\n}\\n.user-secondary-navigation {\\n  min-width: 150px;\\n  .nav-stacked {\\n    background-color: transparent;\\n\\n    li {\\n      border-bottom: none;\\n\\n      &.archive {\\n        padding-left: 1.4em;\\n      }\\n    }\\n\\n    a {\\n      color: $primary-medium;\\n\\n      &.active {\\n        color: $primary;\\n        font-weight: bold;\\n        background-color: transparent;\\n\\n        &:after {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.user-content {\\n  padding-bottom: s(3);\\n  margin-bottom: s(3);\\n  background-color: $secondary;\\n  box-sizing: border-box;\\n\\n  &.user-badges-list {\\n    display: flex;\\n    flex-wrap: wrap;\\n  }\\n\\n  .btn.right {\\n    float: right;\\n  }\\n\\n  h2 {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.pref-avatar {\\n  .avatar {\\n    max-width: 90px;\\n    max-height: 90px;\\n  }\\n}\\n\\n.pref-second-factor {\\n  margin-top: 10px;\\n}\\n\\n.user-invite-list {\\n  width: 100%;\\n  margin-top: 15px;\\n  tr {\\n    td {\\n      padding: 0.667em;\\n    }\\n  }\\n}\\n\\n.user-invite-search {\\n  clear: both;\\n  margin: 15px 0px -15px 0px;\\n}\\n\\n.user-invite-none {\\n  padding: 15px 0;\\n}\\n\\n.user-main {\\n  margin-bottom: 50px;\\n\\n  .about {\\n    &.group {\\n      .details {\\n        padding: 15px 0;\\n        margin: 0;\\n        color: dark-light-choose(lighten($primary, 10%), $secondary);\\n      }\\n    }\\n\\n    .details {\\n      img.avatar {\\n        margin: 0 20px 10px 0;\\n      }\\n\\n      .primary {\\n        .primary-textual {\\n          padding: s(0 1 1);\\n          a[href] {\\n            text-decoration: underline;\\n          }\\n          h1 {\\n            max-width: 100%;\\n            @include ellipsis;\\n          }\\n          .location-and-website {\\n            display: flex;\\n            max-width: 100%;\\n            @include ellipsis;\\n            .user-profile-location {\\n              margin-right: 1em;\\n            }\\n          }\\n        }\\n\\n        .bio {\\n          max-width: 750px;\\n\\n          a.mention {\\n            text-decoration: none;\\n          }\\n        }\\n      }\\n\\n      .secondary {\\n        margin-top: s(4);\\n      }\\n    }\\n\\n    &.has-background {\\n      .user-profile-image {\\n        height: 300px;\\n      }\\n      .details {\\n        box-sizing: border-box;\\n        width: 100%;\\n        padding: 15px 0 0 0;\\n        bottom: 0;\\n      }\\n    }\\n\\n    .controls {\\n      padding: 0 0 12px 0;\\n      float: right;\\n      text-align: right;\\n\\n      .btn {\\n        min-width: 140px;\\n      }\\n    }\\n\\n    &.collapsed-info {\\n      .user-profile-image {\\n        display: none;\\n      }\\n      .controls {\\n        width: auto;\\n\\n        > ul {\\n          display: inline-flex;\\n          > li {\\n            display: inline;\\n            margin-left: s(3);\\n            .d-button-label {\\n              line-height: 1;\\n            }\\n          }\\n\\n          a {\\n            margin-bottom: 10px;\\n            width: auto;\\n          }\\n        }\\n      }\\n\\n      .details {\\n        position: relative;\\n        padding: 0;\\n        margin-top: 0;\\n        border-bottom: 1px solid $primary-low;\\n      }\\n    }\\n  }\\n\\n  .user-field {\\n    input[type=\\"text\\"] {\\n      width: 530px;\\n    }\\n\\n    .controls {\\n      .instructions {\\n        display: block;\\n      }\\n    }\\n  }\\n\\n  .public-user-fields {\\n    overflow: hidden;\\n  }\\n}\\n\\n.user-preferences {\\n  padding-top: 10px;\\n  padding-left: 30px;\\n\\n  .form-vertical {\\n    width: 500px;\\n    max-width: 100%;\\n  }\\n\\n  h3 {\\n    color: $primary;\\n    margin: 20px 0 10px 0;\\n  }\\n\\n  .category-selector,\\n  .tag-chooser,\\n  textarea,\\n  input.user-selector {\\n    width: 100%;\\n  }\\n\\n  .instructions {\\n    display: inline-block;\\n    margin-top: s(1);\\n  }\\n}\\n\\n.user-crawler {\\n  .username {\\n    margin-left: 5px;\\n    display: inline-block;\\n  }\\n}\\n",\n\t\t"// styles that apply to the popup that appears when you show the edit history of a post\\n\\n.modal.history-modal {\\n  .modal-inner-container {\\n    max-width: $large-width;\\n  }\\n  .modal-body {\\n    height: 70vh;\\n  }\\n  #revision-controls {\\n    .btn[disabled] {\\n      cursor: not-allowed;\\n      background-color: $primary-low;\\n    }\\n    .btn-danger[disabled] {\\n      background-color: $danger-medium;\\n    }\\n  }\\n\\n  #revision {\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n\\n  #revisions {\\n    word-wrap: break-word;\\n    table {\\n      margin-top: 10px;\\n    }\\n  }\\n  img {\\n    max-width: 670px;\\n    height: auto;\\n  }\\n  .inline-diff {\\n    width: 670px;\\n  }\\n  .markdown {\\n    font-family: monospace;\\n    font-size: $font-down-1;\\n    width: 100%;\\n    border-collapse: collapse;\\n    border-spacing: 0;\\n    td {\\n      width: 50%;\\n      vertical-align: top;\\n      max-width: 440px;\\n      word-wrap: break-word;\\n      white-space: pre-wrap;\\n    }\\n  }\\n  .revision-content,\\n  .markdown {\\n    img {\\n      max-width: 100%;\\n      box-sizing: border-box;\\n    }\\n  }\\n  .modal-header {\\n    height: 42px;\\n  }\\n\\n  .modal-footer {\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n}\\n",\n\t\t".group-nav {\\n  .group-dropdown {\\n    margin-right: 10px;\\n  }\\n}\\n.group-info {\\n  margin-bottom: 20px;\\n}\\n\\n.group-navigation {\\n  width: 15%;\\n  background-color: transparent;\\n\\n  li {\\n    border: none;\\n\\n    a {\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n      padding: 8px 0;\\n\\n      &.active {\\n        background-color: transparent;\\n        font-weight: bold;\\n        color: $primary;\\n\\n        &:after {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.group-activity-outlet,\\n.group-messages-outlet,\\n.group-manage-outlet {\\n  width: 85%;\\n}\\n\\n.group-manage {\\n  .form-horizontal {\\n    button {\\n      float: none;\\n    }\\n  }\\n}\\n\\n.group-details-button {\\n  position: absolute;\\n  top: 20px;\\n  right: 20px;\\n}\\n",\n\t\t".admin-customize {\\n  .show-current-style {\\n    padding-left: 2%;\\n    width: 68%;\\n\\n    .title {\\n      input {\\n        width: 80%;\\n      }\\n    }\\n  }\\n\\n  .themes-list {\\n    width: 28%;\\n  }\\n}\\n",\n\t\t"// shared styles for user and group cards\\n#user-card,\\n#group-card {\\n  position: absolute;\\n  z-index: z(\\"usercard\\");\\n  &.fixed {\\n    position: fixed;\\n    z-index: z(\\"composer\\", \\"content\\") + 1;\\n  }\\n  &.docked-card {\\n    z-index: z(\\"header\\") + 1;\\n  }\\n  // avatar - names - controls\\n  .first-row {\\n    .names {\\n      flex: 1 1 auto;\\n    }\\n    .usercard-controls {\\n      button {\\n        min-width: 150px;\\n      }\\n    }\\n  }\\n  h1 {\\n    .d-icon {\\n      font-size: $font-down-1;\\n    }\\n  }\\n  h2 {\\n    font-size: $font-up-1;\\n  }\\n  h3 {\\n    font-size: $font-0;\\n  }\\n}\\n\\n// styles for user cards only\\n#user-card {\\n  // badges\\n  .sixth-row {\\n    .badge-section {\\n      .user-badge {\\n        display: block;\\n        max-width: 185px;\\n        margin: 0 0.5em 0 0;\\n      }\\n      .more-user-badges {\\n        max-width: 125px;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Desktop styles for \\"user-stream-item\\" component\\n.user-stream {\\n  // DEPRECATION:\\n  // The \\".item\\" class should be eventually removed because it's too generic.\\n  // Once \\".item\\" has been removed, \\".user-stream-item\\" can replace\\n  // \\".user-stream\\" as the top-level selector on this file as all other\\n  // selectors below are its children\\n  .item,\\n  .user-stream-item {\\n    padding: 1em 0.53em;\\n  }\\n\\n  .time,\\n  .delete-info,\\n  .draft-type {\\n    margin-right: 8px;\\n  }\\n\\n  .notification {\\n    &.unread {\\n      background-color: $tertiary-low;\\n    }\\n  }\\n}\\n",\n\t\t".user-info {\\n  &.medium {\\n    flex: 0 0 32%;\\n    margin: 0 2% 4vh 0;\\n    display: flex;\\n    &:nth-of-type(3n) {\\n      margin-right: 0;\\n    }\\n    @media screen and (max-width: $small-width) {\\n      flex: 0 0 48%;\\n      margin-right: 0;\\n    }\\n    .user-image {\\n      width: 55px;\\n      margin-right: 0;\\n    }\\n  }\\n}\\n",\n\t\t""\n\t],\n\t"names": [],\n\t"mappings": "AEAA,4DAA4D,AAQ5D,AAAA,IAAI,AAAC,CACH,WAAW,CAAE,UAAU,CACvB,oBAAoB,CAAE,IAAI,CAC1B,wBAAwB,CAAE,IAAI,CAC/B,AAMD,AAAA,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAWD,AAAA,OAAO,CACP,KAAK,CACL,OAAO,CACP,UAAU,CACV,MAAM,CACN,MAAM,CACN,MAAM,CACN,MAAM,CACN,IAAI,CACJ,GAAG,CACH,OAAO,CACP,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACf,AAOD,AAAA,KAAK,CACL,MAAM,CACN,QAAQ,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,QAAQ,CACzB,AAOD,AAAA,KAAK,AAAA,IAAK,EAAA,AAAA,QAAC,AAAA,EAAW,CACpB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACV,CAOD,AAAA,AAAA,MAAC,AAAA,EACD,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AASD,AAAA,CAAC,AAAC,CACA,UAAU,CAAE,WAAW,CACxB,AAMD,AAAA,CAAC,AAAA,OAAO,CACR,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AASA,AAAA,IAAI,CAAA,AAAA,KAAC,AAAA,EAAQ,OAAO,CAAA,AAAA,KAAC,AAAA,CAAO,CAC3B,eAAe,CAAE,SAAS,CAC1B,qBAAqB,CAAE,MAAM,CAC9B,AAMD,AAAA,CAAC,CACD,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAMD,AAAA,GAAG,AAAC,CACF,UAAU,CAAE,MAAM,CACnB,AAOD,AAAA,EAAE,AAAC,CACD,SAAS,CAAE,QAAQ,CACnB,MAAM,CAAE,QAAQ,CACjB,AAMD,AAAA,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AAMD,AAAA,KAAK,AAAC,CACJ,SAAS,CAAE,GAAG,CACf,AAMD,AAAA,GAAG,CACH,GAAG,AAAC,CACF,SAAS,CAAE,GAAG,CACd,WAAW,CAAE,CAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACzB,AAED,AAAA,GAAG,AAAC,CACF,GAAG,CAAE,MAAM,CACZ,AAED,AAAA,GAAG,AAAC,CACF,MAAM,CAAE,OAAO,CAChB,AASD,AAAA,GAAG,AAAC,CACF,MAAM,CAAE,CAAC,CACV,AASD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,QAAQ,CACjB,AAMD,AAAA,EAAE,AAAC,CACD,eAAe,CAAE,WAAW,CAC5B,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,GAAG,AAAC,CACF,QAAQ,CAAE,IAAI,CACf,AAMD,AAAA,IAAI,CACJ,GAAG,CACH,GAAG,CACH,IAAI,AAAC,CACH,WAAW,CAAE,oBAAoB,CACjC,SAAS,CAAE,GAAG,CACf,AAiBD,AAAA,MAAM,CACN,KAAK,CACL,QAAQ,CACR,MAAM,CACN,QAAQ,AAAC,CACP,KAAK,CAAE,OAAO,CACd,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,OAAO,CAClB,AASD,AAAA,MAAM,CACN,MAAM,AAAC,CACL,cAAc,CAAE,IAAI,CACrB,AAUD,AAAA,MAAM,CACN,IAAI,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,EACX,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EACN,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,kBAAkB,CAAE,MAAM,CAC1B,MAAM,CAAE,OAAO,CAChB,AAMD,AAAA,MAAM,CAAA,AAAA,QAAC,AAAA,EACP,IAAI,CAAC,KAAK,CAAA,AAAA,QAAC,AAAA,CAAU,CACnB,MAAM,CAAE,OAAO,CAChB,AAMD,AAAA,MAAM,AAAA,kBAAkB,CACxB,KAAK,AAAA,kBAAkB,AAAC,CACtB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAOD,AAAA,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACpB,AAUD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EACN,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,CAAC,CACX,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,CAC/C,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,AAAC,CAC9C,MAAM,CAAE,IAAI,CACb,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,kBAAkB,CAAE,SAAS,CAC7B,eAAe,CAAE,WAAW,CAC5B,kBAAkB,CAAE,WAAW,CAC/B,UAAU,CAAE,WAAW,CACxB,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,8BAA8B,CAClD,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,AAAC,CAC9C,kBAAkB,CAAE,IAAI,CACzB,AAMD,AAAA,QAAQ,AAAC,CACP,MAAM,CAAE,iBAAiB,CACzB,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,qBAAqB,CAC/B,AAOD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAMD,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,IAAI,CACf,AAOD,AAAA,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AASD,AAAA,KAAK,AAAC,CACJ,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CAClB,AAED,AAAA,EAAE,CACF,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACX,AC/ZD;;;GAGG,AA8BH,AAAA,YAAY,AAAC,CACT,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,KAAK,CEvCC,IAAO,CFwCb,UAAU,CEvCF,IAAO,CFwCf,MAAM,CAAE,GAAG,CAAC,KAAK,CC2JT,OAAmD,CD1J3D,mBAAmB,CC0JX,OAAmD,CDzJ3D,WAAW,CAXE,gBAAgB,CAAE,SAAS,CAAE,KAAK,CAAE,UAAU,CAqB9D,AAlBD,AAUI,YAVQ,AAUP,UAAU,AAAC,CACR,OAAO,CAAE,IAAI,CAChB,AAZL,AAcI,YAdQ,AAcP,SAAS,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,CAAC,CAAC,GAAG,CAAC,IAAI,CAAE,IAAG,CAjChB,eAAc,CAkC5B,AAKL,AACI,YADQ,AACP,OAAO,CADZ,YAAY,AAEP,MAAM,AAAC,CACJ,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,KAAK,CACjB,AALL,AAOI,YAPQ,AAOP,MAAM,AAAC,CAAE,KAAK,CAAE,IAAK,CAAE,AAG5B,AAAA,YAAY,AAAC,CACT,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,GAAG,CACd,AAED,AAAA,WAAW,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,MAAM,CAYrB,AAdD,AAII,WAJO,CAIP,MAAM,AAAC,CACH,MAAM,CAAE,OAAO,CACf,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,gBAAgB,CACxB,OAAO,CAAE,CAAC,CACb,AAGL,AAAA,WAAW,AAAC,CACR,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,OAAO,CAChB,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,IAAI,CACjB,KAAK,CEnGC,IAAO,CFoGb,gBAAgB,CEnGR,IAAO,CFoGlB,AAED,AAAA,UAAU,CACV,UAAU,AAAC,CACP,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,OAAO,CACf,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,gBAAgB,CAAE,WAAW,CAC7B,mBAAmB,CAAE,aAAa,CAClC,iBAAiB,CAAE,SAAS,CAC5B,eAAe,CAAE,OAAO,CACxB,OAAO,CAAE,EAAE,CAEP,MAAM,CAAE,SAAS,CAWxB,AA9BD,AAsBI,UAtBM,AAsBL,MAAM,CArBX,UAAU,AAqBL,MAAM,AAAC,CACJ,OAAO,CAAE,CAAC,CACb,AAxBL,AA0BI,UA1BM,AA0BL,YAAY,CAzBjB,UAAU,AAyBL,YAAY,AAAC,CACV,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,EAAE,CACd,AAGL,AAAA,UAAU,CACV,OAAO,CAAC,UAAU,AAAC,CACf,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,yNAAyN,CAC9O,AAED,AAAA,UAAU,CACV,OAAO,CAAC,UAAU,AAAC,CACf,KAAK,CAAE,KAAK,CACZ,gBAAgB,CAAE,yNAAyN,CAC9O,AAED,AAAA,YAAY,AAAC,CACT,OAAO,CAAE,YAAY,CACxB,AAED,AAAA,WAAW,AAAC,CACR,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,CAAC,CAoBZ,AAxBD,AAMI,WANO,CAMP,EAAE,CANN,WAAW,CAOP,EAAE,AAAC,CACC,KAAK,CAAE,mBAAmB,CAC1B,OAAO,CAAE,CAAC,CACb,AAVL,AAYI,WAZO,CAYP,EAAE,AAAC,CACC,KAAK,CEpKH,IAAO,CFqKT,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,MAAM,CACrB,AAlBL,AAoBI,WApBO,CAoBP,IAAI,AAAC,CACD,aAAa,CAAE,IAAI,CACnB,MAAM,CAAE,IAAI,CACf,AAGL,AAAA,YAAY,AAAC,CACT,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,GAAG,CACZ,KAAK,CE3LC,IAAO,CF4Lb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,KAAK,CACjB,UAAU,CE9LF,IAAO,CF2NlB,AA3BG,AAAA,SAAS,CAhBb,YAAY,AAgBI,CACR,KAAK,CEhMF,OAAO,CFiMV,WAAW,CAAE,IAAI,CACpB,AAED,AAAA,YAAY,CArBhB,YAAY,AAqBO,CACX,KAAK,CEtMD,IAAO,CFuMX,WAAW,CAAE,IAAI,CACjB,UAAU,CEvMP,OAAO,CFwMV,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,GAAG,CCNvB,OAAmD,CDOvD,aAAa,CAAE,GAAG,CACrB,AAED,AAAA,YAAY,CA7BhB,YAAY,CA8BR,yBAAyB,CA9B7B,YAAY,AA8BoB,CACxB,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,OAAO,CACf,KAAK,CElNH,IAAO,CFmNT,OAAO,CAAE,EAAE,CACd,AAnCL,AAqCI,YArCQ,AAqCP,MAAM,AAAC,CACJ,KAAK,CEvNH,IAAO,CFwNT,UAAU,CCpBN,OAAmD,CDqBvD,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AAGL,AAAA,UAAU,AAAC,CACP,SAAS,CAAE,IAAI,CACf,KAAK,CEhOC,IAAO,CFiOhB,AAED,AAAA,WAAW,CAAC,YAAY,AAAC,CACrB,UAAU,CAAE,OAAO,CACtB,AAED,AAAA,cAAc,CAAC,YAAY,AAAC,CACxB,KAAK,CEvOG,IAAO,CFwOf,UAAU,CAAE,OAAO,CACnB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AAED,AAAA,YAAY,CAAC,YAAY,AAAC,CACtB,KAAK,CE9OG,IAAO,CF+Of,UAAU,CE9OH,OAAO,CF+Od,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AK5OD,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAKD,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACf,AAED,AAAA,KAAK,CACL,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAED,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,gBAAgB,CACtB,MAAM,CAAE,CAAC,CACV,AAKD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,KAAK,CAChB,AAKD,AACE,SADO,AACN,OAAO,CqClCV,UAAU,ArCkCP,OAAO,CsEwTV,UAAU,AtExTP,OAAO,CsE4TV,KAAK,AtE5TF,OAAO,CADV,SAAS,AAEN,MAAM,CqCnCT,UAAU,ArCmCP,MAAM,CsEuTT,UAAU,AtEvTP,MAAM,CsE2TT,KAAK,AtE3TF,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACb,AALH,AAME,SANO,AAEN,MAAM,CqCnCT,UAAU,ArCmCP,MAAM,CsEuTT,UAAU,AtEvTP,MAAM,CsE2TT,KAAK,AtE3TF,MAAM,AAIC,CACN,KAAK,CAAE,IAAI,CACZ,AAMH,AAAA,kBAAkB,AAAC,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACxB,AAKD,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CAChB,AAID,AAAA,iBAAiB,AAAA,MAAM,AAAC,CACtB,UAAU,CJgHA,OAAoD,CI/G9D,KAAK,CHnFG,IAAO,CGoFhB,AN5ED,AAAA,IAAI,AODC,CACH,KAAK,CJRG,IAAO,CISf,WAAW,CLgCM,SAAS,CAAE,KAAK,CAAE,UAAU,CK/B7C,SAAS,CL4BM,IAAI,CK3BnB,WAAW,CLsDO,GAAG,CKrDrB,gBAAgB,CJXN,IAAO,CIYjB,UAAU,CAAE,MAAM,CAClB,SAAS,CAAE,GAAG,CAaf,AApBD,AASE,IATE,AASD,kBAAkB,AAAC,CAClB,SAAS,CLoBY,IAAI,CKnB1B,AAXH,AAaE,IAbE,AAaD,iBAAiB,AAAC,CACjB,SAAS,CLkBW,IAAI,CKjBzB,AAfH,AAiBE,IAjBE,AAiBD,kBAAkB,AAAC,CAClB,SAAS,CLeY,IAAI,CKd1B,AP4DH,AAAA,CAAC,AOtDC,CACA,KAAK,CJ/BI,OAAO,CIgChB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,OAAO,CAUhB,AAbD,AAIE,CAJD,AAIE,QAAQ,AAAC,CACR,KAAK,CJnCE,OAAO,CIoCf,AANH,AAOE,CAPD,AAOE,MAAM,AAAC,CACN,KAAK,CJtCE,OAAO,CIuCf,AATH,AAUE,CAVD,AAUE,OAAO,AAAC,CACP,KAAK,CJzCE,OAAO,CI0Cf,AP6JH,AAAA,EAAE,AOvJC,CACD,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,KAAK,CACb,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CAAC,KAAK,CL6IX,OAAmD,CK5I7D,OAAO,CAAE,CAAC,CACX,AAKD,AAAA,EAAE,CACF,EAAE,AAAC,CACD,MAAM,CAAE,YAAY,CACpB,OAAO,CAAE,CAAC,CACX,AAED,AAAA,OAAO,CAAC,EAAE,CACV,OAAO,CAAC,EAAE,CACV,OAAO,CAAC,EAAE,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,OAAO,CAAC,EAAE,CACV,iBAAiB,CAAC,EAAE,AAAC,CACnB,MAAM,CAAE,CAAC,CACT,YAAY,CAAE,IAAI,CACnB,AAED,AACE,EADA,CACE,EAAE,CADN,EAAE,CAEE,EAAE,AAAC,CACH,aAAa,CAAE,CAAC,CACjB,APkGH,AAAA,GAAG,AO5FC,CACF,cAAc,CAAE,MAAM,CACvB,APqRD,AAAA,QAAQ,AOhRC,CACP,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAED,AAAA,GAAG,CAAC,IAAI,AAAC,CACP,QAAQ,CAAE,IAAI,CACd,QAAQ,CAAE,CAAC,CACZ,AAGD,AAAA,IAAI,AAAA,OAAO,CACX,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,EAAE,CACZ,AACD,AAAA,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAKD,AAAA,KAAK,AAAC,CACJ,UAAU,CAAE,GAAG,CAAC,KAAK,CLsEX,OAAmD,CKrE9D,AAED,AAAA,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CLkEd,OAAmD,CK9D9D,AALD,AAEE,EAFA,AAEC,YAAY,AAAC,CACZ,SAAS,CAAE,uCAAuC,CACnD,AAIH,AAAA,IAAI,CAAG,EAAE,AAAC,CACR,SAAS,CAAE,GAAG,CACf,AY3ID,AAEI,WAFO,AACR,0BAA0B,CACzB,gBAAgB,AAAC,CACf,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,KAAK,CACb,AALL,AAOI,WAPO,AACR,0BAA0B,CAMzB,kBAAkB,CAAC,OAAO,AAAC,CACzB,eAAe,CAAE,aAAa,CAC/B,ACTL,AAEI,WAFO,AACR,UAAU,AACR,iBAAiB,AAAC,CACjB,KAAK,CAAE,KAAK,CA2Cb,AA9CL,AAKM,WALK,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,iBAAiB,CAAE,UAAU,CAC7B,cAAc,CAAE,UAAU,CAC1B,WAAW,CAAE,UAAU,CACvB,kBAAkB,CAAE,QAAQ,CAC5B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,MAAM,CAC1B,cAAc,CAAE,MAAM,CA8BvB,AA7CP,AAkBU,WAlBC,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,AAYZ,KAAK,CACJ,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AApBX,AAuBQ,WAvBG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAkBb,YAAY,AAAC,CACX,SAAS,ClB4BL,OAAQ,CkB3BZ,KAAK,CjBzBL,IAAO,CiB0BP,WAAW,CAAE,MAAM,CACpB,AA3BT,AA6BQ,WA7BG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAwBb,gBAAgB,AAAC,CACf,KAAK,CjB9BL,IAAO,CiB+BP,WAAW,ClBkCD,GAAG,CkBjCb,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACf,AAnCT,AAqCQ,WArCG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAgCb,cAAc,AAAC,CACb,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,OAAO,CACd,SAAS,ClBSL,OAAQ,CkBRZ,WAAW,ClBsBD,GAAG,CkBrBd,AC5CT,AAGM,WAHK,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAAC,CACb,SAAS,CnB8CR,GAAG,CmB7CJ,WAAW,CAAE,MAAM,CASpB,AAdP,AAOQ,WAPG,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAIX,IAAI,AAAC,CACJ,MAAM,CAAE,CAAC,CAKV,AAbT,AAUU,WAVC,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAIX,IAAI,CAGH,IAAI,AAAA,eAAe,AAAC,CAClB,MAAM,CAAE,CAAC,CACV,AAZX,AAgBM,WAhBK,AACR,UAAU,AACR,cAAc,AAcZ,IAAI,AAAA,cAAc,CAAC,qBAAqB,AAAC,CACxC,OAAO,CAAE,YAAY,CACtB,AAlBP,AAqBQ,WArBG,AACR,UAAU,AACR,cAAc,AAkBZ,IAAI,AAAA,cAAc,CAAC,qBAAqB,CACvC,cAAc,AAAA,IAAI,AAAC,CACjB,OAAO,CAAE,CAAC,CACX,AAvBT,AA2BQ,WA3BG,AACR,UAAU,AACR,cAAc,CAwBb,qBAAqB,AAClB,QAAQ,CAAC,cAAc,AAAC,CACvB,KAAK,CAAE,OAAO,CACf,AA7BT,AA+BQ,WA/BG,AACR,UAAU,AACR,cAAc,CAwBb,qBAAqB,CAKnB,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAjCT,AAoCM,WApCK,AACR,UAAU,AACR,cAAc,CAkCb,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CACjB,AAtCP,AAwCM,WAxCK,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,AAAC,CACd,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,UAAU,CA+BxB,AAzEP,AA4CQ,WA5CG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAIZ,AAAA,UAAC,CAAW,gBAAgB,AAA3B,EA5CV,WAAW,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAKZ,AAAA,UAAC,CAAW,eAAe,AAA1B,CAA4B,CAC5B,KAAK,ClB5CJ,OAAO,CkB6CR,WAAW,CAAE,GAAG,CACjB,AAhDT,AAkDQ,WAlDG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAUb,cAAc,AAAC,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CnBgJH,OAAmD,CmB/IrD,UAAU,CAAE,GAAG,CAChB,AAtDT,AAwDQ,WAxDG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAgBb,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACpB,AA1DT,AA4DQ,WA5DG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAoBb,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,MAAM,CACpB,AA/DT,AAiEQ,WAjEG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAyBb,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,WAAW,CAAE,IAAI,CAKlB,AAxET,AAqEU,WArEC,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAyBb,cAAc,AAIX,UAAW,CAAA,CAAC,CAAE,CACb,WAAW,CAAE,IAAI,CAClB,AAvEX,AA2EM,WA3EK,AACR,UAAU,AACR,cAAc,AAyEZ,YAAY,CAAC,mBAAmB,CA3EvC,WAAW,AACR,UAAU,AACR,cAAc,CA0Eb,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AC9EP,AAEI,WAFO,CACT,aAAa,CACX,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACf,AAVL,AAWI,WAXO,CACT,aAAa,CAUX,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAChB,AAbL,AAeM,WAfK,CACT,aAAa,CAaX,gBAAgB,CACd,cAAc,AAAA,IAAI,AAAC,CACjB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CAChB,AAlBP,AAoBI,WApBO,CACT,aAAa,CAmBX,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,ACtBL,AAKQ,WALG,AAER,kBAAkB,CACjB,cAAc,CACZ,cAAc,AACX,IAAI,CAJb,eAAe,AACZ,kBAAkB,CACjB,cAAc,CACZ,cAAc,AACX,IAAI,AAAC,CACJ,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACX,ACRT,AACE,WADS,AACR,UAAU,AAAC,CACV,SAAS,CAAE,IAAI,CA4HhB,AA9HH,AAGI,WAHO,AACR,UAAU,CAET,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,aAAa,CAAE,CAAC,CAChB,UAAU,CtBiIF,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CsBhIvC,AARL,AAUI,WAVO,AACR,UAAU,CAST,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,QAAQ,CAIlB,AAjBL,AAcM,WAdK,AACR,UAAU,CAST,eAAe,AAIZ,WAAW,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,AAhBP,AAmBI,WAnBO,AACR,UAAU,CAkBT,kBAAkB,AAAC,CACjB,OAAO,CtBTG,GAAG,CAAC,IAAI,CsBUlB,UAAU,CAAE,GAAG,CAAC,KAAK,CtB+Kf,OAAmD,CsB9KzD,aAAa,CAAE,GAAG,CAAC,KAAK,CtB8KlB,OAAmD,CsB9J1D,AAtCL,AAwBM,WAxBK,AACR,UAAU,CAkBT,kBAAkB,CAKhB,QAAQ,AAAC,CACP,IAAI,CAAE,QAAQ,CACf,AA1BP,AA4BM,WA5BK,AACR,UAAU,CAkBT,kBAAkB,CAShB,aAAa,CA5BnB,WAAW,AACR,UAAU,CAkBT,kBAAkB,CAUhB,aAAa,AAAA,MAAM,CA7BzB,WAAW,AACR,UAAU,CAkBT,kBAAkB,CAWhB,aAAa,AAAA,OAAO,AAAC,CACnB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACX,AAjCP,AAmCM,WAnCK,AACR,UAAU,CAkBT,kBAAkB,CAgBhB,YAAY,AAAC,CACX,YAAY,CAAE,GAAG,CAClB,AArCP,AAwCI,WAxCO,AACR,UAAU,CAuCT,kBAAkB,AAAC,CACjB,UAAU,CrBxCJ,IAAO,CqByCb,MAAM,CAAE,GAAG,CAAC,KAAK,CtB0JX,OAAmD,CsBzJzD,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,SAAS,CtBKN,GAAG,CsBCP,AAnDL,AA+CM,WA/CK,AACR,UAAU,CAuCT,kBAAkB,AAOf,WAAW,AAAC,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CrB9Cd,OAAO,CqB+CV,UAAU,CtB8FP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,CqBgDX,AAlDP,AAqDI,WArDO,AACR,UAAU,CAoDT,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,IAAI,CAiBhB,AA5EL,AA8DQ,WA9DG,AACR,UAAU,CAoDT,sBAAsB,CAQpB,kBAAkB,CAChB,CAAC,AAAC,CACA,WAAW,CAAE,MAAM,CACnB,KAAK,CrBhEL,IAAO,CqBiEP,WAAW,CtBDA,GAAG,CsBEd,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,KAAK,CrBnEJ,OAAO,CqBwET,AA1ET,AAuEU,WAvEC,AACR,UAAU,CAoDT,sBAAsB,CAQpB,kBAAkB,CAChB,CAAC,AASE,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AAzEX,AA+EM,WA/EK,AACR,UAAU,AA6ER,YAAY,CACX,kBAAkB,AAAC,CACjB,UAAU,CtBoHN,OAAmD,CsBnHvD,YAAY,CtBmHR,OAAmD,CsBlHvD,KAAK,CtBkHD,OAAmD,CsB9GxD,AAtFP,AAmFQ,WAnFG,AACR,UAAU,AA6ER,YAAY,CACX,kBAAkB,CAIhB,OAAO,AAAC,CACN,KAAK,CtBgHH,OAAmD,CsB/GtD,AArFT,AA0FM,WA1FK,AACR,UAAU,AAwFR,eAAe,CACd,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CrBzFd,OAAO,CqB0FV,UAAU,CtBmDP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,CqB2FX,AA7FP,AAiGM,WAjGK,AACR,UAAU,AA+FR,YAAY,CACX,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CrBjGd,OAAO,CqBkGV,UAAU,CtB2CP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,CqBmGX,AArGP,AAyGM,WAzGK,AACR,UAAU,AAuGR,YAAY,AAAA,SAAS,CACpB,kBAAkB,AAAC,CACjB,aAAa,CAAE,WAAW,CAC3B,AA3GP,AA6GM,WA7GK,AACR,UAAU,AAuGR,YAAY,AAAA,SAAS,CAKpB,gBAAgB,AAAC,CACf,aAAa,CAAE,WAAW,CAC3B,AA/GP,AAkHI,WAlHO,AACR,UAAU,AAiHR,SAAS,CAlHd,WAAW,AACR,UAAU,AAkHR,eAAe,AAAC,CACf,SAAS,CAAE,IAAI,CAIhB,AAxHL,AAqHM,WArHK,AACR,UAAU,AAiHR,SAAS,CAGR,eAAe,CArHrB,WAAW,AACR,UAAU,AAkHR,eAAe,CAEd,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAvHP,AA0HI,WA1HO,AACR,UAAU,AAyHR,YAAY,CAAC,mBAAmB,CA1HrC,WAAW,AACR,UAAU,CA0HT,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AC7HL,AAEI,WAFO,AACR,oBAAoB,AAClB,iBAAiB,AAAC,CACjB,MAAM,CAAE,CAAC,CAmBV,AAtBL,AAIM,WAJK,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAAC,CACjB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,CAAC,CACV,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CvB2Lb,OAAmD,CuB1LvD,UAAU,CAAE,KAAK,CAQlB,AAlBP,AAWQ,WAXG,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,CAOhB,OAAO,AAAC,CACN,OAAO,CAAE,OAAO,CACjB,AAbT,AAcQ,WAdG,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAUf,MAAM,CAdf,WAAW,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAWf,MAAM,AAAC,CACN,UAAU,CvBoLR,OAAmD,CuBnLtD,AAjBT,AAmBM,WAnBK,AACR,oBAAoB,AAClB,iBAAiB,CAiBhB,OAAO,AAAC,CACN,MAAM,CAAE,YAAY,CACrB,ACrBP,AACE,WADS,AACR,oBAAoB,AAAC,CACpB,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CA6Hb,AAnIH,AASM,WATK,AACR,oBAAoB,AAOlB,YAAY,CACX,sBAAsB,CAT5B,WAAW,AACR,oBAAoB,AAOlB,YAAY,CAEX,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAZP,AAeI,WAfO,AACR,oBAAoB,CAcnB,gBAAgB,AAAC,CACf,MAAM,CAAE,GAAG,CAAC,KAAK,CxBoLX,OAAmD,CwBnLzD,eAAe,CAAE,WAAW,CAC5B,UAAU,CxBsHF,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CwBrHtC,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CACb,AArBL,AAuBI,WAvBO,AACR,oBAAoB,CAsBnB,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CAsElB,AA/FL,AA2BM,WA3BK,AACR,oBAAoB,CAsBnB,eAAe,CAIb,MAAM,AAAC,CACL,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,iBAAiB,CAAE,KAAK,CACxB,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,UAAU,CACvB,gBAAgB,CAAE,MAAM,CACxB,aAAa,CAAE,MAAM,CACrB,eAAe,CAAE,MAAM,CACvB,mBAAmB,CAAE,KAAK,CAC1B,UAAU,CAAE,UAAU,CACtB,YAAY,CAAE,OAAO,CACrB,UAAU,CAAE,GAAG,CACf,KAAK,CAAE,IAAI,CASZ,AAnDP,AA4CQ,WA5CG,AACR,oBAAoB,CAsBnB,eAAe,CAIb,MAAM,CAiBJ,OAAO,AAAC,CACN,SAAS,CxBGP,QAAQ,CwBFV,mBAAmB,CAAE,MAAM,CAC3B,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,CAAC,CACX,AAlDT,AAqDM,WArDK,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,AAAC,CACL,KAAK,CAAE,CAAC,CACR,WAAW,CxBUC,GAAG,CwBTf,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,MAAM,CACZ,iBAAiB,CAAE,KAAK,CACxB,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,UAAU,CACvB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,IAAI,CACf,kBAAkB,CAAE,QAAQ,CAC5B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,MAAM,CAC1B,cAAc,CAAE,MAAM,CAwBvB,AA9FP,AAwEQ,WAxEG,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,CAmBJ,KAAK,AAAC,CACJ,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,IAAI,CACjB,SAAS,CxB3BV,GAAG,CwB4BF,KAAK,CvB9EL,IAAO,CuB+EP,OAAO,CAAE,CAAC,CdnBlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CcmBf,SAAS,CAAE,IAAI,CAChB,AAlFT,AAoFQ,WApFG,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,CA+BJ,KAAK,AAAC,CACJ,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CxBtCL,OAAQ,CwBuCZ,WAAW,CAAE,MAAM,CACnB,KAAK,CxByGH,OAAmD,CwBxGrD,WAAW,CAAE,MAAM,CACpB,AA7FT,AAiGI,WAjGO,AACR,oBAAoB,CAgGnB,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CACjB,AApGL,AAsGI,WAtGO,AACR,oBAAoB,CAqGnB,2BAA2B,AAAC,CAC1B,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,CAAC,CAET,iBAAiB,CAAE,MAAM,CACzB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,MAAM,CACnB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,OAAO,CACtB,eAAe,CAAE,aAAa,CAC9B,kBAAkB,CAAE,UAAU,CAC9B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,GAAG,CACvB,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,WAAW,CAUrB,AAlIL,AA0HM,WA1HK,AACR,oBAAoB,CAqGnB,2BAA2B,CAoBzB,OAAO,CAAG,OAAO,AAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AA5HP,AA8HM,WA9HK,AACR,oBAAoB,CAqGnB,2BAA2B,AAwBxB,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACnB,aAAa,CvB9HV,OAAO,CuB+HX,ACjIP,AAEI,WAFO,AACR,SAAS,AACP,2BAA2B,AAAC,CAC3B,SAAS,CAAE,GAAG,CA4Bf,AA/BL,AAMQ,WANG,AACR,SAAS,AACP,2BAA2B,CAG1B,kCAAkC,CAChC,UAAU,AAAC,CACT,WAAW,CzB0DD,GAAG,CyBzDd,AART,AAWM,WAXK,AACR,SAAS,AACP,2BAA2B,CAS1B,oCAAoC,AAAC,CACnC,KAAK,CAAE,IAAsB,CAC7B,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,MAAM,CACpB,AAfP,AAiBM,WAjBK,AACR,SAAS,AACP,2BAA2B,CAe1B,iCAAiC,AAAC,CAChC,YAAY,CAAE,GAAG,CAClB,AAnBP,AAqBM,WArBK,AACR,SAAS,AACP,2BAA2B,CAmB1B,UAAU,AAAC,CACT,OAAO,CAAE,CAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAxBP,AA2BQ,WA3BG,AACR,SAAS,AACP,2BAA2B,CAwB1B,+BAA+B,CAC7B,iCAAiC,AAAC,CAChC,KAAK,CAAE,IAAsB,CAC9B,AC7BT,AAIQ,WAJG,AACR,aAAa,AACX,aAAa,CACZ,eAAe,AAAA,OAAO,CACpB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CACjB,ACRT,AAEI,WAFO,AACR,UAAU,AACR,iBAAiB,AAAC,CACjB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,GAAG,CA2FjB,AA/FL,AAOQ,WAPG,AACR,UAAU,AACR,iBAAiB,AAIf,YAAY,CACX,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,C1BNhB,OAAO,C0BOT,AATT,AAaQ,WAbG,AACR,UAAU,AACR,iBAAiB,AAUf,QAAQ,CACP,kBAAkB,CAAC,cAAc,AAAC,CAChC,KAAK,C3BsLH,OAAmD,C2BrLtD,AAfT,AAkBM,WAlBK,AACR,UAAU,AACR,iBAAiB,CAgBhB,gBAAgB,AAAC,CACf,SAAS,CAAE,IAAI,CAChB,AApBP,AAsBM,WAtBK,AACR,UAAU,AACR,iBAAiB,CAoBhB,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CAWb,AAlCP,AAyBQ,WAzBG,AACR,UAAU,AACR,iBAAiB,CAoBhB,kBAAkB,CAGhB,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,KAAK,CACjB,AAjCT,AAoCM,WApCK,AACR,UAAU,AACR,iBAAiB,CAkChB,kBAAkB,AAAC,CACjB,UAAU,CAAE,CAAC,CACd,AAtCP,AAwCM,WAxCK,AACR,UAAU,AACR,iBAAiB,AAsCf,YAAY,CAAC,mBAAmB,CAxCvC,WAAW,AACR,UAAU,AACR,iBAAiB,CAuChB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AA3CP,AA8CQ,WA9CG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,AACZ,YAAY,AAAC,CACZ,UAAU,CAAE,IAAI,CACjB,AAhDT,AAkDQ,WAlDG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,AAKZ,eAAe,AAAA,YAAY,AAAC,CAC3B,UAAU,C3BiJR,OAAmD,C2BhJtD,AApDT,AAsDQ,WAtDG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,CASb,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CACjB,AAxDT,AA4DQ,WA5DG,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,AAAC,CACjB,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,C3BoItB,OAAmD,C2BvGtD,AA7FT,AAkEU,WAlEC,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAMhB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CACjB,AAxEX,AA0EU,WA1EC,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAAC,CACZ,UAAU,C3ByHV,OAAmD,C2BxHnD,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,CAAC,CAcV,AA5FX,AAgFY,WAhFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAMV,eAAe,AAAC,CACf,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,C1B1ExB,OAAO,C0B0E2B,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CACzD,AAlFb,AAoFY,WApFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,CAUX,OAAO,AAAC,CACN,KAAK,C3B+GP,OAAmD,C2B9GjD,cAAc,CAAE,MAAM,CACvB,AAvFb,AAyFY,WAzFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAeV,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,C1BnFV,OAAO,C0BoFH,AC3Fb,AACE,WADS,AACR,aAAa,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,C3BFF,IAAO,C2BGf,aAAa,CAAE,CAAC,CAwKjB,AA5KH,AAMI,WANO,AACR,aAAa,CAKZ,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AARL,AAUI,WAVO,AACR,aAAa,CASZ,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CACX,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,CAAC,CACjB,AAfL,AAiBI,WAjBO,AACR,aAAa,CAgBZ,kBAAkB,AAAC,CACjB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,GAAG,CACZ,AArBL,AAuBI,WAvBO,AACR,aAAa,CAsBZ,oBAAoB,AAAC,CACnB,UAAU,C3BvBJ,IAAO,C2BwBb,MAAM,CAAE,GAAG,CAAC,KAAK,C5B2KX,OAAmD,C4BrK1D,AA/BL,AA2BM,WA3BK,AACR,aAAa,CAsBZ,oBAAoB,AAIjB,WAAW,AAAC,CACX,UAAU,C5BmHP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,C2B2BV,aAAa,CAAE,CAAC,CACjB,AA9BP,AAkCM,WAlCK,AACR,aAAa,AAgCX,YAAY,CACX,oBAAoB,AAAC,CACnB,UAAU,C5BiKN,OAAmD,C4BhKvD,YAAY,C5BgKR,OAAmD,C4B/JvD,KAAK,C5B+JD,OAAmD,C4B3JxD,AAzCP,AAsCQ,WAtCG,AACR,aAAa,AAgCX,YAAY,CACX,oBAAoB,CAIlB,OAAO,AAAC,CACN,KAAK,C5B6JH,OAAmD,C4B5JtD,AAxCT,AA6CM,WA7CK,AACR,aAAa,AA2CX,eAAe,CACd,oBAAoB,AAAC,CACnB,aAAa,CAAE,CAAC,CAChB,aAAa,CAAE,qBAAqB,CACpC,UAAU,C5B+FP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,C2B+CX,AAjDP,AAqDM,WArDK,AACR,aAAa,AAmDX,YAAY,CACX,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C3BrDd,OAAO,C2BsDV,UAAU,C5BuFP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,C2BuDV,aAAa,CAAE,CAAC,CACjB,AA1DP,AA4DM,WA5DK,AACR,aAAa,AAmDX,YAAY,CAQX,oBAAoB,AAAC,CACnB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CACjB,AA/DP,AAiEM,WAjEK,AACR,aAAa,AAmDX,YAAY,CAaX,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAnEP,AAsEI,WAtEO,AACR,aAAa,CAqEZ,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,UAAU,CAC3B,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CA+FZ,AA3KL,AA8EM,WA9EK,AACR,aAAa,CAqEZ,QAAQ,CAQN,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,eAAe,CACxB,AAtFP,AAwFM,WAxFK,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CAkBd,AAjHP,AAiGQ,WAjGG,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,CASL,aAAa,CAjGrB,WAAW,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,CAUL,aAAa,AAAA,MAAM,AAAC,CAClB,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,KAAK,CAClB,AAhHT,AAoHQ,WApHG,AACR,aAAa,CAqEZ,QAAQ,CA6CN,eAAe,CACb,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CACvB,AAxHT,AA0HQ,WA1HG,AACR,aAAa,CAqEZ,QAAQ,CA6CN,eAAe,CAOb,cAAc,AAAC,CACb,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AA/HT,AAmIQ,WAnIG,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAChB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAtIT,AAuIQ,WAvIG,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAKhB,cAAc,AAAC,CAKb,OAAO,CAAE,OAAO,CAChB,WAAW,C5B7EA,GAAG,C4B8Ed,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACpB,AAjJT,AAwIU,WAxIC,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAKhB,cAAc,AACX,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACpB,AA1IX,AAqJQ,WArJG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CACZ,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AAxJT,AA0JQ,WA1JG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CAMZ,KAAK,AAAC,CACJ,UAAU,C5ByCR,OAAmD,C4BxCrD,OAAO,CAAE,GAAG,CACb,AA7JT,AA+JQ,WA/JG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CAWZ,OAAO,AAAC,CACN,KAAK,C5BoCH,OAAmD,C4BnCrD,cAAc,CAAE,MAAM,CACvB,AAlKT,AAmKQ,WAnKG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,AAeX,MAAM,CAAC,OAAO,AAAA,WAAW,AAAC,CACzB,KAAK,C3B7JN,OAAO,C2B8JP,AArKT,AAuKQ,WAvKG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,AAmBX,eAAe,AAAC,CACf,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,C3BjKpB,OAAO,C2BiKuB,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CACzD,ACzKT,AAGM,WAHK,AACR,oBAAoB,AAClB,qBAAqB,CACpB,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AANP,AASQ,WATG,AACR,oBAAoB,AAClB,qBAAqB,CAMpB,eAAe,CACb,MAAM,AAAC,CACL,mBAAmB,CAAE,KAAK,CAC1B,UAAU,CAAE,UAAU,CACvB,ACZT,AAEI,WAFO,AACR,oBAAoB,AAClB,eAAe,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAsEnB,AA1EL,AAMM,WANK,AACR,oBAAoB,AAClB,eAAe,CAId,sBAAsB,AAAC,CACrB,OAAO,CAAE,GAAG,CACb,AARP,AAUM,WAVK,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,eAAe,CAAE,UAAU,CAC3B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAiCX,AAjDP,AAkBQ,WAlBG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,AAAC,CACf,KAAK,C7BlBH,IAAO,C6BmBT,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,UAAU,CAavB,AAlCT,AAuBU,WAvBC,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,CAKd,aAAa,AAAC,CACZ,KAAK,C7BxBP,IAAO,C6ByBL,YAAY,CAAE,GAAG,CAClB,AA1BX,AA4BU,WA5BC,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,CAUd,gBAAgB,AAAC,CACf,SAAS,C9BsBP,OAAQ,C8BrBV,KAAK,C9BoKL,OAAoD,C8BnKpD,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,SAAS,CAC1B,AAjCX,AAoCQ,WApCG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CA0BpB,OAAO,AAAC,CACN,KAAK,C7BrCL,IAAO,C6BsCP,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,cAAc,CACtB,SAAS,C9BOP,QAAQ,C8BNX,AAzCT,AA2CQ,WA3CG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAiCnB,WAAW,CA3CpB,WAAW,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAkCnB,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACd,AAhDT,AAmDM,WAnDK,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,AAAC,CAClB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,GAAG,CACZ,SAAS,C9BLL,QAAQ,C8BMZ,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CAiBd,AAzEP,AA0DQ,WA1DG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAOjB,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACd,AA5DT,AA8DQ,WA9DG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAWjB,aAAa,AAAC,CACZ,KAAK,C7B/DL,IAAO,C6BgER,AAhET,AAkEQ,WAlEG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAejB,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACnB,SAAS,C9BjBL,OAAQ,C8BkBZ,KAAK,C9B6HH,OAAoD,C8B5HtD,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,GAAG,CACjB,ACxET,AACE,qBADmB,CACnB,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,KAAK,CAcd,AAjBH,AAKI,qBALiB,CACnB,cAAc,AAIX,UAAU,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAPL,AASI,qBATiB,CACnB,cAAc,CAQZ,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAXL,AAaI,qBAbiB,CACnB,cAAc,CAYZ,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CACf,WAAW,C/BiDI,GAAG,C+BhDnB,AAIL,AAAA,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,IAAI,CAWhB,AAbD,AAIE,cAJY,CAIZ,eAAe,AAAC,CACd,OAAO,CAAE,MAAM,CAOhB,AAZH,AAOI,cAPU,CAIZ,eAAe,CAGb,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CACb,AC/BL,AAAA,YAAY,CAAC,WAAW,AAAA,YAAY,AAAC,CACnC,OAAO,ChCiGK,GAAG,CgChGhB,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CAmOlB,AA3OD,AAUE,WAVS,AAUR,UAAU,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,WAdS,AAcR,YAAY,AAAC,CACZ,cAAc,CAAE,IAAI,CACrB,AAhBH,AAkBE,WAlBS,AAkBR,YAAY,AAAC,CACZ,OAAO,ChC2EG,GAAG,CgC9Dd,AAhCH,AAqBI,WArBO,AAkBR,YAAY,CAGX,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,CAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACP,AA3BL,AA6BI,WA7BO,AAkBR,YAAY,CAWX,sBAAsB,AAAC,CACrB,aAAa,CAAE,OAAO,CACvB,AA/BL,AAmCI,WAnCO,AAkCR,SAAS,CACR,gBAAgB,AAAC,CACf,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACV,AAtCL,AAwCI,WAxCO,AAkCR,SAAS,CAMR,kBAAkB,AAAC,CACjB,UAAU,CAAE,CAAC,CACd,AA1CL,AA4CI,WA5CO,AAkCR,SAAS,CAUR,mBAAmB,AAAC,CAClB,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACV,AA/CL,AAkDE,WAlDS,CAkDT,OAAO,AAAC,CACN,KAAK,ChC6IG,OAAmD,CgC5I5D,AApDH,AAsDE,WAtDS,CAsDT,kBAAkB,AAAC,CACjB,UAAU,CAAE,UAAU,CACtB,QAAQ,CAAE,MAAM,CAChB,UAAU,CAAE,SAAS,CACrB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,IAAI,CAsCjB,AArGH,AAiEI,WAjEO,CAsDT,kBAAkB,CAWhB,cAAc,AAAC,CACb,UAAU,CAAE,IAAI,CAChB,IAAI,CAAE,QAAQ,CACd,OAAO,CAAE,KAAK,CtBZlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CsBYnB,KAAK,CAAE,OAAO,CACf,AAvEL,AAyEI,WAzEO,CAsDT,kBAAkB,CAmBhB,UAAU,AAAC,CACT,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AA7EL,AA+EI,WA/EO,CAsDT,kBAAkB,CAyBhB,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAjFL,AAmFI,WAnFO,CAsDT,kBAAkB,CA6BhB,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CACjB,cAAc,CAAE,IAAI,CACrB,AAvFL,AAyFI,WAzFO,CAsDT,kBAAkB,CAmChB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,WAAW,ChClCI,GAAG,CgCwCnB,AApGL,AAgGM,WAhGK,CAsDT,kBAAkB,CAmChB,eAAe,CAOb,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,CAAC,CAChB,AAnGP,AAuGE,WAvGS,CAuGT,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,UAAU,C/B5GF,IAAO,C+B6Gf,UAAU,CAAE,UAAU,CACvB,AA3GH,AA6GE,WA7GS,CA6GT,eAAe,AAAC,CACd,MAAM,CAAE,OAAO,CACf,WAAW,ChCnDM,GAAG,CgCoDpB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CA6B5B,AAlJH,AAuHI,WAvHO,CA6GT,eAAe,CAUb,KAAK,AAAC,CACJ,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACvB,IAAI,CAAE,MAAM,CACb,AA5HL,AA8HI,WA9HO,CA6GT,eAAe,CAiBb,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAhIL,AAkII,WAlIO,CA6GT,eAAe,AAqBZ,eAAe,AAAC,CACf,UAAU,ChC6DJ,OAAmD,CgC5D1D,AApIL,AAsII,WAtIO,CA6GT,eAAe,AAyBZ,YAAY,AAAC,CACZ,UAAU,ChCyDJ,OAAmD,CgCxD1D,AAxIL,AA0II,WA1IO,CA6GT,eAAe,AA6BZ,YAAY,AAAA,eAAe,AAAC,CAC3B,UAAU,ChCqDJ,OAAmD,CgCpD1D,AA5IL,AA8II,WA9IO,CA6GT,eAAe,CAiCb,cAAc,CA9IlB,WAAW,CA6GT,eAAe,CAkCb,oBAAoB,AAAC,CACnB,KAAK,C/BpJD,IAAO,C+BqJZ,AAjJL,AAoJE,WApJS,CAoJT,sBAAsB,AAAC,CACrB,UAAU,C/BxJF,IAAO,C+ByJf,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,OAAO,CACtB,0BAA0B,CAAE,KAAK,CACjC,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,KAAK,CAkClB,AA9LH,AA8JI,WA9JO,CAoJT,sBAAsB,CAUpB,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACnB,KAAK,C/B7JF,OAAO,C+B8JV,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,KAAK,CACf,AApKL,AAsKI,WAtKO,CAoJT,sBAAsB,CAkBpB,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CAKV,AA7KL,AA0KM,WA1KK,CAoJT,sBAAsB,CAkBpB,sBAAsB,AAInB,MAAM,CAAC,eAAe,AAAA,eAAe,AAAA,MAAM,AAAC,CAC3C,UAAU,ChCqBN,OAAmD,CgCpBxD,AA5KP,AA+KI,WA/KO,CAoJT,sBAAsB,AA2BnB,mBAAmB,AAAC,CACnB,kBAAkB,CAAE,IAAI,CACxB,KAAK,CAAE,IAAI,CACZ,AAlLL,AAoLI,WApLO,CAoJT,sBAAsB,AAgCnB,yBAAyB,AAAC,CACzB,MAAM,CAAE,OAAO,CACf,aAAa,CAAE,GAAG,CAClB,UAAU,ChCOJ,OAAoD,CgCN3D,AAxLL,AA0LI,WA1LO,CAoJT,sBAAsB,AAsCnB,yBAAyB,AAAC,CACzB,UAAU,CAAE,WAAW,CACvB,aAAa,CAAE,CAAC,CACjB,AA7LL,AAgME,WAhMS,CAgMT,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CA4B/B,AAhOH,AAsMI,WAtMO,CAgMT,kBAAkB,CAMhB,aAAa,CAtMjB,WAAW,CAgMT,kBAAkB,CAOhB,aAAa,AAAA,MAAM,CAvMvB,WAAW,CAgMT,kBAAkB,CAQhB,aAAa,AAAA,OAAO,AAAC,CACnB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACb,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AAlNL,AAoNI,WApNO,CAgMT,kBAAkB,AAoBf,UAAU,AAAC,CACV,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,MAAM,CAChB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACP,AA/NL,AAkOE,WAlOS,CAkOT,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,cAAc,CAAE,IAAI,CACrB,AC9OH,AAGM,WAHK,AACR,aAAa,AACX,YAAY,CACX,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAVP,AAOQ,WAPG,AACR,aAAa,AACX,YAAY,CACX,eAAe,CAIb,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CACjB,ACTT,AAIQ,WAJG,AACR,UAAU,AACR,SAAS,CACR,eAAe,CACZ,AAAA,UAAC,CAAW,UAAU,AAArB,EAJV,WAAW,AACR,UAAU,AACR,SAAS,CACR,eAAe,CAEZ,AAAA,UAAC,CAAW,SAAS,AAApB,CAAsB,CACtB,KAAK,CjCJJ,OAAO,CiCKR,WAAW,CAAE,GAAG,CACjB,ACRT,AAGM,WAHK,AACR,oBAAoB,AAClB,2BAA2B,CAC1B,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,kBAAkB,CAC3B,KAAK,CAAE,KAAK,CACb,AAPP,AASM,WATK,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,OAAO,CAChB,UAAU,CnCwLN,OAAmD,CmCvLvD,UAAU,CAAE,SAAS,CAoCtB,AAjDP,AAeQ,WAfG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAMb,KAAK,CAfb,WAAW,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAOb,OAAO,AAAC,CACN,SAAS,CnCiCV,GAAG,CmChCF,WAAW,CAAE,MAAM,CACnB,KAAK,ClCnBL,IAAO,CkCoBR,AApBT,AAsBQ,WAtBG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAab,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AAxBT,AA0BQ,WA1BG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,AAAC,CACf,UAAU,CnCyKR,OAAmD,CmCnKtD,AAjCT,AA6BU,WA7BC,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,CAGd,KAAK,CA7Bf,WAAW,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,CAId,OAAO,AAAC,CACN,KAAK,ClC9BL,IAAO,CkC+BR,AAhCX,AAmCQ,WAnCG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AA0BZ,MAAM,AAAC,CACN,UAAU,CnCgKR,OAAmD,CmC/JrD,KAAK,ClCpCH,IAAO,CkCqCV,AAtCT,AAwCQ,WAxCG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AA+BZ,YAAY,AAAC,CACZ,KAAK,ClCzCL,IAAO,CkC0CP,UAAU,CnC0JR,OAAmD,CmCzJtD,AA3CT,AA6CQ,WA7CG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAoCZ,YAAY,AAAA,eAAe,AAAC,CAC3B,UAAU,CnCsJR,OAAmD,CmCrJrD,KAAK,ClC/CL,IAAO,CkCgDR,AChDT,AACE,qBADmB,CACnB,2BAA2B,AAAC,CAC1B,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,KAAK,CAUd,AAbH,AAKI,qBALiB,CACnB,2BAA2B,CAIzB,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAPL,AASI,qBATiB,CACnB,2BAA2B,CAQzB,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CACf,WAAW,CpCqDI,GAAG,CoCpDnB,AAIL,AAAA,2BAA2B,CAAC,4BAA4B,AAAC,CACvD,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,2BAA2B,AAAC,CAC1B,MAAM,CAAE,CAAC,CAKV,AAVD,AAAA,2BAA2B,CAAC,4BAA4B,AAOzB,CAC3B,OAAO,CAAE,WAAW,CACrB,ACzBH,AAEI,WAFO,AACR,oBAAoB,AAClB,4BAA4B,AAAC,CAC5B,UAAU,CAAE,IAAI,CAcjB,AAjBL,AAKM,WALK,AACR,oBAAoB,AAClB,4BAA4B,CAG3B,gBAAgB,AAAC,CACf,KAAK,CAAE,KAAK,CACZ,SAAS,CAAE,KAAK,CACjB,AARP,AAUM,WAVK,AACR,oBAAoB,AAClB,4BAA4B,CAQ3B,kBAAkB,AAAC,CACjB,eAAe,CAAE,MAAM,CACxB,AAZP,AAcM,WAdK,AACR,oBAAoB,AAClB,4BAA4B,CAY3B,2BAA2B,AAAC,CAC1B,WAAW,CAAE,MAAM,CACpB,AChBP,AAIQ,WAJG,AACR,UAAU,AACR,eAAe,CACd,mBAAmB,CACjB,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,KAAK,CAOZ,AAfT,AAUU,WAVC,AACR,UAAU,AACR,eAAe,CACd,mBAAmB,CACjB,SAAS,CAMP,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,ACdX,AAAA,SAAS,CACT,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,CAAC,CACd,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACxB,IAAI,CAAE,YAAY,CAClB,WAAW,CAAE,CAAC,CACd,QAAQ,CAAE,OAAO,CAClB,AAGD,AAAA,GAAG,CAAG,GAAG,AAAC,CACR,cAAc,CAAE,IAAI,CACrB,AAUD,AAAA,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CAetB,AAnBD,AAME,SANO,CAMP,YAAY,CANd,SAAS,CAOP,YAAY,AAAC,CACX,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,QAAQ,CAAE,QAAQ,CACnB,AAXH,AAaE,SAbO,CAaP,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,OAAO,CACnB,WAAW,CAAE,OAAO,CACrB,AC5CH,AAAA,wBAAwB,AAAC,CACvB,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,CxCiMP,OAAmD,CwChM7D,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAmCvB,AAzCD,AAQE,wBARsB,CAQtB,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,WAAW,CACnB,IAAI,CAAE,CAAC,CAmBR,AA/BH,AAeM,wBAfkB,CAQtB,OAAO,AAMJ,KAAK,CACJ,WAAW,AAAC,CACV,UAAU,CvCTT,OAAO,CuCUR,KAAK,CvChBD,IAAO,CuCiBZ,AAlBP,AAsBM,wBAtBkB,CAQtB,OAAO,AAaJ,GAAG,CACF,SAAS,AAAC,CACR,UAAU,CvChBT,OAAO,CuCiBR,KAAK,CvCvBD,IAAO,CuCwBZ,AAzBP,AA4BI,wBA5BoB,CAQtB,OAAO,CAoBL,IAAI,AAAC,CACH,YAAY,CAAE,KAAK,CACpB,AA9BL,AAiCE,wBAjCsB,CAiCtB,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CAKR,AAxCH,AAqCI,wBArCoB,CAiCtB,MAAM,AAIH,QAAQ,AAAC,CACR,OAAO,CAAE,IAAI,CACd,ACpBL,AAZA,UAYU,CA6CV,YAAY,AAzDP,CACH,WAAW,CAAE,CAAC,CACd,UAAU,CAAE,IAAI,CAKjB,AAKD,AATE,UASQ,CATR,EAAE,CAAC,CAAC,CAsDN,YAAY,CAtDV,EAAE,CAAC,CAAC,AAAC,CACH,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,IAAI,CACtB,AAMH,AAIE,UAJQ,CAIN,EAAE,AAAC,CACH,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAiClB,AAvCH,AAQI,UARM,CAIN,EAAE,CAIA,CAAC,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,QAAQ,CACjB,KAAK,CxC9BD,IAAO,CwC+BX,SAAS,CzCkBH,QAAQ,CyCjBd,WAAW,CzC+BG,CAAC,CyC9Bf,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,gBAAgB,CAW7B,AA7BL,AAoBM,UApBI,CAIN,EAAE,CAIA,CAAC,CAYD,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,IAAI,CACd,AAvBP,AAyBM,UAzBI,CAIN,EAAE,CAIA,CAAC,AAiBA,MAAM,AAAC,CACN,KAAK,CxC1CA,OAAO,CwC2CZ,gBAAgB,CzCsJZ,OAAmD,CyCrJxD,AA5BP,AA+BI,UA/BM,CAIN,EAAE,CA2BF,CAAC,AAAA,OAAO,AAAC,CACP,KAAK,CxClDC,IAAO,CwCmDb,gBAAgB,CxCjDT,OAAO,CwCsDf,AAtCL,AAmCM,UAnCI,CAIN,EAAE,CA2BF,CAAC,AAAA,OAAO,CAIN,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAQP,AAAA,YAAY,AAAC,CAEX,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,MAAM,CAChB,UAAU,CzCgIA,OAAmD,CyC/E9D,AArDD,AAME,YANU,CAMV,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CzC6HhB,OAAmD,CyC5H3D,QAAQ,CAAE,QAAQ,CASnB,AAjBH,AAUI,YAVQ,CAMV,EAAE,AAIC,aAAa,AAAC,CACb,aAAa,CAAE,CAAC,CACjB,AAZL,AAcI,YAdQ,CAMV,EAAE,AAQC,OAAO,AAAC,CACP,YAAY,CAAE,IAAI,CACnB,AAhBL,AAmBE,YAnBU,CAmBV,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,SAAS,CzCrCD,QAAQ,CyCsChB,WAAW,CzCxBK,CAAC,CyCyBjB,MAAM,CAAE,OAAO,CACf,KAAK,CxCzFC,IAAO,CwCwGd,AAxCH,AA2BI,YA3BQ,CAmBV,CAAC,AAQE,OAAO,AAAC,CACP,KAAK,CxC3FC,IAAO,CwC4Fb,gBAAgB,CxC1FT,OAAO,CwCoGf,AAvCL,AA+BM,YA/BM,CAmBV,CAAC,AAQE,OAAO,AAIL,OAAO,AAAC,CACP,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,qBAAqB,CAC7B,iBAAiB,CxCpGb,IAAO,CwCqGZ,AAtCP,AA0CE,YA1CU,CA0CV,MAAM,AAAC,CACL,SAAS,CzCxDC,OAAQ,CyCyDnB,AA5CH,AA8CE,YA9CU,CA8CV,MAAM,AAAC,CACL,SAAS,CzC5DC,OAAQ,CyC6DlB,KAAK,CAAE,MAAM,CACb,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,MAAM,CACpB,WAAW,CzClDK,GAAG,CyCmDpB,AC7GH,AAAA,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CACjB,WAAW,CAAE,GAAG,CAChB,SAAS,C1CsCF,GAAG,C0CrCV,WAAW,C1CkDO,CAAC,C0CjDnB,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,SAAS,CACrB,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAqBjB,AAhCD,AAYE,IAZE,CAYF,OAAO,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AAdH,AAeE,IAfE,AAeD,OAAO,CAfV,IAAI,AAgBD,WAAW,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAlBH,AAmBE,IAnBE,CAmBD,AAAA,QAAC,AAAA,EAnBJ,IAAI,AAoBD,SAAS,AAAC,CACT,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,GAAG,CACb,AAvBH,AAYE,IAZE,CAYF,OAAO,AAYC,CACN,YAAY,CAAE,GAAG,CAClB,AA1BH,AA4BI,IA5BA,AA2BD,QAAQ,CACP,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CAChB,AAIL,AAAA,IAAI,AAAA,OAAO,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AApCD,AAAA,IAAI,AAyCC,CACH,MAAM,CAAE,IAAI,CACZ,KAAK,CzClDG,IAAO,CyCmDf,WAAW,CAAE,MAAM,CACnB,UAAU,C1CgJA,OAAmD,C0C9G9D,AA/ED,AAYE,IAZE,CAYF,OAAO,AAkCC,CACN,KAAK,C1C8IG,OAAmD,C0C7I5D,AAPH,AASE,IATE,CASD,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzC1DC,IAAO,CyC2Db,UAAU,CAAE,KAAK,CAClB,AhCTD,AACE,mBADiB,CgCHrB,IAAI,AhCIC,MAAM,CADT,mBAAmB,CgCHrB,IAAI,AhCKC,UAAU,AAAC,CgCSZ,UAAU,C1CsIF,OAAmD,C0CrI3D,KAAK,CzC9DG,IAAO,CSsDd,AAJH,AgCaE,mBhCbiB,CgCHrB,IAAI,AhCIC,MAAM,CgCYP,OAAO,ChCbT,mBAAmB,CgCHrB,IAAI,AhCKC,UAAU,CgCWX,OAAO,AAAC,CACN,KAAK,C1CiIC,OAAoD,C0ChI3D,AA3DL,AAmBE,IAnBE,CAmBD,AAAA,QAAC,AAAA,EAnBJ,IAAI,AAoBD,SAAS,AA0CC,CACT,UAAU,C1C8HF,OAAmD,C0CpH3D,MAAM,CAAE,WAAW,CACpB,AAjCH,AAuBI,IAvBA,CAoBD,AAAA,QAAC,AAAA,EAGA,OAAO,CAvBX,IAAI,AAqBD,SAAS,CAER,OAAO,AAAC,CACN,KAAK,C1C4HC,OAAmD,C0C3H1D,AAzBL,AA0BI,IA1BA,CAoBD,AAAA,QAAC,AAAA,CAMC,MAAM,CA1BX,IAAI,AAqBD,SAAS,AAKP,MAAM,AAAC,CACN,KAAK,C1CuHC,OAAoD,C0CnH3D,AA/BL,AA4BM,IA5BF,CAoBD,AAAA,QAAC,AAAA,CAMC,MAAM,CAEL,OAAO,CA5Bb,IAAI,AAqBD,SAAS,AAKP,MAAM,CAEL,OAAO,AAAC,CACN,KAAK,C1CuHD,OAAmD,C0CtHxD,AAvEP,AAYE,IAZE,CAYF,OAAO,AAgEC,CACN,WAAW,C1CpBM,GAAG,C0CqBrB,AAMH,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,MAAM,CACnB,KAAK,CzC7FK,IAAO,CyC8FjB,UAAU,CzC7FD,OAAO,CyC2HjB,AAlCD,AAKE,YALU,CAKV,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAPH,AAQE,YARU,CAQT,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzCnGG,IAAO,CyCoGhB,AhClDD,AACE,mBADiB,CgCwCrB,YAAY,AhCvCP,MAAM,CADT,mBAAmB,CgCwCrB,YAAY,AhCtCP,UAAU,AAAC,CgCkDZ,UAAU,CAER,OAAuC,ChClDxC,AAJH,AgCwDE,mBhCxDiB,CgCwCrB,YAAY,AhCvCP,MAAM,CgCuDP,OAAO,ChCxDT,mBAAmB,CgCwCrB,YAAY,AhCtCP,UAAU,CgCsDX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAlBL,AAoBE,YApBU,AAoBT,OAAO,CApBV,YAAY,AAqBT,WAAW,AAAC,ChCtEb,gBAAgB,CgCwEZ,OAAwC,ChCvE5C,gBAAgB,CAAE,4CAAoD,CgC0ErE,AA1BH,AA2BE,YA3BU,CA2BT,AAAA,QAAC,AAAA,EA3BJ,YAAY,AA4BT,SAAS,AAAC,CACT,UAAU,CzCtHH,OAAO,CyC0Hf,AAjCH,AA8BI,YA9BQ,CA2BT,AAAA,QAAC,AAAA,EAGA,OAAO,CA9BX,YAAY,AA4BT,SAAS,CAER,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAOL,AAAA,WAAW,AAAC,CACV,KAAK,CzClIK,IAAO,CyCmIjB,WAAW,CAAE,MAAM,CACnB,UAAU,CzC9HH,OAAO,CyCyJf,AA9BD,AAIE,WAJS,CAIT,OAAO,AAAC,CACN,KAAK,C1C6DG,OAAmD,C0C5D5D,AANH,AAOE,WAPS,CAOR,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzCzIG,IAAO,CyC0IhB,AhCxFD,AACE,mBADiB,CgC+ErB,WAAW,AhC9EN,MAAM,CADT,mBAAmB,CgC+ErB,WAAW,AhC7EN,UAAU,AAAC,CgCwFZ,UAAU,CAER,OAAqC,ChCxFtC,AAJH,AgC8FE,mBhC9FiB,CgC+ErB,WAAW,AhC9EN,MAAM,CgC6FP,OAAO,ChC9FT,mBAAmB,CgC+ErB,WAAW,AhC7EN,UAAU,CgC4FX,OAAO,AAAC,CACN,KAAK,C1CkDC,OAAmD,C0CjD1D,AAjBL,AAmBE,WAnBS,AAmBR,OAAO,CAnBV,WAAW,AAoBR,WAAW,AAAC,ChC5Gb,gBAAgB,CgC6GW,OAAsC,ChC5GjE,gBAAgB,CAAE,4CAAoD,CgC6GrE,AAtBH,AAuBE,WAvBS,CAuBR,AAAA,QAAC,AAAA,EAvBJ,WAAW,AAwBR,SAAS,AAAC,CACT,UAAU,CzCpJL,OAAO,CyCwJb,AA7BH,AA0BI,WA1BO,CAuBR,AAAA,QAAC,AAAA,EAGA,OAAO,CA1BX,WAAW,AAwBR,SAAS,CAER,OAAO,AAAC,CACN,KAAK,C1CuCC,OAAmD,C0CtC1D,AAOL,AAAA,WAAW,AAAC,CAIV,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAyDjB,AA9DD,AACE,WADS,CACT,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAHH,AAME,WANS,AAMR,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AARH,AASE,WATS,CASR,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzC9KG,IAAO,CyC+KhB,AAXH,AAYE,WAZS,AAYR,OAAO,AAAC,CACP,YAAY,CAAE,GAAG,CACjB,SAAS,C1CjIJ,GAAG,C0CkIT,AAfH,AAgBE,WAhBS,AAgBR,cAAc,AAAC,CACd,UAAU,C1CnKL,IAAO,C0CoKZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,C1CYT,OAAmD,C0CH5D,AA5BH,AAqBI,WArBO,AAgBR,cAAc,CAKb,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AAvBL,AAwBI,WAxBO,AAgBR,cAAc,AAQZ,MAAM,AAAC,CACN,KAAK,CAAE,YAAY,CACnB,UAAU,CAAE,OAAmB,CAChC,AA3BL,AA6BE,WA7BS,AA6BR,UAAU,AAAC,CACV,UAAU,C1C/KF,OAAO,C0CmLhB,AAlCH,AA+BI,WA/BO,AA6BR,UAAU,AAER,MAAM,AAAC,CACN,UAAU,CAAE,OAAuB,CACpC,AAjCL,AAmCE,WAnCS,AAmCR,SAAS,AAAC,CACT,UAAU,C1CpLH,OAAO,C0CwLf,AAxCH,AAqCI,WArCO,AAmCR,SAAS,AAEP,MAAM,AAAC,CACN,UAAU,CAAE,OAAsB,CACnC,AAvCL,AAyCE,WAzCS,AAyCR,IAAI,AAAC,CACJ,UAAU,C1CzLR,OAAO,C0C0LV,AA3CH,AA4CE,WA5CS,AA4CR,QAAQ,AAAC,CACR,UAAU,C1C3LJ,OAAO,C0C+Ld,AAjDH,AA8CI,WA9CO,AA4CR,QAAQ,AAEN,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AAhDL,AAkDE,WAlDS,AAkDR,OAAO,AAAC,CACP,UAAU,C1ChML,OAAO,C0CoMb,AAvDH,AAoDI,WApDO,AAkDR,OAAO,AAEL,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AAtDL,AAwDE,WAxDS,AAwDR,QAAQ,AAAC,CACR,UAAU,C1CrMJ,OAAO,C0CyMd,AA7DH,AA0DI,WA1DO,AAwDR,QAAQ,AAEN,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AASL,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,OAAO,CAChB,SAAS,C1CzLG,OAAQ,C0C0LrB,AAID,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,QAAQ,CACjB,SAAS,C1ClMC,QAAQ,C0CmMlB,WAAW,C1CrLO,CAAC,C0CsLpB,AAED,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,WAAW,C1C5LO,CAAC,C0C6LnB,UAAU,CAAE,6BAA6B,CAwB1C,AA7BD,AAME,SANO,CAMP,OAAO,AAAC,CACN,KAAK,C1C1DG,OAAmD,C0C2D5D,AhC5MD,AgC8ME,mBhC9MiB,CgCoMrB,SAAS,AhCnMJ,MAAM,CgC6MP,OAAO,ChC9MT,mBAAmB,CgCoMrB,SAAS,AhClMJ,UAAU,CgC4MX,OAAO,AAAC,CACN,KAAK,CzClQD,IAAO,CyCmQZ,AAZL,AAcE,SAdO,AAcN,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,WAAW,CACvB,SAAS,C1C1ND,QAAQ,C0CoOjB,AA5BH,AAmBI,SAnBK,AAcN,MAAM,CAKL,OAAO,AAAC,CACN,KAAK,C1CvEC,OAAmD,C0CwE1D,AhCzNH,AACE,mBADiB,CgCoMrB,SAAS,AAcN,MAAM,AhCjNJ,MAAM,CADT,mBAAmB,CgCoMrB,SAAS,AAcN,MAAM,AhChNJ,UAAU,AAAC,CgCyNV,UAAU,CAAE,WAAW,ChCvNxB,AAJH,AgC4NI,mBhC5Ne,CgCoMrB,SAAS,AAcN,MAAM,AhCjNJ,MAAM,CgC2NL,OAAO,ChC5NX,mBAAmB,CgCoMrB,SAAS,AAcN,MAAM,AhChNJ,UAAU,CgC0NT,OAAO,AAAC,CACN,KAAK,CzChRH,IAAO,CyCiRV,AAKP,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CACV,KAAK,CzCzRI,OAAO,CyC6RjB,AATD,AAME,SANO,AAMN,MAAM,AAAC,CACN,OAAO,CAAE,uBAAuB,CACjC,AC9RH,AAAA,gBAAgB,CAAC,EAAE,AAAA,YAAY,CAC/B,WAAW,AAAC,CACV,WAAW,CAAE,qBAAqB,CACnC,AAED,AAAA,WAAW,CAAC,EAAE,AAAA,SAAS,CAAC,EAAE,AAAA,YAAY,CACtC,gBAAgB,AAAA,SAAS,CAAC,EAAE,AAAA,YAAY,CACxC,uBAAuB,AAAA,SAAS,AAAC,CAC/B,UAAU,CAAE,KAAK,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,C1CDlB,OAAO,C0CEf,AAED,AAAA,eAAe,AAAA,SAAS,CACxB,WAAW,AAAA,SAAS,AAAC,CACnB,UAAU,CAAG,IAAG,CAAC,CAAC,CAAC,CAAC,C1CNb,OAAO,C0COf,AAED,AAAA,OAAO,CAAC,eAAe,AAAC,CACtB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,gBAAgB,AAAA,SAAS,AAAC,CACxB,gBAAgB,CAAE,OAAO,CAC1B,AAED,AAAA,yBAAyB,CAAC,WAAW,AAAC,CACpC,UAAU,CAAE,KAAK,CAClB,AAED,AACE,wBADsB,CACtB,GAAG,AAAA,IAAI,AAAC,CACN,KAAK,CAAE,IAAI,CAKZ,AAPH,AAGI,wBAHoB,CACtB,GAAG,AAAA,IAAI,CAEL,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACX,AANL,AAQE,wBARsB,CAQtB,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAef,AAzBH,AAYI,wBAZoB,CAQtB,EAAE,CAIA,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACd,AAdL,AAgBI,wBAhBoB,CAQtB,EAAE,CAQA,GAAG,AAAC,CACF,SAAS,C3CPE,IAAI,C2CQf,WAAW,C3CLE,SAAS,CAAE,KAAK,CAAE,UAAU,C2CMzC,MAAM,CAAE,CAAC,CACT,KAAK,CAA0B,IAAI,CACnC,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,OAAO,CAChB,WAAW,CAAE,MAAM,CACpB,ACpDL,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,GAAG,CAAC,KAAK,C5CiMP,OAAmD,C4ChM7D,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,UAAU,CACtB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,eAAe,CAAE,aAAa,CAM/B,AAdD,AAUE,kBAVgB,CAUhB,YAAY,CAVd,kBAAkB,CAWhB,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,ACbH,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CACjB,ACED,AAAA,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,UAAU,C9C8LA,OAAmD,C8C7L7D,KAAK,C7CPG,IAAO,C6CQf,OAAO,C9C6FC,CAAC,C8C5FT,QAAQ,CAAE,IAAI,CAgBf,AArBD,AAOE,OAPK,AAOJ,QAAQ,AAAC,CACR,QAAQ,CAAE,KAAK,CAChB,AATH,AAWE,OAXK,CAWL,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CAChB,KAAK,C9CmLG,OAAmD,C8ClL3D,YAAY,CAAE,GAAG,CACjB,KAAK,CAAE,KAAK,CACb,AAhBH,AAkBE,OAlBK,CAkBL,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,ACxBH,AAAA,aAAa,AAAC,CACZ,QAAQ,CAAE,IAAI,CACd,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,gBAAgB,C9CLN,IAAO,C8CMjB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,UAAU,CACvB,AAED,AAAA,uBAAuB,AAAC,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,C/CwLP,OAAmD,C+CvL7D,aAAa,CAAE,MAAM,CACrB,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,IAAI,CACnB,AAED,AAAA,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,iBAAiB,CAChC,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,kBAAkB,AAAC,CACjB,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,IAAI,CACpB,ACnCD,AACE,aADW,CACX,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,eAAe,CAC5B,AAPH,AASE,aATW,CASX,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,ACXH,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CAqCvB,AAtCD,AAGE,aAHW,CAGX,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,GAAG,CAAC,KAAK,CjD8LT,OAAmD,CiD/J5D,AArCH,AAQI,aARS,CAGX,OAAO,CAKL,MAAM,AAAC,CACL,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CAqBZ,AApCL,AAiBM,aAjBO,CAGX,OAAO,CAKL,MAAM,AASH,KAAK,AAAC,CACL,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CACjB,AApBP,AAsBM,aAtBO,CAGX,OAAO,CAKL,MAAM,AAcH,MAAM,CAtBb,aAAa,CAGX,OAAO,CAKL,MAAM,AAeH,QAAQ,AAAC,CACR,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,IAAI,CACZ,AA1BP,AA4BM,aA5BO,CAGX,OAAO,CAKL,MAAM,AAoBH,MAAM,AAAC,CACN,aAAa,CAAE,CAAC,CACjB,AA9BP,AAgCM,aAhCO,CAGX,OAAO,CAKL,MAAM,AAwBH,QAAQ,AAAC,CACR,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACZ,ACnCP,AAAA,0CAA0C,CAC1C,8BAA8B,AAAC,CAC7B,aAAa,CAAE,IAAI,CACpB,ACHD,AACE,4BAD0B,AACzB,WAAW,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CnD6LF,OAAmD,CmD5L3D,cAAc,CAAE,MAAM,CAMvB,AAdH,AAUI,4BAVwB,AACzB,WAAW,CASV,MAAM,AAAC,CACL,SAAS,CnDsCH,QAAQ,CmDrCd,WAAW,CAAE,GAAG,CACjB,AAbL,AAgBE,4BAhB0B,AAgBzB,IAAK,CAAA,WAAW,CAAE,CACjB,SAAS,CAAE,WAAW,CACtB,iBAAiB,CAAE,WAAW,CAC/B,AAED,UAAU,CAAV,MAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,kBAAkB,CAAlB,MAAkB,CAChB,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,ECnChB,AAAA,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CpDmMK,OAAmD,CoDlM7D,WAAW,CAAE,IAAI,CAYlB,AAdD,AAIE,CAJD,AAAA,QAAQ,AAIN,QAAQ,CAJX,CAAC,AAAA,QAAQ,AAKN,MAAM,AAAC,CACN,KAAK,CpD8LG,OAAmD,CoD7L5D,AAPH,AAUI,CAVH,AAAA,QAAQ,AASN,MAAM,CACL,IAAI,AAAC,CACH,eAAe,CAAE,SAAS,CAC3B,ACZL,AACE,wBADsB,CAAC,WAAW,CAClC,aAAa,AAAC,CACZ,aAAa,CAAE,GAAG,CACnB,AtDoJH,AAMI,WANO,CAMP,EAAE,CANN,WAAW,CAOP,EAAE,AuD5JD,CACD,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,eAAe,CAC3B,aAAa,CAAE,eAAe,CAC/B,AAGH,AAAA,oBAAoB,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,YAAY,AAAC,CACX,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,CAAC,CACV,AvDiBD,AAAA,YAAY,AuDfC,CACX,QAAQ,CAAE,mBAAmB,CAC9B,AClBD,AAAA,qBAAqB,AAAC,CACpB,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,wBAAwB,AAAC,CACvB,KAAK,CATQ,KAAK,CAUlB,MAAM,CAVO,KAAK,CAWlB,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CAClB,QAAQ,CAAE,MAAM,CAejB,AApBD,AAME,wBANsB,AAMrB,OAAO,AAAC,CACP,SAAS,CAAE,8CAA8C,CACzD,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,gEAKX,CACD,MAAM,CAzBK,KAAK,CA0BhB,KAAK,CA3BI,KAAK,CA4Bf,AAIH,AAAA,UAAU,CACV,WAAW,AAAC,CACV,KAAK,CAlCM,KAAK,CAmChB,UAAU,CvDoGF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CuDnGtC,KAAK,CtDpCG,IAAO,CsDqCf,UAAU,CtDpCA,IAAO,CsDoCM,MAAM,CAAC,MAAM,CACpC,eAAe,CAAE,KAAK,CACtB,UAAU,CAAE,4BAA4B,CACxC,kBAAkB,CAAE,oCAAoC,CACxD,OAAO,CAAE,CAAC,C7C+CV,iBAAiB,C6C9CE,UAAU,C7C+C7B,SAAS,C6C/CU,UAAU,CA8F9B,AAxGD,AAWE,UAXQ,AAWP,KAAK,CAVR,WAAW,AAUR,KAAK,AAAC,CACL,OAAO,CAAE,CAAC,C7C4CZ,iBAAiB,C6C3CI,QAAQ,C7C4C7B,SAAS,C6C5CY,QAAQ,CAC5B,AAdH,AAeE,UAfQ,CAeR,aAAa,CAdf,WAAW,CAcT,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,UAAU,CtDhDF,mBAAO,CsDiDf,UAAU,CAAE,IAAI,CASjB,AA3BH,AAmBI,UAnBM,CAeR,aAAa,AAIV,MAAM,CAlBX,WAAW,CAcT,aAAa,AAIV,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAvBL,AAwBI,UAxBM,CAeR,aAAa,CASX,CAAC,AAAA,iBAAiB,CAvBtB,WAAW,CAcT,aAAa,CASX,CAAC,AAAA,iBAAiB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AA1BL,AA6BI,UA7BM,AA4BP,MAAM,CACL,aAAa,CA5BjB,WAAW,AA2BR,MAAM,CACL,aAAa,AAAC,CACZ,UAAU,CAAE,CAAC,CACd,AA/BL,AAiCE,UAjCQ,CAiCR,SAAS,AAAA,IAAK,CAAA,UAAU,EAhC1B,WAAW,CAgCT,SAAS,AAAA,IAAK,CAAA,UAAU,CAAE,CACxB,UAAU,CAAE,KAAK,CAClB,AAnCH,AAsCI,UAtCM,CAqCR,UAAU,CACR,MAAM,CArCV,WAAW,CAoCT,UAAU,CACR,MAAM,AAAC,CACL,YAAY,CAAE,MAAM,CAkBrB,AAzDL,AAyCM,UAzCI,CAqCR,UAAU,CACR,MAAM,CAGJ,kBAAkB,CAxCxB,WAAW,CAoCT,UAAU,CACR,MAAM,CAGJ,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AA5CP,AA8CM,UA9CI,CAqCR,UAAU,CACR,MAAM,CAQJ,OAAO,CA7Cb,WAAW,CAoCT,UAAU,CACR,MAAM,CAQJ,OAAO,AAAC,CACN,MAAM,CAAE,QAAQ,CACjB,AAhDP,AAkDM,UAlDI,CAqCR,UAAU,CACR,MAAM,CAYJ,sBAAsB,CAjD5B,WAAW,CAoCT,UAAU,CACR,MAAM,CAYJ,sBAAsB,AAAC,CACrB,YAAY,CAAE,CAAC,CACf,IAAI,CAAE,QAAQ,CACf,AArDP,AAsDM,UAtDI,CAqCR,UAAU,CACR,MAAM,CAgBJ,IAAI,CArDV,WAAW,CAoCT,UAAU,CACR,MAAM,CAgBJ,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACf,AAxDP,AA0DI,UA1DM,CAqCR,UAAU,CAqBR,kBAAkB,CAzDtB,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,AAAC,CACjB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,CAAC,CAIV,AAhEL,AA6DM,UA7DI,CAqCR,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,CA5DZ,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AA/DP,AAkEE,UAlEQ,CAkER,IAAI,CAjEN,WAAW,CAiET,IAAI,AAAC,CACH,aAAa,CAAE,GAAG,CACnB,AApEH,AAqEE,UArEQ,CAqER,EAAE,CApEJ,WAAW,CAoET,EAAE,AAAC,CACD,WAAW,CvDtCM,GAAG,CuD0CrB,AA1EH,AAuEI,UAvEM,CAqER,EAAE,CAEA,OAAO,CAtEX,WAAW,CAoET,EAAE,CAEA,OAAO,AAAC,CACN,KAAK,CtDxGD,IAAO,CsDyGZ,AAzEL,AA2EE,UA3EQ,CA2ER,EAAE,CA1EJ,WAAW,CA0ET,EAAE,AAAC,CACD,OAAO,CAAE,MAAM,CACf,YAAY,CAAE,KAAK,CACnB,KAAK,CtD9GC,IAAO,CsDoHd,AApFH,AA+EI,UA/EM,CA2ER,EAAE,AAIC,MAAM,CA/EX,UAAU,CA2ER,EAAE,CAKA,KAAK,CAhFT,UAAU,CA2ER,EAAE,CAMA,CAAC,CAhFL,WAAW,CA0ET,EAAE,AAIC,MAAM,CA9EX,WAAW,CA0ET,EAAE,CAKA,KAAK,CA/ET,WAAW,CA0ET,EAAE,CAMA,CAAC,AAAC,CACA,KAAK,CvDkFC,OAAmD,CuDjF1D,AAnFL,AAqFE,UArFQ,CAqFR,EAAE,CArFJ,UAAU,CAsFR,EAAE,CAtFJ,UAAU,CAuFR,EAAE,CAtFJ,WAAW,CAoFT,EAAE,CApFJ,WAAW,CAqFT,EAAE,CArFJ,WAAW,CAsFT,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,C7C5DX,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6C4DtB,AA1FH,AA6FI,UA7FM,CA2FR,EAAE,CAEA,CAAC,CA7FL,UAAU,CA4FR,EAAE,CACA,CAAC,CA5FL,WAAW,CA0FT,EAAE,CAEA,CAAC,CA5FL,WAAW,CA2FT,EAAE,CACA,CAAC,AAAC,CACA,KAAK,CtD9HD,IAAO,CsD+HZ,AA/FL,AAiGE,UAjGQ,CAiGR,EAAE,CAjGJ,UAAU,CAkGR,EAAE,CAjGJ,WAAW,CAgGT,EAAE,CAhGJ,WAAW,CAiGT,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACpB,AApGH,AAqGE,UArGQ,CAqGR,CAAC,CApGH,WAAW,CAoGT,CAAC,AAAC,CACA,MAAM,CAAE,SAAS,CAClB,AAIH,AAEE,UAFQ,CAER,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CAWd,AAdH,AAII,UAJM,CAER,UAAU,CAER,mBAAmB,AAAC,CAClB,KAAK,CA/II,KAAK,CAgJd,MAAM,CAhJG,KAAK,CAiJf,AAPL,AAQI,UARM,CAER,UAAU,CAMR,iBAAiB,AAAC,CAChB,UAAU,CAlJC,KAAI,CAmJhB,AAVL,AAWI,UAXM,CAER,UAAU,CASR,SAAS,CAAC,CAAC,AAAC,CACV,KAAK,CvD6CC,OAAmD,CuD5C1D,AAbL,AAgBE,UAhBQ,CAgBR,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CAyBf,AA3CH,AAoBM,UApBI,CAgBR,WAAW,CAGT,IAAI,CACF,CAAC,AAAC,CACA,KAAK,CtDhKH,IAAO,CsDiKT,eAAe,CAAE,SAAS,CAC3B,AAvBP,AAwBM,UAxBI,CAgBR,WAAW,CAGT,IAAI,CAKF,CAAC,AAAA,QAAQ,AAAC,CACR,eAAe,CAAE,IAAI,CACtB,AA1BP,AA2BM,UA3BI,CAgBR,WAAW,CAGT,IAAI,CAQF,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,MAAM,CACjB,AA9BP,AAgCI,UAhCM,CAgBR,WAAW,CAgBT,UAAU,AAAC,CACT,KAAK,CtDrKF,OAAO,CsD0KX,AAtCL,AAkCM,UAlCI,CAgBR,WAAW,CAgBT,UAAU,CAER,wBAAwB,CAlC9B,UAAU,CAgBR,WAAW,CAgBT,UAAU,CAGR,gBAAgB,AAAC,CACf,WAAW,CAAE,IAAI,CAClB,AArCP,AAuCI,UAvCM,CAgBR,WAAW,CAuBT,eAAe,AAAC,CACd,SAAS,CvDlIH,QAAQ,CuDmId,UAAU,CAAE,KAAK,CAClB,AA1CL,AA8CI,UA9CM,CA6CR,UAAU,CACR,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CAqBpB,AAvEL,AAmDM,UAnDI,CA6CR,UAAU,CACR,qBAAqB,CAKnB,SAAS,CAnDf,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAMnB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CAIpB,AA3DP,AAwDQ,UAxDE,CA6CR,UAAU,CACR,qBAAqB,CAKnB,SAAS,CAKP,OAAO,CAxDf,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAMnB,aAAa,CAIX,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AA1DT,AA4DM,UA5DI,CA6CR,UAAU,CACR,qBAAqB,CAcnB,aAAa,CAAC,CAAC,CA5DrB,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAenB,SAAS,CAAC,IAAI,AAAC,C7C5InB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6C4IjB,KAAK,CtD1MH,IAAO,CsD2MV,AAhEP,AAiEM,UAjEI,CA6CR,UAAU,CACR,qBAAqB,CAmBnB,SAAS,AAAC,CACR,YAAY,CAAE,KAAK,CACpB,AAnEP,AAoEM,UApEI,CA6CR,UAAU,CACR,qBAAqB,CAsBnB,aAAa,CAAC,CAAC,AAAC,CACd,eAAe,CAAE,SAAS,CAC3B,AAtEP,AA2EI,UA3EM,CA0ER,UAAU,CACR,mBAAmB,AAAC,CAClB,MAAM,CAAE,CAAC,CACV,AA7EL,AAiFI,UAjFM,CAgFR,UAAU,CACR,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CAYxB,AA/FL,AAoFM,UApFI,CAgFR,UAAU,CACR,cAAc,CAGZ,WAAW,CApFjB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AAPS,C7CnKhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6CmKjB,UAAU,CvD7BN,OAAmD,CuD8BvD,MAAM,CAAE,GAAG,CAAC,KAAK,CvD9Bb,OAAmD,CuD+BvD,KAAK,CtDnOH,IAAO,CsDoOV,AAWP,AAEE,WAFS,CAET,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CAkBd,AArBH,AAII,WAJO,CAET,UAAU,CAER,kBAAkB,AAAC,CACjB,UAAU,CAlPC,KAAI,CAmPhB,AANL,AAOI,WAPO,CAET,UAAU,CAKR,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,OAAO,CACxB,KAAK,CAxPI,KAAK,CAyPd,MAAM,CAzPG,KAAK,CA0Pd,KAAK,CtD3PD,IAAO,CsDmQZ,AApBL,AAaM,WAbK,CAET,UAAU,CAKR,aAAa,CAMX,OAAO,AAAC,CACN,MAAM,CAAE,IAAI,CACZ,SAAS,CAAE,IAAmB,CAC/B,AAhBP,AAiBM,WAjBK,CAET,UAAU,CAKR,aAAa,AAUV,QAAQ,AAAC,CACR,aAAa,CAAE,GAAG,CACnB,AAnBP,AAuBE,WAvBS,CAuBT,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CAkBf,AA3CH,AA2BM,WA3BK,CAuBT,WAAW,CAGT,IAAI,CACF,CAAC,AAAC,CACA,KAAK,CtD3QH,IAAO,CsD4QT,eAAe,CAAE,SAAS,CAC3B,AA9BP,AA+BM,WA/BK,CAuBT,WAAW,CAGT,IAAI,CAKF,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAlCP,AAmCM,WAnCK,CAuBT,WAAW,CAGT,IAAI,CASF,CAAC,AAAA,QAAQ,AAAC,CACR,eAAe,CAAE,IAAI,CACtB,AArCP,AAsCM,WAtCK,CAuBT,WAAW,CAGT,IAAI,CAYF,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,MAAM,CACjB,AClRP,AACE,IADE,AAAA,mBAAmB,CACrB,YAAY,AAAC,CACX,cAAc,CAAE,IAAuB,CACxC,AAHH,AAKE,IALE,AAAA,mBAAmB,CAKrB,uBAAuB,CALzB,IAAI,AAAA,mBAAmB,CAMrB,cAAc,AAAA,MAAM,AAAC,CACnB,MAAM,CATU,IAAI,CAUrB,AARH,AAUE,IAVE,AAAA,mBAAmB,CAUrB,cAAc,AAAA,MAAM,AAAC,CACnB,aAAa,CAAE,2BAA2B,CAC1C,cAAc,CAAE,GAAG,CACpB,AAGH,AAAA,WAAW,AAAC,CACV,gBAAgB,CvDnBE,kBAAO,CuDoBzB,UAAU,CxDkHI,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CwDjH3C,MAAM,CArBY,IAAI,CAsBtB,QAAQ,CAAE,KAAK,CACf,MAAM,CAvBY,KAAI,CAwBtB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,OAAO,CxD4DO,GAAG,CwD3DjB,UAAU,CAAE,eAAe,CAwB5B,AAjCD,AAWE,WAXS,CAWT,OAAO,AAAC,CACN,KAAK,CxDkKG,OAAmD,CwDjK5D,AAbH,AAeE,WAfS,AAeR,QAAQ,AAAC,CACR,MAAM,CAAE,GAAG,CACZ,AAjBH,AAmBE,WAnBS,CAmBT,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,cAAc,C9C4BjC,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C8CvBxB,AAhCH,AAuBI,WAvBO,CAmBT,kBAAkB,CAIhB,MAAM,AAAC,CACL,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,GAAG,CACX,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,SAAS,CAInB,AA/BL,AA4BM,WA5BK,CAmBT,kBAAkB,CAIhB,MAAM,AAKH,SAAS,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AAKsB,SAAC,EAAnB,OAAO,EAAM,GAAG,EAnC3B,AAeE,WAfS,AAeR,QAAQ,AAqBW,CAClB,cAAc,CAAE,qCAAgD,CACjE,CAG4C,SAAC,EAArC,uBAAuB,EAAE,UAAU,EAC5C,AAAA,IAAI,AAAA,IAAK,CAAA,gBAAgB,EAAE,WAAW,AAAC,CACrC,gBAAgB,CvD7DA,kBAAO,CuD8DvB,uBAAuB,CAAE,UAAU,CACpC,CAGH,AAAA,IAAI,AAAA,gBAAgB,AAAC,CACnB,WAAW,CAnEO,IAAI,CAoFvB,AAlBD,AAEE,IAFE,AAAA,gBAAgB,CAElB,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,GAAG,CACR,gBAAgB,CvDvEA,IAAO,CuDwEvB,OAAO,CxDYU,IAAI,CwDXrB,cAAc,CAAE,CAAC,CAClB,AARH,AAUE,IAVE,AAAA,gBAAgB,CAUlB,cAAc,CAVhB,IAAI,AAAA,gBAAgB,CAWlB,cAAc,AAAA,WAAW,AAAC,CACxB,OAAO,CxDMU,IAAI,CwDLtB,AAbH,AAeE,IAfE,AAAA,gBAAgB,AAejB,OAAO,CAAC,SAAS,AAAC,CACjB,UAAU,CAlFM,IAAI,CAmFrB,ACvFH,AACE,iBADe,AAAA,MAAM,CACrB,WAAW,AAAC,CACV,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AAJH,AAOI,iBAPa,AAAA,MAAM,CAMrB,aAAa,CACX,YAAY,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,AAIL,AACE,iBADe,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CAYpB,AAhBH,AAMI,iBANa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,CAKL,MAAM,AAAC,CACL,SAAS,CzD8BN,GAAG,CyD7BN,WAAW,CAAE,MAAM,CACnB,aAAa,CzCNN,GAAmB,CyCY3B,AAfL,AAWM,iBAXW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,CAKL,MAAM,CAKJ,UAAU,AAAC,CACT,KAAK,CzD2KD,OAAmD,CyD1KvD,SAAS,CzDyBH,OAAQ,CyDxBf,AAdP,AAkBE,iBAlBe,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CA+BvB,AAnDH,AAsBI,iBAtBa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAIH,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACvB,AA1BL,AA6BM,iBA7BW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAUH,0BAA0B,CACxB,CAAC,AAAC,CACA,UAAU,CAAE,SAAS,CACrB,SAAS,CzDKL,QAAQ,CyDJb,AAhCP,AAmCI,iBAnCa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAiBH,0BAA0B,CAnC9B,iBAAiB,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAkBH,gBAAgB,AAAC,CACf,aAAa,CzClCN,GAAmB,CyCmC3B,AAtCL,AAwCI,iBAxCa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAsBH,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CAMpB,AAlDL,AA8CM,iBA9CW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAsBH,QAAQ,CAMN,YAAY,AAAC,CACX,SAAS,CzDhBL,OAAO,CyDiBX,YAAY,CzC7CP,GAAmB,CyC8CzB,AAKP,AACE,iBADe,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CACzC,cAAc,CADhB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAEzC,gBAAgB,AAAC,CACf,aAAa,CzCtDJ,GAAmB,CyCuD7B,AAJH,AAOI,iBAPa,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CACH,oBAAoB,CAPxB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAEH,qBAAqB,CARzB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAGH,4BAA4B,AAAC,CAC3B,aAAa,CzC7DN,IAAmB,CyC8D3B,AAXL,AAaI,iBAba,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAOH,aAAa,AAAC,CACZ,aAAa,CzCjEN,GAAmB,CyCkE3B,AAfL,AAiBI,iBAjBa,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAWH,wBAAwB,AAAC,CACvB,KAAK,CAAE,IAAI,CACZ,AAnBL,AAsBE,iBAtBe,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CASpB,AAjCH,AA0BI,iBA1Ba,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,CAIL,YAAY,AAAC,CACX,YAAY,CzC9EL,GAAmB,CyCmF3B,AAhCL,AA6BM,iBA7BW,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,CAIL,YAAY,AAGT,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,ACjGP,AAME,YANU,CAMV,KAAK,CANP,YAAY,CAOV,iBAAiB,AAAC,CAChB,gBAAgB,CzDRR,IAAO,CyDSf,aAAa,CAAE,GAAG,CAAC,KAAK,C1D0LhB,OAAmD,C0DtK5D,AA7BH,AAWI,YAXQ,CAMV,KAAK,AAKF,iBAAiB,CAXtB,YAAY,CAOV,iBAAiB,AAId,iBAAiB,AAAC,CACjB,gBAAgB,C1DuLV,OAAmD,C0DtL1D,AAbL,AAeI,YAfQ,CAMV,KAAK,AASF,QAAQ,CAfb,YAAY,CAOV,iBAAiB,AAQd,QAAQ,AAAC,CACR,OAAO,CAAE,GAAG,CACZ,gBAAgB,C1DkLV,mBAAmD,C0D5K1D,AAvBL,AAyBI,YAzBQ,CAMV,KAAK,AAmBF,OAAO,CAzBZ,YAAY,CAOV,iBAAiB,AAkBd,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACb,AA5BL,AA+BE,YA/BU,CA+BV,KAAK,CA/BP,YAAY,CAgCV,IAAI,AAAA,KAAK,AAAC,CACR,KAAK,CzDlCC,IAAO,CyDmCd,AAlCH,AAoCE,YApCU,CAoCV,KAAK,CApCP,YAAY,CAqCV,YAAY,CArCd,YAAY,CAsCV,WAAW,AAAC,CACV,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CACZ,KAAK,C1D0JG,OAAmD,C0DzJ3D,SAAS,C1DSC,OAAQ,C0DRnB,AA3CH,AA6CE,YA7CU,CA6CV,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AA/CH,AAiDE,YAjDU,CAiDV,YAAY,CAAC,OAAO,AAAC,CACnB,SAAS,C1DDJ,GAAG,C0DET,AAnDH,AAqDE,YArDU,CAqDV,YAAY,CArDd,YAAY,CAsDV,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,KAAK,CACnB,WAAW,C1DKK,CAAC,C0DJjB,KAAK,C1DyIG,OAAmD,C0DxI5D,AA3DH,AA6DE,YA7DU,CA6DV,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAhEH,AAkEE,YAlEU,CAkEV,MAAM,AAAC,ChDPP,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgDOrB,OAAO,CAAE,KAAK,CACf,AArEH,AAuEE,YAvEU,CAuEV,KAAK,AAAC,CACJ,SAAS,C1DvBJ,GAAG,C0DwBR,SAAS,CAAE,KAAK,ChDdlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgDctB,AA3EH,AA6EE,YA7EU,CA6EV,YAAY,AAAC,CACX,gBAAgB,CAEd,OAAyC,CAE3C,OAAO,CAAE,eAAe,CACzB,AAnFH,AAqFE,YArFU,CAqFV,gBAAgB,CArFlB,YAAY,CAsFV,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CACjB,AAzFH,AA4FI,YA5FQ,CA2FV,aAAa,CACX,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACtB,AA9FL,AAgGI,YAhGQ,CA2FV,aAAa,CAKX,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CAKtB,AAtGL,AAmGM,YAnGM,CA2FV,aAAa,CAKX,CAAC,CAGC,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CzDrGH,IAAO,CyDsGV,AArGP,AAwGI,YAxGQ,CA2FV,aAAa,CAaX,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACZ,AA5GL,AA+GI,YA/GQ,CA2FV,aAAa,CAoBX,GAAG,CA/GP,YAAY,CA2FV,aAAa,CAqBX,KAAK,AAAC,CACJ,KAAK,C1DgFC,OAAoD,C0D/E1D,SAAS,C1DrEH,QAAQ,C0DsEf,AAnHL,AAsHE,YAtHU,CAsHV,QAAQ,AAAC,CACP,MAAM,CAAE,SAAS,CACjB,SAAS,C1DvEJ,GAAG,C0DwER,SAAS,CAAE,UAAU,CACrB,KAAK,CzD3HC,IAAO,CyDkId,AAjIH,AA2HI,YA3HQ,CAsHV,QAAQ,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AA7HL,AA8HI,YA9HQ,CAsHV,QAAQ,CAQN,OAAO,AAAA,SAAS,AAAC,CACf,KAAK,C1DoEC,OAAmD,C0DnE1D,AAhIL,AAmIE,YAnIU,CAmIV,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,YAAY,CAAC,cAAc,CAC3B,yBAAyB,CACzB,+BAA+B,AAAC,CAC9B,UAAU,CAAE,GAAG,CAehB,AAlBD,AAKE,YALU,CAAC,cAAc,CAKzB,YAAY,CAJd,yBAAyB,CAIvB,YAAY,CAHd,+BAA+B,CAG7B,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AARH,AAUE,YAVU,CAAC,cAAc,CAUzB,GAAG,CATL,yBAAyB,CASvB,GAAG,CARL,+BAA+B,CAQ7B,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,KAAK,CzDtJC,IAAO,CyD0Jd,AAjBH,AAcI,YAdQ,CAAC,cAAc,CAUzB,GAAG,AAIA,aAAa,CAblB,yBAAyB,CASvB,GAAG,AAIA,aAAa,CAZlB,+BAA+B,CAQ7B,GAAG,AAIA,aAAa,AAAC,CACb,KAAK,CzD/IJ,OAAO,CyDgJT,ACWL,AA7JA,mBA6JmB,CAiEnB,YAAY,AA9NL,CACL,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,IAAI,CACpB,AAKD,AAAA,cAAc,AAAC,CACb,SAAS,C3DiCG,OAAQ,C2DhCpB,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CA2HtB,AAjID,AAQE,cARY,CAQZ,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CAWtB,AArBH,AAWI,cAXU,CAQZ,eAAe,CAGb,cAAc,AAAC,CACb,aAAa,CAAE,QAAQ,CACvB,QAAQ,CAAE,MAAM,CACjB,AAdL,AAeI,cAfU,CAQZ,eAAe,CAOb,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CACjB,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,OAAO,CACf,AApBL,AAyBE,cAzBY,AAyBX,OAAO,AAAC,CACP,YAAY,CAAE,IAAI,CA4BnB,AAtDH,AA2BI,cA3BU,AAyBX,OAAO,CAEN,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,C3DuJC,OAAmD,C2DtJzD,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAIxB,AAHC,AAAA,mBAAmB,CA/BzB,cAAc,AAyBX,OAAO,CAEN,IAAI,AAAA,eAAe,AAIK,CACpB,KAAK,C1D5CI,IAAO,C0D6CjB,AAjCP,AAmCI,cAnCU,AAyBX,OAAO,CAUN,yBAAyB,CAnC7B,cAAc,AAyBX,OAAO,CAWN,kBAAkB,AAAC,CACjB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CACtB,AA1CL,AA2CI,cA3CU,AAyBX,OAAO,CAkBN,yBAAyB,AAAC,CAExB,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,CAAC,CAIhB,AAlDL,AA+CM,cA/CQ,AAyBX,OAAO,CAkBN,yBAAyB,CAIrB,kBAAkB,AAAC,CACnB,KAAK,CAAE,GAAG,CACX,AAjDP,AAmDI,cAnDU,AAyBX,OAAO,CA0BN,OAAO,AAAC,CACN,KAAK,C3D+HC,OAAmD,C2D9H1D,AArDL,AA0DE,cA1DY,AA0DX,IAAI,AAAC,CACJ,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,eAAe,CACxB,OAAO,CAAE,WAAW,CAgCrB,AA7FH,AA8DI,cA9DU,AA0DX,IAAI,CAIH,IAAI,AAAC,CACH,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAyBxB,AAzFL,AAiEM,cAjEQ,AA0DX,IAAI,CAIH,IAAI,AAGD,kBAAkB,CAjEzB,cAAc,AA0DX,IAAI,CAIH,IAAI,AAID,yBAAyB,AAAC,CACzB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACR,AAxEP,AA0EM,cA1EQ,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,AAAC,CAEzB,KAAK,CAAE,gBAAgB,CAQxB,AApFP,AA6EQ,cA7EM,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,CAGpB,kBAAkB,AAAC,CACrB,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,gBAAgB,CAIxB,AAnFT,AAgFU,cAhFI,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,CAGpB,kBAAkB,CAGhB,eAAe,AAAC,CAClB,WAAW,CAAE,GAAG,CACjB,AAlFX,AAsFM,cAtFQ,AA0DX,IAAI,CAIH,IAAI,AAwBD,eAAe,AAAC,CACf,QAAQ,CAAE,QAAQ,CACnB,AAxFP,AA0FI,cA1FU,AA0DX,IAAI,CAgCD,mBAAmB,AAAC,CACpB,OAAO,CAAE,eAAe,CACzB,AA5FL,AAiGE,cAjGY,AAiGX,IAAI,AAAC,CACJ,YAAY,CAAE,GAAG,CAuBlB,AAzHH,AAoGI,cApGU,AAiGX,IAAI,CAGH,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,C3D8EC,OAAmD,C2D7EzD,OAAO,CAAE,OAAO,CAChB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAKxB,AAHC,AAAA,mBAAmB,CA1GzB,cAAc,AAiGX,IAAI,CAGH,IAAI,AAAA,eAAe,AAMK,CACpB,KAAK,C1DvHI,IAAO,C0DwHjB,AA5GP,AA+GI,cA/GU,AAiGX,IAAI,CAcH,yBAAyB,CA/G7B,cAAc,AAiGX,IAAI,CAeH,kBAAkB,AAAC,CAEjB,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,KAAK,CAKf,AAxHL,AAqHM,cArHQ,AAiGX,IAAI,CAcH,yBAAyB,AAMtB,OAAO,CArHd,cAAc,AAiGX,IAAI,CAeH,kBAAkB,AAKf,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACf,AAvHP,AA6HE,cA7HY,AA6HX,KAAK,AAAC,CACL,KAAK,C3DqDG,OAAmD,C2DpD3D,YAAY,CAAE,GAAG,CAClB,AAMH,AAEI,cAFU,CACZ,oBAAoB,CAClB,CAAC,AAAA,eAAe,AAAC,CACf,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,OAAO,CAChB,WAAW,C3D5FI,GAAG,C2D6FnB,AAOL,AAAA,mBAAmB,AAAC,CAElB,OAAO,CAAE,aAAa,CACtB,SAAS,CAAE,KAAK,CAChB,KAAK,C1DvKK,IAAO,C0DwKjB,SAAS,C3DrHG,OAAQ,C2DsHpB,WAAW,C3D3GO,CAAC,C2D4GnB,UAAU,CAAE,MAAM,CAClB,gBAAgB,C3DsBN,OAAoD,C2DkB/D,AAhDD,AASE,mBATiB,CAShB,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C1D7KG,IAAO,C0D8KhB,AAXH,AAaE,mBAbiB,AAahB,MAAM,AAAC,CACN,KAAK,C1DjLG,IAAO,C0DkLhB,AAfH,AAmBE,mBAnBiB,AAmBhB,UAAU,CAnBb,mBAAmB,AAoBhB,aAAa,AAAC,CACb,gBAAgB,C1DvLT,OAAO,C0DwLd,KAAK,C1DzLG,IAAO,C0D0Lf,WAAW,CAA4B,IAAI,CAC5C,AAxBH,AA0BE,mBA1BiB,AA0BhB,UAAU,AAAC,CACV,gBAAgB,CAAE,WAAW,CAC7B,KAAK,C3DIG,OAAmD,C2DH3D,WAAW,CAAE,MAAM,CACnB,SAAS,C3D/IC,OAAQ,C2DgJnB,AA/BH,AAiCE,mBAjCiB,AAiChB,UAAU,AAAA,QAAQ,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,YAAY,CAAE,GAAG,CAClB,AApCH,AAwCE,mBAxCiB,AAwChB,OAAO,AAAC,CACP,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3DVR,OAAmD,C2DW3D,GAAG,CAAE,IAAI,CACT,KAAK,C3DZG,OAAmD,C2Da3D,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACb,AAMH,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,SAAS,C3DzKF,GAAG,C2D0KV,WAAW,C3D7JO,CAAC,C2DiKpB,AAPD,AAIE,YAJU,CAIT,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C3D5BG,OAAoD,C2D6B7D,AAMH,AAAA,YAAY,AAAC,CAEX,OAAO,CAAE,OAAO,CAChB,KAAK,C1DxOG,IAAO,C0DyOf,gBAAgB,C3DrCN,OAAmD,C2DsC7D,YAAY,C3DtCF,OAAmD,C2DuC7D,SAAS,C3DxLG,OAAQ,C2DyLrB,AC3OD,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CA8EnB,AAjFD,AAKE,UALQ,CAKR,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,IAAI,CACnB,AATH,AAWE,UAXQ,CAWR,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAdH,AAgBE,UAhBQ,CAgBR,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,GAAG,CAuBlB,AAtBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EApBvC,AAgBE,UAhBQ,CAgBR,YAAY,AAAC,CAKT,SAAS,C5D6BD,OAAQ,C4DRnB,CA1CH,AAwBI,UAxBM,CAgBR,YAAY,CAQV,UAAU,AAAC,ClDmCb,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkDnCpB,AA1BL,AA4BI,UA5BM,CAgBR,YAAY,CAYV,SAAS,CAAC,CAAC,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,KAAK,C5DmKC,OAAoD,C4DlK3D,AA/BL,AAiCI,UAjCM,CAgBR,YAAY,CAiBV,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CAChB,KAAK,C5D8JC,OAAoD,C4D7J3D,AApCL,AAsCI,UAtCM,CAgBR,YAAY,CAsBV,MAAM,AAAC,CACL,UAAU,CAAE,GAAG,CACf,KAAK,C5DyJC,OAAoD,C4DxJ3D,AAzCL,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CACN,KAAK,CAAE,KAAK,CAQb,AAPC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA9CvC,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CAGJ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CAKhB,CAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAlDvC,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CAOJ,KAAK,CAAE,IAAI,CAEd,CArDH,AAuDE,UAvDQ,AAuDP,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CAwBjB,AAhFH,AA0DI,UA1DM,AAuDP,OAAO,CAGN,SAAS,CA1Db,UAAU,AAuDP,OAAO,CAIN,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACf,AA7DL,AA+DI,UA/DM,AAuDP,OAAO,CAQN,KAAK,AAAC,CACJ,WAAW,CAAE,CAAC,CACf,AAjEL,AAmEI,UAnEM,AAuDP,OAAO,AAYL,WAAW,AAAC,CACX,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,KAAK,CAUjB,AA/EL,AAuEM,UAvEI,AAuDP,OAAO,AAYL,WAAW,CAIV,WAAW,AAAC,CACV,KAAK,C5DyHD,OAAoD,C4DxHzD,AAzEP,AA2EM,UA3EI,AAuDP,OAAO,AAYL,WAAW,CAQV,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,KAAK,CAClB,AC/EP,AACE,YADU,AACT,eAAe,AAAC,CACf,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CAClB,ACFH,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,OAAO,C9DoFI,GAAG,C8D/Df,AAzBD,AAKE,UALQ,AAKP,IAAI,AAAC,CACJ,UAAU,C9D2LF,OAAmD,C8D1L3D,KAAK,CAAE,KAAK,CACZ,UAAU,C9D6HA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,C8D5HzC,AATH,AAUE,UAVQ,AAUP,KAAK,CAVR,UAAU,AAWP,KAAK,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AAbH,AAcE,UAdQ,CAcR,MAAM,AAAC,CACL,KAAK,CAAE,KAAK,CACZ,KAAK,C7DnBC,IAAO,C6DoBb,OAAO,CAAE,GAAG,CACZ,SAAS,C9D6BJ,GAAG,C8D5BR,MAAM,CAAE,SAAS,CACjB,MAAM,CAAE,OAAO,CAChB,AArBH,AAsBE,UAtBQ,CAsBR,MAAM,AAAA,MAAM,AAAC,CACX,OAAO,CAAE,CAAC,CACX,AM3BH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CpEmMP,OAAmD,CoElM7D,OAAO,CAAE,GAAG,CACZ,UAAU,CnEFA,IAAO,CmEGjB,UAAU,CpEmIF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoElItC,OAAO,CpE6FK,GAAG,CoE3Ff,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,KAAK,C1D+DZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C0DrD1B,AAxBD,AAWE,eAXa,CAWb,MAAM,AAAA,KAAK,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAOnB,AApBH,AAeI,eAfW,CAWb,MAAM,AAAA,KAAK,CAIT,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,QAAQ,CAChB,SAAS,CAAE,aAAa,CACzB,AAnBL,AAqBE,eArBa,CAqBb,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,MAAM,CAAE,SAAS,CAClB,ACvBH,MAAM,CAAC,KAAK,CAGV,AAAA,OAAO,CACP,aAAa,CACb,MAAM,CACN,+BAA+B,AAAA,wBAAwB,CACvD,UAAU,CACV,eAAe,AAAA,SAAS,CAAxB,eAAe,A5BWjB,UAAU,C4BXR,eAAe,AKqWjB,UAAU,CLrWR,eAAe,AKyWjB,KAAK,CLxWH,GAAG,AAAA,qBAAqB,CACxB,GAAG,AAAA,iBAAiB,CACpB,GAAG,AAAA,uBAAuB,CAC1B,uBAAuB,CACvB,GAAG,AAAA,KAAK,CACR,QAAQ,CACR,iBAAiB,CACjB,eAAe,CACf,eAAe,CACf,kBAAkB,CAClB,GAAG,AAAA,OAAO,CACV,UAAU,AAAA,MAAM,CAChB,YAAY,CACZ,YAAY,CACZ,WAAW,CACX,gBAAgB,CAChB,GAAG,AAAA,WAAW,CACd,GAAG,AAAA,WAAW,AAAA,KAAK,CACnB,WAAW,CACX,CAAC,AAAA,aAAa,CACd,CAAC,AAAA,UAAU,CACX,GAAG,AAAA,SAAS,CACZ,OAAO,CACP,OAAO,CACP,WAAW,CACX,eAAe,CACf,kBAAkB,CAClB,mBAAmB,AAAA,OAAO,CAC1B,YAAY,CACZ,gBAAgB,AAAC,CACf,OAAO,CAAE,eAAe,CACzB,AAED,AAAA,CAAC,CACD,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CAAE,kBAAkB,CAC1B,AAED,AAAA,GAAG,AAAA,IAAI,AAAC,CACN,UAAU,CAAE,cAAc,CAC3B,AACD,AAAA,OAAO,CAAC,GAAG,CAAC,IAAI,AAAC,CACf,UAAU,CAAE,IAAI,CACjB,AACD,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CACtB,AACD,AAAA,IAAI,CACJ,IAAI,AAAC,CACH,SAAS,CAAE,CAAC,CACZ,MAAM,CAAE,IAAI,CACb,AACD,AAAA,iBAAiB,CAAC,GAAG,AAAC,CACpB,SAAS,CAAE,gBAAgB,CAC3B,MAAM,CAAE,eAAe,CACxB,AACD,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,CAAC,OAAO,AAAA,MAAM,CAAC,aAAa,AAAC,CACtC,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,CAAC,CACT,AACD,AAAA,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AACD,AAAA,YAAY,CAAC,GAAG,CAAC,GAAG,CAAC,EAAE,AAAC,CACtB,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,MAAM,CAClB,AAhDD,AAAA,CAAC,CACD,CAAC,AAAA,QAAQ,AAiDC,CACR,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,sBAAsB,AAAA,6BAA6B,CACnD,GAAG,AAAA,MAAM,AAAA,WAAW,AAAA,sBAAsB,CAC1C,GAAG,AAAA,iBAAiB,AAAA,cAAc,AAAA,qBAAqB,AAAC,CACtD,OAAO,CAAE,IAAI,CACd,CCrGH,AAAA,OAAO,AAAA,MAAM,AAAC,CACZ,aAAa,CAAE,IAAI,CAiBpB,AAlBD,AAGE,OAHK,AAAA,MAAM,CAGX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AALH,AAOE,OAPK,AAAA,MAAM,CAOX,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CASZ,AAjBH,AAUI,OAVG,AAAA,MAAM,CAOX,KAAK,CAGH,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACd,AAZL,AAcI,OAdG,AAAA,MAAM,CAOX,KAAK,CAOH,EAAE,AAAA,MAAM,AAAC,CACP,KAAK,CAAE,GAAG,CACX,AChBL,AAAA,UAAU,AAAC,CAET,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CA0BjB,AAzBC,AAAA,WAAW,CAJb,UAAU,AAIM,CACZ,SAAS,CAAE,KAAK,CASjB,AAVD,AAEE,WAFS,CAJb,UAAU,CAMN,OAAO,AAAA,IAAK,CAAA,OAAO,CAAC,IAAK,CAAA,WAAW,CAAC,IAAK,CAAA,oBAAoB,CAAE,CAC9D,SAAS,CAAE,KAAK,CACjB,AAJH,AAMI,WANO,CAJb,UAAU,CASN,MAAM,AAAA,oBAAoB,CACxB,cAAc,AAAA,OAAO,CAAC,eAAe,AAAC,CACpC,KAAK,CtEXH,IAAO,CsEYV,AAGL,AAAA,YAAY,CAfd,UAAU,AAeO,CACb,SAAS,CvEkCJ,GAAG,CuEjCR,UAAU,CAAE,IAAI,CACjB,AAlBH,AAmBE,UAnBQ,CAmBR,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AArBH,AAsBE,UAtBQ,CAsBR,UAAU,AAAC,CACT,aAAa,CAAE,IAAI,CACpB,AAxBH,AAyBE,UAzBQ,CAyBR,EAAE,AAAA,IAAK,CAAA,UAAU,EAzBnB,UAAU,CA0BR,EAAE,AAAA,IAAK,CADA,UAAU,CACE,CACjB,WAAW,CAAE,IAAI,CAClB,AC5BH,AACE,IADE,AAAA,QAAQ,CACR,MAAM,AAAC,CACP,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,OAAO,CxEyEF,IAAI,CwExET,gBAAgB,CAAE,IAAI,CACtB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CxE2LhB,OAAmD,CwE1L3D,UAAU,CAAE,UAAU,CACvB,AAXH,AAcI,IAdA,AAAA,QAAQ,CAaV,GAAG,AAAA,YAAY,CACb,GAAG,AAAA,KAAK,AAAC,CACP,UAAU,CAAE,UAAU,CAKvB,AApBL,AAgBM,IAhBF,AAAA,QAAQ,CAaV,GAAG,AAAA,YAAY,CACb,GAAG,AAAA,KAAK,CAEN,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAnBP,AAuBE,IAvBE,AAAA,QAAQ,CAuBV,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CACd,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AA3BH,AA6BE,IA7BE,AAAA,QAAQ,CA6BV,WAAW,AAAC,CACV,aAAa,CAAE,GAAG,CACnB,AA/BH,AAiCE,IAjCE,AAAA,QAAQ,CAiCV,MAAM,AAAC,CACL,UAAU,CAAE,GAAG,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,CxEiKb,OAAmD,CwEhK5D,AAGH,AAAA,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CAClB,AAED,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,KAAK,CAClB,UAAU,CAAE,GAAG,CAAC,KAAK,CxEqJX,OAAmD,CwEpJ9D,AAED,AAAA,kBAAkB,AAAC,CACjB,aAAa,CAAE,GAAG,CAWnB,AAZD,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CACP,UAAU,CAAE,SAAS,CAQtB,AAXH,AAII,kBAJc,CAEhB,QAAQ,CAEN,CAAC,AAAC,CACA,WAAW,CAAE,IAAI,CAClB,A9DrCH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E8D+BrC,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CAML,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,MAAM,CAExB,CAGH,AAAA,mBAAmB,AAAC,CAClB,KAAK,CxEmIK,OAAmD,CwElI7D,OAAO,CAAE,YAAY,CAQtB,A9DvDC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E8D6CrC,AAAA,mBAAmB,AAAC,CAIhB,KAAK,CAAE,KAAK,CAMf,CAVD,AAME,mBANiB,EAMjB,AAAA,QAAC,CAAS,UAAU,AAAnB,CAAqB,CACpB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CACpB,AAGH,AAAA,YAAY,AAAC,CACX,aAAa,CAAE,KAAK,CACpB,SAAS,CxE7BC,QAAQ,CwEuCnB,AAZD,AAGE,YAHU,CAGR,GAAG,AAAC,CACJ,aAAa,CAAE,MAAM,CACtB,AALH,AAME,YANU,CAMV,kBAAkB,AAAC,CACjB,gBAAgB,CxE+GR,OAAoD,CwE9G7D,AARH,AASE,YATU,CASV,eAAe,AAAC,CACd,KAAK,CvEtFC,IAAO,CuEuFd,AAGH,AACE,kBADgB,CAChB,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,MAAM,CACtB,AAGH,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,GAAG,CAMhB,AAPD,AAEE,sBAFoB,CAEpB,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,CxE8Fb,OAAmD,CwE7F5D,AAGH,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CAYd,AAbD,AAEE,YAFU,CAEV,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,eAAe,CAAE,IAAI,CACtB,AALH,AAME,YANU,CAMV,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACtB,AARH,AASE,YATU,CASV,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,iBAAiB,CAC3B,ACtHH,AAAA,GAAG,AAAA,QAAQ,AAAA,+BAA+B,AAAC,CACzC,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,MAAM,CACf,aAAa,CAAE,GAAG,CAOnB,AAVD,AAIE,GAJC,AAAA,QAAQ,AAAA,+BAA+B,CAIxC,YAAY,AAAC,CACX,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,WAAW,CACpB,SAAS,CzE4CC,OAAQ,CyE3ClB,UAAU,CAAE,KAAK,CAClB,ACHH,UAAU,CAAV,IAAU,CACR,IAAI,CACF,SAAS,CAAE,WAAW,CACtB,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,SAAS,CAAE,QAAQ,CACnB,OAAO,CAAE,CAAC,EAId,UAAU,CAAV,cAAU,CACR,EAAE,CACA,SAAS,CAAE,YAAY,CAEzB,IAAI,CACF,SAAS,CAAE,cAAc,EAI7B,UAAU,CAAV,yBAAU,CACR,EAAE,CACA,gBAAgB,C1EwKR,OAAmD,C0EtK7D,IAAI,CACF,gBAAgB,CAAE,WAAW,EAKjC,UAAU,CAAV,kBAAU,CACR,EAAE,CACA,mBAAmB,CAAE,SAAS,CAEhC,IAAI,CACF,mBAAmB,CAAE,QAAQ,EAIjC,AAAA,sBAAsB,AAAC,CACrB,kBAAkB,CAAE,EAAE,CACtB,mBAAmB,CAAE,QAAQ,CAC7B,yBAAyB,CAAE,QAAQ,CACnC,cAAc,CAAE,kBAAkB,CAClC,yBAAyB,CAAE,MAAM,CACjC,UAAU,C1EiJA,OAAmD,C0EhJ7D,UAAU,CAAE,gEAKX,CACF,A5ElDD,AAAA,IAAI,A4EqDC,CACH,MAAM,CAAE,IAAI,CACb,A5E7CD,AAAA,IAAI,A4E+CC,CACH,qBAAqB,CAAE,KAAK,CAC5B,eAAe,CAAE,KAAK,CACtB,UAAU,CAAE,IAAI,CAGjB,AAND,AhEnCE,IgEmCE,AhEnCD,OAAO,CgEmCV,IAAI,AhElCD,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgE+BH,AhE9BE,IgE8BE,AhE9BD,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgEqCH,AAAA,GAAG,AAAC,CACF,SAAS,C1E9BC,GAAG,C0E+Bd,A5E2ED,AAAA,KAAK,A4E1EC,CACJ,SAAS,C1E1BG,OAAQ,C0E2BrB,AAED,AAAA,UAAU,AAAC,ChECT,WAAW,CAAE,GAAG,CAAC,KAAK,CVkHZ,OAAmD,CUjH7D,gBAAgB,CV8FR,OAAqB,C0E9F7B,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,aAAa,CAAE,MAAM,CACtB,AAED,AACE,MADI,AACH,GAAG,AAAC,CACH,UAAU,CzE1FJ,OAAO,CyE2Fb,KAAK,CzElGG,IAAO,CyE0GhB,AAXH,AAII,MAJE,AACH,GAAG,CAGF,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AhEnDH,AACE,mBADiB,CgE6CrB,MAAM,AACH,GAAG,AhE7CD,MAAM,CADT,mBAAmB,CgE6CrB,MAAM,AACH,GAAG,AhE5CD,UAAU,AAAC,CgEmDV,UAAU,CAAE,OAAsB,CAClC,KAAK,CzExGC,IAAO,CSsDd,AgEyCL,AAaE,MAbI,AAaH,OAAO,AAAC,CACP,UAAU,CzEvGL,OAAO,CyEwGZ,KAAK,CzE9GG,IAAO,CyEsHhB,AAvBH,AAgBI,MAhBE,AAaH,OAAO,CAGN,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AhE/DH,AACE,mBADiB,CgE6CrB,MAAM,AAaH,OAAO,AhEzDL,MAAM,CADT,mBAAmB,CgE6CrB,MAAM,AAaH,OAAO,AhExDL,UAAU,AAAC,CgE+DV,UAAU,CAAE,OAAqB,CACjC,KAAK,CzEpHC,IAAO,CSsDd,AgEmEL,AAAA,CAAC,AAAA,OAAO,AAAC,CACP,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,KAAK,C1EuEK,OAAmD,C0EtE7D,UAAU,CAAE,WAAW,CAIxB,AARD,AAKE,CALD,AAAA,OAAO,AAKL,MAAM,AAAC,CACN,KAAK,CzEzHA,OAAO,CyE0Hb,AAGH,AAAA,EAAE,AAAA,WAAW,AAAC,CACZ,MAAM,CAAE,aAAa,CACtB,AAED,AAAA,CAAC,AAAA,QAAQ,AAAC,CACR,MAAM,CAAE,OAAO,CAChB,AAED,AAAA,GAAG,AAAA,OAAO,AAAC,CACT,aAAa,CAAE,GAAG,CACnB,AAKD,AAAA,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,UAAU,CAKxB,AARD,AAIE,KAJG,CAID,OAAO,AAAC,CACR,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,KADG,CACF,AAAA,IAAC,CAAK,OAAO,AAAZ,EADJ,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACjB,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,MAAM,CACpB,WAAW,CAAE,KAAK,CAClB,WAAW,C1ExGK,CAAC,C0EyGjB,MAAM,CAAE,OAAO,CACf,WAAW,CAAE,CAAC,CACf,AATH,AAUE,KAVG,CAUF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAVJ,KAAK,CAWF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAXJ,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAZJ,KAAK,CAaF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAbJ,KAAK,CAcF,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACjB,KAAK,CAAE,IAAI,CACZ,AAhBH,AAkBE,KAlBG,AAkBF,QAAQ,AAAC,CACR,gBAAgB,CAEd,OAAsC,CAEzC,AAED,AAAA,MAAM,CAzBR,KAAK,CAyBK,AAAA,IAAC,CAAK,OAAO,AAAZ,EACT,SAAS,CA1BX,KAAK,CA0BQ,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CAC3B,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,KAAK,CACL,MAAM,CACN,QAAQ,AAAC,CACP,KAAK,CzEpMG,IAAO,CyEqMf,WAAW,CAAE,YAAY,CAuB1B,AA3BD,AAME,KANG,CAMF,AAAA,KAAC,EAAO,MAAM,AAAb,EALJ,MAAM,CAKH,AAAA,KAAC,EAAO,MAAM,AAAb,EAJJ,QAAQ,CAIL,AAAA,KAAC,EAAO,MAAM,AAAb,CAAe,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,CAAC,CACf,AATH,AAWE,KAXG,CAWF,AAAA,QAAC,AAAA,EAXJ,KAAK,CAYF,AAAA,QAAC,AAAA,EAXJ,MAAM,CAUH,AAAA,QAAC,AAAA,EAVJ,MAAM,CAWH,AAAA,QAAC,AAAA,EAVJ,QAAQ,CASL,AAAA,QAAC,AAAA,EATJ,QAAQ,CAUL,AAAA,QAAC,AAAA,CAAU,CACV,MAAM,CAAE,WAAW,CACnB,gBAAgB,C1EXR,OAAmD,C0EY3D,YAAY,C1EZJ,OAAmD,C0Ea5D,AAhBH,AAkBE,KAlBG,AAkBF,MAAM,AAAA,SAAS,AAAA,QAAQ,CAjB1B,MAAM,AAiBH,MAAM,AAAA,SAAS,AAAA,QAAQ,CAhB1B,QAAQ,AAgBL,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAC,CACvB,KAAK,CzE7MA,OAAO,CyE8MZ,YAAY,CzE9MP,OAAO,CyE+Mb,AArBH,AAuBE,KAvBG,AAuBF,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,CAtBhC,MAAM,AAsBH,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,CArBhC,QAAQ,AAqBL,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,AAAC,CAC7B,YAAY,CzElNP,OAAO,CyEmNZ,UAAU,C1E1EI,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CCzIlB,OAAO,CyEoNb,AAGH,AACE,KADG,CACF,AAAA,IAAC,CAAK,MAAM,AAAX,EADJ,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,EAFJ,KAAK,CAGF,AAAA,IAAC,CAAK,UAAU,AAAf,EAHJ,KAAK,CAIF,AAAA,IAAC,CAAK,gBAAgB,AAArB,EAJJ,KAAK,CAKF,AAAA,IAAC,CAAK,MAAM,AAAX,EALJ,KAAK,CAMF,AAAA,IAAC,CAAK,OAAO,AAAZ,EANJ,KAAK,CAOF,AAAA,IAAC,CAAK,MAAM,AAAX,EAPJ,KAAK,CAQF,AAAA,IAAC,CAAK,MAAM,AAAX,EARJ,KAAK,CASF,AAAA,IAAC,CAAK,QAAQ,AAAb,EATJ,KAAK,CAUF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAVJ,KAAK,CAWF,AAAA,IAAC,CAAK,KAAK,AAAV,EAXJ,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAZJ,KAAK,CAaF,AAAA,IAAC,CAAK,KAAK,AAAV,EAbJ,KAAK,CAcF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,ChE9IhB,kBAAkB,CAAE,IAAI,CACxB,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,IAAI,CgE8Id,OAAO,CAAE,YAAY,CACrB,OAAO,C1EpOK,GAAG,CAAC,IAAI,C0EqOpB,aAAa,CAAE,GAAG,CAClB,SAAS,C1E/LJ,GAAG,C0EgMR,WAAW,C1EnLK,CAAC,C0EoLjB,KAAK,CzEnPC,IAAO,CyEoPb,gBAAgB,CzEnPR,IAAO,CyEoPf,MAAM,CAAE,GAAG,CAAC,KAAK,C1EjDT,OAAmD,C0EkD3D,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAMjB,AAhCH,AA2BI,KA3BC,CACF,AAAA,IAAC,CAAK,MAAM,AAAX,CA0BC,MAAM,CA3BX,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,CAyBC,MAAM,CA3BX,KAAK,CAGF,AAAA,IAAC,CAAK,UAAU,AAAf,CAwBC,MAAM,CA3BX,KAAK,CAIF,AAAA,IAAC,CAAK,gBAAgB,AAArB,CAuBC,MAAM,CA3BX,KAAK,CAKF,AAAA,IAAC,CAAK,MAAM,AAAX,CAsBC,MAAM,CA3BX,KAAK,CAMF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAqBC,MAAM,CA3BX,KAAK,CAOF,AAAA,IAAC,CAAK,MAAM,AAAX,CAoBC,MAAM,CA3BX,KAAK,CAQF,AAAA,IAAC,CAAK,MAAM,AAAX,CAmBC,MAAM,CA3BX,KAAK,CASF,AAAA,IAAC,CAAK,QAAQ,AAAb,CAkBC,MAAM,CA3BX,KAAK,CAUF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAiBC,MAAM,CA3BX,KAAK,CAWF,AAAA,IAAC,CAAK,KAAK,AAAV,CAgBC,MAAM,CA3BX,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,CAeC,MAAM,CA3BX,KAAK,CAaF,AAAA,IAAC,CAAK,KAAK,AAAV,CAcC,MAAM,CA3BX,KAAK,CAcF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAaC,MAAM,AAAC,CACN,YAAY,CzExPP,OAAO,CyEyPZ,UAAU,C1E5GL,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,CyE0PZ,OAAO,CAAE,CAAC,CACX,AAKF,AAAD,cAAS,CACR,aAAO,AAAC,CACP,aAAa,CAAE,GAAG,CAiCnB,AAnCA,AAGC,cAHO,CAGP,KAAK,CAAA,AAAA,KAAC,EAAO,MAAM,AAAb,EAFP,aAAO,CAEN,KAAK,CAAA,AAAA,KAAC,EAAO,MAAM,AAAb,CAAe,CACnB,OAAO,CAAE,YAAY,CACtB,AALF,AAMC,cANO,CAMP,KAAK,CANN,cAAQ,CAOP,MAAM,CANP,aAAO,CAKN,KAAK,CALN,aAAO,CAMN,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,aAAa,CAAE,CAAC,CAChB,cAAc,CAAE,MAAM,CACtB,aAAa,CAAE,CAAC,CAIjB,AAfF,AAYG,cAZK,CAMP,KAAK,AAMF,MAAM,CAZV,cAAQ,CAOP,MAAM,AAKH,MAAM,CAXV,aAAO,CAKN,KAAK,AAMF,MAAM,CAXV,aAAO,CAMN,MAAM,AAKH,MAAM,AAAC,CACN,OAAO,C1E1KL,CAAC,C0E2KJ,AAdJ,AAgBC,cAhBO,CAgBP,OAAO,CAfR,aAAO,CAeN,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,IAAI,CACZ,gBAAgB,C1EpFV,OAAmD,C0EqFzD,MAAM,CAAE,GAAG,CAAC,KAAK,C1ErFX,OAAmD,C0EsF1D,AAxBF,AA2BG,cA3BK,CAyBP,OAAO,AAEJ,YAAY,CA3BhB,cAAQ,CA0BP,IAAI,AACD,YAAY,CA1BhB,aAAO,CAwBN,OAAO,AAEJ,YAAY,CA1BhB,aAAO,CAyBN,IAAI,AACD,YAAY,AAAC,CACZ,YAAY,CAAE,IAAI,CACnB,AA7BJ,AA8BG,cA9BK,CAyBP,OAAO,AAKJ,WAAW,CA9Bf,cAAQ,CA0BP,IAAI,AAID,WAAW,CA7Bf,aAAO,CAwBN,OAAO,AAKJ,WAAW,CA7Bf,aAAO,CAyBN,IAAI,AAID,WAAW,AAAC,CACX,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,WAAW,CAC3B,AAIJ,AACC,cADO,CACP,OAAO,CADR,cAAQ,CAEP,IAAI,AAAC,CACH,YAAY,CAAE,IAAI,CACnB,A5E0FL,AAAA,QAAQ,A4EtFC,CACP,MAAM,CAAE,IAAI,CACZ,gBAAgB,CzEhTN,IAAO,CyEiTjB,MAAM,CAAE,GAAG,CAAC,KAAK,C1E9GP,OAAmD,C0EoH9D,AATD,AAIE,QAJM,AAIL,MAAM,AAAC,CACN,YAAY,CzElTL,OAAO,CyEmTd,UAAU,C1EtKH,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,CyEoTd,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,GAAG,CAAC,KAAK,C1EvHP,OAAmD,C0EwH9D,AAED,AACE,KADG,CACH,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,KAAK,C1E7HG,OAAmD,C0E8H3D,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACf,AAKH,AAAA,SAAS,AAAC,CACR,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,OAAO,ChEpQf,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgEwQ1B,AATC,AACE,mBADiB,CAHrB,SAAS,AAIJ,MAAM,AAAC,CACN,gBAAgB,C1E1IV,OAAmD,C0E2I1D,AANL,AAQE,SARO,CAQP,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACpB,AAIH,AAAA,MAAM,CACN,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,IAAI,CAYnB,AAVC,AAAA,SAAS,CALX,MAAM,AAKS,YAAY,CAAzB,SAAS,CAJX,SAAS,AAIM,YAAY,AAAC,CACxB,WAAW,CAAE,GAAG,CACjB,AAPH,AASE,MATI,AASH,OAAO,CARV,SAAS,AAQN,OAAO,AAAC,CACP,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,aAAa,CAAE,CAAC,CAChB,cAAc,CAAE,MAAM,CACvB,AAGH,AAAA,MAAM,AAAA,OAAO,CAAC,MAAM,AAAA,OAAO,CAC3B,SAAS,AAAA,OAAO,CAAC,SAAS,AAAA,OAAO,AAAC,CAChC,WAAW,CAAE,IAAI,CAClB,AAMD,AAAA,KAAK,AAAC,CAEJ,YAAY,CAAE,IAAI,CAClB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CAKf,AATD,AAME,KANG,CAMH,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CACnB,AAGH,AACE,MADI,AACH,MAAM,AAAC,CACN,gBAAgB,CzE7XR,IAAO,CyE8XhB,AAGH,AAAA,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CAClB,AAME,AAAD,aAAM,AAAC,CACL,KAAK,C1EzMG,OAAoD,C0EyMA,UAAU,CACvE,AAEA,AAAD,YAAK,AAAC,CACJ,KAAK,C1E7MG,OAAoD,C0E6MD,UAAU,CACtE,AAEA,AAAD,YAAK,AAAC,CACJ,KAAK,C1EjNG,OAAoD,C0EiNC,UAAU,CACxE,AAGH,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,QAAQ,AAAC,CACP,aAAa,CAAE,GAAG,CAClB,gBAAgB,CzE5ZN,IAAO,CyE6ZjB,OAAO,CAAE,IAAI,CAKd,AARD,AAKE,QALM,CAKN,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,kBAAkB,AAAC,CACjB,UAAU,CAAE,eAAe,CAC5B,AAED,AAAA,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CAOtB,AARD,AAEE,IAFE,AAED,KAAK,AAAC,CACL,KAAK,CzEpaC,OAAO,CyEqad,AAJH,AAKE,IALE,AAKD,IAAI,AAAC,CACJ,KAAK,CzExaA,OAAO,CyEyab,AAGH,AAAA,eAAe,AAAC,CACd,gBAAgB,CzEnbN,IAAO,CyEobjB,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,iBAAiB,AAAA,cAAc,AAAC,CAC9B,GAAG,CAAE,eAAe,CACrB,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,wBAAwB,AAAC,CACvB,KAAK,CzElcK,IAAO,CyEmcjB,UAAU,CzE5bF,OAAO,CyEichB,AAPD,AAIE,wBAJsB,AAIrB,mBAAmB,CAAA,AAAA,IAAC,AAAA,CAAM,CACzB,KAAK,CzEtcG,IAAO,CyEuchB,AAGH,AAAA,wBAAwB,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,KAAK,CACZ,gBAAgB,CAAE,4DAIjB,CACD,OAAO,CAAE,IAAI,CACd,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,gBAAgB,CACrB,KAAK,CAAE,gBAAgB,CACvB,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,MAAM,CzE/dhB,sBAAO,CyEgef,OAAO,C1E5YM,IAAI,C0E6YlB,AAED,AAAA,wBAAwB,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CzEpeK,IAAO,CyEqejB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,KAAK,CACZ,WAAW,C1E1aQ,GAAG,C0E2avB,AAED,AAAA,KAAK,AAAC,CAGJ,UAAU,CAAE,0CAAuD,CACnE,UAAU,CAAE,qCAAkD,CAC9D,UAAU,CAAE,uCAAoD,CAChE,UAAU,CAAE,kCAA+C,CAC3D,GAAG,CAAE,gBAAgB,CACrB,KAAK,CAAE,iBAAiB,CACxB,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,8BAA8B,CAAE,QAAQ,CACxC,iCAAiC,CAAE,QAAQ,CAC3C,wBAAwB,CAAE,MAAM,CAChC,uBAAuB,CAAE,EAAE,CAC3B,0BAA0B,CAAE,EAAE,CAC9B,mBAAmB,CAAE,IAAI,CACzB,sBAAsB,CAAE,IAAI,CAC7B,AAED,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,oBAAoB,CAKjC,AAPD,AAIE,KAJG,AAIF,GAAG,AAAC,CACH,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,CAAC,CACV,AAED,AAAA,QAAQ,AAAC,CACP,MAAM,CAAE,mBAAmB,CAC3B,QAAQ,CAAE,QAAQ,CAClB,iBAAiB,CAAE,iCAAiC,CACpD,SAAS,CAAE,iCAAiC,CAC5C,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,C1EtWT,OAAqB,C0EuW7B,kBAAkB,CAAE,WAAW,CAC/B,aAAa,CAAE,GAAG,CAQnB,AAjBD,AAWE,QAXM,AAWL,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,YAAY,CACtB,AAGH,AACE,aADW,CACX,EAAE,AAAC,CACD,KAAK,C1EjWG,OAAmD,C0EkW3D,SAAS,C1ErfD,QAAQ,C0EsfhB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,IAAI,CACpB,AANH,AAQE,aARW,CAQX,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CAyBV,AAnCH,AAYI,aAZS,CAQX,EAAE,CAIA,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,C1E5WlB,OAAmD,C0EiY1D,AAlCL,AAeM,aAfO,CAQX,EAAE,CAIA,EAAE,AAGC,cAAc,AAAC,CACd,UAAU,CAAE,GAAG,CAAC,KAAK,C1E/WjB,OAAmD,C0EgXxD,AAjBP,AAmBM,aAnBO,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,IAAI,CACb,KAAK,CzEzjBH,IAAO,CyEokBV,AAjCP,AAwBQ,aAxBK,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAKE,MAAM,AAAC,CACN,gBAAgB,C1ExXd,OAAmD,C0EyXrD,KAAK,CzE7jBL,IAAO,CyE8jBR,AA3BT,AA6BQ,aA7BK,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAUE,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CzElkBL,IAAO,CyEmkBR,AAMT,AACE,cADY,CACZ,KAAK,CADP,cAAc,CAEZ,QAAQ,CAFV,cAAc,CAGZ,MAAM,CAHR,cAAc,CAIZ,cAAc,CAJhB,cAAc,CAKZ,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,CAAC,CAChB,IAAI,CAAE,QAAQ,CACf,AATH,AhE3iBE,cgE2iBY,CAWZ,cAAc,AhEtjBb,OAAO,CgE2iBV,cAAc,CAWZ,cAAc,AhErjBb,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgEuiBH,AhEtiBE,cgEsiBY,CAWZ,cAAc,AhEjjBb,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgEoiBH,AAeE,cAfY,CAeZ,cAAc,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,SAAS,C1E1iBD,QAAQ,C0E2iBhB,WAAW,C1E1hBK,GAAG,C0E2hBpB,AAnBH,AAqBE,cArBY,CAqBZ,SAAS,AAAC,CACR,WAAW,CAAE,CAAC,CACf,AAKH,AAEI,KAFC,CACH,GAAG,AAAA,OAAO,AACP,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AALL,AAOI,KAPC,CACH,GAAG,AAAA,OAAO,AAMP,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAVL,AAYI,KAZC,CACH,GAAG,AAAA,OAAO,AAWP,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAfL,AAiBI,KAjBC,CACH,GAAG,AAAA,OAAO,AAgBP,KAAK,AAAC,CACL,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AApBL,AAwBI,KAxBC,CAuBH,UAAU,CACR,KAAK,AAAC,CACJ,cAAc,CAAE,GAAG,CACpB,AAIL,AAAA,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CAClB,SAAS,C1ExlBC,GAAG,C0EylBb,UAAU,CAAE,MAAM,CAClB,GAAG,CAAE,KAAK,CACV,IAAI,CAAE,KAAK,CACX,KAAK,CzEzoBG,IAAO,CyE0oBhB,AAED,AACE,OADK,CACL,UAAU,AAAC,CACT,MAAM,CAAE,IAAI,CAOb,AATH,AAGI,OAHG,CACL,UAAU,CAER,SAAS,AAAC,CACR,WAAW,CAAE,IAAI,CAIlB,AARL,AAKM,OALC,CACL,UAAU,CAER,SAAS,CAEP,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzEjpBD,IAAO,CyEkpBZ,AAKP,AAAA,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CAChB,AAED,AACE,iBADe,CACf,IAAI,AAAC,CACH,aAAa,CAAE,cAAc,CAC7B,MAAM,CAAE,OAAO,CACf,cAAc,CAAE,GAAG,CAKpB,AATH,AAMI,iBANa,CACf,IAAI,AAKD,WAAW,AAAC,CACX,aAAa,CAAE,CAAC,CACjB,AARL,AAWE,iBAXe,CAWf,gBAAgB,AAAC,CACf,KAAK,C1EpeG,OAAmD,C0Eqe3D,SAAS,CAAE,MAAM,CACjB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAhBH,AAkBE,iBAlBe,CAkBf,iBAAiB,AAAC,CAChB,SAAS,CAAE,KAAK,CAKjB,AAxBH,AAqBI,iBArBa,CAkBf,iBAAiB,CAGf,kBAAkB,AAAC,CACjB,WAAW,CAAE,IAAI,CAClB,AAvBL,AA0BE,iBA1Be,CA0Bf,kBAAkB,AAAC,CACjB,KAAK,C1EnfG,OAAmD,C0Eyf5D,AAjCH,AA6BI,iBA7Ba,CA0Bf,kBAAkB,CAGhB,OAAO,AAAC,CACN,KAAK,CzElrBD,OAAO,CyEmrBX,WAAW,CAAE,IAAI,CAClB,AAhCL,AAmCE,iBAnCe,CAmCf,oBAAoB,AAAC,CACnB,KAAK,CAAE,KAAK,CAUb,AA9CH,AAsCI,iBAtCa,CAmCf,oBAAoB,CAGlB,IAAI,CAtCR,iBAAiB,CAmCf,oBAAoB,CAIlB,IAAI,AAAA,MAAM,AAAC,CACT,UAAU,CAAE,WAAW,CAKxB,AA7CL,AA0CM,iBA1CW,CAmCf,oBAAoB,CAGlB,IAAI,CAIF,OAAO,CA1Cb,iBAAiB,CAmCf,oBAAoB,CAIlB,IAAI,AAAA,MAAM,CAGR,OAAO,AAAC,CACN,KAAK,C1EngBD,OAAmD,C0EogBxD,AA5CP,AAgDE,iBAhDe,CAgDf,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CAKb,AAtDH,AAmDI,iBAnDa,CAgDf,cAAc,CAGV,KAAK,AAAC,CACN,UAAU,CAAE,IAAI,CACjB,AAIL,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,MAAM,CACf,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,MAAM,CAiBrB,AApBD,AAIE,eAJa,CAIb,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,WAAW,CACpB,KAAK,C1ExhBG,OAAmD,C0EgiB5D,AAfH,AAQI,eARW,CAIb,aAAa,CAIX,OAAO,AAAC,CACN,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,MAAM,CACd,AAXL,AAYI,eAZW,CAIb,aAAa,AAQV,IAAK,CAAA,WAAW,CAAE,CACjB,YAAY,CAAE,MAAM,CACrB,AAdL,AAiBE,eAjBa,CAiBb,gBAAgB,AAAC,CACf,KAAK,CzEhuBA,OAAO,CyEiuBb,AAGH,AAAA,mBAAmB,AAAC,CAClB,SAAS,C1EtsBM,IAAI,C0EusBnB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,UAAU,C1E3iBA,OAAmD,C0E4iB7D,UAAU,CAAE,MAAM,CAClB,OAAO,C1EnqBA,IAAI,C0EoqBX,KAAK,CzEjvBK,IAAO,CyEkvBlB,ACnvBD,AAAA,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,GAAG,CA0BjB,AA5BD,AAIE,WAJS,CAIT,KAAK,AAAC,CACJ,SAAS,CAAE,OAAO,CACnB,AANH,AAOE,WAPS,CAOT,OAAO,AAAC,CACN,SAAS,C3EsCD,QAAQ,C2ErCjB,AATH,AAUE,WAVS,CAUT,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CAClB,SAAS,C3EuCC,OAAQ,C2EtCnB,AAbH,AAcE,WAdS,CAcT,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CAIjB,AAnBH,AAgBI,WAhBO,CAcT,KAAK,CAEH,oBAAoB,AAAC,CACnB,KAAK,C1ETD,OAAO,C0EUZ,AAlBL,AAoBE,WApBS,CAoBT,QAAQ,AAAC,CACP,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,IAAI,CAKjB,AA3BH,AAwBI,WAxBO,CAoBT,QAAQ,CAIN,MAAM,AAAC,CACL,MAAM,CAAE,MAAM,CACf,AC1BL,AAAA,cAAc,AAAC,CACb,YAAY,CAAE,KAAK,CAYpB,AAbD,AAEE,cAFY,CAEZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACtB,AALH,AAME,cANY,CAMZ,cAAc,AAAC,CACb,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,IAAI,ClEoDjB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkEpDrB,cAAc,CAAE,QAAQ,CACxB,WAAW,C5EqDM,GAAG,C4EpDrB,AAGH,AAAA,eAAe,CACf,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CAuDZ,AA9DD,AASE,eATa,CASb,aAAa,CARf,2BAA2B,CAQzB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,UAAU,CACzB,MAAM,CAAE,OAAO,CAEf,UAAU,CAAE,UAAU,CAEtB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,GAAG,CAEtB,YAAY,CAAE,KAAK,CACnB,YAAY,C5EgKJ,OAAmD,C4E5I5D,AAlBC,AAAA,YAAY,CAvBhB,eAAe,CASb,aAAa,CAcX,YAAY,CAtBhB,2BAA2B,CAQzB,aAAa,AAcI,CACb,KAAK,CAAE,IAAI,CACZ,AAzBL,AA2BI,eA3BW,CASb,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,CA1B1B,2BAA2B,CAQzB,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,eAAe,CACxB,AAE6B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAlCjC,AA2BI,eA3BW,CASb,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,CA1B1B,2BAA2B,CAQzB,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,AAQG,CACrB,QAAQ,CAAA,KAAC,CACT,KAAK,CAAE,yCAAyC,CAChD,SAAS,CAAE,IAAI,CAChB,CAvCP,AA2CE,eA3Ca,CA2Cb,mBAAmB,CA1CrB,2BAA2B,CA0CzB,mBAAmB,AAAC,CAClB,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAEtB,YAAY,CAAE,GAAG,CACjB,iBAAiB,CAAE,CAAC,CAEpB,YAAY,CAAE,KAAK,CACnB,YAAY,C5E+HJ,OAAmD,C4E9H5D,AAvDH,AA0DI,eA1DW,AAyDZ,SAAS,CACR,KAAK,CAzDT,2BAA2B,AAwDxB,SAAS,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAIL,AACE,eADa,CACb,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,aAAa,CAatB,AAhBH,AAII,eAJW,CACb,aAAa,CAGT,CAAC,AAAC,CACF,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACX,AAPL,AAQI,eARW,CACb,aAAa,CAOX,mBAAmB,AAAC,CAClB,OAAO,CAAE,GAAG,CAMb,AAfL,AAWM,eAXS,CACb,aAAa,CAOX,mBAAmB,CAGjB,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAdP,AAmBI,eAnBW,AAkBZ,SAAS,CACR,aAAa,CAAC,mBAAmB,CAAG,CAAC,AAAC,CACpC,OAAO,CAAE,OAAO,CACjB,AArBL,AAwBE,eAxBa,CAwBb,YAAY,AAAC,CACX,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,MAAM,CAClB,SAAS,C5ExDJ,GAAG,C4EyDR,KAAK,C5EuFG,OAAoD,C4EnF7D,AAhCH,AA6BI,eA7BW,CAwBb,YAAY,CAKV,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CAChB,AA/BL,AAkCE,eAlCa,CAkCb,EAAE,AAAC,CACD,SAAS,C5ElED,QAAQ,C4EmEhB,aAAa,CAAE,KAAK,CACpB,UAAU,CAAE,MAAM,CAClB,WAAW,C5ErDM,GAAG,C4EsDpB,UAAU,CAAE,MAAM,CAClB,KAAK,C3EvHC,IAAO,C2EwHb,QAAQ,CAAE,MAAM,CACjB,AA1CH,AA4CE,eA5Ca,CA4Cb,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAsBhB,AApEH,AA+CI,eA/CW,CA4Cb,cAAc,CAGZ,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,ClEpEvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkEoEnB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,KAAK,CAerB,AAnEL,AAqDM,eArDS,CA4Cb,cAAc,CAGZ,YAAY,CAMV,8BAA8B,AAAC,CAC7B,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,KAAK,CACpB,AAxDP,AAyDM,eAzDS,CA4Cb,cAAc,CAGZ,YAAY,CAUV,iBAAiB,AAAC,CAChB,SAAS,CAAE,CAAC,ClE7ElB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkE6ElB,AA5DP,AA6DM,eA7DS,CA4Cb,cAAc,CAGZ,YAAY,CAcV,KAAK,CAAC,GAAG,AAAC,CACR,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAKP,AACE,2BADyB,CACzB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,CAAC,CACX,AALH,AAOE,2BAPyB,CAOzB,EAAE,AAAC,CACD,SAAS,C5E9GD,QAAQ,C4E+GhB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,MAAM,CACjB,AAXH,AAaE,2BAbyB,CAazB,qBAAqB,AAAC,CACpB,OAAO,CAAE,iBAAiB,CAK3B,AAnBH,AAeI,2BAfuB,CAazB,qBAAqB,CAEnB,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CAAE,IAAI,CACX,KAAK,C3EvKD,IAAO,C2EwKZ,AAlBL,AAqBE,2BArByB,CAqBzB,gBAAgB,AAAC,CACf,OAAO,CAAE,iBAAiB,CAqB3B,AA3CH,AAuBI,2BAvBuB,CAqBzB,gBAAgB,CAEd,EAAE,AAAC,CACD,KAAK,C5EsBC,OAAmD,C4ErBzD,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACV,AA5BL,AA6BI,2BA7BuB,CAqBzB,gBAAgB,CAQd,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CAUtB,AA1CL,AAiCM,2BAjCqB,CAqBzB,gBAAgB,CAQd,EAAE,CAIA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,QAAQ,CAAE,MAAM,CACjB,AApCP,AAqCM,2BArCqB,CAqBzB,gBAAgB,CAQd,EAAE,CAQA,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,MAAM,CACf,AAKP,AACE,gBADc,CAAC,SAAS,CACxB,EAAE,CAAC,OAAO,AAAC,CACT,KAAK,C5EFG,OAAmD,C4EG3D,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,MAAM,CACb,cAAc,CAAE,QAAQ,CACxB,YAAY,CAAE,MAAM,CACrB,AAGH,AAEE,2BAFyB,CAEzB,aAAa,CAAC,EAAE,CAAC,OAAO,CAD1B,eAAe,CACb,aAAa,CAAC,EAAE,CAAC,OAAO,AAAC,CACvB,YAAY,CAAE,CAAC,CAChB,AChNH,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,IAAI,CACV,OAAO,C7E6FK,GAAG,C6E5Ff,UAAU,C7EiIF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,C6EhItC,gBAAgB,C5ENN,IAAO,C4EOjB,OAAO,C7DQI,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,C6DP9B,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CAkGd,AA1GD,AASE,WATS,AASR,QAAQ,AAAC,CACR,OAAO,CAAE,KAAK,CACf,AAXH,AAYE,WAZS,CAYT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACZ,AAdH,AAeE,WAfS,CAeT,gBAAgB,CAAC,kBAAkB,AAAC,CAClC,KAAK,CAAE,IAAI,CACZ,AAjBH,AAkBE,WAlBS,CAkBT,gBAAgB,AAAC,CACf,MAAM,CAAE,MAAM,CACf,AApBH,AAsBE,WAtBS,CAsBT,MAAM,AAAC,CACL,aAAa,C7DTJ,GAAmB,C6DU5B,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAW/B,AArCH,AA4BI,WA5BO,CAsBT,MAAM,CAMJ,EAAE,AAAC,CACD,SAAS,C7EmBN,GAAG,C6ElBN,MAAM,CAAE,CAAC,CACV,AA/BL,AAiCI,WAjCO,CAsBT,MAAM,CAWJ,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACnB,KAAK,C7E6JC,OAAoD,C6E5J3D,AApCL,AAuCE,WAvCS,CAuCT,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,gBAAgB,CACxB,KAAK,C5ErCC,OAAO,C4EsCb,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,aAAa,CACzB,SAAS,C7EEJ,GAAG,C6EET,AAlDH,AA+CI,WA/CO,CAuCT,UAAU,AAQP,IAAK,CAAA,QAAQ,CAAE,CACd,OAAO,CAAE,CAAC,CACX,AAjDL,AAmDE,WAnDS,CAmDT,YAAY,AAAC,CACX,YAAY,C7DtCH,GAAmB,C6DuC5B,SAAS,C7ETD,QAAQ,C6EqBjB,AAjEH,AAsDI,WAtDO,CAmDT,YAAY,CAGV,OAAO,AAAC,CACN,KAAK,CAA+B,IAAK,CAC1C,AAxDL,AAyDI,WAzDO,CAmDT,YAAY,CAMV,oBAAoB,AAAC,CAEnB,KAAK,CAA+B,IAAK,CAC1C,AA5DL,AA6DI,WA7DO,CAmDT,YAAY,CAUV,0BAA0B,AAAC,CAEzB,KAAK,CAA8B,IAAK,CACzC,AAhEL,AAYE,WAZS,CAYT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAuDa,CACjB,SAAS,C7ErBD,QAAQ,C6EsBhB,aAAa,CAAE,CAAC,CACjB,AAtEH,AAwEE,WAxES,CAwET,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,UAAU,C7D7DD,GAAmB,C6D2F7B,AAzGH,AA6EI,WA7EO,CAwET,QAAQ,CAKN,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,GAAG,CAKf,AAvFL,AAoFM,WApFK,CAwET,QAAQ,CAKN,QAAQ,CAON,YAAY,AAAC,CACX,YAAY,C7DvEP,GAAmB,C6DwEzB,AAtFP,AAyFI,WAzFO,CAwET,QAAQ,CAiBN,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,IAAI,CAAE,CAAC,CACP,eAAe,CAAE,QAAQ,CACzB,MAAM,CAAE,IAAI,CAUb,AAxGL,AAgGM,WAhGK,CAwET,QAAQ,CAiBN,YAAY,CAOV,YAAY,AAAC,CACX,SAAS,C7EpDL,QAAQ,C6EqDZ,KAAK,C7E8FD,OAAoD,C6E7FzD,AAnGP,AAqGM,WArGK,CAwET,QAAQ,CAiBN,YAAY,CAYV,UAAU,AAAC,CACT,YAAY,C7DxFP,IAAmB,C6DyFzB,AAKP,AAAA,mBAAmB,CAAC,WAAW,CAAC,gBAAgB,AAAC,CAC/C,OAAO,CAAE,IAAI,CACd,AAED,AAAA,gBAAgB,CAAC,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CAC9C,OAAO,CAAE,IAAI,CACd,ACpHD,AAAA,aAAa,AAAC,CACZ,gBAAgB,C7EAN,IAAO,C6ECjB,KAAK,C7EFG,IAAO,C6EGhB,ACHD,AAAA,uBAAuB,AAAC,CACtB,UAAU,C9EDF,IAAO,C8ECM,MAAM,CAC3B,eAAe,CAAE,KAAK,CACtB,QAAQ,CAAE,QAAQ,CA0CnB,AA7CD,AAKE,uBALqB,CAKrB,oBAAoB,AAAC,CACnB,eAAe,CAAE,OAAO,CACxB,iBAAiB,CAAE,SAAS,CAC5B,mBAAmB,CAAE,MAAM,CAC3B,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,GAAG,CACb,AAfH,AAiBE,uBAjBqB,CAiBrB,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CAwBd,AA5CH,AAsBI,uBAtBmB,CAiBrB,sBAAsB,CAKpB,IAAI,AAAC,CACH,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,QAAQ,CAClB,AAzBL,AA2BI,uBA3BmB,CAiBrB,sBAAsB,CAUpB,4BAA4B,AAAC,CAC3B,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,CAAC,CACf,WAAW,CAAE,IAAI,CAalB,AA3CL,AAgCM,uBAhCiB,CAiBrB,sBAAsB,CAUpB,4BAA4B,CAK1B,OAAO,AAAC,CACN,KAAK,C/EmKD,OAAmD,C+ElKxD,AAlCP,AAoCM,uBApCiB,CAiBrB,sBAAsB,CAUpB,4BAA4B,AASzB,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAKjB,AA1CP,AAuCQ,uBAvCe,CAiBrB,sBAAsB,CAUpB,4BAA4B,AASzB,MAAM,CAGL,OAAO,AAAC,CACN,KAAK,C9ExCL,IAAO,C8EyCR,AAMT,AACE,eADa,AAAA,UAAU,CACvB,uBAAuB,AAAC,CACtB,iBAAiB,CAAE,SAAS,CAC7B,AAGH,AACE,eADa,AAAA,cAAc,CAC3B,uBAAuB,AAAC,CACtB,eAAe,CAAE,OAAO,CACzB,AAGH,AAAA,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CACnB,AC9DD,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAwL/B,AA1LD,AAIE,iBAJe,CAIf,QAAQ,AAAC,CACP,gBAAgB,ChF+LR,OAAmD,CgF9L3D,OAAO,CAAE,OAAO,CAChB,KAAK,C/ENG,IAAO,C+EOhB,AARH,AAUE,iBAVe,CAUf,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,aAAa,CAAE,GAAG,CAWnB,AA1BH,AAiBI,iBAjBa,CAUf,WAAW,CAOT,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,WAAW,CACpB,AApBL,AAsBI,iBAtBa,CAUf,WAAW,CAYT,WAAW,AAAC,CACV,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,KAAK,CACnB,AAzBL,AA4BE,iBA5Be,CA4Bf,gBAAgB,AAAC,CACf,KAAK,CAAE,GAAG,CA6EX,AtEvFD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AA4BE,iBA5Be,CA4Bf,gBAAgB,AAAC,CAGb,KAAK,CAAE,GAAG,CA2Eb,CA1GH,AAkCI,iBAlCa,CA4Bf,gBAAgB,CAMd,eAAe,CAlCnB,iBAAiB,CA4Bf,gBAAgB,CAOd,cAAc,CAnClB,iBAAiB,CA4Bf,gBAAgB,CAQd,eAAe,CApCnB,iBAAiB,CA4Bf,gBAAgB,CASd,aAAa,CArCjB,iBAAiB,CA4Bf,gBAAgB,CAUd,WAAW,AAAC,CACV,aAAa,CAAE,GAAG,CACnB,AAxCL,AA0CI,iBA1Ca,CA4Bf,gBAAgB,CAcd,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CAAC,KAAK,ChFuJlB,OAAmD,CgFtJzD,cAAc,CAAE,KAAK,CACrB,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CA4BpB,AA7EL,AAmDM,iBAnDW,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CAUd,AA9DP,AAsDQ,iBAtDS,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,CAGX,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CAClB,AAxDT,AA2DQ,iBA3DS,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,CAQX,IAAI,CAAG,IAAI,AAAC,CACV,WAAW,CAAE,MAAM,CACpB,AA7DT,AAgEM,iBAhEW,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CASpB,AA5EP,AAqEQ,iBArES,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,CAKN,KAAK,AAAC,CACJ,YAAY,CAAE,KAAK,CACpB,AAvET,AAyEQ,iBAzES,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,CASN,UAAU,AAAC,CACT,SAAS,CAAE,KAAK,CACjB,AA3ET,AA+EI,iBA/Ea,CA4Bf,gBAAgB,CAmDd,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,MAAM,CAcpB,AAhGL,AAoFM,iBApFW,CA4Bf,gBAAgB,CAmDd,aAAa,CAKX,YAAY,AAAC,CACX,WAAW,CAAE,KAAK,CACnB,AAtFP,AAwFM,iBAxFW,CA4Bf,gBAAgB,CAmDd,aAAa,CASX,WAAW,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,KAAK,CAClB,SAAS,ChFvCH,OAAQ,CgF4Cf,AA/FP,AA4FQ,iBA5FS,CA4Bf,gBAAgB,CAmDd,aAAa,CASX,WAAW,CAAC,CAAC,AAIV,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AA9FT,AAmGM,iBAnGW,CA4Bf,gBAAgB,CAsEd,cAAc,CACZ,YAAY,AAAC,CACX,OAAO,CAAE,KAAK,CACd,gBAAgB,ChF+FZ,OAAmD,CgF9FvD,MAAM,CAAE,GAAG,CAAC,KAAK,ChF8Fb,OAAmD,CgF7FvD,KAAK,C/EhGJ,OAAO,C+EiGT,AAxGP,AA4GE,iBA5Ge,CA4Gf,wBAAwB,AAAC,CACvB,KAAK,CAAE,GAAG,CAIV,WAAW,CAAE,GAAG,CAChB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAsEvB,AtEtKD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AA4GE,iBA5Ge,CA4Gf,wBAAwB,AAAC,CAGrB,KAAK,CAAE,GAAG,CA0Eb,CAzLH,AAqHI,iBArHa,CA4Gf,wBAAwB,CAStB,sBAAsB,CArH1B,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CAtHhB,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CAvHd,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAxHZ,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAzHlB,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CA1HxB,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,AAAC,CAChC,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAKhB,AAnIL,AA+HM,iBA/HW,CA4Gf,wBAAwB,CAStB,sBAAsB,CAUpB,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAStB,sBAAsB,CAWpB,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CASV,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CAUV,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CAQR,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CASR,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAON,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAQN,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAMZ,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAOZ,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CAKlB,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CAMlB,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,CAI/B,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,CAK/B,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAlIP,AAqII,iBArIa,CA4Gf,wBAAwB,CAyBtB,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CAClB,AAvIL,AAyII,iBAzIa,CA4Gf,wBAAwB,CA6BtB,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,CAAC,CACjB,AA9IL,AAgJI,iBAhJa,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAAC,CACrB,UAAU,ChFmDJ,OAAmD,CgFlDzD,OAAO,CAAE,WAAW,CAIpB,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CASlB,AtE9IH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AAgJI,iBAhJa,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAAC,CAInB,OAAO,CAAE,aAAa,CAazB,CAjKL,AA0JM,iBA1JW,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAUnB,IAAI,AAAC,CACJ,UAAU,ChFyCN,OAAmD,CgFxCxD,AA5JP,AA8JM,iBA9JW,CA4Gf,wBAAwB,CAoCtB,sBAAsB,CAcpB,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,AAhKP,AAmKI,iBAnKa,CA4Gf,wBAAwB,CAuDtB,wBAAwB,AAAC,CACvB,UAAU,ChFgCJ,OAAmD,CgF/BzD,OAAO,CAAE,GAAG,CAmBb,AAxLL,AAsKM,iBAtKW,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAGtB,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAxKP,AAyKM,iBAzKW,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAMtB,OAAO,AAAA,MAAM,AAAC,CACZ,UAAU,CAAE,GAAG,CAChB,AtExJL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AAmKI,iBAnKa,CA4Gf,wBAAwB,CAuDtB,wBAAwB,AAAC,CAUrB,OAAO,CAAE,YAAY,CAWxB,AAxLL,AA8KQ,iBA9KS,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAWpB,QAAQ,CA9KhB,iBAAiB,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAYpB,QAAQ,CA/KhB,iBAAiB,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAapB,WAAW,AAAA,aAAa,AAAC,CAEvB,KAAK,CAAE,eAAe,CACvB,AAnLT,AAoLQ,iBApLS,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAiBpB,WAAW,AAAC,CACV,SAAS,CAAE,KAAK,CACjB,CAMT,AAAA,YAAY,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CAsBb,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,KAAK,CA4CjB,AApED,AAEE,WAFS,CAET,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACpB,AALH,AAOE,WAPS,CAOT,WAAW,AAAC,CACV,KAAK,ChFNG,OAAoD,CgFW7D,AAbH,AASI,WATO,CAOT,WAAW,CAET,GAAG,AAAC,CACF,KAAK,C/EjMJ,OAAO,C+EkMR,SAAS,ChFxJD,OAAQ,CgFyJjB,AAZL,AAeE,WAfS,CAeT,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CACjC,SAAS,CAAE,OAAO,CACnB,AAjBH,AAmBE,WAnBS,CAmBT,gBAAgB,AAAC,CACf,WAAW,CAAE,GAAG,CACjB,AArBH,AAyBE,WAzBS,CAyBT,MAAM,AAAC,CACL,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,KAAK,CACjB,AA5BH,AA6BE,WA7BS,CA6BT,OAAO,AAAC,CACN,YAAY,CAAE,IAAI,CACnB,AA/BH,AAgCE,WAhCS,CAgCT,CAAC,AAAA,YAAY,AAAA,QAAQ,CAAC,YAAY,AAAC,CACjC,KAAK,ChF7BG,OAAmD,CgF8B5D,AAlCH,AAoCI,WApCO,CAmCT,YAAY,CACV,YAAY,AAAC,CACX,SAAS,ChFrLH,QAAQ,CgFsLd,WAAW,ChFtKI,GAAG,CgFuKnB,AAvCL,AAwCI,WAxCO,CAmCT,YAAY,CAKV,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CAChB,WAAW,ChF3KI,GAAG,CgF4KlB,KAAK,ChFxCC,OAAmD,CgF4C1D,AAhDL,AA6CM,WA7CK,CAmCT,YAAY,CAKV,eAAe,CAKb,IAAI,AAAC,CACH,WAAW,CAAE,CAAC,CACf,AA/CP,AAkDE,WAlDS,CAkDT,MAAM,AAAC,CACL,SAAS,ChFjMJ,GAAG,CgFkMR,WAAW,ChFnLK,GAAG,CgFoLnB,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,KAAK,CAChB,KAAK,ChFrDG,OAAoD,CgF6D7D,AA/DH,AAwDI,WAxDO,CAkDT,MAAM,CAMJ,KAAK,AAAC,CACJ,KAAK,ChFvDC,OAAoD,CgFwD3D,AA1DL,AA4DI,WA5DO,CAkDT,MAAM,CAUJ,iBAAiB,AAAC,CAChB,KAAK,ChF3DC,OAAoD,CgF4D3D,AA9DL,AAiEE,WAjES,CAiET,cAAc,AAAC,CACb,SAAS,ChF/MC,OAAQ,CgFgNnB,AAGH,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CACjB,AACD,AAAA,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,oBAAoB,CAAC,eAAe,CAAC,KAAK,AAAC,CACzC,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,GAAG,CAChB,ACvRD,AACE,CADD,AAAA,eAAe,AACb,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,WAAW,CACpB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,WAAW,CACnB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CjF2LT,OAAmD,CiF1L3D,kBAAkB,CAAE,WAAW,CAC/B,aAAa,CAAE,GAAG,CAClB,iBAAiB,CAAE,iCAAiC,CACpD,SAAS,CAAE,iCAAiC,CAC7C,AAGH,AAAA,cAAc,AAAC,CvEiEb,WAAW,CAAE,GAAG,CAAC,KAAK,CVkHZ,OAAmD,CUjH7D,gBAAgB,CV8FR,OAAqB,CiF7J7B,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,SAAS,CjF4BF,GAAG,CiFoBX,AArDD,AAME,cANY,CAMV,OAAO,AAAC,CACR,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,IAAI,CAClB,OAAO,CAAE,KAAK,CACd,KAAK,ChF3BC,IAAO,CgF4Bb,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CAab,AAzBH,AAaI,cAbU,CAMV,OAAO,CAOP,KAAK,AAAC,CAMJ,QAAQ,CAAE,QAAQ,CAClB,SAAS,CjFaN,GAAG,CiFTP,AAxBL,AAcM,cAdQ,CAMV,OAAO,CAOP,KAAK,CACH,CAAC,AAAC,CACA,KAAK,CAAE,KAAK,CACZ,eAAe,CAAE,IAAI,CACrB,aAAa,CAAE,IAAI,CACpB,AAlBP,AAqBM,cArBQ,CAMV,OAAO,CAOP,KAAK,CAQH,GAAG,AAAA,QAAQ,AAAC,CACV,YAAY,CAAE,GAAG,CAClB,AAvBP,AA2BE,cA3BY,CA2BZ,mBAAmB,AAAC,CAClB,WAAW,CAAE,GAAG,CAwBjB,AApDH,AA6BI,cA7BU,CA2BZ,mBAAmB,CAEjB,GAAG,AAAC,CACF,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAnCL,AAoCI,cApCU,CA2BZ,mBAAmB,CASjB,EAAE,CApCN,cAAc,CA2BZ,mBAAmB,CAUjB,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AAvCL,AAwCI,cAxCU,CA2BZ,mBAAmB,CAajB,IAAI,AAAC,CACH,UAAU,CAAE,KAAK,CAClB,AA1CL,AA2CI,cA3CU,CA2BZ,mBAAmB,CAgBjB,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,IAAI,CAMrB,AAnDL,AA8CM,cA9CQ,CA2BZ,mBAAmB,CAgBjB,QAAQ,CAGN,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACZ,AAMP,AAEI,cAFU,CACZ,mBAAmB,CACjB,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AALL,AAMI,cANU,CACZ,mBAAmB,CAKjB,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAClB,AAYL,AAAA,KAAK,AAAA,OAAO,AAAC,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CjFoGP,OAAmD,CiFnG7D,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,mBAAmB,CAC5B,SAAS,CjFjDF,GAAG,CiFwOX,AA3LD,AAME,KANG,AAAA,OAAO,CAMV,MAAM,AAAC,CACL,aAAa,CAAE,GAAG,CAKnB,AAZH,AAQI,KARC,AAAA,OAAO,CAMV,MAAM,CAEJ,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CjF0FC,OAAoD,CiFzF1D,eAAe,CAAE,IAAI,CACtB,AAXL,AAPE,KAOG,AAAA,OAAO,AAPT,cAAc,CAAC,OAAO,AAAH,CAClB,UAAU,CAAE,yCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,cAAc,CAAC,OAAO,AAAH,CAClB,UAAU,CAAE,mCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,UAAU,CAAC,OAAO,AAAC,CAClB,UAAU,CAAE,qCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,aAAa,CAAC,OAAO,AAAF,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,kBAAkB,CAAC,OAAO,AAAP,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,YAAY,CAAC,OAAO,AAAD,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,OAAO,CAAC,OAAO,AAAI,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,UAAU,CAAC,OAAO,AAAC,CAClB,UAAU,CAAE,qCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,2DAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,YAAY,CAAC,OAAO,AAAD,CAClB,UAAU,CAAE,2DAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AA2BE,KA3BG,AAAA,OAAO,CA2BV,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CA8JZ,AA1LH,AA8BI,KA9BC,AAAA,OAAO,CA2BV,YAAY,CAGV,EAAE,CA9BN,KAAK,AAAA,OAAO,CA2BV,YAAY,CAIV,EAAE,AAAC,CACD,SAAS,CjF9EH,QAAQ,CiF+Ed,MAAM,CAAE,UAAU,CACnB,AAlCL,AAoCI,KApCC,AAAA,OAAO,CA2BV,YAAY,CASV,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,ChFlIA,OAAO,CgFmIZ,eAAe,CAAE,IAAI,CACtB,AAvCL,AAyCI,KAzCC,AAAA,OAAO,CA2BV,YAAY,CAcV,CAAC,CAAA,AAAA,IAAC,AAAA,CAAK,QAAQ,AAAC,CACd,KAAK,ChFvIA,OAAO,CgFwIb,AA3CL,AA6CI,KA7CC,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAAC,CACF,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,GAAG,CAId,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CAOnB,AAbC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAhDtC,AA6CI,KA7CC,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAAC,CAIA,SAAS,CAAE,GAAG,CAYjB,CA7DL,AAuDM,KAvDD,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAUA,kBAAkB,AAAC,CAClB,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,OAAO,CACd,MAAM,CAAE,OAAO,CAChB,AA5DP,AA+DI,KA/DC,AAAA,OAAO,CA2BV,YAAY,EAoCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,YAAY,AAAC,CACvC,KAAK,CAAE,IAAI,CACZ,AAjEL,AAkEI,KAlEC,AAAA,OAAO,CA2BV,YAAY,EAuCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,GAAG,AAAC,CAC9B,MAAM,CAAE,IAAI,CACb,AAI6B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAxEjC,AAyEM,KAzED,AAAA,OAAO,CA2BV,YAAY,CA8CR,aAAa,AAAC,CACZ,UAAU,CAAE,KAAK,CACjB,aAAa,CAAA,iCAAC,CACd,KAAK,CAAE,gCAAgC,CACvC,SAAS,CAAE,GAAG,CACd,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CAClB,MAAM,CAAE,IAAI,CAUb,AA1FP,AAkFQ,KAlFH,AAAA,OAAO,CA2BV,YAAY,CA8CR,aAAa,CASX,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAzFT,AA6FM,KA7FD,AAAA,OAAO,CA2BV,YAAY,CAkER,uBAAuB,AAAC,CACtB,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,iCAAiC,CACxC,SAAS,CAAE,IAAI,CAUhB,AA1GP,AAkGQ,KAlGH,AAAA,OAAO,CA2BV,YAAY,CAkER,uBAAuB,CAKrB,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,eAAe,CACzB,AAzGT,AA4GM,KA5GD,AAAA,OAAO,CA2BV,YAAY,EAiFR,AAAA,KAAC,EAAO,gBAAgB,AAAvB,CAAyB,CACxB,QAAQ,CAAE,QAAQ,CACnB,AA9GP,AA+GM,KA/GD,AAAA,OAAO,CA2BV,YAAY,EAoFR,AAAA,KAAC,EAAO,gBAAgB,AAAvB,CAAwB,QAAQ,AAAC,CAChC,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,cAAc,CAAE,kCAAkC,CACnD,AAnHP,AA+DI,KA/DC,AAAA,OAAO,CA2BV,YAAY,EAoCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,YAAY,AAqDG,CACvC,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,IAAI,CACb,CAzHP,AA6HI,KA7HC,AAAA,OAAO,CA2BV,YAAY,CAkGV,CAAC,AAAA,WAAW,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AA/HL,AAkII,KAlIC,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,AAAC,CACZ,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CAeZ,AAnJL,AAsIM,KAtID,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,CAIX,GAAG,AAAA,YAAY,AAAC,CACd,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AvEvNL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EuE4ErC,AA+IQ,KA/IH,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,CAaT,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CACjB,CAjJT,AAsJM,KAtJD,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CACX,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AAxJP,AAyJM,KAzJD,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CAIX,UAAU,CAzJhB,KAAK,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CAKX,SAAS,AAAC,CACR,YAAY,CAAE,IAAI,CACnB,AA5JP,AAgKI,KAhKC,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAhKrB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CASnB,AA5KL,AAqKM,KArKD,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAKf,gBAAgB,CArKtB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAMf,YAAY,CAtKlB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,CAIX,gBAAgB,CArKtB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,CAKX,YAAY,AAAC,CACX,OAAO,CAAE,eAAe,CACxB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AA3KP,AA8KI,KA9KC,AAAA,OAAO,CA2BV,YAAY,CAmJV,qBAAqB,AAAC,CAQpB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CACnB,AAzLL,AA+KM,KA/KD,AAAA,OAAO,CA2BV,YAAY,CAmJV,qBAAqB,AAClB,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CAEZ,OAAO,CvE9IL,oSAAkD,CuEiJrD,AAeP,AAAA,uBAAuB,AAAC,CACtB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CAOZ,AAVD,AANE,uBAMqB,AANpB,YAAY,AAAK,CAChB,UAAU,CAAE,0DAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,aAAa,AAAI,CAChB,UAAU,CAAE,2DAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,cAAc,AAAG,CAChB,UAAU,CAAE,4DAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,cAAc,AAAG,CAChB,UAAU,CAAE,4DAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,gBAAgB,AAAC,CAChB,UAAU,CAAE,8DAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,aAAa,AAAI,CAChB,UAAU,CAAE,2DAA4D,CACtE,SAAS,CACZ,AAgBH,AAAA,oBAAoB,AAAC,CACnB,gBAAgB,CjFhIR,OAAqB,CiFiI7B,KAAK,ChFlTG,IAAO,CgFmTf,MAAM,CAAE,GAAG,CAAC,KAAK,ChFnTT,IAAO,CgF6ThB,AAbD,AAIE,oBAJkB,CAIlB,kBAAkB,AAAC,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CAKd,AAZH,AAQI,oBARgB,CAIlB,kBAAkB,AAIf,gBAAgB,AAAC,CAChB,UAAU,CAAE,+DAA6D,CACvE,SAAS,CACZ,AAIL,AAAA,KAAK,AAAA,OAAO,CAAC,YAAY,CAAC,cAAc,AAAC,CACvC,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAED,AACE,UADQ,CACR,KAAK,AAAA,OAAO,AAAC,CvErPb,WAAW,CAAE,GAAG,CAAC,KAAK,CVkHZ,OAAmD,CUjH7D,gBAAgB,CV8FR,OAAqB,CiFwJ5B,AAIH,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAA,OAAO,AAAC,CACjC,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,KAAK,CACX,KAAK,CAAE,OAAO,CACd,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,SAAS,CjFlSG,OAAQ,CiFmSpB,WAAW,CjFrRO,GAAG,CiFsRrB,OAAO,CAAE,mBAAmB,CAC5B,iBAAiB,CAAE,UAAU,CAC9B,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAC,CACjB,WAAW,CAAE,CAAC,CACd,WAAW,CjF5RO,GAAG,CiF6RtB,AACD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,AAAC,CACd,gBAAgB,CAA0B,IAAI,CAC/C,AACD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAC,CACjB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,UAAU,CACnB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAC,CAC1B,eAAe,CAAE,IAAI,CACrB,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,CAAC,CACd,WAAW,CAAE,iBAAiB,CAC9B,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,SAAS,AAAC,CAC1B,gBAAgB,CAA6B,IAAI,CAClD,AAvBD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,AAyBC,CACd,WAAW,CAAE,MAAM,CACpB,AAGD,AAII,OAJG,AAAA,kBAAkB,CAGvB,YAAY,CACV,EAAE,CAHN,OAAO,AAAA,aAAa,CAElB,YAAY,CACV,EAAE,CAFN,OAAO,AAAA,YAAY,CACjB,YAAY,CACV,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AANL,AAQI,OARG,AAAA,kBAAkB,CAGvB,YAAY,CAKR,YAAY,CAPlB,OAAO,AAAA,aAAa,CAElB,YAAY,CAKR,YAAY,CANlB,OAAO,AAAA,YAAY,CACjB,YAAY,CAKR,YAAY,AAAC,CAEb,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAZL,AAeE,OAfK,AAAA,kBAAkB,CAevB,WAAW,CAdb,OAAO,AAAA,aAAa,CAclB,WAAW,CAbb,OAAO,AAAA,YAAY,CAajB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAjBH,AAmBE,OAnBK,AAAA,kBAAkB,CAmBvB,sBAAsB,CAlBxB,OAAO,AAAA,aAAa,CAkBlB,sBAAsB,CAjBxB,OAAO,AAAA,YAAY,CAiBjB,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CACvB,YAAY,CAAE,GAAG,CAClB,AAvBH,AAyBE,OAzBK,AAAA,kBAAkB,CAyBvB,YAAY,CAxBd,OAAO,AAAA,aAAa,CAwBlB,YAAY,CAvBd,OAAO,AAAA,YAAY,CAuBjB,YAAY,AAAC,CACX,IAAI,CjFnNI,OAAmD,CiFoN3D,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AA7BH,AA+BE,OA/BK,AAAA,kBAAkB,CA+BvB,SAAS,CA9BX,OAAO,AAAA,aAAa,CA8BlB,SAAS,CA7BX,OAAO,AAAA,YAAY,CA6BjB,SAAS,AAAC,CACR,SAAS,CjF1WC,OAAQ,CiF8WnB,AApCH,AAiCI,OAjCG,AAAA,kBAAkB,CA+BvB,SAAS,CAEP,IAAI,CAhCR,OAAO,AAAA,aAAa,CA8BlB,SAAS,CAEP,IAAI,CA/BR,OAAO,AAAA,YAAY,CA6BjB,SAAS,CAEP,IAAI,AAAC,CACH,UAAU,CAAE,SAAS,CACtB,AAnCL,AAsCE,OAtCK,AAAA,kBAAkB,CAsCvB,sBAAsB,CArCxB,OAAO,AAAA,aAAa,CAqClB,sBAAsB,CApCxB,OAAO,AAAA,YAAY,CAoCjB,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACZ,AAxCH,AA0CE,OA1CK,AAAA,kBAAkB,CA0CvB,YAAY,CAzCd,OAAO,AAAA,aAAa,CAyClB,YAAY,CAxCd,OAAO,AAAA,YAAY,CAwCjB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CAoBZ,AAlEH,AAgDI,OAhDG,AAAA,kBAAkB,CA0CvB,YAAY,CAMR,GAAG,CA/CT,OAAO,AAAA,aAAa,CAyClB,YAAY,CAMR,GAAG,CA9CT,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAMR,GAAG,AAAC,CACJ,MAAM,CAAE,OAAO,CAChB,AAlDL,AAoDI,OApDG,AAAA,kBAAkB,CA0CvB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,EOnWrB,OAAO,AAAA,aAAa,CAyClB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,EOlWrB,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,COhTM,CACrB,YAAY,CAAE,IAAI,CACnB,AAtDL,AAwDI,OAxDG,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAvDV,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAtDV,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAQlB,AAjEL,AA2DM,OA3DC,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAGJ,MAAM,CA1DZ,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAGJ,MAAM,CAzDZ,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,CAGJ,MAAM,AAAC,CACL,KAAK,ChFjbH,OAAO,CgFkbV,AA7DP,AA8DM,OA9DC,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAMJ,QAAQ,CA7Dd,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAMJ,QAAQ,CA5Dd,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,CAMJ,QAAQ,AAAC,CACP,KAAK,ChFrbJ,OAAO,CgFsbT,AAhEP,AAoEE,OApEK,AAAA,kBAAkB,CAoEvB,qBAAqB,CAnEvB,OAAO,AAAA,aAAa,CAmElB,qBAAqB,CAlEvB,OAAO,AAAA,YAAY,CAkEjB,qBAAqB,AAAC,CACpB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,IAAI,CAChB,AA7EH,AA+EE,OA/EK,AAAA,kBAAkB,CA+EvB,eAAe,CA9EjB,OAAO,AAAA,aAAa,CA8ElB,eAAe,CA7EjB,OAAO,AAAA,YAAY,CA6EjB,eAAe,AAAC,CACd,MAAM,CAAE,SAAS,CAClB,AAjFH,AAmFE,OAnFK,AAAA,kBAAkB,CAmFvB,OAAO,CAAC,IAAI,CAlFd,OAAO,AAAA,aAAa,CAkFlB,OAAO,CAAC,IAAI,CAjFd,OAAO,AAAA,YAAY,CAiFjB,OAAO,CAAC,IAAI,AAAC,CAEX,gBAAgB,CjF9QR,OAAmD,CiF8QzB,UAAU,CAC5C,KAAK,ChFldG,IAAO,CgFkdG,UAAU,CAC5B,OAAO,CAAE,kBAAkB,CAC5B,AAIH,AAAA,YAAY,CAAC,qBAAqB,AAAC,CACjC,UAAU,CAAE,OAAO,CACnB,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACd,AAED,AAAA,YAAY,CAAC,WAAW,AAAC,CACvB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,UAAU,CAC3B,AAED,AAAA,YAAY,CAAC,aAAa,AAAC,CACzB,OAAO,CAAE,GAAG,CACZ,SAAS,CjFzbG,OAAQ,CiF0brB,AAED,AAAA,YAAY,CAAC,WAAW,AAAA,KAAK,AAAC,CAC5B,gBAAgB,CAAE,OAAO,CAC1B,AACD,AAAA,YAAY,CAAC,WAAW,AAAA,OAAO,AAAC,CAC9B,gBAAgB,CAAE,OAAO,CAC1B,AACD,AAAA,YAAY,CAAC,WAAW,AAAA,OAAO,AAAC,CAC9B,gBAAgB,CAAE,OAAO,CAC1B,AAED,AAAA,YAAY,CAAC,qBAAqB,AAAC,CACjC,WAAW,CAAE,KAAK,CACnB,AAGD,AACE,KADG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CACrC,EAAE,AAAC,CACD,aAAa,CAAE,CAAC,CACjB,AAIH,AACE,OADK,AAAA,cAAc,CACnB,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAJH,AAKE,OALK,AAAA,cAAc,CAKnB,CAAC,CALH,OAAO,AAAA,cAAc,CAMnB,MAAM,AAAC,CACL,WAAW,CAAE,QAAQ,CACrB,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,IAAI,CA0BlB,AAnCH,AAWI,OAXG,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAXX,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,AAAC,CACN,MAAM,CAAE,GAAG,CAAC,KAAK,CjF7UX,OAAmD,CiF8UzD,OAAO,CAAE,iBAAiB,CAC1B,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAmBjB,AAlCL,AAiBM,OAjBC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAML,YAAY,CAjBlB,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAML,YAAY,AAAC,CACX,KAAK,CAAE,OAAO,CACf,AAnBP,AAqBM,OArBC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAUL,aAAa,CArBnB,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAUL,aAAa,AAAC,CACZ,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,OAAO,CAMhB,AA7BP,AAyBQ,OAzBD,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAUL,aAAa,CAIX,IAAI,CAzBZ,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAUL,aAAa,CAIX,IAAI,AAAC,CACH,WAAW,CAAE,OAAO,CACpB,KAAK,CjF5VH,OAAmD,CiF6VtD,AA5BT,AA+BM,OA/BC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAoBL,GAAG,CA/BT,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAoBL,GAAG,AAAC,CACF,aAAa,CAAE,GAAG,CACnB,AAjCP,AAoCE,OApCK,AAAA,cAAc,CAoCnB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAIH,AAEE,OAFK,AAAA,YAAY,CAEjB,UAAU,CAFZ,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CADZ,OAAO,AAAA,aAAa,CAClB,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CjF9cD,CAAC,CiF+cP,SAAS,CjFjgBC,OAAQ,CiFkgBlB,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,eAAkB,CvE1ftC,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CuE0frB,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,KAAK,CAgBf,AA1BH,AAYI,OAZG,AAAA,YAAY,CAEjB,UAAU,CAUR,UAAU,CAZd,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CAUR,UAAU,CAXd,OAAO,AAAA,aAAa,CAClB,UAAU,CAUR,UAAU,AAAC,CACT,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,MAAM,CvElgBpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CuE0gBpB,AAzBL,AAkBM,OAlBC,AAAA,YAAY,CAEjB,UAAU,CAUR,UAAU,CAMR,YAAY,CAlBlB,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CAUR,UAAU,CAMR,YAAY,CAjBlB,OAAO,AAAA,aAAa,CAClB,UAAU,CAUR,UAAU,CAMR,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,SAAS,CjFlhBL,QAAQ,CiFmhBZ,WAAW,CjFngBC,GAAG,CiFogBf,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,IAAI,CACtB,AAMP,AACE,KADG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CACrC,GAAG,AAAA,IAAK,CAAA,cAAc,CAAE,CACtB,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,GAAG,CACf,AAJH,AAME,KANG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CAMrC,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CjFvZK,OAAoD,CiFwZ/D,AAED,AACE,OADK,AAAA,KAAK,CAAC,YAAY,CACvB,GAAG,AAAC,CACF,SAAS,CAAE,eAAe,CAC1B,KAAK,CAAE,eAAe,CACvB,AAIH,AACE,OADK,AAAA,IAAI,CAAC,YAAY,CACtB,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,oCAAkC,CAAC,SAAS,CACxD,eAAe,CAAE,SAAS,CAC1B,OAAO,CAAE,YAAY,CACtB,AARH,AASE,OATK,AAAA,IAAI,CAAC,YAAY,CAStB,SAAS,AAAC,CACR,KAAK,CAAE,IAAI,CACZ,AAIH,AACE,OADK,AAAA,mBAAmB,CACxB,OAAO,CADT,OAAO,AAAA,mBAAmB,CAExB,OAAO,AAAC,CACN,KAAK,CjFpbG,OAAoD,CiFqb7D,AAJH,AAKE,OALK,AAAA,mBAAmB,CAKxB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAPH,AAQE,OARK,AAAA,mBAAmB,CAQxB,OAAO,AAAC,CACN,KAAK,CAAE,KAAK,CACb,AAGH,AAGI,OAHG,AACJ,mBAAmB,CAElB,UAAU,CAHd,OAAO,AAEJ,OAAO,CACN,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CAClB,AAIL,AACE,OADK,AAAA,OAAO,CAAC,CAAC,CACd,IAAI,AAAA,OAAO,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,MAAM,CACpB,AAGH,AACE,OADK,AAAA,UAAU,CACf,GAAG,AAAA,sBAAsB,AAAC,CACxB,KAAK,CjFjdG,OAAoD,CiFkd5D,WAAW,CAAE,IAAI,CAClB,AAGH,AACE,OADK,AAAA,aAAa,CAClB,GAAG,AAAA,QAAQ,AAAC,CACV,OAAO,CAAE,CAAC,CACX,AAGH,AACE,OADK,AAAA,cAAc,CACnB,KAAK,CADP,OAAO,AAAA,cAAc,CAEnB,QAAQ,AAAC,CACP,KAAK,CjF/dG,OAAoD,CiFge5D,YAAY,CAAE,IAAI,CAKnB,AATH,AAKI,OALG,AAAA,cAAc,CACnB,KAAK,CAIH,GAAG,CALP,OAAO,AAAA,cAAc,CAEnB,QAAQ,CAGN,GAAG,AAAC,CACF,IAAI,CAAE,YAAY,CAClB,cAAc,CAAE,MAAM,CACvB,AAKL,AAAA,YAAY,CAAC,OAAO,AAAA,YAAY,AAAC,CAC/B,UAAU,CAAE,IAAI,CACjB,AAQD,AAAA,OAAO,AAAA,aAAa,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CAOZ,AAVD,AAKE,OALK,AAAA,aAAa,CAKlB,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAGH,AAAA,6BAA6B,AAAC,CAC5B,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,gBAAgB,CjFjgBN,OAAmD,CiFoiB9D,AAvCD,AAME,6BAN2B,CAM3B,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,WAAW,CAAE,MAAM,CA0BpB,AAtCH,AAeM,6BAfuB,CAM3B,iBAAiB,AAQd,MAAM,AACJ,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvE/kBL,kaAAkD,CuEklBrD,AApBP,AAuBM,6BAvBuB,CAM3B,iBAAiB,AAgBd,MAAM,AACJ,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvEvlBL,oeAAkD,CuE0lBrD,AA5BP,AA+BM,6BA/BuB,CAM3B,iBAAiB,AAwBd,QAAQ,AACN,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvE/lBL,4mBAAkD,CuEkmBrD,ACruBP,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,OAAO,ClFmFG,IAAI,CkFlFd,gBAAgB,CjFHE,IAAO,CiFIzB,UAAU,ClFiIA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAE,IAAG,CAAC,gBAAmB,CkF9C7C,AA3FD,AAUE,SAVO,CAUL,KAAK,AAAC,CACN,KAAK,CAAE,iBAAiB,CACxB,MAAM,CAAE,IAAI,CAuBb,AAnCH,AAaI,SAbK,CAUL,KAAK,CAGL,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAkBb,AAlCL,AAkBM,SAlBG,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CAcZ,AAjCP,AAqBQ,SArBC,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAGT,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AAvBT,AAwBQ,SAxBC,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAMlB,AAhCT,AA4BU,SA5BD,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,CAIX,aAAa,CA5BvB,SAAS,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,CAKX,cAAc,AAAC,CACb,OAAO,CAAE,QAAQ,CAClB,AAMT,AAAA,OAAO,CArCT,SAAS,AAqCG,CACR,QAAQ,CAAE,KAAK,CACf,mBAAmB,CAAE,MAAM,CAC5B,AAxCH,AA0CE,SA1CO,CA0CP,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAKb,AAlDH,AA8CI,SA9CK,CA0CP,MAAM,CAIJ,CAAC,CA9CL,SAAS,CA0CP,MAAM,CAKJ,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CjF3CM,IAAO,CiF4CnB,AAjDL,AAoDE,SApDO,CAoDP,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAtDH,AAwDE,SAxDO,CAwDP,YAAY,AAAC,CACX,SAAS,ClFbD,OAAO,CkFchB,AA1DH,AA4DE,SA5DO,CA4DP,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACpB,AAlEH,AAoEE,SApEO,CAoEP,gBAAgB,CApElB,SAAS,CAqEP,UAAU,CArEZ,SAAS,CAsEP,YAAY,AAAC,CACX,KAAK,CAAE,CAAC,CACT,AAxEH,AA0EE,SA1EO,CA0EP,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,KAAK,CAClB,AA9EH,AAgFE,SAhFO,CAgFP,aAAa,CAhFf,SAAS,CAiFP,MAAM,AAAA,eAAe,AAAC,CACpB,OAAO,CAAE,QAAQ,CAIlB,AAtFH,AAmFI,SAnFK,CAgFP,aAAa,CAGX,GAAG,CAnFP,SAAS,CAiFP,MAAM,AAAA,eAAe,CAEnB,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AArFL,AAwFE,SAxFO,CAwFP,MAAM,AAAA,aAAa,AAAC,CAClB,WAAW,CAAE,GAAG,CACjB,AAGH,AAGE,uBAHqB,CAGrB,cAAc,CAHhB,uBAAuB,CAIrB,YAAY,CAHd,UAAU,CAER,cAAc,CAFhB,UAAU,CAGR,YAAY,CAFd,WAAW,CACT,cAAc,CADhB,WAAW,CAET,YAAY,AAAC,CACX,UAAU,CjF3FL,OAAO,CiF4FZ,SAAS,CAAE,GAAG,CACf,AAGH,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,SAAS,CACjB,UAAU,CAAE,IAAI,CAuGjB,AA1GD,AAKE,eALa,CAKX,EAAE,AAAC,CACH,KAAK,CAAE,IAAI,CACZ,AAPH,AAQE,eARa,CAQb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,KAAK,CAAE,QAAQ,CACf,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,QAAQ,CACjB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,qBAAqB,CACjC,WAAW,CAAE,qBAAqB,CAClC,YAAY,CAAE,qBAAqB,CACnC,UAAU,CAAE,gBAAgB,CAC5B,OAAO,CAAE,IAAI,CAmBd,AAzCH,AAuBI,eAvBW,CAQb,KAAK,CAeH,GAAG,AAAA,OAAO,AAAC,CACT,KAAK,CAAE,QAAQ,CACf,MAAM,CAAE,QAAQ,CACjB,AA1BL,AA2BI,eA3BW,CAQb,KAAK,AAmBF,MAAM,CA3BX,eAAe,CAQb,KAAK,AAoBF,MAAM,AAAC,CACN,gBAAgB,ClFgEV,OAAmD,CkF/DzD,UAAU,CAAE,qBAAqB,CACjC,WAAW,CAAE,qBAAqB,CAClC,YAAY,CAAE,qBAAqB,CAIpC,AApCL,AAiCM,eAjCS,CAQb,KAAK,AAmBF,MAAM,CAML,OAAO,CAjCb,eAAe,CAQb,KAAK,AAoBF,MAAM,CAKL,OAAO,AAAC,CACN,KAAK,ClF2DD,OAAmD,CkF1DxD,AAnCP,AAqCI,eArCW,CAQb,KAAK,AA6BF,OAAO,AAAC,CACP,KAAK,CjF7ID,IAAO,CiF8IX,gBAAgB,ClFsDV,OAAmD,CkFrD1D,AAEH,AACE,eADa,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,CjFnJV,IAAO,CiFoJb,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,ClF8Cf,OAAmD,CkF7CzD,WAAW,CAAE,GAAG,CAAC,KAAK,ClF6ChB,OAAmD,CkF5CzD,YAAY,CAAE,GAAG,CAAC,KAAK,ClF4CjB,OAAmD,CkF1B1D,AAzBH,AAQI,eARW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,CAOX,OAAO,AAAC,CACN,KAAK,ClF0CD,OAAmD,CkFzCxD,AAVL,AAWI,eAXW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAUV,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,OAAO,ClFxEH,IAAI,CkFyER,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,CjFpKjB,IAAO,CiFqKZ,AArBL,AAsBI,eAtBW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAqBV,MAAM,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AAlEP,AAsEE,eAtEa,CAsEb,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,SAAS,ClFjID,QAAQ,CkFkIhB,WAAW,ClF/GK,GAAG,CkFgHnB,OAAO,CAAE,YAAY,CACrB,KAAK,ClFkBG,OAAmD,CkFjB5D,AA5EH,AA6EE,eA7Ea,CA6Eb,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CACnB,AA/EH,AAgFE,eAhFa,CAgFb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,OAAO,ClFrFD,CAAC,CkFsFP,WAAW,CAAE,CAAC,CACf,AArFH,AAsFE,eAtFa,CAsFb,uBAAuB,AAAC,CACtB,QAAQ,CAAE,QAAQ,CACnB,AAxFH,AAyFE,eAzFa,CAyFb,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClF7FD,CAAC,CkF8FP,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,IAAI,CACT,SAAS,CAAE,KAAK,CACjB,AA/FH,AAgGE,eAhGa,CAgGb,qBAAqB,AAAC,CACpB,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CACX,gBAAgB,CjFxMT,OAAO,CiFyMf,AApGH,AAqGE,eArGa,CAqGb,wBAAwB,CArG1B,eAAe,CAsGb,KAAK,AAAC,CACJ,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,iBAAiB,AAAC,CAChB,gBAAgB,ClFhBN,OAAmD,CkFiB9D,AAED,AAAA,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,YAAY,CAAC,KAAK,CAAC,EAAE,AAAC,CACpB,aAAa,CAAE,IAAI,CACpB,AAGD,AAAA,YAAY,AAAA,WAAW,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAGD,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,IAAI,CAAE,MAAM,CACZ,MAAM,CAAE,IAAI,CACZ,WAAW,ClF1KQ,GAAG,CkF2KtB,OAAO,CAAE,eAAe,CAExB,QAAQ,CAAE,MAAM,CA4EjB,AApFD,AASE,mBATiB,CASjB,WAAW,AAAC,CACV,QAAQ,CAAE,MAAM,CAChB,KAAK,CAAE,IAAI,CACX,iBAAiB,CAAE,WAAW,CAC9B,SAAS,CAAE,WAAW,CACvB,AAdH,AAeE,mBAfiB,CAejB,WAAW,AAAC,CACV,KAAK,CjFhPQ,IAAO,CiFiPpB,OAAO,CAAE,KAAK,CxE1LhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwE0LtB,AAnBH,AAqBI,mBArBe,CAoBjB,eAAe,CACb,OAAO,AAAC,CACN,KAAK,ClFvDC,OAAmD,CkFwD1D,AAvBL,AAwBI,mBAxBe,CAoBjB,eAAe,CAIb,gBAAgB,AAAC,CACf,KAAK,CjFvPF,OAAO,CiFwPX,AA1BL,AA4BE,mBA5BiB,CA4BjB,aAAa,AAAC,CACZ,MAAM,CAAE,YAAY,CAKpB,SAAS,ClFxND,QAAQ,CkFyNhB,KAAK,CAAE,IAAI,CACZ,AANC,AAAA,0BAA0B,CA9B9B,mBAAmB,CA4BjB,aAAa,AAEkB,CAE3B,MAAM,CAAE,CAAC,CACV,AAjCL,AAqCE,mBArCiB,CAqCjB,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CAGnB,SAAS,CAAE,GAAG,CACd,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,GAAG,CAIf,AAhDH,AA6CI,mBA7Ce,CAqCjB,mBAAmB,CAQjB,cAAc,AAAC,CxEtNjB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEsNpB,AA/CL,AAiDE,mBAjDiB,CAiDjB,cAAc,AAAC,CACb,YAAY,CAAE,GAAG,CAClB,AAnDH,AAqDI,mBArDe,CAoDjB,cAAc,AAAA,OAAO,CACnB,yBAAyB,CArD7B,mBAAmB,CAoDjB,cAAc,AAAA,OAAO,CAEnB,kBAAkB,AAAC,CACjB,SAAS,CAAE,GAAG,CACf,AAxDL,AA8DM,mBA9Da,CA0DjB,cAAc,AACX,OAAO,CAGN,IAAI,AAAA,eAAe,CA9DzB,mBAAmB,CA0DjB,cAAc,AAEX,IAAI,CAEH,IAAI,AAAA,eAAe,CA9DzB,mBAAmB,CA0DjB,cAAc,AAGX,KAAK,CACJ,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,ClFhGD,OAAmD,CkFiGxD,AAhEP,AAmEE,mBAnEiB,CAmEjB,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,MAAM,CAQb,AA/EH,AAwEI,mBAxEe,CAmEjB,mBAAmB,CAKjB,eAAe,AAAC,CACd,KAAK,ClF1GC,OAAmD,CUxI7D,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEqPpB,AA9EL,AA2EM,mBA3Ea,CAmEjB,mBAAmB,CAKjB,eAAe,CAGb,cAAc,AAAC,CACb,OAAO,CAAE,MAAM,CAChB,AA7EP,AAmEE,mBAnEiB,CAmEjB,mBAAmB,AAcC,CAClB,SAAS,CAAE,GAAG,CACf,AAQH,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,SAAS,ClFjRG,OAAQ,CkFuUrB,AA1DD,AAKE,0BALwB,AAKvB,IAAK,CAAA,YAAY,CAAE,CAClB,WAAW,CAAE,GAAG,CACjB,AAPH,AAUI,0BAVsB,CAQxB,kBAAkB,AAEf,IAAK,CAAA,aAAa,EAVvB,0BAA0B,CASxB,mBAAmB,AAChB,IAAK,CAAA,aAAa,CAAE,CACnB,YAAY,CAAE,GAAG,CAClB,AAZL,AAgBI,0BAhBsB,CAexB,kBAAkB,CAChB,KAAK,AAAC,CACJ,MAAM,CApBI,OAAO,CAwBjB,OAAO,CAAE,YAAY,CAKtB,AARC,AAAA,YAAY,CAlBlB,0BAA0B,CAexB,kBAAkB,CAChB,KAAK,AAEY,CACb,MAAM,CArBS,OAAO,CAsBvB,AApBP,AAsBM,0BAtBoB,CAexB,kBAAkB,CAChB,KAAK,CAMH,GAAG,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAzBP,AA6BE,0BA7BwB,CA6BxB,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,ClF3JT,OAAmD,CkF4J3D,aAAa,CAAE,MAAM,CxEpSvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEsTtB,AApDH,AAmCI,0BAnCsB,CA6BxB,mBAAmB,CAMjB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAzCI,OAAO,CA6CjB,KAAK,ClFtKC,OAAmD,CkF2K1D,AARC,AAAA,YAAY,CAvClB,0BAA0B,CA6BxB,mBAAmB,CAMjB,KAAK,AAIY,CACb,MAAM,CA1CS,OAAO,CA2CvB,AAzCP,AA4CM,0BA5CoB,CA6BxB,mBAAmB,CAMjB,KAAK,CASH,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AA9CP,AAiDI,0BAjDsB,CA6BxB,mBAAmB,CAoBjB,IAAI,AAAC,CxErTP,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEqTpB,AAnDL,AAsDE,0BAtDwB,CAsDxB,kBAAkB,AAAC,CACjB,KAAK,ClFnLG,OAAmD,CkFoL3D,WAAW,CAAE,GAAG,CACjB,ACvXH,AACE,IADE,AACD,SAAS,AAAC,CACT,WAAW,CAAE,IAAI,CAClB,AAHH,AAIE,IAJE,AAID,SAAS,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AANH,AAOE,IAPE,AAOD,SAAS,AAAC,CACT,eAAe,CAAE,SAAS,CAC3B,AATH,AAUE,IAVE,AAUD,SAAS,AAAC,CACT,eAAe,CAAE,YAAY,CAC9B,ACXH,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CACnB,gBAAgB,CnFJN,IAAO,CmFKjB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,MAAM,CAcf,AAnBD,AAQI,iBARa,CAOf,gBAAgB,CACd,WAAW,AAAC,CACV,SAAS,CpFqCH,QAAQ,CoFpCd,WAAW,CpFoDG,GAAG,CoFnDlB,AAXL,AAcM,iBAdW,CAOf,gBAAgB,CAMd,oBAAoB,CAClB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,ACjBP,AAAA,iBAAiB,AAAC,CAChB,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,IAAI,CACX,OAAO,CrF4FK,GAAG,CqF3Ff,MAAM,CAAE,IAAI,CACb,AAED,AAAA,WAAW,AAAC,CACV,gBAAgB,CpFVN,IAAO,CoFWjB,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CrFsLP,OAAmD,CqFrL7D,OAAO,CrFmFK,GAAG,CqFlFf,UAAU,CrFuHF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CqFxGvC,AArBD,AAQE,WARS,CAQT,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,UAAU,CACnB,AAXH,AAaE,WAbS,CAaT,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CACjB,AAfH,AAiBE,WAjBS,CAiBT,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,WAAW,AAAA,cAAc,AAAC,CACxB,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,KAAK,CA2BlB,AA7BD,AAGE,WAHS,AAAA,cAAc,CAGvB,KAAK,AAAA,YAAY,AAAC,CAChB,MAAM,CAAE,CAAC,CACV,AALH,AAME,WANS,AAAA,cAAc,CAMvB,EAAE,AAAC,CACD,MAAM,CAAE,MAAM,CACf,AARH,AASE,WATS,AAAA,cAAc,CASvB,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CAkBf,AA5BH,AAWI,WAXO,AAAA,cAAc,CASvB,gBAAgB,CAEd,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAbL,AAcI,WAdO,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CAOlB,AAxBL,AAkBM,WAlBK,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,CAIH,CAAC,AAAA,cAAc,AAAC,CACd,MAAM,CAAE,CAAC,CACV,AApBP,AAqBM,WArBK,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,CAOH,CAAC,AAAC,CACA,MAAM,CAAE,QAAQ,CACjB,AAvBP,AAyBI,WAzBO,AAAA,cAAc,CASvB,gBAAgB,CAgBd,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CACnB,AAIL,AACE,aADW,CAAC,oBAAoB,CAChC,cAAc,AAAC,CACb,QAAQ,CAAE,OAAO,CAClB,AAHH,AAKE,aALW,CAAC,oBAAoB,CAKhC,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,AAPH,AASE,aATW,CAAC,oBAAoB,CAShC,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAGH,AACE,YADU,CAAC,cAAc,CAAC,gBAAgB,CAC1C,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,MAAM,CACf,AAKH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CrFyGP,OAAmD,CqFxG7D,gBAAgB,CrFwGN,OAAmD,CqF1E9D,AAhCD,AAGE,eAHa,CAGb,IAAI,AAAC,CACH,MAAM,CAAE,IAAI,CACZ,KAAK,CpF9FG,IAAO,CoF+Ff,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,IAAI,CAwBpB,AA/BH,AAQI,eARW,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2ChCY,CACjB,UAAU,CpFjGL,OAAO,CoFkGZ,YAAY,CpFlGP,OAAO,CoFiHb,AAzBL,AAWM,eAXS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,E2C7BJ,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CpFrGD,IAAO,CoFsGZ,AAbP,AAcM,eAdS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2C1BJ,MAAM,AAAC,CACN,KAAK,CpFxGD,IAAO,CoFyGX,UAAU,CrF0FN,OAAmD,CqFzFxD,AAjBP,AAkBM,eAlBS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2CtBJ,OAAO,AAAC,C3ElEb,gBAAgB,C2EoER,OAAsB,C3EnE9B,gBAAgB,CAAE,4CAAoD,C2EsEhE,KAAK,CpFhHD,IAAO,CoFiHZ,AAxBP,AA0BI,eA1BW,CAGb,IAAI,CAuBD,AAAA,QAAC,AAAA,CAAU,CACV,WAAW,CAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CpFrHhB,qBAAO,CS0Cf,gBAAgB,CTxCP,OAAO,CSyChB,gBAAgB,CAAE,4CAAoD,C2E4ElE,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CAC9C,ACtHL,AAAA,iBAAiB,CAAC,SAAS,AAAC,CAC1B,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,MAAM,CAKjB,AARD,AAIE,iBAJe,CAAC,SAAS,AAIxB,MAAM,CAAC,KAAK,AAAC,CACZ,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,YAAY,CACzB,AAGH,AAAA,kBAAkB,AAAC,CACjB,UAAU,CAAE,UAAU,CACvB,AAED,AAAA,OAAO,CAAC,GAAG,AAAA,kBAAkB,AAAC,CAC5B,MAAM,CAAE,GAAG,CAAC,KAAK,CtFmLP,OAAmD,CsFlL9D,AAED,AAAA,OAAO,CAAC,GAAG,AAAA,WAAW,AAAC,CACrB,UAAU,CAAE,uBAAuB,CACpC,AAED,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,YAAY,CAStB,AjB2BC,AAAA,iBAAiB,CAAC,GAAG,AiBnCjB,CACF,UAAU,CAAE,KAAK,CACjB,eAAe,CAAE,GAAG,CACrB,AALH,AAME,iBANe,CAAjB,iBAAiB,CAOf,CAAC,AAAC,CACA,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACX,KAAK,CrFvCK,IAAO,CqFwCjB,UAAU,CrFzCF,IAAO,CqF0Cf,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,YAAY,CACxB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAwBpB,AAjCD,AAWE,KAXG,CAWH,SAAS,AAAC,CACR,MAAM,CAhDY,GAAG,C5E4DvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C4EZtB,AAdH,AAgBE,KAhBG,CAgBH,OAAO,AAAC,CACN,MAAM,CArDY,GAAG,CAsDrB,OAAO,CAAE,GAAG,CACZ,KAAK,CrFtDG,IAAO,CqF0DhB,AAvBH,AAoBI,KApBC,CAgBH,OAAO,CAIH,SAAS,AAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAtBL,AAyBE,KAzBG,CAyBH,aAAa,AAAC,CACZ,MAAM,CA9DY,GAAG,CA+DrB,aAAa,CAAE,IAAI,CACnB,KAAK,CtFkIG,OAAoD,CsFjI5D,SAAS,CtFfJ,GAAG,CsFgBR,WAAW,CAAE,CAAC,CACd,SAAS,CAAE,CAAC,CACb,AAGH,AAAA,cAAc,CAAC,QAAQ,AAAC,CACtB,MAAM,CAAE,IAAI,CACb,ACzED,AAEI,mBAFe,CACjB,KAAK,CACH,EAAE,AAAC,CACD,cAAc,CAAE,KAAK,CACtB,AAJL,AAME,mBANiB,CAMjB,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CAIX,A7EQD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6EnBrC,AAME,mBANiB,CAMjB,KAAK,AAAC,CAGF,KAAK,CAAE,GAAG,CAEb,CAXH,AAYE,mBAZiB,CAYjB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,KAAK,CAOtB,AArBH,AAeI,mBAfe,CAYjB,KAAK,CAGH,EAAE,AAAC,CACD,OAAO,CAAE,mBAAmB,CAI7B,A7EDH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,IAAI,E6EnBpC,AAeI,mBAfe,CAYjB,KAAK,CAGH,EAAE,AAAC,CAGC,SAAS,CAAE,IAAI,CAElB,CApBL,AAsBE,mBAtBiB,CAsBjB,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CACjC,SAAS,CAAE,IAAI,CAIhB,A7ERD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6EnBrC,AAsBE,mBAtBiB,CAsBjB,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CAG/B,SAAS,CAAE,IAAI,CAElB,CAGH,AAAA,2BAA2B,AAAC,CAC1B,WAAW,CAAE,IAAI,CAClB,AChCD,AACE,uBADqB,CACrB,WAAW,AAAC,CACV,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,kBAAkB,CAC7B,AAJH,AAKE,uBALqB,CAKrB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAZH,AASI,uBATmB,CAKrB,cAAc,CAIV,OAAO,AAAC,CACR,YAAY,CAAE,GAAG,CAClB,AAXL,AAaE,uBAbqB,CAarB,KAAK,AAAA,YAAY,CAbnB,uBAAuB,CAcrB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CACjB,AAjBH,AAkBE,uBAlBqB,CAkBrB,OAAO,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AApBH,AAqBE,uBArBqB,CAqBrB,KAAK,AAAC,CACJ,OAAO,CAAE,WAAW,CACpB,aAAa,CAAE,GAAG,CAClB,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,MAAM,CAIpB,AA7BH,AA0BI,uBA1BmB,CAqBrB,KAAK,CAKH,KAAK,AAAC,CACJ,UAAU,CAAE,CAAC,CACd,AA5BL,AA8BE,uBA9BqB,CA8BrB,IAAI,AAAA,WAAW,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AAhCH,AAkCI,uBAlCmB,CAiCrB,kBAAkB,CAChB,KAAK,AAAC,CACJ,MAAM,CAAE,CAAC,CACV,AApCL,AAqCI,uBArCmB,CAiCrB,kBAAkB,CAIhB,WAAW,AAAC,CACV,MAAM,CAAE,mBAAmB,CAC5B,AAvCL,AAwCI,uBAxCmB,CAiCrB,kBAAkB,CAOhB,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACd,AA1CL,AA2CI,uBA3CmB,CAiCrB,kBAAkB,CAUhB,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAKX,AAlDL,AA8CM,uBA9CiB,CAiCrB,kBAAkB,CAUhB,kBAAkB,CAGhB,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,SAAS,CxFCL,QAAQ,CwFAb,AAjDP,AAoDI,uBApDmB,CAiCrB,kBAAkB,CAmBhB,KAAK,CAAA,AAAA,QAAC,AAAA,CAAU,CACd,UAAU,CxF+IJ,OAAmD,CwF9I1D,AAtDL,AAwDE,uBAxDqB,CAwDrB,YAAY,AAAC,CACX,QAAQ,CAAE,mBAAmB,CAC9B,AAIH,AACE,YADU,CAAC,uBAAuB,CAClC,WAAW,AAAA,UAAU,AAAC,CACpB,IAAI,CAAE,OAAO,CACd,ACjEH,AAAA,oBAAoB,AAAC,CACnB,MAAM,CAAE,MAAM,CACd,UAAU,CAAE,MAAM,CAClB,SAAS,CzF2CC,QAAQ,CyF1ClB,WAAW,CzF4DQ,GAAG,CyF3DvB,ACaD,AAAA,IAAI,CAAC,mBAAmB,AAAC,CAZvB,iBAAiB,CAAE,cAAyB,CAC5C,cAAc,CAAE,cAAyB,CACzC,aAAa,CAAE,cAAyB,CACxC,YAAY,CAAE,cAAyB,CACvC,SAAS,CAAE,cAAyB,CAEpC,MAAM,CAAE,+HAA+J,CACvK,UAAU,CAAE,+HAA+J,CAC3K,IAAI,CAAE,CAAC,CAMR,AAID,AAAA,IAAI,CAAC,YAAY,CAAC,CAAC,AAAA,OAAO,AAAA,OAAO,AAAC,CAChC,iBAAiB,CAAE,sBAAsB,CACzC,kBAAkB,CzFzBR,IAAO,CyFyBc,UAAU,CAC1C,AACD,AAAA,IAAI,CAAC,IAAI,AAAC,CACR,SAAS,CAAE,cAAc,CACzB,UAAU,CAAE,eAAe,CAC5B,AACD,AAAA,IAAI,CAAC,UAAU,AAAC,CACd,KAAK,CAAE,gBAAgB,CACxB,AACD,AAAA,IAAI,CAAC,aAAa,AAAC,CACjB,IAAI,CAAE,IAAI,CACX,AAED,AAAA,IAAI,CAAC,gBAAgB,CAAC,cAAc,CAAC,cAAc,AAAC,CAClD,QAAQ,CAAE,iBAAiB,CAC3B,KAAK,CAAE,eAAe,CACvB,AACD,AAAA,IAAI,CAAC,gBAAgB,CAAC,cAAc,CAAC,gBAAgB,AAAC,CACpD,QAAQ,CAAE,iBAAiB,CAC3B,KAAK,CAAE,eAAe,CACvB,AACD,AAAA,IAAI,CAAC,eAAe,AAAC,CACnB,KAAK,CAAE,gBAAgB,CACxB,AACD,AAAA,IAAI,CAAC,gBAAgB,AAAC,CACpB,KAAK,CAAE,eAAe,CACvB,AAGD,AAAA,OAAO,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACX,iBAAiB,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACrB,OAAO,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACX,iBAAiB,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,CAAW,CAC9B,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,IAAI,CACnB,AAGD,AAAA,IAAI,CAAC,KAAK,AAAA,OAAO,AAAA,WAAW,AAAC,CAC3B,OAAO,CAAE,8BAA8B,CACvC,SAAS,CAAE,cAAc,CAC1B,AAED,AAAA,IAAI,CAAC,KAAK,AAAA,OAAO,AAAA,WAAW,CAAC,OAAO,AAAC,CACnC,mBAAmB,CAAE,gBAAgB,CACrC,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,AAAC,CAC5B,MAAM,CAAE,qBAAqB,CAC9B,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAA,OAAO,AAAC,CACtC,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,gBAAgB,CAC7B,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAC,CAC/B,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,CAAC,CACf,YAAY,CAAE,CAAC,CACf,YAAY,CAAE,iBAAiB,CAC/B,WAAW,CAAE,eAAe,CAC7B,AC3FD,AACE,YADU,CACV,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,SAAS,CACnB,AAJH,AAME,YANU,CAMV,eAAe,CAAC,UAAU,AAAC,CACzB,KAAK,CAAE,KAAK,CACb,AARH,AAUE,YAVU,CAUV,QAAQ,AAAC,CACP,OAAO,CAAE,aAAa,CAIvB,AAfH,AAYI,YAZQ,CAUV,QAAQ,CAEN,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACf,AAdL,AAiBE,YAjBU,CAiBV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,gBAAgB,CACvB,MAAM,CAAE,IAAI,CACb,AArBH,AAuBE,YAvBU,CAuBV,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CAKf,AA7BH,AA0BI,YA1BQ,CAuBV,eAAe,CAGb,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AA5BL,AA+BE,YA/BU,CA+BV,eAAe,CAAG,QAAQ,AAAC,CACzB,UAAU,CAAE,GAAG,CAChB,AAjCH,AAmCE,YAnCU,CAmCV,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CA+LpB,AApOH,AAuCI,YAvCQ,CAmCV,QAAQ,CAIN,KAAK,AAAC,CACJ,SAAS,CAAE,KAAK,CAiBjB,AAzDL,AA2CQ,YA3CI,CAmCV,QAAQ,CAIN,KAAK,CAGH,KAAK,CACH,MAAM,AAAC,CAEL,aAAa,CAAE,UAAU,CACzB,SAAS,CAAE,UAAU,CACrB,cAAc,CAAE,SAAS,CACzB,UAAU,CAAE,SAAS,CACrB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,eAAe,CAAE,IAAI,CACrB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,MAAM,CACnB,AAvDT,AA4DM,YA5DM,CAmCV,QAAQ,CAwBN,oBAAoB,CAClB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAMpB,AArEP,AAiEQ,YAjEI,CAmCV,QAAQ,CAwBN,oBAAoB,CAClB,YAAY,CAKV,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,QAAQ,CAClB,AApET,AAwEI,YAxEQ,CAmCV,QAAQ,CAqCN,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CAIf,AA9EL,AA2EM,YA3EM,CAmCV,QAAQ,CAqCN,aAAa,CAGX,eAAe,AAAC,CACd,KAAK,C3FwHD,OAAmD,C2FvHxD,AA7EP,AAgFI,YAhFQ,CAmCV,QAAQ,CA6CN,aAAa,CAAG,kBAAkB,AAAC,CACjC,WAAW,CAAE,GAAG,CAAC,KAAK,C3FmHhB,OAAmD,C2FlHzD,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,GAAG,CACf,AArFL,AAuFI,YAvFQ,CAmCV,QAAQ,CAoDN,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,QAAQ,CAqIf,AA/NL,AA4FM,YA5FM,CAmCV,QAAQ,CAoDN,kBAAkB,CAKhB,UAAU,AAAC,CACT,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CACf,MAAM,CAAE,GAAG,CACX,UAAU,C3FoGN,OAAmD,C2FnGxD,AAjGP,AAoGQ,YApGI,CAmCV,QAAQ,CAoDN,kBAAkB,CAYhB,kBAAkB,CAChB,cAAc,AAAC,CACb,SAAS,C3FlDL,OAAQ,C2FmDb,AAtGT,AA0GQ,YA1GI,CAmCV,QAAQ,CAoDN,kBAAkB,CAkBhB,uBAAuB,CACrB,YAAY,AAAC,CACX,aAAa,CAAE,CAAC,CACjB,AA5GT,AAgHQ,YAhHI,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CAClB,YAAY,AAAC,CACX,KAAK,C3FmFH,OAAmD,C2F9EtD,AAtHT,AAmHU,YAnHE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CAClB,YAAY,AAGT,MAAM,AAAC,CACN,KAAK,C1FpHP,IAAO,C0FqHN,AArHX,AAwHQ,YAxHI,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CA6CpB,AAvKT,AA4HU,YA5HE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAIX,OAAO,CA5HjB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAKX,aAAa,AAAC,CACZ,SAAS,CAAE,IAAI,CACf,YAAY,CAAE,KAAK,CAKpB,AApIX,AAiIY,YAjIA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAIX,OAAO,CAKL,OAAO,CAjInB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAKX,aAAa,CAIX,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CAChB,AAnIb,AAsIU,YAtIE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAcX,mBAAmB,AAAC,CAClB,iBAAiB,CAAE,SAAS,CAC5B,eAAe,CAAE,SAAS,CAC1B,UAAU,CAAE,IAAI,CACjB,AA1IX,AA4IU,YA5IE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,IAAI,CACd,WAAW,C3FhFF,GAAG,C2FsGb,AAtKX,AAmJc,YAnJF,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAMT,MAAM,CACL,KAAK,CAnJnB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAMT,MAAM,CAEL,KAAK,AAAC,CACJ,KAAK,C3F+CT,OAAmD,C2F9ChD,AAtJf,AAyJY,YAzJA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAaV,KAAK,CAzJjB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAcV,KAAK,AAAC,CjF9FhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiF8FZ,AA5Jb,AA8JY,YA9JA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAkBV,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CACjB,AAhKb,AAkKY,YAlKA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAsBV,KAAK,AAAC,CACJ,SAAS,C3FhHT,OAAQ,C2FiHR,KAAK,C3FgCP,OAAmD,C2F/BlD,AArKb,AA8KQ,YA9KI,CAmCV,QAAQ,CAoDN,kBAAkB,CAmFhB,uBAAuB,CAIrB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoFhB,mBAAmB,CAGjB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAqFhB,oBAAoB,CAElB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAsFhB,kBAAkB,CAChB,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CASf,AAxLT,AAkLY,YAlLA,CAmCV,QAAQ,CAoDN,kBAAkB,CAmFhB,uBAAuB,CAIrB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoFhB,mBAAmB,CAGjB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAqFhB,oBAAoB,CAElB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAsFhB,kBAAkB,CAChB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,AAAC,CACvB,IAAI,CAAE,CAAC,CACP,SAAS,C3FlId,GAAG,C2FmIE,OAAO,CAAE,GAAG,CACb,AAtLb,AA4LQ,YA5LI,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CA8BpB,AA7NT,AAiMU,YAjME,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAKV,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACnB,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,IAAI,CAChB,AArMX,AAuMU,YAvME,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,IAAI,CACd,WAAW,C3F3IF,GAAG,C2F4Jb,AA5NX,AA6MY,YA7MA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAMV,SAAS,CA7MrB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAOV,KAAK,AAAC,CjFlJhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiFkJZ,AAhNb,AAkNY,YAlNA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAWV,SAAS,AAAC,CACR,KAAK,C3FjBP,OAAoD,C2FkBlD,SAAS,C3FjKT,OAAQ,C2FkKT,AArNb,AAuNY,YAvNA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAgBV,KAAK,AAAC,CACJ,KAAK,C3FtBP,OAAoD,C2FuBlD,SAAS,C3FvKd,GAAG,C2FwKE,WAAW,CAAE,GAAG,CACjB,AA3Nb,AAiOI,YAjOQ,CAmCV,QAAQ,CA8LN,UAAU,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AAnOL,AAsOE,YAtOU,CAsOV,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,MAAM,CACX,KAAK,CAAE,GAAG,CAQX,AAjPH,AA2OI,YA3OQ,CAsOV,UAAU,CAKR,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,CAAC,CACV,AAhPL,AAmPE,YAnPU,CAmPV,WAAW,AAAC,CACV,OAAO,CAAE,GAAG,CACb,AArPH,AAuPE,YAvPU,CAuPV,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CAIX,AA5PH,AAyPI,YAzPQ,CAuPV,OAAO,AAEJ,MAAM,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AA3PL,AA8PE,YA9PU,CA8PV,YAAY,AAAC,CACX,aAAa,CAAE,MAAM,CActB,AA7QH,AAiQI,YAjQQ,CA8PV,YAAY,CAGV,sBAAsB,AAAC,CACrB,WAAW,C3FnMG,CAAC,C2FoMhB,AAnQL,AAqQI,YArQQ,CA8PV,YAAY,CAOV,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACrB,WAAW,C3FvMI,GAAG,C2FwMnB,AAxQL,AA0QI,YA1QQ,CA8PV,YAAY,CAYV,YAAY,AAAC,CACX,YAAY,CAAE,MAAM,CACrB,AC3QL,AAAA,WAAW,CrC0IX,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCrOG,CACV,OAAO,CAAE,OAAO,CAChB,KAAK,C3FHG,IAAO,C2FIf,MAAM,CAAE,GAAG,CAAC,KAAK,C5FgMP,OAAmD,C4F/L7D,WAAW,C5F4DO,GAAG,C4F3DrB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3FPN,IAAO,C2FQjB,MAAM,CAAE,OAAO,CA8BhB,AAtCD,AAUE,WAVS,CAUT,GAAG,CrCgIL,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,CqC3NP,GAAG,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAbH,AAeE,WAfS,CAeT,mBAAmB,CrC2HrB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,CqCtNP,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACpB,AAjBH,AAmBE,WAnBS,AAmBR,gBAAgB,CAAC,GAAG,CrCuHvB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqClNN,gBAAgB,CAAC,GAAG,AAAC,CACpB,KAAK,C5FSF,OAAgB,C4FTN,UAAU,CACxB,AArBH,AAuBE,WAvBS,AAuBR,kBAAkB,CAAC,GAAG,CrCmHzB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqC9MN,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,C5FMA,MAAO,C4FNG,UAAU,CAC1B,AAzBH,AA2BE,WA3BS,AA2BR,kBAAkB,CAAC,GAAG,CrC+GzB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqC1MN,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,C5FGA,OAAO,C4FHG,UAAU,CAC1B,AA7BH,AA+BE,WA/BS,AA+BR,SAAS,CrC2GZ,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCtMN,SAAS,AAAC,CACT,KAAK,C5FmKG,OAAmD,C4FlK3D,gBAAgB,C5FkKR,OAAmD,C4F9J5D,AArCH,AAkCI,WAlCO,AA+BR,SAAS,CAGR,GAAG,CrCwGP,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCtMN,SAAS,CAGR,GAAG,AAAC,CACF,OAAO,CAAE,GAAG,CACb,AAIL,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AAAA,WAAW,CAAC,sBAAsB,CAAC,WAAW,CAAC,CAAC,AAAA,UAAU,AAAC,CACzD,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,CAAC,GAAG,AAAA,WAAW,AAAC,CACzB,OAAO,CAAE,CAAC,CACX,AACD,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CAkBf,AAnBD,AAGE,eAHa,CAGb,KAAK,CAHP,eAAe,CAIb,YAAY,AAAC,CACX,UAAU,CAAE,IAAI,CACjB,AANH,AAQE,eARa,CAQb,IAAI,CAAG,GAAG,AAAA,KAAK,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AAVH,AAYE,eAZa,CAYb,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CAKf,AAlBH,AAcI,eAdW,CAYb,IAAI,CAEA,GAAG,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CACjB,CAKP,AACE,WADS,CAAC,gBAAgB,CAC1B,OAAO,AAAC,CACN,SAAS,C5FxBD,QAAQ,C4FyBhB,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,WAAW,CAAC,YAAY,AAAC,CACvB,WAAW,CAAE,EAAE,CACf,cAAc,CAAE,IAAI,CAMrB,AARD,AAGE,WAHS,CAAC,YAAY,CAGtB,UAAU,AAAC,CACT,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,SAAS,C5FnCD,QAAQ,C4FoCjB,AAGH,AAAA,WAAW,CAAC,YAAY,CAAC,WAAW,AAAC,CACnC,YAAY,CAAE,CAAC,CAEf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,MAAM,CAed,KAAK,CAAE,KAAK,CAOb,AA3BD,AAME,WANS,CAAC,YAAY,CAAC,WAAW,CAMlC,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AARH,AASE,WATS,CAAC,YAAY,CAAC,WAAW,CASlC,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,SAAS,C5FjDD,QAAQ,C4FkDhB,WAAW,CAAE,IAAI,CAClB,AAbH,AAcE,WAdS,CAAC,YAAY,CAAC,WAAW,CAclC,UAAU,AAAC,CACT,SAAS,C5FtDD,QAAQ,C4FuDhB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAnBH,AAsBE,WAtBS,CAAC,YAAY,CAAC,WAAW,AAsBjC,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,AAGH,AAAA,iBAAiB,AAAA,OAAO,AAAC,CACvB,KAAK,CAAE,GAAG,CACV,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,gBAAgB,C5FuEN,OAAmD,C4FtE7D,MAAM,CAAE,GAAG,CAAC,KAAK,C5FsEP,OAAmD,C4FrE7D,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,gBAAgB,CAoH7B,AA1HD,AAQE,WARS,CAQT,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACT,AAZH,AAcE,WAdS,CAcT,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,GAAG,CACR,WAAW,CAAE,IAAI,CACjB,KAAK,C5FuDG,OAAmD,C4FtD3D,SAAS,C5F9FD,QAAQ,C4F+FjB,AArBH,AAuBE,WAvBS,CAuBT,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CAsDf,AAjFH,AA6BI,WA7BO,CAuBT,eAAe,CAMb,WAAW,AAAC,CACV,KAAK,C3FxJD,IAAO,C2FyJZ,AA/BL,AAiCI,WAjCO,CAuBT,eAAe,CAUb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,MAAM,CACb,YAAY,CAAE,EAAE,CAChB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,SAAS,CAAE,KAAK,CAqBjB,AA7DL,AAyCM,WAzCK,CAuBT,eAAe,CAUb,WAAW,CAQT,CAAC,AAAC,CACA,KAAK,CAAE,IAAI,CACZ,AA3CP,AA4CM,WA5CK,CAuBT,eAAe,CAUb,WAAW,CAWT,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CACjB,AAhDP,AAkDM,WAlDK,CAuBT,eAAe,CAUb,WAAW,AAiBR,gBAAgB,CAAC,GAAG,AAAC,CACpB,KAAK,CAAE,OAAgB,CAAC,UAAU,CACnC,AApDP,AAsDM,WAtDK,CAuBT,eAAe,CAUb,WAAW,AAqBR,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,CAAE,kBAAkB,CAC1B,AAxDP,AA0DM,WA1DK,CAuBT,eAAe,CAUb,WAAW,AAyBR,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,CAAE,kBAAkB,CAC1B,AA5DP,AA+DI,WA/DO,CAuBT,eAAe,CAwCb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,eAAe,CACxB,KAAK,C3F9LD,IAAO,C2F0MZ,AAXC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EArEzC,AA+DI,WA/DO,CAuBT,eAAe,CAwCb,WAAW,AAAC,CAOR,aAAa,CAAE,CAAC,CAUnB,CAhFL,AAyEM,WAzEK,CAuBT,eAAe,CAwCb,WAAW,CAUT,EAAE,AAAC,CACD,aAAa,CAAE,MAAM,CACrB,SAAS,C5FpJL,QAAQ,C4FwJb,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA5E3C,AAyEM,WAzEK,CAuBT,eAAe,CAwCb,WAAW,CAUT,EAAE,AAAC,CAIC,SAAS,C5FvJP,QAAQ,C4FyJb,CA/EP,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CACP,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,KAAK,CAqBpB,AApBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAvFvC,AAwFM,WAxFK,AAmFR,OAAO,AAKH,YAAa,CAAA,EAAE,CAAE,CAChB,YAAY,CAAE,CAAC,CAChB,ClFjML,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFuGrC,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CAUL,KAAK,CAAE,KAAK,CAcf,AA3GH,AA8FM,WA9FK,AAmFR,OAAO,AAWH,YAAa,CAAA,EAAE,CAAE,CAChB,YAAY,CAAE,CAAC,CAChB,ClFvML,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFuGrC,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CAgBL,IAAI,CAAE,QAAQ,CAQjB,CA3GH,AAqGI,WArGO,AAmFR,OAAO,AAkBL,MAAM,AAAC,CACN,UAAU,C5FzFN,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,C4F0FnC,AAvGL,AAwGI,WAxGO,AAmFR,OAAO,AAqBL,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AA1GL,AA4GE,WA5GS,AA4GR,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CAWvB,AAVC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA/GvC,AA4GE,WA5GS,AA4GR,MAAM,AAAC,CAIJ,SAAS,CAAE,gBAAyB,CACpC,YAAY,CAAE,KAAK,CAQtB,CAzHH,AAmHI,WAnHO,AA4GR,MAAM,CAOL,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CAId,AAxHL,AAqHM,WArHK,AA4GR,MAAM,CAOL,eAAe,CAEb,EAAE,AAAC,CACD,SAAS,C5FjML,QAAQ,C4FkMb,AAKP,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAIhB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAHrC,AAAA,eAAe,AAAC,CAIZ,eAAe,CAAE,aAAa,CAEjC,CAED,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,MAAM,CACd,KAAK,C5F9DK,OAAoD,C4FkE/D,AAND,AAGE,aAHW,CAGX,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AAGH,AACE,YADU,CACV,aAAa,AAAC,CACZ,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAShB,AlFrQC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFyPrC,AAAA,iBAAiB,AAAC,CAKd,eAAe,CAAE,aAAa,CAOjC,CAZD,AAQE,iBARe,CAQf,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,SAAS,C5FrOD,QAAQ,C4FsOjB,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CAmChB,AAxCD,AAQI,mBARe,CAOjB,iBAAiB,AACd,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAVL,AAaE,mBAbiB,CAajB,gBAAgB,AAAC,CACf,aAAa,CAAE,GAAG,CAClB,KAAK,C5FvGG,OAAoD,C4F2G7D,AAnBH,AAgBI,mBAhBe,CAajB,gBAAgB,AAGb,cAAc,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AAlBL,AAqBE,mBArBiB,CAqBjB,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C5F7GT,OAAmD,C4FqH5D,AA/BH,AAyBI,mBAzBe,CAqBjB,gBAAgB,CAId,aAAa,AAAC,CACZ,OAAO,CAAE,CAAC,CAIX,AA9BL,AA2BM,mBA3Ba,CAqBjB,gBAAgB,CAId,aAAa,CAEX,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CACnB,AA7BP,AAiCE,mBAjCiB,CAiCjB,YAAY,CAAC,gBAAgB,CAAC,SAAS,AAAC,CACtC,WAAW,CAAE,CAAC,CACf,AAnCH,AAqCE,mBArCiB,CAqCjB,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,MAAM,CAKnB,AATD,AAKE,cALY,CAKZ,GAAG,AAAC,CACF,SAAS,CAAE,KAAK,CAChB,KAAK,C3F1UG,IAAO,C2F2UhB,AAGH,AAAA,cAAc,AAAA,eAAe,AAAC,CAC5B,gBAAgB,C3FxUR,OAAO,C2FyUhB,AAED,AAAA,cAAc,AAAA,iBAAiB,AAAC,CAC9B,gBAAgB,C3F7UT,OAAO,C2F8Uf,AAED,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CAChB,ACzVD,AACE,WADS,CACT,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,AALH,AAOE,WAPS,CAOT,OAAO,AAAC,CACN,KAAK,C7F4LG,OAAmD,C6F/K5D,AArBH,AASI,WATO,CAOT,OAAO,CAEL,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C5FFD,OAAO,C4FMZ,AAdL,AAWM,WAXK,CAOT,OAAO,CAEL,IAAI,AAAA,SAAS,CAEX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAbP,AAeI,WAfO,CAOT,OAAO,CAQL,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C5FTF,OAAO,C4FaX,AApBL,AAiBM,WAjBK,CAOT,OAAO,CAQL,IAAI,AAAA,SAAS,CAEX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAnBP,AAsBE,WAtBS,CAsBT,QAAQ,AAAC,CACP,WAAW,CAAE,KAAK,CACnB,AAxBH,AA0BE,WA1BS,CA0BT,UAAU,AAAC,CACT,aAAa,CAAE,GAAG,CACnB,AA5BH,AA8BE,WA9BS,CA8BT,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,GAAG,CAmBhB,AApDH,AAmCI,WAnCO,CA8BT,qBAAqB,CAKnB,gBAAgB,AAAC,CACf,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,CAAC,CACZ,YAAY,CAAE,IAAI,CACnB,AAzCL,AA2CI,WA3CO,CA8BT,qBAAqB,CAanB,mBAAmB,AAAC,CAClB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACvB,AA/CL,AAiDI,WAjDO,CA8BT,qBAAqB,CAmBnB,gBAAgB,CAAG,mBAAmB,AAAC,CACrC,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,oBADkB,CAClB,EAAE,AAAC,CACD,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,oBANkB,CAMlB,MAAM,AAAC,CACL,WAAW,CAAE,KAAK,CACnB,AARH,AASE,oBATkB,CASlB,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,KAAK,CAQrB,AAnBH,AAaI,oBAbgB,CASlB,sBAAsB,CAIpB,WAAW,AAAC,CACV,SAAS,CAAE,IAAI,CAChB,AAfL,AAgBI,oBAhBgB,CASlB,sBAAsB,CAOpB,MAAM,AAAC,CACL,KAAK,CAAE,GAAG,CACX,AAIL,AAAA,qBAAqB,AAAC,CACpB,MAAM,CAAE,OAAO,CAiBhB,AAlBD,AAEE,qBAFmB,CAEnB,uBAAuB,AAAC,CACtB,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,qBANmB,CAMnB,wBAAwB,AAAC,CACvB,aAAa,CAAE,GAAG,CAAC,KAAK,C7FgHhB,OAAmD,C6F/G3D,cAAc,CAAE,MAAM,CAEtB,OAAO,CAAE,IAAI,CAMb,aAAa,CAAE,KAAK,CACrB,AAjBH,AAWI,qBAXiB,CAMnB,wBAAwB,CAKtB,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAClB,AAKL,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,mBAAmB,AAAC,CAClB,gBAAgB,C7F8FN,OAAmD,C6F7F7D,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CA+BnB,AAlCD,AAKE,mBALiB,CAKjB,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,SAAS,CAyBlB,AAjCH,AAUI,mBAVe,CAKjB,kBAAkB,CAKhB,aAAa,AAAC,CACZ,MAAM,CAAE,WAAW,CACpB,AAZL,AAcI,mBAde,CAKjB,kBAAkB,CAShB,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAjBL,AAmBI,mBAnBe,CAKjB,kBAAkB,CAchB,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AArBL,AAuBI,mBAvBe,CAKjB,kBAAkB,CAkBhB,wBAAwB,AAAC,CACvB,KAAK,CAAE,OAAO,CACd,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAMX,AAhCL,AA4BM,mBA5Ba,CAKjB,kBAAkB,CAkBhB,wBAAwB,CAKtB,aAAa,AAAC,CACZ,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C7FiEb,OAAmD,C6FhExD,AAKP,AAAA,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAND,AAGE,yBAHuB,CAGvB,UAAU,AAAC,CACT,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,mBAAmB,CAAC,gBAAgB,AAAC,CACnC,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAND,AAGE,WAHS,CAGT,iBAAiB,AAAC,CAChB,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CAkBZ,AAnBD,AAII,kBAJc,CAGhB,KAAK,CACH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACf,AANL,AASE,kBATgB,CAShB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,QAAQ,CAO1B,AAlBH,AAaI,kBAbc,CAShB,mBAAmB,CAIjB,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,mBADiB,CACjB,aAAa,CAAC,IAAI,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AAJH,AAME,mBANiB,CAMjB,QAAQ,AAAC,CACP,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,IAAI,CACd,AATH,AAWE,mBAXiB,CAWjB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACX,AAEH,AAAA,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,KAAK,CAuBnB,AA1BD,AAKE,qBALmB,CAKnB,iBAAiB,AAAC,CAChB,YAAY,CAAE,MAAM,CAgBrB,AAtBH,AAOI,qBAPiB,CAKnB,iBAAiB,AAEd,OAAO,AAAC,CACP,KAAK,C5FrMD,OAAO,C4FyMZ,AAZL,AASM,qBATe,CAKnB,iBAAiB,AAEd,OAAO,CAEJ,OAAO,AAAC,CACR,KAAK,C5FvMH,OAAO,C4FwMV,AAXP,AAaI,qBAbiB,CAKnB,iBAAiB,AAQd,UAAU,AAAC,CACV,KAAK,C5F5MF,OAAO,C4FgNX,AAlBL,AAeM,qBAfe,CAKnB,iBAAiB,AAQd,UAAU,CAEP,OAAO,AAAC,CACR,KAAK,C5F9MJ,OAAO,C4F+MT,AAjBP,AAmBI,qBAnBiB,CAKnB,iBAAiB,AAcd,QAAQ,AAAC,CACR,KAAK,C7FrBC,OAAmD,C6FsB1D,AArBL,AAuBE,qBAvBmB,CAuBnB,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CACjB,AAGH,AAAA,gBAAgB,AAAC,CACf,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C7FjCX,OAAoD,C6FmF9D,cAAc,CAAE,GAAG,CACpB,AArDD,AAIE,gBAJc,CAId,eAAe,AAAC,CACd,SAAS,C7FtLD,QAAQ,C6FuLjB,AANH,AAQE,gBARc,CAQd,qBAAqB,AAAC,CACpB,KAAK,C7FxCG,OAAoD,C6FyC5D,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,KAAK,CACpB,SAAS,C7F3LC,OAAQ,C6F4LlB,WAAW,CAAE,QAAQ,CAiBtB,AA/BH,AAeI,gBAfY,CAQd,qBAAqB,CAOnB,gBAAgB,AAAC,CACf,YAAY,CAAE,MAAM,CACrB,AAjBL,AAkBI,gBAlBY,CAQd,qBAAqB,CAUnB,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CACjB,AApBL,AAqBI,gBArBY,CAQd,qBAAqB,CAanB,WAAW,AAAC,CACV,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,IAAI,CAInB,AA3BL,AAwBM,gBAxBU,CAQd,qBAAqB,CAanB,WAAW,CAGT,CAAC,AAAC,CACA,KAAK,C7FxDD,OAAoD,C6FyDzD,AA1BP,AA4BI,gBA5BY,CAQd,qBAAqB,CAoBnB,MAAM,AAAC,CACL,SAAS,C7F3MD,OAAQ,C6F4MjB,AA9BL,AAiCE,gBAjCc,CAiCd,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CACnB,AArCH,AAuCE,gBAvCc,CAuCd,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAUhB,AAnDH,AA2CI,gBA3CY,CAuCd,mBAAmB,CAIjB,MAAM,AAAC,CACL,WAAW,CAAE,MAAM,CACpB,AA7CL,AA+CI,gBA/CY,CAuCd,mBAAmB,CAQjB,kBAAkB,CA/CtB,gBAAgB,CAuCd,mBAAmB,CASjB,2BAA2B,AAAC,CAC1B,YAAY,CAAE,KAAK,CACpB,AAKL,AAAA,qBAAqB,AAAC,CACpB,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,kBAAkB,AAAC,CACjB,SAAS,CAAE,GAAG,CACd,KAAK,C7F1FK,OAAmD,C6FsJ9D,AA9DD,AAKI,kBALc,CAIhB,YAAY,CACV,KAAK,AAAC,CACJ,WAAW,CAAE,KAAK,CACnB,AAPL,AASE,kBATgB,CAShB,KAAK,CATP,kBAAkB,CAUhB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAbH,AAeE,kBAfgB,CAehB,qBAAqB,AAAC,CACpB,WAAW,CAAE,KAAK,CACnB,AAjBH,AAmBE,kBAnBgB,CAmBhB,OAAO,AAAC,CACN,SAAS,C7F7PC,OAAQ,C6F8PlB,KAAK,C7F7GG,OAAmD,C6F8G5D,AAtBH,AAwBE,kBAxBgB,CAwBhB,mBAAmB,AAAC,CAClB,WAAW,C7FrPM,GAAG,C6FsPpB,cAAc,CAAE,QAAQ,CACzB,AA3BH,AA6BE,kBA7BgB,CA6BhB,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CA+BlB,AA7DH,AA+BI,kBA/Bc,CA6BhB,KAAK,CAEH,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,QAAQ,CAMzB,AAvCL,AAkCM,kBAlCY,CA6BhB,KAAK,CAEH,EAAE,AAGC,KAAK,CAAC,CAAC,CAlCd,kBAAkB,CA6BhB,KAAK,CAEH,EAAE,AAIC,YAAY,CAAC,CAAC,AAAC,CACd,SAAS,CAAE,KAAK,CnFpQtB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmFoQlB,AAtCP,AAyCI,kBAzCc,CA6BhB,KAAK,CAYH,EAAE,AAAA,aAAa,AAAC,CACd,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACpB,AA5CL,AA6CI,kBA7Cc,CA6BhB,KAAK,CAgBD,EAAE,CAAG,EAAE,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AA/CL,AAkDM,kBAlDY,CA6BhB,KAAK,CAmBD,EAAE,CAAG,EAAE,AAEN,IAAK,CAAA,MAAM,EAlDlB,kBAAkB,CA6BhB,KAAK,CAoBD,EAAE,CAAG,EAAE,AACN,IAAK,CAAA,MAAM,CAAE,CACZ,OAAO,CAAE,iBAAiB,CAC3B,AnF7TL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFyQrC,AAgDI,kBAhDc,CA6BhB,KAAK,CAmBD,EAAE,CAAG,EAAE,CAhDb,kBAAkB,CA6BhB,KAAK,CAoBD,EAAE,CAAG,EAAE,AAAC,CnFjRZ,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmFqRjB,aAAa,CAAE,KAAK,CAEvB,CAzDL,AA0DI,kBA1Dc,CA6BhB,KAAK,CA6BH,wBAAwB,AAAC,CACvB,aAAa,CAAE,GAAG,CACnB,AAIL,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,OAAO,CACf,SAAS,C7FlVQ,KAAK,C6FmVtB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,OAAO,CAehB,AAhBD,AAGE,wBAHsB,CAGtB,6BAA6B,AAAC,CAC5B,SAAS,C7F1VM,KAAK,C6F2VpB,aAAa,CAAE,KAAK,CAMrB,AAXH,AAOI,wBAPoB,CAGtB,6BAA6B,CAI3B,SAAS,AAAC,CACR,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,MAAM,CACrB,AAVL,AAaE,wBAbsB,CAatB,SAAS,AAAC,CACR,UAAU,CAAE,MAAM,CACnB,AAGH,AACE,gBADc,CACd,eAAe,AAAC,CACd,KAAK,C7FlLG,OAAmD,C6FmL3D,SAAS,C7FnUC,OAAQ,C6FoUnB,AAJH,AAKE,gBALc,CAKd,WAAW,AAAC,CACV,gBAAgB,CAAE,MAAM,CACzB,AAPH,AAQE,gBARc,CAQd,WAAW,AAAC,CACV,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,MAAM,CAKpB,AnFhXD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFiWrC,AAQE,gBARc,CAQd,WAAW,AAAC,CAIR,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAErB,CAfH,AAiBE,gBAjBc,CAiBd,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAnBH,AAqBE,gBArBc,CAqBd,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,UAAU,CAIvB,AnF9XD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFiWrC,AAqBE,gBArBc,CAqBd,sBAAsB,AAAC,CAMnB,OAAO,CAAE,IAAI,CAEhB,CA7BH,AA8BE,gBA9Bc,CA8Bd,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,SAAS,C7FzYM,KAAK,C6F0YpB,KAAK,C7F1YU,KAAK,C6F2YpB,WAAW,CAAE,MAAM,CAWpB,AA9CH,AAqCI,gBArCY,CA8Bd,uBAAuB,CAOrB,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,C7FxNC,OAAmD,C6FyNzD,SAAS,CAAE,KAAK,CAIjB,AA7CL,AA0CM,gBA1CU,CA8Bd,uBAAuB,CAOrB,oBAAoB,CAKlB,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACpB,AA5CP,AAgDE,gBAhDc,CAgDd,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,CAAC,CACb,AAnDH,AAqDE,gBArDc,CAqDd,UAAU,AAAC,CACT,SAAS,C7F9ZM,KAAK,C6F+ZpB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,IAAI,CAWjB,AApEH,AA2DI,gBA3DY,CAqDd,UAAU,CAMR,CAAC,CA3DL,gBAAgB,CAqDd,UAAU,CAOR,KAAK,AAAC,CACJ,MAAM,CAAE,SAAS,CAClB,AA9DL,AAgEI,gBAhEY,CAqDd,UAAU,CAWR,GAAG,CAhEP,gBAAgB,CAqDd,UAAU,CAYR,IAAI,AAAC,CACH,UAAU,CAAE,SAAS,CACtB,AAnEL,AAsEE,gBAtEc,CAsEd,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,C7FxPG,OAAmD,C6FyP3D,aAAa,CAAE,MAAM,CAatB,AAtFH,AA0EI,gBA1EY,CAsEd,WAAW,CAIT,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,KAAK,C5FhcD,IAAO,C4FicX,OAAO,CAAE,KAAK,CACd,SAAS,C7FlZH,QAAQ,C6FmZd,YAAY,CAAE,MAAM,CACrB,AAhFL,AAkFM,gBAlFU,CAsEd,WAAW,CAWT,eAAe,AACZ,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAKP,AAAA,gBAAgB,AAAC,CASf,KAAK,CAAE,IAAI,CAiBZ,AA1BD,AACE,gBADc,CACd,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CAIb,aAAa,CAAE,KAAK,CACrB,AAPH,AAGI,gBAHY,CACd,oBAAoB,CAElB,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AALL,AAUE,gBAVc,CAUd,eAAe,AAAC,CAcd,aAAa,CAAE,KAAK,CACrB,AAzBH,AAWI,gBAXY,CAUd,eAAe,CACb,iBAAiB,AAAC,CAChB,MAAM,CAAE,CAAC,CACV,AAbL,AAeI,gBAfY,CAUd,eAAe,CAKb,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,CAAC,CACjB,AAlBL,AAoBI,gBApBY,CAUd,eAAe,CAUb,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAKL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EAClC,AAAA,KAAK,AAAA,kBAAkB,AAAC,CACtB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CAMf,AARD,AAGE,KAHG,AAAA,kBAAkB,CAGrB,KAAK,AAAC,CACJ,KAAK,CAAE,gBAAgB,CACvB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,EAAE,AAAA,iBAAiB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,aAAa,CACrC,AACD,AAAA,EAAE,AAAA,wBAAwB,AAAC,CACzB,OAAO,CAAE,IAAI,CACd,CnFteD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFgenC,AAAA,EAAE,AAAA,iBAAiB,AAUC,CAClB,qBAAqB,CAAE,cAAc,CACtC,CC/fH,AAAA,sBAAsB,AAAC,CACrB,gBAAgB,C9FmMN,OAAmD,C8FlM7D,OAAO,CAAE,GAAG,CAMZ,KAAK,CAAE,IAAI,CACZ,AATD,AAIE,sBAJoB,CAIpB,cAAc,AAAC,CACb,UAAU,CAAE,GAAG,CAChB,ACNH,AAAA,mBAAmB,AAAC,CAClB,SAAS,CAAE,KAAK,CAmCjB,AApCD,AAGE,mBAHiB,CAGjB,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CAChB,AALH,AAME,mBANiB,CAMjB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AARH,AASE,mBATiB,CASjB,KAAK,CAAC,EAAE,AAAC,CACP,OAAO,CAAE,KAAK,CACf,AAXH,AAYE,mBAZiB,CAYjB,EAAE,AAAA,IAAI,AAAC,CACL,UAAU,CAAE,KAAK,CAClB,AAdH,AAeE,mBAfiB,CAejB,EAAE,AAAA,IAAI,AAAA,MAAM,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAjBH,AAmBI,mBAnBe,CAkBjB,EAAE,AAAA,MAAM,CACN,EAAE,AAAC,CACD,gBAAgB,C/FgLV,OAAmD,C+F/KzD,WAAW,CAAE,IAAI,CAClB,AAtBL,AAyBE,mBAzBiB,CAyBjB,GAAG,AAAC,CACF,WAAW,CAAE,IAAI,CAClB,AA3BH,AA6BE,mBA7BiB,CA6BjB,iBAAiB,AAAC,CAChB,KAAK,C/FsKG,OAAmD,C+FrK5D,AA/BH,AAiCE,mBAjCiB,CAiCjB,GAAG,AAAA,aAAa,AAAC,CACf,OAAO,CAAE,IAAI,CACd,ACjCH,AACE,sBADoB,CACpB,KAAK,AAAC,CACJ,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,GAAG,CAClB,AAJH,AAME,sBANoB,CAMpB,YAAY,AAAC,CACX,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,YAAY,CACrB,AATH,AAWE,sBAXoB,CAWpB,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAMpB,AAnBH,AAcI,sBAdkB,CAWpB,oBAAoB,CAGlB,KAAK,CAdT,sBAAsB,CAWpB,oBAAoB,CAIlB,OAAO,AAAC,CACN,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,OAAO,CACvB,AAlBL,AAqBE,sBArBoB,CAqBpB,iBAAiB,AAAC,CAChB,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CAoBhB,AA3CH,AAyBI,sBAzBkB,CAqBpB,iBAAiB,CAIf,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,gBAAgB,CACxB,MAAM,CAAE,GAAG,CAAC,KAAK,ChGsKX,OAAmD,CgGrKzD,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,KAAK,CASb,AA1CL,AAkCM,sBAlCgB,CAqBpB,iBAAiB,CAIf,YAAY,CASV,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACd,AApCP,AAqCM,sBArCgB,CAqBpB,iBAAiB,CAIf,YAAY,AAYT,WAAW,CAAC,GAAG,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,GAAG,CACf,ACzCP,AACE,MADI,AAAA,cAAc,CAClB,iBAAiB,AAAC,CAChB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,MAAM,CACnB,AALH,AAOE,MAPI,AAAA,cAAc,CAOlB,SAAS,AAAC,CACR,QAAQ,CAAE,IAAI,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,CjGyLhB,OAAmD,CiGxL5D,AAVH,AAYE,MAZI,AAAA,cAAc,CAYlB,KAAK,AAAA,SAAS,CAAG,KAAK,CAAG,EAAE,CAAG,EAAE,CAZlC,MAAM,AAAA,cAAc,CAalB,iBAAiB,AAAC,CAChB,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CAKZ,AApBH,AAiBI,MAjBE,AAAA,cAAc,CAYlB,KAAK,AAAA,SAAS,CAAG,KAAK,CAAG,EAAE,CAAG,EAAE,AAK7B,YAAa,C9EkDI,CAAC,E8EnEvB,MAAM,AAAA,cAAc,CAalB,iBAAiB,AAId,YAAa,C9EkDI,CAAC,C8ElDF,CACf,WAAW,CAAE,EAAE,CAChB,AAnBL,AAsBE,MAtBI,AAAA,cAAc,CAsBlB,iBAAiB,AAAC,CAChB,OAAO,CAAE,GAAG,CACb,AAxBH,AA0BE,MA1BI,AAAA,cAAc,CA0BlB,UAAU,CAAC,IAAI,AAAA,cAAc,AAAC,CAC5B,UAAU,CAAE,IAAI,CACjB,AA5BH,AA+BI,MA/BE,AAAA,cAAc,CA6BlB,GAAG,CAED,IAAI,CA/BR,MAAM,AAAA,cAAc,CA6BlB,GAAG,CAGD,GAAG,CAhCP,MAAM,AAAA,cAAc,CA8BlB,SAAS,CACP,IAAI,CA/BR,MAAM,AAAA,cAAc,CA8BlB,SAAS,CAEP,GAAG,AAAC,CACF,MAAM,CAAE,GAAG,CAAC,KAAK,ChG3Bb,OAAO,CgG4BZ,AAlCL,AAmCI,MAnCE,AAAA,cAAc,CA6BlB,GAAG,CAMD,GAAG,CAnCP,MAAM,AAAA,cAAc,CA8BlB,SAAS,CAKP,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,iBAAiB,CAC1B,AAtCL,AAuCI,MAvCE,AAAA,cAAc,CA6BlB,GAAG,CAUD,CAAC,CAvCL,MAAM,AAAA,cAAc,CA8BlB,SAAS,CASP,CAAC,AAAC,CACA,KAAK,ChGlCD,OAAO,CgGmCX,eAAe,CAAE,IAAI,CACtB,AA1CL,AA4CE,MA5CI,AAAA,cAAc,CA4ClB,GAAG,AAAA,SAAS,CA5Cd,MAAM,AAAA,cAAc,CA6ClB,IAAI,AAAA,SAAS,AAAC,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,ChGxCX,OAAO,CgGyCd,AA/CH,AAgDE,MAhDI,AAAA,cAAc,CAgDlB,GAAG,AAAA,SAAS,AAAC,CACX,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,iBAAiB,CAC1B,AAnDH,AAoDE,MApDI,AAAA,cAAc,CAoDlB,SAAS,AAAC,CACR,KAAK,ChGvDC,IAAO,CgGwDb,UAAU,CjG4IF,OAAmD,CiG3I5D,AAvDH,AAwDE,MAxDI,AAAA,cAAc,CAwDlB,GAAG,AAAC,CACF,KAAK,ChG3DC,IAAO,CgG4Db,UAAU,CjGwIF,OAAmD,CiGvI3D,eAAe,CAAE,IAAI,CACtB,AA5DH,AA+DI,MA/DE,AAAA,cAAc,CA6DlB,GAAG,CAED,IAAI,CA/DR,MAAM,AAAA,cAAc,CA6DlB,GAAG,CAGD,GAAG,CAhEP,MAAM,AAAA,cAAc,CA8DlB,SAAS,CACP,IAAI,CA/DR,MAAM,AAAA,cAAc,CA8DlB,SAAS,CAEP,GAAG,AAAC,CACF,MAAM,CAAE,GAAG,CAAC,KAAK,ChG5Dd,OAAO,CgG6DX,AAlEL,AAmEI,MAnEE,AAAA,cAAc,CA6DlB,GAAG,CAMD,GAAG,CAnEP,MAAM,AAAA,cAAc,CA8DlB,SAAS,CAKP,GAAG,AAAC,CACF,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAtEL,AAuEI,MAvEE,AAAA,cAAc,CA6DlB,GAAG,CAUD,CAAC,CAvEL,MAAM,AAAA,cAAc,CA8DlB,SAAS,CASP,CAAC,AAAC,CACA,KAAK,ChGnEF,OAAO,CgGoEV,eAAe,CAAE,IAAI,CACtB,AA1EL,AA4EE,MA5EI,AAAA,cAAc,CA4ElB,GAAG,AAAA,SAAS,CA5Ed,MAAM,AAAA,cAAc,CA6ElB,IAAI,AAAA,SAAS,AAAC,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,ChGzEZ,OAAO,CgG0Eb,AA/EH,AAgFE,MAhFI,AAAA,cAAc,CAgFlB,GAAG,AAAA,SAAS,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAnFH,AAoFE,MApFI,AAAA,cAAc,CAoFlB,SAAS,AAAC,CACR,KAAK,ChGvFC,IAAO,CgGwFb,UAAU,CjG4GF,OAAmD,CiG3G3D,eAAe,CAAE,IAAI,CACtB,AAxFH,AAyFE,MAzFI,AAAA,cAAc,CAyFlB,GAAG,AAAC,CACF,KAAK,ChG5FC,IAAO,CgG6Fb,UAAU,CjGuGF,OAAmD,CiGtG3D,eAAe,CAAE,IAAI,CACtB,AA7FH,AA8FE,MA9FI,AAAA,cAAc,CA8FlB,IAAI,AAAA,KAAK,AAAC,CACR,WAAW,CAAE,IAAI,CAClB,AAhGH,AAiGE,MAjGI,AAAA,cAAc,CAiGlB,IAAI,AAAA,YAAY,AAAC,CACf,gBAAgB,CjGgGR,OAAmD,CiG/F3D,OAAO,CAAE,eAAe,CACzB,AApGH,AAqGE,MArGI,AAAA,cAAc,CAqGlB,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAvGH,AAwGE,MAxGI,AAAA,cAAc,CAwGlB,uBAAuB,AAAC,CACtB,OAAO,CAAE,GAAG,CACb,AA1GH,AA4GI,MA5GE,AAAA,cAAc,CA2GlB,yBAAyB,CAAC,IAAI,CAC5B,GAAG,AAAA,YAAa,CAAA,CAAC,EA5GrB,MAAM,AAAA,cAAc,CA2GlB,yBAAyB,CAAC,IAAI,CAE5B,EAAE,AAAA,YAAa,CADC,CAAC,CACC,CAChB,OAAO,CAAE,GAAG,CACb,AA/GL,AAkHI,MAlHE,AAAA,cAAc,CAiHlB,wBAAwB,CAAC,IAAI,CAC3B,GAAG,AAAA,YAAa,C9E/CE,CAAC,E8EnEvB,MAAM,AAAA,cAAc,CAiHlB,wBAAwB,CAAC,IAAI,CAE3B,EAAE,AAAA,YAAa,C9EhDG,CAAC,C8EgDD,CAChB,OAAO,CAAE,GAAG,CACb,ACpHL,kBAAkB,CAAlB,aAAkB,CAChB,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,UAAU,CAAV,aAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,AAAA,UAAU,AAAC,CACT,gBAAgB,CjGrBN,IAAO,CiGsBjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClGwDM,IAAI,CkGvDjB,YAAY,ClG2KF,OAAmD,CkG1K7D,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,KAAK,CAChB,iBAAiB,CAAE,kBAAkB,CACrC,SAAS,CAAE,kBAAkB,CAC7B,eAAe,CAAE,WAAW,CAC5B,OAAO,CAAE,KAAK,CACd,UAAU,ClGuGE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CkGtG1C,aAAa,CAAE,GAAG,CA+EnB,AA5FD,AAeE,UAfQ,AAeP,SAAS,AAAC,CACT,UAAU,CAAE,GAAG,CAShB,AAzBH,AAkBI,UAlBM,AAeP,SAAS,CAGR,oBAAoB,AAAC,CACnB,OAAO,CAAE,KAAK,CACf,AApBL,AAsBI,UAtBM,AAeP,SAAS,CAOR,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAxBL,AA2BE,UA3BQ,AA2BP,SAAS,AAAC,CACT,UAAU,CAAE,GAAG,CAShB,AArCH,AA8BI,UA9BM,AA2BP,SAAS,CAGR,uBAAuB,AAAC,CACtB,OAAO,CAAE,KAAK,CACf,AAhCL,AAkCI,UAlCM,AA2BP,SAAS,CAOR,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACd,AApCL,AAuCE,UAvCQ,AAuCP,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACpB,AAzCH,AA2CE,UA3CQ,CA2CR,kBAAkB,AAAC,CACjB,OAAO,CAAE,KAAK,CACd,SAAS,ClGfC,OAAQ,CkGgBlB,aAAa,CAAE,UAAU,CACzB,iBAAiB,CAAE,kBAAkB,CACrC,SAAS,CAAE,kBAAkB,CAC9B,AAjDH,AAmDE,UAnDQ,CAmDR,gBAAgB,AAAC,CACf,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,WAAW,CAClB,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,wBAAwB,CAClC,AAzDH,AA2DE,UA3DQ,CA2DR,oBAAoB,AAAC,CACnB,YAAY,CAAE,WAAW,CAAC,WAAW,ClGmH7B,OAAmD,CkGlH3D,GAAG,CAAE,GAAG,CACR,SAAS,CAAE,mBAAmB,CAC9B,YAAY,CAAE,SAAS,CAWxB,AA1EH,AAiEI,UAjEM,CA2DR,oBAAoB,AAMjB,MAAM,AAAC,CACN,YAAY,CAAE,WAAW,CAAC,WAAW,CjGtF/B,IAAO,CiGuFb,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,SAAS,CACvB,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,IAAI,CACjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,EAAE,CACZ,AAzEL,AA4EE,UA5EQ,CA4ER,uBAAuB,AAAC,CACtB,YAAY,ClGkGJ,OAAmD,CkGlG3B,WAAW,CAAC,WAAW,CACvD,GAAG,CAAE,iBAAiB,CACtB,SAAS,CAAE,mBAAmB,CAC9B,YAAY,CAAE,SAAS,CAWxB,AA3FH,AAkFI,UAlFM,CA4ER,uBAAuB,AAMpB,MAAM,AAAC,CACN,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,EAAE,CACX,YAAY,CjGzGN,IAAO,CiGyGuB,WAAW,CAAC,WAAW,CAC3D,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,SAAS,CACvB,MAAM,CAAE,GAAG,CACX,SAAS,CAAE,kBAAkB,CAC9B,AC/GL,AAAA,GAAG,AAAA,UAAU,AAAC,CACZ,MAAM,CAAE,cAAc,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,SAAS,CAClB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,GAAG,AAAA,UAAU,CAAC,IAAI,AAAA,IAAI,AAAC,CACrB,MAAM,CAAE,iBAAiB,CACzB,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,OAAO,CACd,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,SAAS,CACtB,SAAS,CnG6BG,OAAQ,CmG5BrB,AAED,AAAA,GAAG,AAAA,UAAU,CAAC,IAAI,AAAA,IAAI,CAAC,CAAC,AAAC,CACvB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,OAAO,CACd,eAAe,CAAE,IAAI,CACrB,SAAS,CnGuBG,OAAQ,CmGtBrB,AACD,AAAA,GAAG,AAAA,UAAU,CAAC,KAAK,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,SAAS,CACtB,SAAS,CnGiBG,OAAQ,CmGhBpB,MAAM,CAAE,qBAAqB,CAC7B,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,WAAW,CACvB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,WAAW,CACpB,AACD,AAAA,GAAG,AAAA,UAAU,CAAC,GAAG,AAAC,CAChB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AACD,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,kBAAkB,CAC9B,KAAK,CAAE,kBAAkB,CAC1B,ACtDD,AAAA,OAAO,AAAA,iBAAiB,CACxB,OAAO,AAAA,eAAe,CACtB,OAAO,AAAA,wBAAwB,CAC/B,OAAO,AAAA,6BAA6B,AAAC,CACnC,KAAK,CpG8LK,OAAoD,CoG7L/D,AAED,AAAA,OAAO,AAAA,kBAAkB,CACzB,OAAO,AAAA,kBAAkB,AAAC,CACxB,KAAK,CnGPI,OAAO,CmGQjB,ACVD,AAAA,UAAU,AAAC,CACT,aAAa,CAAE,KAAK,CA4DrB,AA7DD,AAGE,UAHQ,CAGR,UAAU,AAAC,CACT,aAAa,CAAE,CAAC,CACjB,AALH,AAOE,UAPQ,CAOR,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACZ,AATH,AAUE,UAVQ,CAUR,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACb,AAZH,AAaE,UAbQ,CAaR,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AAfH,AAiBE,UAjBQ,CAiBR,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CA+BnB,AAlDH,AAqBI,UArBM,CAiBR,KAAK,CAIH,EAAE,CArBN,UAAU,CAiBR,KAAK,CAKH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CrG2KlB,OAAmD,CqG3J1D,AAfC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA1BzC,AAqBI,UArBM,CAiBR,KAAK,CAIH,EAAE,CArBN,UAAU,CAiBR,KAAK,CAKH,EAAE,AAAC,CAKC,OAAO,CAAE,YAAY,CAcxB,CAzCL,AA8BM,UA9BI,CAiBR,KAAK,CAIH,EAAE,CASA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAIH,EAAE,CAUA,UAAU,CA/BhB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAQA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAKH,EAAE,CASA,UAAU,AAAC,CACT,SAAS,CrGeL,QAAQ,CqGdZ,KAAK,CrGmKD,OAAmD,CqG/JxD,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAlC3C,AA8BM,UA9BI,CAiBR,KAAK,CAIH,EAAE,CASA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAIH,EAAE,CAUA,UAAU,CA/BhB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAQA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAKH,EAAE,CASA,UAAU,AAAC,CAIP,SAAS,CrGcP,QAAQ,CqGZb,CArCP,AAsCM,UAtCI,CAiBR,KAAK,CAIH,EAAE,CAiBA,UAAU,CAtChB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAgBA,UAAU,AAAC,CACT,WAAW,CAAE,MAAM,CACpB,AAxCP,AA2CI,UA3CM,CAiBR,KAAK,CA0BH,EAAE,AAAA,SAAS,AAAC,CACV,KAAK,CAAE,GAAG,CAKX,AAjDL,AA6CM,UA7CI,CAiBR,KAAK,CA0BH,EAAE,AAAA,SAAS,CAET,aAAa,AAAC,CACZ,KAAK,CpGrCN,OAAO,CoGsCN,MAAM,CAAE,YAAY,CACrB,AAhDP,AAmDE,UAnDQ,CAmDR,GAAG,AAAC,CACF,gBAAgB,CrGgJR,OAAmD,CqGxI5D,AA5DH,AAqDI,UArDM,CAmDR,GAAG,CAED,SAAS,CAAC,CAAC,CArDf,UAAU,CAmDR,GAAG,CAGD,KAAK,CAtDT,UAAU,CAmDR,GAAG,CAID,MAAM,CAvDV,UAAU,CAmDR,GAAG,CAKD,OAAO,CAxDX,UAAU,CAmDR,GAAG,CAMD,UAAU,AAAC,CACT,KAAK,CrG0IC,OAAmD,CqGzI1D,AC3DL,AAAA,MAAM,AAAC,CACL,OAAO,CAAE,iBAAiB,CAC1B,gBAAgB,CtGkMN,OAAmD,CsGjM7D,KAAK,CrGHG,IAAO,CqGIf,QAAQ,CAAE,QAAQ,CA2BnB,AA/BD,AAME,MANI,CAMJ,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,GAAG,CACV,SAAS,CtGqCD,QAAQ,CsGjCjB,AAdH,AAWI,MAXE,CAMJ,MAAM,CAKJ,OAAO,AAAC,CACN,KAAK,CtGwLC,OAAmD,CsGvL1D,AAbL,AAgBE,MAhBI,AAgBH,cAAc,AAAC,CACd,gBAAgB,CtGmLR,OAAmD,CsGlL3D,KAAK,CrGlBC,IAAO,CqGmBd,AAnBH,AAoBE,MApBI,AAoBH,YAAY,AAAC,CACZ,gBAAgB,CtG+KR,OAAmD,CsG9K3D,KAAK,CrGtBC,IAAO,CqGuBd,AAvBH,AAwBE,MAxBI,AAwBH,WAAW,AAAC,CACX,gBAAgB,CtG2KR,OAAmD,CsG1K3D,KAAK,CrG1BC,IAAO,CqG8Bd,AA9BH,AA2BI,MA3BE,AAwBH,WAAW,AAGT,UAAU,AAAC,CACV,KAAK,CrG1BA,OAAO,CqG2Bb,ACzBL,AAAA,wBAAwB,AAAC,CACvB,UAAU,CvG+LA,OAAmD,CuG9L7D,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CAUZ,AAbD,AAKE,sBALoB,CAKpB,KAAK,CAAG,qBAAqB,AAAC,CAC5B,WAAW,CAAE,IAAI,CAClB,AAPH,AASE,sBAToB,CASpB,sBAAsB,AAAC,CACrB,MAAM,CAAE,SAAS,CACjB,cAAc,CAAE,MAAM,CACvB,AAGH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CAwCZ,AAzCD,AAGE,WAHS,CAGT,gBAAgB,AAAC,CACf,SAAS,CvGaD,QAAQ,CuGZhB,WAAW,CAAE,IAAI,CACjB,KAAK,CtGpCC,IAAO,CsGqCd,AAPH,AASE,WATS,CAST,qBAAqB,AAAC,CACpB,SAAS,CvGQD,QAAQ,CuGPhB,KAAK,CvGyJG,OAAoD,CuGxJ7D,AAZH,AAcE,WAdS,CAcT,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACvB,AAjBH,AAsBE,WAtBS,CAsBT,mBAAmB,AAAC,CAClB,KAAK,CAJA,IAAI,CAKV,AAxBH,AA0BE,WA1BS,CA0BT,aAAa,AAAC,CACZ,eAAe,CARV,IAAI,CAST,MAAM,CATD,IAAI,CAUT,KAAK,CAVA,IAAI,CAWT,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAM7B,AAxCH,AAoCI,WApCO,CA0BT,aAAa,CAUX,OAAO,AAAC,CACN,MAAM,CAjBE,UAAW,CAkBnB,KAAK,CAlBG,UAAW,CAmBpB,AAIL,AAAA,yBAAyB,AAAC,CACxB,YAAY,CAAE,IAAI,CAKnB,AAND,AAGE,yBAHuB,AAGtB,MAAM,AAAC,CACN,gBAAgB,CtGtEX,OAAO,CsGuEb,AAGH,AAAA,KAAK,AAAA,kBAAkB,AAAC,CACtB,KAAK,CAAE,IAAI,CAaZ,AAdD,AAGE,KAHG,AAAA,kBAAkB,CAGrB,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACf,AALH,AAOE,KAPG,AAAA,kBAAkB,CAOrB,iCAAiC,AAAC,CAChC,MAAM,CAAE,OAAO,CAKhB,AAbH,AAUI,KAVC,AAAA,kBAAkB,CAOrB,iCAAiC,CAG/B,OAAO,AAAC,CACN,KAAK,CvGwGC,OAAmD,CuGvG1D,AAIL,AAAA,KAAK,AAAA,cAAc,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CAqCpB,AAvCD,AAIE,KAJG,AAAA,cAAc,CAIjB,EAAE,AAAA,YAAY,AAAC,CACb,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,IAAI,CACjB,AAPH,AASE,KATG,AAAA,cAAc,CASjB,EAAE,AAAA,WAAW,AAAC,CACZ,KAAK,CAAE,EAAE,CACV,AAXH,AAaE,KAbG,AAAA,cAAc,CAajB,EAAE,AAAA,sBAAsB,AAAC,CACvB,KAAK,CAAE,EAAE,CACV,AAfH,AAiBE,KAjBG,AAAA,cAAc,CAiBjB,EAAE,AAAC,CACD,UAAU,CAAE,MAAM,CACnB,AAnBH,AAsBI,KAtBC,AAAA,cAAc,CAqBjB,EAAE,CACA,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CAIf,AA3BL,AAwBM,KAxBD,AAAA,cAAc,CAqBjB,EAAE,CACA,UAAU,CAER,aAAa,AAAC,CACZ,KAAK,CtG1HH,IAAO,CsG2HV,AA1BP,AA6BI,KA7BC,AAAA,cAAc,CAqBjB,EAAE,CAQA,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,IAAI,CACjB,AA/BL,AAiCI,KAjCC,AAAA,cAAc,CAqBjB,EAAE,CAYA,EAAE,AAAC,CACD,UAAU,CAAE,MAAM,CAClB,KAAK,CvGgEC,OAAmD,CuG/DzD,OAAO,CAAE,OAAO,CACjB,AAIL,AAAA,kBAAkB,AAAC,CACjB,KAAK,CtG3IG,IAAO,CsG4IhB,AAED,AACE,cADY,CACZ,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACtB,AAHH,AAKE,cALY,CAKZ,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CAKZ,AAZH,AASI,cATU,CAKZ,qBAAqB,CAInB,eAAe,AAAC,CACd,gBAAgB,CAAE,OAAO,CAC1B,AAIL,AAAA,gBAAgB,AAAC,CACf,YAAY,CAAE,IAAI,CACnB,AAED,AAEI,kBAFc,CAChB,6BAA6B,CAC3B,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,cAAc,CAAE,MAAM,CACvB,AALL,AAOI,kBAPc,CAChB,6BAA6B,CAM3B,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACrB,cAAc,CAAE,MAAM,CACvB,AC1KL,AAAA,GAAG,AAAA,MAAM,AAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,KAAK,CAAC,GAAG,AAAA,MAAM,CACf,GAAG,CAAC,GAAG,AAAA,MAAM,CACb,GAAG,CAAC,GAAG,AAAA,MAAM,AAAC,CACZ,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACb,AAED,AAAA,aAAa,AAAC,CACZ,eAAe,CAAE,WAAW,CAC5B,OAAO,CxGoEM,IAAI,CwGnEjB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,KAAK,CACb,KAAK,CvGpBG,IAAO,CuGqBf,gBAAgB,CvGpBN,IAAO,CuGqBjB,MAAM,CAAE,GAAG,CAAC,KAAK,CxG8KP,OAAmD,CwG7K9D,AAED,AAAA,aAAa,CAAC,kBAAkB,AAAC,CAC/B,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,YAAY,CAAE,GAAG,CAAC,KAAK,CxGqKb,OAAmD,CwGpK7D,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,aAAa,CAAC,cAAc,AAAC,CAC3B,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,QAAQ,CAChB,cAAc,CAAE,eAAe,CAC/B,MAAM,CAAE,eAAe,CAMxB,AAVD,AAME,aANW,CAAC,cAAc,CAM1B,MAAM,AAAA,MAAM,AAAC,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,aAAa,CAAC,cAAc,AAAA,QAAQ,CACpC,aAAa,CAAC,cAAc,AAAA,MAAM,AAAC,CACjC,cAAc,CAAE,aAAa,CAC7B,MAAM,CAAE,aAAa,CACtB,AAED,AAAA,aAAa,CAAC,YAAY,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,EAAE,CACT,AAED,AAAA,aAAa,CAAC,KAAK,AAAC,CAClB,UAAU,CAAE,MAAM,CAClB,0BAA0B,CAAE,KAAK,CACjC,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,aAAa,CAAC,eAAe,AAAC,CAC5B,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,GAAG,CACnB,eAAe,CAAE,aAAa,CAC9B,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,aAAa,CAAC,eAAe,CAAC,MAAM,AAAC,CACnC,KAAK,CvG/EG,IAAO,CuGgFhB,AAED,AAAA,aAAa,CAAC,eAAe,CAAC,aAAa,CAAC,GAAG,AAAC,CAC9C,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CvGhFU,IAAO,CuGqFvB,AARD,AAKE,aALW,CAAC,eAAe,CAAC,aAAa,CAAC,GAAG,AAK5C,MAAM,AAAC,CACN,KAAK,CvGxFC,IAAO,CuGyFd,AAGH,AAAA,aAAa,CAAC,cAAc,AAAC,CAC3B,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,OAAO,CAAE,GAAG,CACb,AAED,AAAA,aAAa,CAAC,OAAO,AAAC,CACpB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,UAAU,CAAE,GAAG,CAAC,KAAK,CxG4FX,OAAmD,CwG3F9D,AAED,AAAA,aAAa,CAAC,KAAK,AAAC,C9F/ClB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C8F+CvB,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,GAAG,CAChB,SAAS,CAAE,KAAK,CACjB,AAED,AAAA,aAAa,CAAC,iBAAiB,AAAC,CAC9B,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,QAAQ,CACzB,OAAO,CAAE,GAAG,CACb,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAC,CAC/C,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CAChB,MAAM,CAAE,CAAC,CACT,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,MAAM,CAAE,OAAO,CAChB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,QAAQ,AAAC,CACvD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,MAAM,AAAC,CACrD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,aAAa,AAAC,CAC5D,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,OAAO,AAAC,CACtD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,YAAY,AAAC,CAC3D,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,KAAK,AAAC,CACpD,UAAU,CAAE,OAAO,CACpB,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,SAAS,CAAC,OAAO,AAAC,CAChE,OAAO,CAAE,KAAK,CACf,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,OAAO,AAAC,CACtC,OAAO,CAAE,IAAI,CACd,AAFD,AAAA,aAAa,CAAC,iBAAiB,CAAC,OAAO,AAIC,CACtC,KAAK,CAAE,IAAI,CACX,SAAS,CxG9GF,GAAG,CwG+GV,MAAM,CAAE,0CAA6C,CACtD,AAED,AAAA,aAAa,CAAC,MAAM,AAAA,MAAM,AAAC,CACzB,UAAU,CAAE,WAAW,CACvB,mBAAmB,CAAE,MAAM,CAC3B,iBAAiB,CAAE,SAAS,CAC5B,aAAa,CAAE,CAAC,CAChB,eAAe,CAAE,SAAS,CAC1B,eAAe,CAAE,WAAW,CAC5B,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CACZ,AAED,AAAA,aAAa,CAAC,cAAc,CAAC,MAAM,AAAA,MAAM,AAAA,MAAM,CAC/C,aAAa,CAAC,QAAQ,CAAC,MAAM,AAAA,MAAM,AAAA,MAAM,AAAC,CACxC,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAClB,gBAAgB,CAAE,OAAuB,CAC1C,AAED,AAAA,mBAAmB,AAAA,OAAO,AAAC,CACzB,OAAO,CxG1GM,IAAI,CwG2GjB,QAAQ,CAAE,KAAK,CACf,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,GAAG,CACZ,gBAAgB,CAAE,KAAK,CACxB,AAED,AAAA,aAAa,CAAC,OAAO,AAAC,CACpB,gBAAgB,CAAE,IAAI,CACtB,aAAa,CAAE,GAAG,CAAC,KAAK,CxGNd,OAAmD,CwGO7D,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,WAAW,CAAE,MAAM,CAKpB,AAXD,AAQE,aARW,CAAC,OAAO,CAQnB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,eAAe,CACvB,AAGH,AAAA,aAAa,CAAC,OAAO,CAAC,cAAc,AAAC,CACnC,KAAK,CvGjNU,IAAO,CuGkNtB,SAAS,CxGtKC,QAAQ,CwGuKlB,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,aAAa,CAAC,OAAO,CAAC,KAAK,AAAC,CAC1B,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,IAAI,CACb,KAAK,CvGpOG,IAAO,CuGqOf,UAAU,CvGpOA,IAAO,CuG0OlB,AAfD,AAWE,aAXW,CAAC,OAAO,CAAC,KAAK,AAWxB,MAAM,AAAC,CACN,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,aAAa,CAAC,OAAO,CAAC,KAAK,AAAA,WAAW,AAAC,CACrC,OAAO,CAAE,IAAI,CACd,AAED,AAAA,aAAa,CAAC,QAAQ,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,OAAO,CAAE,GAAG,CACZ,IAAI,CAAE,OAAO,CACd,AAED,AAAA,aAAa,CAAC,OAAO,CAAC,aAAa,AAAC,CAClC,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,KAAK,CvG3PU,IAAO,CuG4PtB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CAKd,AAbD,AAUE,aAVW,CAAC,OAAO,CAAC,aAAa,AAUhC,MAAM,AAAC,CACN,KAAK,CvGrQC,IAAO,CuGsQd,ACtQH,AAAA,WAAW,AAAA,cAAc,AAAC,CACxB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CzG+FC,CAAC,CyG1FV,AAPD,AAGE,UAHQ,AAGP,WAAW,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACT,AAGH,AAAA,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAgCnB,AAlCD,AAGE,cAHY,CAGZ,UAAU,CAAC,iBAAiB,AAAC,CAC3B,UAAU,CxGhBF,IAAO,CwGiBf,KAAK,CxGlBC,IAAO,CwGmBb,MAAM,CAAE,GAAG,CAAC,KAAK,CzGiLT,OAAmD,CyGhL3D,SAAS,CzG8BJ,GAAG,CyG7BR,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACb,AAVH,AAWE,cAXY,CAWZ,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CAkBnB,AA9BH,AAaI,cAbU,CAWZ,WAAW,CAET,sBAAsB,AAAC,CACrB,SAAS,CzGwBD,OAAQ,CyGvBhB,UAAU,CAAE,IAAI,CAKjB,AApBL,AAgBM,cAhBQ,CAWZ,WAAW,CAET,sBAAsB,CAGpB,MAAM,CAhBZ,cAAc,CAWZ,WAAW,CAET,sBAAsB,CAIpB,MAAM,AAAC,CACL,SAAS,CzGkBL,QAAQ,CyGjBb,AAnBP,AAqBI,cArBU,CAWZ,WAAW,AAUR,0BAA0B,CArB/B,cAAc,CAWZ,WAAW,AAWR,oBAAoB,CAtBzB,cAAc,CAWZ,WAAW,AAYR,8BAA8B,CAvBnC,cAAc,CAWZ,WAAW,AAaR,yBAAyB,AAAC,CACzB,KAAK,CAAE,KAAK,CAIb,AA7BL,AA0BM,cA1BQ,CAWZ,WAAW,AAUR,0BAA0B,CAKzB,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAWR,oBAAoB,CAInB,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAYR,8BAA8B,CAG7B,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAaR,yBAAyB,CAExB,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACtB,AA5BP,AA+BE,cA/BY,CA+BZ,iBAAiB,AAAC,CAChB,SAAS,CAAE,IAAI,CAChB,AAGH,AAGE,gBAHc,AAAA,QAAQ,CAGtB,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,E8ClHnB,uBAAuB,AAAA,QAAQ,CAE7B,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,E8CjHnB,oBAAoB,AAAA,QAAQ,CAC1B,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,C8ChHgB,CAC/B,KAAK,CzG+IG,OAAmD,CyG9I5D,AAGH,AAAA,qBAAqB,CAmBrB,WAAW,CAqDT,UAAU,C0BlHZ,uBAAuB,CAUrB,UAAU,A1BgCU,CACpB,SAAS,CzGTC,QAAQ,CyGyBnB,AAjBD,AAEE,qBAFmB,CAEnB,CAAC,AAAA,MAAM,CAiBT,WAAW,CAqDT,UAAU,CAtEV,CAAC,AAAA,MAAM,C0B5CT,uBAAuB,CAUrB,UAAU,C1BkCV,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,UAAU,CACtB,KAAK,CxG9DC,IAAO,CwG+Dd,AAED,AACE,KADG,CARP,qBAAqB,CASjB,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,E8CnGjB,KAAK,CAWP,WAAW,CAqDT,UAAU,CA/DR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,E8CxFnB,WAAW,CAXT,KAAK,CAgEL,UAAU,CA/DR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,E8CnGjB,KAAK,C0BlDP,uBAAuB,CAUrB,UAAU,C1ByCR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,EwErJnB,uBAAuB,C1BkDrB,KAAK,C0BxCL,UAAU,C1ByCR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,C8ClG0B,CACvC,KAAK,CzGiIC,OAAmD,CyGhI1D,AAXL,AAcE,qBAdmB,CAcnB,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9C6FtB,mBAAmB,E8CxFnB,WAAW,CAqDT,UAAU,CA1DV,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9C6FtB,mBAAmB,EwErJnB,uBAAuB,CAUrB,UAAU,C1B8CV,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9C6FtB,mBAAmB,C8C7FwB,CACvC,KAAK,CzG4HG,OAAmD,CyG3H5D,AAGH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,QAAQ,CAgI1B,AAlID,AAKI,WALO,CAIP,KAAK,CAAG,EAAE,AACT,YAAY,CAAC,KAAK,AAAC,CAClB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,GAAG,CAChB,AARL,AAUI,WAVO,CAIP,KAAK,CAAG,EAAE,AAMT,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACpB,AAZL,AAcI,WAdO,CAIP,KAAK,CAAG,EAAE,CAUV,qBAAqB,AAAC,CACpB,UAAU,CAAE,MAAM,CACnB,AAhBL,AAmBE,WAnBS,CAmBT,0BAA0B,AAAC,CACzB,MAAM,CAAE,IAAI,CAeb,AAnCH,AAsBI,WAtBO,CAmBT,0BAA0B,CAGxB,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CzGiGlB,OAAmD,CyGhGzD,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,MAAM,CACnB,AA3BL,AA6BI,WA7BO,CAmBT,0BAA0B,CAUxB,EAAE,CAAC,IAAI,AAAC,CACN,gBAAgB,CxGzGV,IAAO,CwG0Gb,KAAK,CzGyFC,OAAmD,CyGxFzD,OAAO,CAAE,KAAK,CACd,SAAS,CzG1DD,OAAQ,CyG2DjB,AAlCL,AAqCE,WArCS,CAqCT,EAAE,CArCJ,WAAW,CAsCT,EAAE,AAAC,CACD,WAAW,CzGlDK,GAAG,CyGmDnB,UAAU,CAAE,IAAI,CAChB,cAAc,CAAE,MAAM,CACvB,AA1CH,AA4CI,WA5CO,CA2CT,EAAE,CACA,MAAM,CAAC,OAAO,AAAC,CACb,KAAK,CzG2EC,OAAmD,CyG1E1D,AA9CL,AAgDE,WAhDS,CAgDT,EAAE,AAAC,CACD,KAAK,CzGuEG,OAAmD,CyGtE3D,SAAS,CzG5EJ,GAAG,CyG6ET,AAnDH,AAwDI,WAxDO,CAqDT,UAAU,CAGR,eAAe,CAAG,CAAC,AAAC,CAClB,cAAc,CAAE,IAAI,CACrB,AA1DL,AA8DI,WA9DO,CA6DT,iBAAiB,AACd,KAAK,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AAhEL,AAiEI,WAjEO,CA6DT,iBAAiB,CAIf,OAAO,AAAC,CACN,cAAc,CAAE,MAAM,CACtB,SAAS,CzGxFD,IAAK,CyGyFd,AApEL,AAuEE,WAvES,CAuET,iBAAiB,AAAC,CAChB,SAAS,CzGjGC,OAAQ,CyGkGlB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAgBpB,AA3FH,AA4EI,WA5EO,CAuET,iBAAiB,CAKf,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CAGf,QAAQ,CAAE,OAAO,CAClB,AAjFL,AAkFI,WAlFO,CAuET,iBAAiB,CAWf,CAAC,AAAA,cAAc,AAAA,IAAI,CAlFvB,WAAW,CAuET,iBAAiB,CAYf,CAAC,AAAA,cAAc,AAAA,IAAI,AAAC,CAClB,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CAClB,AAtFL,AAuFI,WAvFO,CAuET,iBAAiB,CAgBf,cAAc,AAAA,OAAO,AAAA,MAAM,CAvF/B,WAAW,CAuET,iBAAiB,CAiBf,cAAc,AAAA,IAAI,AAAC,CACjB,YAAY,CAAE,MAAM,CACrB,AA1FL,AA6FE,WA7FS,CA6FT,oBAAoB,AAAC,CACnB,YAAY,CAAE,GAAG,CAClB,AA/FH,AAiGE,WAjGS,CAiGT,cAAc,AAAC,CACb,SAAS,CzG3HC,OAAQ,CyG4HlB,UAAU,CAAE,GAAG,CACf,KAAK,CzGoBG,OAAmD,CyGnB3D,SAAS,CAAE,UAAU,CACrB,WAAW,CzGjHK,GAAG,CyGkHnB,aAAa,CAAE,IAAI,CACpB,AAxGH,AAyGE,WAzGS,CAyGT,eAAe,AAAA,MAAM,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AA3GH,AA6GE,WA7GS,CA6GT,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CAOnB,AArHH,AA+GI,WA/GO,CA6GT,IAAI,CAEF,CAAC,AAAA,IAAK,C9C8BV,YAAY,C8C9BY,CAClB,KAAK,CAAE,OAAO,CACf,AAjHL,AAkHI,WAlHO,CA6GT,IAAI,CAKF,CAAC,AAAA,YAAY,AAAC,CACZ,WAAW,CAAE,IAAI,CAClB,AApHL,AAwHI,WAxHO,CAuHT,IAAI,AAAA,MAAM,CACR,CAAC,AAAC,CACA,OAAO,CAAE,QAAQ,CAClB,AA1HL,AA8HI,WA9HO,CA6HT,IAAI,AAAA,SAAS,CACX,CAAC,AAAC,CACA,OAAO,CAAE,QAAQ,CAClB,AAIL,AAAA,aAAa,CACb,aAAa,CAAC,CAAC,AAAC,CACd,KAAK,CAAE,kBAAkB,CAC1B,AACD,AAAA,YAAY,CACZ,YAAY,CAAC,CAAC,AAAC,CACb,KAAK,CAAE,kBAAkB,CAC1B,AACD,AAAA,YAAY,CACZ,YAAY,CAAC,CAAC,AAAC,CACb,KAAK,CAAE,kBAAkB,CAC1B,AAED,AAAA,QAAQ,CAAC,WAAW,AAAC,CACnB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAIjB,AAND,AAGE,QAHM,CAAC,WAAW,CAGlB,EAAE,AAAC,CACD,gBAAgB,CAAE,WAAW,CAC9B,AAGH,AAAA,UAAU,AAAC,CACT,aAAa,CAAE,KAAK,CAYrB,AAbD,AAEE,UAFQ,CAER,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACd,AAJH,AAKE,UALQ,CAKR,OAAO,AAAC,CACN,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,KAAK,CzG1CG,OAAmD,CyG2C3D,SAAS,CzG7LJ,GAAG,CyG8LR,MAAM,CAAE,OAAO,CAChB,AAGH,AACE,WADS,CACT,MAAM,AAAC,CACL,aAAa,CAAE,CAAC,CAChB,SAAS,CzGrMJ,GAAG,CyGsMT,AAJH,AAKE,WALS,CAKT,QAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,EAAE,AAAA,oBAAoB,AAAA,OAAO,AAAC,CAC5B,OAAO,CAAE,IAAI,CACd,AAED,AAAA,EAAE,AAAA,oBAAoB,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,CAAC,CAUX,AAfD,AAOE,EAPA,AAAA,oBAAoB,CAOpB,EAAE,AAAC,CACD,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAVH,AAYE,EAZA,AAAA,oBAAoB,CAYpB,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,iBAAiB,AAAA,SAAS,AAAC,C/F/KzB,UAAU,CAAE,0DAAqE,CACjF,iBAAiB,CAAE,cAAgB,CACnC,aAAa,CAAE,cAAgB,CAC/B,SAAS,CAAE,cAAgB,C+F8K5B,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,MAAM,CAKhB,AAND,AAGE,kBAHgB,CAGhB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AAGH,AAAA,GAAG,AAAA,UAAU,AAAC,CACZ,KAAK,CzG9FK,OAAoD,CyGkG/D,AALD,AAEE,GAFC,AAAA,UAAU,CAEX,mBAAmB,AAAA,UAAU,AAAC,CAC5B,cAAc,CAAE,WAAW,CAC5B,AAGH,AAAA,UAAU,CAKV,cAAc,CyB3Sd,cAAc,CAIZ,EAAE,CAJJ,cAAc,CAKZ,EAAE,AzBiSO,CACT,OAAO,CAAE,QAAQ,CACjB,KAAK,CzGtGK,OAAoD,CyGuG/D,AAED,AAAA,cAAc,AAAC,CAEb,aAAa,CAAE,GAAG,CAAC,KAAK,CzGzGd,OAAmD,CyG0G9D,AAWD,AAAA,kBAAkB,AAAC,CACjB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,MAAM,CAClB,WAAW,CzG5PQ,GAAG,CyG6PvB,AC1TD,AAAA,qBAAqB,AAAC,CAEpB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,OAAO,CAC9B,kBAAkB,CAAE,kBAAkB,CACtC,YAAY,C1FOD,IAAmB,C0F2B/B,AAxCD,AAOE,qBAPmB,CAOnB,wBAAwB,AAAC,CACvB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AAZH,AAaE,qBAbmB,CAanB,0BAA0B,AAAC,CACzB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AAlBH,AAmBE,qBAnBmB,CAmBnB,gBAAgB,CAnBlB,qBAAqB,CAoBnB,aAAa,CApBf,qBAAqB,CAqBnB,QAAQ,AAAC,CACP,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AA1BH,AA2BE,qBA3BmB,CA2BnB,aAAa,AAAC,CACZ,SAAS,CAAE,IAAI,CAChB,AA7BH,AA8BE,qBA9BmB,CA8BnB,yBAAyB,CAAG,aAAa,CA9B3C,qBAAqB,CA+BnB,0BAA0B,CAAG,aAAa,AAAC,CACzC,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AAlCH,AAmCE,qBAnCmB,CAmCnB,yBAAyB,AAAC,CACxB,cAAc,CAAE,CAAC,CACjB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,KAAK,CACpB,AAvCH,AAAA,qBAAqB,AA0CC,CAEpB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,kBAAkB,CA0BlC,AAxED,AAOE,qBAPmB,CAOnB,wBAAwB,AAwCC,CACvB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAnDH,AAaE,qBAbmB,CAanB,0BAA0B,AAuCC,CACzB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvDH,AAmBE,qBAnBmB,CAmBnB,gBAAgB,CAnBlB,qBAAqB,CAoBnB,aAAa,CApBf,qBAAqB,CAqBnB,QAAQ,AAqCC,CACP,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AApBH,AAqBE,qBArBmB,CAqBnB,0BAA0B,CAAG,aAAa,AAAC,CACzC,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAlEH,AAmCE,qBAnCmB,CAmCnB,yBAAyB,AAgCC,CACxB,YAAY,CAAE,CAAC,CACf,qBAAqB,CAAE,KAAK,CAC5B,kBAAkB,CAAE,KAAK,CAC1B,AAGH,AACE,aADW,CACX,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,aAAa,C1FhEJ,IAAmB,C0FqE7B,AARH,AAKI,aALS,CACX,aAAa,CAIX,IAAI,AAAC,CACH,YAAY,C1FnEL,IAAmB,C0FoE3B,AAPL,AAUE,aAVW,CAUX,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CACnB,AAZH,AAcE,aAdW,CAcX,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAhBH,AAkBE,aAlBW,CAkBX,aAAa,AAAC,CACZ,KAAK,CzGvFF,OAAO,CyGwFX,AAGH,AACE,UADQ,CACR,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,IAAI,CA4LpB,AA/LH,AAMM,UANI,CACR,MAAM,AAIH,eAAe,CACd,mBAAmB,AAAC,CAClB,eAAe,CAAE,KAAK,CACtB,mBAAmB,CAAE,aAAa,CAClC,iBAAiB,CAAE,SAAS,CAC7B,AAVP,AAWM,UAXI,CACR,MAAM,AAIH,eAAe,CAMd,eAAe,AAAC,CACd,aAAa,CAAE,CAAC,CACjB,AAbP,AAgBI,UAhBM,CACR,MAAM,CAeJ,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,C1G6Ef,OAAmD,C0G/B1D,AAjEL,AAqBM,UArBI,CACR,MAAM,CAeJ,UAAU,CAKR,IAAI,AAAC,CACH,OAAO,CAAE,QAAQ,CAClB,AAvBP,AAyBM,UAzBI,CACR,MAAM,CAeJ,UAAU,CASR,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CAOlB,AAlCP,AA4BQ,UA5BE,CACR,MAAM,CAeJ,UAAU,CASR,EAAE,CAGA,GAAG,AAAC,CACF,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CACrB,YAAY,CAAE,IAAI,CAClB,MAAM,CAAE,KAAK,CACd,AAjCT,AAoCM,UApCI,CACR,MAAM,CAeJ,UAAU,CAoBR,EAAE,CApCR,UAAU,CACR,MAAM,CAeJ,UAAU,CAqBR,EAAE,AAAC,CACD,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACpB,AAxCP,AA0CM,UA1CI,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,UAAU,CAClB,KAAK,CzGjJH,IAAO,CyG8JV,AA1DP,AAgDU,UAhDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CACN,IAAI,AAAA,IAAK,CxBsLT,aAAa,CwBtLW,CACtB,YAAY,CAAE,MAAM,CACrB,AAlDX,AAmDU,UAnDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CAIN,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AArDX,AAsDU,UAtDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CAON,IAAI,AAAA,aAAa,AAAA,MAAM,AAAC,CACtB,OAAO,CAAE,EAAE,CACZ,AAxDX,AA4DM,UA5DI,CACR,MAAM,CAeJ,UAAU,CA4CR,EAAE,AAAC,CACD,KAAK,C1GiCD,OAAoD,C0GhCxD,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CACtB,AAhEP,AAmEI,UAnEM,CACR,MAAM,CAkEJ,QAAQ,AAAC,CACP,UAAU,CzGvKJ,kBAAO,CyGwKb,aAAa,CAAE,GAAG,CAAC,KAAK,C1G2BlB,OAAmD,C0GwC1D,AAxIL,AAuEM,UAvEI,CACR,MAAM,CAkEJ,QAAQ,CAIN,EAAE,AAAC,CACD,SAAS,C1G/HL,GAAG,C0GgIP,WAAW,CAAE,MAAM,CAIpB,AA7EP,AA0EQ,UA1EE,CACR,MAAM,CAkEJ,QAAQ,CAIN,EAAE,CAGA,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CACjB,AA5ET,AA+EM,UA/EI,CACR,MAAM,CAkEJ,QAAQ,CAYN,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,ChGzHrB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgGyHlB,AAnFP,AAqFM,UArFI,CACR,MAAM,CAkEJ,QAAQ,CAkBN,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,KAAK,CAIrB,AA3FP,AAwFQ,UAxFE,CACR,MAAM,CAkEJ,QAAQ,CAkBN,EAAE,CAGA,OAAO,AAAA,IAAK,CAAA,cAAc,CAAE,CAC1B,WAAW,CAAE,IAAI,CAClB,AA1FT,AA6FM,UA7FI,CACR,MAAM,CAkEJ,QAAQ,CA0BN,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,MAAM,CAChB,AAhGP,AAkGM,UAlGI,CACR,MAAM,CAkEJ,QAAQ,CA+BN,GAAG,AAAA,OAAO,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AApGP,AAsGM,UAtGI,CACR,MAAM,CAkEJ,QAAQ,CAmCN,UAAU,AAAC,CACT,KAAK,CzGpMJ,OAAO,CyGqMT,AAxGP,AA0GM,UA1GI,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAkBnB,AA9HP,AA8GQ,UA9GE,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAIN,EAAE,AAAC,CACD,WAAW,CAAE,IAAI,CAClB,AAhHT,AAkHQ,UAlHE,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,AAAC,CACH,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CASf,AA7HT,AAsHU,UAtHA,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,CAIF,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,eAAe,CAAE,SAAS,CAC3B,AAxHX,AA0HU,UA1HA,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,CAQF,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CAChB,AA5HX,AAgIM,UAhII,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CAKZ,AAvIP,AAmIQ,UAnIE,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,CAGlB,aAAa,AAAC,CACZ,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,IAAI,CACZ,AAtIT,AA2IM,UA3II,CACR,MAAM,CAyIJ,SAAS,CACP,EAAE,AAAC,CACD,eAAe,CAAE,IAAI,CACtB,AA7IP,AA+IM,UA/II,CACR,MAAM,CAyIJ,SAAS,CAKP,IAAI,AAAC,CACH,aAAa,CAAE,IAAI,CACnB,WAAW,C1GrLE,GAAG,C0GsLjB,AAlJP,AAsJM,UAtJI,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,AAAC,CACP,UAAU,CAAE,CAAC,CACb,UAAU,CzG3PN,kBAAO,CyGsRZ,AAnLP,AA0JQ,UA1JE,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAIN,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACd,AA5JT,AA8JQ,UA9JE,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CAmBZ,AAlLT,AAiKU,UAjKA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAGN,OAAO,AAAC,CACN,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AArKX,AAuKU,UAvKA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CASN,EAAE,AAAC,CACD,SAAS,C1G7NT,QAAQ,C0G8NT,AAzKX,AA2KU,UA3KA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAaN,EAAE,AAAC,CACD,SAAS,C1G/NT,QAAQ,C0GgOT,AA7KX,AA8KU,UA9KA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAgBN,EAAE,CA9KZ,UAAU,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAiBN,EAAE,AAAA,qBAAqB,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAjLX,AAsLQ,UAtLE,CACR,MAAM,AAoJH,eAAe,CAgCd,oBAAoB,CAClB,aAAa,AAAC,CACZ,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,GAAG,CAIX,AA5LT,AAyLU,UAzLA,CACR,MAAM,AAoJH,eAAe,CAgCd,oBAAoB,CAClB,aAAa,CAGX,OAAO,AAAC,CACN,SAAS,C1G5OZ,GAAG,C0G6OD,AA3LX,AAiME,UAjMQ,CAiMR,eAAe,AAAC,CACd,UAAU,CzGtSJ,IAAO,CyGuSb,KAAK,CzGtSG,IAAO,CyGuSf,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,aAAa,C1F1RJ,IAAmB,C0F6S7B,AAzNH,AAuMI,UAvMM,CAiMR,eAAe,CAMX,GAAG,CAvMT,UAAU,CAiMR,eAAe,CAOX,GAAG,CAAC,CAAC,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,UAAU,CAClB,KAAK,CzGhTC,IAAO,CyGuTd,AApNL,AA+MM,UA/MI,CAiMR,eAAe,CAMX,GAAG,CAQH,IAAI,CA/MV,UAAU,CAiMR,eAAe,CAOX,GAAG,CAAC,CAAC,CAOL,IAAI,AAAC,CACH,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,GAAG,CAClB,AAnNP,AAsNI,UAtNM,CAiMR,eAAe,CAqBb,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CAClB,AAxNL,AA2NE,UA3NQ,CA2NR,cAAc,AAAC,CACb,gBAAgB,CzGxTV,OAAO,CyGyTd,AA7NH,AA+NE,UA/NQ,CA+NR,cAAc,AAAC,CACb,gBAAgB,CAAE,OAAO,CAC1B,AAjOH,AAmOE,UAnOQ,CAmOR,kBAAkB,AAAC,CACjB,gBAAgB,C1GpIR,OAAmD,C0GqI5D,AArOH,AAuOE,UAvOQ,CAuOR,cAAc,AAAC,CACb,gBAAgB,C1GxIR,OAAmD,C0GyI5D,AAzOH,AA2OE,UA3OQ,CA2OR,YAAY,AAAC,CACX,gBAAgB,CzGzUX,OAAO,CyG0Ub,AA7OH,AA+OE,UA/OQ,CA+OR,WAAW,AAAC,CACV,aAAa,CAAE,IAAI,CAgBpB,AAhQH,AAmPM,UAnPI,CA+OR,WAAW,CAGT,SAAS,CACP,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,MAAM,CACpB,AAvPP,AAyPM,UAzPI,CA+OR,WAAW,CAGT,SAAS,CAOP,aAAa,AAAC,CACZ,KAAK,C1G1JD,OAAmD,C0G2JvD,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,IAAI,CACnB,SAAS,C1G9SH,OAAQ,C0G+Sf,AA9PP,AAkQI,UAlQM,CAiQR,aAAa,CACX,eAAe,CAAC,GAAG,AAAC,CAClB,MAAM,CAAE,CAAC,CAIV,AAvQL,AAoQM,UApQI,CAiQR,aAAa,CACX,eAAe,CAAC,GAAG,CAEjB,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAKP,AACE,WADS,CACT,SAAS,AAAC,CACR,cAAc,CAAE,GAAG,CACnB,KAAK,CzG3WA,OAAO,CyG4WZ,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACpB,AAGH,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CASnB,AAXD,AAIE,mBAJiB,CAIjB,gBAAgB,AAAC,CACf,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,eAAe,CARjB,mBAAmB,AAQC,CAChB,OAAO,CAAE,IAAI,CACd,AAGH,AACE,gBADc,CACd,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,YAAY,CACnC,kBAAkB,CAAE,SAAS,CAC7B,WAAW,CAAE,MAAM,CAapB,AAlBH,AAMI,gBANY,CACd,cAAc,AAKX,IAAK,CxBjEA,aAAa,CwBiEE,CACnB,aAAa,CAAE,MAAM,CACtB,AARL,AASI,gBATY,CACd,cAAc,CAQZ,IAAI,AAAC,CACH,UAAU,CAAE,UAAU,CACvB,AAXL,AAYI,gBAZY,CACd,cAAc,CAWZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,UAAU,CAAE,CAAC,CACd,AAdL,AAeI,gBAfY,CACd,cAAc,CAcZ,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAjBL,AAoBE,gBApBc,CAoBd,KAAK,AAAA,MAAM,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAJO,KAAK,CAKrB,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,CAAC,CAKX,AA9BH,AA0BI,gBA1BY,CAoBd,KAAK,AAAA,MAAM,CAMT,OAAO,AAAC,CACN,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,YAAY,CACrB,AA7BL,AA+BE,gBA/Bc,CA+Bd,MAAM,AAAC,CACL,KAAK,CzG9ZA,OAAO,CyG+ZZ,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,kBAAgC,CAC3C,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AArCH,AACE,gBADc,CACd,cAAc,AAuCC,CACb,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,YAAY,CAC9B,aAAa,CAAE,SAAS,CAiBzB,AA5DH,AAYI,gBAZY,CACd,cAAc,CAWZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAgCc,CAClB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA/CL,AAgDI,gBAhDY,CAwCd,cAAc,CAQZ,KAAK,AAAA,MAAM,AAAC,CACV,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAnDL,AAoDI,gBApDY,CAwCd,cAAc,CAYZ,IAAI,AAAA,gBAAgB,AAAC,CACnB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvDL,AAwDI,gBAxDY,CAwCd,cAAc,CAgBZ,MAAM,AAAC,CACL,YAAY,CAAE,CAAC,CACf,oBAAoB,CAAE,CAAC,CACxB,AAIL,AhGtaE,YgGsaU,AhGtaT,OAAO,CgGsaV,YAAY,AhGraT,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgGkaH,AhGjaE,YgGiaU,AhGjaT,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgG+ZH,AAEE,YAFU,CAEV,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,YAAY,CACZ,gBAAgB,AAAC,CACf,aAAa,CAAE,IAAI,CAKpB,AAPD,AAGE,YAHU,AAGT,eAAe,CAFlB,gBAAgB,AAEb,eAAe,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAChB,AAGH,AAAA,YAAY,AAAC,CACX,cAAc,CAAE,SAAS,CACzB,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACZ,AAED,AACE,cADY,CACZ,EAAE,AAAC,CACD,MAAM,CAAE,MAAM,CACf,AAHH,AAKE,cALY,CAKZ,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,gBAAgB,CACzB,MAAM,CAAE,aAAa,CAatB,AArBH,AAUI,cAVU,CAKZ,EAAE,AAKC,YAAY,AAAC,CAEZ,OAAO,CAAE,CAAC,CAQX,AApBL,AAaM,cAbQ,CAKZ,EAAE,AAKC,YAAY,CAGX,CAAC,AAAC,CACA,OAAO,CAAE,gBAAgB,CACzB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CACd,KAAK,CzG7eH,IAAO,CyG8eV,AAnBP,AAuBE,cAvBY,CAuBZ,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,SAAS,C1GpcD,QAAQ,C0GqcjB,AA1BH,AA4BE,cA5BY,CA4BZ,MAAM,AAAC,CACL,KAAK,C1GpTG,OAAmD,C0GqT5D,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,GAAG,CAoBX,AArBD,AAGE,gBAHc,CAGd,EAAE,AAAC,CACD,SAAS,CAAE,GAAG,CACf,AALH,AAOE,gBAPc,CAOd,EAAE,AAAC,CACD,WAAW,C1GhUH,OAAmD,C0GgUjC,KAAK,CAAC,GAAG,CACnC,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,MAAM,CACf,AAXH,AAaE,gBAbc,CAad,WAAW,AAAC,CACV,KAAK,C1GtUG,OAAmD,C0GuU5D,AAED,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAjBlC,AAAA,gBAAgB,AAAC,CAkBb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CAEd,CAED,AAGE,gBAHc,CAGd,EAAE,CAFJ,eAAe,CAEb,EAAE,CADJ,cAAc,CACZ,EAAE,AAAC,CACD,SAAS,CAAE,UAAU,CACtB,AAGH,AACE,cADY,CACZ,OAAO,AAAC,CACN,SAAS,C1G1eC,OAAQ,C0G2elB,KAAK,C1G1VG,OAAmD,C0G2V5D,AAGH,AACE,uBADqB,CACrB,KAAK,AAAC,CACJ,SAAS,CAAE,GAAG,CAYf,AAdH,AAGI,uBAHmB,CACrB,KAAK,CAEH,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AALL,AAMI,uBANmB,CACrB,KAAK,CAKH,EAAE,CANN,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CAKf,AAbL,AASM,uBATiB,CACrB,KAAK,CAKH,EAAE,AAGC,YAAY,CATnB,uBAAuB,CACrB,KAAK,CAKH,EAAE,AAIC,YAAY,CAVnB,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAEC,YAAY,CATnB,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAGC,YAAY,AAAC,CACZ,UAAU,CAAE,MAAM,CACnB,AAKP,AACE,kBADgB,CAChB,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAGH,AACE,OADK,CACL,WAAW,AAAC,CACV,KAAK,CzGzjBE,OAAO,CyG0jBf,AAGH,AACE,iBADe,CACf,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACd,AAHH,AAMI,iBANa,CAKf,kBAAkB,CAChB,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,YAAY,CAItB,AAZL,AASM,iBATW,CAKf,kBAAkB,CAChB,KAAK,CAGH,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AhGvjBL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EgG4iBrC,AAaI,iBAba,CAKf,kBAAkB,CAQhB,WAAW,AAAA,aAAa,AAAC,CAErB,KAAK,CAAE,IAAI,CAEd,CAjBL,AAkBI,iBAlBa,CAKf,kBAAkB,CAahB,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACb,AApBL,AAuBE,iBAvBe,CAuBf,OAAO,AAAC,CACN,KAAK,CzGvlBC,IAAO,CyGwlBb,OAAO,CAAE,YAAY,CACtB,AA1BH,AA4BE,iBA5Be,CA4Bf,aAAa,AAAC,CACZ,KAAK,C1GxZG,OAAmD,C0GyZ3D,aAAa,CAAE,IAAI,CACnB,SAAS,C1G3iBC,OAAQ,C0G4iBlB,WAAW,C1G9hBK,GAAG,C0GmiBpB,AArCH,AAkCI,iBAlCa,CA4Bf,aAAa,CAMX,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzGhmBA,OAAO,CyGimBb,AApCL,AAuCE,iBAvCe,CAuCf,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AAzCH,AA2CE,iBA3Ce,CA2Cf,QAAQ,AAAC,CACP,gBAAgB,C1GvaR,OAAmD,C0Gwa3D,OAAO,CAAE,OAAO,CAChB,KAAK,CzG5mBG,IAAO,CyG6mBf,KAAK,CAAE,KAAK,CACb,AAhDH,AAkDE,iBAlDe,CAkDf,aAAa,AAAC,CACZ,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,IAAI,CACpB,AArDH,AAuDE,iBAvDe,CAuDf,kBAAkB,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,AAzDH,AA2DE,iBA3De,AA2Dd,iCAAiC,AAAC,CACjC,YAAY,CAAE,CAAC,CAsDhB,AAlHH,AA8DI,iBA9Da,AA2Dd,iCAAiC,CAGhC,0BAA0B,AAAC,CACzB,YAAY,CAAE,IAAI,CACnB,AAhEL,AAkEI,iBAlEa,AA2Dd,iCAAiC,CAOhC,gBAAgB,CAAC,aAAa,AAAC,CAC7B,WAAW,CAAE,CAAC,CACf,AApEL,AAsEI,iBAtEa,AA2Dd,iCAAiC,CAWhC,aAAa,AAAC,CACZ,MAAM,CAAE,KAAK,CA0Cd,AAjHL,AAyEM,iBAzEW,AA2Dd,iCAAiC,CAWhC,aAAa,CAGX,QAAQ,AAAC,CACP,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,C1Gzcb,OAAmD,C0G0cxD,AA/EP,AAiFM,iBAjFW,AA2Dd,iCAAiC,CAWhC,aAAa,CAWX,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,SAAS,CAMvB,AAlGP,AA8FQ,iBA9FS,AA2Dd,iCAAiC,CAWhC,aAAa,CAWX,kBAAkB,AAaf,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,YAAY,C1G3dV,OAAmD,C0G4dtD,AAjGT,AAoGM,iBApGW,AA2Dd,iCAAiC,CAWhC,aAAa,CA8BX,sBAAsB,CApG5B,iBAAiB,AA2Dd,iCAAiC,CAWhC,aAAa,CA+BX,0BAA0B,AAAC,CACzB,KAAK,CAAE,GAAG,CACV,QAAQ,CAAE,QAAQ,CACnB,AAxGP,AA0GM,iBA1GW,AA2Dd,iCAAiC,CAWhC,aAAa,CAoCX,sBAAsB,AAAC,CACrB,GAAG,CAAE,GAAG,CACT,AA5GP,AA8GM,iBA9GW,AA2Dd,iCAAiC,CAWhC,aAAa,CAwCX,0BAA0B,AAAC,CACzB,GAAG,CAAE,IAAI,CACV,AAhHP,AAqHI,iBArHa,CAoHf,yBAAyB,CAAC,KAAK,CAC7B,EAAE,AAAC,CACD,OAAO,CAAE,GAAG,CACb,AAIL,AACE,sBADoB,CACpB,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,CAAC,CACd,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAwBpB,AA1BD,AAIE,mBAJiB,CAIjB,CAAC,AAAC,CACA,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAmBpB,AAzBH,AAQI,mBARe,CAIjB,CAAC,CAIC,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACpB,AAVL,AAYI,mBAZe,CAIjB,CAAC,CAQC,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CzG9sBD,IAAO,CyG+sBZ,AAdL,AAkBM,mBAlBa,CAIjB,CAAC,CAaC,GAAG,CACD,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACd,AApBP,AAqBM,mBArBa,CAIjB,CAAC,CAaC,GAAG,CAID,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAKP,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CAKd,AAND,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CACP,OAAO,CAAE,aAAa,CACtB,gBAAgB,CAAE,KAAK,CACxB,AAGH,AACE,cADY,AACX,aAAa,AAAC,CACb,KAAK,C1GniBG,OAAmD,C0GoiB3D,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,IAAI,CACnB,SAAS,C1GvrBC,OAAQ,C0GwrBnB,AANH,AAOE,cAPY,CAOZ,mBAAmB,AAAC,CAClB,UAAU,CAAE,MAAM,CACnB,AATH,AAUE,cAVY,CAUZ,IAAI,AAAA,KAAK,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,gBAAgB,CAAC,OAAO,CACxB,UAAU,CAAC,OAAO,AAAC,CACjB,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,OAAO,CAapB,AAhBD,AAIE,mBAJiB,CAIjB,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CAStB,AAfH,AAOI,mBAPe,CAIjB,kBAAkB,CAGhB,OAAO,AAAC,CACN,MAAM,CAAE,OAAO,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CAIb,AAdL,AAWM,mBAXa,CAIjB,kBAAkB,CAGhB,OAAO,AAIJ,MAAM,AAAC,CACN,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,IAAI,CzGrwBlB,IAAO,CyGswBV,ACtwBP,AAAA,mBAAmB,AAAA,YAAY,AAAC,CAC9B,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,C3G4Ld,OAAmD,C2G3L9D,AAED,AAAA,UAAU,CAAC,SAAS,CAAC,EAAE,AAAC,CACtB,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,SAAS,CAAC,QAAQ,AAAC,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACZ,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,MAAM,CAWvB,AAhBD,AAOE,SAPO,CAAC,QAAQ,CAOhB,cAAc,AAAC,CACb,SAAS,C3G2BJ,GAAG,C2G1BT,AATH,AAWE,SAXO,CAAC,QAAQ,CAWhB,UAAU,AAAC,CACT,SAAS,C3GwBC,OAAQ,C2GvBlB,cAAc,CAAE,MAAM,CACtB,WAAW,C3GkCK,CAAC,C2GjClB,AAGH,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,MAAM,CAOtB,AjG3BC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EiGcrC,AAAA,iBAAiB,AAAC,CAQd,KAAK,CAAE,IAAI,CAKd,CAbD,AAUE,iBAVe,CAUf,OAAO,AAAC,CACN,MAAM,CAAE,QAAQ,CACjB,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAUpB,AAbD,AAKE,eALa,CAKb,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACpB,AARH,AAUE,eAVa,CAUb,cAAc,AAAC,CACb,UAAU,CAAE,CAAC,CACd,AAKH,AAAA,oBAAoB,AAAC,CACnB,SAAS,C3GfG,OAAQ,C2GgBpB,KAAK,C3GiIK,OAAmD,C2GhI7D,WAAW,C3GLO,CAAC,C2GMnB,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,YAAY,CjGdrB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiGcvB,cAAc,CAAE,MAAM,CACvB,AALD,AAAA,cAAc,AAOC,CACb,MAAM,CAAE,CAAC,CACT,KAAK,C3GmHK,OAAmD,C2GjE9D,AApDD,AAIE,cAJY,AAIX,QAAQ,CAJX,cAAc,AAKX,MAAM,AAAC,CACN,KAAK,C3G+GG,OAAmD,C2G9G5D,AAED,AAAA,mBAAmB,CATrB,cAAc,AASU,CACpB,KAAK,C3G2GG,OAAmD,C2G3G/B,UAAU,CACvC,AAXH,AAaE,cAbY,AAaX,MAAM,AAAC,CACN,SAAS,C3G7CD,QAAQ,C2G8CjB,AAfH,AAiBE,cAjBY,AAiBX,IAAI,AAAC,CACJ,gBAAgB,C3GmGR,OAAmD,C2GlG3D,KAAK,C3GkGG,OAAmD,C2GjG3D,OAAO,CAAE,OAAO,CAKjB,AAJC,AAAA,mBAAmB,CArBvB,cAAc,AAiBX,IAAI,AAImB,CACpB,gBAAgB,C3G+FV,OAAmD,C2G9FzD,KAAK,C3G8FC,OAAmD,C2G7F1D,AAxBL,AA2BE,cA3BY,AA2BX,OAAO,CA3BV,cAAc,AA4BX,OAAO,AAAA,QAAQ,CA5BlB,cAAc,AA6BX,OAAO,AAAA,MAAM,AAAC,CACb,YAAY,CAAE,CAAC,CACf,KAAK,C3GsFG,OAAmD,C2GrF5D,AAhCH,AAkCE,cAlCY,AAkCX,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACnB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CAcpB,AAnDH,AAsCI,cAtCU,AAkCX,OAAO,AAIL,OAAO,AAAC,CACP,UAAU,C3G8EJ,OAAmD,C2G7EzD,YAAY,CAAE,GAAG,CACjB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,EAAE,CACZ,AA9CL,AA+CI,cA/CU,AAkCX,OAAO,AAaL,MAAM,AAAA,OAAO,AAAC,CACb,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAIL,AAEE,eAFa,CAEb,cAAc,AAAA,OAAO,AAAA,IAAK,CjC0lBlB,WAAW,CiC1lBmB,MAAM,CAD9C,UAAU,CACR,cAAc,AAAA,OAAO,AAAA,IAAK,CjC0lBlB,WAAW,CiC1lBmB,MAAM,AAAC,CAC3C,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,GAAG,CACjB,AAGH,AACE,SADO,CAAC,mBAAmB,CAC3B,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,C3G7FC,OAAQ,C2G8FnB,AAJH,AAKE,SALO,CAAC,mBAAmB,CAK3B,eAAe,CAAG,oBAAoB,AAAC,CACrC,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,WAAW,CAAC,mBAAmB,AAAC,CAC9B,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,gBAAgB,CAAC,eAAe,AAAC,CAC/B,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,C3G3GG,OAAQ,C2G4GrB,AAED,AAAA,gBAAgB,CAAC,kBAAkB,CAAC,eAAe,AAAC,CAClD,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,YAAY,CAAC,gBAAgB,CAAC,eAAe,AAAC,CAC5C,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,SAAS,C3GrHG,OAAQ,C2GsHpB,UAAU,CAAE,CAAC,CAQd,AAZD,AAKE,YALU,CAAC,gBAAgB,CAAC,eAAe,CAK3C,cAAc,AAAC,CACb,YAAY,CAAE,KAAK,CACpB,AAPH,AAQE,YARU,CAAC,gBAAgB,CAAC,eAAe,CAQ3C,cAAc,AAAA,IAAI,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACP,AAGH,AAAA,MAAM,CAAC,cAAc,AAAC,CACpB,KAAK,C3GgBK,OAAmD,C2Gf9D,AAED,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,GAAG,CACjB,SAAS,C3GvIG,OAAQ,C2GwIrB,AAED,AAAA,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,cAAc,CAAC,YAAY,AAAC,CAC1B,KAAK,CAAE,KAAK,CACb,AAED,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CAOpB,AARD,AAEE,iBAFe,CAEf,CAAC,AAAC,CACA,eAAe,CAAE,SAAS,CAC3B,AAJH,AAKE,iBALe,CAKf,IAAI,AAAA,OAAO,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,IAAI,CAClB,AAGH,AACE,aADW,CACX,WAAW,AAAC,CACV,KAAK,C3GdG,OAAmD,C2Ge3D,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,aANW,CAMX,CAAC,AAAC,CACA,KAAK,C3GnBG,OAAmD,C2GoB5D,AAGH,AAAA,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAIjB,AALD,AAEE,gBAFc,CAEd,EAAE,AAAC,CACD,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,qBAAqB,AAAC,CACpB,UAAU,CAAE,IAAI,CA0CjB,AA3CD,AAEE,qBAFmB,CAEnB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,MAAM,CAOf,AAZH,AAMI,qBANiB,CAEnB,aAAa,CAIX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AARL,AASI,qBATiB,CAEnB,aAAa,CAOX,IAAI,AAAC,CACH,WAAW,CAAE,IAAI,CAClB,AAXL,AAaE,qBAbmB,CAanB,kBAAkB,AAAC,CACjB,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,KAAK,CAeb,AA9BH,AAgBI,qBAhBiB,CAanB,kBAAkB,CAGhB,OAAO,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AAlBL,AAmBI,qBAnBiB,CAanB,kBAAkB,CAMhB,KAAK,AAAC,CACJ,SAAS,C3GpMN,GAAG,C2GqMN,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAvBL,AAwBI,qBAxBiB,CAanB,kBAAkB,CAWhB,IAAI,AAAC,CACH,YAAY,CAAE,IAAI,CACnB,AA1BL,AA2BI,qBA3BiB,CAanB,kBAAkB,CAchB,EAAE,CAAC,KAAK,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AA7BL,AA+BE,qBA/BmB,CA+BnB,gBAAgB,CAAC,YAAY,AAAC,CAC5B,KAAK,CAAE,IAAI,CACZ,AAjCH,AAkCE,qBAlCmB,CAkCnB,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CAClB,AApCH,AAsCI,qBAtCiB,CAqCnB,mBAAmB,CACjB,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CACnB,AAIL,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAmBnB,AArBD,AAIE,SAJO,CAIP,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AANH,AAOE,SAPO,CAOP,cAAc,CAPhB,SAAS,CAQP,aAAa,CARf,SAAS,CASP,iBAAiB,AAAC,CAChB,UAAU,CAAE,GAAG,CAChB,AAXH,AAYE,SAZO,CAYP,SAAS,AAAC,CACR,MAAM,CAAE,IAAI,CAIb,AAjBH,AAcI,SAdK,CAYP,SAAS,CAEP,OAAO,AAAC,CACN,KAAK,C3G1FC,OAAmD,C2G2F1D,AAhBL,AAkBE,SAlBO,CAkBP,MAAM,AAAC,CACL,aAAa,CAAE,GAAG,CACnB,ACnSH,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,CAAC,CACP,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,SAAS,CAAE,MAAM,CACjB,KAAK,CAAE,IAAI,CAOX,OAAO,C5G8EM,GAAG,C4G7EhB,UAAU,CAAE,oFACU,CACtB,gBAAgB,C3GpBN,IAAO,C2GqBjB,UAAU,C5G+GE,CAAC,CAAE,IAAG,CAAC,IAAI,CAAC,gBAAmB,C4GmM5C,AAxUD,AAYE,cAZY,AAYX,aAAa,AAAC,CACb,SAAS,CAAE,KAAK,CACjB,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EAftC,AAAA,cAAc,AAAC,CAgBX,SAAS,CAAE,CAAC,CAwTf,CAxUD,AAwBE,cAxBY,CAwBZ,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AA3BH,AA6BE,cA7BY,CA6BZ,YAAY,CA7Bd,cAAc,CA8BZ,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,YAAY,CAAE,IAAI,CASnB,AAzCH,AAiCI,cAjCU,CA6BZ,YAAY,CAIV,QAAQ,CAjCZ,cAAc,CA8BZ,WAAW,CAGT,QAAQ,AAAC,CACP,WAAW,CAAE,GAAG,CAChB,YAAY,C3GlCN,IAAO,C2GmCb,kBAAkB,CAAE,WAAW,CAChC,AArCL,AAsCI,cAtCU,CA6BZ,YAAY,CASV,OAAO,CAtCX,cAAc,CA8BZ,WAAW,CAQT,OAAO,AAAC,CACN,KAAK,C3GtCC,IAAO,C2GuCd,AAxCL,AA2CE,cA3CY,AA2CX,KAAK,AAAC,CACL,MAAM,CAAE,KAAK,CAId,AAhDH,AA6CI,cA7CU,AA2CX,KAAK,AAEH,WAAW,AAAC,CACX,MAAM,CAAE,KAAK,CACd,AA/CL,AAkDE,cAlDY,AAkDX,OAAO,AAAC,CACP,MAAM,CAAE,YAAY,CACrB,AApDH,AAsDE,cAtDY,AAsDX,MAAM,CAtDT,cAAc,AAuDX,OAAO,AAAC,CACP,MAAM,CAAE,eAAe,CACvB,WAAW,CAAE,MAAM,CACnB,UAAU,C3GxDH,OAAO,C2GyDd,KAAK,C3G1DG,IAAO,C2G2Df,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CAYZ,AAzEH,AA8DI,cA9DU,AAsDX,MAAM,CAQL,kBAAkB,CA9DtB,cAAc,AAuDX,OAAO,CAON,kBAAkB,AAAC,CACjB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAOnB,AAxEL,AAkEM,cAlEQ,AAsDX,MAAM,CAQL,kBAAkB,CAIhB,eAAe,CAlErB,cAAc,AAuDX,OAAO,CAON,kBAAkB,CAIhB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AApEP,AAqEM,cArEQ,AAsDX,MAAM,CAQL,kBAAkB,CAOhB,OAAO,CArEb,cAAc,AAuDX,OAAO,CAON,kBAAkB,CAOhB,OAAO,AAAC,CACN,KAAK,C3GrED,IAAO,C2GsEZ,AAvEP,AA2EE,cA3EY,AA2EX,MAAM,AAAC,CACN,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,IAAI,CAWd,AAxFH,AA8EI,cA9EU,AA2EX,MAAM,CAGL,WAAW,AAAC,CACV,OAAO,CAAE,KAAK,CACf,AAhFL,AAiFI,cAjFU,AA2EX,MAAM,CAML,QAAQ,CAjFZ,cAAc,AA2EX,MAAM,CAOL,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AApFL,AAqFI,cArFU,AA2EX,MAAM,CAUL,QAAQ,AAAC,CACP,KAAK,CAAE,CAAC,CACT,AAvFL,AA0FE,cA1FY,AA0FX,OAAO,CAAC,YAAY,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AA5FH,AA8FE,cA9FY,CA8FZ,SAAS,AAAC,CACR,KAAK,C5GqGG,OAAmD,C4GpG3D,MAAM,CAAE,YAAY,CACpB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CA8DpB,AAhKH,AAmGI,cAnGU,CA8FZ,SAAS,CAKP,OAAO,AAAC,CACN,KAAK,C5GgGC,OAAmD,C4G/F1D,AArGL,AAsGI,cAtGU,CA8FZ,SAAS,CAQP,cAAc,AAAC,CACb,SAAS,CAAE,kBAAkB,CAC7B,IAAI,CAAE,QAAQ,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CAKpB,AAhHL,AA6GM,cA7GQ,CA8FZ,SAAS,CAQP,cAAc,CAOZ,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AA/GP,AAiHI,cAjHU,CA8FZ,SAAS,CAmBP,sBAAsB,AAAC,CACrB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAgChB,AArJL,AAuHM,cAvHQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAMpB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAzHP,AA2HM,cA3HQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAUpB,aAAa,AAAC,ClG/DlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkG+DlB,AA7HP,AA+HM,cA/HQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAcpB,WAAW,CA/HjB,cAAc,CA8FZ,SAAS,CAmBP,sBAAsB,CAepB,UAAU,CAhIhB,cAAc,CA8FZ,SAAS,CAmBP,sBAAsB,CAgBpB,UAAU,AAAC,CACT,YAAY,CAAE,GAAG,CAClB,AAnIP,AAqIM,cArIQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAoBpB,SAAS,AAAC,CACR,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,KAAK,ClG3EtB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkG8ElB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAzI3C,AAqIM,cArIQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAoBpB,SAAS,AAAC,CAKN,OAAO,CAAE,IAAI,CAEhB,CA5IP,AA8IM,cA9IQ,CA8FZ,SAAS,CAmBP,sBAAsB,CA6BpB,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAhJP,AAkJM,cAlJQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAiCpB,GAAG,AAAA,OAAO,AAAC,CACT,YAAY,CAAE,GAAG,CAClB,AApJP,AAsJI,cAtJU,CA8FZ,SAAS,CAwDP,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,IAAI,CAOlB,AA/JL,AAyJM,cAzJQ,CA8FZ,SAAS,CAwDP,kBAAkB,CAGhB,MAAM,AAAC,CACL,OAAO,CAAE,OAAO,CAIjB,AA9JP,AA2JQ,cA3JM,CA8FZ,SAAS,CAwDP,kBAAkB,CAGhB,MAAM,AAEH,QAAQ,AAAC,CACR,KAAK,CAAE,CAAC,CACT,AA7JT,AAkKE,cAlKY,CAkKZ,QAAQ,CAlKV,cAAc,CAmKZ,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CACnB,AArKH,AAuKE,cAvKY,CAuKZ,QAAQ,AAAC,CACP,YAAY,CAAE,MAAM,CACrB,AAzKH,AA2KE,cA3KY,CA2KZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,WAAW,CAQrB,AApLH,AA6KI,cA7KU,CA2KZ,oBAAoB,CAElB,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CACrB,AA/KL,AAgLI,cAhLU,CA2KZ,oBAAoB,CAKlB,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,KAAK,C3GhLA,OAAO,C2GiLb,AAnLL,AAsLE,cAtLY,CAsLZ,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CACd,AAxLH,AA0LE,cA1LY,CA0LZ,cAAc,CA1LhB,cAAc,CA2LZ,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAInB,AArMH,AAkMI,cAlMU,CA0LZ,cAAc,AAQX,aAAa,CAlMlB,cAAc,CA2LZ,mBAAmB,AAOhB,aAAa,AAAC,CACb,KAAK,CAAE,GAAG,CACX,AApML,AAuME,cAvMY,CAuMZ,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CAKd,AA/MH,AA4MI,cA5MU,CAuMZ,YAAY,CAKV,KAAK,AAAC,CACJ,SAAS,CAAE,CAAC,CACb,AA9ML,AAkNI,cAlNU,CAiNZ,UAAU,CACR,YAAY,AAAC,CACX,IAAI,CAAE,QAAQ,CACf,AApNL,AAuNE,cAvNY,CAuNZ,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,YAAY,CAUrB,AATC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA3NvC,AAuNE,cAvNY,CAuNZ,eAAe,AAAC,CAKZ,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,CAAC,CAOjB,CApOH,AA+NI,cA/NU,CAuNZ,eAAe,CAQb,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACZ,AAnOL,AAuOI,cAvOU,CAsOZ,UAAU,CACR,eAAe,AAAC,CACd,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,GAAG,CAKlB,AAJC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA3OzC,AAuOI,cAvOU,CAsOZ,UAAU,CACR,eAAe,AAAC,CAKZ,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,CAAC,CAElB,CA/OL,AAkPE,cAlPY,CAkPZ,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,CAAC,CAChB,OAAO,CAAE,IAAI,CAId,AAzPH,AAsPI,cAtPU,CAkPZ,YAAY,CAIV,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAxPL,AA2PE,cA3PY,CA2PZ,YAAY,AAAC,CACX,MAAM,CAAE,SAAS,CACjB,UAAU,CAAE,GAAG,CAChB,AA9PH,AAgQE,cAhQY,CAgQZ,iBAAiB,AAAC,CAChB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,SAAS,CACjB,UAAU,C3GlQF,IAAO,C2GmQf,OAAO,C5GvKK,GAAG,C4G4KhB,AAJC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EArQpC,AAgQE,cAhQY,CAgQZ,iBAAiB,AAAC,CAMd,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,QAAQ,CAEjB,CAzQH,AA2QE,cA3QY,CA2QZ,UAAU,AAAC,CACT,OAAO,C5G/KK,GAAG,C4GgLhB,AA7QH,AA+QE,cA/QY,CA+QZ,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,CAAC,CACd,AArRH,AAuRE,cAvRY,CAuRZ,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,CAAC,CACd,MAAM,CAAE,WAAW,CACpB,AA3RH,AA6RE,cA7RY,CA6RZ,eAAe,AAAC,CACd,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,IAAI,CAiCnB,AAlUH,AAkSI,cAlSU,CA6RZ,eAAe,CAKb,MAAM,AAAC,CACL,IAAI,CAAE,QAAQ,CACf,AApSL,AAqSI,cArSU,CA6RZ,eAAe,CAQb,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,KAAK,C5GpGC,OAAmD,C4GqGzD,UAAU,CAAE,WAAW,CAIxB,AA7SL,AA0SM,cA1SQ,CA6RZ,eAAe,CAQb,OAAO,AAKJ,MAAM,AAAC,CACN,KAAK,C3GpSJ,OAAO,C2GqST,AA5SP,AA8SI,cA9SU,CA6RZ,eAAe,CAiBb,aAAa,CA9SjB,cAAc,CA6RZ,eAAe,CAkBb,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAjTL,AAkTI,cAlTU,CA6RZ,eAAe,CAqBb,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAQpB,AA5TL,AAqTM,cArTQ,CA6RZ,eAAe,CAqBb,eAAe,CAGb,CAAC,AAAC,CACA,WAAW,CAAE,GAAG,CAChB,KAAK,C5GnHD,OAAmD,C4GoHxD,AAxTP,AAyTM,cAzTQ,CA6RZ,eAAe,CAqBb,eAAe,CAOb,QAAQ,AAAC,CACP,YAAY,CAAE,GAAG,CAClB,AA3TP,AA6TI,cA7TU,CA6RZ,eAAe,CAgCb,aAAa,CAAC,iBAAiB,AAAC,CAC9B,KAAK,C3GvTF,OAAO,C2GwTV,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,MAAM,CACvB,AAjUL,AAoUE,cApUY,CAoUZ,aAAa,CApUf,cAAc,CAqUZ,eAAe,AAAC,CACd,KAAK,C5GlIG,OAAmD,C4GmI5D,AAGH,AAAA,OAAO,CAAG,CAAC,AAAA,YAAY,AAAC,CACtB,UAAU,CAAE,CAAC,CACd,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,C5GlPO,GAAG,C4GmPjB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,KAAK,CACZ,gBAAgB,C3GjVN,IAAO,C2GkVjB,MAAM,CAAE,GAAG,CAAC,KAAK,C5G/IP,OAAmD,C4GmL9D,AAzCD,AAME,aANW,CAMX,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CA+BV,AAxCH,AAWI,aAXS,CAMX,EAAE,CAKA,EAAE,AAAC,CAMD,aAAa,CAAE,GAAG,CAAC,KAAK,C5G3JlB,OAAmD,C4GiL1D,AAvCL,AAYM,aAZO,CAMX,EAAE,CAKA,EAAE,CACA,aAAa,AAAC,CACZ,KAAK,CAAE,IAAsB,CAC7B,OAAO,CAAE,KAAK,CACf,AAfP,AAmBM,aAnBO,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AAAC,CACA,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,KAAK,ClGvSpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkGsTlB,AAtCP,AAwBQ,aAxBK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,CAKC,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C3GvWL,IAAO,C2GwWR,AA1BT,AA2BQ,aA3BK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,CAQC,IAAI,AAAA,KAAK,AAAC,CACR,SAAS,C5GvTL,OAAQ,C4GwTZ,cAAc,CAAE,MAAM,CACvB,AA9BT,AA+BQ,aA/BK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AAYE,SAAS,AAAC,CACT,gBAAgB,C5G1Kd,OAAmD,C4G2KtD,AlG5TP,AACE,mBADiB,CkG2RrB,aAAa,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AlG7SF,MAAM,CADT,mBAAmB,CkG2RrB,aAAa,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AlG5SF,UAAU,AAAC,CkG4TN,gBAAgB,C5G7Kd,OAAmD,C4G8KrD,eAAe,CAAE,IAAI,ClG3T1B,AkGkUL,AACE,GADC,AAAA,QAAQ,AAAA,SAAS,CAClB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAHH,AAIE,GAJC,AAAA,QAAQ,AAAA,SAAS,CAIlB,KAAK,CAAC,CAAC,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,GAAG,AAAA,QAAQ,CAAC,GAAG,AAAA,KAAK,CAAC,CAAC,AAAA,OAAO,CAC7B,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CAChB,SAAS,C5GlVG,OAAQ,C4GmVpB,WAAW,C5GvUO,CAAC,C4GwUnB,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,C5GtMP,OAAmD,C4G6M9D,AAfD,AASE,GATC,AAAA,QAAQ,CAAC,GAAG,AAAA,KAAK,CAAC,CAAC,AAAA,OAAO,AAS1B,MAAM,CART,YAAY,AAQT,MAAM,AAAC,CACN,gBAAgB,C5GxMR,OAAmD,C4GyM3D,MAAM,CAAE,GAAG,CAAC,KAAK,C5GzMT,OAAmD,C4G0M3D,eAAe,CAAE,IAAI,CACrB,KAAK,C3GxYA,OAAO,C2GyYb,AAGH,AAAA,GAAG,AAAA,QAAQ,AAAC,CACV,QAAQ,CAAE,IAAI,CACd,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3GxZN,IAAO,C2GyZjB,MAAM,CAAE,GAAG,CAAC,KAAK,C5GtNP,OAAmD,C4GuN7D,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,UAAU,CA+BvB,AAxCD,AAUE,GAVC,AAAA,QAAQ,CAUT,GAAG,AAAA,KAAK,AAAC,CACP,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,QAAQ,CACjB,WAAW,C5G/VK,GAAG,C4GoWpB,AAlBH,AAcI,GAdD,AAAA,QAAQ,CAUT,GAAG,AAAA,KAAK,CAIN,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,WAAW,C5GnWI,GAAG,C4GoWnB,AAjBL,AAoBE,GApBC,AAAA,QAAQ,CAoBT,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,YAAY,CAAE,IAAI,CACnB,AA1BH,AA4BE,GA5BC,AAAA,QAAQ,CA4BT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,WAAW,CACvB,UAAU,CAAE,KAAK,CAIlB,AAvCH,AAoCI,GApCD,AAAA,QAAQ,CA4BT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAQH,gBAAgB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,kBADgB,CAChB,SAAS,AAAC,CACR,KAAK,C5G3PG,OAAmD,C4G4P5D,AAGH,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,KAAK,CAMd,AALC,AACE,YADU,CAHd,SAAS,CAIL,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAIL,AAAA,eAAe,AAAC,CACd,iBAAiB,CAAE,uBAAuB,CAC1C,SAAS,CAAE,uBAAuB,CACnC,AAED,kBAAkB,CAAlB,WAAkB,CAChB,GAAG,CACD,cAAc,CAAE,UAAU,CAE5B,IAAI,CACF,cAAc,CAAE,UAAU,EAG9B,UAAU,CAAV,WAAU,CACR,GAAG,CACD,OAAO,CAAE,CAAC,CAEZ,IAAI,CACF,OAAO,CAAE,CAAC,EAId,AACE,IADE,AAAA,0BAA0B,CAC5B,YAAY,CADd,IAAI,AAAA,0BAA0B,CAE5B,MAAM,CAFR,IAAI,AAAA,0BAA0B,CAG5B,QAAQ,CACR,IAAI,AAAA,IAAK,CAAA,oBAAoB,EAJ/B,IAAI,AAAA,0BAA0B,CAIK,kBAAkB,AAAC,CAClD,OAAO,CAAE,IAAI,CACd,AANH,AAQE,IARE,AAAA,0BAA0B,CAQ5B,cAAc,AAAC,CACb,GAAG,CAAE,GAAG,CAIT,AAbH,AAUI,IAVA,AAAA,0BAA0B,CAQ5B,cAAc,AAEX,KAAK,AAAC,CACL,MAAM,CAAE,mCAAmC,CAC5C,ACzaL,AAAA,OAAO,AAAC,CACN,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAxCM,IAAI,CAyCjB,QAAQ,CAAE,MAAM,CAChB,QAAQ,CAAE,KAAK,CAEf,UAAU,CAlDI,OAAO,CAmDrB,OAAO,CAlDS,EAAG,CAoDjB,MAAM,CAAE,iBAAiD,CAE5D,AAGD,AAAA,SAAS,AAAC,CACR,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAzDM,IAAI,CA0DjB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,YAAY,CACrB,2BAA2B,CAAE,MAAM,CACpC,AAGD,AAAA,cAAc,AAAC,CACb,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,OAAO,CAAE,CAAC,CA1ES,GAAG,CA2EtB,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACvB,AAGD,AACE,cADY,AACX,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,IAAI,CACZ,cAAc,CAAE,MAAM,CACvB,AAIH,AAEI,cAFU,CACZ,cAAc,AACX,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAKL,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,MAAM,CACd,UAAU,CAAE,IAAI,CAChB,OAAO,CAvGM,IAAI,CAwGlB,AACD,AAEE,kBAFgB,CAEhB,YAAY,CADd,gBAAgB,CACd,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAIH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,QAAQ,CACjB,AACD,AACE,iBADe,CAAjB,iBAAiB,CAEf,iBAAiB,CAAC,UAAU,AAAC,CAC3B,MAAM,CAAE,aAAa,CACrB,MAAM,CAAE,gBAAgB,CACxB,MAAM,CAAE,QAAQ,CACjB,AAEH,AAAA,SAAS,AAAC,CACR,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,eAAe,CACvB,MAAM,CAAE,YAAY,CACpB,MAAM,CAAE,OAAO,CAChB,AACD,AACE,gBADc,CACd,YAAY,AAAC,CACX,MAAM,CAAE,IAAI,CACb,AAGH,AAAA,UAAU,CACV,UAAU,CACV,cAAc,CACd,YAAY,AAAC,CACX,mBAAmB,CAAE,IAAI,CACzB,gBAAgB,CAAE,IAAI,CACtB,WAAW,CAAE,IAAI,CAClB,AAGD,AACE,YADU,AACT,WAAW,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AAiBD,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,eAAe,CACzB,AAQH,AAAA,cAAc,AAAC,CACb,KAAK,CA7Ke,IAAI,CA8KxB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,MAAM,CAClB,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,GAAG,CACV,OAAO,CA1LM,IAAI,CAiMlB,AAhBD,AAUE,cAVY,CAUZ,CAAC,AAAC,CACA,KAAK,CAvLa,IAAI,CA2LvB,AAfH,AAYI,cAZU,CAUZ,CAAC,AAEE,MAAM,AAAC,CACN,KAAK,CAxLiB,IAAI,CAyL3B,AAKL,AACE,YADU,CACV,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACd,AAIH,AACE,YADU,CACV,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AAIH,AACE,MADI,AACH,UAAU,CADb,MAAM,AAEH,UAAU,AAAC,CACV,QAAQ,CAAE,OAAO,CACjB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,kBAAkB,CAAE,IAAI,CACxB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,CAAC,CACV,OAAO,CA5NI,IAAI,CA6Nf,kBAAkB,CAAE,IAAI,CACxB,UAAU,CAAE,IAAI,CACjB,AAbH,AAcE,MAdI,AAcH,kBAAkB,AAAC,CAClB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACV,AAIH,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,C7G5MO,GAAG,C6G6MrB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,MAAM,CAClB,OAAO,CA9OU,GAAI,CAgPnB,MAAM,CAAE,iBAAkD,CAE5D,OAAO,CAAE,aAAa,CACtB,KAAK,CAlPU,IAAI,CAmPnB,UAAU,CAAE,MAAM,CAClB,SAAS,C7G7OC,GAAG,C6G8Ob,WAAW,CAAE,6BAA6B,CAc3C,AA/BD,AAmBE,UAnBQ,AAmBP,MAAM,CAnBT,UAAU,AAoBP,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CAER,MAAM,CAAE,kBAAkC,CAE7C,AA1BH,AA4BE,UA5BQ,AA4BP,OAAO,AAAC,CACP,GAAG,CAAE,GAAG,CACT,AAEH,AACE,iBADe,CACf,UAAU,AAAC,CACT,KAAK,CArQgB,IAAI,CAsQ1B,AAEH,AAEE,iBAFe,CAEf,UAAU,CADZ,kBAAkB,CAChB,UAAU,AAAC,CACT,KAAK,CA5QQ,IAAI,CA6QjB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACZ,AAIH,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,KAAK,CAvRe,IAAI,CAwRxB,SAAS,C7G7QG,OAAQ,C6G8QpB,WAAW,C7GjQQ,GAAG,C6GkQvB,AAIC,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAnSQ,GAAI,CAqSjB,MAAM,CAAE,iBAAkD,CAE5D,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CACb,2BAA2B,CAAE,WAAgB,CAwC9C,AAnDD,AAYE,UAZQ,AAYP,OAAO,AAAC,CACP,UAAU,CAAE,KAAK,CAClB,AAdH,AAeE,UAfQ,AAeP,MAAM,CAfT,UAAU,AAgBP,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CAER,MAAM,CAAE,kBAAkC,CAE7C,AAtBH,AAuBE,UAvBQ,AAuBP,OAAO,CAvBV,UAAU,AAwBP,MAAM,CAxBT,UAAU,CAyBR,MAAM,CAzBR,UAAU,CA0BR,MAAM,AAAC,CACL,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,wBAAwB,CACjC,AArCH,AAuCE,UAvCQ,AAuCP,MAAM,CAvCT,UAAU,CAwCR,MAAM,AAAC,CACL,gBAAgB,CAAE,IAAI,CACtB,mBAAmB,CAAE,IAAI,CACzB,GAAG,CAAE,GAAG,CACT,AA5CH,AA8CE,UA9CQ,AA8CP,OAAO,CA9CV,UAAU,CA+CR,MAAM,AAAC,CACL,gBAAgB,CAAE,IAAI,CACtB,mBAAmB,CAAE,IAAI,CAC1B,AAGH,AAAA,eAAe,AAAC,CACd,IAAI,CAAE,CAAC,CAYR,AAbD,AAGE,eAHa,AAGZ,MAAM,CAHT,eAAe,CAIb,MAAM,AAAC,CACL,YAAY,CAAE,eAAe,CAC7B,WAAW,CAAE,IAAI,CAClB,AAPH,AAQE,eARa,AAQZ,OAAO,CARV,eAAe,CASb,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,kBAAkB,CACjC,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,CAAC,CAUT,AAXD,AAEE,gBAFc,AAEb,MAAM,CAFT,gBAAgB,CAGd,MAAM,AAAC,CACL,WAAW,CAAE,eAAe,CAC5B,WAAW,CAAE,IAAI,CAClB,AANH,AAOE,gBAPc,AAOb,OAAO,CAPV,gBAAgB,CAQd,MAAM,AAAC,CACL,WAAW,CAAE,kBAAkB,CAChC,AAMH,AAAA,kBAAkB,AAAC,CACjB,WAAW,CA7WM,IAAI,CA8WrB,cAAc,CA9WG,IAAI,CAuXtB,AAXD,AAGE,kBAHgB,CAGhB,YAAY,AAAC,CACX,WAAW,CAAE,CAAC,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CAhXI,KAAK,CAiXnB,AAPH,AAQE,kBARgB,CAQhB,UAAU,AAAC,CACT,GAAG,CAAE,KAAK,CACX,AAEH,AAAA,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAoB,CAWlC,AAfD,AAKE,kBALgB,CAKhB,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,KAAK,CACd,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAnZP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,eAAkB,CAoZ7B,UAAU,CApYI,IAAI,CAqYnB,AAOH,AACE,GADC,AACA,QAAQ,AAAC,CACR,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CACd,WAAW,CAAE,CAAC,CACd,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,OAAO,CA/YO,IAAI,CA+YU,CAAC,CA9YZ,IAAI,CA+YrB,MAAM,CAAE,MAAM,CACf,AAIH,AAAA,WAAW,AAAC,CACV,WAAW,CAAE,CAAC,CAwBf,AAzBD,AAEE,WAFS,AAER,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,GAAG,CA3ZW,IAAI,CA4ZlB,MAAM,CA3ZW,IAAI,CA4ZrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,EAAE,CACX,UAAU,CAzbP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,eAAkB,CA0b7B,UAAU,CApaG,0CAA0C,CAqaxD,AAfH,AAgBE,WAhBS,CAgBT,KAAK,AAAC,CACJ,KAAK,CAhac,OAAO,CAia1B,OAAO,CAAE,KAAK,CACd,SAAS,C7G3aD,OAAQ,C6G4ahB,WAAW,C7G/ZI,GAAG,C6GganB,AArBH,AAsBE,WAtBS,CAsBT,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACV,AAEH,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,KAA0B,CACtC,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AACD,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CAChB,WAAW,C7G/aM,GAAG,C6GgbpB,KAAK,CArba,OAAO,CAsbzB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,IAAI,CAMpB,AAXD,AAQE,UARQ,CAQR,CAAC,AAAA,kBAAkB,CAAC,OAAO,AAAC,CAC1B,aAAa,CAAE,GAAG,CACnB,AAGH,AACE,iBADe,CACf,YAAY,AAAC,CACX,SAAS,CAAE,IAAI,CAChB,AAGH,AAEI,YAFQ,CACV,iBAAiB,CACf,WAAW,AAAC,CACV,MAAM,CAAE,OAAO,CAChB,AAKH,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,OAAO,WAAW,EAAE,SAAS,GAAE,MAAM,MAAM,UAAU,EAAE,KAAK,EAK1F,AACE,eADa,CACb,iBAAiB,AAAC,CAChB,YAAY,CAAE,CAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAJH,AAMI,eANW,CAKb,GAAG,AACA,QAAQ,AAAC,CACR,OAAO,CAAE,CAAC,CACX,AARL,AAYI,eAZW,CAUb,WAAW,AAER,MAAM,AAAC,CACN,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AAfL,AAgBI,eAhBW,CAUb,WAAW,CAMT,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,WAAW,CAAE,GAAG,CACjB,AAnBL,AAqBE,eArBa,CAqBb,eAAe,AAAC,CACd,UAAU,CAAE,eAAkB,CAC9B,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACT,OAAO,CAAE,OAAO,CAChB,QAAQ,CAAE,KAAK,CACf,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CAIvB,AAlCH,AA+BI,eA/BW,CAqBb,eAAe,AAUZ,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAjCL,AAmCE,eAnCa,CAmCb,YAAY,AAAC,CACX,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,GAAG,CACT,AAtCH,AAuCE,eAvCa,CAuCb,UAAU,AAAC,CACT,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,C7GzfD,GAAG,C6G0fb,UAAU,CAAE,eAAkB,CAC9B,QAAQ,CAAE,KAAK,CACf,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,CAAC,CACX,CAOT,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAhQ9B,AAAA,UAAU,AAiQC,CnG/eX,iBAAiB,CmGgfI,WAAW,CnG/ehC,SAAS,CmG+eY,WAAW,CAC/B,AA9MD,AAAA,eAAe,AA+MC,CACd,gBAAgB,CAAE,CAAC,CACnB,wBAAwB,CAAE,CAAC,CAC5B,AAnMD,AAAA,gBAAgB,AAoMC,CACf,gBAAgB,CAAE,IAAI,CACtB,wBAAwB,CAAE,IAAI,CAC/B,AA9eH,AAAA,cAAc,AA+eG,CACb,YAAY,CAljBY,GAAG,CAmjB3B,aAAa,CAnjBW,GAAG,CAojB5B,CAMD,AACE,QADM,CACN,QAAQ,AAAC,CACP,OAAO,CAAE,CAAC,CACX,AAHH,AAIE,QAJM,CAIN,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,GAAG,CACf,cAAc,CAAE,GAAG,CACpB,AAVH,AAWE,QAXM,CAWN,cAAc,AAAC,CACb,OAAO,CAAE,CAAC,CACX,AAbH,AAcE,QAdM,CAcN,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAhBH,AAiBE,QAjBM,CAiBN,UAAU,AAAC,CACT,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,CAAC,CACf,AAIL,AAEE,YAFU,CAEV,YAAY,AAAC,CACX,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,QAAQ,CACpB,iBAAiB,CAAE,UAAU,CAC7B,aAAa,CAAE,UAAU,CACzB,SAAS,CAAE,UAAU,CACtB,AARH,AAUE,YAVU,AAUT,OAAO,AAAC,CACP,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,iBAAiB,CAC9B,AAbH,AAiBI,YAjBQ,AAgBT,UAAU,CACT,YAAY,AAAC,CACX,OAAO,CAAE,CAAC,CnG9iBd,iBAAiB,CmG+iBM,QAAQ,CnG9iB/B,SAAS,CmG8iBc,QAAQ,CAC5B,AApBL,AAqBI,YArBQ,AAgBT,UAAU,AAKR,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACb,AAvBL,AA4BI,YA5BQ,AA2BT,aAAa,CACZ,YAAY,AAAC,CnGxjBf,iBAAiB,CmGyjBM,UAAU,CnGxjBjC,SAAS,CmGwjBc,UAAU,CAC7B,OAAO,CAAE,CAAC,CACX,AA/BL,AAgCI,YAhCQ,AA2BT,aAAa,AAKX,OAAO,AAAC,CACP,OAAO,CAAE,CAAC,CACX,AAIL,AACE,qBADmB,AAClB,SAAS,AAAC,CACT,UAAU,CAAE,eAAe,CAC3B,UAAU,CAAE,eAAe,CAC5B,AAJH,AAKE,qBALmB,CAKnB,QAAQ,AAAC,CACP,SAAS,CAAE,IAAI,CAChB,ACjqBH,AACE,aADW,AAAA,YAAY,CACvB,IAAI,AAAC,CACH,gBAAgB,C7GKX,OAAO,C6GJZ,KAAK,C7GFG,IAAO,C6GGf,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CACjB,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,QAAQ,CAAE,MAAM,CAejB,AArBD,AAOE,mBAPiB,AAOhB,OAAO,AAAC,CACP,SAAS,CAAE,8CAA8C,CACzD,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,gEAKX,CACD,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,iBAAiB,CACxB,MAAM,CAAE,KAAK,CACb,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,MAAM,AAAC,CACL,IAAI,CAAE,QAAQ,CACd,QAAQ,CAAE,MAAM,CA8BjB,AAhCD,AAGE,MAHI,CAGJ,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,WAAW,CAAE,IAAI,CAClB,AAPH,AASE,MATI,CASJ,IAAI,AAAC,CACH,SAAS,C9GFJ,GAAG,C8GGR,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CpGMvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CoGNrB,cAAc,CAAE,MAAM,CAIvB,AAlBH,AAeI,MAfE,CASJ,IAAI,CAMF,CAAC,AAAC,CACA,KAAK,C9GwIC,OAAoD,C8GvI3D,AAjBL,AAmBE,MAnBI,CAmBJ,GAAG,AAAC,CACF,SAAS,C9GXC,OAAQ,C8GYlB,KAAK,C9GmIG,OAAoD,C8GlI7D,AAtBH,AAuBE,MAvBI,CAuBJ,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAClB,AA1BH,AA2BE,MA3BI,CA2BJ,SAAS,CAAC,CAAC,CA3Bb,MAAM,CA4BJ,WAAW,CA5Bb,MAAM,CA6BJ,WAAW,CAAC,CAAC,AAAC,CACZ,KAAK,C9G0HG,OAAoD,C8GzH7D,AAIH,AAAA,OAAO,CACP,iBAAiB,AAAC,CAChB,SAAS,CAAE,UAAU,CACrB,WAAW,C9GfO,GAAG,C8GoFtB,AAxED,AAIE,OAJK,CAIL,EAAE,CAJJ,OAAO,CAKL,EAAE,CALJ,OAAO,CAML,EAAE,CANJ,OAAO,CAOL,EAAE,CAPJ,OAAO,CAQL,EAAE,CARJ,OAAO,CASL,EAAE,CARJ,iBAAiB,CAGf,EAAE,CAHJ,iBAAiB,CAIf,EAAE,CAJJ,iBAAiB,CAKf,EAAE,CALJ,iBAAiB,CAMf,EAAE,CANJ,iBAAiB,CAOf,EAAE,CAPJ,iBAAiB,CAQf,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACnB,WAAW,C9GxBM,GAAG,C8GyBrB,AAZH,AAcE,OAdK,CAcL,EAAE,CAbJ,iBAAiB,CAaf,EAAE,AAAC,CACD,SAAS,C9G7CD,QAAQ,C8G8CjB,AAhBH,AAkBE,OAlBK,CAkBL,EAAE,CAjBJ,iBAAiB,CAiBf,EAAE,AAAC,CACD,SAAS,C9GhDD,QAAQ,C8GiDjB,AApBH,AAsBE,OAtBK,CAsBL,EAAE,CArBJ,iBAAiB,CAqBf,EAAE,AAAC,CACD,SAAS,C9GnDD,QAAQ,C8GoDjB,AAxBH,AA0BE,OA1BK,CA0BL,EAAE,CAzBJ,iBAAiB,CAyBf,EAAE,AAAC,CACD,SAAS,C9GtDJ,GAAG,C8GuDT,AA5BH,AA8BE,OA9BK,CA8BL,EAAE,CA7BJ,iBAAiB,CA6Bf,EAAE,AAAC,CACD,SAAS,C9GzDC,OAAQ,C8G0DnB,AAhCH,AAkCE,OAlCK,CAkCL,EAAE,CAjCJ,iBAAiB,CAiCf,EAAE,AAAC,CACD,SAAS,C9G5DC,OAAQ,C8G6DnB,AApCH,AAsCE,OAtCK,CAsCL,CAAC,CArCH,iBAAiB,CAqCf,CAAC,AAAC,CACA,SAAS,CAAE,UAAU,CACtB,AAxCH,AAyCE,OAzCK,CAyCL,GAAG,CAxCL,iBAAiB,CAwCf,GAAG,AAAC,CACF,gBAAgB,CAEd,OAAuC,CAE1C,AA9CH,AA+CE,OA/CK,CA+CL,GAAG,CA9CL,iBAAiB,CA8Cf,GAAG,AAAC,CACF,gBAAgB,CAEd,OAAsC,CAEzC,AApDH,AAsDE,OAtDK,CAsDL,GAAG,CArDL,iBAAiB,CAqDf,GAAG,AAAC,CACF,SAAS,CAAE,MAAM,CAClB,AAxDH,AAyDE,OAzDK,CAyDL,KAAK,CAxDP,iBAAiB,CAwDf,KAAK,AAAC,CACJ,SAAS,CAAE,OAAO,CACnB,AA3DH,AA4DE,OA5DK,CA4DL,KAAK,CAAC,KAAK,CA3Db,iBAAiB,CA2Df,KAAK,CAAC,KAAK,AAAC,CACV,SAAS,CAAE,MAAM,CAClB,AA9DH,AA+DE,OA/DK,CA+DL,GAAG,CAAC,GAAG,CA9DT,iBAAiB,CA8Df,GAAG,CAAC,GAAG,AAAC,CACN,SAAS,CAAE,GAAG,CACf,AAjEH,AAkEE,OAlEK,CAkEL,GAAG,CAAC,GAAG,CAAC,GAAG,CAjEb,iBAAiB,CAiEf,GAAG,CAAC,GAAG,CAAC,GAAG,AAAC,CACV,MAAM,CAAE,CAAC,CACV,AApEH,AAqEE,OArEK,CAqEL,GAAG,CAAC,GAAG,CAAC,GAAG,CApEb,iBAAiB,CAoEf,GAAG,CAAC,GAAG,CAAC,GAAG,AAAC,CACV,GAAG,CAAE,CAAC,CACP,AAGH,AAEE,OAFK,CAEL,KAAK,CADP,iBAAiB,CACf,KAAK,AAAC,CACJ,SAAS,CAAE,IAAI,CAChB,AAJH,AAKE,OALK,CAKL,GAAG,CAAC,GAAG,CAJT,iBAAiB,CAIf,GAAG,CAAC,GAAG,AAAC,CACN,GAAG,CAAE,CAAC,CACP,AAIH,AACE,UADQ,CACR,QAAQ,CAAG,OAAO,AAAC,CACjB,gBAAgB,C9GgCR,OAAmD,C8G/B3D,OAAO,CAAE,IAAI,CAKd,AARH,AAII,UAJM,CACR,QAAQ,CAAG,OAAO,CAGhB,GAAG,AAAA,IAAK,CAAA,UAAU,CAAE,CAClB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAPL,AAUI,UAVM,CASR,SAAS,CAAG,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CrE/IV,UAAU,CqEwJI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CpC2MV,UAAU,CoClMI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CpC+MV,KAAK,CoCtMS,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,AAAC,CACd,KAAK,C9GqBC,OAAoD,C8Gf3D,AAjBL,AAYM,UAZI,CASR,SAAS,CAAG,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CrE/IV,UAAU,CqEwJI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CpC2MV,UAAU,CoClMI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CpC+MV,KAAK,CoCtMS,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,AAAC,CACA,gBAAgB,C9GqBZ,OAAmD,C8GpBvD,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,GAAG,CACnB,AAKP,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CAWxB,AAbD,AAIE,gBAJc,CAId,MAAM,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AANH,AAQE,gBARc,CAQd,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACpB,AAIH,AAAA,KAAK,AAAA,MAAM,AAAC,CACV,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CA0BnB,AA5BD,AAIE,KAJG,AAAA,MAAM,CAIT,cAAc,AAAC,CACb,WAAW,CAAE,GAAG,CACjB,AANH,AAQE,KARG,AAAA,MAAM,CAQT,MAAM,AAAC,CpG7HP,WAAW,CAAE,GAAG,CAAC,KAAK,CVkHZ,OAAmD,CUjH7D,gBAAgB,CV8FR,OAAqB,C8GiC3B,KAAK,C9GhBG,OAAoD,C8GkB5D,OAAO,CAAE,kBAAkB,CpG7I7B,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CoGgJxB,AAtBH,AAeI,KAfC,AAAA,MAAM,CAQT,MAAM,CAOJ,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAjBL,AAkBI,KAlBC,AAAA,MAAM,CAQT,MAAM,CAUJ,GAAG,AAAC,CACF,UAAU,CAAE,IAAI,CACjB,AApBL,AAyBE,KAzBG,AAAA,MAAM,CAyBT,UAAU,AAAC,CACT,UAAU,CAAE,CAAC,CACd,AAGH,AAIE,UAJQ,CAIR,GAAG,AAAC,CACF,SAAS,CAAE,eAAe,CAC3B,AAGH,AAAA,eAAe,CACf,eAAe,CAAC,OAAO,AAAC,CACtB,KAAK,C9G9CK,OAAoD,C8G+C/D,AAED,AAAA,OAAO,CAAC,UAAU,AAAC,CACjB,gBAAgB,C9GhDN,OAAmD,C8GiD7D,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,IAAI,CACb,AAED,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,YAAY,AAAC,CACX,KAAK,C9G1DK,OAAmD,C8G+D9D,AAND,AAEE,YAFU,CAEV,YAAY,CAFd,YAAY,CAGV,WAAW,AAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,C9GnKC,CAAC,C8GoKV,AAED,AAAA,WAAW,AAAA,OAAO,AAAC,CACjB,OAAO,CAAE,GAAG,CACb,AAED,AAAA,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAPD,AAIE,eAJa,CAIb,CAAC,AAAC,CACA,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,C9G1GR,OAAqB,C8G2G7B,KAAK,C7G5RG,IAAO,C6G6Rf,OAAO,CAAE,IAAI,CACb,OAAO,C9G5LK,GAAG,C8G6Lf,OAAO,CAAE,GAAG,CAUb,AAjBD,AASE,aATW,CASX,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACtB,AAXH,AAaE,aAbW,AAaV,MAAM,AAAC,CACN,gBAAgB,C9GlGR,OAAmD,C8GmG3D,MAAM,CAAE,OAAO,CAChB,AAGH,AAAA,aAAa,CACb,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,UAAU,AAAC,CACT,UAAU,C9G7GA,OAAmD,C8G8G7D,MAAM,CAAE,GAAG,CAAC,KAAK,C9G9GP,OAAmD,C8G+G7D,UAAU,CAAE,IAAI,CAsJjB,AAzJD,AAMI,UANM,CAKR,QAAQ,CACJ,GAAG,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AAVL,AAWI,UAXM,CAKR,QAAQ,CAMN,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,MAAM,CACnB,SAAS,C9G9QD,OAAQ,C8G+QhB,WAAW,C9GpQG,CAAC,C8GqQhB,AApBL,AAuBE,UAvBQ,CAuBR,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AA1BH,AA4BE,UA5BQ,CA4BR,OAAO,AAAC,CACN,UAAU,CAAE,GAAG,CAAC,KAAK,C9GzIb,OAAmD,C8G0I5D,AA9BH,AAgCE,UAhCQ,CAgCR,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAnCH,AAqCE,UArCQ,CAqCR,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAClB,KAAK,C7GvVC,IAAO,C6GwVb,WAAW,C9GvRK,GAAG,C8GwRnB,WAAW,CAAE,MAAM,CACnB,SAAS,C9GxSJ,GAAG,C8GyST,AA3CH,AA6CE,UA7CQ,CA6CR,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACnB,KAAK,C9G7JG,OAAoD,C8G8J5D,WAAW,CAAE,MAAM,CACnB,SAAS,C9G9SC,OAAQ,C8G+SlB,WAAW,C9GnSK,CAAC,C8GoSlB,AAnDH,AAqDE,UArDQ,CAqDR,IAAI,AAAA,OAAO,AAAC,CACV,SAAS,C9GlTC,OAAQ,C8GmTlB,KAAK,C9GrKG,OAAoD,C8GsK7D,AAxDH,AA0DE,UA1DQ,CA0DR,EAAE,AAAC,CACD,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,GAAG,CACb,AA7DH,AAgEI,UAhEM,CA+DR,YAAY,CACV,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAlEL,AAmEI,UAnEM,CA+DR,YAAY,CAIV,mBAAmB,AAAC,CAClB,MAAM,CAAE,aAAa,CACtB,AArEL,AAwEE,UAxEQ,CAwER,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CASpB,AAnFH,AA4EI,UA5EM,CAwER,SAAS,CAIP,IAAI,AAAC,CACH,YAAY,CAAE,KAAK,CAKpB,AAlFL,AA+EM,UA/EI,CAwER,SAAS,CAIP,IAAI,AAGD,WAAW,AAAC,CACX,MAAM,CAAE,CAAC,CACV,AAjFP,AAqFE,UArFQ,CAqFR,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CA0DpB,AAlJH,AA0FI,UA1FM,CAqFR,aAAa,CAKP,SAAS,AAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AA5FL,AA+FM,UA/FI,CAqFR,aAAa,AASV,WAAW,CAAC,KAAK,CAChB,SAAS,CA/Ff,UAAU,CAqFR,aAAa,AASV,WAAW,CAAC,KAAK,CAEhB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAlGP,AAqGI,UArGM,CAqFR,aAAa,CAgBX,KAAK,AAAC,CACJ,MAAM,CAAE,GAAG,CAAC,KAAK,C9GlNX,OAAmD,C8GmNzD,aAAa,CAAE,MAAM,CACrB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,wBAAwB,CAChC,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAqCb,AAjJL,AA8GM,UA9GI,CAqFR,aAAa,CAgBX,KAAK,CASH,UAAU,CA9GhB,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAUH,WAAW,AAAC,CACV,KAAK,C9G5ND,OAAmD,C8GiOxD,AArHP,AAkHQ,UAlHE,CAqFR,aAAa,CAgBX,KAAK,CASH,UAAU,AAIP,MAAM,CAlHf,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAUH,WAAW,AAGR,MAAM,AAAC,CACN,KAAK,C7GnaL,IAAO,C6GoaR,AApHT,AAuHM,UAvHI,CAqFR,aAAa,CAgBX,KAAK,CAkBH,OAAO,CAvHb,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAmBH,aAAa,AAAC,CACZ,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,MAAM,CACrB,AA3HP,AA6HM,UA7HI,CAqFR,aAAa,CAgBX,KAAK,CAwBH,SAAS,CA7Hf,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAyBH,WAAW,AAAC,CACV,YAAY,CAAE,MAAM,CACrB,AAhIP,AAkIM,UAlII,CAqFR,aAAa,CAgBX,KAAK,AA6BF,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,AApIP,AAsIM,UAtII,CAqFR,aAAa,CAgBX,KAAK,CAiCH,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,iBAAiB,CAChC,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,IAAI,CACb,AAhJP,AAqJI,UArJM,CAoJR,2BAA2B,CACzB,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACpB,AAIL,AAME,aANW,CAMX,aAAa,CALf,qBAAqB,CAKnB,aAAa,CAJf,iBAAiB,CAIf,aAAa,CAHf,UAAU,CAAC,OAAO,CAGhB,aAAa,CAFf,oBAAoB,CAElB,aAAa,CADf,WAAW,CACT,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAC5B,mBAAmB,CAAE,MAAM,CAC3B,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,aAAa,CAAC,aAAa,CAC3B,qBAAqB,CAAC,aAAa,CACnC,eAAe,CAAC,oBAAoB,CAAC,aAAa,CAClD,WAAW,CAAC,aAAa,AAAC,CACxB,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CASb,AAfD,AAOE,aAPW,CAAC,aAAa,AAOxB,QAAQ,CANX,qBAAqB,CAAC,aAAa,AAMhC,QAAQ,CALX,eAAe,CAAC,oBAAoB,CAAC,aAAa,AAK/C,QAAQ,CAJX,WAAW,CAAC,aAAa,AAItB,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,iBAAiB,CAAC,aAAa,CAC/B,oBAAoB,CAAC,aAAa,AAAC,CACjC,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CAYb,AAhBD,AAKE,iBALe,CAAC,aAAa,AAK5B,QAAQ,CAJX,oBAAoB,CAAC,aAAa,AAI/B,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAZH,AAaE,iBAbe,CAAC,aAAa,CAa7B,GAAG,CAZL,oBAAoB,CAAC,aAAa,CAYhC,GAAG,AAAC,CACF,SAAS,C9G5cD,QAAQ,C8G6cjB,AAEH,AAAA,UAAU,CAAC,OAAO,CAAC,aAAa,AAAC,CAC/B,KAAK,CAAE,CAAC,CACR,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,C7GngBG,IAAO,C6G+gBhB,AAlBD,AAOE,UAPQ,CAAC,OAAO,CAAC,aAAa,AAO7B,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,CAAC,CACT,AAdH,AAeE,UAfQ,CAAC,OAAO,CAAC,aAAa,CAe9B,OAAO,AAAC,CACN,SAAS,C9GzdC,OAAQ,C8G0dnB,AAEH,AAAA,aAAa,CAAC,oBAAoB,AAAC,CACjC,OAAO,CAAE,IAAI,CACd,AAED,AACE,IADE,AACD,cAAc,AAAC,CACd,OAAO,CAAE,IAAI,CAQd,AAVH,AAGI,IAHA,AACD,cAAc,CAEb,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,EAAE,CAIV,AATL,AAMM,IANF,AACD,cAAc,CAEb,QAAQ,CAGN,IAAI,AAAC,CACH,MAAM,CAAE,IAAI,CACb,AAKP,AAIE,WAJS,CAIT,OAAO,AAAC,CACN,QAAQ,CAAE,MAAM,CACjB,AANH,AAOE,WAPS,AAOR,YAAY,AAAC,CACZ,SAAS,CAAE,uCAAuC,CACnD,AAGH,AAAA,UAAU,AAAC,CACT,IAAI,CAAE,QAAQ,CACd,YAAY,CAAE,KAAK,CAwBpB,AA1BD,AAIE,UAJQ,AAIP,UAAU,AAAC,CACV,YAAY,CAAE,CAAC,CAChB,AANH,AAUI,UAVM,AAOP,UAAU,CAGT,OAAO,CAVX,UAAU,AAQP,QAAQ,CAEP,OAAO,CAVX,UAAU,AASP,YAAY,CACX,OAAO,AAAC,CACN,SAAS,C9GtgBN,GAAG,C8GugBP,AAZL,AAeE,UAfQ,CAeR,KAAK,CAfP,UAAU,CAgBR,eAAe,AAAC,CACd,KAAK,C3GlfF,KAAK,C2GmfT,AAlBH,AAoBE,UApBQ,AAoBP,UAAU,AAAC,CACV,KAAK,C9GhYG,OAAoD,C8GiY7D,AAtBH,AAuBE,UAvBQ,AAuBP,UAAU,AAAC,CACV,MAAM,CAAE,OAAO,CAChB,AzG/dH,AAAA,GAAG,CAAC,IAAI,AyGmeD,CACH,SAAS,CAAE,MAAM,CACjB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,KAAK,CACd,KAAK,C7G9kBC,IAAO,C6G+kBb,UAAU,C9G9ZJ,OAAqB,C8G+Z3B,UAAU,CAAE,KAAK,CAClB,AAGH,AAAA,GAAG,AAAC,CACF,gBAAgB,C7GplBN,IAAO,C6GqlBjB,MAAM,CAAE,GAAG,CAAC,KAAK,C9GlZP,OAAmD,C8GmZ7D,aAAa,CAAE,GAAG,CAClB,UAAU,C9G5cR,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CAC1B,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG,CAAyB,IAAI,CAAE,KAAK,C8G4c/C,UAAU,CAA6B,IAAI,CAC3C,MAAM,CAAE,GAAG,CAAC,KAAK,CAAyB,IAAI,CAC9C,aAAa,CAAE,MAAM,CAAC,IAAI,CAAyB,IAAI,CAEvD,KAAK,C7G7lBG,IAAO,C6G8lBf,OAAO,CAAE,YAAY,CACrB,SAAS,C9G5iBG,OAAQ,C8G6iBpB,WAAW,C9G/hBO,GAAG,C8GgiBrB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,WAAW,CASrB,AAvBD,AAoBE,GApBC,CAoBD,CAAC,CAAC,CAAC,CAAC,CAAC,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAKH,AAAA,UAAU,CAAG,CAAC,AAAA,YAAY,AAAC,CACzB,UAAU,CAAE,YAAY,CACzB,AACD,AAAA,UAAU,CAAG,CAAC,AAAA,WAAW,AAAC,CACxB,aAAa,CAAE,YAAY,CAC5B,AzCxiBC,AAAA,IAAI,AyC0iBD,CACH,OAAO,CAAE,mBAAmB,CAC5B,KAAK,C9GtbK,OAAoD,C8Gub9D,MAAM,CAAE,OAAO,CACf,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,IAAI,CACjB,SAAS,C9GzkBG,OAAQ,C8G0kBrB,AAED,AAAA,UAAU,CACV,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CAKxB,AAPD,AAGE,UAHQ,CAGR,CAAC,CAFH,SAAS,CAEP,CAAC,AAAC,CACA,MAAM,CAAE,gBAAgB,CACxB,OAAO,CAAE,YAAY,CACtB,AAGH,AAGI,OAHG,CAAC,KAAK,CAEX,KAAK,CACH,EAAE,CAFN,iBAAiB,CAAC,KAAK,CACrB,KAAK,CACH,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,IAAI,CACjB,KAAK,C7G/oBD,IAAO,C6GgpBZ,AARL,AAWE,OAXK,CAAC,KAAK,CAWX,EAAE,CAVJ,iBAAiB,CAAC,KAAK,CAUrB,EAAE,AAAC,CACD,OAAO,CAAE,iBAAiB,CAC3B,AAGH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C9GxdX,OAAmD,C8GoiB9D,AAhFD,AAKE,aALW,CAKX,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,IAAI,CAClB,IAAI,CAAE,QAAQ,CAOf,AAjBH,AAWI,aAXS,CAKX,aAAa,CAMX,OAAO,AAAC,CACN,SAAS,CAAE,GAAG,CACd,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,KAAK,C9GneC,OAAmD,C8Goe1D,AAhBL,AAmBE,aAnBW,CAmBX,aAAa,AAAA,QAAQ,AAAC,CACpB,gBAAgB,C9GxeR,kBAAmD,C8G8e5D,AA1BH,AA4BE,aA5BW,CA4BX,kBAAkB,AAAA,QAAQ,AAAC,CACzB,KAAK,C9GjfG,OAAmD,C8Gkf5D,AA9BH,AAgCE,aAhCW,CAgCX,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACd,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,IAAI,CACjB,SAAS,C9G7oBC,OAAQ,C8G8oBlB,KAAK,C9G7fG,OAAmD,C8G8f3D,SAAS,CAAE,CAAC,CA2Bb,AArEH,AA4CI,aA5CS,CAgCX,kBAAkB,CAYhB,eAAe,AAAC,CACd,IAAI,CAAE,QAAQ,CACd,cAAc,CAAE,IAAI,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,C9GvpBH,QAAQ,C8GwpBd,KAAK,CAAE,EAAE,CACT,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,CAAC,CAIb,AAvDL,AAoDM,aApDO,CAgCX,kBAAkB,CAYhB,eAAe,CAQb,CAAC,AAAC,CACA,aAAa,CAAE,CAAC,CACjB,AAtDP,AAwDI,aAxDS,CAgCX,kBAAkB,CAwBhB,CAAC,AAAA,kBAAkB,AAAC,CAClB,UAAU,CAAE,OAAO,CACpB,AA1DL,AA2DI,aA3DS,CAgCX,kBAAkB,CA2BhB,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,IAAI,CACZ,AA9DL,AAgEI,aAhES,CAgCX,kBAAkB,CAgCd,CAAC,AAAC,CACF,MAAM,CAAE,CAAC,CACT,WAAW,C9G1pBI,GAAG,C8G2pBlB,IAAI,CAAE,GAAG,CACV,AApEL,AAuEE,aAvEW,CAuEX,MAAM,AAAC,CACL,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CAKT,AA/EH,AA2EI,aA3ES,CAuEX,MAAM,AAIH,aAAa,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,CAAC,CACT,AAIL,AACE,QADM,CACN,UAAU,AAAA,QAAQ,AAAC,CACjB,WAAW,CAAE,KAAK,CACnB,AAHH,AAKI,QALI,CAIN,WAAW,CACT,OAAO,AAAC,CACN,UAAU,CAAE,MAAM,CAClB,KAAK,C9G7iBC,OAAmD,C8G8iB1D,AAIL,AAAA,CAAC,AAAA,QAAQ,CACT,CAAC,AAAA,cAAc,AAAC,CACd,OAAO,CAAE,OAAO,CAChB,KAAK,C9GvjBK,OAAoD,C8GwjB9D,UAAU,C9GtjBA,OAAmD,C8GujB7D,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,SAAS,CAAE,MAAM,CAClB,AAED,AACE,WADS,CACT,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACd,AAGH,AACE,iBADe,CACf,OAAO,AAAC,CACN,cAAc,CAAE,IAAI,CACrB,AAHH,AAKI,iBALa,CAIf,yBAAyB,CACvB,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAIL,AAEI,wBAFoB,CACpB,CAAC,AACA,KAAK,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AAJL,AAMI,wBANoB,CACpB,CAAC,CAKC,CAAC,AAAC,CACF,QAAQ,CAAE,MAAM,CAChB,cAAc,CAAE,MAAM,CACvB,AATL,AAWI,wBAXoB,CACpB,CAAC,CAUC,OAAO,AAAC,CACR,KAAK,C9G3lBC,OAAoD,C8G4lB1D,YAAY,CAAE,GAAG,CACjB,SAAS,C9G7uBN,GAAG,C8G8uBN,WAAW,C9G/tBG,GAAG,C8GguBlB,AAhBL,AAkBI,wBAlBoB,CACpB,CAAC,CAiBC,IAAI,AAAA,IAAI,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CAChB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,QAAQ,CACvB,WAAW,CAAE,MAAM,CACpB,AAxBL,AA0BI,wBA1BoB,CACpB,CAAC,CAyBC,IAAI,AAAA,KAAK,AAAC,CACV,OAAO,CAAE,YAAY,CACrB,KAAK,C9G3mBC,OAAoD,C8G4mB1D,SAAS,C9G3vBD,OAAQ,C8G4vBhB,UAAU,CAAE,MAAM,CAClB,WAAW,C9G/uBG,GAAG,C8GgvBjB,aAAa,CAAE,GAAG,CACnB,AAjCL,AAmCI,wBAnCoB,CACpB,CAAC,CAkCC,IAAI,AAAA,mBAAmB,AAAC,CACxB,cAAc,CAAE,KAAK,CACtB,AAIL,AAAA,aAAa,CACb,YAAY,AAAC,CACX,KAAK,C9G1nBK,OAAoD,C8G2nB9D,MAAM,CAAE,GAAG,CAAC,KAAK,C9GznBP,OAAmD,C8G0nB7D,SAAS,C9GjxBC,GAAG,C8GkxBb,OAAO,CAAE,IAAI,CACd,AAID,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,GAAG,CAKlB,AARD,AAKE,aALW,CAKX,GAAG,AAAC,CACF,MAAM,CAAE,QAAQ,CACjB,AAKH,AAIQ,WAJG,AACR,SAAS,CACR,OAAO,AAAA,MAAM,CACX,aAAa,CACX,MAAM,AAAA,YAAY,AAAC,CACjB,gBAAgB,C7Gn1Bf,OAAO,C6Go1BR,KAAK,C7Gr1BH,IAAO,C6Gs1BT,YAAY,C7Gr1BX,OAAO,C6Gs1BT,AART,AAWQ,WAXG,AACR,SAAS,CACR,OAAO,AAAA,MAAM,CAQX,WAAW,CACT,SAAS,AAAA,MAAM,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AAbT,AAiBE,WAjBS,CAiBT,OAAO,AAAA,MAAM,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAcnB,AzCzyBD,AAAA,WAAW,CAAC,OAAO,AAAA,MAAM,CAAC,aAAa,AyC4xBvB,CACZ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,OAAO,C9GpwBC,GAAG,C8GqwBX,GAAG,CAAE,KAAK,CACV,MAAM,CAAE,KAAK,CAOd,AA/BL,AAyBM,WAzBK,CAiBT,OAAO,AAAA,MAAM,CAEX,aAAa,CAMX,MAAM,AAAC,CACL,WAAW,CAAE,GAAG,CAChB,gBAAgB,C9GvqBZ,OAAmD,C8GwqBvD,KAAK,C7G52BH,IAAO,C6G62BT,UAAU,C9GruBJ,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,C8GsuBrC,AAKP,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AACE,aADW,CACX,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACd,AAEH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACZ,CAGH,AACE,WADS,CACT,CAAC,AAAC,CACA,KAAK,CAAE,KAAK,CACZ,eAAe,CAAE,SAAS,CAC3B,AAJH,AAKE,WALS,CAKT,QAAQ,AAAC,CACP,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,gBAAgB,C9GvsBN,OAAmD,C8GwsB7D,UAAU,CAAE,GAAG,CAAC,KAAK,C9GxsBX,OAAmD,C8GysB7D,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,8CAGV,CACD,OAAO,CAAE,KAAK,CAoBf,AA7BD,AAWE,YAXU,AAWT,IAAI,AAAC,CACJ,gBAAgB,CAAE,KAAK,CACvB,KAAK,C9GltBG,OAAmD,C8GutB5D,AAlBH,AAeI,YAfQ,AAWT,IAAI,CAIH,OAAO,AAAC,CACN,KAAK,C9GrtBC,OAAmD,C8GstB1D,AAjBL,AAoBE,YApBU,CAoBV,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAtBH,AAwBE,YAxBU,CAwBV,OAAO,AAAC,CACN,SAAS,CAAE,GAAG,CACd,KAAK,C9G/tBG,OAAmD,C8GguB3D,YAAY,CAAE,MAAM,CACrB,AAGH,AACE,qBADmB,CACnB,OAAO,AAAC,CACN,KAAK,C9GtuBG,OAAmD,C8GuuB3D,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,SAAS,CACjB,WAAW,C9G72BM,GAAG,C8G82BrB,AC96BH,UAAU,CAAV,cAAU,CACR,EAAE,CACA,aAAa,CAAE,KAAK,CAEtB,GAAG,CACD,aAAa,CAAE,IAAI,CAErB,GAAG,CACD,aAAa,CAAE,GAAG,CAEpB,GAAG,CACD,aAAa,CAAE,GAAG,CAEpB,IAAI,CACF,aAAa,CAAE,GAAG,EAItB,AAAA,wBAAwB,AAAC,CACvB,OAAO,C/G+EK,GAAG,C+G9Ef,YAAY,CAAE,CAAC,CACf,kBAAkB,CAAE,IAAI,CACxB,cAAc,CAAE,cAAc,CAC9B,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,IAAI,CAIV,AAdD,AAWE,wBAXsB,CAWtB,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CAiBd,AAlBD,AAEE,uBAFqB,CAErB,kCAAkC,AAAC,CACjC,OAAO,CAAE,IAAI,CAId,AAPH,AAII,uBAJmB,CAErB,kCAAkC,CAE9B,IAAI,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AANL,AAQE,uBARqB,CAQrB,uBAAuB,AAAA,WAAW,AAAC,CACjC,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,IAAI,CACV,UAAU,CAAE,WAAW,CACvB,SAAS,CAAE,aAEV,CACF,AAGH,AACE,uBADqB,AAAA,OAAO,CAC5B,uBAAuB,AAAA,WAAW,AAAC,CACjC,MAAM,CAAE,MAAM,CACf,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAchB,AAhBD,AAGE,cAHY,CAGZ,MAAM,AAAC,CACL,MAAM,CAAE,WAAW,CACpB,AALH,AAME,cANY,CAMZ,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACtB,AARH,AASE,cATY,CASZ,eAAe,AAAC,CACd,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,MAAM,CAIrB,AAfH,AAYI,cAZU,CASZ,eAAe,CAGb,OAAO,AAAC,CACN,KAAK,C/G2HC,OAAmD,C+G1H1D,AjH2DL,AAAA,EAAE,AiHvDC,CACD,MAAM,CAAE,SAAS,CAClB,AAED,AAAA,CAAC,AAAA,eAAe,AAAC,CACf,UAAU,CAAE,GAAG,CAChB,AAED,AACE,YADU,CACV,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,GAAG,CAIX,AARH,AAKI,YALQ,CACV,cAAc,CAIZ,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACtB,AAPL,AASE,YATU,CASV,EAAE,AAAC,CACD,MAAM,CAAE,SAAS,CACjB,KAAK,CAAE,IAAI,CACZ,AAZH,AAaE,YAbU,CAaV,CAAC,AAAA,eAAe,AAAC,CACf,UAAU,CAAE,GAAG,CAChB,AAfH,AAgBE,YAhBU,CAgBV,CAAC,AAAA,WAAW,CAAC,OAAO,AAAC,CACnB,SAAS,CAAE,KAAK,CACjB,AAlBH,AAmBE,YAnBU,CAmBV,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,KAAK,CAqBjB,AA5CH,AAwBI,YAxBQ,CAmBV,iBAAiB,CAKf,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACf,AA1BL,AA2BI,YA3BQ,CAmBV,iBAAiB,CAQf,sBAAsB,AAAC,CACrB,MAAM,CAAE,WAAW,CACpB,AA7BL,AA8BI,YA9BQ,CAmBV,iBAAiB,CAWf,iBAAiB,CA9BrB,YAAY,CAmBV,iBAAiB,CAYf,iBAAiB,AAAC,CAChB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,SAAS,CAIlB,AAHC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAlCtC,AA8BI,YA9BQ,CAmBV,iBAAiB,CAWf,iBAAiB,CA9BrB,YAAY,CAmBV,iBAAiB,CAYf,iBAAiB,AAAC,CAId,IAAI,CAAE,QAAQ,CAEjB,CArCL,AAsCI,YAtCQ,CAmBV,iBAAiB,CAmBf,iBAAiB,AAAC,CAChB,WAAW,CAAE,EAAE,CAIhB,AAHC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAxCtC,AAsCI,YAtCQ,CAmBV,iBAAiB,CAmBf,iBAAiB,AAAC,CAGd,WAAW,CAAE,CAAC,CAEjB,CAIL,AAAA,sBAAsB,AAAC,CACrB,KAAK,C/G4DK,OAAoD,C+G3D9D,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,0BAA0B,CAAC,YAAY,CAAC,iBAAiB,CAAC,YAAY,AAAC,CACrE,WAAW,CAAE,IAAI,CAClB,AAED,AAGM,gBAHU,CACd,YAAY,CACV,iBAAiB,CACf,WAAW,AAAC,CACV,KAAK,CAAE,iBAAiB,CACzB,AAKP,AAAA,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAE9B,OAAO,CAAE,KAAK,CACd,gBAAgB,C/GmCN,OAAmD,C+GlC7D,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,KAAK,CACjB,AAED,AAEI,yBAFqB,AAAA,yBAAyB,CAChD,iBAAiB,AAAA,YAAa,CAAA,GAAK,EACjC,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAKL,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,CAC9D,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,CAC5C,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,AAAC,CAC3C,OAAO,CAAE,MAAM,CAChB,AAED,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,AAAC,CAE7D,cAAc,CAAE,QAAQ,CACxB,WAAW,C/GxHQ,GAAG,C+GyHvB,AAED,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAC1C,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,yBAAyB,CACxE,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,kBAAkB,AAAC,CAEhE,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,iBAAiB,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,CAC3D,iBAAiB,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,AAAA,eAAe,AAAC,CACvD,SAAS,CAAE,KAAK,CACjB,AAED,AAAA,iBAAiB,CAAC,uBAAuB,AAAC,CACxC,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,qBAAqB,AAAC,CrGrIpB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CqGiIzB,KAAK,CAAE,IAAI,CAkDZ,AApDD,AAGE,qBAHmB,CAGnB,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C/Gdb,OAAmD,C+GkB5D,AAVH,AAOI,qBAPiB,CAGnB,WAAW,CAIT,EAAE,AAAA,aAAa,AAAC,CACd,aAAa,CAAE,GAAG,CACnB,AATL,AAWE,qBAXmB,CAWnB,aAAa,AAAC,CACZ,KAAK,C/GtBG,OAAoD,C+GuB7D,AAbH,AAcE,qBAdmB,CAcnB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AApBH,AAiBI,qBAjBiB,CAcnB,WAAW,CAGT,IAAI,AAAA,IAAK,CAAA,MAAM,CAAE,CrGjKnB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CqGiKpB,AAnBL,AAqBE,qBArBmB,CAqBnB,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAejB,AAtCH,AAwBI,qBAxBiB,CAqBnB,EAAE,CAGA,EAAE,AAAC,CACD,aAAa,CAAE,KAAK,CAYrB,AArCL,AA0BM,qBA1Be,CAqBnB,EAAE,CAGA,EAAE,CAEA,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C/GrCD,OAAoD,C+GsCzD,AA5BP,AA6BM,qBA7Be,CAqBnB,EAAE,CAGA,EAAE,CAKA,OAAO,AAAC,CACN,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,QAAQ,CACf,AAhCP,AAiCM,qBAjCe,CAqBnB,EAAE,CAGA,EAAE,CASA,OAAO,AAAC,CACN,SAAS,C/G1LH,OAAQ,C+G2Ld,MAAM,CAAE,WAAW,CACpB,AApCP,AAwCI,qBAxCiB,CAuCnB,CAAC,AAAA,UAAU,CACT,OAAO,AAAC,CACN,UAAU,C9GpPJ,IAAO,C8GqPb,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,gBAAgB,CAC7B,AA5CL,AA6CI,qBA7CiB,CAuCnB,CAAC,AAAA,UAAU,AAMR,MAAM,AAAC,CACN,KAAK,C9GxPA,OAAO,C8G4Pb,AAlDL,AA+CM,qBA/Ce,CAuCnB,CAAC,AAAA,UAAU,AAMR,MAAM,CAEL,OAAO,AAAC,CACN,UAAU,C/GxDN,OAAmD,C+GyDxD,AAKP,AAAA,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,SAAS,CACzB,KAAK,C/GnEK,OAAoD,C+GoE9D,SAAS,CAAE,QAAQ,CAIpB,AARD,AAKE,CALD,AAAA,oBAAoB,CAKnB,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,WADS,CACT,cAAc,AAAC,CACb,SAAS,CAAE,0BAGV,CAMF,AAXH,AAOM,WAPK,CACT,cAAc,CAKZ,gBAAgB,CACd,UAAU,AAAC,CACT,UAAU,CAAE,KAAK,CAClB,ACrRP,AAAA,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,MAAM,CAUf,AAZD,AAGE,eAHa,CAGb,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CACZ,SAAS,ChHyCD,QAAQ,CgHxCjB,AAPH,AAQE,eARa,CAQb,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,SAAS,ChHsCD,QAAQ,CgHrChB,OAAO,CAAE,IAAI,CACd,ACLH,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,KAAK,CACd,KAAK,CAA0B,OAAO,CACvC,AAED,AAAA,aAAa,CACb,YAAY,AAAC,CACX,KAAK,CAA0B,IAAI,CACnC,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,aAAa,CACb,WAAW,CAAC,WAAW,CACvB,MAAM,CAAC,WAAW,CAClB,WAAW,CACX,aAAa,CACb,YAAY,AAAC,CACX,KAAK,CAA0B,OAAO,CACtC,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,YAAY,CACZ,KAAK,CAAC,cAAc,AAAC,CACnB,KAAK,CAA0B,IAAI,CACpC,AAED,AAAA,YAAY,CACZ,SAAS,CAAC,YAAY,CACtB,IAAI,CAAC,aAAa,AAAC,CACjB,KAAK,CAA0B,IAAI,CACpC,AAED,AAAA,WAAW,CACX,UAAU,CACV,aAAa,CAAC,YAAY,CAC1B,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CAA0B,IAAI,CACnC,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,WAAW,CAAC,WAAW,CACvB,KAAK,CAAC,WAAW,CACjB,QAAQ,CAAC,WAAW,CACpB,WAAW,AAAC,CACV,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,WAAW,CAAC,WAAW,CACvB,QAAQ,CAAC,UAAU,CACnB,KAAK,CAAC,aAAa,CACnB,IAAI,CAAC,aAAa,AAAC,CACjB,KAAK,CAA0B,IAAI,CACnC,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,SAAS,CACT,SAAS,CAAC,WAAW,CACrB,OAAO,CAAC,SAAS,CAAC,aAAa,AAAC,CAC9B,KAAK,CAA6B,IAAI,CACtC,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,eAAe,CACf,IAAI,CAAC,aAAa,CAClB,cAAc,CACd,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CAA6B,IAAI,CACvC,AAED,AAAA,YAAY,AAAC,CACX,KAAK,ChHrEG,OAAO,CgHsEhB,AAED,AAAA,YAAY,CACZ,KAAK,CAAC,YAAY,CAAC,YAAY,CAC/B,KAAK,CAAC,aAAa,CACnB,IAAI,CAAC,aAAa,CAClB,YAAY,AAAC,CACX,KAAK,CAA6B,IAAI,CACvC,AAED,AAAA,cAAc,CACd,KAAK,CAAC,WAAW,CACjB,QAAQ,CAAC,cAAc,CACvB,kBAAkB,AAAC,CACjB,KAAK,CjHwGK,OAAmD,CiHvG9D,A3BzDD,AAAA,KAAK,A2B2DC,CACJ,KAAK,CjHoGK,OAAmD,CiHnG7D,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,cAAc,AAAC,CACb,UAAU,CjH+FA,OAAmD,CiH9F9D,AAED,AAAA,cAAc,AAAC,CACb,UAAU,CjH2FA,OAAmD,CiH1F9D,AAED,AAAA,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CjHuFK,OAAmD,CiHtF9D,AAQD,AAAA,CAAC,CAAG,IAAI,CACR,EAAE,CAAG,IAAI,CACT,GAAG,CAAG,IAAI,AAAC,CACT,KAAK,CAA0B,OAAO,CACtC,UAAU,CAA6B,IAAI,CAC5C,ACxHD,AAAA,kBAAkB,AAAC,CACjB,gBAAgB,CjHHN,IAAO,CiHIjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClHqFI,GAAG,CkHpFd,MAAM,CAAE,GAAG,CAAC,KAAK,ClH6LP,OAAmD,CkH5L7D,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,UAAU,CACzB,OAAO,CAAE,IAAI,CACb,SAAS,ClHsCF,GAAG,CkHrCV,WAAW,CAAE,GAAG,CA8CjB,AAxDD,AAYE,kBAZgB,AAYf,OAAO,AAAC,CACP,MAAM,CAAE,KAAK,CAAC,KAAK,ClHoLX,OAAmD,CkHnL5D,AAdH,AAgBE,kBAhBgB,CAgBhB,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CAClB,UAAU,CjHpBF,IAAO,CiHqBhB,AAnBH,AAqBE,kBArBgB,CAqBhB,gBAAgB,AAAA,OAAO,CArBzB,kBAAkB,CAsBhB,gBAAgB,AAAA,MAAM,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,iBAAiB,CACzB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,EAAE,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACT,AA9BH,AAgCE,kBAhCgB,CAgChB,gBAAgB,AAAA,MAAM,AAAC,CACrB,mBAAmB,CjHnCX,IAAO,CiHoCf,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AAtCH,AAwCE,kBAxCgB,CAwChB,gBAAgB,AAAA,OAAO,AAAC,CACtB,mBAAmB,ClHwJX,OAAmD,CkHvJ3D,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AA9CH,AAgDE,kBAhDgB,CAgDhB,gBAAgB,AAAC,CACf,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,KAAK,CAChB,SAAS,ClHHC,OAAQ,CkHIlB,KAAK,CjHvDC,IAAO,CiHwDb,UAAU,ClHgFA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CkH/ExC,WAAW,CAAE,KAAK,CACnB,ACxDH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,UAAU,CAUnB,AAXD,AAGE,eAHa,CAGb,EAAE,AAAA,MAAM,AAAC,CACP,SAAS,CnHuCD,GAAG,CmHtCX,WAAW,CnHyDM,GAAG,CmHxDrB,AAEA,AAAD,sBAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CAId,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAFrC,AAAA,sBAAsB,AAAC,CAGnB,SAAS,CAAE,IAAI,CAElB,CAED,AAAA,eAAe,CACf,cAAc,AAAC,CACb,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,KAAK,CAChB,aAAa,CAAE,IAAI,CACnB,aAAa,CAAE,IAAI,CAOpB,AANC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAPrC,AAAA,eAAe,CACf,cAAc,AAAC,CAOX,KAAK,CAAE,IAAI,CAKd,CAbD,AAUE,eAVa,CAUb,EAAE,CATJ,cAAc,CASZ,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,QAAQ,CACrB,aAAa,CAAE,IAAI,CASpB,AARC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EALrC,AAMI,gBANY,AAMX,YAAa,CAAA,GAAK,CAAE,CACnB,OAAO,CAAE,IAAI,CACd,CARL,AAUE,gBAVc,CAUd,CAAC,AAAA,IAAK,CxD9BR,cAAc,CwD8BU,CACpB,UAAU,CAAE,IAAI,CACjB,AC/CH,AAAA,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAED,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,MAAM,CACd,SAAS,CAAE,KAAK,CAChB,gBAAgB,CnHjBN,IAAO,CmHkBjB,UAAU,CpHiHD,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,eAAkB,CoHxGvC,AAfD,AAQE,sBARoB,CAQpB,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CAKb,AAdH,AAWI,sBAXkB,CAQpB,WAAW,AAGR,YAAY,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,WADS,CACT,cAAc,AAAC,CACb,OAAO,CpHkDK,IAAI,CoHjDjB,AAHH,AAIE,WAJS,CAIT,QAAQ,AAAC,CACP,OAAO,CpH8CI,IAAI,CoH7ChB,AANH,AAOE,WAPS,CAOT,QAAQ,AAAC,CACP,OAAO,CpH0CI,IAAI,CoHzChB,AAGH,AAAA,QAAQ,AAAA,MAAM,AAAC,CACb,QAAQ,CAAE,KAAK,CACf,OAAO,CpHuCM,IAAI,CoHtCjB,QAAQ,CAAE,IAAI,CACd,MAAM,CAAE,IAAI,CACZ,gBAAgB,CnH9CN,IAAO,CmH+CjB,UAAU,CpHuFF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoHtFtC,eAAe,CAAE,WAAW,CAC7B,AAED,AAAA,gBAAgB,AAAC,CACf,WAAW,CAAE,KAAK,CAClB,KAAK,CpH4IK,OAAoD,CoH3I/D,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,GAAG,CAAC,KAAK,CpHwId,OAAmD,CoHvI7D,WAAW,CAAE,MAAM,CAqBpB,AAzBD,AAOI,aAPS,CAMX,MAAM,CACJ,EAAE,AAAC,CACD,aAAa,CAAE,CAAC,CACjB,AATL,AAWI,aAXS,CAMX,MAAM,CAKJ,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAbL,AAgBE,aAhBW,CAgBX,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAIlB,AAxBH,AAqBI,aArBS,CAgBX,YAAY,CAKV,MAAM,AAAC,CACL,KAAK,CpHqHC,OAAmD,CoHpH1D,AAIL,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CpHNM,IAAI,CoHOjB,gBAAgB,CAAE,IAAI,CAIvB,AAXD,AAQE,eARa,AAQZ,KAAK,AAAC,CACL,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,CACf,eAAe,AAAA,KAAK,AAAA,GAAG,AAAC,CACtB,SAAS,CAAE,SAAS,CACpB,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAGD,UAAU,CAAV,IAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,GAAG,EAKhB,UAAU,CAAV,OAAU,CACR,IAAI,CACF,SAAS,CAAE,gBAAgB,CAE7B,EAAE,CACA,SAAS,CAAE,aAAa,EAI5B,AAAA,eAAe,AAAA,GAAG,CAAC,sBAAsB,CACzC,YAAY,AAAA,GAAG,CAAC,sBAAsB,AAAC,CACrC,SAAS,CAAE,YAAY,CACxB,AAED,AACE,aADW,CACX,sBAAsB,AAAC,CACrB,MAAM,CAAE,GAAG,CAAC,KAAK,CpH+DT,OAAoD,CoH9D7D,AAGH,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CpHzDM,IAAI,CoH0DjB,QAAQ,CAAE,IAAI,CAUf,AAhBD,AASI,YATQ,AAQT,IAAK,CAAA,cAAc,EAClB,WAAW,AAAA,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,gBAAgB,CAAE,CACzD,UAAU,CAAE,eAAe,CAI5B,AAHC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EAX1C,AASI,YATQ,AAQT,IAAK,CAAA,cAAc,EAClB,WAAW,AAAA,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,gBAAgB,CAAE,CAGvD,UAAU,CAAE,eAAe,CAE9B,CAIL,AAAA,WAAW,AAAC,CACV,aAAa,CAAE,CAAC,CACjB,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,cAAc,CACvB,UAAU,CAAE,GAAG,CAAC,KAAK,CpHqCX,OAAmD,CoHjC9D,AAND,AAGE,aAHW,CAGX,IAAI,AAAC,CACH,MAAM,CAAE,WAAW,CACpB,AAGH,AAEI,MAFE,AAAA,oBAAoB,CACxB,WAAW,CACT,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACb,AAEH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EANrC,AAOI,MAPE,AAAA,oBAAoB,CAOtB,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,CAIL,AACE,MADI,CACJ,IAAI,AAAC,CACH,OAAO,CAAE,mBAAmB,CAC5B,gBAAgB,CnHpLR,IAAO,CmHwLf,aAAa,CAAE,GAAG,CAAC,KAAK,CpHWhB,OAAmD,CoHV5D,AARH,AAII,MAJE,CACJ,IAAI,CAGF,EAAE,CAAG,CAAC,AAAC,CACL,SAAS,CpHrIN,GAAG,CoHsIP,AANL,AAUE,MAVI,AAUH,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,MAdI,CAcJ,WAAW,AAAC,CACV,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,KAAK,CAiElB,AAnFH,AAoBI,MApBE,CAcJ,WAAW,AAMR,kBAAkB,AAAC,CAClB,UAAU,CAAE,mBAAmB,CAChC,AAtBL,AAwBI,MAxBE,CAcJ,WAAW,AAUR,YAAY,AAAC,CACZ,UAAU,CAAE,OAAO,CA4CpB,AArEL,AA0BM,MA1BA,CAcJ,WAAW,AAUR,YAAY,CAEX,KAAK,AAAC,CACJ,SAAS,CAAE,KAAK,CACjB,AA5BP,AA8BM,MA9BA,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CAqCnB,AApEP,AAgCQ,MAhCF,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CAEL,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAtCT,AAuCQ,MAvCF,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,OAAO,CAAE,QAAQ,CACjB,UAAU,CpHtFV,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoHuF9B,OAAO,CAAE,CAAC,CACV,gBAAgB,CnH9Nd,IAAO,CmH+NT,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,IAAI,CAmBjB,AAnET,AAiDU,MAjDJ,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAAC,CACb,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CAAC,KAAK,CpHjCxB,OAAmD,CoHkCnD,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,KAAK,CAaf,AAlEX,AAsDY,MAtDN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAKX,MAAM,CAtDnB,MAAM,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAMX,MAAM,AAAC,CACN,gBAAgB,CpHtClB,OAAmD,CoHuClD,AAzDb,AA0DY,MA1DN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,CASZ,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AA7Db,AA8DY,MA9DN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,CAaZ,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,CpH/LT,OAAQ,CoHgMT,AAjEb,AAsEI,MAtEE,CAcJ,WAAW,CAwDT,QAAQ,AAAC,CACP,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,IAAI,CACb,AAzEL,AA0EI,MA1EE,CAcJ,WAAW,CA4DT,CAAC,AAAC,CACA,SAAS,CpH3MN,GAAG,CoH4MP,AA5EL,AA6EI,MA7EE,CAcJ,WAAW,CA+DT,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CACpB,AA/EL,AAgFI,MAhFE,CAcJ,WAAW,CAkET,QAAQ,AAAC,CACP,KAAK,CnH5PF,OAAO,CmH4PK,UAAU,CAC1B,AAlFL,AAqFE,MArFI,CAqFJ,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACd,AAvFH,AAyFE,MAzFI,CAyFJ,OAAO,AAAA,MAAM,AAAC,CACZ,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,GAAG,CASnB,AApGH,AA4FI,MA5FE,CAyFJ,OAAO,AAAA,MAAM,AAGV,WAAW,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CACxB,AA/FL,AAgGI,MAhGE,CAyFJ,OAAO,AAAA,MAAM,CAOX,WAAW,AAAC,CACV,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAnGL,AAuGE,MAvGI,CAuGJ,WAAW,AAAA,sBAAsB,CAAC,CAAC,AAAC,CAClC,SAAS,CpHxOJ,GAAG,CoHyOT,AAzGH,AA2GE,MA3GI,CA2GJ,GAAG,CAAC,IAAI,AAAC,CACP,WAAW,CAAE,QAAQ,CACrB,SAAS,CAAE,KAAK,CACjB,AAGH,AAEI,kBAFc,CAChB,aAAa,CACX,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACf,AAJL,AAKI,kBALc,CAChB,aAAa,CAIX,eAAe,AAAC,CACd,MAAM,CAAE,WAAW,CACpB,AAPL,AAQI,kBARc,CAChB,aAAa,CAOX,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,SAAS,CpH7PH,QAAQ,CoH8Pd,WAAW,CpH9OI,GAAG,CoH+OlB,aAAa,CAAE,IAAI,CACnB,WAAW,CAAE,IAAI,CAIlB,AAjBL,AAcM,kBAdY,CAChB,aAAa,CAOX,IAAI,CAMF,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,AAKP,AAAA,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,KAAK,CpHtHK,OAAmD,CoH0H9D,AAND,AAGE,eAHa,AAGZ,MAAM,AAAC,CACN,KAAK,CnHrTA,OAAO,CmHsTb,AAGH,AAEI,kBAFc,CAChB,aAAa,CACX,IAAI,AAAC,CACH,WAAW,CpHnQI,GAAG,CoHoQnB,AAIL,AACE,sBADoB,CACpB,aAAa,AAAC,CACZ,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,QAAQ,CAClB,UAAU,CpHxIF,OAAmD,CoHyI3D,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,MAAM,CAChB,MAAM,CAAE,WAAW,CASpB,AAhBH,AAQI,sBARkB,CACpB,aAAa,CAOX,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,EAAE,CACT,MAAM,CAAE,IAAI,CACZ,gBAAgB,CnHlVX,OAAO,CmHmVZ,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,iBAAiB,CAC9B,AAIL,AAAA,gBAAgB,AAAC,CAEf,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,CAAC,CAgBX,AApBD,AAKE,gBALc,CAKd,KAAK,AAAC,CACJ,YAAY,CAAE,IAAI,CAClB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CACjB,AATH,AAUE,gBAVc,CAUd,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CAClB,AAZH,AAaE,gBAbc,CAad,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CAChB,KAAK,CnHnWA,OAAO,CmHoWb,AAhBH,AAiBE,gBAjBc,CAiBd,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AACE,oBADkB,CAClB,KAAK,AAAA,IAAK,EAAA,AAAA,IAAC,CAAK,UAAU,AAAf,GADb,oBAAoB,CAElB,SAAS,AAAC,CACR,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,KAAK,CACrB,AALH,AAOE,oBAPkB,CAOlB,kBAAkB,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CAoBb,AA9BH,AAYI,oBAZgB,CAOlB,kBAAkB,CAKhB,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAClB,UAAU,CnH/XN,IAAO,CmHgYX,KAAK,CnH/XC,IAAO,CmHgYb,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,QAAQ,CAWlB,AA7BL,AAoBM,oBApBc,CAOlB,kBAAkB,CAKhB,qBAAqB,AAQlB,OAAO,AAAC,CACP,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,GAAG,CACT,MAAM,CAAE,iBAAiB,CACzB,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,CnH3Yd,IAAO,CmH4YT,YAAY,CAAE,GAAG,CAClB,AA5BP,AAgCE,oBAhCkB,CAgClB,oBAAoB,AAAC,CACnB,YAAY,CAAE,MAAM,CACrB,AAlCH,AAoCE,oBApCkB,CAoClB,gCAAgC,AAAC,CAC/B,WAAW,CAAE,IAAI,CACjB,SAAS,CAAE,KAAK,CAChB,UAAU,CpHpNF,OAAmD,CoHqN3D,KAAK,CnHxZG,IAAO,CmHyZf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,QAAQ,CACjB,QAAQ,CAAE,QAAQ,CAUnB,AArDH,AA4CI,oBA5CgB,CAoClB,gCAAgC,CAQ9B,UAAU,AAAC,CACT,MAAM,CAAE,iBAAiB,CACzB,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,mBAAmB,CpH7Nb,OAAmD,CoH8NzD,YAAY,CAAE,GAAG,CACjB,GAAG,CAAE,KAAK,CACV,IAAI,CAAE,KAAK,CACZ,AApDL,AAuDE,oBAvDkB,CAuDlB,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,KAAK,CACX,AA1DH,AA8DI,oBA9DgB,CA4DlB,2BAA2B,CAEvB,OAAO,AAAC,CACR,aAAa,CAAE,KAAK,CACrB,AAhEL,AAiEI,oBAjEgB,CA4DlB,2BAA2B,CAKzB,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,EAjEV,oBAAoB,CA4DlB,2BAA2B,CAMzB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAlEV,oBAAoB,CA4DlB,2BAA2B,CAOzB,WAAW,AAAC,CACV,KAAK,CAPmB,KAAK,CAQ9B,AArEL,AAsEI,oBAtEgB,CA4DlB,2BAA2B,CAUzB,KAAK,AAAC,CACJ,SAAS,CAVe,KAAK,CAW9B,AAxEL,AA0EM,oBA1Ec,CA4DlB,2BAA2B,CAazB,yBAAyB,CACvB,KAAK,AAAC,CACJ,SAAS,CAAE,IAAI,CAIhB,AA/EP,AA4EQ,oBA5EY,CA4DlB,2BAA2B,CAazB,yBAAyB,CACvB,KAAK,CAEH,CAAC,AAAC,CACA,WAAW,CAAE,KAAK,CACnB,AA9ET,AAkFE,oBAlFkB,CAkFlB,6BAA6B,AAAC,CAC5B,KAAK,CAAE,KAAK,CACb,AAGH,AACE,qBADmB,CACnB,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,gBAAgB,CAAE,WAAW,CAC7B,YAAY,CAAE,GAAG,CAWlB,AAfH,AAKI,qBALiB,CACnB,IAAI,AAID,MAAM,CALX,qBAAqB,CACnB,IAAI,AAKD,OAAO,AAAC,CACP,KAAK,CnH/cD,IAAO,CmHgdZ,AARL,AASI,qBATiB,CACnB,IAAI,AAQD,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AAXL,AAYI,qBAZiB,CACnB,IAAI,AAWD,MAAM,AAAC,CACN,OAAO,CAAE,GAAG,CAAC,KAAK,CpHjRZ,OAAmD,CoHkR1D,AAdL,AAgBE,qBAhBmB,CAgBnB,oBAAoB,AAAC,CACnB,aAAa,CAAE,IAAI,CACpB,AAlBH,AAmBE,qBAnBmB,CAmBnB,uBAAuB,AAAC,CACtB,MAAM,CAAE,KAAK,CACb,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,IAAI,CAiBZ,AAvCH,AAuBI,qBAvBiB,CAmBnB,uBAAuB,CAIrB,QAAQ,CAvBZ,qBAAqB,CAmBnB,uBAAuB,CAKrB,yBAAyB,AAAC,CACxB,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,CpH/Rf,OAAmD,CoHgSzD,WAAW,CAAE,IAAI,CAClB,AA7BL,AA8BI,qBA9BiB,CAmBnB,uBAAuB,CAWrB,QAAQ,AAAC,CACP,WAAW,CAAE,SAAS,CACtB,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CACjB,AAnCL,AAoCI,qBApCiB,CAmBnB,uBAAuB,CAiBrB,yBAAyB,AAAC,CACxB,OAAO,CAAE,gBAAgB,CAC1B,AAIL,AAEI,MAFE,CAAC,WAAW,AAAA,iBAAiB,CACjC,eAAe,CACb,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACxB,AAPL,AAUE,MAVI,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CAqBd,AAhCH,AAaI,MAbE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAGF,oBAAoB,CAbxB,MAAM,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAIF,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACX,AAhBL,AAkBI,MAlBE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAQF,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CAKR,AAzBL,AAsBM,MAtBA,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAQF,oBAAoB,CAIlB,YAAY,AAAC,CACX,IAAI,CAAE,CAAC,CACR,AAxBP,AA2BI,MA3BE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAiBF,KAAK,AAAA,YAAY,CA3BrB,MAAM,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAkBF,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACV,AAIL,AAAA,iBAAiB,AAAC,CAChB,SAAS,CAAE,KAAK,CACjB,AAED,AAGI,iBAHa,CAEf,eAAe,CACb,YAAY,CAFhB,gBAAgB,CACd,eAAe,CACb,YAAY,AAAC,CACX,QAAQ,CAAE,mBAAmB,CAC7B,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,KAAK,CAClB,AAPL,AAUE,iBAVe,CAUf,oBAAoB,CATtB,gBAAgB,CASd,oBAAoB,AAAC,CACnB,SAAS,CAAE,KAAK,CAChB,YAAY,CAAE,KAAK,CACpB,AAbH,AAeE,iBAfe,CAef,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAdR,gBAAgB,CAcd,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACb,AAjBH,AAmBE,iBAnBe,CAmBf,IAAI,CAlBN,gBAAgB,CAkBd,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CAMlB,AAPD,AAEE,WAFS,CAET,yBAAyB,AAAC,CACxB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,WAAW,CpHrfK,GAAG,CoHsfpB,AAGH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACV,AAED,AAAA,sBAAsB,AAAC,CACrB,KAAK,CpH3XK,OAAmD,CoH4X7D,SAAS,CpH7gBG,OAAQ,CoH8gBrB,AAED,AACE,mBADiB,CACjB,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,AAHH,AAIE,mBAJiB,CAIjB,WAAW,AAAC,CACV,UAAU,CAAE,OAAO,CAiCpB,AAtCH,AAMI,mBANe,CAIjB,WAAW,CAET,UAAU,CANd,mBAAmB,CAIjB,WAAW,CAGT,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,KAAK,CACb,AAVL,AAYI,mBAZe,CAIjB,WAAW,CAQT,gBAAgB,AAAC,CACf,KAAK,CnHhlBD,IAAO,CmHilBZ,AAdL,AAgBI,mBAhBe,CAIjB,WAAW,CAYT,qBAAqB,CAAC,MAAM,AAAC,CAC3B,KAAK,CpHhZC,OAAmD,CoHiZ1D,AAlBL,AAoBI,mBApBe,CAIjB,WAAW,CAgBT,qBAAqB,CAAC,gBAAgB,AAAC,CACrC,WAAW,CAAE,CAAC,CACf,AAtBL,AAwBI,mBAxBe,CAIjB,WAAW,CAoBT,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,UAAU,CAUnB,AArCL,AA6BM,mBA7Ba,CAIjB,WAAW,CAoBT,UAAU,CAKR,EAAE,AAAC,CACD,IAAI,CAAE,OAAO,CACd,AA/BP,AAiCM,mBAjCa,CAIjB,WAAW,CAoBT,UAAU,CASR,KAAK,AAAC,CACJ,MAAM,CAAE,WAAW,CACnB,KAAK,CpHlaD,OAAmD,CoHmaxD,AAMP,AAGI,cAHU,CAEZ,eAAe,CACb,MAAM,AAAC,CACL,SAAS,CAAE,IAAI,CAChB,AALL,AAMI,cANU,CAEZ,eAAe,CAIb,YAAY,AAAC,CACX,SAAS,CAAE,GAAG,CACf,AARL,AASI,cATU,CAEZ,eAAe,CAOb,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,MADI,AAAA,IAAK,CAAA,SAAS,EAClB,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACX,AAGH,AAEI,MAFE,AACH,SAAS,CACR,WAAW,AAAC,CACV,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,iBAAiB,CACxB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,CAAC,CAmBV,AA1BL,AASM,MATA,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CAChB,OAAO,CpG9nBF,GAAmB,CAAnB,GAAmB,CoG+nBxB,YAAY,CpG/nBP,GAAmB,CoGgoBxB,MAAM,CAAE,OAAO,CAYhB,AAzBP,AAeQ,MAfF,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAMP,UAAU,AAAC,CACV,KAAK,CnHlpBH,IAAO,CmHmpBT,UAAU,CnH7oBX,OAAO,CmHopBP,AAxBT,AAmBU,MAnBJ,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAMP,UAAU,AAIR,WAAW,AAAC,CACX,UAAU,CAAE,IAAI,CAChB,KAAK,CnHxpBP,IAAO,CmHypBL,OAAO,CpGzoBN,GAAmB,CAJnB,CAAuB,CoG8oBzB,AC1pBX,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CAKnB,AARD,AAIE,cAJY,CAIZ,kBAAkB,AAAC,CACjB,KAAK,CAAE,CAAC,CACR,aAAa,CAAE,KAAK,CACrB,AAGH,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAWhB,AAbD,AAIE,sBAJoB,CAIpB,2BAA2B,CAJ7B,sBAAsB,CAKpB,2BAA2B,AAAC,CAC1B,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,KAAK,CACrB,AARH,AAUE,sBAVoB,AAUnB,WAAW,AAAC,CACX,YAAY,CAAE,IAAI,CACnB,AAGH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,IAAI,CAEX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,aAAa,CAuH/B,AArH0B,SAAC,EAAf,OAAO,EAAE,IAAI,EAR1B,AAAA,aAAa,AAAC,CASV,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,cAAc,CACrC,eAAe,CAAE,MAAM,CACvB,YAAY,CAAE,GAAG,CAiHpB,A3GnIC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAAA,aAAa,AAAC,CAcR,qBAAqB,CAAE,cAAc,CACrC,eAAe,CAAE,EAAE,CA8GxB,C3GnIC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAAA,aAAa,AAAC,CAkBR,qBAAqB,CAAE,IAAI,CA2GhC,EA7HD,AAsBE,aAtBW,CAsBX,UAAU,AAAC,CAET,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,EAAE,CAIV,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,GAAG,CAAC,KAAK,CrH2IT,OAAmD,CqH1I3D,KAAK,CpH1DC,IAAO,CoHqJd,A3GlID,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAsBE,aAtBW,CAsBX,UAAU,AAAC,CAKP,MAAM,CAAE,CAAC,CAiGZ,CA1FC,AAAA,mBAAmB,CAlCvB,aAAa,CAsBX,UAAU,AAYc,CACpB,UAAU,CAAE,SAAS,CAItB,AALD,AAEE,mBAFiB,CAlCvB,aAAa,CAsBX,UAAU,AAcL,MAAM,AAAC,CACN,UAAU,CrHyER,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CqHxEjC,AAtCP,AAwCI,aAxCS,CAsBX,UAAU,CAkBR,iBAAiB,AAAC,CAChB,KAAK,CrHkIC,OAAmD,CqHjIzD,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,GAAG,CAKjB,AAhDL,AA4CM,aA5CO,CAsBX,UAAU,CAkBR,iBAAiB,CAIf,eAAe,CA5CrB,aAAa,CAsBX,UAAU,CAkBR,iBAAiB,CAKf,gBAAgB,AAAC,CACf,KAAK,CpH/DH,OAAO,CoHgEV,AA/CP,AAiDI,aAjDS,CAsBX,UAAU,CA2BR,gBAAgB,AAAC,CACf,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,UAAU,CAoCvB,AA1FL,AAuDM,aAvDO,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CAiBf,AA3EP,AA2DQ,aA3DK,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CAIjB,mBAAmB,AAAC,CAClB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,QAAQ,CACf,AA/DT,AAgEQ,aAhEK,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CASjB,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,GAAG,CAOX,AA1ET,AAqEU,aArEG,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CASjB,WAAW,CAKT,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,WAAW,CrHjCF,GAAG,CqHkCb,AAzEX,AA4EM,aA5EO,CAsBX,UAAU,CA2BR,gBAAgB,CA2Bd,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CrH4FD,OAAmD,CqHtFxD,AArFP,AAgFQ,aAhFK,CAsBX,UAAU,CA2BR,gBAAgB,CA2Bd,iBAAiB,CAIf,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,SAAS,CAAE,KAAK,CAChB,KAAK,CrHwFH,OAAmD,CqHvFtD,AApFT,AAsFM,aAtFO,CAsBX,UAAU,CA2BR,gBAAgB,CAqCd,kBAAkB,AAAC,CACjB,KAAK,CrHoFD,OAAmD,CqHnFvD,SAAS,CAAE,UAAU,CACtB,AAzFP,AA4FI,aA5FS,CAsBX,UAAU,CAsER,iBAAiB,AAAC,CAChB,SAAS,CrHrEH,QAAQ,CqHsEd,WAAW,CAAE,IAAI,CACjB,KAAK,CpHxHD,IAAO,CoHyHZ,AAhGL,AAqGI,aArGS,CAsBX,UAAU,CA+ER,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CpHhID,IAAO,CoHiJZ,AAxHL,AAyGM,aAzGO,CAsBX,UAAU,CA+ER,mBAAmB,CAIjB,aAAa,AAAC,CACZ,eAAe,CARZ,IAAI,CASP,MAAM,CATH,IAAI,CAUP,KAAK,CAVF,IAAI,CAWP,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAM7B,AAvHP,AAmHQ,aAnHK,CAsBX,UAAU,CA+ER,mBAAmB,CAIjB,aAAa,CAUX,OAAO,AAAC,CACN,MAAM,CAjBA,UAAW,CAkBjB,KAAK,CAlBC,UAAW,CAmBlB,AAtHT,AAyHI,aAzHS,CAsBX,UAAU,CAmGR,mBAAmB,AAAC,CAClB,KAAK,CAxBA,IAAI,CAyBV,ACpJL,AAAA,kBAAkB,AAAC,CACjB,KAAK,CrHME,OAAO,CqHLd,SAAS,CtHiDG,OAAQ,CsHhDpB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,mBAAmB,CAAC,WAAW,AAAC,CAC9B,MAAM,CAAE,CAAC,CACV,AAED,AAAA,gBAAgB,CAAC,kBAAkB,AAAC,CAClC,OAAO,CAAE,IAAI,CACd,AAED,AACE,WADS,CACT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAHH,AAIE,WAJS,CAIT,CAAC,AAAC,CACA,KAAK,CtHiLG,OAAmD,CsHhL5D,AANH,AAOE,WAPS,CAOT,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AATH,AAWI,WAXO,CAUT,YAAY,CACV,EAAE,AAAA,cAAc,AAAC,CACf,aAAa,CAAE,MAAM,CACtB,AAIL,AAAA,iBAAiB,AAAC,CAChB,MAAM,CAAE,OAAO,CAChB,AAED,AAEE,YAFU,CAEV,EAAE,CADJ,eAAe,CACb,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAJH,AAMI,YANQ,CAKV,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,CALN,eAAe,CAIb,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,AAAC,CACD,OAAO,CAAE,UAAU,CACpB,AARL,AAWI,YAXQ,CAUV,EAAE,CACA,KAAK,CAXT,YAAY,CAUV,EAAE,CAEA,KAAK,CAXT,eAAe,CASb,EAAE,CACA,KAAK,CAVT,eAAe,CASb,EAAE,CAEA,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAfL,AAkBI,YAlBQ,CAiBV,aAAa,CACX,eAAe,CAjBnB,eAAe,CAgBb,aAAa,CACX,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACrB,AApBL,AAsBE,YAtBU,AAsBT,kBAAkB,CArBrB,eAAe,AAqBZ,kBAAkB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AAGH,AACE,eADa,CACb,WAAW,AAAC,CACV,KAAK,CtHoIG,OAAmD,CsHnI3D,UAAU,CAAE,KAAK,CAClB,AAJH,AAOI,eAPW,CAMb,WAAW,CACP,KAAK,AAAC,CACN,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AAXL,AAYI,eAZW,CAMb,WAAW,AAMR,cAAc,CAAG,KAAK,AAAC,CACtB,UAAU,CAAE,CAAC,CACd,AAdL,AAgBI,eAhBW,CAMb,WAAW,CAUT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAnBL,AAqBI,eArBW,CAMb,WAAW,CAeT,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAvBL,AAyBI,eAzBW,CAMb,WAAW,CAmBT,SAAS,AAAC,CACR,WAAW,CAAE,GAAG,CAWjB,AArCL,AA2BM,eA3BS,CAMb,WAAW,CAmBT,SAAS,CAEP,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,MAAM,CACpB,AA/BP,AAgCM,eAhCS,CAMb,WAAW,CAmBT,SAAS,CAOP,aAAa,AAAC,CACZ,UAAU,CAAE,MAAM,CAClB,KAAK,CtHoGD,OAAmD,CsHnGvD,WAAW,CtHjCE,GAAG,CsHkCjB,AAKP,AAEI,eAFW,CACb,aAAa,CACX,KAAK,AAAC,CACJ,KAAK,CtH0FC,OAAmD,CsHzF1D,AAIL,AACE,aADW,CACX,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACd,AAJH,AAME,aANW,CAMX,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,YAAY,CAAE,IAAI,CAInB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EATvC,AAME,aANW,CAMX,UAAU,AAAC,CAIP,OAAO,CAAE,IAAI,CAEhB,CAZH,AAcE,aAdW,CAcX,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAkBjB,AAjCH,AAgBI,aAhBS,CAcX,IAAI,CAEF,MAAM,AAAA,YAAY,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,AAlBL,AAmBI,aAnBS,CAcX,IAAI,CAKF,KAAK,AAAA,IAAK,CAAA,eAAe,CAAE,CACzB,WAAW,CAAE,IAAI,CAClB,AArBL,AAsBI,aAtBS,CAcX,IAAI,CAQF,SAAS,CAtBb,aAAa,CAcX,IAAI,CASF,MAAM,AAAC,CACL,aAAa,CAAE,IAAI,CACpB,AAzBL,AA0BI,aA1BS,CAcX,IAAI,CAYF,aAAa,AAAC,CACZ,KAAK,CtH0DC,OAAmD,CsHzDzD,MAAM,CAAE,CAAC,CACT,SAAS,CtHzFD,OAAQ,CsH0FhB,WAAW,CAAE,MAAM,CACnB,WAAW,CtH9EI,GAAG,CsH+EnB,AAIL,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,gBAAgB,CAI1B,AALD,AAEE,aAFW,AAEV,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,MAAM,CAAC,EAAE,AAAA,aAAa,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,MAAM,CAInB,AAPD,AAIE,MAJI,CAAC,EAAE,AAAA,aAAa,CAIpB,KAAK,AAAC,CACJ,KAAK,CtHqCG,OAAmD,CsHpC5D,AAKH,AAAA,MAAM,AAAA,WAAW,CACjB,MAAM,AAAA,iBAAiB,AAAC,CACtB,UAAU,CAAE,WAAW,CACvB,KAAK,CtH4BK,OAAmD,CsH3B9D,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAapB,AAhBD,AAIE,aAJW,CAIX,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AANH,AAOE,aAPW,CAOX,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,SAAS,CtHlIJ,GAAG,CsHmIT,AAVH,AAWE,aAXW,CAWX,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,eAAe,CACxB,KAAK,CrHvLE,OAAO,CqHwLf,AC1LH,AAAA,WAAW,AAAA,SAAS,AAAC,CACnB,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,CAAC,CACR,UAAU,CvHsIA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAE,IAAG,CAAC,gBAAmB,CuH3H7C,AAdD,AAIE,WAJS,AAAA,SAAS,AAIjB,QAAQ,AAAC,CACR,UAAU,CAAE,uCAAuC,CACpD,AANH,AAQE,WARS,AAAA,SAAS,CAQlB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,GAAG,CACX,AAEH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACd,AAED,AAAA,WAAW,AAAA,UAAU,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAElB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,KAAK,CACb,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,GAAG,CAAC,KAAK,CvHyKP,OAAmD,CuHxK7D,UAAU,CvH0GI,CAAC,CAAC,IAAI,CAAC,IAAI,CAAC,gBAAmB,CuHzG7C,gBAAgB,CtH5BN,IAAO,CsH6BjB,OAAO,CvH2DG,IAAI,CuH1Dd,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CA2Bb,AAjCD,AAQE,WARS,CAQT,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACd,AAVH,AAYE,WAZS,CAYT,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACZ,AAfH,AAiBE,WAjBS,CAiBT,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AArBH,AAuBE,WAvBS,CAuBT,WAAW,AAAC,CACV,YAAY,CAAE,gBAAgB,CAC9B,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,KAAK,CAClB,AA5BH,AA8BE,WA9BS,CA8BT,mBAAmB,AAAC,CAClB,cAAc,CAAE,WAAW,CAC5B,AAGH,AACE,WADS,AAAA,SAAS,CAClB,EAAE,AAAC,CACD,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACZ,AAGH,AAGI,WAHO,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,CAHjB,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,KAAK,CAMf,AAXL,AAMM,WANK,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,AAGV,MAAM,CANb,WAAW,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,AAIV,MAAM,CAPb,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAGV,MAAM,CANb,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAIV,MAAM,AAAC,CACN,gBAAgB,CvHwHZ,OAAmD,CuHvHvD,OAAO,CAAE,IAAI,CACd,AAVP,AAaI,WAbO,CACT,EAAE,CAYA,IAAI,CAbR,WAAW,CAET,EAAE,AAAA,QAAQ,CAWR,IAAI,AAAC,CACH,SAAS,CvH/BD,OAAQ,CuHgChB,WAAW,CAAE,KAAK,CAClB,KAAK,CvH8GC,OAAoD,CuH7G3D,AAjBL,AAoBE,WApBS,CAoBT,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,YAAY,CACtB,AAvBH,AAyBE,WAzBS,CAyBT,EAAE,AAAA,cAAc,AAAC,CACf,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,UAAU,CAgCvB,AAhEH,AAiCI,WAjCO,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CAKrB,AAvCL,AAmCM,WAnCK,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAEE,MAAM,CAnCb,WAAW,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAGE,MAAM,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AAtCP,AAwCI,WAxCO,CAyBT,EAAE,AAAA,cAAc,CAed,mBAAmB,AAAC,CAClB,KAAK,CvHqFC,OAAoD,CuHpF1D,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,MAAM,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CvH9DD,OAAQ,CuH+DhB,WAAW,CvHjDG,GAAG,CuHkDlB,AA/CL,AAiDM,WAjDK,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AACX,IAAI,CAjDX,WAAW,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAEX,OAAO,AAAC,CACP,KAAK,CtHvHH,IAAO,CsHwHT,OAAO,CAAE,YAAY,CACtB,AArDP,AAsDM,WAtDK,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,AAAC,CACJ,KAAK,CtH1HD,IAAO,CsHiIZ,AA9DP,AAwDQ,WAxDG,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,CAED,CAAC,AAAA,MAAM,AAAA,mBAAmB,AAAC,CAC3B,WAAW,CAAE,GAAG,CACjB,AA1DT,AA2DQ,WA3DG,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,CAKH,IAAI,AAAC,CACH,OAAO,CvH3BP,EAAC,CuH4BF,AA7DT,AAmEE,WAnES,CAmET,CAAC,AAAA,aAAa,AAAC,CACb,KAAK,CvH0DG,OAAoD,CuHzD5D,WAAW,CAAE,MAAM,CACnB,SAAS,CvHvFC,OAAQ,CuHwFnB,AAvEH,AAyEE,WAzES,CAyET,IAAI,AAAA,eAAe,AAAC,CAClB,SAAS,CAAE,KAAK,CACjB,AA3EH,AA6EE,WA7ES,CA6ET,GAAG,AAAA,eAAe,AAAC,CACjB,SAAS,CvH/FC,OAAQ,CuHgGnB,AAGH,AACE,UADQ,CACR,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,C7GlFhB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C6G0KxB,AAjGH,AAKI,UALM,CACR,mBAAmB,CAIjB,EAAE,AAAC,CACD,OAAO,CAAE,OAAO,CAChB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,OAAO,CAChB,AATL,AAWI,UAXM,CACR,mBAAmB,CAUjB,OAAO,CAXX,UAAU,CACR,mBAAmB,AAWhB,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,CvHiCC,OAAmD,CuHhC1D,AAdL,AAeI,UAfM,CACR,mBAAmB,CAcjB,KAAK,AAAC,CACJ,KAAK,CvH8BC,OAAmD,CuH7B1D,AAjBL,AAkBI,UAlBM,CACR,mBAAmB,CAiBjB,EAAE,AAAC,CACD,gBAAgB,CvH2BV,OAAmD,CuHO1D,AArDL,AAuBM,UAvBI,CACR,mBAAmB,CAiBjB,EAAE,CAKA,GAAG,CAAC,GAAG,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAzBP,AA2BM,UA3BI,CACR,mBAAmB,CAiBjB,EAAE,CASA,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CtHlLH,IAAO,CsHmLV,AA7BP,AA+BM,UA/BI,CACR,mBAAmB,CAiBjB,EAAE,AAaC,MAAM,CA/Bb,UAAU,CACR,mBAAmB,CAiBjB,EAAE,AAcC,MAAM,AAAC,CACN,gBAAgB,CvHaZ,OAAmD,CuHZvD,OAAO,CAAE,IAAI,CACd,AAnCP,AAqCM,UArCI,CACR,mBAAmB,CAiBjB,EAAE,CAmBA,CAAC,AAAC,CACA,OAAO,CAAE,CAAC,CASX,AA/CP,AAuCQ,UAvCE,CACR,mBAAmB,CAiBjB,EAAE,CAmBA,CAAC,CAEG,GAAG,AAAC,CACJ,QAAQ,CAAE,MAAM,CAGhB,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CACrB,kBAAkB,CAAE,QAAQ,CAC7B,AA9CT,AAiDM,UAjDI,CACR,mBAAmB,CAiBjB,EAAE,CA+BA,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CACjB,AApDP,AAsDI,UAtDM,CACR,mBAAmB,CAqDjB,EAAE,AAAA,IAAK,CAAA,SAAS,CAAE,CAChB,OAAO,CAAE,YAAY,CAMtB,AA7DL,AAwDM,UAxDI,CACR,mBAAmB,CAqDjB,EAAE,AAAA,IAAK,CAAA,SAAS,EAEd,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,KAAK,CACnB,AA5DP,AA+DM,UA/DI,CACR,mBAAmB,CA6DjB,WAAW,CACT,oBAAoB,AAAC,CACnB,KAAK,CtH/MJ,OAAO,CsHgNT,AAjEP,AAmEI,UAnEM,CACR,mBAAmB,CAkEjB,KAAK,AAAC,CACJ,gBAAgB,CtHzNV,IAAO,CsH0Nd,AArEL,AAsEI,UAtEM,CACR,mBAAmB,CAqEjB,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CACjB,AAxEL,AAyEI,UAzEM,CACR,mBAAmB,CAwEjB,kBAAkB,AAAC,CACjB,UAAU,CAAE,GAAG,CAChB,AA3EL,AA4EI,UA5EM,CACR,mBAAmB,CA2EjB,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,MAAM,CACf,AAjFL,AAkFI,UAlFM,CACR,mBAAmB,CAiFjB,SAAS,CAAC,CAAC,AAAC,CACV,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAChB,KAAK,CvH5CC,OAAoD,CuH6C1D,UAAU,CvH9DN,OAAqB,CuHmE1B,AA9FL,AA0FM,UA1FI,CACR,mBAAmB,CAiFjB,SAAS,CAAC,CAAC,AAQR,MAAM,AAAC,CACN,KAAK,CtHjPH,IAAO,CsHkPT,UAAU,CvH9CN,OAAmD,CuH+CxD,AA7FP,AAmGE,UAnGQ,CAmGR,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,GAAG,AAAA,kBAAkB,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,OAAO,CA2GxB,AA/GD,AAKE,GALC,AAAA,kBAAkB,CAKnB,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,CvHnEhB,OAAoD,CuHoE5D,OAAO,CAAE,IAAI,CAGb,OAAO,CAAE,KAAK,CAmDf,AA7DH,AAYI,GAZD,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAAC,CACD,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CA6ChB,AA5DL,AAgBM,GAhBH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAIC,KAAK,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AAlBP,AAmBM,GAnBH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAOC,OAAO,AAAC,CACP,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,GAAG,CAOf,AA7BP,AAwBQ,GAxBL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAOC,OAAO,CAKN,CAAC,AAAC,CAEA,YAAY,CAAE,KAAK,CACnB,aAAa,CAAE,KAAK,CACrB,AA5BT,AA+BM,GA/BH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CAmBA,CAAC,AAAC,CAGA,MAAM,CAAE,qBAAqB,CAC7B,aAAa,CAAE,CAAC,CACjB,AApCP,AAsCM,GAtCH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAAC,CACP,MAAM,CAAE,GAAG,CAAC,KAAK,CvHpGb,OAAoD,CuHqGxD,aAAa,CAAE,CAAC,CAChB,QAAQ,CAAE,QAAQ,CAkBnB,AA3DP,AA2CQ,GA3CL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CvHtNL,IAAI,CuHuNN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,CtHlTnB,IAAO,CsHmTV,AArDT,AAuDQ,GAvDL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAiBL,MAAM,CAvDf,GAAG,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAkBL,MAAM,AAAC,CACN,gBAAgB,CAAE,OAAO,CAC1B,AA1DT,AA8DE,GA9DC,AAAA,kBAAkB,CA8DnB,CAAC,AAAA,MAAM,CA9DT,GAAG,AAAA,kBAAkB,CA+DnB,CAAC,AAAA,MAAM,AAAC,CACN,gBAAgB,CvH3HR,OAAmD,CuH4H3D,OAAO,CAAE,IAAI,CACd,AAlEH,AAmEE,GAnEC,AAAA,kBAAkB,CAmEnB,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CACrB,AArEH,AAsEE,GAtEC,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,AAAC,CACnB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,QAAQ,CAChB,SAAS,CAAE,KAAK,CAKhB,QAAQ,CAAE,OAAO,CAWlB,AA1FH,AAiFI,GAjFD,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,CAWlB,IAAI,AAAA,QAAQ,AAAC,CACX,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,KAAK,C7GtRpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6GsRpB,A7GjUH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6G4OrC,AAsEE,GAtEC,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,AAAC,CAkBjB,SAAS,CAAE,KAAK,CAEnB,CA1FH,AA2FE,GA3FC,AAAA,kBAAkB,CA2FnB,EAAE,AAAC,CACD,OAAO,CAAE,UAAU,CACnB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CACnB,AA/FH,AAgGE,GAhGC,AAAA,kBAAkB,CAgGnB,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,IAAI,CACjB,AAlGH,AAoGE,GApGC,AAAA,kBAAkB,CAoGnB,EAAE,AAAA,WAAW,AAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AAtGH,AAuGE,GAvGC,AAAA,kBAAkB,CAuGnB,GAAG,CAvGL,GAAG,AAAA,kBAAkB,CAwGnB,CAAC,AAAC,CACA,KAAK,CvHtKG,OAAoD,CuHuK7D,AA1GH,AA4GE,GA5GC,AAAA,kBAAkB,CA4GnB,YAAY,AAAC,CACX,YAAY,CAAE,OAAO,CACtB,AC7WH,AACE,8BAD4B,CAC5B,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,sCAAsC,AAAC,CACrC,KAAK,CAAE,GAAG,CACX,ACRD,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,CAAC,CACZ,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,CAAC,CACd,AAED,AAAA,0BAA0B,CAC1B,yBAAyB,AAAC,CACxB,IAAI,CAAE,CAAC,CACR,AAED,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,gBAAgB,CxHnBN,IAAO,CwHoBjB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,CzH8KP,OAAmD,CyHlK9D,AAjBD,AAOE,0BAPwB,CAOxB,QAAQ,AAAC,CACP,UAAU,CAAE,WAAW,CACxB,AATH,AAWE,0BAXwB,AAWvB,SAAS,AAAC,CACT,MAAM,CAAE,WAAW,CAIpB,AAhBH,AAaI,0BAbsB,AAWvB,SAAS,CAER,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CACnB,AAIL,AAAA,yBAAyB,AAAC,CACxB,SAAS,CAAE,GAAG,CACd,WAAW,CAAE,EAAE,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CzHqJd,OAAmD,CyHjH9D,AAxCD,AAME,oBANkB,CAMlB,IAAI,CANN,oBAAoB,CAOlB,YAAY,AAAC,CACX,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,YAAY,CAYtB,AArBH,AAUI,oBAVgB,CAMlB,IAAI,CAIF,OAAO,CAVX,oBAAoB,CAOlB,YAAY,CAGV,OAAO,AAAC,CACN,KAAK,CzH8IC,OAAmD,CyH7I1D,AAZL,AAcI,oBAdgB,CAMlB,IAAI,CAQF,GAAG,CAdP,oBAAoB,CAOlB,YAAY,CAOV,GAAG,AAAC,CACF,iBAAiB,CAAE,oBAIlB,CACF,AApBL,AAuBE,oBAvBkB,CAuBlB,gBAAgB,AAAC,CACf,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAAC,KAAK,CzH+Hd,OAAmD,CyH9H5D,AA3BH,AA6BE,oBA7BkB,CA6BlB,IAAI,AAAA,IAAK,CAAA,QAAQ,CAAE,CACjB,SAAS,CzHxBD,QAAQ,CyHyBjB,AA/BH,AAiCE,oBAjCkB,CAiClB,IAAI,AAAA,KAAK,AAAC,CACR,WAAW,CAAE,MAAM,CACpB,AAnCH,AAqCE,oBArCkB,CAqClB,IAAI,AAAA,OAAO,AAAC,CACV,UAAU,CAAE,MAAM,CACnB,AA9CH,AAAA,yBAAyB,AAiDC,CACxB,QAAQ,CAAE,IAAI,CACd,MAAM,CAAE,OAAO,CACf,0BAA0B,CAAE,KAAK,CAClC,AAED,AAAA,eAAe,CACf,iBAAiB,AAAC,CAChB,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,UAAU,CACrB,kBAAkB,CAAE,IAAI,CACxB,aAAa,CAAE,CAAC,CAMjB,AAfD,AAUE,eAVa,AAUZ,MAAM,CATT,iBAAiB,AASd,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,iBAAiB,AAAC,CAChB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,GAAG,CACT,QAAQ,CAAE,IAAI,CACf,AAED,AAAA,kBAAkB,CAAC,iBAAiB,AAAC,CACnC,UAAU,CAAE,MAAM,CAClB,KAAK,CzHoEK,OAAmD,CyHpEtC,UAAU,CAClC,AAED,AAAA,iBAAiB,CAAG,CAAC,AAAA,YAAY,AAAC,CAChC,UAAU,CAAE,CAAC,CACd,AAED,AAAA,aAAa,CAAC,yBAAyB,AAAC,CACtC,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CACR,AAED,AAGE,iBAHe,CAAC,aAAa,CAG7B,QAAQ,CAFV,eAAe,CAEb,QAAQ,CADV,iCAAiC,CAC/B,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CACjB,AAPH,AAQE,iBARe,CAAC,aAAa,CAQ7B,mBAAmB,CAPrB,eAAe,CAOb,mBAAmB,CANrB,iCAAiC,CAM/B,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACf,AAVH,AAWE,iBAXe,CAAC,aAAa,CAW7B,0BAA0B,CAV5B,eAAe,CAUb,0BAA0B,CAT5B,iCAAiC,CAS/B,0BAA0B,AAAC,CACzB,MAAM,CAAE,GAAG,CAAC,KAAK,CzH4CT,OAAmD,CyH3C5D,AAbH,AAcE,iBAde,CAAC,aAAa,CAc7B,yBAAyB,CAb3B,eAAe,CAab,yBAAyB,CAZ3B,iCAAiC,CAY/B,yBAAyB,AAAC,CACxB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,UAAU,CACnB,AAjBH,AAkBE,iBAlBe,CAAC,aAAa,CAkB7B,iBAAiB,CAjBnB,eAAe,CAiBb,iBAAiB,CAhBnB,iCAAiC,CAgB/B,iBAAiB,AAAC,CAChB,gBAAgB,CzHqCR,OAAmD,CyHpC3D,OAAO,CAAE,GAAG,CAIb,AAxBH,AAqBI,iBArBa,CAAC,aAAa,CAkB7B,iBAAiB,AAGd,MAAM,CApBX,eAAe,CAiBb,iBAAiB,AAGd,MAAM,CAnBX,iCAAiC,CAgB/B,iBAAiB,AAGd,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAIL,AAAA,iBAAiB,CAAC,aAAa,CAC/B,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CzH0BP,OAAmD,CyHzB9D,AAED,AAAA,iBAAiB,CAAC,GAAG,AAAC,CACpB,cAAc,CAAE,KAAK,CAMtB,AAPD,AAEE,iBAFe,CAAC,GAAG,AAElB,MAAM,CAFT,iBAAiB,CAAC,GAAG,AAGlB,OAAO,CAHV,iBAAiB,CAAC,GAAG,AAIlB,UAAU,AAAC,CACV,cAAc,CAAE,CAAC,CAClB,AAGH,AAAA,iBAAiB,CAAC,cAAc,AAAC,CAC/B,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,KAAK,CAyCtB,AA5CD,AAKE,iBALe,CAAC,cAAc,CAK9B,GAAG,AAAC,CACF,cAAc,CAAE,CAAC,CAClB,AAPH,AAUI,iBAVa,CAAC,cAAc,AAS7B,MAAM,CACL,eAAe,AAAC,CACd,OAAO,CAAE,GAAG,CACb,AAZL,AAcE,iBAde,CAAC,cAAc,CAc9B,eAAe,AAAC,CACd,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,SAAS,CACrB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CAsBR,AA3CH,AAsBI,iBAtBa,CAAC,cAAc,CAc9B,eAAe,CAQb,UAAU,AAAC,CACT,KAAK,CzHTC,OAAmD,CyHU1D,AAxBL,AA0BI,iBA1Ba,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAAC,CACT,KAAK,CxH/MA,OAAO,CwHgNZ,OAAO,CAAE,OAAO,CAcjB,AA1CL,AA6BM,iBA7BW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAGP,cAAc,AAAC,CACd,YAAY,CAAE,CAAC,CAChB,AA/BP,AAiCM,iBAjCW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAOP,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CxHzNH,IAAO,CwH0NV,AApCP,AAsCM,iBAtCW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAYP,IAAK,CAAA,OAAO,CAAC,MAAM,AAAC,CACnB,eAAe,CAAE,SAAS,CAC1B,MAAM,CAAE,OAAO,CAChB,AAKP,AAAA,YAAY,CAAC,iBAAiB,CAAC,cAAc,CAAC,eAAe,AAAC,CAC5D,OAAO,CAAE,CAAC,CACX,AA3LD,AAAA,oBAAoB,AA+LC,CACnB,MAAM,CAAE,MAAM,CAkFf,AAlRD,AAME,oBANkB,CAMlB,IAAI,CANN,oBAAoB,CAOlB,YAAY,AA6LC,CACX,OAAO,CAAE,OAAO,CACjB,AAtMH,AAuBE,oBAvBkB,CAuBlB,gBAAgB,AAgLC,CACf,MAAM,CAAE,QAAQ,CACjB,A/GjOD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GoOnC,AAEI,kBAFc,CAbpB,oBAAoB,CAed,IAAI,CAFR,kBAAkB,CAbpB,oBAAoB,CAgBd,YAAY,AAAC,CACX,OAAO,CAAE,OAAO,CACjB,C/GzOL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GoOnC,AAEI,kBAFc,CAbpB,oBAAoB,CAed,IAAI,CAFR,kBAAkB,CAbpB,oBAAoB,CAgBd,YAAY,AAMC,CACX,OAAO,CAAE,OAAO,CACjB,AAXL,AAYI,kBAZc,CAbpB,oBAAoB,CAyBd,gBAAgB,AAAC,CACf,MAAM,CAAE,QAAQ,CACjB,C/GlPL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuPnC,AAEI,iBAFa,CAhCnB,oBAAoB,CAkCd,IAAI,CAFR,iBAAiB,CAhCnB,oBAAoB,CAmCd,YAAY,AAAC,CACX,OAAO,CAAE,QAAQ,CAClB,C/G5PL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuPnC,AAEI,iBAFa,CAhCnB,oBAAoB,CAkCd,IAAI,CAFR,iBAAiB,CAhCnB,oBAAoB,CAmCd,YAAY,AAMC,CACX,OAAO,CAAE,QAAQ,CAClB,C/GlQL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuQnC,AAEI,iBAFa,CAhDnB,oBAAoB,CAkDd,IAAI,CAFR,iBAAiB,CAhDnB,oBAAoB,CAmDd,YAAY,AAAC,CACX,OAAO,CAAE,OAAO,CACjB,C/G5QL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuQnC,AAEI,iBAFa,CAhDnB,oBAAoB,CAkDd,IAAI,CAFR,iBAAiB,CAhDnB,oBAAoB,CAmDd,YAAY,AAMC,CACX,OAAO,CAAE,OAAO,CACjB,CAKL,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAAC,CACX,SAAS,CzH1PD,OAAQ,CyH2PjB,A/G3RH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuRnC,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAMG,CACX,OAAO,CAAE,OAAO,CACjB,C/GjSL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuRnC,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAYG,CACX,OAAO,CAAE,OAAO,CACjB,CC1TP,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,KAAK,CACb,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,UAAU,CACtB,OAAO,C1H8FK,GAAG,C0H7Ff,WAAW,CAAE,KAAK,CASlB,QAAQ,CAAE,KAAK,CACf,iBAAiB,CAAE,oBAAoB,CAgRxC,AhH9QC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EgHftC,AAAA,mBAAmB,AAAC,CAMhB,WAAW,CAAE,KAAK,CAuRrB,CArRC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,MAAM,EARnC,AAAA,mBAAmB,AAAC,CAShB,WAAW,CAAE,KAAK,CAoRrB,CA7RD,AAeE,mBAfiB,AAehB,gBAAgB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CACnB,AAjBH,AAoBI,mBApBe,AAmBhB,uBAAuB,CACtB,yBAAyB,AAAC,CACxB,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,OAAO,CAChB,AAxBL,AA2BE,mBA3BiB,AA2BhB,oBAAoB,AAAA,KAAK,AAAC,CACzB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,wBAAwB,CAarC,AAZC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EA9BxC,AA2BE,mBA3BiB,AA2BhB,oBAAoB,AAAA,KAAK,AAAC,CAIvB,UAAU,CAAE,IAAI,CAWnB,CA1CH,AAkCM,mBAlCa,AA2BhB,oBAAoB,AAAA,KAAK,CAMxB,eAAe,CACb,yBAAyB,AAAC,CACxB,OAAO,CAAE,OAAO,CACjB,AApCP,AAsCI,mBAtCe,AA2BhB,oBAAoB,AAAA,KAAK,CAWxB,kBAAkB,AAAC,CACjB,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,GAAG,CACpB,AAzCL,AA4CE,mBA5CiB,AA4ChB,oBAAoB,AAAC,CACpB,UAAU,CAAE,CAAC,CACb,UAAU,CAAE,uBAAuB,CACnC,QAAQ,CAAE,KAAK,CACf,WAAW,CAAE,CAAC,CACd,gBAAgB,CzHpDR,IAAO,CyHqDf,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,UAAU,CAAE,GAAG,CAAC,KAAK,C1HyIb,OAAoD,C0HxI5D,UAAU,C1H2EA,CAAC,CAAE,IAAG,CAAC,IAAI,CAAC,gBAAmB,C0H1EzC,WAAW,CAAE,IAAI,CACjB,OAAO,C1H0BK,IAAI,C0HgGjB,AAzHC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EAzDxC,AA4CE,mBA5CiB,AA4ChB,oBAAoB,AAAC,CAclB,WAAW,CAAE,IAAI,CAwHpB,CAlLH,AA4DI,mBA5De,AA4ChB,oBAAoB,CAgBnB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AA9DL,AA+DI,mBA/De,AA4ChB,oBAAoB,CAmBnB,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CACnB,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,KAAK,CACd,YAAY,CAAE,IAAI,CAsGnB,AA3KL,AAuEM,mBAvEa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAQb,sBAAsB,AAAC,CACrB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAClB,AA1EP,AA2EM,mBA3Ea,AA4ChB,oBAAoB,CAmBnB,eAAe,CAYb,aAAa,AAAC,CACZ,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,KAAK,CACjB,WAAW,C1HjBC,GAAG,C0HkBf,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,QAAQ,CACvB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CAIrB,kBAAkB,CAAE,QAAQ,CAC7B,AAJC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EArF5C,AA2EM,mBA3Ea,AA4ChB,oBAAoB,CAmBnB,eAAe,CAYb,aAAa,AAAC,CAWV,kBAAkB,CAAE,CAAC,CAGxB,CAzFP,AA0FM,mBA1Fa,AA4ChB,oBAAoB,CAmBnB,eAAe,CA2Bb,SAAS,AAAC,CACR,KAAK,C1HmGD,OAAoD,C0HlGxD,SAAS,CAAE,UAAU,CACrB,WAAW,CAAE,IAAI,CAClB,AA9FP,AA+FM,mBA/Fa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,AAAC,CACL,UAAU,CAAE,CAAC,CACb,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CAiBZ,AArHP,AAqGQ,mBArGW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,CAMJ,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CACrB,kBAAkB,CAAE,QAAQ,CAC5B,UAAU,CAAE,KAAK,CACjB,WAAW,C1HhDA,GAAG,C0HiDd,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,QAAQ,CACvB,QAAQ,CAAE,MAAM,CAChB,SAAS,C1HpEP,QAAQ,C0HqEX,AAjHT,AAkHQ,mBAlHW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,CAmBJ,CAAC,AAAC,CACA,KAAK,CzHvHL,IAAO,CyHwHR,AApHT,AAsHM,mBAtHa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAuDb,mBAAmB,AAAC,CAClB,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,CAAC,CAIf,AA5HP,AAyHQ,mBAzHW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAuDb,mBAAmB,CAGjB,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACd,AA3HT,AA6HM,mBA7Ha,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,IAAI,CAUX,AA3IP,AAmIQ,mBAnIW,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,CAMvB,MAAM,CAnId,mBAAmB,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,CAOvB,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,CAAC,CAChB,YAAY,CAAE,IAAI,CAClB,QAAQ,CAAE,MAAM,CACjB,AA1IT,AA4IM,mBA5Ia,AA4ChB,oBAAoB,CAmBnB,eAAe,CA6Eb,4BAA4B,AAAC,CAC3B,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,IAAI,CACpB,aAAa,CAAE,KAAK,CACpB,KAAK,CAAE,KAAK,CACb,AAjJP,AAkJM,mBAlJa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,AAAC,CACnB,WAAW,CAAE,CAAC,CACd,kBAAkB,CAAE,KAAK,CACzB,kBAAkB,CAAE,GAAG,CACvB,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CAmBb,AA1KP,AAyJQ,mBAzJW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,YAAY,CAAE,MAAM,CACpB,aAAa,CAAE,KAAK,CACpB,eAAe,CAAE,QAAQ,CAY1B,AAzKT,AA8JU,mBA9JS,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,CAKhB,0BAA0B,AAAC,CACzB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,CAAC,CACf,aAAa,CAAE,GAAG,CACnB,AAlKX,AAmKU,mBAnKS,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,CAUhB,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACZ,AAxKX,AA6KI,mBA7Ke,AA4ChB,oBAAoB,CAiInB,4BAA4B,AAAA,OAAO,AAAC,CAClC,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAjLL,AAoLE,mBApLiB,CAoLjB,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,oBAAoB,CAChC,YAAY,CAAE,IAAI,CAqGnB,AA5RH,AAyLI,mBAzLe,CAoLjB,eAAe,CAKb,kBAAkB,AAAC,CACjB,aAAa,CAAE,GAAG,CAKnB,AA/LL,AA4LM,mBA5La,CAoLjB,eAAe,CAKb,kBAAkB,CAGhB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AA9LP,AAiMI,mBAjMe,CAoLjB,eAAe,CAab,yBAAyB,AAAC,CACxB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,oBAAoB,CAChC,OAAO,CAAE,IAAI,CASd,AA7ML,AAsMM,mBAtMa,CAoLjB,eAAe,CAab,yBAAyB,CAKvB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AAxMP,AA0MM,mBA1Ma,CAoLjB,eAAe,CAab,yBAAyB,CASvB,MAAM,AAAA,WAAW,AAAC,CAChB,YAAY,CAAE,CAAC,CAChB,AA5MP,AA+MI,mBA/Me,CAoLjB,eAAe,CA2Bb,WAAW,AAAC,ChH5Id,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgHwIrB,KAAK,C1HnBC,OAAoD,C0HoB3D,AAlNL,AAoNI,mBApNe,CAoLjB,eAAe,CAgCb,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,KAAK,CAClB,WAAW,CAAE,SAAS,CACtB,YAAY,C1HxBN,OAAmD,C0HyBzD,QAAQ,CAAE,QAAQ,CAClB,iBAAiB,CAAE,oBAAoB,CACxC,AA3NL,AA6NI,mBA7Ne,CAoLjB,eAAe,CAyCb,iBAAiB,AAAC,CAChB,UAAU,CAAE,qBAAqB,CACjC,MAAM,CAAE,OAAO,CAIhB,AAHC,AAAA,gBAAgB,CAhOtB,mBAAmB,CAoLjB,eAAe,CAyCb,iBAAiB,AAGI,CACjB,UAAU,CAAE,IAAI,CACjB,AAlOP,AAqOI,mBArOe,CAoLjB,eAAe,CAiDb,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CACpB,KAAK,CAAE,MAAM,CACb,gBAAgB,C1HxCV,OAAmD,C0HyCzD,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,C1H1IH,CAAC,C0H2IN,AA5OL,AA8OI,mBA9Oe,CAoLjB,eAAe,CA0Db,0BAA0B,AAAC,CACzB,YAAY,CAAE,GAAG,CAClB,AAhPL,AAkPI,mBAlPe,CAoLjB,eAAe,CA8Db,aAAa,AAAC,CACZ,KAAK,C1HrDC,OAAoD,C0HsD3D,AApPL,AAsPI,mBAtPe,CAoLjB,eAAe,CAkEb,kBAAkB,AAAC,ChHnLrB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgH+KrB,WAAW,CAAE,OAAO,CACpB,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAhQL,AA6PM,mBA7Pa,CAoLjB,eAAe,CAkEb,kBAAkB,CAOhB,YAAY,AAAC,CACX,UAAU,CAAE,GAAG,CAChB,AA/PP,AAkQI,mBAlQe,CAoLjB,eAAe,CA8Eb,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CAClB,AApQL,AAsQI,mBAtQe,CAoLjB,eAAe,CAkFb,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,WAAW,CAAE,OAAO,CAMpB,OAAO,C1H7KH,CAAC,C0H8KN,AA/QL,AAyQM,mBAzQa,CAoLjB,eAAe,CAkFb,mBAAmB,CAGjB,SAAS,AAAC,CACR,SAAS,CAAE,KAAK,CAChB,KAAK,CzH7QF,OAAO,CyH8QV,YAAY,CAAE,GAAG,CAClB,AA7QP,AAiRI,mBAjRe,CAoLjB,eAAe,CA6Fb,YAAY,AAAC,CACX,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,OAAO,CACjB,AApRL,AAsRI,mBAtRe,CAoLjB,eAAe,CAkGb,SAAS,AAAC,ChHnNZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgH+MrB,OAAO,CAAE,YAAY,CACrB,KAAK,C1H3FC,OAAoD,C0H4F1D,UAAU,CAAE,KAAK,CAClB,ApB/RL,AAAA,MAAM,AqBAC,CACL,aAAa,CAAE,IAAI,CACpB,A7EED,AAAA,OAAO,A8EAC,CACN,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,MAAM,CACjB,UAAU,CAAE,KAAK,CAClB,AhBRD,AAwBE,cAxBY,CAwBZ,WAAW,AiBvBC,CACV,MAAM,CAAE,MAAM,CACd,OAAO,CAAE,QAAQ,CACjB,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,iBAAiB,CACzB,KAAK,CAAE,IAAI,CAKZ,AAXH,AAOI,cAPU,CACZ,WAAW,CAMT,aAAa,AAAC,CACZ,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACpB,AAVL,AAaE,cAbY,CAaZ,sBAAsB,AAAC,CACrB,KAAK,CAAE,KAAK,CACb,AAfH,AAiBE,cAjBY,CAiBZ,KAAK,CAAG,sBAAsB,AAAC,CAC7B,KAAK,CAAE,KAAK,CACb,AAnBH,AAqBE,cArBY,CAqBZ,WAAW,AAAA,YAAY,AAAC,CACtB,OAAO,C7HuEK,GAAG,C6HtEhB,AAGH,AAAA,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAED,AACE,WADS,CACT,yBAAyB,AAAC,CACxB,UAAU,CAAE,KAAK,CAClB,AAGG,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EANzC,AAKI,WALO,AAIR,IAAK,CAAA,gBAAgB,EACpB,yBAAyB,AAAC,CAEtB,UAAU,CAAE,KAAK,CAEpB,CATL,AAaI,WAbO,CAYT,UAAU,CACR,yBAAyB,AAAC,CACxB,UAAU,CAAE,KAAK,CAIlB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAfzC,AAaI,WAbO,CAYT,UAAU,CACR,yBAAyB,AAAC,CAGtB,UAAU,CAAE,MAAM,CAErB,CAIL,AACE,OADK,CACL,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAGH,AACE,KADG,CACH,QAAQ,AAAC,CACP,MAAM,CAAE,UAAU,CAClB,OAAO,CAAE,KAAK,CACd,UAAU,C5H5DH,OAAO,C4HoEf,AAZH,AAKI,KALC,CACH,QAAQ,AAIL,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,GAAG,CAAC,MAAM,C5HnEhB,IAAO,C4HoEd,AAIL,AAEI,gBAFY,CACd,KAAK,CACH,QAAQ,AAAC,CACP,OAAO,CAAE,KAAK,CACf,AAIL,AAAA,yBAAyB,AAAC,CACxB,SAAS,CAAE,MAAM,CACjB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CACnB,AAED,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,gBAAgB,CACvB,SAAS,CAAE,KAAK,CAChB,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,GAAG,CACT,UAAU,CAAE,IAAI,CAChB,OAAO,C7HAM,GAAG,C6HChB,OAAO,CAAE,mBAAmB,CAC5B,UAAU,C7HsCF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,C6HrCtC,UAAU,C7HkGA,OAAmD,C6H/C9D,AAlDC,AAAA,aAAa,CAZf,eAAe,AAYG,CACd,OAAO,C7HPK,GAAG,C6HQhB,AAdH,AAgBE,eAhBa,AAgBZ,OAAO,AAAC,CACP,UAAU,C7H4FF,OAAmD,C6H3F5D,AAlBH,AAoBE,eApBa,AAoBZ,kBAAkB,AAAC,CAClB,gBAAgB,C7HwFR,OAAmD,C6HvF5D,AAtBH,AAwBE,eAxBa,CAwBb,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AA1BH,AA4BE,eA5Ba,CA4Bb,CAAC,AAAC,CACA,aAAa,CAAE,IAAI,CACpB,AA9BH,AAgCE,eAhCa,CAgCb,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,IAAI,CACT,KAAK,C5H7HC,IAAO,C4H8Hb,OAAO,CAAE,GAAG,CACZ,SAAS,C7H9ED,QAAQ,C6HoFjB,AA9CH,AAyCI,eAzCW,CAgCb,CAAC,AAAA,MAAM,AASJ,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACd,SAAS,C7H/ED,OAAQ,C6HgFhB,YAAY,CAAE,KAAK,CACpB,AA7CL,AAgDE,eAhDa,CAgDb,CAAC,AAAA,MAAM,AAAA,MAAM,AAAC,CACZ,OAAO,CAAE,CAAC,CACX,AAlDH,AAoDE,eApDa,CAoDb,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CAMX,AA7DH,AAyDI,eAzDW,CAoDb,EAAE,CAKA,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,GAAG,CAChB,AAIL,AACE,kBADgB,CAChB,eAAe,AAAC,CACd,cAAc,CAAE,QAAQ,CACzB,AAGH,AAAA,YAAY,AAAC,CACX,gBAAgB,C7HsCN,OAAmD,C6HlC9D,AALD,AAEE,YAFU,CAEV,CAAC,AAAC,CACA,SAAS,CAAE,GAAG,CACf,AAGH,AAAA,eAAe,AAAC,CACd,gBAAgB,C7H+BN,OAAmD,C6HoB9D,AApDD,AAGE,eAHa,CAGb,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C5HxKC,IAAO,C4HyKd,AALH,AAOE,eAPa,CAOb,YAAY,AAAC,CACX,gBAAgB,C5H1KT,OAAO,C4H2Kf,AATH,AAYI,eAZW,CAWb,YAAY,CACV,YAAY,AAAC,CACX,IAAI,CAAE,QAAQ,CACd,YAAY,CAAE,KAAK,CACpB,AAfL,AAgBI,eAhBW,CAWb,YAAY,CAKV,eAAe,AAAA,MAAM,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AAlBL,AAmBI,eAnBW,CAWb,YAAY,CAQV,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,CAAC,CACf,AArBL,AAsBI,eAtBW,CAWb,YAAY,CAWV,MAAM,AAAC,CACL,KAAK,C7HSC,OAAmD,C6HR1D,AAxBL,AA2BM,eA3BS,CAWb,YAAY,CAcV,YAAY,CAEV,OAAO,CA3Bb,eAAe,CAWb,YAAY,CAeV,MAAM,CACJ,OAAO,AAAC,CACN,KAAK,C7HID,OAAmD,C6HHxD,AA7BP,AA+BI,eA/BW,CAWb,YAAY,CAoBV,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAiBvB,AAlDL,AAmCM,eAnCS,CAWb,YAAY,CAoBV,IAAI,AAAA,MAAM,CAIR,WAAW,AAAC,CACV,IAAI,CAAE,CAAC,CACR,AArCP,AAuCM,eAvCS,CAWb,YAAY,CAoBV,IAAI,AAAA,MAAM,CAQR,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAOpB,AAjDP,AA4CQ,eA5CO,CAWb,YAAY,CAoBV,IAAI,AAAA,MAAM,CAQR,YAAY,CAKV,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,QAAQ,CACjB,SAAS,C7HhKL,OAAQ,C6HiKb,AAMT,AAAA,eAAe,AAAA,YAAa,C1GrJN,CAAC,C0GqJQ,CAC7B,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,gBAAgB,CACxB,AAED,AAAA,CAAC,AAAA,eAAe,AAAC,CACf,KAAK,C7H5BK,OAAmD,C6HgC9D,AALD,AAEE,CAFD,AAAA,eAAe,AAEb,MAAM,AAAC,CACN,KAAK,C5HhOE,OAAO,C4HiOf,AAGH,AAAA,aAAa,CACb,eAAe,AAAC,CACd,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AjB6PU,AAAL,oBAAyB,AiB1PV,CACnB,QAAQ,CAAE,MAAM,CAiDjB,AAlDD,AAGE,oBAHkB,CAGlB,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACd,AALH,AAOI,oBAPgB,CAMlB,cAAc,AACX,WAAW,AAAC,CAEX,MAAM,CAAE,gBAAgB,CAIxB,OAAO,C7HjKD,IAAI,C6HoMX,AAtC+B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAVnC,AAOI,oBAPgB,CAMlB,cAAc,AACX,WAAW,AAAC,CAIT,MAAM,CAAE,mCAAmC,CAAC,UAAU,CAqCzD,CAhDL,AAcM,oBAdc,CAMlB,cAAc,AACX,WAAW,CAOV,yBAAyB,AAAC,CACxB,UAAU,CAAE,EAAE,CACf,AAhBP,AAiBM,oBAjBc,CAMlB,cAAc,AACX,WAAW,CAUV,SAAS,AAAC,CACR,aAAa,CAAE,GAAG,CAAC,KAAK,C7H3DpB,OAAmD,C6H4DvD,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,CAAC,CAIV,AAxBP,AAqBQ,oBArBY,CAMlB,cAAc,AACX,WAAW,CAUV,SAAS,CAIP,kBAAkB,AAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AAvBT,AAyBM,oBAzBc,CAMlB,cAAc,AACX,WAAW,CAkBV,0BAA0B,AAAC,CACzB,MAAM,CAAE,IAAI,CACb,AA3BP,AA4BM,oBA5Bc,CAMlB,cAAc,AACX,WAAW,AAqBT,aAAa,CAAC,0BAA0B,AAAC,CACxC,YAAY,CAAE,GAAG,CAAC,KAAK,C7HtEnB,OAAmD,C6HuExD,AA9BP,AA+BM,oBA/Bc,CAMlB,cAAc,AACX,WAAW,CAwBV,aAAa,CA/BnB,oBAAoB,CAMlB,cAAc,AACX,WAAW,CAyBV,eAAe,AAAC,CACd,WAAW,CAAE,CAAC,CACd,UAAU,CAAE,OAAO,CACpB,AAnCP,AAoCM,oBApCc,CAMlB,cAAc,AACX,WAAW,CA6BV,eAAe,AAAC,CACd,GAAG,CAAE,IAAI,CACV,AAtCP,AAuCM,oBAvCc,CAMlB,cAAc,AACX,WAAW,AAgCT,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,UAAU,C5HrRN,IAAO,C4HsRX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,EAAE,CACX,IAAI,CAAE,CAAC,CACR,ACtRP,AAAA,IAAI,AAAA,gBAAgB,AAAC,CACnB,MAAM,CAAE,SAAS,CAClB,AAGD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,IAAI,CACb,AAED,AACE,cADY,CACZ,cAAc,AAAC,CACb,aAAa,CAAE,MAAM,CACtB,AAHH,AAIE,cAJY,CAIZ,SAAS,AAAA,IAAK,CAAA,kBAAkB,EAAI,SAAS,AAAC,CAC5C,UAAU,CAAE,KAAK,CAClB,AAMH,AAAA,IAAI,CACJ,GAAG,AAAC,CACF,WAAW,CAAE,sIAC6D,CAC3E,AAGD,AAME,EANA,CAME,CAAC,CALL,EAAE,CAKE,CAAC,CAJL,EAAE,CAIE,CAAC,CAHL,EAAE,CAGE,CAAC,CAFL,EAAE,CAEE,CAAC,CADL,EAAE,CACE,CAAC,AAAC,CACF,UAAU,CAAE,CAAC,CACd,AAGH,AAAA,IAAI,AAAC,CACH,MAAM,CAAE,QAAQ,CACjB,AAED,AAAA,KAAK,CACL,KAAK,CACL,MAAM,CACN,MAAM,CACN,QAAQ,AAAC,CACP,SAAS,C9HJF,GAAG,C8HKV,WAAW,CAAE,MAAM,CACnB,WAAW,C9HQQ,GAAG,C8HPvB,AAED,AAAA,MAAM,CACN,QAAQ,AAAC,CACP,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CAClB,SAAS,C9HdF,GAAG,C8HeV,WAAW,C9HAO,GAAG,C8HCrB,KAAK,C7HlEG,IAAO,C6HmEhB,AAED,AAAA,KAAK,CACL,QAAQ,AAAC,CACP,KAAK,CAAE,KAAK,CACb,AAED,AAAA,MAAM,CACN,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,WAAW,C9HXO,GAAG,C8HYtB,ApD6OD,AAAA,MAAM,AoD3OC,CACL,KAAK,CAAE,KAAK,CACZ,UAAU,C7HhFA,IAAO,C6HsFlB,AARD,AAIE,MAJI,CAIH,AAAA,QAAC,AAAA,EAJJ,MAAM,CAKH,AAAA,IAAC,AAAA,CAAM,CACN,MAAM,CAAE,IAAI,CACb,AAjBH,AAAA,KAAK,CACL,QAAQ,AAoBC,CACP,WAAW,CAAE,CAAC,CACf,AAED,AAGI,KAHC,CACF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAEC,AAAA,QAAC,AAAA,EAHN,KAAK,CACF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAGC,AAAA,QAAC,AAAA,EAJN,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,EACC,AAAA,QAAC,AAAA,EAHN,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,EAEC,AAAA,QAAC,AAAA,CAAU,CACV,gBAAgB,CAAE,WAAW,CAC9B,AAKF,AAAD,cAAS,CACR,cAAQ,CAAG,qBAAqB,AAAC,CAChC,KAAK,CAAE,KAAK,CACb,AAzFa,AAAL,kBAAuB,AA4Ff,CACjB,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,qBAAqB,AAAC,CACpB,KAAK,C9H8EK,OAAoD,C8H7E9D,SAAS,CAAE,QAAQ,CACpB,AAED,AAAA,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CAyEnB,AA1ED,AAKI,cALU,AAGX,QAAQ,CAEL,KAAK,CALX,cAAc,AAIX,MAAM,CACH,KAAK,AAAC,CACN,KAAK,C7HvHF,OAAO,C6HwHX,AAPL,AASI,cATU,AAGX,QAAQ,CAMP,SAAS,CATb,cAAc,AAGX,QAAQ,CAOP,MAAM,CAVV,cAAc,AAGX,QAAQ,CAQP,KAAK,CAXT,cAAc,AAGX,QAAQ,CASP,MAAM,CAZV,cAAc,AAGX,QAAQ,CAUP,QAAQ,CAbZ,cAAc,AAIX,MAAM,CAKL,SAAS,CATb,cAAc,AAIX,MAAM,CAML,MAAM,CAVV,cAAc,AAIX,MAAM,CAOL,KAAK,CAXT,cAAc,AAIX,MAAM,CAQL,MAAM,CAZV,cAAc,AAIX,MAAM,CASL,QAAQ,AAAC,CACP,KAAK,C7H/HF,OAAO,C6HgIV,YAAY,C7HhIT,OAAO,C6HsIX,AArBL,AAiBM,cAjBQ,AAGX,QAAQ,CAMP,SAAS,AAQN,MAAM,CAjBb,cAAc,AAGX,QAAQ,CAOP,MAAM,AAOH,MAAM,CAjBb,cAAc,AAGX,QAAQ,CAQP,KAAK,AAMF,MAAM,CAjBb,cAAc,AAGX,QAAQ,CASP,MAAM,AAKH,MAAM,CAjBb,cAAc,AAGX,QAAQ,CAUP,QAAQ,AAIL,MAAM,CAjBb,cAAc,AAIX,MAAM,CAKL,SAAS,AAQN,MAAM,CAjBb,cAAc,AAIX,MAAM,CAML,MAAM,AAOH,MAAM,CAjBb,cAAc,AAIX,MAAM,CAOL,KAAK,AAMF,MAAM,CAjBb,cAAc,AAIX,MAAM,CAQL,MAAM,AAKH,MAAM,CAjBb,cAAc,AAIX,MAAM,CASL,QAAQ,AAIL,MAAM,AAAC,CACN,YAAY,CAAE,OAAsC,CACpD,UAAU,C9HKA,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CCzIlB,OAAO,C6HqIT,AApBP,AA2BM,cA3BQ,AAwBX,QAAQ,CACP,cAAc,CAEZ,OAAO,CA3Bb,cAAc,AAwBX,QAAQ,CAEP,aAAa,CACX,OAAO,AAAC,CACN,KAAK,C7H7IJ,OAAO,C6H8IR,gBAAgB,C7H9If,OAAO,C6H+IR,YAAY,C7H/IX,OAAO,C6HgJT,AA/BP,AAsCM,cAtCQ,AAmCX,MAAM,CACL,cAAc,CAEZ,OAAO,CAtCb,cAAc,AAmCX,MAAM,CAEL,aAAa,CACX,OAAO,AAAC,CACN,KAAK,C7HxJJ,OAAO,C6HyJR,gBAAgB,C9HoCZ,OAAmD,C8HnCvD,YAAY,CAAE,OAAsC,CACrD,AA1CP,AA+CI,cA/CU,AA8CX,QAAQ,CACL,KAAK,AAAC,CACN,KAAK,C7HhKD,OAAO,C6HiKZ,AAjDL,AAmDI,cAnDU,AA8CX,QAAQ,CAKP,SAAS,CAnDb,cAAc,AA8CX,QAAQ,CAMP,MAAM,CApDV,cAAc,AA8CX,QAAQ,CAOP,KAAK,CArDT,cAAc,AA8CX,QAAQ,CAQP,MAAM,CAtDV,cAAc,AA8CX,QAAQ,CASP,QAAQ,AAAC,CACP,KAAK,C7HxKD,OAAO,C6HyKX,YAAY,C7HzKR,OAAO,C6H+KZ,AA/DL,AA2DM,cA3DQ,AA8CX,QAAQ,CAKP,SAAS,AAQN,MAAM,CA3Db,cAAc,AA8CX,QAAQ,CAMP,MAAM,AAOH,MAAM,CA3Db,cAAc,AA8CX,QAAQ,CAOP,KAAK,AAMF,MAAM,CA3Db,cAAc,AA8CX,QAAQ,CAQP,MAAM,AAKH,MAAM,CA3Db,cAAc,AA8CX,QAAQ,CASP,QAAQ,AAIL,MAAM,AAAC,CACN,YAAY,C7H5KV,OAAO,C6H6KT,UAAU,C9HtCP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,C6HoLX,AA9DP,AAmEM,cAnEQ,AA8CX,QAAQ,CAmBP,cAAc,CAEZ,OAAO,CAnEb,cAAc,AA8CX,QAAQ,CAoBP,aAAa,CACX,OAAO,AAAC,CACN,KAAK,C7HpLH,OAAO,C6HqLT,gBAAgB,C9HOZ,OAAmD,C8HNvD,YAAY,C7HtLV,OAAO,C6HuLV,AAKP,AACE,gBADc,CACd,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAHH,AAKE,gBALc,CAKd,KAAK,CALP,gBAAgB,CAMd,QAAQ,CANV,gBAAgB,CAOd,MAAM,CAPR,gBAAgB,CAQd,cAAc,CARhB,gBAAgB,CASd,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,CAAC,CACjB,AAZH,AAcE,gBAdc,CAcd,cAAc,AAAC,CAEb,aAAa,CAAE,IAAI,CACpB,AAjBH,ApHtKE,gBoHsKc,CAcd,cAAc,ApHpLb,OAAO,CoHsKV,gBAAgB,CAcd,cAAc,ApHnLb,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AoHkKH,ApHjKE,gBoHiKc,CAcd,cAAc,ApH/Kb,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AoH+JH,AAmBE,gBAnBc,CAmBd,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,IAAI,CACpB,AAtBH,AAwBE,gBAxBc,CAwBd,cAAc,AAAC,CACb,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,IAAI,CAClB,AA9BH,AAgCE,gBAhCc,CAgCd,SAAS,AAAC,CACR,WAAW,CAAE,KAAK,CACnB,AAGH,AAEI,QAFI,AAAA,MAAM,CACZ,aAAa,CACX,CAAC,AAAA,YAAY,AAAC,CACZ,KAAK,C7H3OC,IAAO,C6H4Od,AzHhIL,AAAA,IAAI,AAAA,OAAO,CACX,IAAI,AAAA,MAAM,AK/EA,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,ALgFH,AAAA,IAAI,AAAA,MAAM,AK/EA,CACN,KAAK,CAAE,IAAI,CACZ,AoHkNA,AAAD,QAAE,AAAC,CACD,WAAW,CAAE,KAAK,CACnB,AAEA,AAAD,QAAE,AAAC,CACD,WAAW,CAAE,IAAI,CAClB,AAIH,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EhI/OhC,AAAA,IAAI,AgIgPG,CACH,SAAS,CAAE,CAAC,CACb,AAED,AAAA,KAAK,CACL,WAAW,AAAC,CACV,SAAS,CAAE,CAAC,CACb,C5CzQH,AAAA,SAAS,A6CIC,CACR,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,GAAG,CACX,aAAa,CAAE,IAAI,CAcpB,A7CrBD,AAoDE,SApDO,CAoDP,UAAU,A6C5CC,CACT,MAAM,CAAE,OAAO,CAChB,AANH,AAOE,SAPO,CAOP,eAAe,AAAC,CACd,SAAS,C/HmCD,QAAQ,C+HlChB,MAAM,CAAE,CAAC,CACV,AAVH,AAaI,SAbK,CAWP,WAAW,AAER,IAAK,CAAA,SAAS,CAAE,CACf,UAAU,CAAE,MAAM,CACnB,AAIL,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,E7C8MhC,AAAA,mBAAmB,A6C7MG,CAClB,OAAO,CAAE,IAAI,CACd,CAGH,AAAA,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CACnB,A1DsBC,AAAA,YAAY,A0DpBD,CACX,WAAW,CAAE,QAAQ,CACtB,AAED,AAAA,YAAY,CAAC,MAAM,AAAC,CAClB,KAAK,C/H4JK,OAAoD,C+H3J9D,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,UAAU,CACrB,SAAS,C/HWG,OAAQ,C+HVpB,WAAW,C/HuBO,GAAG,C+HnBtB,AATD,AAME,YANU,CAAC,MAAM,CAMjB,iBAAiB,AAAC,CAChB,KAAK,C/HsJG,OAAoD,C+HrJ7D,AC1CH,AAEE,YAFU,CAEV,cAAc,AAAA,IAAK,CAAA,OAAO,EAD5B,eAAe,CACb,cAAc,AAAA,IAAK,CAAA,OAAO,CAAE,CAC1B,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,OAAO,CACpB,UAAU,CAAE,IAAI,CAChB,OAAO,ChHCE,CAAuB,CAIvB,IAAmB,CgHJ5B,KAAK,CAAE,CAAC,CAmBT,AA5BH,AAWI,YAXQ,CAEV,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,CAVV,eAAe,CACb,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,MAAM,CACd,WAAW,CAAE,MAAM,CAYpB,AA3BL,AAgBM,YAhBM,CAEV,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,AAKH,KAAM,CAAA,KAAK,EAflB,eAAe,CACb,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,AAKH,KAAM,CAAA,KAAK,CAAE,CACZ,SAAS,CAAE,KAAK,CACjB,AAlBP,AAoBQ,YApBI,CAEV,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,AAQH,cAAc,AAAA,aAAa,AACzB,aAAa,CAnBtB,eAAe,CACb,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,AAQH,cAAc,AAAA,aAAa,AACzB,aAAa,AAAC,CAEb,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,eAAe,CAAE,MAAM,CACxB,AAzBT,AA8BE,YA9BU,CA8BV,IAAI,CA7BN,eAAe,CA6Bb,IAAI,AAAC,CACH,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,IAAI,CAChB,AAjCH,AAmCE,YAnCU,CAmCV,YAAY,CAlCd,eAAe,CAkCb,YAAY,AAAC,CACX,SAAS,CAAE,IAAI,CACf,OAAO,ChHxBE,GAAmB,CAAnB,IAAmB,CgHyB7B,AAtCH,AA2CQ,YA3CI,CAwCV,YAAY,CACV,cAAc,AAAA,IAAK,CAvCF,OAAO,EAwCtB,MAAM,AACH,cAAc,CA1CvB,eAAe,CAuCb,YAAY,CACV,cAAc,AAAA,IAAK,CAvCF,OAAO,EAwCtB,MAAM,AACH,cAAc,AAAC,CACd,UAAU,CAAE,KAAK,CAClB,AA7CT,AA8CQ,YA9CI,CAwCV,YAAY,CACV,cAAc,AAAA,IAAK,CAvCF,OAAO,EAwCtB,MAAM,AAIH,aAAa,CA7CtB,eAAe,CAuCb,YAAY,CACV,cAAc,AAAA,IAAK,CAvCF,OAAO,EAwCtB,MAAM,AAIH,aAAa,AAAC,CACb,aAAa,CAAE,GAAG,CACnB,AAhDT,AAsDI,YAtDQ,CAqDV,eAAe,CACb,cAAc,AAAA,IAAK,CApDF,OAAO,EAD5B,eAAe,CAoDb,eAAe,CACb,cAAc,AAAA,IAAK,CApDF,OAAO,CAoDI,CAC1B,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,KAAK,CAInB,AA5DL,AAyDM,YAzDM,CAqDV,eAAe,CACb,cAAc,AAAA,IAAK,CApDF,OAAO,EAuDpB,WAAW,CAxDnB,eAAe,CAoDb,eAAe,CACb,cAAc,AAAA,IAAK,CApDF,OAAO,EAuDpB,WAAW,AAAC,CACZ,YAAY,CAAE,GAAG,CAAC,KAAK,ChIuInB,OAAmD,CgItIxD,AA3DP,AA+DE,YA/DU,CA+DV,WAAW,CA9Db,eAAe,CA8Db,WAAW,AAAC,CACV,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,QAAQ,CACd,OAAO,ChHzDE,CAAuB,CAIvB,IAAmB,CgHyD7B,AAtEH,AAmEI,YAnEQ,CA+DV,WAAW,CAIP,cAAc,CAlEpB,eAAe,CA8Db,WAAW,CAIP,cAAc,AAAC,CACf,WAAW,CAAE,GAAG,CAAC,KAAK,ChI6HhB,OAAmD,CgI5H1D,AVrCL,AAMI,YANQ,CAKV,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,CALN,eAAe,CAIb,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,AUmCC,CACD,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,SAAS,CACnB,AA5EL,AA8EE,YA9EU,CA8EV,IAAI,CA9EN,YAAY,CA+EV,EAAE,CAAC,KAAK,CA9EV,eAAe,CA6Eb,IAAI,CA7EN,eAAe,CA8Eb,EAAE,CAAC,KAAK,AAAC,CACP,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,CAAC,CAChB,SAAS,CAAE,KAAK,CAIjB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EArFvC,AA8EE,YA9EU,CA8EV,IAAI,CA9EN,YAAY,CA+EV,EAAE,CAAC,KAAK,CA9EV,eAAe,CA6Eb,IAAI,CA7EN,eAAe,CA8Eb,EAAE,CAAC,KAAK,AAAC,CAOL,SAAS,CAAE,KAAK,CAEnB,CAGH,AACE,aADW,CACX,IAAI,CADN,aAAa,CAEX,EAAE,CAAC,KAAK,AAAC,CACP,SAAS,CAAE,KAAK,CACjB,AAKH,AACE,QADM,AAAA,YAAY,CAClB,WAAW,CADb,QAAQ,AAAA,YAAY,CAElB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,MAAM,CAUhB,AAfH,AAOI,QAPI,AAAA,YAAY,CAClB,WAAW,CAMT,EAAE,CAPN,QAAQ,AAAA,YAAY,CAElB,YAAY,CAKV,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AAVL,AAYI,QAZI,AAAA,YAAY,CAClB,WAAW,AAWR,OAAO,CAZZ,QAAQ,AAAA,YAAY,CAElB,YAAY,AAUT,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAOL,AACE,QADM,AAAA,eAAe,CACrB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,MAAM,CAChB,AAJH,AAME,QANM,AAAA,eAAe,CAMrB,oBAAoB,CAAC,EAAE,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AATH,AAWE,QAXM,AAAA,eAAe,CAWrB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CA4Df,AA3EH,AAiBI,QAjBI,AAAA,eAAe,CAWrB,WAAW,AAMR,MAAM,CAjBX,QAAQ,AAAA,eAAe,CAWrB,WAAW,AAOR,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,IAAI,CACrB,AAxBL,AAyBI,QAzBI,AAAA,eAAe,CAWrB,WAAW,AAcR,MAAM,AAAC,CACN,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CAIZ,gBAAgB,CAAE,wEAIjB,CACF,AARC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EA5B1C,AAyBI,QAzBI,AAAA,eAAe,CAWrB,WAAW,AAcR,MAAM,AAAC,CAIJ,MAAM,CAAE,IAAI,CAOf,CApCL,AAqCI,QArCI,AAAA,eAAe,CAWrB,WAAW,AA0BR,OAAO,AAAC,CACP,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,IAAI,CACZ,gBAAgB,CAAE,uDAIjB,CACF,AA7CL,AA8CI,QA9CI,AAAA,eAAe,CAWrB,WAAW,CAmCT,IAAI,AAAC,CACH,UAAU,CAAE,UAAU,CACtB,OAAO,ChH5JA,IAAmB,CAAnB,IAAmB,CgH6J1B,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,KAAK,CAOjB,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,IAAI,CACjB,AARC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EAnD1C,AA8CI,QA9CI,AAAA,eAAe,CAWrB,WAAW,CAmCT,IAAI,AAAC,CAMD,UAAU,CAAE,kBAAkB,CAOjC,AA3DL,AAqDQ,QArDA,AAAA,eAAe,CAWrB,WAAW,CAmCT,IAAI,CAOE,CAAC,AAAA,WAAW,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,CAvDT,AA6DI,QA7DI,AAAA,eAAe,CAWrB,WAAW,CAkDT,IAAI,CA7DR,QAAQ,AAAA,eAAe,CAWrB,WAAW,CAmDT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,AAjEL,AAmEI,QAnEI,AAAA,eAAe,CAWrB,WAAW,CAwDT,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,MAAM,CAInB,AA1EL,AAuEM,QAvEE,AAAA,eAAe,CAWrB,WAAW,CAwDT,EAAE,AAIC,sBAAsB,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAzEP,AA8EI,QA9EI,AAAA,eAAe,CA6ErB,EAAE,AAAA,MAAM,CACN,KAAK,CA9ET,QAAQ,AAAA,eAAe,CA6ErB,EAAE,AAAA,MAAM,CAEN,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAlFL,AAmFI,QAnFI,AAAA,eAAe,CA6ErB,EAAE,AAAA,MAAM,CAMN,IAAI,AAAC,CACH,SAAS,CAAE,KAAK,CACjB,AArFL,AAwFE,QAxFM,AAAA,eAAe,CAwFrB,YAAY,AAAC,CACX,aAAa,CAAE,IAAI,CACpB,AA1FH,AA4FE,QA5FM,AAAA,eAAe,CA4FrB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAavB,AA3GH,AAgGI,QAhGI,AAAA,eAAe,CA4FrB,WAAW,AAIR,QAAQ,AAAC,CACR,UAAU,CAAE,GAAG,CAChB,AAlGL,AAoGI,QApGI,AAAA,eAAe,CA4FrB,WAAW,CAQP,KAAK,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAtGL,AAwGI,QAxGI,AAAA,eAAe,CA4FrB,WAAW,CAYT,SAAS,AAAC,CACR,WAAW,CAAE,CAAC,CACf,AA1GL,AA6GE,QA7GM,AAAA,eAAe,CA6GrB,aAAa,AAAC,CACZ,WAAW,CAAE,IAAI,CAwBlB,AAtIH,AAgHI,QAhHI,AAAA,eAAe,CA6GrB,aAAa,CAGX,QAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAlHL,AAmHI,QAnHI,AAAA,eAAe,CA6GrB,aAAa,CAMX,SAAS,AAAC,CACR,WAAW,CAAE,KAAK,CAInB,AAxHL,AAqHM,QArHE,AAAA,eAAe,CA6GrB,aAAa,CAMX,SAAS,CAEP,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAvHP,AA0HM,QA1HE,AAAA,eAAe,CA6GrB,aAAa,CAYX,IAAI,CACF,SAAS,CA1Hf,QAAQ,AAAA,eAAe,CA6GrB,aAAa,CAYX,IAAI,CAEF,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AA7HP,AA8HM,QA9HE,AAAA,eAAe,CA6GrB,aAAa,CAYX,IAAI,CAKF,KAAK,CA9HX,QAAQ,AAAA,eAAe,CA6GrB,aAAa,CAYX,IAAI,CAMF,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AAjIP,AAkIM,QAlIE,AAAA,eAAe,CA6GrB,aAAa,CAYX,IAAI,CASF,WAAW,CAAC,cAAc,AAAA,IAAK,CV5HvB,eAAe,CU4HyB,CAC9C,WAAW,CAAE,IAAI,CAClB,AApIP,AAwIE,QAxIM,AAAA,eAAe,CAwIrB,UAAU,AAAC,CACT,aAAa,CAAE,IAAI,CACpB,AAGH,AAEI,WAFO,CACT,IAAI,AACD,IAAK,CnCmEE,MAAM,EmCnEE,EAAE,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAJL,AAKI,WALO,CACT,IAAI,AAID,IAAK,CnCgEE,MAAM,EmCrElB,WAAW,CACT,IAAI,AAKD,MAAM,CAAG,EAAE,AAAC,CACX,UAAU,CAAE,MAAM,CAInB,AAXL,AAQM,WARK,CACT,IAAI,AAID,IAAK,CnCgEE,MAAM,CmC7DX,IAAI,CAAC,SAAS,CARrB,WAAW,CACT,IAAI,AAKD,MAAM,CAAG,EAAE,AAET,IAAI,CAAC,SAAS,AAAC,CACd,cAAc,CAAE,MAAM,CACvB,AAKP,AAGE,eAHa,CAGb,SAAS,CAFX,YAAY,CAEV,SAAS,CADX,aAAa,CACX,SAAS,AAAC,CACR,YAAY,CAAE,IAAI,CACnB,AALH,AAME,eANa,CAMb,UAAU,CALZ,YAAY,CAKV,UAAU,CAJZ,aAAa,CAIX,UAAU,AAAC,CACT,KAAK,CAAE,KAAK,CAIb,AAXH,AAQI,eARW,CAMb,UAAU,CAER,GAAG,CAPP,YAAY,CAKV,UAAU,CAER,GAAG,CANP,aAAa,CAIX,UAAU,CAER,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACZ,AAVL,AAYE,eAZa,CAYb,EAAE,CAXJ,YAAY,CAWV,EAAE,CAVJ,aAAa,CAUX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AAEE,eAFa,CAEb,SAAS,CADX,YAAY,CACV,SAAS,AAAC,CACR,WAAW,CAAE,IAAI,CAClB,AZnQH,AAAA,QAAQ,AAAA,MAAM,AazCC,CACb,GAAG,CAAE,GAAG,CACR,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,iBAAiB,CAI1B,AARD,AAKE,QALM,AAAA,MAAM,CAKZ,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,MAAM,AAAA,GAAG,AAAC,CACR,iBAAiB,CAAE,UAAU,CAC7B,SAAS,CAAE,UAAU,CACtB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAED,AAAA,aAAa,CAAC,IAAI,AAAA,MAAM,AAAC,CACvB,KAAK,CAAE,KAAK,CACb,AAED,AACE,aADW,CACX,EAAE,AAAC,CACD,SAAS,CjIqBD,QAAQ,CiIpBjB,AAGH,AAAA,MAAM,AAAC,CACL,SAAS,CjIgBC,QAAQ,CiIflB,eAAe,CAAE,IAAI,CAIrB,MAAM,CAAE,OAAO,CAIhB,AAVD,AAGE,MAHI,AAGH,QAAQ,AAAC,CACR,KAAK,CjIkKG,OAAmD,CiIjK5D,AALH,AAOE,MAPI,AAOH,MAAM,AAAC,CACN,KAAK,ChItCC,IAAO,CgIuCd,AAGH,AACE,MADI,CACJ,iBAAiB,AAAC,CAChB,KAAK,CAAE,GAAG,CACX,AbqIH,AA0BM,MA1BA,CAcJ,WAAW,AAUR,YAAY,CAEX,KAAK,Aa5JD,CACJ,SAAS,CAAE,KAAK,CACjB,AAIL,AACE,oBADkB,CAClB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AbuTH,AAYI,oBAZgB,CAOlB,kBAAkB,CAKhB,qBAAqB,AahUC,CACpB,GAAG,CAAE,MAAM,CACX,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AAIL,AACE,yBADuB,CACvB,CAAC,AAAC,CACA,UAAU,CAAE,CAAC,CACd,AAHH,AAIE,yBAJuB,AAItB,KAAK,CAAC,WAAW,AAAC,CACjB,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,KAAK,CAClB,AAPH,AASE,yBATuB,CASvB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,YAAY,CAAE,GAAG,CAqBlB,AAjCH,AAcI,yBAdqB,CASvB,aAAa,CAKX,IAAI,AAAC,CACH,IAAI,CAAE,OAAO,CACb,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,EAAE,CAChB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,GAAG,CAYf,AAVC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAtBzC,AAcI,yBAdqB,CASvB,aAAa,CAKX,IAAI,AAAC,CASD,IAAI,CAAE,OAAO,CACb,SAAS,CAAE,GAAG,CAQjB,CvHnFH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EuHmDrC,AAcI,yBAdqB,CASvB,aAAa,CAKX,IAAI,AAAC,CAcD,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,GAAG,CACd,SAAS,CAAE,KAAK,CAEnB,CAIL,AACE,cADY,CACZ,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AAJH,AAME,cANY,CAMZ,cAAc,AAAC,CAGb,KAAK,CAAE,KAAK,CA6Cb,AAtDH,AAWI,cAXU,CAMZ,cAAc,CAKZ,CAAC,AAAC,CACA,UAAU,CAAE,CAAC,CACd,AAbL,AAeI,cAfU,CAMZ,cAAc,CASZ,OAAO,AAAC,CACN,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CAMpB,AAxBL,AAoBM,cApBQ,CAMZ,cAAc,CASZ,OAAO,CAKL,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,IAAI,CACpB,AAvBP,AA0BI,cA1BU,CAMZ,cAAc,CAoBZ,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CACb,AA9BL,AAgCI,cAhCU,CAMZ,cAAc,CA0BZ,iBAAiB,AAAC,CAChB,aAAa,CAAE,GAAG,CACnB,AAlCL,AAoCI,cApCU,CAMZ,cAAc,CA8BZ,IAAI,AAAC,CACH,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,IAAI,CAejB,AArDL,AAuCM,cAvCQ,CAMZ,cAAc,CA8BZ,IAAI,CAGF,iBAAiB,CAvCvB,cAAc,CAMZ,cAAc,CA8BZ,IAAI,CAIF,mBAAmB,CAxCzB,cAAc,CAMZ,cAAc,CA8BZ,IAAI,CAKF,qBAAqB,AAAC,CACpB,KAAK,CAAE,IAAI,CACZ,AA3CP,AA6CM,cA7CQ,CAMZ,cAAc,CA8BZ,IAAI,CASF,qBAAqB,AAAC,CACpB,KAAK,CAAE,IAAI,CACZ,AA/CP,AAiDM,cAjDQ,CAMZ,cAAc,CA8BZ,IAAI,CAaF,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,ArD9JP,AAAA,cAAc,AsDAC,CACb,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CA4GZ,AA9GD,AASE,cATY,CASZ,EAAE,AAAC,CACD,cAAc,CAAE,GAAG,CACpB,AAXH,AAaE,cAbY,CAaZ,EAAE,AAAC,CACD,cAAc,CAAE,MAAM,CACvB,AAfH,AAiBE,cAjBY,CAiBZ,EAAE,AAAA,cAAc,AAAC,CACf,YAAY,CAAE,IAAI,CACnB,AAnBH,AAqBE,cArBY,AAqBX,YAAY,AAAC,CACZ,WAAW,CAAE,GAAG,CAIjB,AA1BH,AAuBI,cAvBU,AAqBX,YAAY,CAEX,SAAS,AAAC,CACR,KAAK,CAAE,GAAG,CACX,AAzBL,AA4BE,cA5BY,CA4BZ,OAAO,CAAC,mBAAmB,CA5B7B,cAAc,CA6BZ,SAAS,CAAC,mBAAmB,AAAC,CAC5B,gBAAgB,CAAE,WAAW,CAC7B,KAAK,ClImKG,OAAoD,CkIlK7D,AAhCH,AAkCE,cAlCY,CAkCZ,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CAclB,AAlDH,AAsCI,cAtCU,CAkCZ,OAAO,CAIL,MAAM,AAAC,CACL,SAAS,ClIUH,QAAQ,CkITf,AAxCL,AAyCI,cAzCU,CAkCZ,OAAO,CAOL,KAAK,AAAC,CACJ,SAAS,ClISD,OAAQ,CkIRjB,AA3CL,AA4CI,cA5CU,CAkCZ,OAAO,CAUL,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,GAAG,CAChB,AAjDL,AAoDE,cApDY,CAoDZ,cAAc,AAAC,CACb,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,IAAI,CAaZ,AAnEH,AAuDI,cAvDU,CAoDZ,cAAc,CAGZ,YAAY,AAAC,CACX,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CACrB,YAAY,CAAE,KAAK,CACpB,AA3DL,AA4DI,cA5DU,CAoDZ,cAAc,CAQZ,cAAc,AAAC,CACb,YAAY,CAAE,KAAK,CACpB,AA9DL,AA+DI,cA/DU,CAoDZ,cAAc,CAWZ,mBAAmB,AAAA,UAAU,AAAC,CAC5B,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,CAAC,CACX,AAlEL,AAqEE,cArEY,CAqEZ,eAAe,AAAC,CACd,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CAoBtB,AA5FH,AAyEI,cAzEU,CAqEZ,eAAe,AAIZ,cAAc,AAAC,CACd,UAAU,CAAE,IAAI,CACjB,AA3EL,AA4EI,cA5EU,CAqEZ,eAAe,CAOb,CAAC,AAAA,eAAe,CA5EpB,cAAc,CAqEZ,eAAe,CAQb,CAAC,AAAA,eAAe,AAAA,QAAQ,AAAC,CACvB,SAAS,ClI3BD,OAAQ,CkI4BhB,KAAK,ClImHC,OAAoD,CkIlH3D,AAhFL,AAiFI,cAjFU,CAqEZ,eAAe,CAYb,MAAM,AAAC,CxHrBT,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwHqBnB,IAAI,CAAE,QAAQ,CACf,AApFL,AAqFI,cArFU,CAqEZ,eAAe,CAgBb,eAAe,AAAC,CACd,YAAY,CAAE,MAAM,CACrB,AAvFL,AAwFI,cAxFU,CAqEZ,eAAe,CAmBb,kBAAkB,CAAC,MAAM,AAAA,UAAU,CAxFvC,cAAc,CAqEZ,eAAe,CAoBb,MAAM,AAAC,CACL,YAAY,CAAE,GAAG,CAClB,AA3FL,AA+FI,cA/FU,CA8FZ,KAAK,CACH,SAAS,AAAC,CACR,WAAW,CAAE,SAAS,CAQvB,AAxGL,AAiGM,cAjGQ,CA8FZ,KAAK,CACH,SAAS,CAEP,EAAE,AAAC,CACD,SAAS,ClIlDL,QAAQ,CkImDZ,WAAW,ClInCE,GAAG,CkIuCjB,AAvGP,AAoGQ,cApGM,CA8FZ,KAAK,CACH,SAAS,CAEP,EAAE,CAGA,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CjIrGL,IAAO,CiIsGR,AAtGT,AA0GI,cA1GU,CA8FZ,KAAK,CAYH,OAAO,AAAC,CACN,OAAO,CAAE,aAAa,CACvB,AAIL,AAAA,sBAAsB,CACtB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,QAAQ,CA8BpB,AAjCD,AAKE,sBALoB,CAKpB,GAAG,AAAA,OAAO,CAJZ,mBAAmB,CAIjB,GAAG,AAAA,OAAO,AAAC,CACT,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,KAAK,CACjB,AAGC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAZpC,AAWE,sBAXoB,CAWpB,GAAG,AAAA,OAAO,AAAA,WAAW,CAVvB,mBAAmB,CAUjB,GAAG,AAAA,OAAO,AAAA,WAAW,AAAC,CAElB,YAAY,CAAE,CAAC,CAQlB,CANC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAfpC,AAWE,sBAXoB,CAWpB,GAAG,AAAA,OAAO,AAAA,WAAW,CAVvB,mBAAmB,CAUjB,GAAG,AAAA,OAAO,AAAA,WAAW,AAAC,CAKlB,YAAY,CAAE,GAAG,CAKpB,CAHC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAlBpC,AAWE,sBAXoB,CAWpB,GAAG,AAAA,OAAO,AAAA,WAAW,CAVvB,mBAAmB,CAUjB,GAAG,AAAA,OAAO,AAAA,WAAW,AAAC,CAQlB,YAAY,CAAE,GAAG,CAEpB,CArBH,AAuBE,sBAvBoB,CAuBpB,eAAe,CAtBjB,mBAAmB,CAsBjB,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CAItB,AA5BH,AAyBI,sBAzBkB,CAuBpB,eAAe,CAEb,cAAc,CAxBlB,mBAAmB,CAsBjB,eAAe,CAEb,cAAc,AAAC,CACb,SAAS,ClIvFD,OAAQ,CkIwFjB,AA3BL,AA8BE,sBA9BoB,CA8BpB,oBAAoB,CA7BtB,mBAAmB,CA6BjB,oBAAoB,AAAC,CACnB,YAAY,CAAE,GAAG,CAClB,AChJH,AAIE,kBAJgB,CAIhB,cAAc,CAHhB,eAAe,CAGb,cAAc,AAAC,CACb,OAAO,CAAE,QAAQ,CACjB,KAAK,CnI4LG,OAAoD,CmI3L7D,AAPH,AASE,kBATgB,CAShB,UAAU,CATZ,kBAAkB,CAUhB,YAAY,CATd,eAAe,CAQb,UAAU,CARZ,eAAe,CASb,YAAY,AAAC,CACX,UAAU,CAAE,GAAG,CAChB,AAGH,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CAAC,KAAK,CnImLd,OAAmD,CmIlL7D,OAAO,CAAE,IAAI,CAEb,WAAW,CAAE,MAAM,CA+BpB,AApCD,AAOE,uBAPqB,CAOrB,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AATH,AAUE,uBAVqB,CAUrB,UAAU,AAAC,CAET,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,GAAG,CACd,SAAS,CnIqBJ,GAAG,CmITT,AA1BH,AAeI,uBAfmB,CAUrB,UAAU,CAKR,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAIhB,AApBL,AAiBM,uBAjBiB,CAUrB,UAAU,CAKR,cAAc,CAEZ,kBAAkB,AAAC,CACjB,WAAW,CAAE,CAAC,CACf,AAnBP,AAsBI,uBAtBmB,CAUrB,UAAU,CAYR,QAAQ,AAAC,CACP,aAAa,CAAE,KAAK,CACpB,SAAS,CnIUH,QAAQ,CmITf,AAzBL,AA2BE,uBA3BqB,CA2BrB,YAAY,AAAC,CACX,IAAI,CAAE,OAAO,CACb,UAAU,CAAE,KAAK,CACjB,KAAK,CnIqJG,OAAoD,CmIpJ7D,AA/BH,AAiCE,uBAjCqB,CAiCrB,oBAAoB,CAAC,CAAC,AAAC,CACrB,KAAK,CnIiJG,OAAoD,CmIhJ7D,AC3CH,AACE,cADY,CACZ,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,IAAI,CACpB,AAJH,AAME,cANY,CAMZ,IAAI,AAAC,CACH,KAAK,CAAE,KAAK,CACZ,WAAW,CAAE,GAAG,CAChB,aAAa,CAAE,GAAG,CAClB,SAAS,CpIgCD,QAAQ,CoI/BhB,WAAW,CAAE,MAAM,CACpB,AAZH,AAcE,cAdY,CAcZ,OAAO,CAAC,IAAI,AAAC,CACX,KAAK,CAAE,IAAI,CACZ,AAhBH,AAkBE,cAlBY,CAkBZ,CAAC,AAAA,eAAe,AAAC,CACf,OAAO,CAAE,QAAQ,CACjB,SAAS,CpIsBD,QAAQ,CoIrBjB,AAMH,AACE,iBADe,CACf,iBAAiB,CDnCnB,kBAAkB,CCmChB,iBAAiB,CDlCnB,eAAe,CCkCb,iBAAiB,CAcnB,WAAW,CAdT,iBAAiB,AAAC,CAChB,KAAK,CpI8JG,OAAoD,CoI7J7D,AAHH,AAIE,iBAJe,CAIf,iBAAiB,AAAA,SAAS,CDtC5B,kBAAkB,CCsChB,iBAAiB,AAAA,SAAS,CDrC5B,eAAe,CCqCb,iBAAiB,AAAA,SAAS,CAW5B,WAAW,CAXT,iBAAiB,AAAA,SAAS,AAAC,CACzB,KAAK,CpI2JG,OAAoD,CoI1J7D,AANH,AAOE,iBAPe,CAOf,CAAC,AAAA,MAAM,CDzCT,kBAAkB,CCyChB,CAAC,AAAA,MAAM,CDxCT,eAAe,CCwCb,CAAC,AAAA,MAAM,CAQT,WAAW,CART,CAAC,AAAA,MAAM,AAAC,CACN,KAAK,CnI1CC,IAAO,CmI2Cd,AATH,AAUE,iBAVe,CAUf,gBAAgB,CD5ClB,kBAAkB,CC4ChB,gBAAgB,CD3ClB,eAAe,CC2Cb,gBAAgB,CAKlB,WAAW,CALT,gBAAgB,AAAC,CACf,KAAK,CpIqJG,OAAoD,CoIpJ7D,A3B8BH,AAAA,WAAW,A2B3BC,CAGV,MAAM,CAAE,QAAQ,CAgHjB,A3BxFD,AAqCE,WArCS,CAqCT,EAAE,CArCJ,WAAW,CAsCT,EAAE,A2B5DC,CACD,OAAO,CAAE,QAAQ,CAOlB,AAbH,AAOI,WAPO,CAIT,EAAE,AAGC,cAAc,CAPnB,WAAW,CAKT,EAAE,AAEC,cAAc,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AATL,AAUI,WAVO,CAIT,EAAE,AAMC,aAAa,CAVlB,WAAW,CAKT,EAAE,AAKC,aAAa,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,A3BeL,AA4CI,WA5CO,CA2CT,EAAE,CACA,MAAM,CAAC,OAAO,A2BxDC,CACb,KAAK,CpIiIC,OAAoD,CoIhI3D,AAjBL,AAoBE,WApBS,CAoBT,MAAM,AAAA,YAAY,AAAC,CACjB,OAAO,CAAE,CAAC,CACX,AAtBH,AAwBE,WAxBS,CAwBT,EAAE,AAAA,YAAY,AAAC,CACb,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CAIZ,AA9BH,AA2BI,WA3BO,CAwBT,EAAE,AAAA,YAAY,CAGV,UAAU,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,AA7BL,AAgCE,WAhCS,CAgCT,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CAKV,AAvCH,AAmCI,WAnCO,CAgCT,mBAAmB,AAGhB,UAAU,AAAC,CACV,GAAG,CAAE,IAAI,CACT,YAAY,CAAE,GAAG,CAClB,AAtCL,AA4CE,WA5CS,CA4CT,QAAQ,AAAC,CAGP,KAAK,CAAE,KAAK,CAeb,AA9DH,AAgDI,WAhDO,CA4CT,QAAQ,CAIJ,CAAC,AAAC,CACF,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAWlB,AA7DL,AAmDM,WAnDK,CA4CT,QAAQ,CAIJ,CAAC,AAGA,aAAa,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AArDP,AAuDM,WAvDK,CA4CT,QAAQ,CAIJ,CAAC,AAOA,mBAAmB,AAAC,CACnB,MAAM,CAAE,OAAO,CACf,KAAK,CpIwFD,OAAoD,CoIvFxD,WAAW,CAhBI,IAAsB,CAiBrC,SAAS,CpIzDH,OAAQ,CoI0Df,AA5DP,AA+DE,WA/DS,CA+DT,EAAE,AAAA,QAAQ,AAAC,CACT,MAAM,CAvBY,IAAI,CAwBvB,AAjEH,AAkEE,WAlES,CAkET,QAAQ,CAAC,CAAC,AAAA,YAAY,CAAC,OAAO,AAAA,OAAO,AAAA,IAAK,CAAA,OAAO,CAAE,CACjD,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,OAAiC,CACzD,MAAM,CAAE,GAAG,CAAC,KAAK,CAAC,OAAiC,CACnD,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,IAAI,CACX,AAxEH,AA0EE,WA1ES,CA0ET,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AA5EH,AA6EE,WA7ES,CA6ET,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AA/EH,AAgFE,WAhFS,CAgFT,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AAlFH,AAoFE,WApFS,CAoFT,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,KAAK,CpI0DG,OAAoD,CoIzD5D,UAAU,CAAE,IAAI,CAChB,SAAS,CpIvFC,OAAQ,CoIwFlB,UAAU,CAAE,GAAG,CAShB,AAnGH,AA2FI,WA3FO,CAoFT,aAAa,CAOX,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AA7FL,AA8FI,WA9FO,CAoFT,aAAa,CAUX,CAAC,AAAC,CACA,KAAK,CpIkDC,OAAoD,CoIjD1D,YAAY,CAAE,GAAG,CACjB,WAAW,CpIjFG,GAAG,CoIkFlB,AAlGL,AAoGE,WApGS,CAoGT,SAAS,AAAC,CACR,KAAK,CAAE,IAAI,CAOZ,AA5GH,AAsGI,WAtGO,CAoGT,SAAS,AAEN,KAAM,CJpIE,KAAK,CIoIA,CACZ,KAAK,CAAE,IAAI,CACZ,AAxGL,AAyGI,WAzGO,CAoGT,SAAS,CAKP,IAAI,AAAC,CACH,MAAM,CAAE,OAAO,CAChB,AA3GL,AA6GE,WA7GS,CA6GT,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACZ,AA/GH,AAgHE,WAhHS,CAgHT,UAAU,AAAC,CACT,WAAW,CAAE,MAAM,CACpB,AAGH,AAAA,kBAAkB,AAAC,CACjB,MAAM,CAAE,MAAM,CACf,AAKD,AAAA,UAAU,CAAC,UAAU,CAAC,EAAE,AAAC,CACvB,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,UAAU,CACnB,AAED,AACE,UADQ,CACR,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACpB,AAHH,AAIE,UAJQ,CAIR,UAAU,AAAA,WAAW,AAAC,CACpB,GAAG,CAAE,CAAC,CAIP,AATH,AAMI,UANM,CAIR,UAAU,AAAA,WAAW,CAEnB,MAAM,AAAC,CACL,OAAO,CAAE,mBAAmB,CAC7B,AAIL,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,KAAK,CACV,OAAO,CAAE,GAAG,CACZ,gBAAgB,CnIlMN,IAAO,CmImMjB,OAAO,CpIlGK,GAAG,CoImGhB,AAED,AAAA,MAAM,AAAA,aAAa,AAAC,CAClB,KAAK,CAAE,KAAK,CACZ,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CAClB,AAED,AACE,gBADc,CACd,cAAc,AAAC,CACb,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,IAAI,CACX,AAGH,AACE,iBADe,CACf,CAAC,AAAC,CACA,WAAW,CpIvJK,GAAG,CoIwJnB,SAAS,CpI1KD,QAAQ,CoI2KjB,AAGH,AAAA,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,cAAc,AAAA,aAAa,AAAC,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,kBAAkB,CAM3B,AARD,AAIE,cAJY,AAAA,aAAa,CAIzB,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CAClB,AAG2B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAV7B,AAAA,cAAc,AAAA,aAAa,AAWG,CAC1B,YAAY,CAAA,MAAC,CACb,UAAU,CAAE,iBAAiB,CAC7B,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,6CAA6C,CAQrD,AAxBH,AAIE,cAJY,AAAA,aAAa,CAIzB,GAAG,AAcG,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACpB,C1HrOH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+BArC,AAQI,UARM,CAIN,EAAE,CAIA,CAAC,A2FsOM,CACP,SAAS,CpIhNN,GAAG,CoIiNN,OAAO,CAAE,QAAQ,CAClB,AAIH,AACE,MADI,AAAA,aAAa,CACjB,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACd,AAHH,AAIE,MAJI,AAAA,aAAa,CAIjB,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CAChB,AAGH,AAEE,WAFS,CAET,EAAE,AAAA,cAAc,AAAC,CACf,OAAO,CAAE,QAAQ,CAClB,A3BzML,AAqCE,WArCS,CAqCT,EAAE,CArCJ,WAAW,CAsCT,EAAE,A2BsKG,CACD,OAAO,CAAE,IAAI,CACb,SAAS,CpIxON,GAAG,CoIyOP,AAVH,AAYE,WAZS,CAYT,EAAE,AAAA,MAAM,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAdH,AAeE,WAfS,CAeT,EAAE,AAAA,MAAM,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAjPL,AAgFE,WAhFS,CAgFT,MAAM,AAmKG,CACL,KAAK,CAAE,IAAI,CACZ,AArPL,AA4CE,WA5CS,CA4CT,QAAQ,AA0MG,CACP,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CACnB,AAzBH,AA4BI,WA5BO,CA2BT,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,IAAK,CAAA,OAAO,CAAE,CACb,OAAO,CAAE,IAAI,CACd,AA9BL,AA+BI,WA/BO,CA2BT,EAAE,AAAA,QAAQ,CAIR,CAAC,AAAA,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CAIZ,AApCL,AAiCM,WAjCK,CA2BT,EAAE,AAAA,QAAQ,CAIR,CAAC,AAAA,OAAO,CAEN,GAAG,AAAC,CACF,MAAM,CAAE,MAAM,CACf,C1D6DT,AAAA,KAAK,A2DjXC,CACJ,SAAS,CrIQG,MAAM,CqIPnB,A3DgYD,AAAA,WAAW,A2D9XC,CACV,WAAW,CAAE,CAAC,CACf,AhE2DC,AAAA,WAAW,AgEzDD,CAMV,OAAO,CAAE,CAAC,CAqBX,AA3BD,AAGE,WAHS,CAGT,QAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AALH,AAOE,WAPS,AAOR,cAAc,AAAC,CACd,UAAU,CAAE,IAAI,CACjB,AATH,AAUE,WAVS,CAUT,aAAa,AAAC,CACZ,OAAO,CrIkFD,CAAC,CqIjFP,KAAK,CrI8KG,OAAoD,CqI7K7D,AAEC,AAAA,mBAAmB,CAfvB,WAAW,CAcT,QAAQ,CAAC,SAAS,AACM,CACpB,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,0CAA0C,CACvD,AACD,AAAA,gBAAgB,CAnBpB,WAAW,CAcT,QAAQ,CAAC,SAAS,AAKG,CACjB,OAAO,CAAE,CAAC,CACX,AArBL,AAuBE,WAvBS,AAuBR,MAAM,CAAC,QAAQ,CAAC,SAAS,CAvB5B,WAAW,CAwBT,SAAS,CAAC,QAAQ,CAAC,SAAS,AAAC,CAC3B,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,OAAO,AAAA,eAAe,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,YAAY,CAAE,IAAI,CACnB,AtBoKD,AAAA,qBAAqB,AsBlKC,CACpB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,GAAG,AAAA,cAAc,AAAC,CAChB,OAAO,CAAE,CAAC,CAkMX,AAnMD,AAIE,GAJC,AAAA,cAAc,CAIf,cAAc,AAAC,CACb,OAAO,CAAE,WAAW,CACpB,KAAK,CrIgJG,OAAmD,CqI/I3D,YAAY,CAAE,MAAM,CAiErB,AAxEH,AASM,GATH,AAAA,cAAc,CAIf,cAAc,AAIX,MAAM,CACL,MAAM,AAAC,CACL,UAAU,CrI4IN,OAAmD,CqI3IvD,KAAK,CrI2ID,OAAmD,CqI1IxD,AAZP,AAcI,GAdD,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAAC,CAKL,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CAmDhB,AAvEL,AAgBM,GAhBH,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAEH,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAlBP,AAyBQ,GAzBL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAOH,SAAS,CAIR,OAAO,CAzBf,GAAG,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAQH,eAAe,CAGd,OAAO,CAzBf,GAAG,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AASH,cAAc,CAEb,OAAO,AAAC,CACN,KAAK,CrI4HH,OAAmD,CqI3HrD,YAAY,CAAE,MAAM,CACrB,AA5BT,AAgCQ,GAhCL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAgBH,KAAK,AAEH,QAAQ,AAAC,CACR,UAAU,CrIqHR,OAAmD,CqIjHtD,AArCT,AAkCU,GAlCP,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAgBH,KAAK,AAEH,QAAQ,CAEP,OAAO,AAAC,CACN,KAAK,CpIxEV,OAAO,CoIyEH,AApCX,AAyCQ,GAzCL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyBH,SAAS,CAER,OAAO,AAAC,CACN,KAAK,CpI/ER,OAAO,CoIgFL,AA3CT,AA4CQ,GA5CL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyBH,SAAS,AAKP,QAAQ,AAAC,CACR,UAAU,CrIyGR,OAAmD,CqIrGtD,AAjDT,AA8CU,GA9CP,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyBH,SAAS,AAKP,QAAQ,CAEP,OAAO,AAAC,CACN,KAAK,CrIuGL,OAAmD,CqItGpD,AAhDX,AAmDM,GAnDH,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,CAqCH,AAAA,QAAC,AAAA,CAAU,CAEV,MAAM,CAAE,WAAW,CACpB,AAtDP,AAyDQ,GAzDL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyCH,aAAa,AAEX,IAAK,CAAA,SAAS,CAAE,CACf,aAAa,CAAE,CAAC,CACjB,AA3DT,AA4DQ,GA5DL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyCH,aAAa,AAKX,QAAQ,AAAC,CACR,KAAK,CpI3GL,IAAO,CoI4GR,AA9DT,AA+DQ,GA/DL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyCH,aAAa,CAQV,YAAY,AAAC,CAEb,YAAY,CAAE,MAAM,CAIrB,AArET,AAkEU,GAlEP,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyCH,aAAa,CAQV,YAAY,AAGX,QAAQ,AAAC,CACR,UAAU,CrImFV,OAAmD,CqIlFpD,AApEX,AAyEE,GAzEC,AAAA,cAAc,CAyEf,CAAC,CAzEH,GAAG,AAAA,cAAc,CA0Ef,MAAM,AAAC,CACL,KAAK,CrIyEG,OAAoD,CqIrE5D,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CACtB,AAjFH,AA4EI,GA5ED,AAAA,cAAc,CAyEf,CAAC,CAGC,OAAO,CA5EX,GAAG,AAAA,cAAc,CA0Ef,MAAM,CAEJ,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AA9EL,AAkFE,GAlFC,AAAA,cAAc,CAkFf,CAAC,AAAA,aAAa,AAAC,CACb,OAAO,CAAE,KAAK,CACd,YAAY,CAAE,IAAI,CACnB,AArFH,AAsFE,GAtFC,AAAA,cAAc,CAsFf,IAAI,AAAA,YAAY,AAAC,CACf,YAAY,CAAE,GAAG,CACjB,UAAU,CAAE,gBAAgB,CAC7B,AAzFH,AA0FE,GA1FC,AAAA,cAAc,CA0Ff,QAAQ,AAAC,CACP,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,YAAY,CAKtB,AAlGH,AA8FI,GA9FD,AAAA,cAAc,CA0Ff,QAAQ,CAIN,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CACjB,AAjGL,AAmGE,GAnGC,AAAA,cAAc,CAmGf,aAAa,AAAC,CACZ,WAAW,CAAE,KAAK,CAClB,SAAS,CAAE,OAAO,CAcnB,AAnHH,AAsGI,GAtGD,AAAA,cAAc,CAmGf,aAAa,CAGX,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CrI6CC,OAAoD,CqI5C3D,AAxGL,AAyGI,GAzGD,AAAA,cAAc,CAmGf,aAAa,AAMV,MAAM,AAAC,CACN,UAAU,CrI4CJ,OAAmD,CqIxC1D,AA9GL,AA2GM,GA3GH,AAAA,cAAc,CAmGf,aAAa,AAMV,MAAM,CAEL,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CpI1JH,IAAO,CoI2JV,AA7GP,AA+GI,GA/GD,AAAA,cAAc,CAmGf,aAAa,CAYX,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CAChB,SAAS,CrI5GD,OAAQ,CqI6GjB,AAlHL,AAoHE,GApHC,AAAA,cAAc,CAoHf,MAAM,AAAA,OAAO,AAAC,CACZ,YAAY,CAAE,CAAC,CACf,KAAK,CrI8BG,OAAoD,CqI7B5D,WAAW,CAAE,IAAI,CAIlB,AA3HH,AAwHI,GAxHD,AAAA,cAAc,CAoHf,MAAM,AAAA,OAAO,CAIX,OAAO,AAAC,CACN,KAAK,CrI2BC,OAAoD,CqI1B3D,AA1HL,AA4HE,GA5HC,AAAA,cAAc,CA4Hf,OAAO,CAAC,OAAO,AAAC,CACd,YAAY,CAAE,GAAG,CAClB,AA9HH,AA+HE,GA/HC,AAAA,cAAc,CA+Hf,MAAM,AAAC,CACL,SAAS,CrI7HD,QAAQ,CqI8HhB,OAAO,CAAE,QAAQ,CACjB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CA8BjB,AAnKH,AAsII,GAtID,AAAA,cAAc,CA+Hf,MAAM,AAOH,QAAQ,CAtIb,GAAG,AAAA,cAAc,CA+Hf,MAAM,AAQH,MAAM,AAAC,CACN,UAAU,CrIcJ,OAAmD,CqIbzD,KAAK,CpIvLD,IAAO,CoIwLZ,AA1IL,AA2II,GA3ID,AAAA,cAAc,CA+Hf,MAAM,AAYH,OAAO,AAAC,CACP,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,eAAkB,CAC/C,AA7IL,AA8II,GA9ID,AAAA,cAAc,CA+Hf,MAAM,AAeH,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAhJL,AAiJI,GAjJD,AAAA,cAAc,CA+Hf,MAAM,AAkBH,MAAM,AAAC,CACN,QAAQ,CAAE,QAAQ,CACnB,AAnJL,AAoJI,GApJD,AAAA,cAAc,CA+Hf,MAAM,AAqBH,OAAO,AAAA,QAAQ,CApJpB,GAAG,AAAA,cAAc,CA+Hf,MAAM,AAsBH,OAAO,AAAA,MAAM,CArJlB,GAAG,AAAA,cAAc,CA+Hf,MAAM,AAuBH,OAAO,AAAA,MAAM,AAAC,CACb,UAAU,CpI9LP,OAAO,CoI+LV,KAAK,CpIrMC,IAAO,CoIyMd,AA5JL,AAyJM,GAzJH,AAAA,cAAc,CA+Hf,MAAM,AAqBH,OAAO,AAAA,QAAQ,CAKd,OAAO,CAzJb,GAAG,AAAA,cAAc,CA+Hf,MAAM,AAsBH,OAAO,AAAA,MAAM,CAIZ,OAAO,CAzJb,GAAG,AAAA,cAAc,CA+Hf,MAAM,AAuBH,OAAO,AAAA,MAAM,CAGZ,OAAO,AAAC,CACN,KAAK,CpIvMD,IAAO,CoIwMZ,AA3JP,AA6JI,GA7JD,AAAA,cAAc,CA+Hf,MAAM,AA8BH,SAAS,AAAC,CACT,OAAO,CAAE,QAAQ,CAIlB,AAlKL,AA+JM,GA/JH,AAAA,cAAc,CA+Hf,MAAM,AA8BH,SAAS,AAEP,WAAW,CAAC,OAAO,AAAC,CACnB,KAAK,CpI5MF,OAAO,CoI6MX,AAjKP,AAoKE,GApKC,AAAA,cAAc,CAoKf,gBAAgB,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,UAAU,CACtB,gBAAgB,CpIrNR,IAAO,CoIsNf,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CrItBT,OAAmD,CqIuB3D,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CrI7HG,GAAG,CqI8Id,AAlMH,AAkLI,GAlLD,AAAA,cAAc,CAoKf,gBAAgB,CAcd,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,KAAK,CpIlOD,IAAO,CoImOX,SAAS,CrIjLN,GAAG,CqIkLP,AAtLL,AAuLI,GAvLD,AAAA,cAAc,CAoKf,gBAAgB,CAmBd,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,UAAU,CACnB,AA1LL,AA2LI,GA3LD,AAAA,cAAc,CAoKf,gBAAgB,CAuBd,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAKnB,AAjML,AA6LM,GA7LH,AAAA,cAAc,CAoKf,gBAAgB,CAuBd,EAAE,CAEA,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAKP,AAAA,eAAe,AAAC,CAMd,MAAM,CAAE,GAAG,CAAC,KAAK,CrIrDP,OAAmD,CqI0J9D,AA3GD,AACE,eADa,CACb,EAAE,CADJ,eAAe,CAEb,EAAE,CAFJ,eAAe,CAGb,EAAE,AAAC,CACD,MAAM,CAAE,MAAM,CACf,AALH,AAOE,eAPa,CAOb,WAAW,AAAC,CACV,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,iBAAiB,CAGxB,QAAQ,CAAE,MAAM,CACjB,AAbH,AAeE,eAfa,CAeb,OAAO,AAAC,CACN,UAAU,CAAE,IAAI,CACjB,AAjBH,AAkBE,eAlBa,CAkBb,aAAa,AAAC,CACZ,YAAY,CAAE,IAAI,CAClB,WAAW,CAAE,IAAI,CAClB,AArBH,AAsBE,eAtBa,CAsBb,cAAc,CAtBhB,eAAe,CAuBb,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CrIxEG,OAAmD,CqIyE3D,UAAU,CpI5QF,IAAO,CoI6Qf,MAAM,CAAE,GAAG,CAAC,KAAK,CrI1ET,OAAmD,CqI2E3D,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,EAAE,CAaZ,AA1CH,AA8BI,eA9BW,CAsBb,cAAc,CAQZ,OAAO,CA9BX,eAAe,CAuBb,YAAY,CAOV,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AACD,AACE,mBADiB,CAjCvB,eAAe,CAsBb,cAAc,AAYT,MAAM,CADT,mBAAmB,CAjCvB,eAAe,CAuBb,YAAY,AAWP,MAAM,AAAC,CACN,UAAU,CrIlFN,OAAmD,CqImFvD,KAAK,CrInFD,OAAmD,CqIuFxD,AAPH,AAII,mBAJe,CAjCvB,eAAe,CAsBb,cAAc,AAYT,MAAM,CAGL,OAAO,CAJX,mBAAmB,CAjCvB,eAAe,CAuBb,YAAY,AAWP,MAAM,CAGL,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAvCT,AA2CE,eA3Ca,AA2CZ,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,WAAW,CAAE,IAAI,CAKlB,AAnDH,AA+CI,eA/CW,AA2CZ,OAAO,AAIL,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,CAAC,CACX,AAlDL,AAqDI,eArDW,AAoDZ,OAAO,CACN,YAAY,AAAC,CACX,SAAS,CAAE,sBAAsB,CAClC,AAvDL,AAwDI,eAxDW,AAoDZ,OAAO,CAIN,IAAI,AAAC,CACH,cAAc,CAAE,KAAK,CAKtB,AA9DL,AA0DM,eA1DS,AAoDZ,OAAO,CAIN,IAAI,CAEF,aAAa,CA1DnB,eAAe,AAoDZ,OAAO,CAIN,IAAI,CAGF,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CAAC,KAAK,CrI3GjB,OAAmD,CqI4GxD,AA7DP,AAgEE,eAhEa,AAgEZ,IAAI,AAAC,CACJ,aAAa,CAAE,IAAI,CAInB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,KAAK,CAQb,AA9EH,AAkEI,eAlEW,AAgEZ,IAAI,CAEH,cAAc,AAAC,CACb,SAAS,CAAE,oBAAoB,CAChC,AApEL,AAuEI,eAvEW,AAgEZ,IAAI,CAOH,IAAI,AAAC,CACH,aAAa,CAAE,IAAI,CAKpB,AA7EL,AAyEM,eAzES,AAgEZ,IAAI,CAOH,IAAI,CAEF,aAAa,CAzEnB,eAAe,AAgEZ,IAAI,CAOH,IAAI,CAGF,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CAAC,KAAK,CrI1HjB,OAAmD,CqI2HxD,AA5EP,AA+EE,eA/Ea,AA+EZ,IAAI,AAAA,WAAW,AAAC,CACf,OAAO,CAAE,CAAC,CACX,AAjFH,AAkFE,eAlFa,CAkFb,UAAU,AAAC,CACT,KAAK,CrIpIG,OAAoD,CqIqI7D,AApFH,AAqFE,eArFa,CAqFb,gBAAgB,CArFlB,eAAe,CAsFb,kBAAkB,AAAC,CACjB,WAAW,CAAE,GAAG,CACjB,AAxFH,AAyFE,eAzFa,CAyFb,MAAM,AAAA,cAAc,CAAC,IAAI,AAAC,CACxB,UAAU,CAAE,IAAI,CACjB,AA3FH,AA4FE,eA5Fa,CA4Fb,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CACnB,AA9FH,AA+FE,eA/Fa,CA+Fb,gBAAgB,CAAC,EAAE,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CrI/OD,CAAC,CqIgPP,SAAS,CrIlSC,OAAQ,CqIuSnB,AAvGH,AAmGI,eAnGW,CA+Fb,gBAAgB,CAAC,EAAE,CAIjB,CAAC,AAAC,CACA,WAAW,CAAE,IAAI,CACjB,KAAK,CrItJC,OAAoD,CqIuJ3D,AAtGL,AAwGE,eAxGa,CAwGb,MAAM,AAAC,CACL,KAAK,CrI1JG,OAAoD,CqI2J7D,AAGH,AACE,YADU,CACV,cAAc,AAAC,CACb,WAAW,CAAE,GAAG,CACjB,AAHH,AAIE,YAJU,CAIV,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AvBtDH,AAAA,UAAU,AuByDC,CACT,MAAM,CAAE,gBAAgB,CAwEzB,AAzED,AAGI,UAHM,CAER,IAAI,CACF,UAAU,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AALL,AAMI,UANM,CAER,IAAI,CAIF,EAAE,AAAC,CACD,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,QAAQ,CAOlB,AAfL,AASM,UATI,CAER,IAAI,CAIF,EAAE,AAGC,aAAa,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAXP,AAYM,UAZI,CAER,IAAI,CAIF,EAAE,AAMC,UAAW,CAAA,CAAC,CAAE,CACb,UAAU,CAAE,MAAM,CACnB,AAdP,AAgBI,UAhBM,CAER,IAAI,CAcF,OAAO,AAAC,CACN,KAAK,CrItLC,OAAmD,CqIuL1D,AAlBL,AAmBI,UAnBM,CAER,IAAI,CAiBF,OAAO,CAnBX,UAAU,CAER,IAAI,CAkBF,OAAO,AAAC,CACN,SAAS,CrI9UH,QAAQ,CqI+Ud,WAAW,CrI/TI,GAAG,CqIgUnB,AAvBL,AAwBI,UAxBM,CAER,IAAI,CAsBF,MAAM,CAAC,OAAO,CAxBlB,UAAU,CAER,IAAI,CAuBF,MAAM,AAAA,MAAM,CAAC,OAAO,AAAC,CACnB,KAAK,CrI/LC,OAAmD,CqIgM1D,AA3BL,AA4BI,UA5BM,CAER,IAAI,CA0BF,OAAO,CAAC,CAAC,AAAC,CACR,KAAK,CAAE,IAAI,CACZ,AA9BL,AA+BI,UA/BM,CAER,IAAI,CA6BF,eAAe,AAAC,CACd,UAAU,CAAE,GAAG,CAChB,AAjCL,AAmCE,UAnCQ,CAmCR,QAAQ,CAnCV,UAAU,CAoCR,MAAM,CApCR,UAAU,CAqCR,YAAY,AAAC,CACX,OAAO,CAAE,iBAAiB,CAC1B,KAAK,CpIhZC,IAAO,CoIiZd,AAxCH,AAyCE,UAzCQ,CAyCR,QAAQ,AAAC,CACP,KAAK,CAAE,KAAK,CAqBb,AA/DH,AA2CI,UA3CM,CAyCR,QAAQ,CAEN,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,MAAM,CACf,KAAK,CrIrNC,OAAoD,CqIsN1D,UAAU,CrIvON,OAAqB,CqIwOzB,WAAW,CAAE,GAAG,CAAC,KAAK,CrIrNhB,OAAmD,CqIsNzD,UAAU,CAAE,qBAAqB,CAalC,AA9DL,AAkDM,UAlDI,CAyCR,QAAQ,CAEN,IAAI,AAOD,MAAM,AAAC,CACN,KAAK,CpI5ZH,IAAO,CoI6ZT,UAAU,CrIzNN,OAAmD,CqI0NxD,AArDP,AAsDM,UAtDI,CAyCR,QAAQ,CAEN,IAAI,AAWD,UAAU,AAAC,CACV,cAAc,CAAE,GAAG,CACpB,AAxDP,AAyDM,UAzDI,CAyCR,QAAQ,CAEN,IAAI,CAcF,GAAG,AAAC,CACF,MAAM,CAAE,CAAC,CACT,SAAS,CrIpXL,QAAQ,CqIqXZ,WAAW,CAAE,IAAI,CAClB,AA7DP,AAgEE,UAhEQ,CAgER,aAAa,CAAC,IAAI,AAAC,CACjB,KAAK,CrIxOG,OAAoD,CqIyO5D,UAAU,CrI1PJ,OAAqB,CqI2P3B,KAAK,CAAE,IAAI,CAKZ,AAxEH,AAoEI,UApEM,CAgER,aAAa,CAAC,IAAI,AAIf,MAAM,AAAC,CACN,KAAK,CpI9aD,IAAO,CoI+aX,UAAU,CrI3OJ,OAAmD,CqI4O1D,AASL,AAAA,qBAAqB,AAAC,CACpB,OAAO,CAAE,aAAa,CACtB,KAAK,CAAE,IAAI,CAUZ,AAZD,AAGE,qBAHmB,CAGnB,IAAI,AAAC,CAPL,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,IAAI,CAWjB,AARH,AAKI,qBALiB,CAGnB,IAAI,CAEF,gBAAgB,AAAA,WAAW,AAAC,CAC1B,KAAK,CpI7bA,OAAO,CoI8bb,AAPL,AASE,qBATmB,CASnB,SAAS,AAAA,WAAW,CAAC,gBAAgB,AAAC,CACpC,KAAK,CpIjcE,OAAO,CoIkcf,AAGH,AAAA,oBAAoB,AAAC,CACnB,KAAK,CAAE,KAAK,CACb,AAED,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,aAAa,CAIvB,AAND,AAGE,iBAHe,CAGf,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,iBAAiB,CAAC,eAAe,CAAC,aAAa,AAAC,CAC9C,OAAO,CAAE,CAAC,CAIX,AALD,AAEE,iBAFe,CAAC,eAAe,CAAC,aAAa,CAE7C,OAAO,AAAC,CACN,SAAS,CAAE,GAAG,CACf,AAGH,AAAA,IAAI,AAAA,WAAW,AAAC,CACd,UAAU,CpI3dF,IAAO,CoI4df,KAAK,CpI3dK,IAAO,CoI4djB,OAAO,CAAE,GAAG,CACb,AAED,AAAA,MAAM,AAAA,YAAY,AAAC,CACjB,UAAU,CAAE,IAAI,CAChB,WAAW,CrIrdc,IAAI,CqIsd9B,AAED,AAAA,aAAa,AAAA,QAAQ,AAAC,CACpB,OAAO,CAAE,KAAK,CACf,AAED,AAAA,MAAM,AAAC,CACL,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,KAAK,AAAC,CACJ,UAAU,CAAE,KAAK,CAClB,AAED,AAAA,MAAM,AAAC,CAEL,UAAU,CAAE,KAAK,CAIlB,AAND,AAGE,MAHI,CAGF,KAAK,AAAC,CACN,UAAU,CAAE,KAAK,CAClB,AAGH,kBAAkB,CAAlB,MAAkB,CAChB,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,UAAU,CAAV,MAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,AAAA,KAAK,CAAG,cAAc,AAAC,CACrB,OAAO,CAAE,KAAK,CACf,AAED,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CACnB,AAED,AACE,QADM,CACN,WAAW,AAAC,CACV,gBAAgB,CrItVR,kBAAmD,CqI4V5D,AAGH,AAAA,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CAClB,UAAU,CAAE,KAAK,CAClB,AAED,AAAA,oBAAoB,AAAC,CACnB,SAAS,CrI9fC,OAAO,CqI+flB,AAED,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,MAAM,CACd,KAAK,CpI/iBG,IAAO,CoIgjBhB,A3D/dD,AAAA,UAAU,A2DmeC,CAET,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,IAAI,CACd,AAID,AAEI,MAFE,CACA,UAAU,CACZ,cAAc,AAAC,CACb,gBAAgB,CrI5XV,OAAmD,CqI6X1D,AAJL,AAOI,MAPE,CAMJ,KAAK,CACH,MAAM,CAPV,MAAM,CAMJ,KAAK,CAEH,MAAM,CARV,MAAM,CAMJ,KAAK,CAGH,UAAU,CATd,MAAM,CAMJ,KAAK,CAIH,OAAO,CAVX,MAAM,CAMJ,KAAK,CAKH,cAAc,AAAC,CACb,UAAU,CrIrYJ,OAAmD,CqIsYzD,WAAW,CAAE,GAAG,CAAC,KAAK,CrItYhB,OAAmD,CqIuY1D,AAdL,AAeI,MAfE,CAMJ,KAAK,CASH,KAAK,AAAA,MAAM,CAAG,UAAU,CAf5B,MAAM,CAMJ,KAAK,CAUH,KAAK,AAAA,MAAM,CAAG,MAAM,AAAC,CACnB,WAAW,CAAE,CAAC,CACf,AhE9gBH,AAAA,WAAW,AgEmhBD,CACV,KAAK,CAAE,wBAA+D,CACtE,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,GAAG,CAAC,KAAK,CrIpZX,OAAmD,CqIqZ7D,OAAO,CAAE,UAAU,CAQpB,AAbD,AAME,WANS,CAMT,gBAAgB,CANlB,WAAW,CAOT,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CrI/kBa,IAAI,CqI+kBU,MAAM,CrI/kBpB,IAAI,CqIglB5B,AATH,AAUE,WAVS,CAUT,CAAC,AAAA,cAAc,AAAC,CACd,YAAY,CrIllBW,IAAI,CqImlB5B,AAGH,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,CrIhaX,OAAmD,CqIia7D,WAAW,CAAE,IAAI,CACjB,KAAK,CrIxlBc,IAAI,CqIylBvB,KAAK,CAAE,IAAI,CACX,OAAO,CrIngBC,CAAC,CqIogBV,AhE7hBC,AAAA,IAAI,AgE+hBD,CACH,KAAK,CAAE,8BAEN,CACF,AAID,AAAA,SAAS,CAAG,WAAW,CAAC,WAAW,CACnC,SAAS,CAAG,WAAW,CAAC,aAAa,AAAC,CACpC,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,SAAS,CAAG,WAAW,CAAC,eAAe,AAAA,IAAI,AAAC,CAC1C,aAAa,CAAE,GAAG,CAAC,KAAK,CrIrbd,OAAmD,CqIsb9D,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,sBAAsB,CAAE,oBAAoB,CAC7C,AAED,AAAA,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,GAAG,CAAC,KAAK,CpI1oBb,IAAO,CoI2oBf,YAAY,CAAE,qBAAqB,CACnC,WAAW,CAAE,qBAAqB,CAClC,OAAO,CAAE,EAAE,CACX,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,CAAC,CACP,OAAO,CrInjBK,GAAG,CqIojBf,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,IAAI,CAChB,gBAAgB,CpI1pBN,IAAO,CoI2pBjB,MAAM,CAAE,GAAG,CAAC,KAAK,CrIxdP,OAAmD,CqIyd7D,UAAU,CrIrhBE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CqIshB1C,eAAe,CAAE,WAAW,CAW7B,AAxBD,AAcE,cAdY,CAcZ,IAAI,AAAC,CACH,SAAS,CrI7mBC,OAAQ,CqI8mBlB,KAAK,CrI/dG,OAAoD,CqIge7D,AAjBH,AAkBE,cAlBY,CAkBZ,IAAI,AAAA,MAAM,AAAC,CACT,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,SAAS,CrIpnBJ,GAAG,CqIqnBR,KAAK,CpIvqBC,IAAO,CoIwqBd,AAGH,AAAA,cAAc,CAAC,CAAC,AAAC,CACf,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,WAAW,CrIhnBQ,GAAG,CqIinBtB,KAAK,CpIjrBG,IAAO,CoIkrBf,UAAU,CAAE,gBAAgB,CAI7B,AAXD,AAQE,cARY,CAAC,CAAC,CAQV,GAAG,AAAC,CACN,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,cAAc,CAAC,EAAE,CAAG,CAAC,AAAA,MAAM,CAC3B,cAAc,CAAC,OAAO,CAAG,CAAC,CAC1B,cAAc,CAAC,OAAO,CAAG,CAAC,AAAA,MAAM,AAAC,CAC/B,KAAK,CpI3rBG,IAAO,CoI4rBf,eAAe,CAAE,IAAI,CACrB,gBAAgB,CrIzfN,OAAmD,CqI0f9D,AAED,AAAA,cAAc,CAAC,SAAS,CAAG,CAAC,CAC5B,cAAc,CAAC,SAAS,CAAG,CAAC,AAAA,MAAM,AAAC,CACjC,eAAe,CAAE,IAAI,CACrB,KAAK,CpInsBG,IAAO,CoIosBf,gBAAgB,CrIhgBN,OAAmD,CqIigB7D,MAAM,CAAE,OAAO,CAChB,AAED,AAAA,cAAc,CAAC,KAAK,AAAC,CACnB,UAAU,CAAE,GAAG,CACf,KAAK,CAAE,IAAI,CACX,SAAS,CrI3pBC,QAAQ,CqI4pBnB,AAjMD,AAAA,KAAK,CAAG,cAAc,AAmMC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AhDvnBD,AAAA,eAAe,AgDynBC,CACd,KAAK,CAAE,KAAK,CACZ,QAAQ,CAAE,KAAK,CACf,OAAO,CrIpnBK,GAAG,CqIqnBf,UAAU,CrIhlBF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CqIilBtC,OAAO,CAAE,OAAO,CAChB,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CAiCZ,A3HxuBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,E2EuEtC,AAAA,eAAe,AgDynBC,CASZ,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,GAAG,CA6BZ,CAxCD,AAaE,eAba,CAab,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,IAAI,CACjB,AAlBH,AAmBE,eAnBa,AAmBZ,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AArBH,AAsBE,eAtBa,CAsBb,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AAxBH,AAyBE,eAzBa,CAyBb,CAAC,AAAC,CACA,SAAS,CrI1rBC,OAAQ,CqI2rBlB,MAAM,CAAE,UAAU,CACnB,AA5BH,AA6BE,eA7Ba,CA6Bb,CAAC,AAAA,OAAO,AAAC,CACP,MAAM,CAAE,UAAU,CACnB,AA/BH,AAgCE,eAhCa,CAgCb,EAAE,AAAC,CACD,SAAS,CrItsBD,QAAQ,CqIusBhB,KAAK,CpIrvBC,IAAO,CoIsvBb,aAAa,CAAE,GAAG,CAInB,AAvCH,AAoCI,eApCW,CAgCb,EAAE,CAIA,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAIL,AAAA,CAAC,AAAA,WAAW,AAAA,OAAO,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,GAAG,CAEjB,OAAO,C3H9nBC,mnBAAkD,C2HioB1D,cAAc,CAAE,MAAM,CACvB,AvB9kBD,AAAA,gBAAgB,AuBglBC,CACf,WAAW,CAAE,MAAM,CAyBpB,AvB1mBD,AAIE,gBAJc,CAId,MAAM,AuB+kBC,CACL,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AANH,AAQE,gBARc,AAQb,MAAM,AAAC,CACN,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,CAAC,CACZ,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAfH,AAkBI,gBAlBY,CAiBd,UAAU,CACR,CAAC,AAAC,CACA,KAAK,CrIxlBC,OAAoD,CqIylB3D,AApBL,AAsBI,gBAtBY,CAiBd,UAAU,CAKR,CAAC,AAAA,KAAK,AAAC,CACL,KAAK,ClIltBJ,KAAK,CkImtBP,AvBhKL,AAAA,UAAU,CACV,SAAS,AuBoKC,CACR,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CAClB,AAED,AAAA,IAAI,AAAA,YAAY,AAAC,CACf,gBAAgB,CrIxmBN,OAAmD,CqIymB9D,AAED,AAAA,MAAM,AAAA,SAAS,AAAA,IAAK,CAAA,MAAM,EAAE,CAAC,AAAC,CAC5B,KAAK,CrI5mBK,OAAmD,CqI6mB9D,AAED,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAElB,UAAU,CAAE,MAAM,CAClB,KAAK,CrInnBK,OAAmD,CqIonB7D,KAAK,CAAE,CAAC,CACR,SAAS,CAAE,OAAO,CACnB,AAED,AAAA,WAAW,AAAA,KAAK,AAAC,CACf,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,kCAAkC,CAC/C,AAED,AAAA,WAAW,AAAC,CACV,KAAK,CrIvzBY,KAAK,CqIwzBvB,AAID,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EArOhC,AAAA,aAAa,AAsOG,CACZ,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,CAAC,aAAa,AAAC,CACxB,KAAK,CAAE,GAAG,CACX,AhE7wBD,AAAA,WAAW,AgE8wBC,CACV,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,iBAAiB,CACzB,AA/lBH,AAgEE,eAhEa,AAgEZ,IAAI,AAkiBG,CACJ,KAAK,CAAE,iBAAiB,CACzB,CCv1BL,AAAA,aAAa,AAAC,C5HuEZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C4H3EzB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,IAAI,CAMpB,AAVD,AAKE,aALW,CAKX,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,MAAM,CACf,AjEkEC,AAAA,YAAY,AiEhED,CACX,OAAO,CtIoFC,CAAC,CsInFT,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,IAAI,CAyBpB,AA5BD,AAKE,YALU,CAKV,WAAW,CALb,YAAY,CAMV,iBAAiB,CANnB,YAAY,CAOV,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACb,AvB6DH,AASE,YATU,CASV,EAAE,AuBrEC,CACD,SAAS,CtImBD,QAAQ,CsIlBhB,WAAW,CtIoCM,GAAG,CsInCpB,QAAQ,CAAE,MAAM,CAChB,KAAK,CAAE,IAAI,CAIZ,AAlBH,AAeI,YAfQ,CAUV,EAAE,CAKA,CAAC,AAAC,CACA,KAAK,CrIhCD,IAAO,CqIiCZ,AAjBL,AAmBE,YAnBU,CAmBV,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACd,AArBH,AAsBE,YAtBU,CAsBV,qBAAqB,AAAC,CACpB,KAAK,CAAE,KAAK,CACZ,cAAc,CAAE,SAAS,CACzB,KAAK,CtIyJG,OAAoD,CsIxJ5D,SAAS,CAAE,QAAQ,CACpB,AvB0FH,AAAA,sBAAsB,AuBvFC,CACrB,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,gBAAgB,CAAC,YAAY,CAAC,sBAAsB,AAAC,CACnD,OAAO,CAAE,MAAM,CAChB,AAED,AAAA,YAAY,CACZ,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,SAAS,CtIdC,QAAQ,CsIelB,UAAU,CAAE,MAAM,CAClB,WAAW,CtIEQ,GAAG,CsIOvB,AAjBD,AAUE,YAVU,CAUV,YAAY,CAVd,YAAY,CAWV,iBAAiB,CAVnB,aAAa,CASX,YAAY,CATd,aAAa,CAUX,iBAAiB,AAAC,CAChB,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CACnB,AAGH,AAAA,kBAAkB,AAAC,CACjB,UAAU,CAAE,GAAG,CAAC,KAAK,CtI0HX,OAAmD,CsIzH7D,OAAO,CAAE,MAAM,CACf,SAAS,CAAE,KAAK,CAWjB,AAdD,AAIE,kBAJgB,CAIhB,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,GAAG,CACZ,AARH,AASE,kBATgB,CAShB,mBAAmB,AAAC,CAClB,SAAS,CtI/BC,OAAQ,CsIgClB,UAAU,CAAE,WAAW,CACvB,WAAW,CAAE,IAAI,CAClB,AvBpDH,AAAA,uBAAuB,AuBuDC,CACtB,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,CAAC,CACT,OAAO,CtIOK,GAAG,CsIFhB,AATD,AAKE,uBALqB,AAKpB,OAAO,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AAGH,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,GAAG,CAAC,KAAK,CtI+FP,OAAmD,CsI9F7D,OAAO,CAAE,GAAG,CACZ,UAAU,CrItGA,IAAO,CqIwGjB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,KAAK,CACX,KAAK,CAAE,KAAK,CAiCb,AAxCD,AASE,wBATsB,CAStB,MAAM,AAAA,KAAK,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAOnB,AAlBH,AAYI,wBAZoB,CAStB,MAAM,AAAA,KAAK,CAGT,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,SAAS,CtIpEH,QAAQ,CsIqEf,AAjBL,AAoBI,wBApBoB,CAmBtB,UAAU,CACR,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,CAAC,CAChB,SAAS,CtI7EH,QAAQ,CsI8Ef,AA3BL,AA4BI,wBA5BoB,CAmBtB,UAAU,CASR,MAAM,AAAA,IAAI,AAAC,CACT,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CACZ,AA/BL,AAiCE,wBAjCsB,CAiCtB,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,MAAM,CAAE,CAAC,CACV,AAnCH,AAqCE,wBArCsB,CAqCtB,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,MAAM,CAAE,SAAS,CAClB,AAGH,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,KAAK,CAIX,gBAAgB,CrInJN,IAAO,CqIoJjB,KAAK,CrInJI,OAAO,CqIoJhB,MAAM,CAAE,GAAG,CAAC,KAAK,CtI8CP,OAAmD,CsI7C7D,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,C5HlFZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C4HgH1B,AA/CD,AAGE,eAHa,AAGZ,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AALH,AAgBE,eAhBa,AAgBZ,MAAM,AAAC,CACN,MAAM,CAAE,OAAO,CAChB,AAlBH,AAmBE,eAnBa,CAmBb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,OAAO,CtIjED,CAAC,CsIkER,AAzBH,AA0BE,eA1Ba,CA0Bb,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CtIvED,CAAC,CsIwER,AA/BH,AAgCE,eAhCa,CAgCb,EAAE,AAAC,CACD,OAAO,CAAE,MAAM,CACf,SAAS,CtIhID,QAAQ,CsIiIhB,WAAW,CtIlHK,CAAC,CsImHlB,AApCH,AAqCE,eArCa,CAqCb,GAAG,AAAC,CACF,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,SAAS,CAAE,KAAK,CAChB,YAAY,CAAE,GAAG,CAAC,KAAK,CtIWf,OAAmD,CsIV3D,gBAAgB,CtIUR,OAAmD,CsIT3D,UAAU,CAAE,WAAW,CACxB,AAGH,AAAA,aAAa,AAAC,CACZ,gBAAgB,CtIIN,OAAmD,CsIH7D,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,IAAI,CACX,SAAS,CtInJF,GAAG,CsIoJV,OAAO,CtIpGK,GAAG,CsIqGhB,AAED,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AAAA,eAAe,CACf,wBAAwB,AAAC,CACvB,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,CAAC,CACR,AvB5KH,AAAA,uBAAuB,AuB8KG,CACtB,KAAK,CAAE,IAAI,CACZ,AAzHH,AAKE,uBALqB,AAKpB,OAAO,AAsHuB,CAC7B,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,0BAA0B,AAAC,CACzB,SAAS,CAAE,GAAG,CACf,CAGH,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EApIhC,AAKE,uBALqB,AAKpB,OAAO,AAgIuB,CAC7B,OAAO,CAAE,IAAI,CACd,AARD,AAAA,0BAA0B,AAUC,CACzB,SAAS,CAAE,IAAI,CAChB,CCpOH,AACE,gBADc,CACd,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAJH,AAKE,gBALc,CAKd,OAAO,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CA6BxB,AArCH,AASI,gBATY,CAKd,OAAO,CAIL,KAAK,AAAC,CACJ,IAAI,CAAE,QAAQ,CACd,YAAY,CAAE,GAAG,CACjB,UAAU,CAAE,GAAG,CAChB,AAbL,AAcI,gBAdY,CAKd,OAAO,CASL,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CAqBZ,AApCL,AAgBM,gBAhBU,CAKd,OAAO,CASL,OAAO,CAEL,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,SAAS,CAClB,AAnBP,AAoBM,gBApBU,CAKd,OAAO,CASL,OAAO,CAML,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,SAAS,CvI6BR,GAAG,CuI5BJ,WAAW,CvI0CE,GAAG,CuIzCjB,AAvBP,AAwBM,gBAxBU,CAKd,OAAO,CASL,OAAO,CAUL,YAAY,CAxBlB,gBAAgB,CAKd,OAAO,CASL,OAAO,CAWL,KAAK,AAAC,CACJ,KAAK,CvIwKD,OAAoD,CuIvKxD,OAAO,CAAE,KAAK,CACf,AA5BP,AA6BM,gBA7BU,CAKd,OAAO,CASL,OAAO,CAeL,KAAK,AAAC,CACJ,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,SAAS,CAClB,AAhCP,AAiCM,gBAjCU,CAKd,OAAO,CASL,OAAO,CAmBL,MAAM,AAAC,CACL,MAAM,CAAE,SAAS,CAClB,AAnCP,AAsCE,gBAtCc,CAsCd,OAAO,AAAA,WAAW,AAAA,IAAK,CAAA,UAAW,CpH+Bd,CAAC,EoH/BiB,CAEpC,UAAU,CAAE,IAAI,CACjB,AxDzCH,AAAA,uBAAuB,AwD4CC,CACtB,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,IAAI,CACpB,AChDD,AAGI,qBAHiB,CAGf,MAAM,AAAA,YAAY,CAHxB,qBAAqB,CAEjB,YAAY,CACV,MAAM,AAAA,YAAY,AAAC,CACnB,UAAU,CAAE,IAAI,CACjB,AALL,AAQE,qBARmB,CAQnB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CACnB,AAGH,AAAA,gBAAgB,CAAC,cAAc,AAAA,SAAS,AAAC,CACvC,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,oBAAoB,AAAC,CACnB,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,MAAM,CACnB,AACD,AAAA,0BAA0B,AAAC,CACzB,SAAS,CAAE,KAAK,CA0BjB,AA3BD,AAEE,0BAFwB,CAExB,YAAY,AAAC,CACX,gBAAgB,CAAE,WAAW,CAuB9B,AA1BH,AAKI,0BALsB,CAExB,YAAY,CAGV,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CAKpB,AAXL,AAQM,0BARoB,CAExB,YAAY,CAGV,EAAE,AAGC,QAAQ,AAAC,CACR,YAAY,CAAE,KAAK,CACpB,AAVP,AAaI,0BAbsB,CAExB,YAAY,CAWV,CAAC,AAAC,CACA,KAAK,CxIgKC,OAAmD,CwIrJ1D,AAzBL,AAgBM,0BAhBoB,CAExB,YAAY,CAWV,CAAC,AAGE,OAAO,AAAC,CACP,KAAK,CvIvCH,IAAO,CuIwCT,WAAW,CAAE,IAAI,CACjB,gBAAgB,CAAE,WAAW,CAK9B,AAxBP,AAqBQ,0BArBkB,CAExB,YAAY,CAWV,CAAC,AAGE,OAAO,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAMT,AAAA,aAAa,AAAC,CACZ,cAAc,CxHpCH,IAAmB,CwHqC9B,aAAa,CxHrCF,IAAmB,CwHsC9B,gBAAgB,CvIrDN,IAAO,CuIsDjB,UAAU,CAAE,UAAU,CAcvB,AAlBD,AAME,aANW,AAMV,iBAAiB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAChB,AATH,AAWE,aAXW,CAWX,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CAAE,KAAK,CACb,AAbH,AAeE,aAfW,CAeX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AACE,YADU,CACV,OAAO,AAAC,CACN,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAMjB,AARD,AAII,iBAJa,CAGf,EAAE,CACA,EAAE,AAAC,CACD,OAAO,CAAE,OAAO,CACjB,AAIL,AAAA,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,kBAAkB,CAC3B,AAED,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,MAAM,CAChB,AAED,AAAA,UAAU,AAAC,CACT,aAAa,CAAE,IAAI,CAwHpB,AAzHD,AAKM,UALI,CAGR,MAAM,AACH,MAAM,CACL,QAAQ,AAAC,CACP,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,CAAC,CACT,KAAK,CvI5GD,IAAO,CuI6GZ,A9BVP,AAkGM,UAlGI,CACR,MAAM,CAkEJ,QAAQ,CA+BN,GAAG,AAAA,OAAO,A8BpFC,CACT,MAAM,CAAE,aAAa,CACtB,AAfP,AAkBQ,UAlBE,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CACN,gBAAgB,AAAC,CACf,OAAO,CxH5GJ,CAAuB,CAIvB,GAAmB,CAAnB,GAAmB,CwHwHvB,AAnCT,AAoBU,UApBA,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CACN,gBAAgB,CAEd,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,eAAe,CAAE,SAAS,CAC3B,AAtBX,AAuBU,UAvBA,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CACN,gBAAgB,CAKd,EAAE,AAAC,CACD,SAAS,CAAE,IAAI,C9HjEzB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C8HiEd,AA1BX,AA2BU,UA3BA,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CACN,gBAAgB,CASd,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,C9HtEzB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C8HyEd,AAlCX,AA+BY,UA/BF,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CACN,gBAAgB,CASd,qBAAqB,CAInB,sBAAsB,AAAC,CACrB,YAAY,CAAE,GAAG,CAClB,A9BlCb,AAkHQ,UAlHE,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,A8B5EC,CACH,SAAS,CAAE,KAAK,CAKjB,AA3CT,AAwCU,UAxCA,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CAoBN,IAAI,CAGF,CAAC,AAAA,QAAQ,AAAC,CACR,eAAe,CAAE,IAAI,CACtB,AA1CX,AA8CM,UA9CI,CAGR,MAAM,CASJ,QAAQ,CAkCN,UAAU,AAAC,CACT,UAAU,CxHpIL,IAAmB,CwHqIzB,A9BjDP,AAMM,UANI,CACR,MAAM,AAIH,eAAe,CACd,mBAAmB,A8B+CC,CAClB,MAAM,CAAE,KAAK,CACd,AAtDP,AAuDM,UAvDI,CAGR,MAAM,AAgDH,eAAe,CAId,QAAQ,AAAC,CACP,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,UAAU,CACnB,MAAM,CAAE,CAAC,CACV,AA5DP,AA+DI,UA/DM,CAGR,MAAM,CA4DJ,SAAS,AAAC,CACR,OAAO,CAAE,UAAU,CACnB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAKlB,A9BxEL,AA+IM,UA/II,CACR,MAAM,CAyIJ,SAAS,CAKP,IAAI,A8B1EC,CACH,SAAS,CAAE,KAAK,CACjB,AAtEP,AA0EM,UA1EI,CAGR,MAAM,AAsEH,eAAe,CACd,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AA5EP,AA6EM,UA7EI,CAGR,MAAM,AAsEH,eAAe,CAId,SAAS,AAAC,CACR,KAAK,CAAE,IAAI,CAiBZ,AA/FP,AAgFQ,UAhFE,CAGR,MAAM,AAsEH,eAAe,CAId,SAAS,CAGL,EAAE,AAAC,CACH,OAAO,CAAE,WAAW,CAarB,AA9FT,AAkFU,UAlFA,CAGR,MAAM,AAsEH,eAAe,CAId,SAAS,CAGL,EAAE,CAEA,EAAE,AAAC,CACH,OAAO,CAAE,MAAM,CACf,WAAW,CxHzKV,IAAmB,CwH6KrB,AAxFX,AAqFY,UArFF,CAGR,MAAM,AAsEH,eAAe,CAId,SAAS,CAGL,EAAE,CAEA,EAAE,CAGF,eAAe,AAAC,CACd,WAAW,CAAE,CAAC,CACf,AAvFb,AA0FU,UA1FA,CAGR,MAAM,AAsEH,eAAe,CAId,SAAS,CAGL,EAAE,CAUF,CAAC,AAAC,CACA,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACZ,A9B9FX,AAsJM,UAtJI,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,A8BpDC,CACP,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,CAAC,CACb,aAAa,CAAE,GAAG,CAAC,KAAK,CxINpB,OAAmD,CwIOxD,AAtGP,AA2GI,UA3GM,CA0GR,WAAW,CACT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACb,A9B9GL,AAyPM,UAzPI,CA+OR,WAAW,CAGT,SAAS,CAOP,aAAa,A8BxIC,CACZ,OAAO,CAAE,KAAK,CACf,AAlHP,AAsHE,UAtHQ,CAsHR,mBAAmB,AAAC,CAClB,QAAQ,CAAE,MAAM,CACjB,AAGH,AAAA,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAuBnB,AAzBD,AAIE,iBAJe,CAIf,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,SAAS,CAAE,IAAI,CAChB,AAPH,AASE,iBATe,CASf,EAAE,AAAC,CACD,KAAK,CvI1OC,IAAO,CuI2Ob,MAAM,CAAE,aAAa,CACtB,AAZH,AAcE,iBAde,CAcf,kBAAkB,CAdpB,iBAAiB,CAef,YAAY,CAfd,iBAAiB,CAgBf,QAAQ,CAhBV,iBAAiB,CAiBf,KAAK,AAAA,cAAc,AAAC,CAClB,KAAK,CAAE,IAAI,CACZ,A9B4UH,AA4BE,iBA5Be,CA4Bf,aAAa,A8BtWC,CACZ,OAAO,CAAE,YAAY,CACrB,UAAU,CxHvOD,GAAmB,CwHwO7B,AAGH,AACE,aADW,CACX,SAAS,AAAC,CACR,WAAW,CAAE,GAAG,CAChB,OAAO,CAAE,YAAY,CACtB,AC7PH,AACE,MADI,AAAA,cAAc,CAClB,sBAAsB,AAAC,CACrB,SAAS,CzIKC,MAAM,CyIJjB,AAHH,AAIE,MAJI,AAAA,cAAc,CAIlB,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACb,AANH,AAQI,MARE,AAAA,cAAc,CAOlB,kBAAkB,CAChB,IAAI,CAAA,AAAA,QAAC,AAAA,CAAU,CACb,MAAM,CAAE,WAAW,CACnB,gBAAgB,CzIwLV,OAAmD,CyIvL1D,AAXL,AAYI,MAZE,AAAA,cAAc,CAOlB,kBAAkB,CAKhB,WAAW,CAAA,AAAA,QAAC,AAAA,CAAU,CACpB,gBAAgB,CzIqLV,OAAmD,CyIpL1D,AxCdL,AAOE,MAPI,AAAA,cAAc,CAOlB,SAAS,AwCUC,CACR,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,AApBH,AAsBE,MAtBI,AAAA,cAAc,CAsBlB,UAAU,AAAC,CACT,SAAS,CAAE,UAAU,CAItB,AA3BH,AAwBI,MAxBE,AAAA,cAAc,CAsBlB,UAAU,CAER,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CACjB,AA1BL,AA4BE,MA5BI,AAAA,cAAc,CA4BlB,GAAG,AAAC,CACF,SAAS,CAAE,KAAK,CAChB,MAAM,CAAE,IAAI,CACb,AA/BH,AAgCE,MAhCI,AAAA,cAAc,CAgClB,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACb,AAlCH,AAmCE,MAnCI,AAAA,cAAc,CAmClB,SAAS,AAAC,CACR,WAAW,CAAE,SAAS,CACtB,SAAS,CzIYC,OAAQ,CyIXlB,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CAQlB,AAhDH,AAyCI,MAzCE,AAAA,cAAc,CAmClB,SAAS,CAMP,EAAE,AAAC,CACD,KAAK,CAAE,GAAG,CACV,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,UAAU,CACrB,WAAW,CAAE,QAAQ,CACtB,AA/CL,AAmDI,MAnDE,AAAA,cAAc,CAiDlB,iBAAiB,CAEf,GAAG,CAnDP,MAAM,AAAA,cAAc,CAkDlB,SAAS,CACP,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,UAAU,CACvB,AAtDL,AAwDE,MAxDI,AAAA,cAAc,CAwDlB,aAAa,AAAC,CACZ,MAAM,CAAE,IAAI,CACb,AA1DH,AA4DE,MA5DI,AAAA,cAAc,CA4DlB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,ACjEH,AACE,UADQ,CACR,eAAe,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AnC2BH,AAAA,WAAW,AmCzBC,CACV,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,GAAG,CACV,gBAAgB,CAAE,WAAW,CAoB9B,AAtBD,AAIE,iBAJe,CAIf,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CAgBb,AArBH,AAOI,iBAPa,CAIf,EAAE,CAGA,CAAC,AAAC,CACA,KAAK,C1IiLC,OAAoD,C0IhL1D,OAAO,CAAE,KAAK,CAWf,AApBL,AAWM,iBAXW,CAIf,EAAE,CAGA,CAAC,AAIE,OAAO,AAAC,CACP,gBAAgB,CAAE,WAAW,CAC7B,WAAW,CAAE,IAAI,CACjB,KAAK,CzIvBH,IAAO,CyI4BV,AAnBP,AAgBQ,iBAhBS,CAIf,EAAE,CAGA,CAAC,AAIE,OAAO,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAMT,AAAA,sBAAsB,CACtB,sBAAsB,CACtB,oBAAoB,AAAC,CACnB,KAAK,CAAE,GAAG,CACX,AAED,AAEI,aAFS,CACX,gBAAgB,CACd,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AAIL,AAAA,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,IAAI,CACZ,ACnDD,AACE,gBADc,CACd,mBAAmB,AAAC,CAClB,YAAY,CAAE,EAAE,CAChB,KAAK,CAAE,GAAG,CAOX,AAVH,AAMM,gBANU,CACd,mBAAmB,CAIjB,MAAM,CACJ,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CACX,AARP,AAYE,gBAZc,CAYd,YAAY,AAAC,CACX,KAAK,CAAE,GAAG,CACX,ApFkBH,AAAA,UAAU,CACV,WAAW,AqF/BC,CACV,QAAQ,CAAE,QAAQ,CAClB,OAAO,C5I+FK,GAAG,C4IjEhB,AAjCD,AAIE,UAJQ,AAIP,MAAM,CAHT,WAAW,AAGR,MAAM,AAAC,CACN,QAAQ,CAAE,KAAK,CACf,OAAO,C5IyFI,GAAG,C4IxFf,AAPH,AAQE,UARQ,AAQP,YAAY,CAPf,WAAW,AAOR,YAAY,AAAC,CACZ,OAAO,C5I+EC,IAAI,C4I9Eb,ArFqBH,AAsCI,UAtCM,CAqCR,UAAU,CACR,MAAM,CArCV,WAAW,CAoCT,UAAU,CACR,MAAM,AqFxDC,CACL,IAAI,CAAE,QAAQ,CACf,ArFgBL,AA6DM,UA7DI,CAqCR,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,CA5DZ,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,AqF3EC,CACL,SAAS,CAAE,KAAK,CACjB,ArFYP,AAuEI,UAvEM,CAqER,EAAE,CAEA,OAAO,CAtEX,WAAW,CAoET,EAAE,CAEA,OAAO,AqF/EC,CACN,SAAS,C5I0BD,OAAQ,C4IzBjB,AAzBL,AA2BE,UA3BQ,CA2BR,EAAE,CA1BJ,WAAW,CA0BT,EAAE,AAAC,CACD,SAAS,C5IoBD,QAAQ,C4InBjB,ArFEH,AA2EE,UA3EQ,CA2ER,EAAE,CA1EJ,WAAW,CA0ET,EAAE,AqF5EC,CACD,SAAS,C5IkBJ,GAAG,C4IjBT,ArF0GH,AAoFM,UApFI,CAgFR,UAAU,CACR,cAAc,CAGZ,WAAW,CApFjB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqF7LS,CACV,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,KAAK,CAChB,MAAM,CAAE,WAAW,CACpB,AARP,AASM,UATI,CAER,UAAU,CACR,cAAc,CAMZ,iBAAiB,AAAC,CAChB,SAAS,CAAE,KAAK,CACjB,AlF/CP,AAME,YANU,CAMV,KAAK,CANP,YAAY,CAOV,iBAAiB,AmFAC,CAChB,OAAO,CAAE,UAAU,CACpB,AnFTH,AAoCE,YApCU,CAoCV,KAAK,CApCP,YAAY,CAqCV,YAAY,CArCd,YAAY,CAsCV,WAAW,AmFzBC,CACV,YAAY,CAAE,GAAG,CAClB,AAfH,AAkBI,YAlBQ,CAiBV,aAAa,AACV,OAAO,AAAC,CACP,gBAAgB,C7IgLV,OAAmD,C6I/K1D,AjFpBL,AAuDE,UAvDQ,AAuDP,OAAO,AkFvDC,CACP,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,UAAU,CAClB,OAAO,CAAE,IAAI,CAYd,AAhBH,AAKI,UALM,AACP,OAAO,AAIL,YAAa,CAAA,EAAE,CAAE,CAChB,YAAY,CAAE,CAAC,CAChB,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ElFPvC,AAuDE,UAvDQ,AAuDP,OAAO,AkFvDC,CAQL,IAAI,CAAE,OAAO,CACb,YAAY,CAAE,CAAC,CAMlB,CAhBH,AAYI,UAZM,AACP,OAAO,CAWN,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,CAAC,CAChB"\n}
2	mobile_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	﻿/*! normalize.css v3.0.1 | MIT License | git.io/normalize */html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%}body{margin:0}article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary{display:block}audio,canvas,progress,video{display:inline-block;vertical-align:baseline}audio:not([controls]){display:none;height:0}[hidden],template{display:none}a{background:transparent}a:active,a:hover{outline:0}abbr[title],acronym[title]{text-decoration:underline;text-decoration-style:dotted}b,strong{font-weight:bold}dfn{font-style:italic}h1{font-size:1.7511em;margin:0.67em 0}mark{background:#ff0;color:#000}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sup{top:-0.5em}sub{bottom:-0.25em}img{border:0}figure{margin:1em 40px}hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0}pre{overflow:auto}code,kbd,pre,samp{font-family:monospace, monospace;font-size:1em}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0}button{overflow:visible}button,select{text-transform:none}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer}button[disabled],html input[disabled]{cursor:default}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0}input{line-height:normal}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0}input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{height:auto}input[type="search"]{-webkit-appearance:textfield;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em}legend{border:0;padding:0}textarea{overflow:auto}optgroup{font-weight:bold}table{border-collapse:collapse;border-spacing:0}td,th{padding:0}/*!\n * Pikaday\n * Copyright © 2014 David Bushell | BSD & MIT license | http://dbushell.com/\n */.pika-single{z-index:9999;display:block;position:relative;color:#ddd;background:#222;border:1px solid #313131;border-bottom-color:#313131;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif}.pika-single.is-hidden{display:none}.pika-single.is-bound{position:absolute;box-shadow:0 5px 15px -5px rgba(0,0,0,0.5)}.pika-single:before,.pika-single:after{content:" ";display:table}.pika-single:after{clear:both}.pika-lendar{float:left;width:240px;margin:8px}.pika-title{position:relative;text-align:center}.pika-title select{cursor:pointer;position:absolute;z-index:9998;margin:0;left:0;top:5px;filter:alpha(opacity=0);opacity:0}.pika-label{display:inline-block;position:relative;z-index:9999;overflow:hidden;margin:0;padding:5px 3px;font-size:14px;line-height:20px;font-weight:bold;color:#ddd;background-color:#222}.pika-prev,.pika-next{display:block;cursor:pointer;position:relative;outline:none;border:0;padding:0;width:20px;height:30px;text-indent:20px;white-space:nowrap;overflow:hidden;background-color:transparent;background-position:center center;background-repeat:no-repeat;background-size:75% 75%;opacity:.5;filter:invert(1)}.pika-prev:hover,.pika-next:hover{opacity:1}.pika-prev.is-disabled,.pika-next.is-disabled{cursor:default;opacity:.2}.pika-prev,.is-rtl .pika-next{float:left;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==")}.pika-next,.is-rtl .pika-prev{float:right;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=")}.pika-select{display:inline-block}.pika-table{width:100%;border-collapse:collapse;border-spacing:0;border:0}.pika-table th,.pika-table td{width:14.285714285714286%;padding:0}.pika-table th{color:#ddd;font-size:12px;line-height:25px;font-weight:bold;text-align:center}.pika-table abbr{border-bottom:none;cursor:help}.pika-button{cursor:pointer;display:block;-moz-box-sizing:border-box;box-sizing:border-box;outline:none;border:0;margin:0;width:100%;padding:5px;color:#ddd;font-size:12px;line-height:15px;text-align:right;background:#222}.is-today .pika-button{color:#0f82af;font-weight:bold}.is-selected .pika-button{color:#222;font-weight:bold;background:#0f82af;box-shadow:inset 0 1px 3px #052e3d;border-radius:3px}.is-disabled .pika-button,.is-outside-current-month .pika-button{pointer-events:none;cursor:default;color:#ddd;opacity:.3}.pika-button:hover{color:#ddd;background:#052e3d;box-shadow:none;border-radius:3px}.pika-week{font-size:11px;color:#ddd}.is-inrange .pika-button{background:#D5E9F7}.is-startrange .pika-button{color:#222;background:#6CB31D;box-shadow:none;border-radius:3px}.is-endrange .pika-button{color:#222;background:#0f82af;box-shadow:none;border-radius:3px}.pull-left{float:left}.pull-right{float:right}.show{display:block}.hide,.hidden{display:none}.invisible{visibility:hidden}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);border:0}.affix{position:fixed}.clearfix:before,.nav-pills:before,.container:before,.wrap:before,.clearfix:after,.nav-pills:after,.container:after,.wrap:after{display:table;content:" "}.clearfix:after,.nav-pills:after,.container:after,.wrap:after{clear:both}.overflow-ellipsis{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.clickable{cursor:pointer}.disable-no-hover:hover{background:#919191;color:#ddd}html{color:#ddd;font-family:Helvetica,Arial,sans-serif;font-size:15px;line-height:1.4;background-color:#222;overflow-y:scroll;direction:ltr}html.text-size-smaller{font-size:14px}html.text-size-larger{font-size:17px}html.text-size-largest{font-size:19px}a{color:#0f82af;text-decoration:none;cursor:pointer}a:visited{color:#0f82af}a:hover{color:#0f82af}a:active{color:#0f82af}hr{display:block;height:1px;margin:1em 0;border:0;border-top:1px solid #313131;padding:0}ul,dd{margin:0 0 9px 25px;padding:0}.cooked ul,.cooked ol,.cooked dd{clear:both}.cooked ul,.d-editor-preview ul{margin:0;padding-left:40px}li>ul,li>ol{margin-bottom:0}img{vertical-align:middle}fieldset{margin:0;border:0;padding:0}pre code{overflow:auto;tab-size:4}.row:before,.row:after{display:table;content:""}.row:after{clear:both}#offscreen-content{display:none}tbody{border-top:3px solid #313131}tr{border-bottom:1px solid #313131}tr.highlighted{animation:background-fade-highlight 2.5s ease-out}ruby>rt{font-size:72%}.select-kit.categories-admin-dropdown .select-kit-body{min-width:auto;width:250px}.select-kit.categories-admin-dropdown .select-kit-header .d-icon{justify-content:space-between}.select-kit.combo-box.category-chooser{width:300px}.select-kit.combo-box.category-chooser .select-kit-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:flex-start;-ms-flex-align:flex-start;align-items:flex-start;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.select-kit.combo-box.category-chooser .select-kit-row.none .topic-count{display:none}.select-kit.combo-box.category-chooser .select-kit-row .topic-count{font-size:.7579em;color:#ddd;white-space:nowrap}.select-kit.combo-box.category-chooser .select-kit-row .category-status{color:#ddd;line-height:1.4;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto}.select-kit.combo-box.category-chooser .select-kit-row .category-desc{-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;color:#919191;font-size:.8706em;line-height:1.4}.select-kit.combo-box.category-drop .badge-wrapper{font-size:1em;font-weight:normal}.select-kit.combo-box.category-drop .badge-wrapper.box{margin:0}.select-kit.combo-box.category-drop .badge-wrapper.box span.badge-category{margin:0}.select-kit.combo-box.category-drop.bar.has-selection .category-drop-header{padding:0 5px 0 10px}.select-kit.combo-box.category-drop.box.has-selection .category-drop-header .badge-wrapper.box{padding:0}.select-kit.combo-box.category-drop .category-drop-header.is-none .selected-name{color:inherit}.select-kit.combo-box.category-drop .category-drop-header .badge-wrapper{margin-right:0}.select-kit.combo-box.category-drop .select-kit-body{min-width:300px}.select-kit.combo-box.category-drop .select-kit-row{flex-direction:column;align-items:flex-start}.select-kit.combo-box.category-drop .select-kit-row[data-value="all-categories"],.select-kit.combo-box.category-drop .select-kit-row[data-value="no-categories"]{color:#0f82af;font-weight:700}.select-kit.combo-box.category-drop .select-kit-row .category-desc{font-weight:normal;color:#909090;margin-top:2px}.select-kit.combo-box.category-drop .select-kit-row .category-status{align-items:center}.select-kit.combo-box.category-drop .select-kit-row .topic-count{margin-left:5px;font-weight:normal}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper{margin:0;font-weight:bold}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper:nth-child(2){margin-left:10px}.select-kit.combo-box.category-drop.is-expanded .select-kit-wrapper,.select-kit.combo-box.category-drop .select-kit-wrapper{display:none}.select-kit .category-row .category-status{display:flex;flex-wrap:wrap;align-items:center;max-width:100%;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto}.select-kit .category-row .category-desc{max-width:100%}.select-kit .category-row .category-status .badge-wrapper.box{margin-bottom:1px;margin-top:1px}.select-kit .category-row .topic-count{white-space:nowrap}.select-kit.category-selector .selected-name .badge-wrapper.box,.select-kit-box.category-selector .selected-name .badge-wrapper.box{margin:2px;padding:0}.select-kit.combo-box{min-width:auto}.select-kit.combo-box .select-kit-body{width:100%;min-width:150px;border-radius:0;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}.select-kit.combo-box .select-kit-row{margin:0;min-height:1px;padding:6px 10px}.select-kit.combo-box .select-kit-row.no-content{font-weight:normal}.select-kit.combo-box .select-kit-filter{padding:4px 10px;border-top:1px solid #313131;border-bottom:1px solid #313131}.select-kit.combo-box .select-kit-filter .spinner{flex:0 0 auto}.select-kit.combo-box .select-kit-filter .filter-input,.select-kit.combo-box .select-kit-filter .filter-input:focus,.select-kit.combo-box .select-kit-filter .filter-input:active{flex:0 0 auto;width:90%}.select-kit.combo-box .select-kit-filter .filter-icon{padding-left:5px}.select-kit.combo-box .select-kit-header{background:#222;border:1px solid #909090;padding:0 5px 0 10px;font-weight:500;font-size:1em}.select-kit.combo-box .select-kit-header.is-focused{border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af}.select-kit.combo-box .select-kit-collection{display:flex;flex-direction:column;padding:0;min-width:100px;max-height:200px;max-width:32em}.select-kit.combo-box .select-kit-collection .collection-header a{white-space:nowrap;color:#ddd;line-height:1.2;font-weight:bold;display:block;padding:6px 10px;color:#0f82af}.select-kit.combo-box .select-kit-collection .collection-header a:hover{text-decoration:underline}.select-kit.combo-box.is-disabled .select-kit-header{background:#313131;border-color:#7a7a7a;color:#909090}.select-kit.combo-box.is-disabled .select-kit-header .d-icon{color:#909090}.select-kit.combo-box.is-highlighted .select-kit-header{border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af}.select-kit.combo-box.is-expanded .select-kit-wrapper{display:block;border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af}.select-kit.combo-box.is-expanded.is-above .select-kit-header{border-radius:0 0 3px 3px}.select-kit.combo-box.is-expanded.is-above .select-kit-body{border-radius:3px 3px 0 0}.select-kit.combo-box.tag-drop,.select-kit.combo-box.group-dropdown{min-width:auto}.select-kit.combo-box.tag-drop .select-kit-row,.select-kit.combo-box.group-dropdown .select-kit-row{font-weight:bold}.select-kit.combo-box.is-expanded .select-kit-wrapper,.select-kit.combo-box .select-kit-wrapper{display:none}.select-kit.dropdown-select-box.composer-actions{margin:0}.select-kit.dropdown-select-box.composer-actions .select-kit-header{background:none;outline:none;padding:0;margin-right:5px;border:1px solid #313131;min-height:unset}.select-kit.dropdown-select-box.composer-actions .select-kit-header .d-icon{padding:5px 6px}.select-kit.dropdown-select-box.composer-actions .select-kit-header:hover,.select-kit.dropdown-select-box.composer-actions .select-kit-header:focus{background:#313131}.select-kit.dropdown-select-box.composer-actions .d-icon{margin:0 !important}.select-kit.dropdown-select-box{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;min-width:auto;border:none}.select-kit.dropdown-select-box.is-expanded .select-kit-collection,.select-kit.dropdown-select-box.is-expanded .select-kit-body{border-radius:0}.select-kit.dropdown-select-box .select-kit-body{border:1px solid #313131;background-clip:padding-box;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);max-width:300px;width:300px}.select-kit.dropdown-select-box .select-kit-row{margin:0;padding:10px 5px}.select-kit.dropdown-select-box .select-kit-row .icons{display:-webkit-box;display:-ms-flexbox;display:flex;flex:0 0 auto;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-item-align:start;align-self:flex-start;margin-right:0.357em;margin-top:2px;width:30px}.select-kit.dropdown-select-box .select-kit-row .icons .d-icon{font-size:1.3195em;-ms-flex-item-align:center;align-self:center;margin-right:0;opacity:1}.select-kit.dropdown-select-box .select-kit-row .texts{width:0;line-height:1.4;-webkit-box-flex:1;-ms-flex:1;flex:1 1 0%;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.select-kit.dropdown-select-box .select-kit-row .texts .name{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;font-weight:bold;font-size:1em;color:#ddd;padding:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100%}.select-kit.dropdown-select-box .select-kit-row .texts .desc{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;width:100%;font-size:.8706em;font-weight:normal;color:#909090;white-space:normal}.select-kit.dropdown-select-box .select-kit-collection{padding:0;max-height:100%}.select-kit.dropdown-select-box .dropdown-select-box-header{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;border:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}.select-kit.dropdown-select-box .dropdown-select-box-header .d-icon+.d-icon{margin-left:5px}.select-kit.dropdown-select-box .dropdown-select-box-header.is-focused{outline-style:auto;outline-color:#0f82af}.select-kit.combobox.future-date-input-selector{min-width:50%}.select-kit.combobox.future-date-input-selector .future-date-input-selector-header .btn-clear{line-height:1.4}.select-kit.combobox.future-date-input-selector .future-date-input-selector-datetime{color:#fff;margin-left:5px;white-space:nowrap}.select-kit.combobox.future-date-input-selector .future-date-input-selector-icons{margin-right:5px}.select-kit.combobox.future-date-input-selector .btn-clear{padding:0;margin-left:5px}.select-kit.combobox.future-date-input-selector .future-date-input-selector-row .future-date-input-selector-icons{color:#fff}.select-kit.multi-select.list-setting .select-kit-row.create .square{width:12px;height:12px;margin-left:5px}.select-kit.combo-box.mini-tag-chooser{margin-bottom:5px;margin-left:5px}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-header{border:1px solid #0f82af}.select-kit.combo-box.mini-tag-chooser.no-tags .select-kit-header .selected-name{color:#909090}.select-kit.combo-box.mini-tag-chooser .select-kit-body{max-width:32em}.select-kit.combo-box.mini-tag-chooser .select-kit-header{height:30px}.select-kit.combo-box.mini-tag-chooser .select-kit-header .selected-name{margin:0;border:0;padding:0;outline:none;box-shadow:none;cursor:pointer;max-width:250px}.select-kit.combo-box.mini-tag-chooser .select-kit-filter{border-top:0}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-wrapper,.select-kit.combo-box.mini-tag-chooser .select-kit-wrapper{display:none}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-selected{background:none}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-highlighted.is-selected{background:#052e3d}.select-kit.combo-box.mini-tag-chooser .select-kit-row .discourse-tag-count{margin-left:5px}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header{max-height:125px;overflow:hidden;flex:1 0 auto;border-bottom:1px solid #313131}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tags{display:flex;padding:4px;flex-wrap:wrap;margin:-2px;overflow:hidden}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag{background:#313131;padding:2px 4px;margin:2px;border:0}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag.is-highlighted{box-shadow:0 0 2px #e45735,0 1px 0 rgba(0,0,0,0.05)}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag .d-icon{color:#7a7a7a;vertical-align:middle}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag:hover .d-icon{color:#e45735}.select-kit.multi-select{width:300px;background:#222;border-radius:0}.select-kit.multi-select .select-kit-body{width:100%}.select-kit.multi-select .select-kit-row{margin:5px;min-height:1px;padding:5px;border-radius:0}.select-kit.multi-select .select-kit-filter{border:0;flex:1 0 0px;margin:1px}.select-kit.multi-select .multi-select-header{background:#222;border:1px solid #909090}.select-kit.multi-select .multi-select-header.is-focused{box-shadow:0 0 6px 0 #0f82af;border-radius:0}.select-kit.multi-select.is-disabled .multi-select-header{background:#313131;border-color:#7a7a7a;color:#909090}.select-kit.multi-select.is-disabled .multi-select-header .d-icon{color:#909090}.select-kit.multi-select.is-highlighted .multi-select-header{border-radius:0;border-bottom:1px solid transparent;box-shadow:0 0 6px 0 #0f82af}.select-kit.multi-select.is-expanded .select-kit-wrapper{display:block;border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af;border-radius:0}.select-kit.multi-select.is-expanded .multi-select-header{border-radius:0;box-shadow:none}.select-kit.multi-select.is-expanded .select-kit-body{border-radius:0}.select-kit.multi-select .choices{margin:0 2px;box-sizing:border-box;display:flex;justify-content:flex-start;flex-wrap:wrap;width:100%}.select-kit.multi-select .choices .choice{display:inline-flex;box-sizing:border-box;align-items:center;justify-content:space-between;flex-wrap:wrap;flex-direction:row;margin:1px 0px 2px 2px}.select-kit.multi-select .choices .filter{align-items:center;justify-content:flex-start;white-space:nowrap;min-width:50px;padding:0;outline:none;flex:1 0 0px}.select-kit.multi-select .choices .filter .filter-input,.select-kit.multi-select .choices .filter .filter-input:focus{border:none;background:none;display:inline-block;width:100%;outline:none;min-width:auto;padding:0;margin:0;outline:0;border:0;box-shadow:none;border-radius:0;min-height:unset}.select-kit.multi-select .choices .selected-color .selected-color-wrapper{display:flex;flex:1 0 0px;flex-direction:column}.select-kit.multi-select .choices .selected-color .color-preview{height:5px;margin:0 2px 2px 0px;display:flex;width:100%}.select-kit.multi-select .choices .selected-category .body{display:flex;align-items:center}.select-kit.multi-select .choices .selected-category .badge-wrapper{padding:2px 4px;line-height:1.2;display:flex;flex:1 0 0px;align-items:center}.select-kit.multi-select .choices .selected-category .badge-wrapper.bullet{margin-right:2.5px}.select-kit.multi-select .choices .selected-name .footer{display:flex;width:100%}.select-kit.multi-select .choices .selected-name .body{background:#313131;padding:4px}.select-kit.multi-select .choices .selected-name .d-icon{color:#7a7a7a;vertical-align:middle}.select-kit.multi-select .choices .selected-name:hover .d-icon:last-child{color:#e45735}.select-kit.multi-select .choices .selected-name.is-highlighted{box-shadow:0 0 2px #e45735,0 1px 0 rgba(0,0,0,0.05)}.select-kit.dropdown-select-box.notifications-button .select-kit-body{min-width:550px;max-width:550px}.select-kit.dropdown-select-box.notifications-button .select-kit-row .icons{-ms-flex-item-align:start;align-self:flex-start}.select-kit.dropdown-select-box.period-chooser{display:inline-flex;position:relative}.select-kit.dropdown-select-box.period-chooser .select-kit-collection{padding:5px}.select-kit.dropdown-select-box.period-chooser .period-chooser-header{background:none;border:none;justify-content:flex-start;width:auto;height:auto;padding:0}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{color:#222;display:inline-block;box-sizing:border-box}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .date-section{color:#ddd;margin-right:5px}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.8706em;color:#646464;font-weight:normal;text-transform:uppercase}.select-kit.dropdown-select-box.period-chooser .period-chooser-header .d-icon{color:#ddd;opacity:1;margin:5px 0 10px 5px;font-size:1.5157em}.select-kit.dropdown-select-box.period-chooser .period-chooser-header.is-focused,.select-kit.dropdown-select-box.period-chooser .period-chooser-header:hover{background:none;border:none;outline:none}.select-kit.dropdown-select-box.period-chooser .period-chooser-row{font-weight:bold;padding:5px;font-size:1.1487em;align-items:center;display:flex}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .period-title{flex:1 0 0px}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .date-section{color:#ddd}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .top-date-string{font-weight:normal;font-size:.8706em;color:#646464;text-transform:uppercase;margin-left:5px}#topic-footer-buttons .pinned-button{min-width:auto;margin:1em 0}#topic-footer-buttons .pinned-button.is-hidden{display:none}#topic-footer-buttons .pinned-button .btn{margin:0}#topic-footer-buttons .pinned-button .reason{display:inline;line-height:1.2}.pinned-button{margin:0;min-width:auto}.pinned-button .pinned-options{display:inline}.pinned-button .pinned-options .select-kit-body{min-width:unset;max-width:unset;width:550px}.mobile-view .select-kit.is-expanded{z-index:300}.select-kit{border:none;min-width:220px;box-sizing:border-box;display:inline-block;flex-direction:column;position:relative;vertical-align:middle;user-select:none}.select-kit.is-hidden{display:none}.select-kit.is-disabled{pointer-events:none}.select-kit.is-expanded{z-index:300}.select-kit.is-expanded .select-kit-body{display:flex;flex-direction:column;left:0;position:absolute;top:0}.select-kit.is-expanded .select-kit-collection{border-radius:inherit}.select-kit.is-above .select-kit-body{bottom:0;top:auto}.select-kit.is-above .select-kit-filter{border-top:0}.select-kit.is-above .select-kit-wrapper{bottom:0;top:auto}.select-kit .d-icon{color:#a6a6a6}.select-kit .select-kit-header{box-sizing:border-box;overflow:hidden;transition:all 0.25s;cursor:pointer;outline:none;display:flex;align-items:center;flex-direction:row;min-height:30px}.select-kit .select-kit-header .selected-name{text-align:left;flex:0 1 auto;padding:1px 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:inherit}.select-kit .select-kit-header .btn-clear{padding:0 10px;border:0;background:none}.select-kit .select-kit-header .icon{margin-right:5px}.select-kit .select-kit-header .caret-icon{margin-left:auto;padding-left:5px;pointer-events:none}.select-kit .select-kit-header .d-button-label{display:flex;align-items:center;white-space:nowrap;overflow:hidden;line-height:1.2}.select-kit .select-kit-header .d-button-label .d-icon{margin-left:5px;margin-right:0}.select-kit .select-kit-body{display:none;background:#222;box-sizing:border-box}.select-kit .select-kit-row{cursor:pointer;line-height:1.2;outline:none;display:flex;flex:1 0 auto;box-sizing:border-box;align-items:center;justify-content:flex-start}.select-kit .select-kit-row .name{margin:0;overflow:hidden;text-overflow:ellipsis;flex:1 1 0%}.select-kit .select-kit-row .d-icon{margin-right:5px}.select-kit .select-kit-row.is-highlighted{background:#052e3d}.select-kit .select-kit-row.is-selected{background:#4c3319}.select-kit .select-kit-row.is-selected.is-highlighted{background:#052e3d}.select-kit .select-kit-row .discourse-tag,.select-kit .select-kit-row .discourse-tag-count{color:#ddd}.select-kit .select-kit-collection{background:#222;overflow-x:hidden;overflow-y:auto;border-radius:inherit;-webkit-overflow-scrolling:touch;margin:0;padding:0;max-height:200px}.select-kit .select-kit-collection .validation-message{white-space:nowrap;color:#e45735;flex:1 0 auto;margin:5px;padding:0 2px}.select-kit .select-kit-collection .select-kit-collection{padding:0;margin:0}.select-kit .select-kit-collection .select-kit-collection:hover .select-kit-row.is-highlighted:hover{background:#052e3d}.select-kit .select-kit-collection::-webkit-scrollbar{-webkit-appearance:none;width:10px}.select-kit .select-kit-collection::-webkit-scrollbar-thumb{cursor:pointer;border-radius:5px;background:#919191}.select-kit .select-kit-collection::-webkit-scrollbar-track{background:transparent;border-radius:0}.select-kit .select-kit-filter{display:flex;box-sizing:border-box;align-items:center;justify-content:space-between}.select-kit .select-kit-filter .filter-input,.select-kit .select-kit-filter .filter-input:focus,.select-kit .select-kit-filter .filter-input:active{background:none;margin:0;padding:0;flex:1 0 0px;outline:none;border:0;border-radius:0;box-shadow:none;width:100%}.select-kit .select-kit-filter.is-hidden{width:1px;height:1px;border:0;margin:-1px;padding:0;overflow:hidden;position:fixed;outline:0;left:0;top:0}.select-kit .select-kit-wrapper{position:absolute;top:0;left:0;background:none;display:none;box-sizing:border-box;pointer-events:none}.select-kit.multi-select.tag-chooser .select-kit-row{display:flex;align-items:center}.select-kit.multi-select.tag-chooser .select-kit-row .discourse-tag-count{margin-left:5px}.select-kit.combo-box.tag-drop .select-kit-row[data-value="all-tags"],.select-kit.combo-box.tag-drop .select-kit-row[data-value="no-tags"]{color:#0f82af;font-weight:700}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-body{box-shadow:none;padding:10px 10px 5px 10px;width:230px}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row{margin-bottom:5px;padding:6px 3px;background:#313131;transition:all 0.25s}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{font-size:1em;font-weight:normal;color:#ddd}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{opacity:0.7}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted{background:#909090}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .d-icon{color:#222}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row:hover{background:#909090;color:#222}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected{color:#ddd;background:#313131}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected.is-highlighted{background:#909090;color:#ddd}#topic-footer-buttons .topic-notifications-button{min-width:auto;margin:1em 0}#topic-footer-buttons .topic-notifications-button .btn{margin:0}#topic-footer-buttons .topic-notifications-button .reason{display:inline;line-height:1.2}.topic-notifications-button .topic-notifications-options{min-width:auto}.topic-notifications-button{margin:0}.topic-notifications-button .topic-notifications-options{display:inline-flex}.select-kit.dropdown-select-box.user-notifications-dropdown{text-align:left}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-body{width:485px;max-width:485px}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-header{justify-content:center}.select-kit.dropdown-select-box.user-notifications-dropdown .dropdown-select-box-header{align-items:center}.select-kit.combo-box.color-palettes .color-palettes-row .palettes{display:flex;align-items:center;margin-left:0.5em;flex:1 0 0}.select-kit.combo-box.color-palettes .color-palettes-row .palettes .palette{height:15px;width:15px;display:block}.svg-icon,.svg-icon-title{height:1em;width:1em;line-height:1;display:inline-flex;position:relative;vertical-align:-0.125em;fill:currentColor;flex-shrink:0;overflow:visible}svg>use{pointer-events:none}.fa-stack{position:relative;width:1em;height:1em;display:inline-block}.fa-stack .fa-stack-1x,.fa-stack .fa-stack-2x{left:0px;top:0px;position:absolute}.fa-stack .fa-stack-2x{height:1.5em;width:1.5em;margin-top:-0.25em;margin-left:-0.25em}.d-date-time-input-range{padding:0.5em;background:whitesmole;border:1px solid #313131;width:300px;display:flex;flex-direction:column}.d-date-time-input-range .panels{display:inline-flex;list-style:none;margin:0 0 0.5em 0;flex:1}.d-date-time-input-range .panels.from .from-panel{background:#e45735;color:#222}.d-date-time-input-range .panels.to .to-panel{background:#e45735;color:#222}.d-date-time-input-range .panels .btn{margin-right:0.5em}.d-date-time-input-range .panel{display:none;flex:1}.d-date-time-input-range .panel.visible{display:flex}.nav-pills,.nav-stacked{margin-left:0;list-style:none}.nav-pills li a,.nav-stacked li a{display:block;text-decoration:none}.nav-pills>li{float:left;margin-right:5px}.nav-pills>li>a{border:none;padding:6px 12px;color:#ddd;font-size:1.1487em;line-height:1;box-sizing:border-box;min-height:30px;display:flex;align-items:center;transition:background 0.15s}.nav-pills>li>a .d-icon{margin-right:5px;opacity:0.65}.nav-pills>li>a:hover{color:#c14924;background-color:#3a160b}.nav-pills>li a.active{color:#222;background-color:#c14924}.nav-pills>li a.active .d-icon{opacity:1}.nav-stacked{padding:0;overflow:hidden;background:#313131}.nav-stacked li{border-bottom:1px solid #313131;position:relative}.nav-stacked li:last-of-type{border-bottom:0}.nav-stacked li.indent{padding-left:15px}.nav-stacked a{margin:0;padding:13px;font-size:1.1487em;line-height:1;cursor:pointer;color:#ddd}.nav-stacked a.active{color:#222;background-color:#c14924}.nav-stacked a.active::after{left:90%;top:33%;content:" ";position:absolute;border:8px solid transparent;border-left-color:#222}.nav-stacked .count{font-size:.8706em}.nav-stacked .glyph{font-size:.8706em;width:1.25em;text-align:center;margin-right:0.25em;line-height:1.4}.btn{display:inline-block;margin:0;padding:6px 12px;font-weight:500;font-size:1em;line-height:1;text-align:center;cursor:pointer;transition:all 0.25s;box-sizing:border-box;min-height:30px}.btn .d-icon{transition:color 0.25s}.btn:active,.btn.btn-active{text-shadow:none}.btn[disabled],.btn.disabled{cursor:default;opacity:0.4}.btn .d-icon{margin-right:7px}.btn.no-text .d-icon{margin-right:0}.btn.hidden{display:none}.btn{border:none;color:#ddd;font-weight:normal;background:#313131}.btn .d-icon{color:#a6a6a6}.btn[href]{color:#ddd;min-height:unset}.discourse-no-touch .btn:hover,.discourse-no-touch .btn.btn-hover{background:#909090;color:#222}.discourse-no-touch .btn:hover .d-icon,.discourse-no-touch .btn.btn-hover .d-icon{color:#313131}.btn[disabled],.btn.disabled{background:#313131;cursor:not-allowed}.btn[disabled] .d-icon,.btn.disabled .d-icon{color:#909090}.btn[disabled]:hover,.btn.disabled:hover{color:#646464}.btn[disabled]:hover .d-icon,.btn.disabled:hover .d-icon{color:#7a7a7a}.btn .d-icon{line-height:1.2}.btn-primary{border:none;font-weight:normal;color:#222;background:#0f82af}.btn-primary .d-icon{color:currentColor}.btn-primary[href]{color:#222}.discourse-no-touch .btn-primary:hover,.discourse-no-touch .btn-primary.btn-hover{background:#14aeea}.discourse-no-touch .btn-primary:hover .d-icon,.discourse-no-touch .btn-primary.btn-hover .d-icon{color:currentColor}.btn-primary:active,.btn-primary.btn-active{background-color:#0c688c;background-image:linear-gradient(to bottom, #0c688c, #0f82af)}.btn-primary[disabled],.btn-primary.disabled{background:#0f82af}.btn-primary[disabled] .d-icon,.btn-primary.disabled .d-icon{color:currentColor}.btn-danger{color:#222;font-weight:normal;background:#e45735}.btn-danger .d-icon{color:#591b0c}.btn-danger[href]{color:#222}.discourse-no-touch .btn-danger:hover,.discourse-no-touch .btn-danger.btn-hover{background:#e9795d}.discourse-no-touch .btn-danger:hover .d-icon,.discourse-no-touch .btn-danger.btn-hover .d-icon{color:#591b0c}.btn-danger:active,.btn-danger.btn-active{background-color:#c63c1b;background-image:linear-gradient(to bottom, #c63c1b, #e45735)}.btn-danger[disabled],.btn-danger.disabled{background:#e45735}.btn-danger[disabled] .d-icon,.btn-danger.disabled .d-icon{color:#591b0c}.btn-social{color:#fff;background:#666}.btn-social .d-icon{color:#fff}.btn-social:hover{color:#fff}.btn-social[href]{color:#222}.btn-social:before{margin-right:9px;font-size:1em}.btn-social.google_oauth2{background:#fff;color:#333;border:1px solid #313131}.btn-social.google_oauth2 .d-icon{opacity:0.9}.btn-social.google_oauth2:hover{color:currentColor;background:#f2f2f2}.btn-social.instagram{background:#e1306c}.btn-social.instagram:hover{background:#ac194b}.btn-social.facebook{background:#4267b2}.btn-social.facebook:hover{background:#2d477a}.btn-social.cas{background:#70ba61}.btn-social.twitter{background:#1da1f2}.btn-social.twitter:hover{background:#0c85d0}.btn-social.github{background:#100e0f}.btn-social.github:hover{background:#463e42}.btn-social.discord{background:#7289da}.btn-social.discord:hover{background:#4a67cf}.btn-small,.modal.history-modal #revision-footer-buttons button{padding:3px 6px;font-size:.8706em}.btn-large{padding:9px 18px;font-size:1.1487em;line-height:1}.btn-flat{background:transparent;border:0;outline:0;line-height:1;transition:color 0.25s, background 0.25s}.btn-flat .d-icon{color:#7a7a7a}.discourse-no-touch .btn-flat:hover .d-icon,.discourse-no-touch .btn-flat.btn-hover .d-icon{color:#ddd}.btn-flat.close{padding:0;min-height:unset;background:transparent;font-size:1.5157em}.btn-flat.close .d-icon{color:#a6a6a6}.discourse-no-touch .btn-flat.close:hover,.discourse-no-touch .btn-flat.close.btn-hover{background:transparent}.discourse-no-touch .btn-flat.close:hover .d-icon,.discourse-no-touch .btn-flat.close.btn-hover .d-icon{color:#ddd}.btn-link{background:transparent;border:0;outline:0;padding:0;color:#0f82af}.btn-link:focus{outline:1px currentColor dotted}.topic-list-item td:first-child,.topic-post{border-left:1px solid transparent}.topic-list tr.selected td:first-child,.topic-list-item.selected td:first-child,.latest-topic-list-item.selected{box-shadow:inset 3px 0 0 #e45735}.featured-topic.selected,.topic-post.selected{box-shadow:-3px 0 0 #e45735}.latest .featured-topic{padding-left:4px}.topic-list-item.selected{background-color:inherit}.keyboard-shortcuts-modal .modal-body{max-height:560px}#keyboard-shortcuts-help div.row{width:100%}#keyboard-shortcuts-help div.row div{float:left;width:32%}#keyboard-shortcuts-help ul{list-style:none;margin-left:0}#keyboard-shortcuts-help ul li{margin:5px 0}#keyboard-shortcuts-help ul kbd{font-size:15px;font-family:Helvetica,Arial,sans-serif;margin:0;color:#aaa;font-weight:bold;padding:2px 6px;white-space:nowrap}.d-date-time-input{display:flex;align-items:center;border:1px solid #313131;width:258px;box-sizing:border-box;position:relative;flex:1;justify-content:space-between}.d-date-time-input .date-picker,.d-date-time-input .fields{border:0}.group-member-dropdown{text-align:left}#banner{padding:10px;background:#052e3d;color:#ddd;z-index:2;overflow:auto}#banner.overlay{position:fixed}#banner .close{margin-top:-5px;color:#7a7a7a;padding-left:5px;float:right}#banner .meta{display:none}.ignored-list{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#222;min-height:30px;box-sizing:border-box}.ignored-user-list-item{border:1px solid #909090;border-radius:0.25em;padding:0;display:flex;align-items:center;margin-right:10px}.remove-ignored-user{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0 0.25em 0.25em 0;padding-top:0;padding-bottom:0;height:100%}.ignored-user-name{padding-left:10px;padding-right:10px}.d-date-input .date-picker{margin:0;text-align:left;width:100%;outline:none;box-shadow:none !important}.d-date-input .pika-single{margin-left:-1px}.d-time-input{box-sizing:border-box}.d-time-input .fields{display:flex;align-items:center;border:1px solid #313131}.d-time-input .fields .field{text-align:center;width:auto;margin:0;border:none;outline:none;box-shadow:none;width:32px}.d-time-input .fields .field.time{width:100%;text-align:left}.d-time-input .fields .field.hours,.d-time-input .fields .field.minutes{text-align:center;width:45px}.d-time-input .fields .field.hours{padding-right:0}.d-time-input .fields .field.minutes{padding-left:10px;width:55px}.group-form-automatic-membership-automatic,.groups-form-grant-trust-level{margin-bottom:10px}.conditional-loading-section.is-loading{padding:2em;margin:1em;display:flex;align-items:center;justify-content:center;background:#282828;flex-direction:column}.conditional-loading-section.is-loading .title{font-size:1.1487em;font-weight:700}.conditional-loading-section:not(.is-loading){animation:fadein 0.5s;-webkit-animation:fadein 0.5s}@keyframes fadein{from{opacity:0}to{opacity:1}}@-webkit-keyframes fadein{from{opacity:0}to{opacity:1}}a.hashtag{color:#7a7a7a;font-weight:bold}a.hashtag:visited,a.hashtag:hover{color:#7a7a7a}a.hashtag:hover span{text-decoration:underline}.convert-to-public-topic .modal-body .instructions{margin-bottom:1em}.pika-table th,.pika-table td{padding:0 !important;border-top:none !important;border-bottom:none !important}.date-picker-wrapper{position:relative;display:inline-block}.date-picker{text-align:center;width:8em;margin:0}.pika-single{position:absolute !important}.animated-placeholder{height:20px;position:relative}.card-avatar-placeholder{width:120px;height:120px;border-radius:100%;position:relative;overflow:hidden}.card-avatar-placeholder:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;left:0;content:"";background:linear-gradient(to right, #282828 10%, #313131 18%, #282828 33%);height:120px;width:580px}#user-card,#group-card{width:580px;box-shadow:0 4px 14px rgba(0,0,0,0.15);color:#ddd;background:#222 center center;background-size:cover;transition:opacity 0.2s, transform 0.2s;-webkit-transition:opacity 0.2s, -webkit-transform 0.2s;opacity:0;-webkit-transform:scale(0.9);transform:scale(0.9)}#user-card.show,#group-card.show{opacity:1;-webkit-transform:scale(1);transform:scale(1)}#user-card .card-content,#group-card .card-content{padding:10px;background:rgba(34,34,34,0.85);margin-top:80px}#user-card .card-content:after,#group-card .card-content:after{content:"";display:block;clear:both}#user-card .card-content a.card-huge-avatar,#group-card .card-content a.card-huge-avatar{outline:none}#user-card.no-bg .card-content,#group-card.no-bg .card-content{margin-top:0}#user-card .card-row:not(.first-row),#group-card .card-row:not(.first-row){margin-top:0.5em}#user-card .first-row .names,#group-card .first-row .names{padding-left:1.25em}#user-card .first-row .names .user-profile-link,#group-card .first-row .names .user-profile-link{display:flex;align-items:center}#user-card .first-row .names .d-icon,#group-card .first-row .names .d-icon{margin:0 0.25em}#user-card .first-row .names .name-username-wrapper,#group-card .first-row .names .name-username-wrapper{margin-right:0;flex:0 1 auto}#user-card .first-row .names span,#group-card .first-row .names span{display:block}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{list-style-type:none;margin:0}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{width:100%}#user-card .btn,#group-card .btn{margin-bottom:5px}#user-card h1,#group-card h1{line-height:1.2}#user-card h1 .d-icon,#group-card h1 .d-icon{color:#ddd}#user-card h3,#group-card h3{display:inline;margin-right:0.5em;color:#ddd}#user-card h3.email,#user-card h3 .desc,#user-card h3 a,#group-card h3.email,#group-card h3 .desc,#group-card h3 a{color:#a6a6a6}#user-card h1,#user-card h2,#user-card h3,#group-card h1,#group-card h2,#group-card h3{margin:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#user-card h1 a,#user-card h2 a,#group-card h1 a,#group-card h2 a{color:#ddd}#user-card h2,#user-card h3,#group-card h2,#group-card h3{font-weight:normal}#user-card p,#group-card p{margin:0 0 5px 0}#user-card .first-row{display:flex}#user-card .first-row .avatar-placeholder{width:120px;height:120px}#user-card .first-row .user-card-avatar{margin-top:-50px}#user-card .first-row .new-user a{color:#7a7a7a}#user-card .second-row{max-height:150px;overflow:auto}#user-card .second-row .bio a{color:#ddd;text-decoration:underline}#user-card .second-row .bio a.mention{text-decoration:none}#user-card .second-row .bio .overflow{max-height:60px;overflow:hidden}#user-card .second-row .suspended{color:#e45735}#user-card .second-row .suspended .suspension-reason-title,#user-card .second-row .suspended .suspension-date{font-weight:bold}#user-card .second-row .profile-hidden{font-size:1.1487em;margin-top:0.5em}#user-card .third-row .location-and-website{display:flex;flex-wrap:wrap;width:100%;align-items:center}#user-card .third-row .location-and-website .location,#user-card .third-row .location-and-website .website-name{display:flex;overflow:hidden;align-items:center}#user-card .third-row .location-and-website .location .d-icon,#user-card .third-row .location-and-website .website-name .d-icon{margin-right:0.25em}#user-card .third-row .location-and-website .website-name a,#user-card .third-row .location-and-website .location span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:#ddd}#user-card .third-row .location-and-website .location{margin-right:0.5em}#user-card .third-row .location-and-website .website-name a{text-decoration:underline}#user-card .fifth-row .public-user-fields{margin:0}#user-card .sixth-row .badge-section{display:flex;align-items:flex-start}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;background:#282828;border:1px solid #313131;color:#ddd}#group-card .first-row{display:flex}#group-card .first-row .group-card-avatar{margin-top:-50px}#group-card .first-row .avatar-flair{display:flex;background-size:contain;width:120px;height:120px;color:#ddd}#group-card .first-row .avatar-flair .d-icon{margin:auto;font-size:80px}#group-card .first-row .avatar-flair.rounded{border-radius:50%}#group-card .second-row{max-height:150px;overflow:auto}#group-card .second-row .bio a{color:#ddd;text-decoration:underline}#group-card .second-row .bio img{max-width:100%;height:auto}#group-card .second-row .bio a.mention{text-decoration:none}#group-card .second-row .bio .overflow{max-height:60px;overflow:hidden}body.footer-nav-visible #main-outlet{padding-bottom:64px}body.footer-nav-visible #topic-progress-wrapper,body.footer-nav-visible #reply-control.draft{bottom:49px}body.footer-nav-visible #reply-control.draft{margin-bottom:env(safe-area-inset-bottom);padding-bottom:0px}.footer-nav{background-color:rgba(17,17,17,0.9);box-shadow:0 0 2px 0 rgba(0,0,0,0.25);height:49px;position:fixed;bottom:-49px;left:0;width:100%;z-index:900;transition:all linear 0.1s}.footer-nav .d-icon{color:#909090}.footer-nav.visible{bottom:0px}.footer-nav .footer-nav-widget{display:flex;justify-content:"space-evenly";-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.footer-nav .footer-nav-widget button{flex:1;margin:4px;border-radius:2px;padding:14px 18px}.footer-nav .footer-nav-widget button:disabled{opacity:0.6}@supports (padding: 0px){.footer-nav.visible{padding-bottom:max(5px, env(safe-area-inset-bottom))}}@supports (-webkit-backdrop-filter: blur(10px)){body:not(.footer-nav-ipad) .footer-nav{background-color:rgba(17,17,17,0.7);-webkit-backdrop-filter:blur(20px)}}body.footer-nav-ipad{padding-top:49px}body.footer-nav-ipad .footer-nav{bottom:auto;top:0px;background-color:#111;z-index:1020;padding-bottom:0}body.footer-nav-ipad #reply-control,body.footer-nav-ipad #reply-control.fullscreen{z-index:1021}body.footer-nav-ipad.docked .d-header{margin-top:49px}.share-and-invite.modal .modal-body{max-width:475px;min-width:320px}.share-and-invite.modal .modal-header .modal-close{padding-left:0}.share-and-invite.modal .share.modal-panel .header{display:flex;flex-direction:row;align-items:center}.share-and-invite.modal .share.modal-panel .header .title{font-size:1em;font-weight:normal;margin-bottom:8px}.share-and-invite.modal .share.modal-panel .header .title .post-date{color:#909090;font-size:.8706em}.share-and-invite.modal .share.modal-panel .body{display:flex;flex-direction:column}.share-and-invite.modal .share.modal-panel .body .topic-share-url{width:100%;height:auto;box-sizing:border-box}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch a{word-break:break-all;font-size:1.1487em}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch,.share-and-invite.modal .share.modal-panel .body .topic-share-url{margin-bottom:8px}.share-and-invite.modal .share.modal-panel .body .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row}.share-and-invite.modal .share.modal-panel .body .sources .social-link{font-size:2.296em;margin-right:8px}.share-and-invite.modal .invite.modal-panel .error-message,.share-and-invite.modal .invite.modal-panel .success-message{margin-bottom:8px}.share-and-invite.modal .invite.modal-panel .body .invite-user-control,.share-and-invite.modal .invite.modal-panel .body .group-access-control,.share-and-invite.modal .invite.modal-panel .body .show-custom-message-control{margin-bottom:16px}.share-and-invite.modal .invite.modal-panel .body .instructions{margin-bottom:8px}.share-and-invite.modal .invite.modal-panel .body .email-or-username-input{width:100%}.share-and-invite.modal .invite.modal-panel .footer{display:flex;align-items:center}.share-and-invite.modal .invite.modal-panel .footer .btn-primary{margin-right:8px}.share-and-invite.modal .invite.modal-panel .footer .btn-primary:last-child{margin-right:0}.user-stream .item,.user-stream .user-stream-item{background-color:#222;border-bottom:1px solid #313131}.user-stream .item.moderator-action,.user-stream .user-stream-item.moderator-action{background-color:#4c3319}.user-stream .item.deleted,.user-stream .user-stream-item.deleted{opacity:0.8;background-color:rgba(223,67,30,0.7)}.user-stream .item.hidden,.user-stream .user-stream-item.hidden{display:block;opacity:0.4}.user-stream .type,.user-stream span.name{color:#ddd}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{display:block;float:right;color:#909090;font-size:.7579em}.user-stream .draft-type{clear:right}.user-stream .delete-info .d-icon{font-size:1em}.user-stream .expand-item,.user-stream .collapse-item{float:right;margin-right:0.5em;line-height:1;color:#909090}.user-stream .avatar-link{float:left;margin-right:4px}.user-stream .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:block}.user-stream .name{font-size:1em;max-width:400px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-stream .edit-reason{background-color:#54391c;padding:3px 5px 5px 5px}.user-stream .remove-bookmark,.user-stream .remove-draft{float:right;margin-top:-4px}.user-stream .notification li{display:inline-block}.user-stream .notification p{display:inline-block}.user-stream .notification p span:first-child{color:#ddd}.user-stream .notification .time{display:inline-block;margin-left:10px;float:none}.user-stream .notification .fa,.user-stream .notification .icon{color:#919191;font-size:1.7511em}.user-stream .excerpt{margin:1em 0 0 0;font-size:1em;word-wrap:break-word;color:#ddd}.user-stream .excerpt:empty{display:none}.user-stream .excerpt details.disabled{color:#909090}.user-stream .group-member-info{display:flex}.user-stream .child-actions,.user-stream-item-actions,.user-stream-item-draft-actions{margin-top:8px}.user-stream .child-actions .avatar-link,.user-stream-item-actions .avatar-link,.user-stream-item-draft-actions .avatar-link{float:none;margin-right:3px}.user-stream .child-actions .fa,.user-stream-item-actions .fa,.user-stream-item-draft-actions .fa{width:15px;display:inline-block;color:#ddd}.user-stream .child-actions .fa.d-icon-heart,.user-stream-item-actions .fa.d-icon-heart,.user-stream-item-draft-actions .fa.d-icon-heart{color:#fa6c8d}.badge-notification,.badge-group{display:inline-block;font-weight:normal;white-space:nowrap;border-radius:10px}.badge-wrapper{font-size:.8706em;font-weight:bold;white-space:nowrap;position:relative;display:inline-flex;align-items:baseline}.badge-wrapper .badge-category{display:inline-flex;align-items:baseline}.badge-wrapper .badge-category .category-name{text-overflow:ellipsis;overflow:hidden}.badge-wrapper .badge-category .d-icon{margin-right:3px;width:0.74em;height:0.74em;color:inherit}.badge-wrapper.bullet{margin-right:12px}.badge-wrapper.bullet span.badge-category{color:#a6a6a6;overflow:hidden;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper.bullet span.badge-category{color:#ddd}.badge-wrapper.bullet .badge-category-parent-bg,.badge-wrapper.bullet .badge-category-bg{flex:0 0 auto;width:9px;height:9px;margin-right:5px;display:inline-block}.badge-wrapper.bullet .badge-category-parent-bg{width:5px;margin-right:0}.badge-wrapper.bullet .badge-category-parent-bg+.badge-category-bg{width:5px}.badge-wrapper.bullet .d-icon{color:#909090}.badge-wrapper.box{margin-right:5px;padding:2px 4px 2px 4px;display:inline-flex}.badge-wrapper.box span{overflow:hidden;text-overflow:ellipsis}.badge-wrapper.box span.badge-category-bg,.badge-wrapper.box span.badge-category-parent-bg{position:absolute;top:0;right:0;bottom:0;left:0}.badge-wrapper.box span.badge-category-parent-bg{width:calc(100% - 5px)}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg{left:5px;width:calc(100% - 5px)}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg+.badge-category{margin-left:5px}.badge-wrapper.box span.badge-category{position:relative}.badge-wrapper.box+.topic-header-extra{padding:2px 4px 2px 4px}.badge-wrapper.bar{margin-right:5px}.badge-wrapper.bar span.badge-category{color:#a6a6a6;padding:1px 3px;overflow:hidden;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper.bar span.badge-category{color:#ddd}.badge-wrapper.bar .badge-category-parent-bg,.badge-wrapper.bar .badge-category-bg{display:inline-block;padding:0 1px}.badge-wrapper.bar .badge-category-parent-bg:before,.badge-wrapper.bar .badge-category-bg:before{content:"\\a0"}.badge-wrapper.none{color:#a6a6a6;margin-right:5px}.list-controls .category-breadcrumb a.badge-category{display:inline-block;padding:6px 8px;line-height:1.2}.badge-notification{padding:0.21em 0.42em;min-width:0.5em;color:#222;font-size:.7579em;line-height:1;text-align:center;background-color:#bdbdbd}.badge-notification[href]{color:#222}.badge-notification:hover{color:#222}.badge-notification.new-posts,.badge-notification.unread-posts{background-color:#0f82af;color:#222;font-weight:bold}.badge-notification.new-topic{background-color:transparent;color:#0b6283;font-weight:normal;font-size:.8706em}.badge-notification.new-topic::before{content:"●";margin-right:2px}.badge-notification.clicks{font-weight:normal;background-color:#313131;top:-1px;color:#909090;position:relative;border:none}.badge-posts{font-weight:normal;font-size:1em;line-height:1}.badge-posts[href]{color:#919191}.badge-group{padding:2px 5px;color:#ddd;background-color:#313131;border-color:#313131;font-size:.8706em}.user-info{display:inline-block;clear:both;margin-bottom:1em}.user-info .user-image{float:left;padding-right:4px;margin-right:10px}.user-info .user-image-inner{position:relative;display:inline-block}.user-info .user-detail{float:left;width:70%;padding-left:5px}@media screen and (max-width: 600px){.user-info .user-detail{font-size:.8706em}}.user-info .user-detail .name-line{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-info .user-detail .username a{font-weight:bold;color:#bdbdbd}.user-info .user-detail .name{margin-left:5px;color:#bdbdbd}.user-info .user-detail .title{margin-top:3px;color:#919191}.user-info.small{width:333px}@media screen and (max-width: 800px){.user-info.small{width:auto;display:flex}}@media screen and (max-width: 600px){.user-info.small{width:100%}}.user-info.medium{min-height:60px}.user-info.medium .username,.user-info.medium .name{display:block}.user-info.medium .name{margin-left:0}.user-info.medium.badge-info{min-height:80px;min-width:250px}.user-info.medium.badge-info .granted-on{color:#919191}.user-info.medium.badge-info .post-link{display:block;margin-top:0.2em}.user-stream.filter-deleted{grid-column-start:1;grid-column-end:3;grid-row-start:2}.popup-tip{position:absolute;display:block;padding:5px 10px;z-index:600}.popup-tip.bad{background:#a13116;color:white;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}.popup-tip.hide,.popup-tip.good{display:none}.popup-tip .close{float:right;color:#ddd;opacity:0.5;font-size:1em;margin:0 0 0 4px;cursor:pointer}.popup-tip .close:hover{opacity:1}#topic-entrance{border:1px solid #313131;padding:5px;background:#222;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:300;position:absolute;width:133px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}#topic-entrance button.full{width:100%;margin-bottom:5px}#topic-entrance button.full .d-icon{display:block;margin:2px auto;transform:rotate(90deg)}#topic-entrance button.btn.jump-bottom{margin:5px 0 0 0}@media print{.avatar,.topic-avatar,header,.topic-above-post-stream-outlet.topic-above-post-stream,.topic-map,.post-menu-area.clearfix,.post-menu-area.nav-pills,.post-menu-area.container,.post-menu-area.wrap,div#topic-footer-buttons,div.suggested-topics,div#progress-topic-wrapper,#topic-progress-wrapper,div.nums,._flyout,.show-topic-admin,#topic-progress,.quote-controls,.topic-status-info,div.lazyYT,.post-info.edits,.post-action,.saving-text,.draft-text,.discourse-modal,div.read-state,div.read-state.read,.edit-topic,a.reply-to-tab,a.reply-new,div.time-gap,#bottom,#footer,.alert-info,.badge-category,.badge-category-bg,.badge-notification.clicks,.crawler-nav,.powered-by-link{display:none !important}a,a:visited{color:#0088cc !important}div.row{border-top:1px solid #aaa}.cooked pre code{max-height:none}#main-outlet{padding:0 !important}html,body{min-width:0;height:auto}.lightbox-wrapper img{max-width:500px !important;height:auto !important}.topic-body{width:auto;margin:0;padding:0;float:none}.topic-post article.boxed .select-posts{width:auto;left:auto;right:0}.gap{width:auto}#topic-title{margin:0;padding:0}#topic-title div div h1{margin:2.5em 0 0 0;padding:0;float:left;font-weight:normal;font-size:normal}a,a:visited{color:#ddd;font-weight:bold}.topic-category-outlet.show-topic-category-location,div.alert.alert-info.alert-emails-disabled,div.profiler-results.profiler-left.profiler-no-controls{display:none}}section.about{margin-bottom:40px}section.about h3{margin-bottom:15px}section.about table{width:auto}section.about table td{padding:10px}section.about table td.title{width:33%}.body-page{width:100%;max-width:700px}.about-page .body-page{max-width:unset}.about-page .body-page section:not(.admins):not(.moderators):not(.category-moderators){max-width:700px}.about-page .body-page .about.category-moderators .badge-wrapper.bullet .badge-category{color:#ddd}.mobile-view .body-page{font-size:1em;margin-top:20px}.body-page li{margin-bottom:8px}.body-page .nav-pills{margin-bottom:20px}.body-page ul:not(.nav-pills),.body-page ol:not(.nav-pills){margin-left:40px}body.crawler>header{width:100%;position:absolute;top:0;z-index:9999;background-color:#fff;padding:10px;box-shadow:none;border-bottom:1px solid #7a7a7a;box-sizing:border-box}body.crawler div#main-outlet div.post{word-break:break-word}body.crawler div#main-outlet div.post img{max-width:100%;height:auto}body.crawler .raw-topic-link{display:block;font-weight:bold;margin-bottom:0.25em}body.crawler .topic-list{margin-bottom:1em}body.crawler footer{margin-top:3em;border-top:1px solid #7a7a7a}.crawler-topic-title{margin-top:0.5em}.crawler-post{margin-top:1em;margin-bottom:2em;padding-top:1.5em;border-top:1px solid #313131}.crawler-post-meta{margin-bottom:1em}.crawler-post-meta .creator{word-break:break-all}.crawler-post-meta .creator a{font-weight:bold}@media screen and (max-width: 768px){.crawler-post-meta .creator{display:inline-block;margin-bottom:0.25em}}.crawler-post-infos{color:#a6a6a6;display:inline-block}@media screen and (min-width: 768px){.crawler-post-infos{float:right}}.crawler-post-infos [itemprop="position"]{float:left;margin-right:0.5em}#breadcrumbs{margin-bottom:0.5em;font-size:1.1487em}#breadcrumbs>div{margin-bottom:0.15em}#breadcrumbs .badge-category-bg{background-color:#646464}#breadcrumbs .category-title{color:#ddd}.crawler-tags-list span{display:block;margin-bottom:0.15em}.crawler-linkback-list{margin-top:1em}.crawler-linkback-list a{display:block;padding:0.5em 0;border-top:1px solid #313131}.crawler-nav{margin:1em 0}.crawler-nav ul{margin:0;list-style-type:none}.crawler-nav li{display:inline-block}.crawler-nav a{display:inline-block;padding:0.5em 1em 0.5em 0}div.ac-wrap.composer-user-selector-limited{width:400px;padding:0 10px;margin-bottom:5px}div.ac-wrap.composer-user-selector-limited .btn-primary{margin-left:0.5em;padding:3px 6px 2px;font-size:.8706em;min-height:unset}@keyframes ping{from{transform:scale(0.25);opacity:1}to{transform:scale(2);opacity:0}}@keyframes rotate-forever{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}@keyframes background-fade-highlight{0%{background-color:#052e3d}100%{background-color:transparent}}@keyframes placeHolderShimmer{0%{background-position:-1000px 0}100%{background-position:1100px 0}}.placeholder-animation{animation-duration:4s;animation-fill-mode:forwards;animation-iteration-count:infinite;animation-name:placeHolderShimmer;animation-timing-function:linear;background:#282828;background:linear-gradient(to right, #282828 10%, #313131 18%, #282828 33%)}html{height:100%}body{background-attachment:fixed;background-size:cover;min-height:100%}body:before,body:after{content:"";display:table}body:after{clear:both}big{font-size:2em}small{font-size:.7579em}blockquote{border-left:5px solid #313131;background-color:#3c3c3c;clear:both}h1,h2,h3,h4,h5,h6{margin-top:0;margin-bottom:0.5rem}button.ok{background:#1ca551;color:#222}button.ok .d-icon{color:currentColor}.discourse-no-touch button.ok:hover,.discourse-no-touch button.ok.btn-hover{background:#23d166;color:#222}button.cancel{background:#e45735;color:#222}button.cancel .d-icon{color:currentColor}.discourse-no-touch button.cancel:hover,.discourse-no-touch button.cancel.btn-hover{background:#ea7c62;color:#222}a.cancel{margin-left:1.25em;line-height:normal;color:#a6a6a6;transition:color 250ms}a.cancel:hover{color:#e45735}ul.breadcrumb{margin:0 10px 0 10px}a.no-href{cursor:pointer}img.avatar{border-radius:50%}span.relative-date{white-space:nowrap}label{display:flex;margin-bottom:5px;align-items:flex-start}label>.d-icon{align-self:center;margin-right:4px}input[type="radio"],input[type="checkbox"]{margin-top:0.17em;margin-right:0.43em;margin-left:0.1em;line-height:1;cursor:pointer;flex-shrink:0}input[type="submit"],input[type="reset"],input[type="button"],input[type="radio"],input[type="checkbox"]{width:auto}input.invalid{background-color:#631e0d}.radio input[type="radio"],.checkbox input[type="checkbox"]{float:left;margin-left:-18px}input,select,textarea{color:#ddd;caret-color:currentColor}input[class*="span"],select[class*="span"],textarea[class*="span"]{float:none;margin-left:0}input[disabled],input[readonly],select[disabled],select[readonly],textarea[disabled],textarea[readonly]{cursor:not-allowed;background-color:#313131;border-color:#313131}input:focus:required:invalid,select:focus:required:invalid,textarea:focus:required:invalid{color:#e45735;border-color:#e45735}input:focus:required:invalid:focus,select:focus:required:invalid:focus,textarea:focus:required:invalid:focus{border-color:#e45735;box-shadow:0 0 6px 0 #e45735}input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]{-webkit-appearance:none;-moz-appearance:none;appearance:none;display:inline-block;padding:4px 10px;margin-bottom:9px;font-size:1em;line-height:1;color:#ddd;background-color:#222;border:1px solid #909090;border-radius:0;box-sizing:border-box;min-height:30px}input[type="text"]:focus,input[type="password"]:focus,input[type="datetime"]:focus,input[type="datetime-local"]:focus,input[type="date"]:focus,input[type="month"]:focus,input[type="time"]:focus,input[type="week"]:focus,input[type="number"]:focus,input[type="email"]:focus,input[type="url"]:focus,input[type="search"]:focus,input[type="tel"]:focus,input[type="color"]:focus{border-color:#0f82af;box-shadow:0 0 6px 0 #0f82af;outline:0}.input-prepend,.input-append{margin-bottom:5px}.input-prepend input[class*="span"],.input-append input[class*="span"]{display:inline-block}.input-prepend input,.input-prepend select,.input-append input,.input-append select{position:relative;margin-bottom:0;vertical-align:middle;border-radius:0}.input-prepend input:focus,.input-prepend select:focus,.input-append input:focus,.input-append select:focus{z-index:2}.input-prepend .add-on,.input-append .add-on{display:inline-flex;align-items:center;width:auto;padding:0 0.5em;height:28px;background-color:#313131;border:1px solid #909090}.input-prepend .add-on:first-child,.input-prepend .btn:first-child,.input-append .add-on:first-child,.input-append .btn:first-child{margin-right:-1px}.input-prepend .add-on:last-child,.input-prepend .btn:last-child,.input-append .add-on:last-child,.input-append .btn:last-child{margin-left:-1px;border-radius:0 3px 3px 0}.input-prepend .add-on,.input-prepend .btn{margin-right:-1px}textarea{height:auto;background-color:#222;border:1px solid #909090}textarea:focus{border-color:#0f82af;box-shadow:0 0 6px 0 #0f82af;outline:0}select{border:1px solid #313131}table th{font-weight:normal;color:#909090;text-align:left;padding:0.5em}.sortable{white-space:nowrap;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.discourse-no-touch .sortable:hover{background-color:#313131}.sortable .d-icon{margin-left:0.25em}.radio,.checkbox{min-height:18px;padding-left:18px}.controls>.radio:first-child,.controls>.checkbox:first-child{padding-top:5px}.radio.inline,.checkbox.inline{display:inline-block;padding-top:5px;margin-bottom:0;vertical-align:middle}.radio.inline .radio.inline,.checkbox.inline .checkbox.inline{margin-left:10px}.wrap{margin-right:auto;margin-left:auto;padding:0 8px}.wrap .contents{position:relative}.boxed.white{background-color:#222}.full-width{margin-left:12px}.coldmap-high{color:#646464 !important}.coldmap-med{color:#646464 !important}.coldmap-low{color:#919191 !important}.top-space{margin-top:10px}.message{border-radius:8px;background-color:#222;padding:14px}.message h2{margin-bottom:20px}.clear-transitions{transition:none !important}.tip{display:inline-block}.tip.good{color:#1ca551}.tip.bad{color:#e45735}.avatar-wrapper{background-color:#222;display:inline-block;border-radius:50%}.profiler-results.profiler-left{top:60px !important}.flex-center-align{display:flex;align-items:center}.unread-private-messages{color:#222;background:#1ca551}.unread-private-messages.badge-notification[href]{color:#222}.ring-backdrop-spotlight{position:absolute;width:80px;height:80px;top:-18px;right:-18px;background-image:radial-gradient(40px at 50% 50%, transparent 95%, #ddd 100%);opacity:0.85}.ring-backdrop{position:absolute;width:80px;height:80px;top:-18px !important;right:-18px !important;box-shadow:0 0 0 9999px rgba(221,221,221,0.85);z-index:1200}.ring-first-notification{position:absolute;color:#222;text-align:left;right:70px;top:60px;width:230px;line-height:1.2}.ring{background:-webkit-radial-gradient(transparent, #090);background:-o-radial-gradient(transparent, #090);background:-moz-radial-gradient(transparent, #090);background:radial-gradient(transparent, #090);top:-11px !important;right:23.5px !important;border-radius:100%;width:20px;height:20px;-moz-animation-iteration-count:infinite;-webkit-animation-iteration-count:infinite;-webkit-transform-origin:center;-moz-animation-duration:3s;-webkit-animation-duration:3s;-moz-animation-name:ping;-webkit-animation-name:ping}.fade{opacity:0;transition:opacity 0.15s linear}.fade.in{opacity:1}.inline-spinner{display:inline-block;margin:0}.spinner{margin:20px auto 20px auto;position:relative;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;height:30px;width:30px;border:4px solid #9e9e9e;border-right-color:transparent;border-radius:50%}.spinner.small{width:10px;height:10px;margin:0;display:inline-block}.content-list h3{color:#909090;font-size:1.1487em;padding-left:5px;margin-bottom:10px}.content-list ul{list-style:none;margin:0}.content-list ul li{border-bottom:1px solid #313131}.content-list ul li:first-of-type{border-top:1px solid #313131}.content-list ul li a{display:block;padding:10px;color:#ddd}.content-list ul li a:hover{background-color:#313131;color:#ddd}.content-list ul li a.active{font-weight:bold;color:#ddd}.form-vertical input,.form-vertical textarea,.form-vertical select,.form-vertical .input-prepend,.form-vertical .input-append{display:inline-block;margin-bottom:0;flex:0 0 auto}.form-vertical .control-group:before,.form-vertical .control-group:after{content:"";display:table}.form-vertical .control-group:after{clear:both}.form-vertical .control-label{font-weight:bold;font-size:1.3195em;line-height:1.4}.form-vertical .controls{margin-left:0}#main img.avatar.header{width:45px;height:45px}#main img.avatar.medium{width:32px;height:32px}#main img.avatar.small{width:25px;height:25px}#main img.avatar.tiny{width:20px;height:20px}#main .user-list .user{padding-bottom:5px}#loading-message{position:absolute;font-size:2em;text-align:center;top:120px;left:500px;color:#ddd}#footer .container{height:50px}#footer .container .contents{padding-top:10px}#footer .container .contents a[href]{color:#222}.inline{display:inline}.pref-auth-tokens .row{border-bottom:1px solid #ddd;margin:5px 0px;padding-bottom:5px}.pref-auth-tokens .row:last-child{border-bottom:0}.pref-auth-tokens .auth-token-icon{color:#909090;font-size:2.25em;float:left;margin-right:10px}.pref-auth-tokens .auth-token-first{font-size:1.1em}.pref-auth-tokens .auth-token-first .auth-token-device{font-weight:bold}.pref-auth-tokens .auth-token-second{color:#909090}.pref-auth-tokens .auth-token-second .active{color:#1ca551;font-weight:bold}.pref-auth-tokens .auth-token-dropdown{float:right}.pref-auth-tokens .auth-token-dropdown .btn,.pref-auth-tokens .auth-token-dropdown .btn:hover{background:transparent}.pref-auth-tokens .auth-token-dropdown .btn .d-icon,.pref-auth-tokens .auth-token-dropdown .btn:hover .d-icon{color:#a6a6a6}.pref-auth-tokens .dropdown-menu{width:120px}.pref-auth-tokens .dropdown-menu .icon{margin-top:auto}.topic-statuses{display:inline;float:left;margin-right:0.15em}.topic-statuses .topic-status{margin:0;display:inline-flex;color:#909090}.topic-statuses .topic-status .d-icon{height:0.76em;width:0.75em}.topic-statuses .topic-status:not(:last-child){margin-right:0.15em}.topic-statuses .d-icon-envelope{color:#e45735}.broken-theme-alert{font-size:15px;font-weight:bold;padding:5px 0;background:#a13116;text-align:center;z-index:9999;color:#222}.error-page{text-align:center;padding-top:2em}.error-page .face{font-size:4.286em}.error-page .reason{font-size:1.7511em}.error-page .url{font-style:italic;font-size:.8706em}.error-page .desc{margin-top:16px}.error-page .desc .d-icon-check-circle{color:#1ca551}.error-page .buttons{display:inline-flex;margin-top:15px}.error-page .buttons button{margin:0 20px}.category-list{table-layout:fixed}.category-list .category-text-title{display:flex;align-items:baseline}.category-list .category-name{display:inline-block;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:text-top;line-height:1.2}.category-boxes,.category-boxes-with-topics{display:flex;flex-wrap:wrap;justify-content:flex-start;margin-top:1em;margin-bottom:1em;width:100%}.category-boxes .category-box,.category-boxes-with-topics .category-box{display:flex;flex-direction:row;align-content:flex-start;cursor:pointer;box-sizing:border-box;border-width:0;border-left-width:6px;border-style:solid;border-color:#313131}.mobile-view .category-boxes .category-box,.mobile-view .category-boxes-with-topics .category-box{width:100%}.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{display:block;width:auto;height:40px;margin:0 auto 1em auto}@supports (--custom: property){.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{--height: 40px;width:calc(var(--height) * var(--aspect-ratio));max-width:100%}}.category-boxes .category-box-inner,.category-boxes-with-topics .category-box-inner{box-sizing:border-box;width:100%;padding:0;display:flex;flex-direction:column;border-width:2px;border-left-width:0;border-style:solid;border-color:#313131}.category-boxes.no-logos .logo,.category-boxes-with-topics.no-logos .logo{display:none}.category-boxes .category-box{width:23%;margin:0 1% 1.5em 1%}.category-boxes .category-box>a{width:100%;padding:0}.category-boxes .category-box .category-box-inner{padding:1em}.category-boxes .category-box .category-box-inner .category-logo{float:none;margin:0}.category-boxes.no-logos .category-box .category-box-inner>a{padding:3em 1em}.category-boxes .description{padding-bottom:1em;text-align:center;font-size:1em;color:#646464}.category-boxes .description .overflow{max-height:6em}.category-boxes h3{font-size:1.3195em;margin-bottom:0.5em;margin-top:0.25em;line-height:1.2;text-align:center;color:#ddd;overflow:hidden}.category-boxes .subcategories{display:flex;flex-flow:wrap}.category-boxes .subcategories .subcategory{display:flex;align-items:center;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;margin-right:1em;margin-bottom:0.6em}.category-boxes .subcategories .subcategory .subcategory-image-placeholder{display:inline-block;margin-right:0.6em}.category-boxes .subcategories .subcategory .subcategory-link{min-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.category-boxes .subcategories .subcategory .logo img{display:inline-block;height:20px;width:20px;margin:0}.category-boxes-with-topics .category-box{width:31%;margin:0 1% 1.5em 1%;padding:0}.category-boxes-with-topics h3{font-size:1.3195em;text-align:center;overflow:hidden}.category-boxes-with-topics .category-box-heading{padding:1em 1em 0.5em 1em}.category-boxes-with-topics .category-box-heading a[href]{width:100%;color:#ddd}.category-boxes-with-topics .featured-topics{padding:0.5em 1em 1em 1em}.category-boxes-with-topics .featured-topics ul{color:#909090;list-style:none;padding:0;margin:0}.category-boxes-with-topics .featured-topics li{padding:4px 0;display:flex;align-items:baseline}.category-boxes-with-topics .featured-topics li .overflow{max-height:3em;overflow:hidden}.category-boxes-with-topics .featured-topics li .d-icon{margin-right:0.15em;width:0.76em;height:0.76em}.categories-list .category h3 .d-icon{color:#909090;height:0.76em;width:0.76em;vertical-align:baseline;margin-right:0.15em}.category-boxes-with-topics .category-box h3 .d-icon,.category-boxes .category-box h3 .d-icon{margin-right:0}#share-link{position:absolute;left:20px;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-color:#222;padding:8px 8px 4px 8px;width:300px;display:none}#share-link.visible{display:block}#share-link input[type="text"]{width:100%}#share-link .share-for-touch .overflow-ellipsis{clear:both}#share-link .share-for-touch{margin:14px 0}#share-link .title{margin-bottom:4px;align-items:center;display:flex;justify-content:space-between}#share-link .title h3{font-size:1em;margin:0}#share-link .title .date{font-weight:normal;color:#919191}#share-link .copy-text{display:inline-block;position:absolute;margin:5px 5px 5px 15px;color:#1ca551;opacity:1;transition:opacity 0.25s;font-size:1em}#share-link .copy-text:not(.success){opacity:0}#share-link .social-link{margin-right:8px;font-size:1.7511em}#share-link .social-link .d-icon{color:#fff}#share-link .social-link .d-icon-fab-facebook{color:#fff}#share-link .social-link .d-icon-fab-twitter-square{color:#fff}#share-link input[type="text"]{font-size:1.1487em;margin-bottom:0}#share-link .actions{display:flex;align-items:flex-end;margin-top:8px}#share-link .actions .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;max-width:45%}#share-link .actions .sources .social-link{margin-right:8px}#share-link .actions .alt-actions{display:flex;align-items:center;flex:1;justify-content:flex-end;height:36px}#share-link .actions .alt-actions .close-share{font-size:1.5157em;color:#919191}#share-link .actions .alt-actions .new-topic{margin-right:16px}.discourse-no-touch #share-link .share-for-touch{display:none}.discourse-touch #share-link input[type="text"]{display:none}.ember-select{background-color:#222;color:#ddd}.uploaded-image-preview{background:#ddd center;background-size:cover;position:relative}.uploaded-image-preview .placeholder-overlay{background-size:contain;background-repeat:no-repeat;background-position:center;position:absolute;top:0;left:0;width:100%;height:100%;opacity:0.3}.uploaded-image-preview .image-upload-controls{position:relative;display:flex;padding:10px}.uploaded-image-preview .image-upload-controls .btn{margin-right:5px;padding:7px 10px}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn{background:none;margin-right:0;margin-left:auto}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn .d-icon{color:#313131}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover{background:none}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover .d-icon{color:#ddd}.image-uploader.no-repeat .uploaded-image-preview{background-repeat:no-repeat}.image-uploader.contain-image .uploaded-image-preview{background-size:contain}.hidden-upload-field{visibility:hidden;position:absolute}.search-container{display:flex;justify-content:space-between}.search-container .warning{background-color:#a13116;padding:5px 8px;color:#222}.search-container .search-bar{display:flex;justify-content:space-between;align-items:center;justify-content:space-between;margin-bottom:1em}.search-container .search-bar .search-query{flex:1 0 0px;margin:0 0.5em 0 0}.search-container .search-bar .search-cta{padding-bottom:6.5px;padding-top:6.5px}.search-container .search-advanced{width:70%}@media screen and (max-width: 850px){.search-container .search-advanced{width:65%}}.search-container .search-advanced .search-actions,.search-container .search-advanced .search-notice,.search-container .search-advanced .search-results,.search-container .search-advanced .search-title,.search-container .search-advanced .search-bar{margin-bottom:1em}.search-container .search-advanced .search-info{display:flex;flex-wrap:wrap;border-bottom:3px solid #313131;padding-bottom:0.5em;margin-bottom:1em;flex-direction:row;align-items:center}.search-container .search-advanced .search-info .result-count{display:flex}.search-container .search-advanced .search-info .result-count .term{font-weight:bold}.search-container .search-advanced .search-info .result-count span+span{margin-left:0.25em}.search-container .search-advanced .search-info .sort-by{display:flex;margin-left:auto;align-items:center}.search-container .search-advanced .search-info .sort-by .desc{margin-right:0.5em}.search-container .search-advanced .search-info .sort-by .combo-box{min-width:150px}.search-container .search-advanced .search-title{display:flex;justify-content:flex-start;align-items:center}.search-container .search-advanced .search-title .bulk-select{margin-left:0.5em}.search-container .search-advanced .search-title .fps-select a{margin-left:0.5em;font-size:.8706em}.search-container .search-advanced .search-title .fps-select a:hover{text-decoration:underline}.search-container .search-advanced .search-notice .fps-invalid{padding:0.5em;background-color:#591b0c;border:1px solid #a13116;color:#e45735}.search-container .search-advanced-sidebar{width:30%;margin-left:1em;display:flex;flex-direction:column}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar{width:35%}}.search-container .search-advanced-sidebar #search-min-post-count,.search-container .search-advanced-sidebar .date-picker,.search-container .search-advanced-sidebar .combo-box,.search-container .search-advanced-sidebar .ac-wrap,.search-container .search-advanced-sidebar .control-group,.search-container .search-advanced-sidebar .date-picker-wrapper,.search-container .search-advanced-sidebar .search-advanced-category-chooser{box-sizing:border-box;width:100%;min-width:100%}.search-container .search-advanced-sidebar #search-min-post-count input,.search-container .search-advanced-sidebar #search-min-post-count .item,.search-container .search-advanced-sidebar .date-picker input,.search-container .search-advanced-sidebar .date-picker .item,.search-container .search-advanced-sidebar .combo-box input,.search-container .search-advanced-sidebar .combo-box .item,.search-container .search-advanced-sidebar .ac-wrap input,.search-container .search-advanced-sidebar .ac-wrap .item,.search-container .search-advanced-sidebar .control-group input,.search-container .search-advanced-sidebar .control-group .item,.search-container .search-advanced-sidebar .date-picker-wrapper input,.search-container .search-advanced-sidebar .date-picker-wrapper .item,.search-container .search-advanced-sidebar .search-advanced-category-chooser input,.search-container .search-advanced-sidebar .search-advanced-category-chooser .item{padding-left:4px}.search-container .search-advanced-sidebar .date-picker-wrapper{margin-top:0.5em}.search-container .search-advanced-sidebar .date-picker{box-sizing:border-box;text-align:left;padding:4px;margin-bottom:0}.search-container .search-advanced-sidebar .search-advanced-title{background:#313131;padding:0.358em 1em;font-weight:700;text-align:left;font-weight:bold}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar .search-advanced-title{padding:0.358em 0.5em}}.search-container .search-advanced-sidebar .search-advanced-title.btn{background:#313131}.search-container .search-advanced-sidebar .search-advanced-title .d-icon{margin:0}.search-container .search-advanced-sidebar .search-advanced-filters{background:#282828;padding:1em}.search-container .search-advanced-sidebar .search-advanced-filters .control-group{margin-bottom:15px}.search-container .search-advanced-sidebar .search-advanced-filters section.field{margin-top:5px}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar .search-advanced-filters{padding:0.75em 0.5em}.search-container .search-advanced-sidebar .search-advanced-filters .ac-wrap,.search-container .search-advanced-sidebar .search-advanced-filters .choices,.search-container .search-advanced-sidebar .search-advanced-filters .select-kit.multi-select{width:100% !important}.search-container .search-advanced-sidebar .search-advanced-filters .select-kit{min-width:unset}}.fps-invalid{margin-bottom:1em}.fps-result{display:flex;margin-bottom:28px;max-width:780px}.fps-result .author{display:inline-block;vertical-align:top}.fps-result .like-count{color:#919191}.fps-result .like-count .fa{color:#fa6c8d;font-size:.8706em}.fps-result .badge-wrapper span.badge-category{max-width:inherit}.fps-result .search-category{padding-top:3px}.fps-result .topic{padding-bottom:2px;max-width:700px}.fps-result .avatar{margin-right:14px}.fps-result a.search-link:visited .topic-title{color:#0b6283}.fps-result .search-link .topic-title{font-size:1.3195em;line-height:1.2}.fps-result .search-link .topic-statuses{display:inline-block;font-size:1.3em;line-height:1.2;color:#909090}.fps-result .search-link .topic-statuses span{line-height:1}.fps-result .blurb{font-size:1em;line-height:1.4;word-wrap:break-word;max-width:640px;color:#919191}.fps-result .blurb .date{color:#646464}.fps-result .blurb .search-highlight{color:#bdbdbd}.fps-result .discourse-tag{font-size:.8706em}.fps-topic{display:inline-block}.no-results-suggestion{margin-top:30px}.search-footer{margin-bottom:30px}.panel-body-contents .search-context label{float:left}.google-search-form{margin-top:2em}a.loading-onebox:before{content:"";display:inline-flex;float:left;margin:3px 5px 0 0;position:relative;height:10px;width:10px;border:2px solid #7a7a7a;border-right-color:transparent;border-radius:50%;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear}.onebox-result{border-left:5px solid #313131;background-color:#3c3c3c;margin-top:15px;padding:12px;font-size:1em}.onebox-result>.source{margin-bottom:12px;margin-right:10px;display:block;color:#ddd;position:relative;height:20px}.onebox-result>.source .info{position:absolute;font-size:1em}.onebox-result>.source .info a{color:black;text-decoration:none;padding-right:10px}.onebox-result>.source .info img.favicon{margin-right:3px}.onebox-result .onebox-result-body{padding-top:5px}.onebox-result .onebox-result-body img{max-height:80%;max-width:25%;height:auto;float:left;margin-right:10px}.onebox-result .onebox-result-body h3,.onebox-result .onebox-result-body h4{margin:0}.onebox-result .onebox-result-body code{max-height:400px}.onebox-result .onebox-result-body .metrics{clear:both;padding-bottom:25px}.onebox-result .onebox-result-body .metrics .metric{display:inline-block;padding-left:33px;float:left}.onebox-result .onebox-result-body img.verdict{float:none;margin-right:7px}.onebox-result .onebox-result-body img.popcorn{float:none;margin-left:20px;margin-right:5px}aside.onebox{border:5px solid #313131;margin-bottom:1em;padding:12px 25px 12px 12px;font-size:1em}aside.onebox header{margin-bottom:8px}aside.onebox header a[href]{color:#919191;text-decoration:none}aside.onebox.stackexchange .source{background:url('/images/favicons/stackexchange.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.twitterstatus .source{background:url('/images/favicons/twitter.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.wikipedia .source{background:url('/images/favicons/wikipedia.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubblob .source{background:url('/images/favicons/github.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubcommit .source{background:url('/images/favicons/github.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubpullrequest .source{background:url('/images/favicons/github.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubissue .source{background:url('/images/favicons/github.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubgist .source{background:url('/images/favicons/github.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.amazon .source{background:url('/images/favicons/amazon.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.instagram .source{background:url('/images/favicons/instagram.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.googledocs .source{background:url('/images/favicons/google_branding/logo_drive_48px.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.googledrive .source{background:url('/images/favicons/google_branding/logo_drive_48px.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox .onebox-body{clear:both}aside.onebox .onebox-body h3,aside.onebox .onebox-body h4{font-size:1.1487em;margin:0 0 10px 0}aside.onebox .onebox-body a[href]{color:#0f82af;text-decoration:none}aside.onebox .onebox-body a[href]:visited{color:#0f82af}aside.onebox .onebox-body img{max-height:170px;max-width:20%;height:auto;width:auto;float:left;margin-right:10px}@media all and (max-width: 600px){aside.onebox .onebox-body img{max-width:35%}}aside.onebox .onebox-body img.onebox-full-image{max-height:none;max-width:none;width:initial;height:initial}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{width:100%}aside.onebox .onebox-body [style*="--aspect-ratio"]>img{height:auto}@supports (--custom: property){aside.onebox .onebox-body .aspect-image{max-height:170px;--magic-ratio: calc(var(--aspect-ratio) + 0.15);width:calc(128px * var(--magic-ratio));max-width:20%;float:left;margin-right:10px;height:auto}aside.onebox .onebox-body .aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;margin-right:none}aside.onebox .onebox-body .aspect-image-full-size{max-height:500px;width:calc(500px * var(--aspect-ratio));max-width:100%}aside.onebox .onebox-body .aspect-image-full-size img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;padding:5px 5px 5px 5px}aside.onebox .onebox-body [style*="--aspect-ratio"]{position:relative}aside.onebox .onebox-body [style*="--aspect-ratio"]::before{content:"";display:block;padding-bottom:calc(100% / (var(--aspect-ratio)))}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{position:absolute;top:0;left:0;height:100%}}aside.onebox .onebox-body p:last-child{margin-bottom:4px}aside.onebox .onebox-body .tweet-images{display:block;clear:both}aside.onebox .onebox-body .tweet-images img.tweet-image{margin-top:1em;max-width:100%;max-height:100%;float:none}@media screen and (max-width: 550px){aside.onebox .onebox-body .tweet-images iframe{max-height:70vh}}aside.onebox .onebox-body.user-onebox .fa{margin-right:5px}aside.onebox .onebox-body.user-onebox .full-name,aside.onebox .onebox-body.user-onebox .location{margin-right:10px}aside.onebox .onebox-body .instagram-images,aside.onebox .onebox-body .scale-images{clear:both;position:relative}aside.onebox .onebox-body .instagram-images .instagram-image,aside.onebox .onebox-body .instagram-images .scale-image,aside.onebox .onebox-body .scale-images .instagram-image,aside.onebox .onebox-body .scale-images .scale-image{padding:5px 5px 5px 5px;max-width:100%;max-height:100%;float:none}aside.onebox .onebox-body .instagram-video-icon{bottom:10px;right:10px;position:absolute}aside.onebox .onebox-body .instagram-video-icon:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32px' height='32px' viewBox='0 0 512 512' fill='white'%3E%3Cpath d='M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z'%3E%3C/path%3E%3C/svg%3E")}.googledocs-onebox-logo{width:60px;height:50px;float:left}.googledocs-onebox-logo.g-docs-logo{background:url('/images/favicons/google_branding/logo_docs_48px.png') no-repeat}.googledocs-onebox-logo.g-forms-logo{background:url('/images/favicons/google_branding/logo_forms_48px.png') no-repeat}.googledocs-onebox-logo.g-sheets-logo{background:url('/images/favicons/google_branding/logo_sheets_48px.png') no-repeat}.googledocs-onebox-logo.g-slides-logo{background:url('/images/favicons/google_branding/logo_slides_48px.png') no-repeat}.googledocs-onebox-logo.g-calendar-logo{background:url('/images/favicons/google_branding/logo_calendar_48px.png') no-repeat}.googledocs-onebox-logo.g-drive-logo{background:url('/images/favicons/google_branding/logo_drive_48px.png') no-repeat}.gdocs-onebox-splash{background-color:#7c7c7c;color:#ddd;border:1px inset #ddd}.gdocs-onebox-splash .gdocs-onebox-logo{display:inline-block;width:128px;height:128px}.gdocs-onebox-splash .gdocs-onebox-logo.g-calendar-logo{background:url('/images/favicons/google_branding/logo_calendar_128px.png') no-repeat}aside.onebox .onebox-body .onebox-avatar{max-height:none;max-width:none;height:60px;width:60px}blockquote aside.onebox{border-left:5px solid #313131;background-color:#3c3c3c}pre.onebox code ol.lines li:before{position:absolute;display:inline-block;width:35px;left:-40px;color:#afafaf;text-align:right;padding-right:5px;font-size:.8706em;line-height:1.4;content:counter(li-counter);counter-increment:li-counter}pre.onebox code ol{margin-left:0;line-height:1.4}pre.onebox code{background-color:#000}pre.onebox code li{padding-left:5px}pre.onebox code ol.lines{position:relative;margin:0 0 0 40px}pre.onebox code ol.lines li{list-style-type:none;padding-left:5px;margin-left:0;border-left:1px solid #cfcfcf;min-height:1.5em;white-space:pre}pre.onebox code li.selected{background-color:#541}pre.onebox code{white-space:normal}.onebox.githubpullrequest .onebox-body h4,.onebox.githubcommit .onebox-body h4,.onebox.githubissue .onebox-body h4{margin-bottom:5px}.onebox.githubpullrequest .onebox-body>.github-icon,.onebox.githubcommit .onebox-body>.github-icon,.onebox.githubissue .onebox-body>.github-icon{float:left;margin-right:5px}.onebox.githubpullrequest .github-row,.onebox.githubcommit .github-row,.onebox.githubissue .github-row{display:flex}.onebox.githubpullrequest .github-icon-container,.onebox.githubcommit .github-icon-container,.onebox.githubissue .github-icon-container{display:flex;align-items:flex-start;margin-right:5px}.onebox.githubpullrequest .github-icon,.onebox.githubcommit .github-icon,.onebox.githubissue .github-icon{fill:#a6a6a6;width:40px;height:40px}.onebox.githubpullrequest .branches,.onebox.githubcommit .branches,.onebox.githubissue .branches{font-size:.8706em}.onebox.githubpullrequest .branches code,.onebox.githubcommit .branches code,.onebox.githubissue .branches code{word-break:break-all}.onebox.githubpullrequest .github-info-container,.onebox.githubcommit .github-info-container,.onebox.githubissue .github-info-container{width:100%}.onebox.githubpullrequest .github-info,.onebox.githubcommit .github-info,.onebox.githubissue .github-info{display:flex;align-items:center;flex-wrap:wrap;width:100%}.onebox.githubpullrequest .github-info>div,.onebox.githubcommit .github-info>div,.onebox.githubissue .github-info>div{margin:2.5px 0}.onebox.githubpullrequest .github-info>div:not(:last-child),.onebox.githubcommit .github-info>div:not(:last-child),.onebox.githubissue .github-info>div:not(:last-child){margin-right:15px}.onebox.githubpullrequest .github-info .lines,.onebox.githubcommit .github-info .lines,.onebox.githubissue .github-info .lines{font-weight:bold}.onebox.githubpullrequest .github-info .lines .added,.onebox.githubcommit .github-info .lines .added,.onebox.githubissue .github-info .lines .added{color:#1ca551}.onebox.githubpullrequest .github-info .lines .removed,.onebox.githubcommit .github-info .lines .removed,.onebox.githubissue .github-info .lines .removed{color:#e45735}.onebox.githubpullrequest .onebox-avatar-inline,.onebox.githubcommit .onebox-avatar-inline,.onebox.githubissue .onebox-avatar-inline{height:20px;width:20px;border-radius:2px;float:none;margin:0;padding:0;vertical-align:middle;max-width:none}.onebox.githubpullrequest .github-content,.onebox.githubcommit .github-content,.onebox.githubissue .github-content{margin:5px 0 0 0}.onebox.githubpullrequest .labels span,.onebox.githubcommit .labels span,.onebox.githubissue .labels span{background-color:#909090 !important;color:#222 !important;padding:2px 4px !important}.onebox-body .github-commit-status{background:#f5f5f5;border-radius:5px;margin:0 0 5px 100px;padding:10px}.onebox-body .status_tag{display:inline-block;color:#fff;padding:1px 4px;border-radius:3px;font-weight:bold;margin-bottom:5px;text-transform:capitalize}.onebox-body .build_status{padding:2px;font-size:.8706em}.onebox-body .status_tag.open{background-color:#6cc644}.onebox-body .status_tag.merged{background-color:#6e5494}.onebox-body .status_tag.closed{background-color:#bd2c00}.onebox-body .github-content-right{margin-left:100px}aside.onebox.twitterstatus .onebox-body h4{margin-bottom:0}.onebox.twitterstatus .thumbnail{width:48px;height:48px}.onebox.twitterstatus p,.onebox.twitterstatus .tweet{white-space:pre-line;padding-top:3px;margin-left:70px}.onebox.twitterstatus p .quoted,.onebox.twitterstatus .tweet .quoted{border:1px solid #313131;padding:0px 14px 0px 12px;white-space:normal;margin-top:15px}.onebox.twitterstatus p .quoted .quoted-link,.onebox.twitterstatus .tweet .quoted .quoted-link{color:inherit}.onebox.twitterstatus p .quoted .quoted-title,.onebox.twitterstatus .tweet .quoted .quoted-title{font-weight:bold;margin:5px 2px}.onebox.twitterstatus p .quoted .quoted-title span,.onebox.twitterstatus .tweet .quoted .quoted-title span{font-weight:lighter;color:#909090}.onebox.twitterstatus p .quoted div,.onebox.twitterstatus .tweet .quoted div{margin-bottom:5px}.onebox.twitterstatus .date{clear:left}.onebox.imgur-album .outer-box,.onebox.google-photos-album .outer-box,.onebox.flickr-album .outer-box{position:absolute;z-index:1;font-size:.8706em;color:#fff;background-color:rgba(0,0,0,0.6);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:690px;padding:5px 0}.onebox.imgur-album .outer-box .inner-box,.onebox.google-photos-album .outer-box .inner-box,.onebox.flickr-album .outer-box .inner-box{padding-left:10px;padding-right:10px;overflow:hidden;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.onebox.imgur-album .outer-box .inner-box .album-title,.onebox.google-photos-album .outer-box .inner-box .album-title,.onebox.flickr-album .outer-box .inner-box .album-title{width:100%;font-size:1.1487em;line-height:1.4;color:#ccc;text-decoration:none}aside.onebox.stackexchange .onebox-body img:not(.onebox-avatar){max-height:60%;max-width:10%}aside.onebox.stackexchange .onebox-body .tags{color:gray}.onebox-metadata{color:#919191}.onebox.xkcd .onebox-body img{max-width:100% !important;float:none !important}.onebox.pdf .onebox-body .pdf-onebox-logo{width:60px;height:50px;float:left;background:url('/images/favicons/pdf_64px.png') no-repeat;background-size:48px 48px;display:inline-block}.onebox.pdf .onebox-body .filesize{color:gray}.onebox.whitelistedgeneric .label1,.onebox.whitelistedgeneric .label2{color:#919191}.onebox.whitelistedgeneric .label1{float:left}.onebox.whitelistedgeneric .label2{float:right}.onebox.whitelistedgeneric .site-icon,.onebox.gfycat .site-icon{width:16px;height:16px;margin-right:3px}.onebox.gfycat p span.label1 a{white-space:nowrap}.onebox.instagram div.instagram-description{color:#919191;padding-top:10px}.onebox.githubcommit pre.message{padding:0}.onebox.twitterstatus .like,.onebox.twitterstatus .retweet{color:#919191;padding-left:10px}.onebox.twitterstatus .like svg,.onebox.twitterstatus .retweet svg{fill:currentColor;vertical-align:middle}.mobile-view article.onebox-body{border-top:none}.onebox.video-onebox{position:relative;padding:0 0 56.25% 0;width:100%}.onebox.video-onebox video{position:absolute;width:100%;height:100%}.onebox-placeholder-container{position:relative;width:100%;padding:0 0 48.25% 0;background-color:#313131}.onebox-placeholder-container .placeholder-icon{position:absolute;width:100%;height:100%;display:flex;justify-content:center;align-items:center}.onebox-placeholder-container .placeholder-icon.video:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512'%3E%3Cpath fill='grey' d='M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z'%3E%3C/path%3E%3C/svg%3E")}.onebox-placeholder-container .placeholder-icon.audio:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath fill='currentColor' d='M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z'%3E%3C/path%3E%3C/svg%3E")}.onebox-placeholder-container .placeholder-icon.generic:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath fill='currentColor' d='M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z'%3E%3C/path%3E%3C/svg%3E")}.d-header{display:flex;align-items:center;width:100%;position:absolute;top:0;z-index:1000;background-color:#111;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25)}.d-header>.wrap{width:calc(100% - 16px);height:100%}.d-header>.wrap .contents{display:flex;align-items:center;height:100%}.d-header>.wrap .contents .header-row{width:100%}.d-header>.wrap .contents .header-row .logo-wrapper{float:left}.d-header>.wrap .contents .header-row .auth-buttons{float:right;margin-top:0.4em}.d-header>.wrap .contents .header-row .auth-buttons .login-button,.d-header>.wrap .contents .header-row .auth-buttons .signup-button{padding:8px 14px}.docked .d-header{position:fixed;backface-visibility:hidden}.d-header .title{display:flex;align-items:center;height:100%}.d-header .title a,.d-header .title a:visited{color:#ddd}.d-header #site-logo{width:auto}.d-header .d-icon-home{font-size:2.296em}.d-header .panel{position:relative;display:flex;flex:0 0 auto;margin-left:auto;align-items:center}.d-header .hamburger-panel,.d-header .user-menu,.d-header .search-menu{width:0}.d-header .header-buttons{display:flex;align-items:center;margin-top:0.2em}.d-header .login-button,.d-header button.sign-up-button{padding:6px 10px}.d-header .login-button .fa,.d-header button.sign-up-button .fa{margin-right:3px}.d-header button.login-button{margin-left:7px}.header-dropdown-toggle .flagged-posts,.header-dropdown-toggle .reviewables,.drop-down .flagged-posts,.drop-down .reviewables,.panel-body .flagged-posts,.panel-body .reviewables{background:#e45735;min-width:6px}.d-header-icons{text-align:center;margin:0 0 0 5px;list-style:none}.d-header-icons>li{float:left}.d-header-icons .icon{position:relative;display:flex;align-items:center;justify-content:center;width:2.2857em;height:2.2857em;padding:0.2143em;text-decoration:none;cursor:pointer;border-top:1px solid transparent;border-left:1px solid transparent;border-right:1px solid transparent;transition:all linear 0.15s;outline:none}.d-header-icons .icon img.avatar{width:2.1333em;height:2.1333em}.d-header-icons .icon:hover,.d-header-icons .icon:focus{background-color:#313131;border-top:1px solid transparent;border-left:1px solid transparent;border-right:1px solid transparent}.d-header-icons .icon:hover .d-icon,.d-header-icons .icon:focus .d-icon{color:#909090}.d-header-icons .icon:active{color:#ddd;background-color:#313131}.drop-down-mode .d-header-icons .active .icon{position:relative;background-color:#222;cursor:default;border-top:1px solid #313131;border-left:1px solid #313131;border-right:1px solid #313131}.drop-down-mode .d-header-icons .active .icon .d-icon{color:#909090}.drop-down-mode .d-header-icons .active .icon:after{display:block;position:absolute;top:100%;left:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #222}.drop-down-mode .d-header-icons .active .icon:hover{border-bottom:none}.d-header-icons .d-icon{width:100%;font-size:1.7511em;line-height:1.4;display:inline-block;color:#7a7a7a}.d-header-icons .notifications{position:relative}.d-header-icons .ring{position:absolute;top:-9px;z-index:1;margin-left:0}.d-header-icons .header-dropdown-toggle{position:relative}.d-header-icons .badge-notification{position:absolute;z-index:1;left:0;top:-4px;min-width:0.6em}.d-header-icons .unread-notifications{left:auto;right:-3px;background-color:#0f82af}.d-header-icons .unread-private-messages,.d-header-icons .ring{left:auto;right:25px}.highlight-strong{background-color:#4c3319}.search-highlight{font-weight:bold}#search-help table td{padding-right:10px}#search-term::-ms-clear{display:none}.extra-info-wrapper{display:flex;align-items:center;flex:1 1 0%;height:100%;line-height:1.2;padding:0 1.5em 0 0.5em;overflow:hidden}.extra-info-wrapper .extra-info{overflow:hidden;width:100%;-webkit-animation:fadein 0.5s;animation:fadein 0.5s}.extra-info-wrapper .topic-link{color:#ddd;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .topic-statuses .d-icon{color:#909090}.extra-info-wrapper .topic-statuses .d-icon-envelope{color:#e45735}.extra-info-wrapper .header-title{margin:0 0 0.15em 0;font-size:1.5157em;width:100%}.archetype-private_message .extra-info-wrapper .header-title{margin:0}.extra-info-wrapper .categories-wrapper{display:inline-flex;align-items:center;max-width:80%;flex:0 1 auto;min-width:1px}.extra-info-wrapper .categories-wrapper .badge-wrapper{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper{margin-right:8px}.extra-info-wrapper .badge-wrapper.bullet .badge-category-parent-bg,.extra-info-wrapper .badge-wrapper.bullet .badge-category-bg{min-width:5px}.extra-info-wrapper .badge-wrapper.bullet span.badge-category,.extra-info-wrapper .badge-wrapper.bar span.badge-category,.extra-info-wrapper .badge-wrapper.none span.badge-category{color:#a6a6a6}.extra-info-wrapper .topic-header-extra{display:inline-flex;align-items:center;max-width:100%;flex:1 0 0%}.extra-info-wrapper .topic-header-extra .discourse-tags{color:#a6a6a6;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .topic-header-extra .discourse-tags .discourse-tag{display:inline}.extra-info-wrapper .topic-header-extra{min-width:1px}.topic-header-participants{display:flex;align-items:center;overflow:hidden;font-size:.8706em}.topic-header-participants:not(:first-child){margin-left:5px}.topic-header-participants .trigger-user-card:not(:last-of-type),.topic-header-participants .trigger-group-card:not(:last-of-type){margin-right:5px}.topic-header-participants .trigger-user-card .icon{height:1.641em;display:inline-block}.mobile-view .topic-header-participants .trigger-user-card .icon{height:1.532em}.topic-header-participants .trigger-user-card .icon img{height:100%;width:auto}.topic-header-participants .trigger-group-card{padding:0 5px;border:1px solid #313131;border-radius:0.25em;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.topic-header-participants .trigger-group-card .icon{display:flex;align-items:center;height:1.641em;color:#a6a6a6}.mobile-view .topic-header-participants .trigger-group-card .icon{height:1.532em}.topic-header-participants .trigger-group-card .icon .d-icon{margin-right:5px}.topic-header-participants .trigger-group-card span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.topic-header-participants .more-participants{color:#a6a6a6;margin-left:5px}span.bbcode-b{font-weight:bold}span.bbcode-i{font-style:italic}span.bbcode-u{text-decoration:underline}span.bbcode-s{text-decoration:line-through}#simple-container{border-radius:10px;background-color:#222;padding:20px;width:550px;margin:0 auto}#simple-container .account-created .ac-message{font-size:1.1487em;line-height:1.4}#simple-container .account-created .activation-controls button{margin-right:0.5em}.show-topic-admin{position:fixed;top:120px;right:10px;z-index:300;height:35px}.popup-menu{background-color:#222;width:215px;padding:10px;border:1px solid #313131;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15)}.popup-menu ul{list-style:none;margin:10px 0 0 0}.popup-menu .btn{text-align:left}.popup-menu button{width:100%;margin-bottom:5px}.modal-body.feature-topic{padding:5px;max-height:500px}.modal-body.feature-topic input.date-picker{margin:0}.modal-body.feature-topic hr{margin:10px 0}.modal-body.feature-topic .feature-section{display:block}.modal-body.feature-topic .feature-section .badge-wrapper{margin-right:0}.modal-body.feature-topic .feature-section .desc{display:inline-block;vertical-align:middle;margin-left:10px}.modal-body.feature-topic .feature-section .desc p:first-of-type{margin:0}.modal-body.feature-topic .feature-section .desc p{margin:10px 0 0}.modal-body.feature-topic .feature-section .with-validation{position:relative}.desktop-view .feature-topic-modal .feature-topic{overflow:visible}.desktop-view .feature-topic-modal .modal-inner-container{min-width:700px}.desktop-view .feature-topic-modal .pin-until{position:relative;display:inline-block}.mobile-view .feature-topic .feature-section .desc{display:block;clear:both;max-width:90%;margin:0 10px}.selected-posts{border:1px solid #084860;background-color:#052e3d}.selected-posts .btn{border:none;color:#222;font-weight:normal;margin-bottom:10px}.selected-posts .btn:not(.btn-danger){background:#0f82af;border-color:#0f82af}.selected-posts .btn:not(.btn-danger)[href]{color:#222}.selected-posts .btn:not(.btn-danger):hover{color:#222;background:#0b6283}.selected-posts .btn:not(.btn-danger):active{background-color:#08435a;background-image:linear-gradient(to bottom, #08435a, #0a5877);color:#222}.selected-posts .btn[disabled]{text-shadow:0 1px 0 rgba(221,221,221,0.2);background-color:#0f82af;background-image:linear-gradient(to bottom, #0f82af, #073c51);box-shadow:inset 0 1px 0 rgba(0,0,0,0.33)}.lightbox-wrapper .lightbox{position:relative;display:inline-block;overflow:hidden}.lightbox-wrapper .lightbox:hover .meta{opacity:0.9;transition:opacity 0.5s}.d-lazyload-hidden{box-sizing:border-box}.onebox img.d-lazyload-hidden{border:1px solid #313131}.cooked img.d-lazyload{transition:opacity 0.4s 0.75s ease}.lightbox-wrapper{display:inline-block}.lightbox-wrapper img{object-fit:cover;object-position:top}.lightbox-wrapper,.lightbox-wrapper *{outline:0}.meta{position:absolute;bottom:0;width:100%;color:#222;background:#ddd;opacity:0;transition:opacity 0.2s;display:flex;align-items:center}.meta .filename{margin:6px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.meta .d-icon{margin:6px;opacity:0.8;color:#222}.meta .d-icon+.filename{margin-left:0px}.meta .informations{margin:6px;padding-right:20px;color:#646464;font-size:1em;flex-shrink:0;flex-grow:3}.mfp-preloader .spinner{margin:auto}.reorder-categories thead th{padding-bottom:0.5em}.reorder-categories input{width:4em}@media screen and (max-width: 550px){.reorder-categories input{width:2em}}.reorder-categories table{width:100%;padding-bottom:150px}.reorder-categories table td{padding:0.5em 0.5em 0.5em 0}@media screen and (min-width: null){.reorder-categories table td{min-width:15em}}.reorder-categories .badge-wrapper span.badge-category{max-width:20em}@media screen and (max-width: 550px){.reorder-categories .badge-wrapper span.badge-category{max-width:30vw}}.reorder-categories-sub-cat{margin-left:20px}.edit-topic-timer-modal .modal-body{max-height:none;overflow:visible !important}.edit-topic-timer-modal .control-group{display:flex;align-items:center}.edit-topic-timer-modal .control-group>.d-icon{margin-right:5px}.edit-topic-timer-modal input.date-picker,.edit-topic-timer-modal input[type="time"]{width:200px;text-align:left}.edit-topic-timer-modal .radios{margin-bottom:10px}.edit-topic-timer-modal label{display:inline-flex;padding-right:5px;margin-bottom:0;align-items:center}.edit-topic-timer-modal label input{margin-top:0}.edit-topic-timer-modal .btn.pull-right{margin-right:10px}.edit-topic-timer-modal .future-date-input input{margin:0}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -15px -15px -15px}.edit-topic-timer-modal .future-date-input .btn-clear{display:none}.edit-topic-timer-modal .future-date-input .topic-status-info{border:none;padding:0}.edit-topic-timer-modal .future-date-input .topic-status-info h3{font-weight:normal;font-size:1.1487em}.edit-topic-timer-modal .future-date-input input[disabled]{background:#313131}.edit-topic-timer-modal .pika-single{position:absolute !important}.mobile-view .edit-topic-timer-modal .select-kit.combo-box{flex:1 0 0px}.redirection-warning{margin:0 auto;text-align:center;font-size:1.7511em;line-height:1.2}.rtl .d-icon-caret-right{-webkit-transform:rotate(180deg);-moz-transform:rotate(180deg);-ms-transform:rotate(180deg);-o-transform:rotate(180deg);transform:rotate(180deg);filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=cos(180), M12=-sin(180), M21=sin(180), M22=cos(180))";-ms-filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=cos(180), M12=-sin(180), M21=sin(180), M22=cos(180))";zoom:1}.rtl .nav-stacked a.active::after{border-left-color:transparent !important;border-right-color:#222 !important}.rtl code{direction:ltr !important;text-align:left !important}.rtl .pull-left{float:right !important}.rtl .autocomplete{left:27px}.rtl .admin-customize .current-style .toggle-mobile{position:static !important;float:left !important}.rtl .admin-customize .current-style .toggle-maximize{position:static !important;float:left !important}.rtl .dashboard-left{float:right !important}.rtl .dashboard-right{float:left !important}.cooked ul[dir="ltr"],.d-editor-preview ul[dir="ltr"],.cooked ul[dir="rtl"],.d-editor-preview ul[dir="rtl"]{padding-right:40px;padding-left:40px}.rtl aside.onebox.githubblob{padding:12px 25px 12px 12px !important;direction:ltr !important}.rtl aside.onebox.githubblob .source{background-position:0 50% !important;padding-right:20px}.rtl pre.onebox code ol.lines{margin:0 0 0 40px !important}.rtl pre.onebox code ol.lines li:before{right:-40px;padding-left:5px;padding-right:0;text-align:right !important}.rtl pre.onebox code ol.lines li{padding-right:5px;padding-left:0;margin-right:0;border-right:1px solid #cfcfcf;border-left:none !important}.search-menu .search-input{position:relative;padding:0.5em 3px}.search-menu .search-context .show-help{float:right}.search-menu .heading{padding:5px 0 5px 5px}.search-menu .heading .filter{padding:0 5px}.search-menu input[type="text"]{box-sizing:border-box;width:calc(100% - 6px);height:32px}.search-menu .search-context{padding:0 5px}.search-menu .search-context label{margin-bottom:0}.search-menu .search-context+.results{margin-top:5px}.search-menu .results{display:flex;flex-direction:row}.search-menu .results .list{min-width:100px}.search-menu .results .list .item .blurb{overflow-wrap:break-word;word-wrap:break-word;-ms-word-break:break-all;word-break:break-all;word-break:break-word;-ms-hyphens:auto;-moz-hyphens:auto;-webkit-hyphens:auto;hyphens:auto;margin-top:0.25em}.search-menu .results .search-result-topic .second-line{display:flex;flex-wrap:wrap;align-items:center}.search-menu .results .search-result-topic .second-line .discourse-tags{flex-wrap:wrap;display:contents}.search-menu .results .main-results{display:flex;flex:1 1 auto}.search-menu .results .main-results .topic-statuses{color:#909090}.search-menu .results .main-results+.secondary-results{border-left:1px solid #313131;margin-left:1em;padding-left:1em;max-width:33%}.search-menu .results .secondary-results{display:flex;flex-direction:column;flex:1 1 auto}.search-menu .results .secondary-results .separator{margin-bottom:1em;margin-top:1em;height:1px;background:#313131}.search-menu .results .secondary-results .search-result-tag .discourse-tag{font-size:.8706em}.search-menu .results .secondary-results .search-result-category .widget-link{margin-bottom:0}.search-menu .results .secondary-results .search-result-group .search-link{color:#a6a6a6}.search-menu .results .secondary-results .search-result-group .search-link:hover{color:#ddd}.search-menu .results .secondary-results .search-result-group .group-result{display:flex;align-items:center}.search-menu .results .secondary-results .search-result-group .group-result .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair{min-width:25px;margin-right:0.5em}.search-menu .results .secondary-results .search-result-group .group-result .d-icon .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair .d-icon{margin-right:0}.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair-image{background-repeat:no-repeat;background-size:100% 100%;min-height:25px}.search-menu .results .secondary-results .search-result-group .group-result .group-names{display:flex;flex-direction:column;overflow:auto;line-height:1.2}.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .slug{color:#a6a6a6}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name{font-weight:700}.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{font-size:.8706em;color:#a6a6a6}.search-menu .results .secondary-results .search-result-category .list,.search-menu .results .secondary-results .search-result-user .list,.search-menu .results .secondary-results .search-result-group .list,.search-menu .results .secondary-results .search-result-tag .list{display:block}.search-menu .results .secondary-results .search-result-category .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-user .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-group .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-tag .list .item .widget-link.search-link{flex:1;font-size:1em;padding:5px}.search-menu .results .secondary-results .search-result-user .user-result{display:flex;flex-direction:row;align-items:center}.search-menu .results .secondary-results .search-result-user .user-result .avatar{margin-right:0.5em;display:block;min-width:25px}.search-menu .results .secondary-results .search-result-user .user-result .user-titles{display:flex;flex-direction:column;overflow:auto;line-height:1.2}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username,.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username{color:#bdbdbd;font-size:.8706em}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{color:#bdbdbd;font-size:1em;font-weight:700}.search-menu .results .show-more{padding:5px}.search-menu .searching{position:absolute;top:1.15em;right:1em}.search-menu .searching .spinner{width:10px;height:10px;border-width:2px;margin:0}.search-menu .no-results{padding:5px}.search-menu .filter{padding:0}.search-menu .filter:hover{background:transparent}.search-menu .search-link{margin-bottom:0.25em}.search-menu .search-link .badge-category-parent{line-height:1}.search-menu .search-link .topic{display:inline-block;line-height:1.2}.search-menu .search-link .topic-title{margin-right:0.25em}.user-badge,#user-card .sixth-row .badge-section .more-user-badges a{padding:3px 8px;color:#ddd;border:1px solid #313131;line-height:1.4;display:inline-flex;align-items:center;background-color:#222;margin:0 0 3px}.user-badge img,#user-card .sixth-row .badge-section .more-user-badges a img{height:16px;width:16px}.user-badge .badge-display-name,#user-card .sixth-row .badge-section .more-user-badges a .badge-display-name{margin-left:0.25em}.user-badge.badge-type-gold .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-gold .fa{color:#e7c300 !important}.user-badge.badge-type-silver .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-silver .fa{color:silver !important}.user-badge.badge-type-bronze .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-bronze .fa{color:#cd7f32 !important}.user-badge.disabled,#user-card .sixth-row .badge-section .more-user-badges a.disabled{color:#909090;background-color:#282828}.user-badge.disabled .fa,#user-card .sixth-row .badge-section .more-user-badges a.disabled .fa{opacity:0.4}@media all and (max-width: 750px){.show-badge .user-badge-with-posts .badge-user a.post-link{width:auto}.show-badge div.badge-user{padding:0}.badges-listing{display:block}.badges-listing .info,.badges-listing .grant-count{text-align:left}.badges-listing .row>div.info{display:none}.badges-listing .row{display:block}.badges-listing .row>div{display:block;margin-top:10px}}.show-badge .badge-user-info .earned{font-size:1.3195em;margin-bottom:1em}.show-badge .single-user{margin-left:2%;padding-bottom:20px}.show-badge .single-user .load-more{padding-top:30px;display:block;font-size:1.3195em}.show-badge .single-user .badge-user{padding-left:0;text-align:left;display:block;margin:20px 0;width:800px}.show-badge .single-user .badge-user .badge-info{display:none}.show-badge .single-user .badge-user .date{display:inline-block;font-size:1.1487em;margin-left:10px}.show-badge .single-user .badge-user .post-link{font-size:1.3195em;width:500px;margin:0;padding:0}.show-badge .single-user .badge-user:after{content:"";clear:both;display:table}.long-description.banner{width:88%;margin-bottom:15px;margin-top:15px}.badge-card{position:relative;display:inline-block;background-color:#282828;border:1px solid #313131;margin-bottom:2vh;transition:box-shadow 0.25s}.badge-card .check-display{position:absolute;left:5px;top:5px}.badge-card .grant-count{position:absolute;right:5px;top:5px;font-weight:bold;color:#909090;font-size:1.3195em}.badge-card .badge-contents{display:flex;min-height:128px;height:100%;padding:0 10%}.badge-card .badge-contents .badge-link{color:#ddd}.badge-card .badge-contents .badge-icon{display:flex;flex:0 0 auto;width:1.23em;margin-right:5%;align-items:center;justify-content:center;font-size:3.5em}.badge-card .badge-contents .badge-icon a{width:100%}.badge-card .badge-contents .badge-icon img{width:100%;max-width:65px;max-height:80px}.badge-card .badge-contents .badge-icon.badge-type-gold .fa{color:#e7c300 !important}.badge-card .badge-contents .badge-icon.badge-type-silver .fa{color:#c0c0c0 !important}.badge-card .badge-contents .badge-icon.badge-type-bronze .fa{color:#cd7f32 !important}.badge-card .badge-contents .badge-info{display:flex;flex:1 1 auto;align-items:center;padding:1em 1.5em 1em 0;color:#ddd}@media screen and (max-width: 600px){.badge-card .badge-contents .badge-info{padding-right:0}}.badge-card .badge-contents .badge-info h3{margin-bottom:0.25em;font-size:1.1487em}@media screen and (min-width: 900px){.badge-card .badge-contents .badge-info h3{font-size:1.3195em}}.badge-card.medium{flex:0 0 auto;width:32%;margin-right:1.63%}@media screen and (min-width: 851px){.badge-card.medium:nth-of-type(3n){margin-right:0}}@media screen and (max-width: 850px){.badge-card.medium{width:48.5%}.badge-card.medium:nth-of-type(2n){margin-right:0}}@media screen and (max-width: 550px){.badge-card.medium{flex:0 0 100%}}.badge-card.medium:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15)}.badge-card.medium:active{box-shadow:none}.badge-card.large{width:100%;align-self:flex-start}@media screen and (min-width: 767px){.badge-card.large{max-width:calc(1110px / 2);margin-right:1.5em}}.badge-card.large .badge-contents{padding:0 5%}.badge-card.large .badge-contents h3{font-size:1.5157em}.badges-granted{display:flex;flex-wrap:wrap}@media screen and (max-width: 800px){.badges-granted{justify-content:space-between}}.badge-groups{margin:20px 0;color:#919191}.badge-groups h3{margin-bottom:1em}.badge-title .user-content{padding:0}.badge-group-list{margin-bottom:1.5em;display:flex;flex-wrap:wrap}@media screen and (max-width: 850px){.badge-group-list{justify-content:space-between}}.badge-group-list .title{width:100%;font-size:1.1487em}.show-badge-details{display:flex;flex-wrap:wrap;flex-direction:row;margin-bottom:2em;margin-top:1em}.show-badge-details .badge-grant-info.hidden{display:none}.show-badge-details .grant-info-item{margin-bottom:1em;color:#919191}.show-badge-details .grant-info-item:first-of-type{margin-right:10px}.show-badge-details .badge-set-title{padding:1.5em;border:1px solid #313131}.show-badge-details .badge-set-title .user-content{padding:0}.show-badge-details .badge-set-title .user-content .control-group{margin-bottom:1em}.show-badge-details .badge-title .form-horizontal .controls{margin-left:0}.show-badge-details .form-horizontal{margin-bottom:0}.check-display{display:inline-block;padding:0 0.25em;border-radius:10px;text-align:center}.check-display .fa{font-size:0.9em;color:#222}.check-display.status-checked{background-color:#1ca551}.check-display.status-unchecked{background-color:#e45735}.hyperlink{cursor:pointer}.reviewable .flagged-post-header{width:100%;display:flex;justify-content:space-between}.reviewable .status{color:#909090}.reviewable .status span.approved{color:#1ca551}.reviewable .status span.approved .d-icon{color:currentColor}.reviewable .status span.rejected{color:#e45735}.reviewable .status span.rejected .d-icon{color:currentColor}.reviewable .explain{margin-left:0.5em}.reviewable .nav-pills{margin-bottom:1em}.reviewable .reviewable-container{display:flex;flex-direction:row;margin-top:1em}.reviewable .reviewable-container .reviewable-list{flex:1;box-sizing:border-box;max-width:760px;min-width:0;margin-right:auto}.reviewable .reviewable-container .reviewable-filters{width:250px;height:100%;box-sizing:border-box}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin-left:1em}.reviewable-settings h4{margin-top:1em;margin-bottom:1em}.reviewable-settings .saved{margin-left:0.5em}.reviewable-settings .reviewable-score-type{display:flex;margin-bottom:0.5em}.reviewable-settings .reviewable-score-type .select-kit{min-width:10em}.reviewable-settings .reviewable-score-type .title{width:30%}.reviewable-user-info{margin:0.5em 0}.reviewable-user-info .reviewable-user-fields{margin-bottom:2em}.reviewable-user-info .reviewable-user-details{border-bottom:1px solid #313131;padding-bottom:0.25em;display:flex;margin-bottom:0.5em}.reviewable-user-info .reviewable-user-details .name{width:8em;font-weight:bold;margin-right:1em}.no-review{margin-top:1em}.reviewable-filters{background-color:#282828;padding:1em;margin-bottom:1em}.reviewable-filters .reviewable-filter{display:flex;flex-direction:column;margin:0 0 1em 0}.reviewable-filters .reviewable-filter .filter-label{margin:0 0 0.5em 0}.reviewable-filters .reviewable-filter .score-filter{margin:0;width:100%}.reviewable-filters .reviewable-filter .category-chooser{width:100%}.reviewable-filters .reviewable-filter .d-date-time-input-range{width:inherit;border:none;padding:0}.reviewable-filters .reviewable-filter .d-date-time-input-range .d-date-input{flex:1 1 auto;border:1px solid #909090}.reviewable-claimed-topic{display:flex;align-items:center}.reviewable-claimed-topic .btn-small,.reviewable-claimed-topic .modal.history-modal #revision-footer-buttons button,.modal.history-modal #revision-footer-buttons .reviewable-claimed-topic button{margin-left:0.5em}.reviewable-actions .claimed-actions{display:flex;width:100%;justify-content:space-between;align-items:center;margin-bottom:0.5em}.claimed-by{display:flex;align-items:center}.claimed-by .claimed-username{margin-left:0.5em}.reviewable-topics{width:100%}.reviewable-topics tbody td{padding:0.5em}.reviewable-topics .reviewable-details{display:flex;justify-content:flex-end}.reviewable-topics .reviewable-details .btn{display:flex;align-items:center;margin-left:1em}.reviewable-filters .topic-filter .btn{display:flex;width:auto}.reviewable-filters .refresh{height:1em;display:flex}.reviewable-filters .score-filter{width:5em}.user-flag-percentage{display:flex;align-items:center;margin-left:0.5em}.user-flag-percentage .percentage-label{margin-right:0.25em}.user-flag-percentage .percentage-label.agreed{color:#1ca551}.user-flag-percentage .percentage-label.agreed+.d-icon{color:#1ca551}.user-flag-percentage .percentage-label.disagreed{color:#e45735}.user-flag-percentage .percentage-label.disagreed+.d-icon{color:#e45735}.user-flag-percentage .percentage-label.ignored{color:#909090}.user-flag-percentage .d-icon{font-size:0.9em}.reviewable-item{padding-top:2em;border-top:1px solid #bdbdbd;padding-bottom:1em}.reviewable-item .topic-statuses{font-size:1.3195em}.reviewable-item .reviewable-meta-data{color:#919191;display:flex;width:100%;margin-bottom:0.5em;font-size:.8706em;align-items:baseline}.reviewable-item .reviewable-meta-data .reviewable-type{margin-right:0.25em}.reviewable-item .reviewable-meta-data .reply-count{margin-left:1em}.reviewable-item .reviewable-meta-data .created-at{margin-left:1em;margin-right:auto}.reviewable-item .reviewable-meta-data .created-at a{color:#919191}.reviewable-item .reviewable-meta-data .score{font-size:.8706em}.reviewable-item .reviewable-contents{display:flex;flex-wrap:wrap;margin-bottom:2em}.reviewable-item .reviewable-actions{display:flex;flex-wrap:wrap}.reviewable-item .reviewable-actions button{white-space:nowrap}.reviewable-item .reviewable-actions .reviewable-action,.reviewable-item .reviewable-actions .reviewable-action-dropdown{margin-right:0.5em}.reviewable-histories{margin-top:1em}.reviewable-scores{min-width:50%;color:#a6a6a6}.reviewable-scores .reviewed-by .date{margin-left:0.5em}.reviewable-scores .user,.reviewable-scores .reviewed-by{display:flex;align-items:center}.reviewable-scores .user-flag-percentage{margin-left:0.5em}.reviewable-scores .d-icon{font-size:.8706em;color:#909090}.reviewable-scores .badge-notification{line-height:1.2;vertical-align:text-top}.reviewable-scores tbody{border-width:1px}.reviewable-scores tbody td{white-space:nowrap;vertical-align:baseline}.reviewable-scores tbody td.user a,.reviewable-scores tbody td.reviewed-by a{max-width:150px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.reviewable-scores tbody td:last-of-type{width:100%;white-space:normal}.reviewable-scores tbody>tr>th{text-align:left}.reviewable-scores tbody>tr>th:not(:empty),.reviewable-scores tbody>tr>td:not(:empty){padding:0.5em 1em 0.5em 0}@media screen and (max-width: 450px){.reviewable-scores tbody>tr>th,.reviewable-scores tbody>tr>td{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-right:0.5em}}.reviewable-scores tbody .reviewable-score-spacer{padding-right:1em}.reviewable-score-reason{margin:0.5em 0;max-width:690px;margin-bottom:0.5em}.reviewable-conversation{margin:0.5em 0}.reviewable-conversation .reviewable-conversation-post{max-width:690px;margin-bottom:0.5em}.reviewable-conversation .reviewable-conversation-post .username{font-weight:bold;margin-right:0.25em}.reviewable-conversation .controls{margin-top:0.25em}.reviewable-item .show-raw-email{color:#909090;font-size:.7579em}.reviewable-item .post-title{background-color:yellow}.reviewable-item .created-by{margin-right:1em;padding-top:0.35em}@media screen and (max-width: 450px){.reviewable-item .created-by{float:left;margin-bottom:1em}}.reviewable-item .names{font-weight:bold}.reviewable-item .post-contents-wrapper{width:100%;margin-top:1em;min-width:275px;word-break:break-word}@media screen and (min-width: 450px){.reviewable-item .post-contents-wrapper{display:flex}}.reviewable-item .reviewable-post-header{display:flex;justify-content:space-between;max-width:690px;width:690px;align-items:center}.reviewable-item .reviewable-post-header .reviewable-reply-to{display:flex;align-items:center;color:#909090;font-size:0.9em}.reviewable-item .reviewable-post-header .reviewable-reply-to .d-icon{margin-right:0.5em}.reviewable-item .post-contents{width:100%;min-width:0}.reviewable-item .post-body{max-width:690px;max-height:300px;margin-top:0.5em;overflow-y:auto}.reviewable-item .post-body p,.reviewable-item .post-body aside{margin:0 0 1em 0}.reviewable-item .post-body pre,.reviewable-item .post-body code{word-break:break-all}.reviewable-item .post-topic{width:100%;color:#909090;margin-bottom:0.75em}.reviewable-item .post-topic .title-text{font-weight:bold;color:#ddd;display:block;font-size:1.3195em;margin-right:0.75em}.reviewable-item .post-topic .topic-statuses:empty{display:none}.editable-fields{width:100%}.editable-fields .editable-created-by{display:flex;margin-bottom:0.5em}.editable-fields .editable-created-by .avatar{margin-right:0.25em}.editable-fields .editable-field{margin-bottom:0.5em}.editable-fields .editable-field .mini-tag-chooser{margin:0}.editable-fields .editable-field .reviewable-input-text{width:100%;margin-bottom:0}.editable-fields .editable-field .reviewable-input-textarea{width:100%;height:10em}@media screen and (max-width: 1000px){table.reviewable-scores{width:100%;display:block}table.reviewable-scores tbody{width:calc(100% - 5px);display:block;clear:both}tr.reviewable-score{display:grid;grid-template-columns:auto auto 1fr}td.reviewable-score-spacer{display:none}}@media screen and (max-width: 450px){tr.reviewable-score{grid-template-columns:auto auto auto}}.shared-draft-controls{background-color:#052e3d;padding:1em;clear:both}.shared-draft-controls .publish-field{margin-top:1em}.explain-reviewable{min-width:500px}.explain-reviewable .thresholds{margin-top:1em}.explain-reviewable table{width:100%}.explain-reviewable table td{padding:0.5em}.explain-reviewable td.sum{text-align:right}.explain-reviewable td.sum.total{font-weight:bold}.explain-reviewable tr.total td{background-color:#313131;font-weight:bold}.explain-reviewable .op{font-weight:bold}.explain-reviewable .score-value-type{color:#909090}.explain-reviewable .op:last-of-type{display:none}.category-color-editor input{width:5.5em;margin-right:1em}.category-color-editor .color-title{display:block;margin:1em 0 0.25em}.category-color-editor .colorpicker-wrapper{display:flex;align-items:center}.category-color-editor .colorpicker-wrapper input,.category-color-editor .colorpicker-wrapper .add-on{align-self:flex-start;margin-bottom:0.125em}.category-color-editor .colors-container{display:inline-flex;flex-wrap:wrap}.category-color-editor .colors-container .colorpicker{position:relative;margin:0 0.125em 0.25em;border:1px solid #909090;width:1.25em;height:1.2em;padding:0;flex:0 0 auto;color:white}.category-color-editor .colors-container .colorpicker svg{display:none}.category-color-editor .colors-container .colorpicker.used-color svg{display:inline-flex;opacity:0.8;max-width:70%}.modal.history-modal #revision-numbers{display:inline-block;min-width:96px;text-align:center}.modal.history-modal #revision{overflow:auto;border-bottom:3px solid #313131}.modal.history-modal table.markdown>tbody>tr>td,.modal.history-modal .revision-content{width:47.5%;float:left}.modal.history-modal table.markdown>tbody>tr>td:nth-of-type(2),.modal.history-modal .revision-content:nth-of-type(2){margin-left:5%}.modal.history-modal #revision-details{padding:5px}.modal.history-modal #revisions .row:first-of-type{margin-top:10px}.modal.history-modal ins code,.modal.history-modal ins img,.modal.history-modal .diff-ins code,.modal.history-modal .diff-ins img{border:2px solid #1ca551}.modal.history-modal ins img,.modal.history-modal .diff-ins img{opacity:0.75;filter:alpha(opacity=75)}.modal.history-modal ins a,.modal.history-modal .diff-ins a{color:#1ca551;text-decoration:none}.modal.history-modal img.diff-ins,.modal.history-modal code.diff-ins{border:2px solid #1ca551}.modal.history-modal img.diff-ins{opacity:0.75;filter:alpha(opacity=75)}.modal.history-modal .diff-ins{color:#ddd;background:#0b4220}.modal.history-modal ins{color:#ddd;background:#0b4220;text-decoration:none}.modal.history-modal del code,.modal.history-modal del img,.modal.history-modal .diff-del code,.modal.history-modal .diff-del img{border:2px solid #e45735}.modal.history-modal del img,.modal.history-modal .diff-del img{opacity:0.5;filter:alpha(opacity=50)}.modal.history-modal del a,.modal.history-modal .diff-del a{color:#e45735;text-decoration:none}.modal.history-modal img.diff-del,.modal.history-modal code.diff-del{border:2px solid #e45735}.modal.history-modal img.diff-del{opacity:0.5;filter:alpha(opacity=50)}.modal.history-modal .diff-del{color:#ddd;background:#591b0c;text-decoration:none}.modal.history-modal del{color:#ddd;background:#591b0c;text-decoration:none}.modal.history-modal span.date{font-weight:bold}.modal.history-modal span.edit-reason{background-color:#4c3319;padding:3px 5px 5px 5px}.modal.history-modal .d-icon-ban{color:#f00}.modal.history-modal .hidden-revision-either{opacity:0.5}.modal.history-modal .hidden-revision-previous .row div:nth-of-type(1),.modal.history-modal .hidden-revision-previous .row td:nth-of-type(1){opacity:0.5}.modal.history-modal .hidden-revision-current .row div:nth-of-type(2),.modal.history-modal .hidden-revision-current .row td:nth-of-type(2){opacity:0.5}@-webkit-keyframes popoverFadeIn{from{opacity:0}to{opacity:1}}@keyframes popoverFadeIn{from{opacity:0}to{opacity:1}}#d-popover{background-color:#222;position:absolute;z-index:1600;border-color:#909090;border-style:solid;border-width:1px;max-width:300px;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;background-clip:padding-box;display:block;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);border-radius:2px}#d-popover.is-under{margin-top:0px}#d-popover.is-under .d-popover-top-arrow{display:block}#d-popover.is-under .d-popover-bottom-arrow{display:none}#d-popover.is-above{margin-top:0px}#d-popover.is-above .d-popover-bottom-arrow{display:block}#d-popover.is-above .d-popover-top-arrow{display:none}#d-popover.retina{border-width:0.5px}#d-popover .d-popover-content{padding:0.5em;font-size:.8706em;overflow-wrap:break-word;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s}#d-popover .d-popover-arrow{border-style:solid;color:transparent;content:"";position:absolute;z-index:calc(z("tooltip") - 100)}#d-popover .d-popover-top-arrow{border-color:transparent transparent #909090;top:8px;transform:translate(0, -15px);border-width:0 8px 8px}#d-popover .d-popover-top-arrow:after{border-color:transparent transparent #222;border-style:solid;border-width:0 7px 7px;bottom:-8px;margin-left:-7px;position:absolute;content:""}#d-popover .d-popover-bottom-arrow{border-color:#909090 transparent transparent;top:calc(100% + 16px);transform:translate(0, -16px);border-width:8px 8px 0}#d-popover .d-popover-bottom-arrow:after{position:absolute;content:"";border-color:#222 transparent transparent;border-style:solid;border-width:7px 7px 0;bottom:2px;transform:translate(-7px, 0)}div.tagsinput{border:1px solid #ccc;background:#fff;padding:5px 5px 0;width:584px;height:100px;overflow-y:auto;border-radius:4px}div.tagsinput span.tag{border:1px solid #a5d24a;border-radius:2px;display:block;float:left;padding:1px 5px;text-decoration:none;background:#cde69c;color:#638421;margin-right:5px;margin-bottom:5px;font-family:helvetica;font-size:.8706em}div.tagsinput span.tag a{font-weight:bold;color:#82ad2b;text-decoration:none;font-size:.7579em}div.tagsinput input{width:80px;font-family:helvetica;font-size:.8706em;border:1px solid transparent;padding:2px 5px;background:transparent;color:#000;outline:0;margin:0 5px 5px 0}div.tagsinput div{display:block;float:left}.tags_clear{clear:both;width:100%;height:0}.not_valid{background:#fbd8db !important;color:#90111a !important}.d-icon.d-icon-d-regular,.d-icon.d-icon-d-muted,.d-icon.d-icon-d-watching-first,.d-icon.d-icon-d-watching-first-post{color:#919191}.d-icon.d-icon-d-tracking,.d-icon.d-icon-d-watching{color:#0f82af}.directory{margin-bottom:100px}.directory .user-info{margin-bottom:0}.directory .period-chooser{float:left}.directory .filter-name{float:right}.directory .spinner{clear:both}.directory table{width:100%;margin-bottom:1em}.directory table td,.directory table th{padding:0.5em;text-align:left;border-bottom:1px solid #313131}@media screen and (max-width: 800px){.directory table td,.directory table th{padding:0.5em 0.25em}}.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.5157em;color:#909090}@media screen and (max-width: 800px){.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.1487em}}.directory table td .time-read,.directory table th .time-read{white-space:nowrap}.directory table th.sortable{width:13%}.directory table th.sortable .d-icon-heart{color:#fa6c8d;margin:0 0.25em 0 0}.directory .me{background-color:#4c3319}.directory .me .username a,.directory .me .name,.directory .me .title,.directory .me .number,.directory .me .time-read{color:#909090}.alert{padding:8px 32px 8px 16px;background-color:#591b0c;color:#ddd;position:relative}.alert .close{position:absolute;top:8px;right:8px;font-size:1.5157em}.alert .close .d-icon{color:#7a7a7a}.alert.alert-success{background-color:#0b4220;color:#ddd}.alert.alert-error{background-color:#591b0c;color:#ddd}.alert.alert-info{background-color:#052e3d;color:#ddd}.alert.alert-info.clickable{color:#0f82af}.group-details-container{background:#282828;padding:20px;margin-bottom:15px;position:relative}.group-outlet{position:relative}.group-members-actions{display:flex;flex-wrap:wrap;width:100%}.group-members-actions input+.group-members-manage{margin-left:auto}.group-members-actions .group-username-filter{margin:0 0 5px 0;vertical-align:middle}.group-info{width:100%}.group-info .group-info-name{font-size:1.5157em;font-weight:bold;color:#ddd}.group-info .group-info-full-name{font-size:1.3195em;color:#bdbdbd}.group-info span{display:inline-block;vertical-align:middle}.group-info .avatar-flair-image{width:50px}.group-info .avatar-flair{background-size:50px;height:50px;width:50px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat}.group-info .avatar-flair .d-icon{height:27.77778px;width:27.77778px}.group-manage-logs-filter{margin-right:10px}.group-manage-logs-filter:hover{background-color:#e45735}table.group-manage-logs{width:100%}table.group-manage-logs td{padding:0.5em}table.group-manage-logs .group-manage-logs-expand-details{cursor:pointer}table.group-manage-logs .group-manage-logs-expand-details .d-icon{color:#909090}table.group-members{width:100%;table-layout:fixed}table.group-members th:first-child{width:30%;text-align:left}table.group-members th:last-child{width:5%}table.group-members th.group-members-actions{width:5%}table.group-members th{text-align:center}table.group-members tr .user-info{display:block}table.group-members tr .user-info .avatar-flair{color:#ddd}table.group-members tr td:first-child{text-align:left}table.group-members tr td{text-align:center;color:#909090;padding:0.8em 0}.group-owner-label{color:#ddd}.form-vertical .group-flair-inputs{display:inline-block}.form-vertical .avatar-flair-preview{position:relative;width:45px}.form-vertical .avatar-flair-preview .avatar-wrapper{background-color:#f4f4f4}.group-form-save{margin-right:20px}.group-add-members .group-add-members-make-owner label{display:inline;vertical-align:middle}.group-add-members .group-add-members-make-owner input[type="checkbox"]{vertical-align:middle}img.emoji{width:20px;height:20px;vertical-align:middle}small img.emoji,sub img.emoji,sup img.emoji{height:1.1em;width:1.1em}.emoji-picker{background-clip:padding-box;z-index:1300;position:fixed;display:none;flex-direction:row;height:320px;color:#ddd;background-color:#222;border:1px solid #313131}.emoji-picker .categories-column{display:flex;flex-direction:column;flex:1 0 0px;align-items:center;justify-content:space-between;border-right:1px solid #313131;min-width:36px}.emoji-picker .category-icon{display:block;margin:4px auto;-webkit-filter:grayscale(100%);filter:grayscale(100%)}.emoji-picker .category-icon button.emoji{margin:0;padding:0}.emoji-picker .category-icon.current,.emoji-picker .category-icon:hover{-webkit-filter:grayscale(0%);filter:grayscale(0%)}.emoji-picker .main-column{display:flex;flex-direction:column;flex:20}.emoji-picker .list{overflow-y:scroll;-webkit-overflow-scrolling:touch;padding:0;flex:1 0 0px;flex-direction:column}.emoji-picker .section-header{padding:8px;margin-top:2px;margin-bottom:0px;padding-bottom:0px;justify-content:space-between;display:flex;align-items:center;font-weight:bold}.emoji-picker .section-header .title{color:#ddd}.emoji-picker .section-header .clear-recent .fa{margin:0;padding:0;color:#ddd}.emoji-picker .section-header .clear-recent .fa:hover{color:#ddd}.emoji-picker .section-group{flex-wrap:wrap;display:flex;align-items:center;justify-content:flex-start;padding:4px}.emoji-picker .footer{align-items:center;display:flex;justify-content:space-between;border-top:1px solid #313131}.emoji-picker .info{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-left:8px;font-weight:700;max-width:125px}.emoji-picker .diversity-picker{display:flex;justify-content:flex-end;padding:8px}.emoji-picker .diversity-picker .diversity-scale{width:20px;height:20px;margin-left:5px;border:0;border-radius:3px;display:flex;align-items:center;justify-content:center;cursor:pointer}.emoji-picker .diversity-picker .diversity-scale.default{background:#ffcc4d}.emoji-picker .diversity-picker .diversity-scale.light{background:#f7dece}.emoji-picker .diversity-picker .diversity-scale.medium-light{background:#f3d2a2}.emoji-picker .diversity-picker .diversity-scale.medium{background:#d5ab88}.emoji-picker .diversity-picker .diversity-scale.medium-dark{background:#af7e57}.emoji-picker .diversity-picker .diversity-scale.dark{background:#7c533e}.emoji-picker .diversity-picker .diversity-scale.selected .d-icon{display:block}.emoji-picker .diversity-picker .d-icon{display:none}.emoji-picker .diversity-picker .d-icon{color:#fff;font-size:1em;filter:drop-shadow(0.5px 1.5px 0 rgba(0,0,0,0.3))}.emoji-picker button.emoji{background:transparent;background-position:center;background-repeat:no-repeat;border-radius:0;background-size:20px 20px;-moz-box-sizing:content-box;box-sizing:content-box;height:20px;border:0;vertical-align:top;width:20px;outline:none;padding:3px;margin:2px}.emoji-picker .section-group button.emoji:hover,.emoji-picker .results button.emoji:hover{display:inline-block;vertical-align:top;border-radius:2px;background-color:#94daf6}.emoji-picker-modal.fadeIn{z-index:1200;position:fixed;left:0;top:0;width:100%;height:100%;opacity:0.8;background-color:black}.emoji-picker .filter{background-color:none;border-bottom:1px solid #313131;padding:5px;display:flex;position:relative;align-items:center}.emoji-picker .filter input[type="text"]{width:auto !important}.emoji-picker .filter .d-icon-search{color:#ddd;font-size:1.1487em;margin-left:5px;margin-right:5px}.emoji-picker .filter input{height:24px;margin:0;flex:1 0 0px;border:none;box-shadow:none;padding-right:24px;outline:none;color:#ddd;background:#222}.emoji-picker .filter input:focus{border:none;box-shadow:none}.emoji-picker .filter input::-ms-clear{display:none}.emoji-picker .results{display:none;flex-wrap:wrap;align-items:center;justify-content:flex-start;padding:4px;flex:1 0 0px}.emoji-picker .filter .clear-filter{position:absolute;right:5px;top:12px;border:0;background:none;color:#ddd;outline:none;display:none}.emoji-picker .filter .clear-filter:hover{color:#ddd}.topic-list.shared-drafts{margin-bottom:1.5em}.show-more{width:100%;z-index:1}.show-more.has-topics{position:absolute;top:7px}.list-controls{clear:both;margin-bottom:5px}.list-controls .combo-box .combo-box-header{background:#222;color:#ddd;border:1px solid #909090;font-size:1em;transition:none;height:10px}.list-controls .select-kit{align-self:center}.list-controls .select-kit .select-kit-collection{font-size:.8706em;max-height:40vh}.list-controls .select-kit .select-kit-collection .texts,.list-controls .select-kit .select-kit-collection .icons{font-size:1.1487em}.list-controls .select-kit.categories-admin-dropdown,.list-controls .select-kit.tags-admin-dropdown,.list-controls .select-kit.category-notifications-button,.list-controls .select-kit.tag-notifications-button{float:right}.list-controls .select-kit.categories-admin-dropdown button,.list-controls .select-kit.tags-admin-dropdown button,.list-controls .select-kit.category-notifications-button button,.list-controls .select-kit.tag-notifications-button button{display:inline-block}.list-controls .category-heading{max-width:100%}.topic-list-item.visited a.title:not(.badge-notification),.latest-topic-list-item.visited a.title:not(.badge-notification),.category-topic-link.visited a.title:not(.badge-notification){color:#909090}.topic-list-main-link,.topic-list .main-link{font-size:1.1487em}.topic-list-main-link a.title,.topic-list .main-link a.title{padding:15px 0;word-break:break-word;color:#ddd}.anon .topic-list-main-link a.title:visited:not(.badge-notification),.anon .topic-list .main-link a.title:visited:not(.badge-notification),.topic-list .anon .main-link a.title:visited:not(.badge-notification){color:#909090}.topic-list-main-link a.title.visited:not(.badge-notification),.topic-list .main-link a.title.visited:not(.badge-notification){color:#909090}.topic-list{width:100%;border-collapse:collapse}.topic-list>tbody>tr.has-excerpt .star{vertical-align:top;margin-top:2px}.topic-list>tbody>tr.last-visit{border-bottom:none}.topic-list>tbody>tr .topic-list-separator{text-align:center}.topic-list .topic-list-item-separator{border:none}.topic-list .topic-list-item-separator td{border-bottom:1px solid #a13116;line-height:0.1em;padding:0;text-align:center}.topic-list .topic-list-item-separator td span{background-color:#222;color:#a13116;padding:0 8px;font-size:.8706em}.topic-list th,.topic-list td{line-height:1.4;text-align:left;vertical-align:middle}.topic-list th button .d-icon{color:#909090}.topic-list td{color:#909090;font-size:1em}.topic-list .main-link .raw-topic-link>*{pointer-events:none}.topic-list .unread-indicator.read{display:none}.topic-list .unread-indicator .d-icon{vertical-align:middle;font-size:.5em}.topic-list .link-bottom-line{font-size:.8706em;display:flex;flex-wrap:wrap;align-items:center}.topic-list .link-bottom-line .discourse-tags{flex-wrap:wrap;-ms-flex:1 0 0px}.topic-list .link-bottom-line a.badge-wrapper.box,.topic-list .link-bottom-line a.discourse-tag.box{padding-top:0;padding-bottom:0}.topic-list .link-bottom-line .discourse-tag.simple:after,.topic-list .link-bottom-line .discourse-tag.box{margin-right:0.25em}.topic-list .topic-featured-link{padding-left:5px}.topic-list .topic-excerpt{font-size:.8706em;margin-top:5px;color:#a6a6a6;word-wrap:break-word;line-height:1.4;padding-right:20px}.topic-list .topic-statuses:empty{display:none}.topic-list .num{text-align:center}.topic-list .num a:not(.badge-posts){color:inherit}.topic-list .num a.badge-posts{font-weight:bold}.topic-list .num.posts a{padding:15px 5px}.topic-list .num.activity a{padding:15px 5px}.heatmap-high,.heatmap-high a{color:#fe7a15 !important}.heatmap-med,.heatmap-med a{color:#cf7721 !important}.heatmap-low,.heatmap-low a{color:#9b764f !important}.loading .topic-list{border:0;box-shadow:none}.loading .topic-list tr{background-color:transparent}#list-area{margin-bottom:100px}#list-area .empty-topic-list{padding:10px}#list-area .unseen{background-color:transparent;padding:0;border:0;color:#a13116;font-size:1em;cursor:default}.topic-list .alert{margin-bottom:0;font-size:1em}.topic-list .spinner{margin-top:40px}ol.category-breadcrumb.hidden{display:none}ol.category-breadcrumb{display:block;float:left;list-style:none;margin:0 10px 10px 0;padding:0}ol.category-breadcrumb li{float:left;margin-right:5px}ol.category-breadcrumb .bread-crumbs-right-outlet{float:left}.d-icon-thumbtack.unpinned{-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=1)";-webkit-transform:rotate(180deg);-ms-transform:rotate(180deg);transform:rotate(180deg)}.top-title-buttons{display:inline}.top-title-buttons button{margin-right:0.5em}div.education{color:#919191}div.education .badge-notification.new-posts{vertical-align:text-bottom}.list-cell,.table-heading{padding:12px 5px;color:#646464}.table-heading{border-bottom:3px solid #313131}.topic-post-badges{white-space:nowrap;align-self:center;line-height:1.2}.user-content-wrapper{width:100%;display:grid;grid-template-columns:1fr 5fr;grid-template-rows:auto auto 1fr auto;grid-row-gap:20px}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-column-end:3;grid-row-start:1;grid-row-end:2}.user-content-wrapper .user-secondary-navigation{grid-column-start:1;grid-column-end:2;grid-row-start:2;grid-row-end:3}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:2;grid-row-end:4;grid-column-start:1;grid-column-end:3}.user-content-wrapper .user-content{min-width:100%}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:2;grid-column-end:3}.user-content-wrapper .user-additional-controls{grid-row-start:3;align-self:start;justify-self:start}.user-content-wrapper{display:-ms-grid;-ms-grid-columns:1fr 5fr;-ms-grid-rows:auto auto 1fr auto}.user-content-wrapper .user-primary-navigation{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2}.user-content-wrapper .user-secondary-navigation{-ms-grid-row:2;-ms-grid-column:1}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:2}.user-content-wrapper .user-secondary-navigation+.user-content{-ms-grid-column:2;-ms-grid-column-span:1}.user-content-wrapper .user-additional-controls{-ms-grid-row:3;-ms-grid-column-align:start;-ms-grid-row-align:start}.user-content .list-actions{display:flex;margin-bottom:12px}.user-content .list-actions .btn{margin-right:12px}.user-content .paginated-topics-list{position:relative}.user-content .show-mores{width:100%}.user-content .d-icon-heart{color:#fa6c8d}.user-main .about{width:100%;margin-bottom:15px}.user-main .about.has-background .user-profile-image{background-size:cover;background-position:center center;background-repeat:no-repeat}.user-main .about.has-background .staff-counters{margin-bottom:0}.user-main .about .secondary{display:inline-block;width:100%;border-top:1px solid #313131}.user-main .about .secondary .btn{padding:4px 12px}.user-main .about .secondary dl{margin:0;padding:5px 10px}.user-main .about .secondary dl div{display:inline-flex;align-items:baseline;margin-right:15px;margin:4px 0}.user-main .about .secondary dt,.user-main .about .secondary dd{display:inline-flex;align-items:center}.user-main .about .secondary dd{padding:0;margin:0 15px 0 0;color:#ddd}.user-main .about .secondary dd.groups span:not(:last-of-type){margin-right:0.25em}.user-main .about .secondary dd.groups span:after{content:","}.user-main .about .secondary dd.groups span:last-of-type:after{content:""}.user-main .about .secondary dt{color:#919191;margin-right:5px;display:inline-block}.user-main .about .details{background:rgba(34,34,34,0.8);border-bottom:1px solid #313131}.user-main .about .details h1{font-size:2em;font-weight:normal}.user-main .about .details h1 .d-icon{font-size:0.8em}.user-main .about .details h2{font-weight:normal;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-main .about .details h3{font-weight:normal;margin-bottom:0.5em}.user-main .about .details h3 .d-icon:not(:first-of-type){margin-left:10px}.user-main .about .details .groups{margin-left:10px;display:inline}.user-main .about .details img.avatar{float:left}.user-main .about .details .suspended{color:#e45735}.user-main .about .details .primary{width:100%;position:relative}.user-main .about .details .primary h1{font-weight:bold}.user-main .about .details .primary .bio{max-height:300px;overflow:auto}.user-main .about .details .primary .bio a[href]{text-decoration:underline}.user-main .about .details .primary .bio img{max-width:100%}.user-main .about .details .user-profile-avatar{position:relative;float:left}.user-main .about .details .user-profile-avatar .avatar-flair{bottom:8px;right:16px}.user-main .about .controls ul{list-style-type:none}.user-main .about .controls .btn{margin-bottom:10px;line-height:1.2}.user-main .about.collapsed-info .details{margin-top:0;background:rgba(34,34,34,0.8)}.user-main .about.collapsed-info .details .bio{display:none}.user-main .about.collapsed-info .details .primary{width:100%}.user-main .about.collapsed-info .details .primary .avatar{margin-right:10px;width:45px;height:45px}.user-main .about.collapsed-info .details .primary h1{font-size:1.5157em}.user-main .about.collapsed-info .details .primary h2{font-size:1.1487em}.user-main .about.collapsed-info .details .primary h3,.user-main .about.collapsed-info .details .primary h3.location-and-website{display:none}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair{bottom:8px;right:2px}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair .d-icon{font-size:1em}.user-main .staff-counters{background:#ddd;color:#222;display:flex;padding:10px;margin-bottom:16px}.user-main .staff-counters>div,.user-main .staff-counters>div a{display:flex;align-items:baseline;flex:0 1 auto;margin:0 10px 0 0;color:#222}.user-main .staff-counters>div span,.user-main .staff-counters>div a span{padding:0 7px 1px;border-radius:10px;margin-right:5px}.user-main .staff-counters .active{font-weight:bold}.user-main .helpful-flags{background-color:#1ca551}.user-main .flagged-posts{background-color:#e49735}.user-main .warnings-received{background-color:#a13116}.user-main .deleted-posts{background-color:#a13116}.user-main .suspensions{background-color:#e45735}.user-main .user-field{margin-bottom:10px}.user-main .user-field .controls label{width:auto;text-align:left;font-weight:normal}.user-main .user-field .controls .instructions{color:#909090;margin-top:5px;margin-bottom:10px;font-size:.8706em}.user-main .user-content .admin-controls nav{margin:0}.user-main .user-content .admin-controls nav .nav-pills{overflow-x:auto}.user-field .required{vertical-align:top;color:#e45735;font-weight:bold;margin-left:0.25em}.public-user-fields{margin-top:8px;margin-bottom:8px}.public-user-fields .user-field-name{font-weight:bold}.collapsed-info .public-user-fields{display:none}.avatar-selector .avatar-choice{display:grid;grid-template-columns:2em 1fr auto;grid-template-rows:auto auto;align-items:center}.avatar-selector .avatar-choice:not(:last-of-type){margin-bottom:0.75em}.avatar-selector .avatar-choice span{word-break:break-word}.avatar-selector .avatar-choice input[type="radio"]{margin-top:0}.avatar-selector .avatar-choice button{margin-left:auto}.avatar-selector label.radio{display:flex;align-items:center;max-width:300px;margin:0 0.5em 0 0;padding:0}.avatar-selector label.radio .avatar{flex:0 0 auto;margin:0 0.75em 0 0}.avatar-selector .error{color:#e45735;margin:0;max-width:calc(300px - 20px);grid-column-start:2;grid-column-end:3}.avatar-selector .avatar-choice{display:-ms-grid;-ms-grid-columns:2em 1fr auto;-ms-grid-rows:auto auto}.avatar-selector .avatar-choice input[type="radio"]{-ms-grid-row:1;-ms-grid-column:1}.avatar-selector .avatar-choice label.radio{-ms-grid-row:1;-ms-grid-column:2}.avatar-selector .avatar-choice span.avatar-uploader{-ms-grid-row:1;-ms-grid-column:3}.avatar-selector .avatar-choice .error{-ms-grid-row:2;-ms-grid-column-span:3}.top-section:before,.top-section:after{content:"";display:table}.top-section:after{clear:both}.top-section ul{list-style:none;margin:0}.top-section,.top-sub-section{margin-bottom:20px}.top-section.badges-section,.top-sub-section.badges-section{display:flex;flex-wrap:wrap}.stats-title{text-transform:uppercase;margin-bottom:10px;width:100%}.stats-section ul{margin:10px 0}.stats-section li{display:inline-block;padding:10px 14px 10px 0;margin:0 10px 10px 0}.stats-section li.linked-stat{padding:0}.stats-section li.linked-stat a{padding:10px 14px 10px 0;width:100%;height:100%;display:block;color:#ddd}.stats-section .value{font-weight:bold;font-size:1.3195em}.stats-section .label{color:#909090}.top-sub-section{width:50%}.top-sub-section ul{max-width:95%}.top-sub-section li{border-left:#313131 solid 2px;padding:5px 8px;margin:10px 0}.top-sub-section .topic-info{color:#909090}@media all and (max-width: 600px){.top-sub-section{float:none;width:100%}}.replies-section li,.topics-section li,.links-section li{word-wrap:break-word}.links-section .domain{font-size:.8706em;color:#909090}.top-categories-section table{max-width:95%}.top-categories-section table tr{border:none}.top-categories-section table td,.top-categories-section table th{padding:0.5em}.top-categories-section table td.topic-count,.top-categories-section table td.reply-count,.top-categories-section table th.topic-count,.top-categories-section table th.reply-count{text-align:center}.summary-user-list li{height:45px}.groups .group-link{color:#0f82af}.user-preferences textarea{height:100px}.user-preferences .tracking-controls label{align-items:center;display:inline-block}.user-preferences .tracking-controls label .d-icon{margin-right:3px}@media screen and (max-width: 550px){.user-preferences .tracking-controls .select-kit.multi-select{width:100%}}.user-preferences .tracking-controls .show-tracking{float:right}.user-preferences .static{color:#ddd;display:inline-block}.user-preferences .instructions{color:#909090;margin-bottom:10px;font-size:.8706em;line-height:1.4}.user-preferences .instructions a[href]{color:#0f82af}.user-preferences .avatar{margin-left:3px}.user-preferences .warning{background-color:#a13116;padding:5px 8px;color:#222;width:520px}.user-preferences .warning-wrap{height:30px;margin-bottom:10px}.user-preferences .tracking-controls{margin-top:24px}.user-preferences.second-factor-backup-preferences{padding-left:0}.user-preferences.second-factor-backup-preferences .second-factor-token-input{margin-right:10px}.user-preferences.second-factor-backup-preferences .form-horizontal .instructions{margin-left:0}.user-preferences.second-factor-backup-preferences .backup-codes{margin:2em 0}.user-preferences.second-factor-backup-preferences .backup-codes .wrapper{display:inline-block;position:relative;padding:10px;border-radius:3px;border:1px solid #313131}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area{resize:none;padding:0;height:auto;text-align:center;width:250px;background:white;border:0;cursor:auto;overflow:hidden;outline:none;font-family:monospace}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area:focus{box-shadow:none;border-color:#313131}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn,.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{right:5px;position:absolute}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn{top:5px}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{top:40px}.user-preferences .pref-associated-accounts table td{padding:8px}.paginated-topics-list .user-content{width:100%;margin-top:0}.large-notification{display:flex;align-items:center}.large-notification a{display:flex;align-items:center}.large-notification a .d-icon{margin-right:0.5em}.large-notification a span:first-child{color:#ddd}.large-notification a div .fa{display:none}.large-notification a div p{margin:0}.qr-code-container{display:flex}.qr-code-container .qr-code{padding:5px 5px 0 5px;background-color:white}.second-factor.instructions{color:#909090;margin-top:5px;margin-bottom:10px;font-size:.8706em}.second-factor .second-factor-item{margin-top:0.75em}.second-factor .btn.edit{min-height:auto}.primary-textual .staged,#user-card .staged{font-style:italic}.selectable-avatars{max-height:350px;margin-bottom:1em;text-align:justify}.selectable-avatars .selectable-avatar{margin:5px;display:inline-block}.selectable-avatars .selectable-avatar .avatar{cursor:pointer;width:60px;height:60px}.selectable-avatars .selectable-avatar .avatar:hover{box-shadow:0 0 10px #ddd}.topic-title-outlet.choose-tags{margin-left:25px;margin-top:3px}.tag-list{margin-top:2em;padding-bottom:1em;border-bottom:1px solid #313131}#list-area .tag-list h3{margin-bottom:20px}.tag-list .tag-box{display:inline-block;width:300px;margin-bottom:1em;float:left;vertical-align:middle}.tag-list .tag-box .discourse-tag{font-size:1em}.tag-list .tag-box .tag-count{font-size:.8706em;vertical-align:middle;line-height:1}.tag-show-heading{display:inline-flex;flex-wrap:wrap;align-items:center;white-space:nowrap;overflow:hidden;text-overflow:hidden}@media screen and (max-width: 450px){.tag-show-heading{width:100%}}.tag-show-heading .d-icon{margin:0 0.25em}.topic-category{display:flex;flex-wrap:wrap;align-items:center}.topic-category .topic-header-extra{display:inline-flex;align-items:center}.topic-category .badge-wrapper{margin-top:0}.discourse-tag-count{font-size:.8706em;color:#909090;line-height:1;vertical-align:middle}.discourse-tag{max-width:14em;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle}.discourse-tag{margin:0;color:#909090}.discourse-tag:visited,.discourse-tag:hover{color:#909090}.extra-info-wrapper .discourse-tag{color:#a6a6a6 !important}.discourse-tag.large{font-size:1.3195em}.discourse-tag.box{background-color:#313131;color:#a6a6a6;padding:2px 8px}.extra-info-wrapper .discourse-tag.box{background-color:#313131;color:#909090}.discourse-tag.simple,.discourse-tag.simple:visited,.discourse-tag.simple:hover{margin-right:0;color:#a6a6a6}.discourse-tag.bullet{margin-right:0.5em;display:inline-flex;align-items:center}.discourse-tag.bullet:before{background:#7a7a7a;margin-right:5px;position:relative;width:9px;height:9px;display:inline-block;content:""}.discourse-tag.bullet.large:before{width:13px;height:13px}.discourse-tags .discourse-tag.simple:not(:last-child):after,.list-tags .discourse-tag.simple:not(:last-child):after{content:", ";margin-left:1px}.d-header .topic-header-extra .discourse-tags{display:inline-block;font-size:.8706em}.d-header .topic-header-extra .discourse-tags+.topic-featured-link{margin-left:8px}.fps-result .add-full-page-tags{display:inline-block}.topic-list-item .discourse-tags{display:inline-flex;font-weight:normal;font-size:.8706em}.categories-list .topic-list-latest .discourse-tags{display:inline-block}.mobile-view .topic-list-item .discourse-tags{display:inline-flex;flex-wrap:wrap;font-size:.8706em;margin-top:0}.mobile-view .topic-list-item .discourse-tags .discourse-tag{margin-right:0.2em}.mobile-view .topic-list-item .discourse-tags .discourse-tag.box{position:relative;top:0}header .discourse-tag{color:#909090}.list-tags{display:inline-block;margin-right:3px;font-size:.8706em}.tag-chooser{width:100%;max-width:100%}.title-wrapper .tag-chooser{width:500px}.tag-sort-options{margin-bottom:20px}.tag-sort-options a{text-decoration:underline}.tag-sort-options span.active a{font-weight:bold}.autocomplete .d-icon-tag{color:#7a7a7a;padding-right:5px}.autocomplete a{color:#909090}.tags-admin-menu{margin-top:20px}.tags-admin-menu ul{width:320px}.tag-groups-container{margin-top:20px}.tag-groups-container .content-list{width:20%;float:left;margin:20px 0}.tag-groups-container .content-list ul{margin-bottom:10px}.tag-groups-container .content-list .btn{margin-left:10px}.tag-groups-container .tag-group-content{width:75%;float:right}.tag-groups-container .tag-group-content section{margin-bottom:20px}.tag-groups-container .tag-group-content label{font-size:1em;display:inline-block;margin-right:10px}.tag-groups-container .tag-group-content .btn{margin-right:10px}.tag-groups-container .tag-group-content h1 input{width:100%}.tag-groups-container .group-tags-list .tag-chooser{width:100%}.tag-groups-container .saving{margin-left:20px}.tag-groups-container .parent-tag-section .tag-chooser{width:200px;margin-right:10px}.tag-info{margin-top:1em;margin-bottom:1em}.tag-info .delete-tag{float:right}.tag-info .synonyms-list,.tag-info .add-synonyms,.tag-info .tag-associations{margin-top:1em}.tag-info .tag-list{border:none}.tag-info .tag-list .d-icon{color:#909090}.tag-info .field{margin-bottom:5px}#reply-control{position:fixed;display:flex;flex-direction:column;bottom:0;height:0;right:0;left:0;margin-left:auto;margin-right:auto;max-width:1475px;width:100%;z-index:400;transition:height 250ms ease, background 250ms ease, transform 250ms ease, max-width 250ms ease;background-color:#222;box-shadow:0 -1px 40px rgba(0,0,0,0.12)}#reply-control.hide-preview{max-width:740px}@media screen and (max-width: 1200px){#reply-control{min-width:0}}#reply-control .reply-area{display:flex;flex-direction:column}#reply-control .saving-text,#reply-control .draft-text{display:none;padding-left:10px}#reply-control .saving-text .spinner,#reply-control .draft-text .spinner{margin-left:5px;border-color:#222;border-right-color:transparent}#reply-control .saving-text .d-icon,#reply-control .draft-text .d-icon{color:#222}#reply-control.open{height:300px}#reply-control.open.edit-title{height:400px}#reply-control.closed{height:0 !important}#reply-control.draft,#reply-control.saving{height:40px !important;align-items:center;background:#0f82af;color:#222;flex-direction:row;width:100%}#reply-control.draft .composer-controls,#reply-control.saving .composer-controls{margin-left:auto;display:flex;padding-right:5px}#reply-control.draft .composer-controls .toggle-toolbar,#reply-control.saving .composer-controls .toggle-toolbar{display:none}#reply-control.draft .composer-controls .d-icon,#reply-control.saving .composer-controls .d-icon{color:#222}#reply-control.draft{cursor:pointer;display:flex}#reply-control.draft .draft-text{display:block}#reply-control.draft .grippie,#reply-control.draft .saving-text{display:none}#reply-control.draft .toggler{order:2}#reply-control.saving .saving-text{display:flex}#reply-control .reply-to{color:#a6a6a6;margin:5px 0 10px 0;display:flex;align-items:center}#reply-control .reply-to .d-icon{color:#909090}#reply-control .reply-to .reply-details{max-width:calc(100% - 175px);flex:1 1 auto;display:flex;align-items:center;white-space:nowrap}#reply-control .reply-to .reply-details .d-icon{opacity:0.8}#reply-control .reply-to .composer-action-title{display:inline-flex;align-items:center;width:auto;max-width:100%}#reply-control .reply-to .composer-action-title .avatar{width:20px}#reply-control .reply-to .composer-action-title .action-title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#reply-control .reply-to .composer-action-title .topic-link,#reply-control .reply-to .composer-action-title .user-link,#reply-control .reply-to .composer-action-title .post-link{margin-right:5px}#reply-control .reply-to .composer-action-title .username{margin-right:5px;max-width:100px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}@media screen and (max-width: 500px){#reply-control .reply-to .composer-action-title .username{display:none}}#reply-control .reply-to .composer-action-title .d-icon{margin-right:5px}#reply-control .reply-to .composer-action-title img.avatar{margin-right:3px}#reply-control .reply-to .composer-controls{display:flex;margin-left:auto}#reply-control .reply-to .composer-controls button{padding:5px 7px}#reply-control .reply-to .composer-controls button.toggler{order:2}#reply-control .whisper,#reply-control .display-edit-reason{font-style:italic}#reply-control .whisper{margin-right:0.25em}#reply-control .display-edit-reason{display:inline-flex}#reply-control .display-edit-reason a{display:inline-flex}#reply-control .display-edit-reason .d-icon{padding:0.3em 0.5em;color:#0f82af}#reply-control #edit-reason{margin:0 4px}#reply-control .user-selector,#reply-control .title-and-category{display:flex;flex-wrap:wrap;width:100%;align-items:center;margin-bottom:5px;position:relative}#reply-control .user-selector.with-preview,#reply-control .title-and-category.with-preview{width:50%}#reply-control .title-input{position:relative;display:flex;flex:1 1 50%}#reply-control .title-input input{flex-grow:1}#reply-control .with-tags .title-input{flex:1 1 100%}#reply-control .category-input{display:flex;flex:1 0 35%;margin:0 0 5px 10px}@media screen and (max-width: 955px){#reply-control .category-input{flex:1 0 100%;margin-left:0}}#reply-control .category-input .category-chooser{display:flex;flex:1 0 auto;width:auto}#reply-control .with-tags .category-input{flex-basis:25%;margin-left:0;margin-right:5px}@media screen and (max-width: 920px){#reply-control .with-tags .category-input{flex-basis:100%;margin-right:0}}#reply-control .add-warning{margin-left:0.75em;margin-bottom:0;display:flex}#reply-control .add-warning input{margin-right:5px}#reply-control #reply-title{margin:0 0 5px 0;flex-basis:50%}#reply-control .mini-tag-chooser{flex:1 1 25%;margin:0 0 5px 0;background:#222;z-index:700}@media all and (max-width: 900px){#reply-control .mini-tag-chooser{margin:0;flex:1 1 100%}}#reply-control .popup-tip{z-index:701}#reply-control .wmd-controls{position:relative;display:flex;flex-direction:column;flex-grow:1;min-height:0}#reply-control .submit-panel{display:flex;flex-shrink:0;margin:7px 0 3px 0}#reply-control .save-or-cancel{flex-basis:50%;display:flex;align-items:center;margin-right:auto}#reply-control .save-or-cancel button{flex:0 0 auto}#reply-control .save-or-cancel .cancel{margin-left:1.25em;line-height:normal;color:#a6a6a6;transition:color 250ms}#reply-control .save-or-cancel .cancel:hover{color:#e45735}#reply-control .save-or-cancel #draft-status,#reply-control .save-or-cancel #file-uploading{margin-left:25px}#reply-control .save-or-cancel #file-uploading{display:flex;align-items:center}#reply-control .save-or-cancel #file-uploading a{margin-left:5px;color:#a6a6a6}#reply-control .save-or-cancel #file-uploading .spinner{margin-right:5px}#reply-control .save-or-cancel #draft-status .d-icon-user-edit{color:#e45735;font-size:20px;vertical-align:-5.5px}#reply-control #draft-status,#reply-control #file-uploading{color:#a6a6a6}.cooked>*:first-child{margin-top:0}.autocomplete{z-index:701;position:absolute;width:240px;background-color:#222;border:1px solid #313131}.autocomplete ul{list-style:none;padding:0;margin:0}.autocomplete ul li{border-bottom:1px solid #313131}.autocomplete ul li .d-icon-users{color:#fff;padding:0 2px}.autocomplete ul li a{padding:5px;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.autocomplete ul li a span.username{color:#ddd}.autocomplete ul li a span.name{font-size:.8706em;vertical-align:middle}.autocomplete ul li a.selected{background-color:#052e3d}.discourse-no-touch .autocomplete ul li a:hover,.discourse-no-touch .autocomplete ul li a.btn-hover{background-color:#22170b;text-decoration:none}div.ac-wrap.disabled input{display:none}div.ac-wrap.disabled .item a{display:none}div.ac-wrap div.item a.remove,.remove-link{margin-left:4px;font-size:.8706em;line-height:1;padding:1px 3.5px;border-radius:12px;box-sizing:border-box;border:1px solid #313131}div.ac-wrap div.item a.remove:hover,.remove-link:hover{background-color:#591b0c;border:1px solid #a13116;text-decoration:none;color:#e45735}div.ac-wrap{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#222;border:1px solid #909090;min-height:30px;box-sizing:border-box}div.ac-wrap div.item{float:left;padding:4px 10px;line-height:1.4}div.ac-wrap div.item span{display:inline-block;line-height:1.2}div.ac-wrap .ac-collapsed-button{float:left;border-radius:20px;position:relative;top:-2px;margin-right:10px}div.ac-wrap input[type="text"]{float:left;display:block;box-shadow:none;border:0;margin:0;background:transparent;min-height:unset}div.ac-wrap input[type="text"].fullwidth-input{width:100%}.future-date-input .examples{color:#909090}.md-table{overflow-y:auto;margin:1em 0}.mobile-view .md-table table{width:100%}.save-animation{-webkit-animation:transformer 5s forwards;animation:transformer 5s forwards}@-webkit-keyframes transformer{90%{-webkit-filter:opacity(1)}100%{-webkit-filter:opacity(0)}}@keyframes transformer{90%{opacity:1}100%{opacity:0}}body.ios-safari-composer-hacks #main-outlet,body.ios-safari-composer-hacks header,body.ios-safari-composer-hacks .grippie,html:not(.fullscreen-composer) body.ios-safari-composer-hacks .toggle-fullscreen{display:none}body.ios-safari-composer-hacks #reply-control{top:0px}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh, 1vh) * 100)}.mfp-bg{top:0;left:0;width:100%;height:100%;z-index:1042;overflow:hidden;position:fixed;background:#0b0b0b;opacity:.8;filter:alpha(opacity=80)}.mfp-wrap{top:0;left:0;width:100%;height:100%;z-index:1043;position:fixed;outline:0 !important;-webkit-backface-visibility:hidden}.mfp-container{text-align:center;position:absolute;width:100%;height:100%;left:0;top:0;padding:0 8px;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.mfp-container:before{content:"";display:inline-block;height:100%;vertical-align:middle}.mfp-align-top .mfp-container:before{display:none}.mfp-content{position:relative;display:inline-block;vertical-align:middle;margin:0 auto;text-align:left;z-index:1045}.mfp-inline-holder .mfp-content,.mfp-ajax-holder .mfp-content{width:100%;cursor:auto}.mfp-ajax-cur{cursor:progress}.mfp-zoom-out-cur,.mfp-zoom-out-cur .mfp-image-holder .mfp-close{cursor:-moz-zoom-out;cursor:-webkit-zoom-out;cursor:zoom-out}.mfp-zoom{cursor:pointer;cursor:-webkit-zoom-in;cursor:-moz-zoom-in;cursor:zoom-in}.mfp-auto-cursor .mfp-content{cursor:auto}.mfp-close,.mfp-arrow,.mfp-preloader,.mfp-counter{-webkit-user-select:none;-moz-user-select:none;user-select:none}.mfp-loading.mfp-figure{display:none}.mfp-hide{display:none !important}.mfp-preloader{color:#ccc;position:absolute;top:50%;width:auto;text-align:center;margin-top:-0.8em;left:8px;right:8px;z-index:1044}.mfp-preloader a{color:#ccc}.mfp-preloader a:hover{color:#fff}.mfp-s-ready .mfp-preloader{display:none}.mfp-s-error .mfp-content{display:none}button.mfp-close,button.mfp-arrow{overflow:visible;cursor:pointer;background:transparent;border:0;-webkit-appearance:none;display:block;padding:0;z-index:1046;-webkit-box-shadow:none;box-shadow:none}button::-moz-focus-inner{padding:0;border:0}.mfp-close{width:44px;height:44px;line-height:1.4;position:absolute;right:0;top:0;text-decoration:none;text-align:center;opacity:.65;filter:alpha(opacity=65);padding:0 0 18px 10px;color:#fff;font-style:normal;font-size:2em;font-family:Arial, Baskerville, monospace}.mfp-close:hover,.mfp-close:focus{opacity:1;outline:0;filter:alpha(opacity=100)}.mfp-close:active{top:1px}.mfp-close-btn-in .mfp-close{color:#333}.mfp-image-holder .mfp-close,.mfp-iframe-holder .mfp-close{color:#fff;right:-6px;text-align:right;padding-right:6px;width:100%}.mfp-counter{position:absolute;top:0;right:0;color:#ccc;font-size:.8706em;line-height:1.2}.mfp-arrow{position:absolute;opacity:.65;filter:alpha(opacity=65);top:50%;margin:-55px 0 0;padding:0;width:90px;height:110px;-webkit-tap-highlight-color:transparent}.mfp-arrow:active{margin-top:-54px}.mfp-arrow:hover,.mfp-arrow:focus{outline:0;opacity:1;filter:alpha(opacity=100)}.mfp-arrow:before,.mfp-arrow:after,.mfp-arrow .mfp-b,.mfp-arrow .mfp-a{content:"";display:block;width:0;height:0;position:absolute;left:0;top:0;margin-top:35px;margin-left:35px;border:medium inset transparent}.mfp-arrow:after,.mfp-arrow .mfp-a{border-top-width:13px;border-bottom-width:13px;top:8px}.mfp-arrow:before,.mfp-arrow .mfp-b{border-top-width:21px;border-bottom-width:21px}.mfp-arrow-left{left:0}.mfp-arrow-left:after,.mfp-arrow-left .mfp-a{border-right:17px solid #fff;margin-left:31px}.mfp-arrow-left:before,.mfp-arrow-left .mfp-b{margin-left:25px;border-right:27px solid #3f3f3f}.mfp-arrow-right{right:0}.mfp-arrow-right:after,.mfp-arrow-right .mfp-a{border-left:17px solid #fff;margin-left:39px}.mfp-arrow-right:before,.mfp-arrow-right .mfp-b{border-left:27px solid #3f3f3f}.mfp-iframe-holder{padding-top:40px;padding-bottom:40px}.mfp-iframe-holder .mfp-content{line-height:0;width:100%;max-width:900px}.mfp-iframe-holder .mfp-close{top:-40px}.mfp-iframe-scaler{width:100%;height:0;overflow:hidden;padding-top:56.25%}.mfp-iframe-scaler iframe{position:absolute;display:block;top:0;left:0;width:100%;height:100%;box-shadow:0 0 8px rgba(0,0,0,0.6);background:#000}img.mfp-img{width:auto;max-width:100%;height:auto;display:block;line-height:0;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;padding:40px 0 40px;margin:0 auto}.mfp-figure{line-height:0}.mfp-figure:after{content:"";position:absolute;left:0;top:40px;bottom:40px;display:block;right:0;width:auto;height:auto;z-index:-1;box-shadow:0 0 8px rgba(0,0,0,0.6);background:linear-gradient(45deg, #111 0%, #333 100%)}.mfp-figure small{color:#bdbdbd;display:block;font-size:.8706em;line-height:1.2}.mfp-figure figure{margin:0}.mfp-bottom-bar{margin-top:-36px;position:absolute;top:100%;left:0;width:100%;cursor:auto}.mfp-title{text-align:left;line-height:1.2;color:#f3f3f3;word-wrap:break-word;padding-right:36px}.mfp-title a.image-source-link .d-icon{padding-right:5px}.mfp-image-holder .mfp-content{max-width:100%}.mfp-gallery .mfp-image-holder .mfp-figure{cursor:pointer}@media all and (max-width: 800px) and (orientation: landscape), screen and (max-height: 300px){.mfp-img-mobile .mfp-image-holder{padding-left:0;padding-right:0}.mfp-img-mobile img.mfp-img{padding:0}.mfp-img-mobile .mfp-figure:after{top:0;bottom:0}.mfp-img-mobile .mfp-figure small{display:inline;margin-left:5px}.mfp-img-mobile .mfp-bottom-bar{background:rgba(0,0,0,0.6);bottom:0;margin:0;top:auto;padding:3px 5px;position:fixed;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.mfp-img-mobile .mfp-bottom-bar:empty{padding:0}.mfp-img-mobile .mfp-counter{right:5px;top:3px}.mfp-img-mobile .mfp-close{top:0;right:0;width:35px;height:35px;line-height:1.4;background:rgba(0,0,0,0.6);position:fixed;text-align:center;padding:0}}@media all and (max-width: 900px){.mfp-arrow{-webkit-transform:scale(0.75);transform:scale(0.75)}.mfp-arrow-left{transform-origin:0;-webkit-transform-origin:0}.mfp-arrow-right{transform-origin:100%;-webkit-transform-origin:100%}.mfp-container{padding-left:6px;padding-right:6px}}.mfp-ie7 .mfp-img{padding:0}.mfp-ie7 .mfp-bottom-bar{width:600px;left:50%;margin-left:-300px;margin-top:5px;padding-bottom:5px}.mfp-ie7 .mfp-container{padding:0}.mfp-ie7 .mfp-content{padding-top:44px}.mfp-ie7 .mfp-close{top:0;right:0;padding-top:0}.mfp-zoom-in .mfp-content{opacity:0;transition:all 0.2s;-webkit-transform:scale(0.8);-ms-transform:scale(0.8);transform:scale(0.8)}.mfp-zoom-in.mfp-bg{opacity:0;transition:all 0.3s ease-out}.mfp-zoom-in.mfp-ready .mfp-content{opacity:1;-webkit-transform:scale(1);transform:scale(1)}.mfp-zoom-in.mfp-ready.mfp-bg{opacity:0.8}.mfp-zoom-in.mfp-removing .mfp-content{-webkit-transform:scale(0.8);transform:scale(0.8);opacity:0}.mfp-zoom-in.mfp-removing.mfp-bg{opacity:0}.mfp-force-scrollbars.mfp-wrap{overflow-y:auto !important;overflow-x:auto !important}.mfp-force-scrollbars .mfp-img{max-width:none}.button-count.has-pending span{background-color:#e45735;color:#222;border-radius:10px;padding:0.25em 0.5em;display:inline-block;font-size:0.8em}.placeholder-avatar{display:inline-block;width:45px;height:45px;border-radius:50%;position:relative;overflow:hidden}.placeholder-avatar:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;left:0;content:"";background:linear-gradient(to right, #282828 10%, #313131 28%, #282828 43%);height:45px;width:700px}.placeholder-text{margin-left:11px;display:inline-block;width:calc(100% - 11px);height:1.5em;margin-bottom:0.6em}.names{flex:1 1 auto;overflow:hidden}.names span.first{display:flex;align-items:baseline;font-weight:bold}.names span{font-size:1em;margin-right:8px;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle}.names span a{color:#bdbdbd}.names .fa{font-size:.8706em;color:#919191}.names .svg-icon-title{margin-left:3px;margin-right:0px}.names .new_user a,.names .user-title,.names .user-title a{color:#919191}.cooked,.d-editor-preview{word-wrap:break-word;line-height:1.4}.cooked h1,.cooked h2,.cooked h3,.cooked h4,.cooked h5,.cooked h6,.d-editor-preview h1,.d-editor-preview h2,.d-editor-preview h3,.d-editor-preview h4,.d-editor-preview h5,.d-editor-preview h6{margin:30px 0 10px;line-height:1.2}.cooked h1,.d-editor-preview h1{font-size:1.5157em}.cooked h2,.d-editor-preview h2{font-size:1.3195em}.cooked h3,.d-editor-preview h3{font-size:1.1487em}.cooked h4,.d-editor-preview h4{font-size:1em}.cooked h5,.d-editor-preview h5{font-size:.8706em}.cooked h6,.d-editor-preview h6{font-size:.7579em}.cooked a,.d-editor-preview a{word-wrap:break-word}.cooked ins,.d-editor-preview ins{background-color:#0b4220}.cooked del,.d-editor-preview del{background-color:#631e0d}.cooked big,.d-editor-preview big{font-size:1.5rem}.cooked small,.d-editor-preview small{font-size:0.75rem}.cooked small small,.d-editor-preview small small{font-size:0.75em}.cooked big big,.d-editor-preview big big{font-size:1em}.cooked sub sub sub,.d-editor-preview sub sub sub{bottom:0}.cooked sup sup sup,.d-editor-preview sup sup sup{top:0}.cooked video,.d-editor-preview video{max-width:100%}.cooked sup sup,.d-editor-preview sup sup{top:0}.moderator .regular>.cooked{background-color:#4c3319;padding:10px}.moderator .regular>.cooked img:not(.thumbnail){max-width:100%;height:auto}.moderator .clearfix>.topic-meta-data>.names span.user-title,.moderator .nav-pills>.topic-meta-data>.names span.user-title,.moderator .container>.topic-meta-data>.names span.user-title,.moderator .wrap>.topic-meta-data>.names span.user-title{color:#bdbdbd}.moderator .clearfix>.topic-meta-data>.names span.user-title a,.moderator .nav-pills>.topic-meta-data>.names span.user-title a,.moderator .container>.topic-meta-data>.names span.user-title a,.moderator .wrap>.topic-meta-data>.names span.user-title a{background-color:#4c3319;padding-left:4px;padding-right:4px}.topic-meta-data{display:flex;align-items:flex-start}.topic-meta-data .names{margin-right:auto}.topic-meta-data .post-infos{display:flex;flex:0 0 auto;align-items:center}aside.quote{margin-top:1em;margin-bottom:1em}aside.quote .badge-wrapper{margin-left:5px}aside.quote .title{border-left:5px solid #313131;background-color:#3c3c3c;color:#bdbdbd;padding:12px 12px 1px 12px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}aside.quote .title .avatar{margin-right:7px}aside.quote .title img{margin-top:-4px}aside.quote blockquote{margin-top:0}blockquote img{max-width:100% !important}.quote-controls,.quote-controls .d-icon{color:#646464}.cooked .highlight{background-color:#052e3d;padding:2px;margin:-2px}.post-ignored{font-style:italic}.post-action{color:#909090}.post-action .undo-action,.post-action .act-action{margin-left:5px}.post-hidden{opacity:0.5;position:relative;z-index:1}.topic-post.staged{opacity:0.4}.quote-controls{float:right;display:flex;align-items:center}.quote-controls a{margin-left:0.3em}.quote-button{display:none;position:absolute;background-color:#9e9e9e;color:#ddd;padding:10px;z-index:300;opacity:0.9}.quote-button .d-icon{display:inline-block}.quote-button:hover{background-color:#909090;cursor:pointer}.topic-avatar,.user-card-avatar{position:relative}.topic-map{background:#282828;border:1px solid #313131;border-top:none}.topic-map .avatars>div{float:left;position:relative;margin:3px 0}.topic-map .avatars .post-count{position:absolute;right:0;border-radius:100px;padding:3px 5px;text-align:center;font-weight:normal;font-size:.7579em;line-height:1}.topic-map .avatar{float:left;margin-right:4px}.topic-map section{border-top:1px solid #313131}.topic-map ul{margin:0;list-style:none}.topic-map h3{margin-bottom:4px;color:#ddd;line-height:1.4;font-weight:normal;font-size:1em}.topic-map h4{margin:1px 0 2px 0;color:#919191;font-weight:normal;font-size:.8706em;line-height:1}.topic-map span.domain{font-size:.7579em;color:#919191}.topic-map td{vertical-align:top;padding:1px}.topic-map .topic-links tr{border:none}.topic-map .topic-links .badge-notification{margin:1px 5px 2px 0}.topic-map .controls{display:flex;align-items:center}.topic-map .controls .btn{margin-right:0.5em}.topic-map .controls .btn:last-child{margin:0}.topic-map .participants{display:flex;flex-wrap:wrap;align-items:center}.topic-map .participants+.controls{margin-top:0.5em}.topic-map .participants.hide-names .user .username,.topic-map .participants.hide-names .user .group-name{display:none}.topic-map .participants .user{border:1px solid #313131;border-radius:0.25em;padding:0;margin:0.125em 0.25em 0.125em 0;display:flex;align-items:center;height:26px}.topic-map .participants .user .user-link,.topic-map .participants .user .group-link{color:#a6a6a6}.topic-map .participants .user .user-link:hover,.topic-map .participants .user .group-link:hover{color:#ddd}.topic-map .participants .user .avatar,.topic-map .participants .user .d-icon-users{margin-left:0.25em;margin-right:0.25em}.topic-map .participants .user .username,.topic-map .participants .user .group-name{margin-right:0.25em}.topic-map .participants .user:last-child{margin-right:0}.topic-map .participants .user .remove-invited{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0 0.25em 0.25em 0;padding-top:0;padding-bottom:0;height:100%}.topic-map .add-remove-participant-btn .d-icon{margin-left:0.25em}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.user-card-avatar .avatar-flair,.topic-map .poster .avatar-flair,.user-profile-avatar .avatar-flair,.user-image .avatar-flair{display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;background-position:center;position:absolute;bottom:0;right:-6px}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.collapsed-info .user-profile-avatar .avatar-flair,.user-image .avatar-flair{background-size:20px 20px;width:20px;height:20px}.topic-avatar .avatar-flair.rounded,.avatar-flair-preview .avatar-flair.rounded,.collapsed-info .user-profile-avatar .avatar-flair.rounded,.user-image .avatar-flair.rounded{background-size:18px 18px;border-radius:12px;width:24px;height:24px;bottom:-2px;right:-8px}.user-card-avatar .avatar-flair,.user-profile-avatar .avatar-flair{background-size:40px 40px;width:40px;height:40px}.user-card-avatar .avatar-flair.rounded,.user-profile-avatar .avatar-flair.rounded{background-size:30px 30px;border-radius:24px;width:40px;height:40px;bottom:-2px;right:-4px}.user-card-avatar .avatar-flair .fa,.user-profile-avatar .avatar-flair .fa{font-size:1.7511em}.topic-map .poster .avatar-flair{right:0;background-size:12px 12px;width:16px;height:16px;bottom:-3px;color:#ddd}.topic-map .poster .avatar-flair.rounded{background-size:12px 12px;border-radius:8px;width:16px;height:16px;bottom:-2px;right:0}.topic-map .poster .avatar-flair .d-icon{font-size:.7579em}.topic-avatar .poster-avatar-extra{display:none}.map:first-of-type{display:flex}.map:first-of-type .buttons{margin-left:auto;order:15}.map:first-of-type .buttons .btn{height:100%}.topic-body .cooked{overflow:hidden}.topic-body.highlighted{animation:background-fade-highlight 2.5s ease-out}.post-info{flex:0 0 auto;margin-right:0.5em}.post-info.post-date{margin-right:0}.post-info.via-email .d-icon,.post-info.whisper .d-icon,.post-info.post-locked .d-icon{font-size:1em}.post-info .wiki,.post-info .last-wiki-edit{color:green}.post-info.via-email{color:#646464}.post-info.raw-email{cursor:pointer}pre code{word-wrap:normal;display:block;padding:0.5em;color:#ddd;background:#3c3c3c;max-height:500px}kbd{background-color:#222;border:1px solid #313131;border-radius:3px;box-shadow:0 2px 0 rgba(0,0,0,0.2),0 0 0 1px #000 inset;background:#333;border:1px solid #555;border-bottom:medium none #000;color:#ddd;display:inline-block;font-size:.8706em;line-height:1.4;margin:0 0.1em;padding:0.1em 0.6em}kbd * * *{display:none}blockquote>*:first-child{margin-top:0 !important}blockquote>*:last-child{margin-bottom:0 !important}.gap{padding:0.25em 0 0.5em 56px;color:#646464;cursor:pointer;text-transform:uppercase;font-weight:bold;font-size:.8706em}.who-liked,.who-read{transition:height 0.5s}.who-liked a,.who-read a{margin:0 0.25em 0.5em 0;display:inline-block}.cooked table thead th,.d-editor-preview table thead th{text-align:left;padding-bottom:2px;font-weight:bold;color:#ddd}.cooked table td,.d-editor-preview table td{padding:3px 3px 3px 0.5em}.small-action{display:flex;align-items:center;max-width:758px;border-top:1px solid #313131}.small-action .topic-avatar{align-self:flex-start;padding:0.7em 0;border-top:none;margin-right:11px;flex:0 0 auto}.small-action .topic-avatar .d-icon{font-size:2em;width:45px;text-align:center;color:#7a7a7a}.small-action .small-action.deleted{background-color:rgba(99,30,13,0.7)}.small-action .small-action-desc.timegap{color:#909090}.small-action .small-action-desc{display:flex;flex-wrap:wrap;flex:1 1 100%;align-items:center;padding:1em 0;text-transform:uppercase;font-weight:bold;font-size:.8706em;color:#909090;min-width:0}.small-action .small-action-desc .custom-message{flex:1 1 100%;text-transform:none;font-weight:normal;font-size:1.1487em;order:12;word-break:break-word;min-width:0}.small-action .small-action-desc .custom-message p{margin-bottom:0}.small-action .small-action-desc a.trigger-user-card{align-self:stretch}.small-action .small-action-desc .avatar{margin-right:0.8em;float:left}.small-action .small-action-desc>p{margin:0;line-height:1.2;flex:1 1}.small-action button{background:transparent;border:0;order:9}.small-action button:last-of-type{margin-left:auto;order:8}.whisper .post-info.whisper{margin-left:0.5em}.whisper .topic-body .cooked{font-style:italic;color:#909090}a.mention,a.mention-group{padding:2px 4px;color:#bdbdbd;background:#313131;border-radius:8px;font-weight:bold;font-size:0.93em}.popup-menu h3{margin-top:0}.suggested-topics .topics{padding-bottom:15px}.suggested-topics .suggested-topics-message .badge-wrapper{margin-right:0}.large-image-placeholder>a.link{margin-right:10px}.large-image-placeholder>a>*{overflow:hidden;vertical-align:middle}.large-image-placeholder>a>.d-icon{color:#919191;margin-right:6px;font-size:1em;line-height:1.4}.large-image-placeholder>a>span.url{display:inline-block;max-width:300px;margin-right:6px;text-overflow:ellipsis;white-space:nowrap}.large-image-placeholder>a>span.help{display:inline-block;color:#919191;font-size:.8706em;font-style:italic;line-height:1.4;margin-bottom:1px}.large-image-placeholder>a>span.badge-notification{vertical-align:unset}.broken-image,.large-image{color:#646464;border:1px solid #313131;font-size:2em;padding:16px}.reply-to-tab{display:flex;align-items:center;margin-right:2em}.reply-to-tab img{margin:0 0.25em}.topic-post.selected article.boxed .select-posts button.select-post{background-color:#0f82af;color:#222;border-color:#0f82af}.topic-post.selected article.boxed .topic-body .contents:after{display:none}.topic-post article.boxed{position:relative}.topic-post article.boxed .select-posts{position:absolute;right:5em;z-index:300;top:0.5em;height:100px}.topic-post article.boxed .select-posts button{margin-left:8px;background-color:#313131;color:#ddd;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}@media all and (max-width: 767px){.reply-to-tab span{display:none}.user-title{float:left;clear:left}}.signup-cta a{float:right;text-decoration:underline}.signup-cta .buttons{margin-bottom:1em}.post-notice{align-items:center;background-color:#052e3d;border-top:1px solid #313131;display:flex;max-width:calc( 690px + (11px * 2) + 45px - (0.8em * 2));padding:0.8em}.post-notice.old{background-color:unset;color:#909090}.post-notice.old .d-icon{color:#909090}.post-notice p{margin:0}.post-notice .d-icon{font-size:2em;color:#a6a6a6;margin-right:0.65em}#topic-footer-buttons .reason{color:#a6a6a6;display:inline;margin:0 0 0 8px;line-height:1.2}@keyframes button-jump-up{0%{margin-bottom:-60px}50%{margin-bottom:10px}65%{margin-bottom:0px}77%{margin-bottom:5px}100%{margin-bottom:0px}}.progress-back-container{z-index:300;margin-right:0;animation-duration:0.5s;animation-name:button-jump-up;width:145px;text-align:center;margin-bottom:0px;position:absolute;right:0;top:-2em}.progress-back-container .btn{margin:0}#topic-progress-wrapper{display:flex}#topic-progress-wrapper .topic-admin-menu-button-container{display:flex}#topic-progress-wrapper .topic-admin-menu-button-container>span{display:flex}#topic-progress-wrapper .topic-admin-popup-menu.right-side{position:absolute;bottom:0;right:0;left:auto;transition:bottom 0.5s;transform:translateZ(0)}#topic-progress-wrapper.docked .topic-admin-popup-menu.right-side{bottom:-150px}.title-wrapper{display:flex;flex-wrap:wrap}.title-wrapper button{margin:0 0.5em 0 0}.title-wrapper a.topic-featured-link{display:inline-block}.title-wrapper .topic-statuses{line-height:1.2em;margin-right:0.15em}.title-wrapper .topic-statuses .d-icon{color:#909090}h1{margin:0 0 4px 0}a.badge-category{margin-top:5px}#topic-title .title-wrapper{display:flex;flex-wrap:wrap;width:90%}#topic-title .title-wrapper a.topic-featured-link{display:inline-block}#topic-title h1{margin:0 0 4px 0;width:100%}#topic-title a.badge-category{margin-top:5px}#topic-title a.edit-topic .d-icon{font-size:0.8em}#topic-title .edit-topic-title{display:flex;flex-wrap:wrap;box-sizing:border-box;max-width:758px}#topic-title .edit-topic-title #edit-title{flex:1 1 auto}#topic-title .edit-topic-title .private-message-glyph{margin:5px 5px 0 0}#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 49%;margin:0 0 9px 0}@media all and (max-width: 500px){#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 100%}}#topic-title .edit-topic-title .mini-tag-chooser{margin-left:2%}@media all and (max-width: 500px){#topic-title .edit-topic-title .mini-tag-chooser{margin-left:0}}.private-message-glyph{color:#646464;margin-right:5px}.archetype-private_message #topic-title .edit-topic-title .tag-chooser{margin-left:19px}.private_message #topic-title .edit-topic-title #edit-title{width:calc(100% - 50px)}.topic-title-outlet{clear:both}.has-pending-posts{display:flex;justify-content:space-between;padding:0.5em;background-color:#4c3319;margin-top:1em;max-width:757px}.suggested-topics-wrapper.related-messages-wrapper .suggested-topics:nth-of-type(n+2) thead{display:none}.suggested-topics h3 .badge-wrapper.bullet span.badge-category,.suggested-topics h3 .badge-wrapper.box span,.suggested-topics h3 .badge-wrapper.bar span{display:inline}.suggested-topics h3 .badge-wrapper.bullet span.badge-category{vertical-align:baseline;line-height:1.2}.suggested-topics h3 .badge-wrapper.bullet,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg{line-height:0.8}.suggested-topics .badge-wrapper.bullet span.badge-category,.suggested-topics .badge-wrapper.bar span.badge-category{max-width:150px}.suggested-topics .suggested-topics-title{display:flex;align-items:center}.post-links-container{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both}.post-links-container .post-links{margin-top:1em;padding-top:1em;border-top:1px solid #313131}.post-links-container .post-links li:last-of-type{margin-bottom:1em}.post-links-container .expand-links{color:#919191}.post-links-container .track-link{display:flex;align-items:center}.post-links-container .track-link span:not(.badge){overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.post-links-container ul{margin:0;list-style:none}.post-links-container ul li{margin-bottom:0.5em}.post-links-container ul li a[href]{color:#919191}.post-links-container ul li .clicks{margin-left:0.5em;flex:0 0 auto}.post-links-container ul li .d-icon{font-size:.7579em;margin:0 0.5em 0 0}.post-links-container a.reply-new .d-icon{background:#222;border-radius:20px;transition:all linear 0.15s}.post-links-container a.reply-new:hover{color:#0f82af}.post-links-container a.reply-new:hover .d-icon{background:#052e3d}a.topic-featured-link{display:inline-block;text-transform:lowercase;color:#919191;font-size:0.875rem}a.topic-featured-link .d-icon{margin-right:3px}.topic-area .pending-posts{max-width:calc( 690px + 45px + 22px)}.topic-area .pending-posts .reviewable-item .post-body{max-height:unset}#request-access{width:325px;margin:0 auto}#request-access input[type="text"]{width:320px;height:30px;font-size:1.5157em}#request-access input[type="submit"]{font-size:1.5157em;padding:10px}.hljs{display:block;padding:0.5em;color:#f8f8f8}.hljs-comment,.hljs-doctag{color:#bba;font-style:italic}.hljs-keyword,.javascript .hljs-title,.nginx .hljs-title,.hljs-subst,.hljs-request,.hljs-status{color:#f8f8f8;font-weight:bold}.hljs-number,.ruby .hljs-constant{color:#aff}.hljs-string,.hljs-tag .hljs-string,.tex .hljs-formula{color:#f99}.hljs-title,.hljs-name,.coffeescript .hljs-params,.scss .hljs-meta{color:#f99;font-weight:bold}.javascript .hljs-title,.lisp .hljs-title,.clojure .hljs-title,.hljs-subst{font-weight:normal}.hljs-class .hljs-title,.haskell .hljs-type,.vhdl .hljs-literal,.tex .hljs-command{color:#9ae;font-weight:bold}.hljs-tag,.hljs-tag .hljs-title,.django .hljs-tag .hljs-keyword{color:#99f;font-weight:normal}.hljs-attribute,.css .hljs-keyword,.hljs-variable,.lisp .hljs-body{color:#0ee}.hljs-regexp{color:#1ca551}.hljs-symbol,.ruby .hljs-symbol .hljs-string,.lisp .hljs-keyword,.tex .hljs-special,.hljs-prompt{color:#fbe}.hljs-built_in,.lisp .hljs-title,.clojure .hljs-built_in,.hljs-builtin-name{color:#0b6283}.meta{color:#909090;font-weight:bold}.hljs-deletion{background:#591b0c}.hljs-addition{background:#0b4220}.diff .hljs-meta{color:#313131}p>code,li>code,pre>code{color:#f8f8f8;background:#333}#discourse-tooltip{background-color:#222;position:absolute;z-index:600;border:1px solid #909090;max-width:400px;margin-top:25px;overflow-wrap:break-word;display:none;font-size:1em;font-weight:500}#discourse-tooltip.retina{border:0.5px solid #909090}#discourse-tooltip .tooltip-pointer{position:relative;background:#222}#discourse-tooltip .tooltip-pointer:before,#discourse-tooltip .tooltip-pointer:after{position:absolute;pointer-events:none;border:solid transparent;bottom:100%;content:"";height:0;width:0}#discourse-tooltip .tooltip-pointer:after{border-bottom-color:#222;border-width:8px;left:50%;margin-left:-8px;margin-bottom:-0.5px}#discourse-tooltip .tooltip-pointer:before{border-bottom-color:#909090;border-width:9px;left:50%;margin-left:-9px;margin-bottom:-0.5px}#discourse-tooltip .tooltip-content{padding:1em;max-width:250px;font-size:.8706em;color:#ddd;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);line-height:1.4em}.page-not-found{margin:0 0 40px 0}.page-not-found h1.title{font-size:2em;line-height:1.2}.page-not-found-search{margin-top:20px}.page-not-found-topics{display:flex}@media screen and (max-width: 600px){.page-not-found-topics{flex-wrap:wrap}}.popular-topics,.recent-topics{box-sizing:border-box;width:50%;max-width:400px;margin-bottom:40px;padding-right:20px}@media screen and (max-width: 600px){.popular-topics,.recent-topics{width:100%}}.popular-topics h2,.recent-topics h2{margin-bottom:10px}.not-found-topic{display:flex;flex-wrap:wrap;align-items:baseline;margin-bottom:15px}@media screen and (max-width: 600px){.not-found-topic:nth-of-type(n+6){display:none}}.not-found-topic a:not(.badge-wrapper){flex-basis:100%}.modal-outer-container{width:100%;height:100%}.modal-middle-container{display:flex;height:100%;align-items:center}.modal-inner-container{box-sizing:border-box;flex:0 1 auto;margin:0 auto;max-width:700px;background-color:#222;box-shadow:0 8px 60px rgba(0,0,0,0.6)}.modal-inner-container .select-kit{width:220px}.modal-inner-container .select-kit.tag-chooser{width:100%}.modal-open .dropdown-menu{z-index:1400}.modal-open .popover{z-index:1500}.modal-open .tooltip{z-index:1600}.bootbox.modal{position:fixed;z-index:1300;overflow:auto;height:auto;background-color:#222;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-clip:padding-box}.input-hint-text{margin-left:0.5em;color:#646464}.modal-header{display:flex;padding:10px 15px;border-bottom:1px solid #313131;align-items:center}.modal-header .title h3{margin-bottom:0}.modal-header .title p{margin:0}.modal-header .modal-close{align-self:flex-start;order:2;margin-left:auto;padding-left:2em}.modal-header .modal-close .close{color:#a6a6a6}.modal-backdrop{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1200;background-color:#111}.modal-backdrop.fade{opacity:0}.modal-backdrop,.modal-backdrop.fade.in{animation:fade 0.3s;opacity:0.9;filter:alpha(opacity=90)}@keyframes fade{from{opacity:0}to{opacity:0.9}}@keyframes slidein{from{transform:translateY(-20%)}to{transform:translateY(0)}}.create-account.in .modal-inner-container,.login-modal.in .modal-inner-container{animation:slidein 0.3s}.inline-modal .modal-inner-container{border:1px solid #919191}.fixed-modal{position:fixed;top:0;width:100%;height:100%;z-index:1300;overflow:auto}.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:80vh !important}@media screen and (max-height: 500px){.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:65vh !important}}.modal-form{margin-bottom:0}.modal-footer{padding:14px 15px 10px;border-top:1px solid #313131}.modal-footer .btn{margin:0 5px 5px 0}.modal.edit-category-modal .modal-body textarea{height:10em}@media screen and (min-width: 524px){.modal.edit-category-modal .modal-inner-container{min-width:525px}}.modal .nav{padding:10px 30px 10px 15px;background-color:#222;border-bottom:1px solid #313131}.modal .nav li>a{font-size:1em}.modal.hidden{display:none}.modal .modal-body{box-sizing:border-box;width:100%;overflow-y:auto;max-height:400px}.modal .modal-body.full-height-modal{max-height:calc(100vh - 150px)}.modal .modal-body.insert-link{overflow-y:visible}.modal .modal-body.insert-link input{min-width:300px}.modal .modal-body.insert-link .inputs{position:relative}.modal .modal-body.insert-link .inputs .spinner{position:absolute;right:8px;top:-15px;width:10px;height:10px}.modal .modal-body.insert-link .inputs .internal-link-results{position:absolute;top:70%;padding:5px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:5;background-color:#222;max-height:150px;width:90%;overflow-y:auto}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link{padding:6px;border-bottom:1px solid #313131;cursor:pointer;display:block}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:hover,.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:focus{background-color:#4c3319}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .search-category{display:flex;align-items:center}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .discourse-tags{display:inline-block;font-size:.8706em}.modal .modal-body textarea{width:99%;height:80px}.modal .modal-body p{font-size:1em}.modal .modal-body .archetype-option{margin-bottom:20px}.modal .modal-body .warning{color:#e45735 !important}.modal .password-confirmation{display:none}.modal section.field{padding:0.25em 0;margin-bottom:5px}.modal section.field.with-items{display:flex;align-items:flex-start}.modal section.field .field-item{display:inline-block;margin-right:10px}.modal .modal-body.forgot-password-modal p{font-size:1em}.modal pre code{white-space:pre-wrap;max-width:700px}.reply-where-modal .modal-footer a{display:block}.reply-where-modal .modal-footer .d-modal-cancel{margin:1em 0 0.5em}.reply-where-modal .modal-footer .btn{text-align:left;font-size:1.3195em;line-height:1.2;margin-bottom:10px;font-weight:bold}.reply-where-modal .modal-footer .btn .topic-title{font-weight:normal}.d-modal-cancel{margin-left:1em;color:#909090}.d-modal-cancel:hover{color:#e45735}.delete-user-modal .modal-footer .btn{line-height:1.2}.delete-posts-progress .progress-bar{height:15px;position:relative;background:#7a7a7a;border-radius:25px;overflow:hidden;margin:30px 0 20px}.delete-posts-progress .progress-bar span{display:block;width:0%;height:100%;background-color:#0f82af;position:relative;transition:width 0.6s linear}.permission-list{list-style:none;margin:0 0 30px;padding:0}.permission-list .name{margin-right:20px;display:inline-block;min-width:100px}.permission-list .permission{margin-left:20px}.permission-list .d-icon-times-circle{margin-left:5px;color:#e45735}.permission-list li{margin-bottom:10px}.edit-category-modal input:not([type="checkbox"]),.edit-category-modal .controls{display:block;margin-bottom:0.5em}.edit-category-modal .disable_info_wrap{position:relative;display:inline-block;float:right}.edit-category-modal .disable_info_wrap .cannot_delete_reason{position:absolute;background:#ddd;color:#222;text-align:center;border-radius:2px;padding:12px 8px}.edit-category-modal .disable_info_wrap .cannot_delete_reason::after{top:100%;left:57%;border:solid transparent;content:" ";position:absolute;border-top-color:#ddd;border-width:8px}.edit-category-modal .permission-selector{margin-right:0.25em}.edit-category-modal .pending-permission-change-alert{margin-left:auto;max-width:250px;background:#c7c7c7;color:#222;margin-top:10px;padding:5px 10px;position:relative}.edit-category-modal .pending-permission-change-alert .arrow-div{border:solid transparent;content:" ";position:absolute;border-bottom-color:#c7c7c7;border-width:7px;top:-13px;left:200px}.edit-category-modal .add-permission{position:relative;top:0.1em}.edit-category-modal .edit-category-tab-settings>section{margin-bottom:1.5em}.edit-category-modal .edit-category-tab-settings input[type="number"],.edit-category-modal .edit-category-tab-settings input[type="text"],.edit-category-modal .edit-category-tab-settings .select-kit{width:280px}.edit-category-modal .edit-category-tab-settings label{max-width:280px}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label{flex-wrap:wrap}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label a{margin-left:1.3em}.edit-category-modal #category-min-tags-from-group{width:100px}.incoming-email-modal .btn{transition:none;background-color:transparent;margin-right:5px}.incoming-email-modal .btn:hover,.incoming-email-modal .btn.active{color:#ddd}.incoming-email-modal .btn.active{font-weight:bold}.incoming-email-modal .btn:focus{outline:2px solid #313131}.incoming-email-modal .incoming-email-tabs{margin-bottom:15px}.incoming-email-modal .incoming-email-content{height:300px;max-width:700px;width:90vw}.incoming-email-modal .incoming-email-content textarea,.incoming-email-modal .incoming-email-content .incoming-email-html-part{height:95%;border:none;border-top:1px solid #313131;padding-top:10px}.incoming-email-modal .incoming-email-content textarea{font-family:monospace;resize:none;border-radius:0;box-shadow:none}.incoming-email-modal .incoming-email-content .incoming-email-html-part{padding:10px 4px 4px 4px}.modal .modal-body.change-timestamp #date-container .pika-single{width:100%;box-sizing:border-box;display:flex;justify-content:center}.modal .modal-body.change-timestamp form{display:flex}.modal .modal-body.change-timestamp form .date-picker-wrapper,.modal .modal-body.change-timestamp form input[type="time"]{width:50%}.modal .modal-body.change-timestamp form .date-picker-wrapper{display:flex;flex:1}.modal .modal-body.change-timestamp form .date-picker-wrapper .date-picker{flex:1}.modal .modal-body.change-timestamp form input.date-picker,.modal .modal-body.change-timestamp form input[type="time"]{text-align:left;margin:0}.change-timestamp{max-width:420px}.change-timestamp #date-container .pika-single,.poll-ui-builder #date-container .pika-single{position:relative !important;display:inline-block;margin-top:0.5em}.change-timestamp .date-picker-wrapper,.poll-ui-builder .date-picker-wrapper{min-width:130px;margin-right:0.5em}.change-timestamp input[type="time"],.poll-ui-builder input[type="time"]{width:130px}.change-timestamp form,.poll-ui-builder form{margin:0}.flag-modal{max-height:450px}.flag-modal .flag-action-type-details{width:100%;max-width:500px;line-height:1.4}.flag-message{margin:0}.custom-message-length{color:#909090;font-size:.8706em}.jump-to-post-modal .modal-inner-container{max-width:350px}.jump-to-post-modal .modal-body{overflow-y:visible}.jump-to-post-modal .modal-body #post-jump,.jump-to-post-modal .modal-body .date-picker{margin:0;width:100px}.jump-to-post-modal .modal-body .input-hint-text{color:#ddd}.jump-to-post-modal .modal-body .jump-to-post-control .index{color:#909090}.jump-to-post-modal .modal-body .jump-to-date-control .input-hint-text{margin-left:0}.jump-to-post-modal .modal-body .separator{display:flex;align-items:center;margin:0.5em auto}.jump-to-post-modal .modal-body .separator hr{flex:1 0 0px}.jump-to-post-modal .modal-body .separator .text{margin:0 0.5em 0 0;color:#909090}.move-to-modal .existing-topic .radio{flex-wrap:wrap}.move-to-modal .existing-topic .topic-title{max-width:90%}.move-to-modal .existing-topic .topic-categories{width:100%}.modal:not(.has-tabs) .modal-tab{position:absolute;width:95%}.modal.has-tabs .modal-tabs{display:inline-flex;flex-wrap:wrap;width:calc(100% - 20px);flex:1 0 auto;margin:0}.modal.has-tabs .modal-tabs .modal-tab{list-style:none;padding:4px 8px;margin-right:4px;cursor:pointer}.modal.has-tabs .modal-tabs .modal-tab.is-active{color:#222;background:#e45735}.modal.has-tabs .modal-tabs .modal-tab.is-active.single-tab{background:none;color:#ddd;padding:4px 0}.groups-header{display:flex;flex-wrap:wrap;margin-bottom:1em}.groups-header .groups-header-new{order:2;margin-bottom:0.5em}.groups-header-filters{display:flex;flex-wrap:wrap}.groups-header-filters .groups-header-filters-name,.groups-header-filters .groups-header-filters-type{margin-right:5px;margin-bottom:0.5em}.groups-header-filters:last-child{margin-right:auto}.groups-boxes{margin:1em 0;width:100%;display:flex;flex-wrap:wrap;justify-content:space-between}@supports (display: grid){.groups-boxes{display:grid;grid-template-columns:repeat(4, 24%);grid-column-gap:1.333%;grid-row-gap:1em}@media screen and (max-width: 768px){.groups-boxes{grid-template-columns:repeat(3, 32%);grid-column-gap:2%}}@media screen and (max-width: 450px){.groups-boxes{grid-template-columns:100%}}}.groups-boxes .group-box{flex:1 1 24%;margin:1%;display:flex;box-sizing:border-box;cursor:pointer;border:1px solid #313131;color:#ddd}@media screen and (max-width: 450px){.groups-boxes .group-box{margin:0}}.discourse-no-touch .groups-boxes .group-box{transition:all 0.25s}.discourse-no-touch .groups-boxes .group-box:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15)}.groups-boxes .group-box .group-membership{color:#909090;margin-top:auto;padding-top:1em}.groups-boxes .group-box .group-membership .is-group-owner,.groups-boxes .group-box .group-membership .is-group-member{color:#1ca551}.groups-boxes .group-box .group-box-inner{padding:1em;width:100%;display:flex;flex-direction:column;box-sizing:border-box}.groups-boxes .group-box .group-box-inner .group-info-wrapper{display:flex;overflow:hidden;flex:0 1 auto}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-avatar-flair{margin-top:0.2em;margin-right:8px;flex:0 0 auto}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info{flex:1 0 auto;margin-bottom:1em;width:70%}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info span{width:100%;word-break:break-word;line-height:1.2}.groups-boxes .group-box .group-box-inner .group-user-count{display:flex;align-items:center;color:#a6a6a6}.groups-boxes .group-box .group-box-inner .group-user-count .d-icon{margin-right:0.25em;font-size:0.8em;color:#909090}.groups-boxes .group-box .group-box-inner .group-description{color:#a6a6a6;word-wrap:break-word}.groups-boxes .group-box .groups-info-name{font-size:1.1487em;font-weight:bold;color:#ddd}.groups-boxes .group-box .group-avatar-flair{display:inline-block;color:#ddd}.groups-boxes .group-box .group-avatar-flair .avatar-flair{background-size:40px;height:40px;width:40px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat}.groups-boxes .group-box .group-avatar-flair .avatar-flair .d-icon{height:22.22222px;width:22.22222px}.groups-boxes .group-box .avatar-flair-image{width:40px}.caps-lock-warning{color:#e45735;font-size:.8706em;font-weight:bold}.discourse-no-touch #login-form{margin:0}.discourse-touch .caps-lock-warning{display:none}#login-form table{width:100%}#login-form a{color:#a6a6a6}#login-form td{padding-right:5px}#login-form #credentials tr:first-of-type{margin-bottom:0.75em}#new-account-link{cursor:pointer}.login-modal tr,.create-account tr{border:none}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:10px 0 0 0}.login-modal td label,.login-modal td input,.create-account td label,.create-account td input{margin-bottom:0;width:100%}.login-modal .modal-footer .inline-spinner,.create-account .modal-footer .inline-spinner{display:inline-flex}.login-modal.awaiting-approval,.create-account.awaiting-approval{display:none}.create-account .disclaimer{color:#909090;margin-top:0.5em}.create-account .user-field>label{margin-top:0.75em;margin-bottom:0;padding-top:5px}.create-account .user-field:first-of-type>label{margin-top:0}.create-account .user-field input[type="text"]{margin-bottom:0;width:100%}.create-account .user-field .select-kit{width:100%}.create-account .user-field .controls{padding-top:5px}.create-account .user-field .controls label{width:auto;text-align:left;font-weight:normal}.create-account .user-field .controls .instructions{margin-top:0.15em;color:#909090;line-height:1.2}.password-reset .instructions label{color:#909090}.invites-show .two-col{position:relative;display:flex}.invites-show .col-image{position:relative;margin-right:20px}@media screen and (max-width: 600px){.invites-show .col-image{display:none}}.invites-show form{margin-top:24px}.invites-show form button.btn-primary{margin-top:10px}.invites-show form label:not(.checkbox-label){font-weight:bold}.invites-show form .controls,.invites-show form .input{margin-bottom:10px}.invites-show form .instructions{color:#909090;margin:0;font-size:.8706em;font-weight:normal;line-height:1.2}.auth-message{padding:0 15px 15px 15px}.auth-message:empty{padding:0}.modal tr.instructions{display:flex;flex-direction:column;margin-top:0.15em}.modal tr.instructions label{color:#909090}button#login-link,button#new-account-link{background:transparent;color:#a6a6a6}#security-key{display:flex;flex-wrap:wrap;align-items:center}#security-key button{margin-right:1.5em}#security-key p{margin:0;font-size:1em}#security-key a{display:inline-block;padding:1em 0.5em 1em 0;color:#0f82af}.menu-panel.slide-in{position:fixed;right:0;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25)}.menu-panel.slide-in.animate{transition:right 0.2s ease-out, left 0.2s ease-out}.menu-panel.slide-in .panel-body{position:absolute;top:3px;bottom:37px;width:97%}.header-cloak{display:none}.menu-panel.drop-down{position:absolute;top:100%;right:-10px}.menu-panel{border:1px solid #313131;box-shadow:0 12px 12px rgba(0,0,0,0.15);background-color:#222;z-index:1000;padding:0.5em;width:300px}.menu-panel hr{margin:3px 0}.menu-panel .panel-header{position:absolute;right:20px}.menu-panel ul{list-style:none;margin:0;padding:0}.menu-panel .panel-body{touch-action:pan-y pinch-zoom;overflow-y:auto;overflow-x:hidden;max-height:100vh}.menu-panel .badge-notification{vertical-align:text-bottom}.menu-links.columned li{width:50%;float:left}.menu-panel li a.widget-link,.menu-panel li.heading a.widget-link{padding:0.25em 0.5em;display:block}.menu-panel li a.widget-link:hover,.menu-panel li a.widget-link:focus,.menu-panel li.heading a.widget-link:hover,.menu-panel li.heading a.widget-link:focus{background-color:#4c3319;outline:none}.menu-panel li .new,.menu-panel li.heading .new{font-size:.8706em;margin-left:0.5em;color:#919191}.menu-panel .categories-link{display:block;padding:0.25em 0.5em}.menu-panel li.category-link{float:left;background-color:transparent;display:inline-flex;align-items:center;padding:0.25em 0.5em;width:50%;box-sizing:border-box}.menu-panel li.category-link a{display:inline-flex}.menu-panel li.category-link a:hover,.menu-panel li.category-link a:focus{background:transparent}.menu-panel li.category-link .badge-notification{color:#919191;background-color:transparent;display:inline;padding:0;font-size:.8706em;line-height:1.4}.menu-panel li.category-link .badge-wrapper.bar,.menu-panel li.category-link .badge-wrapper.bullet{color:#ddd;padding:0 0 0 0.15em}.menu-panel li.category-link .badge-wrapper.box{color:#222}.menu-panel li.category-link .badge-wrapper.box+a.badge.badge-notification{padding-top:2px}.menu-panel li.category-link .badge-wrapper.box span{z-index:-1}.menu-panel b.topics-count{color:#919191;font-weight:normal;font-size:.8706em}.menu-panel span.badge-category{max-width:100px}.menu-panel div.discourse-tags{font-size:.8706em}.user-menu .quick-access-panel{width:100%;display:table;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.user-menu .quick-access-panel h3{padding:0 0.4em;font-weight:bold;margin:0.5em 0}.user-menu .quick-access-panel .d-icon,.user-menu .quick-access-panel:hover .d-icon{color:#909090}.user-menu .quick-access-panel .icon{color:#a6a6a6}.user-menu .quick-access-panel li{background-color:#052e3d}.user-menu .quick-access-panel li div .fa{display:none}.user-menu .quick-access-panel li span:first-child{color:#ddd}.user-menu .quick-access-panel li:hover,.user-menu .quick-access-panel li:focus{background-color:#4c3319;outline:none}.user-menu .quick-access-panel li a{padding:0}.user-menu .quick-access-panel li a>div{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}.user-menu .quick-access-panel li p{margin:0;overflow:hidden}.user-menu .quick-access-panel li:not(.show-all){padding:0.25em 0.5em}.user-menu .quick-access-panel li:not(.show-all) .d-icon{float:left;margin-right:5px;padding-top:0.2em}.user-menu .quick-access-panel .is-warning .d-icon-far-envelope{color:#e45735}.user-menu .quick-access-panel .read{background-color:#222}.user-menu .quick-access-panel .none{padding-top:5px}.user-menu .quick-access-panel .spinner-container{min-height:2em}.user-menu .quick-access-panel .spinner{width:20px;height:20px;border-width:2px;margin:0 auto}.user-menu .quick-access-panel .show-all a{width:100%;display:flex;justify-content:center;align-items:center;min-height:30px;color:#646464;background:#3c3c3c}.user-menu .quick-access-panel .show-all a:hover{color:#ddd;background:#2c2c2c}.user-menu .dismiss-link{display:inline-block;float:right}div.menu-links-header{width:100%;display:table;border-collapse:separate;border-spacing:0 0.5em}div.menu-links-header .menu-links-row{border-bottom:1px solid #919191;display:flex;padding:0 4px}div.menu-links-header .menu-links-row li{display:inline-flex;align-items:center;flex-wrap:wrap}div.menu-links-header .menu-links-row li.user{margin-right:auto}div.menu-links-header .menu-links-row li.glyphs{flex-wrap:wrap;text-align:right;max-width:65%}div.menu-links-header .menu-links-row li.glyphs a{padding-left:0.6em;padding-right:0.6em}div.menu-links-header .menu-links-row li a{border:1px solid transparent;border-bottom:0}div.menu-links-header .menu-links-row li a.active{border:1px solid #919191;border-bottom:0;position:relative}div.menu-links-header .menu-links-row li a.active:after{display:block;position:absolute;top:100%;left:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #222}div.menu-links-header .menu-links-row li a.active:focus,div.menu-links-header .menu-links-row li a.active:hover{background-color:inherit}div.menu-links-header a:hover,div.menu-links-header a:focus{background-color:#4c3319;outline:none}div.menu-links-header a{padding:0.3em 0.5em}div.menu-links-header a.user-activity-link{align-items:center;display:flex;margin:-0.5em 0;max-width:130px;overflow:visible}div.menu-links-header a.user-activity-link span.d-label{display:block;max-width:130px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}@media screen and (max-width: 350px){div.menu-links-header a.user-activity-link{max-width:125px}}div.menu-links-header li{display:table-cell;width:auto;text-align:center}div.menu-links-header li:first-child{text-align:left}div.menu-links-header li:last-child{text-align:right}div.menu-links-header .fa,div.menu-links-header a{color:#919191}div.menu-links-header .d-icon-user{margin-right:0.475em}.request-group-membership-form label{font-weight:bold}.group-add-membership-request-template{width:98%}.d-editor-container{display:flex;flex-grow:1;max-width:100%}.d-editor{display:flex;flex-grow:1;min-height:0}.d-editor-textarea-wrapper,.d-editor-preview-wrapper{flex:1}.d-editor-textarea-wrapper{display:flex;flex-direction:column;background-color:#222;position:relative;border:1px solid #909090}.d-editor-textarea-wrapper textarea{background:transparent}.d-editor-textarea-wrapper.disabled{cursor:not-allowed}.d-editor-textarea-wrapper.disabled .d-editor-button-bar{visibility:hidden}.d-editor-preview-wrapper{max-width:49%;margin-left:1%;display:flex;flex-direction:column}.d-editor-button-bar{display:flex;align-items:center;min-height:30px;border-bottom:1px solid #313131}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{background-color:transparent;display:inline-block}.d-editor-button-bar .btn .d-icon,.d-editor-button-bar .btn-default .d-icon{color:#909090}.d-editor-button-bar .btn svg,.d-editor-button-bar .btn-default svg{-webkit-transform:translate3d(0, 0, 0)}.d-editor-button-bar .d-editor-spacer{height:1em;display:inline-block;border-left:1px solid #7a7a7a}.d-editor-button-bar .btn:not(.no-text){font-size:1.1487em}.d-editor-button-bar .btn.bold{font-weight:bolder}.d-editor-button-bar .btn.italic{font-style:italic}.d-editor-preview-wrapper{overflow:auto;cursor:default;-webkit-overflow-scrolling:touch}.d-editor-input,.d-editor-preview{box-sizing:border-box;flex:1 1 100%;width:100%;margin:0;min-height:auto;word-wrap:break-word;-webkit-appearance:none;border-radius:0}.d-editor-input:focus,.d-editor-preview:focus{box-shadow:none;border:0;outline:0}.d-editor-input{border:0;padding:10px;height:100%;overflow-x:hidden;resize:none}.d-editor-preview{height:auto}.d-editor-plugin{display:flex;flex:1 1;overflow:auto}.composing-whisper .d-editor-preview{font-style:italic;color:#909090 !important}.d-editor-preview>*:first-child{margin-top:0}.hide-preview .d-editor-preview-wrapper{display:none;flex:0}.user-preferences .bio-composer textarea,.group-form-bio textarea,.edit-category-tab-topic-template textarea{width:100%;height:100%;min-height:10em}.user-preferences .bio-composer .d-editor-container,.group-form-bio .d-editor-container,.edit-category-tab-topic-template .d-editor-container{display:block}.user-preferences .bio-composer .d-editor-textarea-wrapper,.group-form-bio .d-editor-textarea-wrapper,.edit-category-tab-topic-template .d-editor-textarea-wrapper{border:1px solid #313131}.user-preferences .bio-composer .d-editor-preview-wrapper,.group-form-bio .d-editor-preview-wrapper,.edit-category-tab-topic-template .d-editor-preview-wrapper{max-width:100%;margin:10px 0 0 0}.user-preferences .bio-composer .d-editor-preview,.group-form-bio .d-editor-preview,.edit-category-tab-topic-template .d-editor-preview{background-color:#282828;padding:5px}.user-preferences .bio-composer .d-editor-preview:empty,.group-form-bio .d-editor-preview:empty,.edit-category-tab-topic-template .d-editor-preview:empty{padding:0}.user-preferences .bio-composer,.group-form-bio{padding:10px;border:1px solid #313131}.d-editor-preview img{padding-bottom:1.4em}.d-editor-preview img.emoji,.d-editor-preview img.avatar,.d-editor-preview img.site-icon{padding-bottom:0}.d-editor-preview .image-wrapper{position:relative;display:inline-block;padding-bottom:1.4em}.d-editor-preview .image-wrapper img{padding-bottom:0}.d-editor-preview .image-wrapper:hover .button-wrapper{opacity:0.9}.d-editor-preview .image-wrapper .button-wrapper{opacity:0;position:absolute;transition:all 0.25s;display:flex;align-items:center;bottom:0;left:0}.d-editor-preview .image-wrapper .button-wrapper .separator{color:#7a7a7a}.d-editor-preview .image-wrapper .button-wrapper .scale-btn{color:#0f82af;padding:0 0.4em}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:first-of-type{padding-left:0}.d-editor-preview .image-wrapper .button-wrapper .scale-btn.active{font-weight:bold;color:#ddd}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:not(.active):hover{text-decoration:underline;cursor:pointer}.mobile-view .d-editor-preview .image-wrapper .button-wrapper{opacity:1}.d-editor-button-bar{margin:0.25em}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{padding:0 0.5em}.d-editor-button-bar .d-editor-spacer{margin:0 0.25em}@media screen and (max-width: 450px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.4em}}@media screen and (max-width: 350px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.3em}.text-size-smaller .d-editor-button-bar .d-editor-spacer{margin:0 0.25em}}@media screen and (max-width: 450px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.35em}}@media screen and (max-width: 350px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.25em}}@media screen and (max-width: 450px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.3em}}@media screen and (max-width: 350px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.2em}}.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{font-size:.8706em}@media screen and (max-width: 450px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.3em}}@media screen and (max-width: 350px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.2em}}.timeline-loading{width:900px}.timeline-container{box-sizing:border-box;z-index:100;margin-left:757px;position:fixed;-webkit-transform:translate3d(0, 0, 0)}@media screen and (min-width: 1140px){.timeline-container{margin-left:820px}}@media all and (min-width: 1250px){.timeline-container{margin-left:900px}}.timeline-container.timeline-docked{position:absolute}.timeline-container.timeline-docked-bottom .timeline-footer-controls{opacity:0;pointer-events:none;cursor:default}.timeline-container.timeline-fullscreen.show{max-height:700px;transition:max-height 0.4s ease-out}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen.show{max-height:75vh}}.timeline-container.timeline-fullscreen.show .topic-timeline .timeline-footer-controls{display:inherit}.timeline-container.timeline-fullscreen.show .timeline-controls{display:table-cell;vertical-align:top}.timeline-container.timeline-fullscreen{max-height:0;transition:max-height 0.3s ease-in;position:fixed;margin-left:0;background-color:#222;bottom:0;left:0;right:0;border-top:1px solid #bdbdbd;box-shadow:0 -1px 40px rgba(0,0,0,0.12);padding-top:20px;z-index:1150}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen{padding-top:10px}}.timeline-container.timeline-fullscreen .back-button{display:none}.timeline-container.timeline-fullscreen .topic-timeline{width:100%;table-layout:fixed;margin-left:0;margin-right:0;display:table;touch-action:none}.timeline-container.timeline-fullscreen .topic-timeline .timeline-date-wrapper{float:right;text-align:right}.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{max-width:650px;max-height:165px;line-height:1.4;overflow:hidden;word-wrap:break-word;text-overflow:ellipsis;display:block;display:-webkit-box;-webkit-line-clamp:8;-webkit-box-orient:vertical}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{-webkit-line-clamp:5}}.timeline-container.timeline-fullscreen .topic-timeline .username{color:#bdbdbd;word-wrap:break-word;font-weight:bold}.timeline-container.timeline-fullscreen .topic-timeline .title{margin-top:0;padding-left:1em;display:table-cell;vertical-align:top;width:100%}.timeline-container.timeline-fullscreen .topic-timeline .title h2{margin-top:0;display:block;display:-webkit-box;-webkit-line-clamp:4;-webkit-box-orient:vertical;max-height:110px;line-height:1.2;word-wrap:break-word;text-overflow:ellipsis;overflow:hidden;font-size:1.3195em}.timeline-container.timeline-fullscreen .topic-timeline .title a{color:#ddd}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read{right:0;margin-left:0}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read .progress{display:none}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls{display:none;position:absolute;bottom:10px;left:10px}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls button,.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls .btn-group{float:none;display:inline-block;margin-bottom:0;margin-right:15px;position:static}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea-wrapper{display:table-cell;padding-bottom:20px;padding-right:1.5em;width:100px}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea{border-left:0;border-right-style:solid;border-right-width:1px;max-width:120px;float:right}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller{position:relative;margin-right:-1.5em;padding-right:1.5em;justify-content:flex-end}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-scroller-content{text-align:right;padding-left:0;padding-right:1em}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-handle{float:none;width:11px;position:relative;right:-6px}.timeline-container.timeline-fullscreen .timeline-scrollarea-wrapper::after{content:"";display:table;clear:both}.timeline-container .topic-timeline{margin-left:3em;transition:opacity 0.2s ease-in;touch-action:none}.timeline-container .topic-timeline .timeline-controls{margin-bottom:1em}.timeline-container .topic-timeline .timeline-controls button{margin-right:0.5em}.timeline-container .topic-timeline .timeline-footer-controls{margin-top:1.5em;transition:opacity 0.2s ease-in;display:flex}.timeline-container .topic-timeline .timeline-footer-controls button{margin-right:0.5em}.timeline-container .topic-timeline .timeline-footer-controls button:last-child{margin-right:0}.timeline-container .topic-timeline .start-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;color:#919191}.timeline-container .topic-timeline .timeline-scrollarea{margin-top:0.5em;margin-left:0.5em;border-left:1px solid;border-color:#0b6283;position:relative;-webkit-transform:translate3d(0, 0, 0)}.timeline-container .topic-timeline .timeline-padding{transition:height 0.15s ease-out;cursor:pointer}.widget-dragging .timeline-container .topic-timeline .timeline-padding{transition:none}.timeline-container .topic-timeline .timeline-handle{border-radius:0.8em;width:0.35em;background-color:#0b6283;height:100%;float:left;z-index:2}.timeline-container .topic-timeline .timeline-scroller-content{padding-left:1em}.timeline-container .topic-timeline .timeline-ago{color:#919191}.timeline-container .topic-timeline .timeline-scroller{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;margin-left:-0.19em;cursor:ns-resize;display:flex;align-items:center}.timeline-container .topic-timeline .timeline-scroller .back-button{margin-top:1em}.timeline-container .topic-timeline .timeline-replies{font-weight:bold}.timeline-container .topic-timeline .timeline-last-read{position:absolute;margin-left:-0.35em;z-index:3}.timeline-container .topic-timeline .timeline-last-read .progress{font-size:0.8em;color:#0f82af;margin-right:1em}.timeline-container .topic-timeline .back-button{min-height:unset;padding:2px 5px}.timeline-container .topic-timeline .now-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;display:inline-block;color:#919191;margin-top:0.5em}h3 .top-title-buttons button{margin-top:0.5em}.alert.alert-info{margin:0}.alert.alert-info.clickable{padding:1em}#banner{margin:0 -10px;max-height:180px}@media all and (max-height: 499px){#banner{max-height:100px}}.composer-popup-container{display:none !important}.composer-popup{display:none !important}#reply-control{z-index:1100}#reply-control .reply-area{padding:0 10px;padding-bottom:env(safe-area-inset-bottom);flex-grow:1}@media screen and (max-width: 374px){#reply-control .reply-area{padding:0 5px}}#reply-control.open{height:250px}#reply-control.open.edit-title{height:100%}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh, 1vh) * 100)}body.ios-safari-composer-hacks #reply-control.open .reply-area{padding-bottom:0px}#reply-control .reply-to{margin:5px 0}#reply-control .reply-to .reply-details{max-width:calc(100% - 75px)}@media screen and (max-width: 320px){#reply-control .reply-to .reply-details{flex-wrap:wrap}#reply-control .reply-to .display-edit-reason{margin-top:0.5em}#reply-control .reply-to .composer-controls{align-self:flex-start}}#reply-control .toggler{margin-left:-5px}#reply-control .toggler .d-icon-chevron-down{vertical-align:text-top}#reply-control.draft{padding-bottom:env(safe-area-inset-bottom)}#reply-control.draft .toggle-toolbar,#reply-control.draft .toggler{top:8px}#reply-control.draft .draft-text{width:calc(100% - 40px);overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#reply-control #reply-title{width:calc(100% - 20px)}#reply-control .category-input{margin-bottom:5px}#reply-control .category-input .category-chooser{width:100% !important}#reply-control .submit-panel{margin-bottom:5px;align-items:baseline}#reply-control .submit-panel .save-or-cancel{flex:1 1 auto}#reply-control .submit-panel .save-or-cancel #draft-status,#reply-control .submit-panel .save-or-cancel #file-uploading{margin-left:6px}#reply-control .submit-panel .save-or-cancel .cancel{font-size:1.4em;color:#7a7a7a;margin-left:0.6em;padding:3px 6px}#reply-control .submit-panel .mobile-file-upload:not(.hidden),#reply-control .submit-panel .mobile-preview{display:inline-flex}#reply-control .submit-panel .mobile-file-upload.hidden+.mobile-preview{display:none}#reply-control .submit-panel .mobile-preview{margin-left:0.25em}#reply-control .d-editor-textarea-wrapper{width:100%}#reply-control.show-preview .d-editor-preview-wrapper{position:fixed;z-index:1150;top:0;bottom:0;left:0;right:0;background-color:#222;max-width:100%;margin:0;padding:10px;overflow:auto}#reply-control.show-preview .d-editor-preview-wrapper .d-editor-preview{margin-bottom:40px}#reply-control.show-preview .btn.hide-preview{position:fixed;right:5px;bottom:5px;z-index:1151}#reply-control.hide-preview .d-editor-preview-wrapper{display:none}#reply-control .d-editor-button-bar{display:none}#reply-control .toolbar-visible .d-editor-button-bar{display:flex}#reply-control .d-editor-button-bar .btn.preview{margin:0}#reply-control #mobile-uploader{display:none}#reply-control .title-and-category,#reply-control .user-selector{margin:0}#reply-control .title-and-category .users-input,#reply-control .user-selector .users-input{margin-bottom:5px}#reply-control .with-tags .category-input{flex-basis:auto;flex:1 0 0px;margin:0;width:45%;margin-bottom:5px}#reply-control .with-tags .mini-tag-chooser{width:50%;flex:1 0 0px;margin-left:5px;margin-bottom:5px;z-index:1}#reply-control .title-input,#reply-control .category-input,#reply-control .users-input,#reply-control .add-warning{width:100%}#reply-control .add-warning{margin:0 0 5px 5px}#reply-control .whisper{margin-right:5px}body{background-color:#222}.ios-device textarea{background-color:#222;font-size:1.07em}.ios-device input[type="text"],.ios-device input[type="password"],.ios-device input[type="datetime"],.ios-device input[type="datetime-local"],.ios-device input[type="date"],.ios-device input[type="month"],.ios-device input[type="time"],.ios-device input[type="week"],.ios-device input[type="number"],.ios-device input[type="email"],.ios-device input[type="url"],.ios-device input[type="search"],.ios-device input[type="tel"],.ios-device input[type="color"]{font-size:1.07em}blockquote{padding:10px 8px 10px 13px}blockquote p{margin:0 0 10px 0}blockquote p:last-of-type{margin-bottom:0}.wrap{padding:0 10px}.boxed .contents{padding:10px 0 0 0}.control-group{margin-bottom:9px}.badge-wrapper{font-weight:normal}.mobile-nav{margin:0;padding:0;list-style:none;overflow:visible;position:relative;border:1px solid #909090;min-height:37px}.mobile-nav a{color:#ddd}.mobile-nav a .d-icon{margin-right:0.25em;color:#909090}.mobile-nav>li>a{display:flex;align-items:center;padding:8px 10px;height:100%;width:100%;box-sizing:border-box}.mobile-nav .expander .d-icon:last-of-type{margin-left:auto;margin-right:0}.mobile-nav .drop{display:none}.mobile-nav .drop.expanded{left:0;display:block;position:absolute;z-index:300;background-color:#222;width:100%;list-style:none;margin:0;padding:5px;border:1px solid #313131;box-sizing:border-box}.mobile-nav .drop.expanded li{margin:5px 0;padding:0}.mobile-nav .drop.expanded li a{height:100%;display:block;padding:5px 8px}.form-vertical .control-group{margin-bottom:12px}#main{position:relative}#simple-container{width:90%}[data-user-card]:focus .avatar,[data-user-card]:focus+.avatar-flair{animation:wave 0.75s infinite;animation-delay:0.5s}[data-user-card]:focus .avatar{position:relative}.d-header{height:3.66em}.d-header .title{max-width:75%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;-webkit-animation:fadein 0.5s;animation:fadein 0.5s;min-width:36px}.d-header .title a{display:block;width:100%}.d-header #site-logo{max-height:2.4em;max-width:100%}.d-header #site-text-logo{margin:0;font-size:1.1487em}.d-header .extra-info-wrapper .extra-info:not(.two-rows){min-height:2.25em}.d-header .extra-info-wrapper .extra-info .header-title{font-size:1em;margin:0 0 0.35em 0}.archetype-private_message .d-header .extra-info-wrapper .extra-info .header-title{margin:0 0 0.15em 0}.d-header .extra-info-wrapper .extra-info .private-message-glyph-wrapper{float:left}.d-header button.sign-up-button{display:none}.d-header .extra-info-wrapper+.panel .header-buttons,.d-header .extra-info-wrapper+.panel .d-header-icons{display:none}.d-header .panel{animation:fadein 0.5s}.d-header .d-header-icons{-webkit-transform:translateZ(0)}.d-header-icons .d-icon{line-height:1.2}.d-header-icons .active .icon:after{margin-top:-1px}#main-outlet{padding-top:4.2857em}.search-link .badge-category{display:none}.login-modal .modal-inner-container,.create-account .modal-inner-container{max-width:350px}.login-modal .close,.create-account .close{padding:0}.login-modal #login-buttons:not(.hidden),.create-account #login-buttons:not(.hidden){display:flex;flex-wrap:wrap;justify-content:center;width:102%;padding-bottom:10px;margin-left:-2%}.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{flex:1 1 47%;max-width:70%;margin:1% 0 1% 2%;font-size:1em;white-space:nowrap}@media screen and (max-width: 360px){.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{font-size:1em}}.login-modal #login-buttons:not(.hidden)+#login-form,.create-account #login-buttons:not(.hidden)+#login-form{border-top:1px solid #313131}.login-modal form,.create-account form{display:flex;justify-content:center;flex-direction:column}.login-modal table,.create-account table{width:100%}.login-modal tr.input td label,.create-account tr.input td label{margin-top:0.75em}.login-modal tr td label,.create-account tr td label{max-width:280px;display:block;overflow:hidden;word-wrap:break-word}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:2px 0 0 0}.login-modal tr:not(.password-confirmation),.create-account tr:not(.password-confirmation){display:flex;flex-direction:column}.login-modal .tip:not(:empty)+td,.create-account .tip:not(:empty)+td{display:none}.login-modal .modal-body input[type="text"],.login-modal .modal-body input[type="email"],.login-modal .modal-body input[type="password"],.login-modal .modal-body input[type="tel"],.create-account .modal-body input[type="text"],.create-account .modal-body input[type="email"],.create-account .modal-body input[type="password"],.create-account .modal-body input[type="tel"]{margin-top:0;width:100%;box-sizing:border-box}.login-modal .modal-footer,.create-account .modal-footer{box-sizing:border-box;margin:0 auto;font-size:.8706em}.login-modal .alert.alert-error,.create-account .alert.alert-error{padding:0.5em 1em;margin:0}.login-modal #new-account-link,.create-account #new-account-link{white-space:nowrap}.d-modal.login-modal #credentials{width:100%}.d-modal.login-modal #credentials tr{display:flex;flex-direction:column}.d-modal.login-modal #login-form{margin-bottom:0.75em}.d-modal.login-modal #login-form td{padding:0;width:100%;margin:0 auto}.d-modal.login-modal #login-form label{float:left;display:block}.d-modal.login-modal #login-form textarea,.d-modal.login-modal #login-form input,.d-modal.login-modal #login-form select{font-size:1.1487em;clear:left;margin-top:0}.d-modal.login-modal tr td label{margin-top:0.75em;padding:4px 0}.create-account .modal-body{display:flex;flex-direction:column}.create-account .modal-body tr.instructions label{color:#919191}.create-account .modal-body #login-buttons{border-bottom:1px solid #313131}.create-account .modal-body .login-form{margin-bottom:0.75em}.create-account .user-fields{display:flex;flex-direction:column}.create-account .user-field{display:flex;flex-direction:column}.create-account .user-field>label{width:auto}.create-account .user-field .controls{margin-left:0}.create-account .user-field .controls label{line-height:1.2}.password-reset,.email-login,.invites-show{margin-top:30px}.password-reset .col-image,.email-login .col-image,.invites-show .col-image{padding-top:12px}.password-reset .password-reset-img,.email-login .password-reset-img,.invites-show .password-reset-img{width:50px;height:50px}.password-reset .col-form,.email-login .col-form,.invites-show .col-form{padding-left:8px}.password-reset h2,.email-login h2,.invites-show h2{margin-bottom:12px}.password-reset .tip,.email-login .tip,.invites-show .tip{display:block;margin:6px 0}.password-reset .tip{max-width:180px}.discourse-touch .password-reset .instructions{margin-bottom:16px}.invites-show .col-image{display:none}.modal-open #main{overflow:hidden}.modal-middle-container{max-width:100%;margin-bottom:30px}.bootbox.modal{top:10%;width:100%}.modal.fade{transition:opacity 0.3s linear, top 0.3s ease-out;top:-25%}.modal.fade.in{top:50%}.modal-body{padding:10px}.modal-footer{padding:10px}.modal-header{padding:10px}.modal-header h3{font-size:1.3195em}.close{font-size:1.7511em}#move-selected p{margin-top:0}#move-selected input[type="radio"]{margin-right:10px}#move-selected .category-chooser{margin-bottom:9px}#move-selected button{margin-top:10px;display:block;width:300px}#move-selected form{margin-top:20px}#move-selected form input:not(.filter-input)[type="text"]{box-sizing:border-box;width:100%}@media only screen and (max-device-width: 568px){.modal .flag-modal .flag-message{height:3em}}.edit-category-modal .modal-body{position:relative;height:350px}.edit-category-modal.small .modal-body{height:310px}.edit-category-modal .disable_info_wrap .cannot_delete_reason{top:-114px;right:8px;min-width:200px}.modal-inner-container{margin-bottom:20px}.fixed-modal .modal-middle-container{margin-bottom:0}.fixed-modal .modal-inner-container{max-height:90vh;overflow:auto}.list-controls{margin:10px -3px 5px -3px}.list-controls .category-breadcrumb.hidden{display:none}.list-controls .container{display:flex;flex-wrap:wrap;align-items:center}.list-controls .container #create-topic{box-sizing:border-box;display:flex;align-self:stretch;align-items:center;margin:0 3px 10px 3px;order:10}.list-controls .dropdown-select-box-header{display:flex;height:100%}.list-controls .navigation-container{display:flex;flex-wrap:wrap;width:100%;margin:5px 0}.list-controls .navigation-container button{margin:0 3px}.list-controls .navigation-container button.select-kit-header{display:flex;height:100%;flex:1 1 auto}.list-controls .select-kit:not(.is-hidden){display:flex;align-self:stretch;margin-bottom:10px}.list-controls .btn:not(.select-kit-header){margin-bottom:10px}.list-controls .categories-admin-dropdown,.list-controls .tag-notifications-button{order:2}.list-controls .category-navigation{display:flex;flex-wrap:wrap;width:100%}.list-controls .category-navigation .edit-category .d-icon{margin:0}@media screen and (max-width: 374px){.list-controls .category-navigation .edit-category .d-button-label{display:none}}.list-controls .nav-pills{display:flex;flex:1 1 auto;margin:0 3px 5px 3px;position:relative}.list-controls .nav-pills .navigation-toggle{flex:0 1 auto;margin-bottom:5px}.list-controls .nav-pills>li{margin-right:0;font-size:.8706em;border:1px solid #909090}.list-controls .nav-pills>li>a{line-height:1.4;display:flex;align-items:center}.list-controls .nav-pills>li>a .d-icon{margin-left:5px}.list-controls .nav-pills .drop{border:1px solid #313131;position:absolute;z-index:299;background-color:#222;padding:0 10px 10px 10px;width:150px;top:100%;margin:0;left:0}.list-controls .nav-pills .drop li{list-style-type:none;margin-left:0;margin-top:5px;padding-top:10px}.list-controls .nav-pills .drop li a{width:100%;display:inline-block}.list-container .full-width{margin-left:0}.topic-list .right{margin-left:55px}.topic-list th,.topic-list td{padding:7px 0;max-width:300px}.topic-list .main-link{line-height:1.2;position:relative;z-index:2}.topic-list .main-link a.title{color:#ddd;padding:0.5em 0 1.2em 0}.topic-list .main-link .topic-statuses a{line-height:0.8;color:#909090}.topic-list .badge-notification,.topic-list .category-topic-link td.num .badge-notification{position:relative;display:inline-block;top:-1px;font-size:1em;line-height:1;padding:0.15em 0.4em 0.2em 0.4em}.topic-list .badge-notification .d-icon,.topic-list .category-topic-link td.num .badge-notification .d-icon{color:#222}.topic-list .badge-notification.new-topic::before,.topic-list .category-topic-link td.num .badge-notification.new-topic::before{margin-right:0}.topic-list .badge-notification.new-topic,.topic-list .category-topic-link td.num .badge-notification.new-topic{padding:0}.topic-list .category-topic-link td.num .badge-notification.new-posts,.topic-list .category-topic-link td.num .badge-notification.unread-posts{color:#222}.topic-list .topic-item-stats{position:relative;margin-top:0.25em;z-index:1}.topic-list .topic-item-stats .category,.topic-list .topic-item-stats .num,.topic-list .topic-item-stats .last-poster{float:left}.topic-list .topic-item-stats .category a{max-width:160px}.topic-list .topic-item-stats .num .fa,.topic-list .topic-item-stats a,.topic-list .topic-item-stats a:visited{color:#919191}.topic-list .age{white-space:nowrap}.topic-list .age a{color:#646464 !important}.categories-list .category-list{margin-left:-10px;margin-bottom:2em}.categories-list .category-list td{padding:12px 5px;color:#646464;vertical-align:top}.categories-list .category-list th{padding:10px 0 0}.categories-list .category-list td:first-of-type{padding-left:10px}.categories-list .category-list tbody .category{border-left:6px solid}.category-list-item.category{box-sizing:border-box}.category-list-item.category tr:first-of-type{border:none}.category-list-item.category *,.category-list-item.category *:before,.category-list-item.category *:after{box-sizing:inherit}.category-list-item.category .posts{width:10%;vertical-align:top}.category-list-item.category .age{margin-left:5px}tr.category-topic-link{border-bottom:1px solid #313131}tr.category-topic-link:last-of-type{border-bottom:none}.category-list-item{padding:5px 0 2px;border-left:6px solid;border-top:1px solid}.category-list-item h3{max-width:100%;font-size:1.3195em;padding:0 0 0 10px}.category-list-item h3 .d-icon{margin-right:5px}.category-list-item h3 a[href]{color:#ddd}.category-list-item .category-name{max-width:80vw}.category-list-item .category-topic-link .main-link,.category-list-item .subcategories-list td,.category-list-item .category-description td{padding-left:10px}.category-list-item .category-topic-link .main-link .age{font-size:.8706em}.category-list-item .category-description td{padding-top:0;padding-bottom:15px}.category-list-item .subcategories-list td{padding-top:15px}.category-list-item .topic-list>tbody>tr:nth-child(odd){background-color:#222}.category-list-item .topic-list>tbody>tr:nth-child(even){background-color:#222}.category-list-item th .badge-category{margin:0}.category-list-item .category-topic-link .num{white-space:nowrap}.category-list-item .category-topic-link .topic-excerpt{width:110%}.category-list-item .posters{float:left}.category-list-item>footer{border-top:1px solid #313131;padding:7px 10px}.category-list-item>footer figure{float:left;margin:3px 7px 0 0;color:#bdbdbd;font-weight:bold;font-size:.8706em}.category-list-item>footer figcaption{display:inline;font-weight:normal}.category-list-item>footer .btn{float:right;margin-left:7px}.category-box h3{margin:0 0 0.5em 0}.topic-list-bottom{margin:20px 0 0 0}.btn-group .dropdown-toggle:active,.btn-group.open .dropdown-toggle{outline:0}.dropdown{position:relative}.dropdown-toggle:active,.open .dropdown-toggle{outline:0}.caret{display:inline-block;width:0;height:0;vertical-align:middle;border-top:4px solid #ddd;border-right:4px solid transparent;border-left:4px solid transparent;content:"";margin-left:5px}.dropdown-menu{position:relative;top:100%;left:0;z-index:300;display:none;float:left;width:280px;padding:4px 0;list-style:none;background-color:#222;border:1px solid #ddd;border-radius:5px;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);background-clip:padding-box;margin:1px 0 20px}.dropdown-menu .title{font-weight:bold;display:block}.dropdown-menu a{display:block;padding:3px 15px;clear:both;font-weight:normal;line-height:1.2;color:#ddd}.dropdown-menu li>a:hover,.dropdown-menu .active>a,.dropdown-menu .active>a:hover{color:#0f82af;text-decoration:none;background-color:#052e3d}.open>.dropdown-menu{display:block;clear:both}.fade{opacity:0;transition:opacity linear 0.15s}.fade.in{opacity:1}ol.category-breadcrumb{margin:0 0 5px 0;display:flex;flex-wrap:wrap;flex:1 1 100%}ol.category-breadcrumb li.select-kit{flex:1 1 33%;margin:0 3px 5px 3px}ol.category-breadcrumb li.select-kit .select-kit-header .selected-name{max-width:80vw}ol.category-breadcrumb li.select-kit .select-kit-header .selected-name .badge-wrapper{max-width:100%}.top-lists h2{margin-left:10px}.top-lists .topic-list{padding-bottom:10px}.top-lists .btn-default.pull-right{margin-right:10px}.tags-admin-menu{display:none}.staff.tags-page #create-topic{clear:right}.topic-list-bottom h3{clear:both;padding-top:10px}.category-logo.aspect-image{display:block;margin:8px 0}.category-logo.aspect-image img{width:auto;max-width:100%;max-height:150px}@supports (--custom: property){.category-logo.aspect-image{--max-height: 150px;max-height:var(--max-height);width:calc(var(--max-height) * var(--aspect-ratio));max-width:100%;height:auto}.category-logo.aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial}}button.dismiss-read{margin-right:10px}td .main-link{width:78%;display:inline-block}td .main-link a.title{padding:5px 10px 5px 0;word-wrap:break-word}.topic-list .posts-map{font-size:1.1487em}.topic-list .topic-excerpt{padding-right:0;width:120%}.category-list.with-topics .category-list-item .category-description{display:none}.time-gap+.topic-post article{border-top:none}.time-gap .topic-avatar{display:none}.topic-post article{border-top:1px solid #313131;padding:15px 0 8px 0}.post-stream{padding-bottom:30px}span.badge-posts{margin-right:5px}.show-replies{display:none}.topic-post nav.post-controls{color:#646464}.topic-post nav.post-controls .actions{display:flex}.topic-post nav.post-controls .double-button{display:flex;flex:0 1 auto}.topic-post nav.post-controls .double-button button.like,.topic-post nav.post-controls .double-button button.read-indicator,.topic-post nav.post-controls .double-button button.create-flag{flex:1 1 auto}.topic-post nav.post-controls .double-button button.button-count{padding:8px 4px 8px 8px}.topic-post nav.post-controls .double-button button.button-count+.toggle-like,.topic-post nav.post-controls .double-button button.button-count+.create-flag{padding:8px 8px 8px 4px}.topic-post nav.post-controls .double-button button.button-count.my-likes,.topic-post nav.post-controls .double-button button.button-count.regular-likes{display:flex;max-width:unset;padding:8px}.topic-post nav.post-controls .double-button button.button-count.my-likes .d-icon,.topic-post nav.post-controls .double-button button.button-count.regular-likes .d-icon{padding-left:8px}.topic-post nav.post-controls .d-icon{opacity:1}.topic-post nav.post-controls button{border:none;font-size:1.1487em;padding:10px 8px;background:transparent;flex:1 1 auto;max-width:45px}.topic-post nav.post-controls button.hidden{display:none}.topic-post nav.post-controls button.admin{position:relative}.topic-post nav.post-controls button.expand-post{margin:10px 0 10px 0}.topic-post nav.post-controls button.reply{margin-left:auto}.topic-post nav.post-controls button.reply .d-icon{color:#a6a6a6}.topic-post nav.post-controls button.has-like .d-icon{color:#fa6c8d}.topic-post nav.post-controls button.bookmarked .d-icon{color:#0f82af}.post-admin-menu{display:inline-flex;flex-direction:column;box-sizing:border-box;background-color:#222;width:auto;max-width:320px;padding:10px;border:1px solid #313131;position:absolute;text-align:left;bottom:-50px;left:135px;z-index:300}@media screen and (max-width: 374px){.post-admin-menu{left:50px}}.post-admin-menu h3{margin-top:0;color:#ddd;font-size:1em}.post-admin-menu ul{list-style:none;margin:10px 0 0 0}.post-admin-menu li{margin-bottom:5px}.post-admin-menu li .d-icon{width:14px;margin-right:10px}.embedded-posts .topic-meta-data h5 a{margin-left:10px}.post-action{float:right;margin-right:10px;clear:right}.post-action .relative-date{margin-left:5px}a.reply-to-tab{z-index:2;color:#919191;margin-right:0.5em}.topic-post .boxed .contents{clear:both}.topic-map{margin:10px 0}.topic-map h4{line-height:1.2}.topic-map .user{float:left;margin-right:10px}.topic-map .map-collapsed .secondary{display:none}.topic-map .map li{float:left;padding:7px 8px}.topic-map .map li:last-of-type{border-right:0}.topic-map .map .number{line-height:1.2}.topic-map .map .number,.topic-map .map .d-icon{color:#bdbdbd;font-size:1.1487em}.topic-map .map .avatar+a{float:left}.topic-map li.avatars{display:none}.topic-map .links,.topic-map .information,.topic-map .avatars{padding:10px;color:#ddd;overflow:auto}.topic-map .information p{margin:0 0 10px 0}.topic-map .buttons .btn{border:0;padding:0 15px;color:#646464;background:#3c3c3c;border-left:1px solid #313131}.topic-map .buttons .btn .fa{margin:0;font-size:1.3195em;line-height:52px}.topic-map .link-summary .btn{color:#646464;background:#3c3c3c;width:100%}#topic-footer-buttons{padding:20px 0 0 0}#topic-footer-buttons:before,#topic-footer-buttons:after{content:"";display:table}#topic-footer-buttons:after{clear:both}#topic-footer-buttons .d-icon-bookmark.bookmarked{color:#0f82af}#topic-footer-buttons .combobox{margin-right:0.5em;width:160px;margin-bottom:0.5em}#topic-footer-buttons .topic-notifications-button,#topic-footer-buttons .pinned-button{display:flex;align-items:center}@media screen and (max-width: 350px){#topic-footer-buttons .topic-notifications-button,#topic-footer-buttons .pinned-button{display:inline-block}#topic-footer-buttons .topic-notifications-button .reason,#topic-footer-buttons .pinned-button .reason{display:block;margin:0.5em 0 0 0}}#topic-footer-button{width:100px;margin:0 auto}.suggested-topics{clear:left;padding:20px 0 15px 0}.suggested-topics th.views,.suggested-topics td.views,.suggested-topics td.activity,.suggested-topics th.activity,.suggested-topics th.likes,.suggested-topics td.likes{display:none}.suggested-topics a.badge-category,.suggested-topics a.badge-category-parent{font-size:.8706em;vertical-align:top}span.post-count{background:#ddd;color:#222;opacity:0.8}#topic-footer-buttons .btn{margin-bottom:0.5em;margin-right:0.5em}#topic-title{z-index:2;margin:0 0 0 0 !important;padding:15px 0}.topic-body{overflow:visible}.topic-body .cooked{overflow:visible}[class*="archetype-"] #main-outlet{overflow:hidden}.quote-button.visible{display:block;z-index:600}iframe{max-width:100%}.open>.dropdown-menu{display:block}.dropdown-menu li{margin:5px 0}.dropdown-menu li .fa{float:left;margin-right:5px;padding-top:1px}.dropdown-menu li span{color:#919191}.dropdown-menu li span.title{color:#ddd}.btn-group{margin-top:25px;position:relative}.dropdown-toggle{float:left;position:relative}.selected-posts{padding:0.1em 0.7em}.select-posts button{display:none}button.select-post{display:inline-block}.deleted .topic-body{background-color:rgba(99,30,13,0.7)}.deleted-user-avatar{font-size:2em}span.btn-text{display:none}blockquote{clear:both;margin-left:0;margin-right:0}.gap{padding:0.25em 0}.posts-wrapper{position:relative}span.highlighted{background-color:#22170b}.topic-avatar{float:left;margin-right:10px;z-index:2}.topic-meta-data{margin-left:50px;font-size:.8706em}.topic-meta-data .names{line-height:1.2;display:flex;flex-wrap:wrap}.topic-meta-data .names .full-name{font-weight:bold}.topic-meta-data .names .first{order:1}.topic-meta-data .names .poster-icon{order:2}.topic-meta-data .names .second{order:3;flex-basis:100%}.topic-meta-data .names .user-title{order:4;flex-basis:100%}.topic-meta-data .names span{margin-right:4px}.username.new-user a{color:#7a7a7a}.user-title{color:#909090;overflow:hidden;margin-right:50px}.read-state{display:none}.signup-cta{margin-left:auto;margin-right:auto;width:calc(100% - 50px)}.signup-cta a{margin-top:7px}.signup-cta button{margin-right:7px}.popup-menu h3{margin-bottom:0}.post-notice{margin-bottom:1em}.post-notice.old{border-top:none;padding-top:0}.post-info a{color:#909090}.topic-meta-data-inside{float:right;margin-top:-38px;margin-right:5px}.post-info{display:inline-block}#topic-title{margin:0 60px 10px 0}#topic-title h1{font-size:1.5157em;line-height:1.2}#topic-title h1 a{color:#ddd;vertical-align:middle;word-wrap:break-word}#topic-title .title-category-wrapper{margin-top:5px}#topic-title .private-message-glyph{display:none}.private_message #topic-title .private-message-glyph{display:inline}.topic-status-info{padding-left:10px;border-top:1px solid #313131;padding-top:10px}.topic-status-info h3{margin:0;display:flex}.topic-status-info h3 button{align-self:flex-start}#topic-progress-wrapper{position:fixed;right:0;bottom:0;z-index:100}#topic-progress-wrapper:not(.docked){margin-bottom:env(safe-area-inset-bottom)}#topic-progress-expanded{border:1px solid #313131;padding:5px;background:#222;position:absolute;bottom:34px;width:135px}#topic-progress-expanded button.full{width:100%;margin-bottom:5px}#topic-progress-expanded button.full .d-icon{display:block;margin-top:2px;margin-bottom:2px;font-size:1.3195em}#topic-progress-expanded .jump-form input[type="text"]{float:left;width:45px;height:20px;text-align:center;font-size:1.1487em}#topic-progress-expanded .jump-form button.btn{float:right !important;width:55px}#topic-progress-expanded button.btn.jump-prompt{margin:0}#topic-progress-expanded button.btn.jump-bottom{margin-top:5px;margin-bottom:0}#topic-progress{position:relative;background-color:#222;color:#0f82af;border:1px solid #052e3d;width:145px;height:42px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}#topic-progress.hidden{display:none}#topic-progress .nums{position:relative;top:12px;width:100%;text-align:center;z-index:1}#topic-progress h4{display:inline;font-size:1.3195em;line-height:1}#topic-progress .d-icon{position:absolute;right:8px;bottom:9px;z-index:1}#topic-progress .bg{position:absolute;top:0;bottom:0;width:0;border-right:1px solid #052e3d;background-color:#052e3d;transition:width 0.75s}.topic-error,.topic-notice{padding:18px;width:90%;margin-left:auto;margin-right:auto;font-size:1.7511em;line-height:1.2}.topic-error .topic-retry,.topic-error .topic-join-group,.topic-notice .topic-retry,.topic-notice .topic-join-group{display:block;margin-top:20px;margin-left:auto;margin-right:auto}#topic-progress-wrapper.docked{position:absolute}.topic-post:last-of-type{padding-bottom:40px}sup sup,sub sup,sup sub,sub sub{top:0}#topic-title .title-wrapper{position:relative;float:none;width:100%}#topic-title .title-wrapper input#edit-title{width:100%}#topic-title .title-wrapper .select-kit.combo-box.category-chooser{width:100%;margin-top:0}#topic-title .title-wrapper .topic-statuses{line-height:1}.topic-timeline .start-date,.topic-timeline .now-date{font-size:1.1487em;padding:5px}.topic-timeline .topic-category{margin-bottom:0.5rem}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -10px -10px -10px;padding:10px}.edit-topic-timer-modal .btn.pull-right{margin-right:0}.topic-footer-main-buttons{display:flex;align-items:center;flex-wrap:wrap}.upload-selector input[type="text"]{width:calc(100% - 20px)}.upload-selector input[type="file"]{font-size:1em;line-height:1.2}.upload-selector .description{color:#909090}.upload-selector .radios{display:flex;flex-wrap:wrap;align-items:center}.upload-selector .radios:first-of-type{margin-bottom:1em}.upload-selector .radios input,.upload-selector .radios label{min-height:20px;line-height:1.2;margin:0}.upload-selector .radios .radio{padding-left:5px}.upload-selector .radios .inputs{margin-top:10px;width:100%}.uploaded-image-preview{height:150px}.user-content-wrapper{display:grid;grid-template-columns:1fr 1fr;grid-template-rows:auto auto auto;grid-row-gap:20px;grid-column-gap:16px}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-row-start:1;grid-column-end:2}.user-content-wrapper .user-secondary-navigation{grid-column-start:2;grid-row-start:1}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:1}.user-content-wrapper .user-additional-controls{grid-column-start:1;grid-row-start:2}.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:3;grid-column-start:1}.user-main{margin-top:12px}.user-main .user-content{box-sizing:border-box;background-color:#222}.user-main .user-content table{width:100%;margin-top:12px}.user-main .about{margin-bottom:0;color:#222}.user-main .about .secondary dl{padding:8px 0}.user-main .about .details{margin-bottom:12px}.user-main .about .details h1{line-height:1}.user-main .about .details h2{line-height:1.2}.user-main .about .details .user-profile-avatar{display:block;float:none;margin:8px auto}.user-main .about .details .user-profile-avatar .avatar-flair{right:2px}.user-main .about .details .user-profile-avatar img.avatar{float:none}.user-main .about .details .user-profile-names{text-align:center}.user-main .about .details .location-and-website{display:flex;flex-wrap:wrap;justify-content:center;font-size:1em}.user-main .about .details .location-and-website .d-icon{width:0.8em;height:0.8em;margin-right:0.25em}.user-main .about .details .location-and-website a{text-decoration:underline}.user-main .about .details .user-profile-location{margin-right:1em}.user-main .about .details .user-profile-location,.user-main .about .details .user-profile-website{justify-content:center;display:flex;align-items:center}.user-main .about .primary{display:flex;flex-wrap:wrap;color:#ddd}.user-main .about .primary .avatar{margin:0 0 12px}.user-main .about .primary .primary-textual{flex:1 1 100%;word-break:break-word;margin:0;max-width:100%}.user-main .about .primary .bio{color:#ddd;margin:0 auto 8px;max-width:700px;text-align:center}.user-main .about.has-background .user-profile-image{height:200px}.user-main .about.has-background .user-profile-avatar{margin-top:-60px}.user-main .about .controls{order:3;flex:1 1 25%;margin-left:auto}.user-main .about .controls ul{margin:0;display:flex;flex:1 1 auto;flex-wrap:wrap;margin-left:-1em}.user-main .about .controls ul li,.user-main .about .controls ul>span{display:flex;flex:1 1 45%;margin-left:1em}.user-main .about .controls ul li button,.user-main .about .controls ul li a,.user-main .about .controls ul>span button,.user-main .about .controls ul>span a{width:100%}.user-main .about .controls ul li .select-kit.dropdown-select-box.user-notifications-dropdown,.user-main .about .controls ul>span .select-kit.dropdown-select-box.user-notifications-dropdown{width:100%}.user-main .about .controls ul li .select-kit.dropdown-select-box.user-notifications-dropdown li,.user-main .about .controls ul>span .select-kit.dropdown-select-box.user-notifications-dropdown li{flex:1 1 100%;margin-left:0}.user-main .about .controls .user-profile-controls-outlet{margin:0 0 0 1em}.user-main .about .controls .user-profile-controls-outlet li{margin:0}.user-main .about .controls a{flex:1 1 auto;min-width:120px}.user-main .user-field label{width:auto;text-align:left;font-weight:bold}.user-main .collapsed-info.about.has-background{background-image:none !important}.user-main .collapsed-info.about.has-background .details{margin-top:0}.user-main .collapsed-info.about .details{display:flex}.user-main .collapsed-info.about .details .user-profile-avatar{margin:0;flex:0 0 auto;align-self:flex-start}.user-main .collapsed-info.about .details .primary .primary-textual{flex:1 0 80%;margin:0}.user-main .collapsed-info.about .details .user-profile-names{text-align:left}.form-horizontal .control-group.category{margin-top:18px}.paginated-topics-list{margin-top:20px}.stats-section li{margin:0 15px 10px 0;padding:0}.stats-section li.linked-stat a{padding:0}.badge-card.medium{width:100%}.user-badges{margin-bottom:2em}.user-preferences{padding-bottom:2em}.user-preferences .instructions{margin-top:4px}.user-preferences .controls-dropdown{margin-bottom:16px}.user-preferences .delete-account{overflow:hidden}.user-preferences .checkbox-label{display:flex;overflow:auto;width:100%;padding:5px 0}.user-preferences .checkbox-label input{margin-right:5px;flex:0 0 auto}.user-preferences .apps .controls button{float:right}.user-right>.alert:first-child,.user-right>.user-stream>.alert:first-child{margin-top:20px}.user-invites-page .admin-controls{flex-wrap:wrap}.user-invites-page .admin-controls .pull-right{flex:1 1 100%;font-size:.8706em;padding:0}.user-invites-page table tr:first-of-type{display:none}.user-invites-page table tr{display:flex;flex-wrap:wrap;margin-bottom:1em}.user-invites-page table td:first-of-type{margin-right:1em}.user-invites-page table td:nth-of-type(n+3){display:block;width:50%;padding:0.25em 0 1em 0}.user-invites-page .user-invite-none{margin-top:1em}.modal.history-modal button{float:none}.modal.history-modal .modal-body{height:62vh}.modal.history-modal .modal-inner-container{min-height:400px}.modal.history-modal #revisions{max-width:90vw}.modal.history-modal #display-modes{display:none}.modal.history-modal #revision-numbers{line-height:1.4}.modal.history-modal img{max-width:95%;height:auto}.modal.history-modal .revision-content table{table-layout:fixed;width:100%;word-wrap:break-word}.modal.history-modal .modal-footer{text-align:center}.modal.history-modal #revision-controls{margin-bottom:5px}.lightbox .meta,.lightbox:hover .meta{opacity:0.7;transition:none}.meta{align-items:center;background:#222;color:#a6a6a6;height:25px;width:25px;bottom:0;right:0}.meta .filename,.meta .informations,.meta .d-icon-far-image{display:none}.meta .d-icon-discourse-expand{color:#a6a6a6}.directory .select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{font-size:1.1487em;margin-bottom:0.25em}.directory .filter-name{float:left}.directory .total-rows{color:#909090;padding:5px}.directory .user{border-top:1px solid #313131;padding:1em;display:flex;flex-wrap:wrap}.directory .user .user-info{width:100%;margin-bottom:1em}.directory .user .user-stat{flex:1 1 50%}.directory .user .user-stat .value{font-weight:bold}.directory .user .user-stat .label{margin-left:0.2em;color:#909090}.directory .user .user-stat .d-icon-heart{color:#fa6c8d}.search-container{flex-direction:column;margin-top:0.5em}.search-container .search-advanced{order:1;width:100%}.search-container .search-advanced .search-info{flex-direction:column;align-items:left;justify-content:center}.search-container .search-advanced .search-info .sort-by{display:flex;align-items:center;margin-top:0.5em;margin-left:0;width:100%}.search-container .search-advanced .search-info .sort-by .select-kit{flex:1 1 auto}.search-container .search-notice{margin-top:1em}.search-container .search-advanced-sidebar{order:0;width:100%;margin:0}.search-container .search-advanced-sidebar .tag-chooser{width:100%}.fps-topic{max-width:75%}.emoji-picker{max-height:280px;border:none}.emoji-picker .category-icon{margin:2px}.ring{top:-7px !important}.ring-first-notification{top:40px}.group{margin-top:15px}.group-name{margin:5px 0 0 0}.group-nav{width:100%}.group-activity,.group-manage{position:relative}.group-members .group-member{border-top:1px solid #313131}.group-members .group-member .user-info{margin:0;padding:0.5em;width:98%}.group-members .group-member .btn-group{margin-top:0}.group-members .group-member .group-member-info{color:#909090}.group-members .group-member .group-member-info label{margin-bottom:0;font-weight:bold;display:inline-block}.dashboard .activity-metrics .counters-list,.dashboard-next .activity-metrics .counters-list{font-size:.8706em}.dashboard .navigation a.navigation-link,.dashboard-next .navigation a.navigation-link{padding:0.5em}.mobile-view .admin-badges .badges{margin:0 0.25em}.mobile-view .admin-badges .badges .content-list{flex:0 0 100%}.mobile-view .admin-badges .badges .content-list .admin-badge-list{max-height:40vh;margin-right:0}.mobile-view .admin-badges .badge-intro{flex:0 1 75%}.mobile-view .admin-badges .current-badge{margin:20px 0;width:100%}.mobile-view .admin-badges .current-badge textarea{width:100%}.mobile-view .admin-badges input[type="text"]{width:100%}.admin-customize .show-current-style{padding:0;width:100%}.admin-customize .themes-list{width:100%;margin-bottom:1em}.admin-customize .form-horizontal.theme.settings .setting-label,.admin-customize .admin-container .select-kit{width:100%}.admin-customize .admin-container{display:flex;flex-wrap:wrap}.admin-reports .admin-report .body{flex-direction:column}.admin-reports .admin-report .body .filters{order:0;margin:0;width:100%}.admin-reports .admin-report .body .main{order:2}.admin-reports .admin-report .body .report-alert{margin:0;order:1;flex:1 0 0px;padding:1em}.admin-report.post-edits .admin-report-table .report-table thead tr th.edit_reason,.admin-report.post-edits .admin-report-table .report-table tbody tr td.edit_reason{width:auto}.admin-report.trending-search .admin-report-table .report-table thead tr th.term,.admin-report.trending-search .admin-report-table .report-table tbody tr td.term{width:50%}.admin-report-table .table{font-size:.8706em}.admin-report-table .table .admin-report-table-header{font-weight:500;border-right:1px solid #313131;padding:auto}.admin-report-table .table .admin-report-table-header .title{writing-mode:vertical-rl;text-orientation:mixed;text-align:right;transform:rotate(180deg)}.admin-report-table .table .admin-report-table-header .sort-btn{display:none}.admin-report-table .table tbody tr td.user .username{display:none}.counters-list .counters-header .counters-cell{font-weight:normal}.hamburger-panel .menu-panel.slide-in{left:0}.header-cloak{height:100vh;width:100vw;position:fixed;background-color:black;opacity:0.5;top:0;left:0;display:none;touch-action:pan-y pinch-zoom}.header-cloak.animate{transition:opacity 0.2s ease-out}.reviewable .reviewable-container{flex-direction:column}.reviewable .reviewable-container .reviewable-list{order:2;width:100%;padding-bottom:4em}.reviewable .reviewable-container .reviewable-filters{order:1;margin:0;padding:0.5em;width:100%}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin:0 0 0.5em 0}.reviewable .reviewable-scores{width:100%}.reviewable-filters{background-color:#282828;padding:0.5em 1em 1em 1em;margin-bottom:1em}.reviewable-filters .reviewable-filters-actions{display:flex;justify-content:space-between}.reviewable-filters .reviewable-filter{margin:0 0 0.5em 0}.reviewable-filters .reviewable-filter .filter-label{margin:0}.reviewable-contents .reviewable-post-header,.reviewable-contents .post-body{max-width:100%}.reviewable-contents .reviewable-post-header p,.reviewable-contents .post-body p{overflow-x:scroll}.reviewable-actions{margin-right:-0.5em}.reviewable-actions>div,.reviewable-actions>button{flex:0 1 47%;margin-right:0.25em;margin-bottom:0.5em}.reviewable-actions .reviewable-action,.reviewable-actions .reviewable-action-dropdown .dropdown-select-box-header{display:flex;align-items:center;justify-content:center}.reviewable-actions .reviewable-action .d-icon,.reviewable-actions .reviewable-action-dropdown .dropdown-select-box-header .d-icon{margin:0 0.15 0 0}.reviewable-scores-and-history table{width:100%}.topic-footer-mobile-dropdown .select-kit-row.bookmarked .d-icon{color:#0f82af}#user-card,#group-card{position:fixed;z-index:1102;max-width:95vw;margin:0 2.5vw;max-height:90vh}#user-card .first-row,#group-card .first-row{flex-wrap:wrap}#user-card .first-row .names,#group-card .first-row .names{flex:1 1 calc(100% - 120px);box-sizing:border-box}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{display:flex;flex:1;margin-top:1em;max-width:100%}#user-card .first-row .usercard-controls li,#group-card .first-row .usercard-controls li{flex:1;min-width:0}#user-card .first-row .usercard-controls li:nth-child(2),#group-card .first-row .usercard-controls li:nth-child(2){border-left:0.5em solid transparent}#user-card .first-row .usercard-controls li button,#group-card .first-row .usercard-controls li button{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#user-card h1,#group-card h1{font-size:1.5157em}#user-card h1 .d-icon,#group-card h1 .d-icon{font-size:.7579em}#user-card h2,#group-card h2{font-size:1em}#user-card h3,#group-card h3{font-size:.8706em}#user-card .sixth-row .badge-section{flex-wrap:wrap}#user-card .sixth-row .badge-section>span{display:flex;flex:0 1 50%;max-width:50%;padding:2px 0;box-sizing:border-box}#user-card .sixth-row .badge-section>span:nth-of-type(1),#user-card .sixth-row .badge-section>span:nth-of-type(3){padding-right:4px}#user-card .sixth-row .badge-section>span a{width:100%;display:flex}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{display:flex;margin:0;width:100%}.card-cloak{position:fixed;top:0;left:0;z-index:1101;height:100vh;width:100vw;background-color:rgba(0,0,0,0.5);animation:fadein 0.2s}.user-stream .item,.user-stream .user-stream-item{padding:20px 0 15px 0}.user-stream .name{vertical-align:middle}.user-stream .notification.unread{background-color:#203b4b}.user-stream .group-member-info .name{vertical-align:inherit}.select-kit.combo-box.tag-drop .tag-drop-header{font-size:1em}.select-kit.combo-box.tag-drop .tag-drop-header .d-icon{font-size:1em}.select-kit.combo-box.tag-drop .select-kit-row{font-weight:normal}.select-kit.combo-box.category-drop .category-drop-header{font-size:1em}.select-kit.combo-box.category-drop .category-drop-header .d-icon{font-size:1em}.select-kit.combo-box.category-drop .select-kit-row{font-weight:normal}.select-kit.dropdown-select-box .select-kit-collection{max-height:200px;overflow-y:auto}\n\n/*# sourceMappingURL=mobile_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:34.335797	2019-12-05 04:03:34.335797	-1	{\n\t"version": 3,\n\t"file": "mobile.css",\n\t"sources": [\n\t\t"mobile.scss",\n\t\t"app/assets/stylesheets/common.scss",\n\t\t"app/assets/stylesheets/vendor/normalize.scss",\n\t\t"app/assets/stylesheets/vendor/pikaday.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/helpers.scss",\n\t\t"app/assets/stylesheets/common/foundation/base.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/spacing.scss",\n\t\t"app/assets/stylesheets/common/select-kit/categories-admin-dropdown.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-drop.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-row.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-selector.scss",\n\t\t"app/assets/stylesheets/common/select-kit/combo-box.scss",\n\t\t"app/assets/stylesheets/common/select-kit/composer-actions.scss",\n\t\t"app/assets/stylesheets/common/select-kit/dropdown-select-box.scss",\n\t\t"app/assets/stylesheets/common/select-kit/future-date-input-selector.scss",\n\t\t"app/assets/stylesheets/common/select-kit/list-setting.scss",\n\t\t"app/assets/stylesheets/common/select-kit/mini-tag-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/multi-select.scss",\n\t\t"app/assets/stylesheets/common/select-kit/notifications-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/period-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/pinned-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/select-kit.scss",\n\t\t"app/assets/stylesheets/common/select-kit/tag-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/tag-drop.scss",\n\t\t"app/assets/stylesheets/common/select-kit/toolbar-popup-menu-options.scss",\n\t\t"app/assets/stylesheets/common/select-kit/topic-notifications-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/user-notifications-dropdown.scss",\n\t\t"app/assets/stylesheets/common/select-kit/color-palettes.scss",\n\t\t"app/assets/stylesheets/common/components/svg.scss",\n\t\t"app/assets/stylesheets/common/components/date-time-input-range.scss",\n\t\t"app/assets/stylesheets/common/components/navs.scss",\n\t\t"app/assets/stylesheets/common/components/buttons.scss",\n\t\t"app/assets/stylesheets/common/components/keyboard_shortcuts.scss",\n\t\t"app/assets/stylesheets/common/components/date-time-input.scss",\n\t\t"app/assets/stylesheets/common/components/group-member-dropdown.scss",\n\t\t"app/assets/stylesheets/common/components/banner.scss",\n\t\t"app/assets/stylesheets/common/components/ignored-user-list.scss",\n\t\t"app/assets/stylesheets/common/components/date-input.scss",\n\t\t"app/assets/stylesheets/common/components/time-input.scss",\n\t\t"app/assets/stylesheets/common/components/groups-form-membership-fields.scss",\n\t\t"app/assets/stylesheets/common/components/conditional-loading-section.scss",\n\t\t"app/assets/stylesheets/common/components/hashtag.scss",\n\t\t"app/assets/stylesheets/common/components/convert-to-public-topic-modal.scss",\n\t\t"app/assets/stylesheets/common/components/date-picker.scss",\n\t\t"app/assets/stylesheets/common/components/user-card.scss",\n\t\t"app/assets/stylesheets/common/components/footer-nav.scss",\n\t\t"app/assets/stylesheets/common/components/share-and-invite-modal.scss",\n\t\t"app/assets/stylesheets/common/components/user-stream-item.scss",\n\t\t"app/assets/stylesheets/common/components/badges.scss",\n\t\t"app/assets/stylesheets/common/components/user-info.scss",\n\t\t"app/assets/stylesheets/common/components/user-stream.scss",\n\t\t"app/assets/stylesheets/common/input_tip.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/topic-entrance.scss",\n\t\t"app/assets/stylesheets/common/printer-friendly.scss",\n\t\t"app/assets/stylesheets/common/base/about.scss",\n\t\t"app/assets/stylesheets/common/base/faqs.scss",\n\t\t"app/assets/stylesheets/common/base/crawler_layout.scss",\n\t\t"app/assets/stylesheets/common/base/composer-user-selector.scss",\n\t\t"app/assets/stylesheets/common/base/discourse.scss",\n\t\t"app/assets/stylesheets/common/base/exception.scss",\n\t\t"app/assets/stylesheets/common/base/category-list.scss",\n\t\t"app/assets/stylesheets/common/base/share_link.scss",\n\t\t"app/assets/stylesheets/common/base/ember-select.scss",\n\t\t"app/assets/stylesheets/common/base/upload.scss",\n\t\t"app/assets/stylesheets/common/base/search.scss",\n\t\t"app/assets/stylesheets/common/base/onebox.scss",\n\t\t"app/assets/stylesheets/common/base/header.scss",\n\t\t"app/assets/stylesheets/common/base/bbcode.scss",\n\t\t"app/assets/stylesheets/common/base/activation.scss",\n\t\t"app/assets/stylesheets/common/base/topic-admin-menu.scss",\n\t\t"app/assets/stylesheets/common/base/lightbox.scss",\n\t\t"app/assets/stylesheets/common/base/cat_reorder.scss",\n\t\t"app/assets/stylesheets/common/base/edit-topic-status-update-modal.scss",\n\t\t"app/assets/stylesheets/common/base/redirection.scss",\n\t\t"app/assets/stylesheets/common/base/rtl.scss",\n\t\t"app/assets/stylesheets/common/base/search-menu.scss",\n\t\t"app/assets/stylesheets/common/base/user-badges.scss",\n\t\t"app/assets/stylesheets/common/base/reviewables.scss",\n\t\t"app/assets/stylesheets/common/base/shared-drafts.scss",\n\t\t"app/assets/stylesheets/common/base/explain-reviewable.scss",\n\t\t"app/assets/stylesheets/common/base/colorpicker.scss",\n\t\t"app/assets/stylesheets/common/base/history.scss",\n\t\t"app/assets/stylesheets/common/base/d-popover.scss",\n\t\t"app/assets/stylesheets/common/base/username_tagsinput.scss",\n\t\t"app/assets/stylesheets/common/base/d-icon.scss",\n\t\t"app/assets/stylesheets/common/base/directory.scss",\n\t\t"app/assets/stylesheets/common/base/alert.scss",\n\t\t"app/assets/stylesheets/common/base/group.scss",\n\t\t"app/assets/stylesheets/common/base/emoji.scss",\n\t\t"app/assets/stylesheets/common/base/_topic-list.scss",\n\t\t"app/assets/stylesheets/common/base/user.scss",\n\t\t"app/assets/stylesheets/common/base/tagging.scss",\n\t\t"app/assets/stylesheets/common/base/compose.scss",\n\t\t"app/assets/stylesheets/common/base/magnific-popup.scss",\n\t\t"app/assets/stylesheets/common/base/topic-post.scss",\n\t\t"app/assets/stylesheets/common/base/topic.scss",\n\t\t"app/assets/stylesheets/common/base/request_access.scss",\n\t\t"app/assets/stylesheets/common/base/code_highlighting.scss",\n\t\t"app/assets/stylesheets/common/base/tooltip.scss",\n\t\t"app/assets/stylesheets/common/base/not-found.scss",\n\t\t"app/assets/stylesheets/common/base/modal.scss",\n\t\t"app/assets/stylesheets/common/base/groups.scss",\n\t\t"app/assets/stylesheets/common/base/login.scss",\n\t\t"app/assets/stylesheets/common/base/menu-panel.scss",\n\t\t"app/assets/stylesheets/common/base/request-group-membership-form.scss",\n\t\t"app/assets/stylesheets/common/d-editor.scss",\n\t\t"app/assets/stylesheets/common/topic-timeline.scss",\n\t\t"app/assets/stylesheets/mobile/buttons.scss",\n\t\t"app/assets/stylesheets/mobile/alert.scss",\n\t\t"app/assets/stylesheets/mobile/banner.scss",\n\t\t"app/assets/stylesheets/mobile/compose.scss",\n\t\t"app/assets/stylesheets/mobile/discourse.scss",\n\t\t"app/assets/stylesheets/mobile/header.scss",\n\t\t"app/assets/stylesheets/mobile/login.scss",\n\t\t"app/assets/stylesheets/mobile/modal.scss",\n\t\t"app/assets/stylesheets/mobile/topic-list.scss",\n\t\t"app/assets/stylesheets/mobile/topic-post.scss",\n\t\t"app/assets/stylesheets/mobile/topic.scss",\n\t\t"app/assets/stylesheets/mobile/upload.scss",\n\t\t"app/assets/stylesheets/mobile/user.scss",\n\t\t"app/assets/stylesheets/mobile/history.scss",\n\t\t"app/assets/stylesheets/mobile/lightbox.scss",\n\t\t"app/assets/stylesheets/mobile/directory.scss",\n\t\t"app/assets/stylesheets/mobile/search.scss",\n\t\t"app/assets/stylesheets/mobile/emoji.scss",\n\t\t"app/assets/stylesheets/mobile/ring.scss",\n\t\t"app/assets/stylesheets/mobile/group.scss",\n\t\t"app/assets/stylesheets/mobile/dashboard.scss",\n\t\t"app/assets/stylesheets/mobile/admin_badges.scss",\n\t\t"app/assets/stylesheets/mobile/admin_customize.scss",\n\t\t"app/assets/stylesheets/mobile/admin_reports.scss",\n\t\t"app/assets/stylesheets/mobile/admin_report.scss",\n\t\t"app/assets/stylesheets/mobile/admin_report_table.scss",\n\t\t"app/assets/stylesheets/mobile/admin_report_counters.scss",\n\t\t"app/assets/stylesheets/mobile/menu-panel.scss",\n\t\t"app/assets/stylesheets/mobile/reviewables.scss",\n\t\t"app/assets/stylesheets/mobile/components/topic-footer-mobile-dropdown.scss",\n\t\t"app/assets/stylesheets/mobile/components/user-card.scss",\n\t\t"app/assets/stylesheets/mobile/components/user-stream-item.scss",\n\t\t"app/assets/stylesheets/mobile/select-kit/tag-drop.scss",\n\t\t"app/assets/stylesheets/mobile/select-kit/category-drop.scss",\n\t\t"app/assets/stylesheets/mobile/select-kit/dropdown-select-box.scss",\n\t\t"category_background.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common\\";\\n\\n/* @import \\"mobile/*\\"; TODO: get this working again */\\n\\n@import \\"mobile/buttons\\";\\n@import \\"mobile/alert\\";\\n@import \\"mobile/banner\\";\\n@import \\"mobile/compose\\";\\n@import \\"mobile/discourse\\";\\n@import \\"mobile/header\\";\\n@import \\"mobile/login\\";\\n@import \\"mobile/modal\\";\\n@import \\"mobile/topic-list\\";\\n@import \\"mobile/topic-post\\";\\n@import \\"mobile/topic\\";\\n@import \\"mobile/upload\\";\\n@import \\"mobile/user\\";\\n@import \\"mobile/history\\";\\n@import \\"mobile/lightbox\\";\\n@import \\"mobile/directory\\";\\n@import \\"mobile/search\\";\\n@import \\"mobile/emoji\\";\\n@import \\"mobile/ring\\";\\n@import \\"mobile/group\\";\\n@import \\"mobile/dashboard\\";\\n@import \\"mobile/admin_badges\\";\\n@import \\"mobile/admin_customize\\";\\n@import \\"mobile/admin_reports\\";\\n@import \\"mobile/admin_report\\";\\n@import \\"mobile/admin_report_table\\";\\n@import \\"mobile/admin_report_counters\\";\\n@import \\"mobile/menu-panel\\";\\n@import \\"mobile/reviewables\\";\\n\\n// Import all component-specific files\\n@import \\"mobile/components/*\\";\\n\\n@import \\"mobile/select-kit/*\\";\\n\\n/* These files doesn't actually exist, they are injected by Stylesheet::Compiler. */\\n\\n@import \\"category_backgrounds\\";\\n",\n\t\t"@import \\"vendor/normalize\\";\\n@import \\"vendor/pikaday\\";\\n@import \\"common/foundation/helpers\\";\\n@import \\"common/foundation/base\\";\\n@import \\"common/foundation/mixins\\";\\n@import \\"common/foundation/variables\\";\\n@import \\"common/foundation/spacing\\";\\n@import \\"common/select-kit/categories-admin-dropdown\\";\\n@import \\"common/select-kit/category-chooser\\";\\n@import \\"common/select-kit/category-drop\\";\\n@import \\"common/select-kit/category-row\\";\\n@import \\"common/select-kit/category-selector\\";\\n@import \\"common/select-kit/combo-box\\";\\n@import \\"common/select-kit/composer-actions\\";\\n@import \\"common/select-kit/dropdown-select-box\\";\\n@import \\"common/select-kit/future-date-input-selector\\";\\n@import \\"common/select-kit/list-setting\\";\\n@import \\"common/select-kit/mini-tag-chooser\\";\\n@import \\"common/select-kit/multi-select\\";\\n@import \\"common/select-kit/notifications-button\\";\\n@import \\"common/select-kit/period-chooser\\";\\n@import \\"common/select-kit/pinned-button\\";\\n@import \\"common/select-kit/select-kit\\";\\n@import \\"common/select-kit/tag-chooser\\";\\n@import \\"common/select-kit/tag-drop\\";\\n@import \\"common/select-kit/toolbar-popup-menu-options\\";\\n@import \\"common/select-kit/topic-notifications-button\\";\\n@import \\"common/select-kit/user-notifications-dropdown\\";\\n@import \\"common/select-kit/color-palettes\\";\\n@import \\"common/components/*\\";\\n@import \\"common/input_tip\\";\\n@import \\"common/topic-entrance\\";\\n@import \\"common/printer-friendly\\";\\n@import \\"common/base/*\\";\\n@import \\"common/d-editor\\";\\n@import \\"common/topic-timeline\\";\\n",\n\t\t"/*! normalize.css v3.0.1 | MIT License | git.io/normalize */\\n\\n/**\\n * 1. Set default font family to sans-serif.\\n * 2. Prevent iOS text size adjust after orientation change, without disabling\\n *    user zoom.\\n */\\n\\nhtml {\\n  font-family: sans-serif; /* 1 */\\n  -ms-text-size-adjust: 100%; /* 2 */\\n  -webkit-text-size-adjust: 100%; /* 2 */\\n}\\n\\n/**\\n * Remove default margin.\\n */\\n\\nbody {\\n  margin: 0;\\n}\\n\\n/* HTML5 display definitions\\n   ========================================================================== */\\n\\n/**\\n * Correct `block` display not defined for any HTML5 element in IE 8/9.\\n * Correct `block` display not defined for `details` or `summary` in IE 10/11 and Firefox.\\n * Correct `block` display not defined for `main` in IE 11.\\n */\\n\\narticle,\\naside,\\ndetails,\\nfigcaption,\\nfigure,\\nfooter,\\nheader,\\nhgroup,\\nmain,\\nnav,\\nsection,\\nsummary {\\n  display: block;\\n}\\n\\n/**\\n * 1. Correct `inline-block` display not defined in IE 8/9.\\n * 2. Normalize vertical alignment of `progress` in Chrome, Firefox, and Opera.\\n */\\n\\naudio,\\ncanvas,\\nprogress,\\nvideo {\\n  display: inline-block; /* 1 */\\n  vertical-align: baseline; /* 2 */\\n}\\n\\n/**\\n * Prevent modern browsers from displaying `audio` without controls.\\n * Remove excess height in iOS 5 devices.\\n */\\n\\naudio:not([controls]) {\\n  display: none;\\n  height: 0;\\n}\\n\\n/**\\n * Address `[hidden]` styling not present in IE 8/9/10.\\n * Hide the `template` element in IE 8/9/11, Safari, and Firefox < 22.\\n */\\n\\n[hidden],\\ntemplate {\\n  display: none;\\n}\\n\\n/* Links\\n   ========================================================================== */\\n\\n/**\\n * Remove the gray background color from active links in IE 10.\\n */\\n\\na {\\n  background: transparent;\\n}\\n\\n/**\\n * Improve readability when focused and also mouse hovered in all browsers.\\n */\\n\\na:active,\\na:hover {\\n  outline: 0;\\n}\\n\\n/* Text-level semantics\\n   ========================================================================== */\\n\\n/**\\n * Address styling not present in IE 8/9/10/11 & Edge\\n */\\n\\n abbr[title], acronym[title] {\\n  text-decoration: underline;\\n  text-decoration-style: dotted; \\n}\\n\\n/**\\n * Address style set to `bolder` in Firefox 4+, Safari, and Chrome.\\n */\\n\\nb,\\nstrong {\\n  font-weight: bold;\\n}\\n\\n/**\\n * Address styling not present in Safari and Chrome.\\n */\\n\\ndfn {\\n  font-style: italic;\\n}\\n\\n/**\\n * Address variable `h1` font-size and margin within `section` and `article`\\n * contexts in Firefox 4+, Safari, and Chrome.\\n */\\n\\nh1 {\\n  font-size: 1.7511em;\\n  margin: 0.67em 0;\\n}\\n\\n/**\\n * Address styling not present in IE 8/9.\\n */\\n\\nmark {\\n  background: #ff0;\\n  color: #000;\\n}\\n\\n/**\\n * Address inconsistent and variable font size in all browsers.\\n */\\n\\nsmall {\\n  font-size: 80%;\\n}\\n\\n/**\\n * Prevent `sub` and `sup` affecting `line-height` in all browsers.\\n */\\n\\nsub,\\nsup {\\n  font-size: 75%;\\n  line-height: 0;\\n  position: relative;\\n  vertical-align: baseline;\\n}\\n\\nsup {\\n  top: -0.5em;\\n}\\n\\nsub {\\n  bottom: -0.25em;\\n}\\n\\n/* Embedded content\\n   ========================================================================== */\\n\\n/**\\n * Remove border when inside `a` element in IE 8/9/10.\\n */\\n\\nimg {\\n  border: 0;\\n}\\n\\n/* Grouping content\\n   ========================================================================== */\\n\\n/**\\n * Address margin not present in IE 8/9 and Safari.\\n */\\n\\nfigure {\\n  margin: 1em 40px;\\n}\\n\\n/**\\n * Address differences between Firefox and other browsers.\\n */\\n\\nhr {\\n  -moz-box-sizing: content-box;\\n  box-sizing: content-box;\\n  height: 0;\\n}\\n\\n/**\\n * Contain overflow in all browsers.\\n */\\n\\npre {\\n  overflow: auto;\\n}\\n\\n/**\\n * Address odd `em`-unit font size rendering in all browsers.\\n */\\n\\ncode,\\nkbd,\\npre,\\nsamp {\\n  font-family: monospace, monospace;\\n  font-size: 1em;\\n}\\n\\n/* Forms\\n   ========================================================================== */\\n\\n/**\\n * Known limitation: by default, Chrome and Safari on OS X allow very limited\\n * styling of `select`, unless a `border` property is set.\\n */\\n\\n/**\\n * 1. Correct color not being inherited.\\n *    Known issue: affects color of disabled elements.\\n * 2. Correct font properties not being inherited.\\n * 3. Address margins set differently in Firefox 4+, Safari, and Chrome.\\n */\\n\\nbutton,\\ninput,\\noptgroup,\\nselect,\\ntextarea {\\n  color: inherit; /* 1 */\\n  font: inherit; /* 2 */\\n  margin: 0; /* 3 */\\n}\\n\\n/**\\n * Address `overflow` set to `hidden` in IE 8/9/10/11.\\n */\\n\\nbutton {\\n  overflow: visible;\\n}\\n\\n/**\\n * Address inconsistent `text-transform` inheritance for `button` and `select`.\\n * All other form control elements do not inherit `text-transform` values.\\n * Correct `button` style inheritance in Firefox, IE 8/9/10/11, and Opera.\\n * Correct `select` style inheritance in Firefox.\\n */\\n\\nbutton,\\nselect {\\n  text-transform: none;\\n}\\n\\n/**\\n * 1. Avoid the WebKit bug in Android 4.0.* where (2) destroys native `audio`\\n *    and `video` controls.\\n * 2. Correct inability to style clickable `input` types in iOS.\\n * 3. Improve usability and consistency of cursor style between image-type\\n *    `input` and others.\\n */\\n\\nbutton,\\nhtml input[type=\\"button\\"], /* 1 */\\ninput[type=\\"reset\\"],\\ninput[type=\\"submit\\"] {\\n  -webkit-appearance: button; /* 2 */\\n  cursor: pointer; /* 3 */\\n}\\n\\n/**\\n * Re-set default cursor for disabled elements.\\n */\\n\\nbutton[disabled],\\nhtml input[disabled] {\\n  cursor: default;\\n}\\n\\n/**\\n * Remove inner padding and border in Firefox 4+.\\n */\\n\\nbutton::-moz-focus-inner,\\ninput::-moz-focus-inner {\\n  border: 0;\\n  padding: 0;\\n}\\n\\n/**\\n * Address Firefox 4+ setting `line-height` on `input` using `!important` in\\n * the UA stylesheet.\\n */\\n\\ninput {\\n  line-height: normal;\\n}\\n\\n/**\\n * It's recommended that you don't attempt to style these elements.\\n * Firefox's implementation doesn't respect box-sizing, padding, or width.\\n *\\n * 1. Address box sizing set to `content-box` in IE 8/9/10.\\n * 2. Remove excess padding in IE 8/9/10.\\n */\\n\\ninput[type=\\"checkbox\\"],\\ninput[type=\\"radio\\"] {\\n  box-sizing: border-box; /* 1 */\\n  padding: 0; /* 2 */\\n}\\n\\n/**\\n * Fix the cursor style for Chrome's increment/decrement buttons. For certain\\n * `font-size` values of the `input`, it causes the cursor style of the\\n * decrement button to change from `default` to `text`.\\n */\\n\\ninput[type=\\"number\\"]::-webkit-inner-spin-button,\\ninput[type=\\"number\\"]::-webkit-outer-spin-button {\\n  height: auto;\\n}\\n\\n/**\\n * 1. Address `appearance` set to `searchfield` in Safari and Chrome.\\n * 2. Address `box-sizing` set to `border-box` in Safari and Chrome\\n *    (include `-moz` to future-proof).\\n */\\n\\ninput[type=\\"search\\"] {\\n  -webkit-appearance: textfield; /* 1 */\\n  -moz-box-sizing: content-box;\\n  -webkit-box-sizing: content-box; /* 2 */\\n  box-sizing: content-box;\\n}\\n\\n/**\\n * Remove inner padding and search cancel button in Safari and Chrome on OS X.\\n * Safari (but not Chrome) clips the cancel button when the search input has\\n * padding (and `textfield` appearance).\\n */\\n\\ninput[type=\\"search\\"]::-webkit-search-cancel-button,\\ninput[type=\\"search\\"]::-webkit-search-decoration {\\n  -webkit-appearance: none;\\n}\\n\\n/**\\n * Define consistent border, margin, and padding.\\n */\\n\\nfieldset {\\n  border: 1px solid #c0c0c0;\\n  margin: 0 2px;\\n  padding: 0.35em 0.625em 0.75em;\\n}\\n\\n/**\\n * 1. Correct `color` not being inherited in IE 8/9/10/11.\\n * 2. Remove padding so people aren't caught out if they zero out fieldsets.\\n */\\n\\nlegend {\\n  border: 0; /* 1 */\\n  padding: 0; /* 2 */\\n}\\n\\n/**\\n * Remove default vertical scrollbar in IE 8/9/10/11.\\n */\\n\\ntextarea {\\n  overflow: auto;\\n}\\n\\n/**\\n * Don't inherit the `font-weight` (applied by a rule above).\\n * NOTE: the default cannot safely be changed in Chrome and Safari on OS X.\\n */\\n\\noptgroup {\\n  font-weight: bold;\\n}\\n\\n/* Tables\\n   ========================================================================== */\\n\\n/**\\n * Remove most spacing between table cells.\\n */\\n\\ntable {\\n  border-collapse: collapse;\\n  border-spacing: 0;\\n}\\n\\ntd,\\nth {\\n  padding: 0;\\n}\\n",\n\t\t"@import \\"common/foundation/variables\\";\\n\\n/*!\\n * Pikaday\\n * Copyright © 2014 David Bushell | BSD & MIT license | http://dbushell.com/\\n */\\n\\n// Variables\\n// Declare any of these variables before importing this SCSS file to easily override defaults\\n// Variables are namespaced with the pd (pikaday) prefix\\n\\n// Colours\\n$pd-text-color: $primary !default;\\n$pd-title-color: $primary !default;\\n$pd-title-bg: $secondary !default;\\n$pd-picker-bg: $secondary !default;\\n$pd-picker-border: $primary-low !default;\\n$pd-picker-border-bottom: $primary-low !default;\\n$pd-picker-shadow: rgba(0,0,0,.5) !default;\\n$pd-th-color: $primary !default;\\n$pd-day-color: $primary !default;\\n$pd-day-bg: $secondary !default;\\n$pd-day-hover-color: $primary !default;\\n$pd-day-hover-bg: $tertiary-low !default;\\n$pd-day-today-color: $tertiary !default;\\n$pd-day-selected-color: $secondary !default;\\n$pd-day-selected-bg: $tertiary !default;\\n$pd-day-selected-shadow: $tertiary-low !default;\\n$pd-day-disabled-color: $primary !default;\\n$pd-week-color: $primary !default;\\n\\n// Font\\n$pd-font-family: \\"Helvetica Neue\\", Helvetica, Arial, sans-serif !default;\\n\\n\\n.pika-single {\\n    z-index: 9999;\\n    display: block;\\n    position: relative;\\n    color: $pd-text-color;\\n    background: $pd-picker-bg;\\n    border: 1px solid $pd-picker-border;\\n    border-bottom-color: $pd-picker-border-bottom;\\n    font-family: $pd-font-family;\\n\\n    &.is-hidden {\\n        display: none;\\n    }\\n\\n    &.is-bound {\\n        position: absolute;\\n        box-shadow: 0 5px 15px -5px $pd-picker-shadow;\\n    }\\n}\\n\\n// clear child float (pika-lendar), using the famous micro clearfix hack\\n// http://nicolasgallagher.com/micro-clearfix-hack/\\n.pika-single {\\n    &:before,\\n    &:after {\\n        content: \\" \\";\\n        display: table;\\n    }\\n\\n    &:after { clear: both }\\n}\\n\\n.pika-lendar {\\n    float: left;\\n    width: 240px;\\n    margin: 8px;\\n}\\n\\n.pika-title {\\n    position: relative;\\n    text-align: center;\\n\\n    select {\\n        cursor: pointer;\\n        position: absolute;\\n        z-index: 9998;\\n        margin: 0;\\n        left: 0;\\n        top: 5px;\\n        filter: alpha(opacity=0);\\n        opacity: 0;\\n    }\\n}\\n\\n.pika-label {\\n    display: inline-block;\\n    position: relative;\\n    z-index: 9999;\\n    overflow: hidden;\\n    margin: 0;\\n    padding: 5px 3px;\\n    font-size: 14px;\\n    line-height: 20px;\\n    font-weight: bold;\\n    color: $pd-title-color;\\n    background-color: $pd-title-bg;\\n}\\n\\n.pika-prev,\\n.pika-next {\\n    display: block;\\n    cursor: pointer;\\n    position: relative;\\n    outline: none;\\n    border: 0;\\n    padding: 0;\\n    width: 20px;\\n    height: 30px;\\n    text-indent: 20px; // hide text using text-indent trick, using width value (it's enough)\\n    white-space: nowrap;\\n    overflow: hidden;\\n    background-color: transparent;\\n    background-position: center center;\\n    background-repeat: no-repeat;\\n    background-size: 75% 75%;\\n    opacity: .5;\\n    @if (lightness($secondary) < 50) { // invert the black png if the background is dark\\n        filter: invert(1); \\n    } \\n\\n    &:hover {\\n        opacity: 1;\\n    }\\n\\n    &.is-disabled {\\n        cursor: default;\\n        opacity: .2;\\n    }\\n}\\n\\n.pika-prev,\\n.is-rtl .pika-next {\\n    float: left;\\n    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==');\\n}\\n\\n.pika-next,\\n.is-rtl .pika-prev {\\n    float: right;\\n    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=');\\n}\\n\\n.pika-select {\\n    display: inline-block;\\n}\\n\\n.pika-table {\\n    width: 100%;\\n    border-collapse: collapse;\\n    border-spacing: 0;\\n    border: 0;\\n\\n    th,\\n    td {\\n        width: 14.285714285714286%;\\n        padding: 0;\\n    }\\n\\n    th {\\n        color: $pd-th-color;\\n        font-size: 12px;\\n        line-height: 25px;\\n        font-weight: bold;\\n        text-align: center;\\n    }\\n\\n    abbr {\\n        border-bottom: none;\\n        cursor: help;\\n    }\\n}\\n\\n.pika-button {\\n    cursor: pointer;\\n    display: block;\\n    -moz-box-sizing: border-box;\\n    box-sizing: border-box;\\n    outline: none;\\n    border: 0;\\n    margin: 0;\\n    width: 100%;\\n    padding: 5px;\\n    color: $pd-day-color;\\n    font-size: 12px;\\n    line-height: 15px;\\n    text-align: right;\\n    background: $pd-day-bg;\\n\\n    .is-today & {\\n        color: $pd-day-today-color;\\n        font-weight: bold;\\n    }\\n\\n    .is-selected & {\\n        color: $pd-day-selected-color;\\n        font-weight: bold;\\n        background: $pd-day-selected-bg;\\n        box-shadow: inset 0 1px 3px $pd-day-selected-shadow;\\n        border-radius: 3px;\\n    }\\n\\n    .is-disabled &,\\n    .is-outside-current-month & {\\n        pointer-events: none;\\n        cursor: default;\\n        color: $pd-day-disabled-color;\\n        opacity: .3;\\n    }\\n\\n    &:hover {\\n        color: $pd-day-hover-color;\\n        background: $pd-day-hover-bg;\\n        box-shadow: none;\\n        border-radius: 3px;\\n    }\\n}\\n\\n.pika-week {\\n    font-size: 11px;\\n    color: $pd-week-color;\\n}\\n\\n.is-inrange .pika-button {\\n    background: #D5E9F7;\\n}\\n\\n.is-startrange .pika-button {\\n    color: $secondary;\\n    background: #6CB31D;\\n    box-shadow: none;\\n    border-radius: 3px;\\n}\\n\\n.is-endrange .pika-button {\\n    color: $secondary;\\n    background: $tertiary;\\n    box-shadow: none;\\n    border-radius: 3px;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Generic helper classes\\n// --------------------------------------------------\\n\\n// Floats\\n// --------------------------------------------------\\n\\n.pull-left {\\n  float: left;\\n}\\n\\n.pull-right {\\n  float: right;\\n}\\n\\n// Element visibility\\n// --------------------------------------------------\\n\\n.show {\\n  display: block;\\n}\\n\\n.hide,\\n.hidden {\\n  display: none;\\n}\\n\\n.invisible {\\n  visibility: hidden;\\n}\\n\\n.sr-only {\\n  position: absolute;\\n  width: 1px;\\n  height: 1px;\\n  padding: 0;\\n  margin: -1px;\\n  overflow: hidden;\\n  clip: rect(0, 0, 0, 0);\\n  border: 0;\\n}\\n\\n// Affix\\n// --------------------------------------------------\\n\\n.affix {\\n  position: fixed;\\n}\\n\\n// Contain floats\\n// --------------------------------------------------\\n\\n.clearfix {\\n  &:before,\\n  &:after {\\n    display: table;\\n    content: \\" \\";\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n// Overflow\\n// --------------------------------------------------\\n\\n.overflow-ellipsis {\\n  white-space: nowrap;\\n  overflow: hidden;\\n  text-overflow: ellipsis;\\n}\\n\\n// Clickable elements\\n// --------------------------------------------------\\n\\n.clickable {\\n  cursor: pointer;\\n}\\n\\n// Buttons\\n// ---------------------------------------------------\\n.disable-no-hover:hover {\\n  background: dark-light-choose($primary-low, $secondary-medium);\\n  color: $primary;\\n}\\n",\n\t\t"@import \\"./variables\\";\\n@import \\"./mixins\\";\\n\\n// --------------------------------------------------\\n// Base styles for HTML elements\\n// --------------------------------------------------\\n\\nhtml {\\n  color: $primary;\\n  font-family: $base-font-family;\\n  font-size: $base-font-size;\\n  line-height: $line-height-large;\\n  background-color: $secondary;\\n  overflow-y: scroll;\\n  direction: ltr;\\n\\n  &.text-size-smaller {\\n    font-size: $base-font-size-smaller;\\n  }\\n\\n  &.text-size-larger {\\n    font-size: $base-font-size-larger;\\n  }\\n\\n  &.text-size-largest {\\n    font-size: $base-font-size-largest;\\n  }\\n}\\n\\n// Links\\n// --------------------------------------------------\\n\\na {\\n  color: $tertiary;\\n  text-decoration: none;\\n  cursor: pointer;\\n  &:visited {\\n    color: $tertiary;\\n  }\\n  &:hover {\\n    color: $tertiary;\\n  }\\n  &:active {\\n    color: $tertiary;\\n  }\\n}\\n\\n// Typography\\n// --------------------------------------------------\\n\\nhr {\\n  display: block;\\n  height: 1px;\\n  margin: 1em 0;\\n  border: 0;\\n  border-top: 1px solid $primary-low;\\n  padding: 0;\\n}\\n\\n// Lists\\n// --------------------------------------------------\\n\\nul,\\ndd {\\n  margin: 0 0 9px 25px;\\n  padding: 0;\\n}\\n\\n.cooked ul,\\n.cooked ol,\\n.cooked dd {\\n  clear: both;\\n}\\n\\n.cooked ul,\\n.d-editor-preview ul {\\n  margin: 0;\\n  padding-left: 40px;\\n}\\n\\nli {\\n  > ul,\\n  > ol {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n// Embedded content\\n// --------------------------------------------------\\n\\nimg {\\n  vertical-align: middle;\\n}\\n\\n// Forms\\n// --------------------------------------------------\\n\\nfieldset {\\n  margin: 0;\\n  border: 0;\\n  padding: 0;\\n}\\n\\npre code {\\n  overflow: auto;\\n  tab-size: 4;\\n}\\n\\n// TODO figure out a clean place to put stuff like this\\n.row:before,\\n.row:after {\\n  display: table;\\n  content: \\"\\";\\n}\\n.row:after {\\n  clear: both;\\n}\\n\\n#offscreen-content {\\n  display: none;\\n}\\n\\n// Tables\\n// --------------------------------------------------\\n\\ntbody {\\n  border-top: 3px solid $primary-low;\\n}\\n\\ntr {\\n  border-bottom: 1px solid $primary-low;\\n  &.highlighted {\\n    animation: background-fade-highlight 2.5s ease-out;\\n  }\\n}\\n\\n// https://en.wikipedia.org/wiki/Ruby_character\\nruby > rt {\\n  font-size: 72%; // ~10px with 14px base\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"$base-space: 4px;\\n\\n@function s(\\n  $sizes: (\\n    0\\n  )\\n) {\\n  $spaces: ();\\n  @each $size in $sizes {\\n    @if ($size == 0) {\\n      // Strip units if 0\\n      $size: $size * $base-space;\\n      $size: $size / ($size * 0 + 1);\\n    } @else if ($size == auto) {\\n      $size: auto;\\n    } @else {\\n      $size: $size * $base-space;\\n    }\\n\\n    $spaces: append($spaces, $size);\\n  }\\n  @return $spaces;\\n}\\n",\n\t\t".select-kit {\\n  &.categories-admin-dropdown {\\n    .select-kit-body {\\n      min-width: auto;\\n      width: 250px;\\n    }\\n\\n    .select-kit-header .d-icon {\\n      justify-content: space-between;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-chooser {\\n      width: 300px;\\n\\n      .select-kit-row {\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        -webkit-box-align: flex-start;\\n        -ms-flex-align: flex-start;\\n        align-items: flex-start;\\n        -webkit-box-orient: vertical;\\n        -webkit-box-direction: normal;\\n        -ms-flex-direction: column;\\n        flex-direction: column;\\n\\n        &.none {\\n          .topic-count {\\n            display: none;\\n          }\\n        }\\n\\n        .topic-count {\\n          font-size: $font-down-2;\\n          color: $primary;\\n          white-space: nowrap;\\n        }\\n\\n        .category-status {\\n          color: $primary;\\n          line-height: $line-height-large;\\n          -webkit-box-flex: 0;\\n          -ms-flex: 1 1 auto;\\n          flex: 1 1 auto;\\n        }\\n\\n        .category-desc {\\n          -webkit-box-flex: 0;\\n          -ms-flex: 1 1 auto;\\n          flex: 1 1 auto;\\n          color: #919191;\\n          font-size: $font-down-1;\\n          line-height: $line-height-large;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-drop {\\n      .badge-wrapper {\\n        font-size: $font-0;\\n        font-weight: normal;\\n\\n        &.box {\\n          margin: 0;\\n\\n          span.badge-category {\\n            margin: 0;\\n          }\\n        }\\n      }\\n\\n      &.bar.has-selection .category-drop-header {\\n        padding: 0 5px 0 10px;\\n      }\\n\\n      &.box.has-selection .category-drop-header {\\n        .badge-wrapper.box {\\n          padding: 0;\\n        }\\n      }\\n\\n      .category-drop-header {\\n        &.is-none .selected-name {\\n          color: inherit;\\n        }\\n\\n        .badge-wrapper {\\n          margin-right: 0;\\n        }\\n      }\\n\\n      .select-kit-body {\\n        min-width: 300px;\\n      }\\n\\n      .select-kit-row {\\n        flex-direction: column;\\n        align-items: flex-start;\\n\\n        &[data-value=\\"all-categories\\"],\\n        &[data-value=\\"no-categories\\"] {\\n          color: $tertiary;\\n          font-weight: 700;\\n        }\\n\\n        .category-desc {\\n          font-weight: normal;\\n          color: $primary-medium;\\n          margin-top: 2px;\\n        }\\n\\n        .category-status {\\n          align-items: center;\\n        }\\n\\n        .topic-count {\\n          margin-left: 5px;\\n          font-weight: normal;\\n        }\\n\\n        .badge-wrapper {\\n          margin: 0;\\n          font-weight: bold;\\n\\n          &:nth-child(2) {\\n            margin-left: 10px;\\n          }\\n        }\\n      }\\n\\n      &.is-expanded .select-kit-wrapper,\\n      .select-kit-wrapper {\\n        display: none;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  .category-row {\\n    .category-status {\\n      display: flex;\\n      flex-wrap: wrap;\\n      align-items: center;\\n      max-width: 100%;\\n      -webkit-box-flex: 0;\\n      -ms-flex: 1 1 auto;\\n      flex: 1 1 auto;\\n    }\\n    .category-desc {\\n      max-width: 100%; // needed for IE11\\n    }\\n    .category-status {\\n      .badge-wrapper.box {\\n        margin-bottom: 1px;\\n        margin-top: 1px;\\n      }\\n    }\\n    .topic-count {\\n      white-space: nowrap;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit,\\n.select-kit-box {\\n  &.category-selector {\\n    .selected-name {\\n      .badge-wrapper {\\n        &.box {\\n          margin: 2px;\\n          padding: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    min-width: auto;\\n    .select-kit-body {\\n      width: 100%;\\n      min-width: 150px;\\n      border-radius: 0;\\n      box-shadow: shadow(\\"dropdown\\");\\n    }\\n\\n    .select-kit-row {\\n      margin: 0;\\n      min-height: 1px;\\n      padding: 6px 10px;\\n      &.no-content {\\n        font-weight: normal;\\n      }\\n    }\\n\\n    .select-kit-filter {\\n      padding: $input-padding;\\n      border-top: 1px solid $primary-low;\\n      border-bottom: 1px solid $primary-low;\\n\\n      .spinner {\\n        flex: 0 0 auto;\\n      }\\n\\n      .filter-input,\\n      .filter-input:focus,\\n      .filter-input:active {\\n        flex: 0 0 auto;\\n        width: 90%; // Firefox quirk\\n      }\\n\\n      .filter-icon {\\n        padding-left: 5px;\\n      }\\n    }\\n\\n    .select-kit-header {\\n      background: $secondary;\\n      border: 1px solid $primary-medium;\\n      padding: 0 5px 0 10px;\\n      font-weight: 500;\\n      font-size: $font-0;\\n\\n      &.is-focused {\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    .select-kit-collection {\\n      display: flex;\\n      flex-direction: column;\\n      padding: 0;\\n      min-width: 100px;\\n      max-height: 200px;\\n      max-width: 32em;\\n\\n      .collection-header {\\n        a {\\n          white-space: nowrap;\\n          color: $primary;\\n          line-height: $line-height-medium;\\n          font-weight: bold;\\n          display: block;\\n          padding: 6px 10px;\\n          color: $tertiary;\\n\\n          &:hover {\\n            text-decoration: underline;\\n          }\\n        }\\n      }\\n    }\\n\\n    &.is-disabled {\\n      .select-kit-header {\\n        background: $primary-low;\\n        border-color: $primary-low-mid;\\n        color: $primary-medium;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n\\n    &.is-highlighted {\\n      .select-kit-header {\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded {\\n      .select-kit-wrapper {\\n        display: block;\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded.is-above {\\n      .select-kit-header {\\n        border-radius: 0 0 3px 3px;\\n      }\\n\\n      .select-kit-body {\\n        border-radius: 3px 3px 0 0;\\n      }\\n    }\\n\\n    &.tag-drop,\\n    &.group-dropdown {\\n      min-width: auto;\\n      .select-kit-row {\\n        font-weight: bold;\\n      }\\n    }\\n\\n    &.is-expanded .select-kit-wrapper,\\n    .select-kit-wrapper {\\n      display: none;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.composer-actions {\\n      margin: 0;\\n      .select-kit-header {\\n        background: none;\\n        outline: none;\\n        padding: 0;\\n        margin-right: 5px;\\n        border: 1px solid $primary-low;\\n        min-height: unset;\\n        .d-icon {\\n          padding: 5px 6px;\\n        }\\n        &:hover,\\n        &:focus {\\n          background: $primary-low;\\n        }\\n      }\\n      .d-icon {\\n        margin: 0 !important;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    display: -webkit-inline-box;\\n    display: -ms-inline-flexbox;\\n    display: inline-flex;\\n    min-width: auto;\\n    border: none;\\n\\n    &.is-expanded {\\n      .select-kit-collection,\\n      .select-kit-body {\\n        border-radius: 0;\\n      }\\n    }\\n\\n    .select-kit-body {\\n      border: 1px solid $primary-low;\\n      background-clip: padding-box;\\n      box-shadow: shadow(\\"dropdown\\");\\n      max-width: 300px;\\n      width: 300px;\\n    }\\n\\n    .select-kit-row {\\n      margin: 0;\\n      padding: 10px 5px;\\n\\n      .icons {\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        flex: 0 0 auto;\\n        -webkit-box-align: start;\\n        -ms-flex-align: start;\\n        align-items: flex-start;\\n        -webkit-box-pack: center;\\n        -ms-flex-pack: center;\\n        justify-content: center;\\n        -ms-flex-item-align: start;\\n        align-self: flex-start;\\n        margin-right: 0.357em;\\n        margin-top: 2px;\\n        width: 30px;\\n\\n        .d-icon {\\n          font-size: $font-up-2;\\n          -ms-flex-item-align: center;\\n          align-self: center;\\n          margin-right: 0;\\n          opacity: 1;\\n        }\\n      }\\n\\n      .texts {\\n        width: 0; //IE11\\n        line-height: $line-height-large;\\n        -webkit-box-flex: 1;\\n        -ms-flex: 1;\\n        flex: 1 1 0%;\\n        -webkit-box-align: start;\\n        -ms-flex-align: start;\\n        align-items: flex-start;\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        -ms-flex-wrap: wrap;\\n        flex-wrap: wrap;\\n        -webkit-box-orient: vertical;\\n        -webkit-box-direction: normal;\\n        -ms-flex-direction: column;\\n        flex-direction: column;\\n\\n        .name {\\n          -webkit-box-flex: 1;\\n          -ms-flex: 1;\\n          flex: 1 1 auto;\\n          font-weight: bold;\\n          font-size: $font-0;\\n          color: $primary;\\n          padding: 0;\\n          @include ellipsis;\\n          max-width: 100%;\\n        }\\n\\n        .desc {\\n          -webkit-box-flex: 1;\\n          -ms-flex: 1;\\n          flex: 1 1 auto;\\n          width: 100%; //IE11\\n          font-size: $font-down-1;\\n          font-weight: normal;\\n          color: $primary-medium;\\n          white-space: normal;\\n        }\\n      }\\n    }\\n\\n    .select-kit-collection {\\n      padding: 0;\\n      max-height: 100%;\\n    }\\n\\n    .dropdown-select-box-header {\\n      -webkit-box-sizing: border-box;\\n      -moz-box-sizing: border-box;\\n      box-sizing: border-box;\\n      border: 0;\\n\\n      -webkit-box-align: center;\\n      -ms-flex-align: center;\\n      align-items: center;\\n      -webkit-box-pack: justify;\\n      -ms-flex-pack: justify;\\n      justify-content: space-between;\\n      -webkit-box-orient: horizontal;\\n      -webkit-box-direction: normal;\\n      -ms-flex-direction: row;\\n      flex-direction: row;\\n      display: -webkit-inline-box;\\n      display: -ms-inline-flexbox;\\n      display: inline-flex;\\n\\n      .d-icon + .d-icon {\\n        margin-left: 5px;\\n      }\\n\\n      &.is-focused {\\n        outline-style: auto;\\n        outline-color: $tertiary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combobox {\\n    &.future-date-input-selector {\\n      min-width: 50%;\\n\\n      .future-date-input-selector-header {\\n        .btn-clear {\\n          line-height: $line-height-large;\\n        }\\n      }\\n\\n      .future-date-input-selector-datetime {\\n        color: lighten($primary, 40%);\\n        margin-left: 5px;\\n        white-space: nowrap;\\n      }\\n\\n      .future-date-input-selector-icons {\\n        margin-right: 5px;\\n      }\\n\\n      .btn-clear {\\n        padding: 0;\\n        margin-left: 5px;\\n      }\\n\\n      .future-date-input-selector-row {\\n        .future-date-input-selector-icons {\\n          color: lighten($primary, 40%);\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    &.list-setting {\\n      .select-kit-row.create {\\n        .square {\\n          width: 12px;\\n          height: 12px;\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.mini-tag-chooser {\\n      margin-bottom: 5px;\\n      margin-left: 5px;\\n\\n      &.is-expanded {\\n        .select-kit-header {\\n          border: 1px solid $tertiary;\\n        }\\n      }\\n\\n      &.no-tags {\\n        .select-kit-header .selected-name {\\n          color: $primary-medium;\\n        }\\n      }\\n\\n      .select-kit-body {\\n        max-width: 32em;\\n      }\\n\\n      .select-kit-header {\\n        height: 30px;\\n\\n        .selected-name {\\n          margin: 0;\\n          border: 0;\\n          padding: 0;\\n          outline: none;\\n          box-shadow: none;\\n          cursor: pointer;\\n          max-width: 250px;\\n        }\\n      }\\n\\n      .select-kit-filter {\\n        border-top: 0;\\n      }\\n\\n      &.is-expanded .select-kit-wrapper,\\n      .select-kit-wrapper {\\n        display: none;\\n      }\\n\\n      .select-kit-row {\\n        &.is-selected {\\n          background: none;\\n        }\\n\\n        &.is-highlighted.is-selected {\\n          background: $tertiary-low;\\n        }\\n\\n        .discourse-tag-count {\\n          margin-left: 5px;\\n        }\\n      }\\n\\n      .select-kit-collection {\\n        .collection-header {\\n          max-height: 125px;\\n          overflow: hidden;\\n          flex: 1 0 auto;\\n          border-bottom: 1px solid $primary-low;\\n\\n          .selected-tags {\\n            display: flex;\\n            padding: 4px;\\n            flex-wrap: wrap;\\n            margin: -2px;\\n            overflow: hidden;\\n          }\\n\\n          .selected-tag {\\n            background: $primary-low;\\n            padding: 2px 4px;\\n            margin: 2px;\\n            border: 0;\\n\\n            &.is-highlighted {\\n              box-shadow: 0 0 2px $danger, 0 1px 0 rgba(0, 0, 0, 0.05);\\n            }\\n\\n            .d-icon {\\n              color: $primary-low-mid;\\n              vertical-align: middle;\\n            }\\n\\n            &:hover .d-icon {\\n              color: $danger;\\n            }\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    width: 300px;\\n    background: $secondary;\\n    border-radius: 0;\\n\\n    .select-kit-body {\\n      width: 100%;\\n    }\\n\\n    .select-kit-row {\\n      margin: 5px;\\n      min-height: 1px;\\n      padding: 5px;\\n      border-radius: 0;\\n    }\\n\\n    .select-kit-filter {\\n      border: 0;\\n      flex: 1 0 0px;\\n      margin: 1px;\\n    }\\n\\n    .multi-select-header {\\n      background: $secondary;\\n      border: 1px solid $primary-medium;\\n\\n      &.is-focused {\\n        box-shadow: shadow(\\"focus\\");\\n        border-radius: 0;\\n      }\\n    }\\n\\n    &.is-disabled {\\n      .multi-select-header {\\n        background: $primary-low;\\n        border-color: $primary-low-mid;\\n        color: $primary-medium;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n\\n    &.is-highlighted {\\n      .multi-select-header {\\n        border-radius: 0;\\n        border-bottom: 1px solid transparent;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded {\\n      .select-kit-wrapper {\\n        display: block;\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n        border-radius: 0;\\n      }\\n\\n      .multi-select-header {\\n        border-radius: 0;\\n        box-shadow: none;\\n      }\\n\\n      .select-kit-body {\\n        border-radius: 0;\\n      }\\n    }\\n\\n    .choices {\\n      margin: 0 2px;\\n      box-sizing: border-box;\\n      display: flex;\\n      justify-content: flex-start;\\n      flex-wrap: wrap;\\n      width: 100%;\\n\\n      .choice {\\n        display: inline-flex;\\n        box-sizing: border-box;\\n        align-items: center;\\n        justify-content: space-between;\\n        flex-wrap: wrap;\\n        flex-direction: row;\\n        margin: 1px 0px 2px 2px;\\n      }\\n\\n      .filter {\\n        align-items: center;\\n        justify-content: flex-start;\\n        white-space: nowrap;\\n        min-width: 50px;\\n        padding: 0;\\n        outline: none;\\n        flex: 1 0 0px;\\n\\n        .filter-input,\\n        .filter-input:focus {\\n          border: none;\\n          background: none;\\n          display: inline-block;\\n          width: 100%;\\n          outline: none;\\n          min-width: auto;\\n          padding: 0;\\n          margin: 0;\\n          outline: 0;\\n          border: 0;\\n          box-shadow: none;\\n          border-radius: 0;\\n          min-height: unset; // overrides input defaults\\n        }\\n      }\\n\\n      .selected-color {\\n        .selected-color-wrapper {\\n          display: flex;\\n          flex: 1 0 0px;\\n          flex-direction: column;\\n        }\\n\\n        .color-preview {\\n          height: 5px;\\n          margin: 0 2px 2px 0px;\\n          display: flex;\\n          width: 100%;\\n        }\\n      }\\n\\n      .selected-category {\\n        .body {\\n          display: flex;\\n          align-items: center;\\n        }\\n        .badge-wrapper {\\n          &.bullet {\\n            margin-right: 2.5px;\\n          }\\n\\n          padding: 2px 4px;\\n          line-height: $line-height-medium;\\n          display: flex;\\n          flex: 1 0 0px;\\n          align-items: center;\\n        }\\n      }\\n\\n      .selected-name {\\n        .footer {\\n          display: flex;\\n          width: 100%;\\n        }\\n\\n        .body {\\n          background: $primary-low;\\n          padding: 4px;\\n        }\\n\\n        .d-icon {\\n          color: $primary-low-mid;\\n          vertical-align: middle;\\n        }\\n        &:hover .d-icon:last-child {\\n          color: $danger;\\n        }\\n\\n        &.is-highlighted {\\n          box-shadow: 0 0 2px $danger, 0 1px 0 rgba(0, 0, 0, 0.05);\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.notifications-button {\\n      .select-kit-body {\\n        min-width: 550px;\\n        max-width: 550px;\\n      }\\n\\n      .select-kit-row {\\n        .icons {\\n          -ms-flex-item-align: start;\\n          align-self: flex-start;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.period-chooser {\\n      display: inline-flex;\\n      position: relative;\\n\\n      .select-kit-collection {\\n        padding: 5px;\\n      }\\n\\n      .period-chooser-header {\\n        background: none;\\n        border: none;\\n        justify-content: flex-start;\\n        width: auto;\\n        height: auto;\\n        padding: 0;\\n\\n        h2.selected-name {\\n          color: $secondary;\\n          display: inline-block;\\n          box-sizing: border-box;\\n\\n          .date-section {\\n            color: $primary;\\n            margin-right: 5px;\\n          }\\n\\n          .top-date-string {\\n            font-size: $font-down-1;\\n            color: dark-light-choose($primary-medium, $secondary-high);\\n            font-weight: normal;\\n            text-transform: uppercase;\\n          }\\n        }\\n\\n        .d-icon {\\n          color: $primary;\\n          opacity: 1;\\n          margin: 5px 0 10px 5px;\\n          font-size: $font-up-3;\\n        }\\n\\n        &.is-focused,\\n        &:hover {\\n          background: none;\\n          border: none;\\n          outline: none;\\n        }\\n      }\\n\\n      .period-chooser-row {\\n        font-weight: bold;\\n        padding: 5px;\\n        font-size: $font-up-1;\\n        align-items: center;\\n        display: flex;\\n\\n        .period-title {\\n          flex: 1 0 0px;\\n        }\\n\\n        .date-section {\\n          color: $primary;\\n        }\\n\\n        .top-date-string {\\n          font-weight: normal;\\n          font-size: $font-down-1;\\n          color: dark-light-choose($primary-medium, $secondary-high);\\n          text-transform: uppercase;\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#topic-footer-buttons {\\n  .pinned-button {\\n    min-width: auto;\\n    margin: 1em 0;\\n\\n    &.is-hidden {\\n      display: none;\\n    }\\n\\n    .btn {\\n      margin: 0;\\n    }\\n\\n    .reason {\\n      display: inline;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.pinned-button {\\n  margin: 0;\\n  min-width: auto;\\n\\n  .pinned-options {\\n    display: inline;\\n\\n    .select-kit-body {\\n      min-width: unset;\\n      max-width: unset;\\n      width: 550px;\\n    }\\n  }\\n}\\n",\n\t\t".mobile-view .select-kit.is-expanded {\\n  z-index: z(\\"dropdown\\");\\n}\\n\\n.select-kit {\\n  border: none;\\n  min-width: 220px;\\n  box-sizing: border-box;\\n  display: inline-block;\\n  flex-direction: column;\\n  position: relative;\\n  vertical-align: middle;\\n  user-select: none;\\n\\n  &.is-hidden {\\n    display: none;\\n  }\\n\\n  &.is-disabled {\\n    pointer-events: none;\\n  }\\n\\n  &.is-expanded {\\n    z-index: z(\\"dropdown\\");\\n\\n    .select-kit-body {\\n      display: flex;\\n      flex-direction: column;\\n      left: 0;\\n      position: absolute;\\n      top: 0;\\n    }\\n\\n    .select-kit-collection {\\n      border-radius: inherit;\\n    }\\n  }\\n\\n  &.is-above {\\n    .select-kit-body {\\n      bottom: 0;\\n      top: auto;\\n    }\\n\\n    .select-kit-filter {\\n      border-top: 0;\\n    }\\n\\n    .select-kit-wrapper {\\n      bottom: 0;\\n      top: auto;\\n    }\\n  }\\n\\n  .d-icon {\\n    color: $primary-high;\\n  }\\n\\n  .select-kit-header {\\n    box-sizing: border-box;\\n    overflow: hidden;\\n    transition: all 0.25s;\\n    cursor: pointer;\\n    outline: none;\\n    display: flex;\\n    align-items: center;\\n    flex-direction: row;\\n    min-height: 30px;\\n\\n    .selected-name {\\n      text-align: left;\\n      flex: 0 1 auto;\\n      padding: 1px 0;\\n      @include ellipsis;\\n      color: inherit;\\n    }\\n\\n    .btn-clear {\\n      padding: 0 10px;\\n      border: 0;\\n      background: none;\\n    }\\n\\n    .icon {\\n      margin-right: 5px;\\n    }\\n\\n    .caret-icon {\\n      margin-left: auto;\\n      padding-left: 5px;\\n      pointer-events: none;\\n    }\\n\\n    .d-button-label {\\n      display: flex;\\n      align-items: center;\\n      white-space: nowrap;\\n      overflow: hidden;\\n      line-height: $line-height-medium;\\n\\n      .d-icon {\\n        margin-left: 5px;\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n\\n  .select-kit-body {\\n    display: none;\\n    background: $secondary;\\n    box-sizing: border-box;\\n  }\\n\\n  .select-kit-row {\\n    cursor: pointer;\\n    line-height: $line-height-medium;\\n    outline: none;\\n    display: flex;\\n    flex: 1 0 auto;\\n    box-sizing: border-box;\\n    align-items: center;\\n    justify-content: flex-start;\\n\\n    .name {\\n      margin: 0;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      flex: 1 1 0%;\\n    }\\n\\n    .d-icon {\\n      margin-right: 5px;\\n    }\\n\\n    &.is-highlighted {\\n      background: $tertiary-low;\\n    }\\n\\n    &.is-selected {\\n      background: $highlight-medium;\\n    }\\n\\n    &.is-selected.is-highlighted {\\n      background: $tertiary-low;\\n    }\\n\\n    .discourse-tag,\\n    .discourse-tag-count {\\n      color: $primary;\\n    }\\n  }\\n\\n  .select-kit-collection {\\n    background: $secondary;\\n    overflow-x: hidden;\\n    overflow-y: auto;\\n    border-radius: inherit;\\n    -webkit-overflow-scrolling: touch;\\n    margin: 0;\\n    padding: 0;\\n    max-height: 200px;\\n\\n    .validation-message {\\n      white-space: nowrap;\\n      color: $danger;\\n      flex: 1 0 auto;\\n      margin: 5px;\\n      padding: 0 2px;\\n    }\\n\\n    .select-kit-collection {\\n      padding: 0;\\n      margin: 0;\\n\\n      &:hover .select-kit-row.is-highlighted:hover {\\n        background: $tertiary-low;\\n      }\\n    }\\n\\n    &::-webkit-scrollbar {\\n      -webkit-appearance: none;\\n      width: 10px;\\n    }\\n\\n    &::-webkit-scrollbar-thumb {\\n      cursor: pointer;\\n      border-radius: 5px;\\n      background: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    &::-webkit-scrollbar-track {\\n      background: transparent;\\n      border-radius: 0;\\n    }\\n  }\\n\\n  .select-kit-filter {\\n    display: flex;\\n    box-sizing: border-box;\\n    align-items: center;\\n    justify-content: space-between;\\n\\n    .filter-input,\\n    .filter-input:focus,\\n    .filter-input:active {\\n      background: none;\\n      margin: 0;\\n      padding: 0;\\n      flex: 1 0 0px;\\n      outline: none;\\n      border: 0;\\n      border-radius: 0;\\n      box-shadow: none;\\n      width: 100%;\\n    }\\n\\n    &.is-hidden {\\n      width: 1px;\\n      height: 1px;\\n      border: 0;\\n      margin: -1px;\\n      padding: 0;\\n      overflow: hidden;\\n      position: fixed;\\n      outline: 0;\\n      left: 0;\\n      top: 0;\\n    }\\n  }\\n\\n  .select-kit-wrapper {\\n    position: absolute;\\n    top: 0;\\n    left: 0;\\n    background: none;\\n    display: none;\\n    box-sizing: border-box;\\n    pointer-events: none;\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    &.tag-chooser {\\n      .select-kit-row {\\n        display: flex;\\n        align-items: center;\\n\\n        .discourse-tag-count {\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.tag-drop {\\n      .select-kit-row {\\n        &[data-value=\\"all-tags\\"],\\n        &[data-value=\\"no-tags\\"] {\\n          color: $tertiary;\\n          font-weight: 700;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.toolbar-popup-menu-options {\\n      .select-kit-body {\\n        box-shadow: none;\\n        padding: 10px 10px 5px 10px;\\n        width: 230px;\\n      }\\n\\n      .select-kit-row {\\n        margin-bottom: 5px;\\n        padding: 6px 3px;\\n        background: $primary-low;\\n        transition: all 0.25s;\\n\\n        .name,\\n        .d-icon {\\n          font-size: $font-0;\\n          font-weight: normal;\\n          color: $primary;\\n        }\\n\\n        .d-icon {\\n          opacity: 0.7;\\n        }\\n\\n        &.is-highlighted {\\n          background: $primary-medium;\\n\\n          .name,\\n          .d-icon {\\n            color: $secondary;\\n          }\\n        }\\n\\n        &:hover {\\n          background: $primary-medium;\\n          color: $secondary;\\n        }\\n\\n        &.is-selected {\\n          color: $primary;\\n          background: $primary-low;\\n        }\\n\\n        &.is-selected.is-highlighted {\\n          background: $primary-medium;\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#topic-footer-buttons {\\n  .topic-notifications-button {\\n    min-width: auto;\\n    margin: 1em 0;\\n\\n    .btn {\\n      margin: 0;\\n    }\\n\\n    .reason {\\n      display: inline;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.topic-notifications-button .topic-notifications-options {\\n  min-width: auto;\\n}\\n\\n.topic-notifications-button {\\n  margin: 0;\\n\\n  .topic-notifications-options {\\n    display: inline-flex;\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.user-notifications-dropdown {\\n      text-align: left;\\n\\n      .select-kit-body {\\n        width: 485px;\\n        max-width: 485px;\\n      }\\n\\n      .select-kit-header {\\n        justify-content: center;\\n      }\\n\\n      .dropdown-select-box-header {\\n        align-items: center;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.color-palettes {\\n      .color-palettes-row {\\n        .palettes {\\n          display: flex;\\n          align-items: center;\\n          margin-left: 0.5em;\\n          flex: 1 0 0;\\n\\n          .palette {\\n            height: 15px;\\n            width: 15px;\\n            display: block;\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".svg-icon,\\n.svg-icon-title {\\n  height: 1em;\\n  width: 1em;\\n  line-height: 1;\\n  display: inline-flex;\\n  position: relative;\\n  vertical-align: -0.125em;\\n  fill: currentColor;\\n  flex-shrink: 0; // Prevent the icon from shrinking if it's in a flexbox\\n  overflow: visible;\\n}\\n\\n// Fixes Edge bug with SVG elements not triggering click event\\nsvg > use {\\n  pointer-events: none;\\n}\\n\\n// Stacked Icons\\n// Usage:\\n// <span class=\\"fa-stack\\">\\n//    <svg class=\\"... d-icon-icon1 fa-stack-1x ...\\" xmlns=\\"http://www.w3.org/2000/svg\\"><use xlink:href=\\"#icon1\\"></use></svg>\\n//    <svg class=\\"... d-icon-icon2 fa-stack-2x ...\\" xmlns=\\"http://www.w3.org/2000/svg\\"><use xlink:href=\\"#icon2\\"></use></svg>\\n// </span>\\n// -------------------------\\n\\n.fa-stack {\\n  position: relative;\\n  width: 1em;\\n  height: 1em;\\n  display: inline-block;\\n\\n  .fa-stack-1x,\\n  .fa-stack-2x {\\n    left: 0px;\\n    top: 0px;\\n    position: absolute;\\n  }\\n\\n  .fa-stack-2x {\\n    height: 1.5em;\\n    width: 1.5em;\\n    margin-top: -0.25em;\\n    margin-left: -0.25em;\\n  }\\n}\\n",\n\t\t".d-date-time-input-range {\\n  padding: 0.5em;\\n  background: whitesmole;\\n  border: 1px solid $primary-low;\\n  width: 300px;\\n  display: flex;\\n  flex-direction: column;\\n\\n  .panels {\\n    display: inline-flex;\\n    list-style: none;\\n    margin: 0 0 0.5em 0;\\n    flex: 1;\\n\\n    &.from {\\n      .from-panel {\\n        background: $danger;\\n        color: $secondary;\\n      }\\n    }\\n\\n    &.to {\\n      .to-panel {\\n        background: $danger;\\n        color: $secondary;\\n      }\\n    }\\n\\n    .btn {\\n      margin-right: 0.5em;\\n    }\\n  }\\n\\n  .panel {\\n    display: none;\\n    flex: 1;\\n\\n    &.visible {\\n      display: flex;\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Navigation menus\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n%nav {\\n  margin-left: 0;\\n  list-style: none;\\n  li a {\\n    display: block;\\n    text-decoration: none;\\n  }\\n}\\n\\n// Pill nav\\n// --------------------------------------------------\\n\\n.nav-pills {\\n  @extend %nav;\\n  @extend .clearfix;\\n\\n  > li {\\n    float: left;\\n    margin-right: 5px;\\n\\n    > a {\\n      border: none;\\n      padding: 6px 12px;\\n      color: $primary;\\n      font-size: $font-up-1;\\n      line-height: $line-height-small;\\n      box-sizing: border-box;\\n      min-height: 30px;\\n      display: flex;\\n      align-items: center;\\n      transition: background 0.15s;\\n\\n      .d-icon {\\n        margin-right: 5px;\\n        opacity: 0.65;\\n      }\\n\\n      &:hover {\\n        color: $quaternary;\\n        background-color: $quaternary-low;\\n      }\\n    }\\n\\n    a.active {\\n      color: $secondary;\\n      background-color: $quaternary;\\n\\n      .d-icon {\\n        opacity: 1;\\n      }\\n    }\\n  }\\n}\\n\\n// Stacked nav\\n// --------------------------------------------------\\n\\n.nav-stacked {\\n  @extend %nav;\\n  padding: 0;\\n  overflow: hidden;\\n  background: $primary-low;\\n\\n  li {\\n    border-bottom: 1px solid $primary-low;\\n    position: relative;\\n\\n    &:last-of-type {\\n      border-bottom: 0;\\n    }\\n\\n    &.indent {\\n      padding-left: 15px;\\n    }\\n  }\\n\\n  a {\\n    margin: 0;\\n    padding: 13px;\\n    font-size: $font-up-1;\\n    line-height: $line-height-small;\\n    cursor: pointer;\\n    color: $primary;\\n\\n    &.active {\\n      color: $secondary;\\n      background-color: $quaternary;\\n\\n      &::after {\\n        left: 90%;\\n        top: 33%;\\n        content: \\" \\";\\n        position: absolute;\\n        border: 8px solid transparent;\\n        border-left-color: $secondary;\\n      }\\n    }\\n  }\\n\\n  .count {\\n    font-size: $font-down-1;\\n  }\\n\\n  .glyph {\\n    font-size: $font-down-1;\\n    width: 1.25em;\\n    text-align: center;\\n    margin-right: 0.25em;\\n    line-height: $line-height-large;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Buttons\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n.btn {\\n  display: inline-block;\\n  margin: 0;\\n  padding: 6px 12px;\\n  font-weight: 500;\\n  font-size: $font-0;\\n  line-height: $line-height-small;\\n  text-align: center;\\n  cursor: pointer;\\n  transition: all 0.25s;\\n  box-sizing: border-box;\\n  min-height: 30px;\\n  .d-icon {\\n    transition: color 0.25s;\\n  }\\n  &:active,\\n  &.btn-active {\\n    text-shadow: none;\\n  }\\n  &[disabled],\\n  &.disabled {\\n    cursor: default;\\n    opacity: 0.4;\\n  }\\n  .d-icon {\\n    margin-right: 7px;\\n  }\\n  &.no-text {\\n    .d-icon {\\n      margin-right: 0;\\n    }\\n  }\\n}\\n\\n.btn.hidden {\\n  display: none;\\n}\\n\\n// Default button\\n// --------------------------------------------------\\n\\n.btn {\\n  border: none;\\n  color: $primary;\\n  font-weight: normal;\\n  background: $primary-low;\\n  .d-icon {\\n    color: $primary-high;\\n  }\\n\\n  &[href] {\\n    color: $primary;\\n    min-height: unset; // ovverides button defaults\\n  }\\n  @include hover {\\n    background: $primary-medium;\\n    color: $secondary;\\n    .d-icon {\\n      color: $secondary-very-high;\\n    }\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $primary-low;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n    &:hover {\\n      color: dark-light-choose($primary-low-mid, $secondary-high);\\n      .d-icon {\\n        color: $primary-low-mid;\\n      }\\n    }\\n    cursor: not-allowed;\\n  }\\n\\n  .d-icon {\\n    line-height: $line-height-medium; // Match button text line-height\\n  }\\n}\\n\\n// Primary button\\n// --------------------------------------------------\\n\\n.btn-primary {\\n  border: none;\\n  font-weight: normal;\\n  color: $secondary;\\n  background: $tertiary;\\n  .d-icon {\\n    color: currentColor;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  @include hover {\\n    background: dark-light-choose(\\n      scale-color($tertiary, $lightness: -20%),\\n      scale-color($tertiary, $lightness: 20%)\\n    );\\n    .d-icon {\\n      color: currentColor;\\n    }\\n  }\\n  &:active,\\n  &.btn-active {\\n    @include linear-gradient(\\n      scale-color($tertiary, $lightness: -20%),\\n      $tertiary\\n    );\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $tertiary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n  }\\n}\\n\\n// Danger button\\n// --------------------------------------------------\\n\\n.btn-danger {\\n  color: $secondary;\\n  font-weight: normal;\\n  background: $danger;\\n  .d-icon {\\n    color: $danger-low;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  @include hover {\\n    background: dark-light-choose(\\n      scale-color($danger, $lightness: -20%),\\n      scale-color($danger, $lightness: 20%)\\n    );\\n    .d-icon {\\n      color: $danger-low;\\n    }\\n  }\\n  &:active,\\n  &.btn-active {\\n    @include linear-gradient(scale-color($danger, $lightness: -20%), $danger);\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $danger;\\n    .d-icon {\\n      color: $danger-low;\\n    }\\n  }\\n}\\n\\n// Social buttons\\n// --------------------------------------------------\\n\\n.btn-social {\\n  .d-icon {\\n    color: #fff;\\n  }\\n  color: #fff;\\n  background: #666;\\n  &:hover {\\n    color: #fff;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  &:before {\\n    margin-right: 9px;\\n    font-size: $font-0;\\n  }\\n  &.google_oauth2 {\\n    background: $google;\\n    color: #333;\\n    border: 1px solid $primary-low;\\n    // non-FA SVG icon for Google in login-buttons.hbs\\n    .d-icon {\\n      opacity: 0.9;\\n    }\\n    &:hover {\\n      color: currentColor;\\n      background: darken($google, 5%);\\n    }\\n  }\\n  &.instagram {\\n    background: $instagram;\\n    &:hover {\\n      background: darken($instagram, 15%);\\n    }\\n  }\\n  &.facebook {\\n    background: $facebook;\\n    &:hover {\\n      background: darken($facebook, 15%);\\n    }\\n  }\\n  &.cas {\\n    background: $cas;\\n  }\\n  &.twitter {\\n    background: $twitter;\\n    &:hover {\\n      background: darken($twitter, 10%);\\n    }\\n  }\\n  &.github {\\n    background: $github;\\n    &:hover {\\n      background: lighten($github, 20%);\\n    }\\n  }\\n  &.discord {\\n    background: $discord;\\n    &:hover {\\n      background: darken($discord, 10%);\\n    }\\n  }\\n}\\n\\n// Button Sizes\\n// --------------------------------------------------\\n\\n// Small\\n\\n.btn-small {\\n  padding: 3px 6px;\\n  font-size: $font-down-1;\\n}\\n\\n// Large\\n\\n.btn-large {\\n  padding: 9px 18px;\\n  font-size: $font-up-1;\\n  line-height: $line-height-small;\\n}\\n\\n.btn-flat {\\n  background: transparent;\\n  border: 0;\\n  outline: 0;\\n  line-height: $line-height-small;\\n  transition: color 0.25s, background 0.25s;\\n  .d-icon {\\n    color: $primary-low-mid;\\n  }\\n  @include hover {\\n    .d-icon {\\n      color: $primary;\\n    }\\n  }\\n  &.close {\\n    padding: 0;\\n    min-height: unset;\\n    background: transparent;\\n    font-size: $font-up-3;\\n    .d-icon {\\n      color: $primary-high;\\n    }\\n    @include hover {\\n      background: transparent;\\n      .d-icon {\\n        color: $primary;\\n      }\\n    }\\n  }\\n}\\n\\n.btn-link {\\n  background: transparent;\\n  border: 0;\\n  outline: 0;\\n  padding: 0;\\n  color: $tertiary;\\n  &:focus {\\n    outline: 1px currentColor dotted;\\n  }\\n}\\n",\n\t\t".topic-list-item td:first-child,\\n.topic-post {\\n  border-left: 1px solid transparent;\\n}\\n\\n.topic-list tr.selected td:first-child,\\n.topic-list-item.selected td:first-child,\\n.latest-topic-list-item.selected {\\n  box-shadow: inset 3px 0 0 $danger; // needs to be inset for Edge\\n}\\n\\n.featured-topic.selected,\\n.topic-post.selected {\\n  box-shadow: -3px 0 0 $danger;\\n}\\n\\n.latest .featured-topic {\\n  padding-left: 4px;\\n}\\n\\n.topic-list-item.selected {\\n  background-color: inherit;\\n}\\n\\n.keyboard-shortcuts-modal .modal-body {\\n  max-height: 560px;\\n}\\n\\n#keyboard-shortcuts-help {\\n  div.row {\\n    width: 100%;\\n    div {\\n      float: left;\\n      width: 32%;\\n    }\\n  }\\n  ul {\\n    list-style: none;\\n    margin-left: 0;\\n\\n    li {\\n      margin: 5px 0;\\n    }\\n\\n    kbd {\\n      font-size: $base-font-size;\\n      font-family: $base-font-family;\\n      margin: 0;\\n      color: dark-light-choose(#444, #aaa);\\n      font-weight: bold;\\n      padding: 2px 6px;\\n      white-space: nowrap;\\n    }\\n  }\\n}\\n",\n\t\t".d-date-time-input {\\n  display: flex;\\n  align-items: center;\\n  border: 1px solid $primary-low;\\n  width: 258px;\\n  box-sizing: border-box;\\n  position: relative;\\n  flex: 1;\\n  justify-content: space-between;\\n\\n  .date-picker,\\n  .fields {\\n    border: 0;\\n  }\\n}\\n",\n\t\t".group-member-dropdown {\\n  text-align: left;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Banner\\n// --------------------------------------------------\\n\\n#banner {\\n  padding: 10px;\\n  background: $tertiary-low;\\n  color: $primary;\\n  z-index: z(\\"base\\") + 1;\\n  overflow: auto;\\n\\n  &.overlay {\\n    position: fixed;\\n  }\\n\\n  .close {\\n    margin-top: -5px;\\n    color: $primary-low-mid;\\n    padding-left: 5px;\\n    float: right;\\n  }\\n\\n  .meta {\\n    display: none;\\n  }\\n}\\n",\n\t\t".ignored-list {\\n  overflow: auto;\\n  max-height: 150px;\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  background-color: $secondary;\\n  min-height: 30px;\\n  box-sizing: border-box;\\n}\\n\\n.ignored-user-list-item {\\n  border: 1px solid $primary-medium;\\n  border-radius: 0.25em;\\n  padding: 0;\\n  display: flex;\\n  align-items: center;\\n  margin-right: 10px;\\n}\\n\\n.remove-ignored-user {\\n  display: flex;\\n  flex: 1 0 0px;\\n  align-items: center;\\n  justify-content: center;\\n  box-sizing: border-box;\\n  border-radius: 0 0.25em 0.25em 0;\\n  padding-top: 0;\\n  padding-bottom: 0;\\n  height: 100%;\\n}\\n\\n.ignored-user-name {\\n  padding-left: 10px;\\n  padding-right: 10px;\\n}\\n",\n\t\t".d-date-input {\\n  .date-picker {\\n    margin: 0;\\n    text-align: left;\\n    width: 100%;\\n    outline: none;\\n    box-shadow: none !important;\\n  }\\n\\n  .pika-single {\\n    margin-left: -1px;\\n  }\\n}\\n",\n\t\t".d-time-input {\\n  box-sizing: border-box;\\n\\n  .fields {\\n    display: flex;\\n    align-items: center;\\n    border: 1px solid $primary-low;\\n\\n    .field {\\n      text-align: center;\\n      width: auto;\\n      margin: 0;\\n      border: none;\\n      outline: none;\\n      box-shadow: none;\\n      width: 32px;\\n\\n      &.time {\\n        width: 100%;\\n        text-align: left;\\n      }\\n\\n      &.hours,\\n      &.minutes {\\n        text-align: center;\\n        width: 45px;\\n      }\\n\\n      &.hours {\\n        padding-right: 0;\\n      }\\n\\n      &.minutes {\\n        padding-left: 10px;\\n        width: 55px;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".group-form-automatic-membership-automatic,\\n.groups-form-grant-trust-level {\\n  margin-bottom: 10px;\\n}\\n",\n\t\t".conditional-loading-section {\\n  &.is-loading {\\n    padding: 2em;\\n    margin: 1em;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background: $primary-very-low;\\n    flex-direction: column;\\n\\n    .title {\\n      font-size: $font-up-1;\\n      font-weight: 700;\\n    }\\n  }\\n\\n  &:not(.is-loading) {\\n    animation: fadein 0.5s;\\n    -webkit-animation: fadein 0.5s;\\n  }\\n\\n  @keyframes fadein {\\n    from {\\n      opacity: 0;\\n    }\\n    to {\\n      opacity: 1;\\n    }\\n  }\\n\\n  @-webkit-keyframes fadein {\\n    from {\\n      opacity: 0;\\n    }\\n    to {\\n      opacity: 1;\\n    }\\n  }\\n}\\n",\n\t\t"a.hashtag {\\n  color: dark-light-choose($primary, $primary-low-mid);\\n  font-weight: bold;\\n\\n  &:visited,\\n  &:hover {\\n    color: dark-light-choose($primary, $primary-low-mid);\\n  }\\n\\n  &:hover {\\n    span {\\n      text-decoration: underline;\\n    }\\n  }\\n}\\n",\n\t\t".convert-to-public-topic .modal-body {\\n  .instructions {\\n    margin-bottom: 1em;\\n  }\\n}\\n",\n\t\t".pika-table {\\n  th,\\n  td {\\n    padding: 0 !important;\\n    border-top: none !important;\\n    border-bottom: none !important;\\n  }\\n}\\n\\n.date-picker-wrapper {\\n  position: relative;\\n  display: inline-block;\\n}\\n\\n.date-picker {\\n  text-align: center;\\n  width: 8em;\\n  margin: 0;\\n}\\n\\n.pika-single {\\n  position: absolute !important;\\n}\\n",\n\t\t"$card_width: 580px;\\n$avatar_width: 120px;\\n$avatar_margin: -50px; // negative margin makes avatars extend above cards\\n\\n.animated-placeholder {\\n  height: 20px;\\n  position: relative;\\n}\\n\\n.card-avatar-placeholder {\\n  width: $avatar_width;\\n  height: $avatar_width;\\n  border-radius: 100%;\\n  position: relative;\\n  overflow: hidden;\\n  &:before {\\n    animation: placeHolderShimmer 4s linear infinite forwards;\\n    position: absolute;\\n    left: 0;\\n    content: \\"\\";\\n    background: linear-gradient(\\n      to right,\\n      $primary-very-low 10%,\\n      $primary-low 18%,\\n      $primary-very-low 33%\\n    );\\n    height: $avatar_width;\\n    width: $card_width;\\n  }\\n}\\n\\n// shared styles for user and group cards\\n#user-card,\\n#group-card {\\n  width: $card_width;\\n  box-shadow: shadow(\\"card\\");\\n  color: $primary;\\n  background: $secondary center center;\\n  background-size: cover;\\n  transition: opacity 0.2s, transform 0.2s;\\n  -webkit-transition: opacity 0.2s, -webkit-transform 0.2s;\\n  opacity: 0;\\n  @include transform(scale(0.9));\\n  &.show {\\n    opacity: 1;\\n    @include transform(scale(1));\\n  }\\n  .card-content {\\n    padding: 10px;\\n    background: rgba($secondary, 0.85);\\n    margin-top: 80px;\\n    &:after {\\n      content: \\"\\";\\n      display: block;\\n      clear: both;\\n    }\\n    a.card-huge-avatar {\\n      outline: none;\\n    }\\n  }\\n  &.no-bg {\\n    .card-content {\\n      margin-top: 0;\\n    }\\n  }\\n  .card-row:not(.first-row) {\\n    margin-top: 0.5em;\\n  }\\n  // avatar - names - controls\\n  .first-row {\\n    .names {\\n      padding-left: 1.25em;\\n\\n      .user-profile-link {\\n        display: flex;\\n        align-items: center;\\n      }\\n\\n      .d-icon {\\n        margin: 0 0.25em;\\n      }\\n\\n      .name-username-wrapper {\\n        margin-right: 0;\\n        flex: 0 1 auto;\\n      }\\n      span {\\n        display: block;\\n      }\\n    }\\n    .usercard-controls {\\n      list-style-type: none;\\n      margin: 0;\\n      button {\\n        width: 100%;\\n      }\\n    }\\n  }\\n  .btn {\\n    margin-bottom: 5px;\\n  }\\n  h1 {\\n    line-height: $line-height-medium;\\n    .d-icon {\\n      color: $primary;\\n    }\\n  }\\n  h3 {\\n    display: inline;\\n    margin-right: 0.5em;\\n    color: $primary;\\n    &.email,\\n    .desc,\\n    a {\\n      color: $primary-high;\\n    }\\n  }\\n  h1,\\n  h2,\\n  h3 {\\n    margin: 0;\\n    @include ellipsis;\\n  }\\n  h1,\\n  h2 {\\n    a {\\n      color: $primary;\\n    }\\n  }\\n  h2,\\n  h3 {\\n    font-weight: normal;\\n  }\\n  p {\\n    margin: 0 0 5px 0;\\n  }\\n}\\n\\n// styles for user cards only\\n#user-card {\\n  // avatar - names - controls\\n  .first-row {\\n    display: flex;\\n    .avatar-placeholder {\\n      width: $avatar_width;\\n      height: $avatar_width;\\n    }\\n    .user-card-avatar {\\n      margin-top: $avatar_margin;\\n    }\\n    .new-user a {\\n      color: $primary-low-mid;\\n    }\\n  }\\n  // user bio - suspension reason\\n  .second-row {\\n    max-height: 150px;\\n    overflow: auto;\\n    .bio {\\n      a {\\n        color: $primary;\\n        text-decoration: underline;\\n      }\\n      a.mention {\\n        text-decoration: none;\\n      }\\n      .overflow {\\n        max-height: 60px;\\n        overflow: hidden;\\n      }\\n    }\\n    .suspended {\\n      color: $danger;\\n      .suspension-reason-title,\\n      .suspension-date {\\n        font-weight: bold;\\n      }\\n    }\\n    .profile-hidden {\\n      font-size: $font-up-1;\\n      margin-top: 0.5em;\\n    }\\n  }\\n  // location and website\\n  .third-row {\\n    .location-and-website {\\n      display: flex;\\n      flex-wrap: wrap;\\n      width: 100%;\\n      align-items: center;\\n      .location,\\n      .website-name {\\n        display: flex;\\n        overflow: hidden;\\n        align-items: center;\\n        .d-icon {\\n          margin-right: 0.25em;\\n        }\\n      }\\n      .website-name a,\\n      .location span {\\n        @include ellipsis;\\n        color: $primary;\\n      }\\n      .location {\\n        margin-right: 0.5em;\\n      }\\n      .website-name a {\\n        text-decoration: underline;\\n      }\\n    }\\n  }\\n  // custom user fields\\n  .fifth-row {\\n    .public-user-fields {\\n      margin: 0;\\n    }\\n  }\\n  // badges\\n  .sixth-row {\\n    .badge-section {\\n      display: flex;\\n      align-items: flex-start;\\n      .user-badge {\\n        @include ellipsis;\\n        background: $primary-very-low;\\n        border: 1px solid $primary-low;\\n        color: $primary;\\n      }\\n      .more-user-badges {\\n        a {\\n          @extend .user-badge;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// styles for group cards only\\n#group-card {\\n  // avatar - names and controls\\n  .first-row {\\n    display: flex;\\n    .group-card-avatar {\\n      margin-top: $avatar_margin;\\n    }\\n    .avatar-flair {\\n      display: flex;\\n      background-size: contain;\\n      width: $avatar_width;\\n      height: $avatar_width;\\n      color: $primary;\\n      .d-icon {\\n        margin: auto;\\n        font-size: $avatar_width / 1.5;\\n      }\\n      &.rounded {\\n        border-radius: 50%;\\n      }\\n    }\\n  }\\n  // group bio\\n  .second-row {\\n    max-height: 150px;\\n    overflow: auto;\\n    .bio {\\n      a {\\n        color: $primary;\\n        text-decoration: underline;\\n      }\\n      img {\\n        max-width: 100%;\\n        height: auto;\\n      }\\n      a.mention {\\n        text-decoration: none;\\n      }\\n      .overflow {\\n        max-height: 60px;\\n        overflow: hidden;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Footer nav bar (displayed in DiscourseHub app and PWAs)\\n// --------------------------------------------------\\n\\n$footer-nav-height: 49px;\\n\\nbody.footer-nav-visible {\\n  #main-outlet {\\n    padding-bottom: $footer-nav-height + 15;\\n  }\\n\\n  #topic-progress-wrapper,\\n  #reply-control.draft {\\n    bottom: $footer-nav-height;\\n  }\\n\\n  #reply-control.draft {\\n    margin-bottom: env(safe-area-inset-bottom);\\n    padding-bottom: 0px;\\n  }\\n}\\n\\n.footer-nav {\\n  background-color: rgba($header_background, 0.9);\\n  box-shadow: shadow(\\"footer-nav\\");\\n  height: $footer-nav-height;\\n  position: fixed;\\n  bottom: -$footer-nav-height;\\n  left: 0;\\n  width: 100%;\\n  z-index: z(\\"footer-nav\\");\\n  transition: all linear 0.1s;\\n\\n  .d-icon {\\n    color: $header_primary-medium;\\n  }\\n\\n  &.visible {\\n    bottom: 0px;\\n  }\\n\\n  .footer-nav-widget {\\n    display: flex;\\n    justify-content: \\"space-evenly\\";\\n    @include unselectable;\\n    button {\\n      flex: 1;\\n      margin: 4px;\\n      border-radius: 2px;\\n      padding: 14px 18px;\\n      &:disabled {\\n        opacity: 0.6;\\n      }\\n    }\\n  }\\n}\\n\\n@supports (padding: max(0px)) {\\n  .footer-nav.visible {\\n    padding-bottom: unquote(\\"max(5px, env(safe-area-inset-bottom))\\");\\n  }\\n}\\n\\n@supports (-webkit-backdrop-filter: blur(10px)) {\\n  body:not(.footer-nav-ipad) .footer-nav {\\n    background-color: rgba($header_background, 0.7);\\n    -webkit-backdrop-filter: blur(20px);\\n  }\\n}\\n\\nbody.footer-nav-ipad {\\n  padding-top: $footer-nav-height;\\n  .footer-nav {\\n    bottom: auto;\\n    top: 0px;\\n    background-color: $header_background;\\n    z-index: z(\\"ipad-header-nav\\");\\n    padding-bottom: 0; // resets safe-area-inset-bottom\\n  }\\n\\n  #reply-control,\\n  #reply-control.fullscreen {\\n    z-index: z(\\"ipad-header-nav\\") + 1;\\n  }\\n\\n  &.docked .d-header {\\n    margin-top: $footer-nav-height;\\n  }\\n}\\n",\n\t\t".share-and-invite.modal {\\n  .modal-body {\\n    max-width: 475px;\\n    min-width: 320px;\\n  }\\n\\n  .modal-header {\\n    .modal-close {\\n      padding-left: 0;\\n    }\\n  }\\n}\\n\\n.share-and-invite.modal .share.modal-panel {\\n  .header {\\n    display: flex;\\n    flex-direction: row;\\n    align-items: center;\\n\\n    .title {\\n      font-size: $font-0;\\n      font-weight: normal;\\n      margin-bottom: s(2);\\n\\n      .post-date {\\n        color: $primary-medium;\\n        font-size: $font-down-1;\\n      }\\n    }\\n  }\\n\\n  .body {\\n    display: flex;\\n    flex-direction: column;\\n\\n    .topic-share-url {\\n      width: 100%;\\n      height: auto;\\n      box-sizing: border-box;\\n    }\\n\\n    .topic-share-url-for-touch {\\n      a {\\n        word-break: break-all;\\n        font-size: $font-up-1;\\n      }\\n    }\\n\\n    .topic-share-url-for-touch,\\n    .topic-share-url {\\n      margin-bottom: s(2);\\n    }\\n\\n    .sources {\\n      display: flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      flex-direction: row;\\n\\n      .social-link {\\n        font-size: $font-up-6;\\n        margin-right: s(2);\\n      }\\n    }\\n  }\\n}\\n\\n.share-and-invite.modal .invite.modal-panel {\\n  .error-message,\\n  .success-message {\\n    margin-bottom: s(2);\\n  }\\n\\n  .body {\\n    .invite-user-control,\\n    .group-access-control,\\n    .show-custom-message-control {\\n      margin-bottom: s(4);\\n    }\\n\\n    .instructions {\\n      margin-bottom: s(2);\\n    }\\n\\n    .email-or-username-input {\\n      width: 100%;\\n    }\\n  }\\n\\n  .footer {\\n    display: flex;\\n    align-items: center;\\n\\n    .btn-primary {\\n      margin-right: s(2);\\n\\n      &:last-child {\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Common styles for \\"user-stream-item\\" component\\n.user-stream {\\n  // DEPRECATED:\\n  // The \\".item\\" class should be removed because it's too generic.\\n  // Once \\".item\\" has been removed, \\".user-stream-item\\" can replace\\n  // \\".user-stream\\" as the top-level selector on this file as all other\\n  // selectors below are its children\\n  .item,\\n  .user-stream-item {\\n    background-color: $secondary;\\n    border-bottom: 1px solid $primary-low;\\n\\n    &.moderator-action {\\n      background-color: $highlight-medium;\\n    }\\n\\n    &.deleted {\\n      opacity: 0.8;\\n      background-color: dark-light-diff(\\n        rgba($danger, 0.7),\\n        $secondary,\\n        50%,\\n        -10%\\n      );\\n    }\\n\\n    &.hidden {\\n      display: block;\\n      opacity: 0.4;\\n    }\\n  }\\n\\n  .type,\\n  span.name {\\n    color: $primary;\\n  }\\n\\n  .time,\\n  .delete-info,\\n  .draft-type {\\n    display: block;\\n    float: right;\\n    color: $primary-medium;\\n    font-size: $font-down-2;\\n  }\\n\\n  .draft-type {\\n    clear: right;\\n  }\\n\\n  .delete-info .d-icon {\\n    font-size: $font-0;\\n  }\\n\\n  .expand-item,\\n  .collapse-item {\\n    float: right;\\n    margin-right: 0.5em;\\n    line-height: $line-height-small;\\n    color: $primary-medium;\\n  }\\n\\n  .avatar-link {\\n    float: left;\\n    margin-right: 4px;\\n  }\\n\\n  .title {\\n    @include ellipsis;\\n    display: block;\\n  }\\n\\n  .name {\\n    font-size: $font-0;\\n    max-width: 400px;\\n    @include ellipsis;\\n  }\\n\\n  .edit-reason {\\n    background-color: dark-light-choose(\\n      $highlight-medium,\\n      scale-color($highlight, $lightness: -50%)\\n    );\\n    padding: 3px 5px 5px 5px;\\n  }\\n\\n  .remove-bookmark,\\n  .remove-draft {\\n    float: right;\\n    margin-top: -4px;\\n  }\\n\\n  .notification {\\n    li {\\n      display: inline-block;\\n    }\\n\\n    p {\\n      display: inline-block;\\n\\n      span:first-child {\\n        color: $primary;\\n      }\\n    }\\n\\n    .time {\\n      display: inline-block;\\n      margin-left: 10px;\\n      float: none;\\n    }\\n\\n    // common/base/header.scss\\n    .fa,\\n    .icon {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      font-size: $font-up-4;\\n    }\\n  }\\n\\n  .excerpt {\\n    margin: 1em 0 0 0;\\n    font-size: $font-0;\\n    word-wrap: break-word;\\n    color: $primary;\\n    &:empty {\\n      display: none;\\n    }\\n    details.disabled {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  .group-member-info {\\n    display: flex;\\n  }\\n}\\n\\n.user-stream .child-actions, /* DEPRECATED: '.user-stream .child-actions' selector*/\\n.user-stream-item-actions,\\n.user-stream-item-draft-actions {\\n  margin-top: 8px;\\n\\n  .avatar-link {\\n    float: none;\\n    margin-right: 3px;\\n  }\\n\\n  .fa {\\n    width: 15px;\\n    display: inline-block;\\n    color: $primary;\\n    &.d-icon-heart {\\n      color: $love;\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Badges\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n%badge {\\n  display: inline-block;\\n  font-weight: normal;\\n  white-space: nowrap;\\n  border-radius: 10px;\\n}\\n\\n// Category badges\\n// --------------------------------------------------\\n\\n.badge-wrapper {\\n  font-size: $font-down-1;\\n  font-weight: bold;\\n  white-space: nowrap;\\n  position: relative;\\n  display: inline-flex;\\n  align-items: baseline;\\n\\n  .badge-category {\\n    display: inline-flex;\\n    align-items: baseline;\\n    .category-name {\\n      text-overflow: ellipsis;\\n      overflow: hidden;\\n    }\\n    .d-icon {\\n      margin-right: 3px;\\n      width: 0.74em;\\n      height: 0.74em;\\n      color: inherit;\\n    }\\n  }\\n\\n  // ----- Bullet\\n\\n  &.bullet {\\n    margin-right: 12px;\\n    span.badge-category {\\n      color: $primary-high;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      .extra-info-wrapper & {\\n        color: $header-primary;\\n      }\\n    }\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      flex: 0 0 auto;\\n      width: 9px;\\n      height: 9px;\\n      margin-right: 5px;\\n      display: inline-block;\\n    }\\n    .badge-category-parent-bg {\\n      // Subcategories\\n      width: 5px;\\n      margin-right: 0;\\n      + .badge-category-bg {\\n        width: 5px;\\n      }\\n    }\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  // ----- Box\\n\\n  &.box {\\n    margin-right: 5px;\\n    padding: 2px 4px 2px 4px;\\n    display: inline-flex;\\n    span {\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      &.badge-category-bg,\\n      &.badge-category-parent-bg {\\n        position: absolute;\\n        top: 0;\\n        right: 0;\\n        bottom: 0;\\n        left: 0;\\n      }\\n\\n      &.badge-category-parent-bg {\\n        // Subcategories\\n        width: calc(100% - 5px);\\n        & + .badge-category-bg {\\n          left: 5px;\\n          width: calc(100% - 5px);\\n          & + .badge-category {\\n            margin-left: 5px;\\n          }\\n        }\\n      }\\n\\n      &.badge-category {\\n        position: relative;\\n      }\\n    }\\n    + .topic-header-extra {\\n      padding: 2px 4px 2px 4px;\\n    }\\n  }\\n\\n  // ----- Bar\\n\\n  &.bar {\\n    margin-right: 5px;\\n\\n    span.badge-category {\\n      color: $primary-high;\\n      padding: 1px 3px;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n\\n      .extra-info-wrapper & {\\n        color: $header-primary;\\n      }\\n    }\\n\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      // Subcategories\\n      display: inline-block;\\n      padding: 0 1px;\\n\\n      &:before {\\n        content: \\"\\\\a0\\";\\n      }\\n    }\\n  }\\n\\n  // ----- No category style\\n\\n  &.none {\\n    color: $primary-high;\\n    margin-right: 5px;\\n  }\\n}\\n\\n// Category badge dropdown\\n// --------------------------------------------------\\n\\n.list-controls {\\n  .category-breadcrumb {\\n    a.badge-category {\\n      display: inline-block;\\n      padding: 6px 8px;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n// Notification badge\\n// --------------------------------------------------\\n\\n.badge-notification {\\n  @extend %badge;\\n  padding: 0.21em 0.42em;\\n  min-width: 0.5em;\\n  color: $secondary;\\n  font-size: $font-down-2;\\n  line-height: $line-height-small;\\n  text-align: center;\\n  background-color: dark-light-choose($primary-low-mid, $secondary-low);\\n  &[href] {\\n    color: $secondary;\\n  }\\n\\n  &:hover {\\n    color: $secondary;\\n  }\\n\\n  // New posts\\n\\n  &.new-posts,\\n  &.unread-posts {\\n    background-color: dark-light-choose($tertiary-medium, $tertiary);\\n    color: dark-light-choose($secondary, $secondary);\\n    font-weight: dark-light-choose(normal, bold);\\n  }\\n\\n  &.new-topic {\\n    background-color: transparent;\\n    color: $tertiary-high;\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n  }\\n\\n  &.new-topic::before {\\n    content: \\"●\\";\\n    margin-right: 2px;\\n  }\\n\\n  // Click count\\n\\n  &.clicks {\\n    font-weight: normal;\\n    background-color: $primary-low;\\n    top: -1px;\\n    color: $primary-medium;\\n    position: relative;\\n    border: none;\\n  }\\n}\\n\\n// Posts badge\\n// --------------------------------------------------\\n\\n.badge-posts {\\n  font-weight: normal;\\n  font-size: $font-0;\\n  line-height: $line-height-small;\\n  &[href] {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n}\\n\\n// Group badge\\n// --------------------------------------------------\\n\\n.badge-group {\\n  @extend %badge;\\n  padding: 2px 5px;\\n  color: $primary;\\n  background-color: $primary-low;\\n  border-color: $primary-low;\\n  font-size: $font-down-1;\\n}\\n",\n\t\t"// Common styles for \\"user-info\\" component\\n.user-info {\\n  display: inline-block;\\n  clear: both;\\n  margin-bottom: 1em;\\n\\n  .user-image {\\n    float: left;\\n    padding-right: 4px;\\n    margin-right: 10px;\\n  }\\n\\n  .user-image-inner {\\n    position: relative;\\n    display: inline-block;\\n  }\\n\\n  .user-detail {\\n    float: left;\\n    width: 70%;\\n    padding-left: 5px;\\n    @media screen and (max-width: 600px) {\\n      font-size: $font-down-1;\\n    }\\n\\n    .name-line {\\n      @include ellipsis;\\n    }\\n\\n    .username a {\\n      font-weight: bold;\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n\\n    .name {\\n      margin-left: 5px;\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n\\n    .title {\\n      margin-top: 3px;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  &.small {\\n    width: 333px;\\n    @media screen and (max-width: $small-width) {\\n      width: auto;\\n      display: flex;\\n    }\\n    @media screen and (max-width: 600px) {\\n      width: 100%;\\n    }\\n  }\\n\\n  &.medium {\\n    min-height: 60px;\\n\\n    .username,\\n    .name {\\n      display: block;\\n    }\\n\\n    .name {\\n      margin-left: 0;\\n    }\\n\\n    &.badge-info {\\n      min-height: 80px;\\n      min-width: 250px;\\n\\n      .granted-on {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n\\n      .post-link {\\n        display: block;\\n        margin-top: 0.2em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".user-stream {\\n  &.filter-deleted {\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n    grid-row-start: 2;\\n  }\\n}\\n",\n\t\t"@import \\"foundation/variables\\";\\n@import \\"foundation/mixins\\";\\n\\n.popup-tip {\\n  position: absolute;\\n  display: block;\\n  padding: 5px 10px;\\n  z-index: z(\\"tooltip\\");\\n  &.bad {\\n    background: $danger-medium;\\n    color: white;\\n    box-shadow: shadow(\\"dropdown\\");\\n  }\\n  &.hide,\\n  &.good {\\n    display: none;\\n  }\\n  .close {\\n    float: right;\\n    color: $primary;\\n    opacity: 0.5;\\n    font-size: $font-0;\\n    margin: 0 0 0 4px;\\n    cursor: pointer;\\n  }\\n  .close:hover {\\n    opacity: 1;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"#topic-entrance {\\n  border: 1px solid $primary-low;\\n  padding: 5px;\\n  background: $secondary;\\n  box-shadow: shadow(\\"card\\");\\n  z-index: z(\\"dropdown\\");\\n\\n  position: absolute;\\n  width: 133px;\\n  @include unselectable;\\n\\n  button.full {\\n    width: 100%;\\n    margin-bottom: 5px;\\n\\n    .d-icon {\\n      display: block;\\n      margin: 2px auto;\\n      transform: rotate(90deg);\\n    }\\n  }\\n  button.btn.jump-bottom {\\n    margin: 5px 0 0 0;\\n  }\\n}\\n",\n\t\t"@media print {\\n  /* remove items N/A for print\\n  ** visual clutter etc. */\\n  .avatar,\\n  .topic-avatar,\\n  header,\\n  .topic-above-post-stream-outlet.topic-above-post-stream,\\n  .topic-map,\\n  .post-menu-area.clearfix,\\n  div#topic-footer-buttons,\\n  div.suggested-topics,\\n  div#progress-topic-wrapper,\\n  #topic-progress-wrapper,\\n  div.nums,\\n  ._flyout,\\n  .show-topic-admin,\\n  #topic-progress,\\n  .quote-controls,\\n  .topic-status-info,\\n  div.lazyYT,\\n  .post-info.edits,\\n  .post-action,\\n  .saving-text,\\n  .draft-text,\\n  .discourse-modal,\\n  div.read-state,\\n  div.read-state.read,\\n  .edit-topic,\\n  a.reply-to-tab,\\n  a.reply-new,\\n  div.time-gap,\\n  #bottom,\\n  #footer,\\n  .alert-info,\\n  .badge-category,\\n  .badge-category-bg,\\n  .badge-notification.clicks,\\n  .crawler-nav,\\n  .powered-by-link {\\n    display: none !important;\\n  }\\n  /* For readability */\\n  a,\\n  a:visited {\\n    color: #0088cc !important;\\n  }\\n  /* bottom border to help separate posts */\\n  div.row {\\n    border-top: 1px solid #aaa;\\n  }\\n  .cooked pre code {\\n    max-height: none;\\n  }\\n  #main-outlet {\\n    padding: 0 !important;\\n  }\\n  html,\\n  body {\\n    min-width: 0;\\n    height: auto;\\n  }\\n  .lightbox-wrapper img {\\n    max-width: 500px !important;\\n    height: auto !important;\\n  }\\n  .topic-body {\\n    width: auto;\\n    margin: 0;\\n    padding: 0;\\n    float: none;\\n  }\\n  .topic-post article.boxed .select-posts {\\n    width: auto;\\n    left: auto;\\n    right: 0;\\n  }\\n  .gap {\\n    width: auto;\\n  }\\n  /* restyle div#topic-title */\\n  #topic-title {\\n    margin: 0;\\n    padding: 0;\\n  }\\n  #topic-title div div h1 {\\n    margin: 2.5em 0 0 0;\\n    padding: 0;\\n    float: left;\\n    font-weight: normal;\\n    font-size: normal;\\n  }\\n  a,\\n  a:visited {\\n    color: #ddd;\\n    font-weight: bold;\\n  }\\n  /* localhost  - MOOT for production */\\n  .topic-category-outlet.show-topic-category-location,\\n  div.alert.alert-info.alert-emails-disabled,\\n  div.profiler-results.profiler-left.profiler-no-controls {\\n    display: none;\\n  }\\n}\\n",\n\t\t"section.about {\\n  margin-bottom: 40px;\\n\\n  h3 {\\n    margin-bottom: 15px;\\n  }\\n\\n  table {\\n    width: auto;\\n\\n    td {\\n      padding: 10px;\\n    }\\n\\n    td.title {\\n      width: 33%;\\n    }\\n  }\\n}\\n",\n\t\t".body-page {\\n  /* intended only for /about /faq, /guidelines, /tos, and /privacy */\\n  width: 100%;\\n  max-width: 700px;\\n  .about-page & {\\n    max-width: unset;\\n    section:not(.admins):not(.moderators):not(.category-moderators) {\\n      max-width: 700px;\\n    }\\n    .about.category-moderators {\\n      .badge-wrapper.bullet .badge-category {\\n        color: $primary;\\n      }\\n    }\\n  }\\n  .mobile-view & {\\n    font-size: $font-0;\\n    margin-top: 20px;\\n  }\\n  li {\\n    margin-bottom: 8px;\\n  }\\n  .nav-pills {\\n    margin-bottom: 20px;\\n  }\\n  ul:not(.nav-pills),\\n  ol:not(.nav-pills) {\\n    margin-left: 40px;\\n  }\\n}\\n",\n\t\t"body.crawler {\\n  > header {\\n    width: 100%;\\n    position: absolute;\\n    top: 0;\\n    z-index: z(\\"max\\");\\n    background-color: #fff;\\n    padding: 10px;\\n    box-shadow: none;\\n    border-bottom: 1px solid $primary-low-mid;\\n    box-sizing: border-box;\\n  }\\n\\n  div#main-outlet {\\n    div.post {\\n      word-break: break-word;\\n      img {\\n        max-width: 100%;\\n        height: auto;\\n      }\\n    }\\n  }\\n\\n  .raw-topic-link {\\n    display: block;\\n    font-weight: bold;\\n    margin-bottom: 0.25em;\\n  }\\n\\n  .topic-list {\\n    margin-bottom: 1em;\\n  }\\n\\n  footer {\\n    margin-top: 3em;\\n    border-top: 1px solid $primary-low-mid;\\n  }\\n}\\n\\n.crawler-topic-title {\\n  margin-top: 0.5em;\\n}\\n\\n.crawler-post {\\n  margin-top: 1em;\\n  margin-bottom: 2em;\\n  padding-top: 1.5em;\\n  border-top: 1px solid $primary-low;\\n}\\n\\n.crawler-post-meta {\\n  margin-bottom: 1em;\\n  .creator {\\n    word-break: break-all;\\n    a {\\n      font-weight: bold;\\n    }\\n    @include breakpoint(tablet) {\\n      display: inline-block;\\n      margin-bottom: 0.25em;\\n    }\\n  }\\n}\\n\\n.crawler-post-infos {\\n  color: $primary-high;\\n  display: inline-block;\\n  @include breakpoint(tablet, min-width) {\\n    float: right;\\n  }\\n  [itemprop=\\"position\\"] {\\n    float: left;\\n    margin-right: 0.5em;\\n  }\\n}\\n\\n#breadcrumbs {\\n  margin-bottom: 0.5em;\\n  font-size: $font-up-1;\\n  > div {\\n    margin-bottom: 0.15em;\\n  }\\n  .badge-category-bg {\\n    background-color: $secondary-high;\\n  }\\n  .category-title {\\n    color: $primary;\\n  }\\n}\\n\\n.crawler-tags-list {\\n  span {\\n    display: block;\\n    margin-bottom: 0.15em;\\n  }\\n}\\n\\n.crawler-linkback-list {\\n  margin-top: 1em;\\n  a {\\n    display: block;\\n    padding: 0.5em 0;\\n    border-top: 1px solid $primary-low;\\n  }\\n}\\n\\n.crawler-nav {\\n  margin: 1em 0;\\n  ul {\\n    margin: 0;\\n    list-style-type: none;\\n  }\\n  li {\\n    display: inline-block;\\n  }\\n  a {\\n    display: inline-block;\\n    padding: 0.5em 1em 0.5em 0;\\n  }\\n}\\n",\n\t\t"div.ac-wrap.composer-user-selector-limited {\\n  width: 400px;\\n  padding: 0 10px;\\n  margin-bottom: 5px;\\n  .btn-primary {\\n    margin-left: 0.5em;\\n    padding: 3px 6px 2px;\\n    font-size: $font-down-1;\\n    min-height: unset;\\n  }\\n}\\n",\n\t\t"// Common\\n// global styles that apply to the Discourse application specifically\\n// BEWARE: changing these styles implies they take effect anywhere they are seen\\n// throughout the Discourse application\\n\\n// Animation Keyframes\\n@keyframes ping {\\n  from {\\n    transform: scale(0.25);\\n    opacity: 1;\\n  }\\n  to {\\n    transform: scale(2);\\n    opacity: 0;\\n  }\\n}\\n\\n@keyframes rotate-forever {\\n  0% {\\n    transform: rotate(0deg);\\n  }\\n  100% {\\n    transform: rotate(360deg);\\n  }\\n}\\n\\n@keyframes background-fade-highlight {\\n  0% {\\n    background-color: $tertiary-low;\\n  }\\n  100% {\\n    background-color: transparent;\\n  }\\n}\\n\\n// placeholder\\n@keyframes placeHolderShimmer {\\n  0% {\\n    background-position: -1000px 0;\\n  }\\n  100% {\\n    background-position: 1100px 0;\\n  }\\n}\\n\\n.placeholder-animation {\\n  animation-duration: 4s;\\n  animation-fill-mode: forwards;\\n  animation-iteration-count: infinite;\\n  animation-name: placeHolderShimmer;\\n  animation-timing-function: linear;\\n  background: $primary-very-low;\\n  background: linear-gradient(\\n    to right,\\n    $primary-very-low 10%,\\n    $primary-low 18%,\\n    $primary-very-low 33%\\n  );\\n}\\n\\n// Base Elements\\nhtml {\\n  height: 100%;\\n}\\n\\nbody {\\n  background-attachment: fixed;\\n  background-size: cover;\\n  min-height: 100%;\\n\\n  @include clearfix;\\n}\\n\\n// setting a static limit on big and small prevents nesting abuse\\nbig {\\n  font-size: $font-up-5;\\n}\\nsmall {\\n  font-size: $font-down-2;\\n}\\n\\nblockquote {\\n  @include post-aside;\\n  clear: both;\\n}\\n\\nh1,\\nh2,\\nh3,\\nh4,\\nh5,\\nh6 {\\n  margin-top: 0;\\n  margin-bottom: 0.5rem;\\n}\\n\\nbutton {\\n  &.ok {\\n    background: $success;\\n    color: $secondary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n    @include hover {\\n      background: lighten($success, 10%);\\n      color: $secondary;\\n    }\\n  }\\n\\n  &.cancel {\\n    background: $danger;\\n    color: $secondary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n    @include hover {\\n      background: lighten($danger, 10%);\\n      color: $secondary;\\n    }\\n  }\\n}\\n\\na.cancel {\\n  margin-left: 1.25em;\\n  line-height: normal;\\n  color: $primary-high;\\n  transition: color 250ms;\\n  &:hover {\\n    color: $danger;\\n  }\\n}\\n\\nul.breadcrumb {\\n  margin: 0 10px 0 10px;\\n}\\n\\na.no-href {\\n  cursor: pointer;\\n}\\n\\nimg.avatar {\\n  border-radius: 50%;\\n}\\n\\n// don't wrap relative dates; we want Jul 26, '15, not: Jul\\n//                                                      26,\\n//                                                      '15\\nspan.relative-date {\\n  white-space: nowrap;\\n}\\n\\nlabel {\\n  display: flex;\\n  margin-bottom: 5px;\\n  align-items: flex-start;\\n  > .d-icon {\\n    align-self: center;\\n    margin-right: 4px;\\n  }\\n}\\n\\ninput {\\n  &[type=\\"radio\\"],\\n  &[type=\\"checkbox\\"] {\\n    margin-top: 0.17em;\\n    margin-right: 0.43em;\\n    margin-left: 0.1em;\\n    line-height: $line-height-small;\\n    cursor: pointer;\\n    flex-shrink: 0; // Adding for safety, Safari will shrink checkboxes\\n  }\\n  &[type=\\"submit\\"],\\n  &[type=\\"reset\\"],\\n  &[type=\\"button\\"],\\n  &[type=\\"radio\\"],\\n  &[type=\\"checkbox\\"] {\\n    width: auto;\\n  }\\n\\n  &.invalid {\\n    background-color: dark-light-choose(\\n      $danger-low,\\n      scale-color($danger, $lightness: -60%)\\n    );\\n  }\\n\\n  .radio &[type=\\"radio\\"],\\n  .checkbox &[type=\\"checkbox\\"] {\\n    float: left;\\n    margin-left: -18px;\\n  }\\n}\\n\\ninput,\\nselect,\\ntextarea {\\n  color: $primary;\\n  caret-color: currentColor;\\n\\n  &[class*=\\"span\\"] {\\n    float: none;\\n    margin-left: 0;\\n  }\\n\\n  &[disabled],\\n  &[readonly] {\\n    cursor: not-allowed;\\n    background-color: $primary-low;\\n    border-color: $primary-low;\\n  }\\n\\n  &:focus:required:invalid {\\n    color: $danger;\\n    border-color: $danger;\\n  }\\n\\n  &:focus:required:invalid:focus {\\n    border-color: $danger;\\n    box-shadow: shadow(\\"focus-danger\\");\\n  }\\n}\\n\\ninput {\\n  &[type=\\"text\\"],\\n  &[type=\\"password\\"],\\n  &[type=\\"datetime\\"],\\n  &[type=\\"datetime-local\\"],\\n  &[type=\\"date\\"],\\n  &[type=\\"month\\"],\\n  &[type=\\"time\\"],\\n  &[type=\\"week\\"],\\n  &[type=\\"number\\"],\\n  &[type=\\"email\\"],\\n  &[type=\\"url\\"],\\n  &[type=\\"search\\"],\\n  &[type=\\"tel\\"],\\n  &[type=\\"color\\"] {\\n    @include appearance-none;\\n    display: inline-block;\\n    padding: $input-padding;\\n    margin-bottom: 9px;\\n    font-size: $font-0;\\n    line-height: $line-height-small;\\n    color: $primary;\\n    background-color: $secondary;\\n    border: 1px solid $primary-medium;\\n    border-radius: 0;\\n    box-sizing: border-box;\\n    min-height: 30px;\\n    &:focus {\\n      border-color: $tertiary;\\n      box-shadow: shadow(\\"focus\\");\\n      outline: 0;\\n    }\\n  }\\n}\\n\\n.input {\\n  &-prepend,\\n  &-append {\\n    margin-bottom: 5px;\\n    input[class*=\\"span\\"] {\\n      display: inline-block;\\n    }\\n    input,\\n    select {\\n      position: relative;\\n      margin-bottom: 0;\\n      vertical-align: middle;\\n      border-radius: 0;\\n      &:focus {\\n        z-index: z(\\"base\\") + 1;\\n      }\\n    }\\n    .add-on {\\n      display: inline-flex;\\n      align-items: center;\\n      width: auto;\\n      padding: 0 0.5em;\\n      height: 28px;\\n      background-color: $primary-low;\\n      border: 1px solid $primary-medium;\\n    }\\n    .add-on,\\n    .btn {\\n      &:first-child {\\n        margin-right: -1px;\\n      }\\n      &:last-child {\\n        margin-left: -1px;\\n        border-radius: 0 3px 3px 0;\\n      }\\n    }\\n  }\\n\\n  &-prepend {\\n    .add-on,\\n    .btn {\\n      margin-right: -1px;\\n    }\\n  }\\n}\\n\\ntextarea {\\n  height: auto;\\n  background-color: $secondary;\\n  border: 1px solid $primary-medium;\\n  &:focus {\\n    border-color: $tertiary;\\n    box-shadow: shadow(\\"focus\\");\\n    outline: 0;\\n  }\\n}\\n\\nselect {\\n  border: 1px solid $primary-low;\\n}\\n\\ntable {\\n  th {\\n    font-weight: normal;\\n    color: $primary-medium;\\n    text-align: left;\\n    padding: 0.5em;\\n  }\\n}\\n\\n// Common Classes\\n\\n.sortable {\\n  white-space: nowrap;\\n  cursor: pointer;\\n  .discourse-no-touch & {\\n    &:hover {\\n      background-color: $primary-low;\\n    }\\n  }\\n  .d-icon {\\n    margin-left: 0.25em;\\n  }\\n  @include unselectable;\\n}\\n\\n.radio,\\n.checkbox {\\n  min-height: 18px;\\n  padding-left: 18px;\\n\\n  .controls > &:first-child {\\n    padding-top: 5px;\\n  }\\n\\n  &.inline {\\n    display: inline-block;\\n    padding-top: 5px;\\n    margin-bottom: 0;\\n    vertical-align: middle;\\n  }\\n}\\n\\n.radio.inline .radio.inline,\\n.checkbox.inline .checkbox.inline {\\n  margin-left: 10px;\\n}\\n\\n.container {\\n  @extend .clearfix;\\n}\\n\\n.wrap {\\n  @extend .clearfix;\\n  margin-right: auto;\\n  margin-left: auto;\\n  padding: 0 8px;\\n\\n  .contents {\\n    position: relative;\\n  }\\n}\\n\\n.boxed {\\n  &.white {\\n    background-color: $secondary;\\n  }\\n}\\n\\n.full-width {\\n  margin-left: 12px;\\n}\\n\\n// the default for table cells in topic list\\n// is $primary-medium\\n// numbers get dimmer as they get colder\\n.coldmap {\\n  &-high {\\n    color: dark-light-choose($primary-low-mid, $secondary-high) !important;\\n  }\\n\\n  &-med {\\n    color: dark-light-choose($primary-medium, $secondary-high) !important;\\n  }\\n\\n  &-low {\\n    color: dark-light-choose($primary-medium, $secondary-medium) !important;\\n  }\\n}\\n\\n.top-space {\\n  margin-top: 10px;\\n}\\n\\n.message {\\n  border-radius: 8px;\\n  background-color: $secondary;\\n  padding: 14px;\\n\\n  h2 {\\n    margin-bottom: 20px;\\n  }\\n}\\n\\n.clear-transitions {\\n  transition: none !important;\\n}\\n\\n.tip {\\n  display: inline-block;\\n  &.good {\\n    color: $success;\\n  }\\n  &.bad {\\n    color: $danger;\\n  }\\n}\\n\\n.avatar-wrapper {\\n  background-color: $secondary;\\n  display: inline-block;\\n  border-radius: 50%;\\n}\\n\\n.profiler-results.profiler-left {\\n  top: 60px !important;\\n}\\n\\n.flex-center-align {\\n  display: flex;\\n  align-items: center;\\n}\\n\\n.unread-private-messages {\\n  color: $secondary;\\n  background: $success;\\n\\n  &.badge-notification[href] {\\n    color: $secondary;\\n  }\\n}\\n\\n.ring-backdrop-spotlight {\\n  position: absolute;\\n  width: 80px;\\n  height: 80px;\\n  top: -18px;\\n  right: -18px;\\n  background-image: radial-gradient(\\n    40px at 50% 50%,\\n    transparent 95%,\\n    $primary 100%\\n  );\\n  opacity: 0.85;\\n}\\n\\n.ring-backdrop {\\n  position: absolute;\\n  width: 80px;\\n  height: 80px;\\n  top: -18px !important;\\n  right: -18px !important;\\n  box-shadow: 0 0 0 9999px rgba($primary, 0.85);\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n}\\n\\n.ring-first-notification {\\n  position: absolute;\\n  color: $secondary;\\n  text-align: left;\\n  right: 70px;\\n  top: 60px;\\n  width: 230px;\\n  line-height: $line-height-medium;\\n}\\n\\n.ring {\\n  $gradient-start: transparent;\\n  $gradient-end: #090;\\n  background: -webkit-radial-gradient($gradient-start, $gradient-end);\\n  background: -o-radial-gradient($gradient-start, $gradient-end);\\n  background: -moz-radial-gradient($gradient-start, $gradient-end);\\n  background: radial-gradient($gradient-start, $gradient-end);\\n  top: -11px !important;\\n  right: 23.5px !important;\\n  border-radius: 100%;\\n  width: 20px;\\n  height: 20px;\\n  -moz-animation-iteration-count: infinite;\\n  -webkit-animation-iteration-count: infinite;\\n  -webkit-transform-origin: center;\\n  -moz-animation-duration: 3s;\\n  -webkit-animation-duration: 3s;\\n  -moz-animation-name: ping;\\n  -webkit-animation-name: ping;\\n}\\n\\n.fade {\\n  opacity: 0;\\n  transition: opacity 0.15s linear;\\n\\n  &.in {\\n    opacity: 1;\\n  }\\n}\\n\\n.inline-spinner {\\n  display: inline-block;\\n  margin: 0;\\n}\\n\\n.spinner {\\n  margin: 20px auto 20px auto;\\n  position: relative;\\n  -webkit-animation: rotate-forever 1s infinite linear;\\n  animation: rotate-forever 1s infinite linear;\\n  height: 30px;\\n  width: 30px;\\n  border: 4px solid blend-primary-secondary(50%);\\n  border-right-color: transparent;\\n  border-radius: 50%;\\n\\n  &.small {\\n    width: 10px;\\n    height: 10px;\\n    margin: 0;\\n    display: inline-block;\\n  }\\n}\\n\\n.content-list {\\n  h3 {\\n    color: $primary-medium;\\n    font-size: $font-up-1;\\n    padding-left: 5px;\\n    margin-bottom: 10px;\\n  }\\n\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n\\n    li {\\n      border-bottom: 1px solid $primary-low;\\n\\n      &:first-of-type {\\n        border-top: 1px solid $primary-low;\\n      }\\n\\n      a {\\n        display: block;\\n        padding: 10px;\\n        color: $primary;\\n\\n        &:hover {\\n          background-color: $primary-low;\\n          color: $primary;\\n        }\\n\\n        &.active {\\n          font-weight: bold;\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.form-vertical {\\n  input,\\n  textarea,\\n  select,\\n  .input-prepend,\\n  .input-append {\\n    display: inline-block;\\n    margin-bottom: 0;\\n    flex: 0 0 auto;\\n  }\\n\\n  .control-group {\\n    @include clearfix;\\n  }\\n\\n  .control-label {\\n    font-weight: bold;\\n    font-size: $font-up-2;\\n    line-height: $line-height-large;\\n  }\\n\\n  .controls {\\n    margin-left: 0;\\n  }\\n}\\n\\n// Special elements\\n// Special elements\\n#main {\\n  img.avatar {\\n    &.header {\\n      width: 45px;\\n      height: 45px;\\n    }\\n\\n    &.medium {\\n      width: 32px;\\n      height: 32px;\\n    }\\n\\n    &.small {\\n      width: 25px;\\n      height: 25px;\\n    }\\n\\n    &.tiny {\\n      width: 20px;\\n      height: 20px;\\n    }\\n  }\\n\\n  .user-list {\\n    .user {\\n      padding-bottom: 5px;\\n    }\\n  }\\n}\\n\\n#loading-message {\\n  position: absolute;\\n  font-size: $font-up-5;\\n  text-align: center;\\n  top: 120px;\\n  left: 500px;\\n  color: $primary;\\n}\\n\\n#footer {\\n  .container {\\n    height: 50px;\\n    .contents {\\n      padding-top: 10px;\\n      a[href] {\\n        color: $secondary;\\n      }\\n    }\\n  }\\n}\\n\\n.inline {\\n  display: inline;\\n}\\n\\n.pref-auth-tokens {\\n  .row {\\n    border-bottom: 1px solid #ddd;\\n    margin: 5px 0px;\\n    padding-bottom: 5px;\\n\\n    &:last-child {\\n      border-bottom: 0;\\n    }\\n  }\\n\\n  .auth-token-icon {\\n    color: $primary-medium;\\n    font-size: 2.25em;\\n    float: left;\\n    margin-right: 10px;\\n  }\\n\\n  .auth-token-first {\\n    font-size: 1.1em;\\n\\n    .auth-token-device {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .auth-token-second {\\n    color: $primary-medium;\\n\\n    .active {\\n      color: $success;\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .auth-token-dropdown {\\n    float: right;\\n\\n    .btn,\\n    .btn:hover {\\n      background: transparent;\\n\\n      .d-icon {\\n        color: $primary-high;\\n      }\\n    }\\n  }\\n\\n  .dropdown-menu {\\n    width: 120px;\\n\\n    & .icon {\\n      margin-top: auto;\\n    }\\n  }\\n}\\n\\n.topic-statuses {\\n  display: inline;\\n  float: left;\\n  margin-right: 0.15em;\\n  .topic-status {\\n    margin: 0;\\n    display: inline-flex;\\n    color: $primary-medium;\\n    .d-icon {\\n      height: 0.76em;\\n      width: 0.75em;\\n    }\\n    &:not(:last-child) {\\n      margin-right: 0.15em;\\n    }\\n  }\\n\\n  .d-icon-envelope {\\n    color: $danger;\\n  }\\n}\\n\\n.broken-theme-alert {\\n  font-size: $base-font-size;\\n  font-weight: bold;\\n  padding: 5px 0;\\n  background: $danger-medium;\\n  text-align: center;\\n  z-index: z(\\"max\\");\\n  color: $secondary;\\n}\\n",\n\t\t".error-page {\\n  text-align: center;\\n  padding-top: 2em;\\n\\n  .face {\\n    font-size: 4.286em;\\n  }\\n  .reason {\\n    font-size: $font-up-4;\\n  }\\n  .url {\\n    font-style: italic;\\n    font-size: $font-down-1;\\n  }\\n  .desc {\\n    margin-top: 16px;\\n    .d-icon-check-circle {\\n      color: $success;\\n    }\\n  }\\n  .buttons {\\n    display: inline-flex;\\n    margin-top: 15px;\\n\\n    button {\\n      margin: 0 20px;\\n    }\\n  }\\n}\\n",\n\t\t".category-list {\\n  table-layout: fixed;\\n  .category-text-title {\\n    display: flex;\\n    align-items: baseline;\\n  }\\n  .category-name {\\n    display: inline-block;\\n    max-width: 100%;\\n    @include ellipsis;\\n    vertical-align: text-top;\\n    line-height: $line-height-medium;\\n  }\\n}\\n\\n.category-boxes,\\n.category-boxes-with-topics {\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: flex-start;\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n  width: 100%;\\n\\n  .category-box {\\n    display: flex;\\n    flex-direction: row;\\n    align-content: flex-start;\\n    cursor: pointer;\\n\\n    box-sizing: border-box;\\n\\n    border-width: 0;\\n    border-left-width: 6px;\\n\\n    border-style: solid;\\n    border-color: $primary-low;\\n\\n    .mobile-view & {\\n      width: 100%;\\n    }\\n\\n    .logo.aspect-image img {\\n      display: block;\\n      width: auto;\\n      height: 40px;\\n      margin: 0 auto 1em auto;\\n    }\\n\\n    @supports (--custom: property) {\\n      .logo.aspect-image img {\\n        --height: 40px;\\n        width: calc(var(--height) * var(--aspect-ratio));\\n        max-width: 100%;\\n      }\\n    }\\n  }\\n\\n  .category-box-inner {\\n    box-sizing: border-box;\\n    width: 100%;\\n    padding: 0;\\n    display: flex;\\n    flex-direction: column;\\n\\n    border-width: 2px;\\n    border-left-width: 0;\\n\\n    border-style: solid;\\n    border-color: $primary-low;\\n  }\\n\\n  &.no-logos {\\n    .logo {\\n      display: none;\\n    }\\n  }\\n}\\n\\n.category-boxes {\\n  .category-box {\\n    width: 23%;\\n    margin: 0 1% 1.5em 1%;\\n    > a {\\n      width: 100%;\\n      padding: 0;\\n    }\\n    .category-box-inner {\\n      padding: 1em;\\n\\n      .category-logo {\\n        float: none;\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  &.no-logos {\\n    .category-box .category-box-inner > a {\\n      padding: 3em 1em;\\n    }\\n  }\\n\\n  .description {\\n    padding-bottom: 1em;\\n    text-align: center;\\n    font-size: $font-0;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n    .overflow {\\n      max-height: 6em;\\n    }\\n  }\\n\\n  h3 {\\n    font-size: $font-up-2;\\n    margin-bottom: 0.5em;\\n    margin-top: 0.25em;\\n    line-height: $line-height-medium;\\n    text-align: center;\\n    color: $primary;\\n    overflow: hidden;\\n  }\\n\\n  .subcategories {\\n    display: flex;\\n    flex-flow: wrap;\\n    .subcategory {\\n      display: flex;\\n      align-items: center;\\n      @include ellipsis;\\n      margin-right: 1em;\\n      margin-bottom: 0.6em;\\n      .subcategory-image-placeholder {\\n        display: inline-block;\\n        margin-right: 0.6em;\\n      }\\n      .subcategory-link {\\n        min-width: 0;\\n        @include ellipsis;\\n      }\\n      .logo img {\\n        display: inline-block;\\n        height: 20px;\\n        width: 20px;\\n        margin: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.category-boxes-with-topics {\\n  .category-box {\\n    width: 31%;\\n    margin: 0 1% 1.5em 1%;\\n    padding: 0;\\n  }\\n\\n  h3 {\\n    font-size: $font-up-2;\\n    text-align: center;\\n    overflow: hidden;\\n  }\\n\\n  .category-box-heading {\\n    padding: 1em 1em 0.5em 1em;\\n    a[href] {\\n      width: 100%;\\n      color: $primary;\\n    }\\n  }\\n\\n  .featured-topics {\\n    padding: 0.5em 1em 1em 1em;\\n    ul {\\n      color: $primary-medium;\\n      list-style: none;\\n      padding: 0;\\n      margin: 0;\\n    }\\n    li {\\n      padding: 4px 0;\\n      display: flex;\\n      align-items: baseline;\\n      .overflow {\\n        max-height: 3em;\\n        overflow: hidden;\\n      }\\n      .d-icon {\\n        margin-right: 0.15em;\\n        width: 0.76em;\\n        height: 0.76em;\\n      }\\n    }\\n  }\\n}\\n\\n.categories-list .category {\\n  h3 .d-icon {\\n    color: $primary-medium;\\n    height: 0.76em;\\n    width: 0.76em;\\n    vertical-align: baseline;\\n    margin-right: 0.15em;\\n  }\\n}\\n\\n.category-boxes-with-topics,\\n.category-boxes {\\n  .category-box h3 .d-icon {\\n    margin-right: 0;\\n  }\\n}\\n",\n\t\t"// styles that apply to the \\"share\\" popup when sharing a link to a post or topic\\n\\n#share-link {\\n  position: absolute;\\n  left: 20px;\\n  z-index: z(\\"dropdown\\");\\n  box-shadow: shadow(\\"card\\");\\n  background-color: $secondary;\\n  padding: s(2 2 1 2);\\n  width: 300px;\\n  display: none;\\n  &.visible {\\n    display: block;\\n  }\\n  input[type=\\"text\\"] {\\n    width: 100%;\\n  }\\n  .share-for-touch .overflow-ellipsis {\\n    clear: both;\\n  }\\n  .share-for-touch {\\n    margin: 14px 0;\\n  }\\n\\n  .title {\\n    margin-bottom: s(1);\\n    align-items: center;\\n    display: flex;\\n    justify-content: space-between;\\n\\n    h3 {\\n      font-size: $font-0;\\n      margin: 0;\\n    }\\n\\n    .date {\\n      font-weight: normal;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  .copy-text {\\n    display: inline-block;\\n    position: absolute;\\n    margin: 5px 5px 5px 15px;\\n    color: $success;\\n    opacity: 1;\\n    transition: opacity 0.25s;\\n    font-size: $font-0;\\n    &:not(.success) {\\n      opacity: 0;\\n    }\\n  }\\n  .social-link {\\n    margin-right: s(2);\\n    font-size: $font-up-4;\\n    .d-icon {\\n      color: dark-light-choose($tertiary, white);\\n    }\\n    .d-icon-fab-facebook {\\n      // Adheres to Facebook brand guidelines\\n      color: dark-light-choose($facebook, white);\\n    }\\n    .d-icon-fab-twitter-square {\\n      // Adheres to Twitter brand guidelines\\n      color: dark-light-choose($twitter, white);\\n    }\\n  }\\n\\n  input[type=\\"text\\"] {\\n    font-size: $font-up-1;\\n    margin-bottom: 0;\\n  }\\n\\n  .actions {\\n    display: flex;\\n    align-items: flex-end;\\n    margin-top: s(2);\\n\\n    .sources {\\n      display: flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      flex-direction: row;\\n      max-width: 45%;\\n\\n      .social-link {\\n        margin-right: s(2);\\n      }\\n    }\\n\\n    .alt-actions {\\n      display: flex;\\n      align-items: center;\\n      flex: 1;\\n      justify-content: flex-end;\\n      height: 36px;\\n\\n      .close-share {\\n        font-size: $font-up-3;\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n\\n      .new-topic {\\n        margin-right: s(4);\\n      }\\n    }\\n  }\\n}\\n\\n.discourse-no-touch #share-link .share-for-touch {\\n  display: none;\\n}\\n\\n.discourse-touch #share-link input[type=\\"text\\"] {\\n  display: none;\\n}\\n",\n\t\t".ember-select {\\n  background-color: $secondary;\\n  color: $primary;\\n}\\n",\n\t\t".uploaded-image-preview {\\n  background: $primary center;\\n  background-size: cover;\\n  position: relative;\\n\\n  .placeholder-overlay {\\n    background-size: contain;\\n    background-repeat: no-repeat;\\n    background-position: center;\\n    position: absolute;\\n    top: 0;\\n    left: 0;\\n    width: 100%;\\n    height: 100%;\\n    opacity: 0.3;\\n  }\\n\\n  .image-upload-controls {\\n    position: relative;\\n    display: flex;\\n    padding: 10px;\\n\\n    .btn {\\n      margin-right: 5px;\\n      padding: 7px 10px;\\n    }\\n\\n    .image-uploader-lightbox-btn {\\n      background: none;\\n      margin-right: 0;\\n      margin-left: auto;\\n\\n      .d-icon {\\n        color: $primary-low;\\n      }\\n\\n      &:hover {\\n        background: none;\\n\\n        .d-icon {\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.image-uploader.no-repeat {\\n  .uploaded-image-preview {\\n    background-repeat: no-repeat;\\n  }\\n}\\n\\n.image-uploader.contain-image {\\n  .uploaded-image-preview {\\n    background-size: contain;\\n  }\\n}\\n\\n.hidden-upload-field {\\n  visibility: hidden;\\n  position: absolute;\\n}\\n",\n\t\t".search-container {\\n  display: flex;\\n  justify-content: space-between;\\n\\n  .warning {\\n    background-color: $danger-medium;\\n    padding: 5px 8px;\\n    color: $secondary;\\n  }\\n\\n  .search-bar {\\n    display: flex;\\n    justify-content: space-between;\\n    align-items: center;\\n    justify-content: space-between;\\n    margin-bottom: 1em;\\n\\n    .search-query {\\n      flex: 1 0 0px;\\n      margin: 0 0.5em 0 0;\\n    }\\n\\n    .search-cta {\\n      padding-bottom: 6.5px;\\n      padding-top: 6.5px;\\n    }\\n  }\\n\\n  .search-advanced {\\n    width: 70%;\\n    @include breakpoint(medium) {\\n      width: 65%;\\n    }\\n\\n    .search-actions,\\n    .search-notice,\\n    .search-results,\\n    .search-title,\\n    .search-bar {\\n      margin-bottom: 1em;\\n    }\\n\\n    .search-info {\\n      display: flex;\\n      flex-wrap: wrap;\\n      border-bottom: 3px solid $primary-low;\\n      padding-bottom: 0.5em;\\n      margin-bottom: 1em;\\n      flex-direction: row;\\n      align-items: center;\\n\\n      .result-count {\\n        display: flex;\\n\\n        .term {\\n          font-weight: bold;\\n        }\\n\\n        // spans can be in different orders depending of locale\\n        span + span {\\n          margin-left: 0.25em;\\n        }\\n      }\\n\\n      .sort-by {\\n        display: flex;\\n        margin-left: auto;\\n        align-items: center;\\n\\n        .desc {\\n          margin-right: 0.5em;\\n        }\\n\\n        .combo-box {\\n          min-width: 150px;\\n        }\\n      }\\n    }\\n\\n    .search-title {\\n      display: flex;\\n      justify-content: flex-start;\\n      align-items: center;\\n\\n      .bulk-select {\\n        margin-left: 0.5em;\\n      }\\n\\n      .fps-select a {\\n        margin-left: 0.5em;\\n        font-size: $font-down-1;\\n\\n        &:hover {\\n          text-decoration: underline;\\n        }\\n      }\\n    }\\n\\n    .search-notice {\\n      .fps-invalid {\\n        padding: 0.5em;\\n        background-color: $danger-low;\\n        border: 1px solid $danger-medium;\\n        color: $danger;\\n      }\\n    }\\n  }\\n\\n  .search-advanced-sidebar {\\n    width: 30%;\\n    @include breakpoint(medium) {\\n      width: 35%;\\n    }\\n    margin-left: 1em;\\n    display: flex;\\n    flex-direction: column;\\n\\n    #search-min-post-count,\\n    .date-picker,\\n    .combo-box,\\n    .ac-wrap,\\n    .control-group,\\n    .date-picker-wrapper,\\n    .search-advanced-category-chooser {\\n      box-sizing: border-box;\\n      width: 100%;\\n      min-width: 100%;\\n      input,\\n      .item {\\n        padding-left: 4px; // temporarily normalizing input padding for this section\\n      }\\n    }\\n\\n    .date-picker-wrapper {\\n      margin-top: 0.5em;\\n    }\\n\\n    .date-picker {\\n      box-sizing: border-box;\\n      text-align: left;\\n      padding: 4px;\\n      margin-bottom: 0;\\n    }\\n\\n    .search-advanced-title {\\n      background: $primary-low;\\n      padding: 0.358em 1em;\\n      @include breakpoint(medium) {\\n        padding: 0.358em 0.5em;\\n      }\\n      font-weight: 700;\\n      text-align: left;\\n      font-weight: bold;\\n\\n      &.btn {\\n        background: $primary-low;\\n      }\\n\\n      .d-icon {\\n        margin: 0;\\n      }\\n    }\\n\\n    .search-advanced-filters {\\n      background: $primary-very-low;\\n      padding: 1em;\\n      .control-group {\\n        margin-bottom: 15px;\\n      }\\n      section.field {\\n        margin-top: 5px;\\n      }\\n      @include breakpoint(medium) {\\n        padding: 0.75em 0.5em;\\n        .ac-wrap,\\n        .choices,\\n        .select-kit.multi-select {\\n          // overriding inline width from JS\\n          width: 100% !important;\\n        }\\n        .select-kit {\\n          min-width: unset;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.fps-invalid {\\n  margin-bottom: 1em;\\n}\\n\\n.fps-result {\\n  display: flex;\\n  .author {\\n    display: inline-block;\\n    vertical-align: top;\\n  }\\n\\n  .like-count {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    .fa {\\n      color: $love;\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  .badge-wrapper span.badge-category {\\n    max-width: inherit;\\n  }\\n\\n  .search-category {\\n    padding-top: 3px;\\n  }\\n\\n  margin-bottom: 28px;\\n  max-width: 780px;\\n  .topic {\\n    padding-bottom: 2px;\\n    max-width: 700px;\\n  }\\n  .avatar {\\n    margin-right: 14px;\\n  }\\n  a.search-link:visited .topic-title {\\n    color: $tertiary-high;\\n  }\\n  .search-link {\\n    .topic-title {\\n      font-size: $font-up-2;\\n      line-height: $line-height-medium;\\n    }\\n    .topic-statuses {\\n      display: inline-block;\\n      font-size: 1.3em;\\n      line-height: $line-height-medium;\\n      color: $primary-medium;\\n      span {\\n        line-height: 1;\\n      }\\n    }\\n  }\\n  .blurb {\\n    font-size: $font-0;\\n    line-height: $line-height-large;\\n    word-wrap: break-word;\\n    max-width: 640px;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    .date {\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n    }\\n\\n    .search-highlight {\\n      color: dark-light-choose($primary, $secondary-low);\\n    }\\n  }\\n\\n  .discourse-tag {\\n    font-size: $font-down-1;\\n  }\\n}\\n\\n.fps-topic {\\n  display: inline-block;\\n}\\n\\n.no-results-suggestion {\\n  margin-top: 30px;\\n}\\n.search-footer {\\n  margin-bottom: 30px;\\n}\\n\\n.panel-body-contents .search-context label {\\n  float: left;\\n}\\n\\n.google-search-form {\\n  margin-top: 2em;\\n}\\n",\n\t\t"a.loading-onebox {\\n  &:before {\\n    content: \\"\\";\\n    display: inline-flex;\\n    float: left;\\n    margin: 3px 5px 0 0;\\n    position: relative;\\n    height: 10px;\\n    width: 10px;\\n    border: 2px solid $primary-low-mid;\\n    border-right-color: transparent;\\n    border-radius: 50%;\\n    -webkit-animation: rotate-forever 1s infinite linear;\\n    animation: rotate-forever 1s infinite linear;\\n  }\\n}\\n\\n.onebox-result {\\n  @include post-aside;\\n\\n  margin-top: 15px;\\n  padding: 12px;\\n  font-size: $font-0;\\n  > .source {\\n    margin-bottom: 12px;\\n    margin-right: 10px;\\n    display: block;\\n    color: $primary;\\n    position: relative;\\n    height: 20px;\\n    .info {\\n      a {\\n        color: black;\\n        text-decoration: none;\\n        padding-right: 10px;\\n      }\\n      position: absolute;\\n      font-size: $font-0;\\n      img.favicon {\\n        margin-right: 3px;\\n      }\\n    }\\n  }\\n\\n  .onebox-result-body {\\n    padding-top: 5px;\\n    img {\\n      max-height: 80%;\\n      max-width: 25%;\\n      height: auto;\\n      float: left;\\n      margin-right: 10px;\\n    }\\n    h3,\\n    h4 {\\n      margin: 0;\\n    }\\n    code {\\n      max-height: 400px;\\n    }\\n    .metrics {\\n      clear: both;\\n      padding-bottom: 25px;\\n      .metric {\\n        display: inline-block;\\n        padding-left: 33px;\\n        float: left;\\n      }\\n    }\\n  }\\n}\\n\\n// RottenTomatoes Onebox\\n.onebox-result {\\n  .onebox-result-body {\\n    img.verdict {\\n      float: none;\\n      margin-right: 7px;\\n    }\\n    img.popcorn {\\n      float: none;\\n      margin-left: 20px;\\n      margin-right: 5px;\\n    }\\n  }\\n}\\n\\n@mixin onebox-favicon($class, $image) {\\n  &.#{$class} .source {\\n    background: image-url(\\"favicons/#{$image}.png\\") no-repeat 0% 50%;\\n    background-size: 16px 16px;\\n    padding-left: 20px;\\n  }\\n}\\n\\naside.onebox {\\n  border: 5px solid $primary-low;\\n  margin-bottom: 1em;\\n  padding: 12px 25px 12px 12px;\\n  font-size: $font-0;\\n\\n  header {\\n    margin-bottom: 8px;\\n    a[href] {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      text-decoration: none;\\n    }\\n  }\\n\\n  @include onebox-favicon(\\"stackexchange\\", \\"stackexchange\\");\\n  @include onebox-favicon(\\"twitterstatus\\", \\"twitter\\");\\n  @include onebox-favicon(\\"wikipedia\\", \\"wikipedia\\");\\n  @include onebox-favicon(\\"githubblob\\", \\"github\\");\\n  @include onebox-favicon(\\"githubcommit\\", \\"github\\");\\n  @include onebox-favicon(\\"githubpullrequest\\", \\"github\\");\\n  @include onebox-favicon(\\"githubissue\\", \\"github\\");\\n  @include onebox-favicon(\\"githubgist\\", \\"github\\");\\n  @include onebox-favicon(\\"amazon\\", \\"amazon\\");\\n  @include onebox-favicon(\\"instagram\\", \\"instagram\\");\\n  @include onebox-favicon(\\"googledocs\\", \\"google_branding/logo_drive_48px\\");\\n  @include onebox-favicon(\\"googledrive\\", \\"google_branding/logo_drive_48px\\");\\n\\n  .onebox-body {\\n    clear: both;\\n\\n    h3,\\n    h4 {\\n      font-size: $font-up-1;\\n      margin: 0 0 10px 0;\\n    }\\n\\n    a[href] {\\n      color: dark-light-choose($tertiary, $tertiary);\\n      text-decoration: none;\\n    }\\n\\n    a[href]:visited {\\n      color: dark-light-choose($tertiary, $tertiary);\\n    }\\n\\n    img {\\n      max-height: 170px;\\n      max-width: 20%;\\n      @media all and (max-width: 600px) {\\n        max-width: 35%;\\n      }\\n      height: auto;\\n      width: auto;\\n      float: left;\\n      margin-right: 10px;\\n      &.onebox-full-image {\\n        max-height: none;\\n        max-width: none;\\n        width: initial;\\n        height: initial;\\n      }\\n    }\\n\\n    [style*=\\"--aspect-ratio\\"] > :first-child {\\n      width: 100%;\\n    }\\n    [style*=\\"--aspect-ratio\\"] > img {\\n      height: auto;\\n    }\\n\\n    // this allows us to load all onebox images without jiggle\\n    // see: http://cssmojo.com/aspect-ratio-using-custom-properties-and-calc/\\n    @supports (--custom: property) {\\n      .aspect-image {\\n        max-height: 170px;\\n        --magic-ratio: calc(var(--aspect-ratio) + 0.15);\\n        width: calc(128px * var(--magic-ratio));\\n        max-width: 20%;\\n        float: left;\\n        margin-right: 10px;\\n        height: auto;\\n\\n        img {\\n          width: 100%;\\n          height: inherit;\\n          max-width: initial;\\n          max-height: initial;\\n          float: none;\\n          margin-right: none;\\n        }\\n      }\\n\\n      // full size images for instagram, twitter, etc.\\n      .aspect-image-full-size {\\n        max-height: 500px;\\n        width: calc(500px * var(--aspect-ratio));\\n        max-width: 100%;\\n\\n        img {\\n          width: 100%;\\n          height: inherit;\\n          max-width: initial;\\n          max-height: initial;\\n          float: none;\\n          padding: 5px 5px 5px 5px;\\n        }\\n      }\\n\\n      [style*=\\"--aspect-ratio\\"] {\\n        position: relative;\\n      }\\n      [style*=\\"--aspect-ratio\\"]::before {\\n        content: \\"\\";\\n        display: block;\\n        padding-bottom: calc(100% / (var(--aspect-ratio)));\\n      }\\n      [style*=\\"--aspect-ratio\\"] > :first-child {\\n        position: absolute;\\n        top: 0;\\n        left: 0;\\n        height: 100%;\\n      }\\n    }\\n\\n    // tighten bottom margin on last para\\n    p:last-child {\\n      margin-bottom: 4px;\\n    }\\n\\n    // twitter fixes\\n    .tweet-images {\\n      display: block;\\n      clear: both;\\n\\n      img.tweet-image {\\n        margin-top: 1em;\\n        max-width: 100%;\\n        max-height: 100%;\\n        float: none;\\n      }\\n\\n      @include breakpoint(mobile-extra-large) {\\n        // Prevent twitter embeds from being taller than the mobile viewport\\n        iframe {\\n          max-height: 70vh;\\n        }\\n      }\\n    }\\n\\n    &.user-onebox {\\n      .fa {\\n        margin-right: 5px;\\n      }\\n      .full-name,\\n      .location {\\n        margin-right: 10px;\\n      }\\n    }\\n\\n    // instagram + reddit fixes\\n    .instagram-images,\\n    .scale-images {\\n      clear: both;\\n      position: relative;\\n\\n      .instagram-image,\\n      .scale-image {\\n        padding: 5px 5px 5px 5px;\\n        max-width: 100%;\\n        max-height: 100%;\\n        float: none;\\n      }\\n    }\\n\\n    .instagram-video-icon {\\n      &:before {\\n        opacity: 0.8;\\n        // ideally, the SVG used here should be in HTML and reference the SVG sprite\\n        content: svg-uri(\\n          '<svg xmlns=\\"http://www.w3.org/2000/svg\\" width=\\"32px\\" height=\\"32px\\" viewBox=\\"0 0 512 512\\" fill=\\"white\\"><path d=\\"M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z\\"></path></svg>'\\n        );\\n      }\\n      bottom: 10px;\\n      right: 10px;\\n      position: absolute;\\n    }\\n  }\\n}\\n\\n@mixin gdocs-logo($type) {\\n  &.g-#{$type}-logo {\\n    background: image-url(\\"favicons/google_branding/logo_#{$type}_48px.png\\")\\n      no-repeat;\\n  }\\n}\\n\\n.googledocs-onebox-logo {\\n  width: 60px;\\n  height: 50px;\\n  float: left;\\n  @include gdocs-logo(\\"docs\\");\\n  @include gdocs-logo(\\"forms\\");\\n  @include gdocs-logo(\\"sheets\\");\\n  @include gdocs-logo(\\"slides\\");\\n  @include gdocs-logo(\\"calendar\\");\\n  @include gdocs-logo(\\"drive\\");\\n}\\n\\n// Google Calendar Placeholder\\n.gdocs-onebox-splash {\\n  background-color: blend-primary-secondary(30%);\\n  color: $primary;\\n  border: 1px inset $primary;\\n  .gdocs-onebox-logo {\\n    display: inline-block;\\n    width: 128px;\\n    height: 128px;\\n    &.g-calendar-logo {\\n      background: image-url(\\"favicons/google_branding/logo_calendar_128px.png\\")\\n        no-repeat;\\n    }\\n  }\\n}\\n\\naside.onebox .onebox-body .onebox-avatar {\\n  max-height: none;\\n  max-width: none;\\n  height: 60px;\\n  width: 60px;\\n}\\n\\nblockquote {\\n  aside.onebox {\\n    @include post-aside;\\n  }\\n}\\n\\n// -- Onebox Github Code Blob --\\npre.onebox code ol.lines li:before {\\n  position: absolute;\\n  display: inline-block;\\n  width: 35px;\\n  left: -40px;\\n  color: #afafaf;\\n  text-align: right;\\n  padding-right: 5px;\\n  font-size: $font-down-1;\\n  line-height: $line-height-large;\\n  content: counter(li-counter);\\n  counter-increment: li-counter;\\n}\\n\\npre.onebox code ol {\\n  margin-left: 0;\\n  line-height: $line-height-large;\\n}\\npre.onebox code {\\n  background-color: dark-light-choose(#fff, #000);\\n}\\npre.onebox code li {\\n  padding-left: 5px;\\n}\\n\\npre.onebox code ol.lines {\\n  position: relative;\\n  margin: 0 0 0 40px;\\n}\\n\\npre.onebox code ol.lines li {\\n  list-style-type: none;\\n  padding-left: 5px;\\n  margin-left: 0;\\n  border-left: 1px solid #cfcfcf;\\n  min-height: 1.5em; //show empty li lines\\n  white-space: pre;\\n}\\n\\npre.onebox code li.selected {\\n  background-color: dark-light-choose(#f8eec7, #541);\\n}\\n\\npre.onebox code {\\n  white-space: normal;\\n}\\n\\n// Onebox - Github - PR, Commit & Issue\\n.onebox.githubpullrequest,\\n.onebox.githubcommit,\\n.onebox.githubissue {\\n  .onebox-body {\\n    h4 {\\n      margin-bottom: 5px;\\n    }\\n\\n    > .github-icon {\\n      // For backwards compatibility with old onebox\\n      float: left;\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  .github-row {\\n    display: flex;\\n  }\\n\\n  .github-icon-container {\\n    display: flex;\\n    align-items: flex-start;\\n    margin-right: 5px;\\n  }\\n\\n  .github-icon {\\n    fill: $primary-high;\\n    width: 40px;\\n    height: 40px;\\n  }\\n\\n  .branches {\\n    font-size: $font-down-1;\\n    code {\\n      word-break: break-all;\\n    }\\n  }\\n\\n  .github-info-container {\\n    width: 100%;\\n  }\\n\\n  .github-info {\\n    display: flex;\\n    align-items: center;\\n    flex-wrap: wrap;\\n    width: 100%;\\n\\n    > div {\\n      margin: 2.5px 0;\\n    }\\n\\n    > div:not(:last-child) {\\n      margin-right: 15px;\\n    }\\n\\n    .lines {\\n      font-weight: bold;\\n\\n      .added {\\n        color: $success;\\n      }\\n      .removed {\\n        color: $danger;\\n      }\\n    }\\n  }\\n\\n  .onebox-avatar-inline {\\n    height: 20px;\\n    width: 20px;\\n    border-radius: 2px;\\n    float: none;\\n    margin: 0;\\n    padding: 0;\\n    vertical-align: middle;\\n    max-width: none;\\n  }\\n\\n  .github-content {\\n    margin: 5px 0 0 0;\\n  }\\n\\n  .labels span {\\n    // !important required to override inline style attribute\\n    background-color: $primary-medium !important;\\n    color: $secondary !important;\\n    padding: 2px 4px !important;\\n  }\\n}\\n\\n//Onebox - Github - Pull request\\n.onebox-body .github-commit-status {\\n  background: #f5f5f5;\\n  border-radius: 5px;\\n  margin: 0 0 5px 100px;\\n  padding: 10px;\\n}\\n\\n.onebox-body .status_tag {\\n  display: inline-block;\\n  color: #fff;\\n  padding: 1px 4px;\\n  border-radius: 3px;\\n  font-weight: bold;\\n  margin-bottom: 5px;\\n  text-transform: capitalize;\\n}\\n\\n.onebox-body .build_status {\\n  padding: 2px;\\n  font-size: $font-down-1;\\n}\\n\\n.onebox-body .status_tag.open {\\n  background-color: #6cc644;\\n}\\n.onebox-body .status_tag.merged {\\n  background-color: #6e5494;\\n}\\n.onebox-body .status_tag.closed {\\n  background-color: #bd2c00;\\n}\\n\\n.onebox-body .github-content-right {\\n  margin-left: 100px;\\n}\\n\\n//Onebox - Twitter - Status\\naside.onebox.twitterstatus .onebox-body {\\n  h4 {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n// thumbnail, oddly, ONLY applies to twitter avatar\\n.onebox.twitterstatus {\\n  .thumbnail {\\n    width: 48px;\\n    height: 48px;\\n  }\\n  p,\\n  .tweet {\\n    white-space: pre-line;\\n    padding-top: 3px;\\n    margin-left: 70px;\\n\\n    .quoted {\\n      border: 1px solid $primary-low;\\n      padding: 0px 14px 0px 12px;\\n      white-space: normal;\\n      margin-top: 15px;\\n\\n      .quoted-link {\\n        color: inherit;\\n      }\\n\\n      .quoted-title {\\n        font-weight: bold;\\n        margin: 5px 2px;\\n\\n        span {\\n          font-weight: lighter;\\n          color: $primary-medium;\\n        }\\n      }\\n\\n      div {\\n        margin-bottom: 5px;\\n      }\\n    }\\n  }\\n  .date {\\n    clear: left;\\n  }\\n}\\n\\n// Onebox - Imgur/Flickr - Album\\n.onebox.imgur-album,\\n.onebox.flickr-album {\\n  .outer-box {\\n    position: absolute;\\n    z-index: z(\\"base\\");\\n    font-size: $font-down-1;\\n    color: #fff;\\n    background-color: rgba(0, 0, 0, 0.6);\\n    @include ellipsis;\\n    max-width: 690px;\\n    padding: 5px 0;\\n\\n    .inner-box {\\n      padding-left: 10px;\\n      padding-right: 10px;\\n      overflow: hidden;\\n      @include ellipsis;\\n\\n      .album-title {\\n        width: 100%;\\n        font-size: $font-up-1;\\n        line-height: $line-height-large;\\n        color: #ccc;\\n        text-decoration: none;\\n      }\\n    }\\n  }\\n}\\n\\n// resize stackexchange onebox image\\naside.onebox.stackexchange .onebox-body {\\n  img:not(.onebox-avatar) {\\n    max-height: 60%;\\n    max-width: 10%;\\n  }\\n\\n  .tags {\\n    color: gray;\\n  }\\n}\\n\\n.onebox-metadata {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n}\\n\\n.onebox.xkcd .onebox-body {\\n  img {\\n    max-width: 100% !important;\\n    float: none !important;\\n  }\\n}\\n\\n// pdf onebox\\n.onebox.pdf .onebox-body {\\n  .pdf-onebox-logo {\\n    width: 60px;\\n    height: 50px;\\n    float: left;\\n    background: image-url(\\"favicons/pdf_64px.png\\") no-repeat;\\n    background-size: 48px 48px;\\n    display: inline-block;\\n  }\\n  .filesize {\\n    color: gray;\\n  }\\n}\\n\\n// whitelistedgeneric twitter labels\\n.onebox.whitelistedgeneric {\\n  .label1,\\n  .label2 {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .label1 {\\n    float: left;\\n  }\\n  .label2 {\\n    float: right;\\n  }\\n}\\n\\n.onebox {\\n  &.whitelistedgeneric,\\n  &.gfycat {\\n    .site-icon {\\n      width: 16px;\\n      height: 16px;\\n      margin-right: 3px;\\n    }\\n  }\\n}\\n\\n.onebox.gfycat p {\\n  span.label1 a {\\n    white-space: nowrap;\\n  }\\n}\\n\\n.onebox.instagram {\\n  div.instagram-description {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    padding-top: 10px;\\n  }\\n}\\n\\n.onebox.githubcommit {\\n  pre.message {\\n    padding: 0;\\n  }\\n}\\n\\n.onebox.twitterstatus {\\n  .like,\\n  .retweet {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    padding-left: 10px;\\n    svg {\\n      fill: currentColor;\\n      vertical-align: middle;\\n    }\\n  }\\n}\\n\\n// mobile specific style\\n.mobile-view article.onebox-body {\\n  border-top: none;\\n}\\n\\n// Google Photos Album\\n.onebox.google-photos-album {\\n  @extend .imgur-album;\\n}\\n\\n// Force oneboxed videos to 16:9 aspect ratio\\n.onebox.video-onebox {\\n  position: relative;\\n  padding: 0 0 56.25% 0;\\n  width: 100%;\\n\\n  video {\\n    position: absolute;\\n    width: 100%;\\n    height: 100%;\\n  }\\n}\\n\\n.onebox-placeholder-container {\\n  position: relative;\\n  width: 100%;\\n  padding: 0 0 48.25% 0;\\n  background-color: $primary-low;\\n\\n  .placeholder-icon {\\n    position: absolute;\\n    width: 100%;\\n    height: 100%;\\n    display: flex;\\n    justify-content: center;\\n    align-items: center;\\n\\n    &.video {\\n      &:before {\\n        opacity: 0.8;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 576 512\\"><path fill=\\"grey\\" d=\\"M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z\\"></path></svg>'\\n        );\\n      }\\n    }\\n    &.audio {\\n      &:before {\\n        opacity: 0.4;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 512 512\\"><path fill=\\"currentColor\\" d=\\"M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z\\"></path></svg>'\\n        );\\n      }\\n    }\\n    &.generic {\\n      &:before {\\n        opacity: 0.4;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 384 512\\"><path fill=\\"currentColor\\" d=\\"M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z\\"></path></svg>'\\n        );\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".d-header {\\n  display: flex;\\n  align-items: center;\\n  width: 100%;\\n  position: absolute;\\n  top: 0;\\n  z-index: z(\\"header\\");\\n  background-color: $header_background;\\n  box-shadow: shadow(\\"header\\");\\n\\n  > .wrap {\\n    width: calc(100% - 16px); // accommodates for 8px vertical padding\\n    height: 100%;\\n    .contents {\\n      display: flex;\\n      align-items: center;\\n      height: 100%;\\n\\n      .header-row {\\n        width: 100%;\\n\\n        .logo-wrapper {\\n          float: left;\\n        }\\n        .auth-buttons {\\n          float: right;\\n          margin-top: 0.4em;\\n\\n          .login-button,\\n          .signup-button {\\n            padding: 8px 14px;\\n          }\\n        }\\n      }\\n    }\\n  }\\n\\n  .docked & {\\n    position: fixed;\\n    backface-visibility: hidden; /** do magic for scrolling performance **/\\n  }\\n\\n  .title {\\n    display: flex;\\n    align-items: center;\\n    height: 100%;\\n    a,\\n    a:visited {\\n      color: $header_primary;\\n    }\\n  }\\n\\n  #site-logo {\\n    width: auto;\\n  }\\n\\n  .d-icon-home {\\n    font-size: $font-up-6;\\n  }\\n\\n  .panel {\\n    position: relative;\\n    display: flex;\\n    flex: 0 0 auto;\\n    margin-left: auto;\\n    align-items: center;\\n  }\\n\\n  .hamburger-panel,\\n  .user-menu,\\n  .search-menu {\\n    width: 0; // Flexbox fix for Safari\\n  }\\n\\n  .header-buttons {\\n    display: flex;\\n    align-items: center;\\n    margin-top: 0.2em;\\n  }\\n\\n  .login-button,\\n  button.sign-up-button {\\n    padding: 6px 10px;\\n    .fa {\\n      margin-right: 3px;\\n    }\\n  }\\n\\n  button.login-button {\\n    margin-left: 7px;\\n  }\\n}\\n\\n.header-dropdown-toggle,\\n.drop-down,\\n.panel-body {\\n  .flagged-posts,\\n  .reviewables {\\n    background: $danger;\\n    min-width: 6px;\\n  }\\n}\\n\\n.d-header-icons {\\n  text-align: center;\\n  margin: 0 0 0 5px;\\n  list-style: none;\\n\\n  > li {\\n    float: left;\\n  }\\n  .icon {\\n    position: relative;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    width: 2.2857em;\\n    height: 2.2857em;\\n    padding: 0.2143em;\\n    text-decoration: none;\\n    cursor: pointer;\\n    border-top: 1px solid transparent;\\n    border-left: 1px solid transparent;\\n    border-right: 1px solid transparent;\\n    transition: all linear 0.15s;\\n    outline: none;\\n    img.avatar {\\n      width: 2.1333em;\\n      height: 2.1333em;\\n    }\\n    &:hover,\\n    &:focus {\\n      background-color: $primary-low;\\n      border-top: 1px solid transparent;\\n      border-left: 1px solid transparent;\\n      border-right: 1px solid transparent;\\n      .d-icon {\\n        color: $primary-medium;\\n      }\\n    }\\n    &:active {\\n      color: $primary;\\n      background-color: $primary-low;\\n    }\\n  }\\n  .drop-down-mode & {\\n    .active .icon {\\n      position: relative;\\n      background-color: $secondary;\\n      cursor: default;\\n      border-top: 1px solid $primary-low;\\n      border-left: 1px solid $primary-low;\\n      border-right: 1px solid $primary-low;\\n      .d-icon {\\n        color: $primary-medium;\\n      }\\n      &:after {\\n        display: block;\\n        position: absolute;\\n        top: 100%;\\n        left: 0;\\n        z-index: z(\\"header\\") + 1; // Higher than .menu-panel\\n        width: 100%;\\n        height: 0;\\n        content: \\"\\";\\n        border-top: 1px solid $secondary;\\n      }\\n      &:hover {\\n        border-bottom: none;\\n      }\\n    }\\n  }\\n\\n  .d-icon {\\n    width: 100%;\\n    font-size: $font-up-4;\\n    line-height: $line-height-large;\\n    display: inline-block;\\n    color: $header_primary-low-mid;\\n  }\\n  .notifications {\\n    position: relative;\\n  }\\n  .ring {\\n    position: absolute;\\n    top: -9px;\\n    z-index: z(\\"base\\");\\n    margin-left: 0;\\n  }\\n  .header-dropdown-toggle {\\n    position: relative;\\n  }\\n  .badge-notification {\\n    position: absolute;\\n    z-index: z(\\"base\\");\\n    left: 0;\\n    top: -4px;\\n    min-width: 0.6em;\\n  }\\n  .unread-notifications {\\n    left: auto;\\n    right: -3px;\\n    background-color: dark-light-choose($tertiary-medium, $tertiary);\\n  }\\n  .unread-private-messages,\\n  .ring {\\n    left: auto;\\n    right: 25px;\\n  }\\n}\\n\\n.highlight-strong {\\n  background-color: $highlight-medium;\\n}\\n\\n.search-highlight {\\n  font-weight: bold;\\n}\\n\\n#search-help table td {\\n  padding-right: 10px;\\n}\\n\\n// we don't need this X to clear field\\n#search-term::-ms-clear {\\n  display: none;\\n}\\n\\n// topic info in the header\\n.extra-info-wrapper {\\n  display: flex;\\n  align-items: center;\\n  flex: 1 1 0%; // unit on flex-basis is required for IE11\\n  height: 100%;\\n  line-height: $line-height-medium;\\n  padding: 0 1.5em 0 0.5em;\\n  // we need to hide overflow in both to truncate the title in a flexbox\\n  overflow: hidden;\\n  .extra-info {\\n    overflow: hidden;\\n    width: 100%;\\n    -webkit-animation: fadein 0.5s;\\n    animation: fadein 0.5s;\\n  }\\n  .topic-link {\\n    color: $header_primary;\\n    display: block;\\n    @include ellipsis;\\n  }\\n  .topic-statuses {\\n    .d-icon {\\n      color: $header_primary-medium;\\n    }\\n    .d-icon-envelope {\\n      color: $danger;\\n    }\\n  }\\n  .header-title {\\n    margin: 0 0 0.15em 0;\\n    .archetype-private_message & {\\n      // PMs might have participant avatars in the header\\n      margin: 0;\\n    }\\n    font-size: $font-up-3;\\n    width: 100%;\\n  }\\n  .categories-wrapper {\\n    display: inline-flex;\\n    align-items: center;\\n    // Protection against a very rare edge case in mobile header for topics with\\n    // very long category names and lots of tags at the same time\\n    max-width: 80%;\\n    flex: 0 1 auto;\\n    min-width: 1px;\\n    .badge-wrapper {\\n      @include ellipsis;\\n    }\\n  }\\n  .badge-wrapper {\\n    margin-right: 8px;\\n  }\\n  .badge-wrapper.bullet {\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      min-width: 5px;\\n    }\\n  }\\n  .badge-wrapper {\\n    &.bullet,\\n    &.bar,\\n    &.none {\\n      span.badge-category {\\n        color: $header_primary-high;\\n      }\\n    }\\n  }\\n  .topic-header-extra {\\n    display: inline-flex;\\n    align-items: center;\\n    max-width: 100%;\\n    flex: 1 0 0%; // unit on flex-basis is required for IE11\\n    .discourse-tags {\\n      color: $header_primary-high;\\n      @include ellipsis;\\n      .discourse-tag {\\n        display: inline; // tags need to stay inline in order for them to truncate\\n      }\\n    }\\n  }\\n  // the tag container should shrink\\n  .topic-header-extra {\\n    min-width: 1px; // 1px value is needed to avoid IE11 flexbox bug\\n  }\\n}\\n\\n// PM header participants\\n\\n$avatar-height: 1.641em;\\n$mobile-avatar-height: 1.532em;\\n\\n.topic-header-participants {\\n  display: flex;\\n  align-items: center;\\n  overflow: hidden;\\n  font-size: $font-down-1;\\n  &:not(:first-child) {\\n    margin-left: 5px;\\n  }\\n  .trigger-user-card,\\n  .trigger-group-card {\\n    &:not(:last-of-type) {\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  .trigger-user-card {\\n    .icon {\\n      height: $avatar-height;\\n      .mobile-view & {\\n        height: $mobile-avatar-height;\\n      }\\n      display: inline-block;\\n      img {\\n        height: 100%;\\n        width: auto;\\n      }\\n    }\\n  }\\n\\n  .trigger-group-card {\\n    padding: 0 5px;\\n    border: 1px solid $primary-low;\\n    border-radius: 0.25em;\\n    @include ellipsis;\\n\\n    .icon {\\n      display: flex;\\n      align-items: center;\\n      height: $avatar-height;\\n      .mobile-view & {\\n        height: $mobile-avatar-height;\\n      }\\n      color: $primary-high;\\n\\n      .d-icon {\\n        margin-right: 5px;\\n      }\\n    }\\n\\n    span {\\n      @include ellipsis;\\n    }\\n  }\\n\\n  .more-participants {\\n    color: $header_primary-high;\\n    margin-left: 5px;\\n  }\\n}\\n",\n\t\t"// Support for BBCode styles like colors and font sizes\\n\\nspan {\\n  &.bbcode-b {\\n    font-weight: bold;\\n  }\\n  &.bbcode-i {\\n    font-style: italic;\\n  }\\n  &.bbcode-u {\\n    text-decoration: underline;\\n  }\\n  &.bbcode-s {\\n    text-decoration: line-through;\\n  }\\n}\\n",\n\t\t"// Styles used before the user is logged into discourse. For example, activating their\\n// account or changing their email.\\n\\n#simple-container {\\n  border-radius: 10px;\\n  background-color: $secondary;\\n  padding: 20px;\\n  width: 550px;\\n  margin: 0 auto;\\n\\n  .account-created {\\n    .ac-message {\\n      font-size: $font-up-1;\\n      line-height: $line-height-large;\\n    }\\n\\n    .activation-controls {\\n      button {\\n        margin-right: 0.5em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for the topic admin menu\\n\\n.show-topic-admin {\\n  position: fixed;\\n  top: 120px;\\n  right: 10px;\\n  z-index: z(\\"dropdown\\");\\n  height: 35px;\\n}\\n\\n.popup-menu {\\n  background-color: $secondary;\\n  width: 215px;\\n  padding: 10px;\\n  border: 1px solid $primary-low;\\n  z-index: z(\\"dropdown\\");\\n  box-shadow: shadow(\\"card\\");\\n\\n  ul {\\n    list-style: none;\\n    margin: 10px 0 0 0;\\n  }\\n\\n  .btn {\\n    text-align: left;\\n  }\\n\\n  button {\\n    width: 100%;\\n    margin-bottom: 5px;\\n  }\\n}\\n\\n.modal-body.feature-topic {\\n  padding: 5px;\\n  max-height: 500px;\\n  input.date-picker {\\n    margin: 0;\\n  }\\n  hr {\\n    margin: 10px 0;\\n  }\\n  .feature-section {\\n    display: block;\\n    .badge-wrapper {\\n      margin-right: 0;\\n    }\\n    .desc {\\n      display: inline-block;\\n      vertical-align: middle;\\n      margin-left: 10px;\\n      p:first-of-type {\\n        margin: 0;\\n      }\\n      p {\\n        margin: 10px 0 0;\\n      }\\n    }\\n    .with-validation {\\n      position: relative;\\n    }\\n  }\\n}\\n\\n.desktop-view .feature-topic-modal {\\n  .feature-topic {\\n    overflow: visible;\\n  }\\n\\n  .modal-inner-container {\\n    min-width: 700px;\\n  }\\n\\n  .pin-until {\\n    position: relative;\\n    display: inline-block;\\n  }\\n}\\n\\n.mobile-view .feature-topic .feature-section {\\n  .desc {\\n    display: block;\\n    clear: both;\\n    max-width: 90%;\\n    margin: 0 10px;\\n  }\\n}\\n\\n// Select posts\\n\\n.selected-posts {\\n  border: 1px solid $tertiary-medium;\\n  background-color: $tertiary-low;\\n  .btn {\\n    border: none;\\n    color: $secondary;\\n    font-weight: normal;\\n    margin-bottom: 10px;\\n    &:not(.btn-danger) {\\n      background: $tertiary;\\n      border-color: $tertiary;\\n      &[href] {\\n        color: $secondary;\\n      }\\n      &:hover {\\n        color: $secondary;\\n        background: $tertiary-high;\\n      }\\n      &:active {\\n        @include linear-gradient(\\n          darken($tertiary, 18%),\\n          darken($tertiary, 12%)\\n        );\\n        color: $secondary;\\n      }\\n    }\\n    &[disabled] {\\n      text-shadow: 0 1px 0 rgba($primary, 0.2);\\n      @include linear-gradient($tertiary, darken($tertiary, 20%));\\n      box-shadow: inset 0 1px 0 rgba(0, 0, 0, 0.33);\\n    }\\n  }\\n}\\n",\n\t\t"$meta-element-margin: 6px;\\n\\n.lightbox-wrapper .lightbox {\\n  position: relative;\\n  display: inline-block;\\n  overflow: hidden;\\n  &:hover .meta {\\n    opacity: 0.9;\\n    transition: opacity 0.5s;\\n  }\\n}\\n\\n.d-lazyload-hidden {\\n  box-sizing: border-box;\\n}\\n\\n.onebox img.d-lazyload-hidden {\\n  border: 1px solid $primary-low;\\n}\\n\\n.cooked img.d-lazyload {\\n  transition: opacity 0.4s 0.75s ease;\\n}\\n\\n.lightbox-wrapper {\\n  display: inline-block;\\n  img {\\n    object-fit: cover;\\n    object-position: top;\\n  }\\n  &,\\n  * {\\n    outline: 0;\\n  }\\n}\\n\\n.meta {\\n  position: absolute;\\n  bottom: 0;\\n  width: 100%;\\n  color: $secondary;\\n  background: $primary;\\n  opacity: 0;\\n  transition: opacity 0.2s;\\n  display: flex;\\n  align-items: center;\\n\\n  .filename {\\n    margin: $meta-element-margin;\\n    @include ellipsis;\\n  }\\n\\n  .d-icon {\\n    margin: $meta-element-margin;\\n    opacity: 0.8;\\n    color: $secondary;\\n    + .filename {\\n      margin-left: 0px;\\n    }\\n  }\\n\\n  .informations {\\n    margin: $meta-element-margin;\\n    padding-right: 20px;\\n    color: $secondary-high;\\n    font-size: $font-0;\\n    flex-shrink: 0;\\n    flex-grow: 3;\\n  }\\n}\\n\\n.mfp-preloader .spinner {\\n  margin: auto;\\n}\\n\\n.discourse-no-touch {\\n  @if is-light-color-scheme() {\\n    a.lightbox {\\n      -webkit-transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);\\n      transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);\\n    }\\n\\n    a.lightbox:hover {\\n      border-radius: 5px;\\n      box-shadow: 0 2px 5px 0 rgba($primary, 0.2),\\n        0 2px 10px 0 rgba($primary, 0.2);\\n    }\\n  }\\n}\\n",\n\t\t".reorder-categories {\\n  thead {\\n    th {\\n      padding-bottom: 0.5em;\\n    }\\n  }\\n  input {\\n    width: 4em;\\n    @include breakpoint(mobile-extra-large) {\\n      width: 2em;\\n    }\\n  }\\n  table {\\n    width: 100%;\\n    padding-bottom: 150px;\\n    td {\\n      padding: 0.5em 0.5em 0.5em 0;\\n      @include breakpoint(mobile, min-width) {\\n        min-width: 15em;\\n      }\\n    }\\n  }\\n  .badge-wrapper span.badge-category {\\n    max-width: 20em;\\n    @include breakpoint(mobile-extra-large) {\\n      max-width: 30vw;\\n    }\\n  }\\n}\\n\\n.reorder-categories-sub-cat {\\n  margin-left: 20px;\\n}\\n",\n\t\t".edit-topic-timer-modal {\\n  .modal-body {\\n    max-height: none;\\n    overflow: visible !important; /* inline JS styles */\\n  }\\n  .control-group {\\n    display: flex;\\n    align-items: center;\\n\\n    > .d-icon {\\n      margin-right: 5px;\\n    }\\n  }\\n  input.date-picker,\\n  input[type=\\"time\\"] {\\n    width: 200px;\\n    text-align: left;\\n  }\\n  .radios {\\n    margin-bottom: 10px;\\n  }\\n  label {\\n    display: inline-flex;\\n    padding-right: 5px;\\n    margin-bottom: 0;\\n    align-items: center;\\n    input {\\n      margin-top: 0;\\n    }\\n  }\\n  .btn.pull-right {\\n    margin-right: 10px;\\n  }\\n  .future-date-input {\\n    input {\\n      margin: 0;\\n    }\\n    .alert-info {\\n      margin: 0 -15px -15px -15px;\\n    }\\n    .btn-clear {\\n      display: none;\\n    }\\n    .topic-status-info {\\n      border: none;\\n      padding: 0;\\n      h3 {\\n        font-weight: normal;\\n        font-size: $font-up-1;\\n      }\\n    }\\n\\n    input[disabled] {\\n      background: $primary-low;\\n    }\\n  }\\n  .pika-single {\\n    position: absolute !important; /* inline JS styles */\\n  }\\n}\\n\\n// mobile styles\\n.mobile-view .edit-topic-timer-modal {\\n  .select-kit.combo-box {\\n    flex: 1 0 0px;\\n  }\\n}\\n",\n\t\t".redirection-warning {\\n  margin: 0 auto;\\n  text-align: center;\\n  font-size: $font-up-4;\\n  line-height: $line-height-medium;\\n}\\n",\n\t\t"// Right to left styles.\\n// *** These styles are all going to be flipped by the r2 gem ***\\n// Adding the !important declaration to a rule prevents it from being flipped.\\n\\n// This is used to flip the .d-icon-caret-right\\n@mixin rotate($degrees) {\\n  -webkit-transform: rotate(#{$degrees}deg);\\n  -moz-transform: rotate(#{$degrees}deg);\\n  -ms-transform: rotate(#{$degrees}deg);\\n  -o-transform: rotate(#{$degrees}deg);\\n  transform: rotate(#{$degrees}deg);\\n\\n  filter: \\"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=#{cos($degrees)}, M12=-#{sin($degrees)}, M21=#{sin($degrees)}, M22=#{cos($degrees)})\\";\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=#{cos($degrees)}, M12=-#{sin($degrees)}, M21=#{sin($degrees)}, M22=#{cos($degrees)})\\";\\n  zoom: 1;\\n}\\n\\n// Get the right caret to point left\\n.rtl .d-icon-caret-right {\\n  @include rotate(180);\\n}\\n\\n// Changes the triangle arrow direction in .nav-stacked .active\\n// The 'left' and 'right' in these selectors is not being flipped by r2.\\n.rtl .nav-stacked a.active::after {\\n  border-left-color: transparent !important;\\n  border-right-color: $secondary !important;\\n}\\n.rtl code {\\n  direction: ltr !important;\\n  text-align: left !important;\\n}\\n.rtl .pull-left {\\n  float: right !important;\\n}\\n.rtl .autocomplete {\\n  left: 27px;\\n}\\n\\n.rtl .admin-customize .current-style .toggle-mobile {\\n  position: static !important;\\n  float: left !important;\\n}\\n.rtl .admin-customize .current-style .toggle-maximize {\\n  position: static !important;\\n  float: left !important;\\n}\\n.rtl .dashboard-left {\\n  float: right !important;\\n}\\n.rtl .dashboard-right {\\n  float: left !important;\\n}\\n\\n// This is for the support_mixed_text_direction setting\\n.cooked ul[dir=\\"ltr\\"],\\n.d-editor-preview ul[dir=\\"ltr\\"],\\n.cooked ul[dir=\\"rtl\\"],\\n.d-editor-preview ul[dir=\\"rtl\\"] {\\n  padding-right: 40px;\\n  padding-left: 40px;\\n}\\n\\n// Fixes github oneboxes for RTL sites\\n.rtl aside.onebox.githubblob {\\n  padding: 12px 25px 12px 12px !important;\\n  direction: ltr !important;\\n}\\n\\n.rtl aside.onebox.githubblob .source {\\n  background-position: 0 50% !important;\\n  padding-right: 20px;\\n}\\n\\n.rtl pre.onebox code ol.lines {\\n  margin: 0 0 0 40px !important;\\n}\\n\\n.rtl pre.onebox code ol.lines li:before {\\n  right: -40px;\\n  padding-left: 5px;\\n  padding-right: 0;\\n  text-align: right !important;\\n}\\n\\n.rtl pre.onebox code ol.lines li {\\n  padding-right: 5px;\\n  padding-left: 0;\\n  margin-right: 0;\\n  border-right: 1px solid #cfcfcf;\\n  border-left: none !important;\\n}\\n",\n\t\t".search-menu {\\n  .search-input {\\n    position: relative;\\n    padding: 0.5em 3px;\\n  }\\n\\n  .search-context .show-help {\\n    float: right;\\n  }\\n\\n  .heading {\\n    padding: 5px 0 5px 5px;\\n    .filter {\\n      padding: 0 5px;\\n    }\\n  }\\n\\n  input[type=\\"text\\"] {\\n    box-sizing: border-box;\\n    width: calc(100% - 6px);\\n    height: 32px;\\n  }\\n\\n  .search-context {\\n    padding: 0 5px;\\n\\n    label {\\n      margin-bottom: 0;\\n    }\\n  }\\n\\n  .search-context + .results {\\n    margin-top: 5px;\\n  }\\n\\n  .results {\\n    display: flex;\\n    flex-direction: row;\\n\\n    .list {\\n      min-width: 100px;\\n\\n      .item {\\n        .blurb {\\n          // https://css-tricks.com/snippets/css/prevent-long-urls-from-breaking-out-of-container/\\n          overflow-wrap: break-word;\\n          word-wrap: break-word;\\n          -ms-word-break: break-all;\\n          word-break: break-all;\\n          word-break: break-word;\\n          -ms-hyphens: auto;\\n          -moz-hyphens: auto;\\n          -webkit-hyphens: auto;\\n          hyphens: auto;\\n          margin-top: 0.25em;\\n        }\\n      }\\n    }\\n\\n    .search-result-topic {\\n      .second-line {\\n        display: flex;\\n        flex-wrap: wrap;\\n        align-items: center;\\n\\n        .discourse-tags {\\n          flex-wrap: wrap;\\n          display: contents;\\n        }\\n      }\\n    }\\n\\n    .main-results {\\n      display: flex;\\n      flex: 1 1 auto;\\n      .topic-statuses {\\n        color: $primary-medium;\\n      }\\n    }\\n\\n    .main-results + .secondary-results {\\n      border-left: 1px solid $primary-low;\\n      margin-left: 1em;\\n      padding-left: 1em;\\n      max-width: 33%;\\n    }\\n\\n    .secondary-results {\\n      display: flex;\\n      flex-direction: column;\\n      flex: 1 1 auto;\\n\\n      .separator {\\n        margin-bottom: 1em;\\n        margin-top: 1em;\\n        height: 1px;\\n        background: $primary-low;\\n      }\\n\\n      .search-result-tag {\\n        .discourse-tag {\\n          font-size: $font-down-1;\\n        }\\n      }\\n\\n      .search-result-category {\\n        .widget-link {\\n          margin-bottom: 0;\\n        }\\n      }\\n\\n      .search-result-group {\\n        .search-link {\\n          color: $primary-high;\\n\\n          &:hover {\\n            color: $primary;\\n          }\\n        }\\n\\n        .group-result {\\n          display: flex;\\n          align-items: center;\\n\\n          .d-icon,\\n          .avatar-flair {\\n            min-width: 25px;\\n            margin-right: 0.5em;\\n\\n            .d-icon {\\n              margin-right: 0;\\n            }\\n          }\\n\\n          .avatar-flair-image {\\n            background-repeat: no-repeat;\\n            background-size: 100% 100%;\\n            min-height: 25px;\\n          }\\n\\n          .group-names {\\n            display: flex;\\n            flex-direction: column;\\n            overflow: auto;\\n            line-height: $line-height-medium;\\n\\n            &:hover {\\n              .name,\\n              .slug {\\n                color: $primary-high;\\n              }\\n            }\\n\\n            .name,\\n            .slug {\\n              @include ellipsis;\\n            }\\n\\n            .name {\\n              font-weight: 700;\\n            }\\n\\n            .slug {\\n              font-size: $font-down-1;\\n              color: $primary-high;\\n            }\\n          }\\n        }\\n      }\\n\\n      .search-result-category,\\n      .search-result-user,\\n      .search-result-group,\\n      .search-result-tag {\\n        .list {\\n          display: block;\\n\\n          .item {\\n            .widget-link.search-link {\\n              flex: 1;\\n              font-size: $font-0;\\n              padding: 5px;\\n            }\\n          }\\n        }\\n      }\\n\\n      .search-result-user {\\n        .user-result {\\n          display: flex;\\n          flex-direction: row;\\n          align-items: center;\\n\\n          .avatar {\\n            margin-right: 0.5em;\\n            display: block;\\n            min-width: 25px;\\n          }\\n\\n          .user-titles {\\n            display: flex;\\n            flex-direction: column;\\n            overflow: auto;\\n            line-height: $line-height-medium;\\n\\n            .username,\\n            .name {\\n              @include ellipsis;\\n            }\\n\\n            .username {\\n              color: dark-light-choose($primary-high, $secondary-low);\\n              font-size: $font-down-1;\\n            }\\n\\n            .name {\\n              color: dark-light-choose($primary-high, $secondary-low);\\n              font-size: $font-0;\\n              font-weight: 700;\\n            }\\n          }\\n        }\\n      }\\n    }\\n\\n    .show-more {\\n      padding: 5px;\\n    }\\n  }\\n\\n  .searching {\\n    position: absolute;\\n    top: 1.15em;\\n    right: 1em;\\n\\n    .spinner {\\n      width: 10px;\\n      height: 10px;\\n      border-width: 2px;\\n      margin: 0;\\n    }\\n  }\\n\\n  .no-results {\\n    padding: 5px;\\n  }\\n\\n  .filter {\\n    padding: 0;\\n    &:hover {\\n      background: transparent;\\n    }\\n  }\\n\\n  .search-link {\\n    margin-bottom: 0.25em;\\n\\n    .badge-category-parent {\\n      line-height: $line-height-small;\\n    }\\n\\n    .topic {\\n      display: inline-block;\\n      line-height: $line-height-medium;\\n    }\\n\\n    .topic-title {\\n      margin-right: 0.25em;\\n    }\\n  }\\n}\\n",\n\t\t"/* Default badge styles. */\\n.user-badge {\\n  padding: 3px 8px;\\n  color: $primary;\\n  border: 1px solid $primary-low;\\n  line-height: $line-height-large;\\n  display: inline-flex;\\n  align-items: center;\\n  background-color: $secondary;\\n  margin: 0 0 3px;\\n\\n  img {\\n    height: 16px;\\n    width: 16px;\\n  }\\n\\n  .badge-display-name {\\n    margin-left: 0.25em;\\n  }\\n\\n  &.badge-type-gold .fa {\\n    color: $gold !important;\\n  }\\n\\n  &.badge-type-silver .fa {\\n    color: $silver !important;\\n  }\\n\\n  &.badge-type-bronze .fa {\\n    color: $bronze !important;\\n  }\\n\\n  &.disabled {\\n    color: $primary-medium;\\n    background-color: $primary-very-low;\\n    .fa {\\n      opacity: 0.4;\\n    }\\n  }\\n}\\n\\n@media all and (max-width: 750px) {\\n  .show-badge .user-badge-with-posts .badge-user a.post-link {\\n    width: auto;\\n  }\\n  .show-badge div.badge-user {\\n    padding: 0;\\n  }\\n  .badges-listing {\\n    display: block;\\n\\n    .info,\\n    .grant-count {\\n      text-align: left;\\n    }\\n\\n    .row > div.info {\\n      display: none;\\n    }\\n\\n    .row {\\n      display: block;\\n      > div {\\n        display: block;\\n        margin-top: 10px;\\n      }\\n    }\\n  }\\n}\\n\\n.show-badge .badge-user-info {\\n  .earned {\\n    font-size: $font-up-2;\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.show-badge .single-user {\\n  margin-left: 2%;\\n  padding-bottom: 20px;\\n  .load-more {\\n    padding-top: 30px;\\n    display: block;\\n    font-size: $font-up-2;\\n  }\\n}\\n\\n.show-badge .single-user .badge-user {\\n  padding-left: 0;\\n\\n  text-align: left;\\n  display: block;\\n  margin: 20px 0;\\n  .badge-info {\\n    display: none;\\n  }\\n  .date {\\n    display: inline-block;\\n    font-size: $font-up-1;\\n    margin-left: 10px;\\n  }\\n  .post-link {\\n    font-size: $font-up-2;\\n    width: 500px;\\n    margin: 0;\\n    padding: 0;\\n  }\\n  width: 800px;\\n\\n  &:after {\\n    content: \\"\\";\\n    clear: both;\\n    display: table;\\n  }\\n}\\n\\n.long-description.banner {\\n  width: 88%;\\n  margin-bottom: 15px;\\n  margin-top: 15px;\\n}\\n\\n.badge-card {\\n  position: relative;\\n  display: inline-block;\\n  background-color: $primary-very-low;\\n  border: 1px solid $primary-low;\\n  margin-bottom: 2vh;\\n  transition: box-shadow 0.25s;\\n\\n  .check-display {\\n    position: absolute;\\n    left: 5px;\\n    top: 5px;\\n  }\\n\\n  .grant-count {\\n    position: absolute;\\n    right: 5px;\\n    top: 5px;\\n    font-weight: bold;\\n    color: $primary-medium;\\n    font-size: $font-up-2;\\n  }\\n\\n  .badge-contents {\\n    display: flex;\\n    min-height: 128px;\\n    height: 100%;\\n    padding: 0 10%;\\n\\n    .badge-link {\\n      color: $primary;\\n    }\\n\\n    .badge-icon {\\n      display: flex;\\n      flex: 0 0 auto;\\n      width: 1.23em;\\n      margin-right: 5%;\\n      align-items: center;\\n      justify-content: center;\\n      font-size: 3.5em;\\n      a {\\n        width: 100%;\\n      }\\n      img {\\n        width: 100%;\\n        max-width: 65px;\\n        max-height: 80px;\\n      }\\n\\n      &.badge-type-gold .fa {\\n        color: rgb(231, 195, 0) !important;\\n      }\\n\\n      &.badge-type-silver .fa {\\n        color: #c0c0c0 !important;\\n      }\\n\\n      &.badge-type-bronze .fa {\\n        color: #cd7f32 !important;\\n      }\\n    }\\n\\n    .badge-info {\\n      display: flex;\\n      flex: 1 1 auto;\\n      align-items: center;\\n      padding: 1em 1.5em 1em 0;\\n      color: $primary;\\n      @media screen and (max-width: 600px) {\\n        padding-right: 0;\\n      }\\n\\n      h3 {\\n        margin-bottom: 0.25em;\\n        font-size: $font-up-1;\\n        @media screen and (min-width: 900px) {\\n          font-size: $font-up-2;\\n        }\\n      }\\n    }\\n  }\\n\\n  &.medium {\\n    flex: 0 0 auto;\\n    width: 32%;\\n    margin-right: 1.63%;\\n    @media screen and (min-width: 851px) {\\n      &:nth-of-type(3n) {\\n        margin-right: 0;\\n      }\\n    }\\n    @include breakpoint(medium) {\\n      width: 48.5%;\\n      &:nth-of-type(2n) {\\n        margin-right: 0;\\n      }\\n    }\\n    @include breakpoint(mobile-extra-large) {\\n      flex: 0 0 100%;\\n    }\\n    &:hover {\\n      box-shadow: shadow(\\"card\\");\\n    }\\n    &:active {\\n      box-shadow: none;\\n    }\\n  }\\n  &.large {\\n    width: 100%;\\n    align-self: flex-start;\\n    @media screen and (min-width: 767px) {\\n      max-width: calc(#{$large-width} / 2);\\n      margin-right: 1.5em;\\n    }\\n    .badge-contents {\\n      padding: 0 5%;\\n      h3 {\\n        font-size: $font-up-3;\\n      }\\n    }\\n  }\\n}\\n\\n.badges-granted {\\n  display: flex;\\n  flex-wrap: wrap;\\n  @media screen and (max-width: $small-width) {\\n    justify-content: space-between;\\n  }\\n}\\n\\n.badge-groups {\\n  margin: 20px 0;\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  h3 {\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.badge-title {\\n  .user-content {\\n    padding: 0;\\n  }\\n}\\n\\n.badge-group-list {\\n  margin-bottom: 1.5em;\\n  display: flex;\\n  flex-wrap: wrap;\\n  @include breakpoint(medium) {\\n    justify-content: space-between;\\n  }\\n\\n  .title {\\n    width: 100%;\\n    font-size: $font-up-1;\\n  }\\n}\\n\\n.show-badge-details {\\n  display: flex;\\n  flex-wrap: wrap;\\n  flex-direction: row;\\n  margin-bottom: 2em;\\n  margin-top: 1em;\\n\\n  .badge-grant-info {\\n    &.hidden {\\n      display: none;\\n    }\\n  }\\n\\n  .grant-info-item {\\n    margin-bottom: 1em;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    &:first-of-type {\\n      margin-right: 10px;\\n    }\\n  }\\n\\n  .badge-set-title {\\n    padding: 1.5em;\\n    border: 1px solid $primary-low;\\n\\n    .user-content {\\n      padding: 0;\\n      .control-group {\\n        margin-bottom: 1em;\\n      }\\n    }\\n  }\\n\\n  .badge-title .form-horizontal .controls {\\n    margin-left: 0;\\n  }\\n\\n  .form-horizontal {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n.check-display {\\n  display: inline-block;\\n  padding: 0 0.25em;\\n  border-radius: 10px;\\n  text-align: center;\\n  .fa {\\n    font-size: 0.9em;\\n    color: $secondary;\\n  }\\n}\\n\\n.check-display.status-checked {\\n  background-color: $success;\\n}\\n\\n.check-display.status-unchecked {\\n  background-color: $danger;\\n}\\n\\n.hyperlink {\\n  cursor: pointer;\\n}\\n",\n\t\t".reviewable {\\n  .flagged-post-header {\\n    width: 100%;\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n\\n  .status {\\n    color: $primary-medium;\\n    span.approved {\\n      color: $success;\\n      .d-icon {\\n        color: currentColor;\\n      }\\n    }\\n    span.rejected {\\n      color: $danger;\\n      .d-icon {\\n        color: currentColor;\\n      }\\n    }\\n  }\\n  .explain {\\n    margin-left: 0.5em;\\n  }\\n\\n  .nav-pills {\\n    margin-bottom: 1em;\\n  }\\n\\n  .reviewable-container {\\n    display: flex;\\n    flex-direction: row;\\n    margin-top: 1em;\\n\\n    .reviewable-list {\\n      flex: 1;\\n      box-sizing: border-box;\\n      max-width: 760px; // Match topic post width\\n      min-width: 0;\\n      margin-right: auto;\\n    }\\n\\n    .reviewable-filters {\\n      width: 250px;\\n      height: 100%;\\n      box-sizing: border-box;\\n    }\\n\\n    .reviewable-list + .reviewable-filters {\\n      margin-left: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-settings {\\n  h4 {\\n    margin-top: 1em;\\n    margin-bottom: 1em;\\n  }\\n\\n  .saved {\\n    margin-left: 0.5em;\\n  }\\n  .reviewable-score-type {\\n    display: flex;\\n    margin-bottom: 0.5em;\\n\\n    .select-kit {\\n      min-width: 10em;\\n    }\\n    .title {\\n      width: 30%;\\n    }\\n  }\\n}\\n\\n.reviewable-user-info {\\n  margin: 0.5em 0;\\n  .reviewable-user-fields {\\n    margin-bottom: 2em;\\n  }\\n\\n  .reviewable-user-details {\\n    border-bottom: 1px solid $primary-low;\\n    padding-bottom: 0.25em;\\n\\n    display: flex;\\n    .name {\\n      width: 8em;\\n      font-weight: bold;\\n      margin-right: 1em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.no-review {\\n  margin-top: 1em;\\n}\\n\\n.reviewable-filters {\\n  background-color: $primary-very-low;\\n  padding: 1em;\\n  margin-bottom: 1em;\\n\\n  .reviewable-filter {\\n    display: flex;\\n    flex-direction: column;\\n    margin: 0 0 1em 0;\\n\\n    .filter-label {\\n      margin: 0 0 0.5em 0;\\n    }\\n\\n    .score-filter {\\n      margin: 0;\\n      width: 100%;\\n    }\\n\\n    .category-chooser {\\n      width: 100%;\\n    }\\n\\n    .d-date-time-input-range {\\n      width: inherit;\\n      border: none;\\n      padding: 0;\\n\\n      .d-date-input {\\n        flex: 1 1 auto;\\n        border: 1px solid $primary-medium;\\n      }\\n    }\\n  }\\n}\\n\\n.reviewable-claimed-topic {\\n  display: flex;\\n  align-items: center;\\n  .btn-small {\\n    margin-left: 0.5em;\\n  }\\n}\\n\\n.reviewable-actions .claimed-actions {\\n  display: flex;\\n  width: 100%;\\n  justify-content: space-between;\\n  align-items: center;\\n  margin-bottom: 0.5em;\\n}\\n\\n.claimed-by {\\n  display: flex;\\n  align-items: center;\\n  .claimed-username {\\n    margin-left: 0.5em;\\n  }\\n}\\n\\n.reviewable-topics {\\n  width: 100%;\\n\\n  tbody {\\n    td {\\n      padding: 0.5em;\\n    }\\n  }\\n\\n  .reviewable-details {\\n    display: flex;\\n    justify-content: flex-end;\\n\\n    .btn {\\n      display: flex;\\n      align-items: center;\\n      margin-left: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-filters {\\n  .topic-filter .btn {\\n    display: flex;\\n    width: auto;\\n  }\\n\\n  .refresh {\\n    height: 1em;\\n    display: flex;\\n  }\\n\\n  .score-filter {\\n    width: 5em;\\n  }\\n}\\n.user-flag-percentage {\\n  display: flex;\\n  align-items: center;\\n  margin-left: 0.5em;\\n\\n  .percentage-label {\\n    margin-right: 0.25em;\\n    &.agreed {\\n      color: $success;\\n      + .d-icon {\\n        color: $success;\\n      }\\n    }\\n    &.disagreed {\\n      color: $danger;\\n      + .d-icon {\\n        color: $danger;\\n      }\\n    }\\n    &.ignored {\\n      color: $primary-medium;\\n    }\\n  }\\n  .d-icon {\\n    font-size: 0.9em;\\n  }\\n}\\n\\n.reviewable-item {\\n  padding-top: 2em;\\n  border-top: 1px solid dark-light-choose($primary-low, $secondary-low);\\n\\n  .topic-statuses {\\n    font-size: $font-up-2;\\n  }\\n\\n  .reviewable-meta-data {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    display: flex;\\n    width: 100%;\\n    margin-bottom: 0.5em;\\n    font-size: $font-down-1;\\n    align-items: baseline;\\n    .reviewable-type {\\n      margin-right: 0.25em;\\n    }\\n    .reply-count {\\n      margin-left: 1em;\\n    }\\n    .created-at {\\n      margin-left: 1em;\\n      margin-right: auto;\\n      a {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n    }\\n    .score {\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  .reviewable-contents {\\n    display: flex;\\n    flex-wrap: wrap;\\n    margin-bottom: 2em;\\n  }\\n\\n  .reviewable-actions {\\n    display: flex;\\n    flex-wrap: wrap;\\n\\n    button {\\n      white-space: nowrap;\\n    }\\n\\n    .reviewable-action,\\n    .reviewable-action-dropdown {\\n      margin-right: 0.5em;\\n    }\\n  }\\n  padding-bottom: 1em;\\n}\\n\\n.reviewable-histories {\\n  margin-top: 1em;\\n}\\n\\n.reviewable-scores {\\n  min-width: 50%;\\n  color: $primary-high;\\n\\n  .reviewed-by {\\n    .date {\\n      margin-left: 0.5em;\\n    }\\n  }\\n  .user,\\n  .reviewed-by {\\n    display: flex;\\n    align-items: center;\\n  }\\n\\n  .user-flag-percentage {\\n    margin-left: 0.5em;\\n  }\\n\\n  .d-icon {\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n  }\\n\\n  .badge-notification {\\n    line-height: $line-height-medium;\\n    vertical-align: text-top;\\n  }\\n\\n  tbody {\\n    border-width: 1px;\\n    td {\\n      white-space: nowrap;\\n      vertical-align: baseline;\\n      &.user a,\\n      &.reviewed-by a {\\n        max-width: 150px;\\n        @include ellipsis;\\n      }\\n    }\\n\\n    td:last-of-type {\\n      width: 100%;\\n      white-space: normal;\\n    }\\n    > tr > th {\\n      text-align: left;\\n    }\\n    > tr > th,\\n    > tr > td {\\n      &:not(:empty) {\\n        padding: 0.5em 1em 0.5em 0;\\n      }\\n      @include breakpoint(\\"mobile-large\\") {\\n        @include ellipsis;\\n        padding-right: 0.5em;\\n      }\\n    }\\n    .reviewable-score-spacer {\\n      padding-right: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-score-reason {\\n  margin: 0.5em 0;\\n  max-width: $topic-body-width;\\n  margin-bottom: 0.5em;\\n}\\n\\n.reviewable-conversation {\\n  margin: 0.5em 0;\\n\\n  .reviewable-conversation-post {\\n    max-width: $topic-body-width;\\n    margin-bottom: 0.5em;\\n\\n    .username {\\n      font-weight: bold;\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .controls {\\n    margin-top: 0.25em;\\n  }\\n}\\n\\n.reviewable-item {\\n  .show-raw-email {\\n    color: $primary-medium;\\n    font-size: $font-down-2;\\n  }\\n  .post-title {\\n    background-color: yellow;\\n  }\\n  .created-by {\\n    margin-right: 1em;\\n    padding-top: 0.35em;\\n    @include breakpoint(\\"mobile-large\\") {\\n      float: left;\\n      margin-bottom: 1em;\\n    }\\n  }\\n\\n  .names {\\n    font-weight: bold;\\n  }\\n\\n  .post-contents-wrapper {\\n    width: 100%;\\n    margin-top: 1em;\\n    min-width: 275px;\\n    word-break: break-word;\\n    @include breakpoint(\\"mobile-large\\", min-width) {\\n      display: flex;\\n    }\\n  }\\n  .reviewable-post-header {\\n    display: flex;\\n    justify-content: space-between;\\n    max-width: $topic-body-width;\\n    width: $topic-body-width;\\n    align-items: center;\\n\\n    .reviewable-reply-to {\\n      display: flex;\\n      align-items: center;\\n      color: $primary-medium;\\n      font-size: 0.9em;\\n      .d-icon {\\n        margin-right: 0.5em;\\n      }\\n    }\\n  }\\n\\n  .post-contents {\\n    width: 100%;\\n    min-width: 0; // Flexbox fix\\n  }\\n\\n  .post-body {\\n    max-width: $topic-body-width;\\n    max-height: 300px;\\n    margin-top: 0.5em;\\n    overflow-y: auto;\\n\\n    p,\\n    aside {\\n      margin: 0 0 1em 0;\\n    }\\n\\n    pre,\\n    code {\\n      word-break: break-all;\\n    }\\n  }\\n\\n  .post-topic {\\n    width: 100%;\\n    color: $primary-medium;\\n    margin-bottom: 0.75em;\\n    .title-text {\\n      font-weight: bold;\\n      color: $primary;\\n      display: block;\\n      font-size: $font-up-2;\\n      margin-right: 0.75em;\\n    }\\n    .topic-statuses {\\n      &:empty {\\n        display: none;\\n      }\\n    }\\n  }\\n}\\n\\n.editable-fields {\\n  .editable-created-by {\\n    display: flex;\\n    .avatar {\\n      margin-right: 0.25em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n\\n  width: 100%;\\n  .editable-field {\\n    .mini-tag-chooser {\\n      margin: 0;\\n    }\\n\\n    .reviewable-input-text {\\n      width: 100%;\\n      margin-bottom: 0;\\n    }\\n\\n    .reviewable-input-textarea {\\n      width: 100%;\\n      height: 10em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n@media screen and (max-width: 1000px) {\\n  table.reviewable-scores {\\n    width: 100%;\\n    display: block;\\n    tbody {\\n      width: calc(100% - 5px);\\n      display: block;\\n      clear: both;\\n    }\\n  }\\n  tr.reviewable-score {\\n    display: grid;\\n    grid-template-columns: auto auto 1fr;\\n  }\\n  td.reviewable-score-spacer {\\n    display: none;\\n  }\\n}\\n\\n@include breakpoint(\\"mobile-large\\") {\\n  tr.reviewable-score {\\n    grid-template-columns: auto auto auto;\\n  }\\n}\\n",\n\t\t".shared-draft-controls {\\n  background-color: $tertiary-low;\\n  padding: 1em;\\n\\n  .publish-field {\\n    margin-top: 1em;\\n  }\\n\\n  clear: both;\\n}\\n",\n\t\t".explain-reviewable {\\n  min-width: 500px;\\n\\n  .thresholds {\\n    margin-top: 1em;\\n  }\\n  table {\\n    width: 100%;\\n  }\\n  table td {\\n    padding: 0.5em;\\n  }\\n  td.sum {\\n    text-align: right;\\n  }\\n  td.sum.total {\\n    font-weight: bold;\\n  }\\n  tr.total {\\n    td {\\n      background-color: $primary-low;\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .op {\\n    font-weight: bold;\\n  }\\n\\n  .score-value-type {\\n    color: $primary-medium;\\n  }\\n\\n  .op:last-of-type {\\n    display: none;\\n  }\\n}\\n",\n\t\t"// styles for the category badge color picker\\n\\n.category-color-editor {\\n  input {\\n    width: 5.5em;\\n    margin-right: 1em;\\n  }\\n\\n  .color-title {\\n    display: block;\\n    margin: 1em 0 0.25em;\\n  }\\n\\n  .colorpicker-wrapper {\\n    display: flex;\\n    align-items: center;\\n    input,\\n    .add-on {\\n      align-self: flex-start;\\n      margin-bottom: 0.125em;\\n    }\\n  }\\n\\n  .colors-container {\\n    display: inline-flex;\\n    flex-wrap: wrap;\\n\\n    .colorpicker {\\n      position: relative;\\n      margin: 0 0.125em 0.25em;\\n      border: 1px solid $primary-medium;\\n      width: 1.25em;\\n      height: 1.2em;\\n      padding: 0;\\n      flex: 0 0 auto;\\n      color: white;\\n      svg {\\n        display: none;\\n      }\\n      &.used-color svg {\\n        display: inline-flex;\\n        opacity: 0.8;\\n        max-width: 70%;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// styles that apply to the popup that appears when you show the edit history of a post\\n\\n.modal.history-modal {\\n  #revision-numbers {\\n    display: inline-block;\\n    min-width: 96px;\\n    text-align: center;\\n  }\\n\\n  #revision {\\n    overflow: auto;\\n    border-bottom: 3px solid $primary-low;\\n  }\\n\\n  table.markdown > tbody > tr > td,\\n  .revision-content {\\n    width: 47.5%;\\n    float: left;\\n\\n    &:nth-of-type(2) {\\n      margin-left: 5%;\\n    }\\n  }\\n\\n  #revision-details {\\n    padding: 5px;\\n  }\\n\\n  #revisions .row:first-of-type {\\n    margin-top: 10px;\\n  }\\n  ins,\\n  .diff-ins {\\n    code,\\n    img {\\n      border: 2px solid $success;\\n    }\\n    img {\\n      opacity: 0.75;\\n      filter: alpha(opacity=75);\\n    }\\n    a {\\n      color: $success;\\n      text-decoration: none;\\n    }\\n  }\\n  img.diff-ins,\\n  code.diff-ins {\\n    border: 2px solid $success;\\n  }\\n  img.diff-ins {\\n    opacity: 0.75;\\n    filter: alpha(opacity=75);\\n  }\\n  .diff-ins {\\n    color: $primary;\\n    background: $success-low;\\n  }\\n  ins {\\n    color: $primary;\\n    background: $success-low;\\n    text-decoration: none;\\n  }\\n  del,\\n  .diff-del {\\n    code,\\n    img {\\n      border: 2px solid $danger;\\n    }\\n    img {\\n      opacity: 0.5;\\n      filter: alpha(opacity=50);\\n    }\\n    a {\\n      color: $danger;\\n      text-decoration: none;\\n    }\\n  }\\n  img.diff-del,\\n  code.diff-del {\\n    border: 2px solid $danger;\\n  }\\n  img.diff-del {\\n    opacity: 0.5;\\n    filter: alpha(opacity=50);\\n  }\\n  .diff-del {\\n    color: $primary;\\n    background: $danger-low;\\n    text-decoration: none;\\n  }\\n  del {\\n    color: $primary;\\n    background: $danger-low;\\n    text-decoration: none;\\n  }\\n  span.date {\\n    font-weight: bold;\\n  }\\n  span.edit-reason {\\n    background-color: $highlight-medium;\\n    padding: 3px 5px 5px 5px;\\n  }\\n  .d-icon-ban {\\n    color: #f00;\\n  }\\n  .hidden-revision-either {\\n    opacity: 0.5;\\n  }\\n  .hidden-revision-previous .row {\\n    div:nth-of-type(1),\\n    td:nth-of-type(1) {\\n      opacity: 0.5;\\n    }\\n  }\\n  .hidden-revision-current .row {\\n    div:nth-of-type(2),\\n    td:nth-of-type(2) {\\n      opacity: 0.5;\\n    }\\n  }\\n}\\n",\n\t\t"$d-popover-background: $secondary;\\n$d-popover-border: $primary-medium;\\n\\n@-webkit-keyframes popoverFadeIn {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n@keyframes popoverFadeIn {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n#d-popover {\\n  background-color: $d-popover-background;\\n  position: absolute;\\n  z-index: z(\\"modal\\", \\"tooltip\\");\\n  border-color: $d-popover-border;\\n  border-style: solid;\\n  border-width: 1px;\\n  max-width: 300px;\\n  -webkit-animation: popoverFadeIn 0.5s;\\n  animation: popoverFadeIn 0.5s;\\n  background-clip: padding-box;\\n  display: block;\\n  box-shadow: shadow(\\"dropdown\\");\\n  border-radius: 2px;\\n\\n  &.is-under {\\n    margin-top: 0px;\\n\\n    .d-popover-top-arrow {\\n      display: block;\\n    }\\n\\n    .d-popover-bottom-arrow {\\n      display: none;\\n    }\\n  }\\n\\n  &.is-above {\\n    margin-top: 0px;\\n\\n    .d-popover-bottom-arrow {\\n      display: block;\\n    }\\n\\n    .d-popover-top-arrow {\\n      display: none;\\n    }\\n  }\\n\\n  &.retina {\\n    border-width: 0.5px;\\n  }\\n\\n  .d-popover-content {\\n    padding: 0.5em;\\n    font-size: $font-down-1;\\n    overflow-wrap: break-word;\\n    -webkit-animation: popoverFadeIn 0.5s;\\n    animation: popoverFadeIn 0.5s;\\n  }\\n\\n  .d-popover-arrow {\\n    border-style: solid;\\n    color: transparent;\\n    content: \\"\\";\\n    position: absolute;\\n    z-index: calc(z(\\"tooltip\\") - 100);\\n  }\\n\\n  .d-popover-top-arrow {\\n    border-color: transparent transparent $d-popover-border;\\n    top: 8px;\\n    transform: translate(0, -15px);\\n    border-width: 0 8px 8px;\\n\\n    &:after {\\n      border-color: transparent transparent $d-popover-background;\\n      border-style: solid;\\n      border-width: 0 7px 7px;\\n      bottom: -8px;\\n      margin-left: -7px;\\n      position: absolute;\\n      content: \\"\\";\\n    }\\n  }\\n\\n  .d-popover-bottom-arrow {\\n    border-color: $d-popover-border transparent transparent;\\n    top: calc(100% + 16px);\\n    transform: translate(0, -16px);\\n    border-width: 8px 8px 0;\\n\\n    &:after {\\n      position: absolute;\\n      content: \\"\\";\\n      border-color: $d-popover-background transparent transparent;\\n      border-style: solid;\\n      border-width: 7px 7px 0;\\n      bottom: 2px;\\n      transform: translate(-7px, 0);\\n    }\\n  }\\n}\\n",\n\t\t"div.tagsinput {\\n  border: 1px solid #ccc;\\n  background: #fff;\\n  padding: 5px 5px 0;\\n  width: 584px;\\n  height: 100px;\\n  overflow-y: auto;\\n  border-radius: 4px;\\n}\\n\\ndiv.tagsinput span.tag {\\n  border: 1px solid #a5d24a;\\n  border-radius: 2px;\\n  display: block;\\n  float: left;\\n  padding: 1px 5px;\\n  text-decoration: none;\\n  background: #cde69c;\\n  color: #638421;\\n  margin-right: 5px;\\n  margin-bottom: 5px;\\n  font-family: helvetica;\\n  font-size: $font-down-1;\\n}\\n\\ndiv.tagsinput span.tag a {\\n  font-weight: bold;\\n  color: #82ad2b;\\n  text-decoration: none;\\n  font-size: $font-down-2;\\n}\\ndiv.tagsinput input {\\n  width: 80px;\\n  font-family: helvetica;\\n  font-size: $font-down-1;\\n  border: 1px solid transparent;\\n  padding: 2px 5px;\\n  background: transparent;\\n  color: #000;\\n  outline: 0;\\n  margin: 0 5px 5px 0;\\n}\\ndiv.tagsinput div {\\n  display: block;\\n  float: left;\\n}\\n.tags_clear {\\n  clear: both;\\n  width: 100%;\\n  height: 0;\\n}\\n.not_valid {\\n  background: #fbd8db !important;\\n  color: #90111a !important;\\n}\\n",\n\t\t".d-icon.d-icon-d-regular,\\n.d-icon.d-icon-d-muted,\\n.d-icon.d-icon-d-watching-first,\\n.d-icon.d-icon-d-watching-first-post {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n}\\n\\n.d-icon.d-icon-d-tracking,\\n.d-icon.d-icon-d-watching {\\n  color: $tertiary;\\n}\\n",\n\t\t".directory {\\n  margin-bottom: 100px;\\n\\n  .user-info {\\n    margin-bottom: 0;\\n  }\\n\\n  .period-chooser {\\n    float: left;\\n  }\\n  .filter-name {\\n    float: right;\\n  }\\n  .spinner {\\n    clear: both;\\n  }\\n\\n  table {\\n    width: 100%;\\n    margin-bottom: 1em;\\n\\n    td,\\n    th {\\n      padding: 0.5em;\\n      text-align: left;\\n      border-bottom: 1px solid $primary-low;\\n      @media screen and (max-width: $small-width) {\\n        padding: 0.5em 0.25em;\\n      }\\n\\n      .number,\\n      .time-read {\\n        font-size: $font-up-3;\\n        color: $primary-medium;\\n        @media screen and (max-width: $small-width) {\\n          font-size: $font-up-1;\\n        }\\n      }\\n      .time-read {\\n        white-space: nowrap;\\n      }\\n    }\\n\\n    th.sortable {\\n      width: 13%;\\n      .d-icon-heart {\\n        color: $love;\\n        margin: 0 0.25em 0 0;\\n      }\\n    }\\n  }\\n  .me {\\n    background-color: dark-light-choose($highlight-low, $highlight-medium);\\n    .username a,\\n    .name,\\n    .title,\\n    .number,\\n    .time-read {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n",\n\t\t".alert {\\n  padding: 8px 32px 8px 16px;\\n  background-color: $danger-low;\\n  color: $primary;\\n  position: relative;\\n\\n  .close {\\n    position: absolute;\\n    top: 8px;\\n    right: 8px;\\n    font-size: $font-up-3;\\n    .d-icon {\\n      color: $primary-low-mid;\\n    }\\n  }\\n\\n  &.alert-success {\\n    background-color: $success-low;\\n    color: $primary;\\n  }\\n  &.alert-error {\\n    background-color: $danger-low;\\n    color: $primary;\\n  }\\n  &.alert-info {\\n    background-color: $tertiary-low;\\n    color: $primary;\\n    &.clickable {\\n      color: $tertiary;\\n    }\\n  }\\n}\\n",\n\t\t"// We should try to reuse the user page HTML for groups when possible\\n// To style group content differently, use the existing classes with a .group parent class.\\n// For example: .group .user-secondary-navigation\\n\\n.group-details-container {\\n  background: $primary-very-low;\\n  padding: 20px;\\n  margin-bottom: 15px;\\n  position: relative;\\n}\\n\\n.group-outlet {\\n  position: relative;\\n}\\n\\n.group-members-actions {\\n  display: flex;\\n  flex-wrap: wrap;\\n  width: 100%;\\n\\n  input + .group-members-manage {\\n    margin-left: auto;\\n  }\\n\\n  .group-username-filter {\\n    margin: 0 0 5px 0;\\n    vertical-align: middle;\\n  }\\n}\\n\\n.group-info {\\n  width: 100%;\\n\\n  .group-info-name {\\n    font-size: $font-up-3;\\n    font-weight: bold;\\n    color: $primary;\\n  }\\n\\n  .group-info-full-name {\\n    font-size: $font-up-2;\\n    color: dark-light-choose($primary-high, $secondary-low);\\n  }\\n\\n  span {\\n    display: inline-block;\\n    vertical-align: middle;\\n  }\\n\\n  $size: 50px;\\n  $icon-size: $size / 1.8;\\n\\n  .avatar-flair-image {\\n    width: $size;\\n  }\\n\\n  .avatar-flair {\\n    background-size: $size;\\n    height: $size;\\n    width: $size;\\n    border-radius: 50%;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background-repeat: no-repeat;\\n\\n    .d-icon {\\n      height: $icon-size;\\n      width: $icon-size;\\n    }\\n  }\\n}\\n\\n.group-manage-logs-filter {\\n  margin-right: 10px;\\n\\n  &:hover {\\n    background-color: $danger;\\n  }\\n}\\n\\ntable.group-manage-logs {\\n  width: 100%;\\n\\n  td {\\n    padding: 0.5em;\\n  }\\n\\n  .group-manage-logs-expand-details {\\n    cursor: pointer;\\n\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\ntable.group-members {\\n  width: 100%;\\n  table-layout: fixed;\\n\\n  th:first-child {\\n    width: 30%;\\n    text-align: left;\\n  }\\n\\n  th:last-child {\\n    width: 5%;\\n  }\\n\\n  th.group-members-actions {\\n    width: 5%;\\n  }\\n\\n  th {\\n    text-align: center;\\n  }\\n\\n  tr {\\n    .user-info {\\n      display: block;\\n      .avatar-flair {\\n        color: $primary;\\n      }\\n    }\\n\\n    td:first-child {\\n      text-align: left;\\n    }\\n\\n    td {\\n      text-align: center;\\n      color: $primary-medium;\\n      padding: 0.8em 0;\\n    }\\n  }\\n}\\n\\n.group-owner-label {\\n  color: $primary;\\n}\\n\\n.form-vertical {\\n  .group-flair-inputs {\\n    display: inline-block;\\n  }\\n\\n  .avatar-flair-preview {\\n    position: relative;\\n    width: 45px;\\n\\n    .avatar-wrapper {\\n      background-color: #f4f4f4;\\n    }\\n  }\\n}\\n\\n.group-form-save {\\n  margin-right: 20px;\\n}\\n\\n.group-add-members {\\n  .group-add-members-make-owner {\\n    label {\\n      display: inline;\\n      vertical-align: middle;\\n    }\\n\\n    input[type=\\"checkbox\\"] {\\n      vertical-align: middle;\\n    }\\n  }\\n}\\n",\n\t\t"img.emoji {\\n  width: 20px;\\n  height: 20px;\\n  vertical-align: middle;\\n}\\n\\nsmall img.emoji,\\nsub img.emoji,\\nsup img.emoji {\\n  height: 1.1em;\\n  width: 1.1em;\\n}\\n\\n.emoji-picker {\\n  background-clip: padding-box;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  position: fixed;\\n  display: none;\\n  flex-direction: row;\\n  height: 320px;\\n  color: $primary;\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n}\\n\\n.emoji-picker .categories-column {\\n  display: flex;\\n  flex-direction: column;\\n  flex: 1 0 0px;\\n  align-items: center;\\n  justify-content: space-between;\\n  border-right: 1px solid $primary-low;\\n  min-width: 36px;\\n}\\n\\n.emoji-picker .category-icon {\\n  display: block;\\n  margin: 4px auto;\\n  -webkit-filter: grayscale(100%);\\n  filter: grayscale(100%);\\n\\n  button.emoji {\\n    margin: 0;\\n    padding: 0;\\n  }\\n}\\n\\n.emoji-picker .category-icon.current,\\n.emoji-picker .category-icon:hover {\\n  -webkit-filter: grayscale(0%);\\n  filter: grayscale(0%);\\n}\\n\\n.emoji-picker .main-column {\\n  display: flex;\\n  flex-direction: column;\\n  flex: 20;\\n}\\n\\n.emoji-picker .list {\\n  overflow-y: scroll;\\n  -webkit-overflow-scrolling: touch;\\n  padding: 0;\\n  flex: 1 0 0px;\\n  flex-direction: column;\\n}\\n\\n.emoji-picker .section-header {\\n  padding: 8px;\\n  margin-top: 2px;\\n  margin-bottom: 0px;\\n  padding-bottom: 0px;\\n  justify-content: space-between;\\n  display: flex;\\n  align-items: center;\\n  font-weight: bold;\\n}\\n\\n.emoji-picker .section-header .title {\\n  color: $primary;\\n}\\n\\n.emoji-picker .section-header .clear-recent .fa {\\n  margin: 0;\\n  padding: 0;\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n\\n  &:hover {\\n    color: $primary;\\n  }\\n}\\n\\n.emoji-picker .section-group {\\n  flex-wrap: wrap;\\n  display: flex;\\n  align-items: center;\\n  justify-content: flex-start;\\n  padding: 4px;\\n}\\n\\n.emoji-picker .footer {\\n  align-items: center;\\n  display: flex;\\n  justify-content: space-between;\\n  border-top: 1px solid $primary-low;\\n}\\n\\n.emoji-picker .info {\\n  @include ellipsis;\\n  padding-left: 8px;\\n  font-weight: 700;\\n  max-width: 125px;\\n}\\n\\n.emoji-picker .diversity-picker {\\n  display: flex;\\n  justify-content: flex-end;\\n  padding: 8px;\\n}\\n\\n.emoji-picker .diversity-picker .diversity-scale {\\n  width: 20px;\\n  height: 20px;\\n  margin-left: 5px;\\n  border: 0;\\n  border-radius: 3px;\\n  display: flex;\\n  align-items: center;\\n  justify-content: center;\\n  cursor: pointer;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.default {\\n  background: #ffcc4d;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.light {\\n  background: #f7dece;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium-light {\\n  background: #f3d2a2;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium {\\n  background: #d5ab88;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium-dark {\\n  background: #af7e57;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.dark {\\n  background: #7c533e;\\n}\\n\\n.emoji-picker .diversity-picker .diversity-scale.selected .d-icon {\\n  display: block;\\n}\\n\\n.emoji-picker .diversity-picker .d-icon {\\n  display: none;\\n}\\n\\n.emoji-picker .diversity-picker .d-icon {\\n  color: #fff;\\n  font-size: $font-0;\\n  filter: drop-shadow(0.5px 1.5px 0 rgba(0, 0, 0, 0.3));\\n}\\n\\n.emoji-picker button.emoji {\\n  background: transparent;\\n  background-position: center;\\n  background-repeat: no-repeat;\\n  border-radius: 0;\\n  background-size: 20px 20px;\\n  -moz-box-sizing: content-box;\\n  box-sizing: content-box;\\n  height: 20px;\\n  border: 0;\\n  vertical-align: top;\\n  width: 20px;\\n  outline: none;\\n  padding: 3px;\\n  margin: 2px;\\n}\\n\\n.emoji-picker .section-group button.emoji:hover,\\n.emoji-picker .results button.emoji:hover {\\n  display: inline-block;\\n  vertical-align: top;\\n  border-radius: 2px;\\n  background-color: lighten($tertiary, 40%);\\n}\\n\\n.emoji-picker-modal.fadeIn {\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n  position: fixed;\\n  left: 0;\\n  top: 0;\\n  width: 100%;\\n  height: 100%;\\n  opacity: 0.8;\\n  background-color: black;\\n}\\n\\n.emoji-picker .filter {\\n  background-color: none;\\n  border-bottom: 1px solid $primary-low;\\n  padding: 5px;\\n  display: flex;\\n  position: relative;\\n  align-items: center;\\n\\n  input[type=\\"text\\"] {\\n    width: auto !important;\\n  }\\n}\\n\\n.emoji-picker .filter .d-icon-search {\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n  font-size: $font-up-1;\\n  margin-left: 5px;\\n  margin-right: 5px;\\n}\\n\\n.emoji-picker .filter input {\\n  height: 24px;\\n  margin: 0;\\n  flex: 1 0 0px;\\n  border: none;\\n  box-shadow: none;\\n  padding-right: 24px;\\n  outline: none;\\n  color: $primary;\\n  background: $secondary;\\n\\n  &:focus {\\n    border: none;\\n    box-shadow: none;\\n  }\\n}\\n\\n.emoji-picker .filter input::-ms-clear {\\n  display: none;\\n}\\n\\n.emoji-picker .results {\\n  display: none;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  justify-content: flex-start;\\n  padding: 4px;\\n  flex: 1 0 0px;\\n}\\n\\n.emoji-picker .filter .clear-filter {\\n  position: absolute;\\n  right: 5px;\\n  top: 12px;\\n  border: 0;\\n  background: none;\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n  outline: none;\\n  display: none;\\n\\n  &:hover {\\n    color: $primary;\\n  }\\n}\\n",\n\t\t".topic-list.shared-drafts {\\n  margin-bottom: 1.5em;\\n}\\n\\n.show-more {\\n  width: 100%;\\n  z-index: z(\\"base\\");\\n  &.has-topics {\\n    position: absolute;\\n    top: 7px;\\n  }\\n}\\n\\n.list-controls {\\n  clear: both;\\n  margin-bottom: 5px;\\n  .combo-box .combo-box-header {\\n    background: $secondary;\\n    color: $primary;\\n    border: 1px solid $primary-medium;\\n    font-size: $font-0;\\n    transition: none;\\n    height: 10px; // IE11 needs any height here for vertical centering, overriden elsewhere by min-height\\n  }\\n  .select-kit {\\n    align-self: center;\\n    .select-kit-collection {\\n      font-size: $font-down-1;\\n      max-height: 40vh;\\n      .texts,\\n      .icons {\\n        font-size: $font-up-1;\\n      }\\n    }\\n    &.categories-admin-dropdown,\\n    &.tags-admin-dropdown,\\n    &.category-notifications-button,\\n    &.tag-notifications-button {\\n      float: right;\\n      button {\\n        display: inline-block;\\n      }\\n    }\\n  }\\n  .category-heading {\\n    max-width: 100%;\\n  }\\n}\\n\\n.topic-list-item.visited,\\n.latest-topic-list-item.visited,\\n.category-topic-link.visited {\\n  a.title:not(.badge-notification) {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.topic-list-main-link {\\n  font-size: $font-up-1;\\n  a.title {\\n    padding: 15px 0;\\n    word-break: break-word;\\n    color: $primary;\\n  }\\n\\n  .anon & {\\n    a.title:visited:not(.badge-notification) {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  a.title.visited:not(.badge-notification) {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.topic-list {\\n  width: 100%;\\n  border-collapse: collapse;\\n\\n  > tbody > tr {\\n    &.has-excerpt .star {\\n      vertical-align: top;\\n      margin-top: 2px;\\n    }\\n\\n    &.last-visit {\\n      border-bottom: none;\\n    }\\n\\n    .topic-list-separator {\\n      text-align: center;\\n    }\\n  }\\n\\n  .topic-list-item-separator {\\n    border: none;\\n\\n    td {\\n      border-bottom: 1px solid $danger-medium;\\n      line-height: 0.1em;\\n      padding: 0;\\n      text-align: center;\\n    }\\n\\n    td span {\\n      background-color: $secondary;\\n      color: $danger-medium;\\n      padding: 0 8px;\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  th,\\n  td {\\n    line-height: $line-height-large;\\n    text-align: left;\\n    vertical-align: middle;\\n  }\\n  th {\\n    button .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n  td {\\n    color: $primary-medium;\\n    font-size: $font-0;\\n  }\\n\\n  .main-link {\\n    @extend .topic-list-main-link;\\n\\n    .raw-topic-link > * {\\n      pointer-events: none;\\n    }\\n  }\\n\\n  .unread-indicator {\\n    &.read {\\n      display: none;\\n    }\\n    .d-icon {\\n      vertical-align: middle;\\n      font-size: $font-down-5;\\n    }\\n  }\\n\\n  .link-bottom-line {\\n    font-size: $font-down-1;\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n    .discourse-tags {\\n      flex-wrap: wrap;\\n      // IE11 is being very stubborn but this is only protection for topics with\\n      // a very excessive number of extra long tags - edge case.\\n      -ms-flex: 1 0 0px;\\n    }\\n    a.badge-wrapper.box,\\n    a.discourse-tag.box {\\n      padding-top: 0;\\n      padding-bottom: 0;\\n    }\\n    .discourse-tag.simple:after,\\n    .discourse-tag.box {\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .topic-featured-link {\\n    padding-left: 5px;\\n  }\\n\\n  .topic-excerpt {\\n    font-size: $font-down-1;\\n    margin-top: 5px;\\n    color: $primary-high;\\n    word-wrap: break-word;\\n    line-height: $line-height-large;\\n    padding-right: 20px;\\n  }\\n  .topic-statuses:empty {\\n    display: none;\\n  }\\n\\n  .num {\\n    text-align: center;\\n    a:not(.badge-posts) {\\n      color: inherit;\\n    }\\n    a.badge-posts {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .num.posts {\\n    a {\\n      padding: 15px 5px;\\n    }\\n  }\\n\\n  .num.activity {\\n    a {\\n      padding: 15px 5px;\\n    }\\n  }\\n}\\n\\n.heatmap-high,\\n.heatmap-high a {\\n  color: #fe7a15 !important;\\n}\\n.heatmap-med,\\n.heatmap-med a {\\n  color: #cf7721 !important;\\n}\\n.heatmap-low,\\n.heatmap-low a {\\n  color: #9b764f !important;\\n}\\n\\n.loading .topic-list {\\n  border: 0;\\n  box-shadow: none;\\n  tr {\\n    background-color: transparent;\\n  }\\n}\\n\\n#list-area {\\n  margin-bottom: 100px;\\n  .empty-topic-list {\\n    padding: 10px;\\n  }\\n  .unseen {\\n    background-color: transparent;\\n    padding: 0;\\n    border: 0;\\n    color: $danger-medium;\\n    font-size: $font-0;\\n    cursor: default;\\n  }\\n}\\n\\n.topic-list {\\n  .alert {\\n    margin-bottom: 0;\\n    font-size: $font-0;\\n  }\\n  .spinner {\\n    margin-top: 40px;\\n  }\\n}\\n\\nol.category-breadcrumb.hidden {\\n  display: none;\\n}\\n\\nol.category-breadcrumb {\\n  display: block;\\n  float: left;\\n  list-style: none;\\n  margin: 0 10px 10px 0;\\n  padding: 0;\\n\\n  li {\\n    float: left;\\n    margin-right: 5px;\\n  }\\n\\n  .bread-crumbs-right-outlet {\\n    float: left;\\n  }\\n}\\n\\n.d-icon-thumbtack.unpinned {\\n  @include fa-rotate(180deg, 1);\\n}\\n\\n.top-title-buttons {\\n  display: inline;\\n\\n  button {\\n    margin-right: 0.5em;\\n  }\\n}\\n\\ndiv.education {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  .badge-notification.new-posts {\\n    vertical-align: text-bottom;\\n  }\\n}\\n\\n.list-cell {\\n  padding: 12px 5px;\\n  color: dark-light-choose($primary-medium, $secondary-high);\\n}\\n\\n.table-heading {\\n  @extend .list-cell;\\n  border-bottom: 3px solid $primary-low;\\n}\\n\\n// This is not what we want:\\n//\\n//     This is an overly-long topic title that would break just right\\n//     *\\n//\\n// Instead, we want the line to break like this:\\n//\\n//     This is an overly-long topic title that would break just\\n//     right *\\n.topic-post-badges {\\n  white-space: nowrap;\\n  align-self: center;\\n  line-height: $line-height-medium;\\n}\\n",\n\t\t"// Common styles for \\"/user\\" section\\n// These styles are also used for \\"/groups\\" — test those pages if making significant changes\\n\\n.user-content-wrapper {\\n  // Grid layout\\n  width: 100%;\\n  display: grid;\\n  grid-template-columns: 1fr 5fr;\\n  grid-template-rows: auto auto 1fr auto;\\n  grid-row-gap: s(5);\\n  .user-primary-navigation {\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n    grid-row-start: 1;\\n    grid-row-end: 2;\\n  }\\n  .user-secondary-navigation {\\n    grid-column-start: 1;\\n    grid-column-end: 2;\\n    grid-row-start: 2;\\n    grid-row-end: 3;\\n  }\\n  .solo-preference,\\n  .user-content,\\n  .spinner {\\n    grid-row-start: 2;\\n    grid-row-end: 4;\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n  }\\n  .user-content {\\n    min-width: 100%;\\n  }\\n  .user-additional-controls + .user-content,\\n  .user-secondary-navigation + .user-content {\\n    grid-column-start: 2;\\n    grid-column-end: 3;\\n  }\\n  .user-additional-controls {\\n    grid-row-start: 3;\\n    align-self: start;\\n    justify-self: start;\\n  }\\n}\\n\\n.user-content-wrapper {\\n  // IE11 Support\\n  display: -ms-grid;\\n  -ms-grid-columns: 1fr 5fr;\\n  -ms-grid-rows: auto auto 1fr auto;\\n  .user-primary-navigation {\\n    -ms-grid-row: 1;\\n    -ms-grid-column: 1;\\n    -ms-grid-column-span: 2;\\n  }\\n  .user-secondary-navigation {\\n    -ms-grid-row: 2;\\n    -ms-grid-column: 1;\\n  }\\n  .solo-preference,\\n  .user-content,\\n  .spinner {\\n    -ms-grid-row: 2;\\n    -ms-grid-column: 2;\\n    -ms-grid-column-span: 2;\\n  }\\n  .user-secondary-navigation + .user-content {\\n    -ms-grid-column: 2;\\n    -ms-grid-column-span: 1;\\n  }\\n  .user-additional-controls {\\n    -ms-grid-row: 3;\\n    -ms-grid-column-align: start;\\n    -ms-grid-row-align: start;\\n  }\\n}\\n\\n.user-content {\\n  .list-actions {\\n    display: flex;\\n    margin-bottom: s(3);\\n\\n    .btn {\\n      margin-right: s(3);\\n    }\\n  }\\n\\n  .paginated-topics-list {\\n    position: relative;\\n  }\\n\\n  .show-mores {\\n    width: 100%;\\n  }\\n\\n  .d-icon-heart {\\n    color: $love;\\n  }\\n}\\n\\n.user-main {\\n  .about {\\n    width: 100%;\\n    margin-bottom: 15px;\\n\\n    &.has-background {\\n      .user-profile-image {\\n        background-size: cover;\\n        background-position: center center;\\n        background-repeat: no-repeat;\\n      }\\n      .staff-counters {\\n        margin-bottom: 0;\\n      }\\n    }\\n\\n    .secondary {\\n      display: inline-block;\\n      width: 100%;\\n      border-top: 1px solid $primary-low;\\n\\n      .btn {\\n        padding: 4px 12px;\\n      }\\n\\n      dl {\\n        margin: 0;\\n        padding: 5px 10px;\\n        div {\\n          display: inline-flex;\\n          align-items: baseline;\\n          margin-right: 15px;\\n          margin: 4px 0;\\n        }\\n      }\\n\\n      dt,\\n      dd {\\n        display: inline-flex;\\n        align-items: center;\\n      }\\n\\n      dd {\\n        padding: 0;\\n        margin: 0 15px 0 0;\\n        color: $primary;\\n\\n        &.groups {\\n          span:not(:last-of-type) {\\n            margin-right: 0.25em;\\n          }\\n          span:after {\\n            content: \\",\\";\\n          }\\n          span:last-of-type:after {\\n            content: \\"\\";\\n          }\\n        }\\n      }\\n\\n      dt {\\n        color: $secondary-medium;\\n        margin-right: 5px;\\n        display: inline-block;\\n      }\\n    }\\n\\n    .details {\\n      background: rgba($secondary, 0.8);\\n      border-bottom: 1px solid $primary-low;\\n\\n      h1 {\\n        font-size: $font-up-5;\\n        font-weight: normal;\\n        .d-icon {\\n          font-size: 0.8em;\\n        }\\n      }\\n\\n      h2 {\\n        font-weight: normal;\\n        max-width: 100%;\\n        @include ellipsis;\\n      }\\n\\n      h3 {\\n        font-weight: normal;\\n        margin-bottom: 0.5em;\\n        .d-icon:not(:first-of-type) {\\n          margin-left: 10px;\\n        }\\n      }\\n\\n      .groups {\\n        margin-left: 10px;\\n        display: inline;\\n      }\\n\\n      img.avatar {\\n        float: left;\\n      }\\n\\n      .suspended {\\n        color: $danger;\\n      }\\n\\n      .primary {\\n        width: 100%;\\n        position: relative;\\n\\n        h1 {\\n          font-weight: bold;\\n        }\\n\\n        .bio {\\n          max-height: 300px;\\n          overflow: auto;\\n\\n          a[href] {\\n            text-decoration: underline;\\n          }\\n\\n          img {\\n            max-width: 100%;\\n          }\\n        }\\n      }\\n\\n      .user-profile-avatar {\\n        position: relative;\\n        float: left;\\n        .avatar-flair {\\n          bottom: 8px;\\n          right: 16px;\\n        }\\n      }\\n    }\\n\\n    .controls {\\n      ul {\\n        list-style-type: none;\\n      }\\n\\n      .btn {\\n        margin-bottom: 10px;\\n        line-height: $line-height-medium;\\n      }\\n    }\\n\\n    &.collapsed-info {\\n      .details {\\n        margin-top: 0;\\n        background: rgba($secondary, 0.8);\\n\\n        .bio {\\n          display: none;\\n        }\\n\\n        .primary {\\n          width: 100%;\\n\\n          .avatar {\\n            margin-right: 10px;\\n            width: 45px;\\n            height: 45px;\\n          }\\n\\n          h1 {\\n            font-size: $font-up-3;\\n          }\\n\\n          h2 {\\n            font-size: $font-up-1;\\n          }\\n          h3,\\n          h3.location-and-website {\\n            display: none;\\n          }\\n        }\\n      }\\n\\n      .user-profile-avatar {\\n        .avatar-flair {\\n          bottom: 8px;\\n          right: 2px;\\n          .d-icon {\\n            font-size: $font-0;\\n          }\\n        }\\n      }\\n    }\\n  }\\n\\n  .staff-counters {\\n    background: $primary;\\n    color: $secondary;\\n    display: flex;\\n    padding: 10px;\\n    margin-bottom: s(4);\\n    > div,\\n    > div a {\\n      display: flex;\\n      align-items: baseline;\\n      flex: 0 1 auto;\\n      margin: 0 10px 0 0;\\n      color: $secondary;\\n\\n      span {\\n        padding: 0 7px 1px;\\n        border-radius: 10px;\\n        margin-right: 5px;\\n      }\\n    }\\n\\n    .active {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .helpful-flags {\\n    background-color: $success;\\n  }\\n\\n  .flagged-posts {\\n    background-color: #e49735;\\n  }\\n\\n  .warnings-received {\\n    background-color: $danger-medium;\\n  }\\n\\n  .deleted-posts {\\n    background-color: $danger-medium;\\n  }\\n\\n  .suspensions {\\n    background-color: $danger;\\n  }\\n\\n  .user-field {\\n    margin-bottom: 10px;\\n\\n    .controls {\\n      label {\\n        width: auto;\\n        text-align: left;\\n        font-weight: normal;\\n      }\\n\\n      .instructions {\\n        color: $primary-medium;\\n        margin-top: 5px;\\n        margin-bottom: 10px;\\n        font-size: $font-down-1;\\n      }\\n    }\\n  }\\n  .user-content {\\n    .admin-controls nav {\\n      margin: 0;\\n      .nav-pills {\\n        overflow-x: auto;\\n      }\\n    }\\n  }\\n}\\n\\n.user-field {\\n  .required {\\n    vertical-align: top;\\n    color: $danger;\\n    font-weight: bold;\\n    margin-left: 0.25em;\\n  }\\n}\\n\\n.public-user-fields {\\n  margin-top: 8px;\\n  margin-bottom: 8px;\\n\\n  .user-field-name {\\n    font-weight: bold;\\n  }\\n\\n  .collapsed-info & {\\n    display: none;\\n  }\\n}\\n\\n.avatar-selector {\\n  .avatar-choice {\\n    display: grid;\\n    grid-template-columns: 2em 1fr auto;\\n    grid-template-rows: auto auto;\\n    align-items: center;\\n    &:not(:last-of-type) {\\n      margin-bottom: 0.75em;\\n    }\\n    span {\\n      word-break: break-word; // Prevents long emails from breaking the modal width\\n    }\\n    input[type=\\"radio\\"] {\\n      margin-top: 0;\\n    }\\n    button {\\n      margin-left: auto;\\n    }\\n  }\\n  $label-max-width: 300px;\\n  label.radio {\\n    display: flex;\\n    align-items: center;\\n    max-width: $label-max-width;\\n    margin: 0 0.5em 0 0;\\n    padding: 0;\\n    .avatar {\\n      flex: 0 0 auto;\\n      margin: 0 0.75em 0 0;\\n    }\\n  }\\n  .error {\\n    color: $danger;\\n    margin: 0;\\n    max-width: calc(#{$label-max-width} - 20px);\\n    grid-column-start: 2;\\n    grid-column-end: 3;\\n  }\\n\\n  // IE11 Support\\n  .avatar-choice {\\n    display: -ms-grid;\\n    -ms-grid-columns: 2em 1fr auto;\\n    -ms-grid-rows: auto auto;\\n    input[type=\\"radio\\"] {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 1;\\n    }\\n    label.radio {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 2;\\n    }\\n    span.avatar-uploader {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 3;\\n    }\\n    .error {\\n      -ms-grid-row: 2;\\n      -ms-grid-column-span: 3;\\n    }\\n  }\\n}\\n\\n.top-section {\\n  @include clearfix();\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n  }\\n}\\n\\n.top-section,\\n.top-sub-section {\\n  margin-bottom: 20px;\\n  &.badges-section {\\n    display: flex;\\n    flex-wrap: wrap;\\n  }\\n}\\n\\n.stats-title {\\n  text-transform: uppercase;\\n  margin-bottom: 10px;\\n  width: 100%;\\n}\\n\\n.stats-section {\\n  ul {\\n    margin: 10px 0;\\n  }\\n\\n  li {\\n    display: inline-block;\\n    padding: 10px 14px 10px 0;\\n    margin: 0 10px 10px 0;\\n\\n    &.linked-stat {\\n      // This makes the entire \\"box\\" (the li) clickable instead of a narrow area.\\n      padding: 0;\\n      a {\\n        padding: 10px 14px 10px 0;\\n        width: 100%;\\n        height: 100%;\\n        display: block;\\n        color: $primary;\\n      }\\n    }\\n  }\\n\\n  .value {\\n    font-weight: bold;\\n    font-size: $font-up-2;\\n  }\\n\\n  .label {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.top-sub-section {\\n  width: 50%;\\n\\n  ul {\\n    max-width: 95%;\\n  }\\n\\n  li {\\n    border-left: $primary-low solid 2px;\\n    padding: 5px 8px;\\n    margin: 10px 0;\\n  }\\n\\n  .topic-info {\\n    color: $primary-medium;\\n  }\\n\\n  @media all and (max-width: 600px) {\\n    float: none;\\n    width: 100%;\\n  }\\n}\\n\\n.replies-section,\\n.topics-section,\\n.links-section {\\n  li {\\n    word-wrap: break-word;\\n  }\\n}\\n\\n.links-section {\\n  .domain {\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n  }\\n}\\n\\n.top-categories-section {\\n  table {\\n    max-width: 95%;\\n    tr {\\n      border: none;\\n    }\\n    td,\\n    th {\\n      padding: 0.5em;\\n      &.topic-count,\\n      &.reply-count {\\n        text-align: center;\\n      }\\n    }\\n  }\\n}\\n\\n.summary-user-list {\\n  li {\\n    height: 45px;\\n  }\\n}\\n\\n.groups {\\n  .group-link {\\n    color: $tertiary;\\n  }\\n}\\n\\n.user-preferences {\\n  textarea {\\n    height: 100px;\\n  }\\n\\n  .tracking-controls {\\n    label {\\n      align-items: center;\\n      display: inline-block;\\n      .d-icon {\\n        margin-right: 3px;\\n      }\\n    }\\n    .select-kit.multi-select {\\n      @include breakpoint(mobile-extra-large) {\\n        width: 100%;\\n      }\\n    }\\n    .show-tracking {\\n      float: right;\\n    }\\n  }\\n\\n  .static {\\n    color: $primary;\\n    display: inline-block;\\n  }\\n\\n  .instructions {\\n    color: $primary-medium;\\n    margin-bottom: 10px;\\n    font-size: $font-down-1;\\n    line-height: $line-height-large;\\n\\n    a[href] {\\n      color: $tertiary;\\n    }\\n  }\\n\\n  .avatar {\\n    margin-left: 3px;\\n  }\\n\\n  .warning {\\n    background-color: $danger-medium;\\n    padding: 5px 8px;\\n    color: $secondary;\\n    width: 520px;\\n  }\\n\\n  .warning-wrap {\\n    height: 30px;\\n    margin-bottom: 10px;\\n  }\\n\\n  .tracking-controls {\\n    margin-top: 24px;\\n  }\\n\\n  &.second-factor-backup-preferences {\\n    padding-left: 0;\\n\\n    .second-factor-token-input {\\n      margin-right: 10px;\\n    }\\n\\n    .form-horizontal .instructions {\\n      margin-left: 0;\\n    }\\n\\n    .backup-codes {\\n      margin: 2em 0;\\n\\n      .wrapper {\\n        display: inline-block;\\n        position: relative;\\n        padding: 10px;\\n        border-radius: 3px;\\n        border: 1px solid $primary-low;\\n      }\\n\\n      .backup-codes-area {\\n        resize: none;\\n        padding: 0;\\n        height: auto;\\n        text-align: center;\\n        width: 250px;\\n        background: white;\\n        border: 0;\\n        cursor: auto;\\n        overflow: hidden;\\n        outline: none;\\n        font-family: monospace;\\n\\n        &:focus {\\n          box-shadow: none;\\n          border-color: $primary-low;\\n        }\\n      }\\n\\n      .backup-codes-copy-btn,\\n      .backup-codes-download-btn {\\n        right: 5px;\\n        position: absolute;\\n      }\\n\\n      .backup-codes-copy-btn {\\n        top: 5px;\\n      }\\n\\n      .backup-codes-download-btn {\\n        top: 40px;\\n      }\\n    }\\n  }\\n\\n  .pref-associated-accounts table {\\n    td {\\n      padding: 8px;\\n    }\\n  }\\n}\\n\\n.paginated-topics-list {\\n  .user-content {\\n    width: 100%;\\n    margin-top: 0;\\n  }\\n}\\n\\n.large-notification {\\n  display: flex;\\n  align-items: center;\\n\\n  a {\\n    display: flex;\\n    align-items: center;\\n\\n    .d-icon {\\n      margin-right: 0.5em;\\n    }\\n\\n    span:first-child {\\n      color: $primary;\\n    }\\n\\n    // Can remove this once other languages have removed html from i18n values\\n    div {\\n      .fa {\\n        display: none;\\n      }\\n      p {\\n        margin: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.qr-code-container {\\n  display: flex;\\n  .qr-code {\\n    padding: 5px 5px 0 5px;\\n    background-color: white;\\n  }\\n}\\n\\n.second-factor {\\n  &.instructions {\\n    color: $primary-medium;\\n    margin-top: 5px;\\n    margin-bottom: 10px;\\n    font-size: $font-down-1;\\n  }\\n  .second-factor-item {\\n    margin-top: 0.75em;\\n  }\\n  .btn.edit {\\n    min-height: auto;\\n  }\\n}\\n\\n.primary-textual .staged,\\n#user-card .staged {\\n  font-style: italic;\\n}\\n\\n.selectable-avatars {\\n  max-height: 350px;\\n  margin-bottom: 1em;\\n  text-align: justify;\\n  .selectable-avatar {\\n    margin: 5px;\\n    display: inline-block;\\n    .avatar {\\n      cursor: pointer;\\n      width: 60px;\\n      height: 60px;\\n      &:hover {\\n        box-shadow: 0 0 10px $primary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".topic-title-outlet.choose-tags {\\n  margin-left: 25px;\\n  margin-top: 3px;\\n}\\n\\n.tag-list {\\n  margin-top: 2em;\\n  padding-bottom: 1em;\\n  border-bottom: 1px solid $primary-low;\\n}\\n\\n#list-area .tag-list h3 {\\n  margin-bottom: 20px;\\n}\\n\\n.tag-list .tag-box {\\n  display: inline-block;\\n  width: 300px;\\n  margin-bottom: 1em;\\n  float: left;\\n  vertical-align: middle;\\n\\n  .discourse-tag {\\n    font-size: $font-0;\\n  }\\n\\n  .tag-count {\\n    font-size: $font-down-1;\\n    vertical-align: middle;\\n    line-height: $line-height-small;\\n  }\\n}\\n\\n.tag-show-heading {\\n  display: inline-flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  white-space: nowrap;\\n  overflow: hidden;\\n  text-overflow: hidden;\\n  @include breakpoint(mobile-large) {\\n    width: 100%;\\n  }\\n  .d-icon {\\n    margin: 0 0.25em;\\n  }\\n}\\n\\n.topic-category {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n\\n  .topic-header-extra {\\n    display: inline-flex;\\n    align-items: center;\\n  }\\n\\n  .badge-wrapper {\\n    margin-top: 0;\\n  }\\n}\\n\\n$tag-color: $primary-medium;\\n\\n.discourse-tag-count {\\n  font-size: $font-down-1;\\n  color: $tag-color;\\n  line-height: $line-height-small;\\n  vertical-align: middle;\\n}\\n\\n.discourse-tag {\\n  max-width: 14em;\\n  display: inline-block;\\n  @include ellipsis;\\n  vertical-align: middle;\\n}\\n\\n.discourse-tag {\\n  margin: 0;\\n  color: $tag-color;\\n\\n  &:visited,\\n  &:hover {\\n    color: $tag-color;\\n  }\\n\\n  .extra-info-wrapper & {\\n    color: $header-primary_high !important;\\n  }\\n\\n  &.large {\\n    font-size: $font-up-2;\\n  }\\n\\n  &.box {\\n    background-color: $primary-low;\\n    color: $primary-high;\\n    padding: 2px 8px;\\n    .extra-info-wrapper & {\\n      background-color: $header_primary-low;\\n      color: $header_primary-medium;\\n    }\\n  }\\n\\n  &.simple,\\n  &.simple:visited,\\n  &.simple:hover {\\n    margin-right: 0;\\n    color: $primary-high;\\n  }\\n\\n  &.bullet {\\n    margin-right: 0.5em;\\n    display: inline-flex;\\n    align-items: center;\\n    &:before {\\n      background: $primary-low-mid;\\n      margin-right: 5px;\\n      position: relative;\\n      width: 9px;\\n      height: 9px;\\n      display: inline-block;\\n      content: \\"\\";\\n    }\\n    &.large:before {\\n      width: 13px;\\n      height: 13px;\\n    }\\n  }\\n}\\n\\n.discourse-tags,\\n.list-tags {\\n  .discourse-tag.simple:not(:last-child):after {\\n    content: \\", \\";\\n    margin-left: 1px;\\n  }\\n}\\n\\n.d-header .topic-header-extra {\\n  .discourse-tags {\\n    display: inline-block;\\n    font-size: $font-down-1;\\n  }\\n  .discourse-tags + .topic-featured-link {\\n    margin-left: 8px;\\n  }\\n}\\n\\n.fps-result .add-full-page-tags {\\n  display: inline-block;\\n}\\n\\n.topic-list-item .discourse-tags {\\n  display: inline-flex;\\n  font-weight: normal;\\n  font-size: $font-down-1;\\n}\\n\\n.categories-list .topic-list-latest .discourse-tags {\\n  display: inline-block;\\n}\\n\\n.mobile-view .topic-list-item .discourse-tags {\\n  display: inline-flex;\\n  flex-wrap: wrap;\\n  font-size: $font-down-1;\\n  margin-top: 0;\\n  .discourse-tag {\\n    margin-right: 0.2em;\\n  }\\n  .discourse-tag.box {\\n    position: relative;\\n    top: 0;\\n  }\\n}\\n\\nheader .discourse-tag {\\n  color: $tag-color;\\n}\\n\\n.list-tags {\\n  display: inline-block;\\n  margin-right: 3px;\\n  font-size: $font-down-1;\\n}\\n\\n.tag-chooser {\\n  width: 100%;\\n  max-width: 100%;\\n}\\n\\n.title-wrapper .tag-chooser {\\n  width: 500px;\\n}\\n\\n.tag-sort-options {\\n  margin-bottom: 20px;\\n  a {\\n    text-decoration: underline;\\n  }\\n  span.active a {\\n    font-weight: bold;\\n  }\\n}\\n\\n.autocomplete {\\n  .d-icon-tag {\\n    color: dark-light-choose($primary, $primary-low-mid);\\n    padding-right: 5px;\\n  }\\n\\n  a {\\n    color: $tag-color;\\n  }\\n}\\n\\n.tags-admin-menu {\\n  margin-top: 20px;\\n  ul {\\n    width: 320px;\\n  }\\n}\\n\\n.tag-groups-container {\\n  margin-top: 20px;\\n  .content-list {\\n    width: 20%;\\n    float: left;\\n    margin: 20px 0;\\n    ul {\\n      margin-bottom: 10px;\\n    }\\n    .btn {\\n      margin-left: 10px;\\n    }\\n  }\\n  .tag-group-content {\\n    width: 75%;\\n    float: right;\\n    section {\\n      margin-bottom: 20px;\\n    }\\n    label {\\n      font-size: $font-0;\\n      display: inline-block;\\n      margin-right: 10px;\\n    }\\n    .btn {\\n      margin-right: 10px;\\n    }\\n    h1 input {\\n      width: 100%;\\n    }\\n  }\\n  .group-tags-list .tag-chooser {\\n    width: 100%;\\n  }\\n  .saving {\\n    margin-left: 20px;\\n  }\\n  .parent-tag-section {\\n    .tag-chooser {\\n      width: 200px;\\n      margin-right: 10px;\\n    }\\n  }\\n}\\n\\n.tag-info {\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n\\n  .delete-tag {\\n    float: right;\\n  }\\n  .synonyms-list,\\n  .add-synonyms,\\n  .tag-associations {\\n    margin-top: 1em;\\n  }\\n  .tag-list {\\n    border: none;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n  .field {\\n    margin-bottom: 5px;\\n  }\\n}\\n",\n\t\t"#reply-control {\\n  position: fixed;\\n  display: flex;\\n  flex-direction: column;\\n  bottom: 0;\\n  height: 0;\\n  right: 0;\\n  left: 0;\\n  margin-left: auto;\\n  margin-right: auto;\\n  max-width: 1475px;\\n  width: 100%;\\n  &.hide-preview {\\n    max-width: 740px;\\n  }\\n  @media screen and (max-width: 1200px) {\\n    min-width: 0;\\n  }\\n  z-index: z(\\"composer\\", \\"content\\");\\n  transition: height 250ms ease, background 250ms ease, transform 250ms ease,\\n    max-width 250ms ease;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"composer\\");\\n\\n  .reply-area {\\n    display: flex;\\n    flex-direction: column;\\n  }\\n\\n  .saving-text,\\n  .draft-text {\\n    display: none;\\n    padding-left: 10px;\\n    .spinner {\\n      margin-left: 5px;\\n      border-color: $secondary;\\n      border-right-color: transparent;\\n    }\\n    .d-icon {\\n      color: $secondary;\\n    }\\n  }\\n\\n  &.open {\\n    height: 300px;\\n    &.edit-title {\\n      height: 400px; // more room when editing the title\\n    }\\n  }\\n\\n  &.closed {\\n    height: 0 !important;\\n  }\\n\\n  &.draft,\\n  &.saving {\\n    height: 40px !important;\\n    align-items: center;\\n    background: $tertiary;\\n    color: $secondary;\\n    flex-direction: row;\\n    width: 100%;\\n    .composer-controls {\\n      margin-left: auto;\\n      display: flex;\\n      padding-right: 5px;\\n      .toggle-toolbar {\\n        display: none;\\n      }\\n      .d-icon {\\n        color: $secondary;\\n      }\\n    }\\n  }\\n\\n  &.draft {\\n    cursor: pointer;\\n    display: flex;\\n    .draft-text {\\n      display: block;\\n    }\\n    .grippie,\\n    .saving-text {\\n      display: none;\\n    }\\n    .toggler {\\n      order: 2;\\n    }\\n  }\\n\\n  &.saving .saving-text {\\n    display: flex;\\n  }\\n\\n  .reply-to {\\n    color: $primary-high;\\n    margin: 5px 0 10px 0;\\n    display: flex;\\n    align-items: center;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n    .reply-details {\\n      max-width: calc(100% - 175px);\\n      flex: 1 1 auto;\\n      display: flex;\\n      align-items: center;\\n      white-space: nowrap;\\n\\n      .d-icon {\\n        opacity: 0.8;\\n      }\\n    }\\n    .composer-action-title {\\n      display: inline-flex;\\n      align-items: center;\\n      width: auto;\\n      max-width: 100%;\\n\\n      .avatar {\\n        width: 20px;\\n      }\\n\\n      .action-title {\\n        @include ellipsis;\\n      }\\n\\n      .topic-link,\\n      .user-link,\\n      .post-link {\\n        margin-right: 5px;\\n      }\\n\\n      .username {\\n        margin-right: 5px;\\n        max-width: 100px;\\n        @include ellipsis;\\n        @media screen and (max-width: 500px) {\\n          display: none;\\n        }\\n      }\\n\\n      .d-icon {\\n        margin-right: 5px;\\n      }\\n\\n      img.avatar {\\n        margin-right: 3px;\\n      }\\n    }\\n    .composer-controls {\\n      display: flex;\\n      margin-left: auto;\\n      button {\\n        padding: 5px 7px;\\n        &.toggler {\\n          order: 2;\\n        }\\n      }\\n    }\\n  }\\n\\n  .whisper,\\n  .display-edit-reason {\\n    font-style: italic;\\n  }\\n\\n  .whisper {\\n    margin-right: 0.25em;\\n  }\\n\\n  .display-edit-reason {\\n    display: inline-flex;\\n    a {\\n      display: inline-flex;\\n    }\\n    .d-icon {\\n      padding: 0.3em 0.5em;\\n      color: $tertiary;\\n    }\\n  }\\n\\n  #edit-reason {\\n    margin: 0 4px;\\n  }\\n\\n  .user-selector,\\n  .title-and-category {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 100%;\\n    align-items: center;\\n    margin-bottom: 5px;\\n    position: relative;\\n    &.with-preview {\\n      width: 50%;\\n    }\\n  }\\n\\n  .title-input {\\n    position: relative;\\n    display: flex;\\n    flex: 1 1 50%;\\n\\n    input {\\n      flex-grow: 1;\\n    }\\n  }\\n\\n  .with-tags {\\n    .title-input {\\n      flex: 1 1 100%;\\n    }\\n  }\\n\\n  .category-input {\\n    display: flex;\\n    flex: 1 0 35%;\\n    margin: 0 0 5px 10px;\\n    @media screen and (max-width: 955px) {\\n      flex: 1 0 100%;\\n      margin-left: 0;\\n    }\\n    .category-chooser {\\n      display: flex;\\n      flex: 1 0 auto;\\n      width: auto;\\n    }\\n  }\\n\\n  .with-tags {\\n    .category-input {\\n      flex-basis: 25%;\\n      margin-left: 0;\\n      margin-right: 5px;\\n      @media screen and (max-width: 920px) {\\n        flex-basis: 100%;\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n\\n  .add-warning {\\n    margin-left: 0.75em;\\n    margin-bottom: 0;\\n    display: flex;\\n    input {\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  #reply-title {\\n    margin: 0 0 5px 0;\\n    flex-basis: 50%;\\n  }\\n\\n  .mini-tag-chooser {\\n    flex: 1 1 25%;\\n    margin: 0 0 5px 0;\\n    background: $secondary;\\n    z-index: z(\\"composer\\", \\"dropdown\\");\\n    @media all and (max-width: 900px) {\\n      margin: 0;\\n      flex: 1 1 100%;\\n    }\\n  }\\n\\n  .popup-tip {\\n    z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  }\\n\\n  .wmd-controls {\\n    position: relative;\\n    display: flex;\\n    flex-direction: column;\\n    flex-grow: 1;\\n    min-height: 0;\\n  }\\n\\n  .submit-panel {\\n    display: flex;\\n    flex-shrink: 0;\\n    margin: 7px 0 3px 0;\\n  }\\n\\n  .save-or-cancel {\\n    flex-basis: 50%;\\n    display: flex;\\n    align-items: center;\\n    margin-right: auto;\\n    button {\\n      flex: 0 0 auto;\\n    }\\n    .cancel {\\n      margin-left: 1.25em;\\n      line-height: normal;\\n      color: $primary-high;\\n      transition: color 250ms;\\n      &:hover {\\n        color: $danger;\\n      }\\n    }\\n    #draft-status,\\n    #file-uploading {\\n      margin-left: 25px;\\n    }\\n    #file-uploading {\\n      display: flex;\\n      align-items: center;\\n      a {\\n        margin-left: 5px;\\n        color: $primary-high;\\n      }\\n      .spinner {\\n        margin-right: 5px;\\n      }\\n    }\\n    #draft-status .d-icon-user-edit {\\n      color: $danger;\\n      font-size: 20px;\\n      vertical-align: -5.5px;\\n    }\\n  }\\n\\n  #draft-status,\\n  #file-uploading {\\n    color: $primary-high;\\n  }\\n}\\n\\n.cooked > *:first-child {\\n  margin-top: 0;\\n}\\n\\n.autocomplete {\\n  z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  position: absolute;\\n  width: 240px;\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n  ul {\\n    list-style: none;\\n    padding: 0;\\n    margin: 0;\\n\\n    li {\\n      .d-icon-users {\\n        color: lighten($primary, 40%);\\n        padding: 0 2px;\\n      }\\n\\n      border-bottom: 1px solid $primary-low;\\n\\n      a {\\n        padding: 5px;\\n        display: block;\\n        @include ellipsis;\\n\\n        span.username {\\n          color: $primary;\\n        }\\n        span.name {\\n          font-size: $font-down-1;\\n          vertical-align: middle;\\n        }\\n        &.selected {\\n          background-color: $tertiary-low;\\n        }\\n        @include hover {\\n          background-color: $highlight-low;\\n          text-decoration: none;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\ndiv.ac-wrap.disabled {\\n  input {\\n    display: none;\\n  }\\n  .item a {\\n    display: none;\\n  }\\n}\\n\\ndiv.ac-wrap div.item a.remove,\\n.remove-link {\\n  margin-left: 4px;\\n  font-size: $font-down-1;\\n  line-height: $line-height-small;\\n  padding: 1px 3.5px;\\n  border-radius: 12px;\\n  box-sizing: border-box;\\n  border: 1px solid $primary-low;\\n  &:hover {\\n    background-color: $danger-low;\\n    border: 1px solid $danger-medium;\\n    text-decoration: none;\\n    color: $danger;\\n  }\\n}\\n\\ndiv.ac-wrap {\\n  overflow: auto;\\n  max-height: 150px;\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  background-color: $secondary;\\n  border: 1px solid $primary-medium;\\n  min-height: 30px;\\n  box-sizing: border-box;\\n  div.item {\\n    float: left;\\n    padding: 4px 10px;\\n    line-height: $line-height-large;\\n    span {\\n      display: inline-block;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n\\n  .ac-collapsed-button {\\n    float: left;\\n    border-radius: 20px;\\n    position: relative;\\n    top: -2px;\\n    margin-right: 10px;\\n  }\\n\\n  input[type=\\"text\\"] {\\n    float: left;\\n    display: block;\\n    box-shadow: none;\\n    border: 0;\\n    margin: 0;\\n    background: transparent;\\n    min-height: unset;\\n    &.fullwidth-input {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.future-date-input {\\n  .examples {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.md-table {\\n  overflow-y: auto;\\n  margin: 1em 0;\\n  .mobile-view & {\\n    table {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.save-animation {\\n  -webkit-animation: transformer 5s forwards;\\n  animation: transformer 5s forwards;\\n}\\n\\n@-webkit-keyframes transformer {\\n  90% {\\n    -webkit-filter: opacity(1);\\n  }\\n  100% {\\n    -webkit-filter: opacity(0);\\n  }\\n}\\n@keyframes transformer {\\n  90% {\\n    opacity: 1;\\n  }\\n  100% {\\n    opacity: 0;\\n  }\\n}\\n\\nbody.ios-safari-composer-hacks {\\n  #main-outlet,\\n  header,\\n  .grippie,\\n  html:not(.fullscreen-composer) & .toggle-fullscreen {\\n    display: none;\\n  }\\n\\n  #reply-control {\\n    top: 0px;\\n    &.open {\\n      height: calc(var(--composer-vh, 1vh) * 100);\\n    }\\n  }\\n}\\n",\n\t\t"/* Magnific Popup CSS */\\n\\n////////////////////////\\n//\\n// Contents:\\n//\\n// 1. Default Settings\\n// 2. General styles\\n//    - Transluscent overlay\\n//    - Containers, wrappers\\n//    - Cursors\\n//    - Helper classes\\n// 3. Appearance\\n//    - Preloader & text that displays error messages\\n//    - CSS reset for buttons\\n//    - Close icon\\n//    - \\"1 of X\\" counter\\n//    - Navigation (left/right) arrows\\n//    - Iframe content type styles\\n//    - Image content type styles\\n//    - Media query where size of arrows is reduced\\n//    - IE7 support\\n//\\n////////////////////////\\n\\n////////////////////////\\n// 1. Default Settings\\n////////////////////////\\n\\n$overlay-color: #0b0b0b !default;\\n$overlay-opacity: 0.8 !default;\\n$shadow: 0 0 8px rgba(0, 0, 0, 0.6) !default; // shadow on image or iframe\\n$popup-padding-left: 8px !default; // Padding from left and from right side\\n$popup-padding-left-mobile: 6px !default; // Same as above, but is applied when width of window is less than 800px\\n\\n$z-index-base: 1040 !default; // Base z-index of popup\\n$include-arrows: true !default; // include styles for nav arrows\\n$controls-opacity: 0.65 !default;\\n$controls-color: #fff !default;\\n$inner-close-icon-color: #333 !default;\\n$controls-text-color: #ccc !default; // Color of preloader and \\"1 of X\\" indicator\\n$controls-text-color-hover: #fff !default;\\n$IE7support: true !default; // Very basic IE7 support\\n\\n// Iframe-type options\\n$include-iframe-type: true !default;\\n$iframe-padding-top: 40px !default;\\n$iframe-background: #000 !default;\\n$iframe-max-width: 900px !default;\\n$iframe-ratio: 9/16 !default;\\n\\n// Image-type options\\n$include-image-type: true !default;\\n$image-background: linear-gradient(45deg, #111 0%, #333 100%) !default;\\n$image-padding-top: 40px !default;\\n$image-padding-bottom: 40px !default;\\n$include-mobile-layout-for-image: true !default; // Removes paddings from top and bottom\\n\\n// Image caption options\\n$caption-title-color: #f3f3f3 !default;\\n$caption-subtitle-color: #bdbdbd !default;\\n\\n// A11y\\n$use-visuallyhidden: false !default; // Hide content from browsers, but make it available for screen readers\\n\\n////////////////////////\\n// 2. General styles\\n////////////////////////\\n\\n// Transluscent overlay\\n.mfp-bg {\\n  top: 0;\\n  left: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: $z-index-base + 2;\\n  overflow: hidden;\\n  position: fixed;\\n\\n  background: $overlay-color;\\n  opacity: $overlay-opacity;\\n  @if $IE7support {\\n    filter: unquote(\\"alpha(opacity=#{$overlay-opacity*100})\\");\\n  }\\n}\\n\\n// Wrapper for popup\\n.mfp-wrap {\\n  top: 0;\\n  left: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: $z-index-base + 3;\\n  position: fixed;\\n  outline: 0 !important;\\n  -webkit-backface-visibility: hidden; // fixes webkit bug that can cause \\"false\\" scrollbar\\n}\\n\\n// Root container\\n.mfp-container {\\n  text-align: center;\\n  position: absolute;\\n  width: 100%;\\n  height: 100%;\\n  left: 0;\\n  top: 0;\\n  padding: 0 $popup-padding-left;\\n  -webkit-box-sizing: border-box;\\n  -moz-box-sizing: border-box;\\n  box-sizing: border-box;\\n}\\n\\n// Vertical centerer helper\\n.mfp-container {\\n  &:before {\\n    content: \\"\\";\\n    display: inline-block;\\n    height: 100%;\\n    vertical-align: middle;\\n  }\\n}\\n\\n// Remove vertical centering when popup has class `mfp-align-top`\\n.mfp-align-top {\\n  .mfp-container {\\n    &:before {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// Popup content holder\\n.mfp-content {\\n  position: relative;\\n  display: inline-block;\\n  vertical-align: middle;\\n  margin: 0 auto;\\n  text-align: left;\\n  z-index: $z-index-base + 5;\\n}\\n.mfp-inline-holder,\\n.mfp-ajax-holder {\\n  .mfp-content {\\n    width: 100%;\\n    cursor: auto;\\n  }\\n}\\n\\n// Cursors\\n.mfp-ajax-cur {\\n  cursor: progress;\\n}\\n.mfp-zoom-out-cur {\\n  &,\\n  .mfp-image-holder .mfp-close {\\n    cursor: -moz-zoom-out;\\n    cursor: -webkit-zoom-out;\\n    cursor: zoom-out;\\n  }\\n}\\n.mfp-zoom {\\n  cursor: pointer;\\n  cursor: -webkit-zoom-in;\\n  cursor: -moz-zoom-in;\\n  cursor: zoom-in;\\n}\\n.mfp-auto-cursor {\\n  .mfp-content {\\n    cursor: auto;\\n  }\\n}\\n\\n.mfp-close,\\n.mfp-arrow,\\n.mfp-preloader,\\n.mfp-counter {\\n  -webkit-user-select: none;\\n  -moz-user-select: none;\\n  user-select: none;\\n}\\n\\n// Hide the image during the loading\\n.mfp-loading {\\n  &.mfp-figure {\\n    display: none;\\n  }\\n}\\n\\n// Helper class that hides stuff\\n@if $use-visuallyhidden {\\n  // From HTML5 Boilerplate https://github.com/h5bp/html5-boilerplate/blob/v4.2.0/doc/css.md#visuallyhidden\\n  .mfp-hide {\\n    border: 0 !important;\\n    clip: rect(0 0 0 0) !important;\\n    height: 1px !important;\\n    margin: -1px !important;\\n    overflow: hidden !important;\\n    padding: 0 !important;\\n    position: absolute !important;\\n    width: 1px !important;\\n  }\\n} @else {\\n  .mfp-hide {\\n    display: none !important;\\n  }\\n}\\n\\n////////////////////////\\n// 3. Appearance\\n////////////////////////\\n\\n// Preloader and text that displays error messages\\n.mfp-preloader {\\n  color: $controls-text-color;\\n  position: absolute;\\n  top: 50%;\\n  width: auto;\\n  text-align: center;\\n  margin-top: -0.8em;\\n  left: 8px;\\n  right: 8px;\\n  z-index: $z-index-base + 4;\\n  a {\\n    color: $controls-text-color;\\n    &:hover {\\n      color: $controls-text-color-hover;\\n    }\\n  }\\n}\\n\\n// Hide preloader when content successfully loaded\\n.mfp-s-ready {\\n  .mfp-preloader {\\n    display: none;\\n  }\\n}\\n\\n// Hide content when it was not loaded\\n.mfp-s-error {\\n  .mfp-content {\\n    display: none;\\n  }\\n}\\n\\n// CSS-reset for buttons\\nbutton {\\n  &.mfp-close,\\n  &.mfp-arrow {\\n    overflow: visible;\\n    cursor: pointer;\\n    background: transparent;\\n    border: 0;\\n    -webkit-appearance: none;\\n    display: block;\\n    padding: 0;\\n    z-index: $z-index-base + 6;\\n    -webkit-box-shadow: none;\\n    box-shadow: none;\\n  }\\n  &::-moz-focus-inner {\\n    padding: 0;\\n    border: 0;\\n  }\\n}\\n\\n// Close icon\\n.mfp-close {\\n  width: 44px;\\n  height: 44px;\\n  line-height: $line-height-large;\\n  position: absolute;\\n  right: 0;\\n  top: 0;\\n  text-decoration: none;\\n  text-align: center;\\n  opacity: $controls-opacity;\\n  @if $IE7support {\\n    filter: unquote(\\"alpha(opacity=#{$controls-opacity*100})\\");\\n  }\\n  padding: 0 0 18px 10px;\\n  color: $controls-color;\\n  font-style: normal;\\n  font-size: $font-up-5;\\n  font-family: Arial, Baskerville, monospace;\\n\\n  &:hover,\\n  &:focus {\\n    opacity: 1;\\n    outline: 0;\\n    @if $IE7support {\\n      filter: unquote(\\"alpha(opacity=#{1*100})\\");\\n    }\\n  }\\n\\n  &:active {\\n    top: 1px;\\n  }\\n}\\n.mfp-close-btn-in {\\n  .mfp-close {\\n    color: $inner-close-icon-color;\\n  }\\n}\\n.mfp-image-holder,\\n.mfp-iframe-holder {\\n  .mfp-close {\\n    color: $controls-color;\\n    right: -6px;\\n    text-align: right;\\n    padding-right: 6px;\\n    width: 100%;\\n  }\\n}\\n\\n// \\"1 of X\\" counter\\n.mfp-counter {\\n  position: absolute;\\n  top: 0;\\n  right: 0;\\n  color: $controls-text-color;\\n  font-size: $font-down-1;\\n  line-height: $line-height-medium;\\n}\\n\\n// Navigation arrows\\n@if $include-arrows {\\n  .mfp-arrow {\\n    position: absolute;\\n    opacity: $controls-opacity;\\n    @if $IE7support {\\n      filter: unquote(\\"alpha(opacity=#{$controls-opacity*100})\\");\\n    }\\n    top: 50%;\\n    margin: -55px 0 0;\\n    padding: 0;\\n    width: 90px;\\n    height: 110px;\\n    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\\n    &:active {\\n      margin-top: -54px;\\n    }\\n    &:hover,\\n    &:focus {\\n      outline: 0;\\n      opacity: 1;\\n      @if $IE7support {\\n        filter: unquote(\\"alpha(opacity=#{1*100})\\");\\n      }\\n    }\\n    &:before,\\n    &:after,\\n    .mfp-b,\\n    .mfp-a {\\n      content: \\"\\";\\n      display: block;\\n      width: 0;\\n      height: 0;\\n      position: absolute;\\n      left: 0;\\n      top: 0;\\n      margin-top: 35px;\\n      margin-left: 35px;\\n      border: medium inset transparent;\\n    }\\n\\n    &:after,\\n    .mfp-a {\\n      border-top-width: 13px;\\n      border-bottom-width: 13px;\\n      top: 8px;\\n    }\\n\\n    &:before,\\n    .mfp-b {\\n      border-top-width: 21px;\\n      border-bottom-width: 21px;\\n    }\\n  }\\n\\n  .mfp-arrow-left {\\n    left: 0;\\n\\n    &:after,\\n    .mfp-a {\\n      border-right: 17px solid #fff;\\n      margin-left: 31px;\\n    }\\n    &:before,\\n    .mfp-b {\\n      margin-left: 25px;\\n      border-right: 27px solid #3f3f3f;\\n    }\\n  }\\n\\n  .mfp-arrow-right {\\n    right: 0;\\n    &:after,\\n    .mfp-a {\\n      border-left: 17px solid #fff;\\n      margin-left: 39px;\\n    }\\n    &:before,\\n    .mfp-b {\\n      border-left: 27px solid #3f3f3f;\\n    }\\n  }\\n}\\n\\n// Iframe content type\\n@if $include-iframe-type {\\n  .mfp-iframe-holder {\\n    padding-top: $iframe-padding-top;\\n    padding-bottom: $iframe-padding-top;\\n    .mfp-content {\\n      line-height: 0;\\n      width: 100%;\\n      max-width: $iframe-max-width;\\n    }\\n    .mfp-close {\\n      top: -40px;\\n    }\\n  }\\n  .mfp-iframe-scaler {\\n    width: 100%;\\n    height: 0;\\n    overflow: hidden;\\n    padding-top: $iframe-ratio * 100%;\\n    iframe {\\n      position: absolute;\\n      display: block;\\n      top: 0;\\n      left: 0;\\n      width: 100%;\\n      height: 100%;\\n      box-shadow: $shadow;\\n      background: $iframe-background;\\n    }\\n  }\\n}\\n\\n// Image content type\\n@if $include-image-type {\\n  /* Main image in popup */\\n  img {\\n    &.mfp-img {\\n      width: auto;\\n      max-width: 100%;\\n      height: auto;\\n      display: block;\\n      line-height: 0;\\n      -webkit-box-sizing: border-box;\\n      -moz-box-sizing: border-box;\\n      box-sizing: border-box;\\n      padding: $image-padding-top 0 $image-padding-bottom;\\n      margin: 0 auto;\\n    }\\n  }\\n\\n  /* The shadow behind the image */\\n  .mfp-figure {\\n    line-height: 0;\\n    &:after {\\n      content: \\"\\";\\n      position: absolute;\\n      left: 0;\\n      top: $image-padding-top;\\n      bottom: $image-padding-bottom;\\n      display: block;\\n      right: 0;\\n      width: auto;\\n      height: auto;\\n      z-index: -1;\\n      box-shadow: $shadow;\\n      background: $image-background;\\n    }\\n    small {\\n      color: $caption-subtitle-color;\\n      display: block;\\n      font-size: $font-down-1;\\n      line-height: $line-height-medium;\\n    }\\n    figure {\\n      margin: 0;\\n    }\\n  }\\n  .mfp-bottom-bar {\\n    margin-top: -$image-padding-bottom + 4;\\n    position: absolute;\\n    top: 100%;\\n    left: 0;\\n    width: 100%;\\n    cursor: auto;\\n  }\\n  .mfp-title {\\n    text-align: left;\\n    line-height: $line-height-medium;\\n    color: $caption-title-color;\\n    word-wrap: break-word;\\n    padding-right: 36px; // leave some space for counter at right side\\n\\n    // add the download icon\\n    a.image-source-link .d-icon {\\n      padding-right: 5px;\\n    }\\n  }\\n\\n  .mfp-image-holder {\\n    .mfp-content {\\n      max-width: 100%;\\n    }\\n  }\\n\\n  .mfp-gallery {\\n    .mfp-image-holder {\\n      .mfp-figure {\\n        cursor: pointer;\\n      }\\n    }\\n  }\\n\\n  @if $include-mobile-layout-for-image {\\n    @media all and (max-width: 800px) and (orientation: landscape),\\n      screen and (max-height: 300px) {\\n      /**\\n       * Remove all paddings around the image on small screen\\n       */\\n      .mfp-img-mobile {\\n        .mfp-image-holder {\\n          padding-left: 0;\\n          padding-right: 0;\\n        }\\n        img {\\n          &.mfp-img {\\n            padding: 0;\\n          }\\n        }\\n        .mfp-figure {\\n          /* The shadow behind the image */\\n          &:after {\\n            top: 0;\\n            bottom: 0;\\n          }\\n          small {\\n            display: inline;\\n            margin-left: 5px;\\n          }\\n        }\\n        .mfp-bottom-bar {\\n          background: rgba(0, 0, 0, 0.6);\\n          bottom: 0;\\n          margin: 0;\\n          top: auto;\\n          padding: 3px 5px;\\n          position: fixed;\\n          -webkit-box-sizing: border-box;\\n          -moz-box-sizing: border-box;\\n          box-sizing: border-box;\\n          &:empty {\\n            padding: 0;\\n          }\\n        }\\n        .mfp-counter {\\n          right: 5px;\\n          top: 3px;\\n        }\\n        .mfp-close {\\n          top: 0;\\n          right: 0;\\n          width: 35px;\\n          height: 35px;\\n          line-height: $line-height-large;\\n          background: rgba(0, 0, 0, 0.6);\\n          position: fixed;\\n          text-align: center;\\n          padding: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// Scale navigation arrows and reduce padding from sides\\n@media all and (max-width: 900px) {\\n  .mfp-arrow {\\n    @include transform(scale(0.75));\\n  }\\n  .mfp-arrow-left {\\n    transform-origin: 0;\\n    -webkit-transform-origin: 0;\\n  }\\n  .mfp-arrow-right {\\n    transform-origin: 100%;\\n    -webkit-transform-origin: 100%;\\n  }\\n  .mfp-container {\\n    padding-left: $popup-padding-left-mobile;\\n    padding-right: $popup-padding-left-mobile;\\n  }\\n}\\n\\n// IE7 support\\n// Styles that make popup look nicier in old IE\\n@if $IE7support {\\n  .mfp-ie7 {\\n    .mfp-img {\\n      padding: 0;\\n    }\\n    .mfp-bottom-bar {\\n      width: 600px;\\n      left: 50%;\\n      margin-left: -300px;\\n      margin-top: 5px;\\n      padding-bottom: 5px;\\n    }\\n    .mfp-container {\\n      padding: 0;\\n    }\\n    .mfp-content {\\n      padding-top: 44px;\\n    }\\n    .mfp-close {\\n      top: 0;\\n      right: 0;\\n      padding-top: 0;\\n    }\\n  }\\n}\\n\\n.mfp-zoom-in {\\n  /* start state */\\n  .mfp-content {\\n    opacity: 0;\\n    transition: all 0.2s;\\n    -webkit-transform: scale(0.8);\\n    -ms-transform: scale(0.8);\\n    transform: scale(0.8);\\n  }\\n\\n  &.mfp-bg {\\n    opacity: 0;\\n    transition: all 0.3s ease-out;\\n  }\\n\\n  /* animate in */\\n  &.mfp-ready {\\n    .mfp-content {\\n      opacity: 1;\\n      @include transform(scale(1));\\n    }\\n    &.mfp-bg {\\n      opacity: 0.8;\\n    }\\n  }\\n\\n  /* animate out */\\n  &.mfp-removing {\\n    .mfp-content {\\n      @include transform(scale(0.8));\\n      opacity: 0;\\n    }\\n    &.mfp-bg {\\n      opacity: 0;\\n    }\\n  }\\n}\\n\\n.mfp-force-scrollbars {\\n  &.mfp-wrap {\\n    overflow-y: auto !important;\\n    overflow-x: auto !important;\\n  }\\n  .mfp-img {\\n    max-width: none;\\n  }\\n}\\n",\n\t\t".button-count.has-pending {\\n  span {\\n    background-color: $danger;\\n    color: $secondary;\\n    border-radius: 10px;\\n    padding: 0.25em 0.5em;\\n    display: inline-block;\\n    font-size: 0.8em;\\n  }\\n}\\n\\n.placeholder-avatar {\\n  display: inline-block;\\n  width: 45px;\\n  height: 45px;\\n  border-radius: 50%;\\n  position: relative;\\n  overflow: hidden;\\n  &:before {\\n    animation: placeHolderShimmer 4s linear infinite forwards;\\n    position: absolute;\\n    left: 0;\\n    content: \\"\\";\\n    background: linear-gradient(\\n      to right,\\n      $primary-very-low 10%,\\n      $primary-low 28%,\\n      $primary-very-low 43%\\n    );\\n    height: 45px;\\n    width: 700px;\\n  }\\n}\\n\\n.placeholder-text {\\n  margin-left: 11px;\\n  display: inline-block;\\n  width: calc(100% - 11px);\\n  height: 1.5em;\\n  margin-bottom: 0.6em;\\n}\\n\\n.names {\\n  flex: 1 1 auto;\\n  overflow: hidden;\\n  span.first {\\n    display: flex;\\n    align-items: baseline;\\n    font-weight: bold;\\n  }\\n\\n  span {\\n    font-size: $font-0;\\n    margin-right: 8px;\\n    display: inline-block;\\n    @include ellipsis;\\n    vertical-align: middle;\\n    a {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n  }\\n  .fa {\\n    font-size: $font-down-1;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .svg-icon-title {\\n    margin-left: 3px;\\n    margin-right: 0px;\\n  }\\n  .new_user a,\\n  .user-title,\\n  .user-title a {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n}\\n\\n// global styles for the cooked HTML content in posts (and preview)\\n.cooked,\\n.d-editor-preview {\\n  word-wrap: break-word;\\n  line-height: $line-height-large;\\n  h1,\\n  h2,\\n  h3,\\n  h4,\\n  h5,\\n  h6 {\\n    margin: 30px 0 10px;\\n    line-height: $line-height-medium;\\n  }\\n\\n  h1 {\\n    font-size: $font-up-3;\\n  }\\n\\n  h2 {\\n    font-size: $font-up-2;\\n  }\\n\\n  h3 {\\n    font-size: $font-up-1;\\n  }\\n\\n  h4 {\\n    font-size: $font-0;\\n  }\\n\\n  h5 {\\n    font-size: $font-down-1;\\n  }\\n\\n  h6 {\\n    font-size: $font-down-2;\\n  }\\n\\n  a {\\n    word-wrap: break-word;\\n  }\\n  ins {\\n    background-color: dark-light-choose(\\n      $success-low,\\n      scale-color($success, $lightness: -60%)\\n    );\\n  }\\n  del {\\n    background-color: dark-light-choose(\\n      $danger-low,\\n      scale-color($danger, $lightness: -60%)\\n    );\\n  }\\n  // Prevents users from breaking posts with tag nesting\\n  big {\\n    font-size: 1.5rem;\\n  }\\n  small {\\n    font-size: 0.75rem;\\n  }\\n  small small {\\n    font-size: 0.75em;\\n  }\\n  big big {\\n    font-size: 1em;\\n  }\\n  sub sub sub {\\n    bottom: 0;\\n  }\\n  sup sup sup {\\n    top: 0;\\n  }\\n}\\n\\n.cooked,\\n.d-editor-preview {\\n  video {\\n    max-width: 100%;\\n  }\\n  sup sup {\\n    top: 0;\\n  }\\n}\\n\\n// add staff color\\n.moderator {\\n  .regular > .cooked {\\n    background-color: dark-light-choose($highlight-low, $highlight-medium);\\n    padding: 10px;\\n    img:not(.thumbnail) {\\n      max-width: 100%;\\n      height: auto;\\n    }\\n  }\\n  .clearfix > .topic-meta-data > .names {\\n    span.user-title {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n      a {\\n        background-color: dark-light-choose($highlight-low, $highlight-medium);\\n        padding-left: 4px;\\n        padding-right: 4px;\\n      }\\n    }\\n  }\\n}\\n\\n.topic-meta-data {\\n  display: flex;\\n  align-items: flex-start;\\n\\n  .names {\\n    margin-right: auto;\\n  }\\n\\n  .post-infos {\\n    display: flex;\\n    flex: 0 0 auto;\\n    align-items: center;\\n  }\\n}\\n\\n// we use aside to hold expandable quotes (versus, say, static blockquotes)\\naside.quote {\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n\\n  .badge-wrapper {\\n    margin-left: 5px;\\n  }\\n\\n  .title {\\n    @include post-aside;\\n\\n    color: dark-light-choose($primary-high, $secondary-low);\\n    // IE will screw up the blockquote underneath if bottom padding is 0px\\n    padding: 12px 12px 1px 12px;\\n    // blockquote is underneath this and has top margin\\n    .avatar {\\n      margin-right: 7px;\\n    }\\n    img {\\n      margin-top: -4px;\\n    }\\n    @include unselectable;\\n  }\\n\\n  // blockquote is docked within aside for content\\n  blockquote {\\n    margin-top: 0;\\n  }\\n}\\n\\nblockquote {\\n  // due to #image-sizing-hack large images and lightboxes extend past the\\n  // limits blockquotes. Since #image-sizing-hack is inline, we need to use\\n  // !important here otherwise it won't work.\\n  img {\\n    max-width: 100% !important;\\n  }\\n}\\n\\n.quote-controls,\\n.quote-controls .d-icon {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n}\\n\\n.cooked .highlight {\\n  background-color: $tertiary-low;\\n  padding: 2px;\\n  margin: -2px;\\n}\\n\\n.post-ignored {\\n  font-style: italic;\\n}\\n\\n.post-action {\\n  color: $primary-medium;\\n  .undo-action,\\n  .act-action {\\n    margin-left: 5px;\\n  }\\n}\\n\\n.post-hidden {\\n  opacity: 0.5; // opacity sets a new z-index context,\\n  position: relative; // so the positioning is required,\\n  z-index: z(\\"base\\"); // otherwise post controls are stacked too low\\n}\\n\\n.topic-post.staged {\\n  opacity: 0.4;\\n}\\n\\n.quote-controls {\\n  float: right;\\n  display: flex;\\n  align-items: center;\\n  a {\\n    margin-left: 0.3em;\\n  }\\n}\\n\\n.quote-button {\\n  display: none;\\n  position: absolute;\\n  background-color: blend-primary-secondary(50%);\\n  color: dark-light-choose($secondary, $primary);\\n  padding: 10px;\\n  z-index: z(\\"dropdown\\");\\n  opacity: 0.9;\\n\\n  .d-icon {\\n    display: inline-block;\\n  }\\n\\n  &:hover {\\n    background-color: $primary-medium;\\n    cursor: pointer;\\n  }\\n}\\n\\n.topic-avatar,\\n.user-card-avatar {\\n  position: relative;\\n}\\n\\n.topic-map {\\n  background: $primary-very-low;\\n  border: 1px solid $primary-low;\\n  border-top: none; // would cause double top border\\n\\n  .avatars {\\n    > div {\\n      float: left;\\n      position: relative;\\n      margin: 3px 0;\\n    }\\n    .post-count {\\n      position: absolute;\\n      right: 0;\\n      border-radius: 100px;\\n      padding: 3px 5px;\\n      text-align: center;\\n      font-weight: normal;\\n      font-size: $font-down-2;\\n      line-height: $line-height-small;\\n    }\\n  }\\n\\n  .avatar {\\n    float: left;\\n    margin-right: 4px;\\n  }\\n\\n  section {\\n    border-top: 1px solid $primary-low;\\n  }\\n\\n  ul {\\n    margin: 0;\\n    list-style: none;\\n  }\\n\\n  h3 {\\n    margin-bottom: 4px;\\n    color: $primary;\\n    line-height: $line-height-large;\\n    font-weight: normal;\\n    font-size: $font-0;\\n  }\\n\\n  h4 {\\n    margin: 1px 0 2px 0;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n    line-height: $line-height-small;\\n  }\\n\\n  span.domain {\\n    font-size: $font-down-2;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n\\n  td {\\n    vertical-align: top;\\n    padding: 1px;\\n  }\\n\\n  .topic-links {\\n    tr {\\n      border: none;\\n    }\\n    .badge-notification {\\n      margin: 1px 5px 2px 0;\\n    }\\n  }\\n\\n  .controls {\\n    display: flex;\\n    align-items: center;\\n\\n    .btn {\\n      margin-right: 0.5em;\\n\\n      &:last-child {\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  .participants {\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n\\n    & + .controls {\\n      margin-top: 0.5em;\\n    }\\n\\n    &.hide-names .user {\\n      .username,\\n      .group-name {\\n        display: none;\\n      }\\n    }\\n\\n    .user {\\n      border: 1px solid $primary-low;\\n      border-radius: 0.25em;\\n      padding: 0;\\n      margin: 0.125em 0.25em 0.125em 0;\\n      display: flex;\\n      align-items: center;\\n      height: 26px;\\n\\n      .user-link,\\n      .group-link {\\n        color: $primary-high;\\n\\n        &:hover {\\n          color: $primary;\\n        }\\n      }\\n\\n      .avatar,\\n      .d-icon-users {\\n        margin-left: 0.25em;\\n        margin-right: 0.25em;\\n      }\\n\\n      .username,\\n      .group-name {\\n        margin-right: 0.25em;\\n      }\\n\\n      &:last-child {\\n        margin-right: 0;\\n      }\\n\\n      .remove-invited {\\n        display: flex;\\n        flex: 1 0 0px;\\n        align-items: center;\\n        justify-content: center;\\n        box-sizing: border-box;\\n        border-radius: 0 0.25em 0.25em 0;\\n        padding-top: 0;\\n        padding-bottom: 0;\\n        height: 100%;\\n      }\\n    }\\n  }\\n\\n  .add-remove-participant-btn {\\n    .d-icon {\\n      margin-left: 0.25em;\\n    }\\n  }\\n}\\n\\n.topic-avatar,\\n.avatar-flair-preview,\\n.user-card-avatar,\\n.topic-map .poster,\\n.user-profile-avatar,\\n.user-image {\\n  .avatar-flair {\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background-repeat: no-repeat;\\n    background-position: center;\\n    position: absolute;\\n    bottom: 0;\\n    right: -6px;\\n  }\\n}\\n.topic-avatar .avatar-flair,\\n.avatar-flair-preview .avatar-flair,\\n.collapsed-info .user-profile-avatar .avatar-flair,\\n.user-image .avatar-flair {\\n  background-size: 20px 20px;\\n  width: 20px;\\n  height: 20px;\\n  &.rounded {\\n    background-size: 18px 18px;\\n    border-radius: 12px;\\n    width: 24px;\\n    height: 24px;\\n    bottom: -2px;\\n    right: -8px;\\n  }\\n}\\n.user-card-avatar .avatar-flair,\\n.user-profile-avatar .avatar-flair {\\n  background-size: 40px 40px;\\n  width: 40px;\\n  height: 40px;\\n  &.rounded {\\n    background-size: 30px 30px;\\n    border-radius: 24px;\\n    width: 40px;\\n    height: 40px;\\n    bottom: -2px;\\n    right: -4px;\\n  }\\n  .fa {\\n    font-size: $font-up-4;\\n  }\\n}\\n.topic-map .poster .avatar-flair {\\n  right: 0;\\n  background-size: 12px 12px;\\n  width: 16px;\\n  height: 16px;\\n  bottom: -3px;\\n  color: $primary;\\n  &.rounded {\\n    background-size: 12px 12px;\\n    border-radius: 8px;\\n    width: 16px;\\n    height: 16px;\\n    bottom: -2px;\\n    right: 0;\\n  }\\n  .d-icon {\\n    font-size: $font-down-2;\\n  }\\n}\\n.topic-avatar .poster-avatar-extra {\\n  display: none;\\n}\\n\\n.map {\\n  &:first-of-type {\\n    display: flex;\\n    .buttons {\\n      margin-left: auto;\\n      order: 15;\\n      .btn {\\n        height: 100%;\\n      }\\n    }\\n  }\\n}\\n\\n.topic-body {\\n  // this is necessary for ANYTHING that extends past the right edge of\\n  // the post body, such as an image in a deeply nested list, image in\\n  // a deeply nested blockquote, and so on.. you get the idea.\\n  .cooked {\\n    overflow: hidden;\\n  }\\n  &.highlighted {\\n    animation: background-fade-highlight 2.5s ease-out;\\n  }\\n}\\n\\n.post-info {\\n  flex: 0 0 auto;\\n  margin-right: 0.5em;\\n\\n  &.post-date {\\n    margin-right: 0;\\n  }\\n  &.via-email,\\n  &.whisper,\\n  &.post-locked {\\n    .d-icon {\\n      font-size: $font-0;\\n    }\\n  }\\n\\n  .wiki,\\n  .last-wiki-edit {\\n    color: $wiki;\\n  }\\n\\n  &.via-email {\\n    color: dark-light-choose($primary-low-mid, $secondary-high);\\n  }\\n  &.raw-email {\\n    cursor: pointer;\\n  }\\n}\\n\\npre {\\n  code {\\n    word-wrap: normal;\\n    display: block;\\n    padding: 0.5em;\\n    color: $primary;\\n    background: blend-primary-secondary(5%);\\n    max-height: 500px;\\n  }\\n}\\n\\nkbd {\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n  border-radius: 3px;\\n  box-shadow: shadow(\\"kbd\\");\\n  background: dark-light-choose(#fafafa, #333);\\n  border: 1px solid dark-light-choose(#ccc, #555);\\n  border-bottom: medium none dark-light-choose(#fff, #000);\\n\\n  color: $primary;\\n  display: inline-block;\\n  font-size: $font-down-1;\\n  line-height: $line-height-large;\\n  margin: 0 0.1em;\\n  padding: 0.1em 0.6em;\\n\\n  // don't allow more than 3 nested elements to prevent FF from crashing\\n  // cf. http://what.thedailywtf.com/t/nested-elements/7927\\n  // 3 levels are needed to prevent highlighted words being hidden\\n  // cf. https://meta.discourse.org/t/word-disappears-when-searched-and-in-details-summary-kbd-b/25741\\n  * * * {\\n    display: none;\\n  }\\n}\\n\\n// we assume blockquotes have their own margins, so all blockquotes\\n// will remove margins from first (top) and last (bottom) child elements\\nblockquote > *:first-child {\\n  margin-top: 0 !important;\\n}\\nblockquote > *:last-child {\\n  margin-bottom: 0 !important;\\n}\\n\\n.gap {\\n  padding: 0.25em 0 0.5em 56px; // 45px (topic avatar) + 11px (margin) = 56px\\n  color: dark-light-choose($primary-medium, $secondary-high);\\n  cursor: pointer;\\n  text-transform: uppercase;\\n  font-weight: bold;\\n  font-size: $font-down-1;\\n}\\n\\n.who-liked,\\n.who-read {\\n  transition: height 0.5s;\\n  a {\\n    margin: 0 0.25em 0.5em 0;\\n    display: inline-block;\\n  }\\n}\\n\\n.cooked table,\\n.d-editor-preview table {\\n  thead {\\n    th {\\n      text-align: left;\\n      padding-bottom: 2px;\\n      font-weight: bold;\\n      color: $primary;\\n    }\\n  }\\n\\n  td {\\n    padding: 3px 3px 3px 0.5em;\\n  }\\n}\\n\\n.small-action {\\n  display: flex;\\n  align-items: center;\\n  max-width: 758px;\\n  border-top: 1px solid $primary-low;\\n  .topic-avatar {\\n    align-self: flex-start;\\n    padding: 0.7em 0;\\n    border-top: none;\\n    margin-right: 11px;\\n    flex: 0 0 auto;\\n    .d-icon {\\n      font-size: 2em;\\n      width: 45px;\\n      text-align: center;\\n      color: $primary-low-mid;\\n    }\\n  }\\n\\n  .small-action.deleted {\\n    background-color: dark-light-diff(\\n      rgba($danger, 0.7),\\n      $secondary,\\n      50%,\\n      -60%\\n    );\\n  }\\n\\n  .small-action-desc.timegap {\\n    color: $primary-medium;\\n  }\\n\\n  .small-action-desc {\\n    display: flex;\\n    flex-wrap: wrap;\\n    flex: 1 1 100%;\\n    align-items: center;\\n    padding: 1em 0;\\n    text-transform: uppercase;\\n    font-weight: bold;\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n    min-width: 0; // Allows flex container to shrink\\n\\n    .custom-message {\\n      flex: 1 1 100%;\\n      text-transform: none;\\n      font-weight: normal;\\n      font-size: $font-up-1;\\n      order: 12;\\n      word-break: break-word;\\n      min-width: 0; // Allows content like oneboxes to shrink\\n      p {\\n        margin-bottom: 0;\\n      }\\n    }\\n    a.trigger-user-card {\\n      align-self: stretch;\\n    }\\n    .avatar {\\n      margin-right: 0.8em;\\n      float: left;\\n    }\\n\\n    > p {\\n      margin: 0;\\n      line-height: $line-height-medium;\\n      flex: 1 1;\\n    }\\n  }\\n\\n  button {\\n    background: transparent;\\n    border: 0;\\n    order: 9;\\n    &:last-of-type {\\n      margin-left: auto;\\n      order: 8;\\n    }\\n  }\\n}\\n\\n.whisper {\\n  .post-info.whisper {\\n    margin-left: 0.5em;\\n  }\\n  .topic-body {\\n    .cooked {\\n      font-style: italic;\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\na.mention,\\na.mention-group {\\n  padding: 2px 4px;\\n  color: dark-light-choose($primary-high, $secondary-low);\\n  background: $primary-low;\\n  border-radius: 8px;\\n  font-weight: bold;\\n  font-size: 0.93em;\\n}\\n\\n.popup-menu {\\n  h3 {\\n    margin-top: 0;\\n  }\\n}\\n\\n.suggested-topics {\\n  .topics {\\n    padding-bottom: 15px;\\n  }\\n  .suggested-topics-message {\\n    .badge-wrapper {\\n      margin-right: 0;\\n    }\\n  }\\n}\\n\\n.large-image-placeholder {\\n  > a {\\n    &.link {\\n      margin-right: 10px;\\n    }\\n\\n    > * {\\n      overflow: hidden;\\n      vertical-align: middle;\\n    }\\n\\n    > .d-icon {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      margin-right: 6px;\\n      font-size: $font-0;\\n      line-height: $line-height-large;\\n    }\\n\\n    > span.url {\\n      display: inline-block;\\n      max-width: 300px;\\n      margin-right: 6px;\\n      text-overflow: ellipsis;\\n      white-space: nowrap;\\n    }\\n\\n    > span.help {\\n      display: inline-block;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      font-size: $font-down-1;\\n      font-style: italic;\\n      line-height: $line-height-large;\\n      margin-bottom: 1px;\\n    }\\n\\n    > span.badge-notification {\\n      vertical-align: unset;\\n    }\\n  }\\n}\\n\\n.broken-image,\\n.large-image {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n  border: 1px solid $primary-low;\\n  font-size: $font-up-5;\\n  padding: 16px;\\n}\\n\\n/* below standard tablet portrait ----------- */\\n\\n.reply-to-tab {\\n  display: flex;\\n  align-items: center;\\n  margin-right: 2em;\\n\\n  img {\\n    margin: 0 0.25em;\\n  }\\n}\\n\\n// Select posts\\n\\n.topic-post {\\n  &.selected {\\n    article.boxed {\\n      .select-posts {\\n        button.select-post {\\n          background-color: $tertiary;\\n          color: $secondary;\\n          border-color: $tertiary;\\n        }\\n      }\\n      .topic-body {\\n        .contents:after {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n  article.boxed {\\n    position: relative;\\n    .select-posts {\\n      position: absolute;\\n      right: 5em;\\n      z-index: z(\\"dropdown\\");\\n      top: 0.5em;\\n      height: 100px;\\n      button {\\n        margin-left: 8px;\\n        background-color: $primary-low;\\n        color: $primary;\\n        box-shadow: shadow(\\"dropdown\\");\\n      }\\n    }\\n  }\\n}\\n\\n@media all and (max-width: 767px) {\\n  .reply-to-tab {\\n    span {\\n      display: none;\\n    }\\n  }\\n  .user-title {\\n    float: left;\\n    clear: left;\\n  }\\n}\\n\\n.signup-cta {\\n  a {\\n    float: right;\\n    text-decoration: underline;\\n  }\\n  .buttons {\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.post-notice {\\n  align-items: center;\\n  background-color: $tertiary-low;\\n  border-top: 1px solid $primary-low;\\n  display: flex;\\n  max-width: calc(\\n    #{$topic-body-width} + (#{$topic-body-width-padding} * 2) + #{$topic-avatar-width} -\\n      (0.8em * 2)\\n  );\\n  padding: 0.8em;\\n\\n  &.old {\\n    background-color: unset;\\n    color: $primary-medium;\\n\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  p {\\n    margin: 0;\\n  }\\n\\n  .d-icon {\\n    font-size: 2em;\\n    color: $primary-high;\\n    margin-right: 0.65em;\\n  }\\n}\\n\\n#topic-footer-buttons {\\n  .reason {\\n    color: $primary-high;\\n    display: inline;\\n    margin: 0 0 0 8px;\\n    line-height: $line-height-medium;\\n  }\\n}\\n",\n\t\t"@keyframes button-jump-up {\\n  0% {\\n    margin-bottom: -60px;\\n  }\\n  50% {\\n    margin-bottom: 10px;\\n  }\\n  65% {\\n    margin-bottom: 0px;\\n  }\\n  77% {\\n    margin-bottom: 5px;\\n  }\\n  100% {\\n    margin-bottom: 0px;\\n  }\\n}\\n\\n.progress-back-container {\\n  z-index: z(\\"dropdown\\");\\n  margin-right: 0;\\n  animation-duration: 0.5s;\\n  animation-name: button-jump-up;\\n  width: 145px;\\n  text-align: center;\\n  margin-bottom: 0px;\\n  position: absolute;\\n  right: 0;\\n  top: -2em;\\n  .btn {\\n    margin: 0;\\n  }\\n}\\n\\n#topic-progress-wrapper {\\n  display: flex;\\n  .topic-admin-menu-button-container {\\n    display: flex;\\n    > span {\\n      display: flex;\\n    }\\n  }\\n  .topic-admin-popup-menu.right-side {\\n    position: absolute;\\n    bottom: 0;\\n    right: 0;\\n    left: auto;\\n    transition: bottom 0.5s;\\n    transform: translateZ(\\n      0\\n    ); // iOS11 Rendering bug https://meta.discourse.org/t/wrench-menu-not-disappearing-on-ios/94297\\n  }\\n}\\n\\n#topic-progress-wrapper.docked {\\n  .topic-admin-popup-menu.right-side {\\n    bottom: -150px; // Prevents menu from being too high when a topic is very short\\n  }\\n}\\n\\n.title-wrapper {\\n  display: flex;\\n  flex-wrap: wrap;\\n  button {\\n    margin: 0 0.5em 0 0;\\n  }\\n  a.topic-featured-link {\\n    display: inline-block;\\n  }\\n  .topic-statuses {\\n    line-height: 1.2em;\\n    margin-right: 0.15em;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\nh1 {\\n  margin: 0 0 4px 0;\\n}\\n\\na.badge-category {\\n  margin-top: 5px;\\n}\\n\\n#topic-title {\\n  .title-wrapper {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 90%;\\n    a.topic-featured-link {\\n      display: inline-block;\\n    }\\n  }\\n  h1 {\\n    margin: 0 0 4px 0;\\n    width: 100%;\\n  }\\n  a.badge-category {\\n    margin-top: 5px;\\n  }\\n  a.edit-topic .d-icon {\\n    font-size: 0.8em;\\n  }\\n  .edit-topic-title {\\n    display: flex;\\n    flex-wrap: wrap;\\n    box-sizing: border-box;\\n    max-width: 758px;\\n    #edit-title {\\n      flex: 1 1 auto;\\n    }\\n    .private-message-glyph {\\n      margin: 5px 5px 0 0;\\n    }\\n    .category-chooser,\\n    .mini-tag-chooser {\\n      flex: 1 1 49%;\\n      margin: 0 0 9px 0;\\n      @media all and (max-width: 500px) {\\n        flex: 1 1 100%;\\n      }\\n    }\\n    .mini-tag-chooser {\\n      margin-left: 2%;\\n      @media all and (max-width: 500px) {\\n        margin-left: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.private-message-glyph {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n  margin-right: 5px;\\n}\\n\\n.archetype-private_message #topic-title .edit-topic-title .tag-chooser {\\n  margin-left: 19px;\\n}\\n\\n.private_message {\\n  #topic-title {\\n    .edit-topic-title {\\n      #edit-title {\\n        width: calc(100% - 50px);\\n      }\\n    }\\n  }\\n}\\n\\n.topic-title-outlet {\\n  clear: both;\\n}\\n\\n.has-pending-posts {\\n  display: flex;\\n  justify-content: space-between;\\n\\n  padding: 0.5em;\\n  background-color: $highlight-medium;\\n  margin-top: 1em;\\n  max-width: 757px;\\n}\\n\\n.suggested-topics-wrapper.related-messages-wrapper {\\n  .suggested-topics:nth-of-type(n + 2) {\\n    thead {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// Target the .badge-category text, the bullet icon needs to maintain `display: block`\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category,\\n.suggested-topics h3 .badge-wrapper.box span,\\n.suggested-topics h3 .badge-wrapper.bar span {\\n  display: inline;\\n}\\n\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category {\\n  // Override vertical-align: text-top from `badges.css.scss`\\n  vertical-align: baseline;\\n  line-height: $line-height-medium;\\n}\\n\\n.suggested-topics h3 .badge-wrapper.bullet,\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg {\\n  // Top of bullet aligns with top of line - adjust line height to vertically align bullet.\\n  line-height: 0.8;\\n}\\n\\n.suggested-topics .badge-wrapper.bullet span.badge-category,\\n.suggested-topics .badge-wrapper.bar span.badge-category {\\n  max-width: 150px;\\n}\\n\\n.suggested-topics .suggested-topics-title {\\n  display: flex;\\n  align-items: center;\\n}\\n\\n.post-links-container {\\n  @include unselectable;\\n  clear: both;\\n  .post-links {\\n    margin-top: 1em;\\n    padding-top: 1em;\\n    border-top: 1px solid $primary-low;\\n    li:last-of-type {\\n      margin-bottom: 1em;\\n    }\\n  }\\n  .expand-links {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .track-link {\\n    display: flex;\\n    align-items: center;\\n    span:not(.badge) {\\n      @include ellipsis;\\n    }\\n  }\\n  ul {\\n    margin: 0;\\n    list-style: none;\\n    li {\\n      margin-bottom: 0.5em;\\n      a[href] {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n      .clicks {\\n        margin-left: 0.5em;\\n        flex: 0 0 auto;\\n      }\\n      .d-icon {\\n        font-size: $font-down-2;\\n        margin: 0 0.5em 0 0;\\n      }\\n    }\\n  }\\n  a.reply-new {\\n    .d-icon {\\n      background: $secondary;\\n      border-radius: 20px;\\n      transition: all linear 0.15s;\\n    }\\n    &:hover {\\n      color: $tertiary;\\n      .d-icon {\\n        background: $tertiary-low;\\n      }\\n    }\\n  }\\n}\\n\\na.topic-featured-link {\\n  display: inline-block;\\n  text-transform: lowercase;\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  font-size: 0.875rem;\\n  .d-icon {\\n    margin-right: 3px;\\n  }\\n}\\n\\n.topic-area {\\n  .pending-posts {\\n    max-width: calc(\\n      #{$topic-body-width} + #{$topic-avatar-width} + #{$topic-body-width-padding *\\n        2}\\n    );\\n    .reviewable-item {\\n      .post-body {\\n        max-height: unset;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#request-access {\\n  width: 325px;\\n  margin: 0 auto;\\n  input[type=\\"text\\"] {\\n    width: 320px;\\n    height: 30px;\\n    font-size: $font-up-3;\\n  }\\n  input[type=\\"submit\\"] {\\n    font-size: $font-up-3;\\n    padding: 10px;\\n  }\\n}\\n",\n\t\t"/*\\n\\ngithub.com style (c) Vasily Polovnyov <vast@whiteants.net>\\n\\n*/\\n\\n.hljs {\\n  display: block;\\n  padding: 0.5em;\\n  color: dark-light-choose(#333, #f8f8f8);\\n}\\n\\n.hljs-comment,\\n.hljs-doctag {\\n  color: dark-light-choose(#998, #bba);\\n  font-style: italic;\\n}\\n\\n.hljs-keyword,\\n.javascript .hljs-title,\\n.nginx .hljs-title,\\n.hljs-subst,\\n.hljs-request,\\n.hljs-status {\\n  color: dark-light-choose(#333, #f8f8f8);\\n  font-weight: bold;\\n}\\n\\n.hljs-number,\\n.ruby .hljs-constant {\\n  color: dark-light-choose(#099, #aff);\\n}\\n\\n.hljs-string,\\n.hljs-tag .hljs-string,\\n.tex .hljs-formula {\\n  color: dark-light-choose(#d14, #f99);\\n}\\n\\n.hljs-title,\\n.hljs-name,\\n.coffeescript .hljs-params,\\n.scss .hljs-meta {\\n  color: dark-light-choose(#d14, #f99);\\n  font-weight: bold;\\n}\\n\\n.javascript .hljs-title,\\n.lisp .hljs-title,\\n.clojure .hljs-title,\\n.hljs-subst {\\n  font-weight: normal;\\n}\\n\\n.hljs-class .hljs-title,\\n.haskell .hljs-type,\\n.vhdl .hljs-literal,\\n.tex .hljs-command {\\n  color: dark-light-choose(#458, #9ae);\\n  font-weight: bold;\\n}\\n\\n.hljs-tag,\\n.hljs-tag .hljs-title,\\n.django .hljs-tag .hljs-keyword {\\n  color: dark-light-choose(#000080, #99f);\\n  font-weight: normal;\\n}\\n\\n.hljs-attribute,\\n.css .hljs-keyword,\\n.hljs-variable,\\n.lisp .hljs-body {\\n  color: dark-light-choose(#008080, #0ee);\\n}\\n\\n.hljs-regexp {\\n  color: $success;\\n}\\n\\n.hljs-symbol,\\n.ruby .hljs-symbol .hljs-string,\\n.lisp .hljs-keyword,\\n.tex .hljs-special,\\n.hljs-prompt {\\n  color: dark-light-choose(#990073, #fbe);\\n}\\n\\n.hljs-built_in,\\n.lisp .hljs-title,\\n.clojure .hljs-built_in,\\n.hljs-builtin-name {\\n  color: $tertiary-high;\\n}\\n\\n.meta {\\n  color: $primary-medium;\\n  font-weight: bold;\\n}\\n\\n.hljs-deletion {\\n  background: $danger-low;\\n}\\n\\n.hljs-addition {\\n  background: $success-low;\\n}\\n\\n.diff .hljs-meta {\\n  color: $primary-low;\\n}\\n\\n/*\\n--------------------------------------------------------------------------------\\n|                       SHOULD NOT BE REMOVED                                  |\\n--------------------------------------------------------------------------------\\n*/\\n\\np > code,\\nli > code,\\npre > code {\\n  color: dark-light-choose(#333, #f8f8f8);\\n  background: dark-light-choose(#f8f8f8, #333);\\n}\\n\\n// removed some unnecessary styles here\\n",\n\t\t"$discourse-tooltip-background: $secondary;\\n$discourse-tooltip-border: $primary-medium;\\n\\n#discourse-tooltip {\\n  background-color: $discourse-tooltip-background;\\n  position: absolute;\\n  z-index: z(\\"tooltip\\");\\n  border: 1px solid $discourse-tooltip-border;\\n  max-width: 400px;\\n  margin-top: 25px;\\n  overflow-wrap: break-word;\\n  display: none;\\n  font-size: $font-0;\\n  font-weight: 500;\\n\\n  &.retina {\\n    border: 0.5px solid $discourse-tooltip-border;\\n  }\\n\\n  .tooltip-pointer {\\n    position: relative;\\n    background: $discourse-tooltip-background;\\n  }\\n\\n  .tooltip-pointer:before,\\n  .tooltip-pointer:after {\\n    position: absolute;\\n    pointer-events: none;\\n    border: solid transparent;\\n    bottom: 100%;\\n    content: \\"\\";\\n    height: 0;\\n    width: 0;\\n  }\\n\\n  .tooltip-pointer:after {\\n    border-bottom-color: $discourse-tooltip-background;\\n    border-width: 8px;\\n    left: 50%;\\n    margin-left: -8px;\\n    margin-bottom: -0.5px;\\n  }\\n\\n  .tooltip-pointer:before {\\n    border-bottom-color: $discourse-tooltip-border;\\n    border-width: 9px;\\n    left: 50%;\\n    margin-left: -9px;\\n    margin-bottom: -0.5px;\\n  }\\n\\n  .tooltip-content {\\n    padding: 1em;\\n    max-width: 250px;\\n    font-size: $font-down-1;\\n    color: $primary;\\n    box-shadow: shadow(\\"dropdown\\");\\n    line-height: 1.4em;\\n  }\\n}\\n",\n\t\t"// Page not found styles\\n\\n.page-not-found {\\n  margin: 0 0 40px 0;\\n\\n  h1.title {\\n    font-size: $font-up-5;\\n    line-height: $line-height-medium;\\n  }\\n\\n  &-search {\\n    margin-top: 20px;\\n  }\\n}\\n\\n.page-not-found-topics {\\n  display: flex;\\n  @media screen and (max-width: 600px) {\\n    flex-wrap: wrap;\\n  }\\n}\\n\\n.popular-topics,\\n.recent-topics {\\n  box-sizing: border-box;\\n  width: 50%;\\n  max-width: 400px;\\n  margin-bottom: 40px;\\n  padding-right: 20px;\\n  @media screen and (max-width: 600px) {\\n    width: 100%;\\n  }\\n  h2 {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.not-found-topic {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: baseline;\\n  margin-bottom: 15px;\\n  @media screen and (max-width: 600px) {\\n    &:nth-of-type(n + 6) {\\n      display: none;\\n    }\\n  }\\n  a:not(.badge-wrapper) {\\n    flex-basis: 100%;\\n  }\\n}\\n",\n\t\t"// Modal wrappers\\n\\n.modal-outer-container {\\n  width: 100%;\\n  height: 100%;\\n}\\n\\n.modal-middle-container {\\n  display: flex;\\n  height: 100%;\\n  align-items: center;\\n}\\n\\n.modal-inner-container {\\n  box-sizing: border-box;\\n  flex: 0 1 auto;\\n  margin: 0 auto;\\n  max-width: 700px;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"modal\\");\\n\\n  .select-kit {\\n    width: 220px;\\n\\n    &.tag-chooser {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.modal-open {\\n  .dropdown-menu {\\n    z-index: z(\\"modal\\", \\"dropdown\\");\\n  }\\n  .popover {\\n    z-index: z(\\"modal\\", \\"popover\\");\\n  }\\n  .tooltip {\\n    z-index: z(\\"modal\\", \\"tooltip\\");\\n  }\\n}\\n\\n.bootbox.modal {\\n  position: fixed;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  overflow: auto;\\n  height: auto;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"card\\");\\n  background-clip: padding-box;\\n}\\n\\n.input-hint-text {\\n  margin-left: 0.5em;\\n  color: $secondary-high;\\n}\\n\\n.modal-header {\\n  display: flex;\\n  padding: 10px 15px;\\n  border-bottom: 1px solid $primary-low;\\n  align-items: center;\\n\\n  .title {\\n    h3 {\\n      margin-bottom: 0;\\n    }\\n\\n    p {\\n      margin: 0;\\n    }\\n  }\\n\\n  .modal-close {\\n    align-self: flex-start;\\n    order: 2;\\n    margin-left: auto;\\n    padding-left: 2em;\\n    .close {\\n      color: $primary-high;\\n    }\\n  }\\n}\\n\\n.modal-backdrop {\\n  position: fixed;\\n  top: 0;\\n  right: 0;\\n  bottom: 0;\\n  left: 0;\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n  background-color: #111;\\n  &.fade {\\n    opacity: 0;\\n  }\\n}\\n\\n.modal-backdrop,\\n.modal-backdrop.fade.in {\\n  animation: fade 0.3s;\\n  opacity: 0.9;\\n  filter: alpha(opacity=90);\\n}\\n\\n// fade in\\n@keyframes fade {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 0.9;\\n  }\\n}\\n\\n// slide in\\n@keyframes slidein {\\n  from {\\n    transform: translateY(-20%);\\n  }\\n  to {\\n    transform: translateY(0);\\n  }\\n}\\n\\n.create-account.in .modal-inner-container,\\n.login-modal.in .modal-inner-container {\\n  animation: slidein 0.3s;\\n}\\n\\n.inline-modal {\\n  .modal-inner-container {\\n    border: 1px solid $secondary-medium;\\n  }\\n}\\n\\n.fixed-modal {\\n  position: fixed;\\n  top: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  overflow: auto;\\n\\n  &:not(.history-modal) {\\n    .modal-body:not(.reorder-categories):not(.poll-ui-builder) {\\n      max-height: 80vh !important;\\n      @media screen and (max-height: 500px) {\\n        max-height: 65vh !important;\\n      }\\n    }\\n  }\\n}\\n\\n.modal-form {\\n  margin-bottom: 0;\\n}\\n\\n.modal-footer {\\n  padding: 14px 15px 10px;\\n  border-top: 1px solid $primary-low;\\n  .btn {\\n    margin: 0 5px 5px 0;\\n  }\\n}\\n\\n.modal.edit-category-modal {\\n  .modal-body {\\n    textarea {\\n      height: 10em;\\n    }\\n  }\\n  @media screen and (min-width: 524px) {\\n    .modal-inner-container {\\n      min-width: 525px;\\n    }\\n  }\\n}\\n\\n.modal {\\n  .nav {\\n    padding: 10px 30px 10px 15px;\\n    background-color: $secondary;\\n    li > a {\\n      font-size: $font-0;\\n    }\\n    border-bottom: 1px solid $primary-low;\\n  }\\n\\n  &.hidden {\\n    display: none;\\n  }\\n\\n  .modal-body {\\n    box-sizing: border-box;\\n    width: 100%;\\n    overflow-y: auto;\\n    max-height: 400px;\\n\\n    &.full-height-modal {\\n      max-height: calc(100vh - 150px);\\n    }\\n\\n    &.insert-link {\\n      overflow-y: visible;\\n      input {\\n        min-width: 300px;\\n      }\\n\\n      .inputs {\\n        position: relative;\\n        .spinner {\\n          position: absolute;\\n          right: 8px;\\n          top: -15px;\\n          width: 10px;\\n          height: 10px;\\n        }\\n        .internal-link-results {\\n          position: absolute;\\n          top: 70%;\\n          padding: 5px 10px;\\n          box-shadow: shadow(\\"card\\");\\n          z-index: 5;\\n          background-color: $secondary;\\n          max-height: 150px;\\n          width: 90%;\\n          overflow-y: auto;\\n          > .search-link {\\n            padding: 6px;\\n            border-bottom: 1px solid $primary-low;\\n            cursor: pointer;\\n            display: block;\\n            &:hover,\\n            &:focus {\\n              background-color: $highlight-medium;\\n            }\\n            .search-category {\\n              display: flex;\\n              align-items: center;\\n            }\\n            .discourse-tags {\\n              display: inline-block;\\n              font-size: $font-down-1;\\n            }\\n          }\\n        }\\n      }\\n    }\\n    textarea {\\n      width: 99%;\\n      height: 80px;\\n    }\\n    p {\\n      font-size: $font-0;\\n    }\\n    .archetype-option {\\n      margin-bottom: 20px;\\n    }\\n    .warning {\\n      color: $danger !important;\\n    }\\n  }\\n\\n  .password-confirmation {\\n    display: none;\\n  }\\n\\n  section.field {\\n    padding: 0.25em 0;\\n    margin-bottom: 5px;\\n    &.with-items {\\n      display: flex;\\n      align-items: flex-start;\\n    }\\n    .field-item {\\n      display: inline-block;\\n      margin-right: 10px;\\n    }\\n  }\\n\\n  // password reset modal\\n  .modal-body.forgot-password-modal p {\\n    font-size: $font-0;\\n  }\\n\\n  pre code {\\n    white-space: pre-wrap;\\n    max-width: 700px;\\n  }\\n}\\n\\n.reply-where-modal {\\n  .modal-footer {\\n    a {\\n      display: block;\\n    }\\n    .d-modal-cancel {\\n      margin: 1em 0 0.5em;\\n    }\\n    .btn {\\n      text-align: left;\\n      font-size: $font-up-2;\\n      line-height: $line-height-medium;\\n      margin-bottom: 10px;\\n      font-weight: bold;\\n      .topic-title {\\n        font-weight: normal;\\n      }\\n    }\\n  }\\n}\\n\\n.d-modal-cancel {\\n  margin-left: 1em;\\n  color: $primary-medium;\\n  &:hover {\\n    color: $danger;\\n  }\\n}\\n\\n.delete-user-modal {\\n  .modal-footer {\\n    .btn {\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.delete-posts-progress {\\n  .progress-bar {\\n    height: 15px;\\n    position: relative;\\n    background: $primary-low-mid;\\n    border-radius: 25px;\\n    overflow: hidden;\\n    margin: 30px 0 20px;\\n    span {\\n      display: block;\\n      width: 0%;\\n      height: 100%;\\n      background-color: $tertiary;\\n      position: relative;\\n      transition: width 0.6s linear;\\n    }\\n  }\\n}\\n\\n.permission-list {\\n  // Category security tab\\n  list-style: none;\\n  margin: 0 0 30px;\\n  padding: 0;\\n  .name {\\n    margin-right: 20px;\\n    display: inline-block;\\n    min-width: 100px;\\n  }\\n  .permission {\\n    margin-left: 20px;\\n  }\\n  .d-icon-times-circle {\\n    margin-left: 5px;\\n    color: $danger;\\n  }\\n  li {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.edit-category-modal {\\n  input:not([type=\\"checkbox\\"]),\\n  .controls {\\n    display: block;\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .disable_info_wrap {\\n    position: relative;\\n    display: inline-block;\\n    float: right;\\n\\n    .cannot_delete_reason {\\n      position: absolute;\\n      background: $primary;\\n      color: $secondary;\\n      text-align: center;\\n      border-radius: 2px;\\n      padding: 12px 8px;\\n\\n      &::after {\\n        top: 100%;\\n        left: 57%;\\n        border: solid transparent;\\n        content: \\" \\";\\n        position: absolute;\\n        border-top-color: $primary;\\n        border-width: 8px;\\n      }\\n    }\\n  }\\n\\n  .permission-selector {\\n    margin-right: 0.25em;\\n  }\\n\\n  .pending-permission-change-alert {\\n    margin-left: auto;\\n    max-width: 250px;\\n    background: $primary-very-high;\\n    color: $secondary;\\n    margin-top: 10px;\\n    padding: 5px 10px;\\n    position: relative;\\n    .arrow-div {\\n      border: solid transparent;\\n      content: \\" \\";\\n      position: absolute;\\n      border-bottom-color: $primary-very-high;\\n      border-width: 7px;\\n      top: -13px;\\n      left: 200px;\\n    }\\n  }\\n\\n  .add-permission {\\n    position: relative;\\n    top: 0.1em;\\n  }\\n\\n  .edit-category-tab-settings {\\n    $category-settings-width: 280px; // Consistent width makes this all easier to read\\n    > section {\\n      margin-bottom: 1.5em;\\n    }\\n    input[type=\\"number\\"],\\n    input[type=\\"text\\"],\\n    .select-kit {\\n      width: $category-settings-width;\\n    }\\n    label {\\n      max-width: $category-settings-width;\\n    }\\n    .category-email-in-outlet {\\n      label {\\n        flex-wrap: wrap; // Todo: fix all multi-element labels\\n        a {\\n          margin-left: 1.3em;\\n        }\\n      }\\n    }\\n  }\\n  #category-min-tags-from-group {\\n    width: 100px;\\n  }\\n}\\n\\n.incoming-email-modal {\\n  .btn {\\n    transition: none;\\n    background-color: transparent;\\n    margin-right: 5px;\\n    &:hover,\\n    &.active {\\n      color: $primary;\\n    }\\n    &.active {\\n      font-weight: bold;\\n    }\\n    &:focus {\\n      outline: 2px solid $primary-low;\\n    }\\n  }\\n  .incoming-email-tabs {\\n    margin-bottom: 15px;\\n  }\\n  .incoming-email-content {\\n    height: 300px;\\n    max-width: 700px;\\n    width: 90vw; // forcing textarea wider\\n    textarea,\\n    .incoming-email-html-part {\\n      height: 95%;\\n      border: none;\\n      border-top: 1px solid $primary-low;\\n      padding-top: 10px;\\n    }\\n    textarea {\\n      font-family: monospace;\\n      resize: none;\\n      border-radius: 0;\\n      box-shadow: none;\\n    }\\n    .incoming-email-html-part {\\n      padding: 10px 4px 4px 4px;\\n    }\\n  }\\n}\\n\\n.modal .modal-body.change-timestamp {\\n  #date-container {\\n    .pika-single {\\n      width: 100%;\\n      box-sizing: border-box;\\n      display: flex;\\n      justify-content: center;\\n    }\\n  }\\n\\n  form {\\n    display: flex;\\n\\n    .date-picker-wrapper,\\n    input[type=\\"time\\"] {\\n      width: 50%;\\n    }\\n\\n    .date-picker-wrapper {\\n      display: flex;\\n      flex: 1;\\n\\n      .date-picker {\\n        flex: 1;\\n      }\\n    }\\n\\n    input.date-picker,\\n    input[type=\\"time\\"] {\\n      text-align: left;\\n      margin: 0;\\n    }\\n  }\\n}\\n\\n.change-timestamp {\\n  max-width: 420px;\\n}\\n\\n.change-timestamp,\\n.poll-ui-builder {\\n  #date-container {\\n    .pika-single {\\n      position: relative !important; // overriding another important\\n      display: inline-block;\\n      margin-top: 0.5em;\\n    }\\n  }\\n\\n  .date-picker-wrapper {\\n    min-width: 130px;\\n    margin-right: 0.5em;\\n  }\\n\\n  input[type=\\"time\\"] {\\n    width: 130px;\\n  }\\n\\n  form {\\n    margin: 0;\\n  }\\n}\\n\\n.flag-modal {\\n  max-height: 450px;\\n  .flag-action-type-details {\\n    width: 100%;\\n    max-width: 500px;\\n    line-height: $line-height-large;\\n  }\\n}\\n\\n.flag-message {\\n  margin: 0;\\n}\\n\\n.custom-message-length {\\n  color: $primary-medium;\\n  font-size: $font-down-1;\\n}\\n\\n.jump-to-post-modal {\\n  .modal-inner-container {\\n    max-width: 350px;\\n  }\\n  .modal-body {\\n    overflow-y: visible;\\n    #post-jump,\\n    .date-picker {\\n      margin: 0;\\n      width: 100px;\\n    }\\n\\n    .input-hint-text {\\n      color: $primary;\\n    }\\n\\n    .jump-to-post-control .index {\\n      color: $primary-medium;\\n    }\\n\\n    .jump-to-date-control .input-hint-text {\\n      margin-left: 0;\\n    }\\n\\n    .separator {\\n      display: flex;\\n      align-items: center;\\n      margin: 0.5em auto;\\n\\n      hr {\\n        flex: 1 0 0px;\\n      }\\n\\n      .text {\\n        margin: 0 0.5em 0 0;\\n        color: $primary-medium;\\n      }\\n    }\\n  }\\n}\\n\\n// move-to topic modal\\n.move-to-modal {\\n  // move to existing topic\\n  .existing-topic {\\n    .radio {\\n      flex-wrap: wrap;\\n    }\\n    .topic-title {\\n      max-width: 90%;\\n    }\\n    .topic-categories {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.modal:not(.has-tabs) {\\n  .modal-tab {\\n    position: absolute;\\n    width: 95%;\\n  }\\n}\\n\\n.modal {\\n  &.has-tabs {\\n    .modal-tabs {\\n      display: inline-flex;\\n      flex-wrap: wrap;\\n      width: calc(100% - 20px);\\n      flex: 1 0 auto;\\n      margin: 0;\\n\\n      .modal-tab {\\n        list-style: none;\\n        padding: s(1 2);\\n        margin-right: s(1);\\n        cursor: pointer;\\n\\n        &.is-active {\\n          color: $secondary;\\n          background: $danger;\\n\\n          &.single-tab {\\n            background: none;\\n            color: $primary;\\n            padding: s(1 0);\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".groups-header {\\n  display: flex;\\n  flex-wrap: wrap;\\n  margin-bottom: 1em;\\n  .groups-header-new {\\n    order: 2;\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.groups-header-filters {\\n  display: flex;\\n  flex-wrap: wrap;\\n\\n  .groups-header-filters-name,\\n  .groups-header-filters-type {\\n    margin-right: 5px;\\n    margin-bottom: 0.5em;\\n  }\\n\\n  &:last-child {\\n    margin-right: auto;\\n  }\\n}\\n\\n.groups-boxes {\\n  margin: 1em 0;\\n  width: 100%;\\n  // IE11 falls back to flexbox\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: space-between;\\n  // Everything that's not IE11 uses grid\\n  @supports (display: grid) {\\n    display: grid;\\n    grid-template-columns: repeat(4, 24%);\\n    grid-column-gap: 1.333%;\\n    grid-row-gap: 1em;\\n    @include breakpoint(\\"tablet\\") {\\n      grid-template-columns: repeat(3, 32%);\\n      grid-column-gap: 2%;\\n    }\\n    @include breakpoint(\\"mobile-large\\") {\\n      grid-template-columns: 100%;\\n    }\\n  }\\n\\n  .group-box {\\n    // Flex and margin are for IE11\\n    flex: 1 1 24%;\\n    margin: 1%;\\n    @include breakpoint(\\"mobile-large\\") {\\n      margin: 0;\\n    }\\n    display: flex;\\n    box-sizing: border-box;\\n    cursor: pointer;\\n    border: 1px solid $primary-low;\\n    color: $primary;\\n    .discourse-no-touch & {\\n      transition: all 0.25s;\\n      &:hover {\\n        box-shadow: shadow(\\"card\\");\\n      }\\n    }\\n    .group-membership {\\n      color: $primary-medium;\\n      margin-top: auto;\\n      padding-top: 1em;\\n      .is-group-owner,\\n      .is-group-member {\\n        color: $success;\\n      }\\n    }\\n    .group-box-inner {\\n      padding: 1em;\\n      width: 100%;\\n      display: flex;\\n      flex-direction: column;\\n      box-sizing: border-box;\\n      .group-info-wrapper {\\n        display: flex;\\n        overflow: hidden;\\n        flex: 0 1 auto;\\n        .group-avatar-flair {\\n          margin-top: 0.2em;\\n          margin-right: 8px;\\n          flex: 0 0 auto;\\n        }\\n        .group-info {\\n          flex: 1 0 auto;\\n          margin-bottom: 1em;\\n          width: 70%;\\n\\n          span {\\n            width: 100%;\\n            word-break: break-word;\\n            line-height: $line-height-medium;\\n          }\\n        }\\n      }\\n      .group-user-count {\\n        display: flex;\\n        align-items: center;\\n        color: $primary-high;\\n        .d-icon {\\n          margin-right: 0.25em;\\n          font-size: 0.8em;\\n          color: $primary-medium;\\n        }\\n      }\\n      .group-description {\\n        color: $primary-high;\\n        word-wrap: break-word;\\n      }\\n    }\\n\\n    .groups-info-name {\\n      font-size: $font-up-1;\\n      font-weight: bold;\\n      color: $primary;\\n    }\\n\\n    $size: 40px;\\n    $icon-size: $size / 1.8;\\n\\n    .group-avatar-flair {\\n      display: inline-block;\\n      color: $primary;\\n\\n      .avatar-flair {\\n        background-size: $size;\\n        height: $size;\\n        width: $size;\\n        border-radius: 50%;\\n        display: flex;\\n        align-items: center;\\n        justify-content: center;\\n        background-repeat: no-repeat;\\n\\n        .d-icon {\\n          height: $icon-size;\\n          width: $icon-size;\\n        }\\n      }\\n    }\\n    .avatar-flair-image {\\n      width: $size;\\n    }\\n  }\\n}\\n",\n\t\t".caps-lock-warning {\\n  color: $danger;\\n  font-size: $font-down-1;\\n  font-weight: bold;\\n}\\n\\n.discourse-no-touch #login-form {\\n  margin: 0;\\n}\\n\\n.discourse-touch .caps-lock-warning {\\n  display: none;\\n}\\n\\n#login-form {\\n  table {\\n    width: 100%;\\n  }\\n  a {\\n    color: $primary-high;\\n  }\\n  td {\\n    padding-right: 5px;\\n  }\\n  #credentials {\\n    tr:first-of-type {\\n      margin-bottom: 0.75em;\\n    }\\n  }\\n}\\n\\n#new-account-link {\\n  cursor: pointer;\\n}\\n\\n.login-modal,\\n.create-account {\\n  tr {\\n    border: none;\\n  }\\n  tr:not(.instructions) {\\n    td {\\n      padding: 10px 0 0 0;\\n    }\\n  }\\n  td {\\n    label,\\n    input {\\n      margin-bottom: 0;\\n      width: 100%;\\n    }\\n  }\\n  .modal-footer {\\n    .inline-spinner {\\n      display: inline-flex;\\n    }\\n  }\\n  &.awaiting-approval {\\n    display: none;\\n  }\\n}\\n\\n.create-account {\\n  .disclaimer {\\n    color: $primary-medium;\\n    margin-top: 0.5em;\\n  }\\n\\n  .user-field {\\n    > label {\\n      margin-top: 0.75em;\\n      margin-bottom: 0;\\n      padding-top: 5px;\\n    }\\n    &:first-of-type > label {\\n      margin-top: 0;\\n    }\\n\\n    input[type=\\"text\\"] {\\n      margin-bottom: 0;\\n      width: 100%;\\n    }\\n\\n    .select-kit {\\n      width: 100%;\\n    }\\n\\n    .controls {\\n      padding-top: 5px;\\n      label {\\n        width: auto;\\n        text-align: left;\\n        font-weight: normal;\\n      }\\n      .instructions {\\n        margin-top: 0.15em;\\n        color: $primary-medium;\\n        line-height: $line-height-medium;\\n      }\\n    }\\n  }\\n}\\n\\n.password-reset {\\n  .instructions {\\n    label {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\n.invites-show {\\n  .two-col {\\n    position: relative;\\n    display: flex;\\n  }\\n\\n  .col-image {\\n    position: relative;\\n    margin-right: 20px;\\n    @media screen and (max-width: 600px) {\\n      display: none;\\n    }\\n  }\\n\\n  form {\\n    margin-top: 24px;\\n    button.btn-primary {\\n      margin-top: 10px;\\n    }\\n    label:not(.checkbox-label) {\\n      font-weight: bold;\\n    }\\n    .controls,\\n    .input {\\n      margin-bottom: 10px;\\n    }\\n    .instructions {\\n      color: $primary-medium;\\n      margin: 0;\\n      font-size: $font-down-1;\\n      font-weight: normal;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.auth-message {\\n  padding: 0 15px 15px 15px;\\n  &:empty {\\n    padding: 0;\\n  }\\n}\\n\\n.modal tr.instructions {\\n  display: flex;\\n  flex-direction: column;\\n  margin-top: 0.15em;\\n  label {\\n    color: $primary-medium;\\n  }\\n}\\n\\n// alternate login / create new account buttons should be de-emphasized\\n\\nbutton#login-link,\\nbutton#new-account-link {\\n  background: transparent;\\n  color: $primary-high;\\n}\\n\\n#security-key {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  button {\\n    margin-right: 1.5em;\\n  }\\n  p {\\n    margin: 0;\\n    font-size: $font-0;\\n  }\\n  a {\\n    display: inline-block;\\n    padding: 1em 0.5em 1em 0;\\n    color: $tertiary;\\n  }\\n}\\n",\n\t\t".menu-panel.slide-in {\\n  position: fixed;\\n  right: 0;\\n  box-shadow: shadow(\\"header\\");\\n  &.animate {\\n    transition: right 0.2s ease-out, left 0.2s ease-out;\\n  }\\n\\n  .panel-body {\\n    position: absolute;\\n    top: 3px;\\n    bottom: 37px;\\n    width: 97%;\\n  }\\n}\\n.header-cloak {\\n  display: none;\\n}\\n\\n.menu-panel.drop-down {\\n  position: absolute;\\n  // positions are relative to the .d-header .panel div\\n  top: 100%; // directly underneath .panel\\n  right: -10px; // 10px to the right of .panel - adjust as needed\\n}\\n\\n.menu-panel {\\n  border: 1px solid $primary-low;\\n  box-shadow: shadow(\\"menu-panel\\");\\n  background-color: $secondary;\\n  z-index: z(\\"header\\");\\n  padding: 0.5em;\\n  width: 300px;\\n\\n  hr {\\n    margin: 3px 0;\\n  }\\n\\n  .panel-header {\\n    position: absolute;\\n    right: 20px;\\n  }\\n\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n    padding: 0;\\n  }\\n\\n  .panel-body {\\n    touch-action: pan-y pinch-zoom;\\n    overflow-y: auto;\\n    overflow-x: hidden;\\n    max-height: 100vh;\\n  }\\n\\n  .badge-notification {\\n    vertical-align: text-bottom;\\n  }\\n}\\n\\n.menu-links.columned {\\n  li {\\n    width: 50%;\\n    float: left;\\n  }\\n}\\n\\n.menu-panel {\\n  li,\\n  li.heading {\\n    a.widget-link {\\n      padding: 0.25em 0.5em;\\n      display: block;\\n      &:hover,\\n      &:focus {\\n        background-color: $highlight-medium;\\n        outline: none;\\n      }\\n    }\\n\\n    .new {\\n      font-size: $font-down-1;\\n      margin-left: 0.5em;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  .categories-link {\\n    display: block;\\n    padding: 0.25em 0.5em;\\n  }\\n\\n  li.category-link {\\n    float: left;\\n    background-color: transparent;\\n    display: inline-flex;\\n    align-items: center;\\n    padding: 0.25em 0.5em;\\n    width: 50%;\\n    box-sizing: border-box;\\n    a {\\n      display: inline-flex;\\n      &:hover,\\n      &:focus {\\n        background: transparent;\\n      }\\n    }\\n    .badge-notification {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      background-color: transparent;\\n      display: inline;\\n      padding: 0;\\n      font-size: $font-down-1;\\n      line-height: $line-height-large;\\n    }\\n    .badge-wrapper {\\n      &.bar,\\n      &.bullet {\\n        color: $primary;\\n        padding: 0 0 0 0.15em;\\n      }\\n      &.box {\\n        color: $secondary;\\n        + a.badge.badge-notification {\\n          padding-top: 2px;\\n        }\\n        span {\\n          z-index: z(\\"base\\") * -1;\\n        }\\n      }\\n    }\\n  }\\n\\n  // note these topic counts only appear for anons in the category hamburger drop down\\n  b.topics-count {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n  }\\n\\n  span.badge-category {\\n    max-width: 100px;\\n  }\\n\\n  div.discourse-tags {\\n    font-size: $font-down-1;\\n  }\\n}\\n\\n.user-menu {\\n  .quick-access-panel {\\n    width: 100%;\\n    display: table;\\n\\n    h3 {\\n      padding: 0 0.4em;\\n      font-weight: bold;\\n      margin: 0.5em 0;\\n    }\\n\\n    .d-icon,\\n    &:hover .d-icon {\\n      color: $primary-medium;\\n    }\\n    .icon {\\n      color: $primary-high;\\n    }\\n    li {\\n      background-color: $tertiary-low;\\n\\n      // This is until other languages remove the HTML from within\\n      // notifications. It can then be removed\\n      div .fa {\\n        display: none;\\n      }\\n\\n      span:first-child {\\n        color: $primary;\\n      }\\n\\n      &:hover,\\n      &:focus {\\n        background-color: $highlight-medium;\\n        outline: none;\\n      }\\n\\n      a {\\n        padding: 0;\\n        > div {\\n          overflow: hidden; // clears the text from wrapping below icons\\n\\n          // Truncate items with more than 2 lines.\\n          display: -webkit-box;\\n          -webkit-line-clamp: 2;\\n          -webkit-box-orient: vertical;\\n        }\\n      }\\n\\n      p {\\n        margin: 0;\\n        overflow: hidden;\\n      }\\n    }\\n    li:not(.show-all) {\\n      padding: 0.25em 0.5em;\\n      .d-icon {\\n        float: left;\\n        margin-right: 5px;\\n        padding-top: 0.2em;\\n      }\\n    }\\n    .is-warning {\\n      .d-icon-far-envelope {\\n        color: $danger;\\n      }\\n    }\\n    .read {\\n      background-color: $secondary;\\n    }\\n    .none {\\n      padding-top: 5px;\\n    }\\n    .spinner-container {\\n      min-height: 2em;\\n    }\\n    .spinner {\\n      width: 20px;\\n      height: 20px;\\n      border-width: 2px;\\n      margin: 0 auto;\\n    }\\n    .show-all a {\\n      width: 100%;\\n      display: flex;\\n      justify-content: center;\\n      align-items: center;\\n      min-height: 30px;\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n      background: blend-primary-secondary(5%);\\n      &:hover {\\n        color: $primary;\\n        background: dark-light-diff($primary, $secondary, 90%, -80%);\\n      }\\n    }\\n    /* as a big ol' click target, don't let text inside be selected */\\n    @include unselectable;\\n  }\\n\\n  .dismiss-link {\\n    display: inline-block;\\n    float: right;\\n  }\\n}\\n\\ndiv.menu-links-header {\\n  width: 100%;\\n  display: table;\\n  border-collapse: separate;\\n  border-spacing: 0 0.5em;\\n  .menu-links-row {\\n    border-bottom: 1px solid dark-light-choose($primary-low, $secondary-medium);\\n    display: flex;\\n\\n    // Tabs should have \\"ears\\".\\n    padding: 0 4px;\\n\\n    li {\\n      display: inline-flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      &.user {\\n        margin-right: auto;\\n      }\\n      &.glyphs {\\n        flex-wrap: wrap;\\n        text-align: right;\\n        max-width: 65%; //IE11\\n\\n        a {\\n          // Expand the click area a bit.\\n          padding-left: 0.6em;\\n          padding-right: 0.6em;\\n        }\\n      }\\n\\n      a {\\n        // This is to make sure active and inactive tab icons have the same\\n        // size. `box-sizing` does not work and I have no idea why.\\n        border: 1px solid transparent;\\n        border-bottom: 0;\\n      }\\n\\n      a.active {\\n        border: 1px solid dark-light-choose($primary-low, $secondary-medium);\\n        border-bottom: 0;\\n        position: relative;\\n\\n        &:after {\\n          display: block;\\n          position: absolute;\\n          top: 100%;\\n          left: 0;\\n          z-index: z(\\"header\\") + 1; // Higher than .menu-panel\\n          width: 100%;\\n          height: 0;\\n          content: \\"\\";\\n          border-top: 1px solid $secondary;\\n        }\\n\\n        &:focus,\\n        &:hover {\\n          background-color: inherit;\\n        }\\n      }\\n    }\\n  }\\n  a:hover,\\n  a:focus {\\n    background-color: $highlight-medium;\\n    outline: none;\\n  }\\n  a {\\n    padding: 0.3em 0.5em;\\n  }\\n  a.user-activity-link {\\n    align-items: center;\\n    display: flex;\\n    margin: -0.5em 0;\\n    max-width: 130px;\\n\\n    // `overflow: hidden` on `.user-activity-link` would hide the `::after`\\n    // pseudo element (used to create the tab-looking effect). Sets `overflow:\\n    // hidden` on the child username label instead.\\n    overflow: visible;\\n\\n    span.d-label {\\n      display: block;\\n      max-width: 130px;\\n      @include ellipsis;\\n    }\\n\\n    @include breakpoint(mobile-medium) {\\n      max-width: 125px;\\n    }\\n  }\\n  li {\\n    display: table-cell;\\n    width: auto;\\n    text-align: center;\\n  }\\n  li:first-child {\\n    text-align: left;\\n  }\\n\\n  li:last-child {\\n    text-align: right;\\n  }\\n  .fa,\\n  a {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n\\n  .d-icon-user {\\n    margin-right: 0.475em;\\n  }\\n}\\n",\n\t\t".request-group-membership-form {\\n  label {\\n    font-weight: bold;\\n  }\\n}\\n\\n.group-add-membership-request-template {\\n  width: 98%;\\n}\\n",\n\t\t".d-editor-container {\\n  display: flex;\\n  flex-grow: 1;\\n  max-width: 100%;\\n}\\n\\n.d-editor {\\n  display: flex;\\n  flex-grow: 1;\\n  min-height: 0;\\n}\\n\\n.d-editor-textarea-wrapper,\\n.d-editor-preview-wrapper {\\n  flex: 1;\\n}\\n\\n.d-editor-textarea-wrapper {\\n  display: flex;\\n  flex-direction: column;\\n  background-color: $secondary;\\n  position: relative;\\n  border: 1px solid $primary-medium;\\n\\n  textarea {\\n    background: transparent;\\n  }\\n\\n  &.disabled {\\n    cursor: not-allowed;\\n    .d-editor-button-bar {\\n      visibility: hidden;\\n    }\\n  }\\n}\\n\\n.d-editor-preview-wrapper {\\n  max-width: 49%;\\n  margin-left: 1%;\\n  display: flex;\\n  flex-direction: column;\\n}\\n\\n.d-editor-button-bar {\\n  display: flex;\\n  align-items: center;\\n  min-height: 30px;\\n  border-bottom: 1px solid $primary-low;\\n\\n  .btn,\\n  .btn-default {\\n    background-color: transparent;\\n    display: inline-block;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n\\n    svg {\\n      -webkit-transform: translate3d(\\n        0,\\n        0,\\n        0\\n      ); // Hack: Reduces composer icon jitter while scrolling in Safari on iOS12\\n    }\\n  }\\n\\n  .d-editor-spacer {\\n    height: 1em;\\n    display: inline-block;\\n    border-left: 1px solid $primary-low-mid;\\n  }\\n\\n  .btn:not(.no-text) {\\n    font-size: $font-up-1;\\n  }\\n\\n  .btn.bold {\\n    font-weight: bolder;\\n  }\\n\\n  .btn.italic {\\n    font-style: italic;\\n  }\\n}\\n\\n.d-editor-preview-wrapper {\\n  overflow: auto;\\n  cursor: default;\\n  -webkit-overflow-scrolling: touch;\\n}\\n\\n.d-editor-input,\\n.d-editor-preview {\\n  box-sizing: border-box;\\n  flex: 1 1 100%;\\n  width: 100%;\\n  margin: 0;\\n  min-height: auto;\\n  word-wrap: break-word;\\n  -webkit-appearance: none;\\n  border-radius: 0;\\n  &:focus {\\n    box-shadow: none;\\n    border: 0;\\n    outline: 0;\\n  }\\n}\\n\\n.d-editor-input {\\n  border: 0;\\n  padding: 10px;\\n  height: 100%;\\n  overflow-x: hidden;\\n  resize: none;\\n}\\n\\n.d-editor-preview {\\n  height: auto;\\n}\\n\\n.d-editor-plugin {\\n  display: flex;\\n  flex: 1 1;\\n  overflow: auto;\\n}\\n\\n.composing-whisper .d-editor-preview {\\n  font-style: italic;\\n  color: $primary-medium !important;\\n}\\n\\n.d-editor-preview > *:first-child {\\n  margin-top: 0;\\n}\\n\\n.hide-preview .d-editor-preview-wrapper {\\n  display: none;\\n  flex: 0;\\n}\\n\\n.user-preferences .bio-composer,\\n.group-form-bio,\\n.edit-category-tab-topic-template {\\n  textarea {\\n    width: 100%;\\n    height: 100%;\\n    min-height: 10em;\\n  }\\n  .d-editor-container {\\n    display: block;\\n  }\\n  .d-editor-textarea-wrapper {\\n    border: 1px solid $primary-low;\\n  }\\n  .d-editor-preview-wrapper {\\n    max-width: 100%;\\n    margin: 10px 0 0 0;\\n  }\\n  .d-editor-preview {\\n    background-color: $primary-very-low;\\n    padding: 5px;\\n    &:empty {\\n      padding: 0;\\n    }\\n  }\\n}\\n\\n.user-preferences .bio-composer,\\n.group-form-bio {\\n  padding: 10px;\\n  border: 1px solid $primary-low;\\n}\\n\\n.d-editor-preview img {\\n  padding-bottom: 1.4em;\\n  &.emoji,\\n  &.avatar,\\n  &.site-icon {\\n    padding-bottom: 0;\\n  }\\n}\\n\\n.d-editor-preview .image-wrapper {\\n  position: relative;\\n  display: inline-block;\\n  padding-bottom: 1.4em;\\n\\n  img {\\n    padding-bottom: 0;\\n  }\\n\\n  &:hover {\\n    .button-wrapper {\\n      opacity: 0.9;\\n    }\\n  }\\n  .button-wrapper {\\n    opacity: 0;\\n    position: absolute;\\n    transition: all 0.25s;\\n    display: flex;\\n    align-items: center;\\n    bottom: 0;\\n    left: 0;\\n    .separator {\\n      color: $primary-low-mid;\\n    }\\n\\n    .scale-btn {\\n      color: $tertiary;\\n      padding: 0 0.4em;\\n      &:first-of-type {\\n        padding-left: 0;\\n      }\\n\\n      &.active {\\n        font-weight: bold;\\n        color: $primary;\\n      }\\n\\n      &:not(.active):hover {\\n        text-decoration: underline;\\n        cursor: pointer;\\n      }\\n    }\\n  }\\n}\\n\\n.mobile-view .d-editor-preview .image-wrapper .button-wrapper {\\n  opacity: 1;\\n}\\n\\n// d-editor bar button sizing for all editors - this is kept seprate to keep\\n// everything in one place\\n.d-editor-button-bar {\\n  margin: 0.25em;\\n\\n  // shared styles for all font sizes\\n  .btn,\\n  .btn-default {\\n    padding: 0 0.5em;\\n  }\\n  .d-editor-spacer {\\n    margin: 0 0.25em;\\n  }\\n\\n  // small text size\\n  .text-size-smaller & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.4em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n      .d-editor-spacer {\\n        margin: 0 0.25em;\\n      }\\n    }\\n  }\\n\\n  // normal text size\\n  .text-size-normal & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.35em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.25em;\\n      }\\n    }\\n  }\\n\\n  // larger text size\\n  .text-size-larger & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.2em;\\n      }\\n    }\\n  }\\n\\n  // largest text size\\n  .text-size-largest & {\\n    .btn,\\n    .btn-default {\\n      font-size: $font-down-1;\\n    }\\n\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.2em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".timeline-loading {\\n  width: 900px;\\n}\\n\\n.timeline-container {\\n  box-sizing: border-box;\\n  z-index: z(\\"timeline\\");\\n  margin-left: 757px;\\n\\n  @include breakpoint(extra-large, min-width) {\\n    margin-left: 820px;\\n  }\\n  @media all and (min-width: 1250px) {\\n    margin-left: 900px;\\n  }\\n\\n  position: fixed;\\n  -webkit-transform: translate3d(0, 0, 0);\\n\\n  &.timeline-docked {\\n    position: absolute;\\n  }\\n\\n  &.timeline-docked-bottom {\\n    .timeline-footer-controls {\\n      opacity: 0;\\n      pointer-events: none;\\n      cursor: default;\\n    }\\n  }\\n\\n  &.timeline-fullscreen.show {\\n    max-height: 700px;\\n    transition: max-height 0.4s ease-out;\\n    @media screen and (max-height: 425px) {\\n      max-height: 75vh;\\n    }\\n    .topic-timeline {\\n      .timeline-footer-controls {\\n        display: inherit;\\n      }\\n    }\\n    .timeline-controls {\\n      display: table-cell;\\n      vertical-align: top;\\n    }\\n  }\\n\\n  &.timeline-fullscreen {\\n    max-height: 0;\\n    transition: max-height 0.3s ease-in;\\n    position: fixed;\\n    margin-left: 0;\\n    background-color: $secondary;\\n    bottom: 0;\\n    left: 0;\\n    right: 0;\\n    border-top: 1px solid dark-light-choose($primary-low, $secondary-low);\\n    box-shadow: shadow(\\"composer\\");\\n    padding-top: 20px;\\n    z-index: z(\\"fullscreen\\");\\n    @media screen and (max-height: 425px) {\\n      padding-top: 10px;\\n    }\\n    .back-button {\\n      display: none;\\n    }\\n    .topic-timeline {\\n      width: 100%;\\n      table-layout: fixed;\\n      margin-left: 0;\\n      margin-right: 0;\\n      display: table;\\n      touch-action: none;\\n\\n      .timeline-date-wrapper {\\n        float: right;\\n        text-align: right;\\n      }\\n      .post-excerpt {\\n        max-width: 650px;\\n        max-height: 165px;\\n        line-height: $line-height-large;\\n        overflow: hidden;\\n        word-wrap: break-word;\\n        text-overflow: ellipsis;\\n        display: block;\\n        display: -webkit-box;\\n        -webkit-line-clamp: 8;\\n        @media screen and (max-height: 425px) {\\n          -webkit-line-clamp: 5;\\n        }\\n        -webkit-box-orient: vertical;\\n      }\\n      .username {\\n        color: dark-light-choose($primary-high, $secondary-low);\\n        word-wrap: break-word;\\n        font-weight: bold;\\n      }\\n      .title {\\n        margin-top: 0;\\n        padding-left: 1em;\\n        display: table-cell;\\n        vertical-align: top;\\n        width: 100%;\\n        h2 {\\n          margin-top: 0;\\n          display: block;\\n          display: -webkit-box;\\n          -webkit-line-clamp: 4;\\n          -webkit-box-orient: vertical;\\n          max-height: 110px;\\n          line-height: $line-height-medium;\\n          word-wrap: break-word;\\n          text-overflow: ellipsis;\\n          overflow: hidden;\\n          font-size: $font-up-2;\\n        }\\n        a {\\n          color: $primary;\\n        }\\n      }\\n      .timeline-last-read {\\n        right: 0;\\n        margin-left: 0;\\n        .progress {\\n          display: none;\\n        }\\n      }\\n      .timeline-footer-controls {\\n        display: none;\\n        position: absolute;\\n        bottom: 10px;\\n        left: 10px;\\n\\n        button,\\n        .btn-group {\\n          float: none;\\n          display: inline-block;\\n          margin-bottom: 0;\\n          margin-right: 15px;\\n          position: static;\\n        }\\n      }\\n      .timeline-scrollarea-wrapper {\\n        display: table-cell;\\n        padding-bottom: 20px;\\n        padding-right: 1.5em;\\n        width: 100px;\\n      }\\n      .timeline-scrollarea {\\n        border-left: 0;\\n        border-right-style: solid;\\n        border-right-width: 1px;\\n        max-width: 120px;\\n        float: right;\\n\\n        .timeline-scroller {\\n          position: relative;\\n          margin-right: -1.5em;\\n          padding-right: 1.5em;\\n          justify-content: flex-end;\\n          .timeline-scroller-content {\\n            text-align: right;\\n            padding-left: 0;\\n            padding-right: 1em;\\n          }\\n          .timeline-handle {\\n            float: none;\\n            width: 11px;\\n            position: relative;\\n            right: -6px;\\n          }\\n        }\\n      }\\n    }\\n\\n    .timeline-scrollarea-wrapper::after {\\n      content: \\"\\";\\n      display: table;\\n      clear: both;\\n    }\\n  }\\n\\n  .topic-timeline {\\n    margin-left: 3em;\\n    transition: opacity 0.2s ease-in;\\n    touch-action: none;\\n\\n    .timeline-controls {\\n      margin-bottom: 1em;\\n\\n      button {\\n        margin-right: 0.5em;\\n      }\\n    }\\n\\n    .timeline-footer-controls {\\n      margin-top: 1.5em;\\n      transition: opacity 0.2s ease-in;\\n      display: flex;\\n\\n      button {\\n        margin-right: 0.5em;\\n      }\\n\\n      button:last-child {\\n        margin-right: 0;\\n      }\\n    }\\n\\n    .start-date {\\n      @include unselectable;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    .timeline-scrollarea {\\n      margin-top: 0.5em;\\n      margin-left: 0.5em;\\n      border-left: 1px solid;\\n      border-color: dark-light-choose($tertiary-low, $tertiary-high);\\n      position: relative;\\n      -webkit-transform: translate3d(0, 0, 0);\\n    }\\n\\n    .timeline-padding {\\n      transition: height 0.15s ease-out;\\n      cursor: pointer;\\n      .widget-dragging & {\\n        transition: none;\\n      }\\n    }\\n\\n    .timeline-handle {\\n      border-radius: 0.8em;\\n      width: 0.35em;\\n      background-color: dark-light-choose($tertiary-low, $tertiary-high);\\n      height: 100%;\\n      float: left;\\n      z-index: z(\\"base\\") + 1;\\n    }\\n\\n    .timeline-scroller-content {\\n      padding-left: 1em;\\n    }\\n\\n    .timeline-ago {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    .timeline-scroller {\\n      @include unselectable;\\n      margin-left: -0.19em;\\n      cursor: ns-resize;\\n      display: flex;\\n      align-items: center;\\n\\n      .back-button {\\n        margin-top: 1em;\\n      }\\n    }\\n\\n    .timeline-replies {\\n      font-weight: bold;\\n    }\\n\\n    .timeline-last-read {\\n      position: absolute;\\n      margin-left: -0.35em;\\n      .progress {\\n        font-size: 0.8em;\\n        color: $tertiary;\\n        margin-right: 1em;\\n      }\\n      z-index: z(\\"base\\") + 2; // above timeline-handle\\n    }\\n\\n    .back-button {\\n      min-height: unset;\\n      padding: 2px 5px;\\n    }\\n\\n    .now-date {\\n      @include unselectable;\\n      display: inline-block;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      margin-top: 0.5em;\\n    }\\n  }\\n}\\n",\n\t\t"h3 .top-title-buttons button {\\n  margin-top: 0.5em;\\n}\\n",\n\t\t"// there are (n) new or updated topics, click to show\\n.alert.alert-info {\\n  margin: 0;\\n  &.clickable {\\n    padding: 1em;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Banner\\n// --------------------------------------------------\\n\\n#banner {\\n  // go full width on mobile, by extending into the 10px wrap\\n  // borders on left and right\\n  margin: 0 -10px;\\n  max-height: 180px;\\n  @media all and (max-height: 499px) {\\n    max-height: 100px;\\n  }\\n}\\n",\n\t\t".composer-popup-container {\\n  display: none !important; // can be removed if inline JS CSS is removed from composer-popup\\n}\\n\\n.composer-popup {\\n  display: none !important; // can be removed if inline JS CSS is removed from composer-popup\\n}\\n\\n#reply-control {\\n  z-index: z(\\"mobile-composer\\");\\n  .reply-area {\\n    padding: 0 10px;\\n    padding-bottom: env(safe-area-inset-bottom);\\n    @media screen and (max-width: 374px) {\\n      padding: 0 5px;\\n    }\\n    flex-grow: 1;\\n  }\\n\\n  &.open {\\n    height: 250px;\\n    &.edit-title {\\n      height: 100%;\\n    }\\n  }\\n\\n  body.ios-safari-composer-hacks &.open {\\n    height: calc(var(--composer-vh, 1vh) * 100);\\n    .reply-area {\\n      padding-bottom: 0px;\\n    }\\n  }\\n\\n  .reply-to {\\n    margin: 5px 0;\\n    .reply-details {\\n      max-width: calc(100% - 75px);\\n    }\\n\\n    // Protection for languages with long strings on very small screens. This\\n    // has no effect on most users but we need it for some cases. If this is\\n    // not added, \\"add edit reason\\" will overlap with the composer controls\\n    @include breakpoint(mobile-small) {\\n      .reply-details {\\n        flex-wrap: wrap;\\n      }\\n\\n      .display-edit-reason {\\n        margin-top: 0.5em;\\n      }\\n\\n      .composer-controls {\\n        align-self: flex-start;\\n      }\\n    }\\n  }\\n\\n  .toggler {\\n    margin-left: -5px;\\n    .d-icon-chevron-down {\\n      vertical-align: text-top;\\n    }\\n  }\\n\\n  &.draft {\\n    padding-bottom: env(safe-area-inset-bottom);\\n\\n    .toggle-toolbar,\\n    .toggler {\\n      top: 8px;\\n    }\\n    .draft-text {\\n      width: calc(100% - 40px);\\n      @include ellipsis;\\n    }\\n  }\\n\\n  #reply-title {\\n    width: calc(100% - 20px);\\n  }\\n\\n  .category-input {\\n    margin-bottom: 5px;\\n    .category-chooser {\\n      width: 100% !important;\\n    }\\n  }\\n\\n  .submit-panel {\\n    margin-bottom: 5px;\\n    align-items: baseline;\\n    .save-or-cancel {\\n      flex: 1 1 auto;\\n      #draft-status,\\n      #file-uploading {\\n        margin-left: 6px;\\n      }\\n      .cancel {\\n        font-size: 1.4em;\\n        color: $primary-low-mid;\\n        margin-left: 0.6em;\\n        padding: 3px 6px;\\n      }\\n    }\\n    .mobile-file-upload:not(.hidden),\\n    .mobile-preview {\\n      // Alignment fix, remove if converted to buttons\\n      display: inline-flex;\\n    }\\n    .mobile-file-upload {\\n      &.hidden + .mobile-preview {\\n        // Hide preview button while file is uploading to make room for upload progress\\n        display: none;\\n      }\\n    }\\n\\n    .mobile-preview {\\n      margin-left: 0.25em;\\n    }\\n  }\\n\\n  .d-editor-textarea-wrapper {\\n    width: 100%;\\n  }\\n\\n  &.show-preview {\\n    .d-editor-preview-wrapper {\\n      position: fixed;\\n      z-index: z(\\"fullscreen\\");\\n      top: 0;\\n      bottom: 0;\\n      left: 0;\\n      right: 0;\\n      background-color: $secondary;\\n      max-width: 100%;\\n      margin: 0;\\n      padding: 10px;\\n      overflow: auto;\\n      .d-editor-preview {\\n        margin-bottom: 40px;\\n      }\\n    }\\n    .btn.hide-preview {\\n      position: fixed;\\n      right: 5px;\\n      bottom: 5px;\\n      z-index: z(\\"fullscreen\\") + 1;\\n    }\\n  }\\n\\n  &.hide-preview {\\n    .d-editor-preview-wrapper {\\n      display: none;\\n    }\\n  }\\n\\n  .d-editor-button-bar {\\n    display: none;\\n  }\\n\\n  .toolbar-visible .d-editor-button-bar {\\n    display: flex;\\n  }\\n\\n  .d-editor-button-bar .btn {\\n    &.preview {\\n      margin: 0;\\n    }\\n  }\\n\\n  #mobile-uploader {\\n    display: none;\\n  }\\n\\n  .title-and-category,\\n  .user-selector {\\n    margin: 0;\\n    .users-input {\\n      margin-bottom: 5px;\\n    }\\n  }\\n\\n  .with-tags {\\n    .category-input {\\n      flex-basis: auto;\\n      flex: 1 0 0px;\\n      margin: 0;\\n      width: 45%;\\n      margin-bottom: 5px;\\n    }\\n\\n    .mini-tag-chooser {\\n      width: 50%;\\n      flex: 1 0 0px;\\n      margin-left: 5px;\\n      margin-bottom: 5px;\\n      z-index: z(\\"base\\");\\n    }\\n  }\\n\\n  .title-input,\\n  .category-input,\\n  .users-input,\\n  .add-warning {\\n    width: 100%;\\n  }\\n\\n  .add-warning {\\n    margin: 0 0 5px 5px;\\n  }\\n\\n  .whisper {\\n    margin-right: 5px;\\n  }\\n}\\n",\n\t\t"// Mobile\\n// global styles that apply to the Discourse application specifically\\n// BEWARE: changing these styles implies they take effect anywhere they are seen\\n// throughout the Discourse application\\n\\n// Base Elements\\n\\nbody {\\n  background-color: $secondary;\\n}\\n\\n.ios-device {\\n  textarea {\\n    background-color: $secondary;\\n    font-size: $font-size-ios-input;\\n  }\\n\\n  input {\\n    &[type=\\"text\\"],\\n    &[type=\\"password\\"],\\n    &[type=\\"datetime\\"],\\n    &[type=\\"datetime-local\\"],\\n    &[type=\\"date\\"],\\n    &[type=\\"month\\"],\\n    &[type=\\"time\\"],\\n    &[type=\\"week\\"],\\n    &[type=\\"number\\"],\\n    &[type=\\"email\\"],\\n    &[type=\\"url\\"],\\n    &[type=\\"search\\"],\\n    &[type=\\"tel\\"],\\n    &[type=\\"color\\"] {\\n      font-size: $font-size-ios-input;\\n    }\\n  }\\n}\\n\\nblockquote {\\n  /* 13px left is intentional here to properly align with post quotes */\\n  padding: 10px 8px 10px 13px;\\n\\n  p {\\n    margin: 0 0 10px 0;\\n\\n    &:last-of-type {\\n      margin-bottom: 0;\\n    }\\n  }\\n}\\n\\n// Common classes\\n.wrap {\\n  padding: 0 10px;\\n}\\n\\n.boxed {\\n  .contents {\\n    padding: 10px 0 0 0;\\n  }\\n}\\n\\n.control-group {\\n  margin-bottom: 9px;\\n}\\n\\n// categories should not be bold on mobile; they fight with the topic title too much\\n.badge-wrapper {\\n  font-weight: normal;\\n}\\n\\n.mobile-nav {\\n  margin: 0;\\n  padding: 0;\\n  list-style: none;\\n  overflow: visible;\\n  position: relative;\\n  border: 1px solid $primary-medium;\\n  // Prevents the dropdowns from collapsing while content loads, so they look more like placeholders and less like dark 2px lines\\n  min-height: 37px;\\n\\n  a {\\n    color: $primary;\\n    .d-icon {\\n      margin-right: 0.25em;\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  > li > a {\\n    display: flex;\\n    align-items: center;\\n    padding: 8px 10px;\\n    height: 100%;\\n    width: 100%;\\n    box-sizing: border-box;\\n  }\\n\\n  .expander .d-icon {\\n    &:last-of-type {\\n      margin-left: auto;\\n      margin-right: 0;\\n    }\\n  }\\n\\n  .drop {\\n    display: none;\\n    &.expanded {\\n      left: 0;\\n      display: block;\\n      position: absolute;\\n      z-index: z(\\"dropdown\\");\\n      background-color: $secondary;\\n      width: 100%;\\n      list-style: none;\\n      margin: 0;\\n      padding: 5px;\\n      border: 1px solid $primary-low;\\n      box-sizing: border-box;\\n\\n      li {\\n        margin: 5px 0;\\n        padding: 0;\\n\\n        a {\\n          height: 100%;\\n          display: block;\\n          padding: 5px 8px;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.form-vertical {\\n  .control-group {\\n    margin-bottom: 12px;\\n  }\\n}\\n\\n// Special elements\\n#main {\\n  position: relative;\\n}\\n\\n// Styles used before the user is logged into discourse. For example, activating\\n// their account or changing their email.\\n#simple-container {\\n  width: 90%;\\n}\\n\\n// this is used to provide visual feedback that indicates that the user / group\\n// cards are loading after the user clicks on an avatar. It's mostly for very slow\\n// connections. Users on good connections won't notice it.\\n[data-user-card]:focus {\\n  .avatar,\\n  + .avatar-flair {\\n    animation: wave 0.75s infinite;\\n    animation-delay: 0.5s;\\n  }\\n  .avatar {\\n    position: relative;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Discourse header\\n// --------------------------------------------------\\n\\n.d-header {\\n  height: 3.66em;\\n\\n  // some protection for text-only site titles\\n  .title {\\n    max-width: 75%;\\n    @include ellipsis;\\n    -webkit-animation: fadein 0.5s;\\n    animation: fadein 0.5s;\\n    // This acts as a placeholder if for some reason the small logo takes a while\\n    // to load - prevents topic title from shifting after the small logo loads.\\n    // It's hardcoded to 36px because that's the width we use inline for the small\\n    // logo in the home-logo widget.\\n    min-width: 36px;\\n    a {\\n      display: block;\\n      width: 100%;\\n    }\\n  }\\n\\n  #site-logo {\\n    max-height: 2.4em;\\n    max-width: 100%;\\n  }\\n  #site-text-logo {\\n    margin: 0;\\n    font-size: $font-up-1;\\n  }\\n  .extra-info-wrapper {\\n    .extra-info {\\n      // header title should not be centered if there's no tags / categories\\n      &:not(.two-rows) {\\n        min-height: 2.25em;\\n      }\\n      .header-title {\\n        font-size: $font-0;\\n        margin: 0 0 0.35em 0;\\n        .archetype-private_message & {\\n          // PMs might have participant avatars in the header\\n          margin: 0 0 0.15em 0;\\n        }\\n      }\\n      .private-message-glyph-wrapper {\\n        float: left;\\n      }\\n    }\\n  }\\n  button.sign-up-button {\\n    display: none;\\n  }\\n\\n  // Hide header avatar + icons while topic title is visible in mobile header\\n  .extra-info-wrapper + .panel {\\n    .header-buttons,\\n    .d-header-icons {\\n      display: none;\\n    }\\n  }\\n  // Fade in header avatar + icons if topic title is not visible in mobile header\\n  .panel {\\n    animation: fadein 0.5s;\\n  }\\n  // A rendering bug in safari causes header SVGs to jitter after animations.\\n  // translateZ() forces gpu rendering which fixes the issue.\\n  .d-header-icons {\\n    -webkit-transform: translateZ(0);\\n  }\\n}\\n\\n.d-header-icons {\\n  .d-icon {\\n    line-height: $line-height-medium;\\n  }\\n  .active .icon {\\n    &:after {\\n      margin-top: -1px;\\n    }\\n  }\\n}\\n\\n#main-outlet {\\n  padding-top: 4.2857em;\\n}\\n\\n.search-link .badge-category {\\n  display: none;\\n}\\n",\n\t\t"// shared styles\\n// used in both login and\\n// create account modals\\n.login-modal,\\n.create-account {\\n  .modal-inner-container {\\n    max-width: 350px;\\n  }\\n\\n  .close {\\n    padding: 0;\\n  }\\n\\n  #login-buttons:not(.hidden) {\\n    display: flex;\\n    flex-wrap: wrap;\\n    justify-content: center;\\n    width: 102%;\\n    padding-bottom: 10px;\\n    margin-left: -2%;\\n\\n    button {\\n      flex: 1 1 47%;\\n      max-width: 70%;\\n      margin: 1% 0 1% 2%;\\n      font-size: $font-0;\\n      white-space: nowrap;\\n      @media screen and (max-width: 360px) {\\n        font-size: $font-0;\\n      }\\n    }\\n\\n    + #login-form {\\n      border-top: 1px solid $primary-low;\\n    }\\n  }\\n\\n  form {\\n    display: flex;\\n    justify-content: center;\\n    flex-direction: column;\\n  }\\n\\n  table {\\n    width: 100%;\\n  }\\n\\n  tr {\\n    &.input td label {\\n      margin-top: 0.75em;\\n    }\\n\\n    td label {\\n      max-width: 280px;\\n      display: block;\\n      overflow: hidden;\\n      word-wrap: break-word;\\n    }\\n\\n    &:not(.instructions) td {\\n      padding: 2px 0 0 0;\\n    }\\n\\n    &:not(.password-confirmation) {\\n      display: flex;\\n      flex-direction: column;\\n    }\\n  }\\n\\n  .tip {\\n    &:not(:empty) + td {\\n      display: none;\\n    }\\n  }\\n\\n  .modal-body input[type=\\"text\\"],\\n  .modal-body input[type=\\"email\\"],\\n  .modal-body input[type=\\"password\\"],\\n  .modal-body input[type=\\"tel\\"] {\\n    margin-top: 0;\\n    width: 100%;\\n    box-sizing: border-box;\\n  }\\n\\n  .modal-footer {\\n    box-sizing: border-box;\\n    margin: 0 auto;\\n    font-size: $font-down-1;\\n  }\\n\\n  .alert.alert-error {\\n    padding: 0.5em 1em;\\n    margin: 0;\\n  }\\n\\n  #new-account-link {\\n    white-space: nowrap;\\n  }\\n}\\n\\n// Styles for the\\n// login modal only\\n.d-modal.login-modal {\\n  #credentials {\\n    width: 100%;\\n    tr {\\n      display: flex;\\n      flex-direction: column;\\n    }\\n  }\\n\\n  #login-form {\\n    margin-bottom: 0.75em;\\n    td {\\n      padding: 0;\\n      width: 100%;\\n      margin: 0 auto;\\n    }\\n\\n    label {\\n      float: left;\\n      display: block;\\n    }\\n    textarea,\\n    input,\\n    select {\\n      font-size: $font-up-1;\\n      clear: left;\\n      margin-top: 0;\\n    }\\n  }\\n\\n  tr {\\n    td label {\\n      margin-top: 0.75em;\\n      padding: 4px 0;\\n    }\\n  }\\n}\\n\\n// styles for the\\n// create account\\n// modal only\\n.create-account .modal-body {\\n  display: flex;\\n  flex-direction: column;\\n  tr.instructions {\\n    label {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  #login-buttons {\\n    border-bottom: 1px solid $primary-low;\\n  }\\n\\n  .login-form {\\n    margin-bottom: 0.75em;\\n  }\\n}\\n\\n.create-account {\\n  .user-fields {\\n    display: flex;\\n    flex-direction: column;\\n  }\\n\\n  .user-field {\\n    display: flex;\\n    flex-direction: column;\\n\\n    > label {\\n      width: auto;\\n    }\\n    .controls {\\n      margin-left: 0;\\n      label {\\n        line-height: $line-height-medium;\\n      }\\n    }\\n  }\\n}\\n\\n.password-reset,\\n.email-login,\\n.invites-show {\\n  margin-top: 30px;\\n  .col-image {\\n    padding-top: 12px;\\n  }\\n  .password-reset-img {\\n    width: 50px;\\n    height: 50px;\\n  }\\n  .col-form {\\n    padding-left: 8px;\\n  }\\n  h2 {\\n    margin-bottom: 12px;\\n  }\\n  .tip {\\n    display: block;\\n    margin: 6px 0;\\n  }\\n}\\n\\n.password-reset .tip {\\n  max-width: 180px;\\n}\\n\\n.discourse-touch .password-reset {\\n  .instructions {\\n    margin-bottom: 16px;\\n  }\\n}\\n\\n.invites-show {\\n  .col-image {\\n    display: none;\\n  }\\n}\\n",\n\t\t"// base styles for every modal popup used in Discourse\\n\\n.modal-open #main {\\n  overflow: hidden;\\n}\\n\\n.modal-middle-container {\\n  max-width: 100%;\\n  margin-bottom: 30px; // For iOS Safari issues\\n}\\n\\n// Hardcode to be the same as before for now. I would recommend not using bootbox, or finding a way so the html structure can be the same\\n.bootbox.modal {\\n  top: 10%;\\n  width: 100%;\\n}\\n\\n.modal.fade {\\n  transition: opacity 0.3s linear, top 0.3s ease-out;\\n  top: -25%;\\n}\\n.modal.fade.in {\\n  top: 50%;\\n}\\n.modal-body {\\n  padding: 10px;\\n}\\n\\n// we need a little extra room on mobile for the\\n// stuff inside the footer to fit\\n.modal-footer {\\n  padding: 10px;\\n}\\n\\n.modal-header {\\n  padding: 10px;\\n  h3 {\\n    font-size: $font-up-2;\\n  }\\n}\\n\\n.close {\\n  font-size: $font-up-4;\\n}\\n\\n#move-selected {\\n  p {\\n    margin-top: 0;\\n  }\\n\\n  input[type=\\"radio\\"] {\\n    margin-right: 10px;\\n  }\\n\\n  .category-chooser {\\n    margin-bottom: 9px;\\n  }\\n\\n  button {\\n    margin-top: 10px;\\n    display: block;\\n    width: 300px;\\n  }\\n\\n  form {\\n    margin-top: 20px;\\n    input:not(.filter-input)[type=\\"text\\"] {\\n      box-sizing: border-box;\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n@media only screen and (max-device-width: 568px) {\\n  .modal .flag-modal .flag-message {\\n    height: 3em;\\n  }\\n}\\n\\n.edit-category-modal {\\n  .modal-body {\\n    position: relative;\\n    height: 350px;\\n  }\\n  &.small .modal-body {\\n    height: 310px;\\n  }\\n\\n  .disable_info_wrap .cannot_delete_reason {\\n    top: -114px;\\n    right: 8px;\\n    min-width: 200px;\\n  }\\n}\\n\\n/* fixes for the new account confirm dialog on mobile */\\n\\n.modal-inner-container {\\n  margin-bottom: 20px;\\n}\\n\\n/* fix for tall modals */\\n\\n.fixed-modal {\\n  .modal-middle-container {\\n    margin-bottom: 0;\\n  }\\n  .modal-inner-container {\\n    max-height: 90vh;\\n    overflow: auto;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Topic lists\\n// --------------------------------------------------\\n\\n// List controls\\n// --------------------------------------------------\\n\\n.list-controls {\\n  margin: 10px -3px 5px -3px;\\n  .category-breadcrumb.hidden {\\n    display: none;\\n  }\\n\\n  .container {\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n    #create-topic {\\n      box-sizing: border-box;\\n      display: flex;\\n      align-self: stretch;\\n      align-items: center;\\n      margin: 0 3px 10px 3px;\\n      order: 10; // always last for consistent placement\\n    }\\n  }\\n\\n  .dropdown-select-box-header {\\n    display: flex;\\n    height: 100%;\\n  }\\n\\n  .navigation-container {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 100%;\\n    margin: 5px 0;\\n\\n    button {\\n      margin: 0 3px;\\n\\n      &.select-kit-header {\\n        display: flex;\\n        height: 100%;\\n        flex: 1 1 auto;\\n      }\\n    }\\n  }\\n\\n  .select-kit:not(.is-hidden) {\\n    display: flex;\\n    align-self: stretch;\\n    margin-bottom: 10px;\\n  }\\n\\n  .btn:not(.select-kit-header) {\\n    margin-bottom: 10px;\\n  }\\n\\n  .categories-admin-dropdown,\\n  .tag-notifications-button {\\n    order: 2; // after main nav\\n  }\\n\\n  .category-navigation {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 100%;\\n    .edit-category {\\n      .d-icon {\\n        margin: 0;\\n      }\\n      @media screen and (max-width: 374px) {\\n        // Hide edit label on very tiny screens\\n        .d-button-label {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n\\n  .nav-pills {\\n    display: flex;\\n    flex: 1 1 auto;\\n    margin: 0 3px 5px 3px;\\n    position: relative;\\n    .navigation-toggle {\\n      flex: 0 1 auto;\\n      margin-bottom: 5px;\\n    }\\n    > li {\\n      margin-right: 0;\\n      font-size: $font-down-1;\\n      border: 1px solid $primary-medium;\\n    }\\n    > li > a {\\n      line-height: $line-height-large;\\n      display: flex;\\n      align-items: center;\\n      .d-icon {\\n        margin-left: 5px;\\n      }\\n    }\\n    .drop {\\n      border: 1px solid $primary-low;\\n      position: absolute;\\n      z-index: z(\\"dropdown\\") - 1;\\n      background-color: $secondary;\\n      padding: 0 10px 10px 10px;\\n      width: 150px;\\n      top: 100%;\\n      margin: 0;\\n      left: 0; // iOS6 alignment\\n      li {\\n        list-style-type: none;\\n        margin-left: 0;\\n        margin-top: 5px;\\n        padding-top: 10px;\\n        a {\\n          width: 100%;\\n          display: inline-block;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.list-container .full-width {\\n  margin-left: 0;\\n}\\n\\n// Base list\\n// --------------------------------------------------\\n\\n.topic-list {\\n  .right {\\n    margin-left: 55px;\\n  }\\n\\n  th,\\n  td {\\n    padding: 7px 0;\\n    max-width: 300px;\\n  }\\n\\n  .main-link {\\n    line-height: $line-height-medium;\\n    position: relative;\\n    z-index: z(\\"base\\") + 1; // Intentionally overlapping category to create bigger tap target\\n    a.title {\\n      color: $primary;\\n      padding: 0.5em 0 1.2em 0;\\n    }\\n    .topic-statuses {\\n      a {\\n        line-height: 0.8;\\n        color: $primary-medium;\\n      }\\n    }\\n  }\\n\\n  .badge-notification,\\n  .category-topic-link td.num .badge-notification {\\n    position: relative;\\n    display: inline-block;\\n    top: -1px;\\n    font-size: $font-0;\\n    line-height: $line-height-small;\\n    padding: 0.15em 0.4em 0.2em 0.4em;\\n    .d-icon {\\n      color: $secondary;\\n    }\\n\\n    &.new-topic::before {\\n      margin-right: 0;\\n    }\\n    &.new-topic {\\n      padding: 0;\\n    }\\n  }\\n\\n  .category-topic-link td.num .badge-notification {\\n    &.new-posts,\\n    &.unread-posts {\\n      color: dark-light-choose($secondary, $secondary);\\n    }\\n  }\\n\\n  .topic-item-stats {\\n    position: relative;\\n    margin-top: 0.25em;\\n    z-index: z(\\"base\\");\\n    .category,\\n    .num,\\n    .last-poster {\\n      float: left;\\n    }\\n    .category a {\\n      max-width: 160px;\\n    }\\n    .num .fa,\\n    a,\\n    a:visited {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  .age {\\n    white-space: nowrap;\\n    a {\\n      // let's make all ages dim on mobile so we're not\\n      // overwhelming people with info about each topic\\n      color: dark-light-choose($primary-low-mid, $secondary-high) !important;\\n    }\\n  }\\n}\\n\\n// Category list\\n// --------------------------------------------------\\n.categories-list .category-list {\\n  margin-left: -10px;\\n  margin-bottom: 2em;\\n\\n  td {\\n    padding: 12px 5px;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n    vertical-align: top;\\n  }\\n\\n  th {\\n    padding: 10px 0 0;\\n  }\\n\\n  td:first-of-type {\\n    padding-left: 10px;\\n  }\\n\\n  tbody {\\n    .category {\\n      border-left: 6px solid;\\n    }\\n  }\\n}\\n\\n.category-list-item.category {\\n  tr:first-of-type {\\n    border: none;\\n  }\\n  // Allow percentage widths on table cells to include their padding\\n  box-sizing: border-box;\\n  *,\\n  *:before,\\n  *:after {\\n    box-sizing: inherit;\\n  }\\n\\n  .posts {\\n    width: 10%;\\n    vertical-align: top;\\n  }\\n\\n  .age {\\n    margin-left: 5px;\\n  }\\n}\\n\\ntr.category-topic-link {\\n  border-bottom: 1px solid $primary-low;\\n  &:last-of-type {\\n    border-bottom: none;\\n  }\\n}\\n\\n.category-list-item {\\n  padding: 5px 0 2px;\\n  border-left: 6px solid;\\n  border-top: 1px solid;\\n\\n  h3 {\\n    max-width: 100%;\\n    font-size: $font-up-2;\\n    padding: 0 0 0 10px;\\n    .d-icon {\\n      margin-right: 5px;\\n    }\\n    a[href] {\\n      color: $primary;\\n    }\\n  }\\n\\n  .category-name {\\n    max-width: 80vw;\\n  }\\n\\n  .category-topic-link .main-link,\\n  .subcategories-list td,\\n  .category-description td {\\n    padding-left: 10px;\\n  }\\n\\n  .category-topic-link .main-link .age {\\n    font-size: $font-down-1;\\n  }\\n\\n  .category-description td {\\n    padding-top: 0;\\n    padding-bottom: 15px;\\n  }\\n\\n  .subcategories-list td {\\n    padding-top: 15px;\\n  }\\n\\n  .topic-list > tbody > tr {\\n    &:nth-child(odd) {\\n      background-color: $secondary;\\n    }\\n    &:nth-child(even) {\\n      background-color: $secondary;\\n    }\\n  }\\n\\n  th .badge-category {\\n    margin: 0;\\n  }\\n\\n  .category-topic-link {\\n    .num {\\n      white-space: nowrap;\\n    }\\n    .topic-excerpt {\\n      width: 110%;\\n    }\\n  }\\n\\n  .posters {\\n    float: left;\\n  }\\n  > footer {\\n    border-top: 1px solid $primary-low;\\n    padding: 7px 10px;\\n    figure {\\n      float: left;\\n      margin: 3px 7px 0 0;\\n      color: dark-light-choose($primary, $secondary-low);\\n      font-weight: bold;\\n      font-size: $font-down-1;\\n    }\\n    figcaption {\\n      display: inline;\\n      font-weight: normal;\\n    }\\n    .btn {\\n      float: right;\\n      margin-left: 7px;\\n    }\\n  }\\n}\\n\\n.category-box {\\n  h3 {\\n    margin: 0 0 0.5em 0;\\n  }\\n}\\n\\n.topic-list-bottom {\\n  margin: 20px 0 0 0;\\n}\\n\\n// Misc. stuff\\n// --------------------------------------------------\\n.btn-group .dropdown-toggle:active,\\n.btn-group.open .dropdown-toggle {\\n  outline: 0;\\n}\\n\\n.dropdown {\\n  position: relative;\\n}\\n.dropdown-toggle:active,\\n.open .dropdown-toggle {\\n  outline: 0;\\n}\\n.caret {\\n  display: inline-block;\\n  width: 0;\\n  height: 0;\\n  vertical-align: middle;\\n  border-top: 4px solid $primary;\\n  border-right: 4px solid transparent;\\n  border-left: 4px solid transparent;\\n  content: \\"\\";\\n  margin-left: 5px;\\n}\\n.dropdown-menu {\\n  position: relative;\\n  top: 100%;\\n  left: 0;\\n  z-index: z(\\"dropdown\\");\\n  display: none;\\n  float: left;\\n  width: 280px;\\n  padding: 4px 0;\\n  list-style: none;\\n  background-color: $secondary;\\n  border: 1px solid dark-light-choose(rgba(0, 0, 0, 0.2), $primary);\\n  border-radius: 5px;\\n  box-shadow: shadow(\\"dropdown\\");\\n  background-clip: padding-box;\\n  margin: 1px 0 20px;\\n  .title {\\n    font-weight: bold;\\n    display: block;\\n  }\\n}\\n.dropdown-menu a {\\n  display: block;\\n  padding: 3px 15px;\\n  clear: both;\\n  font-weight: normal;\\n  line-height: $line-height-medium;\\n  color: $primary;\\n}\\n.dropdown-menu li > a:hover,\\n.dropdown-menu .active > a,\\n.dropdown-menu .active > a:hover {\\n  color: $tertiary;\\n  text-decoration: none;\\n  background-color: $tertiary-low;\\n}\\n.open > .dropdown-menu {\\n  display: block;\\n  clear: both;\\n}\\n.fade {\\n  opacity: 0;\\n  transition: opacity linear 0.15s;\\n}\\n.fade.in {\\n  opacity: 1;\\n}\\n\\nol.category-breadcrumb {\\n  margin: 0 0 5px 0;\\n  display: flex;\\n  flex-wrap: wrap;\\n  flex: 1 1 100%;\\n  li.select-kit {\\n    flex: 1 1 33%;\\n    margin: 0 3px 5px 3px;\\n    .select-kit-header .selected-name {\\n      max-width: 80vw;\\n      .badge-wrapper {\\n        max-width: 100%;\\n      }\\n    }\\n  }\\n}\\n\\n.top-lists {\\n  h2 {\\n    margin-left: 10px;\\n  }\\n  .topic-list {\\n    padding-bottom: 10px;\\n  }\\n  .btn-default.pull-right {\\n    margin-right: 10px;\\n  }\\n}\\n\\n.tags-admin-menu {\\n  display: none;\\n}\\n\\n.staff.tags-page #create-topic {\\n  clear: right;\\n}\\n\\n.topic-list-bottom h3 {\\n  clear: both;\\n  padding-top: 10px;\\n}\\n\\n.category-logo.aspect-image {\\n  display: block;\\n  margin: 8px 0;\\n\\n  img {\\n    width: auto;\\n    max-width: 100%;\\n    max-height: 150px;\\n  }\\n}\\n\\n@supports (--custom: property) {\\n  .category-logo.aspect-image {\\n    --max-height: 150px;\\n    max-height: var(--max-height);\\n    width: calc(var(--max-height) * var(--aspect-ratio));\\n    max-width: 100%;\\n    height: auto;\\n\\n    img {\\n      width: 100%;\\n      height: inherit;\\n      max-width: initial;\\n      max-height: initial;\\n    }\\n  }\\n}\\n\\nbutton.dismiss-read {\\n  margin-right: 10px;\\n}\\n\\n// base defines extra padding for easier click/top of title field\\n// this is a bit too much for mobile\\ntd .main-link {\\n  width: 78%;\\n  display: inline-block;\\n  a.title {\\n    padding: 5px 10px 5px 0;\\n    word-wrap: break-word;\\n  }\\n}\\n.topic-list {\\n  .posts-map {\\n    font-size: $font-up-1;\\n  }\\n  // so the topic excerpt is full width\\n  // as the containing div is 80%\\n  .topic-excerpt {\\n    padding-right: 0;\\n    width: 120%;\\n  }\\n}\\n\\n.category-list.with-topics .category-list-item .category-description {\\n  display: none;\\n}\\n",\n\t\t"/* hide the reply border above the time gap notices */\\n.time-gap + .topic-post article {\\n  border-top: none;\\n}\\n\\n.time-gap {\\n  .topic-avatar {\\n    display: none;\\n  }\\n}\\n\\n.topic-post article {\\n  border-top: 1px solid $primary-low;\\n  padding: 15px 0 8px 0;\\n}\\n\\n.post-stream {\\n  padding-bottom: 30px;\\n}\\n\\nspan.badge-posts {\\n  margin-right: 5px;\\n}\\n\\n.show-replies {\\n  display: none;\\n}\\n\\n.topic-post {\\n  nav.post-controls {\\n    color: dark-light-choose($primary-low-mid, $secondary-high);\\n    .actions {\\n      display: flex;\\n    }\\n    // Handles the like and flag buttons in the post menu.\\n    .double-button {\\n      display: flex;\\n      flex: 0 1 auto;\\n      button {\\n        &.like,\\n        &.read-indicator,\\n        &.create-flag {\\n          flex: 1 1 auto;\\n        }\\n        &.button-count {\\n          padding: s(2 1 2 2);\\n          + .toggle-like,\\n          + .create-flag {\\n            padding: s(2 2 2 1);\\n          }\\n          &.my-likes,\\n          &.regular-likes {\\n            display: flex;\\n            max-width: unset;\\n            padding: s(2);\\n            .d-icon {\\n              padding-left: s(2);\\n            }\\n          }\\n        }\\n      }\\n    }\\n    .d-icon {\\n      opacity: 1;\\n    }\\n    button {\\n      border: none;\\n      font-size: $font-up-1;\\n      padding: 10px 8px;\\n      background: transparent;\\n      flex: 1 1 auto;\\n      max-width: 45px;\\n      &.hidden {\\n        display: none;\\n      }\\n      &.admin {\\n        position: relative;\\n      }\\n      &.expand-post {\\n        margin: 10px 0 10px 0;\\n      }\\n      &.reply {\\n        .d-icon {\\n          color: $primary-high;\\n        }\\n        margin-left: auto;\\n      }\\n      &.has-like {\\n        .d-icon {\\n          color: $love;\\n        }\\n      }\\n      &.bookmarked {\\n        .d-icon {\\n          color: $tertiary;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.post-admin-menu {\\n  display: inline-flex;\\n  flex-direction: column;\\n  box-sizing: border-box;\\n  background-color: $secondary;\\n  width: auto;\\n  max-width: 320px;\\n  padding: 10px;\\n  border: 1px solid $primary-low;\\n  position: absolute;\\n  text-align: left;\\n  bottom: -50px;\\n  left: 135px;\\n  @media screen and (max-width: 374px) {\\n    left: 50px;\\n  }\\n  z-index: z(\\"dropdown\\");\\n  h3 {\\n    margin-top: 0;\\n    color: $primary;\\n    font-size: $font-0;\\n  }\\n  ul {\\n    list-style: none;\\n    margin: 10px 0 0 0;\\n  }\\n  li {\\n    margin-bottom: 5px;\\n    .d-icon {\\n      width: 14px;\\n      margin-right: 10px;\\n    }\\n  }\\n}\\n\\n.embedded-posts {\\n  .topic-meta-data h5 a {\\n    margin-left: 10px;\\n  }\\n}\\n\\n.post-actions {\\n  /* overriding display: here was causing hidden element to take up space */\\n}\\n\\n.post-action {\\n  float: right;\\n  margin-right: 10px;\\n  clear: right;\\n}\\n\\n.post-action .relative-date {\\n  margin-left: 5px;\\n}\\n\\na.reply-to-tab {\\n  z-index: z(\\"base\\") + 1;\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  margin-right: 0.5em;\\n}\\n\\n.topic-post .boxed .contents {\\n  clear: both;\\n}\\n\\n.topic-map {\\n  margin: 10px 0;\\n  h4 {\\n    line-height: $line-height-medium;\\n  }\\n  .user {\\n    float: left;\\n    margin-right: 10px;\\n  }\\n  .map-collapsed {\\n    .secondary {\\n      display: none;\\n    }\\n  }\\n  .map {\\n    li {\\n      float: left;\\n      padding: 7px 8px;\\n      &:last-of-type {\\n        border-right: 0;\\n      }\\n    }\\n    .number {\\n      line-height: $line-height-medium;\\n    }\\n    .number,\\n    .d-icon {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n      font-size: $font-up-1;\\n    }\\n    .avatar + a {\\n      float: left;\\n    }\\n  }\\n  li.avatars {\\n    display: none;\\n  }\\n  .links,\\n  .information,\\n  .avatars {\\n    padding: 10px;\\n    color: $primary;\\n    overflow: auto;\\n  }\\n  .information {\\n    p {\\n      margin: 0 0 10px 0;\\n    }\\n  }\\n  .buttons {\\n    .btn {\\n      border: 0;\\n      padding: 0 15px;\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n      background: blend-primary-secondary(5%);\\n      border-left: 1px solid $primary-low;\\n      .fa {\\n        margin: 0;\\n        font-size: $font-up-2;\\n        line-height: 52px;\\n      }\\n    }\\n  }\\n  .link-summary .btn {\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n    background: blend-primary-secondary(5%);\\n    width: 100%;\\n  }\\n}\\n\\n#topic-footer-buttons {\\n  @include clearfix;\\n  padding: 20px 0 0 0;\\n  .d-icon-bookmark.bookmarked {\\n    color: $tertiary;\\n  }\\n  .combobox {\\n    margin-right: 0.5em;\\n    width: 160px;\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n#topic-footer-buttons {\\n  .topic-notifications-button,\\n  .pinned-button {\\n    display: flex;\\n    align-items: center;\\n    @include breakpoint(mobile-medium) {\\n      display: inline-block;\\n      .reason {\\n        display: block;\\n        margin: 0.5em 0 0 0;\\n      }\\n    }\\n  }\\n}\\n\\n#topic-footer-button {\\n  width: 100px;\\n  margin: 0 auto;\\n}\\n\\n.suggested-topics {\\n  clear: left;\\n  padding: 20px 0 15px 0;\\n  th.views,\\n  td.views,\\n  td.activity,\\n  th.activity,\\n  th.likes,\\n  td.likes {\\n    display: none;\\n  }\\n  a.badge-category,\\n  a.badge-category-parent {\\n    font-size: $font-down-1;\\n    vertical-align: top;\\n  }\\n}\\n\\nspan.post-count {\\n  background: $primary;\\n  color: $secondary;\\n  opacity: 0.8;\\n}\\n\\n#topic-footer-buttons {\\n  .btn {\\n    margin-bottom: 0.5em;\\n    margin-right: 0.5em;\\n  }\\n}\\n\\n#topic-title {\\n  z-index: z(\\"base\\") + 1;\\n  margin: 0 0 0 0 !important;\\n  padding: 15px 0;\\n}\\n\\n// mobile has no fixed width on topic-body so overflow: hidden causes problems\\n.topic-body {\\n  overflow: visible;\\n  .cooked {\\n    overflow: visible;\\n  }\\n}\\n\\n// instead, for mobile we set overflow hidden on the post's #main-outlet\\n// this prevents image overflow on deeply nested blockquotes, lists, etc\\n[class*=\\"archetype-\\"] #main-outlet {\\n  overflow: hidden;\\n}\\n\\n.quote-button.visible {\\n  display: block;\\n  z-index: z(\\"tooltip\\");\\n}\\n\\niframe {\\n  max-width: 100%;\\n}\\n\\n.open > .dropdown-menu {\\n  display: block;\\n}\\n\\n.dropdown-menu li {\\n  margin: 5px 0;\\n  .fa {\\n    float: left;\\n    margin-right: 5px;\\n    padding-top: 1px;\\n  }\\n  span {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  span.title {\\n    color: $primary;\\n  }\\n}\\n\\n.btn-group {\\n  margin-top: 25px;\\n  position: relative;\\n}\\n\\n.dropdown-toggle {\\n  float: left;\\n  position: relative;\\n}\\n\\n.selected-posts {\\n  padding: 0.1em 0.7em;\\n}\\n\\n// hide the full set of selection buttons on mobile\\n.select-posts button {\\n  display: none;\\n}\\n\\n// unhide the simple \\"select just this post\\" button\\nbutton.select-post {\\n  display: inline-block;\\n}\\n\\n.deleted {\\n  .topic-body {\\n    background-color: dark-light-diff(\\n      rgba($danger, 0.7),\\n      $secondary,\\n      50%,\\n      -60%\\n    );\\n  }\\n}\\n\\n.deleted-user-avatar {\\n  font-size: $font-up-5;\\n}\\n\\nspan.btn-text {\\n  display: none;\\n}\\n\\nblockquote {\\n  clear: both;\\n  /* leave browser defaults for top and bottom here */\\n  margin-left: 0;\\n  margin-right: 0;\\n}\\n\\n.gap {\\n  padding: 0.25em 0;\\n}\\n\\n.posts-wrapper {\\n  position: relative;\\n}\\n\\nspan.highlighted {\\n  background-color: $highlight-low;\\n}\\n\\n.topic-avatar {\\n  float: left;\\n  margin-right: 10px;\\n  z-index: z(\\"base\\") + 1;\\n  /* must render on top of topic-body + topic-meta-data, otherwise not tappable */\\n}\\n\\n.topic-meta-data {\\n  margin-left: 50px;\\n  font-size: $font-down-1;\\n  .names {\\n    line-height: $line-height-medium;\\n    display: flex;\\n    flex-wrap: wrap;\\n\\n    .full-name {\\n      font-weight: bold;\\n    }\\n\\n    .first {\\n      order: 1;\\n    }\\n\\n    .poster-icon {\\n      order: 2;\\n    }\\n\\n    .second {\\n      order: 3;\\n      flex-basis: 100%;\\n    }\\n\\n    .user-title {\\n      order: 4;\\n      flex-basis: 100%;\\n    }\\n    span {\\n      margin-right: 4px;\\n    }\\n  }\\n}\\n\\n.username.new-user a {\\n  color: $primary-low-mid;\\n}\\n\\n.user-title {\\n  color: $primary-medium;\\n  overflow: hidden;\\n  margin-right: 50px;\\n}\\n\\n.read-state {\\n  display: none;\\n}\\n\\n.signup-cta {\\n  margin-left: auto;\\n  margin-right: auto;\\n  width: calc(100% - 50px);\\n  a {\\n    margin-top: 7px;\\n  }\\n  button {\\n    margin-right: 7px;\\n  }\\n}\\n\\n.popup-menu {\\n  h3 {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n.post-notice {\\n  margin-bottom: 1em;\\n  &.old {\\n    border-top: none;\\n    padding-top: 0;\\n  }\\n}\\n",\n\t\t".post-info a {\\n  color: $primary-medium;\\n}\\n\\n.topic-meta-data-inside {\\n  float: right;\\n  margin-top: -38px;\\n  margin-right: 5px;\\n}\\n\\n.post-info {\\n  display: inline-block;\\n}\\n\\n#topic-title {\\n  margin: 0 60px 10px 0;\\n  h1 {\\n    font-size: $font-up-3;\\n    line-height: $line-height-medium;\\n    a {\\n      color: $primary;\\n      vertical-align: middle;\\n      word-wrap: break-word;\\n    }\\n  }\\n  .title-category-wrapper {\\n    margin-top: 5px;\\n  }\\n  .private-message-glyph {\\n    display: none;\\n  }\\n}\\n\\n.private_message #topic-title .private-message-glyph {\\n  display: inline;\\n}\\n\\n.topic-status-info {\\n  padding-left: 10px;\\n  border-top: 1px solid $primary-low;\\n  padding-top: 10px;\\n  h3 {\\n    margin: 0;\\n    display: flex;\\n    button {\\n      align-self: flex-start;\\n    }\\n  }\\n}\\n\\n#topic-progress-wrapper {\\n  position: fixed;\\n  right: 0;\\n  bottom: 0;\\n  z-index: z(\\"timeline\\");\\n  &:not(.docked) {\\n    margin-bottom: env(safe-area-inset-bottom);\\n  }\\n}\\n\\n#topic-progress-expanded {\\n  border: 1px solid $primary-low;\\n  padding: 5px;\\n  background: $secondary;\\n\\n  position: absolute;\\n  bottom: 34px;\\n  width: 135px;\\n\\n  button.full {\\n    width: 100%;\\n    margin-bottom: 5px;\\n    .d-icon {\\n      display: block;\\n      margin-top: 2px;\\n      margin-bottom: 2px;\\n      font-size: $font-up-2;\\n    }\\n  }\\n  .jump-form {\\n    input[type=\\"text\\"] {\\n      float: left;\\n      width: 45px;\\n      height: 20px;\\n      text-align: center;\\n      font-size: $font-up-1;\\n    }\\n    button.btn {\\n      float: right !important;\\n      width: 55px;\\n    }\\n  }\\n  button.btn.jump-prompt {\\n    margin: 0;\\n  }\\n  button.btn.jump-bottom {\\n    margin-top: 5px;\\n    margin-bottom: 0;\\n  }\\n}\\n\\n#topic-progress {\\n  position: relative;\\n  &.hidden {\\n    display: none;\\n  }\\n  background-color: $secondary;\\n  color: $tertiary;\\n  border: 1px solid $tertiary-low;\\n  width: 145px;\\n  height: 42px;\\n\\n  /* as a big ol' click target, don't let text inside be selected */\\n  @include unselectable;\\n\\n  .nums {\\n    position: relative;\\n    top: 12px;\\n    width: 100%;\\n    text-align: center;\\n    z-index: z(\\"base\\");\\n  }\\n  h4 {\\n    display: inline;\\n    font-size: $font-up-2;\\n    line-height: $line-height-small;\\n  }\\n  .d-icon {\\n    position: absolute;\\n    right: 8px;\\n    bottom: 9px;\\n    z-index: z(\\"base\\");\\n  }\\n  .bg {\\n    position: absolute;\\n    top: 0;\\n    bottom: 0;\\n    width: 0;\\n    border-right: 1px solid $tertiary-low;\\n    background-color: $tertiary-low;\\n    transition: width 0.75s;\\n  }\\n}\\n\\n.topic-error,\\n.topic-notice {\\n  padding: 18px;\\n  width: 90%;\\n  margin-left: auto;\\n  margin-right: auto;\\n  font-size: $font-up-4;\\n  line-height: $line-height-medium;\\n\\n  .topic-retry,\\n  .topic-join-group {\\n    display: block;\\n    margin-top: 20px;\\n    margin-left: auto;\\n    margin-right: auto;\\n  }\\n}\\n\\n#topic-progress-wrapper.docked {\\n  position: absolute;\\n}\\n\\n.topic-post:last-of-type {\\n  padding-bottom: 40px;\\n}\\n\\nsup sup,\\nsub sup,\\nsup sub,\\nsub sub {\\n  top: 0;\\n}\\n\\n// inline editing of title on mobile\\n#topic-title .title-wrapper {\\n  position: relative;\\n  float: none;\\n  width: 100%;\\n\\n  input#edit-title {\\n    width: 100%;\\n  }\\n\\n  .select-kit.combo-box.category-chooser {\\n    width: 100%;\\n    margin-top: 0;\\n  }\\n\\n  .topic-statuses {\\n    line-height: $line-height-small;\\n  }\\n}\\n\\n// make mobile timeline top and bottom dates easier to select\\n.topic-timeline {\\n  .start-date,\\n  .now-date {\\n    font-size: $font-up-1;\\n    padding: 5px;\\n  }\\n  .topic-category {\\n    margin-bottom: 0.5rem;\\n  }\\n}\\n\\n.edit-topic-timer-modal {\\n  .future-date-input {\\n    .alert-info {\\n      margin: 0 -10px -10px -10px;\\n      padding: 10px;\\n    }\\n  }\\n  .btn.pull-right {\\n    margin-right: 0;\\n  }\\n}\\n\\n.topic-footer-main-buttons {\\n  display: flex;\\n  align-items: center;\\n  flex-wrap: wrap;\\n}\\n",\n\t\t".upload-selector {\\n  input[type=\\"text\\"] {\\n    width: calc(100% - 20px);\\n  }\\n  input[type=\\"file\\"] {\\n    font-size: $font-0;\\n    line-height: $line-height-medium;\\n  }\\n  .description {\\n    color: $primary-medium;\\n  }\\n  .radios {\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n    &:first-of-type {\\n      margin-bottom: 1em;\\n    }\\n    input,\\n    label {\\n      min-height: 20px;\\n      line-height: $line-height-medium;\\n      margin: 0;\\n    }\\n    .radio {\\n      padding-left: 5px;\\n    }\\n    .inputs {\\n      margin-top: 10px;\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.uploaded-image-preview {\\n  height: 150px;\\n}\\n",\n\t\t"// Mobile styles for \\"/user\\" section\\n\\n.user-content-wrapper {\\n  display: grid;\\n  grid-template-columns: 1fr 1fr;\\n  grid-template-rows: auto auto auto;\\n  grid-row-gap: s(5);\\n  grid-column-gap: s(4);\\n  .user-primary-navigation {\\n    grid-column-start: 1;\\n    grid-row-start: 1;\\n    grid-column-end: 2;\\n  }\\n  .user-secondary-navigation {\\n    grid-column-start: 2;\\n    grid-row-start: 1;\\n  }\\n  .user-additional-controls + .user-content,\\n  .user-secondary-navigation + .user-content {\\n    grid-column-start: 1;\\n  }\\n  .user-additional-controls {\\n    grid-column-start: 1;\\n    grid-row-start: 2;\\n  }\\n  .user-content,\\n  .spinner {\\n    grid-row-start: 3;\\n    grid-column-start: 1;\\n  }\\n}\\n\\n.user-main {\\n  margin-top: s(3);\\n\\n  .user-content {\\n    box-sizing: border-box;\\n    background-color: $secondary;\\n    table {\\n      width: 100%;\\n      margin-top: s(3);\\n    }\\n  }\\n\\n  .about {\\n    margin-bottom: 0;\\n    color: $secondary;\\n\\n    .secondary {\\n      dl {\\n        padding: s(2) 0;\\n      }\\n    }\\n\\n    .details {\\n      margin-bottom: s(3);\\n\\n      h1 {\\n        line-height: $line-height-small;\\n      }\\n\\n      h2 {\\n        line-height: $line-height-medium;\\n      }\\n\\n      .user-profile-avatar {\\n        .avatar-flair {\\n          right: 2px;\\n        }\\n        display: block;\\n        float: none;\\n        margin: s(2 auto);\\n        img.avatar {\\n          float: none;\\n        }\\n      }\\n\\n      .user-profile-names {\\n        text-align: center;\\n      }\\n\\n      .location-and-website {\\n        display: flex;\\n        flex-wrap: wrap;\\n        justify-content: center;\\n        font-size: $font-0;\\n        .d-icon {\\n          width: 0.8em;\\n          height: 0.8em;\\n          margin-right: 0.25em;\\n        }\\n        a {\\n          text-decoration: underline;\\n        }\\n      }\\n\\n      .user-profile-location {\\n        margin-right: 1em;\\n      }\\n\\n      .user-profile-location,\\n      .user-profile-website {\\n        justify-content: center;\\n        display: flex;\\n        align-items: center;\\n      }\\n    }\\n\\n    .primary {\\n      display: flex;\\n      flex-wrap: wrap;\\n      color: $primary;\\n\\n      .avatar {\\n        margin: 0 0 s(3);\\n      }\\n\\n      .primary-textual {\\n        flex: 1 1 100%;\\n        word-break: break-word;\\n        margin: 0;\\n        max-width: 100%;\\n      }\\n\\n      .bio {\\n        color: $primary;\\n        margin: 0 auto s(2);\\n        max-width: 700px;\\n        text-align: center;\\n      }\\n    }\\n\\n    &.has-background {\\n      .user-profile-image {\\n        height: 200px;\\n      }\\n      .user-profile-avatar {\\n        margin-top: s(-15);\\n      }\\n    }\\n\\n    .controls {\\n      order: 3;\\n      flex: 1 1 25%;\\n      margin-left: auto;\\n\\n      ul {\\n        margin: 0;\\n        display: flex;\\n        flex: 1 1 auto;\\n        flex-wrap: wrap;\\n        margin-left: -1em;\\n        li,\\n        > span {\\n          display: flex;\\n          flex: 1 1 45%;\\n          margin-left: 1em;\\n          button,\\n          a {\\n            width: 100%;\\n          }\\n          .select-kit.dropdown-select-box.user-notifications-dropdown {\\n            width: 100%;\\n            li {\\n              flex: 1 1 100%;\\n              margin-left: 0;\\n            }\\n          }\\n        }\\n      }\\n\\n      .user-profile-controls-outlet {\\n        margin: 0 0 0 1em;\\n        li {\\n          margin: 0;\\n        }\\n      }\\n\\n      a {\\n        flex: 1 1 auto;\\n        min-width: 120px;\\n      }\\n    }\\n  }\\n\\n  .user-field {\\n    label {\\n      width: auto;\\n      text-align: left;\\n      font-weight: bold;\\n    }\\n  }\\n}\\n\\n.user-main .collapsed-info.about.has-background {\\n  background-image: none !important; // todo: make changes to behavior to remove this\\n  .details {\\n    margin-top: 0;\\n  }\\n}\\n\\n.user-main .collapsed-info.about .details {\\n  display: flex;\\n  .user-profile-avatar {\\n    margin: 0;\\n    flex: 0 0 auto;\\n    align-self: flex-start;\\n  }\\n  .primary .primary-textual {\\n    flex: 1 0 80%;\\n    margin: 0;\\n  }\\n  .user-profile-names {\\n    text-align: left;\\n  }\\n}\\n\\n.form-horizontal .control-group.category {\\n  margin-top: 18px;\\n}\\n\\n.paginated-topics-list {\\n  margin-top: 20px;\\n}\\n\\n.stats-section {\\n  li {\\n    margin: 0 15px 10px 0;\\n    padding: 0;\\n    &.linked-stat {\\n      a {\\n        padding: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.badge-card.medium {\\n  width: 100%;\\n}\\n\\n.user-badges {\\n  margin-bottom: 2em;\\n}\\n\\n.user-preferences {\\n  padding-bottom: 2em;\\n\\n  .instructions {\\n    margin-top: s(1);\\n  }\\n\\n  .controls-dropdown {\\n    margin-bottom: s(4);\\n  }\\n\\n  .delete-account {\\n    overflow: hidden;\\n  }\\n\\n  .checkbox-label {\\n    display: flex;\\n    overflow: auto;\\n    width: 100%;\\n    padding: 5px 0;\\n    input {\\n      margin-right: 5px;\\n      flex: 0 0 auto;\\n    }\\n  }\\n\\n  .apps .controls button {\\n    float: right;\\n  }\\n}\\n\\n.user-right {\\n  &,\\n  > .user-stream {\\n    > .alert:first-child {\\n      margin-top: 20px;\\n    }\\n  }\\n}\\n\\n.user-invites-page {\\n  .admin-controls {\\n    flex-wrap: wrap;\\n    .pull-right {\\n      flex: 1 1 100%;\\n      font-size: $font-down-1;\\n      padding: 0;\\n    }\\n  }\\n  table {\\n    tr:first-of-type {\\n      display: none;\\n    }\\n    tr {\\n      display: flex;\\n      flex-wrap: wrap;\\n      margin-bottom: 1em;\\n    }\\n    td:first-of-type {\\n      margin-right: 1em;\\n    }\\n    td:nth-of-type(n + 3) {\\n      display: block;\\n      width: 50%;\\n      padding: 0.25em 0 1em 0;\\n    }\\n  }\\n  .user-invite-none {\\n    margin-top: 1em;\\n  }\\n}\\n",\n\t\t".modal.history-modal {\\n  button {\\n    float: none;\\n  }\\n  .modal-body {\\n    height: 62vh;\\n  }\\n  .modal-inner-container {\\n    min-height: 400px;\\n  }\\n  #revisions {\\n    max-width: 90vw;\\n  }\\n  #display-modes {\\n    display: none;\\n  }\\n  #revision-numbers {\\n    line-height: $line-height-large;\\n  }\\n  img {\\n    max-width: 95%;\\n    height: auto;\\n  }\\n  .revision-content {\\n    table {\\n      table-layout: fixed;\\n      width: 100%;\\n      word-wrap: break-word;\\n    }\\n  }\\n\\n  .modal-footer {\\n    text-align: center;\\n  }\\n\\n  #revision-controls {\\n    margin-bottom: 5px;\\n  }\\n\\n  #revision-footer-buttons {\\n    button {\\n      @extend .btn-small;\\n    }\\n  }\\n}\\n",\n\t\t".lightbox .meta,\\n.lightbox:hover .meta {\\n  opacity: 0.7;\\n  transition: none;\\n}\\n\\n.meta {\\n  align-items: center;\\n  background: $secondary;\\n  color: $primary-high;\\n  height: 25px;\\n  width: 25px;\\n  bottom: 0;\\n  right: 0;\\n\\n  .filename,\\n  .informations,\\n  .d-icon-far-image {\\n    display: none;\\n  }\\n\\n  .d-icon-discourse-expand {\\n    color: $primary-high;\\n  }\\n}\\n",\n\t\t".directory {\\n  .select-kit.dropdown-select-box.period-chooser\\n    .period-chooser-header\\n    h2.selected-name {\\n    font-size: $font-up-1;\\n    margin-bottom: 0.25em;\\n  }\\n\\n  .filter-name {\\n    float: left;\\n  }\\n\\n  .total-rows {\\n    color: $primary-medium;\\n    padding: 5px;\\n  }\\n\\n  .user {\\n    border-top: 1px solid $primary-low;\\n    padding: 1em;\\n    display: flex;\\n    flex-wrap: wrap;\\n\\n    .user-info {\\n      width: 100%;\\n      margin-bottom: 1em;\\n    }\\n\\n    .user-stat {\\n      flex: 1 1 50%;\\n      .value {\\n        font-weight: bold;\\n      }\\n      .label {\\n        margin-left: 0.2em;\\n        color: $primary-medium;\\n      }\\n      .d-icon-heart {\\n        color: $love;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".search-container {\\n  flex-direction: column;\\n  margin-top: 0.5em;\\n\\n  .search-advanced {\\n    order: 1;\\n    width: 100%;\\n\\n    .search-info {\\n      flex-direction: column;\\n      align-items: left;\\n      justify-content: center;\\n\\n      .sort-by {\\n        display: flex;\\n        align-items: center;\\n        margin-top: 0.5em;\\n        margin-left: 0;\\n        width: 100%;\\n\\n        .select-kit {\\n          flex: 1 1 auto;\\n        }\\n      }\\n    }\\n  }\\n\\n  .search-notice {\\n    margin-top: 1em;\\n  }\\n\\n  .search-advanced-sidebar {\\n    order: 0;\\n    width: 100%;\\n    margin: 0;\\n\\n    .tag-chooser {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.fps-topic {\\n  max-width: 75%;\\n}\\n",\n\t\t".emoji-picker {\\n  max-height: 280px;\\n  border: none;\\n}\\n\\n.emoji-picker .category-icon {\\n  margin: 2px;\\n}\\n",\n\t\t".ring {\\n  top: -7px !important;\\n}\\n\\n.ring-first-notification {\\n  top: 40px;\\n}\\n",\n\t\t".group {\\n  margin-top: 15px;\\n}\\n\\n.group-name {\\n  margin: 5px 0 0 0;\\n}\\n\\n.group-nav {\\n  width: 100%;\\n}\\n\\n.group-activity,\\n.group-manage {\\n  position: relative;\\n}\\n\\n.group-members {\\n  .group-member {\\n    border-top: 1px solid $primary-low;\\n\\n    .user-info {\\n      margin: 0;\\n      padding: 0.5em;\\n      width: 98%;\\n    }\\n\\n    .btn-group {\\n      margin-top: 0;\\n    }\\n\\n    .group-member-info {\\n      color: $primary-medium;\\n\\n      label {\\n        margin-bottom: 0;\\n        font-weight: bold;\\n        display: inline-block;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".dashboard,\\n.dashboard-next {\\n  .activity-metrics .counters-list {\\n    font-size: $font-down-1;\\n  }\\n  .navigation a.navigation-link {\\n    padding: 0.5em;\\n  }\\n}\\n",\n\t\t".mobile-view {\\n  .admin-badges {\\n    .badges {\\n      margin: 0 0.25em;\\n      .content-list {\\n        flex: 0 0 100%;\\n        .admin-badge-list {\\n          max-height: 40vh;\\n          margin-right: 0;\\n        }\\n      }\\n    }\\n    .badge-intro {\\n      flex: 0 1 75%;\\n    }\\n    .current-badge {\\n      margin: 20px 0;\\n      width: 100%;\\n      textarea {\\n        width: 100%;\\n      }\\n    }\\n    input[type=\\"text\\"] {\\n      width: 100%;\\n    }\\n  }\\n}\\n",\n\t\t".admin-customize {\\n  .show-current-style {\\n    padding: 0;\\n    width: 100%;\\n  }\\n\\n  .themes-list {\\n    width: 100%;\\n    margin-bottom: 1em;\\n  }\\n  .form-horizontal.theme.settings .setting-label,\\n  .admin-container .select-kit {\\n    width: 100%;\\n  }\\n\\n  .admin-container {\\n    display: flex;\\n    flex-wrap: wrap;\\n  }\\n}\\n",\n\t\t".admin-reports {\\n  .admin-report {\\n    .body {\\n      flex-direction: column;\\n\\n      .filters {\\n        order: 0;\\n        margin: 0;\\n        width: 100%;\\n      }\\n\\n      .main {\\n        order: 2;\\n      }\\n\\n      .report-alert {\\n        margin: 0;\\n        order: 1;\\n        flex: 1 0 0px;\\n        padding: 1em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".admin-report.post-edits {\\n  .admin-report-table {\\n    .report-table {\\n      thead tr th.edit_reason,\\n      tbody tr td.edit_reason {\\n        width: auto;\\n      }\\n    }\\n  }\\n}\\n\\n.admin-report.trending-search {\\n  .admin-report-table {\\n    .report-table {\\n      thead tr th.term,\\n      tbody tr td.term {\\n        width: 50%;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".admin-report-table {\\n  .table {\\n    font-size: $font-down-1;\\n  }\\n\\n  .table .admin-report-table-header {\\n    font-weight: 500;\\n    border-right: 1px solid $primary-low;\\n    padding: auto;\\n\\n    .title {\\n      writing-mode: vertical-rl;\\n      text-orientation: mixed;\\n      text-align: right;\\n      transform: rotate(180deg);\\n    }\\n\\n    .sort-btn {\\n      display: none;\\n    }\\n  }\\n\\n  .table tbody tr td {\\n    &.user .username {\\n      display: none;\\n    }\\n  }\\n}\\n",\n\t\t".counters-list {\\n  .counters-header .counters-cell {\\n    font-weight: normal;\\n  }\\n}\\n",\n\t\t".hamburger-panel .menu-panel.slide-in {\\n  left: 0;\\n}\\n.header-cloak {\\n  height: 100vh;\\n  width: 100vw;\\n  position: fixed;\\n  background-color: black;\\n  opacity: 0.5;\\n  top: 0;\\n  left: 0;\\n  display: none;\\n  touch-action: pan-y pinch-zoom;\\n  &.animate {\\n    transition: opacity 0.2s ease-out;\\n  }\\n}\\n",\n\t\t".reviewable {\\n  .reviewable-container {\\n    flex-direction: column;\\n\\n    .reviewable-list {\\n      order: 2;\\n      width: 100%;\\n      padding-bottom: 4em;\\n    }\\n\\n    .reviewable-filters {\\n      order: 1;\\n      margin: 0;\\n      padding: 0.5em;\\n      width: 100%;\\n    }\\n\\n    .reviewable-list + .reviewable-filters {\\n      margin: 0 0 0.5em 0;\\n    }\\n  }\\n\\n  .reviewable-scores {\\n    width: 100%;\\n  }\\n}\\n\\n.reviewable-filters {\\n  background-color: $primary-very-low;\\n  padding: 0.5em 1em 1em 1em;\\n  margin-bottom: 1em;\\n\\n  .reviewable-filters-actions {\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n\\n  .reviewable-filter {\\n    margin: 0 0 0.5em 0;\\n\\n    .filter-label {\\n      margin: 0;\\n    }\\n  }\\n}\\n\\n.reviewable-contents {\\n  .reviewable-post-header,\\n  .post-body {\\n    max-width: 100%;\\n\\n    p {\\n      overflow-x: scroll;\\n    }\\n  }\\n}\\n\\n.reviewable-actions {\\n  margin-right: -0.5em;\\n\\n  > div,\\n  > button {\\n    flex: 0 1 47%;\\n    margin-right: 0.25em;\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .reviewable-action,\\n  .reviewable-action-dropdown .dropdown-select-box-header {\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n\\n    .d-icon {\\n      margin: 0 0.15 0 0;\\n    }\\n  }\\n}\\n\\n.reviewable-scores-and-history table {\\n  width: 100%;\\n}\\n",\n\t\t".topic-footer-mobile-dropdown {\\n  .select-kit-row {\\n    &.bookmarked {\\n      .d-icon {\\n        color: $tertiary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"$avatar_width: 120px;\\n\\n// shared styles for user and group cards\\n#user-card,\\n#group-card {\\n  position: fixed;\\n  // mobile cards should always be on top of everything - 1102\\n  z-index: z(\\"mobile-composer\\") + 2;\\n  max-width: 95vw;\\n  margin: 0 2.5vw;\\n  max-height: 90vh;\\n  // avatar - names - controls\\n  .first-row {\\n    flex-wrap: wrap;\\n    .names {\\n      flex: 1 1 calc(100% - #{$avatar_width});\\n      box-sizing: border-box;\\n    }\\n    .usercard-controls {\\n      display: flex;\\n      flex: 1;\\n      margin-top: 1em;\\n      max-width: 100%;\\n      li {\\n        flex: 1;\\n        min-width: 0;\\n        &:nth-child(2) {\\n          border-left: 0.5em solid transparent;\\n        }\\n        button {\\n          @include ellipsis;\\n        }\\n      }\\n    }\\n  }\\n  h1 {\\n    font-size: $font-up-3;\\n    .d-icon {\\n      font-size: $font-down-2;\\n    }\\n  }\\n  h2 {\\n    font-size: $font-0;\\n  }\\n  h3 {\\n    font-size: $font-down-1;\\n  }\\n}\\n\\n// styles for user cards only\\n#user-card {\\n  // badges\\n  .sixth-row {\\n    .badge-section {\\n      flex-wrap: wrap;\\n      > span {\\n        display: flex;\\n        flex: 0 1 50%;\\n        max-width: 50%; // for text ellipsis\\n        padding: 2px 0;\\n        box-sizing: border-box;\\n        &:nth-of-type(1),\\n        &:nth-of-type(3) {\\n          padding-right: 4px;\\n        }\\n        a {\\n          width: 100%;\\n          display: flex;\\n        }\\n      }\\n      .user-badge {\\n        display: flex;\\n        margin: 0;\\n        width: 100%;\\n      }\\n    }\\n  }\\n}\\n\\n// mobile card cloak\\n.card-cloak {\\n  position: fixed;\\n  top: 0;\\n  left: 0;\\n  z-index: z(\\"mobile-composer\\") + 1; // 1101\\n  height: 100vh;\\n  width: 100vw;\\n  background-color: rgba(black, 0.5);\\n  animation: fadein 0.2s;\\n}\\n",\n\t\t"// Mobile styles for \\"user-stream-item\\" component\\n.user-stream {\\n  // DEPRECATION:\\n  // The \\".item\\" class should be eventually removed because it's too generic.\\n  // Once \\".item\\" has been removed, \\".user-stream-item\\" can replace\\n  // \\".user-stream\\" as the top-level selector on this file as all other\\n  // selectors below are its children\\n  .item,\\n  .user-stream-item {\\n    padding: 20px 0 15px 0;\\n  }\\n\\n  .name {\\n    vertical-align: middle;\\n  }\\n\\n  .notification {\\n    &.unread {\\n      background-color: dark-light-choose(\\n        $tertiary-low,\\n        srgb-scale($tertiary, $secondary, 15%)\\n      );\\n    }\\n  }\\n\\n  .group-member-info {\\n    .name {\\n      vertical-align: inherit;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.tag-drop {\\n      .tag-drop-header {\\n        font-size: $font-0;\\n\\n        .d-icon {\\n          font-size: $font-0;\\n        }\\n      }\\n\\n      .select-kit-row {\\n        font-weight: normal;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-drop {\\n      .category-drop-header {\\n        font-size: $font-0;\\n\\n        .d-icon {\\n          font-size: $font-0;\\n        }\\n      }\\n\\n      .select-kit-row {\\n        font-weight: normal;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    .select-kit-collection {\\n      max-height: 200px;\\n      overflow-y: auto;\\n    }\\n  }\\n}\\n",\n\t\t""\n\t],\n\t"names": [],\n\t"mappings": "AEAA,4DAA4D,AAQ5D,AAAA,IAAI,AAAC,CACH,WAAW,CAAE,UAAU,CACvB,oBAAoB,CAAE,IAAI,CAC1B,wBAAwB,CAAE,IAAI,CAC/B,AAMD,AAAA,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAWD,AAAA,OAAO,CACP,KAAK,CACL,OAAO,CACP,UAAU,CACV,MAAM,CACN,MAAM,CACN,MAAM,CACN,MAAM,CACN,IAAI,CACJ,GAAG,CACH,OAAO,CACP,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACf,AAOD,AAAA,KAAK,CACL,MAAM,CACN,QAAQ,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,QAAQ,CACzB,AAOD,AAAA,KAAK,AAAA,IAAK,EAAA,AAAA,QAAC,AAAA,EAAW,CACpB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACV,CAOD,AAAA,AAAA,MAAC,AAAA,EACD,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AASD,AAAA,CAAC,AAAC,CACA,UAAU,CAAE,WAAW,CACxB,AAMD,AAAA,CAAC,AAAA,OAAO,CACR,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AASA,AAAA,IAAI,CAAA,AAAA,KAAC,AAAA,EAAQ,OAAO,CAAA,AAAA,KAAC,AAAA,CAAO,CAC3B,eAAe,CAAE,SAAS,CAC1B,qBAAqB,CAAE,MAAM,CAC9B,AAMD,AAAA,CAAC,CACD,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAMD,AAAA,GAAG,AAAC,CACF,UAAU,CAAE,MAAM,CACnB,AAOD,AAAA,EAAE,AAAC,CACD,SAAS,CAAE,QAAQ,CACnB,MAAM,CAAE,QAAQ,CACjB,AAMD,AAAA,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AAMD,AAAA,KAAK,AAAC,CACJ,SAAS,CAAE,GAAG,CACf,AAMD,AAAA,GAAG,CACH,GAAG,AAAC,CACF,SAAS,CAAE,GAAG,CACd,WAAW,CAAE,CAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACzB,AAED,AAAA,GAAG,AAAC,CACF,GAAG,CAAE,MAAM,CACZ,AAED,AAAA,GAAG,AAAC,CACF,MAAM,CAAE,OAAO,CAChB,AASD,AAAA,GAAG,AAAC,CACF,MAAM,CAAE,CAAC,CACV,AASD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,QAAQ,CACjB,AAMD,AAAA,EAAE,AAAC,CACD,eAAe,CAAE,WAAW,CAC5B,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,GAAG,AAAC,CACF,QAAQ,CAAE,IAAI,CACf,AAMD,AAAA,IAAI,CACJ,GAAG,CACH,GAAG,CACH,IAAI,AAAC,CACH,WAAW,CAAE,oBAAoB,CACjC,SAAS,CAAE,GAAG,CACf,AAiBD,AAAA,MAAM,CACN,KAAK,CACL,QAAQ,CACR,MAAM,CACN,QAAQ,AAAC,CACP,KAAK,CAAE,OAAO,CACd,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,OAAO,CAClB,AASD,AAAA,MAAM,CACN,MAAM,AAAC,CACL,cAAc,CAAE,IAAI,CACrB,AAUD,AAAA,MAAM,CACN,IAAI,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,EACX,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EACN,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,kBAAkB,CAAE,MAAM,CAC1B,MAAM,CAAE,OAAO,CAChB,AAMD,AAAA,MAAM,CAAA,AAAA,QAAC,AAAA,EACP,IAAI,CAAC,KAAK,CAAA,AAAA,QAAC,AAAA,CAAU,CACnB,MAAM,CAAE,OAAO,CAChB,AAMD,AAAA,MAAM,AAAA,kBAAkB,CACxB,KAAK,AAAA,kBAAkB,AAAC,CACtB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAOD,AAAA,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACpB,AAUD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EACN,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,CAAC,CACX,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,CAC/C,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,AAAC,CAC9C,MAAM,CAAE,IAAI,CACb,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,kBAAkB,CAAE,SAAS,CAC7B,eAAe,CAAE,WAAW,CAC5B,kBAAkB,CAAE,WAAW,CAC/B,UAAU,CAAE,WAAW,CACxB,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,8BAA8B,CAClD,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,AAAC,CAC9C,kBAAkB,CAAE,IAAI,CACzB,AAMD,AAAA,QAAQ,AAAC,CACP,MAAM,CAAE,iBAAiB,CACzB,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,qBAAqB,CAC/B,AAOD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAMD,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,IAAI,CACf,AAOD,AAAA,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AASD,AAAA,KAAK,AAAC,CACJ,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CAClB,AAED,AAAA,EAAE,CACF,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACX,AC/ZD;;;GAGG,AA8BH,AAAA,YAAY,AAAC,CACT,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,KAAK,CEvCC,IAAO,CFwCb,UAAU,CEvCF,IAAO,CFwCf,MAAM,CAAE,GAAG,CAAC,KAAK,CC2JT,OAAmD,CD1J3D,mBAAmB,CC0JX,OAAmD,CDzJ3D,WAAW,CAXE,gBAAgB,CAAE,SAAS,CAAE,KAAK,CAAE,UAAU,CAqB9D,AAlBD,AAUI,YAVQ,AAUP,UAAU,AAAC,CACR,OAAO,CAAE,IAAI,CAChB,AAZL,AAcI,YAdQ,AAcP,SAAS,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,CAAC,CAAC,GAAG,CAAC,IAAI,CAAE,IAAG,CAjChB,eAAc,CAkC5B,AAKL,AACI,YADQ,AACP,OAAO,CADZ,YAAY,AAEP,MAAM,AAAC,CACJ,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,KAAK,CACjB,AALL,AAOI,YAPQ,AAOP,MAAM,AAAC,CAAE,KAAK,CAAE,IAAK,CAAE,AAG5B,AAAA,YAAY,AAAC,CACT,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,GAAG,CACd,AAED,AAAA,WAAW,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,MAAM,CAYrB,AAdD,AAII,WAJO,CAIP,MAAM,AAAC,CACH,MAAM,CAAE,OAAO,CACf,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,gBAAgB,CACxB,OAAO,CAAE,CAAC,CACb,AAGL,AAAA,WAAW,AAAC,CACR,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,OAAO,CAChB,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,IAAI,CACjB,KAAK,CEnGC,IAAO,CFoGb,gBAAgB,CEnGR,IAAO,CFoGlB,AAED,AAAA,UAAU,CACV,UAAU,AAAC,CACP,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,OAAO,CACf,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,gBAAgB,CAAE,WAAW,CAC7B,mBAAmB,CAAE,aAAa,CAClC,iBAAiB,CAAE,SAAS,CAC5B,eAAe,CAAE,OAAO,CACxB,OAAO,CAAE,EAAE,CAEP,MAAM,CAAE,SAAS,CAWxB,AA9BD,AAsBI,UAtBM,AAsBL,MAAM,CArBX,UAAU,AAqBL,MAAM,AAAC,CACJ,OAAO,CAAE,CAAC,CACb,AAxBL,AA0BI,UA1BM,AA0BL,YAAY,CAzBjB,UAAU,AAyBL,YAAY,AAAC,CACV,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,EAAE,CACd,AAGL,AAAA,UAAU,CACV,OAAO,CAAC,UAAU,AAAC,CACf,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,yNAAyN,CAC9O,AAED,AAAA,UAAU,CACV,OAAO,CAAC,UAAU,AAAC,CACf,KAAK,CAAE,KAAK,CACZ,gBAAgB,CAAE,yNAAyN,CAC9O,AAED,AAAA,YAAY,AAAC,CACT,OAAO,CAAE,YAAY,CACxB,AAED,AAAA,WAAW,AAAC,CACR,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,CAAC,CAoBZ,AAxBD,AAMI,WANO,CAMP,EAAE,CANN,WAAW,CAOP,EAAE,AAAC,CACC,KAAK,CAAE,mBAAmB,CAC1B,OAAO,CAAE,CAAC,CACb,AAVL,AAYI,WAZO,CAYP,EAAE,AAAC,CACC,KAAK,CEpKH,IAAO,CFqKT,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,MAAM,CACrB,AAlBL,AAoBI,WApBO,CAoBP,IAAI,AAAC,CACD,aAAa,CAAE,IAAI,CACnB,MAAM,CAAE,IAAI,CACf,AAGL,AAAA,YAAY,AAAC,CACT,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,GAAG,CACZ,KAAK,CE3LC,IAAO,CF4Lb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,KAAK,CACjB,UAAU,CE9LF,IAAO,CF2NlB,AA3BG,AAAA,SAAS,CAhBb,YAAY,AAgBI,CACR,KAAK,CEhMF,OAAO,CFiMV,WAAW,CAAE,IAAI,CACpB,AAED,AAAA,YAAY,CArBhB,YAAY,AAqBO,CACX,KAAK,CEtMD,IAAO,CFuMX,WAAW,CAAE,IAAI,CACjB,UAAU,CEvMP,OAAO,CFwMV,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,GAAG,CCNvB,OAAmD,CDOvD,aAAa,CAAE,GAAG,CACrB,AAED,AAAA,YAAY,CA7BhB,YAAY,CA8BR,yBAAyB,CA9B7B,YAAY,AA8BoB,CACxB,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,OAAO,CACf,KAAK,CElNH,IAAO,CFmNT,OAAO,CAAE,EAAE,CACd,AAnCL,AAqCI,YArCQ,AAqCP,MAAM,AAAC,CACJ,KAAK,CEvNH,IAAO,CFwNT,UAAU,CCpBN,OAAmD,CDqBvD,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AAGL,AAAA,UAAU,AAAC,CACP,SAAS,CAAE,IAAI,CACf,KAAK,CEhOC,IAAO,CFiOhB,AAED,AAAA,WAAW,CAAC,YAAY,AAAC,CACrB,UAAU,CAAE,OAAO,CACtB,AAED,AAAA,cAAc,CAAC,YAAY,AAAC,CACxB,KAAK,CEvOG,IAAO,CFwOf,UAAU,CAAE,OAAO,CACnB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AAED,AAAA,YAAY,CAAC,YAAY,AAAC,CACtB,KAAK,CE9OG,IAAO,CF+Of,UAAU,CE9OH,OAAO,CF+Od,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AK5OD,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAKD,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACf,AAED,AAAA,KAAK,CACL,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAED,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,gBAAgB,CACtB,MAAM,CAAE,CAAC,CACV,AAKD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,KAAK,CAChB,AAKD,AACE,SADO,AACN,OAAO,CqClCV,UAAU,ArCkCP,OAAO,CsEwTV,UAAU,AtExTP,OAAO,CsE4TV,KAAK,AtE5TF,OAAO,CADV,SAAS,AAEN,MAAM,CqCnCT,UAAU,ArCmCP,MAAM,CsEuTT,UAAU,AtEvTP,MAAM,CsE2TT,KAAK,AtE3TF,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACb,AALH,AAME,SANO,AAEN,MAAM,CqCnCT,UAAU,ArCmCP,MAAM,CsEuTT,UAAU,AtEvTP,MAAM,CsE2TT,KAAK,AtE3TF,MAAM,AAIC,CACN,KAAK,CAAE,IAAI,CACZ,AAMH,AAAA,kBAAkB,AAAC,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACxB,AAKD,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CAChB,AAID,AAAA,iBAAiB,AAAA,MAAM,AAAC,CACtB,UAAU,CJgHA,OAAoD,CI/G9D,KAAK,CHnFG,IAAO,CGoFhB,AN5ED,AAAA,IAAI,AODC,CACH,KAAK,CJRG,IAAO,CISf,WAAW,CLgCM,SAAS,CAAE,KAAK,CAAE,UAAU,CK/B7C,SAAS,CL4BM,IAAI,CK3BnB,WAAW,CLsDO,GAAG,CKrDrB,gBAAgB,CJXN,IAAO,CIYjB,UAAU,CAAE,MAAM,CAClB,SAAS,CAAE,GAAG,CAaf,AApBD,AASE,IATE,AASD,kBAAkB,AAAC,CAClB,SAAS,CLoBY,IAAI,CKnB1B,AAXH,AAaE,IAbE,AAaD,iBAAiB,AAAC,CACjB,SAAS,CLkBW,IAAI,CKjBzB,AAfH,AAiBE,IAjBE,AAiBD,kBAAkB,AAAC,CAClB,SAAS,CLeY,IAAI,CKd1B,AP4DH,AAAA,CAAC,AOtDC,CACA,KAAK,CJ/BI,OAAO,CIgChB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,OAAO,CAUhB,AAbD,AAIE,CAJD,AAIE,QAAQ,AAAC,CACR,KAAK,CJnCE,OAAO,CIoCf,AANH,AAOE,CAPD,AAOE,MAAM,AAAC,CACN,KAAK,CJtCE,OAAO,CIuCf,AATH,AAUE,CAVD,AAUE,OAAO,AAAC,CACP,KAAK,CJzCE,OAAO,CI0Cf,AP6JH,AAAA,EAAE,AOvJC,CACD,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,KAAK,CACb,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CAAC,KAAK,CL6IX,OAAmD,CK5I7D,OAAO,CAAE,CAAC,CACX,AAKD,AAAA,EAAE,CACF,EAAE,AAAC,CACD,MAAM,CAAE,YAAY,CACpB,OAAO,CAAE,CAAC,CACX,AAED,AAAA,OAAO,CAAC,EAAE,CACV,OAAO,CAAC,EAAE,CACV,OAAO,CAAC,EAAE,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,OAAO,CAAC,EAAE,CACV,iBAAiB,CAAC,EAAE,AAAC,CACnB,MAAM,CAAE,CAAC,CACT,YAAY,CAAE,IAAI,CACnB,AAED,AACE,EADA,CACE,EAAE,CADN,EAAE,CAEE,EAAE,AAAC,CACH,aAAa,CAAE,CAAC,CACjB,APkGH,AAAA,GAAG,AO5FC,CACF,cAAc,CAAE,MAAM,CACvB,APqRD,AAAA,QAAQ,AOhRC,CACP,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAED,AAAA,GAAG,CAAC,IAAI,AAAC,CACP,QAAQ,CAAE,IAAI,CACd,QAAQ,CAAE,CAAC,CACZ,AAGD,AAAA,IAAI,AAAA,OAAO,CACX,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,EAAE,CACZ,AACD,AAAA,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAKD,AAAA,KAAK,AAAC,CACJ,UAAU,CAAE,GAAG,CAAC,KAAK,CLsEX,OAAmD,CKrE9D,AAED,AAAA,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CLkEd,OAAmD,CK9D9D,AALD,AAEE,EAFA,AAEC,YAAY,AAAC,CACZ,SAAS,CAAE,uCAAuC,CACnD,AAIH,AAAA,IAAI,CAAG,EAAE,AAAC,CACR,SAAS,CAAE,GAAG,CACf,AY3ID,AAEI,WAFO,AACR,0BAA0B,CACzB,gBAAgB,AAAC,CACf,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,KAAK,CACb,AALL,AAOI,WAPO,AACR,0BAA0B,CAMzB,kBAAkB,CAAC,OAAO,AAAC,CACzB,eAAe,CAAE,aAAa,CAC/B,ACTL,AAEI,WAFO,AACR,UAAU,AACR,iBAAiB,AAAC,CACjB,KAAK,CAAE,KAAK,CA2Cb,AA9CL,AAKM,WALK,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,iBAAiB,CAAE,UAAU,CAC7B,cAAc,CAAE,UAAU,CAC1B,WAAW,CAAE,UAAU,CACvB,kBAAkB,CAAE,QAAQ,CAC5B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,MAAM,CAC1B,cAAc,CAAE,MAAM,CA8BvB,AA7CP,AAkBU,WAlBC,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,AAYZ,KAAK,CACJ,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AApBX,AAuBQ,WAvBG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAkBb,YAAY,AAAC,CACX,SAAS,ClB4BL,OAAQ,CkB3BZ,KAAK,CjBzBL,IAAO,CiB0BP,WAAW,CAAE,MAAM,CACpB,AA3BT,AA6BQ,WA7BG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAwBb,gBAAgB,AAAC,CACf,KAAK,CjB9BL,IAAO,CiB+BP,WAAW,ClBkCD,GAAG,CkBjCb,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACf,AAnCT,AAqCQ,WArCG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAgCb,cAAc,AAAC,CACb,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,OAAO,CACd,SAAS,ClBSL,OAAQ,CkBRZ,WAAW,ClBsBD,GAAG,CkBrBd,AC5CT,AAGM,WAHK,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAAC,CACb,SAAS,CnB8CR,GAAG,CmB7CJ,WAAW,CAAE,MAAM,CASpB,AAdP,AAOQ,WAPG,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAIX,IAAI,AAAC,CACJ,MAAM,CAAE,CAAC,CAKV,AAbT,AAUU,WAVC,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAIX,IAAI,CAGH,IAAI,AAAA,eAAe,AAAC,CAClB,MAAM,CAAE,CAAC,CACV,AAZX,AAgBM,WAhBK,AACR,UAAU,AACR,cAAc,AAcZ,IAAI,AAAA,cAAc,CAAC,qBAAqB,AAAC,CACxC,OAAO,CAAE,YAAY,CACtB,AAlBP,AAqBQ,WArBG,AACR,UAAU,AACR,cAAc,AAkBZ,IAAI,AAAA,cAAc,CAAC,qBAAqB,CACvC,cAAc,AAAA,IAAI,AAAC,CACjB,OAAO,CAAE,CAAC,CACX,AAvBT,AA2BQ,WA3BG,AACR,UAAU,AACR,cAAc,CAwBb,qBAAqB,AAClB,QAAQ,CAAC,cAAc,AAAC,CACvB,KAAK,CAAE,OAAO,CACf,AA7BT,AA+BQ,WA/BG,AACR,UAAU,AACR,cAAc,CAwBb,qBAAqB,CAKnB,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAjCT,AAoCM,WApCK,AACR,UAAU,AACR,cAAc,CAkCb,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CACjB,AAtCP,AAwCM,WAxCK,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,AAAC,CACd,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,UAAU,CA+BxB,AAzEP,AA4CQ,WA5CG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAIZ,AAAA,UAAC,CAAW,gBAAgB,AAA3B,EA5CV,WAAW,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAKZ,AAAA,UAAC,CAAW,eAAe,AAA1B,CAA4B,CAC5B,KAAK,ClB5CJ,OAAO,CkB6CR,WAAW,CAAE,GAAG,CACjB,AAhDT,AAkDQ,WAlDG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAUb,cAAc,AAAC,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CnBgJH,OAAmD,CmB/IrD,UAAU,CAAE,GAAG,CAChB,AAtDT,AAwDQ,WAxDG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAgBb,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACpB,AA1DT,AA4DQ,WA5DG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAoBb,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,MAAM,CACpB,AA/DT,AAiEQ,WAjEG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAyBb,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,WAAW,CAAE,IAAI,CAKlB,AAxET,AAqEU,WArEC,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAyBb,cAAc,AAIX,UAAW,CAAA,CAAC,CAAE,CACb,WAAW,CAAE,IAAI,CAClB,AAvEX,AA2EM,WA3EK,AACR,UAAU,AACR,cAAc,AAyEZ,YAAY,CAAC,mBAAmB,CA3EvC,WAAW,AACR,UAAU,AACR,cAAc,CA0Eb,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AC9EP,AAEI,WAFO,CACT,aAAa,CACX,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACf,AAVL,AAWI,WAXO,CACT,aAAa,CAUX,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAChB,AAbL,AAeM,WAfK,CACT,aAAa,CAaX,gBAAgB,CACd,cAAc,AAAA,IAAI,AAAC,CACjB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CAChB,AAlBP,AAoBI,WApBO,CACT,aAAa,CAmBX,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,ACtBL,AAKQ,WALG,AAER,kBAAkB,CACjB,cAAc,CACZ,cAAc,AACX,IAAI,CAJb,eAAe,AACZ,kBAAkB,CACjB,cAAc,CACZ,cAAc,AACX,IAAI,AAAC,CACJ,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACX,ACRT,AACE,WADS,AACR,UAAU,AAAC,CACV,SAAS,CAAE,IAAI,CA4HhB,AA9HH,AAGI,WAHO,AACR,UAAU,CAET,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,aAAa,CAAE,CAAC,CAChB,UAAU,CtBiIF,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CsBhIvC,AARL,AAUI,WAVO,AACR,UAAU,CAST,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,QAAQ,CAIlB,AAjBL,AAcM,WAdK,AACR,UAAU,CAST,eAAe,AAIZ,WAAW,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,AAhBP,AAmBI,WAnBO,AACR,UAAU,CAkBT,kBAAkB,AAAC,CACjB,OAAO,CtBTG,GAAG,CAAC,IAAI,CsBUlB,UAAU,CAAE,GAAG,CAAC,KAAK,CtB+Kf,OAAmD,CsB9KzD,aAAa,CAAE,GAAG,CAAC,KAAK,CtB8KlB,OAAmD,CsB9J1D,AAtCL,AAwBM,WAxBK,AACR,UAAU,CAkBT,kBAAkB,CAKhB,QAAQ,AAAC,CACP,IAAI,CAAE,QAAQ,CACf,AA1BP,AA4BM,WA5BK,AACR,UAAU,CAkBT,kBAAkB,CAShB,aAAa,CA5BnB,WAAW,AACR,UAAU,CAkBT,kBAAkB,CAUhB,aAAa,AAAA,MAAM,CA7BzB,WAAW,AACR,UAAU,CAkBT,kBAAkB,CAWhB,aAAa,AAAA,OAAO,AAAC,CACnB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACX,AAjCP,AAmCM,WAnCK,AACR,UAAU,CAkBT,kBAAkB,CAgBhB,YAAY,AAAC,CACX,YAAY,CAAE,GAAG,CAClB,AArCP,AAwCI,WAxCO,AACR,UAAU,CAuCT,kBAAkB,AAAC,CACjB,UAAU,CrBxCJ,IAAO,CqByCb,MAAM,CAAE,GAAG,CAAC,KAAK,CtB0JX,OAAmD,CsBzJzD,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,SAAS,CtBKN,GAAG,CsBCP,AAnDL,AA+CM,WA/CK,AACR,UAAU,CAuCT,kBAAkB,AAOf,WAAW,AAAC,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CrB9Cd,OAAO,CqB+CV,UAAU,CtB8FP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,CqBgDX,AAlDP,AAqDI,WArDO,AACR,UAAU,CAoDT,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,IAAI,CAiBhB,AA5EL,AA8DQ,WA9DG,AACR,UAAU,CAoDT,sBAAsB,CAQpB,kBAAkB,CAChB,CAAC,AAAC,CACA,WAAW,CAAE,MAAM,CACnB,KAAK,CrBhEL,IAAO,CqBiEP,WAAW,CtBDA,GAAG,CsBEd,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,KAAK,CrBnEJ,OAAO,CqBwET,AA1ET,AAuEU,WAvEC,AACR,UAAU,CAoDT,sBAAsB,CAQpB,kBAAkB,CAChB,CAAC,AASE,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AAzEX,AA+EM,WA/EK,AACR,UAAU,AA6ER,YAAY,CACX,kBAAkB,AAAC,CACjB,UAAU,CtBoHN,OAAmD,CsBnHvD,YAAY,CtBmHR,OAAmD,CsBlHvD,KAAK,CtBkHD,OAAmD,CsB9GxD,AAtFP,AAmFQ,WAnFG,AACR,UAAU,AA6ER,YAAY,CACX,kBAAkB,CAIhB,OAAO,AAAC,CACN,KAAK,CtBgHH,OAAmD,CsB/GtD,AArFT,AA0FM,WA1FK,AACR,UAAU,AAwFR,eAAe,CACd,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CrBzFd,OAAO,CqB0FV,UAAU,CtBmDP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,CqB2FX,AA7FP,AAiGM,WAjGK,AACR,UAAU,AA+FR,YAAY,CACX,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CrBjGd,OAAO,CqBkGV,UAAU,CtB2CP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,CqBmGX,AArGP,AAyGM,WAzGK,AACR,UAAU,AAuGR,YAAY,AAAA,SAAS,CACpB,kBAAkB,AAAC,CACjB,aAAa,CAAE,WAAW,CAC3B,AA3GP,AA6GM,WA7GK,AACR,UAAU,AAuGR,YAAY,AAAA,SAAS,CAKpB,gBAAgB,AAAC,CACf,aAAa,CAAE,WAAW,CAC3B,AA/GP,AAkHI,WAlHO,AACR,UAAU,AAiHR,SAAS,CAlHd,WAAW,AACR,UAAU,AAkHR,eAAe,AAAC,CACf,SAAS,CAAE,IAAI,CAIhB,AAxHL,AAqHM,WArHK,AACR,UAAU,AAiHR,SAAS,CAGR,eAAe,CArHrB,WAAW,AACR,UAAU,AAkHR,eAAe,CAEd,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAvHP,AA0HI,WA1HO,AACR,UAAU,AAyHR,YAAY,CAAC,mBAAmB,CA1HrC,WAAW,AACR,UAAU,CA0HT,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AC7HL,AAEI,WAFO,AACR,oBAAoB,AAClB,iBAAiB,AAAC,CACjB,MAAM,CAAE,CAAC,CAmBV,AAtBL,AAIM,WAJK,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAAC,CACjB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,CAAC,CACV,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CvB2Lb,OAAmD,CuB1LvD,UAAU,CAAE,KAAK,CAQlB,AAlBP,AAWQ,WAXG,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,CAOhB,OAAO,AAAC,CACN,OAAO,CAAE,OAAO,CACjB,AAbT,AAcQ,WAdG,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAUf,MAAM,CAdf,WAAW,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAWf,MAAM,AAAC,CACN,UAAU,CvBoLR,OAAmD,CuBnLtD,AAjBT,AAmBM,WAnBK,AACR,oBAAoB,AAClB,iBAAiB,CAiBhB,OAAO,AAAC,CACN,MAAM,CAAE,YAAY,CACrB,ACrBP,AACE,WADS,AACR,oBAAoB,AAAC,CACpB,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CA6Hb,AAnIH,AASM,WATK,AACR,oBAAoB,AAOlB,YAAY,CACX,sBAAsB,CAT5B,WAAW,AACR,oBAAoB,AAOlB,YAAY,CAEX,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAZP,AAeI,WAfO,AACR,oBAAoB,CAcnB,gBAAgB,AAAC,CACf,MAAM,CAAE,GAAG,CAAC,KAAK,CxBoLX,OAAmD,CwBnLzD,eAAe,CAAE,WAAW,CAC5B,UAAU,CxBsHF,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CwBrHtC,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CACb,AArBL,AAuBI,WAvBO,AACR,oBAAoB,CAsBnB,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CAsElB,AA/FL,AA2BM,WA3BK,AACR,oBAAoB,CAsBnB,eAAe,CAIb,MAAM,AAAC,CACL,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,iBAAiB,CAAE,KAAK,CACxB,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,UAAU,CACvB,gBAAgB,CAAE,MAAM,CACxB,aAAa,CAAE,MAAM,CACrB,eAAe,CAAE,MAAM,CACvB,mBAAmB,CAAE,KAAK,CAC1B,UAAU,CAAE,UAAU,CACtB,YAAY,CAAE,OAAO,CACrB,UAAU,CAAE,GAAG,CACf,KAAK,CAAE,IAAI,CASZ,AAnDP,AA4CQ,WA5CG,AACR,oBAAoB,CAsBnB,eAAe,CAIb,MAAM,CAiBJ,OAAO,AAAC,CACN,SAAS,CxBGP,QAAQ,CwBFV,mBAAmB,CAAE,MAAM,CAC3B,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,CAAC,CACX,AAlDT,AAqDM,WArDK,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,AAAC,CACL,KAAK,CAAE,CAAC,CACR,WAAW,CxBUC,GAAG,CwBTf,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,MAAM,CACZ,iBAAiB,CAAE,KAAK,CACxB,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,UAAU,CACvB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,IAAI,CACf,kBAAkB,CAAE,QAAQ,CAC5B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,MAAM,CAC1B,cAAc,CAAE,MAAM,CAwBvB,AA9FP,AAwEQ,WAxEG,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,CAmBJ,KAAK,AAAC,CACJ,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,IAAI,CACjB,SAAS,CxB3BV,GAAG,CwB4BF,KAAK,CvB9EL,IAAO,CuB+EP,OAAO,CAAE,CAAC,CdnBlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CcmBf,SAAS,CAAE,IAAI,CAChB,AAlFT,AAoFQ,WApFG,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,CA+BJ,KAAK,AAAC,CACJ,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CxBtCL,OAAQ,CwBuCZ,WAAW,CAAE,MAAM,CACnB,KAAK,CxByGH,OAAmD,CwBxGrD,WAAW,CAAE,MAAM,CACpB,AA7FT,AAiGI,WAjGO,AACR,oBAAoB,CAgGnB,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CACjB,AApGL,AAsGI,WAtGO,AACR,oBAAoB,CAqGnB,2BAA2B,AAAC,CAC1B,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,CAAC,CAET,iBAAiB,CAAE,MAAM,CACzB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,MAAM,CACnB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,OAAO,CACtB,eAAe,CAAE,aAAa,CAC9B,kBAAkB,CAAE,UAAU,CAC9B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,GAAG,CACvB,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,WAAW,CAUrB,AAlIL,AA0HM,WA1HK,AACR,oBAAoB,CAqGnB,2BAA2B,CAoBzB,OAAO,CAAG,OAAO,AAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AA5HP,AA8HM,WA9HK,AACR,oBAAoB,CAqGnB,2BAA2B,AAwBxB,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACnB,aAAa,CvB9HV,OAAO,CuB+HX,ACjIP,AAEI,WAFO,AACR,SAAS,AACP,2BAA2B,AAAC,CAC3B,SAAS,CAAE,GAAG,CA4Bf,AA/BL,AAMQ,WANG,AACR,SAAS,AACP,2BAA2B,CAG1B,kCAAkC,CAChC,UAAU,AAAC,CACT,WAAW,CzB0DD,GAAG,CyBzDd,AART,AAWM,WAXK,AACR,SAAS,AACP,2BAA2B,CAS1B,oCAAoC,AAAC,CACnC,KAAK,CAAE,IAAsB,CAC7B,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,MAAM,CACpB,AAfP,AAiBM,WAjBK,AACR,SAAS,AACP,2BAA2B,CAe1B,iCAAiC,AAAC,CAChC,YAAY,CAAE,GAAG,CAClB,AAnBP,AAqBM,WArBK,AACR,SAAS,AACP,2BAA2B,CAmB1B,UAAU,AAAC,CACT,OAAO,CAAE,CAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAxBP,AA2BQ,WA3BG,AACR,SAAS,AACP,2BAA2B,CAwB1B,+BAA+B,CAC7B,iCAAiC,AAAC,CAChC,KAAK,CAAE,IAAsB,CAC9B,AC7BT,AAIQ,WAJG,AACR,aAAa,AACX,aAAa,CACZ,eAAe,AAAA,OAAO,CACpB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CACjB,ACRT,AAEI,WAFO,AACR,UAAU,AACR,iBAAiB,AAAC,CACjB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,GAAG,CA2FjB,AA/FL,AAOQ,WAPG,AACR,UAAU,AACR,iBAAiB,AAIf,YAAY,CACX,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,C1BNhB,OAAO,C0BOT,AATT,AAaQ,WAbG,AACR,UAAU,AACR,iBAAiB,AAUf,QAAQ,CACP,kBAAkB,CAAC,cAAc,AAAC,CAChC,KAAK,C3BsLH,OAAmD,C2BrLtD,AAfT,AAkBM,WAlBK,AACR,UAAU,AACR,iBAAiB,CAgBhB,gBAAgB,AAAC,CACf,SAAS,CAAE,IAAI,CAChB,AApBP,AAsBM,WAtBK,AACR,UAAU,AACR,iBAAiB,CAoBhB,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CAWb,AAlCP,AAyBQ,WAzBG,AACR,UAAU,AACR,iBAAiB,CAoBhB,kBAAkB,CAGhB,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,KAAK,CACjB,AAjCT,AAoCM,WApCK,AACR,UAAU,AACR,iBAAiB,CAkChB,kBAAkB,AAAC,CACjB,UAAU,CAAE,CAAC,CACd,AAtCP,AAwCM,WAxCK,AACR,UAAU,AACR,iBAAiB,AAsCf,YAAY,CAAC,mBAAmB,CAxCvC,WAAW,AACR,UAAU,AACR,iBAAiB,CAuChB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AA3CP,AA8CQ,WA9CG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,AACZ,YAAY,AAAC,CACZ,UAAU,CAAE,IAAI,CACjB,AAhDT,AAkDQ,WAlDG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,AAKZ,eAAe,AAAA,YAAY,AAAC,CAC3B,UAAU,C3BiJR,OAAmD,C2BhJtD,AApDT,AAsDQ,WAtDG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,CASb,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CACjB,AAxDT,AA4DQ,WA5DG,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,AAAC,CACjB,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,C3BoItB,OAAmD,C2BvGtD,AA7FT,AAkEU,WAlEC,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAMhB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CACjB,AAxEX,AA0EU,WA1EC,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAAC,CACZ,UAAU,C3ByHV,OAAmD,C2BxHnD,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,CAAC,CAcV,AA5FX,AAgFY,WAhFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAMV,eAAe,AAAC,CACf,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,C1B1ExB,OAAO,C0B0E2B,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CACzD,AAlFb,AAoFY,WApFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,CAUX,OAAO,AAAC,CACN,KAAK,C3B+GP,OAAmD,C2B9GjD,cAAc,CAAE,MAAM,CACvB,AAvFb,AAyFY,WAzFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAeV,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,C1BnFV,OAAO,C0BoFH,AC3Fb,AACE,WADS,AACR,aAAa,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,C3BFF,IAAO,C2BGf,aAAa,CAAE,CAAC,CAwKjB,AA5KH,AAMI,WANO,AACR,aAAa,CAKZ,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AARL,AAUI,WAVO,AACR,aAAa,CASZ,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CACX,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,CAAC,CACjB,AAfL,AAiBI,WAjBO,AACR,aAAa,CAgBZ,kBAAkB,AAAC,CACjB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,GAAG,CACZ,AArBL,AAuBI,WAvBO,AACR,aAAa,CAsBZ,oBAAoB,AAAC,CACnB,UAAU,C3BvBJ,IAAO,C2BwBb,MAAM,CAAE,GAAG,CAAC,KAAK,C5B2KX,OAAmD,C4BrK1D,AA/BL,AA2BM,WA3BK,AACR,aAAa,CAsBZ,oBAAoB,AAIjB,WAAW,AAAC,CACX,UAAU,C5BmHP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,C2B2BV,aAAa,CAAE,CAAC,CACjB,AA9BP,AAkCM,WAlCK,AACR,aAAa,AAgCX,YAAY,CACX,oBAAoB,AAAC,CACnB,UAAU,C5BiKN,OAAmD,C4BhKvD,YAAY,C5BgKR,OAAmD,C4B/JvD,KAAK,C5B+JD,OAAmD,C4B3JxD,AAzCP,AAsCQ,WAtCG,AACR,aAAa,AAgCX,YAAY,CACX,oBAAoB,CAIlB,OAAO,AAAC,CACN,KAAK,C5B6JH,OAAmD,C4B5JtD,AAxCT,AA6CM,WA7CK,AACR,aAAa,AA2CX,eAAe,CACd,oBAAoB,AAAC,CACnB,aAAa,CAAE,CAAC,CAChB,aAAa,CAAE,qBAAqB,CACpC,UAAU,C5B+FP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,C2B+CX,AAjDP,AAqDM,WArDK,AACR,aAAa,AAmDX,YAAY,CACX,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C3BrDd,OAAO,C2BsDV,UAAU,C5BuFP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,C2BuDV,aAAa,CAAE,CAAC,CACjB,AA1DP,AA4DM,WA5DK,AACR,aAAa,AAmDX,YAAY,CAQX,oBAAoB,AAAC,CACnB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CACjB,AA/DP,AAiEM,WAjEK,AACR,aAAa,AAmDX,YAAY,CAaX,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAnEP,AAsEI,WAtEO,AACR,aAAa,CAqEZ,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,UAAU,CAC3B,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CA+FZ,AA3KL,AA8EM,WA9EK,AACR,aAAa,CAqEZ,QAAQ,CAQN,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,eAAe,CACxB,AAtFP,AAwFM,WAxFK,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CAkBd,AAjHP,AAiGQ,WAjGG,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,CASL,aAAa,CAjGrB,WAAW,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,CAUL,aAAa,AAAA,MAAM,AAAC,CAClB,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,KAAK,CAClB,AAhHT,AAoHQ,WApHG,AACR,aAAa,CAqEZ,QAAQ,CA6CN,eAAe,CACb,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CACvB,AAxHT,AA0HQ,WA1HG,AACR,aAAa,CAqEZ,QAAQ,CA6CN,eAAe,CAOb,cAAc,AAAC,CACb,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AA/HT,AAmIQ,WAnIG,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAChB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAtIT,AAuIQ,WAvIG,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAKhB,cAAc,AAAC,CAKb,OAAO,CAAE,OAAO,CAChB,WAAW,C5B7EA,GAAG,C4B8Ed,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACpB,AAjJT,AAwIU,WAxIC,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAKhB,cAAc,AACX,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACpB,AA1IX,AAqJQ,WArJG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CACZ,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AAxJT,AA0JQ,WA1JG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CAMZ,KAAK,AAAC,CACJ,UAAU,C5ByCR,OAAmD,C4BxCrD,OAAO,CAAE,GAAG,CACb,AA7JT,AA+JQ,WA/JG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CAWZ,OAAO,AAAC,CACN,KAAK,C5BoCH,OAAmD,C4BnCrD,cAAc,CAAE,MAAM,CACvB,AAlKT,AAmKQ,WAnKG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,AAeX,MAAM,CAAC,OAAO,AAAA,WAAW,AAAC,CACzB,KAAK,C3B7JN,OAAO,C2B8JP,AArKT,AAuKQ,WAvKG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,AAmBX,eAAe,AAAC,CACf,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,C3BjKpB,OAAO,C2BiKuB,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CACzD,ACzKT,AAGM,WAHK,AACR,oBAAoB,AAClB,qBAAqB,CACpB,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AANP,AASQ,WATG,AACR,oBAAoB,AAClB,qBAAqB,CAMpB,eAAe,CACb,MAAM,AAAC,CACL,mBAAmB,CAAE,KAAK,CAC1B,UAAU,CAAE,UAAU,CACvB,ACZT,AAEI,WAFO,AACR,oBAAoB,AAClB,eAAe,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAsEnB,AA1EL,AAMM,WANK,AACR,oBAAoB,AAClB,eAAe,CAId,sBAAsB,AAAC,CACrB,OAAO,CAAE,GAAG,CACb,AARP,AAUM,WAVK,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,eAAe,CAAE,UAAU,CAC3B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAiCX,AAjDP,AAkBQ,WAlBG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,AAAC,CACf,KAAK,C7BlBH,IAAO,C6BmBT,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,UAAU,CAavB,AAlCT,AAuBU,WAvBC,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,CAKd,aAAa,AAAC,CACZ,KAAK,C7BxBP,IAAO,C6ByBL,YAAY,CAAE,GAAG,CAClB,AA1BX,AA4BU,WA5BC,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,CAUd,gBAAgB,AAAC,CACf,SAAS,C9BsBP,OAAQ,C8BrBV,KAAK,C9BoKL,OAAoD,C8BnKpD,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,SAAS,CAC1B,AAjCX,AAoCQ,WApCG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CA0BpB,OAAO,AAAC,CACN,KAAK,C7BrCL,IAAO,C6BsCP,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,cAAc,CACtB,SAAS,C9BOP,QAAQ,C8BNX,AAzCT,AA2CQ,WA3CG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAiCnB,WAAW,CA3CpB,WAAW,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAkCnB,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACd,AAhDT,AAmDM,WAnDK,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,AAAC,CAClB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,GAAG,CACZ,SAAS,C9BLL,QAAQ,C8BMZ,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CAiBd,AAzEP,AA0DQ,WA1DG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAOjB,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACd,AA5DT,AA8DQ,WA9DG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAWjB,aAAa,AAAC,CACZ,KAAK,C7B/DL,IAAO,C6BgER,AAhET,AAkEQ,WAlEG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAejB,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACnB,SAAS,C9BjBL,OAAQ,C8BkBZ,KAAK,C9B6HH,OAAoD,C8B5HtD,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,GAAG,CACjB,ACxET,AACE,qBADmB,CACnB,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,KAAK,CAcd,AAjBH,AAKI,qBALiB,CACnB,cAAc,AAIX,UAAU,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAPL,AASI,qBATiB,CACnB,cAAc,CAQZ,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAXL,AAaI,qBAbiB,CACnB,cAAc,CAYZ,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CACf,WAAW,C/BiDI,GAAG,C+BhDnB,AAIL,AAAA,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,IAAI,CAWhB,AAbD,AAIE,cAJY,CAIZ,eAAe,AAAC,CACd,OAAO,CAAE,MAAM,CAOhB,AAZH,AAOI,cAPU,CAIZ,eAAe,CAGb,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CACb,AC/BL,AAAA,YAAY,CAAC,WAAW,AAAA,YAAY,AAAC,CACnC,OAAO,ChCiGK,GAAG,CgChGhB,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CAmOlB,AA3OD,AAUE,WAVS,AAUR,UAAU,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,WAdS,AAcR,YAAY,AAAC,CACZ,cAAc,CAAE,IAAI,CACrB,AAhBH,AAkBE,WAlBS,AAkBR,YAAY,AAAC,CACZ,OAAO,ChC2EG,GAAG,CgC9Dd,AAhCH,AAqBI,WArBO,AAkBR,YAAY,CAGX,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,CAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACP,AA3BL,AA6BI,WA7BO,AAkBR,YAAY,CAWX,sBAAsB,AAAC,CACrB,aAAa,CAAE,OAAO,CACvB,AA/BL,AAmCI,WAnCO,AAkCR,SAAS,CACR,gBAAgB,AAAC,CACf,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACV,AAtCL,AAwCI,WAxCO,AAkCR,SAAS,CAMR,kBAAkB,AAAC,CACjB,UAAU,CAAE,CAAC,CACd,AA1CL,AA4CI,WA5CO,AAkCR,SAAS,CAUR,mBAAmB,AAAC,CAClB,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACV,AA/CL,AAkDE,WAlDS,CAkDT,OAAO,AAAC,CACN,KAAK,ChC6IG,OAAmD,CgC5I5D,AApDH,AAsDE,WAtDS,CAsDT,kBAAkB,AAAC,CACjB,UAAU,CAAE,UAAU,CACtB,QAAQ,CAAE,MAAM,CAChB,UAAU,CAAE,SAAS,CACrB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,IAAI,CAsCjB,AArGH,AAiEI,WAjEO,CAsDT,kBAAkB,CAWhB,cAAc,AAAC,CACb,UAAU,CAAE,IAAI,CAChB,IAAI,CAAE,QAAQ,CACd,OAAO,CAAE,KAAK,CtBZlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CsBYnB,KAAK,CAAE,OAAO,CACf,AAvEL,AAyEI,WAzEO,CAsDT,kBAAkB,CAmBhB,UAAU,AAAC,CACT,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AA7EL,AA+EI,WA/EO,CAsDT,kBAAkB,CAyBhB,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAjFL,AAmFI,WAnFO,CAsDT,kBAAkB,CA6BhB,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CACjB,cAAc,CAAE,IAAI,CACrB,AAvFL,AAyFI,WAzFO,CAsDT,kBAAkB,CAmChB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,WAAW,ChClCI,GAAG,CgCwCnB,AApGL,AAgGM,WAhGK,CAsDT,kBAAkB,CAmChB,eAAe,CAOb,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,CAAC,CAChB,AAnGP,AAuGE,WAvGS,CAuGT,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,UAAU,C/B5GF,IAAO,C+B6Gf,UAAU,CAAE,UAAU,CACvB,AA3GH,AA6GE,WA7GS,CA6GT,eAAe,AAAC,CACd,MAAM,CAAE,OAAO,CACf,WAAW,ChCnDM,GAAG,CgCoDpB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CA6B5B,AAlJH,AAuHI,WAvHO,CA6GT,eAAe,CAUb,KAAK,AAAC,CACJ,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACvB,IAAI,CAAE,MAAM,CACb,AA5HL,AA8HI,WA9HO,CA6GT,eAAe,CAiBb,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAhIL,AAkII,WAlIO,CA6GT,eAAe,AAqBZ,eAAe,AAAC,CACf,UAAU,ChC6DJ,OAAmD,CgC5D1D,AApIL,AAsII,WAtIO,CA6GT,eAAe,AAyBZ,YAAY,AAAC,CACZ,UAAU,ChCyDJ,OAAmD,CgCxD1D,AAxIL,AA0II,WA1IO,CA6GT,eAAe,AA6BZ,YAAY,AAAA,eAAe,AAAC,CAC3B,UAAU,ChCqDJ,OAAmD,CgCpD1D,AA5IL,AA8II,WA9IO,CA6GT,eAAe,CAiCb,cAAc,CA9IlB,WAAW,CA6GT,eAAe,CAkCb,oBAAoB,AAAC,CACnB,KAAK,C/BpJD,IAAO,C+BqJZ,AAjJL,AAoJE,WApJS,CAoJT,sBAAsB,AAAC,CACrB,UAAU,C/BxJF,IAAO,C+ByJf,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,OAAO,CACtB,0BAA0B,CAAE,KAAK,CACjC,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,KAAK,CAkClB,AA9LH,AA8JI,WA9JO,CAoJT,sBAAsB,CAUpB,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACnB,KAAK,C/B7JF,OAAO,C+B8JV,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,KAAK,CACf,AApKL,AAsKI,WAtKO,CAoJT,sBAAsB,CAkBpB,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CAKV,AA7KL,AA0KM,WA1KK,CAoJT,sBAAsB,CAkBpB,sBAAsB,AAInB,MAAM,CAAC,eAAe,AAAA,eAAe,AAAA,MAAM,AAAC,CAC3C,UAAU,ChCqBN,OAAmD,CgCpBxD,AA5KP,AA+KI,WA/KO,CAoJT,sBAAsB,AA2BnB,mBAAmB,AAAC,CACnB,kBAAkB,CAAE,IAAI,CACxB,KAAK,CAAE,IAAI,CACZ,AAlLL,AAoLI,WApLO,CAoJT,sBAAsB,AAgCnB,yBAAyB,AAAC,CACzB,MAAM,CAAE,OAAO,CACf,aAAa,CAAE,GAAG,CAClB,UAAU,ChCOJ,OAAoD,CgCN3D,AAxLL,AA0LI,WA1LO,CAoJT,sBAAsB,AAsCnB,yBAAyB,AAAC,CACzB,UAAU,CAAE,WAAW,CACvB,aAAa,CAAE,CAAC,CACjB,AA7LL,AAgME,WAhMS,CAgMT,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CA4B/B,AAhOH,AAsMI,WAtMO,CAgMT,kBAAkB,CAMhB,aAAa,CAtMjB,WAAW,CAgMT,kBAAkB,CAOhB,aAAa,AAAA,MAAM,CAvMvB,WAAW,CAgMT,kBAAkB,CAQhB,aAAa,AAAA,OAAO,AAAC,CACnB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACb,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AAlNL,AAoNI,WApNO,CAgMT,kBAAkB,AAoBf,UAAU,AAAC,CACV,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,MAAM,CAChB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACP,AA/NL,AAkOE,WAlOS,CAkOT,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,cAAc,CAAE,IAAI,CACrB,AC9OH,AAGM,WAHK,AACR,aAAa,AACX,YAAY,CACX,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAVP,AAOQ,WAPG,AACR,aAAa,AACX,YAAY,CACX,eAAe,CAIb,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CACjB,ACTT,AAIQ,WAJG,AACR,UAAU,AACR,SAAS,CACR,eAAe,CACZ,AAAA,UAAC,CAAW,UAAU,AAArB,EAJV,WAAW,AACR,UAAU,AACR,SAAS,CACR,eAAe,CAEZ,AAAA,UAAC,CAAW,SAAS,AAApB,CAAsB,CACtB,KAAK,CjCJJ,OAAO,CiCKR,WAAW,CAAE,GAAG,CACjB,ACRT,AAGM,WAHK,AACR,oBAAoB,AAClB,2BAA2B,CAC1B,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,kBAAkB,CAC3B,KAAK,CAAE,KAAK,CACb,AAPP,AASM,WATK,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,OAAO,CAChB,UAAU,CnCwLN,OAAmD,CmCvLvD,UAAU,CAAE,SAAS,CAoCtB,AAjDP,AAeQ,WAfG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAMb,KAAK,CAfb,WAAW,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAOb,OAAO,AAAC,CACN,SAAS,CnCiCV,GAAG,CmChCF,WAAW,CAAE,MAAM,CACnB,KAAK,ClCnBL,IAAO,CkCoBR,AApBT,AAsBQ,WAtBG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAab,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AAxBT,AA0BQ,WA1BG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,AAAC,CACf,UAAU,CnCyKR,OAAmD,CmCnKtD,AAjCT,AA6BU,WA7BC,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,CAGd,KAAK,CA7Bf,WAAW,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,CAId,OAAO,AAAC,CACN,KAAK,ClC9BL,IAAO,CkC+BR,AAhCX,AAmCQ,WAnCG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AA0BZ,MAAM,AAAC,CACN,UAAU,CnCgKR,OAAmD,CmC/JrD,KAAK,ClCpCH,IAAO,CkCqCV,AAtCT,AAwCQ,WAxCG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AA+BZ,YAAY,AAAC,CACZ,KAAK,ClCzCL,IAAO,CkC0CP,UAAU,CnC0JR,OAAmD,CmCzJtD,AA3CT,AA6CQ,WA7CG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAoCZ,YAAY,AAAA,eAAe,AAAC,CAC3B,UAAU,CnCsJR,OAAmD,CmCrJrD,KAAK,ClC/CL,IAAO,CkCgDR,AChDT,AACE,qBADmB,CACnB,2BAA2B,AAAC,CAC1B,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,KAAK,CAUd,AAbH,AAKI,qBALiB,CACnB,2BAA2B,CAIzB,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAPL,AASI,qBATiB,CACnB,2BAA2B,CAQzB,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CACf,WAAW,CpCqDI,GAAG,CoCpDnB,AAIL,AAAA,2BAA2B,CAAC,4BAA4B,AAAC,CACvD,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,2BAA2B,AAAC,CAC1B,MAAM,CAAE,CAAC,CAKV,AAVD,AAAA,2BAA2B,CAAC,4BAA4B,AAOzB,CAC3B,OAAO,CAAE,WAAW,CACrB,ACzBH,AAEI,WAFO,AACR,oBAAoB,AAClB,4BAA4B,AAAC,CAC5B,UAAU,CAAE,IAAI,CAcjB,AAjBL,AAKM,WALK,AACR,oBAAoB,AAClB,4BAA4B,CAG3B,gBAAgB,AAAC,CACf,KAAK,CAAE,KAAK,CACZ,SAAS,CAAE,KAAK,CACjB,AARP,AAUM,WAVK,AACR,oBAAoB,AAClB,4BAA4B,CAQ3B,kBAAkB,AAAC,CACjB,eAAe,CAAE,MAAM,CACxB,AAZP,AAcM,WAdK,AACR,oBAAoB,AAClB,4BAA4B,CAY3B,2BAA2B,AAAC,CAC1B,WAAW,CAAE,MAAM,CACpB,AChBP,AAIQ,WAJG,AACR,UAAU,AACR,eAAe,CACd,mBAAmB,CACjB,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,KAAK,CAOZ,AAfT,AAUU,WAVC,AACR,UAAU,AACR,eAAe,CACd,mBAAmB,CACjB,SAAS,CAMP,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,ACdX,AAAA,SAAS,CACT,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,CAAC,CACd,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACxB,IAAI,CAAE,YAAY,CAClB,WAAW,CAAE,CAAC,CACd,QAAQ,CAAE,OAAO,CAClB,AAGD,AAAA,GAAG,CAAG,GAAG,AAAC,CACR,cAAc,CAAE,IAAI,CACrB,AAUD,AAAA,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CAetB,AAnBD,AAME,SANO,CAMP,YAAY,CANd,SAAS,CAOP,YAAY,AAAC,CACX,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,QAAQ,CAAE,QAAQ,CACnB,AAXH,AAaE,SAbO,CAaP,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,OAAO,CACnB,WAAW,CAAE,OAAO,CACrB,AC5CH,AAAA,wBAAwB,AAAC,CACvB,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,CxCiMP,OAAmD,CwChM7D,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAmCvB,AAzCD,AAQE,wBARsB,CAQtB,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,WAAW,CACnB,IAAI,CAAE,CAAC,CAmBR,AA/BH,AAeM,wBAfkB,CAQtB,OAAO,AAMJ,KAAK,CACJ,WAAW,AAAC,CACV,UAAU,CvCTT,OAAO,CuCUR,KAAK,CvChBD,IAAO,CuCiBZ,AAlBP,AAsBM,wBAtBkB,CAQtB,OAAO,AAaJ,GAAG,CACF,SAAS,AAAC,CACR,UAAU,CvChBT,OAAO,CuCiBR,KAAK,CvCvBD,IAAO,CuCwBZ,AAzBP,AA4BI,wBA5BoB,CAQtB,OAAO,CAoBL,IAAI,AAAC,CACH,YAAY,CAAE,KAAK,CACpB,AA9BL,AAiCE,wBAjCsB,CAiCtB,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CAKR,AAxCH,AAqCI,wBArCoB,CAiCtB,MAAM,AAIH,QAAQ,AAAC,CACR,OAAO,CAAE,IAAI,CACd,ACpBL,AAZA,UAYU,CA6CV,YAAY,AAzDP,CACH,WAAW,CAAE,CAAC,CACd,UAAU,CAAE,IAAI,CAKjB,AAKD,AATE,UASQ,CATR,EAAE,CAAC,CAAC,CAsDN,YAAY,CAtDV,EAAE,CAAC,CAAC,AAAC,CACH,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,IAAI,CACtB,AAMH,AAIE,UAJQ,CAIN,EAAE,AAAC,CACH,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAiClB,AAvCH,AAQI,UARM,CAIN,EAAE,CAIA,CAAC,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,QAAQ,CACjB,KAAK,CxC9BD,IAAO,CwC+BX,SAAS,CzCkBH,QAAQ,CyCjBd,WAAW,CzC+BG,CAAC,CyC9Bf,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,gBAAgB,CAW7B,AA7BL,AAoBM,UApBI,CAIN,EAAE,CAIA,CAAC,CAYD,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,IAAI,CACd,AAvBP,AAyBM,UAzBI,CAIN,EAAE,CAIA,CAAC,AAiBA,MAAM,AAAC,CACN,KAAK,CxC1CA,OAAO,CwC2CZ,gBAAgB,CzCsJZ,OAAmD,CyCrJxD,AA5BP,AA+BI,UA/BM,CAIN,EAAE,CA2BF,CAAC,AAAA,OAAO,AAAC,CACP,KAAK,CxClDC,IAAO,CwCmDb,gBAAgB,CxCjDT,OAAO,CwCsDf,AAtCL,AAmCM,UAnCI,CAIN,EAAE,CA2BF,CAAC,AAAA,OAAO,CAIN,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAQP,AAAA,YAAY,AAAC,CAEX,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,MAAM,CAChB,UAAU,CzCgIA,OAAmD,CyC/E9D,AArDD,AAME,YANU,CAMV,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CzC6HhB,OAAmD,CyC5H3D,QAAQ,CAAE,QAAQ,CASnB,AAjBH,AAUI,YAVQ,CAMV,EAAE,AAIC,aAAa,AAAC,CACb,aAAa,CAAE,CAAC,CACjB,AAZL,AAcI,YAdQ,CAMV,EAAE,AAQC,OAAO,AAAC,CACP,YAAY,CAAE,IAAI,CACnB,AAhBL,AAmBE,YAnBU,CAmBV,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,SAAS,CzCrCD,QAAQ,CyCsChB,WAAW,CzCxBK,CAAC,CyCyBjB,MAAM,CAAE,OAAO,CACf,KAAK,CxCzFC,IAAO,CwCwGd,AAxCH,AA2BI,YA3BQ,CAmBV,CAAC,AAQE,OAAO,AAAC,CACP,KAAK,CxC3FC,IAAO,CwC4Fb,gBAAgB,CxC1FT,OAAO,CwCoGf,AAvCL,AA+BM,YA/BM,CAmBV,CAAC,AAQE,OAAO,AAIL,OAAO,AAAC,CACP,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,qBAAqB,CAC7B,iBAAiB,CxCpGb,IAAO,CwCqGZ,AAtCP,AA0CE,YA1CU,CA0CV,MAAM,AAAC,CACL,SAAS,CzCxDC,OAAQ,CyCyDnB,AA5CH,AA8CE,YA9CU,CA8CV,MAAM,AAAC,CACL,SAAS,CzC5DC,OAAQ,CyC6DlB,KAAK,CAAE,MAAM,CACb,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,MAAM,CACpB,WAAW,CzClDK,GAAG,CyCmDpB,AC7GH,AAAA,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CACjB,WAAW,CAAE,GAAG,CAChB,SAAS,C1CsCF,GAAG,C0CrCV,WAAW,C1CkDO,CAAC,C0CjDnB,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,SAAS,CACrB,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAqBjB,AAhCD,AAYE,IAZE,CAYF,OAAO,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AAdH,AAeE,IAfE,AAeD,OAAO,CAfV,IAAI,AAgBD,WAAW,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAlBH,AAmBE,IAnBE,CAmBD,AAAA,QAAC,AAAA,EAnBJ,IAAI,AAoBD,SAAS,AAAC,CACT,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,GAAG,CACb,AAvBH,AAYE,IAZE,CAYF,OAAO,AAYC,CACN,YAAY,CAAE,GAAG,CAClB,AA1BH,AA4BI,IA5BA,AA2BD,QAAQ,CACP,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CAChB,AAIL,AAAA,IAAI,AAAA,OAAO,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AApCD,AAAA,IAAI,AAyCC,CACH,MAAM,CAAE,IAAI,CACZ,KAAK,CzClDG,IAAO,CyCmDf,WAAW,CAAE,MAAM,CACnB,UAAU,C1CgJA,OAAmD,C0C9G9D,AA/ED,AAYE,IAZE,CAYF,OAAO,AAkCC,CACN,KAAK,C1C8IG,OAAmD,C0C7I5D,AAPH,AASE,IATE,CASD,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzC1DC,IAAO,CyC2Db,UAAU,CAAE,KAAK,CAClB,AhCTD,AACE,mBADiB,CgCHrB,IAAI,AhCIC,MAAM,CADT,mBAAmB,CgCHrB,IAAI,AhCKC,UAAU,AAAC,CgCSZ,UAAU,C1CsIF,OAAmD,C0CrI3D,KAAK,CzC9DG,IAAO,CSsDd,AAJH,AgCaE,mBhCbiB,CgCHrB,IAAI,AhCIC,MAAM,CgCYP,OAAO,ChCbT,mBAAmB,CgCHrB,IAAI,AhCKC,UAAU,CgCWX,OAAO,AAAC,CACN,KAAK,C1CiIC,OAAoD,C0ChI3D,AA3DL,AAmBE,IAnBE,CAmBD,AAAA,QAAC,AAAA,EAnBJ,IAAI,AAoBD,SAAS,AA0CC,CACT,UAAU,C1C8HF,OAAmD,C0CpH3D,MAAM,CAAE,WAAW,CACpB,AAjCH,AAuBI,IAvBA,CAoBD,AAAA,QAAC,AAAA,EAGA,OAAO,CAvBX,IAAI,AAqBD,SAAS,CAER,OAAO,AAAC,CACN,KAAK,C1C4HC,OAAmD,C0C3H1D,AAzBL,AA0BI,IA1BA,CAoBD,AAAA,QAAC,AAAA,CAMC,MAAM,CA1BX,IAAI,AAqBD,SAAS,AAKP,MAAM,AAAC,CACN,KAAK,C1CuHC,OAAoD,C0CnH3D,AA/BL,AA4BM,IA5BF,CAoBD,AAAA,QAAC,AAAA,CAMC,MAAM,CAEL,OAAO,CA5Bb,IAAI,AAqBD,SAAS,AAKP,MAAM,CAEL,OAAO,AAAC,CACN,KAAK,C1CuHD,OAAmD,C0CtHxD,AAvEP,AAYE,IAZE,CAYF,OAAO,AAgEC,CACN,WAAW,C1CpBM,GAAG,C0CqBrB,AAMH,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,MAAM,CACnB,KAAK,CzC7FK,IAAO,CyC8FjB,UAAU,CzC7FD,OAAO,CyC2HjB,AAlCD,AAKE,YALU,CAKV,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAPH,AAQE,YARU,CAQT,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzCnGG,IAAO,CyCoGhB,AhClDD,AACE,mBADiB,CgCwCrB,YAAY,AhCvCP,MAAM,CADT,mBAAmB,CgCwCrB,YAAY,AhCtCP,UAAU,AAAC,CgCkDZ,UAAU,CAER,OAAuC,ChClDxC,AAJH,AgCwDE,mBhCxDiB,CgCwCrB,YAAY,AhCvCP,MAAM,CgCuDP,OAAO,ChCxDT,mBAAmB,CgCwCrB,YAAY,AhCtCP,UAAU,CgCsDX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAlBL,AAoBE,YApBU,AAoBT,OAAO,CApBV,YAAY,AAqBT,WAAW,AAAC,ChCtEb,gBAAgB,CgCwEZ,OAAwC,ChCvE5C,gBAAgB,CAAE,4CAAoD,CgC0ErE,AA1BH,AA2BE,YA3BU,CA2BT,AAAA,QAAC,AAAA,EA3BJ,YAAY,AA4BT,SAAS,AAAC,CACT,UAAU,CzCtHH,OAAO,CyC0Hf,AAjCH,AA8BI,YA9BQ,CA2BT,AAAA,QAAC,AAAA,EAGA,OAAO,CA9BX,YAAY,AA4BT,SAAS,CAER,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAOL,AAAA,WAAW,AAAC,CACV,KAAK,CzClIK,IAAO,CyCmIjB,WAAW,CAAE,MAAM,CACnB,UAAU,CzC9HH,OAAO,CyCyJf,AA9BD,AAIE,WAJS,CAIT,OAAO,AAAC,CACN,KAAK,C1C6DG,OAAmD,C0C5D5D,AANH,AAOE,WAPS,CAOR,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzCzIG,IAAO,CyC0IhB,AhCxFD,AACE,mBADiB,CgC+ErB,WAAW,AhC9EN,MAAM,CADT,mBAAmB,CgC+ErB,WAAW,AhC7EN,UAAU,AAAC,CgCwFZ,UAAU,CAER,OAAqC,ChCxFtC,AAJH,AgC8FE,mBhC9FiB,CgC+ErB,WAAW,AhC9EN,MAAM,CgC6FP,OAAO,ChC9FT,mBAAmB,CgC+ErB,WAAW,AhC7EN,UAAU,CgC4FX,OAAO,AAAC,CACN,KAAK,C1CkDC,OAAmD,C0CjD1D,AAjBL,AAmBE,WAnBS,AAmBR,OAAO,CAnBV,WAAW,AAoBR,WAAW,AAAC,ChC5Gb,gBAAgB,CgC6GW,OAAsC,ChC5GjE,gBAAgB,CAAE,4CAAoD,CgC6GrE,AAtBH,AAuBE,WAvBS,CAuBR,AAAA,QAAC,AAAA,EAvBJ,WAAW,AAwBR,SAAS,AAAC,CACT,UAAU,CzCpJL,OAAO,CyCwJb,AA7BH,AA0BI,WA1BO,CAuBR,AAAA,QAAC,AAAA,EAGA,OAAO,CA1BX,WAAW,AAwBR,SAAS,CAER,OAAO,AAAC,CACN,KAAK,C1CuCC,OAAmD,C0CtC1D,AAOL,AAAA,WAAW,AAAC,CAIV,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAyDjB,AA9DD,AACE,WADS,CACT,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAHH,AAME,WANS,AAMR,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AARH,AASE,WATS,CASR,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzC9KG,IAAO,CyC+KhB,AAXH,AAYE,WAZS,AAYR,OAAO,AAAC,CACP,YAAY,CAAE,GAAG,CACjB,SAAS,C1CjIJ,GAAG,C0CkIT,AAfH,AAgBE,WAhBS,AAgBR,cAAc,AAAC,CACd,UAAU,C1CnKL,IAAO,C0CoKZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,C1CYT,OAAmD,C0CH5D,AA5BH,AAqBI,WArBO,AAgBR,cAAc,CAKb,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AAvBL,AAwBI,WAxBO,AAgBR,cAAc,AAQZ,MAAM,AAAC,CACN,KAAK,CAAE,YAAY,CACnB,UAAU,CAAE,OAAmB,CAChC,AA3BL,AA6BE,WA7BS,AA6BR,UAAU,AAAC,CACV,UAAU,C1C/KF,OAAO,C0CmLhB,AAlCH,AA+BI,WA/BO,AA6BR,UAAU,AAER,MAAM,AAAC,CACN,UAAU,CAAE,OAAuB,CACpC,AAjCL,AAmCE,WAnCS,AAmCR,SAAS,AAAC,CACT,UAAU,C1CpLH,OAAO,C0CwLf,AAxCH,AAqCI,WArCO,AAmCR,SAAS,AAEP,MAAM,AAAC,CACN,UAAU,CAAE,OAAsB,CACnC,AAvCL,AAyCE,WAzCS,AAyCR,IAAI,AAAC,CACJ,UAAU,C1CzLR,OAAO,C0C0LV,AA3CH,AA4CE,WA5CS,AA4CR,QAAQ,AAAC,CACR,UAAU,C1C3LJ,OAAO,C0C+Ld,AAjDH,AA8CI,WA9CO,AA4CR,QAAQ,AAEN,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AAhDL,AAkDE,WAlDS,AAkDR,OAAO,AAAC,CACP,UAAU,C1ChML,OAAO,C0CoMb,AAvDH,AAoDI,WApDO,AAkDR,OAAO,AAEL,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AAtDL,AAwDE,WAxDS,AAwDR,QAAQ,AAAC,CACR,UAAU,C1CrMJ,OAAO,C0CyMd,AA7DH,AA0DI,WA1DO,AAwDR,QAAQ,AAEN,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AASL,AAAA,UAAU,C8F1OV,MAAM,AAAA,cAAc,CAuClB,wBAAwB,CACtB,MAAM,A9FkMC,CACT,OAAO,CAAE,OAAO,CAChB,SAAS,C1CzLG,OAAQ,C0C0LrB,AAID,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,QAAQ,CACjB,SAAS,C1ClMC,QAAQ,C0CmMlB,WAAW,C1CrLO,CAAC,C0CsLpB,AAED,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,WAAW,C1C5LO,CAAC,C0C6LnB,UAAU,CAAE,6BAA6B,CAwB1C,AA7BD,AAME,SANO,CAMP,OAAO,AAAC,CACN,KAAK,C1C1DG,OAAmD,C0C2D5D,AhC5MD,AgC8ME,mBhC9MiB,CgCoMrB,SAAS,AhCnMJ,MAAM,CgC6MP,OAAO,ChC9MT,mBAAmB,CgCoMrB,SAAS,AhClMJ,UAAU,CgC4MX,OAAO,AAAC,CACN,KAAK,CzClQD,IAAO,CyCmQZ,AAZL,AAcE,SAdO,AAcN,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,WAAW,CACvB,SAAS,C1C1ND,QAAQ,C0CoOjB,AA5BH,AAmBI,SAnBK,AAcN,MAAM,CAKL,OAAO,AAAC,CACN,KAAK,C1CvEC,OAAmD,C0CwE1D,AhCzNH,AACE,mBADiB,CgCoMrB,SAAS,AAcN,MAAM,AhCjNJ,MAAM,CADT,mBAAmB,CgCoMrB,SAAS,AAcN,MAAM,AhChNJ,UAAU,AAAC,CgCyNV,UAAU,CAAE,WAAW,ChCvNxB,AAJH,AgC4NI,mBhC5Ne,CgCoMrB,SAAS,AAcN,MAAM,AhCjNJ,MAAM,CgC2NL,OAAO,ChC5NX,mBAAmB,CgCoMrB,SAAS,AAcN,MAAM,AhChNJ,UAAU,CgC0NT,OAAO,AAAC,CACN,KAAK,CzChRH,IAAO,CyCiRV,AAKP,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CACV,KAAK,CzCzRI,OAAO,CyC6RjB,AATD,AAME,SANO,AAMN,MAAM,AAAC,CACN,OAAO,CAAE,uBAAuB,CACjC,AC9RH,AAAA,gBAAgB,CAAC,EAAE,AAAA,YAAY,CAC/B,WAAW,AAAC,CACV,WAAW,CAAE,qBAAqB,CACnC,AAED,AAAA,WAAW,CAAC,EAAE,AAAA,SAAS,CAAC,EAAE,AAAA,YAAY,CACtC,gBAAgB,AAAA,SAAS,CAAC,EAAE,AAAA,YAAY,CACxC,uBAAuB,AAAA,SAAS,AAAC,CAC/B,UAAU,CAAE,KAAK,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,C1CDlB,OAAO,C0CEf,AAED,AAAA,eAAe,AAAA,SAAS,CACxB,WAAW,AAAA,SAAS,AAAC,CACnB,UAAU,CAAG,IAAG,CAAC,CAAC,CAAC,CAAC,C1CNb,OAAO,C0COf,AAED,AAAA,OAAO,CAAC,eAAe,AAAC,CACtB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,gBAAgB,AAAA,SAAS,AAAC,CACxB,gBAAgB,CAAE,OAAO,CAC1B,AAED,AAAA,yBAAyB,CAAC,WAAW,AAAC,CACpC,UAAU,CAAE,KAAK,CAClB,AAED,AACE,wBADsB,CACtB,GAAG,AAAA,IAAI,AAAC,CACN,KAAK,CAAE,IAAI,CAKZ,AAPH,AAGI,wBAHoB,CACtB,GAAG,AAAA,IAAI,CAEL,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACX,AANL,AAQE,wBARsB,CAQtB,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAef,AAzBH,AAYI,wBAZoB,CAQtB,EAAE,CAIA,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACd,AAdL,AAgBI,wBAhBoB,CAQtB,EAAE,CAQA,GAAG,AAAC,CACF,SAAS,C3CPE,IAAI,C2CQf,WAAW,C3CLE,SAAS,CAAE,KAAK,CAAE,UAAU,C2CMzC,MAAM,CAAE,CAAC,CACT,KAAK,CAA0B,IAAI,CACnC,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,OAAO,CAChB,WAAW,CAAE,MAAM,CACpB,ACpDL,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,GAAG,CAAC,KAAK,C5CiMP,OAAmD,C4ChM7D,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,UAAU,CACtB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,eAAe,CAAE,aAAa,CAM/B,AAdD,AAUE,kBAVgB,CAUhB,YAAY,CAVd,kBAAkB,CAWhB,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,ACbH,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CACjB,ACED,AAAA,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,UAAU,C9C8LA,OAAmD,C8C7L7D,KAAK,C7CPG,IAAO,C6CQf,OAAO,C9C6FC,CAAC,C8C5FT,QAAQ,CAAE,IAAI,CAgBf,AArBD,AAOE,OAPK,AAOJ,QAAQ,AAAC,CACR,QAAQ,CAAE,KAAK,CAChB,AATH,AAWE,OAXK,CAWL,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CAChB,KAAK,C9CmLG,OAAmD,C8ClL3D,YAAY,CAAE,GAAG,CACjB,KAAK,CAAE,KAAK,CACb,AAhBH,AAkBE,OAlBK,CAkBL,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,ACxBH,AAAA,aAAa,AAAC,CACZ,QAAQ,CAAE,IAAI,CACd,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,gBAAgB,C9CLN,IAAO,C8CMjB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,UAAU,CACvB,AAED,AAAA,uBAAuB,AAAC,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,C/CwLP,OAAmD,C+CvL7D,aAAa,CAAE,MAAM,CACrB,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,IAAI,CACnB,AAED,AAAA,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,iBAAiB,CAChC,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,kBAAkB,AAAC,CACjB,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,IAAI,CACpB,ACnCD,AACE,aADW,CACX,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,eAAe,CAC5B,AAPH,AASE,aATW,CASX,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,ACXH,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CAqCvB,AAtCD,AAGE,aAHW,CAGX,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,GAAG,CAAC,KAAK,CjD8LT,OAAmD,CiD/J5D,AArCH,AAQI,aARS,CAGX,OAAO,CAKL,MAAM,AAAC,CACL,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CAqBZ,AApCL,AAiBM,aAjBO,CAGX,OAAO,CAKL,MAAM,AASH,KAAK,AAAC,CACL,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CACjB,AApBP,AAsBM,aAtBO,CAGX,OAAO,CAKL,MAAM,AAcH,MAAM,CAtBb,aAAa,CAGX,OAAO,CAKL,MAAM,AAeH,QAAQ,AAAC,CACR,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,IAAI,CACZ,AA1BP,AA4BM,aA5BO,CAGX,OAAO,CAKL,MAAM,AAoBH,MAAM,AAAC,CACN,aAAa,CAAE,CAAC,CACjB,AA9BP,AAgCM,aAhCO,CAGX,OAAO,CAKL,MAAM,AAwBH,QAAQ,AAAC,CACR,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACZ,ACnCP,AAAA,0CAA0C,CAC1C,8BAA8B,AAAC,CAC7B,aAAa,CAAE,IAAI,CACpB,ACHD,AACE,4BAD0B,AACzB,WAAW,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CnD6LF,OAAmD,CmD5L3D,cAAc,CAAE,MAAM,CAMvB,AAdH,AAUI,4BAVwB,AACzB,WAAW,CASV,MAAM,AAAC,CACL,SAAS,CnDsCH,QAAQ,CmDrCd,WAAW,CAAE,GAAG,CACjB,AAbL,AAgBE,4BAhB0B,AAgBzB,IAAK,CAAA,WAAW,CAAE,CACjB,SAAS,CAAE,WAAW,CACtB,iBAAiB,CAAE,WAAW,CAC/B,AAED,UAAU,CAAV,MAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,kBAAkB,CAAlB,MAAkB,CAChB,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,ECnChB,AAAA,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CpDmMK,OAAmD,CoDlM7D,WAAW,CAAE,IAAI,CAYlB,AAdD,AAIE,CAJD,AAAA,QAAQ,AAIN,QAAQ,CAJX,CAAC,AAAA,QAAQ,AAKN,MAAM,AAAC,CACN,KAAK,CpD8LG,OAAmD,CoD7L5D,AAPH,AAUI,CAVH,AAAA,QAAQ,AASN,MAAM,CACL,IAAI,AAAC,CACH,eAAe,CAAE,SAAS,CAC3B,ACZL,AACE,wBADsB,CAAC,WAAW,CAClC,aAAa,AAAC,CACZ,aAAa,CAAE,GAAG,CACnB,AtDoJH,AAMI,WANO,CAMP,EAAE,CANN,WAAW,CAOP,EAAE,AuD5JD,CACD,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,eAAe,CAC3B,aAAa,CAAE,eAAe,CAC/B,AAGH,AAAA,oBAAoB,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,YAAY,AAAC,CACX,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,CAAC,CACV,AvDiBD,AAAA,YAAY,AuDfC,CACX,QAAQ,CAAE,mBAAmB,CAC9B,AClBD,AAAA,qBAAqB,AAAC,CACpB,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,wBAAwB,AAAC,CACvB,KAAK,CATQ,KAAK,CAUlB,MAAM,CAVO,KAAK,CAWlB,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CAClB,QAAQ,CAAE,MAAM,CAejB,AApBD,AAME,wBANsB,AAMrB,OAAO,AAAC,CACP,SAAS,CAAE,8CAA8C,CACzD,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,gEAKX,CACD,MAAM,CAzBK,KAAK,CA0BhB,KAAK,CA3BI,KAAK,CA4Bf,AAIH,AAAA,UAAU,CACV,WAAW,AAAC,CACV,KAAK,CAlCM,KAAK,CAmChB,UAAU,CvDoGF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CuDnGtC,KAAK,CtDpCG,IAAO,CsDqCf,UAAU,CtDpCA,IAAO,CsDoCM,MAAM,CAAC,MAAM,CACpC,eAAe,CAAE,KAAK,CACtB,UAAU,CAAE,4BAA4B,CACxC,kBAAkB,CAAE,oCAAoC,CACxD,OAAO,CAAE,CAAC,C7C+CV,iBAAiB,C6C9CE,UAAU,C7C+C7B,SAAS,C6C/CU,UAAU,CA8F9B,AAxGD,AAWE,UAXQ,AAWP,KAAK,CAVR,WAAW,AAUR,KAAK,AAAC,CACL,OAAO,CAAE,CAAC,C7C4CZ,iBAAiB,C6C3CI,QAAQ,C7C4C7B,SAAS,C6C5CY,QAAQ,CAC5B,AAdH,AAeE,UAfQ,CAeR,aAAa,CAdf,WAAW,CAcT,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,UAAU,CtDhDF,mBAAO,CsDiDf,UAAU,CAAE,IAAI,CASjB,AA3BH,AAmBI,UAnBM,CAeR,aAAa,AAIV,MAAM,CAlBX,WAAW,CAcT,aAAa,AAIV,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAvBL,AAwBI,UAxBM,CAeR,aAAa,CASX,CAAC,AAAA,iBAAiB,CAvBtB,WAAW,CAcT,aAAa,CASX,CAAC,AAAA,iBAAiB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AA1BL,AA6BI,UA7BM,AA4BP,MAAM,CACL,aAAa,CA5BjB,WAAW,AA2BR,MAAM,CACL,aAAa,AAAC,CACZ,UAAU,CAAE,CAAC,CACd,AA/BL,AAiCE,UAjCQ,CAiCR,SAAS,AAAA,IAAK,CAAA,UAAU,EAhC1B,WAAW,CAgCT,SAAS,AAAA,IAAK,CAAA,UAAU,CAAE,CACxB,UAAU,CAAE,KAAK,CAClB,AAnCH,AAsCI,UAtCM,CAqCR,UAAU,CACR,MAAM,CArCV,WAAW,CAoCT,UAAU,CACR,MAAM,AAAC,CACL,YAAY,CAAE,MAAM,CAkBrB,AAzDL,AAyCM,UAzCI,CAqCR,UAAU,CACR,MAAM,CAGJ,kBAAkB,CAxCxB,WAAW,CAoCT,UAAU,CACR,MAAM,CAGJ,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AA5CP,AA8CM,UA9CI,CAqCR,UAAU,CACR,MAAM,CAQJ,OAAO,CA7Cb,WAAW,CAoCT,UAAU,CACR,MAAM,CAQJ,OAAO,AAAC,CACN,MAAM,CAAE,QAAQ,CACjB,AAhDP,AAkDM,UAlDI,CAqCR,UAAU,CACR,MAAM,CAYJ,sBAAsB,CAjD5B,WAAW,CAoCT,UAAU,CACR,MAAM,CAYJ,sBAAsB,AAAC,CACrB,YAAY,CAAE,CAAC,CACf,IAAI,CAAE,QAAQ,CACf,AArDP,AAsDM,UAtDI,CAqCR,UAAU,CACR,MAAM,CAgBJ,IAAI,CArDV,WAAW,CAoCT,UAAU,CACR,MAAM,CAgBJ,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACf,AAxDP,AA0DI,UA1DM,CAqCR,UAAU,CAqBR,kBAAkB,CAzDtB,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,AAAC,CACjB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,CAAC,CAIV,AAhEL,AA6DM,UA7DI,CAqCR,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,CA5DZ,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AA/DP,AAkEE,UAlEQ,CAkER,IAAI,CAjEN,WAAW,CAiET,IAAI,AAAC,CACH,aAAa,CAAE,GAAG,CACnB,AApEH,AAqEE,UArEQ,CAqER,EAAE,CApEJ,WAAW,CAoET,EAAE,AAAC,CACD,WAAW,CvDtCM,GAAG,CuD0CrB,AA1EH,AAuEI,UAvEM,CAqER,EAAE,CAEA,OAAO,CAtEX,WAAW,CAoET,EAAE,CAEA,OAAO,AAAC,CACN,KAAK,CtDxGD,IAAO,CsDyGZ,AAzEL,AA2EE,UA3EQ,CA2ER,EAAE,CA1EJ,WAAW,CA0ET,EAAE,AAAC,CACD,OAAO,CAAE,MAAM,CACf,YAAY,CAAE,KAAK,CACnB,KAAK,CtD9GC,IAAO,CsDoHd,AApFH,AA+EI,UA/EM,CA2ER,EAAE,AAIC,MAAM,CA/EX,UAAU,CA2ER,EAAE,CAKA,KAAK,CAhFT,UAAU,CA2ER,EAAE,CAMA,CAAC,CAhFL,WAAW,CA0ET,EAAE,AAIC,MAAM,CA9EX,WAAW,CA0ET,EAAE,CAKA,KAAK,CA/ET,WAAW,CA0ET,EAAE,CAMA,CAAC,AAAC,CACA,KAAK,CvDkFC,OAAmD,CuDjF1D,AAnFL,AAqFE,UArFQ,CAqFR,EAAE,CArFJ,UAAU,CAsFR,EAAE,CAtFJ,UAAU,CAuFR,EAAE,CAtFJ,WAAW,CAoFT,EAAE,CApFJ,WAAW,CAqFT,EAAE,CArFJ,WAAW,CAsFT,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,C7C5DX,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6C4DtB,AA1FH,AA6FI,UA7FM,CA2FR,EAAE,CAEA,CAAC,CA7FL,UAAU,CA4FR,EAAE,CACA,CAAC,CA5FL,WAAW,CA0FT,EAAE,CAEA,CAAC,CA5FL,WAAW,CA2FT,EAAE,CACA,CAAC,AAAC,CACA,KAAK,CtD9HD,IAAO,CsD+HZ,AA/FL,AAiGE,UAjGQ,CAiGR,EAAE,CAjGJ,UAAU,CAkGR,EAAE,CAjGJ,WAAW,CAgGT,EAAE,CAhGJ,WAAW,CAiGT,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACpB,AApGH,AAqGE,UArGQ,CAqGR,CAAC,CApGH,WAAW,CAoGT,CAAC,AAAC,CACA,MAAM,CAAE,SAAS,CAClB,AAIH,AAEE,UAFQ,CAER,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CAWd,AAdH,AAII,UAJM,CAER,UAAU,CAER,mBAAmB,AAAC,CAClB,KAAK,CA/II,KAAK,CAgJd,MAAM,CAhJG,KAAK,CAiJf,AAPL,AAQI,UARM,CAER,UAAU,CAMR,iBAAiB,AAAC,CAChB,UAAU,CAlJC,KAAI,CAmJhB,AAVL,AAWI,UAXM,CAER,UAAU,CASR,SAAS,CAAC,CAAC,AAAC,CACV,KAAK,CvD6CC,OAAmD,CuD5C1D,AAbL,AAgBE,UAhBQ,CAgBR,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CAyBf,AA3CH,AAoBM,UApBI,CAgBR,WAAW,CAGT,IAAI,CACF,CAAC,AAAC,CACA,KAAK,CtDhKH,IAAO,CsDiKT,eAAe,CAAE,SAAS,CAC3B,AAvBP,AAwBM,UAxBI,CAgBR,WAAW,CAGT,IAAI,CAKF,CAAC,AAAA,QAAQ,AAAC,CACR,eAAe,CAAE,IAAI,CACtB,AA1BP,AA2BM,UA3BI,CAgBR,WAAW,CAGT,IAAI,CAQF,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,MAAM,CACjB,AA9BP,AAgCI,UAhCM,CAgBR,WAAW,CAgBT,UAAU,AAAC,CACT,KAAK,CtDrKF,OAAO,CsD0KX,AAtCL,AAkCM,UAlCI,CAgBR,WAAW,CAgBT,UAAU,CAER,wBAAwB,CAlC9B,UAAU,CAgBR,WAAW,CAgBT,UAAU,CAGR,gBAAgB,AAAC,CACf,WAAW,CAAE,IAAI,CAClB,AArCP,AAuCI,UAvCM,CAgBR,WAAW,CAuBT,eAAe,AAAC,CACd,SAAS,CvDlIH,QAAQ,CuDmId,UAAU,CAAE,KAAK,CAClB,AA1CL,AA8CI,UA9CM,CA6CR,UAAU,CACR,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CAqBpB,AAvEL,AAmDM,UAnDI,CA6CR,UAAU,CACR,qBAAqB,CAKnB,SAAS,CAnDf,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAMnB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CAIpB,AA3DP,AAwDQ,UAxDE,CA6CR,UAAU,CACR,qBAAqB,CAKnB,SAAS,CAKP,OAAO,CAxDf,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAMnB,aAAa,CAIX,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AA1DT,AA4DM,UA5DI,CA6CR,UAAU,CACR,qBAAqB,CAcnB,aAAa,CAAC,CAAC,CA5DrB,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAenB,SAAS,CAAC,IAAI,AAAC,C7C5InB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6C4IjB,KAAK,CtD1MH,IAAO,CsD2MV,AAhEP,AAiEM,UAjEI,CA6CR,UAAU,CACR,qBAAqB,CAmBnB,SAAS,AAAC,CACR,YAAY,CAAE,KAAK,CACpB,AAnEP,AAoEM,UApEI,CA6CR,UAAU,CACR,qBAAqB,CAsBnB,aAAa,CAAC,CAAC,AAAC,CACd,eAAe,CAAE,SAAS,CAC3B,AAtEP,AA2EI,UA3EM,CA0ER,UAAU,CACR,mBAAmB,AAAC,CAClB,MAAM,CAAE,CAAC,CACV,AA7EL,AAiFI,UAjFM,CAgFR,UAAU,CACR,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CAYxB,AA/FL,AAoFM,UApFI,CAgFR,UAAU,CACR,cAAc,CAGZ,WAAW,CApFjB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AAPS,C7CnKhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6CmKjB,UAAU,CvD7BN,OAAmD,CuD8BvD,MAAM,CAAE,GAAG,CAAC,KAAK,CvD9Bb,OAAmD,CuD+BvD,KAAK,CtDnOH,IAAO,CsDoOV,AAWP,AAEE,WAFS,CAET,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CAkBd,AArBH,AAII,WAJO,CAET,UAAU,CAER,kBAAkB,AAAC,CACjB,UAAU,CAlPC,KAAI,CAmPhB,AANL,AAOI,WAPO,CAET,UAAU,CAKR,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,OAAO,CACxB,KAAK,CAxPI,KAAK,CAyPd,MAAM,CAzPG,KAAK,CA0Pd,KAAK,CtD3PD,IAAO,CsDmQZ,AApBL,AAaM,WAbK,CAET,UAAU,CAKR,aAAa,CAMX,OAAO,AAAC,CACN,MAAM,CAAE,IAAI,CACZ,SAAS,CAAE,IAAmB,CAC/B,AAhBP,AAiBM,WAjBK,CAET,UAAU,CAKR,aAAa,AAUV,QAAQ,AAAC,CACR,aAAa,CAAE,GAAG,CACnB,AAnBP,AAuBE,WAvBS,CAuBT,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CAkBf,AA3CH,AA2BM,WA3BK,CAuBT,WAAW,CAGT,IAAI,CACF,CAAC,AAAC,CACA,KAAK,CtD3QH,IAAO,CsD4QT,eAAe,CAAE,SAAS,CAC3B,AA9BP,AA+BM,WA/BK,CAuBT,WAAW,CAGT,IAAI,CAKF,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAlCP,AAmCM,WAnCK,CAuBT,WAAW,CAGT,IAAI,CASF,CAAC,AAAA,QAAQ,AAAC,CACR,eAAe,CAAE,IAAI,CACtB,AArCP,AAsCM,WAtCK,CAuBT,WAAW,CAGT,IAAI,CAYF,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,MAAM,CACjB,AClRP,AACE,IADE,AAAA,mBAAmB,CACrB,YAAY,AAAC,CACX,cAAc,CAAE,IAAuB,CACxC,AAHH,AAKE,IALE,AAAA,mBAAmB,CAKrB,uBAAuB,CALzB,IAAI,AAAA,mBAAmB,CAMrB,cAAc,AAAA,MAAM,AAAC,CACnB,MAAM,CATU,IAAI,CAUrB,AARH,AAUE,IAVE,AAAA,mBAAmB,CAUrB,cAAc,AAAA,MAAM,AAAC,CACnB,aAAa,CAAE,2BAA2B,CAC1C,cAAc,CAAE,GAAG,CACpB,AAGH,AAAA,WAAW,AAAC,CACV,gBAAgB,CvDnBE,kBAAO,CuDoBzB,UAAU,CxDkHI,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CwDjH3C,MAAM,CArBY,IAAI,CAsBtB,QAAQ,CAAE,KAAK,CACf,MAAM,CAvBY,KAAI,CAwBtB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,OAAO,CxD4DO,GAAG,CwD3DjB,UAAU,CAAE,eAAe,CAwB5B,AAjCD,AAWE,WAXS,CAWT,OAAO,AAAC,CACN,KAAK,CxDkKG,OAAmD,CwDjK5D,AAbH,AAeE,WAfS,AAeR,QAAQ,AAAC,CACR,MAAM,CAAE,GAAG,CACZ,AAjBH,AAmBE,WAnBS,CAmBT,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,cAAc,C9C4BjC,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C8CvBxB,AAhCH,AAuBI,WAvBO,CAmBT,kBAAkB,CAIhB,MAAM,AAAC,CACL,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,GAAG,CACX,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,SAAS,CAInB,AA/BL,AA4BM,WA5BK,CAmBT,kBAAkB,CAIhB,MAAM,AAKH,SAAS,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AAKsB,SAAC,EAAnB,OAAO,EAAM,GAAG,EAnC3B,AAeE,WAfS,AAeR,QAAQ,AAqBW,CAClB,cAAc,CAAE,qCAAgD,CACjE,CAG4C,SAAC,EAArC,uBAAuB,EAAE,UAAU,EAC5C,AAAA,IAAI,AAAA,IAAK,CAAA,gBAAgB,EAAE,WAAW,AAAC,CACrC,gBAAgB,CvD7DA,kBAAO,CuD8DvB,uBAAuB,CAAE,UAAU,CACpC,CAGH,AAAA,IAAI,AAAA,gBAAgB,AAAC,CACnB,WAAW,CAnEO,IAAI,CAoFvB,AAlBD,AAEE,IAFE,AAAA,gBAAgB,CAElB,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,GAAG,CACR,gBAAgB,CvDvEA,IAAO,CuDwEvB,OAAO,CxDYU,IAAI,CwDXrB,cAAc,CAAE,CAAC,CAClB,AARH,AAUE,IAVE,AAAA,gBAAgB,CAUlB,cAAc,CAVhB,IAAI,AAAA,gBAAgB,CAWlB,cAAc,AAAA,WAAW,AAAC,CACxB,OAAO,CxDMU,IAAI,CwDLtB,AAbH,AAeE,IAfE,AAAA,gBAAgB,AAejB,OAAO,CAAC,SAAS,AAAC,CACjB,UAAU,CAlFM,IAAI,CAmFrB,ACvFH,AACE,iBADe,AAAA,MAAM,CACrB,WAAW,AAAC,CACV,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AAJH,AAOI,iBAPa,AAAA,MAAM,CAMrB,aAAa,CACX,YAAY,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,AAIL,AACE,iBADe,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CAYpB,AAhBH,AAMI,iBANa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,CAKL,MAAM,AAAC,CACL,SAAS,CzD8BN,GAAG,CyD7BN,WAAW,CAAE,MAAM,CACnB,aAAa,CzCNN,GAAmB,CyCY3B,AAfL,AAWM,iBAXW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,CAKL,MAAM,CAKJ,UAAU,AAAC,CACT,KAAK,CzD2KD,OAAmD,CyD1KvD,SAAS,CzDyBH,OAAQ,CyDxBf,AAdP,AAkBE,iBAlBe,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CA+BvB,AAnDH,AAsBI,iBAtBa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAIH,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACvB,AA1BL,AA6BM,iBA7BW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAUH,0BAA0B,CACxB,CAAC,AAAC,CACA,UAAU,CAAE,SAAS,CACrB,SAAS,CzDKL,QAAQ,CyDJb,AAhCP,AAmCI,iBAnCa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAiBH,0BAA0B,CAnC9B,iBAAiB,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAkBH,gBAAgB,AAAC,CACf,aAAa,CzClCN,GAAmB,CyCmC3B,AAtCL,AAwCI,iBAxCa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAsBH,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CAMpB,AAlDL,AA8CM,iBA9CW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAsBH,QAAQ,CAMN,YAAY,AAAC,CACX,SAAS,CzDhBL,OAAO,CyDiBX,YAAY,CzC7CP,GAAmB,CyC8CzB,AAKP,AACE,iBADe,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CACzC,cAAc,CADhB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAEzC,gBAAgB,AAAC,CACf,aAAa,CzCtDJ,GAAmB,CyCuD7B,AAJH,AAOI,iBAPa,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CACH,oBAAoB,CAPxB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAEH,qBAAqB,CARzB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAGH,4BAA4B,AAAC,CAC3B,aAAa,CzC7DN,IAAmB,CyC8D3B,AAXL,AAaI,iBAba,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAOH,aAAa,AAAC,CACZ,aAAa,CzCjEN,GAAmB,CyCkE3B,AAfL,AAiBI,iBAjBa,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAWH,wBAAwB,AAAC,CACvB,KAAK,CAAE,IAAI,CACZ,AAnBL,AAsBE,iBAtBe,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CASpB,AAjCH,AA0BI,iBA1Ba,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,CAIL,YAAY,AAAC,CACX,YAAY,CzC9EL,GAAmB,CyCmF3B,AAhCL,AA6BM,iBA7BW,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,CAIL,YAAY,AAGT,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,ACjGP,AAME,YANU,CAMV,KAAK,CANP,YAAY,CAOV,iBAAiB,AAAC,CAChB,gBAAgB,CzDRR,IAAO,CyDSf,aAAa,CAAE,GAAG,CAAC,KAAK,C1D0LhB,OAAmD,C0DtK5D,AA7BH,AAWI,YAXQ,CAMV,KAAK,AAKF,iBAAiB,CAXtB,YAAY,CAOV,iBAAiB,AAId,iBAAiB,AAAC,CACjB,gBAAgB,C1DuLV,OAAmD,C0DtL1D,AAbL,AAeI,YAfQ,CAMV,KAAK,AASF,QAAQ,CAfb,YAAY,CAOV,iBAAiB,AAQd,QAAQ,AAAC,CACR,OAAO,CAAE,GAAG,CACZ,gBAAgB,C1DkLV,mBAAmD,C0D5K1D,AAvBL,AAyBI,YAzBQ,CAMV,KAAK,AAmBF,OAAO,CAzBZ,YAAY,CAOV,iBAAiB,AAkBd,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACb,AA5BL,AA+BE,YA/BU,CA+BV,KAAK,CA/BP,YAAY,CAgCV,IAAI,AAAA,KAAK,AAAC,CACR,KAAK,CzDlCC,IAAO,CyDmCd,AAlCH,AAoCE,YApCU,CAoCV,KAAK,CApCP,YAAY,CAqCV,YAAY,CArCd,YAAY,CAsCV,WAAW,AAAC,CACV,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CACZ,KAAK,C1D0JG,OAAmD,C0DzJ3D,SAAS,C1DSC,OAAQ,C0DRnB,AA3CH,AA6CE,YA7CU,CA6CV,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AA/CH,AAiDE,YAjDU,CAiDV,YAAY,CAAC,OAAO,AAAC,CACnB,SAAS,C1DDJ,GAAG,C0DET,AAnDH,AAqDE,YArDU,CAqDV,YAAY,CArDd,YAAY,CAsDV,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,KAAK,CACnB,WAAW,C1DKK,CAAC,C0DJjB,KAAK,C1DyIG,OAAmD,C0DxI5D,AA3DH,AA6DE,YA7DU,CA6DV,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAhEH,AAkEE,YAlEU,CAkEV,MAAM,AAAC,ChDPP,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgDOrB,OAAO,CAAE,KAAK,CACf,AArEH,AAuEE,YAvEU,CAuEV,KAAK,AAAC,CACJ,SAAS,C1DvBJ,GAAG,C0DwBR,SAAS,CAAE,KAAK,ChDdlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgDctB,AA3EH,AA6EE,YA7EU,CA6EV,YAAY,AAAC,CACX,gBAAgB,CAEd,OAAyC,CAE3C,OAAO,CAAE,eAAe,CACzB,AAnFH,AAqFE,YArFU,CAqFV,gBAAgB,CArFlB,YAAY,CAsFV,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CACjB,AAzFH,AA4FI,YA5FQ,CA2FV,aAAa,CACX,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACtB,AA9FL,AAgGI,YAhGQ,CA2FV,aAAa,CAKX,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CAKtB,AAtGL,AAmGM,YAnGM,CA2FV,aAAa,CAKX,CAAC,CAGC,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CzDrGH,IAAO,CyDsGV,AArGP,AAwGI,YAxGQ,CA2FV,aAAa,CAaX,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACZ,AA5GL,AA+GI,YA/GQ,CA2FV,aAAa,CAoBX,GAAG,CA/GP,YAAY,CA2FV,aAAa,CAqBX,KAAK,AAAC,CACJ,KAAK,C1DgFC,OAAoD,C0D/E1D,SAAS,C1DrEH,QAAQ,C0DsEf,AAnHL,AAsHE,YAtHU,CAsHV,QAAQ,AAAC,CACP,MAAM,CAAE,SAAS,CACjB,SAAS,C1DvEJ,GAAG,C0DwER,SAAS,CAAE,UAAU,CACrB,KAAK,CzD3HC,IAAO,CyDkId,AAjIH,AA2HI,YA3HQ,CAsHV,QAAQ,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AA7HL,AA8HI,YA9HQ,CAsHV,QAAQ,CAQN,OAAO,AAAA,SAAS,AAAC,CACf,KAAK,C1DoEC,OAAmD,C0DnE1D,AAhIL,AAmIE,YAnIU,CAmIV,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,YAAY,CAAC,cAAc,CAC3B,yBAAyB,CACzB,+BAA+B,AAAC,CAC9B,UAAU,CAAE,GAAG,CAehB,AAlBD,AAKE,YALU,CAAC,cAAc,CAKzB,YAAY,CAJd,yBAAyB,CAIvB,YAAY,CAHd,+BAA+B,CAG7B,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AARH,AAUE,YAVU,CAAC,cAAc,CAUzB,GAAG,CATL,yBAAyB,CASvB,GAAG,CARL,+BAA+B,CAQ7B,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,KAAK,CzDtJC,IAAO,CyD0Jd,AAjBH,AAcI,YAdQ,CAAC,cAAc,CAUzB,GAAG,AAIA,aAAa,CAblB,yBAAyB,CASvB,GAAG,AAIA,aAAa,CAZlB,+BAA+B,CAQ7B,GAAG,AAIA,aAAa,AAAC,CACb,KAAK,CzD/IJ,OAAO,CyDgJT,ACWL,AA7JA,mBA6JmB,CAiEnB,YAAY,AA9NL,CACL,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,IAAI,CACpB,AAKD,AAAA,cAAc,AAAC,CACb,SAAS,C3DiCG,OAAQ,C2DhCpB,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CA2HtB,AAjID,AAQE,cARY,CAQZ,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CAWtB,AArBH,AAWI,cAXU,CAQZ,eAAe,CAGb,cAAc,AAAC,CACb,aAAa,CAAE,QAAQ,CACvB,QAAQ,CAAE,MAAM,CACjB,AAdL,AAeI,cAfU,CAQZ,eAAe,CAOb,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CACjB,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,OAAO,CACf,AApBL,AAyBE,cAzBY,AAyBX,OAAO,AAAC,CACP,YAAY,CAAE,IAAI,CA4BnB,AAtDH,AA2BI,cA3BU,AAyBX,OAAO,CAEN,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,C3DuJC,OAAmD,C2DtJzD,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAIxB,AAHC,AAAA,mBAAmB,CA/BzB,cAAc,AAyBX,OAAO,CAEN,IAAI,AAAA,eAAe,AAIK,CACpB,KAAK,C1D5CI,IAAO,C0D6CjB,AAjCP,AAmCI,cAnCU,AAyBX,OAAO,CAUN,yBAAyB,CAnC7B,cAAc,AAyBX,OAAO,CAWN,kBAAkB,AAAC,CACjB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CACtB,AA1CL,AA2CI,cA3CU,AAyBX,OAAO,CAkBN,yBAAyB,AAAC,CAExB,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,CAAC,CAIhB,AAlDL,AA+CM,cA/CQ,AAyBX,OAAO,CAkBN,yBAAyB,CAIrB,kBAAkB,AAAC,CACnB,KAAK,CAAE,GAAG,CACX,AAjDP,AAmDI,cAnDU,AAyBX,OAAO,CA0BN,OAAO,AAAC,CACN,KAAK,C3D+HC,OAAmD,C2D9H1D,AArDL,AA0DE,cA1DY,AA0DX,IAAI,AAAC,CACJ,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,eAAe,CACxB,OAAO,CAAE,WAAW,CAgCrB,AA7FH,AA8DI,cA9DU,AA0DX,IAAI,CAIH,IAAI,AAAC,CACH,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAyBxB,AAzFL,AAiEM,cAjEQ,AA0DX,IAAI,CAIH,IAAI,AAGD,kBAAkB,CAjEzB,cAAc,AA0DX,IAAI,CAIH,IAAI,AAID,yBAAyB,AAAC,CACzB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACR,AAxEP,AA0EM,cA1EQ,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,AAAC,CAEzB,KAAK,CAAE,gBAAgB,CAQxB,AApFP,AA6EQ,cA7EM,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,CAGpB,kBAAkB,AAAC,CACrB,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,gBAAgB,CAIxB,AAnFT,AAgFU,cAhFI,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,CAGpB,kBAAkB,CAGhB,eAAe,AAAC,CAClB,WAAW,CAAE,GAAG,CACjB,AAlFX,AAsFM,cAtFQ,AA0DX,IAAI,CAIH,IAAI,AAwBD,eAAe,AAAC,CACf,QAAQ,CAAE,QAAQ,CACnB,AAxFP,AA0FI,cA1FU,AA0DX,IAAI,CAgCD,mBAAmB,AAAC,CACpB,OAAO,CAAE,eAAe,CACzB,AA5FL,AAiGE,cAjGY,AAiGX,IAAI,AAAC,CACJ,YAAY,CAAE,GAAG,CAuBlB,AAzHH,AAoGI,cApGU,AAiGX,IAAI,CAGH,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,C3D8EC,OAAmD,C2D7EzD,OAAO,CAAE,OAAO,CAChB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAKxB,AAHC,AAAA,mBAAmB,CA1GzB,cAAc,AAiGX,IAAI,CAGH,IAAI,AAAA,eAAe,AAMK,CACpB,KAAK,C1DvHI,IAAO,C0DwHjB,AA5GP,AA+GI,cA/GU,AAiGX,IAAI,CAcH,yBAAyB,CA/G7B,cAAc,AAiGX,IAAI,CAeH,kBAAkB,AAAC,CAEjB,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,KAAK,CAKf,AAxHL,AAqHM,cArHQ,AAiGX,IAAI,CAcH,yBAAyB,AAMtB,OAAO,CArHd,cAAc,AAiGX,IAAI,CAeH,kBAAkB,AAKf,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACf,AAvHP,AA6HE,cA7HY,AA6HX,KAAK,AAAC,CACL,KAAK,C3DqDG,OAAmD,C2DpD3D,YAAY,CAAE,GAAG,CAClB,AAMH,AAEI,cAFU,CACZ,oBAAoB,CAClB,CAAC,AAAA,eAAe,AAAC,CACf,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,OAAO,CAChB,WAAW,C3D5FI,GAAG,C2D6FnB,AAOL,AAAA,mBAAmB,AAAC,CAElB,OAAO,CAAE,aAAa,CACtB,SAAS,CAAE,KAAK,CAChB,KAAK,C1DvKK,IAAO,C0DwKjB,SAAS,C3DrHG,OAAQ,C2DsHpB,WAAW,C3D3GO,CAAC,C2D4GnB,UAAU,CAAE,MAAM,CAClB,gBAAgB,C3DsBN,OAAoD,C2DkB/D,AAhDD,AASE,mBATiB,CAShB,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C1D7KG,IAAO,C0D8KhB,AAXH,AAaE,mBAbiB,AAahB,MAAM,AAAC,CACN,KAAK,C1DjLG,IAAO,C0DkLhB,AAfH,AAmBE,mBAnBiB,AAmBhB,UAAU,CAnBb,mBAAmB,AAoBhB,aAAa,AAAC,CACb,gBAAgB,C1DvLT,OAAO,C0DwLd,KAAK,C1DzLG,IAAO,C0D0Lf,WAAW,CAA4B,IAAI,CAC5C,AAxBH,AA0BE,mBA1BiB,AA0BhB,UAAU,AAAC,CACV,gBAAgB,CAAE,WAAW,CAC7B,KAAK,C3DIG,OAAmD,C2DH3D,WAAW,CAAE,MAAM,CACnB,SAAS,C3D/IC,OAAQ,C2DgJnB,AA/BH,AAiCE,mBAjCiB,AAiChB,UAAU,AAAA,QAAQ,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,YAAY,CAAE,GAAG,CAClB,AApCH,AAwCE,mBAxCiB,AAwChB,OAAO,AAAC,CACP,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3DVR,OAAmD,C2DW3D,GAAG,CAAE,IAAI,CACT,KAAK,C3DZG,OAAmD,C2Da3D,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACb,AAMH,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,SAAS,C3DzKF,GAAG,C2D0KV,WAAW,C3D7JO,CAAC,C2DiKpB,AAPD,AAIE,YAJU,CAIT,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C3D5BG,OAAoD,C2D6B7D,AAMH,AAAA,YAAY,AAAC,CAEX,OAAO,CAAE,OAAO,CAChB,KAAK,C1DxOG,IAAO,C0DyOf,gBAAgB,C3DrCN,OAAmD,C2DsC7D,YAAY,C3DtCF,OAAmD,C2DuC7D,SAAS,C3DxLG,OAAQ,C2DyLrB,AC3OD,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CA8EnB,AAjFD,AAKE,UALQ,CAKR,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,IAAI,CACnB,AATH,AAWE,UAXQ,CAWR,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAdH,AAgBE,UAhBQ,CAgBR,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,GAAG,CAuBlB,AAtBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EApBvC,AAgBE,UAhBQ,CAgBR,YAAY,AAAC,CAKT,SAAS,C5D6BD,OAAQ,C4DRnB,CA1CH,AAwBI,UAxBM,CAgBR,YAAY,CAQV,UAAU,AAAC,ClDmCb,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkDnCpB,AA1BL,AA4BI,UA5BM,CAgBR,YAAY,CAYV,SAAS,CAAC,CAAC,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,KAAK,C5DmKC,OAAoD,C4DlK3D,AA/BL,AAiCI,UAjCM,CAgBR,YAAY,CAiBV,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CAChB,KAAK,C5D8JC,OAAoD,C4D7J3D,AApCL,AAsCI,UAtCM,CAgBR,YAAY,CAsBV,MAAM,AAAC,CACL,UAAU,CAAE,GAAG,CACf,KAAK,C5DyJC,OAAoD,C4DxJ3D,AAzCL,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CACN,KAAK,CAAE,KAAK,CAQb,AAPC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA9CvC,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CAGJ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CAKhB,CAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAlDvC,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CAOJ,KAAK,CAAE,IAAI,CAEd,CArDH,AAuDE,UAvDQ,AAuDP,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CAwBjB,AAhFH,AA0DI,UA1DM,AAuDP,OAAO,CAGN,SAAS,CA1Db,UAAU,AAuDP,OAAO,CAIN,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACf,AA7DL,AA+DI,UA/DM,AAuDP,OAAO,CAQN,KAAK,AAAC,CACJ,WAAW,CAAE,CAAC,CACf,AAjEL,AAmEI,UAnEM,AAuDP,OAAO,AAYL,WAAW,AAAC,CACX,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,KAAK,CAUjB,AA/EL,AAuEM,UAvEI,AAuDP,OAAO,AAYL,WAAW,CAIV,WAAW,AAAC,CACV,KAAK,C5DyHD,OAAoD,C4DxHzD,AAzEP,AA2EM,UA3EI,AAuDP,OAAO,AAYL,WAAW,CAQV,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,KAAK,CAClB,AC/EP,AACE,YADU,AACT,eAAe,AAAC,CACf,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CAClB,ACFH,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,OAAO,C9DoFI,GAAG,C8D/Df,AAzBD,AAKE,UALQ,AAKP,IAAI,AAAC,CACJ,UAAU,C9D2LF,OAAmD,C8D1L3D,KAAK,CAAE,KAAK,CACZ,UAAU,C9D6HA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,C8D5HzC,AATH,AAUE,UAVQ,AAUP,KAAK,CAVR,UAAU,AAWP,KAAK,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AAbH,AAcE,UAdQ,CAcR,MAAM,AAAC,CACL,KAAK,CAAE,KAAK,CACZ,KAAK,C7DnBC,IAAO,C6DoBb,OAAO,CAAE,GAAG,CACZ,SAAS,C9D6BJ,GAAG,C8D5BR,MAAM,CAAE,SAAS,CACjB,MAAM,CAAE,OAAO,CAChB,AArBH,AAsBE,UAtBQ,CAsBR,MAAM,AAAA,MAAM,AAAC,CACX,OAAO,CAAE,CAAC,CACX,AM3BH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CpEmMP,OAAmD,CoElM7D,OAAO,CAAE,GAAG,CACZ,UAAU,CnEFA,IAAO,CmEGjB,UAAU,CpEmIF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoElItC,OAAO,CpE6FK,GAAG,CoE3Ff,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,KAAK,C1D+DZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C0DrD1B,AAxBD,AAWE,eAXa,CAWb,MAAM,AAAA,KAAK,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAOnB,AApBH,AAeI,eAfW,CAWb,MAAM,AAAA,KAAK,CAIT,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,QAAQ,CAChB,SAAS,CAAE,aAAa,CACzB,AAnBL,AAqBE,eArBa,CAqBb,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,MAAM,CAAE,SAAS,CAClB,ACvBH,MAAM,CAAC,KAAK,CAGV,AAAA,OAAO,CACP,aAAa,CACb,MAAM,CACN,+BAA+B,AAAA,wBAAwB,CACvD,UAAU,CACV,eAAe,AAAA,SAAS,CAAxB,eAAe,A5BWjB,UAAU,C4BXR,eAAe,AKqWjB,UAAU,CLrWR,eAAe,AKyWjB,KAAK,CLxWH,GAAG,AAAA,qBAAqB,CACxB,GAAG,AAAA,iBAAiB,CACpB,GAAG,AAAA,uBAAuB,CAC1B,uBAAuB,CACvB,GAAG,AAAA,KAAK,CACR,QAAQ,CACR,iBAAiB,CACjB,eAAe,CACf,eAAe,CACf,kBAAkB,CAClB,GAAG,AAAA,OAAO,CACV,UAAU,AAAA,MAAM,CAChB,YAAY,CACZ,YAAY,CACZ,WAAW,CACX,gBAAgB,CAChB,GAAG,AAAA,WAAW,CACd,GAAG,AAAA,WAAW,AAAA,KAAK,CACnB,WAAW,CACX,CAAC,AAAA,aAAa,CACd,CAAC,AAAA,UAAU,CACX,GAAG,AAAA,SAAS,CACZ,OAAO,CACP,OAAO,CACP,WAAW,CACX,eAAe,CACf,kBAAkB,CAClB,mBAAmB,AAAA,OAAO,CAC1B,YAAY,CACZ,gBAAgB,AAAC,CACf,OAAO,CAAE,eAAe,CACzB,AAED,AAAA,CAAC,CACD,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CAAE,kBAAkB,CAC1B,AAED,AAAA,GAAG,AAAA,IAAI,AAAC,CACN,UAAU,CAAE,cAAc,CAC3B,AACD,AAAA,OAAO,CAAC,GAAG,CAAC,IAAI,AAAC,CACf,UAAU,CAAE,IAAI,CACjB,AACD,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CACtB,AACD,AAAA,IAAI,CACJ,IAAI,AAAC,CACH,SAAS,CAAE,CAAC,CACZ,MAAM,CAAE,IAAI,CACb,AACD,AAAA,iBAAiB,CAAC,GAAG,AAAC,CACpB,SAAS,CAAE,gBAAgB,CAC3B,MAAM,CAAE,eAAe,CACxB,AACD,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,CAAC,OAAO,AAAA,MAAM,CAAC,aAAa,AAAC,CACtC,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,CAAC,CACT,AACD,AAAA,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AACD,AAAA,YAAY,CAAC,GAAG,CAAC,GAAG,CAAC,EAAE,AAAC,CACtB,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,MAAM,CAClB,AAhDD,AAAA,CAAC,CACD,CAAC,AAAA,QAAQ,AAiDC,CACR,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,sBAAsB,AAAA,6BAA6B,CACnD,GAAG,AAAA,MAAM,AAAA,WAAW,AAAA,sBAAsB,CAC1C,GAAG,AAAA,iBAAiB,AAAA,cAAc,AAAA,qBAAqB,AAAC,CACtD,OAAO,CAAE,IAAI,CACd,CCrGH,AAAA,OAAO,AAAA,MAAM,AAAC,CACZ,aAAa,CAAE,IAAI,CAiBpB,AAlBD,AAGE,OAHK,AAAA,MAAM,CAGX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AALH,AAOE,OAPK,AAAA,MAAM,CAOX,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CASZ,AAjBH,AAUI,OAVG,AAAA,MAAM,CAOX,KAAK,CAGH,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACd,AAZL,AAcI,OAdG,AAAA,MAAM,CAOX,KAAK,CAOH,EAAE,AAAA,MAAM,AAAC,CACP,KAAK,CAAE,GAAG,CACX,AChBL,AAAA,UAAU,AAAC,CAET,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CA0BjB,AAzBC,AAAA,WAAW,CAJb,UAAU,AAIM,CACZ,SAAS,CAAE,KAAK,CASjB,AAVD,AAEE,WAFS,CAJb,UAAU,CAMN,OAAO,AAAA,IAAK,CAAA,OAAO,CAAC,IAAK,CAAA,WAAW,CAAC,IAAK,CAAA,oBAAoB,CAAE,CAC9D,SAAS,CAAE,KAAK,CACjB,AAJH,AAMI,WANO,CAJb,UAAU,CASN,MAAM,AAAA,oBAAoB,CACxB,cAAc,AAAA,OAAO,CAAC,eAAe,AAAC,CACpC,KAAK,CtEXH,IAAO,CsEYV,AAGL,AAAA,YAAY,CAfd,UAAU,AAeO,CACb,SAAS,CvEkCJ,GAAG,CuEjCR,UAAU,CAAE,IAAI,CACjB,AAlBH,AAmBE,UAnBQ,CAmBR,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AArBH,AAsBE,UAtBQ,CAsBR,UAAU,AAAC,CACT,aAAa,CAAE,IAAI,CACpB,AAxBH,AAyBE,UAzBQ,CAyBR,EAAE,AAAA,IAAK,CAAA,UAAU,EAzBnB,UAAU,CA0BR,EAAE,AAAA,IAAK,CADA,UAAU,CACE,CACjB,WAAW,CAAE,IAAI,CAClB,AC5BH,AACE,IADE,AAAA,QAAQ,CACR,MAAM,AAAC,CACP,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,OAAO,CxEyEF,IAAI,CwExET,gBAAgB,CAAE,IAAI,CACtB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CxE2LhB,OAAmD,CwE1L3D,UAAU,CAAE,UAAU,CACvB,AAXH,AAcI,IAdA,AAAA,QAAQ,CAaV,GAAG,AAAA,YAAY,CACb,GAAG,AAAA,KAAK,AAAC,CACP,UAAU,CAAE,UAAU,CAKvB,AApBL,AAgBM,IAhBF,AAAA,QAAQ,CAaV,GAAG,AAAA,YAAY,CACb,GAAG,AAAA,KAAK,CAEN,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAnBP,AAuBE,IAvBE,AAAA,QAAQ,CAuBV,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CACd,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AA3BH,AA6BE,IA7BE,AAAA,QAAQ,CA6BV,WAAW,AAAC,CACV,aAAa,CAAE,GAAG,CACnB,AA/BH,AAiCE,IAjCE,AAAA,QAAQ,CAiCV,MAAM,AAAC,CACL,UAAU,CAAE,GAAG,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,CxEiKb,OAAmD,CwEhK5D,AAGH,AAAA,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CAClB,AAED,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,KAAK,CAClB,UAAU,CAAE,GAAG,CAAC,KAAK,CxEqJX,OAAmD,CwEpJ9D,AAED,AAAA,kBAAkB,AAAC,CACjB,aAAa,CAAE,GAAG,CAWnB,AAZD,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CACP,UAAU,CAAE,SAAS,CAQtB,AAXH,AAII,kBAJc,CAEhB,QAAQ,CAEN,CAAC,AAAC,CACA,WAAW,CAAE,IAAI,CAClB,A9DrCH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E8D+BrC,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CAML,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,MAAM,CAExB,CAGH,AAAA,mBAAmB,AAAC,CAClB,KAAK,CxEmIK,OAAmD,CwElI7D,OAAO,CAAE,YAAY,CAQtB,A9DvDC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E8D6CrC,AAAA,mBAAmB,AAAC,CAIhB,KAAK,CAAE,KAAK,CAMf,CAVD,AAME,mBANiB,EAMjB,AAAA,QAAC,CAAS,UAAU,AAAnB,CAAqB,CACpB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CACpB,AAGH,AAAA,YAAY,AAAC,CACX,aAAa,CAAE,KAAK,CACpB,SAAS,CxE7BC,QAAQ,CwEuCnB,AAZD,AAGE,YAHU,CAGR,GAAG,AAAC,CACJ,aAAa,CAAE,MAAM,CACtB,AALH,AAME,YANU,CAMV,kBAAkB,AAAC,CACjB,gBAAgB,CxE+GR,OAAoD,CwE9G7D,AARH,AASE,YATU,CASV,eAAe,AAAC,CACd,KAAK,CvEtFC,IAAO,CuEuFd,AAGH,AACE,kBADgB,CAChB,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,MAAM,CACtB,AAGH,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,GAAG,CAMhB,AAPD,AAEE,sBAFoB,CAEpB,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,CxE8Fb,OAAmD,CwE7F5D,AAGH,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CAYd,AAbD,AAEE,YAFU,CAEV,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,eAAe,CAAE,IAAI,CACtB,AALH,AAME,YANU,CAMV,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACtB,AARH,AASE,YATU,CASV,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,iBAAiB,CAC3B,ACtHH,AAAA,GAAG,AAAA,QAAQ,AAAA,+BAA+B,AAAC,CACzC,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,MAAM,CACf,aAAa,CAAE,GAAG,CAOnB,AAVD,AAIE,GAJC,AAAA,QAAQ,AAAA,+BAA+B,CAIxC,YAAY,AAAC,CACX,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,WAAW,CACpB,SAAS,CzE4CC,OAAQ,CyE3ClB,UAAU,CAAE,KAAK,CAClB,ACHH,UAAU,CAAV,IAAU,CACR,IAAI,CACF,SAAS,CAAE,WAAW,CACtB,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,SAAS,CAAE,QAAQ,CACnB,OAAO,CAAE,CAAC,EAId,UAAU,CAAV,cAAU,CACR,EAAE,CACA,SAAS,CAAE,YAAY,CAEzB,IAAI,CACF,SAAS,CAAE,cAAc,EAI7B,UAAU,CAAV,yBAAU,CACR,EAAE,CACA,gBAAgB,C1EwKR,OAAmD,C0EtK7D,IAAI,CACF,gBAAgB,CAAE,WAAW,EAKjC,UAAU,CAAV,kBAAU,CACR,EAAE,CACA,mBAAmB,CAAE,SAAS,CAEhC,IAAI,CACF,mBAAmB,CAAE,QAAQ,EAIjC,AAAA,sBAAsB,AAAC,CACrB,kBAAkB,CAAE,EAAE,CACtB,mBAAmB,CAAE,QAAQ,CAC7B,yBAAyB,CAAE,QAAQ,CACnC,cAAc,CAAE,kBAAkB,CAClC,yBAAyB,CAAE,MAAM,CACjC,UAAU,C1EiJA,OAAmD,C0EhJ7D,UAAU,CAAE,gEAKX,CACF,A5ElDD,AAAA,IAAI,A4EqDC,CACH,MAAM,CAAE,IAAI,CACb,A5E7CD,AAAA,IAAI,A4E+CC,CACH,qBAAqB,CAAE,KAAK,CAC5B,eAAe,CAAE,KAAK,CACtB,UAAU,CAAE,IAAI,CAGjB,AAND,AhEnCE,IgEmCE,AhEnCD,OAAO,CgEmCV,IAAI,AhElCD,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgE+BH,AhE9BE,IgE8BE,AhE9BD,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgEqCH,AAAA,GAAG,AAAC,CACF,SAAS,C1E9BC,GAAG,C0E+Bd,A5E2ED,AAAA,KAAK,A4E1EC,CACJ,SAAS,C1E1BG,OAAQ,C0E2BrB,AAED,AAAA,UAAU,AAAC,ChECT,WAAW,CAAE,GAAG,CAAC,KAAK,CVkHZ,OAAmD,CUjH7D,gBAAgB,CV8FR,OAAqB,C0E9F7B,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,aAAa,CAAE,MAAM,CACtB,AAED,AACE,MADI,AACH,GAAG,AAAC,CACH,UAAU,CzE1FJ,OAAO,CyE2Fb,KAAK,CzElGG,IAAO,CyE0GhB,AAXH,AAII,MAJE,AACH,GAAG,CAGF,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AhEnDH,AACE,mBADiB,CgE6CrB,MAAM,AACH,GAAG,AhE7CD,MAAM,CADT,mBAAmB,CgE6CrB,MAAM,AACH,GAAG,AhE5CD,UAAU,AAAC,CgEmDV,UAAU,CAAE,OAAsB,CAClC,KAAK,CzExGC,IAAO,CSsDd,AgEyCL,AAaE,MAbI,AAaH,OAAO,AAAC,CACP,UAAU,CzEvGL,OAAO,CyEwGZ,KAAK,CzE9GG,IAAO,CyEsHhB,AAvBH,AAgBI,MAhBE,AAaH,OAAO,CAGN,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AhE/DH,AACE,mBADiB,CgE6CrB,MAAM,AAaH,OAAO,AhEzDL,MAAM,CADT,mBAAmB,CgE6CrB,MAAM,AAaH,OAAO,AhExDL,UAAU,AAAC,CgE+DV,UAAU,CAAE,OAAqB,CACjC,KAAK,CzEpHC,IAAO,CSsDd,AgEmEL,AAAA,CAAC,AAAA,OAAO,AAAC,CACP,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,KAAK,C1EuEK,OAAmD,C0EtE7D,UAAU,CAAE,WAAW,CAIxB,AARD,AAKE,CALD,AAAA,OAAO,AAKL,MAAM,AAAC,CACN,KAAK,CzEzHA,OAAO,CyE0Hb,AAGH,AAAA,EAAE,AAAA,WAAW,AAAC,CACZ,MAAM,CAAE,aAAa,CACtB,AAED,AAAA,CAAC,AAAA,QAAQ,AAAC,CACR,MAAM,CAAE,OAAO,CAChB,AAED,AAAA,GAAG,AAAA,OAAO,AAAC,CACT,aAAa,CAAE,GAAG,CACnB,AAKD,AAAA,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,UAAU,CAKxB,AARD,AAIE,KAJG,CAID,OAAO,AAAC,CACR,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,KADG,CACF,AAAA,IAAC,CAAK,OAAO,AAAZ,EADJ,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACjB,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,MAAM,CACpB,WAAW,CAAE,KAAK,CAClB,WAAW,C1ExGK,CAAC,C0EyGjB,MAAM,CAAE,OAAO,CACf,WAAW,CAAE,CAAC,CACf,AATH,AAUE,KAVG,CAUF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAVJ,KAAK,CAWF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAXJ,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAZJ,KAAK,CAaF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAbJ,KAAK,CAcF,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACjB,KAAK,CAAE,IAAI,CACZ,AAhBH,AAkBE,KAlBG,AAkBF,QAAQ,AAAC,CACR,gBAAgB,CAEd,OAAsC,CAEzC,AAED,AAAA,MAAM,CAzBR,KAAK,CAyBK,AAAA,IAAC,CAAK,OAAO,AAAZ,EACT,SAAS,CA1BX,KAAK,CA0BQ,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CAC3B,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,KAAK,CACL,MAAM,CACN,QAAQ,AAAC,CACP,KAAK,CzEpMG,IAAO,CyEqMf,WAAW,CAAE,YAAY,CAuB1B,AA3BD,AAME,KANG,CAMF,AAAA,KAAC,EAAO,MAAM,AAAb,EALJ,MAAM,CAKH,AAAA,KAAC,EAAO,MAAM,AAAb,EAJJ,QAAQ,CAIL,AAAA,KAAC,EAAO,MAAM,AAAb,CAAe,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,CAAC,CACf,AATH,AAWE,KAXG,CAWF,AAAA,QAAC,AAAA,EAXJ,KAAK,CAYF,AAAA,QAAC,AAAA,EAXJ,MAAM,CAUH,AAAA,QAAC,AAAA,EAVJ,MAAM,CAWH,AAAA,QAAC,AAAA,EAVJ,QAAQ,CASL,AAAA,QAAC,AAAA,EATJ,QAAQ,CAUL,AAAA,QAAC,AAAA,CAAU,CACV,MAAM,CAAE,WAAW,CACnB,gBAAgB,C1EXR,OAAmD,C0EY3D,YAAY,C1EZJ,OAAmD,C0Ea5D,AAhBH,AAkBE,KAlBG,AAkBF,MAAM,AAAA,SAAS,AAAA,QAAQ,CAjB1B,MAAM,AAiBH,MAAM,AAAA,SAAS,AAAA,QAAQ,CAhB1B,QAAQ,AAgBL,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAC,CACvB,KAAK,CzE7MA,OAAO,CyE8MZ,YAAY,CzE9MP,OAAO,CyE+Mb,AArBH,AAuBE,KAvBG,AAuBF,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,CAtBhC,MAAM,AAsBH,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,CArBhC,QAAQ,AAqBL,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,AAAC,CAC7B,YAAY,CzElNP,OAAO,CyEmNZ,UAAU,C1E1EI,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CCzIlB,OAAO,CyEoNb,AAGH,AACE,KADG,CACF,AAAA,IAAC,CAAK,MAAM,AAAX,EADJ,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,EAFJ,KAAK,CAGF,AAAA,IAAC,CAAK,UAAU,AAAf,EAHJ,KAAK,CAIF,AAAA,IAAC,CAAK,gBAAgB,AAArB,EAJJ,KAAK,CAKF,AAAA,IAAC,CAAK,MAAM,AAAX,EALJ,KAAK,CAMF,AAAA,IAAC,CAAK,OAAO,AAAZ,EANJ,KAAK,CAOF,AAAA,IAAC,CAAK,MAAM,AAAX,EAPJ,KAAK,CAQF,AAAA,IAAC,CAAK,MAAM,AAAX,EARJ,KAAK,CASF,AAAA,IAAC,CAAK,QAAQ,AAAb,EATJ,KAAK,CAUF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAVJ,KAAK,CAWF,AAAA,IAAC,CAAK,KAAK,AAAV,EAXJ,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAZJ,KAAK,CAaF,AAAA,IAAC,CAAK,KAAK,AAAV,EAbJ,KAAK,CAcF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,ChE9IhB,kBAAkB,CAAE,IAAI,CACxB,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,IAAI,CgE8Id,OAAO,CAAE,YAAY,CACrB,OAAO,C1EpOK,GAAG,CAAC,IAAI,C0EqOpB,aAAa,CAAE,GAAG,CAClB,SAAS,C1E/LJ,GAAG,C0EgMR,WAAW,C1EnLK,CAAC,C0EoLjB,KAAK,CzEnPC,IAAO,CyEoPb,gBAAgB,CzEnPR,IAAO,CyEoPf,MAAM,CAAE,GAAG,CAAC,KAAK,C1EjDT,OAAmD,C0EkD3D,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAMjB,AAhCH,AA2BI,KA3BC,CACF,AAAA,IAAC,CAAK,MAAM,AAAX,CA0BC,MAAM,CA3BX,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,CAyBC,MAAM,CA3BX,KAAK,CAGF,AAAA,IAAC,CAAK,UAAU,AAAf,CAwBC,MAAM,CA3BX,KAAK,CAIF,AAAA,IAAC,CAAK,gBAAgB,AAArB,CAuBC,MAAM,CA3BX,KAAK,CAKF,AAAA,IAAC,CAAK,MAAM,AAAX,CAsBC,MAAM,CA3BX,KAAK,CAMF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAqBC,MAAM,CA3BX,KAAK,CAOF,AAAA,IAAC,CAAK,MAAM,AAAX,CAoBC,MAAM,CA3BX,KAAK,CAQF,AAAA,IAAC,CAAK,MAAM,AAAX,CAmBC,MAAM,CA3BX,KAAK,CASF,AAAA,IAAC,CAAK,QAAQ,AAAb,CAkBC,MAAM,CA3BX,KAAK,CAUF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAiBC,MAAM,CA3BX,KAAK,CAWF,AAAA,IAAC,CAAK,KAAK,AAAV,CAgBC,MAAM,CA3BX,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,CAeC,MAAM,CA3BX,KAAK,CAaF,AAAA,IAAC,CAAK,KAAK,AAAV,CAcC,MAAM,CA3BX,KAAK,CAcF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAaC,MAAM,AAAC,CACN,YAAY,CzExPP,OAAO,CyEyPZ,UAAU,C1E5GL,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,CyE0PZ,OAAO,CAAE,CAAC,CACX,AAKF,AAAD,cAAS,CACR,aAAO,AAAC,CACP,aAAa,CAAE,GAAG,CAiCnB,AAnCA,AAGC,cAHO,CAGP,KAAK,CAAA,AAAA,KAAC,EAAO,MAAM,AAAb,EAFP,aAAO,CAEN,KAAK,CAAA,AAAA,KAAC,EAAO,MAAM,AAAb,CAAe,CACnB,OAAO,CAAE,YAAY,CACtB,AALF,AAMC,cANO,CAMP,KAAK,CANN,cAAQ,CAOP,MAAM,CANP,aAAO,CAKN,KAAK,CALN,aAAO,CAMN,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,aAAa,CAAE,CAAC,CAChB,cAAc,CAAE,MAAM,CACtB,aAAa,CAAE,CAAC,CAIjB,AAfF,AAYG,cAZK,CAMP,KAAK,AAMF,MAAM,CAZV,cAAQ,CAOP,MAAM,AAKH,MAAM,CAXV,aAAO,CAKN,KAAK,AAMF,MAAM,CAXV,aAAO,CAMN,MAAM,AAKH,MAAM,AAAC,CACN,OAAO,C1E1KL,CAAC,C0E2KJ,AAdJ,AAgBC,cAhBO,CAgBP,OAAO,CAfR,aAAO,CAeN,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,IAAI,CACZ,gBAAgB,C1EpFV,OAAmD,C0EqFzD,MAAM,CAAE,GAAG,CAAC,KAAK,C1ErFX,OAAmD,C0EsF1D,AAxBF,AA2BG,cA3BK,CAyBP,OAAO,AAEJ,YAAY,CA3BhB,cAAQ,CA0BP,IAAI,AACD,YAAY,CA1BhB,aAAO,CAwBN,OAAO,AAEJ,YAAY,CA1BhB,aAAO,CAyBN,IAAI,AACD,YAAY,AAAC,CACZ,YAAY,CAAE,IAAI,CACnB,AA7BJ,AA8BG,cA9BK,CAyBP,OAAO,AAKJ,WAAW,CA9Bf,cAAQ,CA0BP,IAAI,AAID,WAAW,CA7Bf,aAAO,CAwBN,OAAO,AAKJ,WAAW,CA7Bf,aAAO,CAyBN,IAAI,AAID,WAAW,AAAC,CACX,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,WAAW,CAC3B,AAIJ,AACC,cADO,CACP,OAAO,CADR,cAAQ,CAEP,IAAI,AAAC,CACH,YAAY,CAAE,IAAI,CACnB,A5E0FL,AAAA,QAAQ,A4EtFC,CACP,MAAM,CAAE,IAAI,CACZ,gBAAgB,CzEhTN,IAAO,CyEiTjB,MAAM,CAAE,GAAG,CAAC,KAAK,C1E9GP,OAAmD,C0EoH9D,AATD,AAIE,QAJM,AAIL,MAAM,AAAC,CACN,YAAY,CzElTL,OAAO,CyEmTd,UAAU,C1EtKH,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,OAAO,CyEoTd,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,GAAG,CAAC,KAAK,C1EvHP,OAAmD,C0EwH9D,AAED,AACE,KADG,CACH,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,KAAK,C1E7HG,OAAmD,C0E8H3D,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACf,AAKH,AAAA,SAAS,AAAC,CACR,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,OAAO,ChEpQf,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgEwQ1B,AATC,AACE,mBADiB,CAHrB,SAAS,AAIJ,MAAM,AAAC,CACN,gBAAgB,C1E1IV,OAAmD,C0E2I1D,AANL,AAQE,SARO,CAQP,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACpB,AAIH,AAAA,MAAM,CACN,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,IAAI,CAYnB,AAVC,AAAA,SAAS,CALX,MAAM,AAKS,YAAY,CAAzB,SAAS,CAJX,SAAS,AAIM,YAAY,AAAC,CACxB,WAAW,CAAE,GAAG,CACjB,AAPH,AASE,MATI,AASH,OAAO,CARV,SAAS,AAQN,OAAO,AAAC,CACP,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,aAAa,CAAE,CAAC,CAChB,cAAc,CAAE,MAAM,CACvB,AAGH,AAAA,MAAM,AAAA,OAAO,CAAC,MAAM,AAAA,OAAO,CAC3B,SAAS,AAAA,OAAO,CAAC,SAAS,AAAA,OAAO,AAAC,CAChC,WAAW,CAAE,IAAI,CAClB,AAMD,AAAA,KAAK,AAAC,CAEJ,YAAY,CAAE,IAAI,CAClB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CAKf,AATD,AAME,KANG,CAMH,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CACnB,AAGH,AACE,MADI,AACH,MAAM,AAAC,CACN,gBAAgB,CzE7XR,IAAO,CyE8XhB,AAGH,AAAA,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CAClB,AAME,AAAD,aAAM,AAAC,CACL,KAAK,C1EzMG,OAAoD,C0EyMA,UAAU,CACvE,AAEA,AAAD,YAAK,AAAC,CACJ,KAAK,C1E7MG,OAAoD,C0E6MD,UAAU,CACtE,AAEA,AAAD,YAAK,AAAC,CACJ,KAAK,C1EjNG,OAAoD,C0EiNC,UAAU,CACxE,AAGH,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,QAAQ,AAAC,CACP,aAAa,CAAE,GAAG,CAClB,gBAAgB,CzE5ZN,IAAO,CyE6ZjB,OAAO,CAAE,IAAI,CAKd,AARD,AAKE,QALM,CAKN,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,kBAAkB,AAAC,CACjB,UAAU,CAAE,eAAe,CAC5B,AAED,AAAA,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CAOtB,AARD,AAEE,IAFE,AAED,KAAK,AAAC,CACL,KAAK,CzEpaC,OAAO,CyEqad,AAJH,AAKE,IALE,AAKD,IAAI,AAAC,CACJ,KAAK,CzExaA,OAAO,CyEyab,AAGH,AAAA,eAAe,AAAC,CACd,gBAAgB,CzEnbN,IAAO,CyEobjB,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,iBAAiB,AAAA,cAAc,AAAC,CAC9B,GAAG,CAAE,eAAe,CACrB,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,wBAAwB,AAAC,CACvB,KAAK,CzElcK,IAAO,CyEmcjB,UAAU,CzE5bF,OAAO,CyEichB,AAPD,AAIE,wBAJsB,AAIrB,mBAAmB,CAAA,AAAA,IAAC,AAAA,CAAM,CACzB,KAAK,CzEtcG,IAAO,CyEuchB,AAGH,AAAA,wBAAwB,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,KAAK,CACZ,gBAAgB,CAAE,4DAIjB,CACD,OAAO,CAAE,IAAI,CACd,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,gBAAgB,CACrB,KAAK,CAAE,gBAAgB,CACvB,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,MAAM,CzE/dhB,sBAAO,CyEgef,OAAO,C1E5YM,IAAI,C0E6YlB,AAED,AAAA,wBAAwB,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CzEpeK,IAAO,CyEqejB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,KAAK,CACZ,WAAW,C1E1aQ,GAAG,C0E2avB,AAED,AAAA,KAAK,AAAC,CAGJ,UAAU,CAAE,0CAAuD,CACnE,UAAU,CAAE,qCAAkD,CAC9D,UAAU,CAAE,uCAAoD,CAChE,UAAU,CAAE,kCAA+C,CAC3D,GAAG,CAAE,gBAAgB,CACrB,KAAK,CAAE,iBAAiB,CACxB,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,8BAA8B,CAAE,QAAQ,CACxC,iCAAiC,CAAE,QAAQ,CAC3C,wBAAwB,CAAE,MAAM,CAChC,uBAAuB,CAAE,EAAE,CAC3B,0BAA0B,CAAE,EAAE,CAC9B,mBAAmB,CAAE,IAAI,CACzB,sBAAsB,CAAE,IAAI,CAC7B,AAED,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,oBAAoB,CAKjC,AAPD,AAIE,KAJG,AAIF,GAAG,AAAC,CACH,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,CAAC,CACV,AAED,AAAA,QAAQ,AAAC,CACP,MAAM,CAAE,mBAAmB,CAC3B,QAAQ,CAAE,QAAQ,CAClB,iBAAiB,CAAE,iCAAiC,CACpD,SAAS,CAAE,iCAAiC,CAC5C,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,C1EtWT,OAAqB,C0EuW7B,kBAAkB,CAAE,WAAW,CAC/B,aAAa,CAAE,GAAG,CAQnB,AAjBD,AAWE,QAXM,AAWL,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,YAAY,CACtB,AAGH,AACE,aADW,CACX,EAAE,AAAC,CACD,KAAK,C1EjWG,OAAmD,C0EkW3D,SAAS,C1ErfD,QAAQ,C0EsfhB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,IAAI,CACpB,AANH,AAQE,aARW,CAQX,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CAyBV,AAnCH,AAYI,aAZS,CAQX,EAAE,CAIA,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,C1E5WlB,OAAmD,C0EiY1D,AAlCL,AAeM,aAfO,CAQX,EAAE,CAIA,EAAE,AAGC,cAAc,AAAC,CACd,UAAU,CAAE,GAAG,CAAC,KAAK,C1E/WjB,OAAmD,C0EgXxD,AAjBP,AAmBM,aAnBO,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,IAAI,CACb,KAAK,CzEzjBH,IAAO,CyEokBV,AAjCP,AAwBQ,aAxBK,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAKE,MAAM,AAAC,CACN,gBAAgB,C1ExXd,OAAmD,C0EyXrD,KAAK,CzE7jBL,IAAO,CyE8jBR,AA3BT,AA6BQ,aA7BK,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAUE,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CzElkBL,IAAO,CyEmkBR,AAMT,AACE,cADY,CACZ,KAAK,CADP,cAAc,CAEZ,QAAQ,CAFV,cAAc,CAGZ,MAAM,CAHR,cAAc,CAIZ,cAAc,CAJhB,cAAc,CAKZ,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,CAAC,CAChB,IAAI,CAAE,QAAQ,CACf,AATH,AhE3iBE,cgE2iBY,CAWZ,cAAc,AhEtjBb,OAAO,CgE2iBV,cAAc,CAWZ,cAAc,AhErjBb,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgEuiBH,AhEtiBE,cgEsiBY,CAWZ,cAAc,AhEjjBb,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgEoiBH,AAeE,cAfY,CAeZ,cAAc,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,SAAS,C1E1iBD,QAAQ,C0E2iBhB,WAAW,C1E1hBK,GAAG,C0E2hBpB,AAnBH,AAqBE,cArBY,CAqBZ,SAAS,AAAC,CACR,WAAW,CAAE,CAAC,CACf,AAKH,AAEI,KAFC,CACH,GAAG,AAAA,OAAO,AACP,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AALL,AAOI,KAPC,CACH,GAAG,AAAA,OAAO,AAMP,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAVL,AAYI,KAZC,CACH,GAAG,AAAA,OAAO,AAWP,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAfL,AAiBI,KAjBC,CACH,GAAG,AAAA,OAAO,AAgBP,KAAK,AAAC,CACL,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AApBL,AAwBI,KAxBC,CAuBH,UAAU,CACR,KAAK,AAAC,CACJ,cAAc,CAAE,GAAG,CACpB,AAIL,AAAA,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CAClB,SAAS,C1ExlBC,GAAG,C0EylBb,UAAU,CAAE,MAAM,CAClB,GAAG,CAAE,KAAK,CACV,IAAI,CAAE,KAAK,CACX,KAAK,CzEzoBG,IAAO,CyE0oBhB,AAED,AACE,OADK,CACL,UAAU,AAAC,CACT,MAAM,CAAE,IAAI,CAOb,AATH,AAGI,OAHG,CACL,UAAU,CAER,SAAS,AAAC,CACR,WAAW,CAAE,IAAI,CAIlB,AARL,AAKM,OALC,CACL,UAAU,CAER,SAAS,CAEP,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzEjpBD,IAAO,CyEkpBZ,AAKP,AAAA,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CAChB,AAED,AACE,iBADe,CACf,IAAI,AAAC,CACH,aAAa,CAAE,cAAc,CAC7B,MAAM,CAAE,OAAO,CACf,cAAc,CAAE,GAAG,CAKpB,AATH,AAMI,iBANa,CACf,IAAI,AAKD,WAAW,AAAC,CACX,aAAa,CAAE,CAAC,CACjB,AARL,AAWE,iBAXe,CAWf,gBAAgB,AAAC,CACf,KAAK,C1EpeG,OAAmD,C0Eqe3D,SAAS,CAAE,MAAM,CACjB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAhBH,AAkBE,iBAlBe,CAkBf,iBAAiB,AAAC,CAChB,SAAS,CAAE,KAAK,CAKjB,AAxBH,AAqBI,iBArBa,CAkBf,iBAAiB,CAGf,kBAAkB,AAAC,CACjB,WAAW,CAAE,IAAI,CAClB,AAvBL,AA0BE,iBA1Be,CA0Bf,kBAAkB,AAAC,CACjB,KAAK,C1EnfG,OAAmD,C0Eyf5D,AAjCH,AA6BI,iBA7Ba,CA0Bf,kBAAkB,CAGhB,OAAO,AAAC,CACN,KAAK,CzElrBD,OAAO,CyEmrBX,WAAW,CAAE,IAAI,CAClB,AAhCL,AAmCE,iBAnCe,CAmCf,oBAAoB,AAAC,CACnB,KAAK,CAAE,KAAK,CAUb,AA9CH,AAsCI,iBAtCa,CAmCf,oBAAoB,CAGlB,IAAI,CAtCR,iBAAiB,CAmCf,oBAAoB,CAIlB,IAAI,AAAA,MAAM,AAAC,CACT,UAAU,CAAE,WAAW,CAKxB,AA7CL,AA0CM,iBA1CW,CAmCf,oBAAoB,CAGlB,IAAI,CAIF,OAAO,CA1Cb,iBAAiB,CAmCf,oBAAoB,CAIlB,IAAI,AAAA,MAAM,CAGR,OAAO,AAAC,CACN,KAAK,C1EngBD,OAAmD,C0EogBxD,AA5CP,AAgDE,iBAhDe,CAgDf,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CAKb,AAtDH,AAmDI,iBAnDa,CAgDf,cAAc,CAGV,KAAK,AAAC,CACN,UAAU,CAAE,IAAI,CACjB,AAIL,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,MAAM,CACf,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,MAAM,CAiBrB,AApBD,AAIE,eAJa,CAIb,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,WAAW,CACpB,KAAK,C1ExhBG,OAAmD,C0EgiB5D,AAfH,AAQI,eARW,CAIb,aAAa,CAIX,OAAO,AAAC,CACN,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,MAAM,CACd,AAXL,AAYI,eAZW,CAIb,aAAa,AAQV,IAAK,CAAA,WAAW,CAAE,CACjB,YAAY,CAAE,MAAM,CACrB,AAdL,AAiBE,eAjBa,CAiBb,gBAAgB,AAAC,CACf,KAAK,CzEhuBA,OAAO,CyEiuBb,AAGH,AAAA,mBAAmB,AAAC,CAClB,SAAS,C1EtsBM,IAAI,C0EusBnB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,UAAU,C1E3iBA,OAAmD,C0E4iB7D,UAAU,CAAE,MAAM,CAClB,OAAO,C1EnqBA,IAAI,C0EoqBX,KAAK,CzEjvBK,IAAO,CyEkvBlB,ACnvBD,AAAA,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,GAAG,CA0BjB,AA5BD,AAIE,WAJS,CAIT,KAAK,AAAC,CACJ,SAAS,CAAE,OAAO,CACnB,AANH,AAOE,WAPS,CAOT,OAAO,AAAC,CACN,SAAS,C3EsCD,QAAQ,C2ErCjB,AATH,AAUE,WAVS,CAUT,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CAClB,SAAS,C3EuCC,OAAQ,C2EtCnB,AAbH,AAcE,WAdS,CAcT,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CAIjB,AAnBH,AAgBI,WAhBO,CAcT,KAAK,CAEH,oBAAoB,AAAC,CACnB,KAAK,C1ETD,OAAO,C0EUZ,AAlBL,AAoBE,WApBS,CAoBT,QAAQ,AAAC,CACP,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,IAAI,CAKjB,AA3BH,AAwBI,WAxBO,CAoBT,QAAQ,CAIN,MAAM,AAAC,CACL,MAAM,CAAE,MAAM,CACf,AC1BL,AAAA,cAAc,AAAC,CACb,YAAY,CAAE,KAAK,CAYpB,AAbD,AAEE,cAFY,CAEZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACtB,AALH,AAME,cANY,CAMZ,cAAc,AAAC,CACb,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,IAAI,ClEoDjB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkEpDrB,cAAc,CAAE,QAAQ,CACxB,WAAW,C5EqDM,GAAG,C4EpDrB,AAGH,AAAA,eAAe,CACf,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CAuDZ,AA9DD,AASE,eATa,CASb,aAAa,CARf,2BAA2B,CAQzB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,UAAU,CACzB,MAAM,CAAE,OAAO,CAEf,UAAU,CAAE,UAAU,CAEtB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,GAAG,CAEtB,YAAY,CAAE,KAAK,CACnB,YAAY,C5EgKJ,OAAmD,C4E5I5D,AAlBC,AAAA,YAAY,CAvBhB,eAAe,CASb,aAAa,CAcX,YAAY,CAtBhB,2BAA2B,CAQzB,aAAa,AAcI,CACb,KAAK,CAAE,IAAI,CACZ,AAzBL,AA2BI,eA3BW,CASb,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,CA1B1B,2BAA2B,CAQzB,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,eAAe,CACxB,AAE6B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAlCjC,AA2BI,eA3BW,CASb,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,CA1B1B,2BAA2B,CAQzB,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,AAQG,CACrB,QAAQ,CAAA,KAAC,CACT,KAAK,CAAE,yCAAyC,CAChD,SAAS,CAAE,IAAI,CAChB,CAvCP,AA2CE,eA3Ca,CA2Cb,mBAAmB,CA1CrB,2BAA2B,CA0CzB,mBAAmB,AAAC,CAClB,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAEtB,YAAY,CAAE,GAAG,CACjB,iBAAiB,CAAE,CAAC,CAEpB,YAAY,CAAE,KAAK,CACnB,YAAY,C5E+HJ,OAAmD,C4E9H5D,AAvDH,AA0DI,eA1DW,AAyDZ,SAAS,CACR,KAAK,CAzDT,2BAA2B,AAwDxB,SAAS,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAIL,AACE,eADa,CACb,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,aAAa,CAatB,AAhBH,AAII,eAJW,CACb,aAAa,CAGT,CAAC,AAAC,CACF,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACX,AAPL,AAQI,eARW,CACb,aAAa,CAOX,mBAAmB,AAAC,CAClB,OAAO,CAAE,GAAG,CAMb,AAfL,AAWM,eAXS,CACb,aAAa,CAOX,mBAAmB,CAGjB,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAdP,AAmBI,eAnBW,AAkBZ,SAAS,CACR,aAAa,CAAC,mBAAmB,CAAG,CAAC,AAAC,CACpC,OAAO,CAAE,OAAO,CACjB,AArBL,AAwBE,eAxBa,CAwBb,YAAY,AAAC,CACX,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,MAAM,CAClB,SAAS,C5ExDJ,GAAG,C4EyDR,KAAK,C5EuFG,OAAoD,C4EnF7D,AAhCH,AA6BI,eA7BW,CAwBb,YAAY,CAKV,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CAChB,AA/BL,AAkCE,eAlCa,CAkCb,EAAE,AAAC,CACD,SAAS,C5ElED,QAAQ,C4EmEhB,aAAa,CAAE,KAAK,CACpB,UAAU,CAAE,MAAM,CAClB,WAAW,C5ErDM,GAAG,C4EsDpB,UAAU,CAAE,MAAM,CAClB,KAAK,C3EvHC,IAAO,C2EwHb,QAAQ,CAAE,MAAM,CACjB,AA1CH,AA4CE,eA5Ca,CA4Cb,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAsBhB,AApEH,AA+CI,eA/CW,CA4Cb,cAAc,CAGZ,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,ClEpEvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkEoEnB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,KAAK,CAerB,AAnEL,AAqDM,eArDS,CA4Cb,cAAc,CAGZ,YAAY,CAMV,8BAA8B,AAAC,CAC7B,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,KAAK,CACpB,AAxDP,AAyDM,eAzDS,CA4Cb,cAAc,CAGZ,YAAY,CAUV,iBAAiB,AAAC,CAChB,SAAS,CAAE,CAAC,ClE7ElB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkE6ElB,AA5DP,AA6DM,eA7DS,CA4Cb,cAAc,CAGZ,YAAY,CAcV,KAAK,CAAC,GAAG,AAAC,CACR,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAKP,AACE,2BADyB,CACzB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,CAAC,CACX,AALH,AAOE,2BAPyB,CAOzB,EAAE,AAAC,CACD,SAAS,C5E9GD,QAAQ,C4E+GhB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,MAAM,CACjB,AAXH,AAaE,2BAbyB,CAazB,qBAAqB,AAAC,CACpB,OAAO,CAAE,iBAAiB,CAK3B,AAnBH,AAeI,2BAfuB,CAazB,qBAAqB,CAEnB,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CAAE,IAAI,CACX,KAAK,C3EvKD,IAAO,C2EwKZ,AAlBL,AAqBE,2BArByB,CAqBzB,gBAAgB,AAAC,CACf,OAAO,CAAE,iBAAiB,CAqB3B,AA3CH,AAuBI,2BAvBuB,CAqBzB,gBAAgB,CAEd,EAAE,AAAC,CACD,KAAK,C5EsBC,OAAmD,C4ErBzD,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACV,AA5BL,AA6BI,2BA7BuB,CAqBzB,gBAAgB,CAQd,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CAUtB,AA1CL,AAiCM,2BAjCqB,CAqBzB,gBAAgB,CAQd,EAAE,CAIA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,QAAQ,CAAE,MAAM,CACjB,AApCP,AAqCM,2BArCqB,CAqBzB,gBAAgB,CAQd,EAAE,CAQA,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,MAAM,CACf,AAKP,AACE,gBADc,CAAC,SAAS,CACxB,EAAE,CAAC,OAAO,AAAC,CACT,KAAK,C5EFG,OAAmD,C4EG3D,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,MAAM,CACb,cAAc,CAAE,QAAQ,CACxB,YAAY,CAAE,MAAM,CACrB,AAGH,AAEE,2BAFyB,CAEzB,aAAa,CAAC,EAAE,CAAC,OAAO,CAD1B,eAAe,CACb,aAAa,CAAC,EAAE,CAAC,OAAO,AAAC,CACvB,YAAY,CAAE,CAAC,CAChB,AChNH,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,IAAI,CACV,OAAO,C7E6FK,GAAG,C6E5Ff,UAAU,C7EiIF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,C6EhItC,gBAAgB,C5ENN,IAAO,C4EOjB,OAAO,C7DQI,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,C6DP9B,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CAkGd,AA1GD,AASE,WATS,AASR,QAAQ,AAAC,CACR,OAAO,CAAE,KAAK,CACf,AAXH,AAYE,WAZS,CAYT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACZ,AAdH,AAeE,WAfS,CAeT,gBAAgB,CAAC,kBAAkB,AAAC,CAClC,KAAK,CAAE,IAAI,CACZ,AAjBH,AAkBE,WAlBS,CAkBT,gBAAgB,AAAC,CACf,MAAM,CAAE,MAAM,CACf,AApBH,AAsBE,WAtBS,CAsBT,MAAM,AAAC,CACL,aAAa,C7DTJ,GAAmB,C6DU5B,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAW/B,AArCH,AA4BI,WA5BO,CAsBT,MAAM,CAMJ,EAAE,AAAC,CACD,SAAS,C7EmBN,GAAG,C6ElBN,MAAM,CAAE,CAAC,CACV,AA/BL,AAiCI,WAjCO,CAsBT,MAAM,CAWJ,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACnB,KAAK,C7E6JC,OAAoD,C6E5J3D,AApCL,AAuCE,WAvCS,CAuCT,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,gBAAgB,CACxB,KAAK,C5ErCC,OAAO,C4EsCb,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,aAAa,CACzB,SAAS,C7EEJ,GAAG,C6EET,AAlDH,AA+CI,WA/CO,CAuCT,UAAU,AAQP,IAAK,CAAA,QAAQ,CAAE,CACd,OAAO,CAAE,CAAC,CACX,AAjDL,AAmDE,WAnDS,CAmDT,YAAY,AAAC,CACX,YAAY,C7DtCH,GAAmB,C6DuC5B,SAAS,C7ETD,QAAQ,C6EqBjB,AAjEH,AAsDI,WAtDO,CAmDT,YAAY,CAGV,OAAO,AAAC,CACN,KAAK,CAA+B,IAAK,CAC1C,AAxDL,AAyDI,WAzDO,CAmDT,YAAY,CAMV,oBAAoB,AAAC,CAEnB,KAAK,CAA+B,IAAK,CAC1C,AA5DL,AA6DI,WA7DO,CAmDT,YAAY,CAUV,0BAA0B,AAAC,CAEzB,KAAK,CAA8B,IAAK,CACzC,AAhEL,AAYE,WAZS,CAYT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAuDa,CACjB,SAAS,C7ErBD,QAAQ,C6EsBhB,aAAa,CAAE,CAAC,CACjB,AAtEH,AAwEE,WAxES,CAwET,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,UAAU,C7D7DD,GAAmB,C6D2F7B,AAzGH,AA6EI,WA7EO,CAwET,QAAQ,CAKN,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,GAAG,CAKf,AAvFL,AAoFM,WApFK,CAwET,QAAQ,CAKN,QAAQ,CAON,YAAY,AAAC,CACX,YAAY,C7DvEP,GAAmB,C6DwEzB,AAtFP,AAyFI,WAzFO,CAwET,QAAQ,CAiBN,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,IAAI,CAAE,CAAC,CACP,eAAe,CAAE,QAAQ,CACzB,MAAM,CAAE,IAAI,CAUb,AAxGL,AAgGM,WAhGK,CAwET,QAAQ,CAiBN,YAAY,CAOV,YAAY,AAAC,CACX,SAAS,C7EpDL,QAAQ,C6EqDZ,KAAK,C7E8FD,OAAoD,C6E7FzD,AAnGP,AAqGM,WArGK,CAwET,QAAQ,CAiBN,YAAY,CAYV,UAAU,AAAC,CACT,YAAY,C7DxFP,IAAmB,C6DyFzB,AAKP,AAAA,mBAAmB,CAAC,WAAW,CAAC,gBAAgB,AAAC,CAC/C,OAAO,CAAE,IAAI,CACd,AAED,AAAA,gBAAgB,CAAC,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CAC9C,OAAO,CAAE,IAAI,CACd,ACpHD,AAAA,aAAa,AAAC,CACZ,gBAAgB,C7EAN,IAAO,C6ECjB,KAAK,C7EFG,IAAO,C6EGhB,ACHD,AAAA,uBAAuB,AAAC,CACtB,UAAU,C9EDF,IAAO,C8ECM,MAAM,CAC3B,eAAe,CAAE,KAAK,CACtB,QAAQ,CAAE,QAAQ,CA0CnB,AA7CD,AAKE,uBALqB,CAKrB,oBAAoB,AAAC,CACnB,eAAe,CAAE,OAAO,CACxB,iBAAiB,CAAE,SAAS,CAC5B,mBAAmB,CAAE,MAAM,CAC3B,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,GAAG,CACb,AAfH,AAiBE,uBAjBqB,CAiBrB,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CAwBd,AA5CH,AAsBI,uBAtBmB,CAiBrB,sBAAsB,CAKpB,IAAI,AAAC,CACH,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,QAAQ,CAClB,AAzBL,AA2BI,uBA3BmB,CAiBrB,sBAAsB,CAUpB,4BAA4B,AAAC,CAC3B,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,CAAC,CACf,WAAW,CAAE,IAAI,CAalB,AA3CL,AAgCM,uBAhCiB,CAiBrB,sBAAsB,CAUpB,4BAA4B,CAK1B,OAAO,AAAC,CACN,KAAK,C/EmKD,OAAmD,C+ElKxD,AAlCP,AAoCM,uBApCiB,CAiBrB,sBAAsB,CAUpB,4BAA4B,AASzB,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAKjB,AA1CP,AAuCQ,uBAvCe,CAiBrB,sBAAsB,CAUpB,4BAA4B,AASzB,MAAM,CAGL,OAAO,AAAC,CACN,KAAK,C9ExCL,IAAO,C8EyCR,AAMT,AACE,eADa,AAAA,UAAU,CACvB,uBAAuB,AAAC,CACtB,iBAAiB,CAAE,SAAS,CAC7B,AAGH,AACE,eADa,AAAA,cAAc,CAC3B,uBAAuB,AAAC,CACtB,eAAe,CAAE,OAAO,CACzB,AAGH,AAAA,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CACnB,AC9DD,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAwL/B,AA1LD,AAIE,iBAJe,CAIf,QAAQ,AAAC,CACP,gBAAgB,ChF+LR,OAAmD,CgF9L3D,OAAO,CAAE,OAAO,CAChB,KAAK,C/ENG,IAAO,C+EOhB,AARH,AAUE,iBAVe,CAUf,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,aAAa,CAAE,GAAG,CAWnB,AA1BH,AAiBI,iBAjBa,CAUf,WAAW,CAOT,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,WAAW,CACpB,AApBL,AAsBI,iBAtBa,CAUf,WAAW,CAYT,WAAW,AAAC,CACV,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,KAAK,CACnB,AAzBL,AA4BE,iBA5Be,CA4Bf,gBAAgB,AAAC,CACf,KAAK,CAAE,GAAG,CA6EX,AtEvFD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AA4BE,iBA5Be,CA4Bf,gBAAgB,AAAC,CAGb,KAAK,CAAE,GAAG,CA2Eb,CA1GH,AAkCI,iBAlCa,CA4Bf,gBAAgB,CAMd,eAAe,CAlCnB,iBAAiB,CA4Bf,gBAAgB,CAOd,cAAc,CAnClB,iBAAiB,CA4Bf,gBAAgB,CAQd,eAAe,CApCnB,iBAAiB,CA4Bf,gBAAgB,CASd,aAAa,CArCjB,iBAAiB,CA4Bf,gBAAgB,CAUd,WAAW,AAAC,CACV,aAAa,CAAE,GAAG,CACnB,AAxCL,AA0CI,iBA1Ca,CA4Bf,gBAAgB,CAcd,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CAAC,KAAK,ChFuJlB,OAAmD,CgFtJzD,cAAc,CAAE,KAAK,CACrB,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CA4BpB,AA7EL,AAmDM,iBAnDW,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CAUd,AA9DP,AAsDQ,iBAtDS,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,CAGX,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CAClB,AAxDT,AA2DQ,iBA3DS,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,CAQX,IAAI,CAAG,IAAI,AAAC,CACV,WAAW,CAAE,MAAM,CACpB,AA7DT,AAgEM,iBAhEW,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CASpB,AA5EP,AAqEQ,iBArES,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,CAKN,KAAK,AAAC,CACJ,YAAY,CAAE,KAAK,CACpB,AAvET,AAyEQ,iBAzES,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,CASN,UAAU,AAAC,CACT,SAAS,CAAE,KAAK,CACjB,AA3ET,AA+EI,iBA/Ea,CA4Bf,gBAAgB,CAmDd,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,MAAM,CAcpB,AAhGL,AAoFM,iBApFW,CA4Bf,gBAAgB,CAmDd,aAAa,CAKX,YAAY,AAAC,CACX,WAAW,CAAE,KAAK,CACnB,AAtFP,AAwFM,iBAxFW,CA4Bf,gBAAgB,CAmDd,aAAa,CASX,WAAW,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,KAAK,CAClB,SAAS,ChFvCH,OAAQ,CgF4Cf,AA/FP,AA4FQ,iBA5FS,CA4Bf,gBAAgB,CAmDd,aAAa,CASX,WAAW,CAAC,CAAC,AAIV,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AA9FT,AAmGM,iBAnGW,CA4Bf,gBAAgB,CAsEd,cAAc,CACZ,YAAY,AAAC,CACX,OAAO,CAAE,KAAK,CACd,gBAAgB,ChF+FZ,OAAmD,CgF9FvD,MAAM,CAAE,GAAG,CAAC,KAAK,ChF8Fb,OAAmD,CgF7FvD,KAAK,C/EhGJ,OAAO,C+EiGT,AAxGP,AA4GE,iBA5Ge,CA4Gf,wBAAwB,AAAC,CACvB,KAAK,CAAE,GAAG,CAIV,WAAW,CAAE,GAAG,CAChB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAsEvB,AtEtKD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AA4GE,iBA5Ge,CA4Gf,wBAAwB,AAAC,CAGrB,KAAK,CAAE,GAAG,CA0Eb,CAzLH,AAqHI,iBArHa,CA4Gf,wBAAwB,CAStB,sBAAsB,CArH1B,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CAtHhB,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CAvHd,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAxHZ,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAzHlB,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CA1HxB,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,AAAC,CAChC,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAKhB,AAnIL,AA+HM,iBA/HW,CA4Gf,wBAAwB,CAStB,sBAAsB,CAUpB,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAStB,sBAAsB,CAWpB,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CASV,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CAUV,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CAQR,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CASR,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAON,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAQN,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAMZ,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAOZ,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CAKlB,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CAMlB,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,CAI/B,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,CAK/B,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAlIP,AAqII,iBArIa,CA4Gf,wBAAwB,CAyBtB,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CAClB,AAvIL,AAyII,iBAzIa,CA4Gf,wBAAwB,CA6BtB,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,CAAC,CACjB,AA9IL,AAgJI,iBAhJa,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAAC,CACrB,UAAU,ChFmDJ,OAAmD,CgFlDzD,OAAO,CAAE,WAAW,CAIpB,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CASlB,AtE9IH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AAgJI,iBAhJa,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAAC,CAInB,OAAO,CAAE,aAAa,CAazB,CAjKL,AA0JM,iBA1JW,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAUnB,IAAI,AAAC,CACJ,UAAU,ChFyCN,OAAmD,CgFxCxD,AA5JP,AA8JM,iBA9JW,CA4Gf,wBAAwB,CAoCtB,sBAAsB,CAcpB,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,AAhKP,AAmKI,iBAnKa,CA4Gf,wBAAwB,CAuDtB,wBAAwB,AAAC,CACvB,UAAU,ChFgCJ,OAAmD,CgF/BzD,OAAO,CAAE,GAAG,CAmBb,AAxLL,AAsKM,iBAtKW,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAGtB,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAxKP,AAyKM,iBAzKW,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAMtB,OAAO,AAAA,MAAM,AAAC,CACZ,UAAU,CAAE,GAAG,CAChB,AtExJL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AAmKI,iBAnKa,CA4Gf,wBAAwB,CAuDtB,wBAAwB,AAAC,CAUrB,OAAO,CAAE,YAAY,CAWxB,AAxLL,AA8KQ,iBA9KS,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAWpB,QAAQ,CA9KhB,iBAAiB,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAYpB,QAAQ,CA/KhB,iBAAiB,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAapB,WAAW,AAAA,aAAa,AAAC,CAEvB,KAAK,CAAE,eAAe,CACvB,AAnLT,AAoLQ,iBApLS,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAiBpB,WAAW,AAAC,CACV,SAAS,CAAE,KAAK,CACjB,CAMT,AAAA,YAAY,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CAsBb,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,KAAK,CA4CjB,AApED,AAEE,WAFS,CAET,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACpB,AALH,AAOE,WAPS,CAOT,WAAW,AAAC,CACV,KAAK,ChFNG,OAAoD,CgFW7D,AAbH,AASI,WATO,CAOT,WAAW,CAET,GAAG,AAAC,CACF,KAAK,C/EjMJ,OAAO,C+EkMR,SAAS,ChFxJD,OAAQ,CgFyJjB,AAZL,AAeE,WAfS,CAeT,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CACjC,SAAS,CAAE,OAAO,CACnB,AAjBH,AAmBE,WAnBS,CAmBT,gBAAgB,AAAC,CACf,WAAW,CAAE,GAAG,CACjB,AArBH,AAyBE,WAzBS,CAyBT,MAAM,AAAC,CACL,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,KAAK,CACjB,AA5BH,AA6BE,WA7BS,CA6BT,OAAO,AAAC,CACN,YAAY,CAAE,IAAI,CACnB,AA/BH,AAgCE,WAhCS,CAgCT,CAAC,AAAA,YAAY,AAAA,QAAQ,CAAC,YAAY,AAAC,CACjC,KAAK,ChF7BG,OAAmD,CgF8B5D,AAlCH,AAoCI,WApCO,CAmCT,YAAY,CACV,YAAY,AAAC,CACX,SAAS,ChFrLH,QAAQ,CgFsLd,WAAW,ChFtKI,GAAG,CgFuKnB,AAvCL,AAwCI,WAxCO,CAmCT,YAAY,CAKV,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CAChB,WAAW,ChF3KI,GAAG,CgF4KlB,KAAK,ChFxCC,OAAmD,CgF4C1D,AAhDL,AA6CM,WA7CK,CAmCT,YAAY,CAKV,eAAe,CAKb,IAAI,AAAC,CACH,WAAW,CAAE,CAAC,CACf,AA/CP,AAkDE,WAlDS,CAkDT,MAAM,AAAC,CACL,SAAS,ChFjMJ,GAAG,CgFkMR,WAAW,ChFnLK,GAAG,CgFoLnB,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,KAAK,CAChB,KAAK,ChFrDG,OAAoD,CgF6D7D,AA/DH,AAwDI,WAxDO,CAkDT,MAAM,CAMJ,KAAK,AAAC,CACJ,KAAK,ChFvDC,OAAoD,CgFwD3D,AA1DL,AA4DI,WA5DO,CAkDT,MAAM,CAUJ,iBAAiB,AAAC,CAChB,KAAK,ChF3DC,OAAoD,CgF4D3D,AA9DL,AAiEE,WAjES,CAiET,cAAc,AAAC,CACb,SAAS,ChF/MC,OAAQ,CgFgNnB,AAGH,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CACjB,AACD,AAAA,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,oBAAoB,CAAC,eAAe,CAAC,KAAK,AAAC,CACzC,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,GAAG,CAChB,ACvRD,AACE,CADD,AAAA,eAAe,AACb,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,WAAW,CACpB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,WAAW,CACnB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CjF2LT,OAAmD,CiF1L3D,kBAAkB,CAAE,WAAW,CAC/B,aAAa,CAAE,GAAG,CAClB,iBAAiB,CAAE,iCAAiC,CACpD,SAAS,CAAE,iCAAiC,CAC7C,AAGH,AAAA,cAAc,AAAC,CvEiEb,WAAW,CAAE,GAAG,CAAC,KAAK,CVkHZ,OAAmD,CUjH7D,gBAAgB,CV8FR,OAAqB,CiF7J7B,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,SAAS,CjF4BF,GAAG,CiFoBX,AArDD,AAME,cANY,CAMV,OAAO,AAAC,CACR,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,IAAI,CAClB,OAAO,CAAE,KAAK,CACd,KAAK,ChF3BC,IAAO,CgF4Bb,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CAab,AAzBH,AAaI,cAbU,CAMV,OAAO,CAOP,KAAK,AAAC,CAMJ,QAAQ,CAAE,QAAQ,CAClB,SAAS,CjFaN,GAAG,CiFTP,AAxBL,AAcM,cAdQ,CAMV,OAAO,CAOP,KAAK,CACH,CAAC,AAAC,CACA,KAAK,CAAE,KAAK,CACZ,eAAe,CAAE,IAAI,CACrB,aAAa,CAAE,IAAI,CACpB,AAlBP,AAqBM,cArBQ,CAMV,OAAO,CAOP,KAAK,CAQH,GAAG,AAAA,QAAQ,AAAC,CACV,YAAY,CAAE,GAAG,CAClB,AAvBP,AA2BE,cA3BY,CA2BZ,mBAAmB,AAAC,CAClB,WAAW,CAAE,GAAG,CAwBjB,AApDH,AA6BI,cA7BU,CA2BZ,mBAAmB,CAEjB,GAAG,AAAC,CACF,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAnCL,AAoCI,cApCU,CA2BZ,mBAAmB,CASjB,EAAE,CApCN,cAAc,CA2BZ,mBAAmB,CAUjB,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AAvCL,AAwCI,cAxCU,CA2BZ,mBAAmB,CAajB,IAAI,AAAC,CACH,UAAU,CAAE,KAAK,CAClB,AA1CL,AA2CI,cA3CU,CA2BZ,mBAAmB,CAgBjB,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,IAAI,CAMrB,AAnDL,AA8CM,cA9CQ,CA2BZ,mBAAmB,CAgBjB,QAAQ,CAGN,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACZ,AAMP,AAEI,cAFU,CACZ,mBAAmB,CACjB,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AALL,AAMI,cANU,CACZ,mBAAmB,CAKjB,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAClB,AAYL,AAAA,KAAK,AAAA,OAAO,AAAC,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CjFoGP,OAAmD,CiFnG7D,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,mBAAmB,CAC5B,SAAS,CjFjDF,GAAG,CiFwOX,AA3LD,AAME,KANG,AAAA,OAAO,CAMV,MAAM,AAAC,CACL,aAAa,CAAE,GAAG,CAKnB,AAZH,AAQI,KARC,AAAA,OAAO,CAMV,MAAM,CAEJ,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CjF0FC,OAAoD,CiFzF1D,eAAe,CAAE,IAAI,CACtB,AAXL,AAPE,KAOG,AAAA,OAAO,AAPT,cAAc,CAAC,OAAO,AAAH,CAClB,UAAU,CAAE,yCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,cAAc,CAAC,OAAO,AAAH,CAClB,UAAU,CAAE,mCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,UAAU,CAAC,OAAO,AAAC,CAClB,UAAU,CAAE,qCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,aAAa,CAAC,OAAO,AAAF,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,kBAAkB,CAAC,OAAO,AAAP,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,YAAY,CAAC,OAAO,AAAD,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,OAAO,CAAC,OAAO,AAAI,CAClB,UAAU,CAAE,kCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,UAAU,CAAC,OAAO,AAAC,CAClB,UAAU,CAAE,qCAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,2DAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,YAAY,CAAC,OAAO,AAAD,CAClB,UAAU,CAAE,2DAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AA2BE,KA3BG,AAAA,OAAO,CA2BV,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CA8JZ,AA1LH,AA8BI,KA9BC,AAAA,OAAO,CA2BV,YAAY,CAGV,EAAE,CA9BN,KAAK,AAAA,OAAO,CA2BV,YAAY,CAIV,EAAE,AAAC,CACD,SAAS,CjF9EH,QAAQ,CiF+Ed,MAAM,CAAE,UAAU,CACnB,AAlCL,AAoCI,KApCC,AAAA,OAAO,CA2BV,YAAY,CASV,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,ChFlIA,OAAO,CgFmIZ,eAAe,CAAE,IAAI,CACtB,AAvCL,AAyCI,KAzCC,AAAA,OAAO,CA2BV,YAAY,CAcV,CAAC,CAAA,AAAA,IAAC,AAAA,CAAK,QAAQ,AAAC,CACd,KAAK,ChFvIA,OAAO,CgFwIb,AA3CL,AA6CI,KA7CC,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAAC,CACF,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,GAAG,CAId,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CAOnB,AAbC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAhDtC,AA6CI,KA7CC,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAAC,CAIA,SAAS,CAAE,GAAG,CAYjB,CA7DL,AAuDM,KAvDD,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAUA,kBAAkB,AAAC,CAClB,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,OAAO,CACd,MAAM,CAAE,OAAO,CAChB,AA5DP,AA+DI,KA/DC,AAAA,OAAO,CA2BV,YAAY,EAoCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,YAAY,AAAC,CACvC,KAAK,CAAE,IAAI,CACZ,AAjEL,AAkEI,KAlEC,AAAA,OAAO,CA2BV,YAAY,EAuCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,GAAG,AAAC,CAC9B,MAAM,CAAE,IAAI,CACb,AAI6B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAxEjC,AAyEM,KAzED,AAAA,OAAO,CA2BV,YAAY,CA8CR,aAAa,AAAC,CACZ,UAAU,CAAE,KAAK,CACjB,aAAa,CAAA,iCAAC,CACd,KAAK,CAAE,gCAAgC,CACvC,SAAS,CAAE,GAAG,CACd,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CAClB,MAAM,CAAE,IAAI,CAUb,AA1FP,AAkFQ,KAlFH,AAAA,OAAO,CA2BV,YAAY,CA8CR,aAAa,CASX,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAzFT,AA6FM,KA7FD,AAAA,OAAO,CA2BV,YAAY,CAkER,uBAAuB,AAAC,CACtB,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,iCAAiC,CACxC,SAAS,CAAE,IAAI,CAUhB,AA1GP,AAkGQ,KAlGH,AAAA,OAAO,CA2BV,YAAY,CAkER,uBAAuB,CAKrB,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,eAAe,CACzB,AAzGT,AA4GM,KA5GD,AAAA,OAAO,CA2BV,YAAY,EAiFR,AAAA,KAAC,EAAO,gBAAgB,AAAvB,CAAyB,CACxB,QAAQ,CAAE,QAAQ,CACnB,AA9GP,AA+GM,KA/GD,AAAA,OAAO,CA2BV,YAAY,EAoFR,AAAA,KAAC,EAAO,gBAAgB,AAAvB,CAAwB,QAAQ,AAAC,CAChC,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,cAAc,CAAE,kCAAkC,CACnD,AAnHP,AA+DI,KA/DC,AAAA,OAAO,CA2BV,YAAY,EAoCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,YAAY,AAqDG,CACvC,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,IAAI,CACb,CAzHP,AA6HI,KA7HC,AAAA,OAAO,CA2BV,YAAY,CAkGV,CAAC,AAAA,WAAW,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AA/HL,AAkII,KAlIC,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,AAAC,CACZ,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CAeZ,AAnJL,AAsIM,KAtID,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,CAIX,GAAG,AAAA,YAAY,AAAC,CACd,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AvEvNL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EuE4ErC,AA+IQ,KA/IH,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,CAaT,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CACjB,CAjJT,AAsJM,KAtJD,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CACX,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AAxJP,AAyJM,KAzJD,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CAIX,UAAU,CAzJhB,KAAK,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CAKX,SAAS,AAAC,CACR,YAAY,CAAE,IAAI,CACnB,AA5JP,AAgKI,KAhKC,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAhKrB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CASnB,AA5KL,AAqKM,KArKD,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAKf,gBAAgB,CArKtB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAMf,YAAY,CAtKlB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,CAIX,gBAAgB,CArKtB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,CAKX,YAAY,AAAC,CACX,OAAO,CAAE,eAAe,CACxB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AA3KP,AA8KI,KA9KC,AAAA,OAAO,CA2BV,YAAY,CAmJV,qBAAqB,AAAC,CAQpB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CACnB,AAzLL,AA+KM,KA/KD,AAAA,OAAO,CA2BV,YAAY,CAmJV,qBAAqB,AAClB,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CAEZ,OAAO,CvE9IL,oSAAkD,CuEiJrD,AAeP,AAAA,uBAAuB,AAAC,CACtB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CAOZ,AAVD,AANE,uBAMqB,AANpB,YAAY,AAAK,CAChB,UAAU,CAAE,0DAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,aAAa,AAAI,CAChB,UAAU,CAAE,2DAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,cAAc,AAAG,CAChB,UAAU,CAAE,4DAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,cAAc,AAAG,CAChB,UAAU,CAAE,4DAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,gBAAgB,AAAC,CAChB,UAAU,CAAE,8DAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,aAAa,AAAI,CAChB,UAAU,CAAE,2DAA4D,CACtE,SAAS,CACZ,AAgBH,AAAA,oBAAoB,AAAC,CACnB,gBAAgB,CjFhIR,OAAqB,CiFiI7B,KAAK,ChFlTG,IAAO,CgFmTf,MAAM,CAAE,GAAG,CAAC,KAAK,ChFnTT,IAAO,CgF6ThB,AAbD,AAIE,oBAJkB,CAIlB,kBAAkB,AAAC,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CAKd,AAZH,AAQI,oBARgB,CAIlB,kBAAkB,AAIf,gBAAgB,AAAC,CAChB,UAAU,CAAE,+DAA6D,CACvE,SAAS,CACZ,AAIL,AAAA,KAAK,AAAA,OAAO,CAAC,YAAY,CAAC,cAAc,AAAC,CACvC,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAED,AACE,UADQ,CACR,KAAK,AAAA,OAAO,AAAC,CvErPb,WAAW,CAAE,GAAG,CAAC,KAAK,CVkHZ,OAAmD,CUjH7D,gBAAgB,CV8FR,OAAqB,CiFwJ5B,AAIH,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAA,OAAO,AAAC,CACjC,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,KAAK,CACX,KAAK,CAAE,OAAO,CACd,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,SAAS,CjFlSG,OAAQ,CiFmSpB,WAAW,CjFrRO,GAAG,CiFsRrB,OAAO,CAAE,mBAAmB,CAC5B,iBAAiB,CAAE,UAAU,CAC9B,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAC,CACjB,WAAW,CAAE,CAAC,CACd,WAAW,CjF5RO,GAAG,CiF6RtB,AACD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,AAAC,CACd,gBAAgB,CAA0B,IAAI,CAC/C,AACD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAC,CACjB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,UAAU,CACnB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAC,CAC1B,eAAe,CAAE,IAAI,CACrB,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,CAAC,CACd,WAAW,CAAE,iBAAiB,CAC9B,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,SAAS,AAAC,CAC1B,gBAAgB,CAA6B,IAAI,CAClD,AAvBD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,AAyBC,CACd,WAAW,CAAE,MAAM,CACpB,AAGD,AAII,OAJG,AAAA,kBAAkB,CAGvB,YAAY,CACV,EAAE,CAHN,OAAO,AAAA,aAAa,CAElB,YAAY,CACV,EAAE,CAFN,OAAO,AAAA,YAAY,CACjB,YAAY,CACV,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AANL,AAQI,OARG,AAAA,kBAAkB,CAGvB,YAAY,CAKR,YAAY,CAPlB,OAAO,AAAA,aAAa,CAElB,YAAY,CAKR,YAAY,CANlB,OAAO,AAAA,YAAY,CACjB,YAAY,CAKR,YAAY,AAAC,CAEb,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAZL,AAeE,OAfK,AAAA,kBAAkB,CAevB,WAAW,CAdb,OAAO,AAAA,aAAa,CAclB,WAAW,CAbb,OAAO,AAAA,YAAY,CAajB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAjBH,AAmBE,OAnBK,AAAA,kBAAkB,CAmBvB,sBAAsB,CAlBxB,OAAO,AAAA,aAAa,CAkBlB,sBAAsB,CAjBxB,OAAO,AAAA,YAAY,CAiBjB,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CACvB,YAAY,CAAE,GAAG,CAClB,AAvBH,AAyBE,OAzBK,AAAA,kBAAkB,CAyBvB,YAAY,CAxBd,OAAO,AAAA,aAAa,CAwBlB,YAAY,CAvBd,OAAO,AAAA,YAAY,CAuBjB,YAAY,AAAC,CACX,IAAI,CjFnNI,OAAmD,CiFoN3D,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AA7BH,AA+BE,OA/BK,AAAA,kBAAkB,CA+BvB,SAAS,CA9BX,OAAO,AAAA,aAAa,CA8BlB,SAAS,CA7BX,OAAO,AAAA,YAAY,CA6BjB,SAAS,AAAC,CACR,SAAS,CjF1WC,OAAQ,CiF8WnB,AApCH,AAiCI,OAjCG,AAAA,kBAAkB,CA+BvB,SAAS,CAEP,IAAI,CAhCR,OAAO,AAAA,aAAa,CA8BlB,SAAS,CAEP,IAAI,CA/BR,OAAO,AAAA,YAAY,CA6BjB,SAAS,CAEP,IAAI,AAAC,CACH,UAAU,CAAE,SAAS,CACtB,AAnCL,AAsCE,OAtCK,AAAA,kBAAkB,CAsCvB,sBAAsB,CArCxB,OAAO,AAAA,aAAa,CAqClB,sBAAsB,CApCxB,OAAO,AAAA,YAAY,CAoCjB,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACZ,AAxCH,AA0CE,OA1CK,AAAA,kBAAkB,CA0CvB,YAAY,CAzCd,OAAO,AAAA,aAAa,CAyClB,YAAY,CAxCd,OAAO,AAAA,YAAY,CAwCjB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CAoBZ,AAlEH,AAgDI,OAhDG,AAAA,kBAAkB,CA0CvB,YAAY,CAMR,GAAG,CA/CT,OAAO,AAAA,aAAa,CAyClB,YAAY,CAMR,GAAG,CA9CT,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAMR,GAAG,AAAC,CACJ,MAAM,CAAE,OAAO,CAChB,AAlDL,AAoDI,OApDG,AAAA,kBAAkB,CA0CvB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,EOnWrB,OAAO,AAAA,aAAa,CAyClB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,EOlWrB,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,COhTM,CACrB,YAAY,CAAE,IAAI,CACnB,AAtDL,AAwDI,OAxDG,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAvDV,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAtDV,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAQlB,AAjEL,AA2DM,OA3DC,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAGJ,MAAM,CA1DZ,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAGJ,MAAM,CAzDZ,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,CAGJ,MAAM,AAAC,CACL,KAAK,ChFjbH,OAAO,CgFkbV,AA7DP,AA8DM,OA9DC,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAMJ,QAAQ,CA7Dd,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAMJ,QAAQ,CA5Dd,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,CAMJ,QAAQ,AAAC,CACP,KAAK,ChFrbJ,OAAO,CgFsbT,AAhEP,AAoEE,OApEK,AAAA,kBAAkB,CAoEvB,qBAAqB,CAnEvB,OAAO,AAAA,aAAa,CAmElB,qBAAqB,CAlEvB,OAAO,AAAA,YAAY,CAkEjB,qBAAqB,AAAC,CACpB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,IAAI,CAChB,AA7EH,AA+EE,OA/EK,AAAA,kBAAkB,CA+EvB,eAAe,CA9EjB,OAAO,AAAA,aAAa,CA8ElB,eAAe,CA7EjB,OAAO,AAAA,YAAY,CA6EjB,eAAe,AAAC,CACd,MAAM,CAAE,SAAS,CAClB,AAjFH,AAmFE,OAnFK,AAAA,kBAAkB,CAmFvB,OAAO,CAAC,IAAI,CAlFd,OAAO,AAAA,aAAa,CAkFlB,OAAO,CAAC,IAAI,CAjFd,OAAO,AAAA,YAAY,CAiFjB,OAAO,CAAC,IAAI,AAAC,CAEX,gBAAgB,CjF9QR,OAAmD,CiF8QzB,UAAU,CAC5C,KAAK,ChFldG,IAAO,CgFkdG,UAAU,CAC5B,OAAO,CAAE,kBAAkB,CAC5B,AAIH,AAAA,YAAY,CAAC,qBAAqB,AAAC,CACjC,UAAU,CAAE,OAAO,CACnB,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACd,AAED,AAAA,YAAY,CAAC,WAAW,AAAC,CACvB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,UAAU,CAC3B,AAED,AAAA,YAAY,CAAC,aAAa,AAAC,CACzB,OAAO,CAAE,GAAG,CACZ,SAAS,CjFzbG,OAAQ,CiF0brB,AAED,AAAA,YAAY,CAAC,WAAW,AAAA,KAAK,AAAC,CAC5B,gBAAgB,CAAE,OAAO,CAC1B,AACD,AAAA,YAAY,CAAC,WAAW,AAAA,OAAO,AAAC,CAC9B,gBAAgB,CAAE,OAAO,CAC1B,AACD,AAAA,YAAY,CAAC,WAAW,AAAA,OAAO,AAAC,CAC9B,gBAAgB,CAAE,OAAO,CAC1B,AAED,AAAA,YAAY,CAAC,qBAAqB,AAAC,CACjC,WAAW,CAAE,KAAK,CACnB,AAGD,AACE,KADG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CACrC,EAAE,AAAC,CACD,aAAa,CAAE,CAAC,CACjB,AAIH,AACE,OADK,AAAA,cAAc,CACnB,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAJH,AAKE,OALK,AAAA,cAAc,CAKnB,CAAC,CALH,OAAO,AAAA,cAAc,CAMnB,MAAM,AAAC,CACL,WAAW,CAAE,QAAQ,CACrB,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,IAAI,CA0BlB,AAnCH,AAWI,OAXG,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAXX,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,AAAC,CACN,MAAM,CAAE,GAAG,CAAC,KAAK,CjF7UX,OAAmD,CiF8UzD,OAAO,CAAE,iBAAiB,CAC1B,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAmBjB,AAlCL,AAiBM,OAjBC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAML,YAAY,CAjBlB,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAML,YAAY,AAAC,CACX,KAAK,CAAE,OAAO,CACf,AAnBP,AAqBM,OArBC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAUL,aAAa,CArBnB,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAUL,aAAa,AAAC,CACZ,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,OAAO,CAMhB,AA7BP,AAyBQ,OAzBD,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAUL,aAAa,CAIX,IAAI,CAzBZ,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAUL,aAAa,CAIX,IAAI,AAAC,CACH,WAAW,CAAE,OAAO,CACpB,KAAK,CjF5VH,OAAmD,CiF6VtD,AA5BT,AA+BM,OA/BC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAoBL,GAAG,CA/BT,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAoBL,GAAG,AAAC,CACF,aAAa,CAAE,GAAG,CACnB,AAjCP,AAoCE,OApCK,AAAA,cAAc,CAoCnB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAIH,AAEE,OAFK,AAAA,YAAY,CAEjB,UAAU,CAFZ,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CADZ,OAAO,AAAA,aAAa,CAClB,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CjF9cD,CAAC,CiF+cP,SAAS,CjFjgBC,OAAQ,CiFkgBlB,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,eAAkB,CvE1ftC,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CuE0frB,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,KAAK,CAgBf,AA1BH,AAYI,OAZG,AAAA,YAAY,CAEjB,UAAU,CAUR,UAAU,CAZd,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CAUR,UAAU,CAXd,OAAO,AAAA,aAAa,CAClB,UAAU,CAUR,UAAU,AAAC,CACT,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,MAAM,CvElgBpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CuE0gBpB,AAzBL,AAkBM,OAlBC,AAAA,YAAY,CAEjB,UAAU,CAUR,UAAU,CAMR,YAAY,CAlBlB,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CAUR,UAAU,CAMR,YAAY,CAjBlB,OAAO,AAAA,aAAa,CAClB,UAAU,CAUR,UAAU,CAMR,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,SAAS,CjFlhBL,QAAQ,CiFmhBZ,WAAW,CjFngBC,GAAG,CiFogBf,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,IAAI,CACtB,AAMP,AACE,KADG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CACrC,GAAG,AAAA,IAAK,CAAA,cAAc,CAAE,CACtB,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,GAAG,CACf,AAJH,AAME,KANG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CAMrC,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CjFvZK,OAAoD,CiFwZ/D,AAED,AACE,OADK,AAAA,KAAK,CAAC,YAAY,CACvB,GAAG,AAAC,CACF,SAAS,CAAE,eAAe,CAC1B,KAAK,CAAE,eAAe,CACvB,AAIH,AACE,OADK,AAAA,IAAI,CAAC,YAAY,CACtB,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,oCAAkC,CAAC,SAAS,CACxD,eAAe,CAAE,SAAS,CAC1B,OAAO,CAAE,YAAY,CACtB,AARH,AASE,OATK,AAAA,IAAI,CAAC,YAAY,CAStB,SAAS,AAAC,CACR,KAAK,CAAE,IAAI,CACZ,AAIH,AACE,OADK,AAAA,mBAAmB,CACxB,OAAO,CADT,OAAO,AAAA,mBAAmB,CAExB,OAAO,AAAC,CACN,KAAK,CjFpbG,OAAoD,CiFqb7D,AAJH,AAKE,OALK,AAAA,mBAAmB,CAKxB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAPH,AAQE,OARK,AAAA,mBAAmB,CAQxB,OAAO,AAAC,CACN,KAAK,CAAE,KAAK,CACb,AAGH,AAGI,OAHG,AACJ,mBAAmB,CAElB,UAAU,CAHd,OAAO,AAEJ,OAAO,CACN,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CAClB,AAIL,AACE,OADK,AAAA,OAAO,CAAC,CAAC,CACd,IAAI,AAAA,OAAO,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,MAAM,CACpB,AAGH,AACE,OADK,AAAA,UAAU,CACf,GAAG,AAAA,sBAAsB,AAAC,CACxB,KAAK,CjFjdG,OAAoD,CiFkd5D,WAAW,CAAE,IAAI,CAClB,AAGH,AACE,OADK,AAAA,aAAa,CAClB,GAAG,AAAA,QAAQ,AAAC,CACV,OAAO,CAAE,CAAC,CACX,AAGH,AACE,OADK,AAAA,cAAc,CACnB,KAAK,CADP,OAAO,AAAA,cAAc,CAEnB,QAAQ,AAAC,CACP,KAAK,CjF/dG,OAAoD,CiFge5D,YAAY,CAAE,IAAI,CAKnB,AATH,AAKI,OALG,AAAA,cAAc,CACnB,KAAK,CAIH,GAAG,CALP,OAAO,AAAA,cAAc,CAEnB,QAAQ,CAGN,GAAG,AAAC,CACF,IAAI,CAAE,YAAY,CAClB,cAAc,CAAE,MAAM,CACvB,AAKL,AAAA,YAAY,CAAC,OAAO,AAAA,YAAY,AAAC,CAC/B,UAAU,CAAE,IAAI,CACjB,AAQD,AAAA,OAAO,AAAA,aAAa,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CAOZ,AAVD,AAKE,OALK,AAAA,aAAa,CAKlB,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAGH,AAAA,6BAA6B,AAAC,CAC5B,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,gBAAgB,CjFjgBN,OAAmD,CiFoiB9D,AAvCD,AAME,6BAN2B,CAM3B,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,WAAW,CAAE,MAAM,CA0BpB,AAtCH,AAeM,6BAfuB,CAM3B,iBAAiB,AAQd,MAAM,AACJ,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvE/kBL,kaAAkD,CuEklBrD,AApBP,AAuBM,6BAvBuB,CAM3B,iBAAiB,AAgBd,MAAM,AACJ,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvEvlBL,oeAAkD,CuE0lBrD,AA5BP,AA+BM,6BA/BuB,CAM3B,iBAAiB,AAwBd,QAAQ,AACN,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvE/lBL,4mBAAkD,CuEkmBrD,ACruBP,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,OAAO,ClFmFG,IAAI,CkFlFd,gBAAgB,CjFHE,IAAO,CiFIzB,UAAU,ClFiIA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAE,IAAG,CAAC,gBAAmB,CkF9C7C,AA3FD,AAUE,SAVO,CAUL,KAAK,AAAC,CACN,KAAK,CAAE,iBAAiB,CACxB,MAAM,CAAE,IAAI,CAuBb,AAnCH,AAaI,SAbK,CAUL,KAAK,CAGL,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAkBb,AAlCL,AAkBM,SAlBG,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CAcZ,AAjCP,AAqBQ,SArBC,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAGT,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AAvBT,AAwBQ,SAxBC,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAMlB,AAhCT,AA4BU,SA5BD,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,CAIX,aAAa,CA5BvB,SAAS,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,CAKX,cAAc,AAAC,CACb,OAAO,CAAE,QAAQ,CAClB,AAMT,AAAA,OAAO,CArCT,SAAS,AAqCG,CACR,QAAQ,CAAE,KAAK,CACf,mBAAmB,CAAE,MAAM,CAC5B,AAxCH,AA0CE,SA1CO,CA0CP,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAKb,AAlDH,AA8CI,SA9CK,CA0CP,MAAM,CAIJ,CAAC,CA9CL,SAAS,CA0CP,MAAM,CAKJ,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CjF3CM,IAAO,CiF4CnB,AAjDL,AAoDE,SApDO,CAoDP,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAtDH,AAwDE,SAxDO,CAwDP,YAAY,AAAC,CACX,SAAS,ClFbD,OAAO,CkFchB,AA1DH,AA4DE,SA5DO,CA4DP,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACpB,AAlEH,AAoEE,SApEO,CAoEP,gBAAgB,CApElB,SAAS,CAqEP,UAAU,CArEZ,SAAS,CAsEP,YAAY,AAAC,CACX,KAAK,CAAE,CAAC,CACT,AAxEH,AA0EE,SA1EO,CA0EP,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,KAAK,CAClB,AA9EH,AAgFE,SAhFO,CAgFP,aAAa,CAhFf,SAAS,CAiFP,MAAM,AAAA,eAAe,AAAC,CACpB,OAAO,CAAE,QAAQ,CAIlB,AAtFH,AAmFI,SAnFK,CAgFP,aAAa,CAGX,GAAG,CAnFP,SAAS,CAiFP,MAAM,AAAA,eAAe,CAEnB,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AArFL,AAwFE,SAxFO,CAwFP,MAAM,AAAA,aAAa,AAAC,CAClB,WAAW,CAAE,GAAG,CACjB,AAGH,AAGE,uBAHqB,CAGrB,cAAc,CAHhB,uBAAuB,CAIrB,YAAY,CAHd,UAAU,CAER,cAAc,CAFhB,UAAU,CAGR,YAAY,CAFd,WAAW,CACT,cAAc,CADhB,WAAW,CAET,YAAY,AAAC,CACX,UAAU,CjF3FL,OAAO,CiF4FZ,SAAS,CAAE,GAAG,CACf,AAGH,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,SAAS,CACjB,UAAU,CAAE,IAAI,CAuGjB,AA1GD,AAKE,eALa,CAKX,EAAE,AAAC,CACH,KAAK,CAAE,IAAI,CACZ,AAPH,AAQE,eARa,CAQb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,KAAK,CAAE,QAAQ,CACf,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,QAAQ,CACjB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,qBAAqB,CACjC,WAAW,CAAE,qBAAqB,CAClC,YAAY,CAAE,qBAAqB,CACnC,UAAU,CAAE,gBAAgB,CAC5B,OAAO,CAAE,IAAI,CAmBd,AAzCH,AAuBI,eAvBW,CAQb,KAAK,CAeH,GAAG,AAAA,OAAO,AAAC,CACT,KAAK,CAAE,QAAQ,CACf,MAAM,CAAE,QAAQ,CACjB,AA1BL,AA2BI,eA3BW,CAQb,KAAK,AAmBF,MAAM,CA3BX,eAAe,CAQb,KAAK,AAoBF,MAAM,AAAC,CACN,gBAAgB,ClFgEV,OAAmD,CkF/DzD,UAAU,CAAE,qBAAqB,CACjC,WAAW,CAAE,qBAAqB,CAClC,YAAY,CAAE,qBAAqB,CAIpC,AApCL,AAiCM,eAjCS,CAQb,KAAK,AAmBF,MAAM,CAML,OAAO,CAjCb,eAAe,CAQb,KAAK,AAoBF,MAAM,CAKL,OAAO,AAAC,CACN,KAAK,ClF2DD,OAAmD,CkF1DxD,AAnCP,AAqCI,eArCW,CAQb,KAAK,AA6BF,OAAO,AAAC,CACP,KAAK,CjF7ID,IAAO,CiF8IX,gBAAgB,ClFsDV,OAAmD,CkFrD1D,AAEH,AACE,eADa,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,CjFnJV,IAAO,CiFoJb,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,ClF8Cf,OAAmD,CkF7CzD,WAAW,CAAE,GAAG,CAAC,KAAK,ClF6ChB,OAAmD,CkF5CzD,YAAY,CAAE,GAAG,CAAC,KAAK,ClF4CjB,OAAmD,CkF1B1D,AAzBH,AAQI,eARW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,CAOX,OAAO,AAAC,CACN,KAAK,ClF0CD,OAAmD,CkFzCxD,AAVL,AAWI,eAXW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAUV,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,OAAO,ClFxEH,IAAI,CkFyER,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,CjFpKjB,IAAO,CiFqKZ,AArBL,AAsBI,eAtBW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAqBV,MAAM,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AAlEP,AAsEE,eAtEa,CAsEb,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,SAAS,ClFjID,QAAQ,CkFkIhB,WAAW,ClF/GK,GAAG,CkFgHnB,OAAO,CAAE,YAAY,CACrB,KAAK,ClFkBG,OAAmD,CkFjB5D,AA5EH,AA6EE,eA7Ea,CA6Eb,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CACnB,AA/EH,AAgFE,eAhFa,CAgFb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,OAAO,ClFrFD,CAAC,CkFsFP,WAAW,CAAE,CAAC,CACf,AArFH,AAsFE,eAtFa,CAsFb,uBAAuB,AAAC,CACtB,QAAQ,CAAE,QAAQ,CACnB,AAxFH,AAyFE,eAzFa,CAyFb,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClF7FD,CAAC,CkF8FP,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,IAAI,CACT,SAAS,CAAE,KAAK,CACjB,AA/FH,AAgGE,eAhGa,CAgGb,qBAAqB,AAAC,CACpB,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CACX,gBAAgB,CjFxMT,OAAO,CiFyMf,AApGH,AAqGE,eArGa,CAqGb,wBAAwB,CArG1B,eAAe,CAsGb,KAAK,AAAC,CACJ,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,iBAAiB,AAAC,CAChB,gBAAgB,ClFhBN,OAAmD,CkFiB9D,AAED,AAAA,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,YAAY,CAAC,KAAK,CAAC,EAAE,AAAC,CACpB,aAAa,CAAE,IAAI,CACpB,AAGD,AAAA,YAAY,AAAA,WAAW,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAGD,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,IAAI,CAAE,MAAM,CACZ,MAAM,CAAE,IAAI,CACZ,WAAW,ClF1KQ,GAAG,CkF2KtB,OAAO,CAAE,eAAe,CAExB,QAAQ,CAAE,MAAM,CA4EjB,AApFD,AASE,mBATiB,CASjB,WAAW,AAAC,CACV,QAAQ,CAAE,MAAM,CAChB,KAAK,CAAE,IAAI,CACX,iBAAiB,CAAE,WAAW,CAC9B,SAAS,CAAE,WAAW,CACvB,AAdH,AAeE,mBAfiB,CAejB,WAAW,AAAC,CACV,KAAK,CjFhPQ,IAAO,CiFiPpB,OAAO,CAAE,KAAK,CxE1LhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwE0LtB,AAnBH,AAqBI,mBArBe,CAoBjB,eAAe,CACb,OAAO,AAAC,CACN,KAAK,ClFvDC,OAAmD,CkFwD1D,AAvBL,AAwBI,mBAxBe,CAoBjB,eAAe,CAIb,gBAAgB,AAAC,CACf,KAAK,CjFvPF,OAAO,CiFwPX,AA1BL,AA4BE,mBA5BiB,CA4BjB,aAAa,AAAC,CACZ,MAAM,CAAE,YAAY,CAKpB,SAAS,ClFxND,QAAQ,CkFyNhB,KAAK,CAAE,IAAI,CACZ,AANC,AAAA,0BAA0B,CA9B9B,mBAAmB,CA4BjB,aAAa,AAEkB,CAE3B,MAAM,CAAE,CAAC,CACV,AAjCL,AAqCE,mBArCiB,CAqCjB,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CAGnB,SAAS,CAAE,GAAG,CACd,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,GAAG,CAIf,AAhDH,AA6CI,mBA7Ce,CAqCjB,mBAAmB,CAQjB,cAAc,AAAC,CxEtNjB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEsNpB,AA/CL,AAiDE,mBAjDiB,CAiDjB,cAAc,AAAC,CACb,YAAY,CAAE,GAAG,CAClB,AAnDH,AAqDI,mBArDe,CAoDjB,cAAc,AAAA,OAAO,CACnB,yBAAyB,CArD7B,mBAAmB,CAoDjB,cAAc,AAAA,OAAO,CAEnB,kBAAkB,AAAC,CACjB,SAAS,CAAE,GAAG,CACf,AAxDL,AA8DM,mBA9Da,CA0DjB,cAAc,AACX,OAAO,CAGN,IAAI,AAAA,eAAe,CA9DzB,mBAAmB,CA0DjB,cAAc,AAEX,IAAI,CAEH,IAAI,AAAA,eAAe,CA9DzB,mBAAmB,CA0DjB,cAAc,AAGX,KAAK,CACJ,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,ClFhGD,OAAmD,CkFiGxD,AAhEP,AAmEE,mBAnEiB,CAmEjB,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,MAAM,CAQb,AA/EH,AAwEI,mBAxEe,CAmEjB,mBAAmB,CAKjB,eAAe,AAAC,CACd,KAAK,ClF1GC,OAAmD,CUxI7D,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEqPpB,AA9EL,AA2EM,mBA3Ea,CAmEjB,mBAAmB,CAKjB,eAAe,CAGb,cAAc,AAAC,CACb,OAAO,CAAE,MAAM,CAChB,AA7EP,AAmEE,mBAnEiB,CAmEjB,mBAAmB,AAcC,CAClB,SAAS,CAAE,GAAG,CACf,AAQH,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,SAAS,ClFjRG,OAAQ,CkFuUrB,AA1DD,AAKE,0BALwB,AAKvB,IAAK,CAAA,YAAY,CAAE,CAClB,WAAW,CAAE,GAAG,CACjB,AAPH,AAUI,0BAVsB,CAQxB,kBAAkB,AAEf,IAAK,CAAA,aAAa,EAVvB,0BAA0B,CASxB,mBAAmB,AAChB,IAAK,CAAA,aAAa,CAAE,CACnB,YAAY,CAAE,GAAG,CAClB,AAZL,AAgBI,0BAhBsB,CAexB,kBAAkB,CAChB,KAAK,AAAC,CACJ,MAAM,CApBI,OAAO,CAwBjB,OAAO,CAAE,YAAY,CAKtB,AARC,AAAA,YAAY,CAlBlB,0BAA0B,CAexB,kBAAkB,CAChB,KAAK,AAEY,CACb,MAAM,CArBS,OAAO,CAsBvB,AApBP,AAsBM,0BAtBoB,CAexB,kBAAkB,CAChB,KAAK,CAMH,GAAG,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAzBP,AA6BE,0BA7BwB,CA6BxB,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,ClF3JT,OAAmD,CkF4J3D,aAAa,CAAE,MAAM,CxEpSvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEsTtB,AApDH,AAmCI,0BAnCsB,CA6BxB,mBAAmB,CAMjB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAzCI,OAAO,CA6CjB,KAAK,ClFtKC,OAAmD,CkF2K1D,AARC,AAAA,YAAY,CAvClB,0BAA0B,CA6BxB,mBAAmB,CAMjB,KAAK,AAIY,CACb,MAAM,CA1CS,OAAO,CA2CvB,AAzCP,AA4CM,0BA5CoB,CA6BxB,mBAAmB,CAMjB,KAAK,CASH,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AA9CP,AAiDI,0BAjDsB,CA6BxB,mBAAmB,CAoBjB,IAAI,AAAC,CxErTP,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEqTpB,AAnDL,AAsDE,0BAtDwB,CAsDxB,kBAAkB,AAAC,CACjB,KAAK,ClFnLG,OAAmD,CkFoL3D,WAAW,CAAE,GAAG,CACjB,ACvXH,AACE,IADE,AACD,SAAS,AAAC,CACT,WAAW,CAAE,IAAI,CAClB,AAHH,AAIE,IAJE,AAID,SAAS,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AANH,AAOE,IAPE,AAOD,SAAS,AAAC,CACT,eAAe,CAAE,SAAS,CAC3B,AATH,AAUE,IAVE,AAUD,SAAS,AAAC,CACT,eAAe,CAAE,YAAY,CAC9B,ACXH,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CACnB,gBAAgB,CnFJN,IAAO,CmFKjB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,MAAM,CAcf,AAnBD,AAQI,iBARa,CAOf,gBAAgB,CACd,WAAW,AAAC,CACV,SAAS,CpFqCH,QAAQ,CoFpCd,WAAW,CpFoDG,GAAG,CoFnDlB,AAXL,AAcM,iBAdW,CAOf,gBAAgB,CAMd,oBAAoB,CAClB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,ACjBP,AAAA,iBAAiB,AAAC,CAChB,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,IAAI,CACX,OAAO,CrF4FK,GAAG,CqF3Ff,MAAM,CAAE,IAAI,CACb,AAED,AAAA,WAAW,AAAC,CACV,gBAAgB,CpFVN,IAAO,CoFWjB,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CrFsLP,OAAmD,CqFrL7D,OAAO,CrFmFK,GAAG,CqFlFf,UAAU,CrFuHF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CqFxGvC,AArBD,AAQE,WARS,CAQT,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,UAAU,CACnB,AAXH,AAaE,WAbS,CAaT,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CACjB,AAfH,AAiBE,WAjBS,CAiBT,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,WAAW,AAAA,cAAc,AAAC,CACxB,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,KAAK,CA2BlB,AA7BD,AAGE,WAHS,AAAA,cAAc,CAGvB,KAAK,AAAA,YAAY,AAAC,CAChB,MAAM,CAAE,CAAC,CACV,AALH,AAME,WANS,AAAA,cAAc,CAMvB,EAAE,AAAC,CACD,MAAM,CAAE,MAAM,CACf,AARH,AASE,WATS,AAAA,cAAc,CASvB,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CAkBf,AA5BH,AAWI,WAXO,AAAA,cAAc,CASvB,gBAAgB,CAEd,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAbL,AAcI,WAdO,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CAOlB,AAxBL,AAkBM,WAlBK,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,CAIH,CAAC,AAAA,cAAc,AAAC,CACd,MAAM,CAAE,CAAC,CACV,AApBP,AAqBM,WArBK,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,CAOH,CAAC,AAAC,CACA,MAAM,CAAE,QAAQ,CACjB,AAvBP,AAyBI,WAzBO,AAAA,cAAc,CASvB,gBAAgB,CAgBd,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CACnB,AAIL,AACE,aADW,CAAC,oBAAoB,CAChC,cAAc,AAAC,CACb,QAAQ,CAAE,OAAO,CAClB,AAHH,AAKE,aALW,CAAC,oBAAoB,CAKhC,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,AAPH,AASE,aATW,CAAC,oBAAoB,CAShC,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAGH,AACE,YADU,CAAC,cAAc,CAAC,gBAAgB,CAC1C,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,MAAM,CACf,AAKH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CrFyGP,OAAmD,CqFxG7D,gBAAgB,CrFwGN,OAAmD,CqF1E9D,AAhCD,AAGE,eAHa,CAGb,IAAI,AAAC,CACH,MAAM,CAAE,IAAI,CACZ,KAAK,CpF9FG,IAAO,CoF+Ff,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,IAAI,CAwBpB,AA/BH,AAQI,eARW,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2ChCY,CACjB,UAAU,CpFjGL,OAAO,CoFkGZ,YAAY,CpFlGP,OAAO,CoFiHb,AAzBL,AAWM,eAXS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,E2C7BJ,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CpFrGD,IAAO,CoFsGZ,AAbP,AAcM,eAdS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2C1BJ,MAAM,AAAC,CACN,KAAK,CpFxGD,IAAO,CoFyGX,UAAU,CrF0FN,OAAmD,CqFzFxD,AAjBP,AAkBM,eAlBS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2CtBJ,OAAO,AAAC,C3ElEb,gBAAgB,C2EoER,OAAsB,C3EnE9B,gBAAgB,CAAE,4CAAoD,C2EsEhE,KAAK,CpFhHD,IAAO,CoFiHZ,AAxBP,AA0BI,eA1BW,CAGb,IAAI,CAuBD,AAAA,QAAC,AAAA,CAAU,CACV,WAAW,CAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CpFrHhB,qBAAO,CS0Cf,gBAAgB,CTxCP,OAAO,CSyChB,gBAAgB,CAAE,4CAAoD,C2E4ElE,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CAC9C,ACtHL,AAAA,iBAAiB,CAAC,SAAS,AAAC,CAC1B,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,MAAM,CAKjB,AARD,AAIE,iBAJe,CAAC,SAAS,AAIxB,MAAM,CAAC,KAAK,AAAC,CACZ,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,YAAY,CACzB,AAGH,AAAA,kBAAkB,AAAC,CACjB,UAAU,CAAE,UAAU,CACvB,AAED,AAAA,OAAO,CAAC,GAAG,AAAA,kBAAkB,AAAC,CAC5B,MAAM,CAAE,GAAG,CAAC,KAAK,CtFmLP,OAAmD,CsFlL9D,AAED,AAAA,OAAO,CAAC,GAAG,AAAA,WAAW,AAAC,CACrB,UAAU,CAAE,uBAAuB,CACpC,AAED,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,YAAY,CAStB,AjB2BC,AAAA,iBAAiB,CAAC,GAAG,AiBnCjB,CACF,UAAU,CAAE,KAAK,CACjB,eAAe,CAAE,GAAG,CACrB,AALH,AAME,iBANe,CAAjB,iBAAiB,CAOf,CAAC,AAAC,CACA,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACX,KAAK,CrFvCK,IAAO,CqFwCjB,UAAU,CrFzCF,IAAO,CqF0Cf,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,YAAY,CACxB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAwBpB,AAjCD,AAWE,KAXG,CAWH,SAAS,AAAC,CACR,MAAM,CAhDY,GAAG,C5E4DvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C4EZtB,AAdH,AAgBE,KAhBG,CAgBH,OAAO,AAAC,CACN,MAAM,CArDY,GAAG,CAsDrB,OAAO,CAAE,GAAG,CACZ,KAAK,CrFtDG,IAAO,CqF0DhB,AAvBH,AAoBI,KApBC,CAgBH,OAAO,CAIH,SAAS,AAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAtBL,AAyBE,KAzBG,CAyBH,aAAa,AAAC,CACZ,MAAM,CA9DY,GAAG,CA+DrB,aAAa,CAAE,IAAI,CACnB,KAAK,CtFkIG,OAAoD,CsFjI5D,SAAS,CtFfJ,GAAG,CsFgBR,WAAW,CAAE,CAAC,CACd,SAAS,CAAE,CAAC,CACb,AAGH,AAAA,cAAc,CAAC,QAAQ,AAAC,CACtB,MAAM,CAAE,IAAI,CACb,ACzED,AAEI,mBAFe,CACjB,KAAK,CACH,EAAE,AAAC,CACD,cAAc,CAAE,KAAK,CACtB,AAJL,AAME,mBANiB,CAMjB,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CAIX,A7EQD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6EnBrC,AAME,mBANiB,CAMjB,KAAK,AAAC,CAGF,KAAK,CAAE,GAAG,CAEb,CAXH,AAYE,mBAZiB,CAYjB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,KAAK,CAOtB,AArBH,AAeI,mBAfe,CAYjB,KAAK,CAGH,EAAE,AAAC,CACD,OAAO,CAAE,mBAAmB,CAI7B,A7EDH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,IAAI,E6EnBpC,AAeI,mBAfe,CAYjB,KAAK,CAGH,EAAE,AAAC,CAGC,SAAS,CAAE,IAAI,CAElB,CApBL,AAsBE,mBAtBiB,CAsBjB,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CACjC,SAAS,CAAE,IAAI,CAIhB,A7ERD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6EnBrC,AAsBE,mBAtBiB,CAsBjB,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CAG/B,SAAS,CAAE,IAAI,CAElB,CAGH,AAAA,2BAA2B,AAAC,CAC1B,WAAW,CAAE,IAAI,CAClB,AChCD,AACE,uBADqB,CACrB,WAAW,AAAC,CACV,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,kBAAkB,CAC7B,AAJH,AAKE,uBALqB,CAKrB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAZH,AASI,uBATmB,CAKrB,cAAc,CAIV,OAAO,AAAC,CACR,YAAY,CAAE,GAAG,CAClB,AAXL,AAaE,uBAbqB,CAarB,KAAK,AAAA,YAAY,CAbnB,uBAAuB,CAcrB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CACjB,AAjBH,AAkBE,uBAlBqB,CAkBrB,OAAO,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AApBH,AAqBE,uBArBqB,CAqBrB,KAAK,AAAC,CACJ,OAAO,CAAE,WAAW,CACpB,aAAa,CAAE,GAAG,CAClB,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,MAAM,CAIpB,AA7BH,AA0BI,uBA1BmB,CAqBrB,KAAK,CAKH,KAAK,AAAC,CACJ,UAAU,CAAE,CAAC,CACd,AA5BL,AA8BE,uBA9BqB,CA8BrB,IAAI,AAAA,WAAW,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AAhCH,AAkCI,uBAlCmB,CAiCrB,kBAAkB,CAChB,KAAK,AAAC,CACJ,MAAM,CAAE,CAAC,CACV,AApCL,AAqCI,uBArCmB,CAiCrB,kBAAkB,CAIhB,WAAW,AAAC,CACV,MAAM,CAAE,mBAAmB,CAC5B,AAvCL,AAwCI,uBAxCmB,CAiCrB,kBAAkB,CAOhB,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACd,AA1CL,AA2CI,uBA3CmB,CAiCrB,kBAAkB,CAUhB,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAKX,AAlDL,AA8CM,uBA9CiB,CAiCrB,kBAAkB,CAUhB,kBAAkB,CAGhB,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,SAAS,CxFCL,QAAQ,CwFAb,AAjDP,AAoDI,uBApDmB,CAiCrB,kBAAkB,CAmBhB,KAAK,CAAA,AAAA,QAAC,AAAA,CAAU,CACd,UAAU,CxF+IJ,OAAmD,CwF9I1D,AAtDL,AAwDE,uBAxDqB,CAwDrB,YAAY,AAAC,CACX,QAAQ,CAAE,mBAAmB,CAC9B,AAIH,AACE,YADU,CAAC,uBAAuB,CAClC,WAAW,AAAA,UAAU,AAAC,CACpB,IAAI,CAAE,OAAO,CACd,ACjEH,AAAA,oBAAoB,AAAC,CACnB,MAAM,CAAE,MAAM,CACd,UAAU,CAAE,MAAM,CAClB,SAAS,CzF2CC,QAAQ,CyF1ClB,WAAW,CzF4DQ,GAAG,CyF3DvB,ACaD,AAAA,IAAI,CAAC,mBAAmB,AAAC,CAZvB,iBAAiB,CAAE,cAAyB,CAC5C,cAAc,CAAE,cAAyB,CACzC,aAAa,CAAE,cAAyB,CACxC,YAAY,CAAE,cAAyB,CACvC,SAAS,CAAE,cAAyB,CAEpC,MAAM,CAAE,+HAA+J,CACvK,UAAU,CAAE,+HAA+J,CAC3K,IAAI,CAAE,CAAC,CAMR,AAID,AAAA,IAAI,CAAC,YAAY,CAAC,CAAC,AAAA,OAAO,AAAA,OAAO,AAAC,CAChC,iBAAiB,CAAE,sBAAsB,CACzC,kBAAkB,CzFzBR,IAAO,CyFyBc,UAAU,CAC1C,AACD,AAAA,IAAI,CAAC,IAAI,AAAC,CACR,SAAS,CAAE,cAAc,CACzB,UAAU,CAAE,eAAe,CAC5B,AACD,AAAA,IAAI,CAAC,UAAU,AAAC,CACd,KAAK,CAAE,gBAAgB,CACxB,AACD,AAAA,IAAI,CAAC,aAAa,AAAC,CACjB,IAAI,CAAE,IAAI,CACX,AAED,AAAA,IAAI,CAAC,gBAAgB,CAAC,cAAc,CAAC,cAAc,AAAC,CAClD,QAAQ,CAAE,iBAAiB,CAC3B,KAAK,CAAE,eAAe,CACvB,AACD,AAAA,IAAI,CAAC,gBAAgB,CAAC,cAAc,CAAC,gBAAgB,AAAC,CACpD,QAAQ,CAAE,iBAAiB,CAC3B,KAAK,CAAE,eAAe,CACvB,AACD,AAAA,IAAI,CAAC,eAAe,AAAC,CACnB,KAAK,CAAE,gBAAgB,CACxB,AACD,AAAA,IAAI,CAAC,gBAAgB,AAAC,CACpB,KAAK,CAAE,eAAe,CACvB,AAGD,AAAA,OAAO,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACX,iBAAiB,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACrB,OAAO,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACX,iBAAiB,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,CAAW,CAC9B,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,IAAI,CACnB,AAGD,AAAA,IAAI,CAAC,KAAK,AAAA,OAAO,AAAA,WAAW,AAAC,CAC3B,OAAO,CAAE,8BAA8B,CACvC,SAAS,CAAE,cAAc,CAC1B,AAED,AAAA,IAAI,CAAC,KAAK,AAAA,OAAO,AAAA,WAAW,CAAC,OAAO,AAAC,CACnC,mBAAmB,CAAE,gBAAgB,CACrC,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,AAAC,CAC5B,MAAM,CAAE,qBAAqB,CAC9B,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAA,OAAO,AAAC,CACtC,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,gBAAgB,CAC7B,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAC,CAC/B,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,CAAC,CACf,YAAY,CAAE,CAAC,CACf,YAAY,CAAE,iBAAiB,CAC/B,WAAW,CAAE,eAAe,CAC7B,AC3FD,AACE,YADU,CACV,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,SAAS,CACnB,AAJH,AAME,YANU,CAMV,eAAe,CAAC,UAAU,AAAC,CACzB,KAAK,CAAE,KAAK,CACb,AARH,AAUE,YAVU,CAUV,QAAQ,AAAC,CACP,OAAO,CAAE,aAAa,CAIvB,AAfH,AAYI,YAZQ,CAUV,QAAQ,CAEN,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACf,AAdL,AAiBE,YAjBU,CAiBV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,gBAAgB,CACvB,MAAM,CAAE,IAAI,CACb,AArBH,AAuBE,YAvBU,CAuBV,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CAKf,AA7BH,AA0BI,YA1BQ,CAuBV,eAAe,CAGb,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AA5BL,AA+BE,YA/BU,CA+BV,eAAe,CAAG,QAAQ,AAAC,CACzB,UAAU,CAAE,GAAG,CAChB,AAjCH,AAmCE,YAnCU,CAmCV,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CA+LpB,AApOH,AAuCI,YAvCQ,CAmCV,QAAQ,CAIN,KAAK,AAAC,CACJ,SAAS,CAAE,KAAK,CAiBjB,AAzDL,AA2CQ,YA3CI,CAmCV,QAAQ,CAIN,KAAK,CAGH,KAAK,CACH,MAAM,AAAC,CAEL,aAAa,CAAE,UAAU,CACzB,SAAS,CAAE,UAAU,CACrB,cAAc,CAAE,SAAS,CACzB,UAAU,CAAE,SAAS,CACrB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,eAAe,CAAE,IAAI,CACrB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,MAAM,CACnB,AAvDT,AA4DM,YA5DM,CAmCV,QAAQ,CAwBN,oBAAoB,CAClB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAMpB,AArEP,AAiEQ,YAjEI,CAmCV,QAAQ,CAwBN,oBAAoB,CAClB,YAAY,CAKV,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,QAAQ,CAClB,AApET,AAwEI,YAxEQ,CAmCV,QAAQ,CAqCN,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CAIf,AA9EL,AA2EM,YA3EM,CAmCV,QAAQ,CAqCN,aAAa,CAGX,eAAe,AAAC,CACd,KAAK,C3FwHD,OAAmD,C2FvHxD,AA7EP,AAgFI,YAhFQ,CAmCV,QAAQ,CA6CN,aAAa,CAAG,kBAAkB,AAAC,CACjC,WAAW,CAAE,GAAG,CAAC,KAAK,C3FmHhB,OAAmD,C2FlHzD,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,GAAG,CACf,AArFL,AAuFI,YAvFQ,CAmCV,QAAQ,CAoDN,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,QAAQ,CAqIf,AA/NL,AA4FM,YA5FM,CAmCV,QAAQ,CAoDN,kBAAkB,CAKhB,UAAU,AAAC,CACT,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CACf,MAAM,CAAE,GAAG,CACX,UAAU,C3FoGN,OAAmD,C2FnGxD,AAjGP,AAoGQ,YApGI,CAmCV,QAAQ,CAoDN,kBAAkB,CAYhB,kBAAkB,CAChB,cAAc,AAAC,CACb,SAAS,C3FlDL,OAAQ,C2FmDb,AAtGT,AA0GQ,YA1GI,CAmCV,QAAQ,CAoDN,kBAAkB,CAkBhB,uBAAuB,CACrB,YAAY,AAAC,CACX,aAAa,CAAE,CAAC,CACjB,AA5GT,AAgHQ,YAhHI,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CAClB,YAAY,AAAC,CACX,KAAK,C3FmFH,OAAmD,C2F9EtD,AAtHT,AAmHU,YAnHE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CAClB,YAAY,AAGT,MAAM,AAAC,CACN,KAAK,C1FpHP,IAAO,C0FqHN,AArHX,AAwHQ,YAxHI,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CA6CpB,AAvKT,AA4HU,YA5HE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAIX,OAAO,CA5HjB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAKX,aAAa,AAAC,CACZ,SAAS,CAAE,IAAI,CACf,YAAY,CAAE,KAAK,CAKpB,AApIX,AAiIY,YAjIA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAIX,OAAO,CAKL,OAAO,CAjInB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAKX,aAAa,CAIX,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CAChB,AAnIb,AAsIU,YAtIE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAcX,mBAAmB,AAAC,CAClB,iBAAiB,CAAE,SAAS,CAC5B,eAAe,CAAE,SAAS,CAC1B,UAAU,CAAE,IAAI,CACjB,AA1IX,AA4IU,YA5IE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,IAAI,CACd,WAAW,C3FhFF,GAAG,C2FsGb,AAtKX,AAmJc,YAnJF,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAMT,MAAM,CACL,KAAK,CAnJnB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAMT,MAAM,CAEL,KAAK,AAAC,CACJ,KAAK,C3F+CT,OAAmD,C2F9ChD,AAtJf,AAyJY,YAzJA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAaV,KAAK,CAzJjB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAcV,KAAK,AAAC,CjF9FhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiF8FZ,AA5Jb,AA8JY,YA9JA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAkBV,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CACjB,AAhKb,AAkKY,YAlKA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAsBV,KAAK,AAAC,CACJ,SAAS,C3FhHT,OAAQ,C2FiHR,KAAK,C3FgCP,OAAmD,C2F/BlD,AArKb,AA8KQ,YA9KI,CAmCV,QAAQ,CAoDN,kBAAkB,CAmFhB,uBAAuB,CAIrB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoFhB,mBAAmB,CAGjB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAqFhB,oBAAoB,CAElB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAsFhB,kBAAkB,CAChB,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CASf,AAxLT,AAkLY,YAlLA,CAmCV,QAAQ,CAoDN,kBAAkB,CAmFhB,uBAAuB,CAIrB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoFhB,mBAAmB,CAGjB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAqFhB,oBAAoB,CAElB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAsFhB,kBAAkB,CAChB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,AAAC,CACvB,IAAI,CAAE,CAAC,CACP,SAAS,C3FlId,GAAG,C2FmIE,OAAO,CAAE,GAAG,CACb,AAtLb,AA4LQ,YA5LI,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CA8BpB,AA7NT,AAiMU,YAjME,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAKV,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACnB,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,IAAI,CAChB,AArMX,AAuMU,YAvME,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,IAAI,CACd,WAAW,C3F3IF,GAAG,C2F4Jb,AA5NX,AA6MY,YA7MA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAMV,SAAS,CA7MrB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAOV,KAAK,AAAC,CjFlJhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiFkJZ,AAhNb,AAkNY,YAlNA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAWV,SAAS,AAAC,CACR,KAAK,C3FjBP,OAAoD,C2FkBlD,SAAS,C3FjKT,OAAQ,C2FkKT,AArNb,AAuNY,YAvNA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAgBV,KAAK,AAAC,CACJ,KAAK,C3FtBP,OAAoD,C2FuBlD,SAAS,C3FvKd,GAAG,C2FwKE,WAAW,CAAE,GAAG,CACjB,AA3Nb,AAiOI,YAjOQ,CAmCV,QAAQ,CA8LN,UAAU,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AAnOL,AAsOE,YAtOU,CAsOV,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,MAAM,CACX,KAAK,CAAE,GAAG,CAQX,AAjPH,AA2OI,YA3OQ,CAsOV,UAAU,CAKR,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,CAAC,CACV,AAhPL,AAmPE,YAnPU,CAmPV,WAAW,AAAC,CACV,OAAO,CAAE,GAAG,CACb,AArPH,AAuPE,YAvPU,CAuPV,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CAIX,AA5PH,AAyPI,YAzPQ,CAuPV,OAAO,AAEJ,MAAM,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AA3PL,AA8PE,YA9PU,CA8PV,YAAY,AAAC,CACX,aAAa,CAAE,MAAM,CActB,AA7QH,AAiQI,YAjQQ,CA8PV,YAAY,CAGV,sBAAsB,AAAC,CACrB,WAAW,C3FnMG,CAAC,C2FoMhB,AAnQL,AAqQI,YArQQ,CA8PV,YAAY,CAOV,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACrB,WAAW,C3FvMI,GAAG,C2FwMnB,AAxQL,AA0QI,YA1QQ,CA8PV,YAAY,CAYV,YAAY,AAAC,CACX,YAAY,CAAE,MAAM,CACrB,AC3QL,AAAA,WAAW,CrC0IX,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCrOG,CACV,OAAO,CAAE,OAAO,CAChB,KAAK,C3FHG,IAAO,C2FIf,MAAM,CAAE,GAAG,CAAC,KAAK,C5FgMP,OAAmD,C4F/L7D,WAAW,C5F4DO,GAAG,C4F3DrB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3FPN,IAAO,C2FQjB,MAAM,CAAE,OAAO,CA8BhB,AAtCD,AAUE,WAVS,CAUT,GAAG,CrCgIL,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,CqC3NP,GAAG,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAbH,AAeE,WAfS,CAeT,mBAAmB,CrC2HrB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,CqCtNP,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACpB,AAjBH,AAmBE,WAnBS,AAmBR,gBAAgB,CAAC,GAAG,CrCuHvB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqClNN,gBAAgB,CAAC,GAAG,AAAC,CACpB,KAAK,C5FSF,OAAgB,C4FTN,UAAU,CACxB,AArBH,AAuBE,WAvBS,AAuBR,kBAAkB,CAAC,GAAG,CrCmHzB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqC9MN,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,C5FMA,MAAO,C4FNG,UAAU,CAC1B,AAzBH,AA2BE,WA3BS,AA2BR,kBAAkB,CAAC,GAAG,CrC+GzB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqC1MN,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,C5FGA,OAAO,C4FHG,UAAU,CAC1B,AA7BH,AA+BE,WA/BS,AA+BR,SAAS,CrC2GZ,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCtMN,SAAS,AAAC,CACT,KAAK,C5FmKG,OAAmD,C4FlK3D,gBAAgB,C5FkKR,OAAmD,C4F9J5D,AArCH,AAkCI,WAlCO,AA+BR,SAAS,CAGR,GAAG,CrCwGP,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCtMN,SAAS,CAGR,GAAG,AAAC,CACF,OAAO,CAAE,GAAG,CACb,AAIL,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AAAA,WAAW,CAAC,sBAAsB,CAAC,WAAW,CAAC,CAAC,AAAA,UAAU,AAAC,CACzD,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,CAAC,GAAG,AAAA,WAAW,AAAC,CACzB,OAAO,CAAE,CAAC,CACX,AACD,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CAkBf,AAnBD,AAGE,eAHa,CAGb,KAAK,CAHP,eAAe,CAIb,YAAY,AAAC,CACX,UAAU,CAAE,IAAI,CACjB,AANH,AAQE,eARa,CAQb,IAAI,CAAG,GAAG,AAAA,KAAK,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AAVH,AAYE,eAZa,CAYb,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CAKf,AAlBH,AAcI,eAdW,CAYb,IAAI,CAEA,GAAG,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CACjB,CAKP,AACE,WADS,CAAC,gBAAgB,CAC1B,OAAO,AAAC,CACN,SAAS,C5FxBD,QAAQ,C4FyBhB,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,WAAW,CAAC,YAAY,AAAC,CACvB,WAAW,CAAE,EAAE,CACf,cAAc,CAAE,IAAI,CAMrB,AARD,AAGE,WAHS,CAAC,YAAY,CAGtB,UAAU,AAAC,CACT,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,SAAS,C5FnCD,QAAQ,C4FoCjB,AAGH,AAAA,WAAW,CAAC,YAAY,CAAC,WAAW,AAAC,CACnC,YAAY,CAAE,CAAC,CAEf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,MAAM,CAed,KAAK,CAAE,KAAK,CAOb,AA3BD,AAME,WANS,CAAC,YAAY,CAAC,WAAW,CAMlC,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AARH,AASE,WATS,CAAC,YAAY,CAAC,WAAW,CASlC,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,SAAS,C5FjDD,QAAQ,C4FkDhB,WAAW,CAAE,IAAI,CAClB,AAbH,AAcE,WAdS,CAAC,YAAY,CAAC,WAAW,CAclC,UAAU,AAAC,CACT,SAAS,C5FtDD,QAAQ,C4FuDhB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAnBH,AAsBE,WAtBS,CAAC,YAAY,CAAC,WAAW,AAsBjC,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,AAGH,AAAA,iBAAiB,AAAA,OAAO,AAAC,CACvB,KAAK,CAAE,GAAG,CACV,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,gBAAgB,C5FuEN,OAAmD,C4FtE7D,MAAM,CAAE,GAAG,CAAC,KAAK,C5FsEP,OAAmD,C4FrE7D,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,gBAAgB,CAoH7B,AA1HD,AAQE,WARS,CAQT,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACT,AAZH,AAcE,WAdS,CAcT,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,GAAG,CACR,WAAW,CAAE,IAAI,CACjB,KAAK,C5FuDG,OAAmD,C4FtD3D,SAAS,C5F9FD,QAAQ,C4F+FjB,AArBH,AAuBE,WAvBS,CAuBT,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CAsDf,AAjFH,AA6BI,WA7BO,CAuBT,eAAe,CAMb,WAAW,AAAC,CACV,KAAK,C3FxJD,IAAO,C2FyJZ,AA/BL,AAiCI,WAjCO,CAuBT,eAAe,CAUb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,MAAM,CACb,YAAY,CAAE,EAAE,CAChB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,SAAS,CAAE,KAAK,CAqBjB,AA7DL,AAyCM,WAzCK,CAuBT,eAAe,CAUb,WAAW,CAQT,CAAC,AAAC,CACA,KAAK,CAAE,IAAI,CACZ,AA3CP,AA4CM,WA5CK,CAuBT,eAAe,CAUb,WAAW,CAWT,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CACjB,AAhDP,AAkDM,WAlDK,CAuBT,eAAe,CAUb,WAAW,AAiBR,gBAAgB,CAAC,GAAG,AAAC,CACpB,KAAK,CAAE,OAAgB,CAAC,UAAU,CACnC,AApDP,AAsDM,WAtDK,CAuBT,eAAe,CAUb,WAAW,AAqBR,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,CAAE,kBAAkB,CAC1B,AAxDP,AA0DM,WA1DK,CAuBT,eAAe,CAUb,WAAW,AAyBR,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,CAAE,kBAAkB,CAC1B,AA5DP,AA+DI,WA/DO,CAuBT,eAAe,CAwCb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,eAAe,CACxB,KAAK,C3F9LD,IAAO,C2F0MZ,AAXC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EArEzC,AA+DI,WA/DO,CAuBT,eAAe,CAwCb,WAAW,AAAC,CAOR,aAAa,CAAE,CAAC,CAUnB,CAhFL,AAyEM,WAzEK,CAuBT,eAAe,CAwCb,WAAW,CAUT,EAAE,AAAC,CACD,aAAa,CAAE,MAAM,CACrB,SAAS,C5FpJL,QAAQ,C4FwJb,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA5E3C,AAyEM,WAzEK,CAuBT,eAAe,CAwCb,WAAW,CAUT,EAAE,AAAC,CAIC,SAAS,C5FvJP,QAAQ,C4FyJb,CA/EP,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CACP,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,KAAK,CAqBpB,AApBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAvFvC,AAwFM,WAxFK,AAmFR,OAAO,AAKH,YAAa,CAAA,EAAE,CAAE,CAChB,YAAY,CAAE,CAAC,CAChB,ClFjML,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFuGrC,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CAUL,KAAK,CAAE,KAAK,CAcf,AA3GH,AA8FM,WA9FK,AAmFR,OAAO,AAWH,YAAa,CAAA,EAAE,CAAE,CAChB,YAAY,CAAE,CAAC,CAChB,ClFvML,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFuGrC,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CAgBL,IAAI,CAAE,QAAQ,CAQjB,CA3GH,AAqGI,WArGO,AAmFR,OAAO,AAkBL,MAAM,AAAC,CACN,UAAU,C5FzFN,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,C4F0FnC,AAvGL,AAwGI,WAxGO,AAmFR,OAAO,AAqBL,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AA1GL,AA4GE,WA5GS,AA4GR,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CAWvB,AAVC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA/GvC,AA4GE,WA5GS,AA4GR,MAAM,AAAC,CAIJ,SAAS,CAAE,gBAAyB,CACpC,YAAY,CAAE,KAAK,CAQtB,CAzHH,AAmHI,WAnHO,AA4GR,MAAM,CAOL,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CAId,AAxHL,AAqHM,WArHK,AA4GR,MAAM,CAOL,eAAe,CAEb,EAAE,AAAC,CACD,SAAS,C5FjML,QAAQ,C4FkMb,AAKP,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAIhB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAHrC,AAAA,eAAe,AAAC,CAIZ,eAAe,CAAE,aAAa,CAEjC,CAED,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,MAAM,CACd,KAAK,C5F9DK,OAAoD,C4FkE/D,AAND,AAGE,aAHW,CAGX,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AAGH,AACE,YADU,CACV,aAAa,AAAC,CACZ,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAShB,AlFrQC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFyPrC,AAAA,iBAAiB,AAAC,CAKd,eAAe,CAAE,aAAa,CAOjC,CAZD,AAQE,iBARe,CAQf,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,SAAS,C5FrOD,QAAQ,C4FsOjB,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CAmChB,AAxCD,AAQI,mBARe,CAOjB,iBAAiB,AACd,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAVL,AAaE,mBAbiB,CAajB,gBAAgB,AAAC,CACf,aAAa,CAAE,GAAG,CAClB,KAAK,C5FvGG,OAAoD,C4F2G7D,AAnBH,AAgBI,mBAhBe,CAajB,gBAAgB,AAGb,cAAc,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AAlBL,AAqBE,mBArBiB,CAqBjB,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C5F7GT,OAAmD,C4FqH5D,AA/BH,AAyBI,mBAzBe,CAqBjB,gBAAgB,CAId,aAAa,AAAC,CACZ,OAAO,CAAE,CAAC,CAIX,AA9BL,AA2BM,mBA3Ba,CAqBjB,gBAAgB,CAId,aAAa,CAEX,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CACnB,AA7BP,AAiCE,mBAjCiB,CAiCjB,YAAY,CAAC,gBAAgB,CAAC,SAAS,AAAC,CACtC,WAAW,CAAE,CAAC,CACf,AAnCH,AAqCE,mBArCiB,CAqCjB,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,MAAM,CAKnB,AATD,AAKE,cALY,CAKZ,GAAG,AAAC,CACF,SAAS,CAAE,KAAK,CAChB,KAAK,C3F1UG,IAAO,C2F2UhB,AAGH,AAAA,cAAc,AAAA,eAAe,AAAC,CAC5B,gBAAgB,C3FxUR,OAAO,C2FyUhB,AAED,AAAA,cAAc,AAAA,iBAAiB,AAAC,CAC9B,gBAAgB,C3F7UT,OAAO,C2F8Uf,AAED,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CAChB,ACzVD,AACE,WADS,CACT,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,AALH,AAOE,WAPS,CAOT,OAAO,AAAC,CACN,KAAK,C7F4LG,OAAmD,C6F/K5D,AArBH,AASI,WATO,CAOT,OAAO,CAEL,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C5FFD,OAAO,C4FMZ,AAdL,AAWM,WAXK,CAOT,OAAO,CAEL,IAAI,AAAA,SAAS,CAEX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAbP,AAeI,WAfO,CAOT,OAAO,CAQL,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C5FTF,OAAO,C4FaX,AApBL,AAiBM,WAjBK,CAOT,OAAO,CAQL,IAAI,AAAA,SAAS,CAEX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAnBP,AAsBE,WAtBS,CAsBT,QAAQ,AAAC,CACP,WAAW,CAAE,KAAK,CACnB,AAxBH,AA0BE,WA1BS,CA0BT,UAAU,AAAC,CACT,aAAa,CAAE,GAAG,CACnB,AA5BH,AA8BE,WA9BS,CA8BT,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,GAAG,CAmBhB,AApDH,AAmCI,WAnCO,CA8BT,qBAAqB,CAKnB,gBAAgB,AAAC,CACf,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,CAAC,CACZ,YAAY,CAAE,IAAI,CACnB,AAzCL,AA2CI,WA3CO,CA8BT,qBAAqB,CAanB,mBAAmB,AAAC,CAClB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACvB,AA/CL,AAiDI,WAjDO,CA8BT,qBAAqB,CAmBnB,gBAAgB,CAAG,mBAAmB,AAAC,CACrC,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,oBADkB,CAClB,EAAE,AAAC,CACD,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,oBANkB,CAMlB,MAAM,AAAC,CACL,WAAW,CAAE,KAAK,CACnB,AARH,AASE,oBATkB,CASlB,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,KAAK,CAQrB,AAnBH,AAaI,oBAbgB,CASlB,sBAAsB,CAIpB,WAAW,AAAC,CACV,SAAS,CAAE,IAAI,CAChB,AAfL,AAgBI,oBAhBgB,CASlB,sBAAsB,CAOpB,MAAM,AAAC,CACL,KAAK,CAAE,GAAG,CACX,AAIL,AAAA,qBAAqB,AAAC,CACpB,MAAM,CAAE,OAAO,CAiBhB,AAlBD,AAEE,qBAFmB,CAEnB,uBAAuB,AAAC,CACtB,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,qBANmB,CAMnB,wBAAwB,AAAC,CACvB,aAAa,CAAE,GAAG,CAAC,KAAK,C7FgHhB,OAAmD,C6F/G3D,cAAc,CAAE,MAAM,CAEtB,OAAO,CAAE,IAAI,CAMb,aAAa,CAAE,KAAK,CACrB,AAjBH,AAWI,qBAXiB,CAMnB,wBAAwB,CAKtB,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAClB,AAKL,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,mBAAmB,AAAC,CAClB,gBAAgB,C7F8FN,OAAmD,C6F7F7D,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CA+BnB,AAlCD,AAKE,mBALiB,CAKjB,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,SAAS,CAyBlB,AAjCH,AAUI,mBAVe,CAKjB,kBAAkB,CAKhB,aAAa,AAAC,CACZ,MAAM,CAAE,WAAW,CACpB,AAZL,AAcI,mBAde,CAKjB,kBAAkB,CAShB,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAjBL,AAmBI,mBAnBe,CAKjB,kBAAkB,CAchB,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AArBL,AAuBI,mBAvBe,CAKjB,kBAAkB,CAkBhB,wBAAwB,AAAC,CACvB,KAAK,CAAE,OAAO,CACd,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAMX,AAhCL,AA4BM,mBA5Ba,CAKjB,kBAAkB,CAkBhB,wBAAwB,CAKtB,aAAa,AAAC,CACZ,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C7FiEb,OAAmD,C6FhExD,AAKP,AAAA,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAND,AAGE,yBAHuB,CAGvB,UAAU,CAHZ,yBAAyB,C2CzIzB,MAAM,AAAA,cAAc,CAuClB,wBAAwB,CACtB,MAAM,CAxCV,MAAM,AAAA,cAAc,CAuClB,wBAAwB,C3CkG1B,yBAAyB,C2CjGrB,MAAM,A3CoGG,CACT,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,mBAAmB,CAAC,gBAAgB,AAAC,CACnC,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAND,AAGE,WAHS,CAGT,iBAAiB,AAAC,CAChB,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CAkBZ,AAnBD,AAII,kBAJc,CAGhB,KAAK,CACH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACf,AANL,AASE,kBATgB,CAShB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,QAAQ,CAO1B,AAlBH,AAaI,kBAbc,CAShB,mBAAmB,CAIjB,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,mBADiB,CACjB,aAAa,CAAC,IAAI,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AAJH,AAME,mBANiB,CAMjB,QAAQ,AAAC,CACP,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,IAAI,CACd,AATH,AAWE,mBAXiB,CAWjB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACX,AAEH,AAAA,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,KAAK,CAuBnB,AA1BD,AAKE,qBALmB,CAKnB,iBAAiB,AAAC,CAChB,YAAY,CAAE,MAAM,CAgBrB,AAtBH,AAOI,qBAPiB,CAKnB,iBAAiB,AAEd,OAAO,AAAC,CACP,KAAK,C5FrMD,OAAO,C4FyMZ,AAZL,AASM,qBATe,CAKnB,iBAAiB,AAEd,OAAO,CAEJ,OAAO,AAAC,CACR,KAAK,C5FvMH,OAAO,C4FwMV,AAXP,AAaI,qBAbiB,CAKnB,iBAAiB,AAQd,UAAU,AAAC,CACV,KAAK,C5F5MF,OAAO,C4FgNX,AAlBL,AAeM,qBAfe,CAKnB,iBAAiB,AAQd,UAAU,CAEP,OAAO,AAAC,CACR,KAAK,C5F9MJ,OAAO,C4F+MT,AAjBP,AAmBI,qBAnBiB,CAKnB,iBAAiB,AAcd,QAAQ,AAAC,CACR,KAAK,C7FrBC,OAAmD,C6FsB1D,AArBL,AAuBE,qBAvBmB,CAuBnB,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CACjB,AAGH,AAAA,gBAAgB,AAAC,CACf,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C7FjCX,OAAoD,C6FmF9D,cAAc,CAAE,GAAG,CACpB,AArDD,AAIE,gBAJc,CAId,eAAe,AAAC,CACd,SAAS,C7FtLD,QAAQ,C6FuLjB,AANH,AAQE,gBARc,CAQd,qBAAqB,AAAC,CACpB,KAAK,C7FxCG,OAAoD,C6FyC5D,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,KAAK,CACpB,SAAS,C7F3LC,OAAQ,C6F4LlB,WAAW,CAAE,QAAQ,CAiBtB,AA/BH,AAeI,gBAfY,CAQd,qBAAqB,CAOnB,gBAAgB,AAAC,CACf,YAAY,CAAE,MAAM,CACrB,AAjBL,AAkBI,gBAlBY,CAQd,qBAAqB,CAUnB,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CACjB,AApBL,AAqBI,gBArBY,CAQd,qBAAqB,CAanB,WAAW,AAAC,CACV,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,IAAI,CAInB,AA3BL,AAwBM,gBAxBU,CAQd,qBAAqB,CAanB,WAAW,CAGT,CAAC,AAAC,CACA,KAAK,C7FxDD,OAAoD,C6FyDzD,AA1BP,AA4BI,gBA5BY,CAQd,qBAAqB,CAoBnB,MAAM,AAAC,CACL,SAAS,C7F3MD,OAAQ,C6F4MjB,AA9BL,AAiCE,gBAjCc,CAiCd,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CACnB,AArCH,AAuCE,gBAvCc,CAuCd,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAUhB,AAnDH,AA2CI,gBA3CY,CAuCd,mBAAmB,CAIjB,MAAM,AAAC,CACL,WAAW,CAAE,MAAM,CACpB,AA7CL,AA+CI,gBA/CY,CAuCd,mBAAmB,CAQjB,kBAAkB,CA/CtB,gBAAgB,CAuCd,mBAAmB,CASjB,2BAA2B,AAAC,CAC1B,YAAY,CAAE,KAAK,CACpB,AAKL,AAAA,qBAAqB,AAAC,CACpB,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,kBAAkB,AAAC,CACjB,SAAS,CAAE,GAAG,CACd,KAAK,C7F1FK,OAAmD,C6FsJ9D,AA9DD,AAKI,kBALc,CAIhB,YAAY,CACV,KAAK,AAAC,CACJ,WAAW,CAAE,KAAK,CACnB,AAPL,AASE,kBATgB,CAShB,KAAK,CATP,kBAAkB,CAUhB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAbH,AAeE,kBAfgB,CAehB,qBAAqB,AAAC,CACpB,WAAW,CAAE,KAAK,CACnB,AAjBH,AAmBE,kBAnBgB,CAmBhB,OAAO,AAAC,CACN,SAAS,C7F7PC,OAAQ,C6F8PlB,KAAK,C7F7GG,OAAmD,C6F8G5D,AAtBH,AAwBE,kBAxBgB,CAwBhB,mBAAmB,AAAC,CAClB,WAAW,C7FrPM,GAAG,C6FsPpB,cAAc,CAAE,QAAQ,CACzB,AA3BH,AA6BE,kBA7BgB,CA6BhB,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CA+BlB,AA7DH,AA+BI,kBA/Bc,CA6BhB,KAAK,CAEH,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,QAAQ,CAMzB,AAvCL,AAkCM,kBAlCY,CA6BhB,KAAK,CAEH,EAAE,AAGC,KAAK,CAAC,CAAC,CAlCd,kBAAkB,CA6BhB,KAAK,CAEH,EAAE,AAIC,YAAY,CAAC,CAAC,AAAC,CACd,SAAS,CAAE,KAAK,CnFpQtB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmFoQlB,AAtCP,AAyCI,kBAzCc,CA6BhB,KAAK,CAYH,EAAE,AAAA,aAAa,AAAC,CACd,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACpB,AA5CL,AA6CI,kBA7Cc,CA6BhB,KAAK,CAgBD,EAAE,CAAG,EAAE,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AA/CL,AAkDM,kBAlDY,CA6BhB,KAAK,CAmBD,EAAE,CAAG,EAAE,AAEN,IAAK,CAAA,MAAM,EAlDlB,kBAAkB,CA6BhB,KAAK,CAoBD,EAAE,CAAG,EAAE,AACN,IAAK,CAAA,MAAM,CAAE,CACZ,OAAO,CAAE,iBAAiB,CAC3B,AnF7TL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFyQrC,AAgDI,kBAhDc,CA6BhB,KAAK,CAmBD,EAAE,CAAG,EAAE,CAhDb,kBAAkB,CA6BhB,KAAK,CAoBD,EAAE,CAAG,EAAE,AAAC,CnFjRZ,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmFqRjB,aAAa,CAAE,KAAK,CAEvB,CAzDL,AA0DI,kBA1Dc,CA6BhB,KAAK,CA6BH,wBAAwB,AAAC,CACvB,aAAa,CAAE,GAAG,CACnB,AAIL,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,OAAO,CACf,SAAS,C7FlVQ,KAAK,C6FmVtB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,OAAO,CAehB,AAhBD,AAGE,wBAHsB,CAGtB,6BAA6B,AAAC,CAC5B,SAAS,C7F1VM,KAAK,C6F2VpB,aAAa,CAAE,KAAK,CAMrB,AAXH,AAOI,wBAPoB,CAGtB,6BAA6B,CAI3B,SAAS,AAAC,CACR,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,MAAM,CACrB,AAVL,AAaE,wBAbsB,CAatB,SAAS,AAAC,CACR,UAAU,CAAE,MAAM,CACnB,AAGH,AACE,gBADc,CACd,eAAe,AAAC,CACd,KAAK,C7FlLG,OAAmD,C6FmL3D,SAAS,C7FnUC,OAAQ,C6FoUnB,AAJH,AAKE,gBALc,CAKd,WAAW,AAAC,CACV,gBAAgB,CAAE,MAAM,CACzB,AAPH,AAQE,gBARc,CAQd,WAAW,AAAC,CACV,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,MAAM,CAKpB,AnFhXD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFiWrC,AAQE,gBARc,CAQd,WAAW,AAAC,CAIR,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAErB,CAfH,AAiBE,gBAjBc,CAiBd,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAnBH,AAqBE,gBArBc,CAqBd,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,UAAU,CAIvB,AnF9XD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFiWrC,AAqBE,gBArBc,CAqBd,sBAAsB,AAAC,CAMnB,OAAO,CAAE,IAAI,CAEhB,CA7BH,AA8BE,gBA9Bc,CA8Bd,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,SAAS,C7FzYM,KAAK,C6F0YpB,KAAK,C7F1YU,KAAK,C6F2YpB,WAAW,CAAE,MAAM,CAWpB,AA9CH,AAqCI,gBArCY,CA8Bd,uBAAuB,CAOrB,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,C7FxNC,OAAmD,C6FyNzD,SAAS,CAAE,KAAK,CAIjB,AA7CL,AA0CM,gBA1CU,CA8Bd,uBAAuB,CAOrB,oBAAoB,CAKlB,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACpB,AA5CP,AAgDE,gBAhDc,CAgDd,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,CAAC,CACb,AAnDH,AAqDE,gBArDc,CAqDd,UAAU,AAAC,CACT,SAAS,C7F9ZM,KAAK,C6F+ZpB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,IAAI,CAWjB,AApEH,AA2DI,gBA3DY,CAqDd,UAAU,CAMR,CAAC,CA3DL,gBAAgB,CAqDd,UAAU,CAOR,KAAK,AAAC,CACJ,MAAM,CAAE,SAAS,CAClB,AA9DL,AAgEI,gBAhEY,CAqDd,UAAU,CAWR,GAAG,CAhEP,gBAAgB,CAqDd,UAAU,CAYR,IAAI,AAAC,CACH,UAAU,CAAE,SAAS,CACtB,AAnEL,AAsEE,gBAtEc,CAsEd,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,C7FxPG,OAAmD,C6FyP3D,aAAa,CAAE,MAAM,CAatB,AAtFH,AA0EI,gBA1EY,CAsEd,WAAW,CAIT,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,KAAK,C5FhcD,IAAO,C4FicX,OAAO,CAAE,KAAK,CACd,SAAS,C7FlZH,QAAQ,C6FmZd,YAAY,CAAE,MAAM,CACrB,AAhFL,AAkFM,gBAlFU,CAsEd,WAAW,CAWT,eAAe,AACZ,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAKP,AAAA,gBAAgB,AAAC,CASf,KAAK,CAAE,IAAI,CAiBZ,AA1BD,AACE,gBADc,CACd,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CAIb,aAAa,CAAE,KAAK,CACrB,AAPH,AAGI,gBAHY,CACd,oBAAoB,CAElB,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AALL,AAUE,gBAVc,CAUd,eAAe,AAAC,CAcd,aAAa,CAAE,KAAK,CACrB,AAzBH,AAWI,gBAXY,CAUd,eAAe,CACb,iBAAiB,AAAC,CAChB,MAAM,CAAE,CAAC,CACV,AAbL,AAeI,gBAfY,CAUd,eAAe,CAKb,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,CAAC,CACjB,AAlBL,AAoBI,gBApBY,CAUd,eAAe,CAUb,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAKL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EAClC,AAAA,KAAK,AAAA,kBAAkB,AAAC,CACtB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CAMf,AARD,AAGE,KAHG,AAAA,kBAAkB,CAGrB,KAAK,AAAC,CACJ,KAAK,CAAE,gBAAgB,CACvB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,EAAE,AAAA,iBAAiB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,aAAa,CACrC,AACD,AAAA,EAAE,AAAA,wBAAwB,AAAC,CACzB,OAAO,CAAE,IAAI,CACd,CnFteD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFgenC,AAAA,EAAE,AAAA,iBAAiB,AAUC,CAClB,qBAAqB,CAAE,cAAc,CACtC,CC/fH,AAAA,sBAAsB,AAAC,CACrB,gBAAgB,C9FmMN,OAAmD,C8FlM7D,OAAO,CAAE,GAAG,CAMZ,KAAK,CAAE,IAAI,CACZ,AATD,AAIE,sBAJoB,CAIpB,cAAc,AAAC,CACb,UAAU,CAAE,GAAG,CAChB,ACNH,AAAA,mBAAmB,AAAC,CAClB,SAAS,CAAE,KAAK,CAmCjB,AApCD,AAGE,mBAHiB,CAGjB,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CAChB,AALH,AAME,mBANiB,CAMjB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AARH,AASE,mBATiB,CASjB,KAAK,CAAC,EAAE,AAAC,CACP,OAAO,CAAE,KAAK,CACf,AAXH,AAYE,mBAZiB,CAYjB,EAAE,AAAA,IAAI,AAAC,CACL,UAAU,CAAE,KAAK,CAClB,AAdH,AAeE,mBAfiB,CAejB,EAAE,AAAA,IAAI,AAAA,MAAM,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAjBH,AAmBI,mBAnBe,CAkBjB,EAAE,AAAA,MAAM,CACN,EAAE,AAAC,CACD,gBAAgB,C/FgLV,OAAmD,C+F/KzD,WAAW,CAAE,IAAI,CAClB,AAtBL,AAyBE,mBAzBiB,CAyBjB,GAAG,AAAC,CACF,WAAW,CAAE,IAAI,CAClB,AA3BH,AA6BE,mBA7BiB,CA6BjB,iBAAiB,AAAC,CAChB,KAAK,C/FsKG,OAAmD,C+FrK5D,AA/BH,AAiCE,mBAjCiB,CAiCjB,GAAG,AAAA,aAAa,AAAC,CACf,OAAO,CAAE,IAAI,CACd,ACjCH,AACE,sBADoB,CACpB,KAAK,AAAC,CACJ,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,GAAG,CAClB,AAJH,AAME,sBANoB,CAMpB,YAAY,AAAC,CACX,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,YAAY,CACrB,AATH,AAWE,sBAXoB,CAWpB,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAMpB,AAnBH,AAcI,sBAdkB,CAWpB,oBAAoB,CAGlB,KAAK,CAdT,sBAAsB,CAWpB,oBAAoB,CAIlB,OAAO,AAAC,CACN,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,OAAO,CACvB,AAlBL,AAqBE,sBArBoB,CAqBpB,iBAAiB,AAAC,CAChB,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CAoBhB,AA3CH,AAyBI,sBAzBkB,CAqBpB,iBAAiB,CAIf,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,gBAAgB,CACxB,MAAM,CAAE,GAAG,CAAC,KAAK,ChGsKX,OAAmD,CgGrKzD,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,KAAK,CASb,AA1CL,AAkCM,sBAlCgB,CAqBpB,iBAAiB,CAIf,YAAY,CASV,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACd,AApCP,AAqCM,sBArCgB,CAqBpB,iBAAiB,CAIf,YAAY,AAYT,WAAW,CAAC,GAAG,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,GAAG,CACf,ACzCP,AACE,MADI,AAAA,cAAc,CAClB,iBAAiB,AAAC,CAChB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,MAAM,CACnB,AALH,AAOE,MAPI,AAAA,cAAc,CAOlB,SAAS,AAAC,CACR,QAAQ,CAAE,IAAI,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,CjGyLhB,OAAmD,CiGxL5D,AAVH,AAYE,MAZI,AAAA,cAAc,CAYlB,KAAK,AAAA,SAAS,CAAG,KAAK,CAAG,EAAE,CAAG,EAAE,CAZlC,MAAM,AAAA,cAAc,CAalB,iBAAiB,AAAC,CAChB,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CAKZ,AApBH,AAiBI,MAjBE,AAAA,cAAc,CAYlB,KAAK,AAAA,SAAS,CAAG,KAAK,CAAG,EAAE,CAAG,EAAE,AAK7B,YAAa,C9EkDI,CAAC,E8EnEvB,MAAM,AAAA,cAAc,CAalB,iBAAiB,AAId,YAAa,C9EkDI,CAAC,C8ElDF,CACf,WAAW,CAAE,EAAE,CAChB,AAnBL,AAsBE,MAtBI,AAAA,cAAc,CAsBlB,iBAAiB,AAAC,CAChB,OAAO,CAAE,GAAG,CACb,AAxBH,AA0BE,MA1BI,AAAA,cAAc,CA0BlB,UAAU,CAAC,IAAI,AAAA,cAAc,AAAC,CAC5B,UAAU,CAAE,IAAI,CACjB,AA5BH,AA+BI,MA/BE,AAAA,cAAc,CA6BlB,GAAG,CAED,IAAI,CA/BR,MAAM,AAAA,cAAc,CA6BlB,GAAG,CAGD,GAAG,CAhCP,MAAM,AAAA,cAAc,CA8BlB,SAAS,CACP,IAAI,CA/BR,MAAM,AAAA,cAAc,CA8BlB,SAAS,CAEP,GAAG,AAAC,CACF,MAAM,CAAE,GAAG,CAAC,KAAK,ChG3Bb,OAAO,CgG4BZ,AAlCL,AAmCI,MAnCE,AAAA,cAAc,CA6BlB,GAAG,CAMD,GAAG,CAnCP,MAAM,AAAA,cAAc,CA8BlB,SAAS,CAKP,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,iBAAiB,CAC1B,AAtCL,AAuCI,MAvCE,AAAA,cAAc,CA6BlB,GAAG,CAUD,CAAC,CAvCL,MAAM,AAAA,cAAc,CA8BlB,SAAS,CASP,CAAC,AAAC,CACA,KAAK,ChGlCD,OAAO,CgGmCX,eAAe,CAAE,IAAI,CACtB,AA1CL,AA4CE,MA5CI,AAAA,cAAc,CA4ClB,GAAG,AAAA,SAAS,CA5Cd,MAAM,AAAA,cAAc,CA6ClB,IAAI,AAAA,SAAS,AAAC,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,ChGxCX,OAAO,CgGyCd,AA/CH,AAgDE,MAhDI,AAAA,cAAc,CAgDlB,GAAG,AAAA,SAAS,AAAC,CACX,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,iBAAiB,CAC1B,AAnDH,AAoDE,MApDI,AAAA,cAAc,CAoDlB,SAAS,AAAC,CACR,KAAK,ChGvDC,IAAO,CgGwDb,UAAU,CjG4IF,OAAmD,CiG3I5D,AAvDH,AAwDE,MAxDI,AAAA,cAAc,CAwDlB,GAAG,AAAC,CACF,KAAK,ChG3DC,IAAO,CgG4Db,UAAU,CjGwIF,OAAmD,CiGvI3D,eAAe,CAAE,IAAI,CACtB,AA5DH,AA+DI,MA/DE,AAAA,cAAc,CA6DlB,GAAG,CAED,IAAI,CA/DR,MAAM,AAAA,cAAc,CA6DlB,GAAG,CAGD,GAAG,CAhEP,MAAM,AAAA,cAAc,CA8DlB,SAAS,CACP,IAAI,CA/DR,MAAM,AAAA,cAAc,CA8DlB,SAAS,CAEP,GAAG,AAAC,CACF,MAAM,CAAE,GAAG,CAAC,KAAK,ChG5Dd,OAAO,CgG6DX,AAlEL,AAmEI,MAnEE,AAAA,cAAc,CA6DlB,GAAG,CAMD,GAAG,CAnEP,MAAM,AAAA,cAAc,CA8DlB,SAAS,CAKP,GAAG,AAAC,CACF,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAtEL,AAuEI,MAvEE,AAAA,cAAc,CA6DlB,GAAG,CAUD,CAAC,CAvEL,MAAM,AAAA,cAAc,CA8DlB,SAAS,CASP,CAAC,AAAC,CACA,KAAK,ChGnEF,OAAO,CgGoEV,eAAe,CAAE,IAAI,CACtB,AA1EL,AA4EE,MA5EI,AAAA,cAAc,CA4ElB,GAAG,AAAA,SAAS,CA5Ed,MAAM,AAAA,cAAc,CA6ElB,IAAI,AAAA,SAAS,AAAC,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,ChGzEZ,OAAO,CgG0Eb,AA/EH,AAgFE,MAhFI,AAAA,cAAc,CAgFlB,GAAG,AAAA,SAAS,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAnFH,AAoFE,MApFI,AAAA,cAAc,CAoFlB,SAAS,AAAC,CACR,KAAK,ChGvFC,IAAO,CgGwFb,UAAU,CjG4GF,OAAmD,CiG3G3D,eAAe,CAAE,IAAI,CACtB,AAxFH,AAyFE,MAzFI,AAAA,cAAc,CAyFlB,GAAG,AAAC,CACF,KAAK,ChG5FC,IAAO,CgG6Fb,UAAU,CjGuGF,OAAmD,CiGtG3D,eAAe,CAAE,IAAI,CACtB,AA7FH,AA8FE,MA9FI,AAAA,cAAc,CA8FlB,IAAI,AAAA,KAAK,AAAC,CACR,WAAW,CAAE,IAAI,CAClB,AAhGH,AAiGE,MAjGI,AAAA,cAAc,CAiGlB,IAAI,AAAA,YAAY,AAAC,CACf,gBAAgB,CjGgGR,OAAmD,CiG/F3D,OAAO,CAAE,eAAe,CACzB,AApGH,AAqGE,MArGI,AAAA,cAAc,CAqGlB,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAvGH,AAwGE,MAxGI,AAAA,cAAc,CAwGlB,uBAAuB,AAAC,CACtB,OAAO,CAAE,GAAG,CACb,AA1GH,AA4GI,MA5GE,AAAA,cAAc,CA2GlB,yBAAyB,CAAC,IAAI,CAC5B,GAAG,AAAA,YAAa,CAAA,CAAC,EA5GrB,MAAM,AAAA,cAAc,CA2GlB,yBAAyB,CAAC,IAAI,CAE5B,EAAE,AAAA,YAAa,CADC,CAAC,CACC,CAChB,OAAO,CAAE,GAAG,CACb,AA/GL,AAkHI,MAlHE,AAAA,cAAc,CAiHlB,wBAAwB,CAAC,IAAI,CAC3B,GAAG,AAAA,YAAa,C9E/CE,CAAC,E8EnEvB,MAAM,AAAA,cAAc,CAiHlB,wBAAwB,CAAC,IAAI,CAE3B,EAAE,AAAA,YAAa,C9EhDG,CAAC,C8EgDD,CAChB,OAAO,CAAE,GAAG,CACb,ACpHL,kBAAkB,CAAlB,aAAkB,CAChB,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,UAAU,CAAV,aAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,AAAA,UAAU,AAAC,CACT,gBAAgB,CjGrBN,IAAO,CiGsBjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClGwDM,IAAI,CkGvDjB,YAAY,ClG2KF,OAAmD,CkG1K7D,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,KAAK,CAChB,iBAAiB,CAAE,kBAAkB,CACrC,SAAS,CAAE,kBAAkB,CAC7B,eAAe,CAAE,WAAW,CAC5B,OAAO,CAAE,KAAK,CACd,UAAU,ClGuGE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CkGtG1C,aAAa,CAAE,GAAG,CA+EnB,AA5FD,AAeE,UAfQ,AAeP,SAAS,AAAC,CACT,UAAU,CAAE,GAAG,CAShB,AAzBH,AAkBI,UAlBM,AAeP,SAAS,CAGR,oBAAoB,AAAC,CACnB,OAAO,CAAE,KAAK,CACf,AApBL,AAsBI,UAtBM,AAeP,SAAS,CAOR,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAxBL,AA2BE,UA3BQ,AA2BP,SAAS,AAAC,CACT,UAAU,CAAE,GAAG,CAShB,AArCH,AA8BI,UA9BM,AA2BP,SAAS,CAGR,uBAAuB,AAAC,CACtB,OAAO,CAAE,KAAK,CACf,AAhCL,AAkCI,UAlCM,AA2BP,SAAS,CAOR,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACd,AApCL,AAuCE,UAvCQ,AAuCP,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACpB,AAzCH,AA2CE,UA3CQ,CA2CR,kBAAkB,AAAC,CACjB,OAAO,CAAE,KAAK,CACd,SAAS,ClGfC,OAAQ,CkGgBlB,aAAa,CAAE,UAAU,CACzB,iBAAiB,CAAE,kBAAkB,CACrC,SAAS,CAAE,kBAAkB,CAC9B,AAjDH,AAmDE,UAnDQ,CAmDR,gBAAgB,AAAC,CACf,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,WAAW,CAClB,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,wBAAwB,CAClC,AAzDH,AA2DE,UA3DQ,CA2DR,oBAAoB,AAAC,CACnB,YAAY,CAAE,WAAW,CAAC,WAAW,ClGmH7B,OAAmD,CkGlH3D,GAAG,CAAE,GAAG,CACR,SAAS,CAAE,mBAAmB,CAC9B,YAAY,CAAE,SAAS,CAWxB,AA1EH,AAiEI,UAjEM,CA2DR,oBAAoB,AAMjB,MAAM,AAAC,CACN,YAAY,CAAE,WAAW,CAAC,WAAW,CjGtF/B,IAAO,CiGuFb,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,SAAS,CACvB,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,IAAI,CACjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,EAAE,CACZ,AAzEL,AA4EE,UA5EQ,CA4ER,uBAAuB,AAAC,CACtB,YAAY,ClGkGJ,OAAmD,CkGlG3B,WAAW,CAAC,WAAW,CACvD,GAAG,CAAE,iBAAiB,CACtB,SAAS,CAAE,mBAAmB,CAC9B,YAAY,CAAE,SAAS,CAWxB,AA3FH,AAkFI,UAlFM,CA4ER,uBAAuB,AAMpB,MAAM,AAAC,CACN,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,EAAE,CACX,YAAY,CjGzGN,IAAO,CiGyGuB,WAAW,CAAC,WAAW,CAC3D,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,SAAS,CACvB,MAAM,CAAE,GAAG,CACX,SAAS,CAAE,kBAAkB,CAC9B,AC/GL,AAAA,GAAG,AAAA,UAAU,AAAC,CACZ,MAAM,CAAE,cAAc,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,SAAS,CAClB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,GAAG,AAAA,UAAU,CAAC,IAAI,AAAA,IAAI,AAAC,CACrB,MAAM,CAAE,iBAAiB,CACzB,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,OAAO,CACd,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,SAAS,CACtB,SAAS,CnG6BG,OAAQ,CmG5BrB,AAED,AAAA,GAAG,AAAA,UAAU,CAAC,IAAI,AAAA,IAAI,CAAC,CAAC,AAAC,CACvB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,OAAO,CACd,eAAe,CAAE,IAAI,CACrB,SAAS,CnGuBG,OAAQ,CmGtBrB,AACD,AAAA,GAAG,AAAA,UAAU,CAAC,KAAK,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,SAAS,CACtB,SAAS,CnGiBG,OAAQ,CmGhBpB,MAAM,CAAE,qBAAqB,CAC7B,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,WAAW,CACvB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,WAAW,CACpB,AACD,AAAA,GAAG,AAAA,UAAU,CAAC,GAAG,AAAC,CAChB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AACD,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,kBAAkB,CAC9B,KAAK,CAAE,kBAAkB,CAC1B,ACtDD,AAAA,OAAO,AAAA,iBAAiB,CACxB,OAAO,AAAA,eAAe,CACtB,OAAO,AAAA,wBAAwB,CAC/B,OAAO,AAAA,6BAA6B,AAAC,CACnC,KAAK,CpG8LK,OAAoD,CoG7L/D,AAED,AAAA,OAAO,AAAA,kBAAkB,CACzB,OAAO,AAAA,kBAAkB,AAAC,CACxB,KAAK,CnGPI,OAAO,CmGQjB,ACVD,AAAA,UAAU,AAAC,CACT,aAAa,CAAE,KAAK,CA4DrB,AA7DD,AAGE,UAHQ,CAGR,UAAU,AAAC,CACT,aAAa,CAAE,CAAC,CACjB,AALH,AAOE,UAPQ,CAOR,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACZ,AATH,AAUE,UAVQ,CAUR,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACb,AAZH,AAaE,UAbQ,CAaR,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AAfH,AAiBE,UAjBQ,CAiBR,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CA+BnB,AAlDH,AAqBI,UArBM,CAiBR,KAAK,CAIH,EAAE,CArBN,UAAU,CAiBR,KAAK,CAKH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CrG2KlB,OAAmD,CqG3J1D,AAfC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA1BzC,AAqBI,UArBM,CAiBR,KAAK,CAIH,EAAE,CArBN,UAAU,CAiBR,KAAK,CAKH,EAAE,AAAC,CAKC,OAAO,CAAE,YAAY,CAcxB,CAzCL,AA8BM,UA9BI,CAiBR,KAAK,CAIH,EAAE,CASA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAIH,EAAE,CAUA,UAAU,CA/BhB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAQA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAKH,EAAE,CASA,UAAU,AAAC,CACT,SAAS,CrGeL,QAAQ,CqGdZ,KAAK,CrGmKD,OAAmD,CqG/JxD,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAlC3C,AA8BM,UA9BI,CAiBR,KAAK,CAIH,EAAE,CASA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAIH,EAAE,CAUA,UAAU,CA/BhB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAQA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAKH,EAAE,CASA,UAAU,AAAC,CAIP,SAAS,CrGcP,QAAQ,CqGZb,CArCP,AAsCM,UAtCI,CAiBR,KAAK,CAIH,EAAE,CAiBA,UAAU,CAtChB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAgBA,UAAU,AAAC,CACT,WAAW,CAAE,MAAM,CACpB,AAxCP,AA2CI,UA3CM,CAiBR,KAAK,CA0BH,EAAE,AAAA,SAAS,AAAC,CACV,KAAK,CAAE,GAAG,CAKX,AAjDL,AA6CM,UA7CI,CAiBR,KAAK,CA0BH,EAAE,AAAA,SAAS,CAET,aAAa,AAAC,CACZ,KAAK,CpGrCN,OAAO,CoGsCN,MAAM,CAAE,YAAY,CACrB,AAhDP,AAmDE,UAnDQ,CAmDR,GAAG,AAAC,CACF,gBAAgB,CrGgJR,OAAmD,CqGxI5D,AA5DH,AAqDI,UArDM,CAmDR,GAAG,CAED,SAAS,CAAC,CAAC,CArDf,UAAU,CAmDR,GAAG,CAGD,KAAK,CAtDT,UAAU,CAmDR,GAAG,CAID,MAAM,CAvDV,UAAU,CAmDR,GAAG,CAKD,OAAO,CAxDX,UAAU,CAmDR,GAAG,CAMD,UAAU,AAAC,CACT,KAAK,CrG0IC,OAAmD,CqGzI1D,AC3DL,AAAA,MAAM,AAAC,CACL,OAAO,CAAE,iBAAiB,CAC1B,gBAAgB,CtGkMN,OAAmD,CsGjM7D,KAAK,CrGHG,IAAO,CqGIf,QAAQ,CAAE,QAAQ,CA2BnB,AA/BD,AAME,MANI,CAMJ,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,GAAG,CACV,SAAS,CtGqCD,QAAQ,CsGjCjB,AAdH,AAWI,MAXE,CAMJ,MAAM,CAKJ,OAAO,AAAC,CACN,KAAK,CtGwLC,OAAmD,CsGvL1D,AAbL,AAgBE,MAhBI,AAgBH,cAAc,AAAC,CACd,gBAAgB,CtGmLR,OAAmD,CsGlL3D,KAAK,CrGlBC,IAAO,CqGmBd,AAnBH,AAoBE,MApBI,AAoBH,YAAY,AAAC,CACZ,gBAAgB,CtG+KR,OAAmD,CsG9K3D,KAAK,CrGtBC,IAAO,CqGuBd,AAvBH,AAwBE,MAxBI,AAwBH,WAAW,AAAC,CACX,gBAAgB,CtG2KR,OAAmD,CsG1K3D,KAAK,CrG1BC,IAAO,CqG8Bd,AA9BH,AA2BI,MA3BE,AAwBH,WAAW,AAGT,UAAU,AAAC,CACV,KAAK,CrG1BA,OAAO,CqG2Bb,ACzBL,AAAA,wBAAwB,AAAC,CACvB,UAAU,CvG+LA,OAAmD,CuG9L7D,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CAUZ,AAbD,AAKE,sBALoB,CAKpB,KAAK,CAAG,qBAAqB,AAAC,CAC5B,WAAW,CAAE,IAAI,CAClB,AAPH,AASE,sBAToB,CASpB,sBAAsB,AAAC,CACrB,MAAM,CAAE,SAAS,CACjB,cAAc,CAAE,MAAM,CACvB,AAGH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CAwCZ,AAzCD,AAGE,WAHS,CAGT,gBAAgB,AAAC,CACf,SAAS,CvGaD,QAAQ,CuGZhB,WAAW,CAAE,IAAI,CACjB,KAAK,CtGpCC,IAAO,CsGqCd,AAPH,AASE,WATS,CAST,qBAAqB,AAAC,CACpB,SAAS,CvGQD,QAAQ,CuGPhB,KAAK,CvGyJG,OAAoD,CuGxJ7D,AAZH,AAcE,WAdS,CAcT,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACvB,AAjBH,AAsBE,WAtBS,CAsBT,mBAAmB,AAAC,CAClB,KAAK,CAJA,IAAI,CAKV,AAxBH,AA0BE,WA1BS,CA0BT,aAAa,AAAC,CACZ,eAAe,CARV,IAAI,CAST,MAAM,CATD,IAAI,CAUT,KAAK,CAVA,IAAI,CAWT,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAM7B,AAxCH,AAoCI,WApCO,CA0BT,aAAa,CAUX,OAAO,AAAC,CACN,MAAM,CAjBE,UAAW,CAkBnB,KAAK,CAlBG,UAAW,CAmBpB,AAIL,AAAA,yBAAyB,AAAC,CACxB,YAAY,CAAE,IAAI,CAKnB,AAND,AAGE,yBAHuB,AAGtB,MAAM,AAAC,CACN,gBAAgB,CtGtEX,OAAO,CsGuEb,AAGH,AAAA,KAAK,AAAA,kBAAkB,AAAC,CACtB,KAAK,CAAE,IAAI,CAaZ,AAdD,AAGE,KAHG,AAAA,kBAAkB,CAGrB,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACf,AALH,AAOE,KAPG,AAAA,kBAAkB,CAOrB,iCAAiC,AAAC,CAChC,MAAM,CAAE,OAAO,CAKhB,AAbH,AAUI,KAVC,AAAA,kBAAkB,CAOrB,iCAAiC,CAG/B,OAAO,AAAC,CACN,KAAK,CvGwGC,OAAmD,CuGvG1D,AAIL,AAAA,KAAK,AAAA,cAAc,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CAqCpB,AAvCD,AAIE,KAJG,AAAA,cAAc,CAIjB,EAAE,AAAA,YAAY,AAAC,CACb,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,IAAI,CACjB,AAPH,AASE,KATG,AAAA,cAAc,CASjB,EAAE,AAAA,WAAW,AAAC,CACZ,KAAK,CAAE,EAAE,CACV,AAXH,AAaE,KAbG,AAAA,cAAc,CAajB,EAAE,AAAA,sBAAsB,AAAC,CACvB,KAAK,CAAE,EAAE,CACV,AAfH,AAiBE,KAjBG,AAAA,cAAc,CAiBjB,EAAE,AAAC,CACD,UAAU,CAAE,MAAM,CACnB,AAnBH,AAsBI,KAtBC,AAAA,cAAc,CAqBjB,EAAE,CACA,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CAIf,AA3BL,AAwBM,KAxBD,AAAA,cAAc,CAqBjB,EAAE,CACA,UAAU,CAER,aAAa,AAAC,CACZ,KAAK,CtG1HH,IAAO,CsG2HV,AA1BP,AA6BI,KA7BC,AAAA,cAAc,CAqBjB,EAAE,CAQA,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,IAAI,CACjB,AA/BL,AAiCI,KAjCC,AAAA,cAAc,CAqBjB,EAAE,CAYA,EAAE,AAAC,CACD,UAAU,CAAE,MAAM,CAClB,KAAK,CvGgEC,OAAmD,CuG/DzD,OAAO,CAAE,OAAO,CACjB,AAIL,AAAA,kBAAkB,AAAC,CACjB,KAAK,CtG3IG,IAAO,CsG4IhB,AAED,AACE,cADY,CACZ,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACtB,AAHH,AAKE,cALY,CAKZ,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CAKZ,AAZH,AASI,cATU,CAKZ,qBAAqB,CAInB,eAAe,AAAC,CACd,gBAAgB,CAAE,OAAO,CAC1B,AAIL,AAAA,gBAAgB,AAAC,CACf,YAAY,CAAE,IAAI,CACnB,AAED,AAEI,kBAFc,CAChB,6BAA6B,CAC3B,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,cAAc,CAAE,MAAM,CACvB,AALL,AAOI,kBAPc,CAChB,6BAA6B,CAM3B,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACrB,cAAc,CAAE,MAAM,CACvB,AC1KL,AAAA,GAAG,AAAA,MAAM,AAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,KAAK,CAAC,GAAG,AAAA,MAAM,CACf,GAAG,CAAC,GAAG,AAAA,MAAM,CACb,GAAG,CAAC,GAAG,AAAA,MAAM,AAAC,CACZ,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACb,AAED,AAAA,aAAa,AAAC,CACZ,eAAe,CAAE,WAAW,CAC5B,OAAO,CxGoEM,IAAI,CwGnEjB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,KAAK,CACb,KAAK,CvGpBG,IAAO,CuGqBf,gBAAgB,CvGpBN,IAAO,CuGqBjB,MAAM,CAAE,GAAG,CAAC,KAAK,CxG8KP,OAAmD,CwG7K9D,AAED,AAAA,aAAa,CAAC,kBAAkB,AAAC,CAC/B,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,YAAY,CAAE,GAAG,CAAC,KAAK,CxGqKb,OAAmD,CwGpK7D,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,aAAa,CAAC,cAAc,AAAC,CAC3B,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,QAAQ,CAChB,cAAc,CAAE,eAAe,CAC/B,MAAM,CAAE,eAAe,CAMxB,AAVD,AAME,aANW,CAAC,cAAc,CAM1B,MAAM,AAAA,MAAM,AAAC,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,aAAa,CAAC,cAAc,AAAA,QAAQ,CACpC,aAAa,CAAC,cAAc,AAAA,MAAM,AAAC,CACjC,cAAc,CAAE,aAAa,CAC7B,MAAM,CAAE,aAAa,CACtB,AAED,AAAA,aAAa,CAAC,YAAY,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,EAAE,CACT,AAED,AAAA,aAAa,CAAC,KAAK,AAAC,CAClB,UAAU,CAAE,MAAM,CAClB,0BAA0B,CAAE,KAAK,CACjC,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,aAAa,CAAC,eAAe,AAAC,CAC5B,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,GAAG,CACnB,eAAe,CAAE,aAAa,CAC9B,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,aAAa,CAAC,eAAe,CAAC,MAAM,AAAC,CACnC,KAAK,CvG/EG,IAAO,CuGgFhB,AAED,AAAA,aAAa,CAAC,eAAe,CAAC,aAAa,CAAC,GAAG,AAAC,CAC9C,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CvGhFU,IAAO,CuGqFvB,AARD,AAKE,aALW,CAAC,eAAe,CAAC,aAAa,CAAC,GAAG,AAK5C,MAAM,AAAC,CACN,KAAK,CvGxFC,IAAO,CuGyFd,AAGH,AAAA,aAAa,CAAC,cAAc,AAAC,CAC3B,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,OAAO,CAAE,GAAG,CACb,AAED,AAAA,aAAa,CAAC,OAAO,AAAC,CACpB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,UAAU,CAAE,GAAG,CAAC,KAAK,CxG4FX,OAAmD,CwG3F9D,AAED,AAAA,aAAa,CAAC,KAAK,AAAC,C9F/ClB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C8F+CvB,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,GAAG,CAChB,SAAS,CAAE,KAAK,CACjB,AAED,AAAA,aAAa,CAAC,iBAAiB,AAAC,CAC9B,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,QAAQ,CACzB,OAAO,CAAE,GAAG,CACb,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAC,CAC/C,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CAChB,MAAM,CAAE,CAAC,CACT,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,MAAM,CAAE,OAAO,CAChB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,QAAQ,AAAC,CACvD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,MAAM,AAAC,CACrD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,aAAa,AAAC,CAC5D,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,OAAO,AAAC,CACtD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,YAAY,AAAC,CAC3D,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,KAAK,AAAC,CACpD,UAAU,CAAE,OAAO,CACpB,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,SAAS,CAAC,OAAO,AAAC,CAChE,OAAO,CAAE,KAAK,CACf,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,OAAO,AAAC,CACtC,OAAO,CAAE,IAAI,CACd,AAFD,AAAA,aAAa,CAAC,iBAAiB,CAAC,OAAO,AAIC,CACtC,KAAK,CAAE,IAAI,CACX,SAAS,CxG9GF,GAAG,CwG+GV,MAAM,CAAE,0CAA6C,CACtD,AAED,AAAA,aAAa,CAAC,MAAM,AAAA,MAAM,AAAC,CACzB,UAAU,CAAE,WAAW,CACvB,mBAAmB,CAAE,MAAM,CAC3B,iBAAiB,CAAE,SAAS,CAC5B,aAAa,CAAE,CAAC,CAChB,eAAe,CAAE,SAAS,CAC1B,eAAe,CAAE,WAAW,CAC5B,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CACZ,AAED,AAAA,aAAa,CAAC,cAAc,CAAC,MAAM,AAAA,MAAM,AAAA,MAAM,CAC/C,aAAa,CAAC,QAAQ,CAAC,MAAM,AAAA,MAAM,AAAA,MAAM,AAAC,CACxC,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAClB,gBAAgB,CAAE,OAAuB,CAC1C,AAED,AAAA,mBAAmB,AAAA,OAAO,AAAC,CACzB,OAAO,CxG1GM,IAAI,CwG2GjB,QAAQ,CAAE,KAAK,CACf,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,GAAG,CACZ,gBAAgB,CAAE,KAAK,CACxB,AAED,AAAA,aAAa,CAAC,OAAO,AAAC,CACpB,gBAAgB,CAAE,IAAI,CACtB,aAAa,CAAE,GAAG,CAAC,KAAK,CxGNd,OAAmD,CwGO7D,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,WAAW,CAAE,MAAM,CAKpB,AAXD,AAQE,aARW,CAAC,OAAO,CAQnB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,eAAe,CACvB,AAGH,AAAA,aAAa,CAAC,OAAO,CAAC,cAAc,AAAC,CACnC,KAAK,CvGjNU,IAAO,CuGkNtB,SAAS,CxGtKC,QAAQ,CwGuKlB,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,aAAa,CAAC,OAAO,CAAC,KAAK,AAAC,CAC1B,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,IAAI,CACb,KAAK,CvGpOG,IAAO,CuGqOf,UAAU,CvGpOA,IAAO,CuG0OlB,AAfD,AAWE,aAXW,CAAC,OAAO,CAAC,KAAK,AAWxB,MAAM,AAAC,CACN,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,aAAa,CAAC,OAAO,CAAC,KAAK,AAAA,WAAW,AAAC,CACrC,OAAO,CAAE,IAAI,CACd,AAED,AAAA,aAAa,CAAC,QAAQ,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,OAAO,CAAE,GAAG,CACZ,IAAI,CAAE,OAAO,CACd,AAED,AAAA,aAAa,CAAC,OAAO,CAAC,aAAa,AAAC,CAClC,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,KAAK,CvG3PU,IAAO,CuG4PtB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CAKd,AAbD,AAUE,aAVW,CAAC,OAAO,CAAC,aAAa,AAUhC,MAAM,AAAC,CACN,KAAK,CvGrQC,IAAO,CuGsQd,ACtQH,AAAA,WAAW,AAAA,cAAc,AAAC,CACxB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CzG+FC,CAAC,CyG1FV,AAPD,AAGE,UAHQ,AAGP,WAAW,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACT,AAGH,AAAA,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAgCnB,AAlCD,AAGE,cAHY,CAGZ,UAAU,CAAC,iBAAiB,AAAC,CAC3B,UAAU,CxGhBF,IAAO,CwGiBf,KAAK,CxGlBC,IAAO,CwGmBb,MAAM,CAAE,GAAG,CAAC,KAAK,CzGiLT,OAAmD,CyGhL3D,SAAS,CzG8BJ,GAAG,CyG7BR,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACb,AAVH,AAWE,cAXY,CAWZ,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CAkBnB,AA9BH,AAaI,cAbU,CAWZ,WAAW,CAET,sBAAsB,AAAC,CACrB,SAAS,CzGwBD,OAAQ,CyGvBhB,UAAU,CAAE,IAAI,CAKjB,AApBL,AAgBM,cAhBQ,CAWZ,WAAW,CAET,sBAAsB,CAGpB,MAAM,CAhBZ,cAAc,CAWZ,WAAW,CAET,sBAAsB,CAIpB,MAAM,AAAC,CACL,SAAS,CzGkBL,QAAQ,CyGjBb,AAnBP,AAqBI,cArBU,CAWZ,WAAW,AAUR,0BAA0B,CArB/B,cAAc,CAWZ,WAAW,AAWR,oBAAoB,CAtBzB,cAAc,CAWZ,WAAW,AAYR,8BAA8B,CAvBnC,cAAc,CAWZ,WAAW,AAaR,yBAAyB,AAAC,CACzB,KAAK,CAAE,KAAK,CAIb,AA7BL,AA0BM,cA1BQ,CAWZ,WAAW,AAUR,0BAA0B,CAKzB,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAWR,oBAAoB,CAInB,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAYR,8BAA8B,CAG7B,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAaR,yBAAyB,CAExB,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACtB,AA5BP,AA+BE,cA/BY,CA+BZ,iBAAiB,AAAC,CAChB,SAAS,CAAE,IAAI,CAChB,AAGH,AAGE,gBAHc,AAAA,QAAQ,CAGtB,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,E8ClHnB,uBAAuB,AAAA,QAAQ,CAE7B,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,E8CjHnB,oBAAoB,AAAA,QAAQ,CAC1B,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,C8ChHgB,CAC/B,KAAK,CzG+IG,OAAmD,CyG9I5D,AAGH,AAAA,qBAAqB,CAmBrB,WAAW,CAqDT,UAAU,AAxEU,CACpB,SAAS,CzGTC,QAAQ,CyGyBnB,AAjBD,AAEE,qBAFmB,CAEnB,CAAC,AAAA,MAAM,CAiBT,WAAW,CAqDT,UAAU,CAtEV,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,UAAU,CACtB,KAAK,CxG9DC,IAAO,CwG+Dd,AAED,AACE,KADG,CARP,qBAAqB,CASjB,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,E8CnGjB,KAAK,CAWP,WAAW,CAqDT,UAAU,CA/DR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,E8CxFnB,WAAW,CAXT,KAAK,CAgEL,UAAU,CA/DR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,C8ClG0B,CACvC,KAAK,CzGiIC,OAAmD,CyGhI1D,AAXL,AAcE,qBAdmB,CAcnB,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9C6FtB,mBAAmB,E8CxFnB,WAAW,CAqDT,UAAU,CA1DV,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9C6FtB,mBAAmB,C8C7FwB,CACvC,KAAK,CzG4HG,OAAmD,CyG3H5D,AAGH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,QAAQ,CAgI1B,AAlID,AAKI,WALO,CAIP,KAAK,CAAG,EAAE,AACT,YAAY,CAAC,KAAK,AAAC,CAClB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,GAAG,CAChB,AARL,AAUI,WAVO,CAIP,KAAK,CAAG,EAAE,AAMT,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACpB,AAZL,AAcI,WAdO,CAIP,KAAK,CAAG,EAAE,CAUV,qBAAqB,AAAC,CACpB,UAAU,CAAE,MAAM,CACnB,AAhBL,AAmBE,WAnBS,CAmBT,0BAA0B,AAAC,CACzB,MAAM,CAAE,IAAI,CAeb,AAnCH,AAsBI,WAtBO,CAmBT,0BAA0B,CAGxB,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CzGiGlB,OAAmD,CyGhGzD,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,MAAM,CACnB,AA3BL,AA6BI,WA7BO,CAmBT,0BAA0B,CAUxB,EAAE,CAAC,IAAI,AAAC,CACN,gBAAgB,CxGzGV,IAAO,CwG0Gb,KAAK,CzGyFC,OAAmD,CyGxFzD,OAAO,CAAE,KAAK,CACd,SAAS,CzG1DD,OAAQ,CyG2DjB,AAlCL,AAqCE,WArCS,CAqCT,EAAE,CArCJ,WAAW,CAsCT,EAAE,AAAC,CACD,WAAW,CzGlDK,GAAG,CyGmDnB,UAAU,CAAE,IAAI,CAChB,cAAc,CAAE,MAAM,CACvB,AA1CH,AA4CI,WA5CO,CA2CT,EAAE,CACA,MAAM,CAAC,OAAO,AAAC,CACb,KAAK,CzG2EC,OAAmD,CyG1E1D,AA9CL,AAgDE,WAhDS,CAgDT,EAAE,AAAC,CACD,KAAK,CzGuEG,OAAmD,CyGtE3D,SAAS,CzG5EJ,GAAG,CyG6ET,AAnDH,AAwDI,WAxDO,CAqDT,UAAU,CAGR,eAAe,CAAG,CAAC,AAAC,CAClB,cAAc,CAAE,IAAI,CACrB,AA1DL,AA8DI,WA9DO,CA6DT,iBAAiB,AACd,KAAK,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AAhEL,AAiEI,WAjEO,CA6DT,iBAAiB,CAIf,OAAO,AAAC,CACN,cAAc,CAAE,MAAM,CACtB,SAAS,CzGxFD,IAAK,CyGyFd,AApEL,AAuEE,WAvES,CAuET,iBAAiB,AAAC,CAChB,SAAS,CzGjGC,OAAQ,CyGkGlB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAgBpB,AA3FH,AA4EI,WA5EO,CAuET,iBAAiB,CAKf,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CAGf,QAAQ,CAAE,OAAO,CAClB,AAjFL,AAkFI,WAlFO,CAuET,iBAAiB,CAWf,CAAC,AAAA,cAAc,AAAA,IAAI,CAlFvB,WAAW,CAuET,iBAAiB,CAYf,CAAC,AAAA,cAAc,AAAA,IAAI,AAAC,CAClB,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CAClB,AAtFL,AAuFI,WAvFO,CAuET,iBAAiB,CAgBf,cAAc,AAAA,OAAO,AAAA,MAAM,CAvF/B,WAAW,CAuET,iBAAiB,CAiBf,cAAc,AAAA,IAAI,AAAC,CACjB,YAAY,CAAE,MAAM,CACrB,AA1FL,AA6FE,WA7FS,CA6FT,oBAAoB,AAAC,CACnB,YAAY,CAAE,GAAG,CAClB,AA/FH,AAiGE,WAjGS,CAiGT,cAAc,AAAC,CACb,SAAS,CzG3HC,OAAQ,CyG4HlB,UAAU,CAAE,GAAG,CACf,KAAK,CzGoBG,OAAmD,CyGnB3D,SAAS,CAAE,UAAU,CACrB,WAAW,CzGjHK,GAAG,CyGkHnB,aAAa,CAAE,IAAI,CACpB,AAxGH,AAyGE,WAzGS,CAyGT,eAAe,AAAA,MAAM,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AA3GH,AA6GE,WA7GS,CA6GT,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CAOnB,AArHH,AA+GI,WA/GO,CA6GT,IAAI,CAEF,CAAC,AAAA,IAAK,C9C8BV,YAAY,C8C9BY,CAClB,KAAK,CAAE,OAAO,CACf,AAjHL,AAkHI,WAlHO,CA6GT,IAAI,CAKF,CAAC,AAAA,YAAY,AAAC,CACZ,WAAW,CAAE,IAAI,CAClB,AApHL,AAwHI,WAxHO,CAuHT,IAAI,AAAA,MAAM,CACR,CAAC,AAAC,CACA,OAAO,CAAE,QAAQ,CAClB,AA1HL,AA8HI,WA9HO,CA6HT,IAAI,AAAA,SAAS,CACX,CAAC,AAAC,CACA,OAAO,CAAE,QAAQ,CAClB,AAIL,AAAA,aAAa,CACb,aAAa,CAAC,CAAC,AAAC,CACd,KAAK,CAAE,kBAAkB,CAC1B,AACD,AAAA,YAAY,CACZ,YAAY,CAAC,CAAC,AAAC,CACb,KAAK,CAAE,kBAAkB,CAC1B,AACD,AAAA,YAAY,CACZ,YAAY,CAAC,CAAC,AAAC,CACb,KAAK,CAAE,kBAAkB,CAC1B,AAED,AAAA,QAAQ,CAAC,WAAW,AAAC,CACnB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAIjB,AAND,AAGE,QAHM,CAAC,WAAW,CAGlB,EAAE,AAAC,CACD,gBAAgB,CAAE,WAAW,CAC9B,AAGH,AAAA,UAAU,AAAC,CACT,aAAa,CAAE,KAAK,CAYrB,AAbD,AAEE,UAFQ,CAER,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACd,AAJH,AAKE,UALQ,CAKR,OAAO,AAAC,CACN,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,KAAK,CzG1CG,OAAmD,CyG2C3D,SAAS,CzG7LJ,GAAG,CyG8LR,MAAM,CAAE,OAAO,CAChB,AAGH,AACE,WADS,CACT,MAAM,AAAC,CACL,aAAa,CAAE,CAAC,CAChB,SAAS,CzGrMJ,GAAG,CyGsMT,AAJH,AAKE,WALS,CAKT,QAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,EAAE,AAAA,oBAAoB,AAAA,OAAO,AAAC,CAC5B,OAAO,CAAE,IAAI,CACd,AAED,AAAA,EAAE,AAAA,oBAAoB,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,CAAC,CAUX,AAfD,AAOE,EAPA,AAAA,oBAAoB,CAOpB,EAAE,AAAC,CACD,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAVH,AAYE,EAZA,AAAA,oBAAoB,CAYpB,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,iBAAiB,AAAA,SAAS,AAAC,C/F/KzB,UAAU,CAAE,0DAAqE,CACjF,iBAAiB,CAAE,cAAgB,CACnC,aAAa,CAAE,cAAgB,CAC/B,SAAS,CAAE,cAAgB,C+F8K5B,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,MAAM,CAKhB,AAND,AAGE,kBAHgB,CAGhB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AAGH,AAAA,GAAG,AAAA,UAAU,AAAC,CACZ,KAAK,CzG9FK,OAAoD,CyGkG/D,AALD,AAEE,GAFC,AAAA,UAAU,CAEX,mBAAmB,AAAA,UAAU,AAAC,CAC5B,cAAc,CAAE,WAAW,CAC5B,AAGH,AAAA,UAAU,CAKV,cAAc,AALH,CACT,OAAO,CAAE,QAAQ,CACjB,KAAK,CzGtGK,OAAoD,CyGuG/D,AAED,AAAA,cAAc,AAAC,CAEb,aAAa,CAAE,GAAG,CAAC,KAAK,CzGzGd,OAAmD,CyG0G9D,AAWD,AAAA,kBAAkB,AAAC,CACjB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,MAAM,CAClB,WAAW,CzG5PQ,GAAG,CyG6PvB,AC1TD,AAAA,qBAAqB,AAAC,CAEpB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,OAAO,CAC9B,kBAAkB,CAAE,kBAAkB,CACtC,YAAY,C1FOD,IAAmB,C0F2B/B,AAxCD,AAOE,qBAPmB,CAOnB,wBAAwB,AAAC,CACvB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AAZH,AAaE,qBAbmB,CAanB,0BAA0B,AAAC,CACzB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AAlBH,AAmBE,qBAnBmB,CAmBnB,gBAAgB,CAnBlB,qBAAqB,CAoBnB,aAAa,CApBf,qBAAqB,CAqBnB,QAAQ,AAAC,CACP,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AA1BH,AA2BE,qBA3BmB,CA2BnB,aAAa,AAAC,CACZ,SAAS,CAAE,IAAI,CAChB,AA7BH,AA8BE,qBA9BmB,CA8BnB,yBAAyB,CAAG,aAAa,CA9B3C,qBAAqB,CA+BnB,0BAA0B,CAAG,aAAa,AAAC,CACzC,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AAlCH,AAmCE,qBAnCmB,CAmCnB,yBAAyB,AAAC,CACxB,cAAc,CAAE,CAAC,CACjB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,KAAK,CACpB,AAvCH,AAAA,qBAAqB,AA0CC,CAEpB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,kBAAkB,CA0BlC,AAxED,AAOE,qBAPmB,CAOnB,wBAAwB,AAwCC,CACvB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAnDH,AAaE,qBAbmB,CAanB,0BAA0B,AAuCC,CACzB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvDH,AAmBE,qBAnBmB,CAmBnB,gBAAgB,CAnBlB,qBAAqB,CAoBnB,aAAa,CApBf,qBAAqB,CAqBnB,QAAQ,AAqCC,CACP,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AApBH,AAqBE,qBArBmB,CAqBnB,0BAA0B,CAAG,aAAa,AAAC,CACzC,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAlEH,AAmCE,qBAnCmB,CAmCnB,yBAAyB,AAgCC,CACxB,YAAY,CAAE,CAAC,CACf,qBAAqB,CAAE,KAAK,CAC5B,kBAAkB,CAAE,KAAK,CAC1B,AAGH,AACE,aADW,CACX,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,aAAa,C1FhEJ,IAAmB,C0FqE7B,AARH,AAKI,aALS,CACX,aAAa,CAIX,IAAI,AAAC,CACH,YAAY,C1FnEL,IAAmB,C0FoE3B,AAPL,AAUE,aAVW,CAUX,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CACnB,AAZH,AAcE,aAdW,CAcX,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAhBH,AAkBE,aAlBW,CAkBX,aAAa,AAAC,CACZ,KAAK,CzGvFF,OAAO,CyGwFX,AAGH,AACE,UADQ,CACR,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,IAAI,CA4LpB,AA/LH,AAMM,UANI,CACR,MAAM,AAIH,eAAe,CACd,mBAAmB,AAAC,CAClB,eAAe,CAAE,KAAK,CACtB,mBAAmB,CAAE,aAAa,CAClC,iBAAiB,CAAE,SAAS,CAC7B,AAVP,AAWM,UAXI,CACR,MAAM,AAIH,eAAe,CAMd,eAAe,AAAC,CACd,aAAa,CAAE,CAAC,CACjB,AAbP,AAgBI,UAhBM,CACR,MAAM,CAeJ,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,C1G6Ef,OAAmD,C0G/B1D,AAjEL,AAqBM,UArBI,CACR,MAAM,CAeJ,UAAU,CAKR,IAAI,AAAC,CACH,OAAO,CAAE,QAAQ,CAClB,AAvBP,AAyBM,UAzBI,CACR,MAAM,CAeJ,UAAU,CASR,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CAOlB,AAlCP,AA4BQ,UA5BE,CACR,MAAM,CAeJ,UAAU,CASR,EAAE,CAGA,GAAG,AAAC,CACF,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CACrB,YAAY,CAAE,IAAI,CAClB,MAAM,CAAE,KAAK,CACd,AAjCT,AAoCM,UApCI,CACR,MAAM,CAeJ,UAAU,CAoBR,EAAE,CApCR,UAAU,CACR,MAAM,CAeJ,UAAU,CAqBR,EAAE,AAAC,CACD,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACpB,AAxCP,AA0CM,UA1CI,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,UAAU,CAClB,KAAK,CzGjJH,IAAO,CyG8JV,AA1DP,AAgDU,UAhDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CACN,IAAI,AAAA,IAAK,CxBsLT,aAAa,CwBtLW,CACtB,YAAY,CAAE,MAAM,CACrB,AAlDX,AAmDU,UAnDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CAIN,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AArDX,AAsDU,UAtDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CAON,IAAI,AAAA,aAAa,AAAA,MAAM,AAAC,CACtB,OAAO,CAAE,EAAE,CACZ,AAxDX,AA4DM,UA5DI,CACR,MAAM,CAeJ,UAAU,CA4CR,EAAE,AAAC,CACD,KAAK,C1GiCD,OAAoD,C0GhCxD,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CACtB,AAhEP,AAmEI,UAnEM,CACR,MAAM,CAkEJ,QAAQ,AAAC,CACP,UAAU,CzGvKJ,kBAAO,CyGwKb,aAAa,CAAE,GAAG,CAAC,KAAK,C1G2BlB,OAAmD,C0GwC1D,AAxIL,AAuEM,UAvEI,CACR,MAAM,CAkEJ,QAAQ,CAIN,EAAE,AAAC,CACD,SAAS,C1G/HL,GAAG,C0GgIP,WAAW,CAAE,MAAM,CAIpB,AA7EP,AA0EQ,UA1EE,CACR,MAAM,CAkEJ,QAAQ,CAIN,EAAE,CAGA,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CACjB,AA5ET,AA+EM,UA/EI,CACR,MAAM,CAkEJ,QAAQ,CAYN,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,ChGzHrB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgGyHlB,AAnFP,AAqFM,UArFI,CACR,MAAM,CAkEJ,QAAQ,CAkBN,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,KAAK,CAIrB,AA3FP,AAwFQ,UAxFE,CACR,MAAM,CAkEJ,QAAQ,CAkBN,EAAE,CAGA,OAAO,AAAA,IAAK,CAAA,cAAc,CAAE,CAC1B,WAAW,CAAE,IAAI,CAClB,AA1FT,AA6FM,UA7FI,CACR,MAAM,CAkEJ,QAAQ,CA0BN,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,MAAM,CAChB,AAhGP,AAkGM,UAlGI,CACR,MAAM,CAkEJ,QAAQ,CA+BN,GAAG,AAAA,OAAO,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AApGP,AAsGM,UAtGI,CACR,MAAM,CAkEJ,QAAQ,CAmCN,UAAU,AAAC,CACT,KAAK,CzGpMJ,OAAO,CyGqMT,AAxGP,AA0GM,UA1GI,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAkBnB,AA9HP,AA8GQ,UA9GE,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAIN,EAAE,AAAC,CACD,WAAW,CAAE,IAAI,CAClB,AAhHT,AAkHQ,UAlHE,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,AAAC,CACH,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CASf,AA7HT,AAsHU,UAtHA,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,CAIF,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,eAAe,CAAE,SAAS,CAC3B,AAxHX,AA0HU,UA1HA,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,CAQF,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CAChB,AA5HX,AAgIM,UAhII,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CAKZ,AAvIP,AAmIQ,UAnIE,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,CAGlB,aAAa,AAAC,CACZ,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,IAAI,CACZ,AAtIT,AA2IM,UA3II,CACR,MAAM,CAyIJ,SAAS,CACP,EAAE,AAAC,CACD,eAAe,CAAE,IAAI,CACtB,AA7IP,AA+IM,UA/II,CACR,MAAM,CAyIJ,SAAS,CAKP,IAAI,AAAC,CACH,aAAa,CAAE,IAAI,CACnB,WAAW,C1GrLE,GAAG,C0GsLjB,AAlJP,AAsJM,UAtJI,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,AAAC,CACP,UAAU,CAAE,CAAC,CACb,UAAU,CzG3PN,kBAAO,CyGsRZ,AAnLP,AA0JQ,UA1JE,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAIN,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACd,AA5JT,AA8JQ,UA9JE,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CAmBZ,AAlLT,AAiKU,UAjKA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAGN,OAAO,AAAC,CACN,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AArKX,AAuKU,UAvKA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CASN,EAAE,AAAC,CACD,SAAS,C1G7NT,QAAQ,C0G8NT,AAzKX,AA2KU,UA3KA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAaN,EAAE,AAAC,CACD,SAAS,C1G/NT,QAAQ,C0GgOT,AA7KX,AA8KU,UA9KA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAgBN,EAAE,CA9KZ,UAAU,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAiBN,EAAE,AAAA,qBAAqB,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAjLX,AAsLQ,UAtLE,CACR,MAAM,AAoJH,eAAe,CAgCd,oBAAoB,CAClB,aAAa,AAAC,CACZ,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,GAAG,CAIX,AA5LT,AAyLU,UAzLA,CACR,MAAM,AAoJH,eAAe,CAgCd,oBAAoB,CAClB,aAAa,CAGX,OAAO,AAAC,CACN,SAAS,C1G5OZ,GAAG,C0G6OD,AA3LX,AAiME,UAjMQ,CAiMR,eAAe,AAAC,CACd,UAAU,CzGtSJ,IAAO,CyGuSb,KAAK,CzGtSG,IAAO,CyGuSf,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,aAAa,C1F1RJ,IAAmB,C0F6S7B,AAzNH,AAuMI,UAvMM,CAiMR,eAAe,CAMX,GAAG,CAvMT,UAAU,CAiMR,eAAe,CAOX,GAAG,CAAC,CAAC,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,UAAU,CAClB,KAAK,CzGhTC,IAAO,CyGuTd,AApNL,AA+MM,UA/MI,CAiMR,eAAe,CAMX,GAAG,CAQH,IAAI,CA/MV,UAAU,CAiMR,eAAe,CAOX,GAAG,CAAC,CAAC,CAOL,IAAI,AAAC,CACH,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,GAAG,CAClB,AAnNP,AAsNI,UAtNM,CAiMR,eAAe,CAqBb,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CAClB,AAxNL,AA2NE,UA3NQ,CA2NR,cAAc,AAAC,CACb,gBAAgB,CzGxTV,OAAO,CyGyTd,AA7NH,AA+NE,UA/NQ,CA+NR,cAAc,AAAC,CACb,gBAAgB,CAAE,OAAO,CAC1B,AAjOH,AAmOE,UAnOQ,CAmOR,kBAAkB,AAAC,CACjB,gBAAgB,C1GpIR,OAAmD,C0GqI5D,AArOH,AAuOE,UAvOQ,CAuOR,cAAc,AAAC,CACb,gBAAgB,C1GxIR,OAAmD,C0GyI5D,AAzOH,AA2OE,UA3OQ,CA2OR,YAAY,AAAC,CACX,gBAAgB,CzGzUX,OAAO,CyG0Ub,AA7OH,AA+OE,UA/OQ,CA+OR,WAAW,AAAC,CACV,aAAa,CAAE,IAAI,CAgBpB,AAhQH,AAmPM,UAnPI,CA+OR,WAAW,CAGT,SAAS,CACP,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,MAAM,CACpB,AAvPP,AAyPM,UAzPI,CA+OR,WAAW,CAGT,SAAS,CAOP,aAAa,AAAC,CACZ,KAAK,C1G1JD,OAAmD,C0G2JvD,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,IAAI,CACnB,SAAS,C1G9SH,OAAQ,C0G+Sf,AA9PP,AAkQI,UAlQM,CAiQR,aAAa,CACX,eAAe,CAAC,GAAG,AAAC,CAClB,MAAM,CAAE,CAAC,CAIV,AAvQL,AAoQM,UApQI,CAiQR,aAAa,CACX,eAAe,CAAC,GAAG,CAEjB,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAKP,AACE,WADS,CACT,SAAS,AAAC,CACR,cAAc,CAAE,GAAG,CACnB,KAAK,CzG3WA,OAAO,CyG4WZ,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACpB,AAGH,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CASnB,AAXD,AAIE,mBAJiB,CAIjB,gBAAgB,AAAC,CACf,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,eAAe,CARjB,mBAAmB,AAQC,CAChB,OAAO,CAAE,IAAI,CACd,AAGH,AACE,gBADc,CACd,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,YAAY,CACnC,kBAAkB,CAAE,SAAS,CAC7B,WAAW,CAAE,MAAM,CAapB,AAlBH,AAMI,gBANY,CACd,cAAc,AAKX,IAAK,CxBjEA,aAAa,CwBiEE,CACnB,aAAa,CAAE,MAAM,CACtB,AARL,AASI,gBATY,CACd,cAAc,CAQZ,IAAI,AAAC,CACH,UAAU,CAAE,UAAU,CACvB,AAXL,AAYI,gBAZY,CACd,cAAc,CAWZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,UAAU,CAAE,CAAC,CACd,AAdL,AAeI,gBAfY,CACd,cAAc,CAcZ,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAjBL,AAoBE,gBApBc,CAoBd,KAAK,AAAA,MAAM,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAJO,KAAK,CAKrB,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,CAAC,CAKX,AA9BH,AA0BI,gBA1BY,CAoBd,KAAK,AAAA,MAAM,CAMT,OAAO,AAAC,CACN,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,YAAY,CACrB,AA7BL,AA+BE,gBA/Bc,CA+Bd,MAAM,AAAC,CACL,KAAK,CzG9ZA,OAAO,CyG+ZZ,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,kBAAgC,CAC3C,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AArCH,AACE,gBADc,CACd,cAAc,AAuCC,CACb,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,YAAY,CAC9B,aAAa,CAAE,SAAS,CAiBzB,AA5DH,AAYI,gBAZY,CACd,cAAc,CAWZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAgCc,CAClB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA/CL,AAgDI,gBAhDY,CAwCd,cAAc,CAQZ,KAAK,AAAA,MAAM,AAAC,CACV,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAnDL,AAoDI,gBApDY,CAwCd,cAAc,CAYZ,IAAI,AAAA,gBAAgB,AAAC,CACnB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvDL,AAwDI,gBAxDY,CAwCd,cAAc,CAgBZ,MAAM,AAAC,CACL,YAAY,CAAE,CAAC,CACf,oBAAoB,CAAE,CAAC,CACxB,AAIL,AhGtaE,YgGsaU,AhGtaT,OAAO,CgGsaV,YAAY,AhGraT,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgGkaH,AhGjaE,YgGiaU,AhGjaT,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgG+ZH,AAEE,YAFU,CAEV,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,YAAY,CACZ,gBAAgB,AAAC,CACf,aAAa,CAAE,IAAI,CAKpB,AAPD,AAGE,YAHU,AAGT,eAAe,CAFlB,gBAAgB,AAEb,eAAe,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAChB,AAGH,AAAA,YAAY,AAAC,CACX,cAAc,CAAE,SAAS,CACzB,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACZ,AAED,AACE,cADY,CACZ,EAAE,AAAC,CACD,MAAM,CAAE,MAAM,CACf,AAHH,AAKE,cALY,CAKZ,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,gBAAgB,CACzB,MAAM,CAAE,aAAa,CAatB,AArBH,AAUI,cAVU,CAKZ,EAAE,AAKC,YAAY,AAAC,CAEZ,OAAO,CAAE,CAAC,CAQX,AApBL,AAaM,cAbQ,CAKZ,EAAE,AAKC,YAAY,CAGX,CAAC,AAAC,CACA,OAAO,CAAE,gBAAgB,CACzB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CACd,KAAK,CzG7eH,IAAO,CyG8eV,AAnBP,AAuBE,cAvBY,CAuBZ,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,SAAS,C1GpcD,QAAQ,C0GqcjB,AA1BH,AA4BE,cA5BY,CA4BZ,MAAM,AAAC,CACL,KAAK,C1GpTG,OAAmD,C0GqT5D,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,GAAG,CAoBX,AArBD,AAGE,gBAHc,CAGd,EAAE,AAAC,CACD,SAAS,CAAE,GAAG,CACf,AALH,AAOE,gBAPc,CAOd,EAAE,AAAC,CACD,WAAW,C1GhUH,OAAmD,C0GgUjC,KAAK,CAAC,GAAG,CACnC,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,MAAM,CACf,AAXH,AAaE,gBAbc,CAad,WAAW,AAAC,CACV,KAAK,C1GtUG,OAAmD,C0GuU5D,AAED,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAjBlC,AAAA,gBAAgB,AAAC,CAkBb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CAEd,CAED,AAGE,gBAHc,CAGd,EAAE,CAFJ,eAAe,CAEb,EAAE,CADJ,cAAc,CACZ,EAAE,AAAC,CACD,SAAS,CAAE,UAAU,CACtB,AAGH,AACE,cADY,CACZ,OAAO,AAAC,CACN,SAAS,C1G1eC,OAAQ,C0G2elB,KAAK,C1G1VG,OAAmD,C0G2V5D,AAGH,AACE,uBADqB,CACrB,KAAK,AAAC,CACJ,SAAS,CAAE,GAAG,CAYf,AAdH,AAGI,uBAHmB,CACrB,KAAK,CAEH,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AALL,AAMI,uBANmB,CACrB,KAAK,CAKH,EAAE,CANN,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CAKf,AAbL,AASM,uBATiB,CACrB,KAAK,CAKH,EAAE,AAGC,YAAY,CATnB,uBAAuB,CACrB,KAAK,CAKH,EAAE,AAIC,YAAY,CAVnB,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAEC,YAAY,CATnB,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAGC,YAAY,AAAC,CACZ,UAAU,CAAE,MAAM,CACnB,AAKP,AACE,kBADgB,CAChB,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAGH,AACE,OADK,CACL,WAAW,AAAC,CACV,KAAK,CzGzjBE,OAAO,CyG0jBf,AAGH,AACE,iBADe,CACf,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACd,AAHH,AAMI,iBANa,CAKf,kBAAkB,CAChB,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,YAAY,CAItB,AAZL,AASM,iBATW,CAKf,kBAAkB,CAChB,KAAK,CAGH,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AhGvjBL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EgG4iBrC,AAaI,iBAba,CAKf,kBAAkB,CAQhB,WAAW,AAAA,aAAa,AAAC,CAErB,KAAK,CAAE,IAAI,CAEd,CAjBL,AAkBI,iBAlBa,CAKf,kBAAkB,CAahB,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACb,AApBL,AAuBE,iBAvBe,CAuBf,OAAO,AAAC,CACN,KAAK,CzGvlBC,IAAO,CyGwlBb,OAAO,CAAE,YAAY,CACtB,AA1BH,AA4BE,iBA5Be,CA4Bf,aAAa,AAAC,CACZ,KAAK,C1GxZG,OAAmD,C0GyZ3D,aAAa,CAAE,IAAI,CACnB,SAAS,C1G3iBC,OAAQ,C0G4iBlB,WAAW,C1G9hBK,GAAG,C0GmiBpB,AArCH,AAkCI,iBAlCa,CA4Bf,aAAa,CAMX,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzGhmBA,OAAO,CyGimBb,AApCL,AAuCE,iBAvCe,CAuCf,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AAzCH,AA2CE,iBA3Ce,CA2Cf,QAAQ,AAAC,CACP,gBAAgB,C1GvaR,OAAmD,C0Gwa3D,OAAO,CAAE,OAAO,CAChB,KAAK,CzG5mBG,IAAO,CyG6mBf,KAAK,CAAE,KAAK,CACb,AAhDH,AAkDE,iBAlDe,CAkDf,aAAa,AAAC,CACZ,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,IAAI,CACpB,AArDH,AAuDE,iBAvDe,CAuDf,kBAAkB,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,AAzDH,AA2DE,iBA3De,AA2Dd,iCAAiC,AAAC,CACjC,YAAY,CAAE,CAAC,CAsDhB,AAlHH,AA8DI,iBA9Da,AA2Dd,iCAAiC,CAGhC,0BAA0B,AAAC,CACzB,YAAY,CAAE,IAAI,CACnB,AAhEL,AAkEI,iBAlEa,AA2Dd,iCAAiC,CAOhC,gBAAgB,CAAC,aAAa,AAAC,CAC7B,WAAW,CAAE,CAAC,CACf,AApEL,AAsEI,iBAtEa,AA2Dd,iCAAiC,CAWhC,aAAa,AAAC,CACZ,MAAM,CAAE,KAAK,CA0Cd,AAjHL,AAyEM,iBAzEW,AA2Dd,iCAAiC,CAWhC,aAAa,CAGX,QAAQ,AAAC,CACP,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,C1Gzcb,OAAmD,C0G0cxD,AA/EP,AAiFM,iBAjFW,AA2Dd,iCAAiC,CAWhC,aAAa,CAWX,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,SAAS,CAMvB,AAlGP,AA8FQ,iBA9FS,AA2Dd,iCAAiC,CAWhC,aAAa,CAWX,kBAAkB,AAaf,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,YAAY,C1G3dV,OAAmD,C0G4dtD,AAjGT,AAoGM,iBApGW,AA2Dd,iCAAiC,CAWhC,aAAa,CA8BX,sBAAsB,CApG5B,iBAAiB,AA2Dd,iCAAiC,CAWhC,aAAa,CA+BX,0BAA0B,AAAC,CACzB,KAAK,CAAE,GAAG,CACV,QAAQ,CAAE,QAAQ,CACnB,AAxGP,AA0GM,iBA1GW,AA2Dd,iCAAiC,CAWhC,aAAa,CAoCX,sBAAsB,AAAC,CACrB,GAAG,CAAE,GAAG,CACT,AA5GP,AA8GM,iBA9GW,AA2Dd,iCAAiC,CAWhC,aAAa,CAwCX,0BAA0B,AAAC,CACzB,GAAG,CAAE,IAAI,CACV,AAhHP,AAqHI,iBArHa,CAoHf,yBAAyB,CAAC,KAAK,CAC7B,EAAE,AAAC,CACD,OAAO,CAAE,GAAG,CACb,AAIL,AACE,sBADoB,CACpB,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,CAAC,CACd,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAwBpB,AA1BD,AAIE,mBAJiB,CAIjB,CAAC,AAAC,CACA,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAmBpB,AAzBH,AAQI,mBARe,CAIjB,CAAC,CAIC,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACpB,AAVL,AAYI,mBAZe,CAIjB,CAAC,CAQC,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CzG9sBD,IAAO,CyG+sBZ,AAdL,AAkBM,mBAlBa,CAIjB,CAAC,CAaC,GAAG,CACD,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACd,AApBP,AAqBM,mBArBa,CAIjB,CAAC,CAaC,GAAG,CAID,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAKP,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CAKd,AAND,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CACP,OAAO,CAAE,aAAa,CACtB,gBAAgB,CAAE,KAAK,CACxB,AAGH,AACE,cADY,AACX,aAAa,AAAC,CACb,KAAK,C1GniBG,OAAmD,C0GoiB3D,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,IAAI,CACnB,SAAS,C1GvrBC,OAAQ,C0GwrBnB,AANH,AAOE,cAPY,CAOZ,mBAAmB,AAAC,CAClB,UAAU,CAAE,MAAM,CACnB,AATH,AAUE,cAVY,CAUZ,IAAI,AAAA,KAAK,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,gBAAgB,CAAC,OAAO,CACxB,UAAU,CAAC,OAAO,AAAC,CACjB,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,OAAO,CAapB,AAhBD,AAIE,mBAJiB,CAIjB,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CAStB,AAfH,AAOI,mBAPe,CAIjB,kBAAkB,CAGhB,OAAO,AAAC,CACN,MAAM,CAAE,OAAO,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CAIb,AAdL,AAWM,mBAXa,CAIjB,kBAAkB,CAGhB,OAAO,AAIJ,MAAM,AAAC,CACN,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,IAAI,CzGrwBlB,IAAO,CyGswBV,ACtwBP,AAAA,mBAAmB,AAAA,YAAY,AAAC,CAC9B,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,C3G4Ld,OAAmD,C2G3L9D,AAED,AAAA,UAAU,CAAC,SAAS,CAAC,EAAE,AAAC,CACtB,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,SAAS,CAAC,QAAQ,AAAC,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACZ,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,MAAM,CAWvB,AAhBD,AAOE,SAPO,CAAC,QAAQ,CAOhB,cAAc,AAAC,CACb,SAAS,C3G2BJ,GAAG,C2G1BT,AATH,AAWE,SAXO,CAAC,QAAQ,CAWhB,UAAU,AAAC,CACT,SAAS,C3GwBC,OAAQ,C2GvBlB,cAAc,CAAE,MAAM,CACtB,WAAW,C3GkCK,CAAC,C2GjClB,AAGH,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,MAAM,CAOtB,AjG3BC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EiGcrC,AAAA,iBAAiB,AAAC,CAQd,KAAK,CAAE,IAAI,CAKd,CAbD,AAUE,iBAVe,CAUf,OAAO,AAAC,CACN,MAAM,CAAE,QAAQ,CACjB,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAUpB,AAbD,AAKE,eALa,CAKb,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACpB,AARH,AAUE,eAVa,CAUb,cAAc,AAAC,CACb,UAAU,CAAE,CAAC,CACd,AAKH,AAAA,oBAAoB,AAAC,CACnB,SAAS,C3GfG,OAAQ,C2GgBpB,KAAK,C3GiIK,OAAmD,C2GhI7D,WAAW,C3GLO,CAAC,C2GMnB,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,YAAY,CjGdrB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiGcvB,cAAc,CAAE,MAAM,CACvB,AALD,AAAA,cAAc,AAOC,CACb,MAAM,CAAE,CAAC,CACT,KAAK,C3GmHK,OAAmD,C2GjE9D,AApDD,AAIE,cAJY,AAIX,QAAQ,CAJX,cAAc,AAKX,MAAM,AAAC,CACN,KAAK,C3G+GG,OAAmD,C2G9G5D,AAED,AAAA,mBAAmB,CATrB,cAAc,AASU,CACpB,KAAK,C3G2GG,OAAmD,C2G3G/B,UAAU,CACvC,AAXH,AAaE,cAbY,AAaX,MAAM,AAAC,CACN,SAAS,C3G7CD,QAAQ,C2G8CjB,AAfH,AAiBE,cAjBY,AAiBX,IAAI,AAAC,CACJ,gBAAgB,C3GmGR,OAAmD,C2GlG3D,KAAK,C3GkGG,OAAmD,C2GjG3D,OAAO,CAAE,OAAO,CAKjB,AAJC,AAAA,mBAAmB,CArBvB,cAAc,AAiBX,IAAI,AAImB,CACpB,gBAAgB,C3G+FV,OAAmD,C2G9FzD,KAAK,C3G8FC,OAAmD,C2G7F1D,AAxBL,AA2BE,cA3BY,AA2BX,OAAO,CA3BV,cAAc,AA4BX,OAAO,AAAA,QAAQ,CA5BlB,cAAc,AA6BX,OAAO,AAAA,MAAM,AAAC,CACb,YAAY,CAAE,CAAC,CACf,KAAK,C3GsFG,OAAmD,C2GrF5D,AAhCH,AAkCE,cAlCY,AAkCX,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACnB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CAcpB,AAnDH,AAsCI,cAtCU,AAkCX,OAAO,AAIL,OAAO,AAAC,CACP,UAAU,C3G8EJ,OAAmD,C2G7EzD,YAAY,CAAE,GAAG,CACjB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,EAAE,CACZ,AA9CL,AA+CI,cA/CU,AAkCX,OAAO,AAaL,MAAM,AAAA,OAAO,AAAC,CACb,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAIL,AAEE,eAFa,CAEb,cAAc,AAAA,OAAO,AAAA,IAAK,CjC0lBlB,WAAW,CiC1lBmB,MAAM,CAD9C,UAAU,CACR,cAAc,AAAA,OAAO,AAAA,IAAK,CjC0lBlB,WAAW,CiC1lBmB,MAAM,AAAC,CAC3C,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,GAAG,CACjB,AAGH,AACE,SADO,CAAC,mBAAmB,CAC3B,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,C3G7FC,OAAQ,C2G8FnB,AAJH,AAKE,SALO,CAAC,mBAAmB,CAK3B,eAAe,CAAG,oBAAoB,AAAC,CACrC,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,WAAW,CAAC,mBAAmB,AAAC,CAC9B,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,gBAAgB,CAAC,eAAe,AAAC,CAC/B,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,C3G3GG,OAAQ,C2G4GrB,AAED,AAAA,gBAAgB,CAAC,kBAAkB,CAAC,eAAe,AAAC,CAClD,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,YAAY,CAAC,gBAAgB,CAAC,eAAe,AAAC,CAC5C,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,SAAS,C3GrHG,OAAQ,C2GsHpB,UAAU,CAAE,CAAC,CAQd,AAZD,AAKE,YALU,CAAC,gBAAgB,CAAC,eAAe,CAK3C,cAAc,AAAC,CACb,YAAY,CAAE,KAAK,CACpB,AAPH,AAQE,YARU,CAAC,gBAAgB,CAAC,eAAe,CAQ3C,cAAc,AAAA,IAAI,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACP,AAGH,AAAA,MAAM,CAAC,cAAc,AAAC,CACpB,KAAK,C3GgBK,OAAmD,C2Gf9D,AAED,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,GAAG,CACjB,SAAS,C3GvIG,OAAQ,C2GwIrB,AAED,AAAA,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,cAAc,CAAC,YAAY,AAAC,CAC1B,KAAK,CAAE,KAAK,CACb,AAED,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CAOpB,AARD,AAEE,iBAFe,CAEf,CAAC,AAAC,CACA,eAAe,CAAE,SAAS,CAC3B,AAJH,AAKE,iBALe,CAKf,IAAI,AAAA,OAAO,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,IAAI,CAClB,AAGH,AACE,aADW,CACX,WAAW,AAAC,CACV,KAAK,C3GdG,OAAmD,C2Ge3D,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,aANW,CAMX,CAAC,AAAC,CACA,KAAK,C3GnBG,OAAmD,C2GoB5D,AAGH,AAAA,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAIjB,AALD,AAEE,gBAFc,CAEd,EAAE,AAAC,CACD,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,qBAAqB,AAAC,CACpB,UAAU,CAAE,IAAI,CA0CjB,AA3CD,AAEE,qBAFmB,CAEnB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,MAAM,CAOf,AAZH,AAMI,qBANiB,CAEnB,aAAa,CAIX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AARL,AASI,qBATiB,CAEnB,aAAa,CAOX,IAAI,AAAC,CACH,WAAW,CAAE,IAAI,CAClB,AAXL,AAaE,qBAbmB,CAanB,kBAAkB,AAAC,CACjB,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,KAAK,CAeb,AA9BH,AAgBI,qBAhBiB,CAanB,kBAAkB,CAGhB,OAAO,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AAlBL,AAmBI,qBAnBiB,CAanB,kBAAkB,CAMhB,KAAK,AAAC,CACJ,SAAS,C3GpMN,GAAG,C2GqMN,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAvBL,AAwBI,qBAxBiB,CAanB,kBAAkB,CAWhB,IAAI,AAAC,CACH,YAAY,CAAE,IAAI,CACnB,AA1BL,AA2BI,qBA3BiB,CAanB,kBAAkB,CAchB,EAAE,CAAC,KAAK,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AA7BL,AA+BE,qBA/BmB,CA+BnB,gBAAgB,CAAC,YAAY,AAAC,CAC5B,KAAK,CAAE,IAAI,CACZ,AAjCH,AAkCE,qBAlCmB,CAkCnB,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CAClB,AApCH,AAsCI,qBAtCiB,CAqCnB,mBAAmB,CACjB,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CACnB,AAIL,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAmBnB,AArBD,AAIE,SAJO,CAIP,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AANH,AAOE,SAPO,CAOP,cAAc,CAPhB,SAAS,CAQP,aAAa,CARf,SAAS,CASP,iBAAiB,AAAC,CAChB,UAAU,CAAE,GAAG,CAChB,AAXH,AAYE,SAZO,CAYP,SAAS,AAAC,CACR,MAAM,CAAE,IAAI,CAIb,AAjBH,AAcI,SAdK,CAYP,SAAS,CAEP,OAAO,AAAC,CACN,KAAK,C3G1FC,OAAmD,C2G2F1D,AAhBL,AAkBE,SAlBO,CAkBP,MAAM,AAAC,CACL,aAAa,CAAE,GAAG,CACnB,ACnSH,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,CAAC,CACP,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,SAAS,CAAE,MAAM,CACjB,KAAK,CAAE,IAAI,CAOX,OAAO,C5G8EM,GAAG,C4G7EhB,UAAU,CAAE,oFACU,CACtB,gBAAgB,C3GpBN,IAAO,C2GqBjB,UAAU,C5G+GE,CAAC,CAAE,IAAG,CAAC,IAAI,CAAC,gBAAmB,C4GmM5C,AAxUD,AAYE,cAZY,AAYX,aAAa,AAAC,CACb,SAAS,CAAE,KAAK,CACjB,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EAftC,AAAA,cAAc,AAAC,CAgBX,SAAS,CAAE,CAAC,CAwTf,CAxUD,AAwBE,cAxBY,CAwBZ,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AA3BH,AA6BE,cA7BY,CA6BZ,YAAY,CA7Bd,cAAc,CA8BZ,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,YAAY,CAAE,IAAI,CASnB,AAzCH,AAiCI,cAjCU,CA6BZ,YAAY,CAIV,QAAQ,CAjCZ,cAAc,CA8BZ,WAAW,CAGT,QAAQ,AAAC,CACP,WAAW,CAAE,GAAG,CAChB,YAAY,C3GlCN,IAAO,C2GmCb,kBAAkB,CAAE,WAAW,CAChC,AArCL,AAsCI,cAtCU,CA6BZ,YAAY,CASV,OAAO,CAtCX,cAAc,CA8BZ,WAAW,CAQT,OAAO,AAAC,CACN,KAAK,C3GtCC,IAAO,C2GuCd,AAxCL,AA2CE,cA3CY,AA2CX,KAAK,AAAC,CACL,MAAM,CAAE,KAAK,CAId,AAhDH,AA6CI,cA7CU,AA2CX,KAAK,AAEH,WAAW,AAAC,CACX,MAAM,CAAE,KAAK,CACd,AA/CL,AAkDE,cAlDY,AAkDX,OAAO,AAAC,CACP,MAAM,CAAE,YAAY,CACrB,AApDH,AAsDE,cAtDY,AAsDX,MAAM,CAtDT,cAAc,AAuDX,OAAO,AAAC,CACP,MAAM,CAAE,eAAe,CACvB,WAAW,CAAE,MAAM,CACnB,UAAU,C3GxDH,OAAO,C2GyDd,KAAK,C3G1DG,IAAO,C2G2Df,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CAYZ,AAzEH,AA8DI,cA9DU,AAsDX,MAAM,CAQL,kBAAkB,CA9DtB,cAAc,AAuDX,OAAO,CAON,kBAAkB,AAAC,CACjB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAOnB,AAxEL,AAkEM,cAlEQ,AAsDX,MAAM,CAQL,kBAAkB,CAIhB,eAAe,CAlErB,cAAc,AAuDX,OAAO,CAON,kBAAkB,CAIhB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AApEP,AAqEM,cArEQ,AAsDX,MAAM,CAQL,kBAAkB,CAOhB,OAAO,CArEb,cAAc,AAuDX,OAAO,CAON,kBAAkB,CAOhB,OAAO,AAAC,CACN,KAAK,C3GrED,IAAO,C2GsEZ,AAvEP,AA2EE,cA3EY,AA2EX,MAAM,AAAC,CACN,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,IAAI,CAWd,AAxFH,AA8EI,cA9EU,AA2EX,MAAM,CAGL,WAAW,AAAC,CACV,OAAO,CAAE,KAAK,CACf,AAhFL,AAiFI,cAjFU,AA2EX,MAAM,CAML,QAAQ,CAjFZ,cAAc,AA2EX,MAAM,CAOL,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AApFL,AAqFI,cArFU,AA2EX,MAAM,CAUL,QAAQ,AAAC,CACP,KAAK,CAAE,CAAC,CACT,AAvFL,AA0FE,cA1FY,AA0FX,OAAO,CAAC,YAAY,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AA5FH,AA8FE,cA9FY,CA8FZ,SAAS,AAAC,CACR,KAAK,C5GqGG,OAAmD,C4GpG3D,MAAM,CAAE,YAAY,CACpB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CA8DpB,AAhKH,AAmGI,cAnGU,CA8FZ,SAAS,CAKP,OAAO,AAAC,CACN,KAAK,C5GgGC,OAAmD,C4G/F1D,AArGL,AAsGI,cAtGU,CA8FZ,SAAS,CAQP,cAAc,AAAC,CACb,SAAS,CAAE,kBAAkB,CAC7B,IAAI,CAAE,QAAQ,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CAKpB,AAhHL,AA6GM,cA7GQ,CA8FZ,SAAS,CAQP,cAAc,CAOZ,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AA/GP,AAiHI,cAjHU,CA8FZ,SAAS,CAmBP,sBAAsB,AAAC,CACrB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAgChB,AArJL,AAuHM,cAvHQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAMpB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAzHP,AA2HM,cA3HQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAUpB,aAAa,AAAC,ClG/DlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkG+DlB,AA7HP,AA+HM,cA/HQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAcpB,WAAW,CA/HjB,cAAc,CA8FZ,SAAS,CAmBP,sBAAsB,CAepB,UAAU,CAhIhB,cAAc,CA8FZ,SAAS,CAmBP,sBAAsB,CAgBpB,UAAU,AAAC,CACT,YAAY,CAAE,GAAG,CAClB,AAnIP,AAqIM,cArIQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAoBpB,SAAS,AAAC,CACR,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,KAAK,ClG3EtB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkG8ElB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAzI3C,AAqIM,cArIQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAoBpB,SAAS,AAAC,CAKN,OAAO,CAAE,IAAI,CAEhB,CA5IP,AA8IM,cA9IQ,CA8FZ,SAAS,CAmBP,sBAAsB,CA6BpB,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAhJP,AAkJM,cAlJQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAiCpB,GAAG,AAAA,OAAO,AAAC,CACT,YAAY,CAAE,GAAG,CAClB,AApJP,AAsJI,cAtJU,CA8FZ,SAAS,CAwDP,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,IAAI,CAOlB,AA/JL,AAyJM,cAzJQ,CA8FZ,SAAS,CAwDP,kBAAkB,CAGhB,MAAM,AAAC,CACL,OAAO,CAAE,OAAO,CAIjB,AA9JP,AA2JQ,cA3JM,CA8FZ,SAAS,CAwDP,kBAAkB,CAGhB,MAAM,AAEH,QAAQ,AAAC,CACR,KAAK,CAAE,CAAC,CACT,AA7JT,AAkKE,cAlKY,CAkKZ,QAAQ,CAlKV,cAAc,CAmKZ,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CACnB,AArKH,AAuKE,cAvKY,CAuKZ,QAAQ,AAAC,CACP,YAAY,CAAE,MAAM,CACrB,AAzKH,AA2KE,cA3KY,CA2KZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,WAAW,CAQrB,AApLH,AA6KI,cA7KU,CA2KZ,oBAAoB,CAElB,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CACrB,AA/KL,AAgLI,cAhLU,CA2KZ,oBAAoB,CAKlB,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,KAAK,C3GhLA,OAAO,C2GiLb,AAnLL,AAsLE,cAtLY,CAsLZ,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CACd,AAxLH,AA0LE,cA1LY,CA0LZ,cAAc,CA1LhB,cAAc,CA2LZ,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAInB,AArMH,AAkMI,cAlMU,CA0LZ,cAAc,AAQX,aAAa,CAlMlB,cAAc,CA2LZ,mBAAmB,AAOhB,aAAa,AAAC,CACb,KAAK,CAAE,GAAG,CACX,AApML,AAuME,cAvMY,CAuMZ,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CAKd,AA/MH,AA4MI,cA5MU,CAuMZ,YAAY,CAKV,KAAK,AAAC,CACJ,SAAS,CAAE,CAAC,CACb,AA9ML,AAkNI,cAlNU,CAiNZ,UAAU,CACR,YAAY,AAAC,CACX,IAAI,CAAE,QAAQ,CACf,AApNL,AAuNE,cAvNY,CAuNZ,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,YAAY,CAUrB,AATC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA3NvC,AAuNE,cAvNY,CAuNZ,eAAe,AAAC,CAKZ,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,CAAC,CAOjB,CApOH,AA+NI,cA/NU,CAuNZ,eAAe,CAQb,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACZ,AAnOL,AAuOI,cAvOU,CAsOZ,UAAU,CACR,eAAe,AAAC,CACd,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,GAAG,CAKlB,AAJC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA3OzC,AAuOI,cAvOU,CAsOZ,UAAU,CACR,eAAe,AAAC,CAKZ,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,CAAC,CAElB,CA/OL,AAkPE,cAlPY,CAkPZ,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,CAAC,CAChB,OAAO,CAAE,IAAI,CAId,AAzPH,AAsPI,cAtPU,CAkPZ,YAAY,CAIV,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAxPL,AA2PE,cA3PY,CA2PZ,YAAY,AAAC,CACX,MAAM,CAAE,SAAS,CACjB,UAAU,CAAE,GAAG,CAChB,AA9PH,AAgQE,cAhQY,CAgQZ,iBAAiB,AAAC,CAChB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,SAAS,CACjB,UAAU,C3GlQF,IAAO,C2GmQf,OAAO,C5GvKK,GAAG,C4G4KhB,AAJC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EArQpC,AAgQE,cAhQY,CAgQZ,iBAAiB,AAAC,CAMd,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,QAAQ,CAEjB,CAzQH,AA2QE,cA3QY,CA2QZ,UAAU,AAAC,CACT,OAAO,C5G/KK,GAAG,C4GgLhB,AA7QH,AA+QE,cA/QY,CA+QZ,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,CAAC,CACd,AArRH,AAuRE,cAvRY,CAuRZ,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,CAAC,CACd,MAAM,CAAE,WAAW,CACpB,AA3RH,AA6RE,cA7RY,CA6RZ,eAAe,AAAC,CACd,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,IAAI,CAiCnB,AAlUH,AAkSI,cAlSU,CA6RZ,eAAe,CAKb,MAAM,AAAC,CACL,IAAI,CAAE,QAAQ,CACf,AApSL,AAqSI,cArSU,CA6RZ,eAAe,CAQb,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,KAAK,C5GpGC,OAAmD,C4GqGzD,UAAU,CAAE,WAAW,CAIxB,AA7SL,AA0SM,cA1SQ,CA6RZ,eAAe,CAQb,OAAO,AAKJ,MAAM,AAAC,CACN,KAAK,C3GpSJ,OAAO,C2GqST,AA5SP,AA8SI,cA9SU,CA6RZ,eAAe,CAiBb,aAAa,CA9SjB,cAAc,CA6RZ,eAAe,CAkBb,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAjTL,AAkTI,cAlTU,CA6RZ,eAAe,CAqBb,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAQpB,AA5TL,AAqTM,cArTQ,CA6RZ,eAAe,CAqBb,eAAe,CAGb,CAAC,AAAC,CACA,WAAW,CAAE,GAAG,CAChB,KAAK,C5GnHD,OAAmD,C4GoHxD,AAxTP,AAyTM,cAzTQ,CA6RZ,eAAe,CAqBb,eAAe,CAOb,QAAQ,AAAC,CACP,YAAY,CAAE,GAAG,CAClB,AA3TP,AA6TI,cA7TU,CA6RZ,eAAe,CAgCb,aAAa,CAAC,iBAAiB,AAAC,CAC9B,KAAK,C3GvTF,OAAO,C2GwTV,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,MAAM,CACvB,AAjUL,AAoUE,cApUY,CAoUZ,aAAa,CApUf,cAAc,CAqUZ,eAAe,AAAC,CACd,KAAK,C5GlIG,OAAmD,C4GmI5D,AAGH,AAAA,OAAO,CAAG,CAAC,AAAA,YAAY,AAAC,CACtB,UAAU,CAAE,CAAC,CACd,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,C5GlPO,GAAG,C4GmPjB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,KAAK,CACZ,gBAAgB,C3GjVN,IAAO,C2GkVjB,MAAM,CAAE,GAAG,CAAC,KAAK,C5G/IP,OAAmD,C4GmL9D,AAzCD,AAME,aANW,CAMX,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CA+BV,AAxCH,AAWI,aAXS,CAMX,EAAE,CAKA,EAAE,AAAC,CAMD,aAAa,CAAE,GAAG,CAAC,KAAK,C5G3JlB,OAAmD,C4GiL1D,AAvCL,AAYM,aAZO,CAMX,EAAE,CAKA,EAAE,CACA,aAAa,AAAC,CACZ,KAAK,CAAE,IAAsB,CAC7B,OAAO,CAAE,KAAK,CACf,AAfP,AAmBM,aAnBO,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AAAC,CACA,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,KAAK,ClGvSpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkGsTlB,AAtCP,AAwBQ,aAxBK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,CAKC,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C3GvWL,IAAO,C2GwWR,AA1BT,AA2BQ,aA3BK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,CAQC,IAAI,AAAA,KAAK,AAAC,CACR,SAAS,C5GvTL,OAAQ,C4GwTZ,cAAc,CAAE,MAAM,CACvB,AA9BT,AA+BQ,aA/BK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AAYE,SAAS,AAAC,CACT,gBAAgB,C5G1Kd,OAAmD,C4G2KtD,AlG5TP,AACE,mBADiB,CkG2RrB,aAAa,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AlG7SF,MAAM,CADT,mBAAmB,CkG2RrB,aAAa,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AlG5SF,UAAU,AAAC,CkG4TN,gBAAgB,C5G7Kd,OAAmD,C4G8KrD,eAAe,CAAE,IAAI,ClG3T1B,AkGkUL,AACE,GADC,AAAA,QAAQ,AAAA,SAAS,CAClB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAHH,AAIE,GAJC,AAAA,QAAQ,AAAA,SAAS,CAIlB,KAAK,CAAC,CAAC,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,GAAG,AAAA,QAAQ,CAAC,GAAG,AAAA,KAAK,CAAC,CAAC,AAAA,OAAO,CAC7B,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CAChB,SAAS,C5GlVG,OAAQ,C4GmVpB,WAAW,C5GvUO,CAAC,C4GwUnB,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,C5GtMP,OAAmD,C4G6M9D,AAfD,AASE,GATC,AAAA,QAAQ,CAAC,GAAG,AAAA,KAAK,CAAC,CAAC,AAAA,OAAO,AAS1B,MAAM,CART,YAAY,AAQT,MAAM,AAAC,CACN,gBAAgB,C5GxMR,OAAmD,C4GyM3D,MAAM,CAAE,GAAG,CAAC,KAAK,C5GzMT,OAAmD,C4G0M3D,eAAe,CAAE,IAAI,CACrB,KAAK,C3GxYA,OAAO,C2GyYb,AAGH,AAAA,GAAG,AAAA,QAAQ,AAAC,CACV,QAAQ,CAAE,IAAI,CACd,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3GxZN,IAAO,C2GyZjB,MAAM,CAAE,GAAG,CAAC,KAAK,C5GtNP,OAAmD,C4GuN7D,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,UAAU,CA+BvB,AAxCD,AAUE,GAVC,AAAA,QAAQ,CAUT,GAAG,AAAA,KAAK,AAAC,CACP,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,QAAQ,CACjB,WAAW,C5G/VK,GAAG,C4GoWpB,AAlBH,AAcI,GAdD,AAAA,QAAQ,CAUT,GAAG,AAAA,KAAK,CAIN,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,WAAW,C5GnWI,GAAG,C4GoWnB,AAjBL,AAoBE,GApBC,AAAA,QAAQ,CAoBT,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,YAAY,CAAE,IAAI,CACnB,AA1BH,AA4BE,GA5BC,AAAA,QAAQ,CA4BT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,WAAW,CACvB,UAAU,CAAE,KAAK,CAIlB,AAvCH,AAoCI,GApCD,AAAA,QAAQ,CA4BT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAQH,gBAAgB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,kBADgB,CAChB,SAAS,AAAC,CACR,KAAK,C5G3PG,OAAmD,C4G4P5D,AAGH,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,KAAK,CAMd,AALC,AACE,YADU,CAHd,SAAS,CAIL,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAIL,AAAA,eAAe,AAAC,CACd,iBAAiB,CAAE,uBAAuB,CAC1C,SAAS,CAAE,uBAAuB,CACnC,AAED,kBAAkB,CAAlB,WAAkB,CAChB,GAAG,CACD,cAAc,CAAE,UAAU,CAE5B,IAAI,CACF,cAAc,CAAE,UAAU,EAG9B,UAAU,CAAV,WAAU,CACR,GAAG,CACD,OAAO,CAAE,CAAC,CAEZ,IAAI,CACF,OAAO,CAAE,CAAC,EAId,AACE,IADE,AAAA,0BAA0B,CAC5B,YAAY,CADd,IAAI,AAAA,0BAA0B,CAE5B,MAAM,CAFR,IAAI,AAAA,0BAA0B,CAG5B,QAAQ,CACR,IAAI,AAAA,IAAK,CAAA,oBAAoB,EAJ/B,IAAI,AAAA,0BAA0B,CAIK,kBAAkB,AAAC,CAClD,OAAO,CAAE,IAAI,CACd,AANH,AAQE,IARE,AAAA,0BAA0B,CAQ5B,cAAc,AAAC,CACb,GAAG,CAAE,GAAG,CAIT,AAbH,AAUI,IAVA,AAAA,0BAA0B,CAQ5B,cAAc,AAEX,KAAK,AAAC,CACL,MAAM,CAAE,mCAAmC,CAC5C,ACzaL,AAAA,OAAO,AAAC,CACN,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAxCM,IAAI,CAyCjB,QAAQ,CAAE,MAAM,CAChB,QAAQ,CAAE,KAAK,CAEf,UAAU,CAlDI,OAAO,CAmDrB,OAAO,CAlDS,EAAG,CAoDjB,MAAM,CAAE,iBAAiD,CAE5D,AAGD,AAAA,SAAS,AAAC,CACR,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAzDM,IAAI,CA0DjB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,YAAY,CACrB,2BAA2B,CAAE,MAAM,CACpC,AAGD,AAAA,cAAc,AAAC,CACb,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,OAAO,CAAE,CAAC,CA1ES,GAAG,CA2EtB,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACvB,AAGD,AACE,cADY,AACX,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,IAAI,CACZ,cAAc,CAAE,MAAM,CACvB,AAIH,AAEI,cAFU,CACZ,cAAc,AACX,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAKL,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,MAAM,CACd,UAAU,CAAE,IAAI,CAChB,OAAO,CAvGM,IAAI,CAwGlB,AACD,AAEE,kBAFgB,CAEhB,YAAY,CADd,gBAAgB,CACd,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAIH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,QAAQ,CACjB,AACD,AACE,iBADe,CAAjB,iBAAiB,CAEf,iBAAiB,CAAC,UAAU,AAAC,CAC3B,MAAM,CAAE,aAAa,CACrB,MAAM,CAAE,gBAAgB,CACxB,MAAM,CAAE,QAAQ,CACjB,AAEH,AAAA,SAAS,AAAC,CACR,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,eAAe,CACvB,MAAM,CAAE,YAAY,CACpB,MAAM,CAAE,OAAO,CAChB,AACD,AACE,gBADc,CACd,YAAY,AAAC,CACX,MAAM,CAAE,IAAI,CACb,AAGH,AAAA,UAAU,CACV,UAAU,CACV,cAAc,CACd,YAAY,AAAC,CACX,mBAAmB,CAAE,IAAI,CACzB,gBAAgB,CAAE,IAAI,CACtB,WAAW,CAAE,IAAI,CAClB,AAGD,AACE,YADU,AACT,WAAW,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AAiBD,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,eAAe,CACzB,AAQH,AAAA,cAAc,AAAC,CACb,KAAK,CA7Ke,IAAI,CA8KxB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,MAAM,CAClB,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,GAAG,CACV,OAAO,CA1LM,IAAI,CAiMlB,AAhBD,AAUE,cAVY,CAUZ,CAAC,AAAC,CACA,KAAK,CAvLa,IAAI,CA2LvB,AAfH,AAYI,cAZU,CAUZ,CAAC,AAEE,MAAM,AAAC,CACN,KAAK,CAxLiB,IAAI,CAyL3B,AAKL,AACE,YADU,CACV,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACd,AAIH,AACE,YADU,CACV,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AAIH,AACE,MADI,AACH,UAAU,CADb,MAAM,AAEH,UAAU,AAAC,CACV,QAAQ,CAAE,OAAO,CACjB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,kBAAkB,CAAE,IAAI,CACxB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,CAAC,CACV,OAAO,CA5NI,IAAI,CA6Nf,kBAAkB,CAAE,IAAI,CACxB,UAAU,CAAE,IAAI,CACjB,AAbH,AAcE,MAdI,AAcH,kBAAkB,AAAC,CAClB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACV,AAIH,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,C7G5MO,GAAG,C6G6MrB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,MAAM,CAClB,OAAO,CA9OU,GAAI,CAgPnB,MAAM,CAAE,iBAAkD,CAE5D,OAAO,CAAE,aAAa,CACtB,KAAK,CAlPU,IAAI,CAmPnB,UAAU,CAAE,MAAM,CAClB,SAAS,C7G7OC,GAAG,C6G8Ob,WAAW,CAAE,6BAA6B,CAc3C,AA/BD,AAmBE,UAnBQ,AAmBP,MAAM,CAnBT,UAAU,AAoBP,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CAER,MAAM,CAAE,kBAAkC,CAE7C,AA1BH,AA4BE,UA5BQ,AA4BP,OAAO,AAAC,CACP,GAAG,CAAE,GAAG,CACT,AAEH,AACE,iBADe,CACf,UAAU,AAAC,CACT,KAAK,CArQgB,IAAI,CAsQ1B,AAEH,AAEE,iBAFe,CAEf,UAAU,CADZ,kBAAkB,CAChB,UAAU,AAAC,CACT,KAAK,CA5QQ,IAAI,CA6QjB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACZ,AAIH,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,KAAK,CAvRe,IAAI,CAwRxB,SAAS,C7G7QG,OAAQ,C6G8QpB,WAAW,C7GjQQ,GAAG,C6GkQvB,AAIC,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAnSQ,GAAI,CAqSjB,MAAM,CAAE,iBAAkD,CAE5D,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CACb,2BAA2B,CAAE,WAAgB,CAwC9C,AAnDD,AAYE,UAZQ,AAYP,OAAO,AAAC,CACP,UAAU,CAAE,KAAK,CAClB,AAdH,AAeE,UAfQ,AAeP,MAAM,CAfT,UAAU,AAgBP,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CAER,MAAM,CAAE,kBAAkC,CAE7C,AAtBH,AAuBE,UAvBQ,AAuBP,OAAO,CAvBV,UAAU,AAwBP,MAAM,CAxBT,UAAU,CAyBR,MAAM,CAzBR,UAAU,CA0BR,MAAM,AAAC,CACL,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,wBAAwB,CACjC,AArCH,AAuCE,UAvCQ,AAuCP,MAAM,CAvCT,UAAU,CAwCR,MAAM,AAAC,CACL,gBAAgB,CAAE,IAAI,CACtB,mBAAmB,CAAE,IAAI,CACzB,GAAG,CAAE,GAAG,CACT,AA5CH,AA8CE,UA9CQ,AA8CP,OAAO,CA9CV,UAAU,CA+CR,MAAM,AAAC,CACL,gBAAgB,CAAE,IAAI,CACtB,mBAAmB,CAAE,IAAI,CAC1B,AAGH,AAAA,eAAe,AAAC,CACd,IAAI,CAAE,CAAC,CAYR,AAbD,AAGE,eAHa,AAGZ,MAAM,CAHT,eAAe,CAIb,MAAM,AAAC,CACL,YAAY,CAAE,eAAe,CAC7B,WAAW,CAAE,IAAI,CAClB,AAPH,AAQE,eARa,AAQZ,OAAO,CARV,eAAe,CASb,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,kBAAkB,CACjC,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,CAAC,CAUT,AAXD,AAEE,gBAFc,AAEb,MAAM,CAFT,gBAAgB,CAGd,MAAM,AAAC,CACL,WAAW,CAAE,eAAe,CAC5B,WAAW,CAAE,IAAI,CAClB,AANH,AAOE,gBAPc,AAOb,OAAO,CAPV,gBAAgB,CAQd,MAAM,AAAC,CACL,WAAW,CAAE,kBAAkB,CAChC,AAMH,AAAA,kBAAkB,AAAC,CACjB,WAAW,CA7WM,IAAI,CA8WrB,cAAc,CA9WG,IAAI,CAuXtB,AAXD,AAGE,kBAHgB,CAGhB,YAAY,AAAC,CACX,WAAW,CAAE,CAAC,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CAhXI,KAAK,CAiXnB,AAPH,AAQE,kBARgB,CAQhB,UAAU,AAAC,CACT,GAAG,CAAE,KAAK,CACX,AAEH,AAAA,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAoB,CAWlC,AAfD,AAKE,kBALgB,CAKhB,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,KAAK,CACd,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAnZP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,eAAkB,CAoZ7B,UAAU,CApYI,IAAI,CAqYnB,AAOH,AACE,GADC,AACA,QAAQ,AAAC,CACR,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CACd,WAAW,CAAE,CAAC,CACd,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,OAAO,CA/YO,IAAI,CA+YU,CAAC,CA9YZ,IAAI,CA+YrB,MAAM,CAAE,MAAM,CACf,AAIH,AAAA,WAAW,AAAC,CACV,WAAW,CAAE,CAAC,CAwBf,AAzBD,AAEE,WAFS,AAER,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,GAAG,CA3ZW,IAAI,CA4ZlB,MAAM,CA3ZW,IAAI,CA4ZrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,EAAE,CACX,UAAU,CAzbP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,eAAkB,CA0b7B,UAAU,CApaG,0CAA0C,CAqaxD,AAfH,AAgBE,WAhBS,CAgBT,KAAK,AAAC,CACJ,KAAK,CAhac,OAAO,CAia1B,OAAO,CAAE,KAAK,CACd,SAAS,C7G3aD,OAAQ,C6G4ahB,WAAW,C7G/ZI,GAAG,C6GganB,AArBH,AAsBE,WAtBS,CAsBT,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACV,AAEH,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,KAA0B,CACtC,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AACD,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CAChB,WAAW,C7G/aM,GAAG,C6GgbpB,KAAK,CArba,OAAO,CAsbzB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,IAAI,CAMpB,AAXD,AAQE,UARQ,CAQR,CAAC,AAAA,kBAAkB,CAAC,OAAO,AAAC,CAC1B,aAAa,CAAE,GAAG,CACnB,AAGH,AACE,iBADe,CACf,YAAY,AAAC,CACX,SAAS,CAAE,IAAI,CAChB,AAGH,AAEI,YAFQ,CACV,iBAAiB,CACf,WAAW,AAAC,CACV,MAAM,CAAE,OAAO,CAChB,AAKH,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,OAAO,WAAW,EAAE,SAAS,GAAE,MAAM,MAAM,UAAU,EAAE,KAAK,EAK1F,AACE,eADa,CACb,iBAAiB,AAAC,CAChB,YAAY,CAAE,CAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAJH,AAMI,eANW,CAKb,GAAG,AACA,QAAQ,AAAC,CACR,OAAO,CAAE,CAAC,CACX,AARL,AAYI,eAZW,CAUb,WAAW,AAER,MAAM,AAAC,CACN,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AAfL,AAgBI,eAhBW,CAUb,WAAW,CAMT,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,WAAW,CAAE,GAAG,CACjB,AAnBL,AAqBE,eArBa,CAqBb,eAAe,AAAC,CACd,UAAU,CAAE,eAAkB,CAC9B,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACT,OAAO,CAAE,OAAO,CAChB,QAAQ,CAAE,KAAK,CACf,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CAIvB,AAlCH,AA+BI,eA/BW,CAqBb,eAAe,AAUZ,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAjCL,AAmCE,eAnCa,CAmCb,YAAY,AAAC,CACX,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,GAAG,CACT,AAtCH,AAuCE,eAvCa,CAuCb,UAAU,AAAC,CACT,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,C7GzfD,GAAG,C6G0fb,UAAU,CAAE,eAAkB,CAC9B,QAAQ,CAAE,KAAK,CACf,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,CAAC,CACX,CAOT,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAhQ9B,AAAA,UAAU,AAiQC,CnG/eX,iBAAiB,CmGgfI,WAAW,CnG/ehC,SAAS,CmG+eY,WAAW,CAC/B,AA9MD,AAAA,eAAe,AA+MC,CACd,gBAAgB,CAAE,CAAC,CACnB,wBAAwB,CAAE,CAAC,CAC5B,AAnMD,AAAA,gBAAgB,AAoMC,CACf,gBAAgB,CAAE,IAAI,CACtB,wBAAwB,CAAE,IAAI,CAC/B,AA9eH,AAAA,cAAc,AA+eG,CACb,YAAY,CAljBY,GAAG,CAmjB3B,aAAa,CAnjBW,GAAG,CAojB5B,CAMD,AACE,QADM,CACN,QAAQ,AAAC,CACP,OAAO,CAAE,CAAC,CACX,AAHH,AAIE,QAJM,CAIN,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,GAAG,CACf,cAAc,CAAE,GAAG,CACpB,AAVH,AAWE,QAXM,CAWN,cAAc,AAAC,CACb,OAAO,CAAE,CAAC,CACX,AAbH,AAcE,QAdM,CAcN,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAhBH,AAiBE,QAjBM,CAiBN,UAAU,AAAC,CACT,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,CAAC,CACf,AAIL,AAEE,YAFU,CAEV,YAAY,AAAC,CACX,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,QAAQ,CACpB,iBAAiB,CAAE,UAAU,CAC7B,aAAa,CAAE,UAAU,CACzB,SAAS,CAAE,UAAU,CACtB,AARH,AAUE,YAVU,AAUT,OAAO,AAAC,CACP,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,iBAAiB,CAC9B,AAbH,AAiBI,YAjBQ,AAgBT,UAAU,CACT,YAAY,AAAC,CACX,OAAO,CAAE,CAAC,CnG9iBd,iBAAiB,CmG+iBM,QAAQ,CnG9iB/B,SAAS,CmG8iBc,QAAQ,CAC5B,AApBL,AAqBI,YArBQ,AAgBT,UAAU,AAKR,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACb,AAvBL,AA4BI,YA5BQ,AA2BT,aAAa,CACZ,YAAY,AAAC,CnGxjBf,iBAAiB,CmGyjBM,UAAU,CnGxjBjC,SAAS,CmGwjBc,UAAU,CAC7B,OAAO,CAAE,CAAC,CACX,AA/BL,AAgCI,YAhCQ,AA2BT,aAAa,AAKX,OAAO,AAAC,CACP,OAAO,CAAE,CAAC,CACX,AAIL,AACE,qBADmB,AAClB,SAAS,AAAC,CACT,UAAU,CAAE,eAAe,CAC3B,UAAU,CAAE,eAAe,CAC5B,AAJH,AAKE,qBALmB,CAKnB,QAAQ,AAAC,CACP,SAAS,CAAE,IAAI,CAChB,ACjqBH,AACE,aADW,AAAA,YAAY,CACvB,IAAI,AAAC,CACH,gBAAgB,C7GKX,OAAO,C6GJZ,KAAK,C7GFG,IAAO,C6GGf,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CACjB,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,QAAQ,CAAE,MAAM,CAejB,AArBD,AAOE,mBAPiB,AAOhB,OAAO,AAAC,CACP,SAAS,CAAE,8CAA8C,CACzD,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,gEAKX,CACD,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,iBAAiB,CACxB,MAAM,CAAE,KAAK,CACb,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,MAAM,AAAC,CACL,IAAI,CAAE,QAAQ,CACd,QAAQ,CAAE,MAAM,CA8BjB,AAhCD,AAGE,MAHI,CAGJ,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,WAAW,CAAE,IAAI,CAClB,AAPH,AASE,MATI,CASJ,IAAI,AAAC,CACH,SAAS,C9GFJ,GAAG,C8GGR,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CpGMvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CoGNrB,cAAc,CAAE,MAAM,CAIvB,AAlBH,AAeI,MAfE,CASJ,IAAI,CAMF,CAAC,AAAC,CACA,KAAK,C9GwIC,OAAoD,C8GvI3D,AAjBL,AAmBE,MAnBI,CAmBJ,GAAG,AAAC,CACF,SAAS,C9GXC,OAAQ,C8GYlB,KAAK,C9GmIG,OAAoD,C8GlI7D,AAtBH,AAuBE,MAvBI,CAuBJ,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAClB,AA1BH,AA2BE,MA3BI,CA2BJ,SAAS,CAAC,CAAC,CA3Bb,MAAM,CA4BJ,WAAW,CA5Bb,MAAM,CA6BJ,WAAW,CAAC,CAAC,AAAC,CACZ,KAAK,C9G0HG,OAAoD,C8GzH7D,AAIH,AAAA,OAAO,CACP,iBAAiB,AAAC,CAChB,SAAS,CAAE,UAAU,CACrB,WAAW,C9GfO,GAAG,C8GoFtB,AAxED,AAIE,OAJK,CAIL,EAAE,CAJJ,OAAO,CAKL,EAAE,CALJ,OAAO,CAML,EAAE,CANJ,OAAO,CAOL,EAAE,CAPJ,OAAO,CAQL,EAAE,CARJ,OAAO,CASL,EAAE,CARJ,iBAAiB,CAGf,EAAE,CAHJ,iBAAiB,CAIf,EAAE,CAJJ,iBAAiB,CAKf,EAAE,CALJ,iBAAiB,CAMf,EAAE,CANJ,iBAAiB,CAOf,EAAE,CAPJ,iBAAiB,CAQf,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACnB,WAAW,C9GxBM,GAAG,C8GyBrB,AAZH,AAcE,OAdK,CAcL,EAAE,CAbJ,iBAAiB,CAaf,EAAE,AAAC,CACD,SAAS,C9G7CD,QAAQ,C8G8CjB,AAhBH,AAkBE,OAlBK,CAkBL,EAAE,CAjBJ,iBAAiB,CAiBf,EAAE,AAAC,CACD,SAAS,C9GhDD,QAAQ,C8GiDjB,AApBH,AAsBE,OAtBK,CAsBL,EAAE,CArBJ,iBAAiB,CAqBf,EAAE,AAAC,CACD,SAAS,C9GnDD,QAAQ,C8GoDjB,AAxBH,AA0BE,OA1BK,CA0BL,EAAE,CAzBJ,iBAAiB,CAyBf,EAAE,AAAC,CACD,SAAS,C9GtDJ,GAAG,C8GuDT,AA5BH,AA8BE,OA9BK,CA8BL,EAAE,CA7BJ,iBAAiB,CA6Bf,EAAE,AAAC,CACD,SAAS,C9GzDC,OAAQ,C8G0DnB,AAhCH,AAkCE,OAlCK,CAkCL,EAAE,CAjCJ,iBAAiB,CAiCf,EAAE,AAAC,CACD,SAAS,C9G5DC,OAAQ,C8G6DnB,AApCH,AAsCE,OAtCK,CAsCL,CAAC,CArCH,iBAAiB,CAqCf,CAAC,AAAC,CACA,SAAS,CAAE,UAAU,CACtB,AAxCH,AAyCE,OAzCK,CAyCL,GAAG,CAxCL,iBAAiB,CAwCf,GAAG,AAAC,CACF,gBAAgB,CAEd,OAAuC,CAE1C,AA9CH,AA+CE,OA/CK,CA+CL,GAAG,CA9CL,iBAAiB,CA8Cf,GAAG,AAAC,CACF,gBAAgB,CAEd,OAAsC,CAEzC,AApDH,AAsDE,OAtDK,CAsDL,GAAG,CArDL,iBAAiB,CAqDf,GAAG,AAAC,CACF,SAAS,CAAE,MAAM,CAClB,AAxDH,AAyDE,OAzDK,CAyDL,KAAK,CAxDP,iBAAiB,CAwDf,KAAK,AAAC,CACJ,SAAS,CAAE,OAAO,CACnB,AA3DH,AA4DE,OA5DK,CA4DL,KAAK,CAAC,KAAK,CA3Db,iBAAiB,CA2Df,KAAK,CAAC,KAAK,AAAC,CACV,SAAS,CAAE,MAAM,CAClB,AA9DH,AA+DE,OA/DK,CA+DL,GAAG,CAAC,GAAG,CA9DT,iBAAiB,CA8Df,GAAG,CAAC,GAAG,AAAC,CACN,SAAS,CAAE,GAAG,CACf,AAjEH,AAkEE,OAlEK,CAkEL,GAAG,CAAC,GAAG,CAAC,GAAG,CAjEb,iBAAiB,CAiEf,GAAG,CAAC,GAAG,CAAC,GAAG,AAAC,CACV,MAAM,CAAE,CAAC,CACV,AApEH,AAqEE,OArEK,CAqEL,GAAG,CAAC,GAAG,CAAC,GAAG,CApEb,iBAAiB,CAoEf,GAAG,CAAC,GAAG,CAAC,GAAG,AAAC,CACV,GAAG,CAAE,CAAC,CACP,AAGH,AAEE,OAFK,CAEL,KAAK,CADP,iBAAiB,CACf,KAAK,AAAC,CACJ,SAAS,CAAE,IAAI,CAChB,AAJH,AAKE,OALK,CAKL,GAAG,CAAC,GAAG,CAJT,iBAAiB,CAIf,GAAG,CAAC,GAAG,AAAC,CACN,GAAG,CAAE,CAAC,CACP,AAIH,AACE,UADQ,CACR,QAAQ,CAAG,OAAO,AAAC,CACjB,gBAAgB,C9GgCR,OAAmD,C8G/B3D,OAAO,CAAE,IAAI,CAKd,AARH,AAII,UAJM,CACR,QAAQ,CAAG,OAAO,CAGhB,GAAG,AAAA,IAAK,CAAA,UAAU,CAAE,CAClB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAPL,AAUI,UAVM,CASR,SAAS,CAAG,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CrE/IV,UAAU,CqEwJI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CpC2MV,UAAU,CoClMI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CpC+MV,KAAK,CoCtMS,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,AAAC,CACd,KAAK,C9GqBC,OAAoD,C8Gf3D,AAjBL,AAYM,UAZI,CASR,SAAS,CAAG,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CrE/IV,UAAU,CqEwJI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CpC2MV,UAAU,CoClMI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CpC+MV,KAAK,CoCtMS,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,AAAC,CACA,gBAAgB,C9GqBZ,OAAmD,C8GpBvD,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,GAAG,CACnB,AAKP,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CAWxB,AAbD,AAIE,gBAJc,CAId,MAAM,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AANH,AAQE,gBARc,CAQd,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACpB,AAIH,AAAA,KAAK,AAAA,MAAM,AAAC,CACV,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CA0BnB,AA5BD,AAIE,KAJG,AAAA,MAAM,CAIT,cAAc,AAAC,CACb,WAAW,CAAE,GAAG,CACjB,AANH,AAQE,KARG,AAAA,MAAM,CAQT,MAAM,AAAC,CpG7HP,WAAW,CAAE,GAAG,CAAC,KAAK,CVkHZ,OAAmD,CUjH7D,gBAAgB,CV8FR,OAAqB,C8GiC3B,KAAK,C9GhBG,OAAoD,C8GkB5D,OAAO,CAAE,kBAAkB,CpG7I7B,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CoGgJxB,AAtBH,AAeI,KAfC,AAAA,MAAM,CAQT,MAAM,CAOJ,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAjBL,AAkBI,KAlBC,AAAA,MAAM,CAQT,MAAM,CAUJ,GAAG,AAAC,CACF,UAAU,CAAE,IAAI,CACjB,AApBL,AAyBE,KAzBG,AAAA,MAAM,CAyBT,UAAU,AAAC,CACT,UAAU,CAAE,CAAC,CACd,AAGH,AAIE,UAJQ,CAIR,GAAG,AAAC,CACF,SAAS,CAAE,eAAe,CAC3B,AAGH,AAAA,eAAe,CACf,eAAe,CAAC,OAAO,AAAC,CACtB,KAAK,C9G9CK,OAAoD,C8G+C/D,AAED,AAAA,OAAO,CAAC,UAAU,AAAC,CACjB,gBAAgB,C9GhDN,OAAmD,C8GiD7D,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,IAAI,CACb,AAED,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,YAAY,AAAC,CACX,KAAK,C9G1DK,OAAmD,C8G+D9D,AAND,AAEE,YAFU,CAEV,YAAY,CAFd,YAAY,CAGV,WAAW,AAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,C9GnKC,CAAC,C8GoKV,AAED,AAAA,WAAW,AAAA,OAAO,AAAC,CACjB,OAAO,CAAE,GAAG,CACb,AAED,AAAA,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAPD,AAIE,eAJa,CAIb,CAAC,AAAC,CACA,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,C9G1GR,OAAqB,C8G2G7B,KAAK,C7G5RG,IAAO,C6G6Rf,OAAO,CAAE,IAAI,CACb,OAAO,C9G5LK,GAAG,C8G6Lf,OAAO,CAAE,GAAG,CAUb,AAjBD,AASE,aATW,CASX,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACtB,AAXH,AAaE,aAbW,AAaV,MAAM,AAAC,CACN,gBAAgB,C9GlGR,OAAmD,C8GmG3D,MAAM,CAAE,OAAO,CAChB,AAGH,AAAA,aAAa,CACb,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,UAAU,AAAC,CACT,UAAU,C9G7GA,OAAmD,C8G8G7D,MAAM,CAAE,GAAG,CAAC,KAAK,C9G9GP,OAAmD,C8G+G7D,UAAU,CAAE,IAAI,CAsJjB,AAzJD,AAMI,UANM,CAKR,QAAQ,CACJ,GAAG,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AAVL,AAWI,UAXM,CAKR,QAAQ,CAMN,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,MAAM,CACnB,SAAS,C9G9QD,OAAQ,C8G+QhB,WAAW,C9GpQG,CAAC,C8GqQhB,AApBL,AAuBE,UAvBQ,CAuBR,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AA1BH,AA4BE,UA5BQ,CA4BR,OAAO,AAAC,CACN,UAAU,CAAE,GAAG,CAAC,KAAK,C9GzIb,OAAmD,C8G0I5D,AA9BH,AAgCE,UAhCQ,CAgCR,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAnCH,AAqCE,UArCQ,CAqCR,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAClB,KAAK,C7GvVC,IAAO,C6GwVb,WAAW,C9GvRK,GAAG,C8GwRnB,WAAW,CAAE,MAAM,CACnB,SAAS,C9GxSJ,GAAG,C8GyST,AA3CH,AA6CE,UA7CQ,CA6CR,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACnB,KAAK,C9G7JG,OAAoD,C8G8J5D,WAAW,CAAE,MAAM,CACnB,SAAS,C9G9SC,OAAQ,C8G+SlB,WAAW,C9GnSK,CAAC,C8GoSlB,AAnDH,AAqDE,UArDQ,CAqDR,IAAI,AAAA,OAAO,AAAC,CACV,SAAS,C9GlTC,OAAQ,C8GmTlB,KAAK,C9GrKG,OAAoD,C8GsK7D,AAxDH,AA0DE,UA1DQ,CA0DR,EAAE,AAAC,CACD,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,GAAG,CACb,AA7DH,AAgEI,UAhEM,CA+DR,YAAY,CACV,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAlEL,AAmEI,UAnEM,CA+DR,YAAY,CAIV,mBAAmB,AAAC,CAClB,MAAM,CAAE,aAAa,CACtB,AArEL,AAwEE,UAxEQ,CAwER,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CASpB,AAnFH,AA4EI,UA5EM,CAwER,SAAS,CAIP,IAAI,AAAC,CACH,YAAY,CAAE,KAAK,CAKpB,AAlFL,AA+EM,UA/EI,CAwER,SAAS,CAIP,IAAI,AAGD,WAAW,AAAC,CACX,MAAM,CAAE,CAAC,CACV,AAjFP,AAqFE,UArFQ,CAqFR,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CA0DpB,AAlJH,AA0FI,UA1FM,CAqFR,aAAa,CAKP,SAAS,AAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AA5FL,AA+FM,UA/FI,CAqFR,aAAa,AASV,WAAW,CAAC,KAAK,CAChB,SAAS,CA/Ff,UAAU,CAqFR,aAAa,AASV,WAAW,CAAC,KAAK,CAEhB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAlGP,AAqGI,UArGM,CAqFR,aAAa,CAgBX,KAAK,AAAC,CACJ,MAAM,CAAE,GAAG,CAAC,KAAK,C9GlNX,OAAmD,C8GmNzD,aAAa,CAAE,MAAM,CACrB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,wBAAwB,CAChC,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAqCb,AAjJL,AA8GM,UA9GI,CAqFR,aAAa,CAgBX,KAAK,CASH,UAAU,CA9GhB,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAUH,WAAW,AAAC,CACV,KAAK,C9G5ND,OAAmD,C8GiOxD,AArHP,AAkHQ,UAlHE,CAqFR,aAAa,CAgBX,KAAK,CASH,UAAU,AAIP,MAAM,CAlHf,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAUH,WAAW,AAGR,MAAM,AAAC,CACN,KAAK,C7GnaL,IAAO,C6GoaR,AApHT,AAuHM,UAvHI,CAqFR,aAAa,CAgBX,KAAK,CAkBH,OAAO,CAvHb,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAmBH,aAAa,AAAC,CACZ,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,MAAM,CACrB,AA3HP,AA6HM,UA7HI,CAqFR,aAAa,CAgBX,KAAK,CAwBH,SAAS,CA7Hf,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAyBH,WAAW,AAAC,CACV,YAAY,CAAE,MAAM,CACrB,AAhIP,AAkIM,UAlII,CAqFR,aAAa,CAgBX,KAAK,AA6BF,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,AApIP,AAsIM,UAtII,CAqFR,aAAa,CAgBX,KAAK,CAiCH,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,iBAAiB,CAChC,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,IAAI,CACb,AAhJP,AAqJI,UArJM,CAoJR,2BAA2B,CACzB,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACpB,AAIL,AAME,aANW,CAMX,aAAa,CALf,qBAAqB,CAKnB,aAAa,CAJf,iBAAiB,CAIf,aAAa,CAHf,UAAU,CAAC,OAAO,CAGhB,aAAa,CAFf,oBAAoB,CAElB,aAAa,CADf,WAAW,CACT,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAC5B,mBAAmB,CAAE,MAAM,CAC3B,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,aAAa,CAAC,aAAa,CAC3B,qBAAqB,CAAC,aAAa,CACnC,eAAe,CAAC,oBAAoB,CAAC,aAAa,CAClD,WAAW,CAAC,aAAa,AAAC,CACxB,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CASb,AAfD,AAOE,aAPW,CAAC,aAAa,AAOxB,QAAQ,CANX,qBAAqB,CAAC,aAAa,AAMhC,QAAQ,CALX,eAAe,CAAC,oBAAoB,CAAC,aAAa,AAK/C,QAAQ,CAJX,WAAW,CAAC,aAAa,AAItB,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,iBAAiB,CAAC,aAAa,CAC/B,oBAAoB,CAAC,aAAa,AAAC,CACjC,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CAYb,AAhBD,AAKE,iBALe,CAAC,aAAa,AAK5B,QAAQ,CAJX,oBAAoB,CAAC,aAAa,AAI/B,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAZH,AAaE,iBAbe,CAAC,aAAa,CAa7B,GAAG,CAZL,oBAAoB,CAAC,aAAa,CAYhC,GAAG,AAAC,CACF,SAAS,C9G5cD,QAAQ,C8G6cjB,AAEH,AAAA,UAAU,CAAC,OAAO,CAAC,aAAa,AAAC,CAC/B,KAAK,CAAE,CAAC,CACR,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,C7GngBG,IAAO,C6G+gBhB,AAlBD,AAOE,UAPQ,CAAC,OAAO,CAAC,aAAa,AAO7B,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,CAAC,CACT,AAdH,AAeE,UAfQ,CAAC,OAAO,CAAC,aAAa,CAe9B,OAAO,AAAC,CACN,SAAS,C9GzdC,OAAQ,C8G0dnB,AAEH,AAAA,aAAa,CAAC,oBAAoB,AAAC,CACjC,OAAO,CAAE,IAAI,CACd,AAED,AACE,IADE,AACD,cAAc,AAAC,CACd,OAAO,CAAE,IAAI,CAQd,AAVH,AAGI,IAHA,AACD,cAAc,CAEb,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,EAAE,CAIV,AATL,AAMM,IANF,AACD,cAAc,CAEb,QAAQ,CAGN,IAAI,AAAC,CACH,MAAM,CAAE,IAAI,CACb,AAKP,AAIE,WAJS,CAIT,OAAO,AAAC,CACN,QAAQ,CAAE,MAAM,CACjB,AANH,AAOE,WAPS,AAOR,YAAY,AAAC,CACZ,SAAS,CAAE,uCAAuC,CACnD,AAGH,AAAA,UAAU,AAAC,CACT,IAAI,CAAE,QAAQ,CACd,YAAY,CAAE,KAAK,CAwBpB,AA1BD,AAIE,UAJQ,AAIP,UAAU,AAAC,CACV,YAAY,CAAE,CAAC,CAChB,AANH,AAUI,UAVM,AAOP,UAAU,CAGT,OAAO,CAVX,UAAU,AAQP,QAAQ,CAEP,OAAO,CAVX,UAAU,AASP,YAAY,CACX,OAAO,AAAC,CACN,SAAS,C9GtgBN,GAAG,C8GugBP,AAZL,AAeE,UAfQ,CAeR,KAAK,CAfP,UAAU,CAgBR,eAAe,AAAC,CACd,KAAK,C3GlfF,KAAK,C2GmfT,AAlBH,AAoBE,UApBQ,AAoBP,UAAU,AAAC,CACV,KAAK,C9GhYG,OAAoD,C8GiY7D,AAtBH,AAuBE,UAvBQ,AAuBP,UAAU,AAAC,CACV,MAAM,CAAE,OAAO,CAChB,AzG/dH,AAAA,GAAG,CAAC,IAAI,AyGmeD,CACH,SAAS,CAAE,MAAM,CACjB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,KAAK,CACd,KAAK,C7G9kBC,IAAO,C6G+kBb,UAAU,C9G9ZJ,OAAqB,C8G+Z3B,UAAU,CAAE,KAAK,CAClB,AAGH,AAAA,GAAG,AAAC,CACF,gBAAgB,C7GplBN,IAAO,C6GqlBjB,MAAM,CAAE,GAAG,CAAC,KAAK,C9GlZP,OAAmD,C8GmZ7D,aAAa,CAAE,GAAG,CAClB,UAAU,C9G5cR,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CAC1B,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG,CAAyB,IAAI,CAAE,KAAK,C8G4c/C,UAAU,CAA6B,IAAI,CAC3C,MAAM,CAAE,GAAG,CAAC,KAAK,CAAyB,IAAI,CAC9C,aAAa,CAAE,MAAM,CAAC,IAAI,CAAyB,IAAI,CAEvD,KAAK,C7G7lBG,IAAO,C6G8lBf,OAAO,CAAE,YAAY,CACrB,SAAS,C9G5iBG,OAAQ,C8G6iBpB,WAAW,C9G/hBO,GAAG,C8GgiBrB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,WAAW,CASrB,AAvBD,AAoBE,GApBC,CAoBD,CAAC,CAAC,CAAC,CAAC,CAAC,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAKH,AAAA,UAAU,CAAG,CAAC,AAAA,YAAY,AAAC,CACzB,UAAU,CAAE,YAAY,CACzB,AACD,AAAA,UAAU,CAAG,CAAC,AAAA,WAAW,AAAC,CACxB,aAAa,CAAE,YAAY,CAC5B,AzCxiBC,AAAA,IAAI,AyC0iBD,CACH,OAAO,CAAE,mBAAmB,CAC5B,KAAK,C9GtbK,OAAoD,C8Gub9D,MAAM,CAAE,OAAO,CACf,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,IAAI,CACjB,SAAS,C9GzkBG,OAAQ,C8G0kBrB,AAED,AAAA,UAAU,CACV,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CAKxB,AAPD,AAGE,UAHQ,CAGR,CAAC,CAFH,SAAS,CAEP,CAAC,AAAC,CACA,MAAM,CAAE,gBAAgB,CACxB,OAAO,CAAE,YAAY,CACtB,AAGH,AAGI,OAHG,CAAC,KAAK,CAEX,KAAK,CACH,EAAE,CAFN,iBAAiB,CAAC,KAAK,CACrB,KAAK,CACH,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,IAAI,CACjB,KAAK,C7G/oBD,IAAO,C6GgpBZ,AARL,AAWE,OAXK,CAAC,KAAK,CAWX,EAAE,CAVJ,iBAAiB,CAAC,KAAK,CAUrB,EAAE,AAAC,CACD,OAAO,CAAE,iBAAiB,CAC3B,AAGH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C9GxdX,OAAmD,C8GoiB9D,AAhFD,AAKE,aALW,CAKX,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,IAAI,CAClB,IAAI,CAAE,QAAQ,CAOf,AAjBH,AAWI,aAXS,CAKX,aAAa,CAMX,OAAO,AAAC,CACN,SAAS,CAAE,GAAG,CACd,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,KAAK,C9GneC,OAAmD,C8Goe1D,AAhBL,AAmBE,aAnBW,CAmBX,aAAa,AAAA,QAAQ,AAAC,CACpB,gBAAgB,C9GxeR,kBAAmD,C8G8e5D,AA1BH,AA4BE,aA5BW,CA4BX,kBAAkB,AAAA,QAAQ,AAAC,CACzB,KAAK,C9GjfG,OAAmD,C8Gkf5D,AA9BH,AAgCE,aAhCW,CAgCX,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACd,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,IAAI,CACjB,SAAS,C9G7oBC,OAAQ,C8G8oBlB,KAAK,C9G7fG,OAAmD,C8G8f3D,SAAS,CAAE,CAAC,CA2Bb,AArEH,AA4CI,aA5CS,CAgCX,kBAAkB,CAYhB,eAAe,AAAC,CACd,IAAI,CAAE,QAAQ,CACd,cAAc,CAAE,IAAI,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,C9GvpBH,QAAQ,C8GwpBd,KAAK,CAAE,EAAE,CACT,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,CAAC,CAIb,AAvDL,AAoDM,aApDO,CAgCX,kBAAkB,CAYhB,eAAe,CAQb,CAAC,AAAC,CACA,aAAa,CAAE,CAAC,CACjB,AAtDP,AAwDI,aAxDS,CAgCX,kBAAkB,CAwBhB,CAAC,AAAA,kBAAkB,AAAC,CAClB,UAAU,CAAE,OAAO,CACpB,AA1DL,AA2DI,aA3DS,CAgCX,kBAAkB,CA2BhB,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,IAAI,CACZ,AA9DL,AAgEI,aAhES,CAgCX,kBAAkB,CAgCd,CAAC,AAAC,CACF,MAAM,CAAE,CAAC,CACT,WAAW,C9G1pBI,GAAG,C8G2pBlB,IAAI,CAAE,GAAG,CACV,AApEL,AAuEE,aAvEW,CAuEX,MAAM,AAAC,CACL,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CAKT,AA/EH,AA2EI,aA3ES,CAuEX,MAAM,AAIH,aAAa,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,CAAC,CACT,AAIL,AACE,QADM,CACN,UAAU,AAAA,QAAQ,AAAC,CACjB,WAAW,CAAE,KAAK,CACnB,AAHH,AAKI,QALI,CAIN,WAAW,CACT,OAAO,AAAC,CACN,UAAU,CAAE,MAAM,CAClB,KAAK,C9G7iBC,OAAmD,C8G8iB1D,AAIL,AAAA,CAAC,AAAA,QAAQ,CACT,CAAC,AAAA,cAAc,AAAC,CACd,OAAO,CAAE,OAAO,CAChB,KAAK,C9GvjBK,OAAoD,C8GwjB9D,UAAU,C9GtjBA,OAAmD,C8GujB7D,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,SAAS,CAAE,MAAM,CAClB,AAED,AACE,WADS,CACT,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACd,AAGH,AACE,iBADe,CACf,OAAO,AAAC,CACN,cAAc,CAAE,IAAI,CACrB,AAHH,AAKI,iBALa,CAIf,yBAAyB,CACvB,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAIL,AAEI,wBAFoB,CACpB,CAAC,AACA,KAAK,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AAJL,AAMI,wBANoB,CACpB,CAAC,CAKC,CAAC,AAAC,CACF,QAAQ,CAAE,MAAM,CAChB,cAAc,CAAE,MAAM,CACvB,AATL,AAWI,wBAXoB,CACpB,CAAC,CAUC,OAAO,AAAC,CACR,KAAK,C9G3lBC,OAAoD,C8G4lB1D,YAAY,CAAE,GAAG,CACjB,SAAS,C9G7uBN,GAAG,C8G8uBN,WAAW,C9G/tBG,GAAG,C8GguBlB,AAhBL,AAkBI,wBAlBoB,CACpB,CAAC,CAiBC,IAAI,AAAA,IAAI,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CAChB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,QAAQ,CACvB,WAAW,CAAE,MAAM,CACpB,AAxBL,AA0BI,wBA1BoB,CACpB,CAAC,CAyBC,IAAI,AAAA,KAAK,AAAC,CACV,OAAO,CAAE,YAAY,CACrB,KAAK,C9G3mBC,OAAoD,C8G4mB1D,SAAS,C9G3vBD,OAAQ,C8G4vBhB,UAAU,CAAE,MAAM,CAClB,WAAW,C9G/uBG,GAAG,C8GgvBjB,aAAa,CAAE,GAAG,CACnB,AAjCL,AAmCI,wBAnCoB,CACpB,CAAC,CAkCC,IAAI,AAAA,mBAAmB,AAAC,CACxB,cAAc,CAAE,KAAK,CACtB,AAIL,AAAA,aAAa,CACb,YAAY,AAAC,CACX,KAAK,C9G1nBK,OAAoD,C8G2nB9D,MAAM,CAAE,GAAG,CAAC,KAAK,C9GznBP,OAAmD,C8G0nB7D,SAAS,C9GjxBC,GAAG,C8GkxBb,OAAO,CAAE,IAAI,CACd,AAID,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,GAAG,CAKlB,AARD,AAKE,aALW,CAKX,GAAG,AAAC,CACF,MAAM,CAAE,QAAQ,CACjB,AAKH,AAIQ,WAJG,AACR,SAAS,CACR,OAAO,AAAA,MAAM,CACX,aAAa,CACX,MAAM,AAAA,YAAY,AAAC,CACjB,gBAAgB,C7Gn1Bf,OAAO,C6Go1BR,KAAK,C7Gr1BH,IAAO,C6Gs1BT,YAAY,C7Gr1BX,OAAO,C6Gs1BT,AART,AAWQ,WAXG,AACR,SAAS,CACR,OAAO,AAAA,MAAM,CAQX,WAAW,CACT,SAAS,AAAA,MAAM,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AAbT,AAiBE,WAjBS,CAiBT,OAAO,AAAA,MAAM,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAcnB,AzCzyBD,AAAA,WAAW,CAAC,OAAO,AAAA,MAAM,CAAC,aAAa,AyC4xBvB,CACZ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,OAAO,C9GpwBC,GAAG,C8GqwBX,GAAG,CAAE,KAAK,CACV,MAAM,CAAE,KAAK,CAOd,AA/BL,AAyBM,WAzBK,CAiBT,OAAO,AAAA,MAAM,CAEX,aAAa,CAMX,MAAM,AAAC,CACL,WAAW,CAAE,GAAG,CAChB,gBAAgB,C9GvqBZ,OAAmD,C8GwqBvD,KAAK,C7G52BH,IAAO,C6G62BT,UAAU,C9GruBJ,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,C8GsuBrC,AAKP,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AACE,aADW,CACX,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACd,AAEH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACZ,CAGH,AACE,WADS,CACT,CAAC,AAAC,CACA,KAAK,CAAE,KAAK,CACZ,eAAe,CAAE,SAAS,CAC3B,AAJH,AAKE,WALS,CAKT,QAAQ,AAAC,CACP,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,gBAAgB,C9GvsBN,OAAmD,C8GwsB7D,UAAU,CAAE,GAAG,CAAC,KAAK,C9GxsBX,OAAmD,C8GysB7D,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,8CAGV,CACD,OAAO,CAAE,KAAK,CAoBf,AA7BD,AAWE,YAXU,AAWT,IAAI,AAAC,CACJ,gBAAgB,CAAE,KAAK,CACvB,KAAK,C9GltBG,OAAmD,C8GutB5D,AAlBH,AAeI,YAfQ,AAWT,IAAI,CAIH,OAAO,AAAC,CACN,KAAK,C9GrtBC,OAAmD,C8GstB1D,AAjBL,AAoBE,YApBU,CAoBV,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAtBH,AAwBE,YAxBU,CAwBV,OAAO,AAAC,CACN,SAAS,CAAE,GAAG,CACd,KAAK,C9G/tBG,OAAmD,C8GguB3D,YAAY,CAAE,MAAM,CACrB,AAGH,AACE,qBADmB,CACnB,OAAO,AAAC,CACN,KAAK,C9GtuBG,OAAmD,C8GuuB3D,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,SAAS,CACjB,WAAW,C9G72BM,GAAG,C8G82BrB,AC96BH,UAAU,CAAV,cAAU,CACR,EAAE,CACA,aAAa,CAAE,KAAK,CAEtB,GAAG,CACD,aAAa,CAAE,IAAI,CAErB,GAAG,CACD,aAAa,CAAE,GAAG,CAEpB,GAAG,CACD,aAAa,CAAE,GAAG,CAEpB,IAAI,CACF,aAAa,CAAE,GAAG,EAItB,AAAA,wBAAwB,AAAC,CACvB,OAAO,C/G+EK,GAAG,C+G9Ef,YAAY,CAAE,CAAC,CACf,kBAAkB,CAAE,IAAI,CACxB,cAAc,CAAE,cAAc,CAC9B,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,IAAI,CAIV,AAdD,AAWE,wBAXsB,CAWtB,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CAiBd,AAlBD,AAEE,uBAFqB,CAErB,kCAAkC,AAAC,CACjC,OAAO,CAAE,IAAI,CAId,AAPH,AAII,uBAJmB,CAErB,kCAAkC,CAE9B,IAAI,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AANL,AAQE,uBARqB,CAQrB,uBAAuB,AAAA,WAAW,AAAC,CACjC,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,IAAI,CACV,UAAU,CAAE,WAAW,CACvB,SAAS,CAAE,aAEV,CACF,AAGH,AACE,uBADqB,AAAA,OAAO,CAC5B,uBAAuB,AAAA,WAAW,AAAC,CACjC,MAAM,CAAE,MAAM,CACf,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAchB,AAhBD,AAGE,cAHY,CAGZ,MAAM,AAAC,CACL,MAAM,CAAE,WAAW,CACpB,AALH,AAME,cANY,CAMZ,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACtB,AARH,AASE,cATY,CASZ,eAAe,AAAC,CACd,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,MAAM,CAIrB,AAfH,AAYI,cAZU,CASZ,eAAe,CAGb,OAAO,AAAC,CACN,KAAK,C/G2HC,OAAmD,C+G1H1D,AjH2DL,AAAA,EAAE,AiHvDC,CACD,MAAM,CAAE,SAAS,CAClB,AAED,AAAA,CAAC,AAAA,eAAe,AAAC,CACf,UAAU,CAAE,GAAG,CAChB,AAED,AACE,YADU,CACV,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,GAAG,CAIX,AARH,AAKI,YALQ,CACV,cAAc,CAIZ,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACtB,AAPL,AASE,YATU,CASV,EAAE,AAAC,CACD,MAAM,CAAE,SAAS,CACjB,KAAK,CAAE,IAAI,CACZ,AAZH,AAaE,YAbU,CAaV,CAAC,AAAA,eAAe,AAAC,CACf,UAAU,CAAE,GAAG,CAChB,AAfH,AAgBE,YAhBU,CAgBV,CAAC,AAAA,WAAW,CAAC,OAAO,AAAC,CACnB,SAAS,CAAE,KAAK,CACjB,AAlBH,AAmBE,YAnBU,CAmBV,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,KAAK,CAqBjB,AA5CH,AAwBI,YAxBQ,CAmBV,iBAAiB,CAKf,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACf,AA1BL,AA2BI,YA3BQ,CAmBV,iBAAiB,CAQf,sBAAsB,AAAC,CACrB,MAAM,CAAE,WAAW,CACpB,AA7BL,AA8BI,YA9BQ,CAmBV,iBAAiB,CAWf,iBAAiB,CA9BrB,YAAY,CAmBV,iBAAiB,CAYf,iBAAiB,AAAC,CAChB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,SAAS,CAIlB,AAHC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAlCtC,AA8BI,YA9BQ,CAmBV,iBAAiB,CAWf,iBAAiB,CA9BrB,YAAY,CAmBV,iBAAiB,CAYf,iBAAiB,AAAC,CAId,IAAI,CAAE,QAAQ,CAEjB,CArCL,AAsCI,YAtCQ,CAmBV,iBAAiB,CAmBf,iBAAiB,AAAC,CAChB,WAAW,CAAE,EAAE,CAIhB,AAHC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAxCtC,AAsCI,YAtCQ,CAmBV,iBAAiB,CAmBf,iBAAiB,AAAC,CAGd,WAAW,CAAE,CAAC,CAEjB,CAIL,AAAA,sBAAsB,AAAC,CACrB,KAAK,C/G4DK,OAAoD,C+G3D9D,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,0BAA0B,CAAC,YAAY,CAAC,iBAAiB,CAAC,YAAY,AAAC,CACrE,WAAW,CAAE,IAAI,CAClB,AAED,AAGM,gBAHU,CACd,YAAY,CACV,iBAAiB,CACf,WAAW,AAAC,CACV,KAAK,CAAE,iBAAiB,CACzB,AAKP,AAAA,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAE9B,OAAO,CAAE,KAAK,CACd,gBAAgB,C/GmCN,OAAmD,C+GlC7D,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,KAAK,CACjB,AAED,AAEI,yBAFqB,AAAA,yBAAyB,CAChD,iBAAiB,AAAA,YAAa,CAAA,GAAK,EACjC,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAKL,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,CAC9D,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,CAC5C,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,AAAC,CAC3C,OAAO,CAAE,MAAM,CAChB,AAED,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,AAAC,CAE7D,cAAc,CAAE,QAAQ,CACxB,WAAW,C/GxHQ,GAAG,C+GyHvB,AAED,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAC1C,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,yBAAyB,CACxE,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,kBAAkB,AAAC,CAEhE,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,iBAAiB,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,CAC3D,iBAAiB,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,AAAA,eAAe,AAAC,CACvD,SAAS,CAAE,KAAK,CACjB,AAED,AAAA,iBAAiB,CAAC,uBAAuB,AAAC,CACxC,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,qBAAqB,AAAC,CrGrIpB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CqGiIzB,KAAK,CAAE,IAAI,CAkDZ,AApDD,AAGE,qBAHmB,CAGnB,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C/Gdb,OAAmD,C+GkB5D,AAVH,AAOI,qBAPiB,CAGnB,WAAW,CAIT,EAAE,AAAA,aAAa,AAAC,CACd,aAAa,CAAE,GAAG,CACnB,AATL,AAWE,qBAXmB,CAWnB,aAAa,AAAC,CACZ,KAAK,C/GtBG,OAAoD,C+GuB7D,AAbH,AAcE,qBAdmB,CAcnB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AApBH,AAiBI,qBAjBiB,CAcnB,WAAW,CAGT,IAAI,AAAA,IAAK,CAAA,MAAM,CAAE,CrGjKnB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CqGiKpB,AAnBL,AAqBE,qBArBmB,CAqBnB,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAejB,AAtCH,AAwBI,qBAxBiB,CAqBnB,EAAE,CAGA,EAAE,AAAC,CACD,aAAa,CAAE,KAAK,CAYrB,AArCL,AA0BM,qBA1Be,CAqBnB,EAAE,CAGA,EAAE,CAEA,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C/GrCD,OAAoD,C+GsCzD,AA5BP,AA6BM,qBA7Be,CAqBnB,EAAE,CAGA,EAAE,CAKA,OAAO,AAAC,CACN,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,QAAQ,CACf,AAhCP,AAiCM,qBAjCe,CAqBnB,EAAE,CAGA,EAAE,CASA,OAAO,AAAC,CACN,SAAS,C/G1LH,OAAQ,C+G2Ld,MAAM,CAAE,WAAW,CACpB,AApCP,AAwCI,qBAxCiB,CAuCnB,CAAC,AAAA,UAAU,CACT,OAAO,AAAC,CACN,UAAU,C9GpPJ,IAAO,C8GqPb,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,gBAAgB,CAC7B,AA5CL,AA6CI,qBA7CiB,CAuCnB,CAAC,AAAA,UAAU,AAMR,MAAM,AAAC,CACN,KAAK,C9GxPA,OAAO,C8G4Pb,AAlDL,AA+CM,qBA/Ce,CAuCnB,CAAC,AAAA,UAAU,AAMR,MAAM,CAEL,OAAO,AAAC,CACN,UAAU,C/GxDN,OAAmD,C+GyDxD,AAKP,AAAA,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,SAAS,CACzB,KAAK,C/GnEK,OAAoD,C+GoE9D,SAAS,CAAE,QAAQ,CAIpB,AARD,AAKE,CALD,AAAA,oBAAoB,CAKnB,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,WADS,CACT,cAAc,AAAC,CACb,SAAS,CAAE,0BAGV,CAMF,AAXH,AAOM,WAPK,CACT,cAAc,CAKZ,gBAAgB,CACd,UAAU,AAAC,CACT,UAAU,CAAE,KAAK,CAClB,ACrRP,AAAA,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,MAAM,CAUf,AAZD,AAGE,eAHa,CAGb,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CACZ,SAAS,ChHyCD,QAAQ,CgHxCjB,AAPH,AAQE,eARa,CAQb,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,SAAS,ChHsCD,QAAQ,CgHrChB,OAAO,CAAE,IAAI,CACd,ACLH,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,KAAK,CACd,KAAK,CAA0B,OAAO,CACvC,AAED,AAAA,aAAa,CACb,YAAY,AAAC,CACX,KAAK,CAA0B,IAAI,CACnC,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,aAAa,CACb,WAAW,CAAC,WAAW,CACvB,MAAM,CAAC,WAAW,CAClB,WAAW,CACX,aAAa,CACb,YAAY,AAAC,CACX,KAAK,CAA0B,OAAO,CACtC,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,YAAY,CACZ,KAAK,CAAC,cAAc,AAAC,CACnB,KAAK,CAA0B,IAAI,CACpC,AAED,AAAA,YAAY,CACZ,SAAS,CAAC,YAAY,CACtB,IAAI,CAAC,aAAa,AAAC,CACjB,KAAK,CAA0B,IAAI,CACpC,AAED,AAAA,WAAW,CACX,UAAU,CACV,aAAa,CAAC,YAAY,CAC1B,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CAA0B,IAAI,CACnC,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,WAAW,CAAC,WAAW,CACvB,KAAK,CAAC,WAAW,CACjB,QAAQ,CAAC,WAAW,CACpB,WAAW,AAAC,CACV,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,WAAW,CAAC,WAAW,CACvB,QAAQ,CAAC,UAAU,CACnB,KAAK,CAAC,aAAa,CACnB,IAAI,CAAC,aAAa,AAAC,CACjB,KAAK,CAA0B,IAAI,CACnC,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,SAAS,CACT,SAAS,CAAC,WAAW,CACrB,OAAO,CAAC,SAAS,CAAC,aAAa,AAAC,CAC9B,KAAK,CAA6B,IAAI,CACtC,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,eAAe,CACf,IAAI,CAAC,aAAa,CAClB,cAAc,CACd,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CAA6B,IAAI,CACvC,AAED,AAAA,YAAY,AAAC,CACX,KAAK,ChHrEG,OAAO,CgHsEhB,AAED,AAAA,YAAY,CACZ,KAAK,CAAC,YAAY,CAAC,YAAY,CAC/B,KAAK,CAAC,aAAa,CACnB,IAAI,CAAC,aAAa,CAClB,YAAY,AAAC,CACX,KAAK,CAA6B,IAAI,CACvC,AAED,AAAA,cAAc,CACd,KAAK,CAAC,WAAW,CACjB,QAAQ,CAAC,cAAc,CACvB,kBAAkB,AAAC,CACjB,KAAK,CjHwGK,OAAmD,CiHvG9D,A3BzDD,AAAA,KAAK,A2B2DC,CACJ,KAAK,CjHoGK,OAAmD,CiHnG7D,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,cAAc,AAAC,CACb,UAAU,CjH+FA,OAAmD,CiH9F9D,AAED,AAAA,cAAc,AAAC,CACb,UAAU,CjH2FA,OAAmD,CiH1F9D,AAED,AAAA,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CjHuFK,OAAmD,CiHtF9D,AAQD,AAAA,CAAC,CAAG,IAAI,CACR,EAAE,CAAG,IAAI,CACT,GAAG,CAAG,IAAI,AAAC,CACT,KAAK,CAA0B,OAAO,CACtC,UAAU,CAA6B,IAAI,CAC5C,ACxHD,AAAA,kBAAkB,AAAC,CACjB,gBAAgB,CjHHN,IAAO,CiHIjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClHqFI,GAAG,CkHpFd,MAAM,CAAE,GAAG,CAAC,KAAK,ClH6LP,OAAmD,CkH5L7D,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,UAAU,CACzB,OAAO,CAAE,IAAI,CACb,SAAS,ClHsCF,GAAG,CkHrCV,WAAW,CAAE,GAAG,CA8CjB,AAxDD,AAYE,kBAZgB,AAYf,OAAO,AAAC,CACP,MAAM,CAAE,KAAK,CAAC,KAAK,ClHoLX,OAAmD,CkHnL5D,AAdH,AAgBE,kBAhBgB,CAgBhB,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CAClB,UAAU,CjHpBF,IAAO,CiHqBhB,AAnBH,AAqBE,kBArBgB,CAqBhB,gBAAgB,AAAA,OAAO,CArBzB,kBAAkB,CAsBhB,gBAAgB,AAAA,MAAM,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,iBAAiB,CACzB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,EAAE,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACT,AA9BH,AAgCE,kBAhCgB,CAgChB,gBAAgB,AAAA,MAAM,AAAC,CACrB,mBAAmB,CjHnCX,IAAO,CiHoCf,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AAtCH,AAwCE,kBAxCgB,CAwChB,gBAAgB,AAAA,OAAO,AAAC,CACtB,mBAAmB,ClHwJX,OAAmD,CkHvJ3D,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AA9CH,AAgDE,kBAhDgB,CAgDhB,gBAAgB,AAAC,CACf,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,KAAK,CAChB,SAAS,ClHHC,OAAQ,CkHIlB,KAAK,CjHvDC,IAAO,CiHwDb,UAAU,ClHgFA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CkH/ExC,WAAW,CAAE,KAAK,CACnB,ACxDH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,UAAU,CAUnB,AAXD,AAGE,eAHa,CAGb,EAAE,AAAA,MAAM,AAAC,CACP,SAAS,CnHuCD,GAAG,CmHtCX,WAAW,CnHyDM,GAAG,CmHxDrB,AAEA,AAAD,sBAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CAId,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAFrC,AAAA,sBAAsB,AAAC,CAGnB,SAAS,CAAE,IAAI,CAElB,CAED,AAAA,eAAe,CACf,cAAc,AAAC,CACb,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,KAAK,CAChB,aAAa,CAAE,IAAI,CACnB,aAAa,CAAE,IAAI,CAOpB,AANC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAPrC,AAAA,eAAe,CACf,cAAc,AAAC,CAOX,KAAK,CAAE,IAAI,CAKd,CAbD,AAUE,eAVa,CAUb,EAAE,CATJ,cAAc,CASZ,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,QAAQ,CACrB,aAAa,CAAE,IAAI,CASpB,AARC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EALrC,AAMI,gBANY,AAMX,YAAa,CAAA,GAAK,CAAE,CACnB,OAAO,CAAE,IAAI,CACd,CARL,AAUE,gBAVc,CAUd,CAAC,AAAA,IAAK,CxD9BR,cAAc,CwD8BU,CACpB,UAAU,CAAE,IAAI,CACjB,AC/CH,AAAA,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAED,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,MAAM,CACd,SAAS,CAAE,KAAK,CAChB,gBAAgB,CnHjBN,IAAO,CmHkBjB,UAAU,CpHiHD,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,eAAkB,CoHxGvC,AAfD,AAQE,sBARoB,CAQpB,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CAKb,AAdH,AAWI,sBAXkB,CAQpB,WAAW,AAGR,YAAY,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,WADS,CACT,cAAc,AAAC,CACb,OAAO,CpHkDK,IAAI,CoHjDjB,AAHH,AAIE,WAJS,CAIT,QAAQ,AAAC,CACP,OAAO,CpH8CI,IAAI,CoH7ChB,AANH,AAOE,WAPS,CAOT,QAAQ,AAAC,CACP,OAAO,CpH0CI,IAAI,CoHzChB,AAGH,AAAA,QAAQ,AAAA,MAAM,AAAC,CACb,QAAQ,CAAE,KAAK,CACf,OAAO,CpHuCM,IAAI,CoHtCjB,QAAQ,CAAE,IAAI,CACd,MAAM,CAAE,IAAI,CACZ,gBAAgB,CnH9CN,IAAO,CmH+CjB,UAAU,CpHuFF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoHtFtC,eAAe,CAAE,WAAW,CAC7B,AAED,AAAA,gBAAgB,AAAC,CACf,WAAW,CAAE,KAAK,CAClB,KAAK,CpH4IK,OAAoD,CoH3I/D,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,GAAG,CAAC,KAAK,CpHwId,OAAmD,CoHvI7D,WAAW,CAAE,MAAM,CAqBpB,AAzBD,AAOI,aAPS,CAMX,MAAM,CACJ,EAAE,AAAC,CACD,aAAa,CAAE,CAAC,CACjB,AATL,AAWI,aAXS,CAMX,MAAM,CAKJ,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAbL,AAgBE,aAhBW,CAgBX,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAIlB,AAxBH,AAqBI,aArBS,CAgBX,YAAY,CAKV,MAAM,AAAC,CACL,KAAK,CpHqHC,OAAmD,CoHpH1D,AAIL,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CpHNM,IAAI,CoHOjB,gBAAgB,CAAE,IAAI,CAIvB,AAXD,AAQE,eARa,AAQZ,KAAK,AAAC,CACL,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,CACf,eAAe,AAAA,KAAK,AAAA,GAAG,AAAC,CACtB,SAAS,CAAE,SAAS,CACpB,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAGD,UAAU,CAAV,IAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,GAAG,EAKhB,UAAU,CAAV,OAAU,CACR,IAAI,CACF,SAAS,CAAE,gBAAgB,CAE7B,EAAE,CACA,SAAS,CAAE,aAAa,EAI5B,AAAA,eAAe,AAAA,GAAG,CAAC,sBAAsB,CACzC,YAAY,AAAA,GAAG,CAAC,sBAAsB,AAAC,CACrC,SAAS,CAAE,YAAY,CACxB,AAED,AACE,aADW,CACX,sBAAsB,AAAC,CACrB,MAAM,CAAE,GAAG,CAAC,KAAK,CpH+DT,OAAoD,CoH9D7D,AAGH,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CpHzDM,IAAI,CoH0DjB,QAAQ,CAAE,IAAI,CAUf,AAhBD,AASI,YATQ,AAQT,IAAK,CAAA,cAAc,EAClB,WAAW,AAAA,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,gBAAgB,CAAE,CACzD,UAAU,CAAE,eAAe,CAI5B,AAHC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EAX1C,AASI,YATQ,AAQT,IAAK,CAAA,cAAc,EAClB,WAAW,AAAA,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,gBAAgB,CAAE,CAGvD,UAAU,CAAE,eAAe,CAE9B,CAIL,AAAA,WAAW,AAAC,CACV,aAAa,CAAE,CAAC,CACjB,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,cAAc,CACvB,UAAU,CAAE,GAAG,CAAC,KAAK,CpHqCX,OAAmD,CoHjC9D,AAND,AAGE,aAHW,CAGX,IAAI,AAAC,CACH,MAAM,CAAE,WAAW,CACpB,AAGH,AAEI,MAFE,AAAA,oBAAoB,CACxB,WAAW,CACT,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACb,AAEH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EANrC,AAOI,MAPE,AAAA,oBAAoB,CAOtB,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,CAIL,AACE,MADI,CACJ,IAAI,AAAC,CACH,OAAO,CAAE,mBAAmB,CAC5B,gBAAgB,CnHpLR,IAAO,CmHwLf,aAAa,CAAE,GAAG,CAAC,KAAK,CpHWhB,OAAmD,CoHV5D,AARH,AAII,MAJE,CACJ,IAAI,CAGF,EAAE,CAAG,CAAC,AAAC,CACL,SAAS,CpHrIN,GAAG,CoHsIP,AANL,AAUE,MAVI,AAUH,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,MAdI,CAcJ,WAAW,AAAC,CACV,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,KAAK,CAiElB,AAnFH,AAoBI,MApBE,CAcJ,WAAW,AAMR,kBAAkB,AAAC,CAClB,UAAU,CAAE,mBAAmB,CAChC,AAtBL,AAwBI,MAxBE,CAcJ,WAAW,AAUR,YAAY,AAAC,CACZ,UAAU,CAAE,OAAO,CA4CpB,AArEL,AA0BM,MA1BA,CAcJ,WAAW,AAUR,YAAY,CAEX,KAAK,AAAC,CACJ,SAAS,CAAE,KAAK,CACjB,AA5BP,AA8BM,MA9BA,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CAqCnB,AApEP,AAgCQ,MAhCF,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CAEL,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAtCT,AAuCQ,MAvCF,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,OAAO,CAAE,QAAQ,CACjB,UAAU,CpHtFV,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoHuF9B,OAAO,CAAE,CAAC,CACV,gBAAgB,CnH9Nd,IAAO,CmH+NT,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,IAAI,CAmBjB,AAnET,AAiDU,MAjDJ,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAAC,CACb,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CAAC,KAAK,CpHjCxB,OAAmD,CoHkCnD,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,KAAK,CAaf,AAlEX,AAsDY,MAtDN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAKX,MAAM,CAtDnB,MAAM,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAMX,MAAM,AAAC,CACN,gBAAgB,CpHtClB,OAAmD,CoHuClD,AAzDb,AA0DY,MA1DN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,CASZ,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AA7Db,AA8DY,MA9DN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,CAaZ,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,CpH/LT,OAAQ,CoHgMT,AAjEb,AAsEI,MAtEE,CAcJ,WAAW,CAwDT,QAAQ,AAAC,CACP,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,IAAI,CACb,AAzEL,AA0EI,MA1EE,CAcJ,WAAW,CA4DT,CAAC,AAAC,CACA,SAAS,CpH3MN,GAAG,CoH4MP,AA5EL,AA6EI,MA7EE,CAcJ,WAAW,CA+DT,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CACpB,AA/EL,AAgFI,MAhFE,CAcJ,WAAW,CAkET,QAAQ,AAAC,CACP,KAAK,CnH5PF,OAAO,CmH4PK,UAAU,CAC1B,AAlFL,AAqFE,MArFI,CAqFJ,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACd,AAvFH,AAyFE,MAzFI,CAyFJ,OAAO,AAAA,MAAM,AAAC,CACZ,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,GAAG,CASnB,AApGH,AA4FI,MA5FE,CAyFJ,OAAO,AAAA,MAAM,AAGV,WAAW,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CACxB,AA/FL,AAgGI,MAhGE,CAyFJ,OAAO,AAAA,MAAM,CAOX,WAAW,AAAC,CACV,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAnGL,AAuGE,MAvGI,CAuGJ,WAAW,AAAA,sBAAsB,CAAC,CAAC,AAAC,CAClC,SAAS,CpHxOJ,GAAG,CoHyOT,AAzGH,AA2GE,MA3GI,CA2GJ,GAAG,CAAC,IAAI,AAAC,CACP,WAAW,CAAE,QAAQ,CACrB,SAAS,CAAE,KAAK,CACjB,AAGH,AAEI,kBAFc,CAChB,aAAa,CACX,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACf,AAJL,AAKI,kBALc,CAChB,aAAa,CAIX,eAAe,AAAC,CACd,MAAM,CAAE,WAAW,CACpB,AAPL,AAQI,kBARc,CAChB,aAAa,CAOX,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,SAAS,CpH7PH,QAAQ,CoH8Pd,WAAW,CpH9OI,GAAG,CoH+OlB,aAAa,CAAE,IAAI,CACnB,WAAW,CAAE,IAAI,CAIlB,AAjBL,AAcM,kBAdY,CAChB,aAAa,CAOX,IAAI,CAMF,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,AAKP,AAAA,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,KAAK,CpHtHK,OAAmD,CoH0H9D,AAND,AAGE,eAHa,AAGZ,MAAM,AAAC,CACN,KAAK,CnHrTA,OAAO,CmHsTb,AAGH,AAEI,kBAFc,CAChB,aAAa,CACX,IAAI,AAAC,CACH,WAAW,CpHnQI,GAAG,CoHoQnB,AAIL,AACE,sBADoB,CACpB,aAAa,AAAC,CACZ,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,QAAQ,CAClB,UAAU,CpHxIF,OAAmD,CoHyI3D,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,MAAM,CAChB,MAAM,CAAE,WAAW,CASpB,AAhBH,AAQI,sBARkB,CACpB,aAAa,CAOX,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,EAAE,CACT,MAAM,CAAE,IAAI,CACZ,gBAAgB,CnHlVX,OAAO,CmHmVZ,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,iBAAiB,CAC9B,AAIL,AAAA,gBAAgB,AAAC,CAEf,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,CAAC,CAgBX,AApBD,AAKE,gBALc,CAKd,KAAK,AAAC,CACJ,YAAY,CAAE,IAAI,CAClB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CACjB,AATH,AAUE,gBAVc,CAUd,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CAClB,AAZH,AAaE,gBAbc,CAad,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CAChB,KAAK,CnHnWA,OAAO,CmHoWb,AAhBH,AAiBE,gBAjBc,CAiBd,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AACE,oBADkB,CAClB,KAAK,AAAA,IAAK,EAAA,AAAA,IAAC,CAAK,UAAU,AAAf,GADb,oBAAoB,CAElB,SAAS,AAAC,CACR,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,KAAK,CACrB,AALH,AAOE,oBAPkB,CAOlB,kBAAkB,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CAoBb,AA9BH,AAYI,oBAZgB,CAOlB,kBAAkB,CAKhB,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAClB,UAAU,CnH/XN,IAAO,CmHgYX,KAAK,CnH/XC,IAAO,CmHgYb,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,QAAQ,CAWlB,AA7BL,AAoBM,oBApBc,CAOlB,kBAAkB,CAKhB,qBAAqB,AAQlB,OAAO,AAAC,CACP,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,GAAG,CACT,MAAM,CAAE,iBAAiB,CACzB,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,CnH3Yd,IAAO,CmH4YT,YAAY,CAAE,GAAG,CAClB,AA5BP,AAgCE,oBAhCkB,CAgClB,oBAAoB,AAAC,CACnB,YAAY,CAAE,MAAM,CACrB,AAlCH,AAoCE,oBApCkB,CAoClB,gCAAgC,AAAC,CAC/B,WAAW,CAAE,IAAI,CACjB,SAAS,CAAE,KAAK,CAChB,UAAU,CpHpNF,OAAmD,CoHqN3D,KAAK,CnHxZG,IAAO,CmHyZf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,QAAQ,CACjB,QAAQ,CAAE,QAAQ,CAUnB,AArDH,AA4CI,oBA5CgB,CAoClB,gCAAgC,CAQ9B,UAAU,AAAC,CACT,MAAM,CAAE,iBAAiB,CACzB,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,mBAAmB,CpH7Nb,OAAmD,CoH8NzD,YAAY,CAAE,GAAG,CACjB,GAAG,CAAE,KAAK,CACV,IAAI,CAAE,KAAK,CACZ,AApDL,AAuDE,oBAvDkB,CAuDlB,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,KAAK,CACX,AA1DH,AA8DI,oBA9DgB,CA4DlB,2BAA2B,CAEvB,OAAO,AAAC,CACR,aAAa,CAAE,KAAK,CACrB,AAhEL,AAiEI,oBAjEgB,CA4DlB,2BAA2B,CAKzB,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,EAjEV,oBAAoB,CA4DlB,2BAA2B,CAMzB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAlEV,oBAAoB,CA4DlB,2BAA2B,CAOzB,WAAW,AAAC,CACV,KAAK,CAPmB,KAAK,CAQ9B,AArEL,AAsEI,oBAtEgB,CA4DlB,2BAA2B,CAUzB,KAAK,AAAC,CACJ,SAAS,CAVe,KAAK,CAW9B,AAxEL,AA0EM,oBA1Ec,CA4DlB,2BAA2B,CAazB,yBAAyB,CACvB,KAAK,AAAC,CACJ,SAAS,CAAE,IAAI,CAIhB,AA/EP,AA4EQ,oBA5EY,CA4DlB,2BAA2B,CAazB,yBAAyB,CACvB,KAAK,CAEH,CAAC,AAAC,CACA,WAAW,CAAE,KAAK,CACnB,AA9ET,AAkFE,oBAlFkB,CAkFlB,6BAA6B,AAAC,CAC5B,KAAK,CAAE,KAAK,CACb,AAGH,AACE,qBADmB,CACnB,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,gBAAgB,CAAE,WAAW,CAC7B,YAAY,CAAE,GAAG,CAWlB,AAfH,AAKI,qBALiB,CACnB,IAAI,AAID,MAAM,CALX,qBAAqB,CACnB,IAAI,AAKD,OAAO,AAAC,CACP,KAAK,CnH/cD,IAAO,CmHgdZ,AARL,AASI,qBATiB,CACnB,IAAI,AAQD,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AAXL,AAYI,qBAZiB,CACnB,IAAI,AAWD,MAAM,AAAC,CACN,OAAO,CAAE,GAAG,CAAC,KAAK,CpHjRZ,OAAmD,CoHkR1D,AAdL,AAgBE,qBAhBmB,CAgBnB,oBAAoB,AAAC,CACnB,aAAa,CAAE,IAAI,CACpB,AAlBH,AAmBE,qBAnBmB,CAmBnB,uBAAuB,AAAC,CACtB,MAAM,CAAE,KAAK,CACb,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,IAAI,CAiBZ,AAvCH,AAuBI,qBAvBiB,CAmBnB,uBAAuB,CAIrB,QAAQ,CAvBZ,qBAAqB,CAmBnB,uBAAuB,CAKrB,yBAAyB,AAAC,CACxB,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,CpH/Rf,OAAmD,CoHgSzD,WAAW,CAAE,IAAI,CAClB,AA7BL,AA8BI,qBA9BiB,CAmBnB,uBAAuB,CAWrB,QAAQ,AAAC,CACP,WAAW,CAAE,SAAS,CACtB,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CACjB,AAnCL,AAoCI,qBApCiB,CAmBnB,uBAAuB,CAiBrB,yBAAyB,AAAC,CACxB,OAAO,CAAE,gBAAgB,CAC1B,AAIL,AAEI,MAFE,CAAC,WAAW,AAAA,iBAAiB,CACjC,eAAe,CACb,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACxB,AAPL,AAUE,MAVI,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CAqBd,AAhCH,AAaI,MAbE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAGF,oBAAoB,CAbxB,MAAM,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAIF,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACX,AAhBL,AAkBI,MAlBE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAQF,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CAKR,AAzBL,AAsBM,MAtBA,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAQF,oBAAoB,CAIlB,YAAY,AAAC,CACX,IAAI,CAAE,CAAC,CACR,AAxBP,AA2BI,MA3BE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAiBF,KAAK,AAAA,YAAY,CA3BrB,MAAM,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAkBF,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACV,AAIL,AAAA,iBAAiB,AAAC,CAChB,SAAS,CAAE,KAAK,CACjB,AAED,AAGI,iBAHa,CAEf,eAAe,CACb,YAAY,CAFhB,gBAAgB,CACd,eAAe,CACb,YAAY,AAAC,CACX,QAAQ,CAAE,mBAAmB,CAC7B,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,KAAK,CAClB,AAPL,AAUE,iBAVe,CAUf,oBAAoB,CATtB,gBAAgB,CASd,oBAAoB,AAAC,CACnB,SAAS,CAAE,KAAK,CAChB,YAAY,CAAE,KAAK,CACpB,AAbH,AAeE,iBAfe,CAef,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAdR,gBAAgB,CAcd,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACb,AAjBH,AAmBE,iBAnBe,CAmBf,IAAI,CAlBN,gBAAgB,CAkBd,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CAMlB,AAPD,AAEE,WAFS,CAET,yBAAyB,AAAC,CACxB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,WAAW,CpHrfK,GAAG,CoHsfpB,AAGH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACV,AAED,AAAA,sBAAsB,AAAC,CACrB,KAAK,CpH3XK,OAAmD,CoH4X7D,SAAS,CpH7gBG,OAAQ,CoH8gBrB,AAED,AACE,mBADiB,CACjB,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,AAHH,AAIE,mBAJiB,CAIjB,WAAW,AAAC,CACV,UAAU,CAAE,OAAO,CAiCpB,AAtCH,AAMI,mBANe,CAIjB,WAAW,CAET,UAAU,CANd,mBAAmB,CAIjB,WAAW,CAGT,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,KAAK,CACb,AAVL,AAYI,mBAZe,CAIjB,WAAW,CAQT,gBAAgB,AAAC,CACf,KAAK,CnHhlBD,IAAO,CmHilBZ,AAdL,AAgBI,mBAhBe,CAIjB,WAAW,CAYT,qBAAqB,CAAC,MAAM,AAAC,CAC3B,KAAK,CpHhZC,OAAmD,CoHiZ1D,AAlBL,AAoBI,mBApBe,CAIjB,WAAW,CAgBT,qBAAqB,CAAC,gBAAgB,AAAC,CACrC,WAAW,CAAE,CAAC,CACf,AAtBL,AAwBI,mBAxBe,CAIjB,WAAW,CAoBT,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,UAAU,CAUnB,AArCL,AA6BM,mBA7Ba,CAIjB,WAAW,CAoBT,UAAU,CAKR,EAAE,AAAC,CACD,IAAI,CAAE,OAAO,CACd,AA/BP,AAiCM,mBAjCa,CAIjB,WAAW,CAoBT,UAAU,CASR,KAAK,AAAC,CACJ,MAAM,CAAE,WAAW,CACnB,KAAK,CpHlaD,OAAmD,CoHmaxD,AAMP,AAGI,cAHU,CAEZ,eAAe,CACb,MAAM,AAAC,CACL,SAAS,CAAE,IAAI,CAChB,AALL,AAMI,cANU,CAEZ,eAAe,CAIb,YAAY,AAAC,CACX,SAAS,CAAE,GAAG,CACf,AARL,AASI,cATU,CAEZ,eAAe,CAOb,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,MADI,AAAA,IAAK,CAAA,SAAS,EAClB,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACX,AAGH,AAEI,MAFE,AACH,SAAS,CACR,WAAW,AAAC,CACV,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,iBAAiB,CACxB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,CAAC,CAmBV,AA1BL,AASM,MATA,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CAChB,OAAO,CpG9nBF,GAAmB,CAAnB,GAAmB,CoG+nBxB,YAAY,CpG/nBP,GAAmB,CoGgoBxB,MAAM,CAAE,OAAO,CAYhB,AAzBP,AAeQ,MAfF,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAMP,UAAU,AAAC,CACV,KAAK,CnHlpBH,IAAO,CmHmpBT,UAAU,CnH7oBX,OAAO,CmHopBP,AAxBT,AAmBU,MAnBJ,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAMP,UAAU,AAIR,WAAW,AAAC,CACX,UAAU,CAAE,IAAI,CAChB,KAAK,CnHxpBP,IAAO,CmHypBL,OAAO,CpGzoBN,GAAmB,CAJnB,CAAuB,CoG8oBzB,AC1pBX,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CAKnB,AARD,AAIE,cAJY,CAIZ,kBAAkB,AAAC,CACjB,KAAK,CAAE,CAAC,CACR,aAAa,CAAE,KAAK,CACrB,AAGH,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAWhB,AAbD,AAIE,sBAJoB,CAIpB,2BAA2B,CAJ7B,sBAAsB,CAKpB,2BAA2B,AAAC,CAC1B,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,KAAK,CACrB,AARH,AAUE,sBAVoB,AAUnB,WAAW,AAAC,CACX,YAAY,CAAE,IAAI,CACnB,AAGH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,IAAI,CAEX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,aAAa,CAuH/B,AArH0B,SAAC,EAAf,OAAO,EAAE,IAAI,EAR1B,AAAA,aAAa,AAAC,CASV,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,cAAc,CACrC,eAAe,CAAE,MAAM,CACvB,YAAY,CAAE,GAAG,CAiHpB,A3GnIC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAAA,aAAa,AAAC,CAcR,qBAAqB,CAAE,cAAc,CACrC,eAAe,CAAE,EAAE,CA8GxB,C3GnIC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAAA,aAAa,AAAC,CAkBR,qBAAqB,CAAE,IAAI,CA2GhC,EA7HD,AAsBE,aAtBW,CAsBX,UAAU,AAAC,CAET,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,EAAE,CAIV,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,GAAG,CAAC,KAAK,CrH2IT,OAAmD,CqH1I3D,KAAK,CpH1DC,IAAO,CoHqJd,A3GlID,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAsBE,aAtBW,CAsBX,UAAU,AAAC,CAKP,MAAM,CAAE,CAAC,CAiGZ,CA1FC,AAAA,mBAAmB,CAlCvB,aAAa,CAsBX,UAAU,AAYc,CACpB,UAAU,CAAE,SAAS,CAItB,AALD,AAEE,mBAFiB,CAlCvB,aAAa,CAsBX,UAAU,AAcL,MAAM,AAAC,CACN,UAAU,CrHyER,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CqHxEjC,AAtCP,AAwCI,aAxCS,CAsBX,UAAU,CAkBR,iBAAiB,AAAC,CAChB,KAAK,CrHkIC,OAAmD,CqHjIzD,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,GAAG,CAKjB,AAhDL,AA4CM,aA5CO,CAsBX,UAAU,CAkBR,iBAAiB,CAIf,eAAe,CA5CrB,aAAa,CAsBX,UAAU,CAkBR,iBAAiB,CAKf,gBAAgB,AAAC,CACf,KAAK,CpH/DH,OAAO,CoHgEV,AA/CP,AAiDI,aAjDS,CAsBX,UAAU,CA2BR,gBAAgB,AAAC,CACf,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,UAAU,CAoCvB,AA1FL,AAuDM,aAvDO,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CAiBf,AA3EP,AA2DQ,aA3DK,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CAIjB,mBAAmB,AAAC,CAClB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,QAAQ,CACf,AA/DT,AAgEQ,aAhEK,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CASjB,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,GAAG,CAOX,AA1ET,AAqEU,aArEG,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CASjB,WAAW,CAKT,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,WAAW,CrHjCF,GAAG,CqHkCb,AAzEX,AA4EM,aA5EO,CAsBX,UAAU,CA2BR,gBAAgB,CA2Bd,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CrH4FD,OAAmD,CqHtFxD,AArFP,AAgFQ,aAhFK,CAsBX,UAAU,CA2BR,gBAAgB,CA2Bd,iBAAiB,CAIf,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,SAAS,CAAE,KAAK,CAChB,KAAK,CrHwFH,OAAmD,CqHvFtD,AApFT,AAsFM,aAtFO,CAsBX,UAAU,CA2BR,gBAAgB,CAqCd,kBAAkB,AAAC,CACjB,KAAK,CrHoFD,OAAmD,CqHnFvD,SAAS,CAAE,UAAU,CACtB,AAzFP,AA4FI,aA5FS,CAsBX,UAAU,CAsER,iBAAiB,AAAC,CAChB,SAAS,CrHrEH,QAAQ,CqHsEd,WAAW,CAAE,IAAI,CACjB,KAAK,CpHxHD,IAAO,CoHyHZ,AAhGL,AAqGI,aArGS,CAsBX,UAAU,CA+ER,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CpHhID,IAAO,CoHiJZ,AAxHL,AAyGM,aAzGO,CAsBX,UAAU,CA+ER,mBAAmB,CAIjB,aAAa,AAAC,CACZ,eAAe,CARZ,IAAI,CASP,MAAM,CATH,IAAI,CAUP,KAAK,CAVF,IAAI,CAWP,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAM7B,AAvHP,AAmHQ,aAnHK,CAsBX,UAAU,CA+ER,mBAAmB,CAIjB,aAAa,CAUX,OAAO,AAAC,CACN,MAAM,CAjBA,UAAW,CAkBjB,KAAK,CAlBC,UAAW,CAmBlB,AAtHT,AAyHI,aAzHS,CAsBX,UAAU,CAmGR,mBAAmB,AAAC,CAClB,KAAK,CAxBA,IAAI,CAyBV,ACpJL,AAAA,kBAAkB,AAAC,CACjB,KAAK,CrHME,OAAO,CqHLd,SAAS,CtHiDG,OAAQ,CsHhDpB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,mBAAmB,CAAC,WAAW,AAAC,CAC9B,MAAM,CAAE,CAAC,CACV,AAED,AAAA,gBAAgB,CAAC,kBAAkB,AAAC,CAClC,OAAO,CAAE,IAAI,CACd,AAED,AACE,WADS,CACT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAHH,AAIE,WAJS,CAIT,CAAC,AAAC,CACA,KAAK,CtHiLG,OAAmD,CsHhL5D,AANH,AAOE,WAPS,CAOT,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AATH,AAWI,WAXO,CAUT,YAAY,CACV,EAAE,AAAA,cAAc,AAAC,CACf,aAAa,CAAE,MAAM,CACtB,AAIL,AAAA,iBAAiB,AAAC,CAChB,MAAM,CAAE,OAAO,CAChB,AAED,AAEE,YAFU,CAEV,EAAE,CADJ,eAAe,CACb,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAJH,AAMI,YANQ,CAKV,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,CALN,eAAe,CAIb,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,AAAC,CACD,OAAO,CAAE,UAAU,CACpB,AARL,AAWI,YAXQ,CAUV,EAAE,CACA,KAAK,CAXT,YAAY,CAUV,EAAE,CAEA,KAAK,CAXT,eAAe,CASb,EAAE,CACA,KAAK,CAVT,eAAe,CASb,EAAE,CAEA,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAfL,AAkBI,YAlBQ,CAiBV,aAAa,CACX,eAAe,CAjBnB,eAAe,CAgBb,aAAa,CACX,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACrB,AApBL,AAsBE,YAtBU,AAsBT,kBAAkB,CArBrB,eAAe,AAqBZ,kBAAkB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AAGH,AACE,eADa,CACb,WAAW,AAAC,CACV,KAAK,CtHoIG,OAAmD,CsHnI3D,UAAU,CAAE,KAAK,CAClB,AAJH,AAOI,eAPW,CAMb,WAAW,CACP,KAAK,AAAC,CACN,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AAXL,AAYI,eAZW,CAMb,WAAW,AAMR,cAAc,CAAG,KAAK,AAAC,CACtB,UAAU,CAAE,CAAC,CACd,AAdL,AAgBI,eAhBW,CAMb,WAAW,CAUT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAnBL,AAqBI,eArBW,CAMb,WAAW,CAeT,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAvBL,AAyBI,eAzBW,CAMb,WAAW,CAmBT,SAAS,AAAC,CACR,WAAW,CAAE,GAAG,CAWjB,AArCL,AA2BM,eA3BS,CAMb,WAAW,CAmBT,SAAS,CAEP,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,MAAM,CACpB,AA/BP,AAgCM,eAhCS,CAMb,WAAW,CAmBT,SAAS,CAOP,aAAa,AAAC,CACZ,UAAU,CAAE,MAAM,CAClB,KAAK,CtHoGD,OAAmD,CsHnGvD,WAAW,CtHjCE,GAAG,CsHkCjB,AAKP,AAEI,eAFW,CACb,aAAa,CACX,KAAK,AAAC,CACJ,KAAK,CtH0FC,OAAmD,CsHzF1D,AAIL,AACE,aADW,CACX,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACd,AAJH,AAME,aANW,CAMX,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,YAAY,CAAE,IAAI,CAInB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EATvC,AAME,aANW,CAMX,UAAU,AAAC,CAIP,OAAO,CAAE,IAAI,CAEhB,CAZH,AAcE,aAdW,CAcX,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAkBjB,AAjCH,AAgBI,aAhBS,CAcX,IAAI,CAEF,MAAM,AAAA,YAAY,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,AAlBL,AAmBI,aAnBS,CAcX,IAAI,CAKF,KAAK,AAAA,IAAK,CAAA,eAAe,CAAE,CACzB,WAAW,CAAE,IAAI,CAClB,AArBL,AAsBI,aAtBS,CAcX,IAAI,CAQF,SAAS,CAtBb,aAAa,CAcX,IAAI,CASF,MAAM,AAAC,CACL,aAAa,CAAE,IAAI,CACpB,AAzBL,AA0BI,aA1BS,CAcX,IAAI,CAYF,aAAa,AAAC,CACZ,KAAK,CtH0DC,OAAmD,CsHzDzD,MAAM,CAAE,CAAC,CACT,SAAS,CtHzFD,OAAQ,CsH0FhB,WAAW,CAAE,MAAM,CACnB,WAAW,CtH9EI,GAAG,CsH+EnB,AAIL,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,gBAAgB,CAI1B,AALD,AAEE,aAFW,AAEV,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,MAAM,CAAC,EAAE,AAAA,aAAa,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,MAAM,CAInB,AAPD,AAIE,MAJI,CAAC,EAAE,AAAA,aAAa,CAIpB,KAAK,AAAC,CACJ,KAAK,CtHqCG,OAAmD,CsHpC5D,AAKH,AAAA,MAAM,AAAA,WAAW,CACjB,MAAM,AAAA,iBAAiB,AAAC,CACtB,UAAU,CAAE,WAAW,CACvB,KAAK,CtH4BK,OAAmD,CsH3B9D,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAapB,AAhBD,AAIE,aAJW,CAIX,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AANH,AAOE,aAPW,CAOX,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,SAAS,CtHlIJ,GAAG,CsHmIT,AAVH,AAWE,aAXW,CAWX,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,eAAe,CACxB,KAAK,CrHvLE,OAAO,CqHwLf,AC1LH,AAAA,WAAW,AAAA,SAAS,AAAC,CACnB,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,CAAC,CACR,UAAU,CvHsIA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAE,IAAG,CAAC,gBAAmB,CuH3H7C,AAdD,AAIE,WAJS,AAAA,SAAS,AAIjB,QAAQ,AAAC,CACR,UAAU,CAAE,uCAAuC,CACpD,AANH,AAQE,WARS,AAAA,SAAS,CAQlB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,GAAG,CACX,AAEH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACd,AAED,AAAA,WAAW,AAAA,UAAU,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAElB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,KAAK,CACb,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,GAAG,CAAC,KAAK,CvHyKP,OAAmD,CuHxK7D,UAAU,CvH0GI,CAAC,CAAC,IAAI,CAAC,IAAI,CAAC,gBAAmB,CuHzG7C,gBAAgB,CtH5BN,IAAO,CsH6BjB,OAAO,CvH2DG,IAAI,CuH1Dd,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CA2Bb,AAjCD,AAQE,WARS,CAQT,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACd,AAVH,AAYE,WAZS,CAYT,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACZ,AAfH,AAiBE,WAjBS,CAiBT,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AArBH,AAuBE,WAvBS,CAuBT,WAAW,AAAC,CACV,YAAY,CAAE,gBAAgB,CAC9B,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,KAAK,CAClB,AA5BH,AA8BE,WA9BS,CA8BT,mBAAmB,AAAC,CAClB,cAAc,CAAE,WAAW,CAC5B,AAGH,AACE,WADS,AAAA,SAAS,CAClB,EAAE,AAAC,CACD,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACZ,AAGH,AAGI,WAHO,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,CAHjB,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,KAAK,CAMf,AAXL,AAMM,WANK,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,AAGV,MAAM,CANb,WAAW,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,AAIV,MAAM,CAPb,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAGV,MAAM,CANb,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAIV,MAAM,AAAC,CACN,gBAAgB,CvHwHZ,OAAmD,CuHvHvD,OAAO,CAAE,IAAI,CACd,AAVP,AAaI,WAbO,CACT,EAAE,CAYA,IAAI,CAbR,WAAW,CAET,EAAE,AAAA,QAAQ,CAWR,IAAI,AAAC,CACH,SAAS,CvH/BD,OAAQ,CuHgChB,WAAW,CAAE,KAAK,CAClB,KAAK,CvH8GC,OAAoD,CuH7G3D,AAjBL,AAoBE,WApBS,CAoBT,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,YAAY,CACtB,AAvBH,AAyBE,WAzBS,CAyBT,EAAE,AAAA,cAAc,AAAC,CACf,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,UAAU,CAgCvB,AAhEH,AAiCI,WAjCO,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CAKrB,AAvCL,AAmCM,WAnCK,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAEE,MAAM,CAnCb,WAAW,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAGE,MAAM,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AAtCP,AAwCI,WAxCO,CAyBT,EAAE,AAAA,cAAc,CAed,mBAAmB,AAAC,CAClB,KAAK,CvHqFC,OAAoD,CuHpF1D,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,MAAM,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CvH9DD,OAAQ,CuH+DhB,WAAW,CvHjDG,GAAG,CuHkDlB,AA/CL,AAiDM,WAjDK,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AACX,IAAI,CAjDX,WAAW,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAEX,OAAO,AAAC,CACP,KAAK,CtHvHH,IAAO,CsHwHT,OAAO,CAAE,YAAY,CACtB,AArDP,AAsDM,WAtDK,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,AAAC,CACJ,KAAK,CtH1HD,IAAO,CsHiIZ,AA9DP,AAwDQ,WAxDG,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,CAED,CAAC,AAAA,MAAM,AAAA,mBAAmB,AAAC,CAC3B,WAAW,CAAE,GAAG,CACjB,AA1DT,AA2DQ,WA3DG,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,CAKH,IAAI,AAAC,CACH,OAAO,CvH3BP,EAAC,CuH4BF,AA7DT,AAmEE,WAnES,CAmET,CAAC,AAAA,aAAa,AAAC,CACb,KAAK,CvH0DG,OAAoD,CuHzD5D,WAAW,CAAE,MAAM,CACnB,SAAS,CvHvFC,OAAQ,CuHwFnB,AAvEH,AAyEE,WAzES,CAyET,IAAI,AAAA,eAAe,AAAC,CAClB,SAAS,CAAE,KAAK,CACjB,AA3EH,AA6EE,WA7ES,CA6ET,GAAG,AAAA,eAAe,AAAC,CACjB,SAAS,CvH/FC,OAAQ,CuHgGnB,AAGH,AACE,UADQ,CACR,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,C7GlFhB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C6G0KxB,AAjGH,AAKI,UALM,CACR,mBAAmB,CAIjB,EAAE,AAAC,CACD,OAAO,CAAE,OAAO,CAChB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,OAAO,CAChB,AATL,AAWI,UAXM,CACR,mBAAmB,CAUjB,OAAO,CAXX,UAAU,CACR,mBAAmB,AAWhB,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,CvHiCC,OAAmD,CuHhC1D,AAdL,AAeI,UAfM,CACR,mBAAmB,CAcjB,KAAK,AAAC,CACJ,KAAK,CvH8BC,OAAmD,CuH7B1D,AAjBL,AAkBI,UAlBM,CACR,mBAAmB,CAiBjB,EAAE,AAAC,CACD,gBAAgB,CvH2BV,OAAmD,CuHO1D,AArDL,AAuBM,UAvBI,CACR,mBAAmB,CAiBjB,EAAE,CAKA,GAAG,CAAC,GAAG,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAzBP,AA2BM,UA3BI,CACR,mBAAmB,CAiBjB,EAAE,CASA,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CtHlLH,IAAO,CsHmLV,AA7BP,AA+BM,UA/BI,CACR,mBAAmB,CAiBjB,EAAE,AAaC,MAAM,CA/Bb,UAAU,CACR,mBAAmB,CAiBjB,EAAE,AAcC,MAAM,AAAC,CACN,gBAAgB,CvHaZ,OAAmD,CuHZvD,OAAO,CAAE,IAAI,CACd,AAnCP,AAqCM,UArCI,CACR,mBAAmB,CAiBjB,EAAE,CAmBA,CAAC,AAAC,CACA,OAAO,CAAE,CAAC,CASX,AA/CP,AAuCQ,UAvCE,CACR,mBAAmB,CAiBjB,EAAE,CAmBA,CAAC,CAEG,GAAG,AAAC,CACJ,QAAQ,CAAE,MAAM,CAGhB,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CACrB,kBAAkB,CAAE,QAAQ,CAC7B,AA9CT,AAiDM,UAjDI,CACR,mBAAmB,CAiBjB,EAAE,CA+BA,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CACjB,AApDP,AAsDI,UAtDM,CACR,mBAAmB,CAqDjB,EAAE,AAAA,IAAK,CAAA,SAAS,CAAE,CAChB,OAAO,CAAE,YAAY,CAMtB,AA7DL,AAwDM,UAxDI,CACR,mBAAmB,CAqDjB,EAAE,AAAA,IAAK,CAAA,SAAS,EAEd,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,KAAK,CACnB,AA5DP,AA+DM,UA/DI,CACR,mBAAmB,CA6DjB,WAAW,CACT,oBAAoB,AAAC,CACnB,KAAK,CtH/MJ,OAAO,CsHgNT,AAjEP,AAmEI,UAnEM,CACR,mBAAmB,CAkEjB,KAAK,AAAC,CACJ,gBAAgB,CtHzNV,IAAO,CsH0Nd,AArEL,AAsEI,UAtEM,CACR,mBAAmB,CAqEjB,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CACjB,AAxEL,AAyEI,UAzEM,CACR,mBAAmB,CAwEjB,kBAAkB,AAAC,CACjB,UAAU,CAAE,GAAG,CAChB,AA3EL,AA4EI,UA5EM,CACR,mBAAmB,CA2EjB,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,MAAM,CACf,AAjFL,AAkFI,UAlFM,CACR,mBAAmB,CAiFjB,SAAS,CAAC,CAAC,AAAC,CACV,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAChB,KAAK,CvH5CC,OAAoD,CuH6C1D,UAAU,CvH9DN,OAAqB,CuHmE1B,AA9FL,AA0FM,UA1FI,CACR,mBAAmB,CAiFjB,SAAS,CAAC,CAAC,AAQR,MAAM,AAAC,CACN,KAAK,CtHjPH,IAAO,CsHkPT,UAAU,CvH9CN,OAAmD,CuH+CxD,AA7FP,AAmGE,UAnGQ,CAmGR,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,GAAG,AAAA,kBAAkB,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,OAAO,CA2GxB,AA/GD,AAKE,GALC,AAAA,kBAAkB,CAKnB,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,CvHnEhB,OAAoD,CuHoE5D,OAAO,CAAE,IAAI,CAGb,OAAO,CAAE,KAAK,CAmDf,AA7DH,AAYI,GAZD,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAAC,CACD,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CA6ChB,AA5DL,AAgBM,GAhBH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAIC,KAAK,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AAlBP,AAmBM,GAnBH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAOC,OAAO,AAAC,CACP,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,GAAG,CAOf,AA7BP,AAwBQ,GAxBL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAOC,OAAO,CAKN,CAAC,AAAC,CAEA,YAAY,CAAE,KAAK,CACnB,aAAa,CAAE,KAAK,CACrB,AA5BT,AA+BM,GA/BH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CAmBA,CAAC,AAAC,CAGA,MAAM,CAAE,qBAAqB,CAC7B,aAAa,CAAE,CAAC,CACjB,AApCP,AAsCM,GAtCH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAAC,CACP,MAAM,CAAE,GAAG,CAAC,KAAK,CvHpGb,OAAoD,CuHqGxD,aAAa,CAAE,CAAC,CAChB,QAAQ,CAAE,QAAQ,CAkBnB,AA3DP,AA2CQ,GA3CL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CvHtNL,IAAI,CuHuNN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,CtHlTnB,IAAO,CsHmTV,AArDT,AAuDQ,GAvDL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAiBL,MAAM,CAvDf,GAAG,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAkBL,MAAM,AAAC,CACN,gBAAgB,CAAE,OAAO,CAC1B,AA1DT,AA8DE,GA9DC,AAAA,kBAAkB,CA8DnB,CAAC,AAAA,MAAM,CA9DT,GAAG,AAAA,kBAAkB,CA+DnB,CAAC,AAAA,MAAM,AAAC,CACN,gBAAgB,CvH3HR,OAAmD,CuH4H3D,OAAO,CAAE,IAAI,CACd,AAlEH,AAmEE,GAnEC,AAAA,kBAAkB,CAmEnB,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CACrB,AArEH,AAsEE,GAtEC,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,AAAC,CACnB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,QAAQ,CAChB,SAAS,CAAE,KAAK,CAKhB,QAAQ,CAAE,OAAO,CAWlB,AA1FH,AAiFI,GAjFD,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,CAWlB,IAAI,AAAA,QAAQ,AAAC,CACX,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,KAAK,C7GtRpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6GsRpB,A7GjUH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6G4OrC,AAsEE,GAtEC,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,AAAC,CAkBjB,SAAS,CAAE,KAAK,CAEnB,CA1FH,AA2FE,GA3FC,AAAA,kBAAkB,CA2FnB,EAAE,AAAC,CACD,OAAO,CAAE,UAAU,CACnB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CACnB,AA/FH,AAgGE,GAhGC,AAAA,kBAAkB,CAgGnB,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,IAAI,CACjB,AAlGH,AAoGE,GApGC,AAAA,kBAAkB,CAoGnB,EAAE,AAAA,WAAW,AAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AAtGH,AAuGE,GAvGC,AAAA,kBAAkB,CAuGnB,GAAG,CAvGL,GAAG,AAAA,kBAAkB,CAwGnB,CAAC,AAAC,CACA,KAAK,CvHtKG,OAAoD,CuHuK7D,AA1GH,AA4GE,GA5GC,AAAA,kBAAkB,CA4GnB,YAAY,AAAC,CACX,YAAY,CAAE,OAAO,CACtB,AC7WH,AACE,8BAD4B,CAC5B,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,sCAAsC,AAAC,CACrC,KAAK,CAAE,GAAG,CACX,ACRD,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,CAAC,CACZ,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,CAAC,CACd,AAED,AAAA,0BAA0B,CAC1B,yBAAyB,AAAC,CACxB,IAAI,CAAE,CAAC,CACR,AAED,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,gBAAgB,CxHnBN,IAAO,CwHoBjB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,CzH8KP,OAAmD,CyHlK9D,AAjBD,AAOE,0BAPwB,CAOxB,QAAQ,AAAC,CACP,UAAU,CAAE,WAAW,CACxB,AATH,AAWE,0BAXwB,AAWvB,SAAS,AAAC,CACT,MAAM,CAAE,WAAW,CAIpB,AAhBH,AAaI,0BAbsB,AAWvB,SAAS,CAER,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CACnB,AAIL,AAAA,yBAAyB,AAAC,CACxB,SAAS,CAAE,GAAG,CACd,WAAW,CAAE,EAAE,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CzHqJd,OAAmD,CyHjH9D,AAxCD,AAME,oBANkB,CAMlB,IAAI,CANN,oBAAoB,CAOlB,YAAY,AAAC,CACX,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,YAAY,CAYtB,AArBH,AAUI,oBAVgB,CAMlB,IAAI,CAIF,OAAO,CAVX,oBAAoB,CAOlB,YAAY,CAGV,OAAO,AAAC,CACN,KAAK,CzH8IC,OAAmD,CyH7I1D,AAZL,AAcI,oBAdgB,CAMlB,IAAI,CAQF,GAAG,CAdP,oBAAoB,CAOlB,YAAY,CAOV,GAAG,AAAC,CACF,iBAAiB,CAAE,oBAIlB,CACF,AApBL,AAuBE,oBAvBkB,CAuBlB,gBAAgB,AAAC,CACf,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAAC,KAAK,CzH+Hd,OAAmD,CyH9H5D,AA3BH,AA6BE,oBA7BkB,CA6BlB,IAAI,AAAA,IAAK,CAAA,QAAQ,CAAE,CACjB,SAAS,CzHxBD,QAAQ,CyHyBjB,AA/BH,AAiCE,oBAjCkB,CAiClB,IAAI,AAAA,KAAK,AAAC,CACR,WAAW,CAAE,MAAM,CACpB,AAnCH,AAqCE,oBArCkB,CAqClB,IAAI,AAAA,OAAO,AAAC,CACV,UAAU,CAAE,MAAM,CACnB,AA9CH,AAAA,yBAAyB,AAiDC,CACxB,QAAQ,CAAE,IAAI,CACd,MAAM,CAAE,OAAO,CACf,0BAA0B,CAAE,KAAK,CAClC,AAED,AAAA,eAAe,CACf,iBAAiB,AAAC,CAChB,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,UAAU,CACrB,kBAAkB,CAAE,IAAI,CACxB,aAAa,CAAE,CAAC,CAMjB,AAfD,AAUE,eAVa,AAUZ,MAAM,CATT,iBAAiB,AASd,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,iBAAiB,AAAC,CAChB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,GAAG,CACT,QAAQ,CAAE,IAAI,CACf,AAED,AAAA,kBAAkB,CAAC,iBAAiB,AAAC,CACnC,UAAU,CAAE,MAAM,CAClB,KAAK,CzHoEK,OAAmD,CyHpEtC,UAAU,CAClC,AAED,AAAA,iBAAiB,CAAG,CAAC,AAAA,YAAY,AAAC,CAChC,UAAU,CAAE,CAAC,CACd,AAED,AAAA,aAAa,CAAC,yBAAyB,AAAC,CACtC,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CACR,AAED,AAGE,iBAHe,CAAC,aAAa,CAG7B,QAAQ,CAFV,eAAe,CAEb,QAAQ,CADV,iCAAiC,CAC/B,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CACjB,AAPH,AAQE,iBARe,CAAC,aAAa,CAQ7B,mBAAmB,CAPrB,eAAe,CAOb,mBAAmB,CANrB,iCAAiC,CAM/B,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACf,AAVH,AAWE,iBAXe,CAAC,aAAa,CAW7B,0BAA0B,CAV5B,eAAe,CAUb,0BAA0B,CAT5B,iCAAiC,CAS/B,0BAA0B,AAAC,CACzB,MAAM,CAAE,GAAG,CAAC,KAAK,CzH4CT,OAAmD,CyH3C5D,AAbH,AAcE,iBAde,CAAC,aAAa,CAc7B,yBAAyB,CAb3B,eAAe,CAab,yBAAyB,CAZ3B,iCAAiC,CAY/B,yBAAyB,AAAC,CACxB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,UAAU,CACnB,AAjBH,AAkBE,iBAlBe,CAAC,aAAa,CAkB7B,iBAAiB,CAjBnB,eAAe,CAiBb,iBAAiB,CAhBnB,iCAAiC,CAgB/B,iBAAiB,AAAC,CAChB,gBAAgB,CzHqCR,OAAmD,CyHpC3D,OAAO,CAAE,GAAG,CAIb,AAxBH,AAqBI,iBArBa,CAAC,aAAa,CAkB7B,iBAAiB,AAGd,MAAM,CApBX,eAAe,CAiBb,iBAAiB,AAGd,MAAM,CAnBX,iCAAiC,CAgB/B,iBAAiB,AAGd,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAIL,AAAA,iBAAiB,CAAC,aAAa,CAC/B,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CzH0BP,OAAmD,CyHzB9D,AAED,AAAA,iBAAiB,CAAC,GAAG,AAAC,CACpB,cAAc,CAAE,KAAK,CAMtB,AAPD,AAEE,iBAFe,CAAC,GAAG,AAElB,MAAM,CAFT,iBAAiB,CAAC,GAAG,AAGlB,OAAO,CAHV,iBAAiB,CAAC,GAAG,AAIlB,UAAU,AAAC,CACV,cAAc,CAAE,CAAC,CAClB,AAGH,AAAA,iBAAiB,CAAC,cAAc,AAAC,CAC/B,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,KAAK,CAyCtB,AA5CD,AAKE,iBALe,CAAC,cAAc,CAK9B,GAAG,AAAC,CACF,cAAc,CAAE,CAAC,CAClB,AAPH,AAUI,iBAVa,CAAC,cAAc,AAS7B,MAAM,CACL,eAAe,AAAC,CACd,OAAO,CAAE,GAAG,CACb,AAZL,AAcE,iBAde,CAAC,cAAc,CAc9B,eAAe,AAAC,CACd,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,SAAS,CACrB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CAsBR,AA3CH,AAsBI,iBAtBa,CAAC,cAAc,CAc9B,eAAe,CAQb,UAAU,AAAC,CACT,KAAK,CzHTC,OAAmD,CyHU1D,AAxBL,AA0BI,iBA1Ba,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAAC,CACT,KAAK,CxH/MA,OAAO,CwHgNZ,OAAO,CAAE,OAAO,CAcjB,AA1CL,AA6BM,iBA7BW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAGP,cAAc,AAAC,CACd,YAAY,CAAE,CAAC,CAChB,AA/BP,AAiCM,iBAjCW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAOP,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CxHzNH,IAAO,CwH0NV,AApCP,AAsCM,iBAtCW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAYP,IAAK,CAAA,OAAO,CAAC,MAAM,AAAC,CACnB,eAAe,CAAE,SAAS,CAC1B,MAAM,CAAE,OAAO,CAChB,AAKP,AAAA,YAAY,CAAC,iBAAiB,CAAC,cAAc,CAAC,eAAe,AAAC,CAC5D,OAAO,CAAE,CAAC,CACX,AA3LD,AAAA,oBAAoB,AA+LC,CACnB,MAAM,CAAE,MAAM,CAkFf,AAlRD,AAME,oBANkB,CAMlB,IAAI,CANN,oBAAoB,CAOlB,YAAY,AA6LC,CACX,OAAO,CAAE,OAAO,CACjB,AAtMH,AAuBE,oBAvBkB,CAuBlB,gBAAgB,AAgLC,CACf,MAAM,CAAE,QAAQ,CACjB,A/GjOD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GoOnC,AAEI,kBAFc,CAbpB,oBAAoB,CAed,IAAI,CAFR,kBAAkB,CAbpB,oBAAoB,CAgBd,YAAY,AAAC,CACX,OAAO,CAAE,OAAO,CACjB,C/GzOL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GoOnC,AAEI,kBAFc,CAbpB,oBAAoB,CAed,IAAI,CAFR,kBAAkB,CAbpB,oBAAoB,CAgBd,YAAY,AAMC,CACX,OAAO,CAAE,OAAO,CACjB,AAXL,AAYI,kBAZc,CAbpB,oBAAoB,CAyBd,gBAAgB,AAAC,CACf,MAAM,CAAE,QAAQ,CACjB,C/GlPL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuPnC,AAEI,iBAFa,CAhCnB,oBAAoB,CAkCd,IAAI,CAFR,iBAAiB,CAhCnB,oBAAoB,CAmCd,YAAY,AAAC,CACX,OAAO,CAAE,QAAQ,CAClB,C/G5PL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuPnC,AAEI,iBAFa,CAhCnB,oBAAoB,CAkCd,IAAI,CAFR,iBAAiB,CAhCnB,oBAAoB,CAmCd,YAAY,AAMC,CACX,OAAO,CAAE,QAAQ,CAClB,C/GlQL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuQnC,AAEI,iBAFa,CAhDnB,oBAAoB,CAkDd,IAAI,CAFR,iBAAiB,CAhDnB,oBAAoB,CAmDd,YAAY,AAAC,CACX,OAAO,CAAE,OAAO,CACjB,C/G5QL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuQnC,AAEI,iBAFa,CAhDnB,oBAAoB,CAkDd,IAAI,CAFR,iBAAiB,CAhDnB,oBAAoB,CAmDd,YAAY,AAMC,CACX,OAAO,CAAE,OAAO,CACjB,CAKL,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAAC,CACX,SAAS,CzH1PD,OAAQ,CyH2PjB,A/G3RH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuRnC,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAMG,CACX,OAAO,CAAE,OAAO,CACjB,C/GjSL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuRnC,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAYG,CACX,OAAO,CAAE,OAAO,CACjB,CC1TP,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,KAAK,CACb,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,UAAU,CACtB,OAAO,C1H8FK,GAAG,C0H7Ff,WAAW,CAAE,KAAK,CASlB,QAAQ,CAAE,KAAK,CACf,iBAAiB,CAAE,oBAAoB,CAgRxC,AhH9QC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EgHftC,AAAA,mBAAmB,AAAC,CAMhB,WAAW,CAAE,KAAK,CAuRrB,CArRC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,MAAM,EARnC,AAAA,mBAAmB,AAAC,CAShB,WAAW,CAAE,KAAK,CAoRrB,CA7RD,AAeE,mBAfiB,AAehB,gBAAgB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CACnB,AAjBH,AAoBI,mBApBe,AAmBhB,uBAAuB,CACtB,yBAAyB,AAAC,CACxB,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,OAAO,CAChB,AAxBL,AA2BE,mBA3BiB,AA2BhB,oBAAoB,AAAA,KAAK,AAAC,CACzB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,wBAAwB,CAarC,AAZC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EA9BxC,AA2BE,mBA3BiB,AA2BhB,oBAAoB,AAAA,KAAK,AAAC,CAIvB,UAAU,CAAE,IAAI,CAWnB,CA1CH,AAkCM,mBAlCa,AA2BhB,oBAAoB,AAAA,KAAK,CAMxB,eAAe,CACb,yBAAyB,AAAC,CACxB,OAAO,CAAE,OAAO,CACjB,AApCP,AAsCI,mBAtCe,AA2BhB,oBAAoB,AAAA,KAAK,CAWxB,kBAAkB,AAAC,CACjB,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,GAAG,CACpB,AAzCL,AA4CE,mBA5CiB,AA4ChB,oBAAoB,AAAC,CACpB,UAAU,CAAE,CAAC,CACb,UAAU,CAAE,uBAAuB,CACnC,QAAQ,CAAE,KAAK,CACf,WAAW,CAAE,CAAC,CACd,gBAAgB,CzHpDR,IAAO,CyHqDf,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,UAAU,CAAE,GAAG,CAAC,KAAK,C1HyIb,OAAoD,C0HxI5D,UAAU,C1H2EA,CAAC,CAAE,IAAG,CAAC,IAAI,CAAC,gBAAmB,C0H1EzC,WAAW,CAAE,IAAI,CACjB,OAAO,C1H0BK,IAAI,C0HgGjB,AAzHC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EAzDxC,AA4CE,mBA5CiB,AA4ChB,oBAAoB,AAAC,CAclB,WAAW,CAAE,IAAI,CAwHpB,CAlLH,AA4DI,mBA5De,AA4ChB,oBAAoB,CAgBnB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AA9DL,AA+DI,mBA/De,AA4ChB,oBAAoB,CAmBnB,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CACnB,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,KAAK,CACd,YAAY,CAAE,IAAI,CAsGnB,AA3KL,AAuEM,mBAvEa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAQb,sBAAsB,AAAC,CACrB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAClB,AA1EP,AA2EM,mBA3Ea,AA4ChB,oBAAoB,CAmBnB,eAAe,CAYb,aAAa,AAAC,CACZ,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,KAAK,CACjB,WAAW,C1HjBC,GAAG,C0HkBf,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,QAAQ,CACvB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CAIrB,kBAAkB,CAAE,QAAQ,CAC7B,AAJC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EArF5C,AA2EM,mBA3Ea,AA4ChB,oBAAoB,CAmBnB,eAAe,CAYb,aAAa,AAAC,CAWV,kBAAkB,CAAE,CAAC,CAGxB,CAzFP,AA0FM,mBA1Fa,AA4ChB,oBAAoB,CAmBnB,eAAe,CA2Bb,SAAS,AAAC,CACR,KAAK,C1HmGD,OAAoD,C0HlGxD,SAAS,CAAE,UAAU,CACrB,WAAW,CAAE,IAAI,CAClB,AA9FP,AA+FM,mBA/Fa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,AAAC,CACL,UAAU,CAAE,CAAC,CACb,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CAiBZ,AArHP,AAqGQ,mBArGW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,CAMJ,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CACrB,kBAAkB,CAAE,QAAQ,CAC5B,UAAU,CAAE,KAAK,CACjB,WAAW,C1HhDA,GAAG,C0HiDd,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,QAAQ,CACvB,QAAQ,CAAE,MAAM,CAChB,SAAS,C1HpEP,QAAQ,C0HqEX,AAjHT,AAkHQ,mBAlHW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,CAmBJ,CAAC,AAAC,CACA,KAAK,CzHvHL,IAAO,CyHwHR,AApHT,AAsHM,mBAtHa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAuDb,mBAAmB,AAAC,CAClB,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,CAAC,CAIf,AA5HP,AAyHQ,mBAzHW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAuDb,mBAAmB,CAGjB,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACd,AA3HT,AA6HM,mBA7Ha,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,IAAI,CAUX,AA3IP,AAmIQ,mBAnIW,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,CAMvB,MAAM,CAnId,mBAAmB,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,CAOvB,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,CAAC,CAChB,YAAY,CAAE,IAAI,CAClB,QAAQ,CAAE,MAAM,CACjB,AA1IT,AA4IM,mBA5Ia,AA4ChB,oBAAoB,CAmBnB,eAAe,CA6Eb,4BAA4B,AAAC,CAC3B,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,IAAI,CACpB,aAAa,CAAE,KAAK,CACpB,KAAK,CAAE,KAAK,CACb,AAjJP,AAkJM,mBAlJa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,AAAC,CACnB,WAAW,CAAE,CAAC,CACd,kBAAkB,CAAE,KAAK,CACzB,kBAAkB,CAAE,GAAG,CACvB,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CAmBb,AA1KP,AAyJQ,mBAzJW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,YAAY,CAAE,MAAM,CACpB,aAAa,CAAE,KAAK,CACpB,eAAe,CAAE,QAAQ,CAY1B,AAzKT,AA8JU,mBA9JS,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,CAKhB,0BAA0B,AAAC,CACzB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,CAAC,CACf,aAAa,CAAE,GAAG,CACnB,AAlKX,AAmKU,mBAnKS,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,CAUhB,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACZ,AAxKX,AA6KI,mBA7Ke,AA4ChB,oBAAoB,CAiInB,4BAA4B,AAAA,OAAO,AAAC,CAClC,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAjLL,AAoLE,mBApLiB,CAoLjB,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,oBAAoB,CAChC,YAAY,CAAE,IAAI,CAqGnB,AA5RH,AAyLI,mBAzLe,CAoLjB,eAAe,CAKb,kBAAkB,AAAC,CACjB,aAAa,CAAE,GAAG,CAKnB,AA/LL,AA4LM,mBA5La,CAoLjB,eAAe,CAKb,kBAAkB,CAGhB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AA9LP,AAiMI,mBAjMe,CAoLjB,eAAe,CAab,yBAAyB,AAAC,CACxB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,oBAAoB,CAChC,OAAO,CAAE,IAAI,CASd,AA7ML,AAsMM,mBAtMa,CAoLjB,eAAe,CAab,yBAAyB,CAKvB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AAxMP,AA0MM,mBA1Ma,CAoLjB,eAAe,CAab,yBAAyB,CASvB,MAAM,AAAA,WAAW,AAAC,CAChB,YAAY,CAAE,CAAC,CAChB,AA5MP,AA+MI,mBA/Me,CAoLjB,eAAe,CA2Bb,WAAW,AAAC,ChH5Id,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgHwIrB,KAAK,C1HnBC,OAAoD,C0HoB3D,AAlNL,AAoNI,mBApNe,CAoLjB,eAAe,CAgCb,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,KAAK,CAClB,WAAW,CAAE,SAAS,CACtB,YAAY,C1HxBN,OAAmD,C0HyBzD,QAAQ,CAAE,QAAQ,CAClB,iBAAiB,CAAE,oBAAoB,CACxC,AA3NL,AA6NI,mBA7Ne,CAoLjB,eAAe,CAyCb,iBAAiB,AAAC,CAChB,UAAU,CAAE,qBAAqB,CACjC,MAAM,CAAE,OAAO,CAIhB,AAHC,AAAA,gBAAgB,CAhOtB,mBAAmB,CAoLjB,eAAe,CAyCb,iBAAiB,AAGI,CACjB,UAAU,CAAE,IAAI,CACjB,AAlOP,AAqOI,mBArOe,CAoLjB,eAAe,CAiDb,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CACpB,KAAK,CAAE,MAAM,CACb,gBAAgB,C1HxCV,OAAmD,C0HyCzD,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,C1H1IH,CAAC,C0H2IN,AA5OL,AA8OI,mBA9Oe,CAoLjB,eAAe,CA0Db,0BAA0B,AAAC,CACzB,YAAY,CAAE,GAAG,CAClB,AAhPL,AAkPI,mBAlPe,CAoLjB,eAAe,CA8Db,aAAa,AAAC,CACZ,KAAK,C1HrDC,OAAoD,C0HsD3D,AApPL,AAsPI,mBAtPe,CAoLjB,eAAe,CAkEb,kBAAkB,AAAC,ChHnLrB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgH+KrB,WAAW,CAAE,OAAO,CACpB,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAhQL,AA6PM,mBA7Pa,CAoLjB,eAAe,CAkEb,kBAAkB,CAOhB,YAAY,AAAC,CACX,UAAU,CAAE,GAAG,CAChB,AA/PP,AAkQI,mBAlQe,CAoLjB,eAAe,CA8Eb,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CAClB,AApQL,AAsQI,mBAtQe,CAoLjB,eAAe,CAkFb,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,WAAW,CAAE,OAAO,CAMpB,OAAO,C1H7KH,CAAC,C0H8KN,AA/QL,AAyQM,mBAzQa,CAoLjB,eAAe,CAkFb,mBAAmB,CAGjB,SAAS,AAAC,CACR,SAAS,CAAE,KAAK,CAChB,KAAK,CzH7QF,OAAO,CyH8QV,YAAY,CAAE,GAAG,CAClB,AA7QP,AAiRI,mBAjRe,CAoLjB,eAAe,CA6Fb,YAAY,AAAC,CACX,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,OAAO,CACjB,AApRL,AAsRI,mBAtRe,CAoLjB,eAAe,CAkGb,SAAS,AAAC,ChHnNZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgH+MrB,OAAO,CAAE,YAAY,CACrB,KAAK,C1H3FC,OAAoD,C0H4F1D,UAAU,CAAE,KAAK,CAClB,AC/RL,AAAA,EAAE,CAAC,kBAAkB,CAAC,MAAM,AAAC,CAC3B,UAAU,CAAE,KAAK,CAClB,ArBFD,AAwBE,MAxBI,AAwBH,WAAW,AsBvBI,CAChB,MAAM,CAAE,CAAC,CAIV,AtBND,AA2BI,MA3BE,AAwBH,WAAW,AAGT,UAAU,AsBxBD,CACV,OAAO,CAAE,GAAG,CACb,A9EDH,AAAA,OAAO,A+EAC,CAGN,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,KAAK,CAIlB,AAHC,MAAM,CAAC,GAAG,MAAM,UAAU,EAAE,KAAK,E/ELnC,AAAA,OAAO,A+EAC,CAMJ,UAAU,CAAE,KAAK,CAEpB,CCZD,AAAA,yBAAyB,AAAC,CACxB,OAAO,CAAE,eAAe,CACzB,AAED,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,eAAe,CACzB,AlBND,AAAA,cAAc,AkBQC,CACb,OAAO,C9H8EY,IAAI,C8H+HxB,AlBtND,AAwBE,cAxBY,CAwBZ,WAAW,AkBdC,CACV,OAAO,CAAE,MAAM,CACf,cAAc,CAAE,2BAA2B,CAI3C,SAAS,CAAE,CAAC,CACb,AAJC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ElBbvC,AAwBE,cAxBY,CAwBZ,WAAW,AkBdC,CAIR,OAAO,CAAE,KAAK,CAGjB,ClBjBH,AA2CE,cA3CY,AA2CX,KAAK,AkBxBC,CACL,MAAM,CAAE,KAAK,CAId,AlBxBH,AA6CI,cA7CU,AA2CX,KAAK,AAEH,WAAW,AkBxBC,CACX,MAAM,CAAE,IAAI,CACb,AlB4cL,AAUI,IAVA,AAAA,0BAA0B,CAQ5B,cAAc,AAEX,KAAK,AkBnd8B,CACpC,MAAM,CAAE,mCAAmC,CAI5C,AALD,AAEE,IAFE,AAAA,0BAA0B,CAlBhC,cAAc,AAkBoB,KAAK,CAEnC,WAAW,AAAC,CACV,cAAc,CAAE,GAAG,CACpB,AlB9BL,AA8FE,cA9FY,CA8FZ,SAAS,AkB7DC,CACR,MAAM,CAAE,KAAK,CAqBd,AlBvDH,AAsGI,cAtGU,CA8FZ,SAAS,CAQP,cAAc,AkBnEC,CACb,SAAS,CAAE,iBAAiB,CAC7B,ApHlBH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkGnBrC,AAsGI,cAtGU,CA8FZ,SAAS,CAQP,cAAc,AkB3DG,CACb,SAAS,CAAE,IAAI,CAChB,AArCP,AAuCM,cAvCQ,CAyBZ,SAAS,CAcL,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CAClB,AlBjDP,AAsJI,cAtJU,CA8FZ,SAAS,CAwDP,kBAAkB,AkBnGG,CACjB,UAAU,CAAE,UAAU,CACvB,CA7CP,AAiDE,cAjDY,CAiDZ,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CAIlB,AAtDH,AAmDI,cAnDU,CAiDZ,QAAQ,CAEN,oBAAoB,AAAC,CACnB,cAAc,CAAE,QAAQ,CACzB,AlB7DL,AA2EE,cA3EY,AA2EX,MAAM,AkBXC,CACN,cAAc,CAAE,2BAA2B,CAU5C,AAnEH,AA2DI,cA3DU,AAwDX,MAAM,CAGL,eAAe,CA3DnB,cAAc,AAwDX,MAAM,CAIL,QAAQ,AAAC,CACP,GAAG,CAAE,GAAG,CACT,AlBtEL,AA8EI,cA9EU,AA2EX,MAAM,CAGL,WAAW,AkBPC,CACV,KAAK,CAAE,iBAAiB,CpHZ5B,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CoHYpB,AlB1EL,AA2PE,cA3PY,CA2PZ,YAAY,AkB9KC,CACX,KAAK,CAAE,iBAAiB,CACzB,AlB/EH,AAuNE,cAvNY,CAuNZ,eAAe,AkBtIC,CACd,aAAa,CAAE,GAAG,CAInB,AlBtFH,AA+NI,cA/NU,CAuNZ,eAAe,CAQb,iBAAiB,AkB5IC,CAChB,KAAK,CAAE,eAAe,CACvB,AlBrFL,AAuRE,cAvRY,CAuRZ,aAAa,AkB/LC,CACZ,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,QAAQ,CA6BtB,AA/GH,AAmFI,cAnFU,CAgFZ,aAAa,CAGX,eAAe,AAAC,CACd,IAAI,CAAE,QAAQ,CAWf,AA/FL,AAqFM,cArFQ,CAgFZ,aAAa,CAGX,eAAe,CAEb,aAAa,CArFnB,cAAc,CAgFZ,aAAa,CAGX,eAAe,CAGb,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CACjB,AAxFP,AAyFM,cAzFQ,CAgFZ,aAAa,CAGX,eAAe,CAMb,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CAChB,KAAK,C9HiGD,OAAmD,C8HhGvD,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,OAAO,CACjB,AA9FP,AAgGI,cAhGU,CAgFZ,aAAa,CAgBX,mBAAmB,AAAA,IAAK,CAAA,OAAO,EAhGnC,cAAc,CAgFZ,aAAa,CAiBX,eAAe,AAAC,CAEd,OAAO,CAAE,WAAW,CACrB,AApGL,AAsGM,cAtGQ,CAgFZ,aAAa,CAqBX,mBAAmB,AAChB,OAAO,CAAG,eAAe,AAAC,CAEzB,OAAO,CAAE,IAAI,CACd,AAzGP,AA4GI,cA5GU,CAgFZ,aAAa,CA4BX,eAAe,AAAC,CACd,WAAW,CAAE,MAAM,CACpB,AA9GL,AAiHE,cAjHY,CAiHZ,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACZ,AAnHH,AAsHI,cAtHU,AAqHX,aAAa,CACZ,yBAAyB,AAAC,CACxB,QAAQ,CAAE,KAAK,CACf,OAAO,C9H1CG,IAAI,C8H2Cd,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,gBAAgB,C7HpIV,IAAO,C6HqIb,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,IAAI,CAIf,AArIL,AAkIM,cAlIQ,AAqHX,aAAa,CACZ,yBAAyB,CAYvB,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CACpB,AApIP,AAsII,cAtIU,AAqHX,aAAa,CAiBZ,IAAI,AAAA,aAAa,AAAC,CAChB,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,C9H5DG,IAAI,C8H6Df,AA3IL,AA+II,cA/IU,AA8IX,aAAa,CACZ,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACd,AAjJL,AAoJE,cApJY,CAoJZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACd,AAtJH,AAwJE,cAxJY,CAwJZ,gBAAgB,CAAC,oBAAoB,AAAC,CACpC,OAAO,CAAE,IAAI,CACd,AA1JH,AA6JI,cA7JU,CA4JZ,oBAAoB,CAAC,IAAI,AACtB,QAAQ,AAAC,CACR,MAAM,CAAE,CAAC,CACV,AA/JL,AAkKE,cAlKY,CAkKZ,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACd,AApKH,AAsKE,cAtKY,CAsKZ,mBAAmB,CAtKrB,cAAc,CAuKZ,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CAIV,AA5KH,AAyKI,cAzKU,CAsKZ,mBAAmB,CAGjB,YAAY,CAzKhB,cAAc,CAuKZ,cAAc,CAEZ,YAAY,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AlBnLL,AAuOI,cAvOU,CAsOZ,UAAU,CACR,eAAe,AkBhDC,CACd,UAAU,CAAE,IAAI,CAChB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,GAAG,CACV,aAAa,CAAE,GAAG,CACnB,AArLL,AAuLI,cAvLU,CA8KZ,UAAU,CASR,iBAAiB,AAAC,CAChB,KAAK,CAAE,GAAG,CACV,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,GAAG,CAChB,aAAa,CAAE,GAAG,CAClB,OAAO,C9H/FH,CAAC,C8HgGN,AA7LL,AAgME,cAhMY,CAgMZ,YAAY,CAhMd,cAAc,CAiMZ,eAAe,CAjMjB,cAAc,CAkMZ,YAAY,CAlMd,cAAc,CAmMZ,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACZ,AlB7MH,AAkPE,cAlPY,CAkPZ,YAAY,AkBnCC,CACX,MAAM,CAAE,WAAW,CACpB,AlBjNH,AAuKE,cAvKY,CAuKZ,QAAQ,AkB4CC,CACP,YAAY,CAAE,GAAG,CAClB,AhInMH,AAAA,IAAI,AiIXC,CACH,gBAAgB,C9HPN,IAAO,C8HQlB,AAED,AACE,WADS,CACT,QAAQ,AAAC,CACP,gBAAgB,C9HZR,IAAO,C8Haf,SAAS,C/H8CS,MAAM,C+H7CzB,AAJH,AAOI,WAPO,CAMT,KAAK,CACF,AAAA,IAAC,CAAK,MAAM,AAAX,EAPN,WAAW,CAMT,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,EARN,WAAW,CAMT,KAAK,CAGF,AAAA,IAAC,CAAK,UAAU,AAAf,EATN,WAAW,CAMT,KAAK,CAIF,AAAA,IAAC,CAAK,gBAAgB,AAArB,EAVN,WAAW,CAMT,KAAK,CAKF,AAAA,IAAC,CAAK,MAAM,AAAX,EAXN,WAAW,CAMT,KAAK,CAMF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAZN,WAAW,CAMT,KAAK,CAOF,AAAA,IAAC,CAAK,MAAM,AAAX,EAbN,WAAW,CAMT,KAAK,CAQF,AAAA,IAAC,CAAK,MAAM,AAAX,EAdN,WAAW,CAMT,KAAK,CASF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAfN,WAAW,CAMT,KAAK,CAUF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAhBN,WAAW,CAMT,KAAK,CAWF,AAAA,IAAC,CAAK,KAAK,AAAV,EAjBN,WAAW,CAMT,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAlBN,WAAW,CAMT,KAAK,CAaF,AAAA,IAAC,CAAK,KAAK,AAAV,EAnBN,WAAW,CAMT,KAAK,CAcF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CACd,SAAS,C/H4BO,MAAM,C+H3BvB,ArDgDL,AAAA,UAAU,AqD5CC,CAET,OAAO,CAAE,kBAAkB,CAS5B,AAXD,AAIE,UAJQ,CAIR,CAAC,AAAC,CACA,MAAM,CAAE,UAAU,CAKnB,AAVH,AAOI,UAPM,CAIR,CAAC,AAGE,aAAa,AAAC,CACb,aAAa,CAAE,CAAC,CACjB,ArDmUL,AAAA,KAAK,AqD9TC,CACJ,OAAO,CAAE,MAAM,CAChB,AAED,AACE,MADI,CACJ,SAAS,AAAC,CACR,OAAO,CAAE,UAAU,CACpB,AAGH,AAAA,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CACnB,ApE9CD,AAAA,cAAc,AoEiDC,CACb,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,OAAO,CACjB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,C/HwHP,OAAmD,C+HtH7D,UAAU,CAAE,IAAI,CAqDjB,AA7DD,AAUE,WAVS,CAUT,CAAC,AAAC,CACA,KAAK,C9HjFC,IAAO,C8HsFd,AAhBH,AAYI,WAZO,CAUT,CAAC,CAEC,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,KAAK,C/HgHC,OAAmD,C+H/G1D,AAfL,AAkBE,WAlBS,CAkBP,EAAE,CAAG,CAAC,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,QAAQ,CACjB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACvB,AAzBH,AA4BI,WA5BO,CA2BT,SAAS,CAAC,OAAO,AACd,aAAa,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,CAAC,CAChB,AA/BL,AAkCE,WAlCS,CAkCT,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CAyBd,AA5DH,AAoCI,WApCO,CAkCT,KAAK,AAEF,SAAS,AAAC,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,OAAO,C/HZC,GAAG,C+HaX,gBAAgB,C9H9GV,IAAO,C8H+Gb,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,C/HgFX,OAAmD,C+H/EzD,UAAU,CAAE,UAAU,CAYvB,AA3DL,AAiDM,WAjDK,CAkCT,KAAK,AAEF,SAAS,CAaR,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,CAAC,CAOX,AA1DP,AAqDQ,WArDG,CAkCT,KAAK,AAEF,SAAS,CAaR,EAAE,CAIA,CAAC,AAAC,CACA,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,OAAO,CACjB,AAMT,AACE,cADY,CACZ,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAIH,AAAA,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CACnB,A3C3ID,AAAA,iBAAiB,A2C+IC,CAChB,KAAK,CAAE,GAAG,CACX,CAKD,AAAA,AACE,cADD,AAAA,CAAe,MAAM,CACpB,OAAO,EADT,AAAA,cAAC,AAAA,CAAe,MAAM,CAElB,aAAa,AAAC,CACd,SAAS,CAAE,mBAAmB,CAC9B,eAAe,CAAE,IAAI,CACtB,CALH,AAAA,AAME,cAND,AAAA,CAAe,MAAM,CAMpB,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CACnB,A7CjKH,AAAA,SAAS,A8CIC,CACR,MAAM,CAAE,MAAM,CAkEf,A9CvED,AA0CE,SA1CO,CA0CP,MAAM,A8ClCC,CACL,SAAS,CAAE,GAAG,CtHmDhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CsHnDrB,iBAAiB,CAAE,WAAW,CAC9B,SAAS,CAAE,WAAW,CAKtB,SAAS,CAAE,IAAI,CAKhB,AAlBH,AAcI,SAdK,CAIP,MAAM,CAUJ,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,A9CrBL,AAoDE,SApDO,CAoDP,UAAU,A8C5BC,CACT,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,IAAI,CAChB,AAvBH,AAwBE,SAxBO,CAwBP,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,SAAS,ChImBD,QAAQ,CgIlBjB,AA3BH,AA+BM,SA/BG,CA4BP,mBAAmB,CACjB,WAAW,AAER,IAAK,CAAA,SAAS,CAAE,CACf,UAAU,CAAE,MAAM,CACnB,AAjCP,AAkCM,SAlCG,CA4BP,mBAAmB,CACjB,WAAW,CAKT,aAAa,AAAC,CACZ,SAAS,ChIWR,GAAG,CgIVJ,MAAM,CAAE,YAAY,CAKrB,AAJC,AAAA,0BAA0B,CArClC,SAAS,CA4BP,mBAAmB,CACjB,WAAW,CAKT,aAAa,AAGkB,CAE3B,MAAM,CAAE,YAAY,CACrB,AAxCT,AA0CM,SA1CG,CA4BP,mBAAmB,CACjB,WAAW,CAaT,8BAA8B,AAAC,CAC7B,KAAK,CAAE,IAAI,CACZ,AA5CP,AA+CE,SA/CO,CA+CP,MAAM,AAAA,eAAe,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AAjDH,AAqDI,SArDK,CAoDP,mBAAmB,CAAG,MAAM,CAC1B,eAAe,CArDnB,SAAS,CAoDP,mBAAmB,CAAG,MAAM,CAE1B,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACd,A9C5DL,AA4DE,SA5DO,CA4DP,MAAM,A8CGC,CACL,SAAS,CAAE,WAAW,CACvB,AA7DH,AAgEE,SAhEO,CAgEP,eAAe,AAAC,CACd,iBAAiB,CAAE,aAAa,CACjC,A9CiCH,AAsEE,eAtEa,CAsEb,OAAO,A8CnGC,CACN,WAAW,ChIXM,GAAG,CgIYrB,AAHH,AAKI,eALW,CAIb,OAAO,CAAC,KAAK,AACV,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CACjB,A3D3BH,AAAA,YAAY,A2D+BD,CACX,WAAW,CAAE,QAAQ,CACtB,AAED,AAAA,YAAY,CAAC,eAAe,AAAC,CAC3B,OAAO,CAAE,IAAI,CACd,ACvFD,AAEE,YAFU,CAEV,sBAAsB,CADxB,eAAe,CACb,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,AAJH,AAME,YANU,CAMV,MAAM,CALR,eAAe,CAKb,MAAM,AAAC,CACL,OAAO,CAAE,CAAC,CACX,AARH,AAUE,YAVU,CAUV,cAAc,AAAA,IAAK,CH2FO,OAAO,EGpGnC,eAAe,CASb,cAAc,AAAA,IAAK,CH2FO,OAAO,CG3FL,CAC1B,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,MAAM,CACvB,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,IAAI,CACpB,WAAW,CAAE,GAAG,CAgBjB,AAhCH,AAkBI,YAlBQ,CAUV,cAAc,AAAA,IAAK,CH2FO,OAAO,EGnF/B,MAAM,CAjBV,eAAe,CASb,cAAc,AAAA,IAAK,CH2FO,OAAO,EGnF/B,MAAM,AAAC,CACL,IAAI,CAAE,OAAO,CACb,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,UAAU,CAClB,SAAS,CjIyBN,GAAG,CiIxBN,WAAW,CAAE,MAAM,CAIpB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAxBzC,AAkBI,YAlBQ,CAUV,cAAc,AAAA,IAAK,CH2FO,OAAO,EGnF/B,MAAM,CAjBV,eAAe,CASb,cAAc,AAAA,IAAK,CH2FO,OAAO,EGnF/B,MAAM,AAAC,CAOH,SAAS,CjIsBR,GAAG,CiIpBP,CA3BL,AA6BI,YA7BQ,CAUV,cAAc,AAAA,IAAK,CH2FO,OAAO,EGxE7B,WAAW,CA5BjB,eAAe,CASb,cAAc,AAAA,IAAK,CH2FO,OAAO,EGxE7B,WAAW,AAAC,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,CjImKf,OAAmD,CiIlK1D,AA/BL,AAkCE,YAlCU,CAkCV,IAAI,CAjCN,eAAe,CAiCb,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,cAAc,CAAE,MAAM,CACvB,AAtCH,AAwCE,YAxCU,CAwCV,KAAK,CAvCP,eAAe,CAuCb,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AA1CH,AA6CI,YA7CQ,CA4CV,EAAE,AACC,MAAM,CAAC,EAAE,CAAC,KAAK,CA5CpB,eAAe,CA2Cb,EAAE,AACC,MAAM,CAAC,EAAE,CAAC,KAAK,AAAC,CACf,UAAU,CAAE,MAAM,CACnB,AA/CL,AAiDI,YAjDQ,CA4CV,EAAE,CAKA,EAAE,CAAC,KAAK,CAhDZ,eAAe,CA2Cb,EAAE,CAKA,EAAE,CAAC,KAAK,AAAC,CACP,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,UAAU,CACtB,AXtBL,AAMI,YANQ,CAKV,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,CALN,eAAe,CAIb,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,AWkBsB,CACtB,OAAO,CAAE,SAAS,CACnB,AA1DL,AA4DI,YA5DQ,CA4CV,EAAE,AAgBC,IAAK,CAAA,sBAAsB,EA3DhC,eAAe,CA2Cb,EAAE,AAgBC,IAAK,CAAA,sBAAsB,CAAE,CAC5B,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AA/DL,AAmEI,YAnEQ,CAkEV,IAAI,AACD,IAAK,CpCwQE,MAAM,EoCxQE,EAAE,CAlEtB,eAAe,CAiEb,IAAI,AACD,IAAK,CpCwQE,MAAM,EoCxQE,EAAE,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AArEL,AAwEE,YAxEU,CAwEV,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAxEpB,YAAY,CAyEV,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EAzEpB,YAAY,CA0EV,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EA1EpB,YAAY,CA2EV,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,KAAK,AAAV,EA1EpB,eAAe,CAuEb,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAvEpB,eAAe,CAwEb,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EAxEpB,eAAe,CAyEb,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EAzEpB,eAAe,CA0Eb,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,KAAK,AAAV,CAAY,CAC5B,UAAU,CAAE,CAAC,CACb,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACvB,AA/EH,AAiFE,YAjFU,CAiFV,aAAa,CAhFf,eAAe,CAgFb,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,MAAM,CACd,SAAS,CjIpCC,OAAQ,CiIqCnB,AArFH,AAuFE,YAvFU,CAuFV,MAAM,AAAA,YAAY,CAtFpB,eAAe,CAsFb,MAAM,AAAA,YAAY,AAAC,CACjB,OAAO,CAAE,SAAS,CAClB,MAAM,CAAE,CAAC,CACV,AA1FH,AA4FE,YA5FU,CA4FV,iBAAiB,CA3FnB,eAAe,CA2Fb,iBAAiB,AAAC,CAChB,WAAW,CAAE,MAAM,CACpB,AAKH,AACE,QADM,AAAA,YAAY,CAClB,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CAKZ,AAPH,AAGI,QAHI,AAAA,YAAY,CAClB,YAAY,CAEV,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AANL,AASE,QATM,AAAA,YAAY,CASlB,WAAW,AAAC,CACV,aAAa,CAAE,MAAM,CAkBtB,AA5BH,AAWI,QAXI,AAAA,YAAY,CASlB,WAAW,CAET,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,MAAM,CACf,AAfL,AAiBI,QAjBI,AAAA,YAAY,CASlB,WAAW,CAQT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,AApBL,AAqBI,QArBI,AAAA,YAAY,CASlB,WAAW,CAYT,QAAQ,CArBZ,QAAQ,AAAA,YAAY,CASlB,WAAW,CAaT,KAAK,CAtBT,QAAQ,AAAA,YAAY,CASlB,WAAW,CAcT,MAAM,AAAC,CACL,SAAS,CjI7EH,QAAQ,CiI8Ed,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,CAAC,CACd,AA3BL,AA+BI,QA/BI,AAAA,YAAY,CA8BlB,EAAE,CACA,EAAE,CAAC,KAAK,AAAC,CACP,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,KAAK,CACf,AAOL,AAAA,eAAe,CAAC,WAAW,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAcvB,AAhBD,AAII,eAJW,CAAC,WAAW,CAGzB,EAAE,AAAA,aAAa,CACb,KAAK,AAAC,CACJ,KAAK,CjI8CC,OAAoD,CiI7C3D,AANL,AASE,eATa,CAAC,WAAW,CASzB,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CAAC,KAAK,CjI2ChB,OAAmD,CiI1C5D,AAXH,AAaE,eAba,CAAC,WAAW,CAazB,WAAW,AAAC,CACV,aAAa,CAAE,MAAM,CACtB,AAGH,AACE,eADa,CACb,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AAJH,AAME,eANa,CAMb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAWvB,AXtHH,AAOI,eAPW,CAMb,WAAW,CACP,KAAK,AWsGC,CACN,KAAK,CAAE,IAAI,CACZ,AX/GL,AAyBI,eAzBW,CAMb,WAAW,CAmBT,SAAS,AWuFC,CACR,WAAW,CAAE,CAAC,CAIf,AXrHL,AA2BM,eA3BS,CAMb,WAAW,CAmBT,SAAS,CAEP,KAAK,AWuFC,CACJ,WAAW,CjIjHE,GAAG,CiIkHjB,AAKP,AAAA,eAAe,CACf,YAAY,CACZ,aAAa,AAAC,CACZ,UAAU,CAAE,IAAI,CAkBjB,AArBD,AAIE,eAJa,CAIb,UAAU,CAHZ,YAAY,CAGV,UAAU,CAFZ,aAAa,CAEX,UAAU,AAAC,CACT,WAAW,CAAE,IAAI,CAClB,AANH,AAOE,eAPa,CAOb,mBAAmB,CANrB,YAAY,CAMV,mBAAmB,CALrB,aAAa,CAKX,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAVH,AAWE,eAXa,CAWb,SAAS,CAVX,YAAY,CAUV,SAAS,CATX,aAAa,CASX,SAAS,AAAC,CACR,YAAY,CAAE,GAAG,CAClB,AAbH,AAcE,eAda,CAcb,EAAE,CAbJ,YAAY,CAaV,EAAE,CAZJ,aAAa,CAYX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAhBH,AAiBE,eAjBa,CAiBb,IAAI,CAhBN,YAAY,CAgBV,IAAI,CAfN,aAAa,CAeX,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,KAAK,CACd,AAGH,AAAA,eAAe,CAAC,IAAI,AAAC,CACnB,SAAS,CAAE,KAAK,CACjB,AAED,AACE,gBADc,CAAC,eAAe,CAC9B,aAAa,AAAC,CACZ,aAAa,CAAE,IAAI,CACpB,AXtGH,AAME,aANW,CAMX,UAAU,AWoGC,CACT,OAAO,CAAE,IAAI,CACd,ACzNH,AAAA,WAAW,CAAC,KAAK,AAAC,CAChB,QAAQ,CAAE,MAAM,CACjB,AdGD,AAAA,uBAAuB,AcDC,CACtB,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,IAAI,CACpB,AdiCD,AAAA,QAAQ,AAAA,MAAM,Ac9BC,CACb,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,MAAM,AAAA,KAAK,AAAC,CACV,UAAU,CAAE,sCAAsC,CAClD,GAAG,CAAE,IAAI,CACV,AACD,AAAA,MAAM,AAAA,KAAK,AAAA,GAAG,AAAC,CACb,GAAG,CAAE,GAAG,CACT,AACD,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AdmID,AAAA,aAAa,Ac/HC,CACZ,OAAO,CAAE,IAAI,CACd,AdyBD,AAAA,aAAa,AcvBC,CACZ,OAAO,CAAE,IAAI,CAId,AALD,AAEE,aAFW,CAEX,EAAE,AAAC,CACD,SAAS,ClIWD,QAAQ,CkIVjB,AAGH,AAAA,MAAM,AAAC,CACL,SAAS,ClIIC,QAAQ,CkIHnB,AAED,AACE,cADY,CACZ,CAAC,AAAC,CACA,UAAU,CAAE,CAAC,CACd,AAHH,AAKE,cALY,CAKZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,YAAY,CAAE,IAAI,CACnB,AAPH,AASE,cATY,CASZ,iBAAiB,AAAC,CAChB,aAAa,CAAE,GAAG,CACnB,AAXH,AAaE,cAbY,CAaZ,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CACb,AAjBH,AAmBE,cAnBY,CAmBZ,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAKjB,AAzBH,AAqBI,cArBU,CAmBZ,IAAI,CAEF,KAAK,AAAA,IAAK,CAAA,aAAa,EAAC,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACpC,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACZ,AAIL,MAAM,MAAM,MAAM,MAAM,gBAAgB,EAAE,KAAK,EAC7C,AAAA,MAAM,CAAC,WAAW,CAAC,aAAa,AAAC,CAC/B,MAAM,CAAE,GAAG,CACZ,CAGH,AACE,oBADkB,CAClB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AAJH,AAKE,oBALkB,AAKjB,MAAM,CAAC,WAAW,AAAC,CAClB,MAAM,CAAE,KAAK,CACd,Ad2RH,AAYI,oBAZgB,CAOlB,kBAAkB,CAKhB,qBAAqB,AcrSkB,CACvC,GAAG,CAAE,MAAM,CACX,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,KAAK,CACjB,Ad/EH,AAAA,sBAAsB,AcoFC,CACrB,aAAa,CAAE,IAAI,CACpB,AAID,AACE,YADU,CACV,uBAAuB,AAAC,CACtB,aAAa,CAAE,CAAC,CACjB,AAHH,AAIE,YAJU,CAIV,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,IAAI,CACf,AzBjGH,AAAA,cAAc,A0BNC,CACb,MAAM,CAAE,kBAAkB,CAqH3B,AAtHD,AAEE,cAFY,CAEZ,oBAAoB,AAAA,OAAO,AAAC,CAC1B,OAAO,CAAE,IAAI,CACd,AAJH,AAME,cANY,CAMZ,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CASpB,AAlBH,AAUI,cAVU,CAMZ,UAAU,CAIR,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,OAAO,CACnB,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,cAAc,CACtB,KAAK,CAAE,EAAE,CACV,AAjBL,AAoBE,cApBY,CAoBZ,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACb,AAvBH,AAyBE,cAzBY,CAyBZ,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CAWd,AAxCH,AA+BI,cA/BU,CAyBZ,qBAAqB,CAMnB,MAAM,AAAC,CACL,MAAM,CAAE,KAAK,CAOd,AAvCL,AAkCM,cAlCQ,CAyBZ,qBAAqB,CAMnB,MAAM,AAGH,kBAAkB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,QAAQ,CACf,AAtCP,AA0CE,cA1CY,CA0CZ,WAAW,AAAA,IAAK,CAAA,UAAU,CAAE,CAC1B,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,OAAO,CACnB,aAAa,CAAE,IAAI,CACpB,AA9CH,AAgDE,cAhDY,CAgDZ,IAAI,AAAA,IAAK,CAAA,kBAAkB,CAAE,CAC3B,aAAa,CAAE,IAAI,CACpB,AAlDH,AAoDE,cApDY,CAoDZ,0BAA0B,CApD5B,cAAc,CAqDZ,yBAAyB,AAAC,CACxB,KAAK,CAAE,CAAC,CACT,AAvDH,AAyDE,cAzDY,CAyDZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CAYZ,AAxEH,AA8DM,cA9DQ,CAyDZ,oBAAoB,CAIlB,cAAc,CACZ,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAjEzC,AAmEQ,cAnEM,CAyDZ,oBAAoB,CAIlB,cAAc,CAMV,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACd,CArET,AA0EE,cA1EY,CA0EZ,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,aAAa,CACrB,QAAQ,CAAE,QAAQ,CAuCnB,AArHH,AA+EI,cA/EU,CA0EZ,UAAU,CAKR,kBAAkB,AAAC,CACjB,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CACnB,AAlFL,AAmFI,cAnFU,CA0EZ,UAAU,CASN,EAAE,AAAC,CACH,YAAY,CAAE,CAAC,CACf,SAAS,CnIzCD,OAAQ,CmI0ChB,MAAM,CAAE,GAAG,CAAC,KAAK,CnIuGX,OAAmD,CmItG1D,AAvFL,AAwFI,cAxFU,CA0EZ,UAAU,CAcN,EAAE,CAAG,CAAC,AAAC,CACP,WAAW,CnI/BG,GAAG,CmIgCjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AA/FL,AA4FM,cA5FQ,CA0EZ,UAAU,CAcN,EAAE,CAAG,CAAC,CAIN,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AA9FP,AAgGI,cAhGU,CA0EZ,UAAU,CAsBR,KAAK,AAAC,CACJ,MAAM,CAAE,GAAG,CAAC,KAAK,CnI4FX,OAAmD,CmI3FzD,QAAQ,CAAE,QAAQ,CAClB,OAAO,CnIRC,GAAG,CmISX,gBAAgB,ClI1GV,IAAO,CkI2Gb,OAAO,CAAE,gBAAgB,CACzB,KAAK,CAAE,KAAK,CACZ,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CAWR,AApHL,AA0GM,cA1GQ,CA0EZ,UAAU,CAsBR,KAAK,CAUH,EAAE,AAAC,CACD,eAAe,CAAE,IAAI,CACrB,WAAW,CAAE,CAAC,CACd,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,IAAI,CAKlB,AAnHP,AA+GQ,cA/GM,CA0EZ,UAAU,CAsBR,KAAK,CAUH,EAAE,CAKA,CAAC,AAAC,CACA,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACtB,AAMT,AAAA,eAAe,CAAC,WAAW,AAAC,CAC1B,WAAW,CAAE,CAAC,CACf,AAKD,AACE,WADS,CACT,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,A1B7DH,AAqCE,WArCS,CAqCT,EAAE,CArCJ,WAAW,CAsCT,EAAE,A0B0BC,CACD,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,KAAK,CACjB,AATH,AAWE,WAXS,CAWT,UAAU,AAAC,CACT,WAAW,CnIlFM,GAAG,CmImFpB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CnI/CD,CAAC,CmI0DR,AAzBH,AAeI,WAfO,CAWT,UAAU,CAIR,CAAC,AAAA,MAAM,AAAC,CACN,KAAK,ClItJD,IAAO,CkIuJX,OAAO,CAAE,eAAe,CACzB,AAlBL,AAoBM,WApBK,CAWT,UAAU,CAQR,eAAe,CACb,CAAC,AAAC,CACA,WAAW,CAAE,GAAG,CAChB,KAAK,CnIwCD,OAAmD,CmIvCxD,AAvBP,AA2BE,WA3BS,CA2BT,mBAAmB,CA3BrB,WAAW,CA4BT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,AAAC,CAC9C,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,GAAG,CAAE,IAAI,CACT,SAAS,CnIpHJ,GAAG,CmIqHR,WAAW,CnIxGK,CAAC,CmIyGjB,OAAO,CAAE,wBAAwB,CAWlC,AA7CH,AAmCI,WAnCO,CA2BT,mBAAmB,CAQjB,OAAO,CAnCX,WAAW,CA4BT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,CAO7C,OAAO,AAAC,CACN,KAAK,ClIzKC,IAAO,CkI0Kd,AArCL,AAuCI,WAvCO,CA2BT,mBAAmB,AAYhB,UAAU,AAAA,QAAQ,CAvCvB,WAAW,CA4BT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,AAW5C,UAAU,AAAA,QAAQ,AAAC,CAClB,YAAY,CAAE,CAAC,CAChB,AAzCL,AA0CI,WA1CO,CA2BT,mBAAmB,AAehB,UAAU,CA1Cf,WAAW,CA4BT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,AAc5C,UAAU,AAAC,CACV,OAAO,CAAE,CAAC,CACX,AA5CL,AAgDI,WAhDO,CA+CT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,AAC5C,UAAU,CAhDf,WAAW,CA+CT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,AAE5C,aAAa,AAAC,CACb,KAAK,ClIvLC,IAAO,CkIwLd,AAnDL,AAsDE,WAtDS,CAsDT,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,MAAM,CAClB,OAAO,CnI1FD,CAAC,CmIwGR,AAvEH,AA0DI,WA1DO,CAsDT,iBAAiB,CAIf,SAAS,CA1Db,WAAW,CAsDT,iBAAiB,CAKf,IAAI,CA3DR,WAAW,CAsDT,iBAAiB,CAMf,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACZ,AA9DL,AA+DI,WA/DO,CAsDT,iBAAiB,CASf,SAAS,CAAC,CAAC,AAAC,CACV,SAAS,CAAE,KAAK,CACjB,AAjEL,AAkEI,WAlEO,CAsDT,iBAAiB,CAYf,IAAI,CAAC,GAAG,CAlEZ,WAAW,CAsDT,iBAAiB,CAaf,CAAC,CAnEL,WAAW,CAsDT,iBAAiB,CAcf,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CnITC,OAAoD,CmIU3D,AAtEL,AAyEE,WAzES,CAyET,IAAI,AAAC,CACH,WAAW,CAAE,MAAM,CAMpB,AAhFH,AA2EI,WA3EO,CAyET,IAAI,CAEF,CAAC,AAAC,CAGA,KAAK,CnIlBC,OAAoD,CmIkBE,UAAU,CACvE,AAML,AAAA,gBAAgB,CAAC,cAAc,AAAC,CAC9B,WAAW,CAAE,KAAK,CAClB,aAAa,CAAE,GAAG,CAqBnB,AAvBD,AAIE,gBAJc,CAAC,cAAc,CAI7B,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,KAAK,CnI/BG,OAAoD,CmIgC5D,cAAc,CAAE,GAAG,CACpB,AARH,AAUE,gBAVc,CAAC,cAAc,CAU7B,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CAClB,AAZH,AAcE,gBAdc,CAAC,cAAc,CAc7B,EAAE,AAAA,cAAc,AAAC,CACf,YAAY,CAAE,IAAI,CACnB,AAhBH,AAmBI,gBAnBY,CAAC,cAAc,CAkB7B,KAAK,CACH,SAAS,AAAC,CACR,WAAW,CAAE,SAAS,CACvB,AAIL,AAAA,mBAAmB,AAAA,SAAS,AAAC,CAK3B,UAAU,CAAE,UAAU,CAevB,AApBD,AACE,mBADiB,AAAA,SAAS,CAC1B,EAAE,AAAA,cAAc,AAAC,CACf,MAAM,CAAE,IAAI,CACb,AAHH,AAME,mBANiB,AAAA,SAAS,CAM1B,CAAC,CANH,mBAAmB,AAAA,SAAS,CAO1B,CAAC,AAAA,OAAO,CAPV,mBAAmB,AAAA,SAAS,CAQ1B,CAAC,AAAA,MAAM,AAAC,CACN,UAAU,CAAE,OAAO,CACpB,AAVH,AAYE,mBAZiB,AAAA,SAAS,CAY1B,MAAM,AAAC,CACL,KAAK,CAAE,GAAG,CACV,cAAc,CAAE,GAAG,CACpB,AAfH,AAiBE,mBAjBiB,AAAA,SAAS,CAiB1B,IAAI,AAAC,CACH,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,EAAE,AAAA,oBAAoB,AAAC,CACrB,aAAa,CAAE,GAAG,CAAC,KAAK,CnIvEd,OAAmD,CmI2E9D,AALD,AAEE,EAFA,AAAA,oBAAoB,AAEnB,aAAa,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,SAAS,CAClB,WAAW,CAAE,SAAS,CACtB,UAAU,CAAE,SAAS,CAiFtB,AApFD,AAKE,mBALiB,CAKjB,EAAE,AAAC,CACD,SAAS,CAAE,IAAI,CACf,SAAS,CnIxOD,QAAQ,CmIyOhB,OAAO,CAAE,UAAU,CAOpB,AAfH,AASI,mBATe,CAKjB,EAAE,CAIA,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAXL,AAYI,mBAZe,CAKjB,EAAE,CAOA,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,ClI9RD,IAAO,CkI+RZ,AAdL,AAiBE,mBAjBiB,CAiBjB,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAChB,AAnBH,AAqBE,mBArBiB,CAqBjB,oBAAoB,CAAC,UAAU,CArBjC,mBAAmB,CAsBjB,mBAAmB,CAAC,EAAE,CAtBxB,mBAAmB,CAuBjB,qBAAqB,CAAC,EAAE,AAAC,CACvB,YAAY,CAAE,IAAI,CACnB,AAzBH,AA2BE,mBA3BiB,CA2BjB,oBAAoB,CAAC,UAAU,CAAC,IAAI,AAAC,CACnC,SAAS,CnI1PC,OAAQ,CmI2PnB,AA7BH,AA+BE,mBA/BiB,CA+BjB,qBAAqB,CAAC,EAAE,AAAC,CACvB,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,IAAI,CACrB,AAlCH,AAoCE,mBApCiB,CAoCjB,mBAAmB,CAAC,EAAE,AAAC,CACrB,WAAW,CAAE,IAAI,CAClB,AAtCH,AAyCI,mBAzCe,CAwCjB,WAAW,CAAG,KAAK,CAAG,EAAE,AACrB,UAAW,CAAA,GAAG,CAAE,CACf,gBAAgB,ClI1TV,IAAO,CkI2Td,AA3CL,AA4CI,mBA5Ce,CAwCjB,WAAW,CAAG,KAAK,CAAG,EAAE,AAIrB,UAAW,CAAA,IAAI,CAAE,CAChB,gBAAgB,ClI7TV,IAAO,CkI8Td,AA9CL,AAiDE,mBAjDiB,CAiDjB,EAAE,CAAC,eAAe,AAAC,CACjB,MAAM,CAAE,CAAC,CACV,AAnDH,AAsDI,mBAtDe,CAqDjB,oBAAoB,CAClB,IAAI,AAAC,CACH,WAAW,CAAE,MAAM,CACpB,AAxDL,AAyDI,mBAzDe,CAqDjB,oBAAoB,CAIlB,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACZ,AA3DL,AA8DE,mBA9DiB,CA8DjB,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AAhEH,AAiEE,mBAjEiB,CAiEf,MAAM,AAAC,CACP,UAAU,CAAE,GAAG,CAAC,KAAK,CnI/Ib,OAAmD,CmIgJ3D,OAAO,CAAE,QAAQ,CAgBlB,AAnFH,AAoEI,mBApEe,CAiEf,MAAM,CAGN,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,WAAW,CACnB,KAAK,CnItJC,OAAoD,CmIuJ1D,WAAW,CAAE,IAAI,CACjB,SAAS,CnIvSD,OAAQ,CmIwSjB,AA1EL,AA2EI,mBA3Ee,CAiEf,MAAM,CAUN,UAAU,AAAC,CACT,OAAO,CAAE,MAAM,CACf,WAAW,CAAE,MAAM,CACpB,AA9EL,AA+EI,mBA/Ee,CAiEf,MAAM,CAcN,IAAI,AAAC,CACH,KAAK,CAAE,KAAK,CACZ,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,aADW,CACX,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACpB,AAGH,AAAA,kBAAkB,AAAC,CACjB,MAAM,CAAE,UAAU,CACnB,AAID,AAAA,UAAU,CAAC,gBAAgB,AAAA,OAAO,CAClC,UAAU,AAAA,KAAK,CAAC,gBAAgB,AAAC,CAC/B,OAAO,CAAE,CAAC,CACX,AAED,AAAA,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CACnB,AACD,AAAA,gBAAgB,AAAA,OAAO,CACvB,KAAK,CAAC,gBAAgB,AAAC,CACrB,OAAO,CAAE,CAAC,CACX,AACD,AAAA,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,GAAG,CAAC,KAAK,ClIpYb,IAAO,CkIqYf,YAAY,CAAE,qBAAqB,CACnC,WAAW,CAAE,qBAAqB,CAClC,OAAO,CAAE,EAAE,CACX,WAAW,CAAE,GAAG,CACjB,AACD,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CnI5SK,GAAG,CmI6Sf,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,gBAAgB,ClInZN,IAAO,CkIoZjB,MAAM,CAAE,GAAG,CAAC,KAAK,ClIrZT,IAAO,CkIsZf,aAAa,CAAE,GAAG,CAClB,UAAU,CnI/QE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CmIgR1C,eAAe,CAAE,WAAW,CAC5B,MAAM,CAAE,UAAU,CAKnB,AApBD,AAgBE,cAhBY,CAgBZ,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACf,AAEH,AAAA,cAAc,CAAC,CAAC,AAAC,CACf,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,WAAW,CnIpWQ,GAAG,CmIqWtB,KAAK,ClIraG,IAAO,CkIsahB,AACD,AAAA,cAAc,CAAC,EAAE,CAAG,CAAC,AAAA,MAAM,CAC3B,cAAc,CAAC,OAAO,CAAG,CAAC,CAC1B,cAAc,CAAC,OAAO,CAAG,CAAC,AAAA,MAAM,AAAC,CAC/B,KAAK,ClIxaI,OAAO,CkIyahB,eAAe,CAAE,IAAI,CACrB,gBAAgB,CnIxON,OAAmD,CmIyO9D,AACD,AAAA,KAAK,CAAG,cAAc,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AzDiFD,AAAA,KAAK,AyDhFC,CACJ,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,oBAAoB,CACjC,AzD6ED,AAIE,KAJG,AAIF,GAAG,AyDhFG,CACP,OAAO,CAAE,CAAC,CACX,A1BtLD,AAAA,EAAE,AAAA,oBAAoB,A0BwLC,CACrB,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,QAAQ,CAWf,AAfD,AAKE,EALA,AAAA,oBAAoB,CAKpB,EAAE,AAAA,WAAW,AAAC,CACZ,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,aAAa,CAOtB,AAdH,AAQI,EARF,AAAA,oBAAoB,CAKpB,EAAE,AAAA,WAAW,CAGX,kBAAkB,CAAC,cAAc,AAAC,CAChC,SAAS,CAAE,IAAI,CAIhB,AAbL,AAUM,EAVJ,AAAA,oBAAoB,CAKpB,EAAE,AAAA,WAAW,CAGX,kBAAkB,CAAC,cAAc,CAE/B,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAChB,AAKP,AACE,UADQ,CACR,EAAE,AAAC,CACD,WAAW,CAAE,IAAI,CAClB,AAHH,AAIE,UAJQ,CAIR,WAAW,AAAC,CACV,cAAc,CAAE,IAAI,CACrB,AANH,AAOE,UAPQ,CAOR,YAAY,AAAA,WAAW,AAAC,CACtB,YAAY,CAAE,IAAI,CACnB,AxBzPH,AAAA,gBAAgB,AwB4PC,CACf,OAAO,CAAE,IAAI,CACd,AAED,AAAA,MAAM,AAAA,UAAU,CAAC,aAAa,AAAC,CAC7B,KAAK,CAAE,KAAK,CACb,AAED,AAAA,kBAAkB,CAAC,EAAE,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,cAAc,AAAA,aAAa,AAAC,CAC1B,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,KAAK,CAOd,AATD,AAIE,cAJY,AAAA,aAAa,CAIzB,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CAClB,AAG2B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAX7B,AAAA,cAAc,AAAA,aAAa,AAYG,CAC1B,YAAY,CAAA,MAAC,CACb,UAAU,CAAE,iBAAiB,CAC7B,KAAK,CAAE,6CAA6C,CACpD,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CAQb,AAzBH,AAIE,cAJY,AAAA,aAAa,CAIzB,GAAG,AAeG,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACpB,CAIL,AAAA,MAAM,AAAA,aAAa,AAAC,CAClB,YAAY,CAAE,IAAI,CACnB,AAID,AAAA,EAAE,CAAC,UAAU,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,OAAO,CAAE,YAAY,CAKtB,AAPD,AAGE,EAHA,CAAC,UAAU,CAGX,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,cAAc,CACvB,SAAS,CAAE,UAAU,CACtB,AAEH,AACE,WADS,CACT,UAAU,AAAC,CACT,SAAS,CnI/dD,QAAQ,CmIgejB,A1BrcH,AAiGE,WAjGS,CAiGT,cAAc,A0BuWC,CACb,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,cAAc,AAAA,YAAY,CAAC,mBAAmB,CAAC,qBAAqB,AAAC,CACnE,OAAO,CAAE,IAAI,CACd,AC3hBD,AAAA,SAAS,CAAG,WAAW,CAAC,OAAO,AAAC,CAC9B,UAAU,CAAE,IAAI,CACjB,AAED,AACE,SADO,CACP,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,WAAW,CAAC,OAAO,AAAC,CAClB,UAAU,CAAE,GAAG,CAAC,KAAK,CpIwLX,OAAmD,CoIvL7D,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,YAAY,AAAC,CACX,cAAc,CAAE,IAAI,CACrB,AAED,AAAA,IAAI,AAAA,YAAY,AAAC,CACf,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACd,AAED,AACE,WADS,CACT,GAAG,AAAA,cAAc,AAAC,CAChB,KAAK,CpIoKG,OAAoD,CoIhG7D,AAtEH,AAGI,WAHO,CACT,GAAG,AAAA,cAAc,CAEf,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AALL,AAOI,WAPO,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CAwBf,AAjCL,AAWQ,WAXG,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AACH,KAAK,CAXd,WAAW,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAEH,eAAe,CAZxB,WAAW,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAGH,YAAY,AAAC,CACZ,IAAI,CAAE,QAAQ,CACf,AAfT,AAgBQ,WAhBG,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,AAAC,CACb,OAAO,CpH7BJ,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CoH2CvB,AA/BT,AAkBU,WAlBC,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,CAEV,YAAY,CAlBxB,WAAW,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,CAGV,YAAY,AAAC,CACb,OAAO,CpHhCN,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CoHiCrB,AArBX,AAsBU,WAtBC,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,AAMX,SAAS,CAtBpB,WAAW,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,AAOX,cAAc,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,KAAK,CAChB,OAAO,CpHtCN,GAAmB,CoH0CrB,AA9BX,AA2BY,WA3BD,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,AAMX,SAAS,CAKR,OAAO,CA3BnB,WAAW,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,AAOX,cAAc,CAIb,OAAO,AAAC,CACN,YAAY,CpHxCb,GAAmB,CoHyCnB,AA7Bb,AAkCI,WAlCO,CACT,GAAG,AAAA,cAAc,CAiCf,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AApCL,AAqCI,WArCO,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAAC,CACL,MAAM,CAAE,IAAI,CACZ,SAAS,CpIlBH,QAAQ,CoImBd,OAAO,CAAE,QAAQ,CACjB,UAAU,CAAE,WAAW,CACvB,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,IAAI,CA0BhB,AArEL,AA4CM,WA5CK,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAOH,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AA9CP,AA+CM,WA/CK,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAUH,MAAM,AAAC,CACN,QAAQ,CAAE,QAAQ,CACnB,AAjDP,AAkDM,WAlDK,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAaH,YAAY,AAAC,CACZ,MAAM,CAAE,aAAa,CACtB,AApDP,AAqDM,WArDK,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAgBH,MAAM,AAAC,CAIN,WAAW,CAAE,IAAI,CAClB,AA1DP,AAsDQ,WAtDG,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAgBH,MAAM,CACL,OAAO,AAAC,CACN,KAAK,CpIiHH,OAAmD,CoIhHtD,AAxDT,AA4DQ,WA5DG,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAsBH,SAAS,CACR,OAAO,AAAC,CACN,KAAK,CnIhFR,OAAO,CmIiFL,AA9DT,AAiEQ,WAjEG,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AA2BH,WAAW,CACV,OAAO,AAAC,CACN,KAAK,CnI5FJ,OAAO,CmI6FT,AAMT,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,UAAU,CACtB,gBAAgB,CnIxGN,IAAO,CmIyGjB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CpIuFP,OAAmD,CoItF7D,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,KAAK,CACb,IAAI,CAAE,KAAK,CAIX,OAAO,CpInBK,GAAG,CoIoChB,AApBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAbrC,AAAA,gBAAgB,AAAC,CAcb,IAAI,CAAE,IAAI,CAmBb,CAjCD,AAiBE,gBAjBc,CAiBd,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,KAAK,CnIxHC,IAAO,CmIyHb,SAAS,CpIvEJ,GAAG,CoIwET,AArBH,AAsBE,gBAtBc,CAsBd,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,UAAU,CACnB,AAzBH,AA0BE,gBA1Bc,CA0Bd,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAKnB,AAhCH,AA4BI,gBA5BY,CA0Bd,EAAE,CAEA,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAIL,AACE,eADa,CACb,gBAAgB,CAAC,EAAE,CAAC,CAAC,AAAC,CACpB,WAAW,CAAE,IAAI,CAClB,AtBkHH,AAAA,YAAY,AsB3GC,CACX,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,KAAK,CACb,AAED,AAAA,YAAY,CAAC,cAAc,AAAC,CAC1B,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,CAAC,AAAA,aAAa,AAAC,CACb,OAAO,CpIxDC,CAAC,CoIyDT,KAAK,CpIoCK,OAAoD,CoInC9D,YAAY,CAAE,KAAK,CACpB,AAED,AAAA,WAAW,CAAC,MAAM,CAAC,SAAS,AAAC,CAC3B,KAAK,CAAE,IAAI,CACZ,AtB4ID,AAAA,UAAU,AsB1IC,CACT,MAAM,CAAE,MAAM,CAmEf,AtBsED,AA6CE,UA7CQ,CA6CR,EAAE,AsBrLC,CACD,WAAW,CpIzGM,GAAG,CoI0GrB,AAJH,AAKE,UALQ,CAKR,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AARH,AAUI,UAVM,CASR,cAAc,CACZ,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACd,AAZL,AAeI,UAfM,CAcR,IAAI,CACF,EAAE,AAAC,CACD,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAIjB,AArBL,AAkBM,UAlBI,CAcR,IAAI,CACF,EAAE,AAGC,aAAa,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AApBP,AAsBI,UAtBM,CAcR,IAAI,CAQF,OAAO,AAAC,CACN,WAAW,CpI7HI,GAAG,CoI8HnB,AAxBL,AAyBI,UAzBM,CAcR,IAAI,CAWF,OAAO,CAzBX,UAAU,CAcR,IAAI,CAYF,OAAO,AAAC,CACN,KAAK,CpICC,OAAoD,CoIA1D,SAAS,CpIjJH,QAAQ,CoIkJf,AA7BL,AA8BI,UA9BM,CAcR,IAAI,CAgBF,OAAO,CAAG,CAAC,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAhCL,AAkCE,UAlCQ,CAkCR,EAAE,AAAA,QAAQ,AAAC,CACT,OAAO,CAAE,IAAI,CACd,AApCH,AAqCE,UArCQ,CAqCR,MAAM,CArCR,UAAU,CAsCR,YAAY,CAtCd,UAAU,CAuCR,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,KAAK,CnI/MC,IAAO,CmIgNb,QAAQ,CAAE,IAAI,CACf,AA3CH,AA6CI,UA7CM,CA4CR,YAAY,CACV,CAAC,AAAC,CACA,MAAM,CAAE,UAAU,CACnB,AA/CL,AAkDI,UAlDM,CAiDR,QAAQ,CACN,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,MAAM,CACf,KAAK,CpIzBC,OAAoD,CoI0B1D,UAAU,CpI3CN,OAAqB,CoI4CzB,WAAW,CAAE,GAAG,CAAC,KAAK,CpIzBhB,OAAmD,CoI+B1D,AA7DL,AAwDM,UAxDI,CAiDR,QAAQ,CACN,IAAI,CAMF,GAAG,AAAC,CACF,MAAM,CAAE,CAAC,CACT,SAAS,CpIhLL,QAAQ,CoIiLZ,WAAW,CAAE,IAAI,CAClB,AA5DP,AA+DE,UA/DQ,CA+DR,aAAa,CAAC,IAAI,AAAC,CACjB,KAAK,CpIpCG,OAAoD,CoIqC5D,UAAU,CpItDJ,OAAqB,CoIuD3B,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,qBAAqB,AAAC,CAEpB,OAAO,CAAE,UAAU,CASpB,AAXD,A1H9ME,qB0H8MmB,A1H9MlB,OAAO,C0H8MV,qBAAqB,A1H7MlB,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,A0H0MH,A1HzME,qB0HyMmB,A1HzMlB,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,A0HuMH,AAGE,qBAHmB,CAGnB,gBAAgB,AAAA,WAAW,AAAC,CAC1B,KAAK,CnI9OE,OAAO,CmI+Of,AALH,AAME,qBANmB,CAMnB,SAAS,AAAC,CACR,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,KAAK,CACZ,aAAa,CAAE,KAAK,CACrB,AAGH,AACE,qBADmB,CACnB,2BAA2B,CAD7B,qBAAqB,CAEnB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAQpB,A1HlPD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E0HsOrC,AACE,qBADmB,CACnB,2BAA2B,CAD7B,qBAAqB,CAEnB,cAAc,AAAC,CAIX,OAAO,CAAE,YAAY,CAMxB,AAZH,AAOM,qBAPe,CACnB,2BAA2B,CAMvB,OAAO,CAPb,qBAAqB,CAEnB,cAAc,CAKV,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,WAAW,CACpB,CAKP,AAAA,oBAAoB,AAAC,CACnB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,MAAM,CACf,AAED,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,aAAa,CAcvB,AAhBD,AAGE,iBAHe,CAGf,EAAE,AAAA,MAAM,CAHV,iBAAiB,CAIf,EAAE,AAAA,MAAM,CAJV,iBAAiB,CAKf,EAAE,AAAA,SAAS,CALb,iBAAiB,CAMf,EAAE,AAAA,SAAS,CANb,iBAAiB,CAOf,EAAE,AAAA,MAAM,CAPV,iBAAiB,CAQf,EAAE,AAAA,MAAM,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAVH,AAWE,iBAXe,CAWf,CAAC,AAAA,eAAe,CAXlB,iBAAiB,CAYf,CAAC,AAAA,sBAAsB,AAAC,CACtB,SAAS,CpIvOC,OAAQ,CoIwOlB,cAAc,CAAE,GAAG,CACpB,AAGH,AAAA,IAAI,AAAA,WAAW,AAAC,CACd,UAAU,CnIhSF,IAAO,CmIiSf,KAAK,CnIhSK,IAAO,CmIiSjB,OAAO,CAAE,GAAG,CACb,AAED,AACE,qBADmB,CACnB,IAAI,AAAC,CACH,aAAa,CAAE,KAAK,CACpB,YAAY,CAAE,KAAK,CACpB,A/DzND,AAAA,YAAY,A+D4ND,CACX,OAAO,CpIxMC,CAAC,CoIyMT,MAAM,CAAE,kBAAkB,CAC1B,OAAO,CAAE,MAAM,CAChB,A/D/OC,AAAA,WAAW,A+DkPD,CACV,QAAQ,CAAE,OAAO,CAIlB,AtByOD,AAIE,WAJS,CAIT,OAAO,AsBhPC,CACN,QAAQ,CAAE,OAAO,CAClB,CAKH,AAAA,AAAA,KAAC,EAAO,YAAY,AAAnB,EAAqB,YAAY,AAAC,CACjC,QAAQ,CAAE,MAAM,CACjB,AAED,AAAA,aAAa,AAAA,QAAQ,AAAC,CACpB,OAAO,CAAE,KAAK,CACd,OAAO,CpIvOI,GAAG,CoIwOf,AAED,AAAA,MAAM,AAAC,CACL,SAAS,CAAE,IAAI,CAChB,ADuGD,AAAA,KAAK,CAAG,cAAc,ACrGC,CACrB,OAAO,CAAE,KAAK,CACf,AAED,AAAA,cAAc,CAAC,EAAE,AAAC,CAChB,MAAM,CAAE,KAAK,CAYd,AAbD,AAEE,cAFY,CAAC,EAAE,CAEf,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,GAAG,CACjB,AANH,AAOE,cAPY,CAAC,EAAE,CAOf,IAAI,AAAC,CACH,KAAK,CpInJG,OAAoD,CoIoJ7D,AATH,AAUE,cAVY,CAAC,EAAE,CAUf,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CnIxVC,IAAO,CmIyVd,AAGH,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CACnB,A/C1QD,AAAA,eAAe,A+C4QC,CACd,OAAO,CAAE,WAAW,CACrB,AAGD,AAAA,aAAa,CAAC,MAAM,AAAC,CACnB,OAAO,CAAE,IAAI,CACd,AAGD,AAAA,MAAM,AAAA,YAAY,AAAC,CACjB,OAAO,CAAE,YAAY,CACtB,AAED,AACE,QADM,CACN,WAAW,AAAC,CACV,gBAAgB,CpIlLR,kBAAmD,CoIwL5D,AAGH,AAAA,oBAAoB,AAAC,CACnB,SAAS,CpInVC,GAAG,CoIoVd,AAED,AAAA,IAAI,AAAA,SAAS,AAAC,CACZ,OAAO,CAAE,IAAI,CACd,A1DpTD,AAAA,UAAU,A0DsTC,CACT,KAAK,CAAE,IAAI,CAEX,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CAChB,A/DhUC,AAAA,IAAI,A+DkUD,CACH,OAAO,CAAE,QAAQ,CAClB,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,IAAI,AAAA,YAAY,AAAC,CACf,gBAAgB,CpInNN,OAAmD,CoIoN9D,AAED,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CAClB,OAAO,CpIxTC,CAAC,CoI0TV,AtBxOD,AAAA,gBAAgB,AsB0OC,CACf,WAAW,CAAE,IAAI,CACjB,SAAS,CpIhXG,OAAQ,CoI+YrB,AtB3QD,AAIE,gBAJc,CAId,MAAM,AsByOC,CACL,WAAW,CpIrWM,GAAG,CoIsWpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CA0BhB,AAhCH,AAQI,gBARY,CAGd,MAAM,CAKJ,UAAU,AAAC,CACT,WAAW,CAAE,IAAI,CAClB,AAVL,AAYI,gBAZY,CAGd,MAAM,CASJ,MAAM,AAAC,CACL,KAAK,CAAE,CAAC,CACT,AAdL,AAgBI,gBAhBY,CAGd,MAAM,CAaJ,YAAY,AAAC,CACX,KAAK,CAAE,CAAC,CACT,AAlBL,AAoBI,gBApBY,CAGd,MAAM,CAiBJ,OAAO,AAAC,CACN,KAAK,CAAE,CAAC,CACR,UAAU,CAAE,IAAI,CACjB,AAvBL,AAyBI,gBAzBY,CAGd,MAAM,CAsBJ,WAAW,AAAC,CACV,KAAK,CAAE,CAAC,CACR,UAAU,CAAE,IAAI,CACjB,AA5BL,AA6BI,gBA7BY,CAGd,MAAM,CA0BJ,IAAI,AAAC,CACH,YAAY,CAAE,GAAG,CAClB,AAIL,AAAA,SAAS,AAAA,SAAS,CAAC,CAAC,AAAC,CACnB,KAAK,CpIjQK,OAAmD,CoIkQ9D,AtBmbC,AAAA,WAAW,AsBjbD,CACV,KAAK,CpIrQK,OAAmD,CoIsQ7D,QAAQ,CAAE,MAAM,CAChB,YAAY,CAAE,IAAI,CACnB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAED,AAAA,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,iBAAiB,CAOzB,AtBmaD,AACE,WADS,CACT,CAAC,AsB1aC,CACA,UAAU,CAAE,GAAG,CAChB,AANH,AAOE,WAPS,CAOT,MAAM,AAAC,CACL,YAAY,CAAE,GAAG,CAClB,AtBqSH,AACE,WADS,CACT,EAAE,AsBlSC,CACD,aAAa,CAAE,CAAC,CACjB,AtBwaH,AAAA,YAAY,AsBraC,CACX,aAAa,CAAE,GAAG,CAKnB,AtB+ZD,AAWE,YAXU,AAWT,IAAI,AsB9aC,CACJ,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CACf,ACzeH,AAAA,UAAU,CAAC,CAAC,AAAC,CACX,KAAK,CrImMK,OAAmD,CqIlM9D,AAED,AAAA,uBAAuB,AAAC,CACtB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,GAAG,CAClB,AvBqiBD,AAAA,UAAU,AuBniBC,CACT,OAAO,CAAE,YAAY,CACtB,AhEoEC,AAAA,YAAY,AgElED,CACX,MAAM,CAAE,aAAa,CAgBtB,AtBuDD,AASE,YATU,CASV,EAAE,AsB/EC,CACD,SAAS,CrI8BD,QAAQ,CqI7BhB,WAAW,CrI8CM,GAAG,CqIxCrB,AAVH,AAKI,YALQ,CAEV,EAAE,CAGA,CAAC,AAAC,CACA,KAAK,CpIpBD,IAAO,CoIqBX,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,UAAU,CACtB,AATL,AAWE,YAXU,CAWV,uBAAuB,AAAC,CACtB,UAAU,CAAE,GAAG,CAChB,AAbH,AAcE,YAdU,CAcV,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,gBAAgB,CAAC,YAAY,CAAC,sBAAsB,AAAC,CACnD,OAAO,CAAE,MAAM,CAChB,AAED,AAAA,kBAAkB,AAAC,CACjB,YAAY,CAAE,IAAI,CAClB,UAAU,CAAE,GAAG,CAAC,KAAK,CrI6JX,OAAmD,CqI5J7D,WAAW,CAAE,IAAI,CAQlB,AAXD,AAIE,kBAJgB,CAIhB,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CAId,AAVH,AAOI,kBAPc,CAIhB,EAAE,CAGA,MAAM,AAAC,CACL,UAAU,CAAE,UAAU,CACvB,AtBZL,AAAA,uBAAuB,AsBgBC,CACtB,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,OAAO,CrI8CK,GAAG,CqI1ChB,AARD,AAKE,uBALqB,AAKpB,IAAK,CAAA,OAAO,CAAE,CACb,aAAa,CAAE,2BAA2B,CAC3C,AAGH,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,GAAG,CAAC,KAAK,CrIuIP,OAAmD,CqItI7D,OAAO,CAAE,GAAG,CACZ,UAAU,CpI9DA,IAAO,CoIgEjB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,KAAK,CAgCb,AAvCD,AASE,wBATsB,CAStB,MAAM,AAAA,KAAK,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAOnB,AAlBH,AAYI,wBAZoB,CAStB,MAAM,AAAA,KAAK,CAGT,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,SAAS,CrI5BH,QAAQ,CqI6Bf,AAjBL,AAoBI,wBApBoB,CAmBtB,UAAU,CACR,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,SAAS,CrIpCH,QAAQ,CqIqCf,AA1BL,AA2BI,wBA3BoB,CAmBtB,UAAU,CAQR,MAAM,AAAA,IAAI,AAAC,CACT,KAAK,CAAE,gBAAgB,CACvB,KAAK,CAAE,IAAI,CACZ,AA9BL,AAgCE,wBAhCsB,CAgCtB,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,MAAM,CAAE,CAAC,CACV,AAlCH,AAmCE,wBAnCsB,CAmCtB,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,CAAC,CACjB,AAGH,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAIlB,gBAAgB,CpIzGN,IAAO,CoI0GjB,KAAK,CpIzGI,OAAO,CoI0GhB,MAAM,CAAE,GAAG,CAAC,KAAK,CrIwFP,OAAmD,CqIvF7D,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,C3HvCZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C2HiE1B,AAzCD,AAEE,eAFa,AAEZ,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAJH,AAcE,eAda,CAcb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,OAAO,CrInBD,CAAC,CqIoBR,AApBH,AAqBE,eArBa,CAqBb,EAAE,AAAC,CACD,OAAO,CAAE,MAAM,CACf,SAAS,CrI5ED,QAAQ,CqI6EhB,WAAW,CrI9DK,CAAC,CqI+DlB,AAzBH,AA0BE,eA1Ba,CA0Bb,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CrI9BD,CAAC,CqI+BR,AA/BH,AAgCE,eAhCa,CAgCb,GAAG,AAAC,CACF,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,YAAY,CAAE,GAAG,CAAC,KAAK,CrI0Df,OAAmD,CqIzD3D,gBAAgB,CrIyDR,OAAmD,CqIxD3D,UAAU,CAAE,WAAW,CACxB,AAGH,AAAA,YAAY,CACZ,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,SAAS,CrIxGC,QAAQ,CqIyGlB,WAAW,CrIvFQ,GAAG,CqIgGvB,AAhBD,AASE,YATU,CASV,YAAY,CATd,YAAY,CAUV,iBAAiB,CATnB,aAAa,CAQX,YAAY,CARd,aAAa,CASX,iBAAiB,AAAC,CAChB,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CACnB,AAGH,AAAA,uBAAuB,AAAA,OAAO,AAAC,CAC7B,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,WAAW,AAAA,aAAa,AAAC,CACvB,cAAc,CAAE,IAAI,CACrB,AAED,AAAA,GAAG,CAAC,GAAG,CACP,GAAG,CAAC,GAAG,CACP,GAAG,CAAC,GAAG,CACP,GAAG,CAAC,GAAG,AAAC,CACN,GAAG,CAAE,CAAC,CACP,AtBzFD,AACE,YADU,CACV,cAAc,AsB2FY,CAC1B,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CAcZ,AAjBD,AAKE,YALU,CAAC,cAAc,CAKzB,KAAK,AAAA,WAAW,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AAPH,AASE,YATU,CAAC,cAAc,CASzB,WAAW,AAAA,UAAU,AAAA,iBAAiB,AAAC,CACrC,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,CAAC,CACd,AAZH,AAcE,YAdU,CAAC,cAAc,CAczB,eAAe,AAAC,CACd,WAAW,CrIlIK,CAAC,CqImIlB,AAIH,AACE,eADa,CACb,WAAW,CADb,eAAe,CAEb,SAAS,AAAC,CACR,SAAS,CrIxJD,QAAQ,CqIyJhB,OAAO,CAAE,GAAG,CACb,AALH,AAME,eANa,CAMb,eAAe,AAAC,CACd,aAAa,CAAE,MAAM,CACtB,A7C9MH,AAqCI,uBArCmB,CAiCrB,kBAAkB,CAIhB,WAAW,A6C8KC,CACV,MAAM,CAAE,mBAAmB,CAC3B,OAAO,CAAE,IAAI,CACd,A7CtNL,AA8BE,uBA9BqB,CA8BrB,IAAI,AAAA,WAAW,A6C0LC,CACd,YAAY,CAAE,CAAC,CAChB,AAGH,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CAChB,ACjOD,AACE,gBADc,CACd,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,iBAAiB,CACzB,AAHH,AAIE,gBAJc,CAId,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,SAAS,CtI6CJ,GAAG,CsI5CR,WAAW,CtI0DM,GAAG,CsIzDrB,AAPH,AAQE,gBARc,CAQd,YAAY,AAAC,CACX,KAAK,CtI2LG,OAAmD,CsI1L5D,AAVH,AAWE,gBAXc,CAWd,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAiBpB,AA/BH,AAeI,gBAfY,CAWd,OAAO,AAIJ,cAAc,AAAC,CACd,aAAa,CAAE,GAAG,CACnB,AAjBL,AAkBI,gBAlBY,CAWd,OAAO,CAOL,KAAK,CAlBT,gBAAgB,CAWd,OAAO,CAQL,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CAChB,WAAW,CtI2CI,GAAG,CsI1ClB,MAAM,CAAE,CAAC,CACV,AAvBL,AAwBI,gBAxBY,CAWd,OAAO,CAaL,MAAM,AAAC,CACL,YAAY,CAAE,GAAG,CAClB,AA1BL,AA2BI,gBA3BY,CAWd,OAAO,CAgBL,OAAO,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AvD9BL,AAAA,uBAAuB,AuDkCC,CACtB,MAAM,CAAE,KAAK,CACd,A5BjCD,AAAA,qBAAqB,A6BDC,CACpB,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,OAAO,CAC9B,kBAAkB,CAAE,cAAc,CAClC,YAAY,CvHUD,IAAmB,CuHT9B,eAAe,CvHSJ,IAAmB,CuHc/B,A7B3BD,AAOE,qBAPmB,CAOnB,wBAAwB,A6BFC,CACvB,iBAAiB,CAAE,CAAC,CACpB,cAAc,CAAE,CAAC,CACjB,eAAe,CAAE,CAAC,CACnB,A7BTH,AAaE,qBAbmB,CAanB,0BAA0B,A6BHC,CACzB,iBAAiB,CAAE,CAAC,CACpB,cAAc,CAAE,CAAC,CAClB,A7BbH,AA8BE,qBA9BmB,CA8BnB,yBAAyB,CAAG,aAAa,CA9B3C,qBAAqB,CA+BnB,0BAA0B,CAAG,aAAa,A6BhBC,CACzC,iBAAiB,CAAE,CAAC,CACrB,A7BjBH,AAmCE,qBAnCmB,CAmCnB,yBAAyB,A6BjBC,CACxB,iBAAiB,CAAE,CAAC,CACpB,cAAc,CAAE,CAAC,CAClB,AAtBH,AAuBE,qBAvBmB,CAuBnB,aAAa,CAvBf,qBAAqB,CAwBnB,QAAQ,AAAC,CACP,cAAc,CAAE,CAAC,CACjB,iBAAiB,CAAE,CAAC,CACrB,AAGH,AAAA,UAAU,AAAC,CACT,UAAU,CvHjBC,IAAmB,CuHgL/B,AAhKD,AAGE,UAHQ,CAGR,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CACtB,gBAAgB,CtIpCR,IAAO,CsIyChB,AAVH,AAMI,UANM,CAGR,aAAa,CAGX,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CvHxBH,IAAmB,CuHyB3B,A7B2DL,AACE,UADQ,CACR,MAAM,A6BzDC,CACL,aAAa,CAAE,CAAC,CAChB,KAAK,CtI7CG,IAAO,CsIsLhB,A7BnFH,AAyBM,UAzBI,CACR,MAAM,CAeJ,UAAU,CASR,EAAE,A6B5EC,CACD,OAAO,CvHlCF,GAAmB,CuHkCV,CAAC,CAChB,A7BiDP,AAmEI,UAnEM,CACR,MAAM,CAkEJ,QAAQ,A6BjHC,CACP,aAAa,CvHvCN,IAAmB,CuH0F3B,A7BNL,AAuEM,UAvEI,CACR,MAAM,CAkEJ,QAAQ,CAIN,EAAE,A6BlHC,CACD,WAAW,CvIKC,CAAC,CuIJd,A7ByCP,AA+EM,UA/EI,CACR,MAAM,CAkEJ,QAAQ,CAYN,EAAE,A6BtHC,CACD,WAAW,CvIEE,GAAG,CuIDjB,A7BqCP,AAgIM,UAhII,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,A6BnKC,CAInB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CvHvDD,GAAmB,CAFnB,IAAI,CuH6DV,A7ByBP,AAmIQ,UAnIE,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,CAGlB,aAAa,A6BrKC,CACZ,KAAK,CAAE,GAAG,CACX,AApCT,AAwCQ,UAxCE,CAYR,MAAM,CAUJ,QAAQ,CAWN,oBAAoB,CAOlB,GAAG,AAAA,OAAO,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AA1CT,AA6CM,UA7CI,CAYR,MAAM,CAUJ,QAAQ,CAuBN,mBAAmB,AAAC,CAClB,UAAU,CAAE,MAAM,CACnB,AA/CP,AAiDM,UAjDI,CAYR,MAAM,CAUJ,QAAQ,CA2BN,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,MAAM,CACvB,SAAS,CvInCR,GAAG,CuI4CL,AA9DP,AAsDQ,UAtDE,CAYR,MAAM,CAUJ,QAAQ,CA2BN,qBAAqB,CAKnB,OAAO,AAAC,CACN,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CACb,YAAY,CAAE,MAAM,CACrB,AA1DT,AA2DQ,UA3DE,CAYR,MAAM,CAUJ,QAAQ,CA2BN,qBAAqB,CAUnB,CAAC,AAAC,CACA,eAAe,CAAE,SAAS,CAC3B,AA7DT,AAgEM,UAhEI,CAYR,MAAM,CAUJ,QAAQ,CA0CN,sBAAsB,AAAC,CACrB,YAAY,CAAE,GAAG,CAClB,AAlEP,AAoEM,UApEI,CAYR,MAAM,CAUJ,QAAQ,CA8CN,sBAAsB,CApE5B,UAAU,CAYR,MAAM,CAUJ,QAAQ,CA+CN,qBAAqB,AAAC,CACpB,eAAe,CAAE,MAAM,CACvB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAzEP,AA4EI,UA5EM,CAYR,MAAM,CAgEJ,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CtI/GD,IAAO,CsIkIZ,AAlGL,AAiFM,UAjFI,CAYR,MAAM,CAgEJ,QAAQ,CAKN,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CAAC,CAAC,CvHlGN,IAAmB,CuHmGzB,AAnFP,AAqFM,UArFI,CAYR,MAAM,CAgEJ,QAAQ,CASN,gBAAgB,AAAC,CACf,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,IAAI,CAChB,AA1FP,AA4FM,UA5FI,CAYR,MAAM,CAgEJ,QAAQ,CAgBN,IAAI,AAAC,CACH,KAAK,CtI7HH,IAAO,CsI8HT,MAAM,CAAE,CAAC,CAAC,IAAI,CvH9GT,GAAmB,CuH+GxB,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,MAAM,CACnB,A7B7BP,AAMM,UANI,CACR,MAAM,AAIH,eAAe,CACd,mBAAmB,A6B2BC,CAClB,MAAM,CAAE,KAAK,CACd,AAvGP,AAwGM,UAxGI,CAYR,MAAM,AAwFH,eAAe,CAId,oBAAoB,AAAC,CACnB,UAAU,CvHzHL,KAAmB,CuH0HzB,AA1GP,AA6GI,UA7GM,CAYR,MAAM,CAiGJ,SAAS,AAAC,CACR,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,IAAI,CAsClB,A7BlFL,AA2IM,UA3II,CACR,MAAM,CAyIJ,SAAS,CACP,EAAE,A6B7FC,CACD,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CAkBlB,AAzIP,AAwHQ,UAxHE,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAMA,EAAE,CAxHV,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAOE,IAAI,AAAC,CACL,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,GAAG,CAYjB,AAxIT,AA6HU,UA7HA,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAMA,EAAE,CAKA,MAAM,CA7HhB,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAMA,EAAE,CAMA,CAAC,CA9HX,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAOE,IAAI,CAIJ,MAAM,CA7HhB,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAOE,IAAI,CAKJ,CAAC,AAAC,CACA,KAAK,CAAE,IAAI,CACZ,AAhIX,AAiIU,UAjIA,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAMA,EAAE,CASA,WAAW,AAAA,oBAAoB,AAAA,4BAA4B,CAjIrE,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAOE,IAAI,CAQJ,WAAW,AAAA,oBAAoB,AAAA,4BAA4B,AAAC,CAC1D,KAAK,CAAE,IAAI,CAKZ,AAvIX,AAmIY,UAnIF,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAMA,EAAE,CASA,WAAW,AAAA,oBAAoB,AAAA,4BAA4B,CAEzD,EAAE,CAnId,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAOE,IAAI,CAQJ,WAAW,AAAA,oBAAoB,AAAA,4BAA4B,CAEzD,EAAE,AAAC,CACD,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,CAAC,CACf,AAtIb,AA2IM,UA3II,CAYR,MAAM,CAiGJ,SAAS,CA8BP,6BAA6B,AAAC,CAC5B,MAAM,CAAE,SAAS,CAIlB,AAhJP,AA6IQ,UA7IE,CAYR,MAAM,CAiGJ,SAAS,CA8BP,6BAA6B,CAE3B,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AA/IT,AAkJM,UAlJI,CAYR,MAAM,CAiGJ,SAAS,CAqCP,CAAC,AAAC,CACA,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,KAAK,CACjB,AArJP,AA0JI,UA1JM,CAyJR,WAAW,CACT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CAClB,AAIL,AAAA,UAAU,CAAC,eAAe,AAAA,MAAM,AAAA,eAAe,AAAC,CAC9C,gBAAgB,CAAE,eAAe,CAIlC,AALD,AAEE,UAFQ,CAAC,eAAe,AAAA,MAAM,AAAA,eAAe,CAE7C,QAAQ,AAAC,CACP,UAAU,CAAE,CAAC,CACd,AAGH,AAAA,UAAU,CAAC,eAAe,AAAA,MAAM,CAAC,QAAQ,AAAC,CACxC,OAAO,CAAE,IAAI,CAad,AAdD,AAEE,UAFQ,CAAC,eAAe,AAAA,MAAM,CAAC,QAAQ,CAEvC,oBAAoB,AAAC,CACnB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,UAAU,CACvB,AANH,AAOE,UAPQ,CAAC,eAAe,AAAA,MAAM,CAAC,QAAQ,CAOvC,QAAQ,CAAC,gBAAgB,AAAC,CACxB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,CAAC,CACV,AAVH,AAWE,UAXQ,CAAC,eAAe,AAAA,MAAM,CAAC,QAAQ,CAWvC,mBAAmB,AAAC,CAClB,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,gBAAgB,CAAC,cAAc,AAAA,SAAS,AAAC,CACvC,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CACjB,A7B4PD,AAKE,cALY,CAKZ,EAAE,A6B9PC,CACD,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,CAAC,CAMX,A7BiPH,AAaM,cAbQ,CAKZ,EAAE,AAKC,YAAY,CAGX,CAAC,A6BlQC,CACA,OAAO,CAAE,CAAC,CACX,A3C9GP,AAmFE,WAnFS,AAmFR,OAAO,A2CgCS,CACjB,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,YAAY,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,iBAAiB,AAAC,CAChB,cAAc,CAAE,GAAG,CA4BpB,A7B6SD,AA4BE,iBA5Be,CA4Bf,aAAa,A6BnWC,CACZ,UAAU,CvHzOD,GAAmB,CuH0O7B,AALH,AAOE,iBAPe,CAOf,kBAAkB,AAAC,CACjB,aAAa,CvH7OJ,IAAmB,CuH8O7B,AATH,AAWE,iBAXe,CAWf,eAAe,AAAC,CACd,QAAQ,CAAE,MAAM,CACjB,AAbH,AAeE,iBAfe,CAef,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,IAAI,CACd,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CAKf,AAxBH,AAoBI,iBApBa,CAef,eAAe,CAKb,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,QAAQ,CACf,AAvBL,AA0BE,iBA1Be,CA0Bf,KAAK,CAAC,SAAS,CAAC,MAAM,AAAC,CACrB,KAAK,CAAE,KAAK,CACb,AAGH,AAGI,WAHO,CAGL,MAAM,AAAA,YAAY,CAHxB,WAAW,CAEP,YAAY,CACV,MAAM,AAAA,YAAY,AAAC,CACnB,UAAU,CAAE,IAAI,CACjB,AAIL,AACE,kBADgB,CAChB,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CAMhB,AARH,AAGI,kBAHc,CAChB,eAAe,CAEb,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACd,SAAS,CvI/OD,OAAQ,CuIgPhB,OAAO,CAAE,CAAC,CACX,AAPL,AAUI,kBAVc,CAShB,KAAK,CACH,EAAE,AAAA,cAAc,AAAC,CACf,OAAO,CAAE,IAAI,CACd,AAZL,AAaI,kBAbc,CAShB,KAAK,CAIH,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CACnB,AAjBL,AAkBI,kBAlBc,CAShB,KAAK,CASH,EAAE,AAAA,cAAc,AAAC,CACf,YAAY,CAAE,GAAG,CAClB,AApBL,AAqBI,kBArBc,CAShB,KAAK,CAYH,EAAE,AAAA,YAAa,CAAA,GAAK,CAAE,CACpB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,GAAG,CACV,OAAO,CAAE,cAAc,CACxB,AAzBL,AA2BE,kBA3BgB,CA2BhB,iBAAiB,AAAC,CAChB,UAAU,CAAE,GAAG,CAChB,AC1TH,AACE,MADI,AAAA,cAAc,CAClB,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AAHH,AAIE,MAJI,AAAA,cAAc,CAIlB,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACb,AANH,AAOE,MAPI,AAAA,cAAc,CAOlB,sBAAsB,AAAC,CACrB,UAAU,CAAE,KAAK,CAClB,AATH,AAUE,MAVI,AAAA,cAAc,CAUlB,UAAU,AAAC,CACT,SAAS,CAAE,IAAI,CAChB,AAZH,AAaE,MAbI,AAAA,cAAc,CAalB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACd,AvCbH,AACE,MADI,AAAA,cAAc,CAClB,iBAAiB,AuCaC,CAChB,WAAW,CxIgDK,GAAG,CwI/CpB,AAlBH,AAmBE,MAnBI,AAAA,cAAc,CAmBlB,GAAG,AAAC,CACF,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,IAAI,CACb,AAtBH,AAwBI,MAxBE,AAAA,cAAc,CAuBlB,iBAAiB,CACf,KAAK,AAAC,CACJ,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,UAAU,CACtB,AA5BL,AA+BE,MA/BI,AAAA,cAAc,CA+BlB,aAAa,AAAC,CACZ,UAAU,CAAE,MAAM,CACnB,AAjCH,AAmCE,MAnCI,AAAA,cAAc,CAmClB,kBAAkB,AAAC,CACjB,aAAa,CAAE,GAAG,CACnB,ACrCH,AAAA,SAAS,CAAC,KAAK,CACf,SAAS,AAAA,MAAM,CAAC,KAAK,AAAC,CACpB,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,IAAI,CACjB,AnDgCD,AAAA,KAAK,AmD9BC,CACJ,WAAW,CAAE,MAAM,CACnB,UAAU,CxIPA,IAAO,CwIQjB,KAAK,CzI2LK,OAAmD,CyI1L7D,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CAWT,AAlBD,AASE,KATG,CASH,SAAS,CATX,KAAK,CAUH,aAAa,CAVf,KAAK,CAWH,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACd,AAbH,AAeE,KAfG,CAeH,wBAAwB,AAAC,CACvB,KAAK,CzI8KG,OAAmD,CyI7K5D,ACvBH,AACE,UADQ,CACR,WAAW,AAAA,oBAAoB,AAAA,eAAe,CAC5C,sBAAsB,CACtB,EAAE,AAAA,cAAc,AAAC,CACjB,SAAS,C1I6CD,QAAQ,C0I5ChB,aAAa,CAAE,MAAM,CACtB,ArCNH,AAUE,UAVQ,CAUR,YAAY,AqCFC,CACX,KAAK,CAAE,IAAI,CACZ,AAVH,AAYE,UAZQ,CAYR,WAAW,AAAC,CACV,KAAK,C1IuLG,OAAmD,C0ItL3D,OAAO,CAAE,GAAG,CACb,AAfH,AAiBE,UAjBQ,CAiBR,KAAK,AAAC,CACJ,UAAU,CAAE,GAAG,CAAC,KAAK,C1IkLb,OAAmD,C0IjL3D,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAoBhB,AAzCH,AAuBI,UAvBM,CAiBR,KAAK,CAMH,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AA1BL,AA4BI,UA5BM,CAiBR,KAAK,CAWH,UAAU,AAAC,CACT,IAAI,CAAE,OAAO,CAWd,AAxCL,AA8BM,UA9BI,CAiBR,KAAK,CAWH,UAAU,CAER,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAhCP,AAiCM,UAjCI,CAiBR,KAAK,CAWH,UAAU,CAKR,MAAM,AAAC,CACL,WAAW,CAAE,KAAK,CAClB,KAAK,C1IiKD,OAAmD,C0IhKxD,AApCP,AAqCM,UArCI,CAiBR,KAAK,CAWH,UAAU,CASR,aAAa,AAAC,CACZ,KAAK,CzI7BN,OAAO,CyI8BP,A1DvCP,AAAA,iBAAiB,A2DAC,CAChB,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,KAAK,CAsClB,A3DxCD,AA4BE,iBA5Be,CA4Bf,gBAAgB,A2DxBC,CACf,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CAmBZ,A3DzBH,AA0CI,iBA1Ca,CA4Bf,gBAAgB,CAcd,YAAY,A2DlCC,CACX,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CACjB,eAAe,CAAE,MAAM,CAaxB,A3DxBL,AAgEM,iBAhEW,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,A2DnDC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,CAAC,CACd,KAAK,CAAE,IAAI,CAKZ,AAvBP,AAoBQ,iBApBS,CAIf,gBAAgB,CAId,YAAY,CAKV,QAAQ,CAON,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACf,AAtBT,AA2BE,iBA3Be,CA2Bf,cAAc,AAAC,CACb,UAAU,CAAE,GAAG,CAChB,A3D7BH,AA4GE,iBA5Ge,CA4Gf,wBAAwB,A2D7EC,CACvB,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CAKV,AAvCH,AAoCI,iBApCa,CA+Bf,wBAAwB,CAKtB,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACZ,A3DgOL,AAAA,UAAU,A2D5NC,CACT,SAAS,CAAE,GAAG,CACf,AnC/BD,AAAA,aAAa,AoCbC,CACZ,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,IAAI,CACb,ApCgCD,AAAA,aAAa,CAAC,cAAc,AoC9BC,CAC3B,MAAM,CAAE,GAAG,CACZ,AlEseD,AAAA,KAAK,AmE7eC,CACJ,GAAG,CAAE,eAAe,CACrB,AnEieD,AAAA,wBAAwB,AmE/dC,CACvB,GAAG,CAAE,IAAI,CACV,ACND,AAAA,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,SAAS,CAClB,AAED,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,eAAe,CACf,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CACnB,AAED,AACE,cADY,CACZ,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,C9IiLb,OAAmD,C8I5J5D,AAvBH,AAII,cAJU,CACZ,aAAa,CAGX,UAAU,AAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,GAAG,CACX,AARL,AAUI,cAVU,CACZ,aAAa,CASX,UAAU,AAAC,CACT,UAAU,CAAE,CAAC,CACd,AAZL,AAcI,cAdU,CACZ,aAAa,CAaX,kBAAkB,AAAC,CACjB,KAAK,C9IoKC,OAAmD,C8I7J1D,AAtBL,AAiBM,cAjBQ,CACZ,aAAa,CAaX,kBAAkB,CAGhB,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,YAAY,CACtB,ACtCP,AAEE,UAFQ,CAER,iBAAiB,CAAC,cAAc,CADlC,eAAe,CACb,iBAAiB,CAAC,cAAc,AAAC,CAC/B,SAAS,C/IgDC,OAAQ,C+I/CnB,AAJH,AAKE,UALQ,CAKR,WAAW,CAAC,CAAC,AAAA,gBAAgB,CAJ/B,eAAe,CAIb,WAAW,CAAC,CAAC,AAAA,gBAAgB,AAAC,CAC5B,OAAO,CAAE,KAAK,CACf,ACPH,AAEI,YAFQ,CACV,aAAa,CACX,OAAO,AAAC,CACN,MAAM,CAAE,QAAQ,CAQjB,AAXL,AAIM,YAJM,CACV,aAAa,CACX,OAAO,CAEL,aAAa,AAAC,CACZ,IAAI,CAAE,QAAQ,CAKf,AAVP,AAMQ,YANI,CACV,aAAa,CACX,OAAO,CAEL,aAAa,CAEX,iBAAiB,AAAC,CAChB,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,CAAC,CAChB,AATT,AAYI,YAZQ,CACV,aAAa,CAWX,YAAY,AAAC,CACX,IAAI,CAAE,OAAO,CACd,AAdL,AAeI,YAfQ,CACV,aAAa,CAcX,cAAc,AAAC,CACb,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,IAAI,CAIZ,AArBL,AAkBM,YAlBM,CACV,aAAa,CAcX,cAAc,CAGZ,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AApBP,AAsBI,YAtBQ,CACV,aAAa,CAqBX,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACZ,ACxBL,AACE,gBADc,CACd,mBAAmB,AAAC,CAClB,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAJH,AAME,gBANc,CAMd,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AATH,AAUE,gBAVc,CAUd,gBAAgB,AAAA,MAAM,AAAA,SAAS,CAAC,cAAc,CAVhD,gBAAgB,CAWd,gBAAgB,CAAC,WAAW,AAAC,CAC3B,KAAK,CAAE,IAAI,CACZ,AAbH,AAeE,gBAfc,CAed,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAChB,AClBH,AAEI,cAFU,CACZ,aAAa,CACX,KAAK,AAAC,CACJ,cAAc,CAAE,MAAM,CAkBvB,AArBL,AAKM,cALQ,CACZ,aAAa,CACX,KAAK,CAGH,QAAQ,AAAC,CACP,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AATP,AAWM,cAXQ,CACZ,aAAa,CACX,KAAK,CASH,KAAK,AAAC,CACJ,KAAK,CAAE,CAAC,CACT,AAbP,AAeM,cAfQ,CACZ,aAAa,CACX,KAAK,CAaH,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,OAAO,CACb,OAAO,CAAE,GAAG,CACb,ACpBP,AAGM,aAHO,AAAA,WAAW,CACtB,mBAAmB,CACjB,aAAa,CACX,KAAK,CAAC,EAAE,CAAC,EAAE,AAAA,YAAY,CAH7B,aAAa,AAAA,WAAW,CACtB,mBAAmB,CACjB,aAAa,CAEX,KAAK,CAAC,EAAE,CAAC,EAAE,AAAA,YAAY,AAAC,CACtB,KAAK,CAAE,IAAI,CACZ,AAKP,AAGM,aAHO,AAAA,gBAAgB,CAC3B,mBAAmB,CACjB,aAAa,CACX,KAAK,CAAC,EAAE,CAAC,EAAE,AAAA,KAAK,CAHtB,aAAa,AAAA,gBAAgB,CAC3B,mBAAmB,CACjB,aAAa,CAEX,KAAK,CAAC,EAAE,CAAC,EAAE,AAAA,KAAK,AAAC,CACf,KAAK,CAAE,GAAG,CACX,ACjBP,AACE,mBADiB,CACjB,MAAM,AAAC,CACL,SAAS,CpJiDC,OAAQ,CoJhDnB,AAHH,AAKE,mBALiB,CAKjB,MAAM,CAAC,0BAA0B,AAAC,CAChC,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAAC,KAAK,CpJ6Lf,OAAmD,CoJ5L3D,OAAO,CAAE,IAAI,CAYd,AApBH,AAUI,mBAVe,CAKjB,MAAM,CAAC,0BAA0B,CAK/B,MAAM,AAAC,CACL,YAAY,CAAE,WAAW,CACzB,gBAAgB,CAAE,KAAK,CACvB,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,cAAc,CAC1B,AAfL,AAiBI,mBAjBe,CAKjB,MAAM,CAAC,0BAA0B,CAY/B,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACd,AAnBL,AAuBI,mBAvBe,CAsBjB,MAAM,CAAC,KAAK,CAAC,EAAE,CAAC,EAAE,AACf,KAAK,CAAC,SAAS,AAAC,CACf,OAAO,CAAE,IAAI,CACd,ACzBL,AACE,cADY,CACZ,gBAAgB,CAAC,cAAc,AAAC,CAC9B,WAAW,CAAE,MAAM,CACpB,ACHH,AAAA,gBAAgB,CAAC,WAAW,AAAA,SAAS,AAAC,CACpC,IAAI,CAAE,CAAC,CACR,A/BaD,AAAA,aAAa,A+BZC,CACZ,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,QAAQ,CAAE,KAAK,CACf,gBAAgB,CAAE,KAAK,CACvB,OAAO,CAAE,GAAG,CACZ,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,IAAI,CACb,YAAY,CAAE,gBAAgB,CAI/B,AAbD,AAUE,aAVW,AAUV,QAAQ,AAAC,CACR,UAAU,CAAE,qBAAqB,CAClC,AzDfH,AA8BE,WA9BS,CA8BT,qBAAqB,A0D7BC,CACpB,cAAc,CAAE,MAAM,CAkBvB,A1DpBH,AAmCI,WAnCO,CA8BT,qBAAqB,CAKnB,gBAAgB,A0D/BC,CACf,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,GAAG,CACpB,A1DRL,AA2CI,WA3CO,CA8BT,qBAAqB,CAanB,mBAAmB,A0DjCC,CAClB,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,A1DfL,AAiDI,WAjDO,CA8BT,qBAAqB,CAmBnB,gBAAgB,CAAG,mBAAmB,A0DhCC,CACrC,MAAM,CAAE,WAAW,CACpB,AAnBL,AAsBE,WAtBS,CAsBT,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACZ,A1D6EH,AAAA,mBAAmB,A0D1EC,CAClB,gBAAgB,CvJwKN,OAAmD,CuJvK7D,OAAO,CAAE,iBAAiB,CAC1B,aAAa,CAAE,GAAG,CAcnB,AAjBD,AAKE,mBALiB,CAKjB,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,A1DkEH,AAKE,mBALiB,CAKjB,kBAAkB,A0DrEC,CACjB,MAAM,CAAE,WAAW,CAKpB,A1D0DH,AAUI,mBAVe,CAKjB,kBAAkB,CAKhB,aAAa,A0DvEC,CACZ,MAAM,CAAE,CAAC,CACV,AAIL,AACE,oBADkB,CAClB,uBAAuB,CADzB,oBAAoB,CAElB,UAAU,AAAC,CACT,SAAS,CAAE,IAAI,CAKhB,AARH,AAKI,oBALgB,CAClB,uBAAuB,CAIrB,CAAC,CALL,oBAAoB,CAElB,UAAU,CAGR,CAAC,AAAC,CACA,UAAU,CAAE,MAAM,CACnB,AAIL,AAAA,mBAAmB,AAAC,CAClB,YAAY,CAAE,MAAM,CAmBrB,AApBD,AAGE,mBAHiB,CAGf,GAAG,CAHP,mBAAmB,CAIf,MAAM,AAAC,CACP,IAAI,CAAE,OAAO,CACb,YAAY,CAAE,MAAM,CACpB,aAAa,CAAE,KAAK,CACrB,AARH,AAUE,mBAViB,CAUjB,kBAAkB,CAVpB,mBAAmB,CAWjB,2BAA2B,CAAC,2BAA2B,AAAC,CACtD,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CAKxB,AAnBH,AAgBI,mBAhBe,CAUjB,kBAAkB,CAMhB,OAAO,CAhBX,mBAAmB,CAWjB,2BAA2B,CAAC,2BAA2B,CAKrD,OAAO,AAAC,CACN,MAAM,CAAE,UAAU,CACnB,AAIL,AAAA,8BAA8B,CAAC,KAAK,AAAC,CACnC,KAAK,CAAE,IAAI,CACZ,ACjFD,AAGM,6BAHuB,CAC3B,eAAe,AACZ,WAAW,CACV,OAAO,AAAC,CACN,KAAK,CvJFF,OAAO,CuJGX,AjG2BP,AAAA,UAAU,CACV,WAAW,AkG7BC,CACV,QAAQ,CAAE,KAAK,CAEf,OAAO,CzJgFY,IAAI,CyJ/EvB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,IAAI,CAqCjB,AA5CD,AASE,UATQ,CASR,UAAU,CARZ,WAAW,CAQT,UAAU,AAAC,CACT,SAAS,CAAE,IAAI,CAqBhB,AlGFH,AAsCI,UAtCM,CAqCR,UAAU,CACR,MAAM,CArCV,WAAW,CAoCT,UAAU,CACR,MAAM,AkGxDC,CACL,IAAI,CAAE,CAAC,CAAC,CAAC,CAAC,kBAA6B,CACvC,UAAU,CAAE,UAAU,CACvB,AlGeL,AA0DI,UA1DM,CAqCR,UAAU,CAqBR,kBAAkB,CAzDtB,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,AkGxEC,CACjB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,IAAI,CAWhB,AA9BL,AAoBM,UApBI,CASR,UAAU,CAMR,kBAAkB,CAKhB,EAAE,CAnBR,WAAW,CAQT,UAAU,CAMR,kBAAkB,CAKhB,EAAE,AAAC,CACD,IAAI,CAAE,CAAC,CACP,SAAS,CAAE,CAAC,CAOb,AA7BP,AAuBQ,UAvBE,CASR,UAAU,CAMR,kBAAkB,CAKhB,EAAE,AAGC,UAAW,CtI2CE,CAAC,EsIjEvB,WAAW,CAQT,UAAU,CAMR,kBAAkB,CAKhB,EAAE,AAGC,UAAW,CtI2CE,CAAC,CsI3CA,CACb,WAAW,CAAE,uBAAuB,CACrC,AAzBT,AA0BQ,UA1BE,CASR,UAAU,CAMR,kBAAkB,CAKhB,EAAE,CAMA,MAAM,CAzBd,WAAW,CAQT,UAAU,CAMR,kBAAkB,CAKhB,EAAE,CAMA,MAAM,AAAC,C/I+Bb,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C+I/BhB,AlGCT,AAqEE,UArEQ,CAqER,EAAE,CApEJ,WAAW,CAoET,EAAE,AkGlEC,CACD,SAAS,CzJWD,QAAQ,CyJPjB,AlGRH,AAuEI,UAvEM,CAqER,EAAE,CAEA,OAAO,CAtEX,WAAW,CAoET,EAAE,CAEA,OAAO,AkGlEC,CACN,SAAS,CzJcD,OAAQ,CyJbjB,AApCL,AAsCE,UAtCQ,CAsCR,EAAE,CArCJ,WAAW,CAqCT,EAAE,AAAC,CACD,SAAS,CzJQJ,GAAG,CyJPT,AlGXH,AA2EE,UA3EQ,CA2ER,EAAE,CA1EJ,WAAW,CA0ET,EAAE,AkG/DC,CACD,SAAS,CzJMC,OAAQ,CyJLnB,AlG6FH,AAiFI,UAjFM,CAgFR,UAAU,CACR,cAAc,AkGvKC,CACb,SAAS,CAAE,IAAI,CAqBhB,AAzBL,AAKM,UALI,CAER,UAAU,CACR,cAAc,CAEV,IAAI,AAAC,CACL,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,SAAS,CAAE,GAAG,CACd,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,UAAU,CASvB,AAnBP,AAWQ,UAXE,CAER,UAAU,CACR,cAAc,CAEV,IAAI,AAMH,YAAa,CxDiDF,CAAC,EwD5DrB,UAAU,CAER,UAAU,CACR,cAAc,CAEV,IAAI,AAOH,YAAa,CAAA,CAAC,CAAE,CACf,aAAa,CAAE,GAAG,CACnB,AAdT,AAeQ,UAfE,CAER,UAAU,CACR,cAAc,CAEV,IAAI,CAUJ,CAAC,AAAC,CACA,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACd,AlGuET,AAoFM,UApFI,CAgFR,UAAU,CACR,cAAc,CAGZ,WAAW,CApFjB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AkGhKS,CACV,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAMP,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,OAAO,CzJGY,IAAI,CyJFvB,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,gBAAgB,CAAO,eAAK,CAC5B,SAAS,CAAE,WAAW,CACvB,A/FxFD,AAME,YANU,CAMV,KAAK,CANP,YAAY,CAOV,iBAAiB,AgGAC,CAChB,OAAO,CAAE,aAAa,CACvB,AhGTH,AAuEE,YAvEU,CAuEV,KAAK,AgG5DC,CACJ,cAAc,CAAE,MAAM,CACvB,AAbH,AAgBI,YAhBQ,CAeV,aAAa,AACV,OAAO,AAAC,CACP,gBAAgB,C1J+JZ,OAAqB,C0J3J1B,AArBL,AAyBI,YAzBQ,CAwBV,kBAAkB,CAChB,KAAK,AAAC,CACJ,cAAc,CAAE,OAAO,CACxB,AC5BL,AAGM,WAHK,AACR,UAAU,AACR,SAAS,CACR,gBAAgB,AAAC,CACf,SAAS,C3J8CR,GAAG,C2JzCL,AATP,AAMQ,WANG,AACR,UAAU,AACR,SAAS,CACR,gBAAgB,CAGd,OAAO,AAAC,CACN,SAAS,C3J2CV,GAAG,C2J1CH,AART,AAWM,WAXK,AACR,UAAU,AACR,SAAS,CASR,eAAe,AAAC,CACd,WAAW,CAAE,MAAM,CACpB,ACbP,AAGM,WAHK,AACR,UAAU,AACR,cAAc,CACb,qBAAqB,AAAC,CACpB,SAAS,C5J8CR,GAAG,C4JzCL,AATP,AAMQ,WANG,AACR,UAAU,AACR,cAAc,CACb,qBAAqB,CAGnB,OAAO,AAAC,CACN,SAAS,C5J2CV,GAAG,C4J1CH,AzIRT,AAwCM,WAxCK,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,AyI7BC,CACd,WAAW,CAAE,MAAM,CACpB,ApIbP,AAiGI,WAjGO,AACR,oBAAoB,CAgGnB,sBAAsB,AqI/FC,CACrB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,IAAI,CACjB"\n}
3	admin_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	.pull-left{float:left}.pull-right{float:right}.show{display:block}.hide,.hidden{display:none}.invisible{visibility:hidden}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);border:0}.affix{position:fixed}.clearfix:before,.clearfix:after{display:table;content:" "}.clearfix:after{clear:both}.overflow-ellipsis{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.clickable{cursor:pointer}.disable-no-hover:hover{background:#919191;color:#ddd}.admin-main-nav{display:inline-flex;position:relative;width:100%;height:auto;overflow:hidden;height:100%}.mobile-view .admin-main-nav{margin-top:10px}@media screen and (max-width: 768px){.admin-main-nav{width:calc(100% + 10px);margin-left:-10px;padding:0 0 0 10px}}.admin-main-nav .nav-pills{display:inline-flex;flex-wrap:wrap;width:calc(100% - 10px);flex:1 0 auto}@media screen and (max-width: 768px){.admin-main-nav .nav-pills{white-space:nowrap;flex-wrap:nowrap;overflow-x:scroll;-webkit-overflow-scrolling:touch;margin:0 0 0 -10px;padding:0 10px 10px 10px}}.admin-main-nav .nav-pills:before{display:none}.admin-main-nav .nav-pills>li{margin:0}.admin-main-nav .nav-pills>li:last-of-type>a{margin-right:25px}@media screen and (max-width: 768px){.admin-main-nav:before{content:"";position:absolute;width:10px;margin-left:-10px;height:100%;background:linear-gradient(to right, #222 0%, rgba(34,34,34,0) 100%)}.admin-main-nav:after{content:"";position:absolute;right:0px;width:30px;height:100%;background:linear-gradient(to right, rgba(34,34,34,0) 0%, #222 100%)}}@media screen and (max-width: 700px){.nav-stacked{margin:0 10px 0 -10px}}.admin-contents{position:relative}.admin-contents table{width:100%;margin-top:10px}.admin-contents table tr{text-align:left}.admin-contents table td,.admin-contents table th{padding:8px}.admin-contents table tr:hover{background-color:#282828}.admin-contents table tr.selected{background-color:#313131}.admin-contents table .filters input{margin-bottom:0}.admin-contents table .label{display:none}@media screen and (max-width: 970px) and (min-width: 768px){.admin-contents table td,.admin-contents table th{padding:6px 4px}.admin-contents table th{vertical-align:bottom}.admin-contents table th.sortable{max-width:100px}}@media screen and (max-width: 767px){.admin-contents table.grid thead{display:none}.admin-contents table.grid .label{display:block;color:#909090;font-size:.8706em;margin:0.5em 0 0.15em 0}.admin-contents table.grid tr{grid-template-columns:repeat(3, 1fr);display:grid;line-height:1.2;padding:8px 0;min-width:0}.admin-contents table.grid tr td{padding:2px;align-self:center}.admin-contents table.grid tr.flagged-topic{grid-template-columns:0.25fr 1fr 1fr}.admin-contents table.grid tr.flagged-topic td.topic-title{grid-column-start:2;grid-column-end:-2;min-width:0;align-self:start}.admin-contents table.grid tr.flagged-topic td.last-flagged{grid-row:1;grid-column-end:-1;text-align:right;align-self:start}.admin-contents table.grid tr.flagged-topic td.flag-details{grid-row:2;grid-column-end:-1;text-align:right}.admin-contents table.grid tr.flagged-topic td.flagged-topic-users{grid-row:1;grid-column-start:1;max-width:60px;align-self:start}.admin-contents table.grid tr.flagged-topic td.flagged-topic-users a{display:inline-block;margin:0 0.25em 0.25em 0}.admin-contents table.grid tr.flagged-topic td.flag-counts{grid-row:2;grid-column-start:2}}@media screen and (min-width: 550px){.admin-contents table.grid tr{grid-template-columns:repeat(6, 1fr)}}.site-texts .search-area{margin-bottom:2em}.site-texts .search-area p{margin-top:0}.site-texts .search-area .site-text-search{padding:0.5em;font-size:1em;width:50%}.site-texts .search-area .reseed{float:right}.site-texts .text-highlight{font-weight:bold}.site-texts .site-text{cursor:pointer;border-bottom:1px solid #313131;margin-bottom:0.5em}.site-texts .site-text.overridden{background-color:#4c3319}.site-texts .site-text h3{font-weight:normal;font-size:1em}@media screen and (max-width: 550px){.site-texts .site-text h3{word-wrap:break-word}}.site-texts .site-text button.edit{float:right}.site-texts .site-text .site-text-value{margin:0.5em 5em 0.5em 0;color:#909090}@media screen and (min-width: 850px){.site-texts .site-text .site-text-value{max-height:100px}}@media screen and (max-width: 550px){.site-texts .site-text .site-text-value{word-wrap:break-word}}.site-texts .edit-site-text textarea{width:100%;max-width:800px}.site-texts .edit-site-text .save-messages,.site-texts .edit-site-text .title{margin-bottom:1em}@media screen and (max-width: 550px){.site-texts .edit-site-text .title{word-wrap:break-word}}.site-texts .edit-site-text .go-back{margin-top:1em}.site-texts p.warning{color:#e45735}.content-list{width:27%;float:left}.content-list li a span.count{font-size:.8706em;float:right;margin-right:10px;background-color:#313131;padding:2px 5px;border-radius:5px;color:#ddd}.content-body{float:left;width:60%}.admin-content{margin-bottom:50px}.admin-content .admin-contents{padding:0 0 8px 0}.admin-content .admin-contents:before,.admin-content .admin-contents:after{content:"";display:table}.admin-content .admin-contents:after{clear:both}.admin-content .view-options{float:right}.admin-content table.report{margin-top:20px}.admin-content table.report tr th:nth-of-type(1){width:20%}.admin-content table.report tr.total-for-period td,.admin-content table.report tr.total td{font-weight:700}.admin-content table.report.web_crawlers tr th:nth-of-type(1){width:60%}.admin-content table.report.web_crawlers td.x-value{max-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.admin-content table.report .bar-container{float:left;width:300px;margin-right:15px;margin-bottom:5px;display:inline-block}.admin-content table.report .bar-container .bar{margin-top:5px;background-color:#0f82af;display:inline-block;text-align:right;padding-right:8px;color:#222}.full-reason{white-space:pre-wrap}.admin-users .users-list .username .d-icon{color:#909090}.ip-lookup{position:relative;display:inline-block}.ip-lookup .location-box{position:absolute;width:460px;right:0;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);margin-top:-2px;background-color:#222;padding:12px 12px 5px}.ip-lookup .location-box .powered-by{font-size:.8706em;position:absolute;bottom:-10px;left:10px}.ip-lookup .location-box .other-accounts{margin:5px 0 0;max-height:200px;overflow:auto;width:455px}.ip-lookup .location-box .other-accounts ul{margin:0}.ip-lookup .location-box .other-accounts li{list-style:none}.ip-lookup .location-box .other-accounts tr td:first-of-type{width:130px}.admin-container{margin-top:10px}.admin-container .username input{min-width:15em}@media screen and (max-width: 500px){.admin-container .username input{box-sizing:border-box;width:100%}}.admin-container .select-kit{width:350px}.admin-container .select-kit.multi-select{width:500px}.admin-container .select-kit.dropdown-select-box{width:auto}.admin-container .search-logs-filter{margin-left:auto}@media screen and (max-width: 700px){.admin-container .search-logs-filter{flex:1 1 100%;margin-left:0}}.admin-container .header-search-results{clear:both;padding:4px}@media screen and (max-width: 768px){.admin-container .select-kit.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.6599em}}.admin-container .controls:before,.admin-container .controls:after{content:"";display:table}.admin-container .controls:after{clear:both}.admin-container .controls .save-messages{margin-top:1em}.admin-title{display:flex;flex-wrap:wrap;align-items:flex-start}.admin-title .show-emails,.admin-title .hide-emails{margin-left:auto}.admin-controls{display:flex;background-color:#313131;align-items:center}.admin-controls .admin-actions{margin-left:auto}.admin-controls nav{background-color:#313131;width:100%}.admin-controls nav{display:inline-flex;position:relative;flex:1 0 0px;height:auto;overflow:hidden;padding:0;height:100%}@media screen and (max-width: 768px){.admin-controls nav{width:calc(100% + 10px);padding-left:10px;margin-left:-10px;margin-right:-10px}}.admin-controls nav:before{content:"";position:absolute;width:10px;left:0;height:calc(100% - 5px);background:linear-gradient(to right, #313131 0%, rgba(49,49,49,0) 100%)}.admin-controls nav:after{content:"";position:absolute;right:0px;width:15px;height:calc(100% - 5px);background:linear-gradient(to right, rgba(49,49,49,0) 0%, #313131 100%)}.admin-controls .nav-pills{width:calc(100% - 10px);display:inline-flex;padding:10px;margin:0;white-space:nowrap;overflow-x:auto}@media screen and (max-width: 768px){.admin-controls .nav-pills{margin-left:-10px;overflow-x:scroll;-webkit-overflow-scrolling:touch}}.admin-controls .nav-pills:before{display:none}.admin-controls .nav-pills>li{margin:0}.admin-controls .nav-pills>li a.active{background:#909090}.admin-controls .nav-pills>li:last-of-type>a{margin-right:25px}.admin-controls h1{font-size:1.5157em;line-height:1.2;color:#ddd}.admin-controls .controls{background:#313131;width:100%;padding:10px;display:flex;align-items:center}@media screen and (max-width: 550px){.admin-controls .controls{margin:0 -10px}}.admin-controls .controls label{margin-bottom:0}.admin-controls .controls input{margin-right:5px;margin-bottom:0}@media screen and (max-width: 768px){.admin-controls .controls input{max-width:150px}}.admin-controls .controls.search{width:auto;white-space:nowrap}.admin-controls .controls.search label{flex:1 1 250px;display:flex;align-items:center}.admin-controls .controls.search label input{margin-right:0.5em}.admin-controls .controls .menu-toggle{display:none;float:left;padding:5px 10px;margin-right:15px;border:1px solid #909090;border-radius:3px;background:transparent;color:#ddd}.admin-controls .controls .menu-toggle:hover{background-color:#7a7a7a}@media (max-width: 700px){.admin-controls .controls .menu-toggle{display:inline-block}}.admin-controls button{margin-right:5px}.admin-controls input[type="text"]{display:inline-block;float:left}.admin-controls .result-message{display:inline-block;padding-left:10px}.admin-controls .username input[type="text"]{width:240px}.admin-controls .search label{margin-top:5px}.admin-controls .search .controls{margin-left:0}@media (max-width: 550px){.admin-controls .search{display:none}}.admin-controls .toggle span{font-weight:bold}.admin-controls label{display:inline-block;margin-right:5px}.admin-controls .pull-right{padding-right:10px}.paste-users{width:400px;height:150px}.groups .form-horizontal>div,.badges .form-horizontal>div,.web-hook-container .form-horizontal>div{margin-bottom:20px}.groups .form-horizontal .d-editor-textarea-wrapper,.badges .form-horizontal .d-editor-textarea-wrapper,.web-hook-container .form-horizontal .d-editor-textarea-wrapper{max-width:60%}.groups .form-horizontal .d-editor-textarea-wrapper .d-editor-button-bar,.badges .form-horizontal .d-editor-textarea-wrapper .d-editor-button-bar,.web-hook-container .form-horizontal .d-editor-textarea-wrapper .d-editor-button-bar{overflow:hidden}.groups .form-horizontal input,.groups .form-horizontal textarea,.groups .form-horizontal select,.groups .form-horizontal .select-box,.badges .form-horizontal input,.badges .form-horizontal textarea,.badges .form-horizontal select,.badges .form-horizontal .select-box,.web-hook-container .form-horizontal input,.web-hook-container .form-horizontal textarea,.web-hook-container .form-horizontal select,.web-hook-container .form-horizontal .select-box{width:350px}.groups .form-horizontal input[type="checkbox"],.groups .form-horizontal input[type="radio"],.badges .form-horizontal input[type="checkbox"],.badges .form-horizontal input[type="radio"],.web-hook-container .form-horizontal input[type="checkbox"],.web-hook-container .form-horizontal input[type="radio"]{width:20px}.text-successful{color:#1ca551}.text-danger{color:#e45735}.text-muted{color:#909090}.admin-nav{width:18.018%;position:relative}@media (max-width: 700px){.admin-nav{position:absolute;z-index:0;width:250px}}@media (max-width: 500px){.admin-nav{width:50%}}.admin-detail{width:76.5765%;background-color:#222;min-height:875px;margin-left:0;border-left:solid 1px #313131;padding:30px 0 30px 30px}@media (max-width: 700px){.admin-detail{z-index:1;width:100%}}@media (max-width: 700px){.admin-detail{padding:30px 0;border:none}}@media (max-width: 700px){.admin-detail.mobile-open{transition:transform 0.3s ease;-webkit-transform:translateX(250px);transform:translateX(250px)}}@media (max-width: 500px){.admin-detail.mobile-open{transition:transform 0.3s ease;-webkit-transform:translateX(50%);transform:translateX(50%)}}@media (max-width: 700px){.admin-detail.mobile-closed{transition:transform 0.3s ease;-webkit-transform:translateX(0);transform:translateX(0);margin-left:-10px;padding-left:10px}}section.details h1{font-size:1.5157em;color:#ddd;padding:5px 10px;margin:30px 0 5px 0;border-bottom:5px solid #313131}.user-controls{padding:5px;clear:both;text-align:right}.user-controls .btn{line-height:1.2}@media (max-width: 700px){.user-controls .btn{margin:2px}}.row.groups input[type="text"]{width:500px}.row.groups input#group-users{width:600px}.ember-list-view{overflow-y:auto;overflow-x:hidden;position:relative}.ember-list-item-view{position:absolute}.tl3-requirements .d-icon-check{color:#1ca551}.tl3-requirements .d-icon-times{color:#e45735}@media all and (min-width: 320px) and (max-width: 500px){.full-width{margin:0}.site-settings-nav{width:100%}.site-settings-detail{width:100%;padding:0;border:none}.site-settings-detail .settings .setting .setting-label{float:left;width:100%}.site-settings-detail .settings .setting .setting-label h3{margin-bottom:5px;font-weight:bold;margin-top:25px}.site-settings-detail .settings .setting .setting-value{width:100%}.content-editor{width:100%}div.ac-wrap{width:100% !important;box-sizing:border-box}.dashboard-left,.dashboard-right{width:100%}.dashboard-stats{margin:0}.badges .current-badge{margin:70px 0 0 0}.badges .current-badge-actions{padding:0}.customize .content-list,.customize .current-style{width:100%}}tr.not-activated td,tr.not-activated td a,tr.not-activated td a:visited{color:#bbb}.details.not-activated .username .value,.details.not-activated .email .value a,.details.not-activated .email .value a:visited{color:#bbb}.preview{margin-top:5px}table#user-badges .reason{max-width:200px}.value-list .value{padding:0.125em 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:flex}.value-list .value:last-child{border-bottom:none}.value-list .value .value-input{box-sizing:border-box;flex:1 0 0px;border-color:#313131;cursor:pointer;margin:0}.value-list .value .value-input:focus{border-color:#0f82af;box-shadow:none}.value-list .value .remove-value-btn{width:29px;border:1px solid #313131;outline:none;padding:0;margin-right:0.25em}.value-list .value .remove-value-btn:focus{border-color:#0f82af}.value-list .values{margin-bottom:0.5em}.secret-value-list .value{flex-flow:row wrap;margin-left:-0.25em;margin-top:-0.125em}.secret-value-list .value .new-value-input{flex:1 0 0px}.secret-value-list .value .value-input,.secret-value-list .value .new-value-input{margin-top:0.125em}.secret-value-list .value .value-input:last-of-type,.secret-value-list .value .new-value-input:last-of-type{margin-left:0.25em}.secret-value-list .value .remove-value-btn{margin-left:0.25em;margin-top:0.125em}.secret-value-list .value .add-value-btn{width:29px;border:1px solid #313131;outline:none;padding:0;margin-left:0.25em;margin-top:0.125em}.secret-value-list .value .add-value-btn:focus{border-color:#0f82af}.secret-value-list .value .new-value-input{margin-left:0.25em}.mobile-view .secret-value-list .add-value-btn{margin-bottom:9px}.mobile-view .secret-value-list .value .value-input:last-of-type{margin-left:2.35em}.mobile-view .secret-value-list .value .new-value-input:first-of-type{margin-right:2.15em;margin-left:0.25em}.mobile-view .admin-contents input[type="text"]{padding:4px}.mobile-view .full-width{margin:0}.mobile-view .admin-contents .ip-lookup .location-box{width:300px;left:-100%}.inline-edit label{display:inline-block;margin-right:20px}.admin-reports.admin-contents,.dashboard.admin-contents,.dashboard-next.admin-contents{margin:10px 0 0 0}.dashboard .section-top,.dashboard-next .section-top{margin-bottom:0.5em}.dashboard .navigation,.dashboard-next .navigation{display:flex;margin:0 0 2.5em 0;border-bottom:1px solid #7a7a7a}.dashboard .navigation .navigation-item,.dashboard-next .navigation .navigation-item{display:inline}.dashboard .navigation .navigation-item:hover,.dashboard-next .navigation .navigation-item:hover{background:#282828}.dashboard .navigation .navigation-link,.dashboard-next .navigation .navigation-link{display:block;font-weight:bold;padding:0.6em 1em 0.5em 1em}.dashboard.dashboard-moderation .navigation-item.moderation .navigation-link,.dashboard-next.dashboard-moderation .navigation-item.moderation .navigation-link{border-bottom:0.4em solid #0f82af}.dashboard.dashboard-security .navigation-item.security .navigation-link,.dashboard-next.dashboard-security .navigation-item.security .navigation-link{border-bottom:0.4em solid #0f82af}.dashboard.dashboard-reports .navigation-item.reports .navigation-link,.dashboard-next.dashboard-reports .navigation-item.reports .navigation-link{border-bottom:0.4em solid #0f82af}.dashboard.general .navigation-item.general .navigation-link,.dashboard-next.general .navigation-item.general .navigation-link{border-bottom:0.4em solid #0f82af}.dashboard .sections,.dashboard-next .sections{display:flex;flex-direction:column}.dashboard .section-columns,.dashboard-next .section-columns{display:flex;justify-content:space-between}@media screen and (max-width: 850px){.dashboard .section-columns,.dashboard-next .section-columns{flex-direction:column}}.dashboard .section-columns .section-column,.dashboard-next .section-columns .section-column{min-width:calc(50% - 0.5em);max-width:100%}.dashboard .section-columns .section-column:last-child,.dashboard-next .section-columns .section-column:last-child{margin-left:0.5em}.dashboard .section-columns .section-column:first-child,.dashboard-next .section-columns .section-column:first-child{margin-right:0.5em}@media screen and (max-width: 850px){.dashboard .section-columns .section-column,.dashboard-next .section-columns .section-column{min-width:100%}.dashboard .section-columns .section-column:last-child,.dashboard-next .section-columns .section-column:last-child{order:1}.dashboard .section-columns .section-column:first-child,.dashboard-next .section-columns .section-column:first-child{order:2}}@media screen and (max-width: 850px){.dashboard .section-columns .section-column:last-child,.dashboard .section-columns .section-column:first-child,.dashboard-next .section-columns .section-column:last-child,.dashboard-next .section-columns .section-column:first-child{margin:0}}.dashboard .section .section-title,.dashboard-next .section .section-title{display:flex;align-items:center;justify-content:space-between;border-bottom:1px solid #313131;margin-bottom:0.5em;padding-bottom:0.5em}.dashboard .section .section-title h2,.dashboard-next .section .section-title h2{margin:0 0.5em 0 0}.dashboard .section .section-title h2 a,.dashboard-next .section .section-title h2 a{color:#ddd}@media screen and (max-width: 400px){.dashboard .section .section-title,.dashboard-next .section .section-title{flex-wrap:wrap}}.dashboard .section .section-body,.dashboard-next .section .section-body{padding:1em 0 0}.dashboard .section .section-body>p,.dashboard-next .section .section-body>p{margin-top:0}.dashboard .admin-report .header,.dashboard-next .admin-report .header{border:0;padding:0;margin-bottom:1em}.dashboard .charts,.dashboard-next .charts{display:grid;grid-template-columns:repeat(12, 1fr);grid-column-gap:1em;grid-row-gap:1em;display:-ms-grid;-ms-grid-columns:1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;-ms-grid-rows:1fr 1fr}.dashboard .charts .admin-report,.dashboard-next .charts .admin-report{-ms-grid-column-span:4}.dashboard .charts .admin-report:nth-of-type(1),.dashboard-next .charts .admin-report:nth-of-type(1){-ms-grid-row:1;-ms-grid-column:1}.dashboard .charts .admin-report:nth-of-type(2),.dashboard-next .charts .admin-report:nth-of-type(2){-ms-grid-row:2;-ms-grid-column:1}.dashboard .charts .admin-report:nth-of-type(3),.dashboard-next .charts .admin-report:nth-of-type(3){-ms-grid-row:2;-ms-grid-column:5}.dashboard .charts .admin-report:nth-of-type(4),.dashboard-next .charts .admin-report:nth-of-type(4){-ms-grid-row:2;-ms-grid-column:9}.dashboard .charts .admin-report:nth-of-type(5),.dashboard-next .charts .admin-report:nth-of-type(5){-ms-grid-row:3;-ms-grid-column:1}.dashboard .charts .admin-report:nth-of-type(6),.dashboard-next .charts .admin-report:nth-of-type(6){-ms-grid-row:3;-ms-grid-column:5}.dashboard .charts .admin-report:nth-of-type(7),.dashboard-next .charts .admin-report:nth-of-type(7){-ms-grid-row:3;-ms-grid-column:9}.dashboard .charts .admin-report,.dashboard-next .charts .admin-report{grid-column:span 4}.dashboard .charts .admin-report.consolidated-page-views,.dashboard-next .charts .admin-report.consolidated-page-views{grid-column:span 12;-ms-grid-column-span:12}@media screen and (max-width: 850px){.dashboard .charts .admin-report,.dashboard-next .charts .admin-report{grid-column:span 12}}.dashboard .charts .chart-canvas-container,.dashboard-next .charts .chart-canvas-container{position:relative;margin-left:-5px}.dashboard .charts .chart-canvas,.dashboard-next .charts .chart-canvas{width:100%;height:100%}.dashboard .misc,.dashboard-next .misc{display:flex;border:1px solid #313131}.dashboard .misc .storage-stats,.dashboard .misc .last-dashboard-update,.dashboard-next .misc .storage-stats,.dashboard-next .misc .last-dashboard-update{flex:1 1 50%;box-sizing:border-box;margin:1em 0;padding:0 1em}.dashboard .misc .storage-stats,.dashboard-next .misc .storage-stats{display:flex;flex-wrap:wrap;justify-content:space-between;border-right:1px solid #313131}.dashboard .misc .storage-stats .backups,.dashboard .misc .storage-stats .uploads,.dashboard-next .misc .storage-stats .backups,.dashboard-next .misc .storage-stats .uploads{flex:1 1 100%}.dashboard .misc .storage-stats .uploads p:last-of-type,.dashboard-next .misc .storage-stats .uploads p:last-of-type{margin-bottom:0}@media screen and (max-width: 400px){.dashboard .misc,.dashboard-next .misc{flex-wrap:wrap}.dashboard .misc .storage-stats,.dashboard .misc .last-dashboard-update,.dashboard-next .misc .storage-stats,.dashboard-next .misc .last-dashboard-update{flex:1 1 100%;text-align:left}.dashboard .misc .last-dashboard-update,.dashboard-next .misc .last-dashboard-update{display:block;margin:0 20px 20px 20px;padding:20px 0 0 0;border-top:1px solid #313131;border-left:none}}.dashboard .misc .last-dashboard-update,.dashboard-next .misc .last-dashboard-update{text-align:center;display:flex;flex-direction:column;justify-content:center}.dashboard .misc .last-dashboard-update div,.dashboard-next .misc .last-dashboard-update div{align-self:center}.dashboard .misc .last-dashboard-update div h4,.dashboard-next .misc .last-dashboard-update div h4{margin-bottom:0}.dashboard .top-referred-topics,.dashboard-next .top-referred-topics{margin-bottom:1.5em}.dashboard .top-referred-topics th:first-of-type,.dashboard .trending-search th:first-of-type,.dashboard-next .top-referred-topics th:first-of-type,.dashboard-next .trending-search th:first-of-type{text-align:left}.dashboard .section .period-chooser .period-chooser-header .selected-name,.dashboard .section .period-chooser .period-chooser-header .d-icon,.dashboard-next .section .period-chooser .period-chooser-header .selected-name,.dashboard-next .section .period-chooser .period-chooser-header .d-icon{font-size:1.1487em}.dashboard .section .period-chooser .period-chooser-header .d-icon,.dashboard-next .section .period-chooser .period-chooser-header .d-icon{margin:0}.dashboard .dashboard-problems,.dashboard-next .dashboard-problems{margin-bottom:2.5em}.dashboard .dashboard-problems .d-icon-exclamation-triangle,.dashboard-next .dashboard-problems .d-icon-exclamation-triangle{color:#e45735}.dashboard .dashboard-problems .actions,.dashboard-next .dashboard-problems .actions{margin:1em 0 0 0;display:flex;align-items:center;color:#909090}.dashboard .dashboard-problems .actions .btn,.dashboard-next .dashboard-problems .actions .btn{margin-right:1em}.counters-list{display:flex;flex:1 0 0px;flex-direction:column}.counters-list .counters-header{display:grid;flex:1 0 auto;grid-template-columns:33% repeat(auto-fit, minmax(20px, 1fr));border:1px solid #313131;border-bottom:0;font-weight:700;text-align:right;align-items:center;padding:0.65em 0.25em;display:-ms-grid;-ms-grid-columns:2fr 1fr 1fr 1fr 1fr}.counters-list .counters-header .counters-cell{-ms-grid-row:1;-ms-grid-column-span:1}.counters-list .counters-header .counters-cell:nth-of-type(1){-ms-grid-column:1}.counters-list .counters-header .counters-cell:nth-of-type(2){-ms-grid-column:2}.counters-list .counters-header .counters-cell:nth-of-type(3){-ms-grid-column:3}.counters-list .counters-header .counters-cell:nth-of-type(4){-ms-grid-column:4}.counters-list .counters-header .counters-cell:nth-of-type(5){-ms-grid-column:5}.counters-list .admin-report .main{border:1px solid #313131}.counters-list .admin-report .main:hover{background-color:#282828}.counters-list .admin-report:not(:last-child) .main{border-bottom:0}.counters-list .admin-report:not(:last-child) .conditional-loading-section.is-loading{border-bottom:0}.counters-list .admin-report .conditional-loading-section.is-loading{display:flex;flex-direction:row;padding:0.5em 0.25em;align-items:flex-start;justify-content:flex-start;border:1px solid #313131}.counters-list .admin-report .conditional-loading-section.is-loading .title{font-size:1em}.counters-list .admin-report .conditional-loading-section.is-loading .spinner{margin:0;width:8px;height:8px;margin-left:0.5em}.counters-list .admin-report .main .report-alert{display:flex;flex-direction:row;padding:0.5em 0.25em;align-items:center;text-align:left;border:0}.counters-list .admin-report .main .report-alert:hover{background-color:#282828}.counters-list .admin-report .main .report-alert .d-icon{font-size:1.1487em;margin:0 0.25em 0 0;color:#7a7a7a}.activity-metrics{margin-bottom:1.5em}.user-metrics{display:flex;flex-wrap:wrap;justify-content:space-between;flex-direction:column}.user-metrics .dashboard-inline-table{flex:1 0 auto;max-width:95%}.user-metrics .table-cell{display:flex;flex:0 1 auto;margin:0 10px 5px 0;border:1px solid #313131;border-radius:10px}.user-metrics .table-cell .label{display:flex;align-items:center;color:#ddd;background:#282828;justify-content:center;border-radius:9px 0 0 9px;padding:0 5px 0 8px}.user-metrics .table-cell .label .d-icon{margin-right:5px;font-size:.8706em}.user-metrics .table-cell .value{padding:0 8px 0 5px}.user-metrics .table-cell.user-newuser .label{color:#a6a6a6}.user-metrics .table-cell.user-basic,.user-metrics .table-cell.user-member{border-color:#cd7f32}.user-metrics .table-cell.user-basic .label,.user-metrics .table-cell.user-member .label{border-color:#cd7f32;background:#cd7f32;color:#222}.user-metrics .table-cell.user-regular{border-color:silver}.user-metrics .table-cell.user-regular .label{border-color:silver;background:silver;color:#222}.user-metrics .table-cell.user-leader{border-color:#e7c300}.user-metrics .table-cell.user-leader .label{background:#e7c300;border-color:#e7c300;color:#222}.rtl .dashboard-next .section-column:last-child{margin-right:1em;margin-left:0}.rtl .dashboard-next .section-column:first-child{margin-left:1em;margin-right:0}.rtl .dashboard-next .user-metrics .table-cell{margin:0 0 5px 10px}.rtl .dashboard-next .table-cell .label{border-radius:0 9px 9px 0}.rtl .dashboard-next .table-cell .label .d-icon{margin-right:0;margin-left:5px}.users-by-trust-level,.users-by-type{margin-bottom:1.5em}.community-health.section{margin-bottom:1.5em}.dashboard-moderation .section-body,.dashboard-security .section-body{margin-bottom:1em}.dashboard-moderation .main-section,.dashboard-security .main-section{display:grid;grid-template-columns:repeat(12, 1fr);grid-column-gap:1em;grid-row-gap:1em}.dashboard-moderation .main-section>*,.dashboard-security .main-section>*{grid-column:span 12}.dashboard-moderation .main-section .admin-dashboard-security-bottom-outlet,.dashboard-moderation .main-section .admin-dashboard-moderation-bottom-outlet,.dashboard-security .main-section .admin-dashboard-security-bottom-outlet,.dashboard-security .main-section .admin-dashboard-moderation-bottom-outlet{display:grid;grid-template-columns:repeat(12, 1fr);grid-column-gap:1em;grid-row-gap:1em}.dashboard-moderation .admin-report,.dashboard-security .admin-report{grid-column:span 12}.dashboard-moderation .admin-dashboard-moderation-top{display:grid;grid-template-columns:repeat(12, 1fr);grid-column-gap:1em;grid-row-gap:1em}.dashboard-reports .reports-list{display:flex;flex-wrap:wrap;list-style-type:none;margin:0 -1.5%}.dashboard-reports .report{margin:1.5%;border:1px solid #313131;flex:1 1 28%;transition:box-shadow 0.25s;min-width:225px;max-width:550px}.dashboard-reports .report a{display:block;width:100%;height:100%;box-sizing:border-box;padding:1em}.dashboard-reports .report a .report-description{color:#a6a6a6}.dashboard-reports .report:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15)}.version-checks{display:flex;flex-wrap:wrap}.version-checks .section-title{flex:1 1 100%;border-bottom:1px solid #313131;margin-bottom:0.5em}.version-check{display:flex;flex:1 1 50%;flex-wrap:wrap;align-items:flex-start;align-self:flex-start;justify-content:space-between;padding:10px 0 10px 0}.version-check .upgrade-header{flex:1 1 100%}@media screen and (max-width: 650px){.version-check .upgrade-header{margin:0}}.version-check .upgrade-header tr{border:none}.version-check .upgrade-header th{background:transparent;padding:0}.version-check h2{flex:1 1 100%}.version-check .version-number{font-size:1.3195em;line-height:1.2;box-sizing:border-box;font-weight:bold;margin:0 0 1em 0;padding-right:20px;flex:1 1 27%}.version-check .version-number h3{flex:1 0 auto;white-space:nowrap}.version-check .version-number h4,.version-check .version-number .sha-link{font-size:.7579em;margin-bottom:0}.version-check .version-number .sha-link{font-weight:normal}.version-check .version-status{display:flex;align-items:center;margin:0 0 1em 0;flex:1 1 24%;box-sizing:border-box;padding-right:20px;min-width:250px}@media screen and (max-width: 850px){.version-check .version-status{max-width:unset}}.version-check .version-status .face{margin:0 0.75em 0 0;font-size:1.5157em}.version-check.critical .version-notes .normal-note{display:none}.version-check.normal .version-notes .critical-note{display:none}.version-check .fa{font-size:1.7511em}.version-check .up-to-date{color:#1ca551}.version-check .updates-available{color:#e45735}.version-check .critical-updates-available{color:#e45735}.update-nag .d-icon{font-size:1.5157em}.settings .setting{padding-bottom:20px}.settings .setting .setting-label{float:left;width:17.6576%;margin-right:12px}@media (max-width: 700px){.settings .setting .setting-label{float:none;margin-right:0;width:100%}.settings .setting .setting-label h3{margin-bottom:6px}}.settings .setting .setting-value{float:left;width:53%;padding-right:20px}.settings .setting .setting-value input[type="checkbox"],.settings .setting .setting-value input[type="radio"]{flex:0 0 auto}.settings .setting .setting-value .category-selector{width:95%}@media (max-width: 700px){.settings .setting .setting-value{width:100%;padding-right:0}}.settings .setting .setting-value .select-kit{width:100% !important}@media (max-width: 700px){.settings .setting .setting-value .select-kit{width:100% !important}}.settings .setting .setting-value .uploaded-image-preview{background-size:contain;background-repeat:no-repeat;background-color:#909090}.settings .setting .setting-controls{float:left}.settings .setting .input-setting-string,.settings .setting .input-setting-textarea{width:100%}@media (max-width: 700px){.settings .setting .input-setting-string,.settings .setting .input-setting-textarea{width:100%}}.settings .setting .input-setting-textarea{height:150px}.settings .setting .input-setting-list{padding:1px;background-color:#222;border:1px solid #313131;border-radius:3px;transition:border linear 0.2s, box-shadow linear 0.2s}@media (max-width: 700px){.settings .setting .input-setting-list{width:100%}}.settings .setting .input-setting-list li.sortable-placeholder{padding:3px 5px 3px 18px;margin:3px 0 3px 5px;position:relative;line-height:1;cursor:default;border:1px dashed #7a7a7a;border-radius:3px;background-clip:padding-box;-moz-user-select:none;background-color:transparent;width:3em;height:1em}.settings .setting .desc,.settings .setting .validation-error{padding-top:3px;font-size:.8706em;line-height:1.4}.settings .setting .validation-error{color:#e45735}.settings .setting .desc{color:#909090}.settings .setting h3{font-size:1em;font-weight:normal}.settings .setting.overridden h3{color:#976632}.settings .setting.overridden.string input[type="text"],.settings .setting.overridden.string input[type="password"],.settings .setting.overridden.string textarea{background-color:#4c3319}.settings .warning{color:#e45735}.display-row.associations .value{width:750px}@media (max-width: 700px){.display-row.associations .value{width:75%;float:right;text-align:left;margin-left:0}}.display-row{display:flex;align-items:center;padding:10px 5px;border-top:1px solid #313131}.display-row:nth-of-type(1){border-top:0}.display-row.highlight-danger{background-color:#591b0c}.display-row:before,.display-row:after{display:table;content:""}.display-row:after{clear:both}.display-row.secondary-emails ul{margin:0;list-style:none}.display-row .field{font-weight:bold;width:17.65765%;float:left;margin-left:12px}@media (max-width: 700px){.display-row .field{margin-left:0;line-height:1.4;margin-top:5px}}.display-row .value{width:250px;float:left;margin-left:12px}@media (max-width: 700px){.display-row .value{width:75%;float:right;text-align:left;margin-left:0}}.display-row .value .select-kit{width:inherit}.display-row .long-value{width:800px;float:left;margin-left:12px;font-size:.8706em}.display-row .long-value button{margin-left:10px}.display-row .controls{width:480px;float:left;margin-left:12px}@media (max-width: 700px){.display-row .controls{width:75%;float:right;text-align:left;margin-left:0}}.display-row .controls .btn{margin-right:5px}.display-row.username .value,.display-row.name .value{word-break:break-all}.admin-users input{margin-bottom:0}.admin-users .users-list .username .d-icon{color:#909090}.admin-users-list td.username{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;overflow-wrap:break-word}@media screen and (max-width: 970px) and (min-width: 768px){.admin-users-list td.username{max-width:23vw}.admin-users-list td.email{max-width:28vw;overflow-wrap:break-word}}@media screen and (max-width: 767px){.admin-users-list tr td.username{grid-column-start:1;grid-column-end:-2;font-weight:bold}.admin-users-list tr td.user-status{text-align:right;grid-row:1;grid-column-end:-1}.admin-users-list tr td.user-status .d-icon{margin-left:0.25em}.admin-users-list tr td.email{grid-column-start:1;grid-column-end:-1;word-wrap:break-word;overflow-wrap:break-word;overflow:hidden;min-width:0;margin:0.5em 0 0 0}.admin-users-list tr td.email:empty{display:none}}@media screen and (max-width: 767px){.admin-users-list tr.user{display:-ms-grid;-ms-grid-columns:1fr 1fr 1fr;-ms-grid-rows:2em 1fr 3em 3em}.admin-users-list tr.user td{display:-ms-grid;-ms-grid-columns:1fr;-ms-grid-rows:1fr 1fr}.admin-users-list tr.user td .label{-ms-grid-row:1;-ms-grid-column:1}.admin-users-list tr.user td div:not(.label){-ms-grid-row:2;-ms-grid-column:1;align-self:center}.admin-users-list tr.user td.username{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2}.admin-users-list tr.user td.user-status{-ms-grid-row:1;-ms-grid-column:3}.admin-users-list tr.user td.email{-ms-grid-row:2;-ms-grid-column:1;-ms-grid-column-span:3}.admin-users-list tr.user td.last-emailed{-ms-grid-row:3;-ms-grid-column:1}.admin-users-list tr.user td.last-seen{-ms-grid-row:3;-ms-grid-column:2}.admin-users-list tr.user td.topics-entered{-ms-grid-row:3;-ms-grid-column:3}.admin-users-list tr.user td.posts-read{-ms-grid-row:4;-ms-grid-column:1}.admin-users-list tr.user td.time-read{-ms-grid-row:4;-ms-grid-column:2}.admin-users-list tr.user td.created{-ms-grid-row:4;-ms-grid-column:3}}.mobile-view .admin-users.admin-user .display-row{flex-direction:column;align-items:flex-start}.mobile-view .admin-users.admin-user .display-row .field,.mobile-view .admin-users.admin-user .display-row .value{width:unset}.mobile-view .admin-users.admin-user .display-row .select-kit{width:300px}.mobile-view .admin-users.admin-user .long-value{word-wrap:break-word;max-width:100%;margin:0}.mobile-view .admin-users.admin-user .long-value button{margin:5px 0;display:block}.mobile-view .admin-users.admin-user h1{margin:15px 0 5px 0}.mobile-view .admin-users.admin-user .user-controls{text-align:inherit}.mobile-view .admin-users.admin-user .controls{width:unset;margin-top:5px}.mobile-view .admin-users.admin-user .associations button{margin:5px 5px 0 0}.mobile-view .admin-users.admin-user .ip-lookup{display:block}.mobile-view .admin-users.admin-user .ip-lookup .location-box{left:0}.suspend-user-modal .until-controls{margin-bottom:1em}.suspend-user-modal .suspend-reason{width:100%}.suspend-user-modal .suspend-reason-label,.suspend-user-modal .suspend-message-label{margin-bottom:0.5em}.suspend-user-modal .textarea,.suspend-user-modal input[type="text"]{box-sizing:border-box;height:2.5em}.suspend-user-modal .inline-spinner{float:right}.modal-body .penalty-post-edit{margin-top:1em}.modal-body .penalty-post-edit textarea{height:10em}.admin-badges .badges{display:flex;flex-wrap:wrap}.admin-badges .badges .badges-header{display:flex;align-items:center;flex:1 0 100%}.admin-badges .badges .badges-header .create-new-badge{margin-left:auto}.admin-badges .badges .content-list{flex:0 0 27%}.admin-badges .badges .current-badges{display:flex;justify-content:center;flex:1 1 72%}.admin-badges .badges-header{padding:10px 0;border-top:1px solid #313131;border-bottom:1px solid #313131}.admin-badges .badges-header .badges-heading{margin:0;padding:0 10px}.admin-badges .content-list .admin-badge-list{height:70vh;overflow-y:scroll;border-right:1px solid #313131;border-left:1px solid #313131;border-bottom:1px solid #313131}.admin-badges .content-list .admin-badge-list .admin-badge-list-item:first-child{border-top:none}.admin-badges .content-list .admin-badge-list .admin-badge-list-item:last-child{border-top:none}.admin-badges .content-list .admin-badge-list .list-badge{float:right;font-size:.8706em;font-weight:normal;padding:0 6px;color:#222;background-color:#084860;border-radius:3px}.admin-badges .content-list .user-badge{border:none;background-color:unset}.admin-badges .current-badge{margin:20px}.admin-badges .current-badge p.help{margin:0;margin-top:5px;color:#909090;font-size:.8706em}.admin-badges .current-badge .badge-grouping-control{display:flex;align-items:center}.admin-badges .current-badge .badge-grouping-control .badge-selector{margin-right:5px}.admin-badges .form-horizontal .ace-wrapper{position:relative;height:270px}.admin-badges .form-horizontal .ace-wrapper .ace_editor{position:absolute;left:0;right:0;top:0;bottom:0}.admin-badges .form-horizontal .ace-wrapper[data-disabled="true"]{cursor:not-allowed;opacity:0.5}.admin-badges .form-horizontal .ace-wrapper[data-disabled="true"] .ace_editor{pointer-events:none}.admin-badges .form-horizontal .ace-wrapper[data-disabled="true"] .ace_editor .ace_cursor{visibility:hidden}.admin-badges .form-horizontal textarea{height:200px}.admin-badges .current-badge-actions{margin:10px;padding:10px;border-top:1px solid #313131}.admin-badges .buttons{float:left;width:200px}.admin-badges .buttons .saving{padding:5px 0 0 0;margin-left:10px;width:80px;color:#ddd}.badge-groupings-modal .badge-groupings{margin-bottom:10px}.badge-groupings-modal .badge-groupings-list{list-style:none;margin:0}.badge-groupings-modal .badge-groupings-list .badge-grouping-item{border-bottom:1px solid #313131;display:flex;justify-content:space-between;align-items:center;padding:5px 0}.badge-groupings-modal .badge-groupings-list .badge-grouping .badge-grouping-name-input{margin:0}.badge-query-preview .badge-errors,.badge-query-preview .badge-query-plan{padding:5px;background-color:#313131}.badge-query-preview .count-warning{background-color:#591b0c;margin-bottom:5px;padding:10px}.badge-query-preview .count-warning p{margin:0}.badge-query-preview .count-warning .heading{color:#e45735;font-weight:bold}.email-list .filters input{width:100%}.email-list .time{width:50px}.email-list .reply-key{display:block;font-size:.8706em;color:#909090}.email-list .username div{max-width:180px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.email-list .addresses p{margin:2px 0;max-width:200px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.incoming-emails .control-group{margin:8px 0}.incoming-emails .controls{margin-left:110px}.incoming-emails p{margin:5px 10px}.incoming-emails .error-description{color:#909090;font-size:.8706em}.incoming-emails hr{margin:0}.incoming-emails label{font-weight:bold;float:left;width:100px;text-align:right;margin:0 10px}.incoming-emails ul{list-style:none;margin:0 10px}.incoming-emails textarea{width:95%;height:150px;font-family:monospace;box-shadow:none}.admin-list-item{width:100%;border-top:1px solid #313131;padding:0.25em 0}.email-preview .digest-refresh-button{margin:0 0.5em}.email-preview-digest .controls{margin:1em 0.5em}.email-preview-digest .controls input[type="text"]{margin-bottom:0}.email-preview-digest .controls label{display:inline}.email-preview-digest .preview-output iframe{width:100%;height:600px;border-width:1px}.email-advanced-test .admin-controls{display:block}.email-advanced-test .email-body{width:95%;height:150px;font-family:monospace}.web-hook-events{border-bottom:dotted 1px #7a7a7a}.web-hook-events .heading-container{width:100%;background-color:#313131}.web-hook-events .col.heading{font-weight:bold;padding:4px 0}.web-hook-events .col{display:inline-block;padding-top:6px;vertical-align:top;overflow-y:auto;overflow-x:hidden}.web-hook-events .ember-list-item-view{width:100%;border-top:solid 1px #313131}.log-details-modal pre{white-space:pre-wrap;max-height:250px}.log-details-modal .modal-tab{width:95%}.staff-actions{width:100%;word-wrap:break-word}@media screen and (min-width: 550px) and (max-width: 767px){.staff-actions table.staff-logs tr{display:grid;grid-template-rows:auto auto;grid-template-columns:repeat(4, 1fr)}.staff-actions table.staff-logs tr td{align-self:start;padding:2px 4px}.staff-actions td.created-at{grid-column-start:-1}.staff-actions td.subject{grid-row:2;grid-column-start:2}.staff-actions td.subject div.subject{display:flex}.staff-actions td.subject div.subject a{word-wrap:break-word;min-width:25px}.staff-actions td.details{grid-row:1;grid-row-start:1;grid-row-end:3;grid-column-start:3}.staff-actions td.context{grid-row-start:1;grid-row-end:3;grid-column-start:4}}@media screen and (max-width: 767px){.staff-actions table.staff-logs tr{display:-ms-grid;-ms-grid-columns:1fr 1fr 1fr 0.5fr;-ms-grid-rows:auto auto}.staff-actions table.staff-logs tr td{display:-ms-grid}.staff-actions table.staff-logs tr td.staff-users{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2}.staff-actions table.staff-logs tr td.created-at{-ms-grid-row:1;-ms-grid-column:4}.staff-actions table.staff-logs tr td.action{-ms-grid-row:2;-ms-grid-column:1}.staff-actions table.staff-logs tr td.subject{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:3}.staff-actions table.staff-logs tr td.details{-ms-grid-row:3;-ms-grid-column:1;-ms-grid-column-span:3}.staff-actions table.staff-logs tr td.context{-ms-grid-row:4;-ms-grid-column:1;-ms-grid-column-span:3}}@media screen and (max-width: 550px){.staff-actions table.staff-logs tr{grid-template-columns:1fr 1fr 0.5fr}.staff-actions table.staff-logs tr td.staff-users{grid-column-start:1;grid-column-end:3}.staff-actions table.staff-logs tr td.created-at{grid-row:1;grid-column-start:-1;text-align:right}.staff-actions table.staff-logs tr td.action{grid-row:2;grid-column-start:1}.staff-actions table.staff-logs tr td.subject{grid-row:2;grid-column-start:2;grid-column-end:5;max-width:60vw}.staff-actions table.staff-logs tr td.details,.staff-actions table.staff-logs tr td.context{max-width:unset}.staff-actions table.staff-logs tr td.details{grid-row:3;grid-column-start:1;grid-column-end:5;padding:0.25em 0;max-width:90vw}.staff-actions table.staff-logs tr td.context{grid-row:4;grid-column-start:1;grid-column-end:5}}.staff-actions .staff-user{font-weight:bold;display:flex}.staff-actions .staff-user a:first-of-type{margin-right:0.25em}.staff-actions .staff-user .deleted-user{font-size:1.3195em}.staff-actions .created_at{text-align:center}.staff-actions td.subject,.staff-actions td.details{max-width:20vw}.staff-action-logs-controls{display:flex;align-items:center;margin:0 0 1em 0}.staff-action-logs-controls .select-kit{margin:0 0.5em}.staff-action-logs-controls button{margin-left:auto;display:flex}.staff-action-logs-controls a.filter{display:inline-flex;align-items:center;margin-bottom:0.25em;background-color:#313131;padding:3px 10px;color:#ddd}.staff-action-logs-controls a.filter:hover{color:#ddd;background-color:#313131}.staff-action-logs-controls a.filter .label{font-weight:bold}.staff-action-logs-controls a.filter .d-icon{margin-left:6px}.admin-logs-table input.ember-text-field{padding:1px 4px}.admin-logs-table .btn{padding:2px 8px}.admin-logs-table .btn .fa{margin-right:2px}.screened-email-export{display:block}.screened-ip-address-form{margin-left:6px}.screened-ip-address-form .combobox{width:130px}.screened-ip-controls{display:flex;flex-wrap:wrap}.screened-ip-controls input{flex:1 1 auto;margin:0 0.25em 0.25em}.screened-ip-controls b{margin:0 0.25em}.screened-ip-controls .select-kit{margin:0 0.25em 0.25em 0.25em;flex:1 1 auto}.screened-ip-controls .filter-screened-ip-address,.screened-ip-controls .screened-ip-address-form{margin:0 -0.25em 1em;display:flex;flex-wrap:wrap;align-items:center}@media screen and (min-width: 800px){.screened-ip-controls .screened-ip-address-form{margin-left:auto}}.screened-ip-controls button{display:flex;white-space:nowrap;margin:0 0.25em 0.25em}table.screened-ip-addresses td.ip_address{min-width:150px;word-wrap:break-word}table.screened-ip-addresses td.ip_address input{width:80%}table.screened-ip-addresses td.action{display:flex;align-items:baseline}table.screened-ip-addresses td.action .d-icon-check{color:#1ca551}table.screened-ip-addresses td.action .d-icon-ban{color:#e45735}table.screened-ip-addresses td.action .d-icon{margin-right:0.25em}@media screen and (min-width: 550px){table.screened-ip-addresses tr{grid-template-columns:repeat(5, 1fr) auto}}@media screen and (max-width: 549px){table.screened-ip-addresses tr td.actions{grid-row:3;grid-column-start:-1;grid-column-end:-4;text-align:right;margin-top:0.5em}table.screened-ip-addresses tr td.created_at{grid-row:1;grid-column-start:3;text-align:right}table.screened-ip-addresses tr td.last_match_at{grid-row:2;grid-column-start:3;text-align:right}table.screened-ip-addresses tr td.match_count{grid-row:2;grid-column-start:2}}@media screen and (max-width: 768px){.screened-urls td.domain{grid-column-start:1;grid-column-end:3;word-wrap:break-word}}.screened-emails td.ip_address{word-wrap:break-word}@media screen and (min-width: 768px){.screened-emails td.ip_address{max-width:20vw}}@media screen and (max-width: 768px){.screened-emails td.email{grid-column-start:1;grid-column-end:3;word-wrap:break-word}.screened-emails td.ip_address{grid-row:2;grid-column-start:1;grid-column-end:-1}.screened-emails td.action{margin-top:0.25em}}.watched-word-box{display:inline-block;width:250px;margin-bottom:1em;vertical-align:top}.admin-watched-words .clear-all-row{display:flex;margin-top:10px;justify-content:flex-end}.admin-watched-words .clear-all-row .clear-all{margin-left:5px}.watched-word-controls{display:flex;flex-wrap:wrap;margin-bottom:1em;justify-content:space-between}.watched-word-controls .download-upload-controls{display:flex}.watched-word-controls .download{justify-content:flex-end}.watched-words-list{margin-top:20px;display:inline-block}.watched-word{display:inline-block;cursor:pointer}.watched-word .d-icon{margin-right:0.25em;color:#909090}.watched-word:hover .d-icon{color:#e45735}.watched-word-form{display:inline-block}.watched-word-form .success-message{margin-left:1em}.watched-words-uploader{margin-left:5px;display:flex;flex-direction:column;align-items:flex-end}@media screen and (max-width: 500px){.watched-words-uploader{flex:1 1 100%;margin-top:0.5em}}.watched-words-uploader .instructions{font-size:.8706em;margin-top:5px}.watched-words-detail .about{margin:0.5em 0 1em 0}.watched-words-test-modal p{margin-top:0}table.search-logs-list td.term{width:60%;word-wrap:break-word}@media screen and (max-width: 767px){table.search-logs-list td.term{width:100%}}table.search-logs-list th:not(.term),table.search-logs-list td:not(.term){text-align:center}@media screen and (min-width: 550px){table.search-logs-list tr td.term{grid-column-start:1;grid-column:span 3}}@media screen and (max-width: 550px){table.search-logs-list tr td.term{grid-column-start:1;grid-column-end:4}table.search-logs-list tr th:not(.term),table.search-logs-list tr td:not(.term){text-align:left}}@media screen and (max-width: 767px){table.search-logs-list tr{display:-ms-grid;-ms-grid-columns:1fr 1fr 1fr;-ms-grid-rows:auto 2em}table.search-logs-list tr td{display:-ms-grid;-ms-grid-rows:auto auto}table.search-logs-list tr td .label{-ms-grid-row:2}table.search-logs-list tr td.term{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:3}table.search-logs-list tr td.col:nth-of-type(2){-ms-grid-row:2;-ms-grid-column:1}table.search-logs-list tr td.col:nth-of-type(3){-ms-grid-row:2;-ms-grid-column:2}table.search-logs-list tr td.col:nth-of-type(4){-ms-grid-row:2;-ms-grid-column:3}}.content-editor{min-height:500px;float:left;width:54.054%;margin-left:1.8018%}.content-editor p.description{color:#ddd}.content-editor .controls{margin-top:10px}.content-editor textarea.plain{width:98%;height:200px}.content-editor .d-editor-input{width:98%;height:200px}.content-editor .ace-wrapper{position:relative;height:600px;width:100%}.content-editor .ace_editor{position:absolute;left:0;right:0;top:0;bottom:0}.email-template input{width:100%}.email-template label{font-weight:bold}.create-theme-modal div.input{margin-bottom:12px}.create-theme-modal div.input .label{width:20%;display:inline-block}.create-theme-modal .error{color:#e45735}.admin-customize.admin-customize-themes .admin-container{padding:0}.admin-customize.admin-customize-themes .error-message{margin-top:5px;margin-bottom:5px}.admin-customize.admin-customize-themes .error-message .fa{color:#e45735}.admin-customize.admin-customize-themes .raw-error{background-color:#282828;padding:5px}.admin-customize h1{margin-bottom:10px}.admin-customize h1 input{margin-bottom:0;font-size:.7579em}.admin-customize .field-error{margin-top:10px;margin-bottom:10px;background-color:#3a160b;padding:5px}.admin-customize .admin-container{padding-left:10px;padding-right:10px}.admin-customize .admin-footer{margin-top:20px}.admin-customize .color-schemes li .d-icon{margin-right:0.25em;color:#909090}.admin-customize .show-current-style{display:inline-block;vertical-align:top}.admin-customize .show-current-style .btn{line-height:1.2}.admin-customize .show-current-style .title{font-size:1.7511em;font-weight:bold;margin-bottom:10px}.admin-customize .show-current-style .title a{font-size:.7579em}.admin-customize .show-current-style .title .btn{line-height:1}.admin-customize .show-current-style .theme-description{display:block;margin:10px 0}.admin-customize .show-current-style .metadata .authors,.admin-customize .show-current-style .metadata .version{display:block}.admin-customize .show-current-style .metadata .authors .heading,.admin-customize .show-current-style .metadata .version .heading{font-weight:bold}.admin-customize .show-current-style div.remote-url{font-size:.8706em;margin-bottom:7px}.admin-customize .show-current-style a.remote-url,.admin-customize .show-current-style a.about-url,.admin-customize .show-current-style a.license-url{display:inline-block;margin-right:10px}.admin-customize .show-current-style a.remote-url .d-icon,.admin-customize .show-current-style a.about-url .d-icon,.admin-customize .show-current-style a.license-url .d-icon{margin-left:5px}.admin-customize .show-current-style .mini-title{font-size:1.1487em;font-weight:bold;margin-bottom:7px}.admin-customize .show-current-style .control-unit{margin-bottom:25px;margin-top:15px}.admin-customize .show-current-style .control{margin-bottom:10px}.admin-customize .show-current-style .description{margin-bottom:12px}.admin-customize .add-component-button{vertical-align:middle}.admin-customize .themes-list{display:inline-block}.admin-customize .themes-list .create-actions{margin-top:0.5em}.admin-customize .themes-list-header{width:100%;border-bottom:1px solid #313131;border-top:1px solid #313131;border-right:1px solid #313131}.admin-customize .themes-list-header .tab{display:inline-block;padding:10px;width:50%;box-sizing:border-box;text-align:center;border-left:1px solid #313131}.admin-customize .themes-list-header .tab.active{font-weight:bold;color:#222;background:#e45735}.admin-customize .themes-list-header .tab:not(.active){cursor:pointer}.admin-customize .themes-list-header .tab:not(.active):hover{background-color:#282828}.admin-customize .themes-list-container{overflow-y:auto;box-sizing:content-box;max-height:60vh;border-right:1px solid #313131;border-bottom:1px solid #313131;width:100%}@media screen and (max-height: 1000px){.admin-customize .themes-list-container{max-height:50vh}}@media screen and (max-height: 800px){.admin-customize .themes-list-container{max-height:40vh}}.admin-customize .themes-list-container .themes-list-item:last-child{border-bottom:none}.admin-customize .themes-list-container .themes-list-item{color:#ddd;border-bottom:1px solid #313131;display:flex;border-left:1px solid #313131}.admin-customize .themes-list-container .themes-list-item.inactive-indicator{border-right:0;border-left:0;font-weight:bold;color:#909090}.admin-customize .themes-list-container .themes-list-item.inactive-indicator span.empty{padding-left:5px;padding-top:15px}.admin-customize .themes-list-container .themes-list-item:not(.inactive-indicator):not(.selected):hover{background-color:#282828}.admin-customize .themes-list-container .themes-list-item:not(.inactive-indicator):not(.selected):hover .component{border-color:#7a7a7a}.admin-customize .themes-list-container .themes-list-item.selected{color:#222;background-color:#0f82af}.admin-customize .themes-list-container .themes-list-item.selected .components-list{color:#222}.admin-customize .themes-list-container .themes-list-item.selected .fa{color:inherit}.admin-customize .themes-list-container .themes-list-item:not(.selected) .broken-indicator{color:#e45735}.admin-customize .themes-list-container .themes-list-item:not(.selected) .fa{opacity:0.7}.admin-customize .themes-list-container .themes-list-item:not(.selected) .default-indicator{color:#1ca551}.admin-customize .themes-list-container .themes-list-item .light-grey-icon{color:#909090}.admin-customize .themes-list-container .themes-list-item .info{overflow:hidden;display:flex;font-weight:bold;font-size:1.1487em}.admin-customize .themes-list-container .themes-list-item .info .icons{margin-left:auto}.admin-customize .themes-list-container .themes-list-item .components-list{margin-top:5px;display:inline-block;font-size:.8706em;align-items:baseline;color:#a6a6a6}.admin-customize .themes-list-container .themes-list-item .components-list .others-count,.admin-customize .themes-list-container .themes-list-item .components-list .others-count:hover{text-decoration:underline}.admin-customize .themes-list-container .themes-list-item .inner-wrapper{padding:10px;cursor:pointer}.admin-customize .themes-list-container .themes-list-item span.empty{padding:3px 10px 3px 10px}.admin-customize .themes-list-container .themes-list-item .inner-wrapper,.admin-customize .themes-list-container .themes-list-item span.empty{color:inherit;width:100%}.admin-customize .theme.settings .theme-setting{min-height:35px}.admin-customize .theme.settings .theme-translation{padding-bottom:0;margin-top:18px;min-height:35px}.admin-customize .theme.settings .setting-label{width:25%;word-wrap:break-word}.admin-customize .theme.settings .setting-label h3{margin-top:0;margin-bottom:0.5rem}.admin-customize .current-style.maximized{position:fixed;top:0;bottom:0;left:0;right:0;z-index:1150;background-color:white;width:100%;padding:0;margin:0}.admin-customize .current-style.maximized .wrapper{position:absolute;top:20px;bottom:10px;left:20px;right:20px}.admin-customize .content-list,.admin-customize .current-style{float:left}.admin-customize .content-list ul{margin-bottom:10px}.admin-customize .current-style{width:100%}.admin-customize .current-style .admin-container{margin:0}.admin-customize .current-style .edit-main-nav .nav-pills>li a.active{background-color:#c14924;color:#222}.admin-customize .current-style .edit-main-nav ul{padding-bottom:0}.admin-customize .current-style .nav-pills li{margin-right:0;display:flex}.admin-customize .current-style .nav-pills li.spacer{flex-grow:1}.admin-customize .current-style .nav-pills li:last-of-type>a{margin-right:0}.admin-customize .current-style .nav-pills li a.no-text .d-icon{margin-right:0}.admin-customize .current-style .nav-pills li label{padding:6px 12px;margin-bottom:0}.admin-customize .current-style .nav-pills li a.active{background:#909090;color:#222}.admin-customize .current-style .nav-pills li a.blank:not(.active){color:#909090}.admin-customize .current-style .nav-pills li input{margin-bottom:0;margin-left:6px}.admin-customize .current-style .nav-pills li button{margin-right:0}.admin-customize .current-style .ace-wrapper{position:relative;height:600px;width:100%}.admin-customize .current-style.maximized .admin-container{position:absolute;bottom:50px;top:80px;width:100%}.admin-customize .current-style.maximized .admin-footer{position:absolute;bottom:10px}.admin-customize .current-style.maximized .ace-wrapper{height:calc(100% - 200px)}.admin-customize .current-style .ace_editor{position:absolute;left:0;right:0;top:0;bottom:0}.admin-customize .current-style .status-actions{float:right;margin-top:7px}.admin-customize .current-style .status-actions span{margin-right:10px}.admin-customize .current-style .buttons{float:left;width:200px}.admin-customize .current-style .buttons .saving{padding:5px 0 0 0;margin-left:10px;width:80px;color:#ddd}.admin-customize .color-scheme .controls button,.admin-customize .color-scheme .controls a{margin-right:10px}.admin-customize .colors thead th{border:none}.admin-customize .colors td.hex{width:160px}.admin-customize .colors td.actions{width:200px}.admin-customize .colors .hex-input{width:80px;margin-bottom:0}.admin-customize .colors .hex{text-align:center}.admin-customize .colors h3{margin:0}.admin-customize .colors .description{margin:0.15em 0 0;color:#a6a6a6;font-size:.8706em;line-height:1.2}.admin-customize .colors .invalid .hex input{background-color:white;color:black;border-color:#e45735}.admin-customize .status-message{display:block;font-size:.8706em;margin-top:8px}.admin-customize .removable-list{list-style:none;margin-left:0}.admin-customize .removable-list li{display:table-row}.admin-customize .removable-list li.disabled-child .child-link{color:#909090}.admin-customize .removable-list li.disabled-child .child-link:hover{text-decoration:underline}.admin-customize .removable-list li .btn{margin-left:5px}.admin-customize .removable-list li .col.child-link{padding-right:10px;padding-bottom:10px;min-width:80px}.admin-customize .removable-list li .col{display:table-cell}.add-upload-modal input[type="file"]{display:block;margin-bottom:0.25em}.add-upload-modal input[type="file"]+label{color:#909090}.add-upload-modal label{display:inline-block}#custom_emoji{width:27%}.modal-body .inputs .branch{margin-top:10px}.modal-body .inputs .check-private{margin-top:10px}.modal-body .inputs .check-private label{padding-left:0}.modal-body .inputs .check-private label input{width:auto;margin:3px 0}.modal-body .inputs .check-private .public-key{margin-top:10px}.modal-body .inputs .check-private .public-key textarea{cursor:auto;height:150px}.permalinks .url,.permalinks .topic,.permalinks .category,.permalinks .external_url,.permalinks .post{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100px}@media screen and (max-width: 768px){.permalinks .url,.permalinks .topic,.permalinks .category,.permalinks .external_url,.permalinks .post{max-width:100%}}.permalinks.grid tr.admin-list-item{grid-template-columns:unset}.permalink-search{text-align:left}@media screen and (min-width: 768px){.permalink-search{text-align:right}}.permalink-form{align-items:flex-start;display:flex;flex-direction:column;flex-wrap:wrap}@media screen and (min-width: 768px){.permalink-form{align-items:center;flex-direction:row}}.permalink-form .select-kit{width:150px}.permalink-form input{margin:5px 0}@media screen and (min-width: 768px){.permalink-form input{margin:0 5px}}.permalink-title{margin-bottom:10px}.permalink-description{color:#909090}.embeddable-hosts{margin-bottom:2em}.embeddable-hosts table.grid{margin-bottom:1em}.embeddable-hosts table.grid tr td{word-wrap:break-word;max-width:25vw;align-self:start}.embeddable-hosts table.grid td.controls{min-width:6em}.embeddable-hosts table.grid .select-kit.combo-box.category-chooser{width:calc(100% - 10px)}@media screen and (max-width: 880px){.embeddable-hosts table.grid thead{display:none}.embeddable-hosts table.grid div.label{display:block;font-size:.8706em;color:#909090}.embeddable-hosts table.grid td.controls,.embeddable-hosts table.grid td.editing-controls{align-self:end}.embeddable-hosts table.grid tr{display:grid;grid-template-columns:repeat(3, 1fr)}}@media screen and (max-width: 580px){.embeddable-hosts table.grid tr td.editing-input{grid-column-start:1;grid-column-end:4;max-width:100%}.embeddable-hosts table.grid tr td.editing-input input{width:calc(100% - 20px)}.embeddable-hosts table.grid td.editing-controls{margin-top:1em;max-width:100%}}@media screen and (max-width: 350px){.embeddable-hosts table.grid tr{grid-template-columns:repeat(2, 1fr)}.embeddable-hosts table.grid tr td.controls{text-align:left}}.embedding-secondary{margin-bottom:2em}.embedding-secondary h3{margin:1em 0}.embedding-secondary .embed-setting{margin:0.75em 0}.embedding-secondary .embed-setting input[type="text"]{width:50%}.embedding-secondary p.description{color:#909090;margin-bottom:1em;max-width:700px}.embedding td input{margin-bottom:0}.user-fields h2{margin-bottom:10px}.user-fields .user-field{padding:10px;margin-bottom:10px;border-bottom:1px solid #313131}.user-fields .user-field .form-display{width:25%;display:inline-block;float:left}.user-fields .user-field .form-element,.user-fields .user-field .form-element-desc{float:left;min-height:30px;padding:0.25em 0}.user-fields .user-field .form-element.input-area,.user-fields .user-field .form-element-desc.input-area{width:75%}.user-fields .user-field .form-element.input-area .value-list,.user-fields .user-field .form-element.input-area .select-kit,.user-fields .user-field .form-element.input-area input[type="text"],.user-fields .user-field .form-element-desc.input-area .value-list,.user-fields .user-field .form-element-desc.input-area .select-kit,.user-fields .user-field .form-element-desc.input-area input[type="text"]{width:50%}.user-fields .user-field .form-element.input-area .value-list .select-kit,.user-fields .user-field .form-element-desc.input-area .value-list .select-kit{width:100%}.user-fields .user-field .form-element.label-area,.user-fields .user-field .form-element-desc.label-area{width:25%}.user-fields .user-field .form-element.label-area label,.user-fields .user-field .form-element-desc.label-area label{margin:0.5em 1em 0 0;text-align:right;font-weight:bold}.user-fields .user-field .controls{float:right;text-align:right}.user-fields .user-field .clearfix{clear:both}.reseed-modal .options-group-title{font-size:1.3195em;font-weight:bold;margin:8px 0}.reseed-modal .option{margin-left:1em}.robots-txt-edit div.overridden{background:#4c3319;padding:7px;margin-bottom:7px}.robots-txt-edit .robots-txt-input{width:100%;box-sizing:border-box;height:55vh}.admin-customize-email-templates .email-template,.admin-customize-email-templates .controls{margin-top:1em}.admin-customize-email-templates .d-editor{height:50vh}.admin-customize-email-style .ace-wrapper{position:relative;width:100%;height:400px}.admin-customize-email-style .ace-wrapper .ace_editor{position:absolute;left:0;right:0;top:0;bottom:0}.install-theme{min-width:650px;display:flex}.install-theme-items{width:200px}.install-theme-item{border:1px solid #313131;border-bottom:none;position:relative}.install-theme-item:last-child{border-bottom:1px solid #313131}.install-theme-item input,.install-theme-item .d-icon-caret-right{display:none}.install-theme-item label{display:block;padding:10px 30px 10px 10px;margin-bottom:0px;cursor:pointer}.install-theme-item input:checked+label{color:#222;background-color:#0f82af}.install-theme-item input:checked+label+.d-icon{display:block;color:#222}.install-theme-item .d-icon-caret-right{position:absolute;right:5px;top:50%;margin-top:-7px}.install-theme-content{padding:0px 0px 10px 20px;width:calc(100% - 200px)}.repo input[type="text"]{width:90%}.popular-theme-items{height:65vh;overflow:auto;padding-right:20px}.popular-theme-item{border-bottom:1px solid #313131;padding:8px 0px;display:flex;align-items:center}.popular-theme-item .popular-theme-name{flex:1}.popular-theme-item .popular-theme-name .popular-theme-type{font-weight:normal;font-size:.7579em;color:#909090}.popular-theme-item .popular-theme-name a{color:#c7c7c7;font-weight:bold}.popular-theme-item .popular-theme-name a:hover,.popular-theme-item .popular-theme-name a:visited,.popular-theme-item .popular-theme-name a:active{color:#a6a6a6}.popular-theme-item .popular-theme-name .popular-theme-description{font-size:.8706em;padding-right:20px}.popular-theme-item .popular-theme-buttons>span{font-style:italic;font-size:.8706em;color:#909090;margin-right:8px}.popular-theme-item .popular-theme-buttons>a{display:block;font-size:.7579em;margin-top:5px;text-align:center}table.web-hooks.grid td.delivery-status div{display:flex;align-items:center}table.web-hooks.grid td.delivery-status .d-icon{margin-right:0.25em}table.web-hooks.grid td.payload-url{word-wrap:break-word;max-width:55vw}table.web-hooks.grid td.controls{display:flex}table.web-hooks.grid td.controls button{margin-left:0.25em}@media screen and (min-width: 550px){table.web-hooks.grid tbody tr{grid-template-columns:0.5fr repeat(2, 1fr) 0.5fr}table.web-hooks.grid tbody td.controls{text-align:right}}@media screen and (max-width: 550px){table.web-hooks.grid tbody tr{grid-template-columns:0.5fr 1fr}table.web-hooks.grid td.controls{grid-row:2}}@media screen and (max-width: 767px){table.web-hooks.grid tr{display:-ms-grid;-ms-grid-columns:0.5fr 1fr 1fr 0.5fr}table.web-hooks.grid tr td{display:-ms-grid}table.web-hooks.grid tr td.delivery-status{-ms-grid-row:1;-ms-grid-column:1}table.web-hooks.grid tr td.payload-url{-ms-grid-row:1;-ms-grid-column:2}table.web-hooks.grid tr td.description{-ms-grid-row:1;-ms-grid-column:3}table.web-hooks.grid tr td.controls{-ms-grid-row:1;-ms-grid-column:4}}table.api-keys{margin-bottom:0.25em}table.api-keys .key-controls{text-align:right}table.api-keys tr.revoked{color:#909090}@media screen and (max-width: 768px){table.api-keys tr{grid-template-columns:0.25fr 1fr 1fr}table.api-keys td.key{grid-row:1;grid-column-start:1;grid-column-end:1;max-width:100%}table.api-keys td.key-description{grid-row:1;grid-column-start:2;grid-column-end:-1;max-width:100%}table.api-keys td.key-user{grid-row:2;grid-column-start:1}table.api-keys td.key-controls{grid-row:2;grid-column-end:-1;grid-column-start:2;text-align:right}table.api-keys td.key-controls .btn{margin-bottom:0.25em}}@media screen and (max-width: 767px){table.api-keys tr{display:-ms-grid;-ms-grid-columns:0.25fr 1fr 1fr;-ms-grid-rows:auto auto}table.api-keys tr td{display:-ms-grid}table.api-keys tr td.key{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:3}table.api-keys tr td.key-user{-ms-grid-row:2;-ms-grid-column:1}table.api-keys tr td.key-controls{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:2;display:-ms-grid;-ms-grid-columns:125px 125px}table.api-keys tr td.key-controls button:first-of-type{-ms-grid-column:1}table.api-keys tr td.key-controls button:last-of-type{-ms-grid-column:2}}.admin-api-keys h2{margin-bottom:10px}.admin-api-keys .api-key{padding:10px;margin-bottom:10px;border-bottom:1px solid #313131}.admin-api-keys .api-key .form-element,.admin-api-keys .api-key .form-element-desc{float:left;padding:0.5em 0}.admin-api-keys .api-key .form-element.input-area,.admin-api-keys .api-key .form-element-desc.input-area{width:75%}.admin-api-keys .api-key .form-element.input-area .value-list,.admin-api-keys .api-key .form-element.input-area .select-kit,.admin-api-keys .api-key .form-element.input-area input[type="text"],.admin-api-keys .api-key .form-element-desc.input-area .value-list,.admin-api-keys .api-key .form-element-desc.input-area .select-kit,.admin-api-keys .api-key .form-element-desc.input-area input[type="text"]{width:50%;margin:0}.admin-api-keys .api-key .form-element.input-area .ac-wrap,.admin-api-keys .api-key .form-element-desc.input-area .ac-wrap{width:50% !important}.admin-api-keys .api-key .form-element.label-area,.admin-api-keys .api-key .form-element-desc.label-area{width:25%}.admin-api-keys .api-key .form-element.label-area label,.admin-api-keys .api-key .form-element-desc.label-area label{margin:0.5em 1em 0 0;text-align:right;font-weight:bold}.admin-api-keys .api-key .controls{float:right;text-align:left;width:50%}.web-hook-container .tip.good:empty{display:none}.web-hook-container input{max-width:calc(100% - 10px)}.web-hook-container .select-kit,.web-hook-container .select-kit.multi-select{width:100%;max-width:360px}.web-hook-container .event-selector{display:flex;flex-wrap:wrap;margin:0.5em 0}.web-hook-container .event-selector .hook-event{margin-bottom:0.5em}@media screen and (max-width: 550px){.web-hook-container .event-selector .hook-event{width:100%}}.web-hook-container>p{padding-bottom:10px;border-bottom:#313131 1px solid}.web-hook-container .filters{margin:5px 0;padding-bottom:5px;border-bottom:#313131 1px solid}.web-hook-container .filters .filter{margin-bottom:1em}.web-hook-container .filters label .d-icon{margin-right:0.25em}.web-hook-container .instructions{margin-top:5px}.web-hook-container .subscription-choice{margin-bottom:10px}.web-hook-direction button{margin-right:10px}.web-hook-events li{padding:2px 0}.web-hook-events .col{display:inline-block;padding-top:6px;vertical-align:top;overflow-y:auto;overflow-x:hidden}.web-hook-events .col.first{width:90px}.web-hook-events .col.event-id{width:90px}.web-hook-events .col.timestamp{width:180px}.web-hook-events .col.completion{width:250px}.web-hook-events .col.actions{width:455px;padding-top:0}.web-hook-events .col.actions a{text-decoration:underline}.web-hook-events .col.heading.actions{padding:4px 0}.web-hook-events .details{display:block;margin-top:10px}.web-hook-events label{font-size:1em}.web-hook-events.content-list{width:100%}.web-hook-events-listing{margin-top:15px}.web-hook-events-listing .alert{margin:15px 0 0 0}.hook-event{display:inline-block;width:40%;margin-left:20px}.hook-event label{display:inline-block}.hook-event p{margin:0 0 5px 25px}.btn-rollback{color:#222;background:#3d9970}.btn-rollback .d-icon{color:#222}.btn-rollback:hover{background:#2e7555}.btn-rollback:hover .d-icon{color:currentColor}.btn-rollback:active{background-color:#20503b;background-image:linear-gradient(to bottom, #20503b, #2e7555)}.btn-rollback[disabled]{background:#3d9970}@media screen and (min-width: 550px){.admin-backups table td.backup-filename{grid-column-start:1;grid-column-end:6}.admin-backups table td.backup-size{grid-column-end:-1;text-align:right}.admin-backups table td.backup-controls{margin-top:0.25em;grid-row:2;grid-column-start:1;grid-column-end:5;text-align:right}.admin-backups table td.backup-controls .btn{margin-top:0.25em}}@media screen and (max-width: 550px){.admin-backups table td.backup-filename{grid-column-start:1;grid-column-end:3}.admin-backups table td.backup-size{text-align:right}.admin-backups table td.backup-controls{grid-column-start:1;grid-column-end:4}}@media screen and (max-width: 768px){.admin-backups table td.backup-controls{text-align:left}}.admin-backups-logs{max-height:65vh;overflow:auto}button.ru{position:relative;min-width:110px}.ru-progress{position:absolute;top:0;left:0;height:100%;background:rgba(0,175,0,0.3)}.is-uploading:hover .ru-progress{background:rgba(200,0,0,0.3)}.start-backup-modal .btn{margin:10px 0 10px 5px}.start-backup-modal .btn:first-of-type{margin-left:10px}.backup-options{display:flex;align-items:center;flex-wrap:wrap}.backup-options .btn{margin-right:0.5em}.backup-options .backup-message{margin-left:auto}@media screen and (max-width: 550px){.backup-options .backup-message{margin:1.25em 0 0}}.admin-contents.admin-plugins .controls .settings-button{margin-left:auto}@media screen and (min-width: 550px){.admin-contents.admin-plugins .grid tr{grid-template-columns:0.25fr repeat(4, 1fr)}}@media screen and (max-width: 550px){.admin-contents.admin-plugins .grid tr{grid-template-columns:0.25fr repeat(3, 1fr)}.admin-contents.admin-plugins .grid td.plugin-name{grid-column-start:2;grid-column-end:-1}.admin-contents.admin-plugins .grid td.settings{grid-row:2;grid-column-start:4;text-align:right}.admin-contents.admin-plugins .grid td.settings button{display:flex}.admin-contents.admin-plugins .grid td.version{grid-row:2;grid-column-start:3}.admin-contents.admin-plugins .grid td.col-enabled{grid-row:2;grid-column-start:2}}.admin-plugins-official-badge{color:#1ca551}.admin-reports .admin-report{width:100%}.admin-reports .admin-report .report-header{padding-bottom:0.5em;margin-bottom:1em;border-bottom:1px solid #313131}.admin-reports .admin-report-chart .chart-canvas-container .chart-canvas{height:400px}.admin-reports .report-container{display:flex}.admin-reports .report-container .loading-container{width:100%}.admin-reports .report-container .visualization{display:flex;flex:4}.admin-reports .report-container .filters{display:flex;flex:1 0 0px;align-items:center;flex-direction:column;margin-left:2em}.admin-reports .report-container .filters .date-picker{margin:0;width:195px}.admin-reports .report-container .filters .combo-box,.admin-reports .report-container .filters .date-picker-wrapper,.admin-reports .report-container .filters .btn{width:100%;margin-bottom:1em}@media screen and (max-width: 850px){.admin-reports .report-container{flex-direction:column;min-width:100%}.admin-reports .report-container .visualization{order:2}.admin-reports .report-container .filters{order:1;margin:0;align-items:flex-start}}.admin-report .conditional-loading-section.is-loading{margin:0}.admin-report .header{display:flex;align-items:center;border-bottom:1px solid #313131;margin-bottom:0.5em;padding-bottom:0.5em}.admin-report .header .breadcrumb{margin:0;list-style:none}.admin-report .header .breadcrumb .item{display:inline;font-size:1.1487em}.admin-report .header .breadcrumb .all-reports .report-url{font-weight:700}.admin-report .header .breadcrumb .report{font-weight:700}.admin-report .header .breadcrumb .report .report-url{color:#ddd}.admin-report .header .breadcrumb .report .info{cursor:pointer;margin-left:0.25em;color:#7a7a7a}.admin-report .header .breadcrumb .report .info:hover{color:#909090}.admin-report .header .trend{margin-left:auto;margin-right:8px}.admin-report .header .trend.trending-down,.admin-report .header .trend.high-trending-down{color:#e45735}.admin-report .header .trend.trending-up,.admin-report .header .trend.high-trending-up{color:#1ca551}.admin-report .header .trend.no-change{color:#909090}.admin-report .header .trend.no-change .d-icon{display:none}.admin-report .header .trend .value{font-size:1.1487em}.admin-report .header .trend .icon{font-size:1.1487em;font-weight:700}.admin-report .body{display:flex}.admin-report .main{flex:1}.admin-report .main .report-alert{margin:0;text-align:center;padding:3em;border:1px solid transparent}.admin-report .main .report-alert a{color:#909090}.admin-report .main .report-alert .d-icon{color:currentColor;font-size:2em;display:block;margin:0.25em auto}.admin-report .main .report-alert.no-data,.admin-report .main .report-alert.rate-limited{background:#222;border-color:#313131;color:#7a7a7a}.admin-report .main .report-alert.rate-limited .d-icon{color:#e45735}.admin-report .main .report-alert.timeout,.admin-report .main .report-alert.exception{border-color:#591b0c;color:#e45735}.admin-report .filters{display:flex;margin-left:1em;flex-direction:column;width:220px}.admin-report .filters .modes{margin:0 0 1em 0;padding:0;list-style:none}.admin-report .filters .modes .mode{display:inline-flex;flex:1 0 0px}.admin-report .filters .modes .mode .mode-btn.is-current{color:#0f82af}.admin-report .filters .control{margin-bottom:1em}.admin-report .filters .control .label{font-weight:700;width:100%}.admin-report .filters .control .input,.admin-report .filters .control .select-kit{width:100%}.admin-report .filters .control .input .export-csv-btn,.admin-report .filters .control .select-kit .export-csv-btn{width:100%}.admin-report .filters .control .input .refresh-report-btn,.admin-report .filters .control .select-kit .refresh-report-btn{width:100%}.admin-report .filters .control .input .date-picker-wrapper,.admin-report .filters .control .select-kit .date-picker-wrapper{width:100%}.admin-report .filters .control .input .date-picker-wrapper .date-picker,.admin-report .filters .control .select-kit .date-picker-wrapper .date-picker{box-sizing:border-box;width:100%;margin:0}.rtl .admin-report .filters{margin-left:0;margin-right:1em}.rtl .admin-report .trend{margin-left:unset;margin-right:auto}.admin-report.storage-stats .main{flex:1 0 auto}.admin-report .admin-report-counters{display:grid;flex:1 0 0px;grid-template-columns:33% repeat(auto-fit, minmax(20px, 1fr));grid-template-rows:repeat(auto-fit, minmax(32px, 1fr));align-items:center;display:-ms-grid;-ms-grid-columns:2fr 1fr 1fr 1fr 1fr}.admin-report .admin-report-counters .cell{-ms-grid-row:1;-ms-grid-column-span:1}.admin-report .admin-report-counters .cell:nth-of-type(1){-ms-grid-column:1}.admin-report .admin-report-counters .cell:nth-of-type(2){-ms-grid-column:2}.admin-report .admin-report-counters .cell:nth-of-type(3){-ms-grid-column:3}.admin-report .admin-report-counters .cell:nth-of-type(4){-ms-grid-column:4}.admin-report .admin-report-counters .cell:nth-of-type(5){-ms-grid-column:5}.admin-report .admin-report-counters .cell{padding:0.25em;text-align:right;white-space:nowrap}.admin-report .admin-report-counters .cell.title{text-align:left;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.admin-report .admin-report-counters .cell.title .d-icon{color:#7a7a7a;min-width:14px;text-align:center}.admin-report .admin-report-counters .cell.title .d-icon{margin:0}@media screen and (max-width: 400px){.admin-report .admin-report-counters .cell.title .d-icon{display:none}}.admin-report .admin-report-counters .cell .d-icon-minus{color:#909090;font-size:.6599em}.admin-report .admin-report-counters .cell.high-trending-up .d-icon,.admin-report .admin-report-counters .cell.trending-up .d-icon{color:#1ca551}.admin-report .admin-report-counters .cell.high-trending-down .d-icon,.admin-report .admin-report-counters .cell.trending-down .d-icon{color:#e45735}.rtl .counters-list .counters-header .counters-cell{text-align:left}.rtl .counters-list .cell{text-align:left}.rtl .counters-list .cell.title{text-align:right}.admin-report-stacked-chart .chart-canvas-container{height:250px}.admin-report-table.two-columns .table .admin-report-table-cell:first-child,.admin-report-table.two-columns .table .admin-report-table-header:first-child{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;text-align:left;width:80%}.admin-report-table.two-columns .table .admin-report-table-cell:last-child,.admin-report-table.two-columns .table .admin-report-table-header:last-child{display:inline-block;width:80%;text-align:right}.admin-report-table .table{margin:0;border:1px solid #313131;table-layout:fixed}.admin-report-table .table tbody{border-top:0}.admin-report-table .table .admin-report-table-header .sort-btn{outline:none;background:none;padding:3px 8px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.admin-report-table .table .admin-report-table-header.is-current-sort .d-icon{color:#0f82af}.admin-report-table .table .admin-report-table-header.is-current-sort .sort-btn:hover{color:#909090;background:#313131}.admin-report-table .table .admin-report-table-header:not(.is-current-sort) .sort-btn{background:none}.admin-report-table .table .admin-report-table-header:not(.is-current-sort) .sort-btn:hover{color:#909090;background:#313131}.admin-report-table .table .admin-report-table-header:not(.is-current-sort) .sort-btn:hover .d-icon{color:#909090}.admin-report-table .admin-report-table-cell.user .username{margin-left:0.25em}.admin-report-table .total-row{background:#282828}.admin-report-table .total-row td{font-weight:700;text-align:left}.admin-report-table .pagination{display:flex;justify-content:flex-end;margin-top:0.25em}.admin-report-table .pagination button{margin-left:0.5em}.admin-report-table .pagination button.is-current{color:#0f82af}.admin-report.top-referred-topics .admin-report-table-header.topic_title{width:80%}.admin-report.trending-search .admin-report-table-header.ctr,.admin-report.trending-search .admin-report-table-header.unique_searches,.admin-report.trending-search .admin-report-table-cell.ctr,.admin-report.trending-search .admin-report-table-cell.unique_searches{text-align:center;width:20%}.admin-report.trending-search .admin-report-table-cell.term{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.admin-report.moderators-activity .admin-report-table-header.seconds,.admin-report.moderators-activity .admin-report-table-header.number,.admin-report.moderators-activity .admin-report-table-cell.seconds,.admin-report.moderators-activity .admin-report-table-cell.number{text-align:center}.admin-report.moderators-activity .admin-report-table-header.user{width:20%}.admin-report.post-edits .admin-report-table-header.user{width:20%}.admin-report.post-edits .admin-report-table-cell.post,.admin-report.post-edits .admin-report-table-cell.edit_reason{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.admin-report.flags-status .admin-report-table-header.response_time,.admin-report.flags-status .admin-report-table-cell.response_time{text-align:center}.rtl .admin-report-table.two-columns .table .admin-report-table-cell:first-child,.rtl .admin-report-table.two-columns .table .admin-report-table-header:first-child{text-align:right}.rtl .admin-report-table.two-columns .table .admin-report-table-cell:last-child,.rtl .admin-report-table.two-columns .table .admin-report-table-header:last-child{text-align:left}.rtl .admin-report-table .total-row td{text-align:right}.rtl .admin-report-table-cell.user .username{margin-left:0;margin-right:0.25em}.rtl .admin-report.trending-search .admin-report-table-header.term,.rtl .admin-report.trending-search .admin-report-table-cell.term{text-align:right}.rtl .pagination button{margin-left:0;margin-right:0.5em}.rtl .admin-report.moderators-activity .admin-report-table-header.user,.rtl .admin-report.moderators-activity .admin-report-table-cell.user{text-align:right}.admin-report-inline-table .table-container{display:flex;flex-wrap:wrap;flex:1 1 auto}.admin-intro{display:inline-block;width:51%;vertical-align:top;margin-left:20%;margin-top:60px}.admin-intro img{display:inline-block;width:50px;height:50px;margin-right:10px;vertical-align:top;margin-top:5px}.admin-intro .create-actions{margin-bottom:1em}.admin-intro .content-wrapper{display:inline-block;vertical-align:top;width:65%}.admin-intro .content-wrapper h1{display:inline-block;line-height:1.2}.admin-intro .external-link{display:block;margin-bottom:5px}@media screen and (max-width: 550px){.admin-intro{width:100%;margin:2em 0}.admin-intro .content-wrapper{width:100%}.admin-intro img{display:none}}\n\n/*# sourceMappingURL=admin_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:34.487235	2019-12-05 04:03:34.487235	-1	{\n\t"version": 3,\n\t"file": "admin.css",\n\t"sources": [\n\t\t"admin.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_base.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/foundation/helpers.scss",\n\t\t"app/assets/stylesheets/common/admin/dashboard.scss",\n\t\t"app/assets/stylesheets/common/admin/settings.scss",\n\t\t"app/assets/stylesheets/common/admin/users.scss",\n\t\t"app/assets/stylesheets/common/admin/suspend.scss",\n\t\t"app/assets/stylesheets/common/admin/badges.scss",\n\t\t"app/assets/stylesheets/common/admin/emails.scss",\n\t\t"app/assets/stylesheets/common/admin/staff_logs.scss",\n\t\t"app/assets/stylesheets/common/admin/customize.scss",\n\t\t"app/assets/stylesheets/common/admin/customize-install-theme.scss",\n\t\t"app/assets/stylesheets/common/admin/api.scss",\n\t\t"app/assets/stylesheets/common/admin/backups.scss",\n\t\t"app/assets/stylesheets/common/admin/plugins.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_reports.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report_counters.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report_chart.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report_stacked_chart.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report_table.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report_inline_table.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_intro.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/admin/admin_base\\";\\n",\n\t\t"// Styles for /admin section\\n\\n@import \\"common/foundation/variables\\";\\n@import \\"common/foundation/mixins\\";\\n@import \\"common/foundation/helpers\\";\\n\\n$mobile-breakpoint: 700px;\\n\\n// Common admin styles\\n\\n.admin-main-nav {\\n  display: inline-flex;\\n  position: relative;\\n  width: 100%;\\n  height: auto;\\n  overflow: hidden;\\n  height: 100%;\\n  .mobile-view & {\\n    margin-top: 10px;\\n  }\\n  @include breakpoint(tablet) {\\n    width: calc(100% + 10px);\\n    margin-left: -10px;\\n    padding: 0 0 0 10px;\\n  }\\n\\n  .nav-pills {\\n    display: inline-flex;\\n    flex-wrap: wrap;\\n    width: calc(100% - 10px);\\n    flex: 1 0 auto;\\n    @include breakpoint(tablet) {\\n      white-space: nowrap;\\n      flex-wrap: nowrap;\\n      overflow-x: scroll;\\n      -webkit-overflow-scrolling: touch;\\n      margin: 0 0 0 -10px;\\n      padding: 0 10px 10px 10px;\\n    }\\n    &:before {\\n      display: none;\\n    }\\n    > li {\\n      margin: 0;\\n      &:last-of-type {\\n        > a {\\n          margin-right: 25px;\\n        }\\n      }\\n    }\\n  }\\n  @include breakpoint(tablet) {\\n    // Fade-out for horizontal scroll nav\\n    &:before {\\n      content: \\"\\";\\n      position: absolute;\\n      width: 10px;\\n      margin-left: -10px;\\n      height: 100%;\\n      background: linear-gradient(\\n        to right,\\n        rgba($secondary, 1) 0%,\\n        rgba($secondary, 0) 100%\\n      );\\n    }\\n    &:after {\\n      content: \\"\\";\\n      position: absolute;\\n      right: 0px;\\n      width: 30px;\\n      height: 100%;\\n      background: linear-gradient(\\n        to right,\\n        rgba($secondary, 0) 0%,\\n        rgba($secondary, 1) 100%\\n      );\\n    }\\n  }\\n}\\n\\n.nav-stacked {\\n  @media screen and (max-width: 700px) {\\n    margin: 0 10px 0 -10px;\\n  }\\n}\\n\\n.admin-contents {\\n  position: relative;\\n}\\n\\n.admin-contents table {\\n  width: 100%;\\n  margin-top: 10px;\\n\\n  tr {\\n    text-align: left;\\n  }\\n  td,\\n  th {\\n    padding: 8px;\\n  }\\n  tr:hover {\\n    background-color: $primary-very-low;\\n  }\\n  tr.selected {\\n    background-color: $primary-low;\\n  }\\n  .filters input {\\n    margin-bottom: 0;\\n  }\\n  .label {\\n    display: none;\\n  }\\n\\n  @media screen and (max-width: 970px) and (min-width: 768px) {\\n    td,\\n    th {\\n      padding: 6px 4px;\\n    }\\n    th {\\n      vertical-align: bottom;\\n    }\\n    th.sortable {\\n      max-width: 100px;\\n    }\\n  }\\n}\\n\\n.admin-contents table.grid {\\n  // Table switches to grid for narrow screens\\n  @media screen and (max-width: 767px) {\\n    thead {\\n      display: none;\\n    }\\n    .label {\\n      display: block;\\n      color: $primary-medium;\\n      font-size: $font-down-1;\\n      margin: 0.5em 0 0.15em 0;\\n    }\\n    tr {\\n      grid-template-columns: repeat(3, 1fr);\\n      display: grid;\\n      line-height: $line-height-medium;\\n      padding: 8px 0;\\n      min-width: 0;\\n      td {\\n        padding: 2px;\\n        align-self: center;\\n      }\\n    }\\n\\n    tr.flagged-topic {\\n      grid-template-columns: 0.25fr 1fr 1fr;\\n      td.topic-title {\\n        grid-column-start: 2;\\n        grid-column-end: -2;\\n        min-width: 0;\\n        align-self: start;\\n      }\\n      td.last-flagged {\\n        grid-row: 1;\\n        grid-column-end: -1;\\n        text-align: right;\\n        align-self: start;\\n      }\\n      td.flag-details {\\n        grid-row: 2;\\n        grid-column-end: -1;\\n        text-align: right;\\n      }\\n      td.flagged-topic-users {\\n        grid-row: 1;\\n        grid-column-start: 1;\\n        max-width: 60px;\\n        align-self: start;\\n        a {\\n          display: inline-block;\\n          margin: 0 0.25em 0.25em 0;\\n        }\\n      }\\n      td.flag-counts {\\n        grid-row: 2;\\n        grid-column-start: 2;\\n      }\\n    }\\n  }\\n\\n  @media screen and (min-width: 550px) {\\n    tr {\\n      grid-template-columns: repeat(6, 1fr);\\n    }\\n  }\\n}\\n\\n.site-texts {\\n  .search-area {\\n    margin-bottom: 2em;\\n    p {\\n      margin-top: 0;\\n    }\\n    .site-text-search {\\n      padding: 0.5em;\\n      font-size: $font-0;\\n      width: 50%;\\n    }\\n    .reseed {\\n      float: right;\\n    }\\n  }\\n  .text-highlight {\\n    font-weight: bold;\\n  }\\n  .site-text {\\n    cursor: pointer;\\n    border-bottom: 1px solid $primary-low;\\n    margin-bottom: 0.5em;\\n    &.overridden {\\n      background-color: $highlight-medium;\\n    }\\n    h3 {\\n      font-weight: normal;\\n      font-size: $font-0;\\n      @include breakpoint(mobile-extra-large) {\\n        word-wrap: break-word;\\n      }\\n    }\\n    button.edit {\\n      float: right;\\n    }\\n    .site-text-value {\\n      margin: 0.5em 5em 0.5em 0;\\n      @include breakpoint(medium, min-width) {\\n        max-height: 100px;\\n      }\\n      @include breakpoint(mobile-extra-large) {\\n        word-wrap: break-word;\\n      }\\n      color: $primary-medium;\\n    }\\n  }\\n  .edit-site-text {\\n    textarea {\\n      width: 100%;\\n      max-width: 800px;\\n    }\\n    .save-messages,\\n    .title {\\n      margin-bottom: 1em;\\n    }\\n    @include breakpoint(mobile-extra-large) {\\n      .title {\\n        word-wrap: break-word;\\n      }\\n    }\\n    .go-back {\\n      margin-top: 1em;\\n    }\\n  }\\n  p.warning {\\n    color: $danger;\\n  }\\n}\\n\\n.content-list {\\n  width: 27%;\\n  float: left;\\n  li a span.count {\\n    font-size: $font-down-1;\\n    float: right;\\n    margin-right: 10px;\\n    background-color: $primary-low;\\n    padding: 2px 5px;\\n    border-radius: 5px;\\n    color: $primary;\\n  }\\n}\\n\\n.content-body {\\n  float: left;\\n  width: 60%;\\n}\\n\\n.admin-content {\\n  margin-bottom: 50px;\\n  .admin-contents {\\n    padding: 0 0 8px 0;\\n    @include clearfix();\\n  }\\n  .view-options {\\n    float: right;\\n  }\\n  table.report {\\n    margin-top: 20px;\\n    tr {\\n      th:nth-of-type(1) {\\n        width: 20%;\\n      }\\n    }\\n\\n    tr.total-for-period,\\n    tr.total {\\n      td {\\n        font-weight: 700;\\n      }\\n    }\\n\\n    &.web_crawlers {\\n      tr {\\n        th:nth-of-type(1) {\\n          width: 60%;\\n        }\\n      }\\n      td.x-value {\\n        max-width: 0;\\n        @include ellipsis;\\n      }\\n    }\\n    .bar-container {\\n      float: left;\\n      width: 300px;\\n      margin-right: 15px;\\n      margin-bottom: 5px;\\n      display: inline-block;\\n      .bar {\\n        margin-top: 5px;\\n        background-color: $tertiary;\\n        display: inline-block;\\n        text-align: right;\\n        padding-right: 8px;\\n        color: $secondary;\\n      }\\n    }\\n  }\\n}\\n\\n.full-reason {\\n  white-space: pre-wrap;\\n}\\n\\n.admin-users .users-list {\\n  .username .d-icon {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.ip-lookup {\\n  position: relative;\\n  display: inline-block;\\n  .location-box {\\n    position: absolute;\\n    width: 460px;\\n    right: 0;\\n    z-index: z(\\"dropdown\\");\\n    box-shadow: shadow(\\"card\\");\\n    margin-top: -2px;\\n    background-color: $secondary;\\n    padding: 12px 12px 5px;\\n    .powered-by {\\n      font-size: $font-down-1;\\n      position: absolute;\\n      bottom: -10px;\\n      left: 10px;\\n    }\\n    .other-accounts {\\n      margin: 5px 0 0;\\n      max-height: 200px;\\n      overflow: auto;\\n      width: 455px;\\n      ul {\\n        margin: 0;\\n      }\\n      li {\\n        list-style: none;\\n      }\\n      tr td:first-of-type {\\n        width: 130px;\\n      }\\n    }\\n  }\\n}\\n\\n.admin-container {\\n  margin-top: 10px;\\n\\n  .username {\\n    input {\\n      min-width: 15em;\\n      @media screen and (max-width: 500px) {\\n        box-sizing: border-box;\\n        width: 100%;\\n      }\\n    }\\n  }\\n  .select-kit {\\n    width: 350px;\\n  }\\n  .select-kit.multi-select {\\n    width: 500px;\\n  }\\n  .select-kit.dropdown-select-box {\\n    width: auto;\\n  }\\n  .search-logs-filter {\\n    margin-left: auto;\\n    @media screen and (max-width: 700px) {\\n      flex: 1 1 100%;\\n      margin-left: 0;\\n    }\\n  }\\n\\n  .header-search-results {\\n    clear: both;\\n    padding: 4px;\\n  }\\n  @include breakpoint(tablet) {\\n    .select-kit.period-chooser\\n      .period-chooser-header\\n      h2.selected-name\\n      .top-date-string {\\n      font-size: $font-down-3;\\n    }\\n  }\\n  .controls {\\n    @include clearfix;\\n    .save-messages {\\n      margin-top: 1em;\\n    }\\n  }\\n}\\n\\n.admin-title {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: flex-start;\\n  .show-emails,\\n  .hide-emails {\\n    margin-left: auto;\\n  }\\n}\\n\\n.admin-controls {\\n  display: flex;\\n  background-color: $primary-low;\\n  align-items: center;\\n\\n  .admin-actions {\\n    margin-left: auto;\\n  }\\n  nav {\\n    background-color: $primary-low;\\n    width: 100%;\\n  }\\n  nav {\\n    display: inline-flex;\\n    position: relative;\\n    flex: 1 0 0px;\\n    height: auto;\\n    overflow: hidden;\\n    padding: 0;\\n    height: 100%;\\n    @include breakpoint(tablet) {\\n      width: calc(100% + 10px);\\n      padding-left: 10px;\\n      margin-left: -10px;\\n      margin-right: -10px;\\n    }\\n\\n    &:before {\\n      // Fade out sides of horizontal nav\\n      content: \\"\\";\\n      position: absolute;\\n      width: 10px;\\n      left: 0;\\n      height: calc(100% - 5px);\\n      background: linear-gradient(\\n        to right,\\n        rgba($primary-low, 1) 0%,\\n        rgba($primary-low, 0) 100%\\n      );\\n    }\\n\\n    &:after {\\n      content: \\"\\";\\n      position: absolute;\\n      right: 0px;\\n      width: 15px;\\n      height: calc(100% - 5px);\\n      background: linear-gradient(\\n        to right,\\n        rgba($primary-low, 0) 0%,\\n        rgba($primary-low, 1) 100%\\n      );\\n    }\\n  }\\n\\n  .nav-pills {\\n    width: calc(100% - 10px);\\n    display: inline-flex;\\n    padding: 10px;\\n    margin: 0;\\n    white-space: nowrap;\\n    overflow-x: auto;\\n    @include breakpoint(tablet) {\\n      margin-left: -10px;\\n      overflow-x: scroll;\\n      -webkit-overflow-scrolling: touch;\\n    }\\n\\n    &:before {\\n      display: none;\\n    }\\n    > li {\\n      margin: 0;\\n      a.active {\\n        background: $primary-medium;\\n      }\\n      &:last-of-type {\\n        > a {\\n          margin-right: 25px;\\n        }\\n      }\\n    }\\n  }\\n  h1 {\\n    font-size: $font-up-3;\\n    line-height: $line-height-medium;\\n    color: $primary;\\n  }\\n  .controls {\\n    background: $primary-low;\\n    width: 100%;\\n    padding: 10px;\\n    display: flex;\\n    align-items: center;\\n    @include breakpoint(mobile-extra-large) {\\n      margin: 0 -10px;\\n    }\\n    label {\\n      margin-bottom: 0;\\n    }\\n    input {\\n      margin-right: 5px;\\n      margin-bottom: 0;\\n      @include breakpoint(tablet) {\\n        max-width: 150px;\\n      }\\n    }\\n    &.search {\\n      width: auto;\\n      white-space: nowrap;\\n      label {\\n        flex: 1 1 250px;\\n        display: flex;\\n        align-items: center;\\n        input {\\n          margin-right: 0.5em;\\n        }\\n      }\\n    }\\n  }\\n  .controls .menu-toggle {\\n    display: none;\\n    float: left;\\n    padding: 5px 10px;\\n    margin-right: 15px;\\n    border: 1px solid $primary-medium;\\n    border-radius: 3px;\\n    background: transparent;\\n    color: $primary;\\n    &:hover {\\n      background-color: $primary-low-mid;\\n    }\\n    @media (max-width: $mobile-breakpoint) {\\n      display: inline-block;\\n    }\\n  }\\n  button {\\n    margin-right: 5px;\\n  }\\n  input[type=\\"text\\"] {\\n    display: inline-block;\\n    float: left;\\n  }\\n  .result-message {\\n    display: inline-block;\\n    padding-left: 10px;\\n  }\\n  .username {\\n    input[type=\\"text\\"] {\\n      width: 240px;\\n    }\\n  }\\n  .search {\\n    label {\\n      margin-top: 5px;\\n    }\\n    .controls {\\n      margin-left: 0;\\n    } // Hide the search checkbox for very small screens\\n    // Todo: find somewhere to display it - probably requires switching its order in the html\\n    @media (max-width: 550px) {\\n      display: none;\\n    }\\n  }\\n  .toggle {\\n    span {\\n      font-weight: bold;\\n    }\\n  }\\n  label {\\n    display: inline-block;\\n    margin-right: 5px;\\n  }\\n  .pull-right {\\n    padding-right: 10px;\\n  }\\n}\\n\\n.paste-users {\\n  width: 400px;\\n  height: 150px;\\n}\\n\\n.groups,\\n.badges,\\n.web-hook-container {\\n  .form-horizontal {\\n    & > div {\\n      margin-bottom: 20px;\\n    }\\n    .d-editor-textarea-wrapper {\\n      max-width: 60%;\\n      .d-editor-button-bar {\\n        overflow: hidden;\\n      }\\n    }\\n    input,\\n    textarea,\\n    select,\\n    .select-box {\\n      width: 350px;\\n    }\\n    input[type=\\"checkbox\\"],\\n    input[type=\\"radio\\"] {\\n      width: 20px;\\n    }\\n  }\\n}\\n\\n.text-successful {\\n  color: $success;\\n}\\n\\n.text-danger {\\n  color: $danger;\\n}\\n\\n.text-muted {\\n  color: $primary-medium;\\n}\\n\\n.admin-nav {\\n  width: 18.018%;\\n  position: relative; // The admin-nav becomes a slide-out menu at the mobile-nav breakpoint\\n  @media (max-width: $mobile-breakpoint) {\\n    position: absolute;\\n    z-index: z(\\"base\\") - 1;\\n    width: 250px;\\n  }\\n  @media (max-width: 500px) {\\n    width: 50%;\\n  }\\n}\\n\\n.admin-detail {\\n  width: 76.5765%;\\n  @media (max-width: $mobile-breakpoint) {\\n    z-index: z(\\"base\\");\\n    width: 100%;\\n  }\\n\\n  background-color: $secondary; // Todo: set this properly - it needs to be >= the menu height\\n  min-height: 875px;\\n  margin-left: 0;\\n  border-left: solid 1px $primary-low;\\n  padding: 30px 0 30px 30px;\\n  @media (max-width: $mobile-breakpoint) {\\n    padding: 30px 0;\\n    border: none;\\n  }\\n}\\n\\n.admin-detail.mobile-open {\\n  @media (max-width: $mobile-breakpoint) {\\n    transition: transform 0.3s ease;\\n    @include transform(translateX(250px));\\n  }\\n  @media (max-width: 500px) {\\n    transition: transform 0.3s ease;\\n    @include transform(translateX(50%));\\n  }\\n}\\n\\n.admin-detail.mobile-closed {\\n  @media (max-width: $mobile-breakpoint) {\\n    transition: transform 0.3s ease;\\n    @include transform(translateX(0));\\n    margin-left: -10px;\\n    padding-left: 10px;\\n  }\\n}\\n\\nsection.details {\\n  h1 {\\n    font-size: $font-up-3;\\n    color: $primary;\\n    padding: 5px 10px;\\n    margin: 30px 0 5px 0;\\n    border-bottom: 5px solid $primary-low;\\n  }\\n}\\n\\n.user-controls {\\n  padding: 5px;\\n  clear: both;\\n  text-align: right;\\n  .btn {\\n    line-height: $line-height-medium;\\n  }\\n  @media (max-width: $mobile-breakpoint) {\\n    .btn {\\n      margin: 2px;\\n    }\\n  }\\n}\\n\\n.row.groups {\\n  input[type=\\"text\\"] {\\n    width: 500px;\\n  }\\n  input#group-users {\\n    width: 600px;\\n  }\\n}\\n\\n// Ember.ListView\\n.ember-list-view {\\n  overflow-y: auto;\\n  overflow-x: hidden;\\n  position: relative;\\n}\\n\\n.ember-list-item-view {\\n  position: absolute;\\n}\\n\\n.tl3-requirements {\\n  .d-icon-check {\\n    color: $success;\\n  }\\n  .d-icon-times {\\n    color: $danger;\\n  }\\n}\\n\\n@media all and (min-width: 320px) and (max-width: 500px) {\\n  .full-width {\\n    margin: 0;\\n  }\\n  .site-settings-nav {\\n    width: 100%;\\n  }\\n  .site-settings-detail {\\n    width: 100%;\\n    padding: 0;\\n    border: none;\\n    .settings .setting {\\n      .setting-label {\\n        float: left;\\n        width: 100%;\\n        h3 {\\n          margin-bottom: 5px;\\n          font-weight: bold;\\n          margin-top: 25px;\\n        }\\n      }\\n      .setting-value {\\n        width: 100%;\\n      }\\n    }\\n  }\\n  .content-editor {\\n    width: 100%;\\n  }\\n  div.ac-wrap {\\n    width: 100% !important;\\n    box-sizing: border-box;\\n  }\\n\\n  .dashboard-left,\\n  .dashboard-right {\\n    width: 100%;\\n  }\\n  .dashboard-stats {\\n    margin: 0;\\n  }\\n  .badges {\\n    .current-badge {\\n      margin: 70px 0 0 0;\\n    }\\n    .current-badge-actions {\\n      padding: 0;\\n    }\\n  }\\n  .customize .content-list,\\n  .customize .current-style {\\n    width: 100%;\\n  }\\n}\\n\\ntr.not-activated {\\n  td,\\n  td a,\\n  td a:visited {\\n    color: #bbb;\\n  }\\n}\\n\\n.details.not-activated {\\n  .username .value,\\n  .email .value a,\\n  .email .value a:visited {\\n    color: #bbb;\\n  }\\n}\\n\\n.preview {\\n  margin-top: 5px;\\n}\\n\\ntable#user-badges {\\n  .reason {\\n    max-width: 200px;\\n  }\\n}\\n\\n@mixin value-btn {\\n  width: 29px;\\n  border: 1px solid $primary-low;\\n  outline: none;\\n  padding: 0;\\n\\n  &:focus {\\n    border-color: $tertiary;\\n  }\\n}\\n\\n.value-list {\\n  .value {\\n    padding: 0.125em 0;\\n    @include ellipsis;\\n    display: flex;\\n\\n    &:last-child {\\n      border-bottom: none;\\n    }\\n\\n    .value-input {\\n      box-sizing: border-box;\\n      flex: 1 0 0px;\\n      border-color: $primary-low;\\n      cursor: pointer;\\n      margin: 0;\\n\\n      &:focus {\\n        border-color: $tertiary;\\n        box-shadow: none;\\n      }\\n    }\\n\\n    .remove-value-btn {\\n      @include value-btn;\\n      margin-right: 0.25em;\\n    }\\n  }\\n  .values {\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.secret-value-list {\\n  .value {\\n    flex-flow: row wrap;\\n    margin-left: -0.25em;\\n    margin-top: -0.125em;\\n    .new-value-input {\\n      flex: 1 0 0px;\\n    }\\n    .value-input,\\n    .new-value-input {\\n      margin-top: 0.125em;\\n      &:last-of-type {\\n        margin-left: 0.25em;\\n      }\\n    }\\n    .remove-value-btn {\\n      margin-left: 0.25em;\\n      margin-top: 0.125em;\\n    }\\n    .add-value-btn {\\n      @include value-btn;\\n      margin-left: 0.25em;\\n      margin-top: 0.125em;\\n    }\\n    .new-value-input {\\n      margin-left: 0.25em;\\n    }\\n  }\\n}\\n\\n.mobile-view .secret-value-list {\\n  .add-value-btn {\\n    margin-bottom: 9px;\\n  }\\n  .value {\\n    .value-input:last-of-type {\\n      margin-left: 2.35em;\\n    }\\n    .new-value-input:first-of-type {\\n      margin-right: 2.15em;\\n      margin-left: 0.25em;\\n    }\\n  }\\n}\\n\\n// Mobile view text-inputs need some padding\\n.mobile-view .admin-contents {\\n  input[type=\\"text\\"] {\\n    padding: 4px;\\n  }\\n}\\n\\n.mobile-view .full-width {\\n  margin: 0;\\n}\\n\\n// Mobile specific style for Admin IP Lookup box\\n.mobile-view .admin-contents .ip-lookup .location-box {\\n  width: 300px;\\n  left: -100%;\\n}\\n\\n.inline-edit label {\\n  display: inline-block;\\n  margin-right: 20px;\\n}\\n\\n// Styles for subtabs in admin\\n@import \\"common/admin/dashboard\\";\\n@import \\"common/admin/settings\\";\\n@import \\"common/admin/users\\";\\n@import \\"common/admin/suspend\\";\\n@import \\"common/admin/badges\\";\\n@import \\"common/admin/emails\\";\\n@import \\"common/admin/staff_logs\\";\\n@import \\"common/admin/customize\\";\\n@import \\"common/admin/customize-install-theme\\";\\n@import \\"common/admin/api\\";\\n@import \\"common/admin/backups\\";\\n@import \\"common/admin/plugins\\";\\n@import \\"common/admin/admin_reports\\";\\n@import \\"common/admin/admin_report\\";\\n@import \\"common/admin/admin_report_counters\\";\\n@import \\"common/admin/admin_report_chart\\";\\n@import \\"common/admin/admin_report_stacked_chart\\";\\n@import \\"common/admin/admin_report_table\\";\\n@import \\"common/admin/admin_report_inline_table\\";\\n@import \\"common/admin/admin_intro\\";\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Generic helper classes\\n// --------------------------------------------------\\n\\n// Floats\\n// --------------------------------------------------\\n\\n.pull-left {\\n  float: left;\\n}\\n\\n.pull-right {\\n  float: right;\\n}\\n\\n// Element visibility\\n// --------------------------------------------------\\n\\n.show {\\n  display: block;\\n}\\n\\n.hide,\\n.hidden {\\n  display: none;\\n}\\n\\n.invisible {\\n  visibility: hidden;\\n}\\n\\n.sr-only {\\n  position: absolute;\\n  width: 1px;\\n  height: 1px;\\n  padding: 0;\\n  margin: -1px;\\n  overflow: hidden;\\n  clip: rect(0, 0, 0, 0);\\n  border: 0;\\n}\\n\\n// Affix\\n// --------------------------------------------------\\n\\n.affix {\\n  position: fixed;\\n}\\n\\n// Contain floats\\n// --------------------------------------------------\\n\\n.clearfix {\\n  &:before,\\n  &:after {\\n    display: table;\\n    content: \\" \\";\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n// Overflow\\n// --------------------------------------------------\\n\\n.overflow-ellipsis {\\n  white-space: nowrap;\\n  overflow: hidden;\\n  text-overflow: ellipsis;\\n}\\n\\n// Clickable elements\\n// --------------------------------------------------\\n\\n.clickable {\\n  cursor: pointer;\\n}\\n\\n// Buttons\\n// ---------------------------------------------------\\n.disable-no-hover:hover {\\n  background: dark-light-choose($primary-low, $secondary-medium);\\n  color: $primary;\\n}\\n",\n\t\t".admin-reports,\\n.dashboard,\\n.dashboard-next {\\n  &.admin-contents {\\n    margin: 10px 0 0 0;\\n  }\\n}\\n\\n.dashboard,\\n.dashboard-next {\\n  .section-top {\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .navigation {\\n    display: flex;\\n    margin: 0 0 2.5em 0;\\n    border-bottom: 1px solid $primary-low-mid;\\n\\n    .navigation-item {\\n      display: inline;\\n      &:hover {\\n        background: $primary-very-low;\\n      }\\n    }\\n\\n    .navigation-link {\\n      display: block;\\n      font-weight: bold;\\n      padding: 0.6em 1em 0.5em 1em;\\n    }\\n  }\\n\\n  @mixin active-navigation-item {\\n    .navigation-link {\\n      border-bottom: 0.4em solid $tertiary;\\n    }\\n  }\\n\\n  &.dashboard-moderation .navigation-item.moderation {\\n    @include active-navigation-item;\\n  }\\n\\n  &.dashboard-security .navigation-item.security {\\n    @include active-navigation-item;\\n  }\\n\\n  &.dashboard-reports .navigation-item.reports {\\n    @include active-navigation-item;\\n  }\\n\\n  &.general .navigation-item.general {\\n    @include active-navigation-item;\\n  }\\n\\n  .sections {\\n    display: flex;\\n    flex-direction: column;\\n  }\\n\\n  .section-columns {\\n    display: flex;\\n    justify-content: space-between;\\n\\n    @include breakpoint(medium) {\\n      flex-direction: column;\\n    }\\n\\n    .section-column {\\n      min-width: calc(50% - 0.5em);\\n      max-width: 100%;\\n\\n      &:last-child {\\n        margin-left: 0.5em;\\n      }\\n\\n      &:first-child {\\n        margin-right: 0.5em;\\n      }\\n\\n      @include breakpoint(medium) {\\n        min-width: 100%;\\n\\n        &:last-child {\\n          order: 1;\\n        }\\n\\n        &:first-child {\\n          order: 2;\\n        }\\n      }\\n    }\\n\\n    @include breakpoint(medium) {\\n      .section-column:last-child,\\n      .section-column:first-child {\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  .section {\\n    .section-title {\\n      h2 {\\n        margin: 0 0.5em 0 0;\\n\\n        a {\\n          color: $primary;\\n        }\\n      }\\n\\n      display: flex;\\n      @media screen and (max-width: 400px) {\\n        flex-wrap: wrap;\\n      }\\n      align-items: center;\\n      justify-content: space-between;\\n      border-bottom: 1px solid $primary-low;\\n      margin-bottom: 0.5em;\\n      padding-bottom: 0.5em;\\n    }\\n\\n    .section-body {\\n      padding: 1em 0 0;\\n      > p {\\n        margin-top: 0;\\n      }\\n    }\\n  }\\n\\n  .admin-report .header {\\n    border: 0;\\n    padding: 0;\\n    margin-bottom: 1em;\\n  }\\n\\n  .charts {\\n    display: grid;\\n    grid-template-columns: repeat(12, 1fr);\\n    grid-column-gap: 1em;\\n    grid-row-gap: 1em;\\n\\n    // IE11 grid support\\n    display: -ms-grid;\\n    -ms-grid-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;\\n    -ms-grid-rows: 1fr 1fr;\\n    .admin-report {\\n      -ms-grid-column-span: 4;\\n\\n      &:nth-of-type(1) {\\n        -ms-grid-row: 1;\\n        -ms-grid-column: 1;\\n      }\\n      &:nth-of-type(2) {\\n        -ms-grid-row: 2;\\n        -ms-grid-column: 1;\\n      }\\n      &:nth-of-type(3) {\\n        -ms-grid-row: 2;\\n        -ms-grid-column: 5;\\n      }\\n      &:nth-of-type(4) {\\n        -ms-grid-row: 2;\\n        -ms-grid-column: 9;\\n      }\\n      &:nth-of-type(5) {\\n        -ms-grid-row: 3;\\n        -ms-grid-column: 1;\\n      }\\n      &:nth-of-type(6) {\\n        -ms-grid-row: 3;\\n        -ms-grid-column: 5;\\n      }\\n      &:nth-of-type(7) {\\n        -ms-grid-row: 3;\\n        -ms-grid-column: 9;\\n      }\\n    }\\n\\n    .admin-report {\\n      grid-column: span 4;\\n\\n      &.consolidated-page-views {\\n        grid-column: span 12;\\n        -ms-grid-column-span: 12;\\n      }\\n    }\\n\\n    @include breakpoint(medium) {\\n      .admin-report {\\n        grid-column: span 12;\\n      }\\n    }\\n\\n    .chart-canvas-container {\\n      position: relative;\\n      margin-left: -5px;\\n    }\\n\\n    .chart-canvas {\\n      width: 100%;\\n      height: 100%;\\n    }\\n  }\\n\\n  .misc {\\n    display: flex;\\n    border: 1px solid $primary-low;\\n\\n    .storage-stats,\\n    .last-dashboard-update {\\n      flex: 1 1 50%;\\n      box-sizing: border-box;\\n      margin: 1em 0;\\n      padding: 0 1em;\\n    }\\n\\n    .storage-stats {\\n      display: flex;\\n      flex-wrap: wrap;\\n      justify-content: space-between;\\n      border-right: 1px solid $primary-low;\\n\\n      .backups,\\n      .uploads {\\n        flex: 1 1 100%;\\n      }\\n\\n      .uploads p:last-of-type {\\n        margin-bottom: 0;\\n      }\\n    }\\n\\n    @media screen and (max-width: 400px) {\\n      flex-wrap: wrap;\\n      .storage-stats,\\n      .last-dashboard-update {\\n        flex: 1 1 100%;\\n        text-align: left;\\n      }\\n      .last-dashboard-update {\\n        display: block;\\n        margin: 0 20px 20px 20px;\\n        padding: 20px 0 0 0;\\n        border-top: 1px solid $primary-low;\\n        border-left: none;\\n      }\\n    }\\n    .last-dashboard-update {\\n      text-align: center;\\n      display: flex;\\n      flex-direction: column;\\n      justify-content: center;\\n      div {\\n        align-self: center;\\n        h4 {\\n          margin-bottom: 0;\\n        }\\n      }\\n    }\\n  }\\n\\n  .top-referred-topics {\\n    margin-bottom: 1.5em;\\n  }\\n\\n  .top-referred-topics,\\n  .trending-search {\\n    th:first-of-type {\\n      text-align: left;\\n    }\\n  }\\n\\n  .section {\\n    .period-chooser .period-chooser-header {\\n      .selected-name,\\n      .d-icon {\\n        font-size: $font-up-1;\\n      }\\n\\n      .d-icon {\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  .dashboard-problems {\\n    margin-bottom: 2.5em;\\n\\n    .d-icon-exclamation-triangle {\\n      color: $danger;\\n    }\\n\\n    .actions {\\n      margin: 1em 0 0 0;\\n      display: flex;\\n      align-items: center;\\n      color: $primary-medium;\\n      .btn {\\n        margin-right: 1em;\\n      }\\n    }\\n  }\\n}\\n\\n.counters-list {\\n  display: flex;\\n  flex: 1 0 0px;\\n  flex-direction: column;\\n\\n  .counters-header {\\n    display: grid;\\n    flex: 1 0 auto;\\n    grid-template-columns: 33% repeat(auto-fit, minmax(20px, 1fr));\\n    border: 1px solid $primary-low;\\n    border-bottom: 0;\\n    font-weight: 700;\\n    text-align: right;\\n    align-items: center;\\n    padding: 0.65em 0.25em;\\n\\n    // IE11 grid support\\n    display: -ms-grid;\\n    -ms-grid-columns: 2fr 1fr 1fr 1fr 1fr;\\n    .counters-cell {\\n      -ms-grid-row: 1;\\n      -ms-grid-column-span: 1;\\n      &:nth-of-type(1) {\\n        -ms-grid-column: 1;\\n      }\\n      &:nth-of-type(2) {\\n        -ms-grid-column: 2;\\n      }\\n      &:nth-of-type(3) {\\n        -ms-grid-column: 3;\\n      }\\n      &:nth-of-type(4) {\\n        -ms-grid-column: 4;\\n      }\\n      &:nth-of-type(5) {\\n        -ms-grid-column: 5;\\n      }\\n    }\\n  }\\n\\n  .admin-report .main {\\n    border: 1px solid $primary-low;\\n\\n    &:hover {\\n      background-color: $primary-very-low;\\n    }\\n  }\\n\\n  .admin-report:not(:last-child) {\\n    .main {\\n      border-bottom: 0;\\n    }\\n\\n    .conditional-loading-section.is-loading {\\n      border-bottom: 0;\\n    }\\n  }\\n\\n  .admin-report .conditional-loading-section.is-loading {\\n    display: flex;\\n    flex-direction: row;\\n    padding: 0.5em 0.25em;\\n    align-items: flex-start;\\n    justify-content: flex-start;\\n    border: 1px solid $primary-low;\\n\\n    .title {\\n      font-size: $font-0;\\n    }\\n\\n    .spinner {\\n      margin: 0;\\n      width: 8px;\\n      height: 8px;\\n      margin-left: 0.5em;\\n    }\\n  }\\n\\n  .admin-report .main .report-alert {\\n    display: flex;\\n    flex-direction: row;\\n    padding: 0.5em 0.25em;\\n    align-items: center;\\n    text-align: left;\\n    border: 0;\\n\\n    &:hover {\\n      background-color: $primary-very-low;\\n    }\\n\\n    .d-icon {\\n      font-size: $font-up-1;\\n      margin: 0 0.25em 0 0;\\n      color: $primary-low-mid;\\n    }\\n  }\\n}\\n\\n.activity-metrics {\\n  margin-bottom: 1.5em;\\n}\\n\\n.user-metrics {\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: space-between;\\n  flex-direction: column;\\n\\n  .dashboard-inline-table {\\n    //  and \\"hides\\" margin when the item spans 100% width\\n    flex: 1 0 auto;\\n    max-width: 95%;\\n  }\\n  .table-cell {\\n    display: flex;\\n    flex: 0 1 auto;\\n    margin: 0 10px 5px 0;\\n    border: 1px solid $primary-low;\\n    border-radius: 10px;\\n    .label {\\n      display: flex;\\n      align-items: center;\\n      color: $primary;\\n      background: $primary-very-low;\\n      justify-content: center;\\n      border-radius: 9px 0 0 9px;\\n      padding: 0 5px 0 8px;\\n\\n      .d-icon {\\n        margin-right: 5px;\\n        font-size: $font-down-1;\\n      }\\n    }\\n\\n    .value {\\n      padding: 0 8px 0 5px;\\n    }\\n    &.user-newuser {\\n      .label {\\n        color: $primary-high;\\n      }\\n    }\\n    &.user-basic,\\n    &.user-member {\\n      border-color: $bronze;\\n      .label {\\n        border-color: $bronze;\\n        background: $bronze;\\n        color: $secondary;\\n      }\\n    }\\n    &.user-regular {\\n      border-color: $silver;\\n      .label {\\n        border-color: $silver;\\n        background: $silver;\\n        color: $secondary;\\n      }\\n    }\\n    &.user-leader {\\n      border-color: $gold;\\n      .label {\\n        background: $gold;\\n        border-color: $gold;\\n        color: $secondary;\\n      }\\n    }\\n  }\\n}\\n\\n.rtl .dashboard-next {\\n  .section-column {\\n    &:last-child {\\n      margin-right: 1em;\\n      margin-left: 0;\\n    }\\n\\n    &:first-child {\\n      margin-left: 1em;\\n      margin-right: 0;\\n    }\\n  }\\n\\n  .user-metrics .table-cell {\\n    margin: 0 0 5px 10px;\\n  }\\n\\n  .table-cell {\\n    .label {\\n      border-radius: 0 9px 9px 0;\\n\\n      .d-icon {\\n        margin-right: 0;\\n        margin-left: 5px;\\n      }\\n    }\\n  }\\n}\\n\\n.users-by-trust-level,\\n.users-by-type {\\n  margin-bottom: 1.5em;\\n}\\n\\n.community-health.section {\\n  margin-bottom: 1.5em;\\n}\\n\\n.dashboard-moderation,\\n.dashboard-security {\\n  .section-body {\\n    margin-bottom: 1em;\\n  }\\n\\n  .main-section {\\n    display: grid;\\n    grid-template-columns: repeat(12, 1fr);\\n    grid-column-gap: 1em;\\n    grid-row-gap: 1em;\\n\\n    > * {\\n      grid-column: span 12;\\n    }\\n\\n    .admin-dashboard-security-bottom-outlet,\\n    .admin-dashboard-moderation-bottom-outlet {\\n      display: grid;\\n      grid-template-columns: repeat(12, 1fr);\\n      grid-column-gap: 1em;\\n      grid-row-gap: 1em;\\n    }\\n  }\\n\\n  .admin-report {\\n    grid-column: span 12;\\n  }\\n}\\n\\n.dashboard-moderation {\\n  .admin-dashboard-moderation-top {\\n    display: grid;\\n    grid-template-columns: repeat(12, 1fr);\\n    grid-column-gap: 1em;\\n    grid-row-gap: 1em;\\n  }\\n}\\n\\n.dashboard-reports {\\n  .reports-list {\\n    display: flex;\\n    flex-wrap: wrap;\\n    list-style-type: none;\\n    margin: 0 -1.5%;\\n  }\\n  .report {\\n    margin: 1.5%;\\n    border: 1px solid $primary-low;\\n    flex: 1 1 28%;\\n    transition: box-shadow 0.25s;\\n    min-width: 225px;\\n    max-width: 550px;\\n    a {\\n      display: block;\\n      width: 100%;\\n      height: 100%;\\n      box-sizing: border-box;\\n      padding: 1em;\\n      .report-description {\\n        color: $primary-high;\\n      }\\n    }\\n    &:hover {\\n      box-shadow: shadow(\\"card\\");\\n    }\\n  }\\n}\\n\\n.version-checks {\\n  display: flex;\\n  flex-wrap: wrap;\\n  .section-title {\\n    flex: 1 1 100%;\\n    border-bottom: 1px solid $primary-low;\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.version-check {\\n  display: flex;\\n  flex: 1 1 50%;\\n  flex-wrap: wrap;\\n  align-items: flex-start;\\n  align-self: flex-start;\\n  justify-content: space-between;\\n  padding: 10px 0 10px 0;\\n  .upgrade-header {\\n    flex: 1 1 100%;\\n    @media screen and (max-width: 650px) {\\n      margin: 0;\\n    }\\n    tr {\\n      border: none;\\n    }\\n    th {\\n      background: transparent;\\n      padding: 0;\\n    }\\n  }\\n  h2 {\\n    flex: 1 1 100%;\\n  }\\n  .version-number {\\n    font-size: $font-up-2;\\n    line-height: $line-height-medium;\\n    box-sizing: border-box;\\n    font-weight: bold;\\n    margin: 0 0 1em 0;\\n    padding-right: 20px;\\n    flex: 1 1 27%;\\n    h3 {\\n      flex: 1 0 auto;\\n      white-space: nowrap;\\n    }\\n    h4,\\n    .sha-link {\\n      font-size: $font-down-2;\\n      margin-bottom: 0;\\n    }\\n    .sha-link {\\n      font-weight: normal;\\n    }\\n  }\\n  .version-status {\\n    display: flex;\\n    align-items: center;\\n    margin: 0 0 1em 0;\\n    flex: 1 1 24%;\\n    box-sizing: border-box;\\n    padding-right: 20px;\\n    min-width: 250px;\\n    @include breakpoint(medium) {\\n      max-width: unset;\\n    }\\n    .face {\\n      margin: 0 0.75em 0 0;\\n      font-size: $font-up-3;\\n    }\\n  }\\n  &.critical .version-notes .normal-note {\\n    display: none;\\n  }\\n  &.normal .version-notes .critical-note {\\n    display: none;\\n  }\\n  .fa {\\n    font-size: $font-up-4;\\n  }\\n  .up-to-date {\\n    color: $success;\\n  }\\n  .updates-available {\\n    color: $danger;\\n  }\\n  .critical-updates-available {\\n    color: $danger;\\n  }\\n}\\n\\n.update-nag {\\n  .d-icon {\\n    font-size: $font-up-3;\\n  }\\n}\\n",\n\t\t"// styles for admin/settings\\n\\n.settings {\\n  .setting {\\n    padding-bottom: 20px;\\n    .setting-label {\\n      float: left;\\n      width: 17.6576%;\\n      margin-right: 12px;\\n      @media (max-width: $mobile-breakpoint) {\\n        float: none;\\n        margin-right: 0;\\n        width: 100%;\\n        h3 {\\n          margin-bottom: 6px;\\n        }\\n      }\\n    }\\n    .setting-value {\\n      float: left;\\n      width: 53%;\\n      padding-right: 20px;\\n      input[type=\\"checkbox\\"],\\n      input[type=\\"radio\\"] {\\n        flex: 0 0 auto;\\n      }\\n      .category-selector {\\n        width: 95%;\\n      }\\n      @media (max-width: $mobile-breakpoint) {\\n        width: 100%;\\n        padding-right: 0;\\n      }\\n      .select-kit {\\n        width: 100% !important; // Needs !important to override hard-coded value\\n        @media (max-width: $mobile-breakpoint) {\\n          width: 100% !important; // !important overrides hard-coded mobile width of 68px\\n        }\\n      }\\n      .uploaded-image-preview {\\n        background-size: contain;\\n        background-repeat: no-repeat;\\n        background-color: $primary-medium;\\n      }\\n    }\\n    .setting-controls {\\n      float: left;\\n    }\\n    .input-setting-string,\\n    .input-setting-textarea {\\n      width: 100%;\\n      @media (max-width: $mobile-breakpoint) {\\n        width: 100%;\\n      }\\n    }\\n    .input-setting-textarea {\\n      height: 150px;\\n    }\\n    .input-setting-list {\\n      @media (max-width: $mobile-breakpoint) {\\n        width: 100%;\\n      }\\n      padding: 1px;\\n      background-color: $secondary;\\n      border: 1px solid $primary-low;\\n      border-radius: 3px;\\n      transition: border linear 0.2s, box-shadow linear 0.2s;\\n      li.sortable-placeholder {\\n        padding: 3px 5px 3px 18px;\\n        margin: 3px 0 3px 5px;\\n        position: relative;\\n        line-height: $line-height-small;\\n        cursor: default;\\n        border: 1px dashed $primary-low-mid;\\n        border-radius: 3px;\\n        background-clip: padding-box;\\n        -moz-user-select: none;\\n        background-color: transparent;\\n        width: 3em;\\n        height: 1em;\\n      }\\n    }\\n    .desc,\\n    .validation-error {\\n      padding-top: 3px;\\n      font-size: $font-down-1;\\n      line-height: $line-height-large;\\n    }\\n    .validation-error {\\n      color: $danger;\\n    }\\n    .desc {\\n      color: $primary-medium;\\n    }\\n    h3 {\\n      font-size: $font-0;\\n      font-weight: normal;\\n    }\\n  }\\n  .setting.overridden {\\n    h3 {\\n      color: $highlight-high;\\n    }\\n  }\\n  .setting.overridden.string {\\n    input[type=\\"text\\"],\\n    input[type=\\"password\\"],\\n    textarea {\\n      background-color: $highlight-medium;\\n    }\\n  }\\n  .warning {\\n    color: $danger;\\n  }\\n}\\n",\n\t\t"//Styles for /admin/users\\n\\n.display-row.associations .value {\\n  width: 750px;\\n  @media (max-width: $mobile-breakpoint) {\\n    width: 75%;\\n    float: right;\\n    text-align: left;\\n    margin-left: 0;\\n  }\\n}\\n\\n.display-row {\\n  display: flex;\\n  align-items: center;\\n  padding: 10px 5px;\\n  &:nth-of-type(1) {\\n    border-top: 0;\\n  }\\n  &.highlight-danger {\\n    background-color: $danger-low;\\n  }\\n  border-top: 1px solid $primary-low;\\n  &:before,\\n  &:after {\\n    display: table;\\n    content: \\"\\";\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n  &.secondary-emails ul {\\n    margin: 0;\\n    list-style: none;\\n  }\\n  .field {\\n    font-weight: bold;\\n    width: 17.65765%;\\n    float: left;\\n    margin-left: 12px;\\n    @media (max-width: $mobile-breakpoint) {\\n      margin-left: 0;\\n      line-height: $line-height-large;\\n      margin-top: 5px;\\n    }\\n  }\\n  .value {\\n    width: 250px;\\n    float: left;\\n    margin-left: 12px;\\n    @media (max-width: $mobile-breakpoint) {\\n      width: 75%;\\n      float: right;\\n      text-align: left;\\n      margin-left: 0;\\n    }\\n    .select-kit {\\n      width: inherit;\\n    }\\n  }\\n  .long-value {\\n    width: 800px;\\n    float: left;\\n    margin-left: 12px;\\n    font-size: $font-down-1;\\n    button {\\n      margin-left: 10px;\\n    }\\n  }\\n  .controls {\\n    width: 480px;\\n    float: left;\\n    margin-left: 12px;\\n    @media (max-width: $mobile-breakpoint) {\\n      width: 75%;\\n      float: right;\\n      text-align: left;\\n      margin-left: 0;\\n    }\\n    .btn {\\n      margin-right: 5px;\\n    }\\n  }\\n  &.username,\\n  &.name {\\n    .value {\\n      word-break: break-all;\\n    }\\n  }\\n}\\n\\n.admin-users {\\n  input {\\n    margin-bottom: 0;\\n  }\\n  .users-list {\\n    .username .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\n.admin-users-list {\\n  td.username {\\n    @include ellipsis;\\n    overflow-wrap: break-word;\\n  }\\n  @media screen and (max-width: 970px) and (min-width: 768px) {\\n    td.username {\\n      max-width: 23vw; // Prevents horizontal scroll down to 768px\\n    }\\n    td.email {\\n      max-width: 28vw; // Prevents horizontal scroll down to 768px\\n      overflow-wrap: break-word;\\n    }\\n  }\\n  @media screen and (max-width: 767px) {\\n    tr {\\n      td.username {\\n        grid-column-start: 1;\\n        grid-column-end: -2;\\n        font-weight: bold;\\n      }\\n      td.user-status {\\n        text-align: right;\\n        grid-row: 1;\\n        grid-column-end: -1;\\n        .d-icon {\\n          margin-left: 0.25em;\\n        }\\n      }\\n      td.email {\\n        grid-column-start: 1;\\n        grid-column-end: -1;\\n        word-wrap: break-word;\\n        overflow-wrap: break-word;\\n        overflow: hidden;\\n        min-width: 0;\\n        margin: 0.5em 0 0 0;\\n\\n        &:empty {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n  //IE11 Support\\n  @media screen and (max-width: 767px) {\\n    tr.user {\\n      display: -ms-grid;\\n      -ms-grid-columns: 1fr 1fr 1fr;\\n      -ms-grid-rows: 2em 1fr 3em 3em;\\n      td {\\n        display: -ms-grid;\\n        -ms-grid-columns: 1fr;\\n        -ms-grid-rows: 1fr 1fr;\\n        .label {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n        }\\n        div:not(.label) {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 1;\\n          align-self: center;\\n        }\\n        &.username {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 2;\\n        }\\n        &.user-status {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 3;\\n        }\\n        &.email {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 3;\\n        }\\n        &.last-emailed {\\n          -ms-grid-row: 3;\\n          -ms-grid-column: 1;\\n        }\\n        &.last-seen {\\n          -ms-grid-row: 3;\\n          -ms-grid-column: 2;\\n        }\\n        &.topics-entered {\\n          -ms-grid-row: 3;\\n          -ms-grid-column: 3;\\n        }\\n        &.posts-read {\\n          -ms-grid-row: 4;\\n          -ms-grid-column: 1;\\n        }\\n        &.time-read {\\n          -ms-grid-row: 4;\\n          -ms-grid-column: 2;\\n        }\\n        &.created {\\n          -ms-grid-row: 4;\\n          -ms-grid-column: 3;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// mobile styles\\n.mobile-view .admin-users.admin-user {\\n  .display-row {\\n    flex-direction: column;\\n    align-items: flex-start;\\n    .field,\\n    .value {\\n      width: unset;\\n    }\\n    .select-kit {\\n      width: 300px;\\n    }\\n  }\\n\\n  .long-value {\\n    word-wrap: break-word;\\n    max-width: 100%;\\n    margin: 0;\\n    button {\\n      margin: 5px 0;\\n      display: block;\\n    }\\n  }\\n\\n  h1 {\\n    margin: 15px 0 5px 0;\\n  }\\n\\n  .user-controls {\\n    text-align: inherit;\\n  }\\n\\n  .controls {\\n    width: unset;\\n    margin-top: 5px;\\n  }\\n\\n  .associations button {\\n    margin: 5px 5px 0 0;\\n  }\\n\\n  .ip-lookup {\\n    display: block;\\n    .location-box {\\n      left: 0;\\n    }\\n  }\\n}\\n",\n\t\t".suspend-user-modal {\\n  .until-controls {\\n    margin-bottom: 1em;\\n  }\\n\\n  .suspend-reason {\\n    width: 100%;\\n  }\\n\\n  .suspend-reason-label,\\n  .suspend-message-label {\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .textarea,\\n  input[type=\\"text\\"] {\\n    box-sizing: border-box;\\n    height: 2.5em;\\n  }\\n\\n  .inline-spinner {\\n    float: right;\\n  }\\n}\\n\\n.modal-body {\\n  .penalty-post-edit {\\n    margin-top: 1em;\\n\\n    textarea {\\n      height: 10em;\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for admin/badges\\n.admin-badges {\\n  // flex page layout\\n  .badges {\\n    display: flex;\\n    flex-wrap: wrap;\\n    .badges-header {\\n      display: flex;\\n      align-items: center;\\n      flex: 1 0 100%;\\n      .create-new-badge {\\n        margin-left: auto;\\n      }\\n    }\\n    .content-list {\\n      flex: 0 0 27%;\\n    }\\n    .current-badges {\\n      display: flex;\\n      justify-content: center;\\n      flex: 1 1 72%;\\n    }\\n  }\\n  .badges-header {\\n    padding: 10px 0;\\n    border-top: 1px solid $primary-low;\\n    border-bottom: 1px solid $primary-low;\\n    .badges-heading {\\n      margin: 0;\\n      padding: 0 10px;\\n    }\\n  }\\n  .content-list {\\n    .admin-badge-list {\\n      height: 70vh;\\n      overflow-y: scroll;\\n      border-right: 1px solid $primary-low;\\n      border-left: 1px solid $primary-low;\\n      border-bottom: 1px solid $primary-low;\\n      .admin-badge-list-item {\\n        &:first-child {\\n          border-top: none;\\n        }\\n        &:last-child {\\n          border-top: none;\\n        }\\n      }\\n      .list-badge {\\n        float: right;\\n        font-size: $font-down-1;\\n        font-weight: normal;\\n        padding: 0 6px;\\n        color: $secondary;\\n        background-color: $tertiary-medium;\\n        border-radius: 3px;\\n      }\\n    }\\n    .user-badge {\\n      border: none;\\n      background-color: unset;\\n    }\\n  }\\n  .current-badge {\\n    margin: 20px;\\n    p.help {\\n      margin: 0;\\n      margin-top: 5px;\\n      color: $primary-medium;\\n      font-size: $font-down-1;\\n    }\\n    .badge-grouping-control {\\n      display: flex;\\n      align-items: center;\\n      .badge-selector {\\n        margin-right: 5px;\\n      }\\n    }\\n  }\\n  .form-horizontal {\\n    .ace-wrapper {\\n      position: relative;\\n      height: 270px;\\n      .ace_editor {\\n        position: absolute;\\n        left: 0;\\n        right: 0;\\n        top: 0;\\n        bottom: 0;\\n      }\\n      &[data-disabled=\\"true\\"] {\\n        cursor: not-allowed;\\n        opacity: 0.5;\\n        .ace_editor {\\n          pointer-events: none;\\n          .ace_cursor {\\n            visibility: hidden;\\n          }\\n        }\\n      }\\n    }\\n    textarea {\\n      height: 200px;\\n    }\\n  }\\n  .current-badge-actions {\\n    margin: 10px;\\n    padding: 10px;\\n    border-top: 1px solid $primary-low;\\n  }\\n  .buttons {\\n    float: left;\\n    width: 200px;\\n    .saving {\\n      padding: 5px 0 0 0;\\n      margin-left: 10px;\\n      width: 80px;\\n      color: $primary;\\n    }\\n  }\\n}\\n\\n// badge-grouping modal\\n.badge-groupings-modal {\\n  .badge-groupings {\\n    margin-bottom: 10px;\\n  }\\n  .badge-groupings-list {\\n    list-style: none;\\n    margin: 0;\\n    .badge-grouping-item {\\n      border-bottom: 1px solid $primary-low;\\n      display: flex;\\n      justify-content: space-between;\\n      align-items: center;\\n      padding: 5px 0;\\n    }\\n    .badge-grouping {\\n      .badge-grouping-name-input {\\n        margin: 0;\\n      }\\n    }\\n  }\\n}\\n\\n// badge preview modal\\n.badge-query-preview {\\n  .badge-errors,\\n  .badge-query-plan {\\n    padding: 5px;\\n    background-color: $primary-low;\\n  }\\n  .count-warning {\\n    background-color: $danger-low;\\n    margin-bottom: 5px;\\n    padding: 10px;\\n    p {\\n      margin: 0;\\n    }\\n    .heading {\\n      color: $danger;\\n      font-weight: bold;\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for admin/emails\\n\\n// Emails\\n.email-list {\\n  .filters input {\\n    width: 100%;\\n  }\\n  .time {\\n    width: 50px;\\n  }\\n  .reply-key {\\n    display: block;\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n  }\\n  .username div {\\n    max-width: 180px;\\n    @include ellipsis;\\n  }\\n  .addresses p {\\n    margin: 2px 0;\\n    max-width: 200px;\\n    @include ellipsis;\\n  }\\n}\\n\\n.incoming-emails {\\n  .control-group {\\n    margin: 8px 0;\\n  }\\n  .controls {\\n    margin-left: 110px;\\n  }\\n  p {\\n    margin: 5px 10px;\\n  }\\n  .error-description {\\n    color: $primary-medium;\\n    font-size: $font-down-1;\\n  }\\n  hr {\\n    margin: 0;\\n  }\\n  label {\\n    font-weight: bold;\\n    float: left;\\n    width: 100px;\\n    text-align: right;\\n    margin: 0 10px;\\n  }\\n  ul {\\n    list-style: none;\\n    margin: 0 10px;\\n  }\\n  textarea {\\n    width: 95%;\\n    height: 150px;\\n    font-family: monospace;\\n    box-shadow: none;\\n  }\\n}\\n\\n.admin-list-item {\\n  width: 100%;\\n  border-top: 1px solid $primary-low;\\n  padding: 0.25em 0;\\n}\\n\\n.email-preview {\\n  .digest-refresh-button {\\n    margin: 0 0.5em;\\n  }\\n}\\n\\n.email-preview-digest {\\n  .controls {\\n    margin: 1em 0.5em;\\n    input[type=\\"text\\"] {\\n      margin-bottom: 0;\\n    }\\n    label {\\n      display: inline;\\n    }\\n  }\\n  .preview-output iframe {\\n    width: 100%;\\n    height: 600px;\\n    border-width: 1px;\\n  }\\n}\\n\\n.email-advanced-test {\\n  .admin-controls {\\n    display: block;\\n  }\\n\\n  .email-body {\\n    width: 95%;\\n    height: 150px;\\n    font-family: monospace;\\n  }\\n}\\n",\n\t\t"// Styles for /admin/logs\\n\\n.web-hook-events {\\n  border-bottom: dotted 1px $primary-low-mid;\\n  .heading-container {\\n    width: 100%;\\n    background-color: $primary-low;\\n  }\\n  .col.heading {\\n    font-weight: bold;\\n    padding: 4px 0;\\n  }\\n  .col {\\n    display: inline-block;\\n    padding-top: 6px;\\n    vertical-align: top;\\n    overflow-y: auto;\\n    overflow-x: hidden;\\n  }\\n  .ember-list-item-view {\\n    width: 100%;\\n    border-top: solid 1px $primary-low;\\n  }\\n}\\n\\n.log-details-modal {\\n  pre {\\n    white-space: pre-wrap;\\n    max-height: 250px;\\n  }\\n  .modal-tab {\\n    width: 95%;\\n  }\\n}\\n\\n.staff-actions {\\n  width: 100%;\\n  word-wrap: break-word;\\n  @media screen and (min-width: 550px) and (max-width: 767px) {\\n    table.staff-logs tr {\\n      display: grid;\\n      grid-template-rows: auto auto;\\n      grid-template-columns: repeat(4, 1fr);\\n      td {\\n        align-self: start;\\n        padding: 2px 4px;\\n      }\\n    }\\n\\n    td.created-at {\\n      grid-column-start: -1;\\n    }\\n    td.subject {\\n      grid-row: 2;\\n      grid-column-start: 2;\\n      div.subject {\\n        display: flex;\\n        a {\\n          word-wrap: break-word;\\n          min-width: 25px;\\n        }\\n      }\\n    }\\n\\n    td.details {\\n      grid-row: 1;\\n      grid-row-start: 1;\\n      grid-row-end: 3;\\n      grid-column-start: 3;\\n    }\\n\\n    td.context {\\n      grid-row-start: 1;\\n      grid-row-end: 3;\\n      grid-column-start: 4;\\n    }\\n  }\\n\\n  //IE11 Support\\n  @media screen and (max-width: 767px) {\\n    table.staff-logs tr {\\n      display: -ms-grid;\\n      -ms-grid-columns: 1fr 1fr 1fr 0.5fr;\\n      -ms-grid-rows: auto auto;\\n      td {\\n        display: -ms-grid;\\n        &.staff-users {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 2;\\n        }\\n        &.created-at {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 4;\\n        }\\n        &.action {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 1;\\n        }\\n        &.subject {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 2;\\n          -ms-grid-column-span: 3;\\n        }\\n        &.details {\\n          -ms-grid-row: 3;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 3;\\n        }\\n        &.context {\\n          -ms-grid-row: 4;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 3;\\n        }\\n      }\\n    }\\n  }\\n\\n  @include breakpoint(mobile-extra-large) {\\n    table.staff-logs tr {\\n      grid-template-columns: 1fr 1fr 0.5fr;\\n      td.staff-users {\\n        grid-column-start: 1;\\n        grid-column-end: 3;\\n      }\\n      td.created-at {\\n        grid-row: 1;\\n        grid-column-start: -1;\\n        text-align: right;\\n      }\\n      td.action {\\n        grid-row: 2;\\n        grid-column-start: 1;\\n      }\\n      td.subject {\\n        grid-row: 2;\\n        grid-column-start: 2;\\n        grid-column-end: 5;\\n        max-width: 60vw;\\n      }\\n      td.details,\\n      td.context {\\n        max-width: unset;\\n      }\\n      td.details {\\n        grid-row: 3;\\n        grid-column-start: 1;\\n        grid-column-end: 5;\\n        padding: 0.25em 0;\\n        max-width: 90vw;\\n      }\\n      td.context {\\n        grid-row: 4;\\n        grid-column-start: 1;\\n        grid-column-end: 5;\\n      }\\n    }\\n  }\\n\\n  .staff-user {\\n    font-weight: bold;\\n    display: flex;\\n    a:first-of-type {\\n      margin-right: 0.25em;\\n    }\\n    .deleted-user {\\n      font-size: $font-up-2;\\n    }\\n  }\\n  .created_at {\\n    text-align: center;\\n  }\\n  td.subject,\\n  td.details {\\n    max-width: 20vw;\\n  }\\n}\\n\\n.staff-action-logs-controls {\\n  display: flex;\\n  align-items: center;\\n  .select-kit {\\n    margin: 0 0.5em;\\n  }\\n  button {\\n    margin-left: auto;\\n    display: flex;\\n  }\\n  margin: 0 0 1em 0;\\n  a.filter {\\n    display: inline-flex;\\n    align-items: center;\\n    margin-bottom: 0.25em;\\n    background-color: $primary-low;\\n    padding: 3px 10px;\\n    color: $primary;\\n    &:hover {\\n      color: $primary;\\n      background-color: $primary-low;\\n    }\\n    .label {\\n      font-weight: bold;\\n    }\\n    .d-icon {\\n      margin-left: 6px;\\n    }\\n  }\\n}\\n\\n.admin-logs-table {\\n  input.ember-text-field {\\n    padding: 1px 4px;\\n  }\\n  .btn {\\n    padding: 2px 8px;\\n    .fa {\\n      margin-right: 2px;\\n    }\\n  }\\n}\\n\\n.screened-email-export {\\n  display: block;\\n}\\n\\n.screened-ip-address-form {\\n  margin-left: 6px;\\n  .combobox {\\n    width: 130px;\\n  }\\n}\\n\\n.screened-ip-controls {\\n  display: flex;\\n  flex-wrap: wrap;\\n  input {\\n    flex: 1 1 auto;\\n    margin: 0 0.25em 0.25em;\\n  }\\n  b {\\n    margin: 0 0.25em;\\n  }\\n  .select-kit {\\n    margin: 0 0.25em 0.25em 0.25em;\\n    flex: 1 1 auto;\\n  }\\n  .filter-screened-ip-address,\\n  .screened-ip-address-form {\\n    margin: 0 -0.25em 1em;\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n  }\\n  @media screen and (min-width: 800px) {\\n    .screened-ip-address-form {\\n      margin-left: auto;\\n    }\\n  }\\n  button {\\n    display: flex;\\n    white-space: nowrap;\\n    margin: 0 0.25em 0.25em;\\n  }\\n}\\n\\ntable.screened-ip-addresses {\\n  td.ip_address {\\n    min-width: 150px;\\n    word-wrap: break-word;\\n    input {\\n      width: 80%;\\n    }\\n  }\\n  td.action {\\n    display: flex;\\n    align-items: baseline;\\n    .d-icon-check {\\n      color: $success;\\n    }\\n    .d-icon-ban {\\n      color: $danger;\\n    }\\n    .d-icon {\\n      margin-right: 0.25em;\\n    }\\n  }\\n}\\n\\n@media screen and (min-width: 550px) {\\n  table.screened-ip-addresses tr {\\n    grid-template-columns: repeat(5, 1fr) auto;\\n  }\\n}\\n\\n@media screen and (max-width: 549px) {\\n  table.screened-ip-addresses tr {\\n    td.actions {\\n      grid-row: 3;\\n      grid-column-start: -1;\\n      grid-column-end: -4;\\n      text-align: right;\\n      margin-top: 0.5em;\\n    }\\n    td.created_at {\\n      grid-row: 1;\\n      grid-column-start: 3;\\n      text-align: right;\\n    }\\n    td.last_match_at {\\n      grid-row: 2;\\n      grid-column-start: 3;\\n      text-align: right;\\n    }\\n    td.match_count {\\n      grid-row: 2;\\n      grid-column-start: 2;\\n    }\\n  }\\n}\\n\\n// Screened URLs\\n\\n@include breakpoint(tablet) {\\n  .screened-urls {\\n    td.domain {\\n      grid-column-start: 1;\\n      grid-column-end: 3;\\n      word-wrap: break-word;\\n    }\\n  }\\n}\\n\\n// Screened emails\\n.screened-emails {\\n  td.ip_address {\\n    word-wrap: break-word;\\n    @include breakpoint(tablet, min-width) {\\n      max-width: 20vw;\\n    }\\n  }\\n\\n  @include breakpoint(tablet) {\\n    td.email {\\n      grid-column-start: 1;\\n      grid-column-end: 3;\\n      word-wrap: break-word;\\n    }\\n    td.ip_address {\\n      grid-row: 2;\\n      grid-column-start: 1;\\n      grid-column-end: -1;\\n    }\\n    td.action {\\n      margin-top: 0.25em;\\n    }\\n  }\\n}\\n\\n// Watched words\\n\\n.watched-word-box {\\n  display: inline-block;\\n  width: 250px;\\n  margin-bottom: 1em;\\n  vertical-align: top;\\n}\\n\\n.admin-watched-words {\\n  .clear-all-row {\\n    display: flex;\\n    margin-top: 10px;\\n    justify-content: flex-end;\\n    .clear-all {\\n      margin-left: 5px;\\n    }\\n  }\\n}\\n\\n.watched-word-controls {\\n  display: flex;\\n  flex-wrap: wrap;\\n  margin-bottom: 1em;\\n  justify-content: space-between;\\n  .download-upload-controls {\\n    display: flex;\\n  }\\n  .download {\\n    justify-content: flex-end;\\n  }\\n}\\n\\n.watched-words-list {\\n  margin-top: 20px;\\n  display: inline-block;\\n}\\n\\n.watched-word {\\n  display: inline-block;\\n  cursor: pointer;\\n  .d-icon {\\n    margin-right: 0.25em;\\n    color: $primary-medium;\\n  }\\n  &:hover .d-icon {\\n    color: $danger;\\n  }\\n}\\n\\n.watched-word-form {\\n  display: inline-block;\\n  .success-message {\\n    margin-left: 1em;\\n  }\\n}\\n\\n.watched-words-uploader {\\n  margin-left: 5px;\\n  display: flex;\\n  flex-direction: column;\\n  align-items: flex-end;\\n  @media screen and (max-width: 500px) {\\n    flex: 1 1 100%;\\n    margin-top: 0.5em;\\n  }\\n  .instructions {\\n    font-size: $font-down-1;\\n    margin-top: 5px;\\n  }\\n}\\n\\n.watched-words-detail {\\n  .about {\\n    margin: 0.5em 0 1em 0;\\n  }\\n}\\n\\n.watched-words-test-modal p {\\n  margin-top: 0;\\n}\\n\\n// Search logs\\n\\ntable.search-logs-list {\\n  td.term {\\n    width: 60%;\\n    word-wrap: break-word;\\n    @media screen and (max-width: 767px) {\\n      width: 100%;\\n    }\\n  }\\n  th:not(.term),\\n  td:not(.term) {\\n    text-align: center;\\n  }\\n  @media screen and (min-width: 550px) {\\n    tr {\\n      td.term {\\n        grid-column-start: 1;\\n        grid-column: span 3;\\n      }\\n    }\\n  }\\n  @include breakpoint(mobile-extra-large) {\\n    tr {\\n      td.term {\\n        grid-column-start: 1;\\n        grid-column-end: 4;\\n      }\\n      th:not(.term),\\n      td:not(.term) {\\n        text-align: left;\\n      }\\n    }\\n  }\\n  //IE11 Support\\n  @media screen and (max-width: 767px) {\\n    tr {\\n      display: -ms-grid;\\n      -ms-grid-columns: 1fr 1fr 1fr;\\n      -ms-grid-rows: auto 2em;\\n      td {\\n        display: -ms-grid;\\n        -ms-grid-rows: auto auto;\\n        .label {\\n          -ms-grid-row: 2;\\n        }\\n        &.term {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 3;\\n        }\\n        &.col:nth-of-type(2) {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 1;\\n        }\\n        &.col:nth-of-type(3) {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 2;\\n        }\\n        &.col:nth-of-type(4) {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 3;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Customise area\\n\\n// email templates\\n\\n.content-editor {\\n  min-height: 500px;\\n  float: left;\\n  width: 54.054%;\\n  margin-left: 1.8018%;\\n  p.description {\\n    color: $primary;\\n  }\\n  .controls {\\n    margin-top: 10px;\\n  }\\n  textarea.plain {\\n    width: 98%;\\n    height: 200px;\\n  }\\n  .d-editor-input {\\n    width: 98%;\\n    height: 200px;\\n  }\\n  .ace-wrapper {\\n    position: relative;\\n    height: 600px;\\n    width: 100%;\\n  }\\n  .ace_editor {\\n    position: absolute;\\n    left: 0;\\n    right: 0;\\n    top: 0;\\n    bottom: 0;\\n  }\\n}\\n\\n.email-template {\\n  input {\\n    width: 100%;\\n  }\\n  label {\\n    font-weight: bold;\\n  }\\n}\\n\\n.create-theme-modal {\\n  div.input {\\n    margin-bottom: 12px;\\n    .label {\\n      width: 20%;\\n      display: inline-block;\\n    }\\n  }\\n\\n  .error {\\n    color: $danger;\\n  }\\n}\\n\\n.admin-customize.admin-customize-themes {\\n  .admin-container {\\n    padding: 0;\\n  }\\n  .error-message {\\n    margin-top: 5px;\\n    margin-bottom: 5px;\\n    .fa {\\n      color: $danger;\\n    }\\n  }\\n  .raw-error {\\n    background-color: $primary-very-low;\\n    padding: 5px;\\n  }\\n}\\n\\n.admin-customize {\\n  h1 {\\n    margin-bottom: 10px;\\n    input {\\n      margin-bottom: 0;\\n      font-size: $font-down-2;\\n    }\\n  }\\n\\n  .field-error {\\n    margin-top: 10px;\\n    margin-bottom: 10px;\\n    background-color: $quaternary-low;\\n    padding: 5px;\\n  }\\n\\n  .admin-container {\\n    padding-left: 10px;\\n    padding-right: 10px;\\n  }\\n  .admin-footer {\\n    margin-top: 20px;\\n  }\\n  .color-schemes li {\\n    .d-icon {\\n      margin-right: 0.25em;\\n      color: $primary-medium;\\n    }\\n  }\\n  .show-current-style {\\n    display: inline-block;\\n    vertical-align: top;\\n\\n    .btn {\\n      line-height: $line-height-medium; // Temporary button-height fix\\n    }\\n\\n    .title {\\n      font-size: $font-up-4;\\n      font-weight: bold;\\n      margin-bottom: 10px;\\n      a {\\n        font-size: $font-down-2;\\n      }\\n      .btn {\\n        line-height: $line-height-small;\\n      }\\n    }\\n\\n    .theme-description {\\n      display: block;\\n      margin: 10px 0;\\n    }\\n\\n    .metadata {\\n      .authors,\\n      .version {\\n        display: block;\\n\\n        .heading {\\n          font-weight: bold;\\n        }\\n      }\\n    }\\n\\n    div.remote-url {\\n      font-size: $font-down-1;\\n      margin-bottom: 7px;\\n    }\\n\\n    a.remote-url,\\n    a.about-url,\\n    a.license-url {\\n      display: inline-block;\\n      margin-right: 10px;\\n      .d-icon {\\n        margin-left: 5px;\\n      }\\n    }\\n\\n    .mini-title {\\n      font-size: $font-up-1;\\n      font-weight: bold;\\n      margin-bottom: 7px;\\n    }\\n    .control-unit {\\n      margin-bottom: 25px;\\n      margin-top: 15px;\\n    }\\n    .control {\\n      margin-bottom: 10px;\\n    }\\n    .description {\\n      margin-bottom: 12px;\\n    }\\n  }\\n  .add-component-button {\\n    vertical-align: middle;\\n  }\\n  .themes-list {\\n    display: inline-block;\\n    .create-actions {\\n      margin-top: 0.5em;\\n    }\\n  }\\n\\n  .themes-list-header {\\n    width: 100%;\\n    border-bottom: 1px solid $primary-low;\\n    border-top: 1px solid $primary-low;\\n    border-right: 1px solid $primary-low;\\n    .tab {\\n      display: inline-block;\\n      padding: 10px;\\n      width: 50%;\\n      box-sizing: border-box;\\n      text-align: center;\\n      border-left: 1px solid $primary-low;\\n\\n      &.active {\\n        font-weight: bold;\\n        color: $secondary;\\n        background: $danger;\\n      }\\n\\n      &:not(.active) {\\n        cursor: pointer;\\n\\n        &:hover {\\n          background-color: $primary-very-low;\\n        }\\n      }\\n    }\\n  }\\n\\n  .themes-list-container {\\n    overflow-y: auto;\\n    box-sizing: content-box;\\n    max-height: 60vh;\\n    @media screen and (max-height: 1000px) {\\n      max-height: 50vh;\\n    }\\n    @media screen and (max-height: 800px) {\\n      max-height: 40vh;\\n    }\\n    border-right: 1px solid $primary-low;\\n    border-bottom: 1px solid $primary-low;\\n    width: 100%;\\n\\n    .themes-list-item:last-child {\\n      border-bottom: none;\\n    }\\n    .themes-list-item {\\n      color: $primary;\\n      border-bottom: 1px solid $primary-low;\\n      display: flex;\\n      border-left: 1px solid $primary-low;\\n\\n      &.inactive-indicator {\\n        border-right: 0;\\n        border-left: 0;\\n        font-weight: bold;\\n        color: $primary-medium;\\n\\n        span.empty {\\n          padding-left: 5px;\\n          padding-top: 15px;\\n        }\\n      }\\n      &:not(.inactive-indicator):not(.selected):hover {\\n        background-color: $primary-very-low;\\n        .component {\\n          border-color: $primary-low-mid;\\n        }\\n      }\\n\\n      &.selected {\\n        color: $secondary;\\n        background-color: $tertiary;\\n        .components-list {\\n          color: $secondary;\\n        }\\n        .fa {\\n          color: inherit;\\n        }\\n      }\\n      &:not(.selected) {\\n        .broken-indicator {\\n          color: $danger;\\n        }\\n        .fa {\\n          opacity: 0.7;\\n        }\\n        .default-indicator {\\n          color: $success;\\n        }\\n      }\\n\\n      .light-grey-icon {\\n        color: $primary-medium;\\n      }\\n\\n      .info {\\n        overflow: hidden;\\n        display: flex;\\n        font-weight: bold;\\n        font-size: $font-up-1;\\n\\n        .icons {\\n          margin-left: auto;\\n        }\\n      }\\n\\n      .components-list {\\n        margin-top: 5px;\\n        display: inline-block;\\n        font-size: $font-down-1;\\n        align-items: baseline;\\n        color: $primary-high;\\n\\n        .others-count,\\n        .others-count:hover {\\n          text-decoration: underline;\\n        }\\n      }\\n\\n      .inner-wrapper {\\n        padding: 10px;\\n        cursor: pointer;\\n      }\\n\\n      span.empty {\\n        padding: 3px 10px 3px 10px;\\n      }\\n\\n      .inner-wrapper,\\n      span.empty {\\n        color: inherit;\\n        width: 100%;\\n      }\\n    }\\n  }\\n\\n  .theme.settings {\\n    .theme-setting {\\n      min-height: 35px;\\n    }\\n    .theme-translation {\\n      padding-bottom: 0;\\n      margin-top: 18px;\\n      min-height: 35px;\\n    }\\n    .setting-label {\\n      width: 25%;\\n      word-wrap: break-word;\\n      h3 {\\n        margin-top: 0;\\n        margin-bottom: 0.5rem;\\n      }\\n    }\\n  }\\n\\n  .current-style.maximized {\\n    position: fixed;\\n    top: 0;\\n    bottom: 0;\\n    left: 0;\\n    right: 0;\\n    z-index: z(\\"fullscreen\\");\\n    background-color: white;\\n    width: 100%;\\n    padding: 0;\\n    margin: 0;\\n    .wrapper {\\n      position: absolute;\\n      top: 20px;\\n      bottom: 10px;\\n      left: 20px;\\n      right: 20px;\\n    }\\n  }\\n\\n  .content-list,\\n  .current-style {\\n    float: left;\\n  }\\n  .content-list ul {\\n    margin-bottom: 10px;\\n  }\\n  .current-style {\\n    width: 100%;\\n\\n    .admin-container {\\n      margin: 0;\\n    }\\n\\n    .edit-main-nav .nav-pills > li a.active {\\n      background-color: $quaternary;\\n      color: $secondary;\\n    }\\n\\n    .edit-main-nav ul {\\n      padding-bottom: 0;\\n    }\\n\\n    .nav-pills {\\n      li {\\n        margin-right: 0;\\n        display: flex;\\n\\n        &.spacer {\\n          flex-grow: 1;\\n        }\\n\\n        &:last-of-type > a {\\n          margin-right: 0;\\n        }\\n\\n        a.no-text .d-icon {\\n          margin-right: 0;\\n        }\\n\\n        label {\\n          padding: 6px 12px;\\n          margin-bottom: 0;\\n        }\\n\\n        a.active {\\n          background: $primary-medium;\\n          color: $secondary;\\n        }\\n\\n        a.blank:not(.active) {\\n          color: $primary-medium;\\n        }\\n\\n        input {\\n          margin-bottom: 0;\\n          margin-left: 6px;\\n        }\\n\\n        button {\\n          margin-right: 0;\\n        }\\n      }\\n    }\\n\\n    .ace-wrapper {\\n      position: relative;\\n      height: 600px;\\n      width: 100%;\\n    }\\n\\n    &.maximized {\\n      .admin-container {\\n        position: absolute;\\n        bottom: 50px;\\n        top: 80px;\\n        width: 100%;\\n      }\\n      .admin-footer {\\n        position: absolute;\\n        bottom: 10px;\\n      }\\n      .ace-wrapper {\\n        height: calc(100% - 200px);\\n      }\\n    }\\n\\n    .ace_editor {\\n      position: absolute;\\n      left: 0;\\n      right: 0;\\n      top: 0;\\n      bottom: 0;\\n    }\\n\\n    .status-actions {\\n      float: right;\\n      margin-top: 7px;\\n      span {\\n        margin-right: 10px;\\n      }\\n    }\\n\\n    .buttons {\\n      float: left;\\n      width: 200px;\\n      .saving {\\n        padding: 5px 0 0 0;\\n        margin-left: 10px;\\n        width: 80px;\\n        color: $primary;\\n      }\\n    }\\n  }\\n  .color-scheme {\\n    .controls {\\n      button,\\n      a {\\n        margin-right: 10px;\\n      }\\n    }\\n  }\\n  .colors {\\n    thead th {\\n      border: none;\\n    }\\n    td.hex {\\n      width: 160px;\\n    }\\n    td.actions {\\n      width: 200px;\\n    }\\n    .hex-input {\\n      width: 80px;\\n      margin-bottom: 0;\\n    }\\n    .hex {\\n      text-align: center;\\n    }\\n    h3 {\\n      margin: 0;\\n    }\\n    .description {\\n      margin: 0.15em 0 0;\\n      color: $primary-high;\\n      font-size: $font-down-1;\\n      line-height: $line-height-medium;\\n    }\\n\\n    .invalid .hex input {\\n      background-color: white;\\n      color: black;\\n      border-color: $danger;\\n    }\\n  }\\n\\n  .status-message {\\n    display: block;\\n    font-size: $font-down-1;\\n    margin-top: 8px;\\n  }\\n\\n  .removable-list {\\n    list-style: none;\\n    margin-left: 0;\\n    li {\\n      &.disabled-child {\\n        .child-link {\\n          color: $primary-medium;\\n          &:hover {\\n            text-decoration: underline;\\n          }\\n        }\\n      }\\n      .btn {\\n        margin-left: 5px;\\n      }\\n      display: table-row;\\n      .col.child-link {\\n        padding-right: 10px;\\n        padding-bottom: 10px;\\n        min-width: 80px;\\n      }\\n      .col {\\n        display: table-cell;\\n      }\\n    }\\n  }\\n}\\n\\n.add-upload-modal {\\n  input[type=\\"file\\"] {\\n    display: block;\\n    margin-bottom: 0.25em;\\n    + label {\\n      color: $primary-medium;\\n    }\\n  }\\n  label {\\n    display: inline-block;\\n  }\\n}\\n\\n#custom_emoji {\\n  width: 27%;\\n}\\n\\n.modal-body .inputs .branch {\\n  margin-top: 10px;\\n}\\n\\n.modal-body .inputs .check-private {\\n  margin-top: 10px;\\n  label {\\n    padding-left: 0;\\n  }\\n  label input {\\n    width: auto;\\n    margin: 3px 0;\\n  }\\n\\n  .public-key {\\n    margin-top: 10px;\\n    textarea {\\n      cursor: auto;\\n      height: 150px;\\n    }\\n  }\\n}\\n\\n// Permalinks\\n.permalinks {\\n  .url,\\n  .topic,\\n  .category,\\n  .external_url,\\n  .post {\\n    @include ellipsis;\\n    max-width: 100px;\\n    @include breakpoint(tablet) {\\n      max-width: 100%;\\n    }\\n  }\\n\\n  &.grid tr.admin-list-item {\\n    grid-template-columns: unset;\\n  }\\n}\\n\\n.permalink-search {\\n  text-align: left;\\n  @include breakpoint(tablet, min-width) {\\n    text-align: right;\\n  }\\n}\\n\\n.permalink-form {\\n  align-items: flex-start;\\n  display: flex;\\n  flex-direction: column;\\n  flex-wrap: wrap;\\n  @include breakpoint(tablet, min-width) {\\n    align-items: center;\\n    flex-direction: row;\\n  }\\n\\n  .select-kit {\\n    width: 150px;\\n  }\\n  input {\\n    margin: 5px 0;\\n    @include breakpoint(tablet, min-width) {\\n      margin: 0 5px;\\n    }\\n  }\\n}\\n\\n.permalink-title {\\n  margin-bottom: 10px;\\n}\\n\\n.permalink-description {\\n  color: $primary-medium;\\n}\\n\\n// embedding\\n.embeddable-hosts {\\n  margin-bottom: 2em;\\n  table.grid {\\n    margin-bottom: 1em;\\n    tr td {\\n      word-wrap: break-word;\\n      max-width: 25vw;\\n      align-self: start;\\n    }\\n    td.controls {\\n      min-width: 6em;\\n    }\\n    .select-kit.combo-box.category-chooser {\\n      width: calc(100% - 10px);\\n    }\\n  }\\n  @media screen and (max-width: 880px) {\\n    table.grid {\\n      thead {\\n        display: none;\\n      }\\n      div.label {\\n        display: block;\\n        font-size: $font-down-1;\\n        color: $primary-medium;\\n      }\\n      td.controls,\\n      td.editing-controls {\\n        align-self: end;\\n      }\\n      tr {\\n        display: grid;\\n        grid-template-columns: repeat(3, 1fr);\\n      }\\n    }\\n  }\\n\\n  @media screen and (max-width: 580px) {\\n    table.grid {\\n      tr td.editing-input {\\n        grid-column-start: 1;\\n        grid-column-end: 4;\\n        max-width: 100%;\\n        input {\\n          width: calc(100% - 20px);\\n        }\\n      }\\n      td.editing-controls {\\n        margin-top: 1em;\\n        max-width: 100%;\\n      }\\n    }\\n  }\\n\\n  @include breakpoint(mobile-medium) {\\n    table.grid tr {\\n      grid-template-columns: repeat(2, 1fr);\\n      td.controls {\\n        text-align: left;\\n      }\\n    }\\n  }\\n}\\n\\n.embedding-secondary {\\n  h3 {\\n    margin: 1em 0;\\n  }\\n  margin-bottom: 2em;\\n  .embed-setting {\\n    input[type=\\"text\\"] {\\n      width: 50%;\\n    }\\n    margin: 0.75em 0;\\n  }\\n  p.description {\\n    color: $primary-medium;\\n    margin-bottom: 1em;\\n    max-width: 700px;\\n  }\\n}\\n\\n.embedding td input {\\n  margin-bottom: 0;\\n}\\n\\n.user-fields {\\n  h2 {\\n    margin-bottom: 10px;\\n  }\\n  .user-field {\\n    padding: 10px;\\n    margin-bottom: 10px;\\n    border-bottom: 1px solid $primary-low;\\n    .form-display {\\n      width: 25%;\\n      display: inline-block;\\n      float: left;\\n    }\\n    .form-element,\\n    .form-element-desc {\\n      float: left;\\n      min-height: 30px;\\n      padding: 0.25em 0;\\n      &.input-area {\\n        width: 75%;\\n        .value-list,\\n        .select-kit,\\n        input[type=\\"text\\"] {\\n          width: 50%;\\n        }\\n\\n        .value-list {\\n          .select-kit {\\n            width: 100%;\\n          }\\n        }\\n      }\\n      &.label-area {\\n        width: 25%;\\n        label {\\n          margin: 0.5em 1em 0 0;\\n          text-align: right;\\n          font-weight: bold;\\n        }\\n      }\\n    }\\n    .controls {\\n      float: right;\\n      text-align: right;\\n    }\\n    .clearfix {\\n      clear: both;\\n    }\\n  }\\n}\\n\\n.reseed-modal {\\n  .options-group-title {\\n    font-size: $font-up-2;\\n    font-weight: bold;\\n    margin: 8px 0;\\n  }\\n\\n  .option {\\n    margin-left: 1em;\\n  }\\n}\\n\\n.robots-txt-edit {\\n  div.overridden {\\n    background: $highlight-medium;\\n    padding: 7px;\\n    margin-bottom: 7px;\\n  }\\n  .robots-txt-input {\\n    width: 100%;\\n    box-sizing: border-box;\\n    height: 55vh;\\n  }\\n}\\n\\n.admin-customize-email-templates {\\n  .email-template,\\n  .controls {\\n    margin-top: 1em;\\n  }\\n\\n  .d-editor {\\n    height: 50vh;\\n  }\\n}\\n\\n.admin-customize-email-style {\\n  .ace-wrapper {\\n    position: relative;\\n    width: 100%;\\n    height: 400px;\\n    .ace_editor {\\n      position: absolute;\\n      left: 0;\\n      right: 0;\\n      top: 0;\\n      bottom: 0;\\n    }\\n  }\\n}\\n",\n\t\t".install-theme {\\n  min-width: 650px;\\n  display: flex;\\n}\\n\\n.install-theme-items {\\n  width: 200px;\\n}\\n\\n.install-theme-item {\\n  border: 1px solid $primary-low;\\n  border-bottom: none;\\n  position: relative;\\n\\n  &:last-child {\\n    border-bottom: 1px solid $primary-low;\\n  }\\n\\n  input,\\n  .d-icon-caret-right {\\n    display: none;\\n  }\\n\\n  label {\\n    display: block;\\n    padding: 10px 30px 10px 10px;\\n    margin-bottom: 0px;\\n    cursor: pointer;\\n  }\\n\\n  input:checked + label {\\n    color: $secondary;\\n    background-color: $tertiary;\\n    + .d-icon {\\n      display: block;\\n      color: $secondary;\\n    }\\n  }\\n\\n  .d-icon-caret-right {\\n    position: absolute;\\n    right: 5px;\\n    top: 50%;\\n    margin-top: -7px;\\n  }\\n}\\n\\n.install-theme-content {\\n  padding: 0px 0px 10px 20px;\\n  width: calc(100% - 200px);\\n}\\n\\n.repo {\\n  input[type=\\"text\\"] {\\n    width: 90%;\\n  }\\n}\\n\\n.popular-theme-items {\\n  height: 65vh;\\n  overflow: auto;\\n  padding-right: 20px;\\n}\\n\\n.popular-theme-item {\\n  border-bottom: 1px solid $primary-low;\\n  padding: 8px 0px;\\n  display: flex;\\n  align-items: center;\\n  .popular-theme-name {\\n    flex: 1;\\n    .popular-theme-type {\\n      font-weight: normal;\\n      font-size: $font-down-2;\\n      color: $primary-medium;\\n    }\\n\\n    a {\\n      color: $primary-very-high;\\n      font-weight: bold;\\n      &:hover,\\n      &:visited,\\n      &:active {\\n        color: $primary-high;\\n      }\\n    }\\n\\n    .popular-theme-description {\\n      font-size: $font-down-1;\\n      padding-right: 20px;\\n    }\\n  }\\n  .popular-theme-buttons {\\n    > span {\\n      font-style: italic;\\n      font-size: $font-down-1;\\n      color: $primary-medium;\\n      margin-right: 8px;\\n    }\\n\\n    > a {\\n      display: block;\\n      font-size: $font-down-2;\\n      margin-top: 5px;\\n      text-align: center;\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for admin/api\\n\\ntable.web-hooks.grid {\\n  td.delivery-status {\\n    div {\\n      display: flex;\\n      align-items: center;\\n    }\\n    .d-icon {\\n      margin-right: 0.25em;\\n    }\\n  }\\n  td.payload-url {\\n    word-wrap: break-word;\\n    max-width: 55vw;\\n  }\\n  td.controls {\\n    display: flex;\\n    button {\\n      margin-left: 0.25em;\\n    }\\n  }\\n  @media screen and (min-width: 550px) {\\n    tbody {\\n      tr {\\n        grid-template-columns: 0.5fr repeat(2, 1fr) 0.5fr;\\n      }\\n\\n      td.controls {\\n        text-align: right;\\n      }\\n    }\\n  }\\n  @include breakpoint(mobile-extra-large) {\\n    tbody {\\n      tr {\\n        grid-template-columns: 0.5fr 1fr;\\n      }\\n    }\\n    td.controls {\\n      grid-row: 2;\\n    }\\n  }\\n  //IE11 Support\\n  @media screen and (max-width: 767px) {\\n    tr {\\n      display: -ms-grid;\\n      -ms-grid-columns: 0.5fr 1fr 1fr 0.5fr;\\n      td {\\n        display: -ms-grid;\\n        &.delivery-status {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n        }\\n        &.payload-url {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 2;\\n        }\\n        &.description {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 3;\\n        }\\n        &.controls {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 4;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// Api keys\\n\\ntable.api-keys {\\n  margin-bottom: 0.25em;\\n\\n  .key-controls {\\n    text-align: right;\\n  }\\n\\n  tr.revoked {\\n    color: $primary-medium;\\n  }\\n\\n  @include breakpoint(tablet) {\\n    tr {\\n      grid-template-columns: 0.25fr 1fr 1fr;\\n    }\\n    td.key {\\n      grid-row: 1;\\n      grid-column-start: 1;\\n      grid-column-end: 1;\\n      max-width: 100%;\\n    }\\n    td.key-description {\\n      grid-row: 1;\\n      grid-column-start: 2;\\n      grid-column-end: -1;\\n      max-width: 100%;\\n    }\\n    td.key-user {\\n      grid-row: 2;\\n      grid-column-start: 1;\\n    }\\n    td.key-controls {\\n      grid-row: 2;\\n      grid-column-end: -1;\\n      grid-column-start: 2;\\n      text-align: right;\\n      .btn {\\n        margin-bottom: 0.25em;\\n      }\\n    }\\n  }\\n  //IE11 Support\\n  @media screen and (max-width: 767px) {\\n    tr {\\n      display: -ms-grid;\\n      -ms-grid-columns: 0.25fr 1fr 1fr;\\n      -ms-grid-rows: auto auto;\\n      td {\\n        display: -ms-grid;\\n\\n        &.key {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 3;\\n        }\\n        &.key-user {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 1;\\n        }\\n        &.key-controls {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 2;\\n          -ms-grid-column-span: 2;\\n          display: -ms-grid;\\n          -ms-grid-columns: 125px 125px;\\n          button:first-of-type {\\n            -ms-grid-column: 1;\\n          }\\n          button:last-of-type {\\n            -ms-grid-column: 2;\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.admin-api-keys {\\n  h2 {\\n    margin-bottom: 10px;\\n  }\\n  .api-key {\\n    padding: 10px;\\n    margin-bottom: 10px;\\n    border-bottom: 1px solid $primary-low;\\n    .form-element,\\n    .form-element-desc {\\n      float: left;\\n      padding: 0.5em 0;\\n      &.input-area {\\n        width: 75%;\\n        .value-list,\\n        .select-kit,\\n        input[type=\\"text\\"] {\\n          width: 50%;\\n          margin: 0;\\n        }\\n        .ac-wrap {\\n          width: 50% !important;\\n        }\\n      }\\n      &.label-area {\\n        width: 25%;\\n        label {\\n          margin: 0.5em 1em 0 0;\\n          text-align: right;\\n          font-weight: bold;\\n        }\\n      }\\n    }\\n    .controls {\\n      float: right;\\n      text-align: left;\\n      width: 50%;\\n    }\\n  }\\n}\\n\\n// Webhook\\n.web-hook-container {\\n  .tip.good:empty {\\n    display: none;\\n  }\\n  input {\\n    max-width: calc(100% - 10px;);\\n  }\\n  .select-kit,\\n  .select-kit.multi-select {\\n    width: 100%;\\n    max-width: 360px;\\n  }\\n\\n  .event-selector {\\n    display: flex;\\n    flex-wrap: wrap;\\n    margin: 0.5em 0;\\n\\n    .hook-event {\\n      margin-bottom: 0.5em;\\n      @include breakpoint(mobile-extra-large) {\\n        width: 100%;\\n      }\\n    }\\n  }\\n\\n  > p {\\n    padding-bottom: 10px;\\n    border-bottom: $primary-low 1px solid;\\n  }\\n  .filters {\\n    margin: 5px 0;\\n    padding-bottom: 5px;\\n    border-bottom: $primary-low 1px solid;\\n    .filter {\\n      margin-bottom: 1em;\\n    }\\n    label .d-icon {\\n      margin-right: 0.25em;\\n    }\\n  }\\n  .instructions {\\n    margin-top: 5px;\\n  }\\n  .subscription-choice {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.web-hook-direction {\\n  button {\\n    margin-right: 10px;\\n  }\\n}\\n\\n.web-hook-events {\\n  li {\\n    padding: 2px 0;\\n  }\\n  .col {\\n    display: inline-block;\\n    padding-top: 6px;\\n    vertical-align: top;\\n    overflow-y: auto;\\n    overflow-x: hidden;\\n  }\\n  .col.first {\\n    width: 90px;\\n  }\\n  .col.event-id {\\n    width: 90px;\\n  }\\n  .col.timestamp {\\n    width: 180px;\\n  }\\n  .col.completion {\\n    width: 250px;\\n  }\\n  .col.actions {\\n    width: 455px;\\n    padding-top: 0;\\n    a {\\n      text-decoration: underline;\\n    }\\n  }\\n  .col.heading.actions {\\n    padding: 4px 0;\\n  }\\n  .details {\\n    display: block;\\n    margin-top: 10px;\\n  }\\n  label {\\n    font-size: $font-0;\\n  }\\n  &.content-list {\\n    width: 100%;\\n  }\\n}\\n\\n.web-hook-events-listing {\\n  margin-top: 15px;\\n  .alert {\\n    margin: 15px 0 0 0;\\n  }\\n}\\n\\n.hook-event {\\n  display: inline-block;\\n  width: 40%;\\n  margin-left: 20px;\\n  label {\\n    display: inline-block;\\n  }\\n  p {\\n    margin: 0 0 5px 25px;\\n  }\\n}\\n",\n\t\t"// Styles for /admin/backups\\n\\n$rollback: #3d9970;\\n$rollback-dark: darken($rollback, 10%) !default;\\n$rollback-darker: darken($rollback, 20%) !default;\\n.btn-rollback {\\n  color: $secondary;\\n  background: $rollback;\\n  .d-icon {\\n    color: $secondary;\\n  }\\n  &:hover {\\n    background: $rollback-dark;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n  }\\n  &:active {\\n    @include linear-gradient($rollback-darker, $rollback-dark);\\n  }\\n  &[disabled] {\\n    background: $rollback;\\n  }\\n}\\n\\n.admin-backups {\\n  table {\\n    @media screen and (min-width: 550px) {\\n      td.backup-filename {\\n        grid-column-start: 1;\\n        grid-column-end: 6;\\n      }\\n      td.backup-size {\\n        grid-column-end: -1;\\n        text-align: right;\\n      }\\n      td.backup-controls {\\n        margin-top: 0.25em;\\n        grid-row: 2;\\n        grid-column-start: 1;\\n        grid-column-end: 5;\\n        text-align: right;\\n        .btn {\\n          margin-top: 0.25em;\\n        }\\n      }\\n    }\\n    @include breakpoint(mobile-extra-large) {\\n      td.backup-filename {\\n        grid-column-start: 1;\\n        grid-column-end: 3;\\n      }\\n      td.backup-size {\\n        text-align: right;\\n      }\\n      td.backup-controls {\\n        grid-column-start: 1;\\n        grid-column-end: 4;\\n      }\\n    }\\n    @include breakpoint(tablet) {\\n      td.backup-controls {\\n        text-align: left;\\n      }\\n    }\\n  }\\n}\\n\\n.admin-backups-logs {\\n  max-height: 65vh;\\n  overflow: auto;\\n}\\n\\nbutton.ru {\\n  position: relative;\\n  min-width: 110px;\\n}\\n\\n.ru-progress {\\n  position: absolute;\\n  top: 0;\\n  left: 0;\\n  height: 100%;\\n  background: rgba(0, 175, 0, 0.3);\\n}\\n\\n.is-uploading:hover .ru-progress {\\n  background: rgba(200, 0, 0, 0.3);\\n}\\n\\n.start-backup-modal {\\n  .btn {\\n    margin: 10px 0 10px 5px;\\n  }\\n  .btn:first-of-type {\\n    margin-left: 10px;\\n  }\\n}\\n\\n.backup-options {\\n  display: flex;\\n  align-items: center;\\n  flex-wrap: wrap;\\n  .btn {\\n    margin-right: 0.5em;\\n  }\\n  .backup-message {\\n    margin-left: auto;\\n    @include breakpoint(mobile-extra-large) {\\n      margin: 1.25em 0 0;\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for /admin/plugins\\n\\n.admin-contents.admin-plugins {\\n  .controls {\\n    .settings-button {\\n      margin-left: auto;\\n    }\\n  }\\n  .grid {\\n    @media screen and (min-width: 550px) {\\n      tr {\\n        grid-template-columns: 0.25fr repeat(4, 1fr);\\n      }\\n    }\\n    @include breakpoint(mobile-extra-large) {\\n      tr {\\n        grid-template-columns: 0.25fr repeat(3, 1fr);\\n      }\\n      td.plugin-name {\\n        grid-column-start: 2;\\n        grid-column-end: -1;\\n      }\\n      td.settings {\\n        grid-row: 2;\\n        grid-column-start: 4;\\n        text-align: right;\\n        button {\\n          display: flex;\\n        }\\n      }\\n      td.version {\\n        grid-row: 2;\\n        grid-column-start: 3;\\n      }\\n      td.col-enabled {\\n        grid-row: 2;\\n        grid-column-start: 2;\\n      }\\n    }\\n  }\\n}\\n\\n.admin-plugins-official-badge {\\n  color: $success;\\n}\\n",\n\t\t".admin-reports {\\n  .admin-report {\\n    width: 100%;\\n\\n    .report-header {\\n      padding-bottom: 0.5em;\\n      margin-bottom: 1em;\\n      border-bottom: 1px solid $primary-low;\\n    }\\n  }\\n\\n  .admin-report-chart .chart-canvas-container .chart-canvas {\\n    height: 400px;\\n  }\\n\\n  .report-container {\\n    display: flex;\\n\\n    .loading-container {\\n      width: 100%;\\n    }\\n\\n    .visualization {\\n      display: flex;\\n      flex: 4;\\n    }\\n\\n    .filters {\\n      display: flex;\\n      flex: 1 0 0px;\\n      align-items: center;\\n      flex-direction: column;\\n      margin-left: 2em;\\n\\n      .date-picker {\\n        margin: 0;\\n        width: 195px;\\n      }\\n\\n      .combo-box,\\n      .date-picker-wrapper,\\n      .btn {\\n        width: 100%;\\n        margin-bottom: 1em;\\n      }\\n    }\\n\\n    @include breakpoint(medium) {\\n      flex-direction: column;\\n      min-width: 100%;\\n\\n      .visualization {\\n        order: 2;\\n      }\\n\\n      .filters {\\n        order: 1;\\n        margin: 0;\\n        align-items: flex-start;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".admin-report {\\n  .conditional-loading-section {\\n    &.is-loading {\\n      margin: 0;\\n    }\\n  }\\n\\n  .header {\\n    display: flex;\\n    align-items: center;\\n    border-bottom: 1px solid $primary-low;\\n    margin-bottom: 0.5em;\\n    padding-bottom: 0.5em;\\n  }\\n\\n  .header .breadcrumb {\\n    margin: 0;\\n    list-style: none;\\n\\n    .item {\\n      display: inline;\\n      font-size: $font-up-1;\\n    }\\n\\n    .all-reports .report-url {\\n      font-weight: 700;\\n    }\\n\\n    .report {\\n      font-weight: 700;\\n\\n      .report-url {\\n        color: $primary;\\n      }\\n\\n      .info {\\n        cursor: pointer;\\n        margin-left: 0.25em;\\n        color: $primary-low-mid;\\n\\n        &:hover {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n  }\\n\\n  .header .trend {\\n    margin-left: auto;\\n    margin-right: 8px;\\n\\n    &.trending-down,\\n    &.high-trending-down {\\n      color: $danger;\\n    }\\n\\n    &.trending-up,\\n    &.high-trending-up {\\n      color: $success;\\n    }\\n\\n    &.no-change {\\n      color: $primary-medium;\\n      .d-icon {\\n        display: none;\\n      }\\n    }\\n\\n    .value {\\n      font-size: $font-up-1;\\n    }\\n\\n    .icon {\\n      font-size: $font-up-1;\\n      font-weight: 700;\\n    }\\n  }\\n\\n  .body {\\n    display: flex;\\n  }\\n\\n  .main {\\n    flex: 1;\\n  }\\n\\n  .main .report-alert {\\n    margin: 0;\\n    text-align: center;\\n    padding: 3em;\\n    border: 1px solid transparent;\\n\\n    a {\\n      color: $primary-medium;\\n    }\\n\\n    .d-icon {\\n      color: currentColor;\\n      font-size: $font-up-5;\\n      display: block;\\n      margin: 0.25em auto;\\n    }\\n\\n    &.no-data,\\n    &.rate-limited {\\n      background: $secondary;\\n      border-color: $primary-low;\\n      color: $primary-low-mid;\\n    }\\n\\n    &.rate-limited .d-icon {\\n      color: $danger;\\n    }\\n\\n    &.timeout,\\n    &.exception {\\n      border-color: $danger-low;\\n      color: $danger;\\n    }\\n  }\\n\\n  .filters {\\n    display: flex;\\n    margin-left: 1em;\\n    flex-direction: column;\\n    width: 220px;\\n\\n    .modes {\\n      margin: 0 0 1em 0;\\n      padding: 0;\\n      list-style: none;\\n\\n      .mode {\\n        display: inline-flex;\\n        flex: 1 0 0px;\\n\\n        .mode-btn.is-current {\\n          color: $tertiary;\\n        }\\n      }\\n    }\\n\\n    .control {\\n      margin-bottom: 1em;\\n    }\\n\\n    .control .label {\\n      font-weight: 700;\\n      width: 100%;\\n    }\\n\\n    .control .input,\\n    .control .select-kit {\\n      width: 100%;\\n\\n      .export-csv-btn {\\n        width: 100%;\\n      }\\n\\n      .refresh-report-btn {\\n        width: 100%;\\n      }\\n\\n      .date-picker-wrapper {\\n        width: 100%;\\n        .date-picker {\\n          box-sizing: border-box;\\n          width: 100%;\\n          margin: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.rtl .admin-report {\\n  .filters {\\n    margin-left: 0;\\n    margin-right: 1em;\\n  }\\n\\n  .trend {\\n    margin-left: unset;\\n    margin-right: auto;\\n  }\\n}\\n\\n.admin-report.storage-stats {\\n  .main {\\n    flex: 1 0 auto;\\n  }\\n}\\n",\n\t\t".admin-report {\\n  .admin-report-counters {\\n    display: grid;\\n    flex: 1 0 0px;\\n    grid-template-columns: 33% repeat(auto-fit, minmax(20px, 1fr));\\n    grid-template-rows: repeat(auto-fit, minmax(32px, 1fr));\\n    align-items: center;\\n\\n    // IE11 grid support\\n    display: -ms-grid;\\n    -ms-grid-columns: 2fr 1fr 1fr 1fr 1fr;\\n    .cell {\\n      -ms-grid-row: 1;\\n      -ms-grid-column-span: 1;\\n\\n      &:nth-of-type(1) {\\n        -ms-grid-column: 1;\\n      }\\n      &:nth-of-type(2) {\\n        -ms-grid-column: 2;\\n      }\\n      &:nth-of-type(3) {\\n        -ms-grid-column: 3;\\n      }\\n      &:nth-of-type(4) {\\n        -ms-grid-column: 4;\\n      }\\n      &:nth-of-type(5) {\\n        -ms-grid-column: 5;\\n      }\\n    }\\n\\n    .cell {\\n      padding: 0.25em;\\n      text-align: right;\\n      white-space: nowrap;\\n\\n      &.title {\\n        text-align: left;\\n        @include ellipsis;\\n\\n        .d-icon {\\n          color: $primary-low-mid;\\n          min-width: 14px;\\n          text-align: center;\\n        }\\n\\n        .d-icon {\\n          margin: 0;\\n        }\\n      }\\n\\n      @media screen and (max-width: 400px) {\\n        &.title .d-icon {\\n          display: none;\\n        }\\n      }\\n\\n      .d-icon-minus {\\n        color: $primary-medium;\\n        font-size: $font-down-3;\\n      }\\n\\n      &.high-trending-up,\\n      &.trending-up {\\n        .d-icon {\\n          color: $success;\\n        }\\n      }\\n      &.high-trending-down,\\n      &.trending-down {\\n        .d-icon {\\n          color: $danger;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.rtl .counters-list .counters-header .counters-cell {\\n  text-align: left;\\n}\\n\\n.rtl .counters-list {\\n  .cell {\\n    text-align: left;\\n\\n    &.title {\\n      text-align: right;\\n    }\\n  }\\n}\\n",\n\t\t".admin-report-chart {\\n}\\n",\n\t\t".admin-report-stacked-chart {\\n  .chart-canvas-container {\\n    height: 250px;\\n  }\\n}\\n",\n\t\t".admin-report-table {\\n  &.two-columns {\\n    .table .admin-report-table-cell:first-child,\\n    .table .admin-report-table-header:first-child {\\n      @include ellipsis;\\n      text-align: left;\\n      width: 80%;\\n    }\\n\\n    .table .admin-report-table-cell:last-child,\\n    .table .admin-report-table-header:last-child {\\n      display: inline-block;\\n      width: 80%;\\n      text-align: right;\\n    }\\n  }\\n\\n  .table {\\n    margin: 0;\\n    border: 1px solid $primary-low;\\n    table-layout: fixed;\\n\\n    tbody {\\n      border-top: 0;\\n    }\\n  }\\n\\n  .table .admin-report-table-header {\\n    .sort-btn {\\n      outline: none;\\n      background: none;\\n      padding: 3px 8px;\\n      @include ellipsis;\\n    }\\n\\n    &.is-current-sort {\\n      .d-icon {\\n        color: $tertiary;\\n      }\\n\\n      .sort-btn:hover {\\n        color: $primary-medium;\\n        background: $primary-low;\\n      }\\n    }\\n\\n    &:not(.is-current-sort) .sort-btn {\\n      background: none;\\n\\n      &:hover {\\n        color: $primary-medium;\\n        background: $primary-low;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n  }\\n\\n  .admin-report-table-cell {\\n    &.user .username {\\n      margin-left: 0.25em;\\n    }\\n  }\\n\\n  .total-row {\\n    background: $primary-very-low;\\n\\n    td {\\n      font-weight: 700;\\n      text-align: left;\\n    }\\n  }\\n\\n  .pagination {\\n    display: flex;\\n    justify-content: flex-end;\\n    margin-top: 0.25em;\\n\\n    button {\\n      margin-left: 0.5em;\\n\\n      &.is-current {\\n        color: $tertiary;\\n      }\\n    }\\n  }\\n}\\n\\n.admin-report.top-referred-topics {\\n  .admin-report-table-header.topic_title {\\n    width: 80%;\\n  }\\n}\\n\\n.admin-report.trending-search {\\n  .admin-report-table-header.ctr,\\n  .admin-report-table-header.unique_searches,\\n  .admin-report-table-cell.ctr,\\n  .admin-report-table-cell.unique_searches {\\n    text-align: center;\\n    width: 20%;\\n  }\\n\\n  .admin-report-table-cell.term {\\n    @include ellipsis;\\n  }\\n}\\n\\n.admin-report.moderators-activity {\\n  .admin-report-table-header.seconds,\\n  .admin-report-table-header.number,\\n  .admin-report-table-cell.seconds,\\n  .admin-report-table-cell.number {\\n    text-align: center;\\n  }\\n\\n  .admin-report-table-header.user {\\n    width: 20%;\\n  }\\n}\\n\\n.admin-report.post-edits {\\n  .admin-report-table-header.user {\\n    width: 20%;\\n  }\\n\\n  .admin-report-table-cell.post,\\n  .admin-report-table-cell.edit_reason {\\n    @include ellipsis;\\n  }\\n}\\n\\n.admin-report.flags-status {\\n  .admin-report-table-header.response_time,\\n  .admin-report-table-cell.response_time {\\n    text-align: center;\\n  }\\n}\\n\\n.rtl {\\n  .admin-report-table {\\n    &.two-columns {\\n      .table .admin-report-table-cell:first-child,\\n      .table .admin-report-table-header:first-child {\\n        text-align: right;\\n      }\\n\\n      .table .admin-report-table-cell:last-child,\\n      .table .admin-report-table-header:last-child {\\n        text-align: left;\\n      }\\n    }\\n\\n    .total-row {\\n      td {\\n        text-align: right;\\n      }\\n    }\\n  }\\n\\n  .admin-report-table-cell {\\n    &.user .username {\\n      margin-left: 0;\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .admin-report.trending-search {\\n    .admin-report-table-header.term,\\n    .admin-report-table-cell.term {\\n      text-align: right;\\n    }\\n  }\\n\\n  .pagination {\\n    button {\\n      margin-left: 0;\\n      margin-right: 0.5em;\\n    }\\n  }\\n\\n  .admin-report.moderators-activity {\\n    .admin-report-table-header.user,\\n    .admin-report-table-cell.user {\\n      text-align: right;\\n    }\\n  }\\n}\\n",\n\t\t".admin-report-inline-table {\\n  .table-container {\\n    display: flex;\\n    flex-wrap: wrap;\\n    flex: 1 1 auto;\\n  }\\n}\\n",\n\t\t"// Unified styles for badge and customize pages\\n.admin-intro {\\n  display: inline-block;\\n  width: 51%;\\n  vertical-align: top;\\n  margin-left: 20%;\\n  margin-top: 60px;\\n\\n  img {\\n    display: inline-block;\\n    width: 50px;\\n    height: 50px;\\n    margin-right: 10px;\\n    vertical-align: top;\\n    margin-top: 5px;\\n  }\\n  .create-actions {\\n    margin-bottom: 1em;\\n  }\\n  .content-wrapper {\\n    display: inline-block;\\n    vertical-align: top;\\n    width: 65%;\\n    h1 {\\n      display: inline-block;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n  .external-link {\\n    display: block;\\n    margin-bottom: 5px;\\n  }\\n\\n  @include breakpoint(mobile-extra-large) {\\n    width: 100%;\\n    margin: 2em 0;\\n    .content-wrapper {\\n      width: 100%;\\n    }\\n    img {\\n      display: none;\\n    }\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AOOA,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAKD,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACf,AAED,AAAA,KAAK,CACL,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAED,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,gBAAgB,CACtB,MAAM,CAAE,CAAC,CACV,AAKD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,KAAK,CAChB,AAKD,AACE,SADO,AACN,OAAO,CADV,SAAS,AAEN,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACb,AALH,AAME,SANO,AAMN,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAMH,AAAA,kBAAkB,AAAC,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACxB,AAKD,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CAChB,AAID,AAAA,iBAAiB,AAAA,MAAM,AAAC,CACtB,UAAU,CLgHA,OAAoD,CK/G9D,KAAK,CJnFG,IAAO,CIoFhB,AN1ED,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,MAAM,CAAE,IAAI,CA8Db,AA7DC,AAAA,YAAY,CAPd,eAAe,AAOE,CACb,UAAU,CAAE,IAAI,CACjB,AKAD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELTrC,AAAA,eAAe,AAAC,CAWZ,KAAK,CAAE,iBAAiB,CACxB,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,UAAU,CAuDtB,CApED,AAgBE,eAhBa,CAgBb,UAAU,AAAC,CACT,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,iBAAiB,CACxB,IAAI,CAAE,QAAQ,CAoBf,AK/BD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELTrC,AAgBE,eAhBa,CAgBb,UAAU,AAAC,CAMP,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,MAAM,CACjB,UAAU,CAAE,MAAM,CAClB,0BAA0B,CAAE,KAAK,CACjC,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,gBAAgB,CAa5B,CAxCH,AA6BI,eA7BW,CAgBb,UAAU,AAaP,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AA/BL,AAgCI,eAhCW,CAgBb,UAAU,CAgBN,EAAE,AAAC,CACH,MAAM,CAAE,CAAC,CAMV,AAvCL,AAmCQ,eAnCO,CAgBb,UAAU,CAgBN,EAAE,AAED,aAAa,CACV,CAAC,AAAC,CACF,YAAY,CAAE,IAAI,CACnB,AK5BP,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELTrC,AA2CI,eA3CW,AA2CV,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,KAAK,CAClB,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,yDAIX,CACF,AAtDL,AAuDI,eAvDW,AAuDV,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,yDAIX,CACF,CAKH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EADrC,AAAA,YAAY,AAAC,CAET,MAAM,CAAE,cAAc,CAEzB,CAED,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,eAAe,CAAC,KAAK,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAkCjB,AApCD,AAIE,eAJa,CAAC,KAAK,CAInB,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CACjB,AANH,AAOE,eAPa,CAAC,KAAK,CAOnB,EAAE,CAPJ,eAAe,CAAC,KAAK,CAQnB,EAAE,AAAC,CACD,OAAO,CAAE,GAAG,CACb,AAVH,AAWE,eAXa,CAAC,KAAK,CAWnB,EAAE,AAAA,MAAM,AAAC,CACP,gBAAgB,CC8FR,OAAmD,CD7F5D,AAbH,AAcE,eAda,CAAC,KAAK,CAcnB,EAAE,AAAA,SAAS,AAAC,CACV,gBAAgB,CC2FR,OAAmD,CD1F5D,AAhBH,AAiBE,eAjBa,CAAC,KAAK,CAiBnB,QAAQ,CAAC,KAAK,AAAC,CACb,aAAa,CAAE,CAAC,CACjB,AAnBH,AAoBE,eApBa,CAAC,KAAK,CAoBnB,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AAED,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,OAAO,SAAS,EAAE,KAAK,EAxB5D,AAyBI,eAzBW,CAAC,KAAK,CAyBjB,EAAE,CAzBN,eAAe,CAAC,KAAK,CA0BjB,EAAE,AAAC,CACD,OAAO,CAAE,OAAO,CACjB,AA5BL,AA6BI,eA7BW,CAAC,KAAK,CA6BjB,EAAE,AAAC,CACD,cAAc,CAAE,MAAM,CACvB,AA/BL,AAgCI,eAhCW,CAAC,KAAK,CAgCjB,EAAE,AAAA,SAAS,AAAC,CACV,SAAS,CAAE,KAAK,CACjB,CAMH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAFrC,AAGI,eAHW,CAAC,KAAK,AAAA,KAAK,CAGtB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AALL,AAMI,eANW,CAAC,KAAK,AAAA,KAAK,CAMtB,MAAM,AAAC,CACL,OAAO,CAAE,KAAK,CACd,KAAK,CC4DC,OAAmD,CD3DzD,SAAS,CCtFD,OAAQ,CDuFhB,MAAM,CAAE,gBAAgB,CACzB,AAXL,AAYI,eAZW,CAAC,KAAK,AAAA,KAAK,CAYtB,EAAE,AAAC,CACD,qBAAqB,CAAE,cAAc,CACrC,OAAO,CAAE,IAAI,CACb,WAAW,CC/EI,GAAG,CDgFlB,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,CAAC,CAKb,AAtBL,AAkBM,eAlBS,CAAC,KAAK,AAAA,KAAK,CAYtB,EAAE,CAMA,EAAE,AAAC,CACD,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,MAAM,CACnB,AArBP,AAwBI,eAxBW,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,AAAC,CACf,qBAAqB,CAAE,cAAc,CAgCtC,AAzDL,AA0BM,eA1BS,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CAEd,EAAE,AAAA,YAAY,AAAC,CACb,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACnB,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AA/BP,AAgCM,eAhCS,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CAQd,EAAE,AAAA,aAAa,AAAC,CACd,QAAQ,CAAE,CAAC,CACX,eAAe,CAAE,EAAE,CACnB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,KAAK,CAClB,AArCP,AAsCM,eAtCS,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CAcd,EAAE,AAAA,aAAa,AAAC,CACd,QAAQ,CAAE,CAAC,CACX,eAAe,CAAE,EAAE,CACnB,UAAU,CAAE,KAAK,CAClB,AA1CP,AA2CM,eA3CS,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CAmBd,EAAE,AAAA,oBAAoB,AAAC,CACrB,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CAKlB,AApDP,AAgDQ,eAhDO,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CAmBd,EAAE,AAAA,oBAAoB,CAKpB,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,iBAAiB,CAC1B,AAnDT,AAqDM,eArDS,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CA6Bd,EAAE,AAAA,YAAY,AAAC,CACb,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,CAIL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA5DrC,AA6DI,eA7DW,CAAC,KAAK,AAAA,KAAK,CA6DtB,EAAE,AAAC,CACD,qBAAqB,CAAE,cAAc,CACtC,CAIL,AACE,WADS,CACT,YAAY,AAAC,CACX,aAAa,CAAE,GAAG,CAYnB,AAdH,AAGI,WAHO,CACT,YAAY,CAEV,CAAC,AAAC,CACA,UAAU,CAAE,CAAC,CACd,AALL,AAMI,WANO,CACT,YAAY,CAKV,iBAAiB,AAAC,CAChB,OAAO,CAAE,KAAK,CACd,SAAS,CCzJN,GAAG,CD0JN,KAAK,CAAE,GAAG,CACX,AAVL,AAWI,WAXO,CACT,YAAY,CAUV,OAAO,AAAC,CACN,KAAK,CAAE,KAAK,CACb,AAbL,AAeE,WAfS,CAeT,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAjBH,AAkBE,WAlBS,CAkBT,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CACf,aAAa,CAAE,GAAG,CAAC,KAAK,CCnBhB,OAAmD,CDoB3D,aAAa,CAAE,KAAK,CAwBrB,AA7CH,AAsBI,WAtBO,CAkBT,UAAU,AAIP,WAAW,AAAC,CACX,gBAAgB,CCtBV,OAAmD,CDuB1D,AAxBL,AAyBI,WAzBO,CAkBT,UAAU,CAOR,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,SAAS,CC5KN,GAAG,CDgLP,AK/MH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELgLrC,AAyBI,WAzBO,CAkBT,UAAU,CAOR,EAAE,AAAC,CAIC,SAAS,CAAE,UAAU,CAExB,CA/BL,AAgCI,WAhCO,CAkBT,UAAU,CAcR,MAAM,AAAA,KAAK,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAlCL,AAmCI,WAnCO,CAkBT,UAAU,CAiBR,gBAAgB,AAAC,CACf,MAAM,CAAE,iBAAiB,CAOzB,KAAK,CC1CC,OAAmD,CD2C1D,AK5NH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELgLrC,AAmCI,WAnCO,CAkBT,UAAU,CAiBR,gBAAgB,AAAC,CAGb,UAAU,CAAE,KAAK,CAMpB,CK5NH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELgLrC,AAmCI,WAnCO,CAkBT,UAAU,CAiBR,gBAAgB,AAAC,CAMb,SAAS,CAAE,UAAU,CAGxB,CA5CL,AA+CI,WA/CO,CA8CT,eAAe,CACb,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CACjB,AAlDL,AAmDI,WAnDO,CA8CT,eAAe,CAKb,cAAc,CAnDlB,WAAW,CA8CT,eAAe,CAMb,MAAM,AAAC,CACL,aAAa,CAAE,GAAG,CACnB,AKtOH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELgLrC,AAwDM,WAxDK,CA8CT,eAAe,CAUX,MAAM,AAAC,CACL,SAAS,CAAE,UAAU,CACtB,CA1DP,AA4DI,WA5DO,CA8CT,eAAe,CAcb,QAAQ,AAAC,CACP,UAAU,CAAE,GAAG,CAChB,AA9DL,AAgEE,WAhES,CAgET,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CE7PA,OAAO,CF8Pb,AAGH,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CAUZ,AAZD,AAGE,aAHW,CAGX,EAAE,CAAC,CAAC,CAAC,IAAI,AAAA,MAAM,AAAC,CACd,SAAS,CCzNC,OAAQ,CD0NlB,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CAClB,gBAAgB,CC3ER,OAAmD,CD4E3D,OAAO,CAAE,OAAO,CAChB,aAAa,CAAE,GAAG,CAClB,KAAK,CElRC,IAAO,CFmRd,AAGH,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACX,AAED,AAAA,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CAkDpB,AAnDD,AAEE,cAFY,CAEZ,eAAe,AAAC,CACd,OAAO,CAAE,SAAS,CAEnB,AALH,AK7PE,cL6PY,CAEZ,eAAe,AK/Pd,OAAO,CL6PV,cAAc,CAEZ,eAAe,AK9Pd,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,ALyPH,AKxPE,cLwPY,CAEZ,eAAe,AK1Pd,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,ALsPH,AAME,cANY,CAMZ,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACb,AARH,AASE,cATY,CASZ,KAAK,AAAA,OAAO,AAAC,CACX,UAAU,CAAE,IAAI,CAwCjB,AAlDH,AAYM,cAZQ,CASZ,KAAK,AAAA,OAAO,CAEV,EAAE,CACA,EAAE,AAAA,YAAa,CAAA,CAAC,CAAE,CAChB,KAAK,CAAE,GAAG,CACX,AAdP,AAmBM,cAnBQ,CASZ,KAAK,AAAA,OAAO,CAQV,EAAE,AAAA,iBAAiB,CAEjB,EAAE,CAnBR,cAAc,CASZ,KAAK,AAAA,OAAO,CASV,EAAE,AAAA,MAAM,CACN,EAAE,AAAC,CACD,WAAW,CAAE,GAAG,CACjB,AArBP,AA0BQ,cA1BM,CASZ,KAAK,AAAA,OAAO,AAeT,aAAa,CACZ,EAAE,CACA,EAAE,AAAA,YAAa,CAAA,CAAC,CAAE,CAChB,KAAK,CAAE,GAAG,CACX,AA5BT,AA8BM,cA9BQ,CASZ,KAAK,AAAA,OAAO,AAeT,aAAa,CAMZ,EAAE,AAAA,QAAQ,AAAC,CACT,SAAS,CAAE,CAAC,CK9PlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CL8PlB,AAjCP,AAmCI,cAnCU,CASZ,KAAK,AAAA,OAAO,CA0BV,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,YAAY,CAStB,AAjDL,AAyCM,cAzCQ,CASZ,KAAK,AAAA,OAAO,CA0BV,cAAc,CAMZ,IAAI,AAAC,CACH,UAAU,CAAE,GAAG,CACf,gBAAgB,CEpUb,OAAO,CFqUV,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,KAAK,CEzUD,IAAO,CF0UZ,AAKP,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,QAAQ,CACtB,AAED,AACE,YADU,CAAC,WAAW,CACtB,SAAS,CAAC,OAAO,AAAC,CAChB,KAAK,CClJG,OAAmD,CDmJ5D,AAGH,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CAgCtB,AAlCD,AAGE,UAHQ,CAGR,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,CAAC,CACR,OAAO,CC/PG,GAAG,CDgQb,UAAU,CC3NJ,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CD4NpC,UAAU,CAAE,IAAI,CAChB,gBAAgB,CEnWR,IAAO,CFoWf,OAAO,CAAE,aAAa,CAsBvB,AAjCH,AAYI,UAZM,CAGR,aAAa,CASX,WAAW,AAAC,CACV,SAAS,CCpTD,OAAQ,CDqThB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACb,IAAI,CAAE,IAAI,CACX,AAjBL,AAkBI,UAlBM,CAGR,aAAa,CAeX,eAAe,AAAC,CACd,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CACd,KAAK,CAAE,KAAK,CAUb,AAhCL,AAuBM,UAvBI,CAGR,aAAa,CAeX,eAAe,CAKb,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AAzBP,AA0BM,UA1BI,CAGR,aAAa,CAeX,eAAe,CAQb,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CACjB,AA5BP,AA6BM,UA7BI,CAGR,aAAa,CAeX,eAAe,CAWb,EAAE,CAAC,EAAE,AAAA,cAAc,AAAC,CAClB,KAAK,CAAE,KAAK,CACb,AAKP,AAAA,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CA8CjB,AA/CD,AAII,gBAJY,CAGd,SAAS,CACP,KAAK,AAAC,CACJ,SAAS,CAAE,IAAI,CAKhB,AAJC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EANzC,AAII,gBAJY,CAGd,SAAS,CACP,KAAK,AAAC,CAGF,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CAEd,CAVL,AAYE,gBAZc,CAYd,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAdH,AAeE,gBAfc,CAed,WAAW,AAAA,aAAa,AAAC,CACvB,KAAK,CAAE,KAAK,CACb,AAjBH,AAkBE,gBAlBc,CAkBd,WAAW,AAAA,oBAAoB,AAAC,CAC9B,KAAK,CAAE,IAAI,CACZ,AApBH,AAqBE,gBArBc,CAqBd,mBAAmB,AAAC,CAClB,WAAW,CAAE,IAAI,CAKlB,AAJC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAvBvC,AAqBE,gBArBc,CAqBd,mBAAmB,AAAC,CAGhB,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,CAAC,CAEjB,CA3BH,AA6BE,gBA7Bc,CA6Bd,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,GAAG,CACb,AK3YD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EL2WrC,AAkCI,gBAlCY,CAkCZ,WAAW,AAAA,eAAe,CACxB,sBAAsB,CACtB,EAAE,AAAA,cAAc,CAChB,gBAAgB,AAAC,CACjB,SAAS,CC/WD,OAAQ,CDgXjB,CAvCL,AKhWE,gBLgWc,CAyCd,SAAS,AKzYR,OAAO,CLgWV,gBAAgB,CAyCd,SAAS,AKxYR,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AL4VH,AK3VE,gBL2Vc,CAyCd,SAAS,AKpYR,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,ALyVH,AA2CI,gBA3CY,CAyCd,SAAS,CAEP,cAAc,AAAC,CACb,UAAU,CAAE,GAAG,CAChB,AAIL,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,UAAU,CAKxB,AARD,AAIE,YAJU,CAIV,YAAY,CAJd,YAAY,CAKV,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,gBAAgB,CCvPN,OAAmD,CDwP7D,WAAW,CAAE,MAAM,CA6KpB,AAhLD,AAKE,eALa,CAKb,cAAc,AAAC,CACb,WAAW,CAAE,IAAI,CAClB,AAPH,AAQE,eARa,CAQb,GAAG,AAAC,CACF,gBAAgB,CC9PR,OAAmD,CD+P3D,KAAK,CAAE,IAAI,CACZ,AAXH,AAYE,eAZa,CAYb,GAAG,AAAC,CACF,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CAkCb,AK3dD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELsarC,AAYE,eAZa,CAYb,GAAG,AAAC,CASA,KAAK,CAAE,iBAAiB,CACxB,YAAY,CAAE,IAAI,CAClB,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,KAAK,CA6BtB,CArDH,AA2BI,eA3BW,CAYb,GAAG,AAeA,OAAO,AAAC,CAEP,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,gBAAgB,CACxB,UAAU,CAAE,4DAIX,CACF,AAvCL,AAyCI,eAzCW,CAYb,GAAG,AA6BA,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,gBAAgB,CACxB,UAAU,CAAE,4DAIX,CACF,AApDL,AAuDE,eAvDa,CAuDb,UAAU,AAAC,CACT,KAAK,CAAE,iBAAiB,CACxB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAqBjB,AKxfD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELsarC,AAuDE,eAvDa,CAuDb,UAAU,AAAC,CAQP,WAAW,CAAE,KAAK,CAClB,UAAU,CAAE,MAAM,CAClB,0BAA0B,CAAE,KAAK,CAiBpC,CAlFH,AAoEI,eApEW,CAuDb,UAAU,AAaP,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAtEL,AAuEI,eAvEW,CAuDb,UAAU,CAgBN,EAAE,AAAC,CACH,MAAM,CAAE,CAAC,CASV,AAjFL,AAyEM,eAzES,CAuDb,UAAU,CAgBN,EAAE,CAEF,CAAC,AAAA,OAAO,AAAC,CACP,UAAU,CC/TN,OAAmD,CDgUxD,AA3EP,AA6EQ,eA7EO,CAuDb,UAAU,CAgBN,EAAE,AAKD,aAAa,CACV,CAAC,AAAC,CACF,YAAY,CAAE,IAAI,CACnB,AA/ET,AAmFE,eAnFa,CAmFb,EAAE,AAAC,CACD,SAAS,CC9dD,QAAQ,CD+dhB,WAAW,CC9cM,GAAG,CD+cpB,KAAK,CE/gBC,IAAO,CFghBd,AAvFH,AAwFE,eAxFa,CAwFb,SAAS,AAAC,CACR,UAAU,CC9UF,OAAmD,CD+U3D,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CA0BpB,AK7hBD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELsarC,AAwFE,eAxFa,CAwFb,SAAS,AAAC,CAON,MAAM,CAAE,OAAO,CAwBlB,CAvHH,AAiGI,eAjGW,CAwFb,SAAS,CASP,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AAnGL,AAoGI,eApGW,CAwFb,SAAS,CAYP,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,CAAC,CAIjB,AKhhBH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELsarC,AAoGI,eApGW,CAwFb,SAAS,CAYP,KAAK,AAAC,CAIF,SAAS,CAAE,KAAK,CAEnB,CA1GL,AA2GI,eA3GW,CAwFb,SAAS,AAmBN,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CASpB,AAtHL,AA8GM,eA9GS,CAwFb,SAAS,AAmBN,OAAO,CAGN,KAAK,AAAC,CACJ,IAAI,CAAE,SAAS,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AArHP,AAkHQ,eAlHO,CAwFb,SAAS,AAmBN,OAAO,CAGN,KAAK,CAIH,KAAK,AAAC,CACJ,YAAY,CAAE,KAAK,CACpB,AApHT,AAwHE,eAxHa,CAwHb,SAAS,CAAC,YAAY,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,QAAQ,CACjB,YAAY,CAAE,IAAI,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,CClXT,OAAmD,CDmX3D,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,WAAW,CACvB,KAAK,CEzjBC,IAAO,CFgkBd,AAvIH,AAiII,eAjIW,CAwHb,SAAS,CAAC,YAAY,AASnB,MAAM,AAAC,CACN,gBAAgB,CCvXV,OAAmD,CDwX1D,AACD,MAAM,EAAE,SAAS,EAAE,KAAK,EApI5B,AAwHE,eAxHa,CAwHb,SAAS,CAAC,YAAY,AAAC,CAanB,OAAO,CAAE,YAAY,CAExB,CAvIH,AAwIE,eAxIa,CAwIb,MAAM,AAAC,CACL,YAAY,CAAE,GAAG,CAClB,AA1IH,AA2IE,eA3Ia,CA2Ib,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACZ,AA9IH,AA+IE,eA/Ia,CA+Ib,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAlJH,AAoJI,eApJW,CAmJb,SAAS,CACP,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACb,AAtJL,AAyJI,eAzJW,CAwJb,OAAO,CACL,KAAK,AAAC,CACJ,UAAU,CAAE,GAAG,CAChB,AA3JL,AA4JI,eA5JW,CAwJb,OAAO,CAIL,SAAS,AAAC,CACR,WAAW,CAAE,CAAC,CACf,AAED,MAAM,EAAE,SAAS,EAAE,KAAK,EAhK5B,AAwJE,eAxJa,CAwJb,OAAO,AAAC,CASJ,OAAO,CAAE,IAAI,CAEhB,CAnKH,AAqKI,eArKW,CAoKb,OAAO,CACL,IAAI,AAAC,CACH,WAAW,CAAE,IAAI,CAClB,AAvKL,AAyKE,eAzKa,CAyKb,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,GAAG,CAClB,AA5KH,AA6KE,eA7Ka,CA6Kb,WAAW,AAAC,CACV,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CACd,AAED,AAII,OAJG,CAGL,gBAAgB,CACV,GAAG,CAHX,OAAO,CAEL,gBAAgB,CACV,GAAG,CAFX,mBAAmB,CACjB,gBAAgB,CACV,GAAG,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AANL,AAOI,OAPG,CAGL,gBAAgB,CAId,0BAA0B,CAN9B,OAAO,CAEL,gBAAgB,CAId,0BAA0B,CAL9B,mBAAmB,CACjB,gBAAgB,CAId,0BAA0B,AAAC,CACzB,SAAS,CAAE,GAAG,CAIf,AAZL,AASM,OATC,CAGL,gBAAgB,CAId,0BAA0B,CAExB,oBAAoB,CAR1B,OAAO,CAEL,gBAAgB,CAId,0BAA0B,CAExB,oBAAoB,CAP1B,mBAAmB,CACjB,gBAAgB,CAId,0BAA0B,CAExB,oBAAoB,AAAC,CACnB,QAAQ,CAAE,MAAM,CACjB,AAXP,AAaI,OAbG,CAGL,gBAAgB,CAUd,KAAK,CAbT,OAAO,CAGL,gBAAgB,CAWd,QAAQ,CAdZ,OAAO,CAGL,gBAAgB,CAYd,MAAM,CAfV,OAAO,CAGL,gBAAgB,CAad,WAAW,CAff,OAAO,CAEL,gBAAgB,CAUd,KAAK,CAZT,OAAO,CAEL,gBAAgB,CAWd,QAAQ,CAbZ,OAAO,CAEL,gBAAgB,CAYd,MAAM,CAdV,OAAO,CAEL,gBAAgB,CAad,WAAW,CAdf,mBAAmB,CACjB,gBAAgB,CAUd,KAAK,CAXT,mBAAmB,CACjB,gBAAgB,CAWd,QAAQ,CAZZ,mBAAmB,CACjB,gBAAgB,CAYd,MAAM,CAbV,mBAAmB,CACjB,gBAAgB,CAad,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAlBL,AAmBI,OAnBG,CAGL,gBAAgB,CAgBd,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EAnBV,OAAO,CAGL,gBAAgB,CAiBd,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EAnBV,OAAO,CAEL,gBAAgB,CAgBd,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EAlBV,OAAO,CAEL,gBAAgB,CAiBd,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EAlBV,mBAAmB,CACjB,gBAAgB,CAgBd,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EAjBV,mBAAmB,CACjB,gBAAgB,CAiBd,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,KAAK,CAAE,IAAI,CACZ,AAIL,AAAA,gBAAgB,AAAC,CACf,KAAK,CEnoBG,OAAO,CFooBhB,AAED,AAAA,YAAY,AAAC,CACX,KAAK,CExoBE,OAAO,CFyoBf,AAED,AAAA,WAAW,AAAC,CACV,KAAK,CC/cK,OAAmD,CDgd9D,AAED,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,OAAO,CACd,QAAQ,CAAE,QAAQ,CASnB,AARC,MAAM,EAAE,SAAS,EAAE,KAAK,EAH1B,AAAA,UAAU,AAAC,CAIP,QAAQ,CAAE,QAAQ,CAClB,OAAO,CCtjBD,CAAC,CDujBP,KAAK,CAAE,KAAK,CAKf,CAHC,MAAM,EAAE,SAAS,EAAE,KAAK,EAR1B,AAAA,UAAU,AAAC,CASP,KAAK,CAAE,GAAG,CAEb,CAED,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,QAAQ,CAMf,gBAAgB,CEzqBN,IAAO,CF0qBjB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,CAAC,CACd,WAAW,CAAE,KAAK,CAAC,GAAG,CCzeZ,OAAmD,CD0e7D,OAAO,CAAE,gBAAgB,CAK1B,AAdC,MAAM,EAAE,SAAS,EAAE,KAAK,EAF1B,AAAA,aAAa,AAAC,CAGV,OAAO,CCjkBD,CAAC,CDkkBP,KAAK,CAAE,IAAI,CAYd,CAJC,MAAM,EAAE,SAAS,EAAE,KAAK,EAZ1B,AAAA,aAAa,AAAC,CAaV,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,IAAI,CAEf,CAGC,MAAM,EAAE,SAAS,EAAE,KAAK,EAD1B,AAAA,aAAa,AAAA,YAAY,AAAC,CAEtB,UAAU,CAAE,mBAAmB,CK/lBjC,iBAAiB,CLgmBI,iBAAiB,CK/lBtC,SAAS,CL+lBY,iBAAiB,CAMvC,CAJC,MAAM,EAAE,SAAS,EAAE,KAAK,EAL1B,AAAA,aAAa,AAAA,YAAY,AAAC,CAMtB,UAAU,CAAE,mBAAmB,CKnmBjC,iBAAiB,CLomBI,eAAe,CKnmBpC,SAAS,CLmmBY,eAAe,CAErC,CAGC,MAAM,EAAE,SAAS,EAAE,KAAK,EAD1B,AAAA,aAAa,AAAA,cAAc,AAAC,CAExB,UAAU,CAAE,mBAAmB,CK1mBjC,iBAAiB,CL2mBI,aAAa,CK1mBlC,SAAS,CL0mBY,aAAa,CAChC,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,IAAI,CAErB,CAED,AACE,OADK,AAAA,QAAQ,CACb,EAAE,AAAC,CACD,SAAS,CC5pBD,QAAQ,CD6pBhB,KAAK,CE5sBC,IAAO,CF6sBb,OAAO,CAAE,QAAQ,CACjB,MAAM,CAAE,YAAY,CACpB,aAAa,CAAE,GAAG,CAAC,KAAK,CC3gBhB,OAAmD,CD4gB5D,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CASlB,AAZD,AAIE,cAJY,CAIZ,IAAI,AAAC,CACH,WAAW,CCxpBM,GAAG,CDypBrB,AACD,MAAM,EAAE,SAAS,EAAE,KAAK,EAP1B,AAQI,cARU,CAQV,IAAI,AAAC,CACH,MAAM,CAAE,GAAG,CACZ,CAIL,AACE,IADE,AAAA,OAAO,CACT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACb,AAHH,AAIE,IAJE,AAAA,OAAO,CAIT,KAAK,AAAA,YAAY,AAAC,CAChB,KAAK,CAAE,KAAK,CACb,AAIH,AAAA,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CACnB,AAED,AACE,iBADe,CACf,aAAa,AAAC,CACZ,KAAK,CE/uBC,OAAO,CFgvBd,AAHH,AAIE,iBAJe,CAIf,aAAa,AAAC,CACZ,KAAK,CEnvBA,OAAO,CFovBb,AAGH,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,OAAO,SAAS,EAAE,KAAK,EACrD,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,CAAC,CACV,AACD,AAAA,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,qBAAqB,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CAeb,AAlBD,AAKI,qBALiB,CAInB,SAAS,CAAC,QAAQ,CAChB,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CAMZ,AAbL,AAQM,qBARe,CAInB,SAAS,CAAC,QAAQ,CAChB,cAAc,CAGZ,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,IAAI,CACjB,AAZP,AAcI,qBAdiB,CAInB,SAAS,CAAC,QAAQ,CAUhB,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACZ,AAGL,AAAA,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,eAAe,CACtB,UAAU,CAAE,UAAU,CACvB,AAED,AAAA,eAAe,CACf,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,gBAAgB,AAAC,CACf,MAAM,CAAE,CAAC,CACV,AACD,AACE,OADK,CACL,cAAc,AAAC,CACb,MAAM,CAAE,UAAU,CACnB,AAHH,AAIE,OAJK,CAIL,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACX,AAEH,AAAA,UAAU,CAAC,aAAa,CACxB,UAAU,CAAC,cAAc,AAAC,CACxB,KAAK,CAAE,IAAI,CACZ,CAGH,AACE,EADA,AAAA,cAAc,CACd,EAAE,CADJ,EAAE,AAAA,cAAc,CAEd,EAAE,CAAC,CAAC,CAFN,EAAE,AAAA,cAAc,CAGd,EAAE,CAAC,CAAC,AAAA,QAAQ,AAAC,CACX,KAAK,CAAE,IAAI,CACZ,AAGH,AACE,QADM,AAAA,cAAc,CACpB,SAAS,CAAC,MAAM,CADlB,QAAQ,AAAA,cAAc,CAEpB,MAAM,CAAC,MAAM,CAAC,CAAC,CAFjB,QAAQ,AAAA,cAAc,CAGpB,MAAM,CAAC,MAAM,CAAC,CAAC,AAAA,QAAQ,AAAC,CACtB,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,QAAQ,AAAC,CACP,UAAU,CAAE,GAAG,CAChB,AAED,AACE,KADG,AAAA,YAAY,CACf,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CACjB,AAcH,AACE,WADS,CACT,MAAM,AAAC,CACL,OAAO,CAAE,SAAS,CKhyBpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CLgyBrB,OAAO,CAAE,IAAI,CAuBd,AA3BH,AAMI,WANO,CACT,MAAM,AAKH,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACpB,AARL,AAUI,WAVO,CACT,MAAM,CASJ,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,OAAO,CACb,YAAY,CCnqBN,OAAmD,CDoqBzD,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,CAAC,CAMV,AArBL,AAiBM,WAjBK,CACT,MAAM,CASJ,YAAY,AAOT,MAAM,AAAC,CACN,YAAY,CE12BT,OAAO,CF22BV,UAAU,CAAE,IAAI,CACjB,AApBP,AAuBI,WAvBO,CACT,MAAM,CAsBJ,iBAAiB,AAAC,CAjCpB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CC7oBP,OAAmD,CD8oB7D,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,CAAC,CAgCN,YAAY,CAAE,MAAM,CACrB,AA1BL,AALE,WAKS,CACT,MAAM,CAsBJ,iBAAiB,AA5BlB,MAAM,AAAC,CACN,YAAY,CEp1BL,OAAO,CFq1Bf,AAGH,AA4BE,WA5BS,CA4BT,OAAO,AAAC,CACN,aAAa,CAAE,KAAK,CACrB,AAGH,AACE,kBADgB,CAChB,MAAM,AAAC,CACL,SAAS,CAAE,QAAQ,CACnB,WAAW,CAAE,OAAO,CACpB,UAAU,CAAE,QAAQ,CAuBrB,AA3BH,AAKI,kBALc,CAChB,MAAM,CAIJ,gBAAgB,AAAC,CACf,IAAI,CAAE,OAAO,CACd,AAPL,AAQI,kBARc,CAChB,MAAM,CAOJ,YAAY,CARhB,kBAAkB,CAChB,MAAM,CAQJ,gBAAgB,AAAC,CACf,UAAU,CAAE,OAAO,CAIpB,AAdL,AAWM,kBAXY,CAChB,MAAM,CAOJ,YAAY,AAGT,aAAa,CAXpB,kBAAkB,CAChB,MAAM,CAQJ,gBAAgB,AAEb,aAAa,AAAC,CACb,WAAW,CAAE,MAAM,CACpB,AAbP,AAeI,kBAfc,CAChB,MAAM,CAcJ,iBAAiB,AAAC,CAChB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,OAAO,CACpB,AAlBL,AAmBI,kBAnBc,CAChB,MAAM,CAkBJ,cAAc,AAAC,CA9DjB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CC7oBP,OAAmD,CD8oB7D,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,CAAC,CA6DN,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,OAAO,CACpB,AAvBL,AAtCE,kBAsCgB,CAChB,MAAM,CAkBJ,cAAc,AAzDf,MAAM,AAAC,CACN,YAAY,CEp1BL,OAAO,CFq1Bf,AAoCH,AAwBI,kBAxBc,CAChB,MAAM,CAuBJ,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACpB,AAIL,AACE,YADU,CAAC,kBAAkB,CAC7B,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CACnB,AAHH,AAKI,YALQ,CAAC,kBAAkB,CAI7B,MAAM,CACJ,YAAY,AAAA,aAAa,AAAC,CACxB,WAAW,CAAE,MAAM,CACpB,AAPL,AAQI,YARQ,CAAC,kBAAkB,CAI7B,MAAM,CAIJ,gBAAgB,AAAA,cAAc,AAAC,CAC7B,YAAY,CAAE,MAAM,CACpB,WAAW,CAAE,MAAM,CACpB,AAKL,AACE,YADU,CAAC,eAAe,CAC1B,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,OAAO,CAAE,GAAG,CACb,AAGH,AAAA,YAAY,CAAC,WAAW,AAAC,CACvB,MAAM,CAAE,CAAC,CACV,AAGD,AAAA,YAAY,CAAC,eAAe,CAAC,UAAU,CAAC,aAAa,AAAC,CACpD,KAAK,CAAE,KAAK,CACZ,IAAI,CAAE,KAAK,CACZ,AAED,AAAA,YAAY,CAAC,KAAK,AAAC,CACjB,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AO57BD,AAGE,cAHY,AAGX,eAAe,CAFlB,UAAU,AAEP,eAAe,CADlB,eAAe,AACZ,eAAe,AAAC,CACf,MAAM,CAAE,UAAU,CACnB,AAGH,AAEE,UAFQ,CAER,YAAY,CADd,eAAe,CACb,YAAY,AAAC,CACX,aAAa,CAAE,KAAK,CACrB,AAJH,AAME,UANQ,CAMR,WAAW,CALb,eAAe,CAKb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,WAAW,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,CNmLhB,OAAmD,CMrK5D,AAvBH,AAWI,UAXM,CAMR,WAAW,CAKT,gBAAgB,CAVpB,eAAe,CAKb,WAAW,CAKT,gBAAgB,AAAC,CACf,OAAO,CAAE,MAAM,CAIhB,AAhBL,AAaM,UAbI,CAMR,WAAW,CAKT,gBAAgB,AAEb,MAAM,CAZb,eAAe,CAKb,WAAW,CAKT,gBAAgB,AAEb,MAAM,AAAC,CACN,UAAU,CN8KN,OAAmD,CM7KxD,AAfP,AAkBI,UAlBM,CAMR,WAAW,CAYT,gBAAgB,CAjBpB,eAAe,CAKb,WAAW,CAYT,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CACd,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,mBAAmB,CAC7B,AAtBL,AA0BI,UA1BM,AA+BP,qBAAqB,CAAC,gBAAgB,AAAA,WAAW,CALhD,gBAAgB,CAzBpB,eAAe,AA8BZ,qBAAqB,CAAC,gBAAgB,AAAA,WAAW,CALhD,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CAAC,KAAK,CLjCrB,OAAO,CKkCb,AA5BL,AA0BI,UA1BM,AAmCP,mBAAmB,CAAC,gBAAgB,AAAA,SAAS,CAT5C,gBAAgB,CAzBpB,eAAe,AAkCZ,mBAAmB,CAAC,gBAAgB,AAAA,SAAS,CAT5C,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CAAC,KAAK,CLjCrB,OAAO,CKkCb,AA5BL,AA0BI,UA1BM,AAuCP,kBAAkB,CAAC,gBAAgB,AAAA,QAAQ,CAb1C,gBAAgB,CAzBpB,eAAe,AAsCZ,kBAAkB,CAAC,gBAAgB,AAAA,QAAQ,CAb1C,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CAAC,KAAK,CLjCrB,OAAO,CKkCb,AA5BL,AA0BI,UA1BM,AA2CP,QAAQ,CAAC,gBAAgB,AAAA,QAAQ,CAjBhC,gBAAgB,CAzBpB,eAAe,AA0CZ,QAAQ,CAAC,gBAAgB,AAAA,QAAQ,CAjBhC,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CAAC,KAAK,CLjCrB,OAAO,CKkCb,AA5BL,AA+CE,UA/CQ,CA+CR,SAAS,CA9CX,eAAe,CA8Cb,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AAlDH,AAoDE,UApDQ,CAoDR,gBAAgB,CAnDlB,eAAe,CAmDb,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAqC/B,AFhFD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EEXrC,AAoDE,UApDQ,CAoDR,gBAAgB,CAnDlB,eAAe,CAmDb,gBAAgB,AAAC,CAKb,cAAc,CAAE,MAAM,CAkCzB,CA3FH,AA4DI,UA5DM,CAoDR,gBAAgB,CAQd,eAAe,CA3DnB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAAC,CACd,SAAS,CAAE,iBAAiB,CAC5B,SAAS,CAAE,IAAI,CAqBhB,AAnFL,AAgEM,UAhEI,CAoDR,gBAAgB,CAQd,eAAe,AAIZ,WAAW,CA/DlB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAIZ,WAAW,AAAC,CACX,WAAW,CAAE,KAAK,CACnB,AAlEP,AAoEM,UApEI,CAoDR,gBAAgB,CAQd,eAAe,AAQZ,YAAY,CAnEnB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAQZ,YAAY,AAAC,CACZ,YAAY,CAAE,KAAK,CACpB,AF3DL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EEXrC,AA4DI,UA5DM,CAoDR,gBAAgB,CAQd,eAAe,CA3DnB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAAC,CAaZ,SAAS,CAAE,IAAI,CAUlB,AAnFL,AA2EQ,UA3EE,CAoDR,gBAAgB,CAQd,eAAe,AAeV,WAAW,CA1EpB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAeV,WAAW,AAAC,CACX,KAAK,CAAE,CAAC,CACT,AA7ET,AA+EQ,UA/EE,CAoDR,gBAAgB,CAQd,eAAe,AAmBV,YAAY,CA9ErB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAmBV,YAAY,AAAC,CACZ,KAAK,CAAE,CAAC,CACT,CFtEP,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EEXrC,AAsFM,UAtFI,CAoDR,gBAAgB,CAkCZ,eAAe,AAAA,WAAW,CAtFhC,UAAU,CAoDR,gBAAgB,CAmCZ,eAAe,AAAA,YAAY,CAtFjC,eAAe,CAmDb,gBAAgB,CAkCZ,eAAe,AAAA,WAAW,CArFhC,eAAe,CAmDb,gBAAgB,CAmCZ,eAAe,AAAA,YAAY,AAAC,CAC1B,MAAM,CAAE,CAAC,CACV,CAzFP,AA8FI,UA9FM,CA6FR,QAAQ,CACN,cAAc,CA7FlB,eAAe,CA4Fb,QAAQ,CACN,cAAc,AAAC,CASb,OAAO,CAAE,IAAI,CAIb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,aAAa,CAAE,GAAG,CAAC,KAAK,CN+ElB,OAAmD,CM9EzD,aAAa,CAAE,KAAK,CACpB,cAAc,CAAE,KAAK,CACtB,AAhHL,AA+FM,UA/FI,CA6FR,QAAQ,CACN,cAAc,CACZ,EAAE,CA9FR,eAAe,CA4Fb,QAAQ,CACN,cAAc,CACZ,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CAKpB,AArGP,AAkGQ,UAlGE,CA6FR,QAAQ,CACN,cAAc,CACZ,EAAE,CAGA,CAAC,CAjGT,eAAe,CA4Fb,QAAQ,CACN,cAAc,CACZ,EAAE,CAGA,CAAC,AAAC,CACA,KAAK,CL3GL,IAAO,CK4GR,AAIH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAxGzC,AA8FI,UA9FM,CA6FR,QAAQ,CACN,cAAc,CA7FlB,eAAe,CA4Fb,QAAQ,CACN,cAAc,AAAC,CAWX,SAAS,CAAE,IAAI,CAOlB,CAhHL,AAkHI,UAlHM,CA6FR,QAAQ,CAqBN,aAAa,CAjHjB,eAAe,CA4Fb,QAAQ,CAqBN,aAAa,AAAC,CACZ,OAAO,CAAE,OAAO,CAIjB,AAvHL,AAoHM,UApHI,CA6FR,QAAQ,CAqBN,aAAa,CAET,CAAC,CAnHT,eAAe,CA4Fb,QAAQ,CAqBN,aAAa,CAET,CAAC,AAAC,CACF,UAAU,CAAE,CAAC,CACd,AAtHP,AA0HE,UA1HQ,CA0HR,aAAa,CAAC,OAAO,CAzHvB,eAAe,CAyHb,aAAa,CAAC,OAAO,AAAC,CACpB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,aAAa,CAAE,GAAG,CACnB,AA9HH,AAgIE,UAhIQ,CAgIR,OAAO,CA/HT,eAAe,CA+Hb,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,eAAe,CACtC,eAAe,CAAE,GAAG,CACpB,YAAY,CAAE,GAAG,CAGjB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,+CAA+C,CACjE,aAAa,CAAE,OAAO,CA0DvB,AAnMH,AA0II,UA1IM,CAgIR,OAAO,CAUL,aAAa,CAzIjB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAAC,CACZ,oBAAoB,CAAE,CAAC,CA8BxB,AAzKL,AA6IM,UA7II,CAgIR,OAAO,CAUL,aAAa,AAGV,YAAa,CAAA,CAAC,EA5IrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAGV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAhJP,AAiJM,UAjJI,CAgIR,OAAO,CAUL,aAAa,AAOV,YAAa,CAAA,CAAC,EAhJrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAOV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AApJP,AAqJM,UArJI,CAgIR,OAAO,CAUL,aAAa,AAWV,YAAa,CAAA,CAAC,EApJrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAWV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAxJP,AAyJM,UAzJI,CAgIR,OAAO,CAUL,aAAa,AAeV,YAAa,CAAA,CAAC,EAxJrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAeV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA5JP,AA6JM,UA7JI,CAgIR,OAAO,CAUL,aAAa,AAmBV,YAAa,CAAA,CAAC,EA5JrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAmBV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAhKP,AAiKM,UAjKI,CAgIR,OAAO,CAUL,aAAa,AAuBV,YAAa,CAAA,CAAC,EAhKrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAuBV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AApKP,AAqKM,UArKI,CAgIR,OAAO,CAUL,aAAa,AA2BV,YAAa,CAAA,CAAC,EApKrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AA2BV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAxKP,AA2KI,UA3KM,CAgIR,OAAO,CA2CL,aAAa,CA1KjB,eAAe,CA+Hb,OAAO,CA2CL,aAAa,AAAC,CACZ,WAAW,CAAE,MAAM,CAMpB,AAlLL,AA8KM,UA9KI,CAgIR,OAAO,CA2CL,aAAa,AAGV,wBAAwB,CA7K/B,eAAe,CA+Hb,OAAO,CA2CL,aAAa,AAGV,wBAAwB,AAAC,CACxB,WAAW,CAAE,OAAO,CACpB,oBAAoB,CAAE,EAAE,CACzB,AFtKL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EEXrC,AAqLM,UArLI,CAgIR,OAAO,CAqDH,aAAa,CApLnB,eAAe,CA+Hb,OAAO,CAqDH,aAAa,AAAC,CACZ,WAAW,CAAE,OAAO,CACrB,CAvLP,AA0LI,UA1LM,CAgIR,OAAO,CA0DL,uBAAuB,CAzL3B,eAAe,CA+Hb,OAAO,CA0DL,uBAAuB,AAAC,CACtB,QAAQ,CAAE,QAAQ,CAClB,WAAW,CAAE,IAAI,CAClB,AA7LL,AA+LI,UA/LM,CAgIR,OAAO,CA+DL,aAAa,CA9LjB,eAAe,CA+Hb,OAAO,CA+DL,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAlML,AAqME,UArMQ,CAqMR,KAAK,CApMP,eAAe,CAoMb,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CNXT,OAAmD,CMgE5D,AA5PH,AAyMI,UAzMM,CAqMR,KAAK,CAIH,cAAc,CAzMlB,UAAU,CAqMR,KAAK,CAKH,sBAAsB,CAzM1B,eAAe,CAoMb,KAAK,CAIH,cAAc,CAxMlB,eAAe,CAoMb,KAAK,CAKH,sBAAsB,AAAC,CACrB,IAAI,CAAE,OAAO,CACb,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,KAAK,CACf,AA/ML,AAiNI,UAjNM,CAqMR,KAAK,CAYH,cAAc,CAhNlB,eAAe,CAoMb,KAAK,CAYH,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,aAAa,CAC9B,YAAY,CAAE,GAAG,CAAC,KAAK,CNzBjB,OAAmD,CMmC1D,AA/NL,AAuNM,UAvNI,CAqMR,KAAK,CAYH,cAAc,CAMZ,QAAQ,CAvNd,UAAU,CAqMR,KAAK,CAYH,cAAc,CAOZ,QAAQ,CAvNd,eAAe,CAoMb,KAAK,CAYH,cAAc,CAMZ,QAAQ,CAtNd,eAAe,CAoMb,KAAK,CAYH,cAAc,CAOZ,QAAQ,AAAC,CACP,IAAI,CAAE,QAAQ,CACf,AA1NP,AA4NM,UA5NI,CAqMR,KAAK,CAYH,cAAc,CAWZ,QAAQ,CAAC,CAAC,AAAA,aAAa,CA3N7B,eAAe,CAoMb,KAAK,CAYH,cAAc,CAWZ,QAAQ,CAAC,CAAC,AAAA,aAAa,AAAC,CACtB,aAAa,CAAE,CAAC,CACjB,AAGH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAjOvC,AAqME,UArMQ,CAqMR,KAAK,CApMP,eAAe,CAoMb,KAAK,AAAC,CA6BF,SAAS,CAAE,IAAI,CA0BlB,AA5PH,AAmOM,UAnOI,CAqMR,KAAK,CA8BD,cAAc,CAnOpB,UAAU,CAqMR,KAAK,CA+BD,sBAAsB,CAnO5B,eAAe,CAoMb,KAAK,CA8BD,cAAc,CAlOpB,eAAe,CAoMb,KAAK,CA+BD,sBAAsB,AAAC,CACrB,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,IAAI,CACjB,AAvOP,AAwOM,UAxOI,CAqMR,KAAK,CAmCD,sBAAsB,CAvO5B,eAAe,CAoMb,KAAK,CAmCD,sBAAsB,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,gBAAgB,CACxB,OAAO,CAAE,UAAU,CACnB,UAAU,CAAE,GAAG,CAAC,KAAK,CNhDjB,OAAmD,CMiDvD,WAAW,CAAE,IAAI,CAClB,CA9OP,AAgPI,UAhPM,CAqMR,KAAK,CA2CH,sBAAsB,CA/O1B,eAAe,CAoMb,KAAK,CA2CH,sBAAsB,AAAC,CACrB,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,eAAe,CAAE,MAAM,CAOxB,AA3PL,AAqPM,UArPI,CAqMR,KAAK,CA2CH,sBAAsB,CAKpB,GAAG,CApPT,eAAe,CAoMb,KAAK,CA2CH,sBAAsB,CAKpB,GAAG,AAAC,CACF,UAAU,CAAE,MAAM,CAInB,AA1PP,AAuPQ,UAvPE,CAqMR,KAAK,CA2CH,sBAAsB,CAKpB,GAAG,CAED,EAAE,CAtPV,eAAe,CAoMb,KAAK,CA2CH,sBAAsB,CAKpB,GAAG,CAED,EAAE,AAAC,CACD,aAAa,CAAE,CAAC,CACjB,AAzPT,AA8PE,UA9PQ,CA8PR,oBAAoB,CA7PtB,eAAe,CA6Pb,oBAAoB,AAAC,CACnB,aAAa,CAAE,KAAK,CACrB,AAhQH,AAoQI,UApQM,CAkQR,oBAAoB,CAElB,EAAE,AAAA,cAAc,CApQpB,UAAU,CAmQR,gBAAgB,CACd,EAAE,AAAA,cAAc,CAnQpB,eAAe,CAiQb,oBAAoB,CAElB,EAAE,AAAA,cAAc,CAnQpB,eAAe,CAkQb,gBAAgB,CACd,EAAE,AAAA,cAAc,AAAC,CACf,UAAU,CAAE,IAAI,CACjB,AAtQL,AA2QM,UA3QI,CAyQR,QAAQ,CACN,eAAe,CAAC,sBAAsB,CACpC,cAAc,CA3QpB,UAAU,CAyQR,QAAQ,CACN,eAAe,CAAC,sBAAsB,CAEpC,OAAO,CA3Qb,eAAe,CAwQb,QAAQ,CACN,eAAe,CAAC,sBAAsB,CACpC,cAAc,CA1QpB,eAAe,CAwQb,QAAQ,CACN,eAAe,CAAC,sBAAsB,CAEpC,OAAO,AAAC,CACN,SAAS,CNpOL,QAAQ,CMqOb,AA9QP,AAgRM,UAhRI,CAyQR,QAAQ,CACN,eAAe,CAAC,sBAAsB,CAMpC,OAAO,CA/Qb,eAAe,CAwQb,QAAQ,CACN,eAAe,CAAC,sBAAsB,CAMpC,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,AAlRP,AAsRE,UAtRQ,CAsRR,mBAAmB,CArRrB,eAAe,CAqRb,mBAAmB,AAAC,CAClB,aAAa,CAAE,KAAK,CAerB,AAtSH,AAyRI,UAzRM,CAsRR,mBAAmB,CAGjB,4BAA4B,CAxRhC,eAAe,CAqRb,mBAAmB,CAGjB,4BAA4B,AAAC,CAC3B,KAAK,CL3RF,OAAO,CK4RX,AA3RL,AA6RI,UA7RM,CAsRR,mBAAmB,CAOjB,QAAQ,CA5RZ,eAAe,CAqRb,mBAAmB,CAOjB,QAAQ,AAAC,CACP,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CNrGC,OAAmD,CMyG1D,AArSL,AAkSM,UAlSI,CAsRR,mBAAmB,CAOjB,QAAQ,CAKN,IAAI,CAjSV,eAAe,CAqRb,mBAAmB,CAOjB,QAAQ,CAKN,IAAI,AAAC,CACH,YAAY,CAAE,GAAG,CAClB,AAKP,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CA6FvB,AAhGD,AAKE,cALY,CAKZ,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,qBAAqB,CAAE,GAAG,CAAC,mCAAmC,CAC9D,MAAM,CAAE,GAAG,CAAC,KAAK,CNtHT,OAAmD,CMuH3D,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,aAAa,CAGtB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,mBAAmB,CAoBtC,AAtCH,AAmBI,cAnBU,CAKZ,gBAAgB,CAcd,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CACf,oBAAoB,CAAE,CAAC,CAgBxB,AArCL,AAsBM,cAtBQ,CAKZ,gBAAgB,CAcd,cAAc,AAGX,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AAxBP,AAyBM,cAzBQ,CAKZ,gBAAgB,CAcd,cAAc,AAMX,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AA3BP,AA4BM,cA5BQ,CAKZ,gBAAgB,CAcd,cAAc,AASX,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AA9BP,AA+BM,cA/BQ,CAKZ,gBAAgB,CAcd,cAAc,AAYX,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AAjCP,AAkCM,cAlCQ,CAKZ,gBAAgB,CAcd,cAAc,AAeX,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AApCP,AAwCE,cAxCY,CAwCZ,aAAa,CAAC,KAAK,AAAC,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,CNtJT,OAAmD,CM2J5D,AA9CH,AA2CI,cA3CU,CAwCZ,aAAa,CAAC,KAAK,AAGhB,MAAM,AAAC,CACN,gBAAgB,CNzJV,OAAmD,CM0J1D,AA7CL,AAiDI,cAjDU,CAgDZ,aAAa,AAAA,IAAK,CAAA,WAAW,EAC3B,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AAnDL,AAqDI,cArDU,CAgDZ,aAAa,AAAA,IAAK,CAAA,WAAW,EAK3B,4BAA4B,AAAA,WAAW,AAAC,CACtC,aAAa,CAAE,CAAC,CACjB,AAvDL,AA0DE,cA1DY,CA0DZ,aAAa,CAAC,4BAA4B,AAAA,WAAW,AAAC,CACpD,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,UAAU,CACvB,eAAe,CAAE,UAAU,CAC3B,MAAM,CAAE,GAAG,CAAC,KAAK,CN7KT,OAAmD,CMyL5D,AA5EH,AAkEI,cAlEU,CA0DZ,aAAa,CAAC,4BAA4B,AAAA,WAAW,CAQnD,MAAM,AAAC,CACL,SAAS,CNlUN,GAAG,CMmUP,AApEL,AAsEI,cAtEU,CA0DZ,aAAa,CAAC,4BAA4B,AAAA,WAAW,CAYnD,QAAQ,AAAC,CACP,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,WAAW,CAAE,KAAK,CACnB,AA3EL,AA8EE,cA9EY,CA8EZ,aAAa,CAAC,KAAK,CAAC,aAAa,AAAC,CAChC,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CAWV,AA/FH,AAsFI,cAtFU,CA8EZ,aAAa,CAAC,KAAK,CAAC,aAAa,AAQ9B,MAAM,AAAC,CACN,gBAAgB,CNpMV,OAAmD,CMqM1D,AAxFL,AA0FI,cA1FU,CA8EZ,aAAa,CAAC,KAAK,CAAC,aAAa,CAY/B,OAAO,AAAC,CACN,SAAS,CN3VH,QAAQ,CM4Vd,MAAM,CAAE,YAAY,CACpB,KAAK,CN1MC,OAAmD,CM2M1D,AAIL,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,aAAa,CAC9B,cAAc,CAAE,MAAM,CA8DvB,AAlED,AAME,aANW,CAMX,uBAAuB,AAAC,CAEtB,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,GAAG,CACf,AAVH,AAWE,aAXW,CAWX,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,YAAY,CACpB,MAAM,CAAE,GAAG,CAAC,KAAK,CNlOT,OAAmD,CMmO3D,aAAa,CAAE,IAAI,CAiDpB,AAjEH,AAiBI,aAjBS,CAWX,WAAW,CAMT,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CL3aD,IAAO,CK4aX,UAAU,CNxOJ,OAAmD,CMyOzD,eAAe,CAAE,MAAM,CACvB,aAAa,CAAE,WAAW,CAC1B,OAAO,CAAE,WAAW,CAMrB,AA9BL,AA0BM,aA1BO,CAWX,WAAW,CAMT,MAAM,CASJ,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CACjB,SAAS,CNhYH,OAAQ,CMiYf,AA7BP,AAgCI,aAhCS,CAWX,WAAW,CAqBT,MAAM,AAAC,CACL,OAAO,CAAE,WAAW,CACrB,AAlCL,AAoCM,aApCO,CAWX,WAAW,AAwBR,aAAa,CACZ,MAAM,AAAC,CACL,KAAK,CNxPD,OAAmD,CMyPxD,AAtCP,AAwCI,aAxCS,CAWX,WAAW,AA6BR,WAAW,CAxChB,aAAa,CAWX,WAAW,AA8BR,YAAY,AAAC,CACZ,YAAY,CNjaT,OAAO,CMuaX,AAhDL,AA2CM,aA3CO,CAWX,WAAW,AA6BR,WAAW,CAGV,MAAM,CA3CZ,aAAa,CAWX,WAAW,AA8BR,YAAY,CAEX,MAAM,AAAC,CACL,YAAY,CNnaX,OAAO,CMoaR,UAAU,CNpaT,OAAO,CMqaR,KAAK,CLpcD,IAAO,CKqcZ,AA/CP,AAiDI,aAjDS,CAWX,WAAW,AAsCR,aAAa,AAAC,CACb,YAAY,CN1aT,MAAO,CMgbX,AAxDL,AAmDM,aAnDO,CAWX,WAAW,AAsCR,aAAa,CAEZ,MAAM,AAAC,CACL,YAAY,CN5aX,MAAO,CM6aR,UAAU,CN7aT,MAAO,CM8aR,KAAK,CL5cD,IAAO,CK6cZ,AAvDP,AAyDI,aAzDS,CAWX,WAAW,AA8CR,YAAY,AAAC,CACZ,YAAY,CNnbX,OAAgB,CMyblB,AAhEL,AA2DM,aA3DO,CAWX,WAAW,AA8CR,YAAY,CAEX,MAAM,AAAC,CACL,UAAU,CNrbX,OAAgB,CMsbf,YAAY,CNtbb,OAAgB,CMubf,KAAK,CLpdD,IAAO,CKqdZ,AAKP,AAEI,IAFA,CAAC,eAAe,CAClB,eAAe,AACZ,WAAW,AAAC,CACX,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,CAAC,CACf,AALL,AAOI,IAPA,CAAC,eAAe,CAClB,eAAe,AAMZ,YAAY,AAAC,CACZ,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,CAAC,CAChB,AAVL,AAaE,IAbE,CAAC,eAAe,CAalB,aAAa,CAAC,WAAW,AAAC,CACxB,MAAM,CAAE,YAAY,CACrB,AAfH,AAkBI,IAlBA,CAAC,eAAe,CAiBlB,WAAW,CACT,MAAM,AAAC,CACL,aAAa,CAAE,WAAW,CAM3B,AAzBL,AAqBM,IArBF,CAAC,eAAe,CAiBlB,WAAW,CACT,MAAM,CAGJ,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CACf,WAAW,CAAE,GAAG,CACjB,AAKP,AAAA,qBAAqB,CACrB,cAAc,AAAC,CACb,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,iBAAiB,AAAA,QAAQ,AAAC,CACxB,aAAa,CAAE,KAAK,CACrB,AAED,AAEE,qBAFmB,CAEnB,aAAa,CADf,mBAAmB,CACjB,aAAa,AAAC,CACZ,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,qBANmB,CAMnB,aAAa,CALf,mBAAmB,CAKjB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,eAAe,CACtC,eAAe,CAAE,GAAG,CACpB,YAAY,CAAE,GAAG,CAalB,AAvBH,AAYI,qBAZiB,CAMnB,aAAa,CAMT,CAAC,CAXP,mBAAmB,CAKjB,aAAa,CAMT,CAAC,AAAC,CACF,WAAW,CAAE,OAAO,CACrB,AAdL,AAgBI,qBAhBiB,CAMnB,aAAa,CAUX,uCAAuC,CAhB3C,qBAAqB,CAMnB,aAAa,CAWX,yCAAyC,CAhB7C,mBAAmB,CAKjB,aAAa,CAUX,uCAAuC,CAf3C,mBAAmB,CAKjB,aAAa,CAWX,yCAAyC,AAAC,CACxC,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,eAAe,CACtC,eAAe,CAAE,GAAG,CACpB,YAAY,CAAE,GAAG,CAClB,AAtBL,AAyBE,qBAzBmB,CAyBnB,aAAa,CAxBf,mBAAmB,CAwBjB,aAAa,AAAC,CACZ,WAAW,CAAE,OAAO,CACrB,AAGH,AACE,qBADmB,CACnB,+BAA+B,AAAC,CAC9B,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,eAAe,CACtC,eAAe,CAAE,GAAG,CACpB,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,kBADgB,CAChB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,OAAO,CAChB,AANH,AAOE,kBAPgB,CAOhB,OAAO,AAAC,CACN,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,CN7WT,OAAmD,CM8W3D,IAAI,CAAE,OAAO,CACb,UAAU,CAAE,gBAAgB,CAC5B,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CAcjB,AA3BH,AAcI,kBAdc,CAOhB,OAAO,CAOL,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,GAAG,CAIb,AAvBL,AAoBM,kBApBY,CAOhB,OAAO,CAOL,CAAC,CAMC,mBAAmB,AAAC,CAClB,KAAK,CNzXD,OAAmD,CM0XxD,AAtBP,AAwBI,kBAxBc,CAOhB,OAAO,AAiBJ,MAAM,AAAC,CACN,UAAU,CN1bN,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CM2bnC,AAIL,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAMhB,AARD,AAGE,eAHa,CAGb,cAAc,AAAC,CACb,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,CNvYhB,OAAmD,CMwY3D,aAAa,CAAE,KAAK,CACrB,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,UAAU,CACvB,UAAU,CAAE,UAAU,CACtB,eAAe,CAAE,aAAa,CAC9B,OAAO,CAAE,aAAa,CAwEvB,AA/ED,AAQE,cARY,CAQZ,eAAe,AAAC,CACd,IAAI,CAAE,QAAQ,CAWf,AAVC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAVvC,AAQE,cARY,CAQZ,eAAe,AAAC,CAGZ,MAAM,CAAE,CAAC,CASZ,CApBH,AAaI,cAbU,CAQZ,eAAe,CAKb,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAfL,AAgBI,cAhBU,CAQZ,eAAe,CAQb,EAAE,AAAC,CACD,UAAU,CAAE,WAAW,CACvB,OAAO,CAAE,CAAC,CACX,AAnBL,AAqBE,cArBY,CAqBZ,EAAE,AAAC,CACD,IAAI,CAAE,QAAQ,CACf,AAvBH,AAwBE,cAxBY,CAwBZ,eAAe,AAAC,CACd,SAAS,CNzjBD,QAAQ,CM0jBhB,WAAW,CN1iBM,GAAG,CM2iBpB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,SAAS,CACjB,aAAa,CAAE,IAAI,CACnB,IAAI,CAAE,OAAO,CAad,AA5CH,AAgCI,cAhCU,CAwBZ,eAAe,CAQb,EAAE,AAAC,CACD,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACpB,AAnCL,AAoCI,cApCU,CAwBZ,eAAe,CAYb,EAAE,CApCN,cAAc,CAwBZ,eAAe,CAab,SAAS,AAAC,CACR,SAAS,CNlkBD,OAAQ,CMmkBhB,aAAa,CAAE,CAAC,CACjB,AAxCL,AAyCI,cAzCU,CAwBZ,eAAe,CAiBb,SAAS,AAAC,CACR,WAAW,CAAE,MAAM,CACpB,AA3CL,AA6CE,cA7CY,CA6CZ,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,SAAS,CACjB,IAAI,CAAE,OAAO,CACb,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,KAAK,CAQjB,AFznBD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EE6jBrC,AA6CE,cA7CY,CA6CZ,eAAe,AAAC,CASZ,SAAS,CAAE,KAAK,CAMnB,CA5DH,AAwDI,cAxDU,CA6CZ,eAAe,CAWb,KAAK,AAAC,CACJ,MAAM,CAAE,YAAY,CACpB,SAAS,CN3lBH,QAAQ,CM4lBf,AA3DL,AA6DE,cA7DY,AA6DX,SAAS,CAAC,cAAc,CAAC,YAAY,AAAC,CACrC,OAAO,CAAE,IAAI,CACd,AA/DH,AAgEE,cAhEY,AAgEX,OAAO,CAAC,cAAc,CAAC,cAAc,AAAC,CACrC,OAAO,CAAE,IAAI,CACd,AAlEH,AAmEE,cAnEY,CAmEZ,GAAG,AAAC,CACF,SAAS,CNtmBD,QAAQ,CMumBjB,AArEH,AAsEE,cAtEY,CAsEZ,WAAW,AAAC,CACV,KAAK,CL/oBC,OAAO,CKgpBd,AAxEH,AAyEE,cAzEY,CAyEZ,kBAAkB,AAAC,CACjB,KAAK,CLnpBA,OAAO,CKopBb,AA3EH,AA4EE,cA5EY,CA4EZ,2BAA2B,AAAC,CAC1B,KAAK,CLtpBA,OAAO,CKupBb,AAGH,AACE,WADS,CACT,OAAO,AAAC,CACN,SAAS,CNpnBD,QAAQ,CMqnBjB,AClqBH,AACE,SADO,CACP,QAAQ,AAAC,CACP,cAAc,CAAE,IAAI,CA8FrB,AAhGH,AAGI,SAHK,CACP,QAAQ,CAEN,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,QAAQ,CACf,YAAY,CAAE,IAAI,CASnB,AARC,MAAM,EAAE,SAAS,EAAE,KAAK,EAP9B,AAGI,SAHK,CACP,QAAQ,CAEN,cAAc,AAAC,CAKX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,CAAC,CACf,KAAK,CAAE,IAAI,CAKd,AAfL,AAWQ,SAXC,CACP,QAAQ,CAEN,cAAc,CAQV,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,CAbT,AAgBI,SAhBK,CACP,QAAQ,CAeN,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACV,aAAa,CAAE,IAAI,CAuBpB,AA1CL,AAoBM,SApBG,CACP,QAAQ,CAeN,cAAc,CAIZ,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EApBZ,SAAS,CACP,QAAQ,CAeN,cAAc,CAKZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,IAAI,CAAE,QAAQ,CACf,AAvBP,AAwBM,SAxBG,CACP,QAAQ,CAeN,cAAc,CAQZ,kBAAkB,AAAC,CACjB,KAAK,CAAE,GAAG,CACX,AACD,MAAM,EAAE,SAAS,EAAE,KAAK,EA3B9B,AAgBI,SAhBK,CACP,QAAQ,CAeN,cAAc,AAAC,CAYX,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,CAAC,CAanB,CA1CL,AA+BM,SA/BG,CACP,QAAQ,CAeN,cAAc,CAeZ,WAAW,AAAC,CACV,KAAK,CAAE,eAAe,CAIvB,AAHC,MAAM,EAAE,SAAS,EAAE,KAAK,EAjChC,AA+BM,SA/BG,CACP,QAAQ,CAeN,cAAc,CAeZ,WAAW,AAAC,CAGR,KAAK,CAAE,eAAe,CAEzB,CApCP,AAqCM,SArCG,CACP,QAAQ,CAeN,cAAc,CAqBZ,uBAAuB,AAAC,CACtB,eAAe,CAAE,OAAO,CACxB,iBAAiB,CAAE,SAAS,CAC5B,gBAAgB,CP0JZ,OAAmD,COzJxD,AAzCP,AA2CI,SA3CK,CACP,QAAQ,CA0CN,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AA7CL,AA8CI,SA9CK,CACP,QAAQ,CA6CN,qBAAqB,CA9CzB,SAAS,CACP,QAAQ,CA8CN,uBAAuB,AAAC,CACtB,KAAK,CAAE,IAAI,CAIZ,AAHC,MAAM,EAAE,SAAS,EAAE,KAAK,EAjD9B,AA8CI,SA9CK,CACP,QAAQ,CA6CN,qBAAqB,CA9CzB,SAAS,CACP,QAAQ,CA8CN,uBAAuB,AAAC,CAGpB,KAAK,CAAE,IAAI,CAEd,CApDL,AAqDI,SArDK,CACP,QAAQ,CAoDN,uBAAuB,AAAC,CACtB,MAAM,CAAE,KAAK,CACd,AAvDL,AAwDI,SAxDK,CACP,QAAQ,CAuDN,mBAAmB,AAAC,CAIlB,OAAO,CAAE,GAAG,CACZ,gBAAgB,CN9DV,IAAO,CM+Db,MAAM,CAAE,GAAG,CAAC,KAAK,CPoIX,OAAmD,COnIzD,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,0CAA0C,CAevD,AAtBC,MAAM,EAAE,SAAS,EAAE,KAAK,EAzD9B,AAwDI,SAxDK,CACP,QAAQ,CAuDN,mBAAmB,AAAC,CAEhB,KAAK,CAAE,IAAI,CAqBd,CA/EL,AAiEM,SAjEG,CACP,QAAQ,CAuDN,mBAAmB,CASjB,EAAE,AAAA,qBAAqB,AAAC,CACtB,OAAO,CAAE,gBAAgB,CACzB,MAAM,CAAE,aAAa,CACrB,QAAQ,CAAE,QAAQ,CAClB,WAAW,CPRC,CAAC,COSb,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,GAAG,CAAC,MAAM,CP2Hd,OAAmD,CO1HvD,aAAa,CAAE,GAAG,CAClB,eAAe,CAAE,WAAW,CAC5B,gBAAgB,CAAE,IAAI,CACtB,gBAAgB,CAAE,WAAW,CAC7B,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACZ,AA9EP,AAgFI,SAhFK,CACP,QAAQ,CA+EN,KAAK,CAhFT,SAAS,CACP,QAAQ,CAgFN,iBAAiB,AAAC,CAChB,WAAW,CAAE,GAAG,CAChB,SAAS,CPlCD,OAAQ,COmChB,WAAW,CPrBG,GAAG,COsBlB,AArFL,AAsFI,SAtFK,CACP,QAAQ,CAqFN,iBAAiB,AAAC,CAChB,KAAK,CNlFF,OAAO,CMmFX,AAxFL,AAyFI,SAzFK,CACP,QAAQ,CAwFN,KAAK,AAAC,CACJ,KAAK,CPwGC,OAAmD,COvG1D,AA3FL,AA4FI,SA5FK,CACP,QAAQ,CA2FN,EAAE,AAAC,CACD,SAAS,CP7CN,GAAG,CO8CN,WAAW,CAAE,MAAM,CACpB,AA/FL,AAkGI,SAlGK,CAiGP,QAAQ,AAAA,WAAW,CACjB,EAAE,AAAC,CACD,KAAK,CP+FC,OAAmD,CO9F1D,AApGL,AAuGI,SAvGK,CAsGP,QAAQ,AAAA,WAAW,AAAA,OAAO,CACxB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAvGV,SAAS,CAsGP,QAAQ,AAAA,WAAW,AAAA,OAAO,CAExB,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EAxGV,SAAS,CAsGP,QAAQ,AAAA,WAAW,AAAA,OAAO,CAGxB,QAAQ,AAAC,CACP,gBAAgB,CPwFV,OAAmD,COvF1D,AA3GL,AA6GE,SA7GO,CA6GP,QAAQ,AAAC,CACP,KAAK,CNzGA,OAAO,CM0Gb,AC/GH,AAAA,YAAY,AAAA,aAAa,CAAC,MAAM,AAAC,CAC/B,KAAK,CAAE,KAAK,CAOb,AANC,MAAM,EAAE,SAAS,EAAE,KAAK,EAF1B,AAAA,YAAY,AAAA,aAAa,CAAC,MAAM,AAAC,CAG7B,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAEjB,CAED,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,QAAQ,CAOjB,UAAU,CAAE,GAAG,CAAC,KAAK,CR8KX,OAAmD,CQ3G9D,AA7ED,AAIE,YAJU,AAIT,YAAa,CAAA,CAAC,CAAE,CACf,UAAU,CAAE,CAAC,CACd,AANH,AAOE,YAPU,AAOT,iBAAiB,AAAC,CACjB,gBAAgB,CRgLR,OAAmD,CQ/K5D,AATH,AAWE,YAXU,AAWT,OAAO,CAXV,YAAY,AAYT,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,EAAE,CACZ,AAfH,AAgBE,YAhBU,AAgBT,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAlBH,AAmBE,YAnBU,AAmBT,iBAAiB,CAAC,EAAE,AAAC,CACpB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAtBH,AAuBE,YAvBU,CAuBV,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,SAAS,CAChB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAMlB,AALC,MAAM,EAAE,SAAS,EAAE,KAAK,EA5B5B,AAuBE,YAvBU,CAuBV,MAAM,AAAC,CAMH,WAAW,CAAE,CAAC,CACd,WAAW,CRuBG,GAAG,CQtBjB,UAAU,CAAE,GAAG,CAElB,CAjCH,AAkCE,YAlCU,CAkCV,MAAM,AAAC,CACL,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAUlB,AATC,MAAM,EAAE,SAAS,EAAE,KAAK,EAtC5B,AAkCE,YAlCU,CAkCV,MAAM,AAAC,CAKH,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAKjB,CA/CH,AA4CI,YA5CQ,CAkCV,MAAM,CAUJ,WAAW,AAAC,CACV,KAAK,CAAE,OAAO,CACf,AA9CL,AAgDE,YAhDU,CAgDV,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CACjB,SAAS,CRbC,OAAQ,CQiBnB,AAxDH,AAqDI,YArDQ,CAgDV,WAAW,CAKT,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAvDL,AAyDE,YAzDU,CAyDV,SAAS,AAAC,CACR,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAUlB,AATC,MAAM,EAAE,SAAS,EAAE,KAAK,EA7D5B,AAyDE,YAzDU,CAyDV,SAAS,AAAC,CAKN,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAKjB,CAtEH,AAmEI,YAnEQ,CAyDV,SAAS,CAUP,IAAI,AAAC,CACH,YAAY,CAAE,GAAG,CAClB,AArEL,AAyEI,YAzEQ,AAuET,SAAS,CAER,MAAM,CAzEV,YAAY,AAwET,KAAK,CACJ,MAAM,AAAC,CACL,UAAU,CAAE,SAAS,CACtB,AAIL,AACE,YADU,CACV,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AAHH,AAKI,YALQ,CAIV,WAAW,CACT,SAAS,CAAC,OAAO,AAAC,CAChB,KAAK,CRmGC,OAAmD,CQlG1D,AAIL,AACE,iBADe,CACf,EAAE,AAAA,SAAS,AAAC,CJ3CZ,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CI2CrB,aAAa,CAAE,UAAU,CAC1B,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,OAAO,SAAS,EAAE,KAAK,EAL5D,AAMI,iBANa,CAMb,EAAE,AAAA,SAAS,AAAC,CACV,SAAS,CAAE,IAAI,CAChB,AARL,AASI,iBATa,CASb,EAAE,AAAA,MAAM,AAAC,CACP,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,UAAU,CAC1B,CAEH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAdrC,AAgBM,iBAhBW,CAeb,EAAE,CACA,EAAE,AAAA,SAAS,AAAC,CACV,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACnB,WAAW,CAAE,IAAI,CAClB,AApBP,AAqBM,iBArBW,CAeb,EAAE,CAMA,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,CAAC,CACX,eAAe,CAAE,EAAE,CAIpB,AA5BP,AAyBQ,iBAzBS,CAeb,EAAE,CAMA,EAAE,AAAA,YAAY,CAIZ,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACpB,AA3BT,AA6BM,iBA7BW,CAeb,EAAE,CAcA,EAAE,AAAA,MAAM,AAAC,CACP,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACnB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,UAAU,CACzB,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,CAAC,CACZ,MAAM,CAAE,WAAW,CAKpB,AAzCP,AAsCQ,iBAtCS,CAeb,EAAE,CAcA,EAAE,AAAA,MAAM,AASL,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,CAKP,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA7CrC,AA8CI,iBA9Ca,CA8Cb,EAAE,AAAA,KAAK,AAAC,CACN,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,WAAW,CAC7B,aAAa,CAAE,eAAe,CAqD/B,AAtGL,AAkDM,iBAlDW,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,GAAG,CACrB,aAAa,CAAE,OAAO,CAgDvB,AArGP,AAsDQ,iBAtDS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,CAIA,MAAM,AAAC,CACL,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAzDT,AA0DQ,iBA1DS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,CAQA,GAAG,AAAA,IAAK,CAAA,MAAM,CAAE,CACd,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,UAAU,CAAE,MAAM,CACnB,AA9DT,AA+DQ,iBA/DS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAaC,SAAS,AAAC,CACT,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAnET,AAoEQ,iBApES,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAkBC,YAAY,AAAC,CACZ,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvET,AAwEQ,iBAxES,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAsBC,MAAM,AAAC,CACN,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AA5ET,AA6EQ,iBA7ES,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AA2BC,aAAa,AAAC,CACb,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAhFT,AAiFQ,iBAjFS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AA+BC,UAAU,AAAC,CACV,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AApFT,AAqFQ,iBArFS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAmCC,eAAe,AAAC,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAxFT,AAyFQ,iBAzFS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAuCC,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA5FT,AA6FQ,iBA7FS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AA2CC,UAAU,AAAC,CACV,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAhGT,AAiGQ,iBAjGS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AA+CC,QAAQ,AAAC,CACR,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,CAOT,AACE,YADU,CAAC,YAAY,AAAA,WAAW,CAClC,YAAY,AAAC,CACX,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,UAAU,CAQxB,AAXH,AAII,YAJQ,CAAC,YAAY,AAAA,WAAW,CAClC,YAAY,CAGV,MAAM,CAJV,YAAY,CAAC,YAAY,AAAA,WAAW,CAClC,YAAY,CAIV,MAAM,AAAC,CACL,KAAK,CAAE,KAAK,CACb,AAPL,AAQI,YARQ,CAAC,YAAY,AAAA,WAAW,CAClC,YAAY,CAOV,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAVL,AAaE,YAbU,CAAC,YAAY,AAAA,WAAW,CAalC,WAAW,AAAC,CACV,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,CAAC,CAKV,AArBH,AAiBI,YAjBQ,CAAC,YAAY,AAAA,WAAW,CAalC,WAAW,CAIT,MAAM,AAAC,CACL,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,KAAK,CACf,AApBL,AAuBE,YAvBU,CAAC,YAAY,AAAA,WAAW,CAuBlC,EAAE,AAAC,CACD,MAAM,CAAE,YAAY,CACrB,AAzBH,AA2BE,YA3BU,CAAC,YAAY,AAAA,WAAW,CA2BlC,cAAc,AAAC,CACb,UAAU,CAAE,OAAO,CACpB,AA7BH,AA+BE,YA/BU,CAAC,YAAY,AAAA,WAAW,CA+BlC,SAAS,AAAC,CACR,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,GAAG,CAChB,AAlCH,AAoCE,YApCU,CAAC,YAAY,AAAA,WAAW,CAoClC,aAAa,CAAC,MAAM,AAAC,CACnB,MAAM,CAAE,WAAW,CACpB,AAtCH,AAwCE,YAxCU,CAAC,YAAY,AAAA,WAAW,CAwClC,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CAIf,AA7CH,AA0CI,YA1CQ,CAAC,YAAY,AAAA,WAAW,CAwClC,UAAU,CAER,aAAa,AAAC,CACZ,IAAI,CAAE,CAAC,CACR,AC7PL,AACE,mBADiB,CACjB,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CACnB,AAHH,AAKE,mBALiB,CAKjB,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACZ,AAPH,AASE,mBATiB,CASjB,qBAAqB,CATvB,mBAAmB,CAUjB,sBAAsB,AAAC,CACrB,aAAa,CAAE,KAAK,CACrB,AAZH,AAcE,mBAdiB,CAcjB,SAAS,CAdX,mBAAmB,CAejB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,KAAK,CACd,AAlBH,AAoBE,mBApBiB,CAoBjB,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACb,AAGH,AACE,WADS,CACT,kBAAkB,AAAC,CACjB,UAAU,CAAE,GAAG,CAKhB,AAPH,AAII,WAJO,CACT,kBAAkB,CAGhB,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACb,AC9BL,AAEE,aAFW,CAEX,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAiBhB,AArBH,AAKI,aALS,CAEX,OAAO,CAGL,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,IAAI,CAAE,QAAQ,CAIf,AAZL,AASM,aATO,CAEX,OAAO,CAGL,cAAc,CAIZ,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CAClB,AAXP,AAaI,aAbS,CAEX,OAAO,CAWL,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACd,AAfL,AAgBI,aAhBS,CAEX,OAAO,CAcL,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,IAAI,CAAE,OAAO,CACd,AApBL,AAsBE,aAtBW,CAsBX,cAAc,AAAC,CACb,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,CV2Kb,OAAmD,CU1K3D,aAAa,CAAE,GAAG,CAAC,KAAK,CV0KhB,OAAmD,CUrK5D,AA9BH,AA0BI,aA1BS,CAsBX,cAAc,CAIZ,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,MAAM,CAChB,AA7BL,AAgCI,aAhCS,CA+BX,aAAa,CACX,iBAAiB,AAAC,CAChB,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,GAAG,CAAC,KAAK,CVgKjB,OAAmD,CU/JzD,WAAW,CAAE,GAAG,CAAC,KAAK,CV+JhB,OAAmD,CU9JzD,aAAa,CAAE,GAAG,CAAC,KAAK,CV8JlB,OAAmD,CU5I1D,AAvDL,AAuCQ,aAvCK,CA+BX,aAAa,CACX,iBAAiB,CAMf,sBAAsB,AACnB,YAAY,AAAC,CACZ,UAAU,CAAE,IAAI,CACjB,AAzCT,AA0CQ,aA1CK,CA+BX,aAAa,CACX,iBAAiB,CAMf,sBAAsB,AAInB,WAAW,AAAC,CACX,UAAU,CAAE,IAAI,CACjB,AA5CT,AA8CM,aA9CO,CA+BX,aAAa,CACX,iBAAiB,CAcf,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACZ,SAAS,CVEH,OAAQ,CUDd,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACd,KAAK,CTnDD,IAAO,CSoDX,gBAAgB,CV+IZ,OAAmD,CU9IvD,aAAa,CAAE,GAAG,CACnB,AAtDP,AAwDI,aAxDS,CA+BX,aAAa,CAyBX,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,gBAAgB,CAAE,KAAK,CACxB,AA3DL,AA6DE,aA7DW,CA6DX,cAAc,AAAC,CACb,MAAM,CAAE,IAAI,CAcb,AA5EH,AA+DI,aA/DS,CA6DX,cAAc,CAEZ,CAAC,AAAA,KAAK,AAAC,CACL,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CACf,KAAK,CViIC,OAAmD,CUhIzD,SAAS,CVjBD,OAAQ,CUkBjB,AApEL,AAqEI,aArES,CA6DX,cAAc,CAQZ,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AA3EL,AAwEM,aAxEO,CA6DX,cAAc,CAQZ,uBAAuB,CAGrB,eAAe,AAAC,CACd,YAAY,CAAE,GAAG,CAClB,AA1EP,AA8EI,aA9ES,CA6EX,gBAAgB,CACd,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CAkBd,AAlGL,AAiFM,aAjFO,CA6EX,gBAAgB,CACd,YAAY,CAGV,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AAvFP,AAwFM,aAxFO,CA6EX,gBAAgB,CACd,YAAY,CAUT,AAAA,aAAC,CAAc,MAAM,AAApB,CAAsB,CACtB,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,GAAG,CAOb,AAjGP,AA2FQ,aA3FK,CA6EX,gBAAgB,CACd,YAAY,CAUT,AAAA,aAAC,CAAc,MAAM,AAApB,EAGA,WAAW,AAAC,CACV,cAAc,CAAE,IAAI,CAIrB,AAhGT,AA6FU,aA7FG,CA6EX,gBAAgB,CACd,YAAY,CAUT,AAAA,aAAC,CAAc,MAAM,AAApB,EAGA,WAAW,CAET,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CACnB,AA/FX,AAmGI,aAnGS,CA6EX,gBAAgB,CAsBd,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACd,AArGL,AAuGE,aAvGW,CAuGX,sBAAsB,AAAC,CACrB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,GAAG,CAAC,KAAK,CVyFb,OAAmD,CUxF5D,AA3GH,AA4GE,aA5GW,CA4GX,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CAOb,AArHH,AA+GI,aA/GS,CA4GX,QAAQ,CAGN,OAAO,AAAC,CACN,OAAO,CAAE,SAAS,CAClB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CTpHD,IAAO,CSqHZ,AAKL,AACE,sBADoB,CACpB,gBAAgB,AAAC,CACf,aAAa,CAAE,IAAI,CACpB,AAHH,AAIE,sBAJoB,CAIpB,qBAAqB,AAAC,CACpB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CAaV,AAnBH,AAOI,sBAPkB,CAIpB,qBAAqB,CAGnB,oBAAoB,AAAC,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,CVkElB,OAAmD,CUjEzD,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACf,AAbL,AAeM,sBAfgB,CAIpB,qBAAqB,CAUnB,eAAe,CACb,0BAA0B,AAAC,CACzB,MAAM,CAAE,CAAC,CACV,AAMP,AACE,oBADkB,CAClB,aAAa,CADf,oBAAoB,CAElB,iBAAiB,AAAC,CAChB,OAAO,CAAE,GAAG,CACZ,gBAAgB,CV+CR,OAAmD,CU9C5D,AALH,AAME,oBANkB,CAMlB,cAAc,AAAC,CACb,gBAAgB,CV4CR,OAAmD,CU3C3D,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CAQd,AAjBH,AAUI,oBAVgB,CAMlB,cAAc,CAIZ,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAZL,AAaI,oBAbgB,CAMlB,cAAc,CAOZ,QAAQ,AAAC,CACP,KAAK,CTxJF,OAAO,CSyJV,WAAW,CAAE,IAAI,CAClB,AC9JL,AACE,WADS,CACT,QAAQ,CAAC,KAAK,AAAC,CACb,KAAK,CAAE,IAAI,CACZ,AAHH,AAIE,WAJS,CAIT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AANH,AAOE,WAPS,CAOT,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CACd,SAAS,CXuCC,OAAQ,CWtClB,KAAK,CXuLG,OAAmD,CWtL5D,AAXH,AAYE,WAZS,CAYT,SAAS,CAAC,GAAG,AAAC,CACZ,SAAS,CAAE,KAAK,CP4ClB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CO5CtB,AAfH,AAgBE,WAhBS,CAgBT,UAAU,CAAC,CAAC,AAAC,CACX,MAAM,CAAE,KAAK,CACb,SAAS,CAAE,KAAK,CPuClB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,COvCtB,AAGH,AACE,gBADc,CACd,cAAc,AAAC,CACb,MAAM,CAAE,KAAK,CACd,AAHH,AAIE,gBAJc,CAId,SAAS,AAAC,CACR,WAAW,CAAE,KAAK,CACnB,AANH,AAOE,gBAPc,CAOd,CAAC,AAAC,CACA,MAAM,CAAE,QAAQ,CACjB,AATH,AAUE,gBAVc,CAUd,kBAAkB,AAAC,CACjB,KAAK,CX+JG,OAAmD,CW9J3D,SAAS,CXaC,OAAQ,CWZnB,AAbH,AAcE,gBAdc,CAcd,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AAhBH,AAiBE,gBAjBc,CAiBd,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,MAAM,CACf,AAvBH,AAwBE,gBAxBc,CAwBd,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,MAAM,CACf,AA3BH,AA4BE,gBA5Bc,CA4Bd,QAAQ,AAAC,CACP,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,KAAK,CACb,WAAW,CAAE,SAAS,CACtB,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,CXoIX,OAAmD,CWnI7D,OAAO,CAAE,QAAQ,CAClB,AAED,AACE,cADY,CACZ,sBAAsB,AAAC,CACrB,MAAM,CAAE,OAAO,CAChB,AAGH,AACE,qBADmB,CACnB,SAAS,AAAC,CACR,MAAM,CAAE,SAAS,CAOlB,AATH,AAGI,qBAHiB,CACnB,SAAS,CAEP,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,aAAa,CAAE,CAAC,CACjB,AALL,AAMI,qBANiB,CACnB,SAAS,CAKP,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CAChB,AARL,AAUE,qBAVmB,CAUnB,eAAe,CAAC,MAAM,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CACb,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,oBADkB,CAClB,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CACf,AAHH,AAKE,oBALkB,CAKlB,WAAW,AAAC,CACV,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,KAAK,CACb,WAAW,CAAE,SAAS,CACvB,AClGH,AAAA,gBAAgB,AAAC,CACf,aAAa,CAAE,MAAM,CAAC,GAAG,CZiMf,OAAmD,CY7K9D,AArBD,AAEE,gBAFc,CAEd,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,gBAAgB,CZ8LR,OAAmD,CY7L5D,AALH,AAME,gBANc,CAMd,IAAI,AAAA,QAAQ,AAAC,CACX,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACf,AATH,AAUE,gBAVc,CAUd,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CACnB,AAhBH,AAiBE,gBAjBc,CAiBd,qBAAqB,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CAAC,GAAG,CZ+Kb,OAAmD,CY9K5D,AAGH,AACE,kBADgB,CAChB,GAAG,AAAC,CACF,WAAW,CAAE,QAAQ,CACrB,UAAU,CAAE,KAAK,CAClB,AAJH,AAKE,kBALgB,CAKhB,UAAU,AAAC,CACT,KAAK,CAAE,GAAG,CACX,AAGH,AAAA,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,UAAU,CA2ItB,AA1IC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,OAAO,SAAS,EAAE,KAAK,EAH5D,AAII,cAJU,CAIV,KAAK,AAAA,WAAW,CAAC,EAAE,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,kBAAkB,CAAE,SAAS,CAC7B,qBAAqB,CAAE,cAAc,CAKtC,AAZL,AAQM,cARQ,CAIV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAAC,CACD,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,OAAO,CACjB,AAXP,AAcI,cAdU,CAcV,EAAE,AAAA,WAAW,AAAC,CACZ,iBAAiB,CAAE,EAAE,CACtB,AAhBL,AAiBI,cAjBU,CAiBV,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CAQrB,AA3BL,AAoBM,cApBQ,CAiBV,EAAE,AAAA,QAAQ,CAGR,GAAG,AAAA,QAAQ,AAAC,CACV,OAAO,CAAE,IAAI,CAKd,AA1BP,AAsBQ,cAtBM,CAiBV,EAAE,AAAA,QAAQ,CAGR,GAAG,AAAA,QAAQ,CAET,CAAC,AAAC,CACA,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,IAAI,CAChB,AAzBT,AA6BI,cA7BU,CA6BV,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,CAAC,CACrB,AAlCL,AAoCI,cApCU,CAoCV,EAAE,AAAA,QAAQ,AAAC,CACT,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,CAAC,CACrB,CAIH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA5CrC,AA6CI,cA7CU,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,AAAC,CAClB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,iBAAiB,CACnC,aAAa,CAAE,SAAS,CAgCzB,AAhFL,AAiDM,cAjDQ,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CA6BlB,AA/EP,AAmDQ,cAnDM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAEC,YAAY,AAAC,CACZ,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAvDT,AAwDQ,cAxDM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAOC,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA3DT,AA4DQ,cA5DM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAWC,OAAO,AAAC,CACP,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA/DT,AAgEQ,cAhEM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAeC,QAAQ,AAAC,CACR,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AApET,AAqEQ,cArEM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAoBC,QAAQ,AAAC,CACR,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAzET,AA0EQ,cA1EM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAyBC,QAAQ,AAAC,CACR,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,CR9FP,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EQgBrC,AAoFI,cApFU,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,AAAC,CAClB,qBAAqB,CAAE,aAAa,CAoCrC,AAzHL,AAsFM,cAtFQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAEjB,EAAE,AAAA,YAAY,AAAC,CACb,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AAzFP,AA0FM,cA1FQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAMjB,EAAE,AAAA,WAAW,AAAC,CACZ,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,EAAE,CACrB,UAAU,CAAE,KAAK,CAClB,AA9FP,AA+FM,cA/FQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAWjB,EAAE,AAAA,OAAO,AAAC,CACR,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,AAlGP,AAmGM,cAnGQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAejB,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,SAAS,CAAE,IAAI,CAChB,AAxGP,AAyGM,cAzGQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAqBjB,EAAE,AAAA,QAAQ,CAzGhB,cAAc,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAsBjB,EAAE,AAAA,QAAQ,AAAC,CACT,SAAS,CAAE,KAAK,CACjB,AA5GP,AA6GM,cA7GQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAyBjB,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,OAAO,CAAE,QAAQ,CACjB,SAAS,CAAE,IAAI,CAChB,AAnHP,AAoHM,cApHQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAgCjB,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,CAxHP,AA4HE,cA5HY,CA4HZ,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,IAAI,CAOd,AArIH,AA+HI,cA/HU,CA4HZ,WAAW,CAGT,CAAC,AAAA,cAAc,AAAC,CACd,YAAY,CAAE,MAAM,CACrB,AAjIL,AAkII,cAlIU,CA4HZ,WAAW,CAMT,aAAa,AAAC,CACZ,SAAS,CZtHH,QAAQ,CYuHf,AApIL,AAsIE,cAtIY,CAsIZ,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CACnB,AAxIH,AAyIE,cAzIY,CAyIZ,EAAE,AAAA,QAAQ,CAzIZ,cAAc,CA0IZ,EAAE,AAAA,QAAQ,AAAC,CACT,SAAS,CAAE,IAAI,CAChB,AAGH,AAAA,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAQnB,MAAM,CAAE,SAAS,CAmBlB,AA7BD,AAGE,2BAHyB,CAGzB,WAAW,AAAC,CACV,MAAM,CAAE,OAAO,CAChB,AALH,AAME,2BANyB,CAMzB,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,IAAI,CACd,AATH,AAWE,2BAXyB,CAWzB,CAAC,AAAA,OAAO,AAAC,CACP,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,MAAM,CACrB,gBAAgB,CZGR,OAAmD,CYF3D,OAAO,CAAE,QAAQ,CACjB,KAAK,CXnMC,IAAO,CW8Md,AA5BH,AAkBI,2BAlBuB,CAWzB,CAAC,AAAA,OAAO,AAOL,MAAM,AAAC,CACN,KAAK,CXrMD,IAAO,CWsMX,gBAAgB,CZFV,OAAmD,CYG1D,AArBL,AAsBI,2BAtBuB,CAWzB,CAAC,AAAA,OAAO,CAWN,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAxBL,AAyBI,2BAzBuB,CAWzB,CAAC,AAAA,OAAO,CAcN,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,iBADe,CACf,KAAK,AAAA,iBAAiB,AAAC,CACrB,OAAO,CAAE,OAAO,CACjB,AAHH,AAIE,iBAJe,CAIf,IAAI,AAAC,CACH,OAAO,CAAE,OAAO,CAIjB,AATH,AAMI,iBANa,CAIf,IAAI,CAEF,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AAIL,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,KAAK,CACf,AAED,AAAA,yBAAyB,AAAC,CACxB,WAAW,CAAE,GAAG,CAIjB,AALD,AAEE,yBAFuB,CAEvB,SAAS,AAAC,CACR,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CA6BhB,AA/BD,AAGE,qBAHmB,CAGnB,KAAK,AAAC,CACJ,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,eAAe,CACxB,AANH,AAOE,qBAPmB,CAOnB,CAAC,AAAC,CACA,MAAM,CAAE,QAAQ,CACjB,AATH,AAUE,qBAVmB,CAUnB,WAAW,AAAC,CACV,MAAM,CAAE,sBAAsB,CAC9B,IAAI,CAAE,QAAQ,CACf,AAbH,AAcE,qBAdmB,CAcnB,2BAA2B,CAd7B,qBAAqB,CAenB,yBAAyB,AAAC,CACxB,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACpB,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EArBrC,AAsBI,qBAtBiB,CAsBjB,yBAAyB,AAAC,CACxB,WAAW,CAAE,IAAI,CAClB,CAxBL,AA0BE,qBA1BmB,CA0BnB,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,eAAe,CACxB,AAGH,AACE,KADG,AAAA,sBAAsB,CACzB,EAAE,AAAA,WAAW,AAAC,CACZ,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,UAAU,CAItB,AAPH,AAII,KAJC,AAAA,sBAAsB,CACzB,EAAE,AAAA,WAAW,CAGX,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CACX,AANL,AAQE,KARG,AAAA,sBAAsB,CAQzB,EAAE,AAAA,OAAO,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CAUtB,AApBH,AAWI,KAXC,AAAA,sBAAsB,CAQzB,EAAE,AAAA,OAAO,CAGP,aAAa,AAAC,CACZ,KAAK,CX7QD,OAAO,CW8QZ,AAbL,AAcI,KAdC,AAAA,sBAAsB,CAQzB,EAAE,AAAA,OAAO,CAMP,WAAW,AAAC,CACV,KAAK,CXjRF,OAAO,CWkRX,AAhBL,AAiBI,KAjBC,AAAA,sBAAsB,CAQzB,EAAE,AAAA,OAAO,CASP,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AAIL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EACjC,AAAA,KAAK,AAAA,sBAAsB,CAAC,EAAE,AAAC,CAC7B,qBAAqB,CAAE,cAAc,CAAC,IAAI,CAC3C,CAGH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EACjC,AACE,KADG,AAAA,sBAAsB,CAAC,EAAE,CAC5B,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,EAAE,CACrB,eAAe,CAAE,EAAE,CACnB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,KAAK,CAClB,AAPH,AAQE,KARG,AAAA,sBAAsB,CAAC,EAAE,CAQ5B,EAAE,AAAA,WAAW,AAAC,CACZ,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,UAAU,CAAE,KAAK,CAClB,AAZH,AAaE,KAbG,AAAA,sBAAsB,CAAC,EAAE,CAa5B,EAAE,AAAA,cAAc,AAAC,CACf,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,UAAU,CAAE,KAAK,CAClB,AAjBH,AAkBE,KAlBG,AAAA,sBAAsB,CAAC,EAAE,CAkB5B,EAAE,AAAA,YAAY,AAAC,CACb,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,CRzSH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EQgTnC,AACE,cADY,CACZ,EAAE,AAAA,OAAO,AAAC,CACR,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,SAAS,CAAE,UAAU,CACtB,CAKL,AACE,gBADc,CACd,EAAE,AAAA,WAAW,AAAC,CACZ,SAAS,CAAE,UAAU,CAItB,ARhUD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EQ0TrC,AACE,gBADc,CACd,EAAE,AAAA,WAAW,AAAC,CAGV,SAAS,CAAE,IAAI,CAElB,CRhUD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EQ0TrC,AASI,gBATY,CASZ,EAAE,AAAA,MAAM,AAAC,CACP,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,SAAS,CAAE,UAAU,CACtB,AAbL,AAcI,gBAdY,CAcZ,EAAE,AAAA,WAAW,AAAC,CACZ,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACpB,AAlBL,AAmBI,gBAnBY,CAmBZ,EAAE,AAAA,OAAO,AAAC,CACR,UAAU,CAAE,MAAM,CACnB,CAML,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACZ,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,GAAG,CACpB,AAED,AACE,oBADkB,CAClB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,eAAe,CAAE,QAAQ,CAI1B,AARH,AAKI,oBALgB,CAClB,cAAc,CAIZ,UAAU,AAAC,CACT,WAAW,CAAE,GAAG,CACjB,AAIL,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CAClB,eAAe,CAAE,aAAa,CAO/B,AAXD,AAKE,sBALoB,CAKpB,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACd,AAPH,AAQE,sBARoB,CAQpB,SAAS,AAAC,CACR,eAAe,CAAE,QAAQ,CAC1B,AAGH,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,OAAO,CAQhB,AAVD,AAGE,aAHW,CAGX,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,KAAK,CZ7MG,OAAmD,CY8M5D,AANH,AAOE,aAPW,AAOV,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,CX7YA,OAAO,CW8Yb,AAGH,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,YAAY,CAItB,AALD,AAEE,kBAFgB,CAEhB,gBAAgB,AAAC,CACf,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,uBAAuB,AAAC,CACtB,WAAW,CAAE,GAAG,CAChB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,QAAQ,CAStB,AARC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EALrC,AAAA,uBAAuB,AAAC,CAMpB,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,KAAK,CAMpB,CAbD,AASE,uBATqB,CASrB,aAAa,AAAC,CACZ,SAAS,CZtXC,OAAQ,CYuXlB,UAAU,CAAE,GAAG,CAChB,AAGH,AACE,qBADmB,CACnB,MAAM,AAAC,CACL,MAAM,CAAE,aAAa,CACtB,AAGH,AAAA,yBAAyB,CAAC,CAAC,AAAC,CAC1B,UAAU,CAAE,CAAC,CACd,AAID,AACE,KADG,AAAA,iBAAiB,CACpB,EAAE,AAAA,KAAK,AAAC,CACN,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,UAAU,CAItB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAJvC,AACE,KADG,AAAA,iBAAiB,CACpB,EAAE,AAAA,KAAK,AAAC,CAIJ,KAAK,CAAE,IAAI,CAEd,CAPH,AAQE,KARG,AAAA,iBAAiB,CAQpB,EAAE,AAAA,IAAK,CAAA,KAAK,EARd,KAAK,AAAA,iBAAiB,CASpB,EAAE,AAAA,IAAK,CAAA,KAAK,CAAE,CACZ,UAAU,CAAE,MAAM,CACnB,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAZrC,AAcM,KAdD,AAAA,iBAAiB,CAalB,EAAE,CACA,EAAE,AAAA,KAAK,AAAC,CACN,iBAAiB,CAAE,CAAC,CACpB,WAAW,CAAE,MAAM,CACpB,CRxbL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EQuarC,AAsBM,KAtBD,AAAA,iBAAiB,CAqBlB,EAAE,CACA,EAAE,AAAA,KAAK,AAAC,CACN,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AAzBP,AA0BM,KA1BD,AAAA,iBAAiB,CAqBlB,EAAE,CAKA,EAAE,AAAA,IAAK,CAAA,KAAK,EA1BlB,KAAK,AAAA,iBAAiB,CAqBlB,EAAE,CAMA,EAAE,AAAA,IAAK,CAAA,KAAK,CAAE,CACZ,UAAU,CAAE,IAAI,CACjB,CAIL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAjCrC,AAkCI,KAlCC,AAAA,iBAAiB,CAkClB,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,WAAW,CAC7B,aAAa,CAAE,QAAQ,CAyBxB,AA9DL,AAsCM,KAtCD,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,SAAS,CAqBzB,AA7DP,AAyCQ,KAzCH,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,CAGA,MAAM,AAAC,CACL,YAAY,CAAE,CAAC,CAChB,AA3CT,AA4CQ,KA5CH,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,AAMC,KAAK,AAAC,CACL,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAhDT,AAiDQ,KAjDH,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,AAWC,IAAI,AAAA,YAAa,CAAA,CAAC,CAAE,CACnB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AApDT,AAqDQ,KArDH,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,AAeC,IAAI,AAAA,YAAa,CAAA,CAAC,CAAE,CACnB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAxDT,AAyDQ,KAzDH,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,AAmBC,IAAI,AAAA,YAAa,CAAA,CAAC,CAAE,CACnB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,CClfT,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,OAAO,CACd,WAAW,CAAE,OAAO,CA2BrB,AA/BD,AAKE,eALa,CAKb,CAAC,AAAA,YAAY,AAAC,CACZ,KAAK,CZVC,IAAO,CYWd,AAPH,AAQE,eARa,CAQb,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AAVH,AAWE,eAXa,CAWb,QAAQ,AAAA,MAAM,AAAC,CACb,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,KAAK,CACd,AAdH,AAeE,eAfa,CAeb,eAAe,AAAC,CACd,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,KAAK,CACd,AAlBH,AAmBE,eAnBa,CAmBb,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,IAAI,CACZ,AAvBH,AAwBE,eAxBa,CAwBb,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AAGH,AACE,eADa,CACb,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAHH,AAIE,eAJa,CAIb,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CAClB,AAGH,AACE,mBADiB,CACjB,GAAG,AAAA,MAAM,AAAC,CACR,aAAa,CAAE,IAAI,CAKpB,AAPH,AAGI,mBAHe,CACjB,GAAG,AAAA,MAAM,CAEP,MAAM,AAAC,CACL,KAAK,CAAE,GAAG,CACV,OAAO,CAAE,YAAY,CACtB,AANL,AASE,mBATiB,CASjB,MAAM,AAAC,CACL,KAAK,CZjDA,OAAO,CYkDb,AAGH,AACE,gBADc,AAAA,uBAAuB,CACrC,gBAAgB,AAAC,CACf,OAAO,CAAE,CAAC,CACX,AAHH,AAIE,gBAJc,AAAA,uBAAuB,CAIrC,cAAc,AAAC,CACb,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAInB,AAVH,AAOI,gBAPY,AAAA,uBAAuB,CAIrC,cAAc,CAGZ,GAAG,AAAC,CACF,KAAK,CZ7DF,OAAO,CY8DX,AATL,AAWE,gBAXc,AAAA,uBAAuB,CAWrC,UAAU,AAAC,CACT,gBAAgB,Cb4HR,OAAmD,Ca3H3D,OAAO,CAAE,GAAG,CACb,AAGH,AACE,gBADc,CACd,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CAKpB,AAPH,AAGI,gBAHY,CACd,EAAE,CAEA,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,SAAS,Cb9BD,OAAQ,Ca+BjB,AANL,AASE,gBATc,CASd,YAAY,AAAC,CACX,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,gBAAgB,Cb2GR,OAAmD,Ca1G3D,OAAO,CAAE,GAAG,CACb,AAdH,AAgBE,gBAhBc,CAgBd,gBAAgB,AAAC,CACf,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,IAAI,CACpB,AAnBH,AAoBE,gBApBc,CAoBd,aAAa,AAAC,CACZ,UAAU,CAAE,IAAI,CACjB,AAtBH,AAwBI,gBAxBY,CAuBd,cAAc,CAAC,EAAE,CACf,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,KAAK,Cb6FC,OAAmD,Ca5F1D,AA3BL,AA6BE,gBA7Bc,CA6Bd,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CAgEpB,AA/FH,AAiCI,gBAjCY,CA6Bd,mBAAmB,CAIjB,IAAI,AAAC,CACH,WAAW,Cb/CI,GAAG,CagDnB,AAnCL,AAqCI,gBArCY,CA6Bd,mBAAmB,CAQjB,MAAM,AAAC,CACL,SAAS,CbrEH,QAAQ,CasEd,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,IAAI,CAOpB,AA/CL,AAyCM,gBAzCU,CA6Bd,mBAAmB,CAQjB,MAAM,CAIJ,CAAC,AAAC,CACA,SAAS,CbnEH,OAAQ,CaoEf,AA3CP,AA4CM,gBA5CU,CA6Bd,mBAAmB,CAQjB,MAAM,CAOJ,IAAI,AAAC,CACH,WAAW,Cb3DC,CAAC,Ca4Dd,AA9CP,AAiDI,gBAjDY,CA6Bd,mBAAmB,CAoBjB,kBAAkB,AAAC,CACjB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,MAAM,CACf,AApDL,AAuDM,gBAvDU,CA6Bd,mBAAmB,CAyBjB,SAAS,CACP,QAAQ,CAvDd,gBAAgB,CA6Bd,mBAAmB,CAyBjB,SAAS,CAEP,QAAQ,AAAC,CACP,OAAO,CAAE,KAAK,CAKf,AA9DP,AA2DQ,gBA3DQ,CA6Bd,mBAAmB,CAyBjB,SAAS,CACP,QAAQ,CAIN,QAAQ,CA3DhB,gBAAgB,CA6Bd,mBAAmB,CAyBjB,SAAS,CAEP,QAAQ,CAGN,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AA7DT,AAiEI,gBAjEY,CA6Bd,mBAAmB,CAoCjB,GAAG,AAAA,WAAW,AAAC,CACb,SAAS,Cb5FD,OAAQ,Ca6FhB,aAAa,CAAE,GAAG,CACnB,AApEL,AAsEI,gBAtEY,CA6Bd,mBAAmB,CAyCjB,CAAC,AAAA,WAAW,CAtEhB,gBAAgB,CA6Bd,mBAAmB,CA0CjB,CAAC,AAAA,UAAU,CAvEf,gBAAgB,CA6Bd,mBAAmB,CA2CjB,CAAC,AAAA,YAAY,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CAInB,AA9EL,AA2EM,gBA3EU,CA6Bd,mBAAmB,CAyCjB,CAAC,AAAA,WAAW,CAKV,OAAO,CA3Eb,gBAAgB,CA6Bd,mBAAmB,CA0CjB,CAAC,AAAA,UAAU,CAIT,OAAO,CA3Eb,gBAAgB,CA6Bd,mBAAmB,CA2CjB,CAAC,AAAA,YAAY,CAGX,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AA7EP,AAgFI,gBAhFY,CA6Bd,mBAAmB,CAmDjB,WAAW,AAAC,CACV,SAAS,Cb7GH,QAAQ,Ca8Gd,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,GAAG,CACnB,AApFL,AAqFI,gBArFY,CA6Bd,mBAAmB,CAwDjB,aAAa,AAAC,CACZ,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,IAAI,CACjB,AAxFL,AAyFI,gBAzFY,CA6Bd,mBAAmB,CA4DjB,QAAQ,AAAC,CACP,aAAa,CAAE,IAAI,CACpB,AA3FL,AA4FI,gBA5FY,CA6Bd,mBAAmB,CA+DjB,YAAY,AAAC,CACX,aAAa,CAAE,IAAI,CACpB,AA9FL,AAgGE,gBAhGc,CAgGd,qBAAqB,AAAC,CACpB,cAAc,CAAE,MAAM,CACvB,AAlGH,AAmGE,gBAnGc,CAmGd,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CAItB,AAxGH,AAqGI,gBArGY,CAmGd,YAAY,CAEV,eAAe,AAAC,CACd,UAAU,CAAE,KAAK,CAClB,AAvGL,AA0GE,gBA1Gc,CA0Gd,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAAC,KAAK,CbWhB,OAAmD,CaV3D,UAAU,CAAE,GAAG,CAAC,KAAK,CbUb,OAAmD,CaT3D,YAAY,CAAE,GAAG,CAAC,KAAK,CbSf,OAAmD,Cac5D,AArIH,AA+GI,gBA/GY,CA0Gd,mBAAmB,CAKjB,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,GAAG,CAAC,KAAK,CbEhB,OAAmD,Caa1D,AApIL,AAuHM,gBAvHU,CA0Gd,mBAAmB,CAKjB,IAAI,AAQD,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CZrMD,IAAO,CYsMX,UAAU,CZhMT,OAAO,CYiMT,AA3HP,AA6HM,gBA7HU,CA0Gd,mBAAmB,CAKjB,IAAI,AAcD,IAAK,CAAA,OAAO,CAAE,CACb,MAAM,CAAE,OAAO,CAKhB,AAnIP,AAgIQ,gBAhIQ,CA0Gd,mBAAmB,CAKjB,IAAI,AAcD,IAAK,CAAA,OAAO,CAGV,MAAM,AAAC,CACN,gBAAgB,CbVd,OAAmD,CaWtD,AAlIT,AAuIE,gBAvIc,CAuId,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,WAAW,CACvB,UAAU,CAAE,IAAI,CAOhB,YAAY,CAAE,GAAG,CAAC,KAAK,Cb1Bf,OAAmD,Ca2B3D,aAAa,CAAE,GAAG,CAAC,KAAK,Cb3BhB,OAAmD,Ca4B3D,KAAK,CAAE,IAAI,CA8FZ,AAtGC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,MAAM,EA3IzC,AAuIE,gBAvIc,CAuId,sBAAsB,AAAC,CAKnB,UAAU,CAAE,IAAI,CAqGnB,CAnGC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EA9IxC,AAuIE,gBAvIc,CAuId,sBAAsB,AAAC,CAQnB,UAAU,CAAE,IAAI,CAkGnB,CAjPH,AAqJI,gBArJY,CAuId,sBAAsB,CAcpB,iBAAiB,AAAA,WAAW,AAAC,CAC3B,aAAa,CAAE,IAAI,CACpB,AAvJL,AAwJI,gBAxJY,CAuId,sBAAsB,CAiBpB,iBAAiB,AAAC,CAChB,KAAK,CZtOD,IAAO,CYuOX,aAAa,CAAE,GAAG,CAAC,KAAK,CbnClB,OAAmD,CaoCzD,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,GAAG,CAAC,KAAK,CbrChB,OAAmD,CayH1D,AAhPL,AA8JM,gBA9JU,CAuId,sBAAsB,CAiBpB,iBAAiB,AAMd,mBAAmB,AAAC,CACnB,YAAY,CAAE,CAAC,CACf,WAAW,CAAE,CAAC,CACd,WAAW,CAAE,IAAI,CACjB,KAAK,Cb3CD,OAAmD,CaiDxD,AAxKP,AAoKQ,gBApKQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAMd,mBAAmB,CAMlB,IAAI,AAAA,MAAM,AAAC,CACT,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,IAAI,CAClB,AAvKT,AAyKM,gBAzKU,CAuId,sBAAsB,CAiBpB,iBAAiB,AAiBd,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,SAAS,CAAC,MAAM,AAAC,CAC9C,gBAAgB,CbnDZ,OAAmD,CauDxD,AA9KP,AA2KQ,gBA3KQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAiBd,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,SAAS,CAAC,MAAM,CAE7C,UAAU,AAAC,CACT,YAAY,CbrDV,OAAmD,CasDtD,AA7KT,AAgLM,gBAhLU,CAuId,sBAAsB,CAiBpB,iBAAiB,AAwBd,SAAS,AAAC,CACT,KAAK,CZ7PD,IAAO,CY8PX,gBAAgB,CZ7Pb,OAAO,CYoQX,AAzLP,AAmLQ,gBAnLQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAwBd,SAAS,CAGR,gBAAgB,AAAC,CACf,KAAK,CZhQH,IAAO,CYiQV,AArLT,AAsLQ,gBAtLQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAwBd,SAAS,CAMR,GAAG,AAAC,CACF,KAAK,CAAE,OAAO,CACf,AAxLT,AA2LQ,gBA3LQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAkCd,IAAK,CAAA,SAAS,EACb,iBAAiB,AAAC,CAChB,KAAK,CZlQN,OAAO,CYmQP,AA7LT,AA8LQ,gBA9LQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAkCd,IAAK,CAAA,SAAS,EAIb,GAAG,AAAC,CACF,OAAO,CAAE,GAAG,CACb,AAhMT,AAiMQ,gBAjMQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAkCd,IAAK,CAAA,SAAS,EAOb,kBAAkB,AAAC,CACjB,KAAK,CZvQL,OAAO,CYwQR,AAnMT,AAsMM,gBAtMU,CAuId,sBAAsB,CAiBpB,iBAAiB,CA8Cf,gBAAgB,AAAC,CACf,KAAK,CbhFD,OAAmD,CaiFxD,AAxMP,AA0MM,gBA1MU,CAuId,sBAAsB,CAiBpB,iBAAiB,CAkDf,KAAK,AAAC,CACJ,QAAQ,CAAE,MAAM,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,IAAI,CACjB,SAAS,Cb1OL,QAAQ,Ca+Ob,AAnNP,AAgNQ,gBAhNQ,CAuId,sBAAsB,CAiBpB,iBAAiB,CAkDf,KAAK,CAMH,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAlNT,AAqNM,gBArNU,CAuId,sBAAsB,CAiBpB,iBAAiB,CA6Df,gBAAgB,AAAC,CACf,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,YAAY,CACrB,SAAS,CblPH,OAAQ,CamPd,WAAW,CAAE,QAAQ,CACrB,KAAK,CbnGD,OAAmD,CayGxD,AAhOP,AA4NQ,gBA5NQ,CAuId,sBAAsB,CAiBpB,iBAAiB,CA6Df,gBAAgB,CAOd,aAAa,CA5NrB,gBAAgB,CAuId,sBAAsB,CAiBpB,iBAAiB,CA6Df,gBAAgB,CAQd,aAAa,AAAA,MAAM,AAAC,CAClB,eAAe,CAAE,SAAS,CAC3B,AA/NT,AAkOM,gBAlOU,CAuId,sBAAsB,CAiBpB,iBAAiB,CA0Ef,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,OAAO,CAChB,AArOP,AAuOM,gBAvOU,CAuId,sBAAsB,CAiBpB,iBAAiB,CA+Ef,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,iBAAiB,CAC3B,AAzOP,AA2OM,gBA3OU,CAuId,sBAAsB,CAiBpB,iBAAiB,CAmFf,cAAc,CA3OpB,gBAAgB,CAuId,sBAAsB,CAiBpB,iBAAiB,CAoFf,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CAAE,OAAO,CACd,KAAK,CAAE,IAAI,CACZ,AA/OP,AAoPI,gBApPY,CAmPd,MAAM,AAAA,SAAS,CACb,cAAc,AAAC,CACb,UAAU,CAAE,IAAI,CACjB,AAtPL,AAuPI,gBAvPY,CAmPd,MAAM,AAAA,SAAS,CAIb,kBAAkB,AAAC,CACjB,cAAc,CAAE,CAAC,CACjB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,IAAI,CACjB,AA3PL,AA4PI,gBA5PY,CAmPd,MAAM,AAAA,SAAS,CASb,cAAc,AAAC,CACb,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,UAAU,CAKtB,AAnQL,AA+PM,gBA/PU,CAmPd,MAAM,AAAA,SAAS,CASb,cAAc,CAGZ,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,aAAa,CAAE,MAAM,CACtB,AAlQP,AAsQE,gBAtQc,CAsQd,cAAc,AAAA,UAAU,AAAC,CACvB,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,OAAO,CbnQK,IAAI,CaoQhB,gBAAgB,CAAE,KAAK,CACvB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CAQV,AAxRH,AAiRI,gBAjRY,CAsQd,cAAc,AAAA,UAAU,CAWtB,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CACZ,AAvRL,AA0RE,gBA1Rc,CA0Rd,aAAa,CA1Rf,gBAAgB,CA2Rd,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACZ,AA7RH,AA8RE,gBA9Rc,CA8Rd,aAAa,CAAC,EAAE,AAAC,CACf,aAAa,CAAE,IAAI,CACpB,AAhSH,AAiSE,gBAjSc,CAiSd,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CAyGZ,AA3YH,AAoSI,gBApSY,CAiSd,cAAc,CAGZ,gBAAgB,AAAC,CACf,MAAM,CAAE,CAAC,CACV,AAtSL,AAwSI,gBAxSY,CAiSd,cAAc,CAOZ,cAAc,CAAC,UAAU,CAAG,EAAE,CAAC,CAAC,AAAA,OAAO,AAAC,CACtC,gBAAgB,CZnXT,OAAO,CYoXd,KAAK,CZtXC,IAAO,CYuXd,AA3SL,AA6SI,gBA7SY,CAiSd,cAAc,CAYZ,cAAc,CAAC,EAAE,AAAC,CAChB,cAAc,CAAE,CAAC,CAClB,AA/SL,AAkTM,gBAlTU,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,AAAC,CACD,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,IAAI,CAoCd,AAxVP,AAsTQ,gBAtTQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,AAIC,OAAO,AAAC,CACP,SAAS,CAAE,CAAC,CACb,AAxTT,AA0TQ,gBA1TQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,AAQC,aAAa,CAAG,CAAC,AAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AA5TT,AA8TQ,gBA9TQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CAYA,CAAC,AAAA,QAAQ,CAAC,OAAO,AAAC,CAChB,YAAY,CAAE,CAAC,CAChB,AAhUT,AAkUQ,gBAlUQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CAgBA,KAAK,AAAC,CACJ,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,CAAC,CACjB,AArUT,AAuUQ,gBAvUQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CAqBA,CAAC,AAAA,OAAO,AAAC,CACP,UAAU,CbjNR,OAAmD,CakNrD,KAAK,CZrZH,IAAO,CYsZV,AA1UT,AA4UQ,gBA5UQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CA0BA,CAAC,AAAA,MAAM,AAAA,IAAK,CAAA,OAAO,CAAE,CACnB,KAAK,CbtNH,OAAmD,CauNtD,AA9UT,AAgVQ,gBAhVQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CA8BA,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AAnVT,AAqVQ,gBArVQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CAmCA,MAAM,AAAC,CACL,YAAY,CAAE,CAAC,CAChB,AAvVT,AA2VI,gBA3VY,CAiSd,cAAc,CA0DZ,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,IAAI,CACZ,AA/VL,AAkWM,gBAlWU,CAiSd,cAAc,AAgEX,UAAU,CACT,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,IAAI,CACZ,AAvWP,AAwWM,gBAxWU,CAiSd,cAAc,AAgEX,UAAU,CAOT,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACb,AA3WP,AA4WM,gBA5WU,CAiSd,cAAc,AAgEX,UAAU,CAWT,YAAY,AAAC,CACX,MAAM,CAAE,kBAAkB,CAC3B,AA9WP,AAiXI,gBAjXY,CAiSd,cAAc,CAgFZ,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AAvXL,AAyXI,gBAzXY,CAiSd,cAAc,CAwFZ,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,GAAG,CAIhB,AA/XL,AA4XM,gBA5XU,CAiSd,cAAc,CAwFZ,eAAe,CAGb,IAAI,AAAC,CACH,YAAY,CAAE,IAAI,CACnB,AA9XP,AAiYI,gBAjYY,CAiSd,cAAc,CAgGZ,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CAOb,AA1YL,AAoYM,gBApYU,CAiSd,cAAc,CAgGZ,QAAQ,CAGN,OAAO,AAAC,CACN,OAAO,CAAE,SAAS,CAClB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CZrdH,IAAO,CYsdV,AAzYP,AA8YM,gBA9YU,CA4Yd,aAAa,CACX,SAAS,CACP,MAAM,CA9YZ,gBAAgB,CA4Yd,aAAa,CACX,SAAS,CAEP,CAAC,AAAC,CACA,YAAY,CAAE,IAAI,CACnB,AAjZP,AAqZI,gBArZY,CAoZd,OAAO,CACL,KAAK,CAAC,EAAE,AAAC,CACP,MAAM,CAAE,IAAI,CACb,AAvZL,AAwZI,gBAxZY,CAoZd,OAAO,CAIL,EAAE,AAAA,IAAI,AAAC,CACL,KAAK,CAAE,KAAK,CACb,AA1ZL,AA2ZI,gBA3ZY,CAoZd,OAAO,CAOL,EAAE,AAAA,QAAQ,AAAC,CACT,KAAK,CAAE,KAAK,CACb,AA7ZL,AA8ZI,gBA9ZY,CAoZd,OAAO,CAUL,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,CAAC,CACjB,AAjaL,AAkaI,gBAlaY,CAoZd,OAAO,CAcL,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CACnB,AApaL,AAqaI,gBAraY,CAoZd,OAAO,CAiBL,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AAvaL,AAwaI,gBAxaY,CAoZd,OAAO,CAoBL,YAAY,AAAC,CACX,MAAM,CAAE,UAAU,CAClB,KAAK,CbnTC,OAAmD,CaoTzD,SAAS,CbrcD,OAAQ,CaschB,WAAW,CbzbI,GAAG,Ca0bnB,AA7aL,AA+aI,gBA/aY,CAoZd,OAAO,CA2BL,QAAQ,CAAC,IAAI,CAAC,KAAK,AAAC,CAClB,gBAAgB,CAAE,KAAK,CACvB,KAAK,CAAE,KAAK,CACZ,YAAY,CZxfT,OAAO,CYyfX,AAnbL,AAsbE,gBAtbc,CAsbd,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CACd,SAAS,CbldC,OAAQ,CamdlB,UAAU,CAAE,GAAG,CAChB,AA1bH,AA4bE,gBA5bc,CA4bd,eAAe,AAAC,CACd,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAuBf,AArdH,AA+bI,gBA/bY,CA4bd,eAAe,CAGb,EAAE,AAAC,CAYD,OAAO,CAAE,SAAS,CASnB,AApdL,AAicQ,gBAjcQ,CA4bd,eAAe,CAGb,EAAE,AACC,eAAe,CACd,WAAW,AAAC,CACV,KAAK,Cb3UH,OAAmD,Ca+UtD,AAtcT,AAmcU,gBAncM,CA4bd,eAAe,CAGb,EAAE,AACC,eAAe,CACd,WAAW,AAER,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AArcX,AAwcM,gBAxcU,CA4bd,eAAe,CAGb,EAAE,CASA,IAAI,AAAC,CACH,WAAW,CAAE,GAAG,CACjB,AA1cP,AA4cM,gBA5cU,CA4bd,eAAe,CAGb,EAAE,CAaA,IAAI,AAAA,WAAW,AAAC,CACd,aAAa,CAAE,IAAI,CACnB,cAAc,CAAE,IAAI,CACpB,SAAS,CAAE,IAAI,CAChB,AAhdP,AAidM,gBAjdU,CA4bd,eAAe,CAGb,EAAE,CAkBA,IAAI,AAAC,CACH,OAAO,CAAE,UAAU,CACpB,AAKP,AACE,iBADe,CACf,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,MAAM,CAItB,AAPH,AAII,iBAJa,CACf,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAGF,KAAK,AAAC,CACN,KAAK,CbtWC,OAAmD,CauW1D,AANL,AAQE,iBARe,CAQf,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACtB,AAGH,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACX,AAED,AAAA,WAAW,CAAC,OAAO,CAAC,OAAO,AAAC,CAC1B,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,WAAW,CAAC,OAAO,CAAC,cAAc,AAAC,CACjC,UAAU,CAAE,IAAI,CAgBjB,AAjBD,AAEE,WAFS,CAAC,OAAO,CAAC,cAAc,CAEhC,KAAK,AAAC,CACJ,YAAY,CAAE,CAAC,CAChB,AAJH,AAKE,WALS,CAAC,OAAO,CAAC,cAAc,CAKhC,KAAK,CAAC,KAAK,AAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CACd,AARH,AAUE,WAVS,CAAC,OAAO,CAAC,cAAc,CAUhC,WAAW,AAAC,CACV,UAAU,CAAE,IAAI,CAKjB,AAhBH,AAYI,WAZO,CAAC,OAAO,CAAC,cAAc,CAUhC,WAAW,CAET,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,KAAK,CACd,AAKL,AACE,WADS,CACT,IAAI,CADN,WAAW,CAET,MAAM,CAFR,WAAW,CAGT,SAAS,CAHX,WAAW,CAIT,aAAa,CAJf,WAAW,CAKT,KAAK,AAAC,CTvhBN,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CSuhBrB,SAAS,CAAE,KAAK,CAIjB,ATtkBD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ES2jBrC,AACE,WADS,CACT,IAAI,CADN,WAAW,CAET,MAAM,CAFR,WAAW,CAGT,SAAS,CAHX,WAAW,CAIT,aAAa,CAJf,WAAW,CAKT,KAAK,AAAC,CAIF,SAAS,CAAE,IAAI,CAElB,CAXH,AAaE,WAbS,AAaR,KAAK,CAAC,EAAE,AAAA,gBAAgB,AAAC,CACxB,qBAAqB,CAAE,KAAK,CAC7B,AAGH,AAAA,iBAAiB,AAAC,CAChB,UAAU,CAAE,IAAI,CAIjB,ATllBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ES6kBrC,AAAA,iBAAiB,AAAC,CAGd,UAAU,CAAE,KAAK,CAEpB,CAED,AAAA,eAAe,AAAC,CACd,WAAW,CAAE,UAAU,CACvB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,IAAI,CAehB,ATvmBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ESolBrC,AAAA,eAAe,AAAC,CAMZ,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,GAAG,CAYtB,CAnBD,AAUE,eAVa,CAUb,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAZH,AAaE,eAba,CAab,KAAK,AAAC,CACJ,MAAM,CAAE,KAAK,CAId,ATtmBD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ESolBrC,AAaE,eAba,CAab,KAAK,AAAC,CAGF,MAAM,CAAE,KAAK,CAEhB,CAGH,AAAA,gBAAgB,AAAC,CACf,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,sBAAsB,AAAC,CACrB,KAAK,Cb7bK,OAAmD,Ca8b9D,AAGD,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,GAAG,CA6DnB,AA9DD,AAEE,iBAFe,CAEf,KAAK,AAAA,KAAK,AAAC,CACT,aAAa,CAAE,GAAG,CAYnB,AAfH,AAII,iBAJa,CAEf,KAAK,AAAA,KAAK,CAER,EAAE,CAAC,EAAE,AAAC,CACJ,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CAClB,AARL,AASI,iBATa,CAEf,KAAK,AAAA,KAAK,CAOR,EAAE,AAAA,SAAS,AAAC,CACV,SAAS,CAAE,GAAG,CACf,AAXL,AAYI,iBAZa,CAEf,KAAK,AAAA,KAAK,CAUR,WAAW,AAAA,UAAU,AAAA,iBAAiB,AAAC,CACrC,KAAK,CAAE,iBAAiB,CACzB,AAEH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAhBrC,AAkBM,iBAlBW,CAiBb,KAAK,AAAA,KAAK,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AApBP,AAqBM,iBArBW,CAiBb,KAAK,AAAA,KAAK,CAIR,GAAG,AAAA,MAAM,AAAC,CACR,OAAO,CAAE,KAAK,CACd,SAAS,CbzmBH,OAAQ,Ca0mBd,KAAK,CbzdD,OAAmD,Ca0dxD,AAzBP,AA0BM,iBA1BW,CAiBb,KAAK,AAAA,KAAK,CASR,EAAE,AAAA,SAAS,CA1BjB,iBAAiB,CAiBb,KAAK,AAAA,KAAK,CAUR,EAAE,AAAA,iBAAiB,AAAC,CAClB,UAAU,CAAE,GAAG,CAChB,AA7BP,AA8BM,iBA9BW,CAiBb,KAAK,AAAA,KAAK,CAaR,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,cAAc,CACtC,CAIL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EArCrC,AAuCM,iBAvCW,CAsCb,KAAK,AAAA,KAAK,CACR,EAAE,CAAC,EAAE,AAAA,cAAc,AAAC,CAClB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,SAAS,CAAE,IAAI,CAIhB,AA9CP,AA2CQ,iBA3CS,CAsCb,KAAK,AAAA,KAAK,CACR,EAAE,CAAC,EAAE,AAAA,cAAc,CAIjB,KAAK,AAAC,CACJ,KAAK,CAAE,iBAAiB,CACzB,AA7CT,AA+CM,iBA/CW,CAsCb,KAAK,AAAA,KAAK,CASR,EAAE,AAAA,iBAAiB,AAAC,CAClB,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,IAAI,CAChB,CTpqBL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ESknBrC,AAuDI,iBAvDa,CAuDb,KAAK,AAAA,KAAK,CAAC,EAAE,AAAC,CACZ,qBAAqB,CAAE,cAAc,CAItC,AA5DL,AAyDM,iBAzDW,CAuDb,KAAK,AAAA,KAAK,CAAC,EAAE,CAEX,EAAE,AAAA,SAAS,AAAC,CACV,UAAU,CAAE,IAAI,CACjB,CAKP,AAAA,oBAAoB,AAAC,CAInB,aAAa,CAAE,GAAG,CAYnB,AAhBD,AACE,oBADkB,CAClB,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACd,AAHH,AAKE,oBALkB,CAKlB,cAAc,AAAC,CAIb,MAAM,CAAE,QAAQ,CACjB,AAVH,AAMI,oBANgB,CAKlB,cAAc,CACZ,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACX,AARL,AAWE,oBAXkB,CAWlB,CAAC,AAAA,YAAY,AAAC,CACZ,KAAK,Cb7gBG,OAAmD,Ca8gB3D,aAAa,CAAE,GAAG,CAClB,SAAS,CAAE,KAAK,CACjB,AAGH,AAAA,UAAU,CAAC,EAAE,CAAC,KAAK,AAAC,CAClB,aAAa,CAAE,CAAC,CACjB,AAED,AACE,YADU,CACV,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAHH,AAIE,YAJU,CAIV,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,Cb9hBhB,OAAmD,CaukB5D,AAhDH,AAQI,YARQ,CAIV,WAAW,CAIT,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACZ,AAZL,AAaI,YAbQ,CAIV,WAAW,CAST,aAAa,CAbjB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,QAAQ,CAuBlB,AAxCL,AAkBM,YAlBM,CAIV,WAAW,CAST,aAAa,AAKV,WAAW,CAlBlB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAIf,WAAW,AAAC,CACX,KAAK,CAAE,GAAG,CAYX,AA/BP,AAoBQ,YApBI,CAIV,WAAW,CAST,aAAa,AAKV,WAAW,CAEV,WAAW,CApBnB,YAAY,CAIV,WAAW,CAST,aAAa,AAKV,WAAW,CAGV,WAAW,CArBnB,YAAY,CAIV,WAAW,CAST,aAAa,AAKV,WAAW,CAIV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAtBd,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAIf,WAAW,CAEV,WAAW,CApBnB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAIf,WAAW,CAGV,WAAW,CArBnB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAIf,WAAW,CAIV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACX,AAxBT,AA2BU,YA3BE,CAIV,WAAW,CAST,aAAa,AAKV,WAAW,CAQV,WAAW,CACT,WAAW,CA3BrB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAIf,WAAW,CAQV,WAAW,CACT,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AA7BX,AAgCM,YAhCM,CAIV,WAAW,CAST,aAAa,AAmBV,WAAW,CAhClB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAkBf,WAAW,AAAC,CACX,KAAK,CAAE,GAAG,CAMX,AAvCP,AAkCQ,YAlCI,CAIV,WAAW,CAST,aAAa,AAmBV,WAAW,CAEV,KAAK,CAlCb,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAkBf,WAAW,CAEV,KAAK,AAAC,CACJ,MAAM,CAAE,aAAa,CACrB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,IAAI,CAClB,AAtCT,AAyCI,YAzCQ,CAIV,WAAW,CAqCT,SAAS,AAAC,CACR,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAClB,AA5CL,AA6CI,YA7CQ,CAIV,WAAW,CAyCT,SAAS,AAAC,CACR,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,aADW,CACX,oBAAoB,AAAC,CACnB,SAAS,CbhuBD,QAAQ,CaiuBhB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,KAAK,CACd,AALH,AAOE,aAPW,CAOX,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AAGH,AACE,gBADc,CACd,GAAG,AAAA,WAAW,AAAC,CACb,UAAU,CbxlBF,OAAmD,CaylB3D,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CACnB,AALH,AAME,gBANc,CAMd,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,IAAI,CACb,AAGH,AACE,gCAD8B,CAC9B,eAAe,CADjB,gCAAgC,CAE9B,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CAChB,AAJH,AAME,gCAN8B,CAM9B,SAAS,AAAC,CACR,MAAM,CAAE,IAAI,CACb,AAGH,AACE,4BAD0B,CAC1B,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CAQd,AAZH,AAKI,4BALwB,CAC1B,YAAY,CAIV,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AC7zBL,AAAA,cAAc,AAAC,CACb,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,IAAI,CACd,AAED,AAAA,oBAAoB,AAAC,CACnB,KAAK,CAAE,KAAK,CACb,AAED,AAAA,mBAAmB,AAAC,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,Cd0LP,OAAmD,CczL7D,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CAiCnB,AApCD,AAKE,mBALiB,AAKhB,WAAW,AAAC,CACX,aAAa,CAAE,GAAG,CAAC,KAAK,CdqLhB,OAAmD,CcpL5D,AAPH,AASE,mBATiB,CASjB,KAAK,CATP,mBAAmB,CAUjB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,mBAdiB,CAcjB,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,mBAAmB,CAC5B,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,OAAO,CAChB,AAnBH,AAqBE,mBArBiB,CAqBjB,KAAK,AAAA,QAAQ,CAAG,KAAK,AAAC,CACpB,KAAK,Cb9BG,IAAO,Ca+Bf,gBAAgB,Cb9BT,OAAO,CamCf,AA5BH,AAwBI,mBAxBe,CAqBjB,KAAK,AAAA,QAAQ,CAAG,KAAK,CAGjB,OAAO,AAAC,CACR,OAAO,CAAE,KAAK,CACd,KAAK,CblCC,IAAO,CamCd,AA3BL,AA8BE,mBA9BiB,CA8BjB,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,GAAG,CACR,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,iBAAiB,CAC1B,KAAK,CAAE,kBAAkB,CAC1B,AAED,AACE,KADG,CACH,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACX,AAGH,AAAA,oBAAoB,AAAC,CACnB,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,IAAI,CACd,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,mBAAmB,AAAC,CAClB,aAAa,CAAE,GAAG,CAAC,KAAK,CdmId,OAAmD,CclI7D,OAAO,CAAE,OAAO,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAuCpB,AA3CD,AAKE,mBALiB,CAKjB,mBAAmB,AAAC,CAClB,IAAI,CAAE,CAAC,CAqBR,AA3BH,AAOI,mBAPe,CAKjB,mBAAmB,CAEjB,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACnB,SAAS,CdrBD,OAAQ,CcsBhB,KAAK,Cd0HC,OAAmD,CczH1D,AAXL,AAaI,mBAbe,CAKjB,mBAAmB,CAQjB,CAAC,AAAC,CACA,KAAK,CdsHC,OAAmD,CcrHzD,WAAW,CAAE,IAAI,CAMlB,AArBL,AAgBM,mBAhBa,CAKjB,mBAAmB,CAQjB,CAAC,AAGE,MAAM,CAhBb,mBAAmB,CAKjB,mBAAmB,CAQjB,CAAC,AAIE,QAAQ,CAjBf,mBAAmB,CAKjB,mBAAmB,CAQjB,CAAC,AAKE,OAAO,AAAC,CACP,KAAK,CdiHD,OAAmD,CchHxD,AApBP,AAuBI,mBAvBe,CAKjB,mBAAmB,CAkBjB,0BAA0B,AAAC,CACzB,SAAS,CdrCD,OAAQ,CcsChB,aAAa,CAAE,IAAI,CACpB,AA1BL,AA6BI,mBA7Be,CA4BjB,sBAAsB,CAClB,IAAI,AAAC,CACL,UAAU,CAAE,MAAM,CAClB,SAAS,Cd5CD,OAAQ,Cc6ChB,KAAK,CdoGC,OAAmD,CcnGzD,YAAY,CAAE,GAAG,CAClB,AAlCL,AAoCI,mBApCe,CA4BjB,sBAAsB,CAQlB,CAAC,AAAC,CACF,OAAO,CAAE,KAAK,CACd,SAAS,CdlDD,OAAQ,CcmDhB,UAAU,CAAE,GAAG,CACf,UAAU,CAAE,MAAM,CACnB,ACvGL,AAEI,KAFC,AAAA,UAAU,AAAA,KAAK,CAClB,EAAE,AAAA,gBAAgB,CAChB,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AALL,AAMI,KANC,AAAA,UAAU,AAAA,KAAK,CAClB,EAAE,AAAA,gBAAgB,CAKhB,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AARL,AAUE,KAVG,AAAA,UAAU,AAAA,KAAK,CAUlB,EAAE,AAAA,YAAY,AAAC,CACb,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,IAAI,CAChB,AAbH,AAcE,KAdG,AAAA,UAAU,AAAA,KAAK,CAclB,EAAE,AAAA,SAAS,AAAC,CACV,OAAO,CAAE,IAAI,CAId,AAnBH,AAgBI,KAhBC,AAAA,UAAU,AAAA,KAAK,CAclB,EAAE,AAAA,SAAS,CAET,MAAM,AAAC,CACL,WAAW,CAAE,MAAM,CACpB,AAEH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EApBrC,AAsBM,KAtBD,AAAA,UAAU,AAAA,KAAK,CAqBhB,KAAK,CACH,EAAE,AAAC,CACD,qBAAqB,CAAE,KAAK,CAAC,cAAc,CAAC,KAAK,CAClD,AAxBP,AA0BM,KA1BD,AAAA,UAAU,AAAA,KAAK,CAqBhB,KAAK,CAKH,EAAE,AAAA,SAAS,AAAC,CACV,UAAU,CAAE,KAAK,CAClB,CXXL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EWjBrC,AAiCM,KAjCD,AAAA,UAAU,AAAA,KAAK,CAgChB,KAAK,CACH,EAAE,AAAC,CACD,qBAAqB,CAAE,SAAS,CACjC,AAnCP,AAqCI,KArCC,AAAA,UAAU,AAAA,KAAK,CAqChB,EAAE,AAAA,SAAS,AAAC,CACV,QAAQ,CAAE,CAAC,CACZ,CAGH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA1CrC,AA2CI,KA3CC,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,mBAAmB,CAoBtC,AAjEL,AA8CM,KA9CD,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,CAGA,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CAiBlB,AAhEP,AAgDQ,KAhDH,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,CAGA,EAAE,AAEC,gBAAgB,AAAC,CAChB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAnDT,AAoDQ,KApDH,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,CAGA,EAAE,AAMC,YAAY,AAAC,CACZ,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvDT,AAwDQ,KAxDH,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,CAGA,EAAE,AAUC,YAAY,AAAC,CACZ,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA3DT,AA4DQ,KA5DH,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,CAGA,EAAE,AAcC,SAAS,AAAC,CACT,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,CAQT,AAAA,KAAK,AAAA,SAAS,AAAC,CACb,aAAa,CAAE,MAAM,CA0EtB,AA3ED,AAGE,KAHG,AAAA,SAAS,CAGZ,aAAa,AAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AALH,AAOE,KAPG,AAAA,SAAS,CAOZ,EAAE,AAAA,QAAQ,AAAC,CACT,KAAK,CfmHG,OAAmD,CelH5D,AX/DD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EWsDrC,AAYI,KAZC,AAAA,SAAS,CAYV,EAAE,AAAC,CACD,qBAAqB,CAAE,cAAc,CACtC,AAdL,AAeI,KAfC,AAAA,SAAS,CAeV,EAAE,AAAA,IAAI,AAAC,CACL,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,SAAS,CAAE,IAAI,CAChB,AApBL,AAqBI,KArBC,AAAA,SAAS,CAqBV,EAAE,AAAA,gBAAgB,AAAC,CACjB,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACnB,SAAS,CAAE,IAAI,CAChB,AA1BL,AA2BI,KA3BC,AAAA,SAAS,CA2BV,EAAE,AAAA,SAAS,AAAC,CACV,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,AA9BL,AA+BI,KA/BC,AAAA,SAAS,CA+BV,EAAE,AAAA,aAAa,AAAC,CACd,QAAQ,CAAE,CAAC,CACX,eAAe,CAAE,EAAE,CACnB,iBAAiB,CAAE,CAAC,CACpB,UAAU,CAAE,KAAK,CAIlB,AAvCL,AAoCM,KApCD,AAAA,SAAS,CA+BV,EAAE,AAAA,aAAa,CAKb,IAAI,AAAC,CACH,aAAa,CAAE,MAAM,CACtB,CAIL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA1CrC,AA2CI,KA3CC,AAAA,SAAS,CA2CV,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,cAAc,CAChC,aAAa,CAAE,SAAS,CA2BzB,AAzEL,AA+CM,KA/CD,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CAwBlB,AAxEP,AAkDQ,KAlDH,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAGC,IAAI,AAAC,CACJ,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAtDT,AAuDQ,KAvDH,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAQC,SAAS,AAAC,CACT,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA1DT,AA2DQ,KA3DH,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAYC,aAAa,AAAC,CACb,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACvB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,WAAW,CAO9B,AAvET,AAiEU,KAjEL,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAYC,aAAa,CAMZ,MAAM,AAAA,cAAc,AAAC,CACnB,eAAe,CAAE,CAAC,CACnB,AAnEX,AAoEU,KApEL,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAYC,aAAa,CASZ,MAAM,AAAA,aAAa,AAAC,CAClB,eAAe,CAAE,CAAC,CACnB,CAOX,AACE,eADa,CACb,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAHH,AAIE,eAJa,CAIb,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,CfuChB,OAAmD,CeR5D,AAtCH,AAQI,eARW,CAIb,QAAQ,CAIN,aAAa,CARjB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAqBjB,AAhCL,AAYM,eAZS,CAIb,QAAQ,CAIN,aAAa,AAIV,WAAW,CAZlB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAGf,WAAW,AAAC,CACX,KAAK,CAAE,GAAG,CAUX,AAvBP,AAcQ,eAdO,CAIb,QAAQ,CAIN,aAAa,AAIV,WAAW,CAEV,WAAW,CAdnB,eAAe,CAIb,QAAQ,CAIN,aAAa,AAIV,WAAW,CAGV,WAAW,CAfnB,eAAe,CAIb,QAAQ,CAIN,aAAa,AAIV,WAAW,CAIV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAhBd,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAGf,WAAW,CAEV,WAAW,CAdnB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAGf,WAAW,CAGV,WAAW,CAfnB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAGf,WAAW,CAIV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,CAAC,CACV,AAnBT,AAoBQ,eApBO,CAIb,QAAQ,CAIN,aAAa,AAIV,WAAW,CAQV,QAAQ,CApBhB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAGf,WAAW,CAQV,QAAQ,AAAC,CACP,KAAK,CAAE,cAAc,CACtB,AAtBT,AAwBM,eAxBS,CAIb,QAAQ,CAIN,aAAa,AAgBV,WAAW,CAxBlB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAef,WAAW,AAAC,CACX,KAAK,CAAE,GAAG,CAMX,AA/BP,AA0BQ,eA1BO,CAIb,QAAQ,CAIN,aAAa,AAgBV,WAAW,CAEV,KAAK,CA1Bb,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAef,WAAW,CAEV,KAAK,AAAC,CACJ,MAAM,CAAE,aAAa,CACrB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,IAAI,CAClB,AA9BT,AAiCI,eAjCW,CAIb,QAAQ,CA6BN,SAAS,AAAC,CACR,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,GAAG,CACX,AAKL,AACE,mBADiB,CACjB,IAAI,AAAA,KAAK,AAAA,MAAM,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AAHH,AAIE,mBAJiB,CAIjB,KAAK,AAAC,CACJ,SAAS,CAAE,iBAAkB,CAC9B,AANH,AAOE,mBAPiB,CAOjB,WAAW,CAPb,mBAAmB,CAQjB,WAAW,AAAA,aAAa,AAAC,CACvB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CACjB,AAXH,AAaE,mBAbiB,CAajB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,OAAO,CAQhB,AAxBH,AAkBI,mBAlBe,CAajB,eAAe,CAKb,WAAW,AAAC,CACV,aAAa,CAAE,KAAK,CAIrB,AXpMH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EW6KrC,AAkBI,mBAlBe,CAajB,eAAe,CAKb,WAAW,AAAC,CAGR,KAAK,CAAE,IAAI,CAEd,CAvBL,AA0BE,mBA1BiB,CA0Bf,CAAC,AAAC,CACF,cAAc,CAAE,IAAI,CACpB,aAAa,CfxBL,OAAmD,CewB/B,GAAG,CAAC,KAAK,CACtC,AA7BH,AA8BE,mBA9BiB,CA8BjB,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACb,cAAc,CAAE,GAAG,CACnB,aAAa,Cf7BL,OAAmD,Ce6B/B,GAAG,CAAC,KAAK,CAOtC,AAxCH,AAkCI,mBAlCe,CA8BjB,QAAQ,CAIN,OAAO,AAAC,CACN,aAAa,CAAE,GAAG,CACnB,AApCL,AAqCI,mBArCe,CA8BjB,QAAQ,CAON,KAAK,CAAC,OAAO,AAAC,CACZ,YAAY,CAAE,MAAM,CACrB,AAvCL,AAyCE,mBAzCiB,CAyCjB,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CAChB,AA3CH,AA4CE,mBA5CiB,CA4CjB,oBAAoB,AAAC,CACnB,aAAa,CAAE,IAAI,CACpB,AAGH,AACE,mBADiB,CACjB,MAAM,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AAGH,AACE,gBADc,CACd,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACf,AAHH,AAIE,gBAJc,CAId,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CACnB,AAVH,AAWE,gBAXc,CAWd,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAbH,AAcE,gBAdc,CAcd,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AAhBH,AAiBE,gBAjBc,CAiBd,IAAI,AAAA,UAAU,AAAC,CACb,KAAK,CAAE,KAAK,CACb,AAnBH,AAoBE,gBApBc,CAoBd,IAAI,AAAA,WAAW,AAAC,CACd,KAAK,CAAE,KAAK,CACb,AAtBH,AAuBE,gBAvBc,CAuBd,IAAI,AAAA,QAAQ,AAAC,CACX,KAAK,CAAE,KAAK,CACZ,WAAW,CAAE,CAAC,CAIf,AA7BH,AA0BI,gBA1BY,CAuBd,IAAI,AAAA,QAAQ,CAGV,CAAC,AAAC,CACA,eAAe,CAAE,SAAS,CAC3B,AA5BL,AA8BE,gBA9Bc,CA8Bd,IAAI,AAAA,QAAQ,AAAA,QAAQ,AAAC,CACnB,OAAO,CAAE,KAAK,CACf,AAhCH,AAiCE,gBAjCc,CAiCd,QAAQ,AAAC,CACP,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CACjB,AApCH,AAqCE,gBArCc,CAqCd,KAAK,AAAC,CACJ,SAAS,Cf3OJ,GAAG,Ce4OT,AAvCH,AAwCE,gBAxCc,AAwCb,aAAa,AAAC,CACb,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,wBAAwB,AAAC,CACvB,UAAU,CAAE,IAAI,CAIjB,AALD,AAEE,wBAFsB,CAEtB,MAAM,AAAC,CACL,MAAM,CAAE,UAAU,CACnB,AAGH,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CAOlB,AAVD,AAIE,WAJS,CAIT,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACtB,AANH,AAOE,WAPS,CAOT,CAAC,AAAC,CACA,MAAM,CAAE,YAAY,CACrB,AC/SH,AAAA,aAAa,AAAC,CACZ,KAAK,CfLK,IAAO,CeMjB,UAAU,CALD,OAAO,CAqBjB,AAlBD,AAGE,aAHW,CAGX,OAAO,AAAC,CACN,KAAK,CfRG,IAAO,CeShB,AALH,AAME,aANW,AAMV,MAAM,AAAC,CACN,UAAU,CATE,OAAsB,CAanC,AAXH,AAQI,aARS,AAMV,MAAM,CAEL,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAVL,AAYE,aAZW,AAYV,OAAO,AAAC,CZyBT,gBAAgB,CYtCA,OAAsB,CZuCtC,gBAAgB,CAAE,4CAAoD,CYxBrE,AAdH,AAeE,aAfW,CAeV,AAAA,QAAC,AAAA,CAAU,CACV,UAAU,CAnBH,OAAO,CAoBf,AAKC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAFvC,AAGM,cAHQ,CACZ,KAAK,CAED,EAAE,AAAA,gBAAgB,AAAC,CACjB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AANP,AAOM,cAPQ,CACZ,KAAK,CAMD,EAAE,AAAA,YAAY,AAAC,CACb,eAAe,CAAE,EAAE,CACnB,UAAU,CAAE,KAAK,CAClB,AAVP,AAWM,cAXQ,CACZ,KAAK,CAUD,EAAE,AAAA,gBAAgB,AAAC,CACjB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,UAAU,CAAE,KAAK,CAIlB,AApBP,AAiBQ,cAjBM,CACZ,KAAK,CAUD,EAAE,AAAA,gBAAgB,CAMhB,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CACnB,CZzBP,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EYMrC,AAuBM,cAvBQ,CACZ,KAAK,CAsBD,EAAE,AAAA,gBAAgB,AAAC,CACjB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AA1BP,AA2BM,cA3BQ,CACZ,KAAK,CA0BD,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,KAAK,CAClB,AA7BP,AA8BM,cA9BQ,CACZ,KAAK,CA6BD,EAAE,AAAA,gBAAgB,AAAC,CACjB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,CZvCL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EYMrC,AAoCM,cApCQ,CACZ,KAAK,CAmCD,EAAE,AAAA,gBAAgB,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,CAKP,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,IAAI,CACf,AAED,AAAA,MAAM,AAAA,GAAG,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,SAAS,CAAE,KAAK,CACjB,AAED,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,iBAAoB,CACjC,AAED,AAAA,aAAa,AAAA,MAAM,CAAC,YAAY,AAAC,CAC/B,UAAU,CAAE,iBAAoB,CACjC,AAED,AACE,mBADiB,CACjB,IAAI,AAAC,CACH,MAAM,CAAE,eAAe,CACxB,AAHH,AAIE,mBAJiB,CAIjB,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CAUhB,AAbD,AAIE,eAJa,CAIb,IAAI,AAAC,CACH,YAAY,CAAE,KAAK,CACpB,AANH,AAOE,eAPa,CAOb,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAIlB,AZ5FD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EYgFrC,AAOE,eAPa,CAOb,eAAe,AAAC,CAGZ,MAAM,CAAE,UAAU,CAErB,CC7GH,AAEI,eAFW,AAAA,cAAc,CAC3B,SAAS,CACP,gBAAgB,AAAC,CACf,WAAW,CAAE,IAAI,CAClB,AAGD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAPvC,AAQM,eARS,AAAA,cAAc,CAM3B,KAAK,CAED,EAAE,AAAC,CACD,qBAAqB,CAAE,MAAM,CAAC,cAAc,CAC7C,CbOL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EajBrC,AAaM,eAbS,AAAA,cAAc,CAM3B,KAAK,CAOD,EAAE,AAAC,CACD,qBAAqB,CAAE,MAAM,CAAC,cAAc,CAC7C,AAfP,AAgBM,eAhBS,AAAA,cAAc,CAM3B,KAAK,CAUD,EAAE,AAAA,YAAY,AAAC,CACb,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACpB,AAnBP,AAoBM,eApBS,AAAA,cAAc,CAM3B,KAAK,CAcD,EAAE,AAAA,SAAS,AAAC,CACV,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,UAAU,CAAE,KAAK,CAIlB,AA3BP,AAwBQ,eAxBO,AAAA,cAAc,CAM3B,KAAK,CAcD,EAAE,AAAA,SAAS,CAIT,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AA1BT,AA4BM,eA5BS,AAAA,cAAc,CAM3B,KAAK,CAsBD,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,AA/BP,AAgCM,eAhCS,AAAA,cAAc,CAM3B,KAAK,CA0BD,EAAE,AAAA,YAAY,AAAC,CACb,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,CAKP,AAAA,6BAA6B,AAAC,CAC5B,KAAK,ChBnCG,OAAO,CgBoChB,AC5CD,AACE,cADY,CACZ,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CAOZ,AATH,AAII,cAJU,CACZ,aAAa,CAGX,cAAc,AAAC,CACb,cAAc,CAAE,KAAK,CACrB,aAAa,CAAE,GAAG,CAClB,aAAa,CAAE,GAAG,CAAC,KAAK,ClB6LlB,OAAmD,CkB5L1D,AARL,AAWE,cAXY,CAWZ,mBAAmB,CAAC,uBAAuB,CAAC,aAAa,AAAC,CACxD,MAAM,CAAE,KAAK,CACd,AAbH,AAeE,cAfY,CAeZ,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CA6Cd,AA7DH,AAkBI,cAlBU,CAeZ,iBAAiB,CAGf,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACZ,AApBL,AAsBI,cAtBU,CAeZ,iBAAiB,CAOf,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CACR,AAzBL,AA2BI,cA3BU,CAeZ,iBAAiB,CAYf,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,GAAG,CAajB,AA7CL,AAkCM,cAlCQ,CAeZ,iBAAiB,CAYf,QAAQ,CAON,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,KAAK,CACb,AArCP,AAuCM,cAvCQ,CAeZ,iBAAiB,CAYf,QAAQ,CAYN,UAAU,CAvChB,cAAc,CAeZ,iBAAiB,CAYf,QAAQ,CAaN,oBAAoB,CAxC1B,cAAc,CAeZ,iBAAiB,CAYf,QAAQ,CAcN,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AdzBL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EcnBrC,AAeE,cAfY,CAeZ,iBAAiB,AAAC,CAiCd,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,IAAI,CAYlB,AA7DH,AAmDM,cAnDQ,CAeZ,iBAAiB,CAoCb,cAAc,AAAC,CACb,KAAK,CAAE,CAAC,CACT,AArDP,AAuDM,cAvDQ,CAeZ,iBAAiB,CAwCb,QAAQ,AAAC,CACP,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,WAAW,CAAE,UAAU,CACxB,CC3DP,AAEI,aAFS,CACX,4BAA4B,AACzB,WAAW,AAAC,CACX,MAAM,CAAE,CAAC,CACV,AAJL,AAOE,aAPW,CAOX,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,CnB0LhB,OAAmD,CmBzL3D,aAAa,CAAE,KAAK,CACpB,cAAc,CAAE,KAAK,CACtB,AAbH,AAeE,aAfW,CAeX,OAAO,CAAC,WAAW,AAAC,CAClB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CA4BjB,AA7CH,AAmBI,aAnBS,CAeX,OAAO,CAAC,WAAW,CAIjB,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,SAAS,CnB4BH,QAAQ,CmB3Bf,AAtBL,AAwBI,aAxBS,CAeX,OAAO,CAAC,WAAW,CASjB,YAAY,CAAC,WAAW,AAAC,CACvB,WAAW,CAAE,GAAG,CACjB,AA1BL,AA4BI,aA5BS,CAeX,OAAO,CAAC,WAAW,CAajB,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CAejB,AA5CL,AA+BM,aA/BO,CAeX,OAAO,CAAC,WAAW,CAajB,OAAO,CAGL,WAAW,AAAC,CACV,KAAK,ClBhCH,IAAO,CkBiCV,AAjCP,AAmCM,aAnCO,CAeX,OAAO,CAAC,WAAW,CAajB,OAAO,CAOL,KAAK,AAAC,CACJ,MAAM,CAAE,OAAO,CACf,WAAW,CAAE,MAAM,CACnB,KAAK,CnB8JD,OAAmD,CmBzJxD,AA3CP,AAwCQ,aAxCK,CAeX,OAAO,CAAC,WAAW,CAajB,OAAO,CAOL,KAAK,AAKF,MAAM,AAAC,CACN,KAAK,CnB2JH,OAAmD,CmB1JtD,AA1CT,AA+CE,aA/CW,CA+CX,OAAO,CAAC,MAAM,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CA2BlB,AA5EH,AAmDI,aAnDS,CA+CX,OAAO,CAAC,MAAM,AAIX,cAAc,CAnDnB,aAAa,CA+CX,OAAO,CAAC,MAAM,AAKX,mBAAmB,AAAC,CACnB,KAAK,ClB9CF,OAAO,CkB+CX,AAtDL,AAwDI,aAxDS,CA+CX,OAAO,CAAC,MAAM,AASX,YAAY,CAxDjB,aAAa,CA+CX,OAAO,CAAC,MAAM,AAUX,iBAAiB,AAAC,CACjB,KAAK,ClBlDD,OAAO,CkBmDZ,AA3DL,AA6DI,aA7DS,CA+CX,OAAO,CAAC,MAAM,AAcX,UAAU,AAAC,CACV,KAAK,CnBsIC,OAAmD,CmBlI1D,AAlEL,AA+DM,aA/DO,CA+CX,OAAO,CAAC,MAAM,AAcX,UAAU,CAET,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAjEP,AAoEI,aApES,CA+CX,OAAO,CAAC,MAAM,CAqBZ,MAAM,AAAC,CACL,SAAS,CnBpBH,QAAQ,CmBqBf,AAtEL,AAwEI,aAxES,CA+CX,OAAO,CAAC,MAAM,CAyBZ,KAAK,AAAC,CACJ,SAAS,CnBxBH,QAAQ,CmByBd,WAAW,CAAE,GAAG,CACjB,AA3EL,AA8EE,aA9EW,CA8EX,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAhFH,AAkFE,aAlFW,CAkFX,KAAK,AAAC,CACJ,IAAI,CAAE,CAAC,CACR,AApFH,AAsFE,aAtFW,CAsFX,KAAK,CAAC,aAAa,AAAC,CAClB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,qBAAqB,CA6B9B,AAvHH,AA4FI,aA5FS,CAsFX,KAAK,CAAC,aAAa,CAMjB,CAAC,AAAC,CACA,KAAK,CnBuGC,OAAmD,CmBtG1D,AA9FL,AAgGI,aAhGS,CAsFX,KAAK,CAAC,aAAa,CAUjB,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACnB,SAAS,CnBrDH,GAAG,CmBsDT,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,WAAW,CACpB,AArGL,AAuGI,aAvGS,CAsFX,KAAK,CAAC,aAAa,AAiBhB,QAAQ,CAvGb,aAAa,CAsFX,KAAK,CAAC,aAAa,AAkBhB,aAAa,AAAC,CACb,UAAU,ClBxGJ,IAAO,CkByGb,YAAY,CnB0FN,OAAmD,CmBzFzD,KAAK,CnByFC,OAAmD,CmBxF1D,AA5GL,AA8GI,aA9GS,CAsFX,KAAK,CAAC,aAAa,AAwBhB,aAAa,CAAC,OAAO,AAAC,CACrB,KAAK,ClBxGF,OAAO,CkByGX,AAhHL,AAkHI,aAlHS,CAsFX,KAAK,CAAC,aAAa,AA4BhB,QAAQ,CAlHb,aAAa,CAsFX,KAAK,CAAC,aAAa,AA6BhB,UAAU,AAAC,CACV,YAAY,CnBgFN,OAAmD,CmB/EzD,KAAK,ClB9GF,OAAO,CkB+GX,AAtHL,AAyHE,aAzHW,CAyHX,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,GAAG,CAChB,cAAc,CAAE,MAAM,CACtB,KAAK,CAAE,KAAK,CA+Cb,AA5KH,AA+HI,aA/HS,CAyHX,QAAQ,CAMN,MAAM,AAAC,CACL,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CAUjB,AA5IL,AAoIM,aApIO,CAyHX,QAAQ,CAMN,MAAM,CAKJ,KAAK,AAAC,CACJ,OAAO,CAAE,WAAW,CACpB,IAAI,CAAE,OAAO,CAKd,AA3IP,AAwIQ,aAxIK,CAyHX,QAAQ,CAMN,MAAM,CAKJ,KAAK,CAIH,SAAS,AAAA,WAAW,AAAC,CACnB,KAAK,ClBvIJ,OAAO,CkBwIT,AA1IT,AA8II,aA9IS,CAyHX,QAAQ,CAqBN,QAAQ,AAAC,CACP,aAAa,CAAE,GAAG,CACnB,AAhJL,AAkJI,aAlJS,CAyHX,QAAQ,CAyBN,QAAQ,CAAC,MAAM,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,KAAK,CAAE,IAAI,CACZ,AArJL,AAuJI,aAvJS,CAyHX,QAAQ,CA8BN,QAAQ,CAAC,MAAM,CAvJnB,aAAa,CAyHX,QAAQ,CA+BN,QAAQ,CAAC,WAAW,AAAC,CACnB,KAAK,CAAE,IAAI,CAkBZ,AA3KL,AA2JM,aA3JO,CAyHX,QAAQ,CA8BN,QAAQ,CAAC,MAAM,CAIb,eAAe,CA3JrB,aAAa,CAyHX,QAAQ,CA+BN,QAAQ,CAAC,WAAW,CAGlB,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACZ,AA7JP,AA+JM,aA/JO,CAyHX,QAAQ,CA8BN,QAAQ,CAAC,MAAM,CAQb,mBAAmB,CA/JzB,aAAa,CAyHX,QAAQ,CA+BN,QAAQ,CAAC,WAAW,CAOlB,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACZ,AAjKP,AAmKM,aAnKO,CAyHX,QAAQ,CA8BN,QAAQ,CAAC,MAAM,CAYb,oBAAoB,CAnK1B,aAAa,CAyHX,QAAQ,CA+BN,QAAQ,CAAC,WAAW,CAWlB,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CAMZ,AA1KP,AAqKQ,aArKK,CAyHX,QAAQ,CA8BN,QAAQ,CAAC,MAAM,CAYb,oBAAoB,CAElB,YAAY,CArKpB,aAAa,CAyHX,QAAQ,CA+BN,QAAQ,CAAC,WAAW,CAWlB,oBAAoB,CAElB,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAMT,AACE,IADE,CAAC,aAAa,CAChB,QAAQ,AAAC,CACP,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,GAAG,CAClB,AAJH,AAME,IANE,CAAC,aAAa,CAMhB,MAAM,AAAC,CACL,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,IAAI,CACnB,AAGH,AACE,aADW,AAAA,cAAc,CACzB,KAAK,AAAC,CACJ,IAAI,CAAE,QAAQ,CACf,AC9LH,AACE,aADW,CACX,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,qBAAqB,CAAE,GAAG,CAAC,mCAAmC,CAC9D,kBAAkB,CAAE,mCAAmC,CACvD,WAAW,CAAE,MAAM,CAGnB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,mBAAmB,CAkEtC,AA5EH,AAWI,aAXS,CACX,sBAAsB,CAUpB,KAAK,AAAC,CACJ,YAAY,CAAE,CAAC,CACf,oBAAoB,CAAE,CAAC,CAiBxB,AA9BL,AAeM,aAfO,CACX,sBAAsB,CAUpB,KAAK,AAIF,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AAjBP,AAkBM,aAlBO,CACX,sBAAsB,CAUpB,KAAK,AAOF,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AApBP,AAqBM,aArBO,CACX,sBAAsB,CAUpB,KAAK,AAUF,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AAvBP,AAwBM,aAxBO,CACX,sBAAsB,CAUpB,KAAK,AAaF,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AA1BP,AA2BM,aA3BO,CACX,sBAAsB,CAUpB,KAAK,AAgBF,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AA7BP,AAgCI,aAhCS,CACX,sBAAsB,CA+BpB,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,MAAM,CAwCpB,AA3EL,AAqCM,aArCO,CACX,sBAAsB,CA+BpB,KAAK,AAKF,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,ChBsBtB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgBZlB,AAlDP,AAyCQ,aAzCK,CACX,sBAAsB,CA+BpB,KAAK,AAKF,MAAM,CAIL,OAAO,AAAC,CACN,KAAK,CpB0JH,OAAmD,CoBzJrD,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,MAAM,CACnB,AA7CT,AA+CQ,aA/CK,CACX,sBAAsB,CA+BpB,KAAK,AAKF,MAAM,CAUL,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,AAGH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EApDzC,AAqDQ,aArDK,CACX,sBAAsB,CA+BpB,KAAK,AAqBA,MAAM,CAAC,OAAO,AAAC,CACd,OAAO,CAAE,IAAI,CACd,CAvDT,AA0DM,aA1DO,CACX,sBAAsB,CA+BpB,KAAK,CA0BH,aAAa,AAAC,CACZ,KAAK,CpByID,OAAmD,CoBxIvD,SAAS,CpBPH,OAAQ,CoBQf,AA7DP,AAiEQ,aAjEK,CACX,sBAAsB,CA+BpB,KAAK,AA+BF,iBAAiB,CAEhB,OAAO,CAjEf,aAAa,CACX,sBAAsB,CA+BpB,KAAK,AAgCF,YAAY,CACX,OAAO,AAAC,CACN,KAAK,CnB1DL,OAAO,CmB2DR,AAnET,AAuEQ,aAvEK,CACX,sBAAsB,CA+BpB,KAAK,AAqCF,mBAAmB,CAElB,OAAO,CAvEf,aAAa,CACX,sBAAsB,CA+BpB,KAAK,AAsCF,cAAc,CACb,OAAO,AAAC,CACN,KAAK,CnBjEN,OAAO,CmBkEP,AAMT,AAAA,IAAI,CAAC,cAAc,CAAC,gBAAgB,CAAC,cAAc,AAAC,CAClD,UAAU,CAAE,IAAI,CACjB,AAED,AACE,IADE,CAAC,cAAc,CACjB,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CAKjB,AAPH,AAII,IAJA,CAAC,cAAc,CACjB,KAAK,AAGF,MAAM,AAAC,CACN,UAAU,CAAE,KAAK,CAClB,AEzFL,AACE,2BADyB,CACzB,uBAAuB,AAAC,CACtB,MAAM,CAAE,KAAK,CACd,ACHH,AAEI,mBAFe,AAChB,YAAY,CACX,MAAM,CAAC,wBAAwB,AAAA,YAAY,CAF/C,mBAAmB,AAChB,YAAY,CAEX,MAAM,CAAC,0BAA0B,AAAA,YAAY,AAAC,CnByDhD,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmBzDnB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,GAAG,CACX,AAPL,AASI,mBATe,AAChB,YAAY,CAQX,MAAM,CAAC,wBAAwB,AAAA,WAAW,CAT9C,mBAAmB,AAChB,YAAY,CASX,MAAM,CAAC,0BAA0B,AAAA,WAAW,AAAC,CAC3C,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,KAAK,CAClB,AAdL,AAiBE,mBAjBiB,CAiBjB,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,GAAG,CAAC,KAAK,CvBiLT,OAAmD,CuBhL3D,YAAY,CAAE,KAAK,CAKpB,AAzBH,AAsBI,mBAtBe,CAiBjB,MAAM,CAKJ,KAAK,AAAC,CACJ,UAAU,CAAE,CAAC,CACd,AAxBL,AA4BI,mBA5Be,CA2BjB,MAAM,CAAC,0BAA0B,CAC/B,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,OAAO,CnB6BpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmB7BpB,AAjCL,AAoCM,mBApCa,CA2BjB,MAAM,CAAC,0BAA0B,AAQ9B,gBAAgB,CACf,OAAO,AAAC,CACN,KAAK,CtBnCF,OAAO,CsBoCX,AAtCP,AAwCM,mBAxCa,CA2BjB,MAAM,CAAC,0BAA0B,AAQ9B,gBAAgB,CAKf,SAAS,AAAA,MAAM,AAAC,CACd,KAAK,CvB2JD,OAAmD,CuB1JvD,UAAU,CvB0JN,OAAmD,CuBzJxD,AA3CP,AA8CI,mBA9Ce,CA2BjB,MAAM,CAAC,0BAA0B,AAmB9B,IAAK,CAAA,gBAAgB,EAAE,SAAS,AAAC,CAChC,UAAU,CAAE,IAAI,CASjB,AAxDL,AAiDM,mBAjDa,CA2BjB,MAAM,CAAC,0BAA0B,AAmB9B,IAAK,CAAA,gBAAgB,EAAE,SAAS,AAG9B,MAAM,AAAC,CACN,KAAK,CvBkJD,OAAmD,CuBjJvD,UAAU,CvBiJN,OAAmD,CuB7IxD,AAvDP,AAoDQ,mBApDW,CA2BjB,MAAM,CAAC,0BAA0B,AAmB9B,IAAK,CAAA,gBAAgB,EAAE,SAAS,AAG9B,MAAM,CAGL,OAAO,AAAC,CACN,KAAK,CvB+IH,OAAmD,CuB9ItD,AAtDT,AA4DI,mBA5De,CA2DjB,wBAAwB,AACrB,KAAK,CAAC,SAAS,AAAC,CACf,WAAW,CAAE,MAAM,CACpB,AA9DL,AAiEE,mBAjEiB,CAiEjB,UAAU,AAAC,CACT,UAAU,CvBkIF,OAAmD,CuB5H5D,AAxEH,AAoEI,mBApEe,CAiEjB,UAAU,CAGR,EAAE,AAAC,CACD,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,IAAI,CACjB,AAvEL,AA0EE,mBA1EiB,CA0EjB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,QAAQ,CACzB,UAAU,CAAE,MAAM,CASnB,AAtFH,AA+EI,mBA/Ee,CA0EjB,WAAW,CAKT,MAAM,AAAC,CACL,WAAW,CAAE,KAAK,CAKnB,AArFL,AAkFM,mBAlFa,CA0EjB,WAAW,CAKT,MAAM,AAGH,WAAW,AAAC,CACX,KAAK,CtBjFF,OAAO,CsBkFX,AAKP,AACE,aADW,AAAA,oBAAoB,CAC/B,0BAA0B,AAAA,YAAY,AAAC,CACrC,KAAK,CAAE,GAAG,CACX,AAGH,AACE,aADW,AAAA,gBAAgB,CAC3B,0BAA0B,AAAA,IAAI,CADhC,aAAa,AAAA,gBAAgB,CAE3B,0BAA0B,AAAA,gBAAgB,CAF5C,aAAa,AAAA,gBAAgB,CAG3B,wBAAwB,AAAA,IAAI,CAH9B,aAAa,AAAA,gBAAgB,CAI3B,wBAAwB,AAAA,gBAAgB,AAAC,CACvC,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,GAAG,CACX,AAPH,AASE,aATW,AAAA,gBAAgB,CAS3B,wBAAwB,AAAA,KAAK,AAAC,CnB5C9B,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmB4CtB,AAGH,AACE,aADW,AAAA,oBAAoB,CAC/B,0BAA0B,AAAA,QAAQ,CADpC,aAAa,AAAA,oBAAoB,CAE/B,0BAA0B,AAAA,OAAO,CAFnC,aAAa,AAAA,oBAAoB,CAG/B,wBAAwB,AAAA,QAAQ,CAHlC,aAAa,AAAA,oBAAoB,CAI/B,wBAAwB,AAAA,OAAO,AAAC,CAC9B,UAAU,CAAE,MAAM,CACnB,AANH,AAQE,aARW,AAAA,oBAAoB,CAQ/B,0BAA0B,AAAA,KAAK,AAAC,CAC9B,KAAK,CAAE,GAAG,CACX,AAGH,AACE,aADW,AAAA,WAAW,CACtB,0BAA0B,AAAA,KAAK,AAAC,CAC9B,KAAK,CAAE,GAAG,CACX,AAHH,AAKE,aALW,AAAA,WAAW,CAKtB,wBAAwB,AAAA,KAAK,CAL/B,aAAa,AAAA,WAAW,CAMtB,wBAAwB,AAAA,YAAY,AAAC,CnBpErC,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmBoEtB,AAGH,AACE,aADW,AAAA,aAAa,CACxB,0BAA0B,AAAA,cAAc,CAD1C,aAAa,AAAA,aAAa,CAExB,wBAAwB,AAAA,cAAc,AAAC,CACrC,UAAU,CAAE,MAAM,CACnB,AAGH,AAGM,IAHF,CACF,mBAAmB,AAChB,YAAY,CACX,MAAM,CAAC,wBAAwB,AAAA,YAAY,CAHjD,IAAI,CACF,mBAAmB,AAChB,YAAY,CAEX,MAAM,CAAC,0BAA0B,AAAA,YAAY,AAAC,CAC5C,UAAU,CAAE,KAAK,CAClB,AANP,AAQM,IARF,CACF,mBAAmB,AAChB,YAAY,CAMX,MAAM,CAAC,wBAAwB,AAAA,WAAW,CARhD,IAAI,CACF,mBAAmB,AAChB,YAAY,CAOX,MAAM,CAAC,0BAA0B,AAAA,WAAW,AAAC,CAC3C,UAAU,CAAE,IAAI,CACjB,AAXP,AAeM,IAfF,CACF,mBAAmB,CAajB,UAAU,CACR,EAAE,AAAC,CACD,UAAU,CAAE,KAAK,CAClB,AAjBP,AAsBI,IAtBA,CAqBF,wBAAwB,AACrB,KAAK,CAAC,SAAS,AAAC,CACf,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,MAAM,CACrB,AAzBL,AA6BI,IA7BA,CA4BF,aAAa,AAAA,gBAAgB,CAC3B,0BAA0B,AAAA,KAAK,CA7BnC,IAAI,CA4BF,aAAa,AAAA,gBAAgB,CAE3B,wBAAwB,AAAA,KAAK,AAAC,CAC5B,UAAU,CAAE,KAAK,CAClB,AAhCL,AAoCI,IApCA,CAmCF,WAAW,CACT,MAAM,AAAC,CACL,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,KAAK,CACpB,AAvCL,AA2CI,IA3CA,CA0CF,aAAa,AAAA,oBAAoB,CAC/B,0BAA0B,AAAA,KAAK,CA3CnC,IAAI,CA0CF,aAAa,AAAA,oBAAoB,CAE/B,wBAAwB,AAAA,KAAK,AAAC,CAC5B,UAAU,CAAE,KAAK,CAClB,AC1LL,AACE,0BADwB,CACxB,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,QAAQ,CACf,ACJH,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,GAAG,CACV,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,IAAI,CAqCjB,AA1CD,AAOE,YAPU,CAOV,GAAG,AAAC,CACF,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,IAAI,CAClB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,GAAG,CAChB,AAdH,AAeE,YAfU,CAeV,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CACnB,AAjBH,AAkBE,YAlBU,CAkBV,gBAAgB,AAAC,CACf,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,GAAG,CAKX,AA1BH,AAsBI,YAtBQ,CAkBV,gBAAgB,CAId,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACrB,WAAW,CzBuCI,GAAG,CyBtCnB,AAzBL,AA2BE,YA3BU,CA2BV,cAAc,AAAC,CACb,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,GAAG,CACnB,ArBZD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EqBlBrC,AAAA,YAAY,AAAC,CAiCT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CAQhB,AA1CD,AAmCI,YAnCQ,CAmCR,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AArCL,AAsCI,YAtCQ,CAsCR,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACd"\n}
4	mobile_theme_1	d917592b6e98f199c443000aed6dbc4c8bc0a90b	\n/*# sourceMappingURL=mobile_theme_1_d917592b6e98f199c443000aed6dbc4c8bc0a90b.css.map */	2019-12-05 04:03:34.533189	2019-12-05 04:03:34.533189	-1	{\n\t"version": 3,\n\t"file": "theme_1.css",\n\t"sources": [\n\t\t"theme_1.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"theme_variable.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"theme_variables\\"; @import \\"mobile_theme\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t""\n\t],\n\t"names": [],\n\t"mappings": ""\n}
5	desktop_theme_1	d917592b6e98f199c443000aed6dbc4c8bc0a90b	\n/*# sourceMappingURL=desktop_theme_1_d917592b6e98f199c443000aed6dbc4c8bc0a90b.css.map */	2019-12-05 04:03:34.558551	2019-12-05 04:03:34.558551	-1	{\n\t"version": 3,\n\t"file": "theme_1.css",\n\t"sources": [\n\t\t"theme_1.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"theme_variable.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"theme_variables\\"; @import \\"desktop_theme\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t""\n\t],\n\t"names": [],\n\t"mappings": ""\n}
6	discourse-details_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	details{position:relative}details>*,details .lightbox-wrapper{display:none}details,summary{outline:none}summary:first-of-type{cursor:pointer;display:block}summary:before{content:"\\25BA";margin-right:0.25em}details[open]>*,details[open] .lightbox-wrapper{display:block}details[open]>summary:before,details.open>summary:before{content:"\\25BC"}details[open]>summary:first-of-type ~ *,details.open>summary:first-of-type ~ *{display:block}summary::-webkit-details-marker{display:none}.elided summary:before{content:"" !important;display:none}.elided summary{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;display:flex;align-items:center;justify-content:center;text-align:center;box-sizing:border-box;margin:0;padding:0;color:#909090;background:#313131;border:1px solid #7a7a7a;width:1.5em;line-height:1}.elided summary:hover{color:#ddd;background:#7a7a7a;border-color:currentColor}\n\n/*# sourceMappingURL=discourse-details_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:34.584312	2019-12-05 04:03:34.584312	-1	{\n\t"version": 3,\n\t"file": "theme_1.css",\n\t"sources": [\n\t\t"theme_1.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/discourse-details/assets/stylesheets/details.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"discourse-details\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"details {\\n  position: relative;\\n}\\n\\ndetails > *,\\ndetails .lightbox-wrapper {\\n  display: none;\\n}\\n\\ndetails,\\nsummary {\\n  outline: none;\\n}\\n\\nsummary:first-of-type {\\n  cursor: pointer;\\n  display: block;\\n}\\n\\nsummary:before {\\n  content: \\"\\\\25BA\\";\\n  margin-right: 0.25em;\\n}\\n\\ndetails[open] > *,\\ndetails[open] .lightbox-wrapper {\\n  display: block;\\n}\\n\\ndetails[open] > summary:before,\\ndetails.open > summary:before {\\n  content: \\"\\\\25BC\\";\\n}\\n\\ndetails[open] > summary:first-of-type ~ *,\\ndetails.open > summary:first-of-type ~ * {\\n  display: block;\\n}\\n\\n/* hide native indicator */\\nsummary::-webkit-details-marker {\\n  display: none;\\n}\\n\\n.elided {\\n  summary:before {\\n    content: \\"\\" !important;\\n    display: none;\\n  }\\n\\n  summary {\\n    @include unselectable;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    text-align: center;\\n    box-sizing: border-box;\\n    margin: 0;\\n    padding: 0;\\n    color: $primary-medium;\\n    background: $primary-low;\\n    border: 1px solid $primary-low-mid;\\n    width: 1.5em;\\n    line-height: 1;\\n  }\\n\\n  summary:hover {\\n    color: $primary;\\n    background: $primary-low-mid;\\n    border-color: currentColor;\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AAAA,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,OAAO,CAAG,CAAC,CACX,OAAO,CAAC,iBAAiB,AAAC,CACxB,OAAO,CAAE,IAAI,CACd,AAED,AAAA,OAAO,CACP,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAED,AAAA,OAAO,AAAA,cAAc,AAAC,CACpB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,KAAK,CACf,AAED,AAAA,OAAO,AAAA,OAAO,AAAC,CACb,OAAO,CAAE,OAAO,CAChB,YAAY,CAAE,MAAM,CACrB,AAED,AAAA,OAAO,CAAA,AAAA,IAAC,AAAA,EAAQ,CAAC,CACjB,OAAO,CAAA,AAAA,IAAC,AAAA,EAAM,iBAAiB,AAAC,CAC9B,OAAO,CAAE,KAAK,CACf,AAED,AAAA,OAAO,CAAA,AAAA,IAAC,AAAA,EAAQ,OAAO,AAAA,OAAO,CAC9B,OAAO,AAAA,KAAK,CAAG,OAAO,AAAA,OAAO,AAAC,CAC5B,OAAO,CAAE,OAAO,CACjB,AAED,AAAA,OAAO,CAAA,AAAA,IAAC,AAAA,EAAQ,OAAO,AAAA,cAAc,GAAG,CAAC,CACzC,OAAO,AAAA,KAAK,CAAG,OAAO,AAAA,cAAc,GAAG,CAAC,AAAC,CACvC,OAAO,CAAE,KAAK,CACf,AAGD,AAAA,OAAO,AAAA,wBAAwB,AAAC,CAC9B,OAAO,CAAE,IAAI,CACd,AAED,AACE,OADK,CACL,OAAO,AAAA,OAAO,AAAC,CACb,OAAO,CAAE,aAAa,CACtB,OAAO,CAAE,IAAI,CACd,AAJH,AAME,OANK,CAML,OAAO,AAAC,CDqBR,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CCzBvB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CLyIG,OAAmD,CKxI3D,UAAU,CLwIF,OAAmD,CKvI3D,MAAM,CAAE,GAAG,CAAC,KAAK,CLuIT,OAAmD,CKtI3D,KAAK,CAAE,KAAK,CACZ,WAAW,CAAE,CAAC,CACf,AApBH,AAsBE,OAtBK,CAsBL,OAAO,AAAA,MAAM,AAAC,CACZ,KAAK,CJnEC,IAAO,CIoEb,UAAU,CLgIF,OAAmD,CK/H3D,YAAY,CAAE,YAAY,CAC3B"\n}
7	discourse-local-dates_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	.discourse-local-date.cooked-date{color:#ddd;cursor:pointer;border-bottom:1px dashed #909090;white-space:nowrap}.discourse-local-date.cooked-date .d-icon{color:#ddd}.discourse-local-date.cooked-date.past{border-bottom-color:#7a7a7a}.discourse-local-date.cooked-date.past[data-countdown]{color:#909090}#d-popover .locale-dates-previews{max-width:360px}#d-popover .locale-dates-previews .preview{display:flex;flex-direction:column;padding:5px}#d-popover .locale-dates-previews .preview .timezone{font-weight:700}#d-popover .locale-dates-previews .preview.current{background:#052e3d}.discourse-local-dates-create-modal-footer{display:flex;align-items:center;justify-content:flex-start}.discourse-local-dates-create-modal-footer:before,.discourse-local-dates-create-modal-footer:after{content:none}.discourse-local-dates-create-modal-footer .cancel-action{margin:0 5px 5px 0}.discourse-local-dates-create-modal-footer .btn+.cancel-action{margin-left:1em}.discourse-local-dates-create-modal-footer .advanced-mode-btn{margin-left:auto}.discourse-local-dates-create-modal{min-height:320px;display:flex;flex-direction:row;padding:0.5em}.discourse-local-dates-create-modal .picker-panel{padding:5px;border:1px solid #313131}.discourse-local-dates-create-modal .date-picker{display:flex;flex-direction:column;width:auto;box-sizing:border-box}.discourse-local-dates-create-modal .date-picker .pika-single{position:relative !important;flex:1;display:flex;border:0}.discourse-local-dates-create-modal .form{flex:1 0 0px}.discourse-local-dates-create-modal .form label{font-weight:700}.discourse-local-dates-create-modal .form .date-time-configuration{display:flex}.discourse-local-dates-create-modal .form .date-time-configuration .fake-input{display:none}.discourse-local-dates-create-modal .form .date-time-configuration .timezone-input{width:100%}.discourse-local-dates-create-modal .form .date-time-configuration .timezone-input.is-expanded .select-kit-header{border:1px solid #909090}.discourse-local-dates-create-modal .form .date-time-configuration .timezone-input .select-kit-header{padding:0.5em 0.5em;border:1px solid #313131}.discourse-local-dates-create-modal .form .date-time-configuration .timezone-input .select-kit-header .d-icon{margin-right:1em}.discourse-local-dates-create-modal .form .date-time-configuration .timezone-input .select-kit-header .caret-icon{margin-right:0}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control{position:relative;display:flex;border:1px solid #313131}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.is-filled .date-time,.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.is-selected .date-time{color:#ddd;background:#222}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.is-filled .d-icon,.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.is-selected .d-icon{color:#a6a6a6}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.from{border-radius:5px 5px 0 0}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.from .date-time{border-radius:5px 5px 0 0}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.from.is-selected{border-color:#0f82af}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.to{border-radius:0 0 5px 5px;margin-bottom:1em}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.to .date-time{border-radius:0 0 5px 5px;padding-right:3em}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.to.is-selected{border-color:#0f82af}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control .date-time{color:#909090;background:#282828}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control .d-icon{position:absolute;margin-top:auto;margin-bottom:auto;left:0.5em;top:0;bottom:0;color:#909090}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control .delete-to-date{position:absolute;margin-top:auto;margin-bottom:auto;right:0;width:30px;top:0;bottom:0;color:#a6a6a6;border-radius:0 0 5px 0}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control .date-time{padding:1em 0.5em 1em 2em;border:0;outline:none;flex:1;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;width:100%;text-align:left}.discourse-local-dates-create-modal .form .date-time-configuration .inputs-panel{flex:1}.discourse-local-dates-create-modal .form .date-time-configuration .picker-panel{z-index:1;background:#222;width:200px;box-sizing:border-box;margin-left:1em}.discourse-local-dates-create-modal .form .date-time-configuration .time-pickers{display:flex;justify-content:center;flex:1;margin-top:1em;align-items:center;padding:0.25em;border-top:1px solid #7a7a7a;box-sizing:border-box}.discourse-local-dates-create-modal .form .date-time-configuration .time-pickers .d-icon{color:#909090}.discourse-local-dates-create-modal .form .date-time-configuration .time-pickers .time-picker{outline:none;box-shadow:none;margin:0;box-sizing:border-box;width:100%;border:0}.discourse-local-dates-create-modal .form .preview{text-align:center;margin-top:0;margin-bottom:0.5em;display:flex;align-items:center;padding:0.5em;flex-wrap:wrap}.discourse-local-dates-create-modal .form .preview b{margin-right:0.5em}.discourse-local-dates-create-modal .form .preview b+p{margin:0;display:inline-block}.discourse-local-dates-create-modal .form .recurrence .recurrence-input{width:300px}.discourse-local-dates-create-modal .validation-error{margin-bottom:0.5em}.discourse-local-dates-create-modal .format .format-input{width:280px}.discourse-local-dates-create-modal .formats{list-style:none;padding:0;margin:0}.discourse-local-dates-create-modal .formats .format .previewed-format{color:#909090}.discourse-local-dates-create-modal .control-group.recurrence,.discourse-local-dates-create-modal .control-group.format,.discourse-local-dates-create-modal .control-group.timezones{margin-top:1em}.discourse-local-dates-create-modal .timezones-input{width:99%}html:not(.mobile-view) .fixed-modal .discourse-local-dates-create-modal.modal-body{width:600px;max-height:400px !important}html.mobile-view .fixed-modal .discourse-local-dates-create-modal.modal-body{max-height:400px !important}html.mobile-view .fixed-modal .discourse-local-dates-create-modal.modal-body .date-time-configuration{flex-direction:column}html.mobile-view .fixed-modal .discourse-local-dates-create-modal.modal-body .picker-panel{width:100%;margin:0 0 1em 0}html.mobile-view .fixed-modal .discourse-local-dates-create-modal.modal-body .picker-panel .pika-single{justify-content:center}html.mobile-view .fixed-modal .discourse-local-dates-create-modal.modal-body .time-picker{padding-top:6px}\n\n/*# sourceMappingURL=discourse-local-dates_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:34.606099	2019-12-05 04:03:34.606099	-1	{\n\t"version": 3,\n\t"file": "theme_1.css",\n\t"sources": [\n\t\t"theme_1.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/discourse-local-dates/assets/stylesheets/common/discourse-local-dates.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"discourse-local-dates\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t".discourse-local-date {\\n  &.cooked-date {\\n    color: $primary;\\n    cursor: pointer;\\n    border-bottom: 1px dashed $primary-medium;\\n    white-space: nowrap;\\n\\n    .d-icon {\\n      color: $primary;\\n    }\\n\\n    &.past {\\n      border-bottom-color: $primary-low-mid;\\n    }\\n\\n    &.past[data-countdown] {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\n#d-popover {\\n  .locale-dates-previews {\\n    max-width: 360px;\\n    .preview {\\n      display: flex;\\n      flex-direction: column;\\n      padding: 5px;\\n\\n      .timezone {\\n        font-weight: 700;\\n      }\\n\\n      &.current {\\n        background: $tertiary-low;\\n      }\\n    }\\n  }\\n}\\n\\n.discourse-local-dates-create-modal-footer {\\n  display: flex;\\n  align-items: center;\\n  justify-content: flex-start;\\n\\n  &:before,\\n  &:after {\\n    content: none;\\n  }\\n\\n  .cancel-action {\\n    margin: 0 5px 5px 0;\\n  }\\n\\n  .btn + .cancel-action {\\n    margin-left: 1em;\\n  }\\n\\n  .advanced-mode-btn {\\n    margin-left: auto;\\n  }\\n}\\n\\n.discourse-local-dates-create-modal {\\n  min-height: 320px;\\n  display: flex;\\n  flex-direction: row;\\n  padding: 0.5em;\\n\\n  .picker-panel {\\n    padding: 5px;\\n    border: 1px solid $primary-low;\\n  }\\n\\n  .date-picker {\\n    display: flex;\\n    flex-direction: column;\\n    width: auto;\\n    box-sizing: border-box;\\n\\n    .pika-single {\\n      position: relative !important;\\n      flex: 1;\\n      display: flex;\\n      border: 0;\\n    }\\n  }\\n\\n  .form {\\n    flex: 1 0 0px;\\n\\n    label {\\n      font-weight: 700;\\n    }\\n\\n    .date-time-configuration {\\n      display: flex;\\n\\n      .fake-input {\\n        display: none;\\n      }\\n\\n      .timezone-input {\\n        width: 100%;\\n\\n        &.is-expanded {\\n          .select-kit-header {\\n            border: 1px solid $primary-medium;\\n          }\\n        }\\n\\n        .select-kit-header {\\n          padding: 0.5em 0.5em;\\n          border: 1px solid $primary-low;\\n\\n          .d-icon {\\n            margin-right: 1em;\\n          }\\n\\n          .caret-icon {\\n            margin-right: 0;\\n          }\\n        }\\n      }\\n\\n      .date-time-control {\\n        position: relative;\\n        display: flex;\\n        border: 1px solid $primary-low;\\n\\n        &.is-filled,\\n        &.is-selected {\\n          .date-time {\\n            color: $primary;\\n            background: $secondary;\\n          }\\n\\n          .d-icon {\\n            color: $primary-high;\\n          }\\n        }\\n\\n        &.from {\\n          border-radius: 5px 5px 0 0;\\n\\n          .date-time {\\n            border-radius: 5px 5px 0 0;\\n          }\\n\\n          &.is-selected {\\n            border-color: $tertiary;\\n          }\\n        }\\n\\n        &.to {\\n          border-radius: 0 0 5px 5px;\\n          margin-bottom: 1em;\\n\\n          .date-time {\\n            border-radius: 0 0 5px 5px;\\n            padding-right: 3em;\\n          }\\n\\n          &.is-selected {\\n            border-color: $tertiary;\\n          }\\n        }\\n\\n        .date-time {\\n          color: $primary-medium;\\n          background: $primary-very-low;\\n        }\\n\\n        .d-icon {\\n          position: absolute;\\n          margin-top: auto;\\n          margin-bottom: auto;\\n          left: 0.5em;\\n          top: 0;\\n          bottom: 0;\\n          color: $primary-medium;\\n        }\\n\\n        .delete-to-date {\\n          position: absolute;\\n          margin-top: auto;\\n          margin-bottom: auto;\\n          right: 0;\\n          width: 30px;\\n          top: 0;\\n          bottom: 0;\\n          color: $primary-high;\\n          border-radius: 0 0 5px 0;\\n        }\\n\\n        .date-time {\\n          padding: 1em 0.5em 1em 2em;\\n          border: 0;\\n          outline: none;\\n          flex: 1;\\n          @include ellipsis;\\n          width: 100%;\\n          text-align: left;\\n        }\\n      }\\n\\n      .inputs-panel {\\n        flex: 1;\\n      }\\n\\n      .picker-panel {\\n        z-index: 1;\\n        background: $secondary;\\n        width: 200px;\\n        box-sizing: border-box;\\n        margin-left: 1em;\\n      }\\n\\n      .time-pickers {\\n        display: flex;\\n        justify-content: center;\\n        flex: 1;\\n        margin-top: 1em;\\n        align-items: center;\\n        padding: 0.25em;\\n        border-top: 1px solid $primary-low-mid;\\n        box-sizing: border-box;\\n\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n\\n        .time-picker {\\n          outline: none;\\n          box-shadow: none;\\n          margin: 0;\\n          box-sizing: border-box;\\n          width: 100%;\\n          border: 0;\\n        }\\n      }\\n    }\\n\\n    .preview {\\n      text-align: center;\\n      margin-top: 0;\\n      margin-bottom: 0.5em;\\n      display: flex;\\n      align-items: center;\\n      padding: 0.5em;\\n      flex-wrap: wrap;\\n\\n      b {\\n        margin-right: 0.5em;\\n      }\\n\\n      b + p {\\n        margin: 0;\\n        display: inline-block;\\n      }\\n    }\\n\\n    .recurrence {\\n      .recurrence-input {\\n        width: 300px;\\n      }\\n    }\\n  }\\n\\n  .validation-error {\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .format {\\n    .format-input {\\n      width: 280px;\\n    }\\n  }\\n\\n  .formats {\\n    list-style: none;\\n    padding: 0;\\n    margin: 0;\\n    .format {\\n      .previewed-format {\\n        color: $primary-medium;\\n      }\\n    }\\n  }\\n\\n  .control-group.recurrence,\\n  .control-group.format,\\n  .control-group.timezones {\\n    margin-top: 1em;\\n  }\\n\\n  .timezones-input {\\n    width: 99%;\\n  }\\n}\\n\\nhtml:not(.mobile-view) {\\n  .fixed-modal .discourse-local-dates-create-modal.modal-body {\\n    width: 600px;\\n    max-height: 400px !important;\\n  }\\n}\\n\\nhtml.mobile-view {\\n  .fixed-modal .discourse-local-dates-create-modal.modal-body {\\n    max-height: 400px !important;\\n\\n    .date-time-configuration {\\n      flex-direction: column;\\n    }\\n\\n    .picker-panel {\\n      width: 100%;\\n      margin: 0 0 1em 0;\\n\\n      .pika-single {\\n        justify-content: center;\\n      }\\n    }\\n\\n    .time-picker {\\n      padding-top: 6px;\\n    }\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AACE,qBADmB,AAClB,YAAY,AAAC,CACZ,KAAK,CJFC,IAAO,CIGb,MAAM,CAAE,OAAO,CACf,aAAa,CAAE,GAAG,CAAC,MAAM,CLgMjB,OAAmD,CK/L3D,WAAW,CAAE,MAAM,CAapB,AAlBH,AAOI,qBAPiB,AAClB,YAAY,CAMX,OAAO,AAAC,CACN,KAAK,CJRD,IAAO,CISZ,AATL,AAWI,qBAXiB,AAClB,YAAY,AAUV,KAAK,AAAC,CACL,mBAAmB,CLwLb,OAAmD,CKvL1D,AAbL,AAeI,qBAfiB,AAClB,YAAY,AAcV,KAAK,CAAA,AAAA,cAAC,AAAA,CAAgB,CACrB,KAAK,CLoLC,OAAmD,CKnL1D,AAIL,AACE,UADQ,CACR,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CAcjB,AAhBH,AAGI,UAHM,CACR,sBAAsB,CAEpB,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,GAAG,CASb,AAfL,AAQM,UARI,CACR,sBAAsB,CAEpB,QAAQ,CAKN,SAAS,AAAC,CACR,WAAW,CAAE,GAAG,CACjB,AAVP,AAYM,UAZI,CACR,sBAAsB,CAEpB,QAAQ,AASL,QAAQ,AAAC,CACR,UAAU,CLkKN,OAAmD,CKjKxD,AAKP,AAAA,0CAA0C,AAAC,CACzC,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAkB5B,AArBD,AAKE,0CALwC,AAKvC,OAAO,CALV,0CAA0C,AAMvC,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AARH,AAUE,0CAVwC,CAUxC,cAAc,AAAC,CACb,MAAM,CAAE,WAAW,CACpB,AAZH,AAcE,0CAdwC,CAcxC,IAAI,CAAG,cAAc,AAAC,CACpB,WAAW,CAAE,GAAG,CACjB,AAhBH,AAkBE,0CAlBwC,CAkBxC,kBAAkB,AAAC,CACjB,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,mCAAmC,AAAC,CAClC,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,KAAK,CAwOf,AA5OD,AAME,mCANiC,CAMjC,aAAa,AAAC,CACZ,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,CL6HT,OAAmD,CK5H5D,AATH,AAWE,mCAXiC,CAWjC,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CAQvB,AAvBH,AAiBI,mCAjB+B,CAWjC,YAAY,CAMV,YAAY,AAAC,CACX,QAAQ,CAAE,mBAAmB,CAC7B,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACV,AAtBL,AAyBE,mCAzBiC,CAyBjC,KAAK,AAAC,CACJ,IAAI,CAAE,OAAO,CAkLd,AA5MH,AA4BI,mCA5B+B,CAyBjC,KAAK,CAGH,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CACjB,AA9BL,AAgCI,mCAhC+B,CAyBjC,KAAK,CAOH,wBAAwB,AAAC,CACvB,OAAO,CAAE,IAAI,CAiJd,AAlLL,AAmCM,mCAnC6B,CAyBjC,KAAK,CAOH,wBAAwB,CAGtB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AArCP,AAuCM,mCAvC6B,CAyBjC,KAAK,CAOH,wBAAwB,CAOtB,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CAoBZ,AA5DP,AA2CU,mCA3CyB,CAyBjC,KAAK,CAOH,wBAAwB,CAOtB,eAAe,AAGZ,YAAY,CACX,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CLyFjB,OAAmD,CKxFpD,AA7CX,AAgDQ,mCAhD2B,CAyBjC,KAAK,CAOH,wBAAwB,CAOtB,eAAe,CASb,kBAAkB,AAAC,CACjB,OAAO,CAAE,WAAW,CACpB,MAAM,CAAE,GAAG,CAAC,KAAK,CLmFf,OAAmD,CK1EtD,AA3DT,AAoDU,mCApDyB,CAyBjC,KAAK,CAOH,wBAAwB,CAOtB,eAAe,CASb,kBAAkB,CAIhB,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAtDX,AAwDU,mCAxDyB,CAyBjC,KAAK,CAOH,wBAAwB,CAOtB,eAAe,CASb,kBAAkB,CAQhB,WAAW,AAAC,CACV,YAAY,CAAE,CAAC,CAChB,AA1DX,AA8DM,mCA9D6B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CLoEb,OAAmD,CKQxD,AA7IP,AAqEU,mCArEyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAKf,UAAU,CAET,UAAU,CArEpB,mCAAmC,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAMf,YAAY,CACX,UAAU,AAAC,CACT,KAAK,CJrIP,IAAO,CIsIL,UAAU,CJrIV,IAAO,CIsIR,AAxEX,AA0EU,mCA1EyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAKf,UAAU,CAOT,OAAO,CA1EjB,mCAAmC,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAMf,YAAY,CAMX,OAAO,AAAC,CACN,KAAK,CL0DL,OAAmD,CKzDpD,AA5EX,AA+EQ,mCA/E2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAiBf,KAAK,AAAC,CACL,aAAa,CAAE,WAAW,CAS3B,AAzFT,AAkFU,mCAlFyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAiBf,KAAK,CAGJ,UAAU,AAAC,CACT,aAAa,CAAE,WAAW,CAC3B,AApFX,AAsFU,mCAtFyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAiBf,KAAK,AAOH,YAAY,AAAC,CACZ,YAAY,CJpJb,OAAO,CIqJP,AAxFX,AA2FQ,mCA3F2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AA6Bf,GAAG,AAAC,CACH,aAAa,CAAE,WAAW,CAC1B,aAAa,CAAE,GAAG,CAUnB,AAvGT,AA+FU,mCA/FyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AA6Bf,GAAG,CAIF,UAAU,AAAC,CACT,aAAa,CAAE,WAAW,CAC1B,aAAa,CAAE,GAAG,CACnB,AAlGX,AAoGU,mCApGyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AA6Bf,GAAG,AASD,YAAY,AAAC,CACZ,YAAY,CJlKb,OAAO,CImKP,AAtGX,AAyGQ,mCAzG2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,CA2ChB,UAAU,AAAC,CACT,KAAK,CL2BH,OAAmD,CK1BrD,UAAU,CL0BR,OAAmD,CKzBtD,AA5GT,AA8GQ,mCA9G2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,CAgDhB,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,IAAI,CAAE,KAAK,CACX,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,KAAK,CLgBH,OAAmD,CKftD,AAtHT,AAwHQ,mCAxH2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,CA0DhB,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,KAAK,CLKH,OAAmD,CKJrD,aAAa,CAAE,SAAS,CACzB,AAlIT,AAoIQ,mCApI2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,CAsEhB,UAAU,AAAC,CACT,OAAO,CAAE,iBAAiB,CAC1B,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CD3If,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CC2If,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CACjB,AA5IT,AA+IM,mCA/I6B,CAyBjC,KAAK,CAOH,wBAAwB,CA+GtB,aAAa,AAAC,CACZ,IAAI,CAAE,CAAC,CACR,AAjJP,AAmJM,mCAnJ6B,CAyBjC,KAAK,CAOH,wBAAwB,CAmHtB,aAAa,AAAC,CACZ,OAAO,CAAE,CAAC,CACV,UAAU,CJnNN,IAAO,CIoNX,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,GAAG,CACjB,AAzJP,AA2JM,mCA3J6B,CAyBjC,KAAK,CAOH,wBAAwB,CA2HtB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,CL7BjB,OAAmD,CK8BvD,UAAU,CAAE,UAAU,CAcvB,AAjLP,AAqKQ,mCArK2B,CAyBjC,KAAK,CAOH,wBAAwB,CA2HtB,aAAa,CAUX,OAAO,AAAC,CACN,KAAK,CLjCH,OAAmD,CKkCtD,AAvKT,AAyKQ,mCAzK2B,CAyBjC,KAAK,CAOH,wBAAwB,CA2HtB,aAAa,CAcX,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAhLT,AAoLI,mCApL+B,CAyBjC,KAAK,CA2JH,QAAQ,AAAC,CACP,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,CAAC,CACb,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,IAAI,CAUhB,AArML,AA6LM,mCA7L6B,CAyBjC,KAAK,CA2JH,QAAQ,CASN,CAAC,AAAC,CACA,YAAY,CAAE,KAAK,CACpB,AA/LP,AAiMM,mCAjM6B,CAyBjC,KAAK,CA2JH,QAAQ,CAaN,CAAC,CAAG,CAAC,AAAC,CACJ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,YAAY,CACtB,AApMP,AAwMM,mCAxM6B,CAyBjC,KAAK,CA8KH,WAAW,CACT,iBAAiB,AAAC,CAChB,KAAK,CAAE,KAAK,CACb,AA1MP,AA8ME,mCA9MiC,CA8MjC,iBAAiB,AAAC,CAChB,aAAa,CAAE,KAAK,CACrB,AAhNH,AAmNI,mCAnN+B,CAkNjC,OAAO,CACL,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACb,AArNL,AAwNE,mCAxNiC,CAwNjC,QAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CAMV,AAjOH,AA6NM,mCA7N6B,CAwNjC,QAAQ,CAIN,OAAO,CACL,iBAAiB,AAAC,CAChB,KAAK,CLzFD,OAAmD,CK0FxD,AA/NP,AAmOE,mCAnOiC,CAmOjC,cAAc,AAAA,WAAW,CAnO3B,mCAAmC,CAoOjC,cAAc,AAAA,OAAO,CApOvB,mCAAmC,CAqOjC,cAAc,AAAA,UAAU,AAAC,CACvB,UAAU,CAAE,GAAG,CAChB,AAvOH,AAyOE,mCAzOiC,CAyOjC,gBAAgB,AAAC,CACf,KAAK,CAAE,GAAG,CACX,AAGH,AACE,IADE,AAAA,IAAK,CAAA,YAAY,EACnB,YAAY,CAAC,mCAAmC,AAAA,WAAW,AAAC,CAC1D,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,gBAAgB,CAC7B,AAGH,AACE,IADE,AAAA,YAAY,CACd,YAAY,CAAC,mCAAmC,AAAA,WAAW,AAAC,CAC1D,UAAU,CAAE,gBAAgB,CAkB7B,AApBH,AAII,IAJA,AAAA,YAAY,CACd,YAAY,CAAC,mCAAmC,AAAA,WAAW,CAGzD,wBAAwB,AAAC,CACvB,cAAc,CAAE,MAAM,CACvB,AANL,AAQI,IARA,AAAA,YAAY,CACd,YAAY,CAAC,mCAAmC,AAAA,WAAW,CAOzD,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,SAAS,CAKlB,AAfL,AAYM,IAZF,AAAA,YAAY,CACd,YAAY,CAAC,mCAAmC,AAAA,WAAW,CAOzD,aAAa,CAIX,YAAY,AAAC,CACX,eAAe,CAAE,MAAM,CACxB,AAdP,AAiBI,IAjBA,AAAA,YAAY,CACd,YAAY,CAAC,mCAAmC,AAAA,WAAW,CAgBzD,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CACjB"\n}
8	discourse-presence_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	.presence-users{background-color:#222;color:#909090;display:flex}.presence-users span.presence-text{margin-left:5px;margin-right:2px;flex:0 0 auto;padding-top:3px}.presence-users .presence-avatars{display:flex;overflow:hidden;flex-wrap:wrap}.presence-users .wave{flex:0 0 auto}.presence-users .wave .dot{display:inline-block;animation:wave 1.8s linear infinite}.presence-users .wave .dot:nth-child(2){animation-delay:-1.6s}.presence-users .wave .dot:nth-child(3){animation-delay:-1.4s}@keyframes wave{0%,60%,100%{transform:initial}30%{transform:translateY(-0.2em)}}.composer-fields .presence-users{position:absolute;top:20px;right:95px}@media screen and (max-width: 800px){.composer-fields .presence-users{max-width:318px}.composer-fields .presence-users .presence-avatars{flex-wrap:nowrap}}.mobile-view .presence-users{font-size:.8706em}.mobile-view .composer-fields .presence-users{top:7px;right:65px;max-width:70px}.mobile-view .composer-fields .presence-users .presence-avatars{flex-wrap:nowrap}.mobile-view .composer-fields .presence-users .description{display:none}.rtl span.presence-text{margin-left:2px;margin-right:5px}.rtl .composer-fields .presence-users{right:unset;left:95px}.rtl.mobile-view .composer-fields .presence-users{right:unset;left:65px}\n\n/*# sourceMappingURL=discourse-presence_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:34.627779	2019-12-05 04:03:34.627779	-1	{\n\t"version": 3,\n\t"file": "theme_1.css",\n\t"sources": [\n\t\t"theme_1.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/discourse-presence/assets/stylesheets/presence.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"discourse-presence\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t".presence-users {\\n  background-color: $secondary;\\n  color: $primary-medium;\\n  display: flex;\\n\\n  span.presence-text {\\n    margin-left: 5px;\\n    margin-right: 2px;\\n    flex: 0 0 auto;\\n    padding-top: 3px;\\n  }\\n\\n  .presence-avatars {\\n    display: flex;\\n    overflow: hidden;\\n    flex-wrap: wrap;\\n  }\\n\\n  .wave {\\n    flex: 0 0 auto;\\n\\n    .dot {\\n      display: inline-block;\\n      animation: wave 1.8s linear infinite;\\n\\n      &:nth-child(2) {\\n        animation-delay: -1.6s;\\n      }\\n\\n      &:nth-child(3) {\\n        animation-delay: -1.4s;\\n      }\\n    }\\n  }\\n\\n  @keyframes wave {\\n    0%,\\n    60%,\\n    100% {\\n      transform: initial;\\n    }\\n\\n    30% {\\n      transform: translateY(-0.2em);\\n    }\\n  }\\n}\\n\\n.composer-fields .presence-users {\\n  position: absolute;\\n  top: 20px;\\n  right: 95px;\\n  @media screen and (max-width: $small-width) {\\n    max-width: 318px;\\n    .presence-avatars {\\n      flex-wrap: nowrap;\\n    }\\n  }\\n}\\n\\n.mobile-view {\\n  .presence-users {\\n    font-size: $font-down-1;\\n  }\\n  .composer-fields .presence-users {\\n    top: 7px;\\n    right: 65px;\\n    max-width: 70px;\\n    .presence-avatars {\\n      flex-wrap: nowrap;\\n    }\\n    .description {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// TMP: RTL overrides\\n.rtl {\\n  span.presence-text {\\n    margin-left: 2px;\\n    margin-right: 5px;\\n  }\\n\\n  .composer-fields .presence-users {\\n    right: unset;\\n    left: 95px;\\n  }\\n\\n  &.mobile-view {\\n    .composer-fields .presence-users {\\n      right: unset;\\n      left: 65px;\\n    }\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AAAA,eAAe,AAAC,CACd,gBAAgB,CJAN,IAAO,CICjB,KAAK,CLkMK,OAAmD,CKjM7D,OAAO,CAAE,IAAI,CA2Cd,AA9CD,AAKE,eALa,CAKb,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,GAAG,CACjB,AAVH,AAYE,eAZa,CAYb,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,IAAI,CAChB,AAhBH,AAkBE,eAlBa,CAkBb,KAAK,AAAC,CACJ,IAAI,CAAE,QAAQ,CAcf,AAjCH,AAqBI,eArBW,CAkBb,KAAK,CAGH,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,yBAAyB,CASrC,AAhCL,AAyBM,eAzBS,CAkBb,KAAK,CAGH,IAAI,AAID,UAAW,CAAA,CAAC,CAAE,CACb,eAAe,CAAE,KAAK,CACvB,AA3BP,AA6BM,eA7BS,CAkBb,KAAK,CAGH,IAAI,AAQD,UAAW,CAAA,CAAC,CAAE,CACb,eAAe,CAAE,KAAK,CACvB,AAIL,UAAU,CAAV,IAAU,CACR,EAAE,CACF,GAAG,CACH,IAAI,CACF,SAAS,CAAE,OAAO,CAGpB,GAAG,CACD,SAAS,CAAE,kBAAkB,EAKnC,AAAA,gBAAgB,CAAC,eAAe,AAAC,CAC/B,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,IAAI,CAOZ,AANC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAJrC,AAAA,gBAAgB,CAAC,eAAe,AAAC,CAK7B,SAAS,CAAE,KAAK,CAKnB,AAVD,AAMI,gBANY,CAAC,eAAe,CAM5B,iBAAiB,AAAC,CAChB,SAAS,CAAE,MAAM,CAClB,CAIL,AACE,YADU,CACV,eAAe,AAAC,CACd,SAAS,CLXC,OAAQ,CKYnB,AAHH,AAIE,YAJU,CAIV,gBAAgB,CAAC,eAAe,AAAC,CAC/B,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAOhB,AAdH,AAQI,YARQ,CAIV,gBAAgB,CAAC,eAAe,CAI9B,iBAAiB,AAAC,CAChB,SAAS,CAAE,MAAM,CAClB,AAVL,AAWI,YAXQ,CAIV,gBAAgB,CAAC,eAAe,CAO9B,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AAKL,AACE,IADE,CACF,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAClB,AAJH,AAME,IANE,CAMF,gBAAgB,CAAC,eAAe,AAAC,CAC/B,KAAK,CAAE,KAAK,CACZ,IAAI,CAAE,IAAI,CACX,AATH,AAYI,IAZA,AAWD,YAAY,CACX,gBAAgB,CAAC,eAAe,AAAC,CAC/B,KAAK,CAAE,KAAK,CACZ,IAAI,CAAE,IAAI,CACX"\n}
9	lazy-yt_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	/*!\n* lazyYT (lazy load YouTube videos)\n* v1.0.1 - 2014-12-30\n* (CC) This work is licensed under a Creative Commons Attribution-ShareAlike 4.0 International License.\n* http://creativecommons.org/licenses/by-sa/4.0/\n* Contributors: https://github.com/tylerpearson/lazyYT/graphs/contributors || https://github.com/daugilas/lazyYT/graphs/contributors\n*/.lazyYT-container{position:relative;z-index:1;display:block;height:0;padding:0 0 56.25% 0;overflow:hidden;background-color:#000000;margin-bottom:12px}.lazyYT-container iframe{position:absolute;top:0;bottom:0;left:0;width:100%;height:100%;border:0}.lazyYT-container .html5-info-bar{position:absolute;top:0;z-index:935;width:100%;height:30px;overflow:hidden;font-family:Arial, Helvetica, sans-serif;font-size:12px;color:#fff;background-color:rgba(0,0,0,0.8);-webkit-transition:opacity 0.25s cubic-bezier(0, 0, 0.2, 1);-moz-transition:opacity 0.25s cubic-bezier(0, 0, 0.2, 1);transition:opacity 0.25s cubic-bezier(0, 0, 0.2, 1)}.lazyYT-container .html5-title{padding-right:6px;padding-left:12px}.lazyYT-container .html5-title-text-wrapper{overflow:hidden;-o-text-overflow:ellipsis;text-overflow:ellipsis;word-wrap:normal;white-space:nowrap}.lazyYT-container .html5-title-text{width:100%;font-size:13px;line-height:30px;color:#ccc;text-decoration:none}.lazyYT-container .html5-title-text:hover{color:#fff;text-decoration:underline}.ytp-thumbnail{padding-bottom:inherit;cursor:pointer;background-position:50% 50%;background-repeat:no-repeat;-webkit-background-size:cover;-moz-background-size:cover;-o-background-size:cover;background-size:cover}.ytp-large-play-button{position:absolute;top:50% !important;left:50% !important;width:86px !important;height:60px !important;padding:0 !important;margin:-29px 0 0 -42px !important;font-size:normal !important;font-weight:normal !important;line-height:1 !important;opacity:.9}.ytp-large-play-button-svg{opacity:.9;fill:#1f1f1f}.lazyYT-image-loaded:hover .ytp-large-play-button-svg,.ytp-large-play-button:focus .ytp-large-play-button-svg{opacity:1;fill:#cc181e}\n\n/*# sourceMappingURL=lazy-yt_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:34.650304	2019-12-05 04:03:34.650304	-1	{\n\t"version": 3,\n\t"file": "theme_1.css",\n\t"sources": [\n\t\t"theme_1.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/lazy-yt/assets/stylesheets/lazyYT.css"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"lazy-yt\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"/*!\\n* lazyYT (lazy load YouTube videos)\\n* v1.0.1 - 2014-12-30\\n* (CC) This work is licensed under a Creative Commons Attribution-ShareAlike 4.0 International License.\\n* http://creativecommons.org/licenses/by-sa/4.0/\\n* Contributors: https://github.com/tylerpearson/lazyYT/graphs/contributors || https://github.com/daugilas/lazyYT/graphs/contributors\\n*/\\n\\n.lazyYT-container {\\n  position: relative;\\n  z-index: z(\\"base\\");\\n  display: block;\\n  height: 0;\\n  padding: 0 0 56.25% 0;\\n  overflow: hidden;\\n  background-color: #000000;\\n  margin-bottom: 12px;\\n}\\n\\n.lazyYT-container iframe {\\n  position: absolute;\\n  top: 0;\\n  bottom: 0;\\n  left: 0;\\n  width: 100%;\\n  height: 100%;\\n  border: 0;\\n}\\n\\n/*\\n* Video Title (YouTube style)\\n*/\\n\\n.lazyYT-container .html5-info-bar {\\n  position: absolute;\\n  top: 0;\\n  z-index: 935;\\n  width: 100%;\\n  height: 30px;\\n  overflow: hidden;\\n  font-family: Arial, Helvetica, sans-serif;\\n  font-size: 12px;\\n  color: #fff;\\n  background-color: rgba(0, 0, 0, 0.8);\\n  -webkit-transition: opacity 0.25s cubic-bezier(0, 0, 0.2, 1);\\n  -moz-transition: opacity 0.25s cubic-bezier(0, 0, 0.2, 1);\\n  transition: opacity 0.25s cubic-bezier(0, 0, 0.2, 1);\\n}\\n\\n.lazyYT-container .html5-title {\\n  padding-right: 6px;\\n  padding-left: 12px;\\n}\\n\\n.lazyYT-container .html5-title-text-wrapper {\\n  overflow: hidden;\\n  -o-text-overflow: ellipsis;\\n  text-overflow: ellipsis;\\n  word-wrap: normal;\\n  white-space: nowrap;\\n}\\n\\n.lazyYT-container .html5-title-text {\\n  width: 100%;\\n  font-size: 13px;\\n  line-height: 30px;\\n  color: #ccc;\\n  text-decoration: none;\\n}\\n\\n.lazyYT-container .html5-title-text:hover {\\n  color: #fff;\\n  text-decoration: underline;\\n}\\n\\n/*\\n* Thumbnail\\n*/\\n\\n.ytp-thumbnail {\\n  padding-bottom: inherit;\\n  cursor: pointer;\\n  background-position: 50% 50%;\\n  background-repeat: no-repeat;\\n  -webkit-background-size: cover;\\n  -moz-background-size: cover;\\n  -o-background-size: cover;\\n  background-size: cover;\\n}\\n\\n/*\\n* Play button (YouTube style)\\n*/\\n\\n.ytp-large-play-button {\\n  position: absolute;\\n  top: 50% !important;\\n  left: 50% !important;\\n  width: 86px !important;\\n  height: 60px !important;\\n  padding: 0 !important;\\n  margin: -29px 0 0 -42px !important;\\n  font-size: normal !important;\\n  font-weight: normal !important;\\n  line-height: 1 !important;\\n  opacity: .9;\\n}\\n\\n.ytp-large-play-button-svg {\\n  opacity: .9;\\n  fill: #1f1f1f;\\n}\\n\\n.lazyYT-image-loaded:hover .ytp-large-play-button-svg,\\n.ytp-large-play-button:focus .ytp-large-play-button-svg {\\n  opacity: 1;\\n  fill: #cc181e;\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA;;;;;;EAME,AAEF,AAAA,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CL2FC,CAAC,CK1FT,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,MAAM,CAChB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,iBAAiB,CAAC,MAAM,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,iBAAiB,CAAC,eAAe,AAAC,CAChC,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,4BAA4B,CACzC,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,eAAkB,CACpC,kBAAkB,CAAE,OAAO,CAAC,KAAK,CAAC,0BAA0B,CAC5D,eAAe,CAAE,OAAO,CAAC,KAAK,CAAC,0BAA0B,CACzD,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,0BAA0B,CACrD,AAED,AAAA,iBAAiB,CAAC,YAAY,AAAC,CAC7B,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,IAAI,CACnB,AAED,AAAA,iBAAiB,CAAC,yBAAyB,AAAC,CAC1C,QAAQ,CAAE,MAAM,CAChB,gBAAgB,CAAE,QAAQ,CAC1B,aAAa,CAAE,QAAQ,CACvB,SAAS,CAAE,MAAM,CACjB,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,iBAAiB,CAAC,iBAAiB,AAAC,CAClC,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,IAAI,CACtB,AAED,AAAA,iBAAiB,CAAC,iBAAiB,AAAA,MAAM,AAAC,CACxC,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,SAAS,CAC3B,AAMD,AAAA,cAAc,AAAC,CACb,cAAc,CAAE,OAAO,CACvB,MAAM,CAAE,OAAO,CACf,mBAAmB,CAAE,OAAO,CAC5B,iBAAiB,CAAE,SAAS,CAC5B,uBAAuB,CAAE,KAAK,CAC9B,oBAAoB,CAAE,KAAK,CAC3B,kBAAkB,CAAE,KAAK,CACzB,eAAe,CAAE,KAAK,CACvB,AAMD,AAAA,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,cAAc,CACnB,IAAI,CAAE,cAAc,CACpB,KAAK,CAAE,eAAe,CACtB,MAAM,CAAE,eAAe,CACvB,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,0BAA0B,CAClC,SAAS,CAAE,iBAAiB,CAC5B,WAAW,CAAE,iBAAiB,CAC9B,WAAW,CAAE,YAAY,CACzB,OAAO,CAAE,EAAE,CACZ,AAED,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,EAAE,CACX,IAAI,CAAE,OAAO,CACd,AAED,AAAA,oBAAoB,AAAA,MAAM,CAAC,0BAA0B,CACrD,sBAAsB,AAAA,MAAM,CAAC,0BAA0B,AAAC,CACtD,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACd"\n}
10	poll_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	div.poll{margin:1em 0;border:1px solid #313131;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}div.poll ul,div.poll ol{margin:0;padding:0;list-style:none;display:inline-block;width:100%}div.poll li{cursor:pointer;font-size:1.1487em}div.poll li[data-poll-option-id]{color:#ddd;padding:0.5em 0;word-break:break-word}div.poll img{max-width:100% !important;height:auto}div.poll .poll-info{color:#909090;vertical-align:middle;padding:1em 0}div.poll .poll-info .info-label{font-size:1.7511em;line-height:1.2}div.poll .poll-info .info-text{margin:0.25em 0;display:block}div.poll .poll-container{vertical-align:middle;padding:0.5em 1em}div.poll .poll-container .poll-results-number-rating{font-size:2em}div.poll .poll-buttons .info-text{margin:0.25em 0;color:#909090}div.poll .poll-buttons .info-text+.info-text,div.poll .poll-buttons button+.info-text{margin-left:0.5em}div.poll .poll-voters:not(:empty){margin-bottom:0.25em}div.poll .poll-voters:not(:empty) li{display:inline}div.poll .poll-voters-toggle-expand{width:100%;text-align:center}div.poll .results>li{cursor:default;padding:0.25em 0}div.poll .results>li:last-child{padding-bottom:0}div.poll .results .option p{margin:0}div.poll .results .percentage{float:right;color:#909090;margin-left:0.25em}div.poll .results .bar-back{background:#313131}div.poll .results .bar{height:0.75em;background:#909090}div.poll .results .chosen .bar{background:#0f82af}div.poll[data-poll-type="number"] li[data-poll-option-id]{display:inline-block;width:3.25em;margin-right:0.25em}div.poll .poll-grouped-pies-controls{display:flex;justify-content:space-between}div.poll .poll-results-chart{height:310px;overflow-y:auto;overflow-x:hidden}div.poll .poll-group-by-toggle{margin-bottom:10px}div.poll .poll-group-by-selector{height:30px}div.poll .poll-grouped-pie-container{display:inline-block;position:relative;padding:15px 0}div.poll .poll-grouped-pie-container .poll-pie-label{display:block;text-align:center}div.poll.pie .poll-container{display:inline-block;height:310px;max-height:310px;overflow-y:auto}div.poll.pie .poll-container .poll-grouped-pie-container{width:50%}div.poll.pie .poll-info{display:inline-block;width:150px}body.crawler .poll .poll-info,body.crawler .poll .poll-button{display:none}.poll-ui-builder-form{display:flex;margin:0}.poll-ui-builder-form .options{flex-shrink:0;width:280px}.poll-ui-builder-form .d-editor-preview{margin-left:20px;width:360px}.poll-ui-builder-form label{font-weight:bold;display:inline}.poll-ui-builder-form .tip{display:block;margin-bottom:15px;margin-top:5px;font-size:.8706em}.poll-ui-builder-form .poll-select{margin-bottom:10px;display:flex;align-items:center}.poll-ui-builder-form .input-group-label{min-width:85px}.poll-ui-builder-form .poll-number{margin:10px 0;display:flex;align-items:center}.poll-ui-builder-form .poll-number input{width:70px}.poll-ui-builder-form .poll-textarea textarea{width:100%;height:90px;box-sizing:border-box}.poll-ui-builder-form .poll-select+.poll-textarea{margin-top:10px}.poll-ui-builder-form .poll-checkbox,.poll-ui-builder-form .poll-date{margin-top:5px}\n\n/*# sourceMappingURL=poll_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:34.707395	2019-12-05 04:03:34.707395	-1	{\n\t"version": 3,\n\t"file": "theme_1.css",\n\t"sources": [\n\t\t"theme_1.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/poll/assets/stylesheets/common/poll.scss",\n\t\t"plugins/poll/assets/stylesheets/common/poll-ui-builder.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"poll\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"div.poll {\\n  margin: 1em 0;\\n  border: 1px solid $primary-low;\\n\\n  @include unselectable;\\n\\n  ul,\\n  ol {\\n    margin: 0;\\n    padding: 0;\\n    list-style: none;\\n    display: inline-block;\\n    width: 100%;\\n  }\\n\\n  li {\\n    cursor: pointer;\\n    font-size: $font-up-1;\\n  }\\n\\n  li[data-poll-option-id] {\\n    color: $primary;\\n    padding: 0.5em 0;\\n    word-break: break-word;\\n  }\\n\\n  img {\\n    // needed to override internal styles in image-sizing hack\\n    max-width: 100% !important;\\n    height: auto;\\n  }\\n\\n  .poll-info {\\n    color: $primary-medium;\\n    vertical-align: middle;\\n    padding: 1em 0;\\n\\n    .info-label {\\n      font-size: $font-up-4;\\n      line-height: $line-height-medium;\\n    }\\n\\n    .info-text {\\n      margin: 0.25em 0;\\n      display: block;\\n    }\\n  }\\n\\n  .poll-container {\\n    vertical-align: middle;\\n    padding: 0.5em 1em;\\n\\n    .poll-results-number-rating {\\n      font-size: $font-up-5;\\n    }\\n  }\\n\\n  .poll-buttons {\\n    .info-text {\\n      margin: 0.25em 0;\\n      color: $primary-medium;\\n    }\\n    .info-text + .info-text,\\n    button + .info-text {\\n      margin-left: 0.5em;\\n    }\\n  }\\n\\n  .poll-voters:not(:empty) {\\n    margin-bottom: 0.25em;\\n    li {\\n      display: inline;\\n    }\\n  }\\n\\n  .poll-voters-toggle-expand {\\n    width: 100%;\\n    text-align: center;\\n  }\\n\\n  .results {\\n    > li {\\n      cursor: default;\\n      padding: 0.25em 0;\\n      &:last-child {\\n        padding-bottom: 0;\\n      }\\n    }\\n    .option {\\n      p {\\n        margin: 0;\\n      }\\n    }\\n\\n    .percentage {\\n      float: right;\\n      color: $primary-medium;\\n      margin-left: 0.25em;\\n    }\\n\\n    .bar-back {\\n      background: $primary-low;\\n    }\\n\\n    .bar {\\n      height: 0.75em;\\n      background: $primary-medium;\\n    }\\n\\n    .chosen .bar {\\n      background: $tertiary;\\n    }\\n  }\\n\\n  &[data-poll-type=\\"number\\"] {\\n    li[data-poll-option-id] {\\n      display: inline-block;\\n      width: 3.25em;\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .poll-grouped-pies-controls {\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n\\n  .poll-results-chart {\\n    height: 310px;\\n    overflow-y: auto;\\n    overflow-x: hidden;\\n  }\\n\\n  .poll-group-by-toggle {\\n    margin-bottom: 10px;\\n  }\\n\\n  .poll-group-by-selector {\\n    height: 30px;\\n  }\\n\\n  .poll-grouped-pie-container {\\n    display: inline-block;\\n    position: relative;\\n    padding: 15px 0;\\n\\n    .poll-pie-label {\\n      display: block;\\n      text-align: center;\\n    }\\n  }\\n}\\n\\ndiv.poll.pie {\\n  .poll-container {\\n    display: inline-block;\\n    height: 310px;\\n    max-height: 310px;\\n    overflow-y: auto;\\n\\n    .poll-grouped-pie-container {\\n      width: 50%;\\n    }\\n  }\\n  .poll-info {\\n    display: inline-block;\\n    width: 150px;\\n  }\\n}\\n\\n// hides 0 vote count in crawler and print view\\nbody.crawler {\\n  .poll {\\n    .poll-info,\\n    .poll-button {\\n      display: none;\\n    }\\n  }\\n}\\n",\n\t\t"$poll-margin: 10px;\\n\\n.poll-ui-builder-form {\\n  display: flex;\\n  margin: 0;\\n\\n  .options {\\n    flex-shrink: 0;\\n    width: 280px;\\n  }\\n\\n  .d-editor-preview {\\n    margin-left: $poll-margin * 2;\\n    width: 360px;\\n  }\\n\\n  label {\\n    font-weight: bold;\\n    display: inline;\\n  }\\n\\n  .tip {\\n    display: block;\\n    margin-bottom: $poll-margin * 1.5;\\n    margin-top: $poll-margin / 2;\\n    font-size: $font-down-1;\\n  }\\n\\n  .poll-select {\\n    margin-bottom: $poll-margin;\\n    display: flex;\\n    align-items: center;\\n  }\\n\\n  .input-group-label {\\n    min-width: 85px;\\n  }\\n\\n  .poll-number {\\n    margin: $poll-margin 0;\\n    display: flex;\\n    align-items: center;\\n\\n    input {\\n      width: 70px;\\n    }\\n  }\\n\\n  .poll-textarea textarea {\\n    width: 100%;\\n    height: 90px;\\n    box-sizing: border-box;\\n  }\\n\\n  .poll-select + .poll-textarea {\\n    margin-top: $poll-margin;\\n  }\\n\\n  .poll-checkbox,\\n  .poll-date {\\n    margin-top: $poll-margin / 2;\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AAAA,GAAG,AAAA,KAAK,AAAC,CACP,MAAM,CAAE,KAAK,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CLkMP,OAAmD,CI7H7D,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CC0E1B,AAvJD,AAME,GANC,AAAA,KAAK,CAMN,EAAE,CANJ,GAAG,AAAA,KAAK,CAON,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACZ,AAbH,AAeE,GAfC,AAAA,KAAK,CAeN,EAAE,AAAC,CACD,MAAM,CAAE,OAAO,CACf,SAAS,CLgCD,QAAQ,CK/BjB,AAlBH,AAoBE,GApBC,AAAA,KAAK,CAoBN,EAAE,CAAA,AAAA,mBAAC,AAAA,CAAqB,CACtB,KAAK,CJrBC,IAAO,CIsBb,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,UAAU,CACvB,AAxBH,AA0BE,GA1BC,AAAA,KAAK,CA0BN,GAAG,AAAC,CAEF,SAAS,CAAE,eAAe,CAC1B,MAAM,CAAE,IAAI,CACb,AA9BH,AAgCE,GAhCC,AAAA,KAAK,CAgCN,UAAU,AAAC,CACT,KAAK,CLmKG,OAAmD,CKlK3D,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,KAAK,CAWf,AA9CH,AAqCI,GArCD,AAAA,KAAK,CAgCN,UAAU,CAKR,WAAW,AAAC,CACV,SAAS,CLQH,QAAQ,CKPd,WAAW,CLyBI,GAAG,CKxBnB,AAxCL,AA0CI,GA1CD,AAAA,KAAK,CAgCN,UAAU,CAUR,UAAU,AAAC,CACT,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,KAAK,CACf,AA7CL,AAgDE,GAhDC,AAAA,KAAK,CAgDN,eAAe,AAAC,CACd,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,SAAS,CAKnB,AAvDH,AAoDI,GApDD,AAAA,KAAK,CAgDN,eAAe,CAIb,2BAA2B,AAAC,CAC1B,SAAS,CLRH,GAAG,CKSV,AAtDL,AA0DI,GA1DD,AAAA,KAAK,CAyDN,aAAa,CACX,UAAU,AAAC,CACT,MAAM,CAAE,QAAQ,CAChB,KAAK,CLwIC,OAAmD,CKvI1D,AA7DL,AA8DI,GA9DD,AAAA,KAAK,CAyDN,aAAa,CAKX,UAAU,CAAG,UAAU,CA9D3B,GAAG,AAAA,KAAK,CAyDN,aAAa,CAMX,MAAM,CAAG,UAAU,AAAC,CAClB,WAAW,CAAE,KAAK,CACnB,AAjEL,AAoEE,GApEC,AAAA,KAAK,CAoEN,YAAY,AAAA,IAAK,CAAA,MAAM,CAAE,CACvB,aAAa,CAAE,MAAM,CAItB,AAzEH,AAsEI,GAtED,AAAA,KAAK,CAoEN,YAAY,AAAA,IAAK,CAAA,MAAM,EAErB,EAAE,AAAC,CACD,OAAO,CAAE,MAAM,CAChB,AAxEL,AA2EE,GA3EC,AAAA,KAAK,CA2EN,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CACnB,AA9EH,AAiFI,GAjFD,AAAA,KAAK,CAgFN,QAAQ,CACJ,EAAE,AAAC,CACH,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,QAAQ,CAIlB,AAvFL,AAoFM,GApFH,AAAA,KAAK,CAgFN,QAAQ,CACJ,EAAE,AAGD,WAAW,AAAC,CACX,cAAc,CAAE,CAAC,CAClB,AAtFP,AAyFM,GAzFH,AAAA,KAAK,CAgFN,QAAQ,CAQN,OAAO,CACL,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AA3FP,AA8FI,GA9FD,AAAA,KAAK,CAgFN,QAAQ,CAcN,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACZ,KAAK,CLoGC,OAAmD,CKnGzD,WAAW,CAAE,MAAM,CACpB,AAlGL,AAoGI,GApGD,AAAA,KAAK,CAgFN,QAAQ,CAoBN,SAAS,AAAC,CACR,UAAU,CL+FJ,OAAmD,CK9F1D,AAtGL,AAwGI,GAxGD,AAAA,KAAK,CAgFN,QAAQ,CAwBN,IAAI,AAAC,CACH,MAAM,CAAE,MAAM,CACd,UAAU,CL0FJ,OAAmD,CKzF1D,AA3GL,AA6GI,GA7GD,AAAA,KAAK,CAgFN,QAAQ,CA6BN,OAAO,CAAC,IAAI,AAAC,CACX,UAAU,CJ5GL,OAAO,CI6Gb,AA/GL,AAmHI,GAnHD,AAAA,KAAK,CAkHL,AAAA,cAAC,CAAe,QAAQ,AAAvB,EACA,EAAE,CAAA,AAAA,mBAAC,AAAA,CAAqB,CACtB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,MAAM,CACb,YAAY,CAAE,MAAM,CACrB,AAvHL,AA0HE,GA1HC,AAAA,KAAK,CA0HN,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,AA7HH,AA+HE,GA/HC,AAAA,KAAK,CA+HN,mBAAmB,AAAC,CAClB,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CACnB,AAnIH,AAqIE,GArIC,AAAA,KAAK,CAqIN,qBAAqB,AAAC,CACpB,aAAa,CAAE,IAAI,CACpB,AAvIH,AAyIE,GAzIC,AAAA,KAAK,CAyIN,uBAAuB,AAAC,CACtB,MAAM,CAAE,IAAI,CACb,AA3IH,AA6IE,GA7IC,AAAA,KAAK,CA6IN,2BAA2B,AAAC,CAC1B,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,MAAM,CAMhB,AAtJH,AAkJI,GAlJD,AAAA,KAAK,CA6IN,2BAA2B,CAKzB,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,MAAM,CACnB,AAIL,AACE,GADC,AAAA,KAAK,AAAA,IAAI,CACV,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,IAAI,CAKjB,AAVH,AAOI,GAPD,AAAA,KAAK,AAAA,IAAI,CACV,eAAe,CAMb,2BAA2B,AAAC,CAC1B,KAAK,CAAE,GAAG,CACX,AATL,AAWE,GAXC,AAAA,KAAK,AAAA,IAAI,CAWV,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACb,AAIH,AAEI,IAFA,AAAA,QAAQ,CACV,KAAK,CACH,UAAU,CAFd,IAAI,AAAA,QAAQ,CACV,KAAK,CAEH,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AC9KL,AAAA,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CA0DV,AA5DD,AAIE,qBAJmB,CAInB,QAAQ,AAAC,CACP,WAAW,CAAE,CAAC,CACd,KAAK,CAAE,KAAK,CACb,AAPH,AASE,qBATmB,CASnB,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAgB,CAC7B,KAAK,CAAE,KAAK,CACb,AAZH,AAcE,qBAdmB,CAcnB,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,MAAM,CAChB,AAjBH,AAmBE,qBAnBmB,CAmBnB,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,IAAkB,CACjC,UAAU,CAAE,GAAgB,CAC5B,SAAS,CN0BC,OAAQ,CMzBnB,AAxBH,AA0BE,qBA1BmB,CA0BnB,YAAY,AAAC,CACX,aAAa,CA7BH,IAAI,CA8Bd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AA9BH,AAgCE,qBAhCmB,CAgCnB,kBAAkB,AAAC,CACjB,SAAS,CAAE,IAAI,CAChB,AAlCH,AAoCE,qBApCmB,CAoCnB,YAAY,AAAC,CACX,MAAM,CAvCI,IAAI,CAuCO,CAAC,CACtB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AA5CH,AAyCI,qBAzCiB,CAoCnB,YAAY,CAKV,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AA3CL,AA8CE,qBA9CmB,CA8CnB,cAAc,CAAC,QAAQ,AAAC,CACtB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACvB,AAlDH,AAoDE,qBApDmB,CAoDnB,YAAY,CAAG,cAAc,AAAC,CAC5B,UAAU,CAvDA,IAAI,CAwDf,AAtDH,AAwDE,qBAxDmB,CAwDnB,cAAc,CAxDhB,qBAAqB,CAyDnB,UAAU,AAAC,CACT,UAAU,CAAE,GAAgB,CAC7B"\n}
11	lazy-yt_mobile_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	.lazyYT{max-width:100%}\n\n/*# sourceMappingURL=lazy-yt_mobile_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:34.729343	2019-12-05 04:03:34.729343	-1	{\n\t"version": 3,\n\t"file": "theme_1.css",\n\t"sources": [\n\t\t"theme_1.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/lazy-yt/assets/stylesheets/lazyYT_mobile.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"lazy-yt_mobile\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t".lazyYT {\\n  max-width: 100%;\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AAAA,OAAO,AAAC,CACN,SAAS,CAAE,IAAI,CAChB"\n}
12	poll_mobile_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	div.poll .poll-buttons{padding:0.5em 1em 1em 1em}div.poll .poll-buttons button{margin-right:0.5em}div.poll .poll-info{padding:0 1em;display:flex;flex-wrap:wrap}div.poll .poll-info .info-text{display:inline}div.poll .poll-info .info-number{font-size:2.296em}div.poll .poll-info p{margin:0;width:100%}div.poll .poll-info .info-label{margin-left:0.25em}div.poll.pie .poll-container{width:calc(100% - 30px);border-bottom:1px solid #313131}div.poll.pie .poll-container .poll-grouped-pie-container{width:100%}.poll-ui-builder-form .d-editor-preview{display:none}\n\n/*# sourceMappingURL=poll_mobile_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:34.750551	2019-12-05 04:03:34.750551	-1	{\n\t"version": 3,\n\t"file": "theme_1.css",\n\t"sources": [\n\t\t"theme_1.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/poll/assets/stylesheets/mobile/poll.scss",\n\t\t"plugins/poll/assets/stylesheets/mobile/poll-ui-builder.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"poll_mobile\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"div.poll {\\n  .poll-buttons {\\n    padding: 0.5em 1em 1em 1em;\\n\\n    button {\\n      margin-right: 0.5em;\\n    }\\n  }\\n\\n  .poll-info {\\n    padding: 0 1em;\\n    display: flex;\\n    flex-wrap: wrap;\\n    .info-text {\\n      display: inline;\\n    }\\n    .info-number {\\n      font-size: $font-up-6;\\n    }\\n    p {\\n      margin: 0;\\n      width: 100%;\\n    }\\n    .info-label {\\n      margin-left: 0.25em;\\n    }\\n  }\\n}\\n\\ndiv.poll.pie {\\n  .poll-container {\\n    width: calc(100% - 30px);\\n    border-bottom: 1px solid $primary-low;\\n\\n    .poll-grouped-pie-container {\\n      width: 100%;\\n    }\\n  }\\n}\\n",\n\t\t".poll-ui-builder-form {\\n  .d-editor-preview {\\n    display: none;\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AACE,GADC,AAAA,KAAK,CACN,aAAa,AAAC,CACZ,OAAO,CAAE,iBAAiB,CAK3B,AAPH,AAII,GAJD,AAAA,KAAK,CACN,aAAa,CAGX,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AANL,AASE,GATC,AAAA,KAAK,CASN,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAchB,AA1BH,AAaI,GAbD,AAAA,KAAK,CASN,UAAU,CAIR,UAAU,AAAC,CACT,OAAO,CAAE,MAAM,CAChB,AAfL,AAgBI,GAhBD,AAAA,KAAK,CASN,UAAU,CAOR,YAAY,AAAC,CACX,SAAS,CL2BH,OAAO,CK1Bd,AAlBL,AAmBI,GAnBD,AAAA,KAAK,CASN,UAAU,CAUR,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAtBL,AAuBI,GAvBD,AAAA,KAAK,CASN,UAAU,CAcR,WAAW,AAAC,CACV,WAAW,CAAE,MAAM,CACpB,AAIL,AACE,GADC,AAAA,KAAK,AAAA,IAAI,CACV,eAAe,AAAC,CACd,KAAK,CAAE,iBAAiB,CACxB,aAAa,CAAE,GAAG,CAAC,KAAK,CLoKhB,OAAmD,CK/J5D,AARH,AAKI,GALD,AAAA,KAAK,AAAA,IAAI,CACV,eAAe,CAIb,2BAA2B,AAAC,CAC1B,KAAK,CAAE,IAAI,CACZ,ACpCL,AACE,qBADmB,CACnB,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACd"\n}
13	poll_desktop_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	div.poll{display:table;width:100%;box-sizing:border-box}div.poll .poll-info{min-width:150px;width:100%;display:table-cell;text-align:center}div.poll .poll-info .info-number{font-size:3.5em}div.poll .poll-info p{margin:0.5em 0}div.poll .poll-info .info-label{display:block}div.poll .poll-container{display:table-cell;width:100%;border-right:1px solid #313131}div.poll .poll-buttons{border-top:1px solid #313131;padding:1em}div.poll .poll-buttons .info-text{line-height:2em}div.poll .poll-buttons :not(:first-child):not(:last-child){margin-left:1em}div.poll .poll-buttons .toggle-status{float:right}div.poll.pie .poll-container{width:calc(100% - 190px)}div.poll.pie .poll-container .poll-grouped-pie-container{width:50%}div.poll.pie .poll-info{display:inline-block;width:150px}.d-editor-preview .poll-buttons a:not(:first-child){margin-left:0.25em}.d-editor-preview .poll li[data-poll-option-id]:before{position:relative;vertical-align:baseline;border:2px solid #ddd;border-radius:50%;display:inline-block;margin-right:0.5em;width:12px;height:12px;content:""}.d-editor-preview .poll[data-poll-type="multiple"] li[data-poll-option-id]:before{border-radius:3px}\n\n/*# sourceMappingURL=poll_desktop_1_363e15d679ff5774c2e8a6e3fce54dbfc4844938.css.map */	2019-12-05 04:03:34.772563	2019-12-05 04:03:34.772563	-1	{\n\t"version": 3,\n\t"file": "theme_1.css",\n\t"sources": [\n\t\t"theme_1.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/poll/assets/stylesheets/desktop/poll.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"poll_desktop\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #dddddd !default;\\n$secondary: #222222 !default;\\n$tertiary: #0f82af !default;\\n$quaternary: #c14924 !default;\\n$header_background: #111111 !default;\\n$header_primary: #dddddd !default;\\n$highlight: #a87137 !default;\\n$danger: #e45735 !default;\\n$success: #1ca551 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"div.poll {\\n  display: table;\\n  width: 100%;\\n  box-sizing: border-box;\\n\\n  .poll-info {\\n    min-width: 150px;\\n    width: 100%;\\n    display: table-cell;\\n    text-align: center;\\n\\n    .info-number {\\n      font-size: 3.5em;\\n    }\\n\\n    p {\\n      margin: 0.5em 0;\\n    }\\n\\n    .info-label {\\n      display: block;\\n    }\\n  }\\n\\n  .poll-container {\\n    display: table-cell;\\n    width: 100%;\\n    border-right: 1px solid $primary-low;\\n  }\\n\\n  .poll-buttons {\\n    border-top: 1px solid $primary-low;\\n    padding: 1em;\\n\\n    .info-text {\\n      line-height: 2em;\\n    }\\n\\n    :not(:first-child):not(:last-child) {\\n      margin-left: 1em;\\n    }\\n\\n    .toggle-status {\\n      float: right;\\n    }\\n  }\\n}\\n\\ndiv.poll.pie {\\n  .poll-container {\\n    width: calc(100% - 190px);\\n\\n    .poll-grouped-pie-container {\\n      width: 50%;\\n    }\\n  }\\n  .poll-info {\\n    display: inline-block;\\n    width: 150px;\\n  }\\n}\\n\\n.d-editor-preview {\\n  .poll-buttons {\\n    a:not(:first-child) {\\n      margin-left: 0.25em;\\n    }\\n  }\\n\\n  .poll {\\n    li[data-poll-option-id]:before {\\n      position: relative;\\n      vertical-align: baseline;\\n      border: 2px solid $primary;\\n      border-radius: 50%;\\n      display: inline-block;\\n      margin-right: 0.5em;\\n      width: 12px;\\n      height: 12px;\\n      content: \\"\\";\\n    }\\n\\n    &[data-poll-type=\\"multiple\\"] {\\n      li[data-poll-option-id]:before {\\n        border-radius: 3px;\\n      }\\n    }\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AAAA,GAAG,AAAA,KAAK,AAAC,CACP,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CA2CvB,AA9CD,AAKE,GALC,AAAA,KAAK,CAKN,UAAU,AAAC,CACT,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,UAAU,CACnB,UAAU,CAAE,MAAM,CAanB,AAtBH,AAWI,GAXD,AAAA,KAAK,CAKN,UAAU,CAMR,YAAY,AAAC,CACX,SAAS,CAAE,KAAK,CACjB,AAbL,AAeI,GAfD,AAAA,KAAK,CAKN,UAAU,CAUR,CAAC,AAAC,CACA,MAAM,CAAE,OAAO,CAChB,AAjBL,AAmBI,GAnBD,AAAA,KAAK,CAKN,UAAU,CAcR,WAAW,AAAC,CACV,OAAO,CAAE,KAAK,CACf,AArBL,AAwBE,GAxBC,AAAA,KAAK,CAwBN,eAAe,AAAC,CACd,OAAO,CAAE,UAAU,CACnB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAAC,KAAK,CLyKf,OAAmD,CKxK5D,AA5BH,AA8BE,GA9BC,AAAA,KAAK,CA8BN,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,CLqKb,OAAmD,CKpK3D,OAAO,CAAE,GAAG,CAab,AA7CH,AAkCI,GAlCD,AAAA,KAAK,CA8BN,aAAa,CAIX,UAAU,AAAC,CACT,WAAW,CAAE,GAAG,CACjB,AApCL,AAsCI,GAtCD,AAAA,KAAK,CA8BN,aAAa,CAQX,IAAK,CAAA,YAAY,CAAC,IAAK,CAAA,WAAW,CAAE,CAClC,WAAW,CAAE,GAAG,CACjB,AAxCL,AA0CI,GA1CD,AAAA,KAAK,CA8BN,aAAa,CAYX,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACb,AAIL,AACE,GADC,AAAA,KAAK,AAAA,IAAI,CACV,eAAe,AAAC,CACd,KAAK,CAAE,kBAAkB,CAK1B,AAPH,AAII,GAJD,AAAA,KAAK,AAAA,IAAI,CACV,eAAe,CAGb,2BAA2B,AAAC,CAC1B,KAAK,CAAE,GAAG,CACX,AANL,AAQE,GARC,AAAA,KAAK,AAAA,IAAI,CAQV,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACb,AAGH,AAEI,iBAFa,CACf,aAAa,CACX,CAAC,AAAA,IAAK,CAAA,YAAY,CAAE,CAClB,WAAW,CAAE,MAAM,CACpB,AAJL,AAQI,iBARa,CAOf,KAAK,CACH,EAAE,CAAA,AAAA,mBAAC,AAAA,CAAoB,OAAO,AAAC,CAC7B,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACxB,MAAM,CAAE,GAAG,CAAC,KAAK,CJzEb,IAAO,CI0EX,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,EAAE,CACZ,AAlBL,AAqBM,iBArBW,CAOf,KAAK,CAaF,AAAA,cAAC,CAAe,UAAU,AAAzB,EACA,EAAE,CAAA,AAAA,mBAAC,AAAA,CAAoB,OAAO,AAAC,CAC7B,aAAa,CAAE,GAAG,CACnB"\n}
14	mobile_theme_2	e7ece545c6bf2aae02d7ecce717100eb99b0771c	\n/*# sourceMappingURL=mobile_theme_2_e7ece545c6bf2aae02d7ecce717100eb99b0771c.css.map */	2019-12-05 04:03:34.823484	2019-12-05 04:03:34.823484	-1	{\n\t"version": 3,\n\t"file": "theme_2.css",\n\t"sources": [\n\t\t"theme_2.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"theme_variable.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"theme_variables\\"; @import \\"mobile_theme\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t""\n\t],\n\t"names": [],\n\t"mappings": ""\n}
15	desktop_theme_2	e7ece545c6bf2aae02d7ecce717100eb99b0771c	\n/*# sourceMappingURL=desktop_theme_2_e7ece545c6bf2aae02d7ecce717100eb99b0771c.css.map */	2019-12-05 04:03:34.847447	2019-12-05 04:03:34.847447	-1	{\n\t"version": 3,\n\t"file": "theme_2.css",\n\t"sources": [\n\t\t"theme_2.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"theme_variable.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"theme_variables\\"; @import \\"desktop_theme\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t""\n\t],\n\t"names": [],\n\t"mappings": ""\n}
16	desktop_rtl_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	﻿html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%;}body{margin:0;}article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary{display:block;}audio,canvas,progress,video{display:inline-block;vertical-align:baseline;}audio:not([controls]){display:none;height:0;}[hidden],template{display:none;}a{background:transparent;}a:active,a:hover{outline:0;}abbr[title],acronym[title]{text-decoration:underline;text-decoration-style:dotted;}b,strong{font-weight:bold;}dfn{font-style:italic;}h1{font-size:1.7511em;margin:0.67em 0;}mark{background:#ff0;color:#000;}small{font-size:80%;}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline;}sup{top:-0.5em;}sub{bottom:-0.25em;}img{border:0;}figure{margin:1em 40px;}hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0;}pre{overflow:auto;}code,kbd,pre,samp{font-family:monospace,monospace;font-size:1em;}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0;}button{overflow:visible;}button,select{text-transform:none;}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer;}button[disabled],html input[disabled]{cursor:default;}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0;}input{line-height:normal;}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0;}input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{height:auto;}input[type="search"]{-webkit-appearance:textfield;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box;}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none;}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em;}legend{border:0;padding:0;}textarea{overflow:auto;}optgroup{font-weight:bold;}table{border-collapse:collapse;border-spacing:0;}td,th{padding:0;}.pika-single{z-index:9999;display:block;position:relative;color:#ddd;background:#222;border:1px solid #313131;border-bottom-color:#313131;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;}.pika-single.is-hidden{display:none;}.pika-single.is-bound{position:absolute;box-shadow:0 5px 15px -5px rgba(0,0,0,0.5);}.pika-single:before,.pika-single:after{content:" ";display:table;}.pika-single:after{clear:both;}.pika-lendar{float:right;width:240px;margin:8px;}.pika-title{position:relative;text-align:center;}.pika-title select{cursor:pointer;position:absolute;z-index:9998;margin:0;right:0;top:5px;filter:alpha(opacity=0);opacity:0;}.pika-label{display:inline-block;position:relative;z-index:9999;overflow:hidden;margin:0;padding:5px 3px;font-size:14px;line-height:20px;font-weight:bold;color:#ddd;background-color:#222;}.pika-prev,.pika-next{display:block;cursor:pointer;position:relative;outline:none;border:0;padding:0;width:20px;height:30px;text-indent:20px;white-space:nowrap;overflow:hidden;background-color:transparent;background-position:center center;background-repeat:no-repeat;background-size:75% 75%;opacity:.5;filter:invert(1);}.pika-prev:hover,.pika-next:hover{opacity:1;}.pika-prev.is-disabled,.pika-next.is-disabled{cursor:default;opacity:.2;}.pika-prev,.is-rtl .pika-next{float:right;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==");}.pika-next,.is-rtl .pika-prev{float:left;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=");}.pika-select{display:inline-block;}.pika-table{width:100%;border-collapse:collapse;border-spacing:0;border:0;}.pika-table th,.pika-table td{width:14.285714285714286%;padding:0;}.pika-table th{color:#ddd;font-size:12px;line-height:25px;font-weight:bold;text-align:center;}.pika-table abbr{border-bottom:none;cursor:help;}.pika-button{cursor:pointer;display:block;-moz-box-sizing:border-box;box-sizing:border-box;outline:none;border:0;margin:0;width:100%;padding:5px;color:#ddd;font-size:12px;line-height:15px;text-align:left;background:#222;}.is-today .pika-button{color:#0f82af;font-weight:bold;}.is-selected .pika-button{color:#222;font-weight:bold;background:#0f82af;box-shadow:0 1px 3px #052e3d inset;border-radius:3px;}.is-disabled .pika-button,.is-outside-current-month .pika-button{pointer-events:none;cursor:default;color:#ddd;opacity:.3;}.pika-button:hover{color:#ddd;background:#052e3d;box-shadow:none;border-radius:3px;}.pika-week{font-size:11px;color:#ddd;}.is-inrange .pika-button{background:#D5E9F7;}.is-startrange .pika-button{color:#222;background:#6CB31D;box-shadow:none;border-radius:3px;}.is-endrange .pika-button{color:#222;background:#0f82af;box-shadow:none;border-radius:3px;}.pull-left{float:right;}.pull-right{float:left;}.show{display:block;}.hide,.hidden{display:none;}.invisible{visibility:hidden;}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);border:0;}.affix{position:fixed;}.clearfix:before,.nav-pills:before,.container:before,.wrap:before,.clearfix:after,.nav-pills:after,.container:after,.wrap:after{display:table;content:" ";}.clearfix:after,.nav-pills:after,.container:after,.wrap:after{clear:both;}.overflow-ellipsis{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}.clickable{cursor:pointer;}.disable-no-hover:hover{background:#919191;color:#ddd;}html{color:#ddd;font-family:Helvetica,Arial,sans-serif;font-size:15px;line-height:1.4;background-color:#222;overflow-y:scroll;direction:rtl;}html.text-size-smaller{font-size:14px;}html.text-size-larger{font-size:17px;}html.text-size-largest{font-size:19px;}a{color:#0f82af;text-decoration:none;cursor:pointer;}a:visited{color:#0f82af;}a:hover{color:#0f82af;}a:active{color:#0f82af;}hr{display:block;height:1px;margin:1em 0;border:0;border-top:1px solid #313131;padding:0;}ul,dd{margin:0 25px 9px 0;padding:0;}.cooked ul,.cooked ol,.cooked dd{clear:both;}.cooked ul,.d-editor-preview ul{margin:0;padding-right:40px;}li>ul,li>ol{margin-bottom:0;}img{vertical-align:middle;}fieldset{margin:0;border:0;padding:0;}pre code{overflow:auto;tab-size:4;}.row:before,.row:after{display:table;content:"";}.row:after{clear:both;}#offscreen-content{display:none;}tbody{border-top:3px solid #313131;}tr{border-bottom:1px solid #313131;}tr.highlighted{animation:background-fade-highlight 2.5s ease-out;}ruby>rt{font-size:72%;}.select-kit.categories-admin-dropdown .select-kit-body{min-width:auto;width:250px;}.select-kit.categories-admin-dropdown .select-kit-header .d-icon{justify-content:space-between;}.select-kit.combo-box.category-chooser{width:300px;}.select-kit.combo-box.category-chooser .select-kit-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:flex-start;-ms-flex-align:flex-start;align-items:flex-start;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;}.select-kit.combo-box.category-chooser .select-kit-row.none .topic-count{display:none;}.select-kit.combo-box.category-chooser .select-kit-row .topic-count{font-size:.7579em;color:#ddd;white-space:nowrap;}.select-kit.combo-box.category-chooser .select-kit-row .category-status{color:#ddd;line-height:1.4;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;}.select-kit.combo-box.category-chooser .select-kit-row .category-desc{-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;color:#919191;font-size:.8706em;line-height:1.4;}.select-kit.combo-box.category-drop .badge-wrapper{font-size:1em;font-weight:normal;}.select-kit.combo-box.category-drop .badge-wrapper.box{margin:0;}.select-kit.combo-box.category-drop .badge-wrapper.box span.badge-category{margin:0;}.select-kit.combo-box.category-drop.bar.has-selection .category-drop-header{padding:0 10px 0 5px;}.select-kit.combo-box.category-drop.box.has-selection .category-drop-header .badge-wrapper.box{padding:0;}.select-kit.combo-box.category-drop .category-drop-header.is-none .selected-name{color:inherit;}.select-kit.combo-box.category-drop .category-drop-header .badge-wrapper{margin-left:0;}.select-kit.combo-box.category-drop .select-kit-body{min-width:300px;}.select-kit.combo-box.category-drop .select-kit-row{flex-direction:column;align-items:flex-start;}.select-kit.combo-box.category-drop .select-kit-row[data-value="all-categories"],.select-kit.combo-box.category-drop .select-kit-row[data-value="no-categories"]{color:#0f82af;font-weight:700;}.select-kit.combo-box.category-drop .select-kit-row .category-desc{font-weight:normal;color:#909090;margin-top:2px;}.select-kit.combo-box.category-drop .select-kit-row .category-status{align-items:center;}.select-kit.combo-box.category-drop .select-kit-row .topic-count{margin-right:5px;font-weight:normal;}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper{margin:0;font-weight:bold;}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper:nth-child(2){margin-right:10px;}.select-kit.combo-box.category-drop.is-expanded .select-kit-wrapper,.select-kit.combo-box.category-drop .select-kit-wrapper{display:none;}.select-kit .category-row .category-status{display:flex;flex-wrap:wrap;align-items:center;max-width:100%;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;}.select-kit .category-row .category-desc{max-width:100%;}.select-kit .category-row .category-status .badge-wrapper.box{margin-bottom:1px;margin-top:1px;}.select-kit .category-row .topic-count{white-space:nowrap;}.select-kit.category-selector .selected-name .badge-wrapper.box,.select-kit-box.category-selector .selected-name .badge-wrapper.box{margin:2px;padding:0;}.select-kit.combo-box{min-width:auto;}.select-kit.combo-box .select-kit-body{width:100%;min-width:150px;border-radius:0;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}.select-kit.combo-box .select-kit-row{margin:0;min-height:1px;padding:6px 10px;}.select-kit.combo-box .select-kit-row.no-content{font-weight:normal;}.select-kit.combo-box .select-kit-filter{padding:4px 10px;border-top:1px solid #313131;border-bottom:1px solid #313131;}.select-kit.combo-box .select-kit-filter .spinner{flex:0 0 auto;}.select-kit.combo-box .select-kit-filter .filter-input,.select-kit.combo-box .select-kit-filter .filter-input:focus,.select-kit.combo-box .select-kit-filter .filter-input:active{flex:0 0 auto;width:90%;}.select-kit.combo-box .select-kit-filter .filter-icon{padding-right:5px;}.select-kit.combo-box .select-kit-header{background:#222;border:1px solid #909090;padding:0 10px 0 5px;font-weight:500;font-size:1em;}.select-kit.combo-box .select-kit-header.is-focused{border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af;}.select-kit.combo-box .select-kit-collection{display:flex;flex-direction:column;padding:0;min-width:100px;max-height:200px;max-width:32em;}.select-kit.combo-box .select-kit-collection .collection-header a{white-space:nowrap;color:#ddd;line-height:1.2;font-weight:bold;display:block;padding:6px 10px;color:#0f82af;}.select-kit.combo-box .select-kit-collection .collection-header a:hover{text-decoration:underline;}.select-kit.combo-box.is-disabled .select-kit-header{background:#313131;border-color:#7a7a7a;color:#909090;}.select-kit.combo-box.is-disabled .select-kit-header .d-icon{color:#909090;}.select-kit.combo-box.is-highlighted .select-kit-header{border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af;}.select-kit.combo-box.is-expanded .select-kit-wrapper{display:block;border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af;}.select-kit.combo-box.is-expanded.is-above .select-kit-header{border-radius:0 0 3px 3px;}.select-kit.combo-box.is-expanded.is-above .select-kit-body{border-radius:3px 3px 0 0;}.select-kit.combo-box.tag-drop,.select-kit.combo-box.group-dropdown{min-width:auto;}.select-kit.combo-box.tag-drop .select-kit-row,.select-kit.combo-box.group-dropdown .select-kit-row{font-weight:bold;}.select-kit.combo-box.is-expanded .select-kit-wrapper,.select-kit.combo-box .select-kit-wrapper{display:none;}.select-kit.dropdown-select-box.composer-actions{margin:0;}.select-kit.dropdown-select-box.composer-actions .select-kit-header{background:none;outline:none;padding:0;margin-left:5px;border:1px solid #313131;min-height:unset;}.select-kit.dropdown-select-box.composer-actions .select-kit-header .d-icon{padding:5px 6px;}.select-kit.dropdown-select-box.composer-actions .select-kit-header:hover,.select-kit.dropdown-select-box.composer-actions .select-kit-header:focus{background:#313131;}.select-kit.dropdown-select-box.composer-actions .d-icon{margin:0 !important;}.select-kit.dropdown-select-box{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;min-width:auto;border:none;}.select-kit.dropdown-select-box.is-expanded .select-kit-collection,.select-kit.dropdown-select-box.is-expanded .select-kit-body{border-radius:0;}.select-kit.dropdown-select-box .select-kit-body{border:1px solid #313131;background-clip:padding-box;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);max-width:300px;width:300px;}.select-kit.dropdown-select-box .select-kit-row{margin:0;padding:10px 5px;}.select-kit.dropdown-select-box .select-kit-row .icons{display:-webkit-box;display:-ms-flexbox;display:flex;flex:0 0 auto;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-item-align:start;align-self:flex-start;margin-left:0.357em;margin-top:2px;width:30px;}.select-kit.dropdown-select-box .select-kit-row .icons .d-icon{font-size:1.3195em;-ms-flex-item-align:center;align-self:center;margin-left:0;opacity:1;}.select-kit.dropdown-select-box .select-kit-row .texts{width:0;line-height:1.4;-webkit-box-flex:1;-ms-flex:1;flex:1 1 0%;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;}.select-kit.dropdown-select-box .select-kit-row .texts .name{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;font-weight:bold;font-size:1em;color:#ddd;padding:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100%;}.select-kit.dropdown-select-box .select-kit-row .texts .desc{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;width:100%;font-size:.8706em;font-weight:normal;color:#909090;white-space:normal;}.select-kit.dropdown-select-box .select-kit-collection{padding:0;max-height:100%;}.select-kit.dropdown-select-box .dropdown-select-box-header{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;border:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;}.select-kit.dropdown-select-box .dropdown-select-box-header .d-icon+.d-icon{margin-right:5px;}.select-kit.dropdown-select-box .dropdown-select-box-header.is-focused{outline-style:auto;outline-color:#0f82af;}.select-kit.combobox.future-date-input-selector{min-width:50%;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-header .btn-clear{line-height:1.4;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-datetime{color:#fff;margin-right:5px;white-space:nowrap;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-icons{margin-left:5px;}.select-kit.combobox.future-date-input-selector .btn-clear{padding:0;margin-right:5px;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-row .future-date-input-selector-icons{color:#fff;}.select-kit.multi-select.list-setting .select-kit-row.create .square{width:12px;height:12px;margin-right:5px;}.select-kit.combo-box.mini-tag-chooser{margin-bottom:5px;margin-right:5px;}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-header{border:1px solid #0f82af;}.select-kit.combo-box.mini-tag-chooser.no-tags .select-kit-header .selected-name{color:#909090;}.select-kit.combo-box.mini-tag-chooser .select-kit-body{max-width:32em;}.select-kit.combo-box.mini-tag-chooser .select-kit-header{height:30px;}.select-kit.combo-box.mini-tag-chooser .select-kit-header .selected-name{margin:0;border:0;padding:0;outline:none;box-shadow:none;cursor:pointer;max-width:250px;}.select-kit.combo-box.mini-tag-chooser .select-kit-filter{border-top:0;}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-wrapper,.select-kit.combo-box.mini-tag-chooser .select-kit-wrapper{display:none;}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-selected{background:none;}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-highlighted.is-selected{background:#052e3d;}.select-kit.combo-box.mini-tag-chooser .select-kit-row .discourse-tag-count{margin-right:5px;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header{max-height:125px;overflow:hidden;flex:1 0 auto;border-bottom:1px solid #313131;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tags{display:flex;padding:4px;flex-wrap:wrap;margin:-2px;overflow:hidden;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag{background:#313131;padding:2px 4px;margin:2px;border:0;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag.is-highlighted{box-shadow:0 0 2px #e45735, 0 1px 0 rgba(0,0,0,0.05);}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag .d-icon{color:#7a7a7a;vertical-align:middle;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag:hover .d-icon{color:#e45735;}.select-kit.multi-select{width:300px;background:#222;border-radius:0;}.select-kit.multi-select .select-kit-body{width:100%;}.select-kit.multi-select .select-kit-row{margin:5px;min-height:1px;padding:5px;border-radius:0;}.select-kit.multi-select .select-kit-filter{border:0;flex:1 0 0px;margin:1px;}.select-kit.multi-select .multi-select-header{background:#222;border:1px solid #909090;}.select-kit.multi-select .multi-select-header.is-focused{box-shadow:0 0 6px 0 #0f82af;border-radius:0;}.select-kit.multi-select.is-disabled .multi-select-header{background:#313131;border-color:#7a7a7a;color:#909090;}.select-kit.multi-select.is-disabled .multi-select-header .d-icon{color:#909090;}.select-kit.multi-select.is-highlighted .multi-select-header{border-radius:0;border-bottom:1px solid transparent;box-shadow:0 0 6px 0 #0f82af;}.select-kit.multi-select.is-expanded .select-kit-wrapper{display:block;border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af;border-radius:0;}.select-kit.multi-select.is-expanded .multi-select-header{border-radius:0;box-shadow:none;}.select-kit.multi-select.is-expanded .select-kit-body{border-radius:0;}.select-kit.multi-select .choices{margin:0 2px;box-sizing:border-box;display:flex;justify-content:flex-start;flex-wrap:wrap;width:100%;}.select-kit.multi-select .choices .choice{display:inline-flex;box-sizing:border-box;align-items:center;justify-content:space-between;flex-wrap:wrap;flex-direction:row;margin:1px 2px 2px 0px;}.select-kit.multi-select .choices .filter{align-items:center;justify-content:flex-start;white-space:nowrap;min-width:50px;padding:0;outline:none;flex:1 0 0px;}.select-kit.multi-select .choices .filter .filter-input,.select-kit.multi-select .choices .filter .filter-input:focus{border:none;background:none;display:inline-block;width:100%;outline:none;min-width:auto;padding:0;margin:0;outline:0;border:0;box-shadow:none;border-radius:0;min-height:unset;}.select-kit.multi-select .choices .selected-color .selected-color-wrapper{display:flex;flex:1 0 0px;flex-direction:column;}.select-kit.multi-select .choices .selected-color .color-preview{height:5px;margin:0 0px 2px 2px;display:flex;width:100%;}.select-kit.multi-select .choices .selected-category .body{display:flex;align-items:center;}.select-kit.multi-select .choices .selected-category .badge-wrapper{padding:2px 4px;line-height:1.2;display:flex;flex:1 0 0px;align-items:center;}.select-kit.multi-select .choices .selected-category .badge-wrapper.bullet{margin-left:2.5px;}.select-kit.multi-select .choices .selected-name .footer{display:flex;width:100%;}.select-kit.multi-select .choices .selected-name .body{background:#313131;padding:4px;}.select-kit.multi-select .choices .selected-name .d-icon{color:#7a7a7a;vertical-align:middle;}.select-kit.multi-select .choices .selected-name:hover .d-icon:last-child{color:#e45735;}.select-kit.multi-select .choices .selected-name.is-highlighted{box-shadow:0 0 2px #e45735, 0 1px 0 rgba(0,0,0,0.05);}.select-kit.dropdown-select-box.notifications-button .select-kit-body{min-width:550px;max-width:550px;}.select-kit.dropdown-select-box.notifications-button .select-kit-row .icons{-ms-flex-item-align:start;align-self:flex-start;}.select-kit.dropdown-select-box.period-chooser{display:inline-flex;position:relative;}.select-kit.dropdown-select-box.period-chooser .select-kit-collection{padding:5px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header{background:none;border:none;justify-content:flex-start;width:auto;height:auto;padding:0;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{color:#222;display:inline-block;box-sizing:border-box;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .date-section{color:#ddd;margin-left:5px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.8706em;color:#646464;font-weight:normal;text-transform:uppercase;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header .d-icon{color:#ddd;opacity:1;margin:5px 5px 10px 0;font-size:1.5157em;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header.is-focused,.select-kit.dropdown-select-box.period-chooser .period-chooser-header:hover{background:none;border:none;outline:none;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row{font-weight:bold;padding:5px;font-size:1.1487em;align-items:center;display:flex;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .period-title{flex:1 0 0px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .date-section{color:#ddd;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .top-date-string{font-weight:normal;font-size:.8706em;color:#646464;text-transform:uppercase;margin-right:5px;}#topic-footer-buttons .pinned-button{min-width:auto;margin:1em 0;}#topic-footer-buttons .pinned-button.is-hidden{display:none;}#topic-footer-buttons .pinned-button .btn{margin:0;}#topic-footer-buttons .pinned-button .reason{display:inline;line-height:1.2;}.pinned-button{margin:0;min-width:auto;}.pinned-button .pinned-options{display:inline;}.pinned-button .pinned-options .select-kit-body{min-width:unset;max-width:unset;width:550px;}.mobile-view .select-kit.is-expanded{z-index:300;}.select-kit{border:none;min-width:220px;box-sizing:border-box;display:inline-block;flex-direction:column;position:relative;vertical-align:middle;user-select:none;}.select-kit.is-hidden{display:none;}.select-kit.is-disabled{pointer-events:none;}.select-kit.is-expanded{z-index:300;}.select-kit.is-expanded .select-kit-body{display:flex;flex-direction:column;right:0;position:absolute;top:0;}.select-kit.is-expanded .select-kit-collection{border-radius:inherit;}.select-kit.is-above .select-kit-body{bottom:0;top:auto;}.select-kit.is-above .select-kit-filter{border-top:0;}.select-kit.is-above .select-kit-wrapper{bottom:0;top:auto;}.select-kit .d-icon{color:#a6a6a6;}.select-kit .select-kit-header{box-sizing:border-box;overflow:hidden;transition:all 0.25s;cursor:pointer;outline:none;display:flex;align-items:center;flex-direction:row;min-height:30px;}.select-kit .select-kit-header .selected-name{text-align:right;flex:0 1 auto;padding:1px 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:inherit;}.select-kit .select-kit-header .btn-clear{padding:0 10px;border:0;background:none;}.select-kit .select-kit-header .icon{margin-left:5px;}.select-kit .select-kit-header .caret-icon{margin-right:auto;padding-right:5px;pointer-events:none;}.select-kit .select-kit-header .d-button-label{display:flex;align-items:center;white-space:nowrap;overflow:hidden;line-height:1.2;}.select-kit .select-kit-header .d-button-label .d-icon{margin-right:5px;margin-left:0;}.select-kit .select-kit-body{display:none;background:#222;box-sizing:border-box;}.select-kit .select-kit-row{cursor:pointer;line-height:1.2;outline:none;display:flex;flex:1 0 auto;box-sizing:border-box;align-items:center;justify-content:flex-start;}.select-kit .select-kit-row .name{margin:0;overflow:hidden;text-overflow:ellipsis;flex:1 1 0%;}.select-kit .select-kit-row .d-icon{margin-left:5px;}.select-kit .select-kit-row.is-highlighted{background:#052e3d;}.select-kit .select-kit-row.is-selected{background:#4c3319;}.select-kit .select-kit-row.is-selected.is-highlighted{background:#052e3d;}.select-kit .select-kit-row .discourse-tag,.select-kit .select-kit-row .discourse-tag-count{color:#ddd;}.select-kit .select-kit-collection{background:#222;overflow-x:hidden;overflow-y:auto;border-radius:inherit;-webkit-overflow-scrolling:touch;margin:0;padding:0;max-height:200px;}.select-kit .select-kit-collection .validation-message{white-space:nowrap;color:#e45735;flex:1 0 auto;margin:5px;padding:0 2px;}.select-kit .select-kit-collection .select-kit-collection{padding:0;margin:0;}.select-kit .select-kit-collection .select-kit-collection:hover .select-kit-row.is-highlighted:hover{background:#052e3d;}.select-kit .select-kit-collection::-webkit-scrollbar{-webkit-appearance:none;width:10px;}.select-kit .select-kit-collection::-webkit-scrollbar-thumb{cursor:pointer;border-radius:5px;background:#919191;}.select-kit .select-kit-collection::-webkit-scrollbar-track{background:transparent;border-radius:0;}.select-kit .select-kit-filter{display:flex;box-sizing:border-box;align-items:center;justify-content:space-between;}.select-kit .select-kit-filter .filter-input,.select-kit .select-kit-filter .filter-input:focus,.select-kit .select-kit-filter .filter-input:active{background:none;margin:0;padding:0;flex:1 0 0px;outline:none;border:0;border-radius:0;box-shadow:none;width:100%;}.select-kit .select-kit-filter.is-hidden{width:1px;height:1px;border:0;margin:-1px;padding:0;overflow:hidden;position:fixed;outline:0;right:0;top:0;}.select-kit .select-kit-wrapper{position:absolute;top:0;right:0;background:none;display:none;box-sizing:border-box;pointer-events:none;}.select-kit.multi-select.tag-chooser .select-kit-row{display:flex;align-items:center;}.select-kit.multi-select.tag-chooser .select-kit-row .discourse-tag-count{margin-right:5px;}.select-kit.combo-box.tag-drop .select-kit-row[data-value="all-tags"],.select-kit.combo-box.tag-drop .select-kit-row[data-value="no-tags"]{color:#0f82af;font-weight:700;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-body{box-shadow:none;padding:10px 10px 5px 10px;width:230px;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row{margin-bottom:5px;padding:6px 3px;background:#313131;transition:all 0.25s;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{font-size:1em;font-weight:normal;color:#ddd;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{opacity:0.7;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted{background:#909090;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .d-icon{color:#222;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row:hover{background:#909090;color:#222;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected{color:#ddd;background:#313131;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected.is-highlighted{background:#909090;color:#ddd;}#topic-footer-buttons .topic-notifications-button{min-width:auto;margin:1em 0;}#topic-footer-buttons .topic-notifications-button .btn{margin:0;}#topic-footer-buttons .topic-notifications-button .reason{display:inline;line-height:1.2;}.topic-notifications-button .topic-notifications-options{min-width:auto;}.topic-notifications-button{margin:0;}.topic-notifications-button .topic-notifications-options{display:inline-flex;}.select-kit.dropdown-select-box.user-notifications-dropdown{text-align:right;}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-body{width:485px;max-width:485px;}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-header{justify-content:center;}.select-kit.dropdown-select-box.user-notifications-dropdown .dropdown-select-box-header{align-items:center;}.select-kit.combo-box.color-palettes .color-palettes-row .palettes{display:flex;align-items:center;margin-right:0.5em;flex:1 0 0;}.select-kit.combo-box.color-palettes .color-palettes-row .palettes .palette{height:15px;width:15px;display:block;}.svg-icon,.svg-icon-title{height:1em;width:1em;line-height:1;display:inline-flex;position:relative;vertical-align:-0.125em;fill:currentColor;flex-shrink:0;overflow:visible;}svg>use{pointer-events:none;}.fa-stack{position:relative;width:1em;height:1em;display:inline-block;}.fa-stack .fa-stack-1x,.fa-stack .fa-stack-2x{right:0px;top:0px;position:absolute;}.fa-stack .fa-stack-2x{height:1.5em;width:1.5em;margin-top:-0.25em;margin-right:-0.25em;}.d-date-time-input-range{padding:0.5em;background:whitesmole;border:1px solid #313131;width:300px;display:flex;flex-direction:column;}.d-date-time-input-range .panels{display:inline-flex;list-style:none;margin:0 0 0.5em 0;flex:1;}.d-date-time-input-range .panels.from .from-panel{background:#e45735;color:#222;}.d-date-time-input-range .panels.to .to-panel{background:#e45735;color:#222;}.d-date-time-input-range .panels .btn{margin-left:0.5em;}.d-date-time-input-range .panel{display:none;flex:1;}.d-date-time-input-range .panel.visible{display:flex;}.nav-pills,.nav-stacked{margin-right:0;list-style:none;}.nav-pills li a,.nav-stacked li a{display:block;text-decoration:none;}.nav-pills>li{float:right;margin-left:5px;}.nav-pills>li>a{border:none;padding:6px 12px;color:#ddd;font-size:1.1487em;line-height:1;box-sizing:border-box;min-height:30px;display:flex;align-items:center;transition:background 0.15s;}.nav-pills>li>a .d-icon{margin-left:5px;opacity:0.65;}.nav-pills>li>a:hover{color:#c14924;background-color:#3a160b;}.nav-pills>li a.active{color:#222;background-color:#c14924;}.nav-pills>li a.active .d-icon{opacity:1;}.nav-stacked{padding:0;overflow:hidden;background:#313131;}.nav-stacked li{border-bottom:1px solid #313131;position:relative;}.nav-stacked li:last-of-type{border-bottom:0;}.nav-stacked li.indent{padding-right:15px;}.nav-stacked a{margin:0;padding:13px;font-size:1.1487em;line-height:1;cursor:pointer;color:#ddd;}.nav-stacked a.active{color:#222;background-color:#c14924;}.nav-stacked a.active::after{right:90%;top:33%;content:" ";position:absolute;border:8px solid transparent;border-left-color:#222;}.nav-stacked .count{font-size:.8706em;}.nav-stacked .glyph{font-size:.8706em;width:1.25em;text-align:center;margin-left:0.25em;line-height:1.4;}.btn{display:inline-block;margin:0;padding:6px 12px;font-weight:500;font-size:1em;line-height:1;text-align:center;cursor:pointer;transition:all 0.25s;box-sizing:border-box;min-height:30px;}.btn .d-icon{transition:color 0.25s;}.btn:active,.btn.btn-active{text-shadow:none;}.btn[disabled],.btn.disabled{cursor:default;opacity:0.4;}.btn .d-icon{margin-left:7px;}.btn.no-text .d-icon{margin-left:0;}.btn.hidden{display:none;}.btn{border:none;color:#ddd;font-weight:normal;background:#313131;}.btn .d-icon{color:#a6a6a6;}.btn[href]{color:#ddd;min-height:unset;}.discourse-no-touch .btn:hover,.discourse-no-touch .btn.btn-hover{background:#909090;color:#222;}.discourse-no-touch .btn:hover .d-icon,.discourse-no-touch .btn.btn-hover .d-icon{color:#313131;}.btn[disabled],.btn.disabled{background:#313131;cursor:not-allowed;}.btn[disabled] .d-icon,.btn.disabled .d-icon{color:#909090;}.btn[disabled]:hover,.btn.disabled:hover{color:#646464;}.btn[disabled]:hover .d-icon,.btn.disabled:hover .d-icon{color:#7a7a7a;}.btn .d-icon{line-height:1.2;}.btn-primary{border:none;font-weight:normal;color:#222;background:#0f82af;}.btn-primary .d-icon{color:currentColor;}.btn-primary[href]{color:#222;}.discourse-no-touch .btn-primary:hover,.discourse-no-touch .btn-primary.btn-hover{background:#14aeea;}.discourse-no-touch .btn-primary:hover .d-icon,.discourse-no-touch .btn-primary.btn-hover .d-icon{color:currentColor;}.btn-primary:active,.btn-primary.btn-active{background-color:#0c688c;background-image:linear-gradient(to bottom,#0c688c,#0f82af);}.btn-primary[disabled],.btn-primary.disabled{background:#0f82af;}.btn-primary[disabled] .d-icon,.btn-primary.disabled .d-icon{color:currentColor;}.btn-danger{color:#222;font-weight:normal;background:#e45735;}.btn-danger .d-icon{color:#591b0c;}.btn-danger[href]{color:#222;}.discourse-no-touch .btn-danger:hover,.discourse-no-touch .btn-danger.btn-hover{background:#e9795d;}.discourse-no-touch .btn-danger:hover .d-icon,.discourse-no-touch .btn-danger.btn-hover .d-icon{color:#591b0c;}.btn-danger:active,.btn-danger.btn-active{background-color:#c63c1b;background-image:linear-gradient(to bottom,#c63c1b,#e45735);}.btn-danger[disabled],.btn-danger.disabled{background:#e45735;}.btn-danger[disabled] .d-icon,.btn-danger.disabled .d-icon{color:#591b0c;}.btn-social{color:#fff;background:#666;}.btn-social .d-icon{color:#fff;}.btn-social:hover{color:#fff;}.btn-social[href]{color:#222;}.btn-social:before{margin-left:9px;font-size:1em;}.btn-social.google_oauth2{background:#fff;color:#333;border:1px solid #313131;}.btn-social.google_oauth2 .d-icon{opacity:0.9;}.btn-social.google_oauth2:hover{color:currentColor;background:#f2f2f2;}.btn-social.instagram{background:#e1306c;}.btn-social.instagram:hover{background:#ac194b;}.btn-social.facebook{background:#4267b2;}.btn-social.facebook:hover{background:#2d477a;}.btn-social.cas{background:#70ba61;}.btn-social.twitter{background:#1da1f2;}.btn-social.twitter:hover{background:#0c85d0;}.btn-social.github{background:#100e0f;}.btn-social.github:hover{background:#463e42;}.btn-social.discord{background:#7289da;}.btn-social.discord:hover{background:#4a67cf;}.btn-small{padding:3px 6px;font-size:.8706em;}.btn-large{padding:9px 18px;font-size:1.1487em;line-height:1;}.btn-flat{background:transparent;border:0;outline:0;line-height:1;transition:color 0.25s,background 0.25s;}.btn-flat .d-icon{color:#7a7a7a;}.discourse-no-touch .btn-flat:hover .d-icon,.discourse-no-touch .btn-flat.btn-hover .d-icon{color:#ddd;}.btn-flat.close{padding:0;min-height:unset;background:transparent;font-size:1.5157em;}.btn-flat.close .d-icon{color:#a6a6a6;}.discourse-no-touch .btn-flat.close:hover,.discourse-no-touch .btn-flat.close.btn-hover{background:transparent;}.discourse-no-touch .btn-flat.close:hover .d-icon,.discourse-no-touch .btn-flat.close.btn-hover .d-icon{color:#ddd;}.btn-link{background:transparent;border:0;outline:0;padding:0;color:#0f82af;}.btn-link:focus{outline:1px currentColor dotted;}.topic-list-item td:first-child,.topic-post{border-right:1px solid transparent;}.topic-list tr.selected td:first-child,.topic-list-item.selected td:first-child,.latest-topic-list-item.selected{box-shadow:-3px 0 0 #e45735 inset;}.featured-topic.selected,.topic-post.selected{box-shadow:3px 0 0 #e45735;}.latest .featured-topic{padding-right:4px;}.topic-list-item.selected{background-color:inherit;}.keyboard-shortcuts-modal .modal-body{max-height:560px;}#keyboard-shortcuts-help div.row{width:100%;}#keyboard-shortcuts-help div.row div{float:right;width:32%;}#keyboard-shortcuts-help ul{list-style:none;margin-right:0;}#keyboard-shortcuts-help ul li{margin:5px 0;}#keyboard-shortcuts-help ul kbd{font-size:15px;font-family:Helvetica,Arial,sans-serif;margin:0;color:#aaa;font-weight:bold;padding:2px 6px;white-space:nowrap;}.d-date-time-input{display:flex;align-items:center;border:1px solid #313131;width:258px;box-sizing:border-box;position:relative;flex:1;justify-content:space-between;}.d-date-time-input .date-picker,.d-date-time-input .fields{border:0;}.group-member-dropdown{text-align:right;}#banner{padding:10px;background:#052e3d;color:#ddd;z-index:2;overflow:auto;}#banner.overlay{position:fixed;}#banner .close{margin-top:-5px;color:#7a7a7a;padding-right:5px;float:left;}#banner .meta{display:none;}.ignored-list{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#222;min-height:30px;box-sizing:border-box;}.ignored-user-list-item{border:1px solid #909090;border-radius:0.25em;padding:0;display:flex;align-items:center;margin-left:10px;}.remove-ignored-user{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0.25em 0 0 0.25em;padding-top:0;padding-bottom:0;height:100%;}.ignored-user-name{padding-right:10px;padding-left:10px;}.d-date-input .date-picker{margin:0;text-align:right;width:100%;outline:none;box-shadow:none !important;}.d-date-input .pika-single{margin-right:-1px;}.d-time-input{box-sizing:border-box;}.d-time-input .fields{display:flex;align-items:center;border:1px solid #313131;}.d-time-input .fields .field{text-align:center;width:auto;margin:0;border:none;outline:none;box-shadow:none;width:32px;}.d-time-input .fields .field.time{width:100%;text-align:right;}.d-time-input .fields .field.hours,.d-time-input .fields .field.minutes{text-align:center;width:45px;}.d-time-input .fields .field.hours{padding-left:0;}.d-time-input .fields .field.minutes{padding-right:10px;width:55px;}.group-form-automatic-membership-automatic,.groups-form-grant-trust-level{margin-bottom:10px;}.conditional-loading-section.is-loading{padding:2em;margin:1em;display:flex;align-items:center;justify-content:center;background:#282828;flex-direction:column;}.conditional-loading-section.is-loading .title{font-size:1.1487em;font-weight:700;}.conditional-loading-section:not(.is-loading){animation:fadein 0.5s;-webkit-animation:fadein 0.5s;}@keyframes fadein{from{opacity:0;}to{opacity:1;}}@-webkit-keyframes fadein{from{opacity:0;}to{opacity:1;}}a.hashtag{color:#7a7a7a;font-weight:bold;}a.hashtag:visited,a.hashtag:hover{color:#7a7a7a;}a.hashtag:hover span{text-decoration:underline;}.convert-to-public-topic .modal-body .instructions{margin-bottom:1em;}.pika-table th,.pika-table td{padding:0 !important;border-top:none !important;border-bottom:none !important;}.date-picker-wrapper{position:relative;display:inline-block;}.date-picker{text-align:center;width:8em;margin:0;}.pika-single{position:absolute !important;}.animated-placeholder{height:20px;position:relative;}.card-avatar-placeholder{width:120px;height:120px;border-radius:100%;position:relative;overflow:hidden;}.card-avatar-placeholder:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;right:0;content:"";background:linear-gradient(to left,#282828 10%,#313131 82% 33%);height:120px;width:580px;}#user-card,#group-card{width:580px;box-shadow:0 4px 14px rgba(0,0,0,0.15);color:#ddd;background:#222 center center;background-size:cover;transition:opacity 0.2s,transform 0.2s;-webkit-transition:opacity 0.2s,-webkit-transform 0.2s;opacity:0;-webkit-transform:scale(0.9);transform:scale(0.9);}#user-card.show,#group-card.show{opacity:1;-webkit-transform:scale(1);transform:scale(1);}#user-card .card-content,#group-card .card-content{padding:10px;background:rgba(34,34,34,0.85);margin-top:80px;}#user-card .card-content:after,#group-card .card-content:after{content:"";display:block;clear:both;}#user-card .card-content a.card-huge-avatar,#group-card .card-content a.card-huge-avatar{outline:none;}#user-card.no-bg .card-content,#group-card.no-bg .card-content{margin-top:0;}#user-card .card-row:not(.first-row),#group-card .card-row:not(.first-row){margin-top:0.5em;}#user-card .first-row .names,#group-card .first-row .names{padding-right:1.25em;}#user-card .first-row .names .user-profile-link,#group-card .first-row .names .user-profile-link{display:flex;align-items:center;}#user-card .first-row .names .d-icon,#group-card .first-row .names .d-icon{margin:0 0.25em;}#user-card .first-row .names .name-username-wrapper,#group-card .first-row .names .name-username-wrapper{margin-left:0;flex:0 1 auto;}#user-card .first-row .names span,#group-card .first-row .names span{display:block;}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{list-style-type:none;margin:0;}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{width:100%;}#user-card .btn,#group-card .btn{margin-bottom:5px;}#user-card h1,#group-card h1{line-height:1.2;}#user-card h1 .d-icon,#group-card h1 .d-icon{color:#ddd;}#user-card h3,#group-card h3{display:inline;margin-left:0.5em;color:#ddd;}#user-card h3.email,#user-card h3 .desc,#user-card h3 a,#group-card h3.email,#group-card h3 .desc,#group-card h3 a{color:#a6a6a6;}#user-card h1,#user-card h2,#user-card h3,#group-card h1,#group-card h2,#group-card h3{margin:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#user-card h1 a,#user-card h2 a,#group-card h1 a,#group-card h2 a{color:#ddd;}#user-card h2,#user-card h3,#group-card h2,#group-card h3{font-weight:normal;}#user-card p,#group-card p{margin:0 0 5px 0;}#user-card .first-row{display:flex;}#user-card .first-row .avatar-placeholder{width:120px;height:120px;}#user-card .first-row .user-card-avatar{margin-top:-50px;}#user-card .first-row .new-user a{color:#7a7a7a;}#user-card .second-row{max-height:150px;overflow:auto;}#user-card .second-row .bio a{color:#ddd;text-decoration:underline;}#user-card .second-row .bio a.mention{text-decoration:none;}#user-card .second-row .bio .overflow{max-height:60px;overflow:hidden;}#user-card .second-row .suspended{color:#e45735;}#user-card .second-row .suspended .suspension-reason-title,#user-card .second-row .suspended .suspension-date{font-weight:bold;}#user-card .second-row .profile-hidden{font-size:1.1487em;margin-top:0.5em;}#user-card .third-row .location-and-website{display:flex;flex-wrap:wrap;width:100%;align-items:center;}#user-card .third-row .location-and-website .location,#user-card .third-row .location-and-website .website-name{display:flex;overflow:hidden;align-items:center;}#user-card .third-row .location-and-website .location .d-icon,#user-card .third-row .location-and-website .website-name .d-icon{margin-left:0.25em;}#user-card .third-row .location-and-website .website-name a,#user-card .third-row .location-and-website .location span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:#ddd;}#user-card .third-row .location-and-website .location{margin-left:0.5em;}#user-card .third-row .location-and-website .website-name a{text-decoration:underline;}#user-card .fifth-row .public-user-fields{margin:0;}#user-card .sixth-row .badge-section{display:flex;align-items:flex-start;}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;background:#282828;border:1px solid #313131;color:#ddd;}#group-card .first-row{display:flex;}#group-card .first-row .group-card-avatar{margin-top:-50px;}#group-card .first-row .avatar-flair{display:flex;background-size:contain;width:120px;height:120px;color:#ddd;}#group-card .first-row .avatar-flair .d-icon{margin:auto;font-size:80px;}#group-card .first-row .avatar-flair.rounded{border-radius:50%;}#group-card .second-row{max-height:150px;overflow:auto;}#group-card .second-row .bio a{color:#ddd;text-decoration:underline;}#group-card .second-row .bio img{max-width:100%;height:auto;}#group-card .second-row .bio a.mention{text-decoration:none;}#group-card .second-row .bio .overflow{max-height:60px;overflow:hidden;}body.footer-nav-visible #main-outlet{padding-bottom:64px;}body.footer-nav-visible #topic-progress-wrapper,body.footer-nav-visible #reply-control.draft{bottom:49px;}body.footer-nav-visible #reply-control.draft{margin-bottom:env(safe-area-inset-bottom);padding-bottom:0px;}.footer-nav{background-color:rgba(17,17,17,0.9);box-shadow:0 0 2px 0 rgba(0,0,0,0.25);height:49px;position:fixed;bottom:-49px;right:0;width:100%;z-index:900;transition:all linear 0.1s;}.footer-nav .d-icon{color:#909090;}.footer-nav.visible{bottom:0px;}.footer-nav .footer-nav-widget{display:flex;justify-content:"space-evenly";-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.footer-nav .footer-nav-widget button{flex:1;margin:4px;border-radius:2px;padding:14px 18px;}.footer-nav .footer-nav-widget button:disabled{opacity:0.6;}@supports (padding:0px){.footer-nav.visible{padding-bottom:max(5px,env(safe-area-inset-bottom));}}@supports (-webkit-backdrop-filter:blur(10px)){body:not(.footer-nav-ipad) .footer-nav{background-color:rgba(17,17,17,0.7);-webkit-backdrop-filter:blur(20px);}}body.footer-nav-ipad{padding-top:49px;}body.footer-nav-ipad .footer-nav{bottom:auto;top:0px;background-color:#111;z-index:1020;padding-bottom:0;}body.footer-nav-ipad #reply-control,body.footer-nav-ipad #reply-control.fullscreen{z-index:1021;}body.footer-nav-ipad.docked .d-header{margin-top:49px;}.share-and-invite.modal .modal-body{max-width:475px;min-width:320px;}.share-and-invite.modal .modal-header .modal-close{padding-right:0;}.share-and-invite.modal .share.modal-panel .header{display:flex;flex-direction:row;align-items:center;}.share-and-invite.modal .share.modal-panel .header .title{font-size:1em;font-weight:normal;margin-bottom:8px;}.share-and-invite.modal .share.modal-panel .header .title .post-date{color:#909090;font-size:.8706em;}.share-and-invite.modal .share.modal-panel .body{display:flex;flex-direction:column;}.share-and-invite.modal .share.modal-panel .body .topic-share-url{width:100%;height:auto;box-sizing:border-box;}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch a{word-break:break-all;font-size:1.1487em;}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch,.share-and-invite.modal .share.modal-panel .body .topic-share-url{margin-bottom:8px;}.share-and-invite.modal .share.modal-panel .body .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;}.share-and-invite.modal .share.modal-panel .body .sources .social-link{font-size:2.296em;margin-left:8px;}.share-and-invite.modal .invite.modal-panel .error-message,.share-and-invite.modal .invite.modal-panel .success-message{margin-bottom:8px;}.share-and-invite.modal .invite.modal-panel .body .invite-user-control,.share-and-invite.modal .invite.modal-panel .body .group-access-control,.share-and-invite.modal .invite.modal-panel .body .show-custom-message-control{margin-bottom:16px;}.share-and-invite.modal .invite.modal-panel .body .instructions{margin-bottom:8px;}.share-and-invite.modal .invite.modal-panel .body .email-or-username-input{width:100%;}.share-and-invite.modal .invite.modal-panel .footer{display:flex;align-items:center;}.share-and-invite.modal .invite.modal-panel .footer .btn-primary{margin-left:8px;}.share-and-invite.modal .invite.modal-panel .footer .btn-primary:last-child{margin-left:0;}.user-stream .item,.user-stream .user-stream-item{background-color:#222;border-bottom:1px solid #313131;}.user-stream .item.moderator-action,.user-stream .user-stream-item.moderator-action{background-color:#4c3319;}.user-stream .item.deleted,.user-stream .user-stream-item.deleted{opacity:0.8;background-color:rgba(223,67,30,0.7);}.user-stream .item.hidden,.user-stream .user-stream-item.hidden{display:block;opacity:0.4;}.user-stream .type,.user-stream span.name{color:#ddd;}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{display:block;float:left;color:#909090;font-size:.7579em;}.user-stream .draft-type{clear:left;}.user-stream .delete-info .d-icon{font-size:1em;}.user-stream .expand-item,.user-stream .collapse-item{float:left;margin-left:0.5em;line-height:1;color:#909090;}.user-stream .avatar-link{float:right;margin-left:4px;}.user-stream .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:block;}.user-stream .name{font-size:1em;max-width:400px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-stream .edit-reason{background-color:#54391c;padding:3px 5px 5px 5px;}.user-stream .remove-bookmark,.user-stream .remove-draft{float:left;margin-top:-4px;}.user-stream .notification li{display:inline-block;}.user-stream .notification p{display:inline-block;}.user-stream .notification p span:first-child{color:#ddd;}.user-stream .notification .time{display:inline-block;margin-right:10px;float:none;}.user-stream .notification .fa,.user-stream .notification .icon{color:#919191;font-size:1.7511em;}.user-stream .excerpt{margin:1em 0 0 0;font-size:1em;word-wrap:break-word;color:#ddd;}.user-stream .excerpt:empty{display:none;}.user-stream .excerpt details.disabled{color:#909090;}.user-stream .group-member-info{display:flex;}.user-stream .child-actions,.user-stream-item-actions,.user-stream-item-draft-actions{margin-top:8px;}.user-stream .child-actions .avatar-link,.user-stream-item-actions .avatar-link,.user-stream-item-draft-actions .avatar-link{float:none;margin-left:3px;}.user-stream .child-actions .fa,.user-stream-item-actions .fa,.user-stream-item-draft-actions .fa{width:15px;display:inline-block;color:#ddd;}.user-stream .child-actions .fa.d-icon-heart,.user-stream-item-actions .fa.d-icon-heart,.user-stream-item-draft-actions .fa.d-icon-heart{color:#fa6c8d;}.badge-notification,.badge-group{display:inline-block;font-weight:normal;white-space:nowrap;border-radius:10px;}.badge-wrapper{font-size:.8706em;font-weight:bold;white-space:nowrap;position:relative;display:inline-flex;align-items:baseline;}.badge-wrapper .badge-category{display:inline-flex;align-items:baseline;}.badge-wrapper .badge-category .category-name{text-overflow:ellipsis;overflow:hidden;}.badge-wrapper .badge-category .d-icon{margin-left:3px;width:0.74em;height:0.74em;color:inherit;}.badge-wrapper.bullet{margin-left:12px;}.badge-wrapper.bullet span.badge-category{color:#a6a6a6;overflow:hidden;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper.bullet span.badge-category{color:#ddd;}.badge-wrapper.bullet .badge-category-parent-bg,.badge-wrapper.bullet .badge-category-bg{flex:0 0 auto;width:9px;height:9px;margin-left:5px;display:inline-block;}.badge-wrapper.bullet .badge-category-parent-bg{width:5px;margin-left:0;}.badge-wrapper.bullet .badge-category-parent-bg+.badge-category-bg{width:5px;}.badge-wrapper.bullet .d-icon{color:#909090;}.badge-wrapper.box{margin-left:5px;padding:2px 4px 2px 4px;display:inline-flex;}.badge-wrapper.box span{overflow:hidden;text-overflow:ellipsis;}.badge-wrapper.box span.badge-category-bg,.badge-wrapper.box span.badge-category-parent-bg{position:absolute;top:0;left:0;bottom:0;right:0;}.badge-wrapper.box span.badge-category-parent-bg{width:calc(100% - 5px);}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg{right:5px;width:calc(100% - 5px);}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg+.badge-category{margin-right:5px;}.badge-wrapper.box span.badge-category{position:relative;}.badge-wrapper.box+.topic-header-extra{padding:2px 4px 2px 4px;}.badge-wrapper.bar{margin-left:5px;}.badge-wrapper.bar span.badge-category{color:#a6a6a6;padding:1px 3px;overflow:hidden;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper.bar span.badge-category{color:#ddd;}.badge-wrapper.bar .badge-category-parent-bg,.badge-wrapper.bar .badge-category-bg{display:inline-block;padding:0 1px;}.badge-wrapper.bar .badge-category-parent-bg:before,.badge-wrapper.bar .badge-category-bg:before{content:"\\a0";}.badge-wrapper.none{color:#a6a6a6;margin-left:5px;}.list-controls .category-breadcrumb a.badge-category{display:inline-block;padding:6px 8px;line-height:1.2;}.badge-notification{padding:0.21em 0.42em;min-width:0.5em;color:#222;font-size:.7579em;line-height:1;text-align:center;background-color:#bdbdbd;}.badge-notification[href]{color:#222;}.badge-notification:hover{color:#222;}.badge-notification.new-posts,.badge-notification.unread-posts{background-color:#0f82af;color:#222;font-weight:bold;}.badge-notification.new-topic{background-color:transparent;color:#0b6283;font-weight:normal;font-size:.8706em;}.badge-notification.new-topic::before{content:"●";margin-left:2px;}.badge-notification.clicks{font-weight:normal;background-color:#313131;top:-1px;color:#909090;position:relative;border:none;}.badge-posts{font-weight:normal;font-size:1em;line-height:1;}.badge-posts[href]{color:#919191;}.badge-group{padding:2px 5px;color:#ddd;background-color:#313131;border-color:#313131;font-size:.8706em;}.user-info{display:inline-block;clear:both;margin-bottom:1em;}.user-info .user-image{float:right;padding-left:4px;margin-left:10px;}.user-info .user-image-inner{position:relative;display:inline-block;}.user-info .user-detail{float:right;width:70%;padding-right:5px;}@media screen and (max-width:600px){.user-info .user-detail{font-size:.8706em;}}.user-info .user-detail .name-line{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-info .user-detail .username a{font-weight:bold;color:#bdbdbd;}.user-info .user-detail .name{margin-right:5px;color:#bdbdbd;}.user-info .user-detail .title{margin-top:3px;color:#919191;}.user-info.small{width:333px;}@media screen and (max-width:800px){.user-info.small{width:auto;display:flex;}}@media screen and (max-width:600px){.user-info.small{width:100%;}}.user-info.medium{min-height:60px;}.user-info.medium .username,.user-info.medium .name{display:block;}.user-info.medium .name{margin-right:0;}.user-info.medium.badge-info{min-height:80px;min-width:250px;}.user-info.medium.badge-info .granted-on{color:#919191;}.user-info.medium.badge-info .post-link{display:block;margin-top:0.2em;}.user-stream.filter-deleted{grid-column-start:1;grid-column-end:3;grid-row-start:2;}.popup-tip{position:absolute;display:block;padding:5px 10px;z-index:600;}.popup-tip.bad{background:#a13116;color:white;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}.popup-tip.hide,.popup-tip.good{display:none;}.popup-tip .close{float:left;color:#ddd;opacity:0.5;font-size:1em;margin:0 4px 0 0;cursor:pointer;}.popup-tip .close:hover{opacity:1;}#topic-entrance{border:1px solid #313131;padding:5px;background:#222;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:300;position:absolute;width:133px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}#topic-entrance button.full{width:100%;margin-bottom:5px;}#topic-entrance button.full .d-icon{display:block;margin:2px auto;transform:rotate(90deg);}#topic-entrance button.btn.jump-bottom{margin:5px 0 0 0;}@media print{.avatar,.topic-avatar,header,.topic-above-post-stream-outlet.topic-above-post-stream,.topic-map,.post-menu-area.clearfix,.post-menu-area.nav-pills,.post-menu-area.container,.post-menu-area.wrap,div#topic-footer-buttons,div.suggested-topics,div#progress-topic-wrapper,#topic-progress-wrapper,div.nums,._flyout,.show-topic-admin,#topic-progress,.quote-controls,.topic-status-info,div.lazyYT,.post-info.edits,.post-action,.saving-text,.draft-text,.discourse-modal,div.read-state,div.read-state.read,.edit-topic,a.reply-to-tab,a.reply-new,div.time-gap,#bottom,#footer,.alert-info,.badge-category,.badge-category-bg,.badge-notification.clicks,.crawler-nav,.powered-by-link{display:none !important;}a,a:visited{color:#0088cc !important;}div.row{border-top:1px solid #aaa;}.cooked pre code{max-height:none;}#main-outlet{padding:0 !important;}html,body{min-width:0;height:auto;}.lightbox-wrapper img{max-width:500px !important;height:auto !important;}.topic-body{width:auto;margin:0;padding:0;float:none;}.topic-post article.boxed .select-posts{width:auto;right:auto;left:0;}.gap{width:auto;}#topic-title{margin:0;padding:0;}#topic-title div div h1{margin:2.5em 0 0 0;padding:0;float:right;font-weight:normal;font-size:normal;}a,a:visited{color:#ddd;font-weight:bold;}.topic-category-outlet.show-topic-category-location,div.alert.alert-info.alert-emails-disabled,div.profiler-results.profiler-left.profiler-no-controls{display:none;}}section.about{margin-bottom:40px;}section.about h3{margin-bottom:15px;}section.about table{width:auto;}section.about table td{padding:10px;}section.about table td.title{width:33%;}.body-page{width:100%;max-width:700px;}.about-page .body-page{max-width:unset;}.about-page .body-page section:not(.admins):not(.moderators):not(.category-moderators){max-width:700px;}.about-page .body-page .about.category-moderators .badge-wrapper.bullet .badge-category{color:#ddd;}.mobile-view .body-page{font-size:1em;margin-top:20px;}.body-page li{margin-bottom:8px;}.body-page .nav-pills{margin-bottom:20px;}.body-page ul:not(.nav-pills),.body-page ol:not(.nav-pills){margin-right:40px;}body.crawler>header{width:100%;position:absolute;top:0;z-index:9999;background-color:#fff;padding:10px;box-shadow:none;border-bottom:1px solid #7a7a7a;box-sizing:border-box;}body.crawler div#main-outlet div.post{word-break:break-word;}body.crawler div#main-outlet div.post img{max-width:100%;height:auto;}body.crawler .raw-topic-link{display:block;font-weight:bold;margin-bottom:0.25em;}body.crawler .topic-list{margin-bottom:1em;}body.crawler footer{margin-top:3em;border-top:1px solid #7a7a7a;}.crawler-topic-title{margin-top:0.5em;}.crawler-post{margin-top:1em;margin-bottom:2em;padding-top:1.5em;border-top:1px solid #313131;}.crawler-post-meta{margin-bottom:1em;}.crawler-post-meta .creator{word-break:break-all;}.crawler-post-meta .creator a{font-weight:bold;}@media screen and (max-width:768px){.crawler-post-meta .creator{display:inline-block;margin-bottom:0.25em;}}.crawler-post-infos{color:#a6a6a6;display:inline-block;}@media screen and (min-width:768px){.crawler-post-infos{float:left;}}.crawler-post-infos [itemprop="position"]{float:right;margin-left:0.5em;}#breadcrumbs{margin-bottom:0.5em;font-size:1.1487em;}#breadcrumbs>div{margin-bottom:0.15em;}#breadcrumbs .badge-category-bg{background-color:#646464;}#breadcrumbs .category-title{color:#ddd;}.crawler-tags-list span{display:block;margin-bottom:0.15em;}.crawler-linkback-list{margin-top:1em;}.crawler-linkback-list a{display:block;padding:0.5em 0;border-top:1px solid #313131;}.crawler-nav{margin:1em 0;}.crawler-nav ul{margin:0;list-style-type:none;}.crawler-nav li{display:inline-block;}.crawler-nav a{display:inline-block;padding:0.5em 0 0.5em 1em;}div.ac-wrap.composer-user-selector-limited{width:400px;padding:0 10px;margin-bottom:5px;}div.ac-wrap.composer-user-selector-limited .btn-primary{margin-right:0.5em;padding:3px 6px 2px;font-size:.8706em;min-height:unset;}@keyframes ping{from{transform:scale(0.25);opacity:1;}to{transform:scale(2);opacity:0;}}@keyframes rotate-forever{0%{transform:rotate(0deg);}100%{transform:rotate(360deg);}}@keyframes background-fade-highlight{0%{background-color:#052e3d;}100%{background-color:transparent;}}@keyframes placeHolderShimmer{0%{background-position:right -1000px 0;}100%{background-position:right 1100px 0;}}.placeholder-animation{animation-duration:4s;animation-fill-mode:forwards;animation-iteration-count:infinite;animation-name:placeHolderShimmer;animation-timing-function:linear;background:#282828;background:linear-gradient(to left,#282828 10%,#313131 82% 33%);}html{height:100%;}body{background-attachment:fixed;background-size:cover;min-height:100%;}body:before,body:after{content:"";display:table;}body:after{clear:both;}big{font-size:2em;}small{font-size:.7579em;}blockquote{border-right:5px solid #313131;background-color:#3c3c3c;clear:both;}h1,h2,h3,h4,h5,h6{margin-top:0;margin-bottom:0.5rem;}button.ok{background:#1ca551;color:#222;}button.ok .d-icon{color:currentColor;}.discourse-no-touch button.ok:hover,.discourse-no-touch button.ok.btn-hover{background:#23d166;color:#222;}button.cancel{background:#e45735;color:#222;}button.cancel .d-icon{color:currentColor;}.discourse-no-touch button.cancel:hover,.discourse-no-touch button.cancel.btn-hover{background:#ea7c62;color:#222;}a.cancel{margin-right:1.25em;line-height:normal;color:#a6a6a6;transition:color 250ms;}a.cancel:hover{color:#e45735;}ul.breadcrumb{margin:0 10px 0 10px;}a.no-href{cursor:pointer;}img.avatar{border-radius:50%;}span.relative-date{white-space:nowrap;}label{display:flex;margin-bottom:5px;align-items:flex-start;}label>.d-icon{align-self:center;margin-left:4px;}input[type="radio"],input[type="checkbox"]{margin-top:0.17em;margin-left:0.43em;margin-right:0.1em;line-height:1;cursor:pointer;flex-shrink:0;}input[type="submit"],input[type="reset"],input[type="button"],input[type="radio"],input[type="checkbox"]{width:auto;}input.invalid{background-color:#631e0d;}.radio input[type="radio"],.checkbox input[type="checkbox"]{float:right;margin-right:-18px;}input,select,textarea{color:#ddd;caret-color:currentColor;}input[class*="span"],select[class*="span"],textarea[class*="span"]{float:none;margin-right:0;}input[disabled],input[readonly],select[disabled],select[readonly],textarea[disabled],textarea[readonly]{cursor:not-allowed;background-color:#313131;border-color:#313131;}input:focus:required:invalid,select:focus:required:invalid,textarea:focus:required:invalid{color:#e45735;border-color:#e45735;}input:focus:required:invalid:focus,select:focus:required:invalid:focus,textarea:focus:required:invalid:focus{border-color:#e45735;box-shadow:0 0 6px 0 #e45735;}input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]{-webkit-appearance:none;-moz-appearance:none;appearance:none;display:inline-block;padding:4px 10px;margin-bottom:9px;font-size:1em;line-height:1;color:#ddd;background-color:#222;border:1px solid #909090;border-radius:0;box-sizing:border-box;min-height:30px;}input[type="text"]:focus,input[type="password"]:focus,input[type="datetime"]:focus,input[type="datetime-local"]:focus,input[type="date"]:focus,input[type="month"]:focus,input[type="time"]:focus,input[type="week"]:focus,input[type="number"]:focus,input[type="email"]:focus,input[type="url"]:focus,input[type="search"]:focus,input[type="tel"]:focus,input[type="color"]:focus{border-color:#0f82af;box-shadow:0 0 6px 0 #0f82af;outline:0;}.input-prepend,.input-append{margin-bottom:5px;}.input-prepend input[class*="span"],.input-append input[class*="span"]{display:inline-block;}.input-prepend input,.input-prepend select,.input-append input,.input-append select{position:relative;margin-bottom:0;vertical-align:middle;border-radius:0;}.input-prepend input:focus,.input-prepend select:focus,.input-append input:focus,.input-append select:focus{z-index:2;}.input-prepend .add-on,.input-append .add-on{display:inline-flex;align-items:center;width:auto;padding:0 0.5em;height:28px;background-color:#313131;border:1px solid #909090;}.input-prepend .add-on:first-child,.input-prepend .btn:first-child,.input-append .add-on:first-child,.input-append .btn:first-child{margin-left:-1px;}.input-prepend .add-on:last-child,.input-prepend .btn:last-child,.input-append .add-on:last-child,.input-append .btn:last-child{margin-right:-1px;border-radius:3px 0 0 3px;}.input-prepend .add-on,.input-prepend .btn{margin-left:-1px;}textarea{height:auto;background-color:#222;border:1px solid #909090;}textarea:focus{border-color:#0f82af;box-shadow:0 0 6px 0 #0f82af;outline:0;}select{border:1px solid #313131;}table th{font-weight:normal;color:#909090;text-align:right;padding:0.5em;}.sortable{white-space:nowrap;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.discourse-no-touch .sortable:hover{background-color:#313131;}.sortable .d-icon{margin-right:0.25em;}.radio,.checkbox{min-height:18px;padding-right:18px;}.controls>.radio:first-child,.controls>.checkbox:first-child{padding-top:5px;}.radio.inline,.checkbox.inline{display:inline-block;padding-top:5px;margin-bottom:0;vertical-align:middle;}.radio.inline .radio.inline,.checkbox.inline .checkbox.inline{margin-right:10px;}.wrap{margin-left:auto;margin-right:auto;padding:0 8px;}.wrap .contents{position:relative;}.boxed.white{background-color:#222;}.full-width{margin-right:12px;}.coldmap-high{color:#646464 !important;}.coldmap-med{color:#646464 !important;}.coldmap-low{color:#919191 !important;}.top-space{margin-top:10px;}.message{border-radius:8px;background-color:#222;padding:14px;}.message h2{margin-bottom:20px;}.clear-transitions{transition:none !important;}.tip{display:inline-block;}.tip.good{color:#1ca551;}.tip.bad{color:#e45735;}.avatar-wrapper{background-color:#222;display:inline-block;border-radius:50%;}.profiler-results.profiler-left{top:60px !important;}.flex-center-align{display:flex;align-items:center;}.unread-private-messages{color:#222;background:#1ca551;}.unread-private-messages.badge-notification[href]{color:#222;}.ring-backdrop-spotlight{position:absolute;width:80px;height:80px;top:-18px;left:-18px;background-image:radial-gradient(40px at 50% 50%,transparent 95%,#ddd 100%);opacity:0.85;}.ring-backdrop{position:absolute;width:80px;height:80px;top:-18px !important;left:-18px !important;box-shadow:0 0 0 9999px rgba(221,221,221,0.85);z-index:1200;}.ring-first-notification{position:absolute;color:#222;text-align:right;left:70px;top:60px;width:230px;line-height:1.2;}.ring{background:-webkit-radial-gradient(transparent,#090);background:-o-radial-gradient(transparent,#090);background:-moz-radial-gradient(transparent,#090);background:radial-gradient(transparent,#090);top:-11px !important;left:23.5px !important;border-radius:100%;width:20px;height:20px;-moz-animation-iteration-count:infinite;-webkit-animation-iteration-count:infinite;-webkit-transform-origin:center;-moz-animation-duration:3s;-webkit-animation-duration:3s;-moz-animation-name:ping;-webkit-animation-name:ping;}.fade{opacity:0;transition:opacity 0.15s linear;}.fade.in{opacity:1;}.inline-spinner{display:inline-block;margin:0;}.spinner{margin:20px auto 20px auto;position:relative;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;height:30px;width:30px;border:4px solid #9e9e9e;border-right-color:transparent;border-radius:50%;}.spinner.small{width:10px;height:10px;margin:0;display:inline-block;}.content-list h3{color:#909090;font-size:1.1487em;padding-right:5px;margin-bottom:10px;}.content-list ul{list-style:none;margin:0;}.content-list ul li{border-bottom:1px solid #313131;}.content-list ul li:first-of-type{border-top:1px solid #313131;}.content-list ul li a{display:block;padding:10px;color:#ddd;}.content-list ul li a:hover{background-color:#313131;color:#ddd;}.content-list ul li a.active{font-weight:bold;color:#ddd;}.form-vertical input,.form-vertical textarea,.form-vertical select,.form-vertical .input-prepend,.form-vertical .input-append{display:inline-block;margin-bottom:0;flex:0 0 auto;}.form-vertical .control-group:before,.form-vertical .control-group:after{content:"";display:table;}.form-vertical .control-group:after{clear:both;}.form-vertical .control-label{font-weight:bold;font-size:1.3195em;line-height:1.4;}.form-vertical .controls{margin-right:0;}#main img.avatar.header{width:45px;height:45px;}#main img.avatar.medium{width:32px;height:32px;}#main img.avatar.small{width:25px;height:25px;}#main img.avatar.tiny{width:20px;height:20px;}#main .user-list .user{padding-bottom:5px;}#loading-message{position:absolute;font-size:2em;text-align:center;top:120px;right:500px;color:#ddd;}#footer .container{height:50px;}#footer .container .contents{padding-top:10px;}#footer .container .contents a[href]{color:#222;}.inline{display:inline;}.pref-auth-tokens .row{border-bottom:1px solid #ddd;margin:5px 0px;padding-bottom:5px;}.pref-auth-tokens .row:last-child{border-bottom:0;}.pref-auth-tokens .auth-token-icon{color:#909090;font-size:2.25em;float:right;margin-left:10px;}.pref-auth-tokens .auth-token-first{font-size:1.1em;}.pref-auth-tokens .auth-token-first .auth-token-device{font-weight:bold;}.pref-auth-tokens .auth-token-second{color:#909090;}.pref-auth-tokens .auth-token-second .active{color:#1ca551;font-weight:bold;}.pref-auth-tokens .auth-token-dropdown{float:left;}.pref-auth-tokens .auth-token-dropdown .btn,.pref-auth-tokens .auth-token-dropdown .btn:hover{background:transparent;}.pref-auth-tokens .auth-token-dropdown .btn .d-icon,.pref-auth-tokens .auth-token-dropdown .btn:hover .d-icon{color:#a6a6a6;}.pref-auth-tokens .dropdown-menu{width:120px;}.pref-auth-tokens .dropdown-menu .icon{margin-top:auto;}.topic-statuses{display:inline;float:right;margin-left:0.15em;}.topic-statuses .topic-status{margin:0;display:inline-flex;color:#909090;}.topic-statuses .topic-status .d-icon{height:0.76em;width:0.75em;}.topic-statuses .topic-status:not(:last-child){margin-left:0.15em;}.topic-statuses .d-icon-envelope{color:#e45735;}.broken-theme-alert{font-size:15px;font-weight:bold;padding:5px 0;background:#a13116;text-align:center;z-index:9999;color:#222;}.error-page{text-align:center;padding-top:2em;}.error-page .face{font-size:4.286em;}.error-page .reason{font-size:1.7511em;}.error-page .url{font-style:italic;font-size:.8706em;}.error-page .desc{margin-top:16px;}.error-page .desc .d-icon-check-circle{color:#1ca551;}.error-page .buttons{display:inline-flex;margin-top:15px;}.error-page .buttons button{margin:0 20px;}.category-list{table-layout:fixed;}.category-list .category-text-title{display:flex;align-items:baseline;}.category-list .category-name{display:inline-block;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:text-top;line-height:1.2;}.category-boxes,.category-boxes-with-topics{display:flex;flex-wrap:wrap;justify-content:flex-start;margin-top:1em;margin-bottom:1em;width:100%;}.category-boxes .category-box,.category-boxes-with-topics .category-box{display:flex;flex-direction:row;align-content:flex-start;cursor:pointer;box-sizing:border-box;border-width:0;border-right-width:6px;border-style:solid;border-color:#313131;}.mobile-view .category-boxes .category-box,.mobile-view .category-boxes-with-topics .category-box{width:100%;}.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{display:block;width:auto;height:40px;margin:0 auto 1em auto;}@supports (--custom:property){.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{--height:40px;width:calc(var(--height) * var(--aspect-ratio));max-width:100%;}}.category-boxes .category-box-inner,.category-boxes-with-topics .category-box-inner{box-sizing:border-box;width:100%;padding:0;display:flex;flex-direction:column;border-width:2px;border-right-width:0;border-style:solid;border-color:#313131;}.category-boxes.no-logos .logo,.category-boxes-with-topics.no-logos .logo{display:none;}.category-boxes .category-box{width:23%;margin:0 1% 1.5em 1%;}.category-boxes .category-box>a{width:100%;padding:0;}.category-boxes .category-box .category-box-inner{padding:1em;}.category-boxes .category-box .category-box-inner .category-logo{float:none;margin:0;}.category-boxes.no-logos .category-box .category-box-inner>a{padding:3em 1em;}.category-boxes .description{padding-bottom:1em;text-align:center;font-size:1em;color:#646464;}.category-boxes .description .overflow{max-height:6em;}.category-boxes h3{font-size:1.3195em;margin-bottom:0.5em;margin-top:0.25em;line-height:1.2;text-align:center;color:#ddd;overflow:hidden;}.category-boxes .subcategories{display:flex;flex-flow:wrap;}.category-boxes .subcategories .subcategory{display:flex;align-items:center;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;margin-left:1em;margin-bottom:0.6em;}.category-boxes .subcategories .subcategory .subcategory-image-placeholder{display:inline-block;margin-left:0.6em;}.category-boxes .subcategories .subcategory .subcategory-link{min-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.category-boxes .subcategories .subcategory .logo img{display:inline-block;height:20px;width:20px;margin:0;}.category-boxes-with-topics .category-box{width:31%;margin:0 1% 1.5em 1%;padding:0;}.category-boxes-with-topics h3{font-size:1.3195em;text-align:center;overflow:hidden;}.category-boxes-with-topics .category-box-heading{padding:1em 1em 0.5em 1em;}.category-boxes-with-topics .category-box-heading a[href]{width:100%;color:#ddd;}.category-boxes-with-topics .featured-topics{padding:0.5em 1em 1em 1em;}.category-boxes-with-topics .featured-topics ul{color:#909090;list-style:none;padding:0;margin:0;}.category-boxes-with-topics .featured-topics li{padding:4px 0;display:flex;align-items:baseline;}.category-boxes-with-topics .featured-topics li .overflow{max-height:3em;overflow:hidden;}.category-boxes-with-topics .featured-topics li .d-icon{margin-left:0.15em;width:0.76em;height:0.76em;}.categories-list .category h3 .d-icon{color:#909090;height:0.76em;width:0.76em;vertical-align:baseline;margin-left:0.15em;}.category-boxes-with-topics .category-box h3 .d-icon,.category-boxes .category-box h3 .d-icon{margin-left:0;}#share-link{position:absolute;right:20px;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-color:#222;padding:8px 8px 4px 8px;width:300px;display:none;}#share-link.visible{display:block;}#share-link input[type="text"]{width:100%;}#share-link .share-for-touch .overflow-ellipsis{clear:both;}#share-link .share-for-touch{margin:14px 0;}#share-link .title{margin-bottom:4px;align-items:center;display:flex;justify-content:space-between;}#share-link .title h3{font-size:1em;margin:0;}#share-link .title .date{font-weight:normal;color:#919191;}#share-link .copy-text{display:inline-block;position:absolute;margin:5px 15px 5px 5px;color:#1ca551;opacity:1;transition:opacity 0.25s;font-size:1em;}#share-link .copy-text:not(.success){opacity:0;}#share-link .social-link{margin-left:8px;font-size:1.7511em;}#share-link .social-link .d-icon{color:#fff;}#share-link .social-link .d-icon-fab-facebook{color:#fff;}#share-link .social-link .d-icon-fab-twitter-square{color:#fff;}#share-link input[type="text"]{font-size:1.1487em;margin-bottom:0;}#share-link .actions{display:flex;align-items:flex-end;margin-top:8px;}#share-link .actions .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;max-width:45%;}#share-link .actions .sources .social-link{margin-left:8px;}#share-link .actions .alt-actions{display:flex;align-items:center;flex:1;justify-content:flex-end;height:36px;}#share-link .actions .alt-actions .close-share{font-size:1.5157em;color:#919191;}#share-link .actions .alt-actions .new-topic{margin-left:16px;}.discourse-no-touch #share-link .share-for-touch{display:none;}.discourse-touch #share-link input[type="text"]{display:none;}.ember-select{background-color:#222;color:#ddd;}.uploaded-image-preview{background:#ddd center;background-size:cover;position:relative;}.uploaded-image-preview .placeholder-overlay{background-size:contain;background-repeat:no-repeat;background-position:center;position:absolute;top:0;right:0;width:100%;height:100%;opacity:0.3;}.uploaded-image-preview .image-upload-controls{position:relative;display:flex;padding:10px;}.uploaded-image-preview .image-upload-controls .btn{margin-left:5px;padding:7px 10px;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn{background:none;margin-left:0;margin-right:auto;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn .d-icon{color:#313131;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover{background:none;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover .d-icon{color:#ddd;}.image-uploader.no-repeat .uploaded-image-preview{background-repeat:no-repeat;}.image-uploader.contain-image .uploaded-image-preview{background-size:contain;}.hidden-upload-field{visibility:hidden;position:absolute;}.search-container{display:flex;justify-content:space-between;}.search-container .warning{background-color:#a13116;padding:5px 8px;color:#222;}.search-container .search-bar{display:flex;justify-content:space-between;align-items:center;justify-content:space-between;margin-bottom:1em;}.search-container .search-bar .search-query{flex:1 0 0px;margin:0 0 0 0.5em;}.search-container .search-bar .search-cta{padding-bottom:6.5px;padding-top:6.5px;}.search-container .search-advanced{width:70%;}@media screen and (max-width:850px){.search-container .search-advanced{width:65%;}}.search-container .search-advanced .search-actions,.search-container .search-advanced .search-notice,.search-container .search-advanced .search-results,.search-container .search-advanced .search-title,.search-container .search-advanced .search-bar{margin-bottom:1em;}.search-container .search-advanced .search-info{display:flex;flex-wrap:wrap;border-bottom:3px solid #313131;padding-bottom:0.5em;margin-bottom:1em;flex-direction:row;align-items:center;}.search-container .search-advanced .search-info .result-count{display:flex;}.search-container .search-advanced .search-info .result-count .term{font-weight:bold;}.search-container .search-advanced .search-info .result-count span+span{margin-right:0.25em;}.search-container .search-advanced .search-info .sort-by{display:flex;margin-right:auto;align-items:center;}.search-container .search-advanced .search-info .sort-by .desc{margin-left:0.5em;}.search-container .search-advanced .search-info .sort-by .combo-box{min-width:150px;}.search-container .search-advanced .search-title{display:flex;justify-content:flex-start;align-items:center;}.search-container .search-advanced .search-title .bulk-select{margin-right:0.5em;}.search-container .search-advanced .search-title .fps-select a{margin-right:0.5em;font-size:.8706em;}.search-container .search-advanced .search-title .fps-select a:hover{text-decoration:underline;}.search-container .search-advanced .search-notice .fps-invalid{padding:0.5em;background-color:#591b0c;border:1px solid #a13116;color:#e45735;}.search-container .search-advanced-sidebar{width:30%;margin-right:1em;display:flex;flex-direction:column;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar{width:35%;}}.search-container .search-advanced-sidebar #search-min-post-count,.search-container .search-advanced-sidebar .date-picker,.search-container .search-advanced-sidebar .combo-box,.search-container .search-advanced-sidebar .ac-wrap,.search-container .search-advanced-sidebar .control-group,.search-container .search-advanced-sidebar .date-picker-wrapper,.search-container .search-advanced-sidebar .search-advanced-category-chooser{box-sizing:border-box;width:100%;min-width:100%;}.search-container .search-advanced-sidebar #search-min-post-count input,.search-container .search-advanced-sidebar #search-min-post-count .item,.search-container .search-advanced-sidebar .date-picker input,.search-container .search-advanced-sidebar .date-picker .item,.search-container .search-advanced-sidebar .combo-box input,.search-container .search-advanced-sidebar .combo-box .item,.search-container .search-advanced-sidebar .ac-wrap input,.search-container .search-advanced-sidebar .ac-wrap .item,.search-container .search-advanced-sidebar .control-group input,.search-container .search-advanced-sidebar .control-group .item,.search-container .search-advanced-sidebar .date-picker-wrapper input,.search-container .search-advanced-sidebar .date-picker-wrapper .item,.search-container .search-advanced-sidebar .search-advanced-category-chooser input,.search-container .search-advanced-sidebar .search-advanced-category-chooser .item{padding-right:4px;}.search-container .search-advanced-sidebar .date-picker-wrapper{margin-top:0.5em;}.search-container .search-advanced-sidebar .date-picker{box-sizing:border-box;text-align:right;padding:4px;margin-bottom:0;}.search-container .search-advanced-sidebar .search-advanced-title{background:#313131;padding:0.358em 1em;font-weight:700;text-align:right;font-weight:bold;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar .search-advanced-title{padding:0.358em 0.5em;}}.search-container .search-advanced-sidebar .search-advanced-title.btn{background:#313131;}.search-container .search-advanced-sidebar .search-advanced-title .d-icon{margin:0;}.search-container .search-advanced-sidebar .search-advanced-filters{background:#282828;padding:1em;}.search-container .search-advanced-sidebar .search-advanced-filters .control-group{margin-bottom:15px;}.search-container .search-advanced-sidebar .search-advanced-filters section.field{margin-top:5px;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar .search-advanced-filters{padding:0.75em 0.5em;}.search-container .search-advanced-sidebar .search-advanced-filters .ac-wrap,.search-container .search-advanced-sidebar .search-advanced-filters .choices,.search-container .search-advanced-sidebar .search-advanced-filters .select-kit.multi-select{width:100% !important;}.search-container .search-advanced-sidebar .search-advanced-filters .select-kit{min-width:unset;}}.fps-invalid{margin-bottom:1em;}.fps-result{display:flex;margin-bottom:28px;max-width:780px;}.fps-result .author{display:inline-block;vertical-align:top;}.fps-result .like-count{color:#919191;}.fps-result .like-count .fa{color:#fa6c8d;font-size:.8706em;}.fps-result .badge-wrapper span.badge-category{max-width:inherit;}.fps-result .search-category{padding-top:3px;}.fps-result .topic{padding-bottom:2px;max-width:700px;}.fps-result .avatar{margin-left:14px;}.fps-result a.search-link:visited .topic-title{color:#0b6283;}.fps-result .search-link .topic-title{font-size:1.3195em;line-height:1.2;}.fps-result .search-link .topic-statuses{display:inline-block;font-size:1.3em;line-height:1.2;color:#909090;}.fps-result .search-link .topic-statuses span{line-height:1;}.fps-result .blurb{font-size:1em;line-height:1.4;word-wrap:break-word;max-width:640px;color:#919191;}.fps-result .blurb .date{color:#646464;}.fps-result .blurb .search-highlight{color:#bdbdbd;}.fps-result .discourse-tag{font-size:.8706em;}.fps-topic{display:inline-block;}.no-results-suggestion{margin-top:30px;}.search-footer{margin-bottom:30px;}.panel-body-contents .search-context label{float:right;}.google-search-form{margin-top:2em;}a.loading-onebox:before{content:"";display:inline-flex;float:right;margin:3px 0 0 5px;position:relative;height:10px;width:10px;border:2px solid #7a7a7a;border-right-color:transparent;border-radius:50%;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;}.onebox-result{border-right:5px solid #313131;background-color:#3c3c3c;margin-top:15px;padding:12px;font-size:1em;}.onebox-result>.source{margin-bottom:12px;margin-left:10px;display:block;color:#ddd;position:relative;height:20px;}.onebox-result>.source .info{position:absolute;font-size:1em;}.onebox-result>.source .info a{color:black;text-decoration:none;padding-left:10px;}.onebox-result>.source .info img.favicon{margin-left:3px;}.onebox-result .onebox-result-body{padding-top:5px;}.onebox-result .onebox-result-body img{max-height:80%;max-width:25%;height:auto;float:right;margin-left:10px;}.onebox-result .onebox-result-body h3,.onebox-result .onebox-result-body h4{margin:0;}.onebox-result .onebox-result-body code{max-height:400px;}.onebox-result .onebox-result-body .metrics{clear:both;padding-bottom:25px;}.onebox-result .onebox-result-body .metrics .metric{display:inline-block;padding-right:33px;float:right;}.onebox-result .onebox-result-body img.verdict{float:none;margin-left:7px;}.onebox-result .onebox-result-body img.popcorn{float:none;margin-right:20px;margin-left:5px;}aside.onebox{border:5px solid #313131;margin-bottom:1em;padding:12px 12px 12px 25px;font-size:1em;}aside.onebox header{margin-bottom:8px;}aside.onebox header a[href]{color:#919191;text-decoration:none;}aside.onebox.stackexchange .source{background:url('/assets/favicons/stackexchange-9e9f17242c6d44137d40a3e55c71129060b103bfa31b7fead4ca3f18358da29f.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.twitterstatus .source{background:url('/assets/favicons/twitter-4ff0f6e16c5f53ddd3b51eeeff8610ea0432d8ebafce89785d75c231386f80d7.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.wikipedia .source{background:url('/assets/favicons/wikipedia-8feddaf7544a35c824f2e4274227fe8e7e7af71ddfe26523fe5fe20497cf5799.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubblob .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubcommit .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubpullrequest .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubissue .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubgist .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.amazon .source{background:url('/assets/favicons/amazon-882adb9da23d489f1d53ba95c6ea4052536732d9caa57ec82a8f8d0f508e48ea.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.instagram .source{background:url('/assets/favicons/instagram-b10f04096a20e469f83a32ec24519d1f20ab473209a77a3c7dbfe767613c9e5f.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.googledocs .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.googledrive .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox .onebox-body{clear:both;}aside.onebox .onebox-body h3,aside.onebox .onebox-body h4{font-size:1.1487em;margin:0 0 10px 0;}aside.onebox .onebox-body a[href]{color:#0f82af;text-decoration:none;}aside.onebox .onebox-body a[href]:visited{color:#0f82af;}aside.onebox .onebox-body img{max-height:170px;max-width:20%;height:auto;width:auto;float:right;margin-left:10px;}@media all and (max-width:600px){aside.onebox .onebox-body img{max-width:35%;}}aside.onebox .onebox-body img.onebox-full-image{max-height:none;max-width:none;width:initial;height:initial;}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{width:100%;}aside.onebox .onebox-body [style*="--aspect-ratio"]>img{height:auto;}@supports (--custom:property){aside.onebox .onebox-body .aspect-image{max-height:170px;--magic-ratio:calc(var(--aspect-ratio) + 0.15);width:calc(128px * var(--magic-ratio));max-width:20%;float:right;margin-left:10px;height:auto;}aside.onebox .onebox-body .aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;margin-left:none;}aside.onebox .onebox-body .aspect-image-full-size{max-height:500px;width:calc(500px * var(--aspect-ratio));max-width:100%;}aside.onebox .onebox-body .aspect-image-full-size img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;padding:5px 5px 5px 5px;}aside.onebox .onebox-body [style*="--aspect-ratio"]{position:relative;}aside.onebox .onebox-body [style*="--aspect-ratio"]::before{content:"";display:block;padding-bottom:calc(100% / (var(--aspect-ratio)));}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{position:absolute;top:0;right:0;height:100%;}}aside.onebox .onebox-body p:last-child{margin-bottom:4px;}aside.onebox .onebox-body .tweet-images{display:block;clear:both;}aside.onebox .onebox-body .tweet-images img.tweet-image{margin-top:1em;max-width:100%;max-height:100%;float:none;}@media screen and (max-width:550px){aside.onebox .onebox-body .tweet-images iframe{max-height:70vh;}}aside.onebox .onebox-body.user-onebox .fa{margin-left:5px;}aside.onebox .onebox-body.user-onebox .full-name,aside.onebox .onebox-body.user-onebox .location{margin-left:10px;}aside.onebox .onebox-body .instagram-images,aside.onebox .onebox-body .scale-images{clear:both;position:relative;}aside.onebox .onebox-body .instagram-images .instagram-image,aside.onebox .onebox-body .instagram-images .scale-image,aside.onebox .onebox-body .scale-images .instagram-image,aside.onebox .onebox-body .scale-images .scale-image{padding:5px 5px 5px 5px;max-width:100%;max-height:100%;float:none;}aside.onebox .onebox-body .instagram-video-icon{bottom:10px;left:10px;position:absolute;}aside.onebox .onebox-body .instagram-video-icon:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32px' height='32px' viewBox='0 0 512 512' fill='white'%3E%3Cpath d='M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z'%3E%3C/path%3E%3C/svg%3E");}.googledocs-onebox-logo{width:60px;height:50px;float:right;}.googledocs-onebox-logo.g-docs-logo{background:url('/assets/favicons/google_branding/logo_docs_48px-ba6cf22f5336743da95749fb1172023f37e55e8783a2766de8d9097b4cc6b5b9.png') no-repeat;}.googledocs-onebox-logo.g-forms-logo{background:url('/assets/favicons/google_branding/logo_forms_48px-d64ec45f889caa62cd4c52bcff1475ef487b9662b5ed6104aa9fa6f8557b09fc.png') no-repeat;}.googledocs-onebox-logo.g-sheets-logo{background:url('/assets/favicons/google_branding/logo_sheets_48px-ca5da2b813ac5382a7b3a42d1327ddbced98467021466efe5494c25ca50f5a38.png') no-repeat;}.googledocs-onebox-logo.g-slides-logo{background:url('/assets/favicons/google_branding/logo_slides_48px-a752c1f8e690496c7b22265f77ebfbc2d584aa42b2e4392f72b1c5a144bbb95f.png') no-repeat;}.googledocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_48px-7e0f251c12ecc35f5260919fe00b3789c58257b76c4288d458a6718f12367145.png') no-repeat;}.googledocs-onebox-logo.g-drive-logo{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat;}.gdocs-onebox-splash{background-color:#7c7c7c;color:#ddd;border:1px inset #ddd;}.gdocs-onebox-splash .gdocs-onebox-logo{display:inline-block;width:128px;height:128px;}.gdocs-onebox-splash .gdocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_128px-231ebf870f91f296642eb4e881c76013c818b2f677aec3b1faaac33f72811f56.png') no-repeat;}aside.onebox .onebox-body .onebox-avatar{max-height:none;max-width:none;height:60px;width:60px;}blockquote aside.onebox{border-right:5px solid #313131;background-color:#3c3c3c;}pre.onebox code ol.lines li:before{position:absolute;display:inline-block;width:35px;right:-40px;color:#afafaf;text-align:left;padding-left:5px;font-size:.8706em;line-height:1.4;content:counter(li-counter);counter-increment:li-counter;}pre.onebox code ol{margin-right:0;line-height:1.4;}pre.onebox code{background-color:#000;}pre.onebox code li{padding-right:5px;}pre.onebox code ol.lines{position:relative;margin:0 40px 0 0;}pre.onebox code ol.lines li{list-style-type:none;padding-right:5px;margin-right:0;border-right:1px solid #cfcfcf;min-height:1.5em;white-space:pre;}pre.onebox code li.selected{background-color:#541;}pre.onebox code{white-space:normal;}.onebox.githubpullrequest .onebox-body h4,.onebox.githubcommit .onebox-body h4,.onebox.githubissue .onebox-body h4{margin-bottom:5px;}.onebox.githubpullrequest .onebox-body>.github-icon,.onebox.githubcommit .onebox-body>.github-icon,.onebox.githubissue .onebox-body>.github-icon{float:right;margin-left:5px;}.onebox.githubpullrequest .github-row,.onebox.githubcommit .github-row,.onebox.githubissue .github-row{display:flex;}.onebox.githubpullrequest .github-icon-container,.onebox.githubcommit .github-icon-container,.onebox.githubissue .github-icon-container{display:flex;align-items:flex-start;margin-left:5px;}.onebox.githubpullrequest .github-icon,.onebox.githubcommit .github-icon,.onebox.githubissue .github-icon{fill:#a6a6a6;width:40px;height:40px;}.onebox.githubpullrequest .branches,.onebox.githubcommit .branches,.onebox.githubissue .branches{font-size:.8706em;}.onebox.githubpullrequest .branches code,.onebox.githubcommit .branches code,.onebox.githubissue .branches code{word-break:break-all;}.onebox.githubpullrequest .github-info-container,.onebox.githubcommit .github-info-container,.onebox.githubissue .github-info-container{width:100%;}.onebox.githubpullrequest .github-info,.onebox.githubcommit .github-info,.onebox.githubissue .github-info{display:flex;align-items:center;flex-wrap:wrap;width:100%;}.onebox.githubpullrequest .github-info>div,.onebox.githubcommit .github-info>div,.onebox.githubissue .github-info>div{margin:2.5px 0;}.onebox.githubpullrequest .github-info>div:not(:last-child),.onebox.githubcommit .github-info>div:not(:last-child),.onebox.githubissue .github-info>div:not(:last-child){margin-left:15px;}.onebox.githubpullrequest .github-info .lines,.onebox.githubcommit .github-info .lines,.onebox.githubissue .github-info .lines{font-weight:bold;}.onebox.githubpullrequest .github-info .lines .added,.onebox.githubcommit .github-info .lines .added,.onebox.githubissue .github-info .lines .added{color:#1ca551;}.onebox.githubpullrequest .github-info .lines .removed,.onebox.githubcommit .github-info .lines .removed,.onebox.githubissue .github-info .lines .removed{color:#e45735;}.onebox.githubpullrequest .onebox-avatar-inline,.onebox.githubcommit .onebox-avatar-inline,.onebox.githubissue .onebox-avatar-inline{height:20px;width:20px;border-radius:2px;float:none;margin:0;padding:0;vertical-align:middle;max-width:none;}.onebox.githubpullrequest .github-content,.onebox.githubcommit .github-content,.onebox.githubissue .github-content{margin:5px 0 0 0;}.onebox.githubpullrequest .labels span,.onebox.githubcommit .labels span,.onebox.githubissue .labels span{background-color:#909090 !important;color:#222 !important;padding:2px 4px !important;}.onebox-body .github-commit-status{background:#f5f5f5;border-radius:5px;margin:0 100px 5px 0;padding:10px;}.onebox-body .status_tag{display:inline-block;color:#fff;padding:1px 4px;border-radius:3px;font-weight:bold;margin-bottom:5px;text-transform:capitalize;}.onebox-body .build_status{padding:2px;font-size:.8706em;}.onebox-body .status_tag.open{background-color:#6cc644;}.onebox-body .status_tag.merged{background-color:#6e5494;}.onebox-body .status_tag.closed{background-color:#bd2c00;}.onebox-body .github-content-right{margin-right:100px;}aside.onebox.twitterstatus .onebox-body h4{margin-bottom:0;}.onebox.twitterstatus .thumbnail{width:48px;height:48px;}.onebox.twitterstatus p,.onebox.twitterstatus .tweet{white-space:pre-line;padding-top:3px;margin-right:70px;}.onebox.twitterstatus p .quoted,.onebox.twitterstatus .tweet .quoted{border:1px solid #313131;padding:0px 12px 0px 14px;white-space:normal;margin-top:15px;}.onebox.twitterstatus p .quoted .quoted-link,.onebox.twitterstatus .tweet .quoted .quoted-link{color:inherit;}.onebox.twitterstatus p .quoted .quoted-title,.onebox.twitterstatus .tweet .quoted .quoted-title{font-weight:bold;margin:5px 2px;}.onebox.twitterstatus p .quoted .quoted-title span,.onebox.twitterstatus .tweet .quoted .quoted-title span{font-weight:lighter;color:#909090;}.onebox.twitterstatus p .quoted div,.onebox.twitterstatus .tweet .quoted div{margin-bottom:5px;}.onebox.twitterstatus .date{clear:right;}.onebox.imgur-album .outer-box,.onebox.google-photos-album .outer-box,.onebox.flickr-album .outer-box{position:absolute;z-index:1;font-size:.8706em;color:#fff;background-color:rgba(0,0,0,0.6);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:690px;padding:5px 0;}.onebox.imgur-album .outer-box .inner-box,.onebox.google-photos-album .outer-box .inner-box,.onebox.flickr-album .outer-box .inner-box{padding-right:10px;padding-left:10px;overflow:hidden;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.onebox.imgur-album .outer-box .inner-box .album-title,.onebox.google-photos-album .outer-box .inner-box .album-title,.onebox.flickr-album .outer-box .inner-box .album-title{width:100%;font-size:1.1487em;line-height:1.4;color:#ccc;text-decoration:none;}aside.onebox.stackexchange .onebox-body img:not(.onebox-avatar){max-height:60%;max-width:10%;}aside.onebox.stackexchange .onebox-body .tags{color:gray;}.onebox-metadata{color:#919191;}.onebox.xkcd .onebox-body img{max-width:100% !important;float:none !important;}.onebox.pdf .onebox-body .pdf-onebox-logo{width:60px;height:50px;float:right;background:url('/assets/favicons/pdf_64px-4e8a1bffc220412e7b3b299e56ef313353621a4c6bf05066d32d3b792e7820a7.png') no-repeat;background-size:48px 48px;display:inline-block;}.onebox.pdf .onebox-body .filesize{color:gray;}.onebox.whitelistedgeneric .label1,.onebox.whitelistedgeneric .label2{color:#919191;}.onebox.whitelistedgeneric .label1{float:right;}.onebox.whitelistedgeneric .label2{float:left;}.onebox.whitelistedgeneric .site-icon,.onebox.gfycat .site-icon{width:16px;height:16px;margin-left:3px;}.onebox.gfycat p span.label1 a{white-space:nowrap;}.onebox.instagram div.instagram-description{color:#919191;padding-top:10px;}.onebox.githubcommit pre.message{padding:0;}.onebox.twitterstatus .like,.onebox.twitterstatus .retweet{color:#919191;padding-right:10px;}.onebox.twitterstatus .like svg,.onebox.twitterstatus .retweet svg{fill:currentColor;vertical-align:middle;}.mobile-view article.onebox-body{border-top:none;}.onebox.video-onebox{position:relative;padding:0 0 56.25% 0;width:100%;}.onebox.video-onebox video{position:absolute;width:100%;height:100%;}.onebox-placeholder-container{position:relative;width:100%;padding:0 0 48.25% 0;background-color:#313131;}.onebox-placeholder-container .placeholder-icon{position:absolute;width:100%;height:100%;display:flex;justify-content:center;align-items:center;}.onebox-placeholder-container .placeholder-icon.video:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512'%3E%3Cpath fill='grey' d='M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z'%3E%3C/path%3E%3C/svg%3E");}.onebox-placeholder-container .placeholder-icon.audio:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath fill='currentColor' d='M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z'%3E%3C/path%3E%3C/svg%3E");}.onebox-placeholder-container .placeholder-icon.generic:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath fill='currentColor' d='M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z'%3E%3C/path%3E%3C/svg%3E");}.d-header{display:flex;align-items:center;width:100%;position:absolute;top:0;z-index:1000;background-color:#111;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25);}.d-header>.wrap{width:calc(100% - 16px);height:100%;}.d-header>.wrap .contents{display:flex;align-items:center;height:100%;}.d-header>.wrap .contents .header-row{width:100%;}.d-header>.wrap .contents .header-row .logo-wrapper{float:right;}.d-header>.wrap .contents .header-row .auth-buttons{float:left;margin-top:0.4em;}.d-header>.wrap .contents .header-row .auth-buttons .login-button,.d-header>.wrap .contents .header-row .auth-buttons .signup-button{padding:8px 14px;}.docked .d-header{position:fixed;backface-visibility:hidden;}.d-header .title{display:flex;align-items:center;height:100%;}.d-header .title a,.d-header .title a:visited{color:#ddd;}.d-header #site-logo{width:auto;}.d-header .d-icon-home{font-size:2.296em;}.d-header .panel{position:relative;display:flex;flex:0 0 auto;margin-right:auto;align-items:center;}.d-header .hamburger-panel,.d-header .user-menu,.d-header .search-menu{width:0;}.d-header .header-buttons{display:flex;align-items:center;margin-top:0.2em;}.d-header .login-button,.d-header button.sign-up-button{padding:6px 10px;}.d-header .login-button .fa,.d-header button.sign-up-button .fa{margin-left:3px;}.d-header button.login-button{margin-right:7px;}.header-dropdown-toggle .flagged-posts,.header-dropdown-toggle .reviewables,.drop-down .flagged-posts,.drop-down .reviewables,.panel-body .flagged-posts,.panel-body .reviewables{background:#e45735;min-width:6px;}.d-header-icons{text-align:center;margin:0 5px 0 0;list-style:none;}.d-header-icons>li{float:right;}.d-header-icons .icon{position:relative;display:flex;align-items:center;justify-content:center;width:2.2857em;height:2.2857em;padding:0.2143em;text-decoration:none;cursor:pointer;border-top:1px solid transparent;border-right:1px solid transparent;border-left:1px solid transparent;transition:all linear 0.15s;outline:none;}.d-header-icons .icon img.avatar{width:2.1333em;height:2.1333em;}.d-header-icons .icon:hover,.d-header-icons .icon:focus{background-color:#313131;border-top:1px solid transparent;border-right:1px solid transparent;border-left:1px solid transparent;}.d-header-icons .icon:hover .d-icon,.d-header-icons .icon:focus .d-icon{color:#909090;}.d-header-icons .icon:active{color:#ddd;background-color:#313131;}.drop-down-mode .d-header-icons .active .icon{position:relative;background-color:#222;cursor:default;border-top:1px solid #313131;border-right:1px solid #313131;border-left:1px solid #313131;}.drop-down-mode .d-header-icons .active .icon .d-icon{color:#909090;}.drop-down-mode .d-header-icons .active .icon:after{display:block;position:absolute;top:100%;right:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #222;}.drop-down-mode .d-header-icons .active .icon:hover{border-bottom:none;}.d-header-icons .d-icon{width:100%;font-size:1.7511em;line-height:1.4;display:inline-block;color:#7a7a7a;}.d-header-icons .notifications{position:relative;}.d-header-icons .ring{position:absolute;top:-9px;z-index:1;margin-right:0;}.d-header-icons .header-dropdown-toggle{position:relative;}.d-header-icons .badge-notification{position:absolute;z-index:1;right:0;top:-4px;min-width:0.6em;}.d-header-icons .unread-notifications{right:auto;left:-3px;background-color:#0f82af;}.d-header-icons .unread-private-messages,.d-header-icons .ring{right:auto;left:25px;}.highlight-strong{background-color:#4c3319;}.search-highlight{font-weight:bold;}#search-help table td{padding-left:10px;}#search-term::-ms-clear{display:none;}.extra-info-wrapper{display:flex;align-items:center;flex:1 1 0%;height:100%;line-height:1.2;padding:0 0.5em 0 1.5em;overflow:hidden;}.extra-info-wrapper .extra-info{overflow:hidden;width:100%;-webkit-animation:fadein 0.5s;animation:fadein 0.5s;}.extra-info-wrapper .topic-link{color:#ddd;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .topic-statuses .d-icon{color:#909090;}.extra-info-wrapper .topic-statuses .d-icon-envelope{color:#e45735;}.extra-info-wrapper .header-title{margin:0 0 0.15em 0;font-size:1.5157em;width:100%;}.archetype-private_message .extra-info-wrapper .header-title{margin:0;}.extra-info-wrapper .categories-wrapper{display:inline-flex;align-items:center;max-width:80%;flex:0 1 auto;min-width:1px;}.extra-info-wrapper .categories-wrapper .badge-wrapper{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper{margin-left:8px;}.extra-info-wrapper .badge-wrapper.bullet .badge-category-parent-bg,.extra-info-wrapper .badge-wrapper.bullet .badge-category-bg{min-width:5px;}.extra-info-wrapper .badge-wrapper.bullet span.badge-category,.extra-info-wrapper .badge-wrapper.bar span.badge-category,.extra-info-wrapper .badge-wrapper.none span.badge-category{color:#a6a6a6;}.extra-info-wrapper .topic-header-extra{display:inline-flex;align-items:center;max-width:100%;flex:1 0 0%;}.extra-info-wrapper .topic-header-extra .discourse-tags{color:#a6a6a6;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .topic-header-extra .discourse-tags .discourse-tag{display:inline;}.extra-info-wrapper .topic-header-extra{min-width:1px;}.topic-header-participants{display:flex;align-items:center;overflow:hidden;font-size:.8706em;}.topic-header-participants:not(:first-child){margin-right:5px;}.topic-header-participants .trigger-user-card:not(:last-of-type),.topic-header-participants .trigger-group-card:not(:last-of-type){margin-left:5px;}.topic-header-participants .trigger-user-card .icon{height:1.641em;display:inline-block;}.mobile-view .topic-header-participants .trigger-user-card .icon{height:1.532em;}.topic-header-participants .trigger-user-card .icon img{height:100%;width:auto;}.topic-header-participants .trigger-group-card{padding:0 5px;border:1px solid #313131;border-radius:0.25em;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.topic-header-participants .trigger-group-card .icon{display:flex;align-items:center;height:1.641em;color:#a6a6a6;}.mobile-view .topic-header-participants .trigger-group-card .icon{height:1.532em;}.topic-header-participants .trigger-group-card .icon .d-icon{margin-left:5px;}.topic-header-participants .trigger-group-card span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.topic-header-participants .more-participants{color:#a6a6a6;margin-right:5px;}span.bbcode-b{font-weight:bold;}span.bbcode-i{font-style:italic;}span.bbcode-u{text-decoration:underline;}span.bbcode-s{text-decoration:line-through;}#simple-container{border-radius:10px;background-color:#222;padding:20px;width:550px;margin:0 auto;}#simple-container .account-created .ac-message{font-size:1.1487em;line-height:1.4;}#simple-container .account-created .activation-controls button{margin-left:0.5em;}.show-topic-admin{position:fixed;top:120px;left:10px;z-index:300;height:35px;}.popup-menu{background-color:#222;width:215px;padding:10px;border:1px solid #313131;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);}.popup-menu ul{list-style:none;margin:10px 0 0 0;}.popup-menu .btn{text-align:right;}.popup-menu button{width:100%;margin-bottom:5px;}.modal-body.feature-topic{padding:5px;max-height:500px;}.modal-body.feature-topic input.date-picker{margin:0;}.modal-body.feature-topic hr{margin:10px 0;}.modal-body.feature-topic .feature-section{display:block;}.modal-body.feature-topic .feature-section .badge-wrapper{margin-left:0;}.modal-body.feature-topic .feature-section .desc{display:inline-block;vertical-align:middle;margin-right:10px;}.modal-body.feature-topic .feature-section .desc p:first-of-type{margin:0;}.modal-body.feature-topic .feature-section .desc p{margin:10px 0 0;}.modal-body.feature-topic .feature-section .with-validation{position:relative;}.desktop-view .feature-topic-modal .feature-topic{overflow:visible;}.desktop-view .feature-topic-modal .modal-inner-container{min-width:700px;}.desktop-view .feature-topic-modal .pin-until{position:relative;display:inline-block;}.mobile-view .feature-topic .feature-section .desc{display:block;clear:both;max-width:90%;margin:0 10px;}.selected-posts{border:1px solid #084860;background-color:#052e3d;}.selected-posts .btn{border:none;color:#222;font-weight:normal;margin-bottom:10px;}.selected-posts .btn:not(.btn-danger){background:#0f82af;border-color:#0f82af;}.selected-posts .btn:not(.btn-danger)[href]{color:#222;}.selected-posts .btn:not(.btn-danger):hover{color:#222;background:#0b6283;}.selected-posts .btn:not(.btn-danger):active{background-color:#08435a;background-image:linear-gradient(to bottom,#08435a,#0a5877);color:#222;}.selected-posts .btn[disabled]{text-shadow:0 1px 0 rgba(221,221,221,0.2);background-color:#0f82af;background-image:linear-gradient(to bottom,#0f82af,#073c51);box-shadow:0 1px 0 rgba(0,0,0,0.33) inset;}.lightbox-wrapper .lightbox{position:relative;display:inline-block;overflow:hidden;}.lightbox-wrapper .lightbox:hover .meta{opacity:0.9;transition:opacity 0.5s;}.d-lazyload-hidden{box-sizing:border-box;}.onebox img.d-lazyload-hidden{border:1px solid #313131;}.cooked img.d-lazyload{transition:opacity 0.4s 0.75s ease;}.lightbox-wrapper{display:inline-block;}.lightbox-wrapper img{object-fit:cover;object-position:top;}.lightbox-wrapper,.lightbox-wrapper *{outline:0;}.meta{position:absolute;bottom:0;width:100%;color:#222;background:#ddd;opacity:0;transition:opacity 0.2s;display:flex;align-items:center;}.meta .filename{margin:6px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.meta .d-icon{margin:6px;opacity:0.8;color:#222;}.meta .d-icon+.filename{margin-right:0px;}.meta .informations{margin:6px;padding-left:20px;color:#646464;font-size:1em;flex-shrink:0;flex-grow:3;}.mfp-preloader .spinner{margin:auto;}.reorder-categories thead th{padding-bottom:0.5em;}.reorder-categories input{width:4em;}@media screen and (max-width:550px){.reorder-categories input{width:2em;}}.reorder-categories table{width:100%;padding-bottom:150px;}.reorder-categories table td{padding:0.5em 0 0.5em 0.5em;}@media screen and (min-width:null){.reorder-categories table td{min-width:15em;}}.reorder-categories .badge-wrapper span.badge-category{max-width:20em;}@media screen and (max-width:550px){.reorder-categories .badge-wrapper span.badge-category{max-width:30vw;}}.reorder-categories-sub-cat{margin-right:20px;}.edit-topic-timer-modal .modal-body{max-height:none;overflow:visible !important;}.edit-topic-timer-modal .control-group{display:flex;align-items:center;}.edit-topic-timer-modal .control-group>.d-icon{margin-left:5px;}.edit-topic-timer-modal input.date-picker,.edit-topic-timer-modal input[type="time"]{width:200px;text-align:right;}.edit-topic-timer-modal .radios{margin-bottom:10px;}.edit-topic-timer-modal label{display:inline-flex;padding-left:5px;margin-bottom:0;align-items:center;}.edit-topic-timer-modal label input{margin-top:0;}.edit-topic-timer-modal .btn.pull-right{margin-left:10px;}.edit-topic-timer-modal .future-date-input input{margin:0;}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -15px -15px -15px;}.edit-topic-timer-modal .future-date-input .btn-clear{display:none;}.edit-topic-timer-modal .future-date-input .topic-status-info{border:none;padding:0;}.edit-topic-timer-modal .future-date-input .topic-status-info h3{font-weight:normal;font-size:1.1487em;}.edit-topic-timer-modal .future-date-input input[disabled]{background:#313131;}.edit-topic-timer-modal .pika-single{position:absolute !important;}.mobile-view .edit-topic-timer-modal .select-kit.combo-box{flex:1 0 0px;}.redirection-warning{margin:0 auto;text-align:center;font-size:1.7511em;line-height:1.2;}.rtl .d-icon-caret-right{-webkit-transform:rotate(180deg);-moz-transform:rotate(180deg);-ms-transform:rotate(180deg);-o-transform:rotate(180deg);transform:rotate(180deg);filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand',M11=cos(180),M12=-sin(180),M21=sin(180),M22=cos(180))";-ms-filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand',M11=cos(180),M12=-sin(180),M21=sin(180),M22=cos(180))";zoom:1;}.rtl .nav-stacked a.active::after{border-left-color:transparent !important;border-right-color:#222 !important;}.rtl code{direction:ltr !important;text-align:left !important;}.rtl .pull-left{float:right !important;}.rtl .autocomplete{right:27px;}.rtl .admin-customize .current-style .toggle-mobile{position:static !important;float:left !important;}.rtl .admin-customize .current-style .toggle-maximize{position:static !important;float:left !important;}.rtl .dashboard-left{float:right !important;}.rtl .dashboard-right{float:left !important;}.cooked ul[dir="ltr"],.d-editor-preview ul[dir="ltr"],.cooked ul[dir="rtl"],.d-editor-preview ul[dir="rtl"]{padding-left:40px;padding-right:40px;}.rtl aside.onebox.githubblob{padding:12px 25px 12px 12px !important;direction:ltr !important;}.rtl aside.onebox.githubblob .source{background-position:0 50% !important;padding-left:20px;}.rtl pre.onebox code ol.lines{margin:0 0 0 40px !important;}.rtl pre.onebox code ol.lines li:before{left:-40px;padding-right:5px;padding-left:0;text-align:right !important;}.rtl pre.onebox code ol.lines li{padding-left:5px;padding-right:0;margin-left:0;border-left:1px solid #cfcfcf;border-right:none !important;}.search-menu .search-input{position:relative;padding:0.5em 3px;}.search-menu .search-context .show-help{float:left;}.search-menu .heading{padding:5px 5px 5px 0;}.search-menu .heading .filter{padding:0 5px;}.search-menu input[type="text"]{box-sizing:border-box;width:calc(100% - 6px);height:32px;}.search-menu .search-context{padding:0 5px;}.search-menu .search-context label{margin-bottom:0;}.search-menu .search-context+.results{margin-top:5px;}.search-menu .results{display:flex;flex-direction:row;}.search-menu .results .list{min-width:100px;}.search-menu .results .list .item .blurb{overflow-wrap:break-word;word-wrap:break-word;-ms-word-break:break-all;word-break:break-all;word-break:break-word;-ms-hyphens:auto;-moz-hyphens:auto;-webkit-hyphens:auto;hyphens:auto;margin-top:0.25em;}.search-menu .results .search-result-topic .second-line{display:flex;flex-wrap:wrap;align-items:center;}.search-menu .results .search-result-topic .second-line .discourse-tags{flex-wrap:wrap;display:contents;}.search-menu .results .main-results{display:flex;flex:1 1 auto;}.search-menu .results .main-results .topic-statuses{color:#909090;}.search-menu .results .main-results+.secondary-results{border-right:1px solid #313131;margin-right:1em;padding-right:1em;max-width:33%;}.search-menu .results .secondary-results{display:flex;flex-direction:column;flex:1 1 auto;}.search-menu .results .secondary-results .separator{margin-bottom:1em;margin-top:1em;height:1px;background:#313131;}.search-menu .results .secondary-results .search-result-tag .discourse-tag{font-size:.8706em;}.search-menu .results .secondary-results .search-result-category .widget-link{margin-bottom:0;}.search-menu .results .secondary-results .search-result-group .search-link{color:#a6a6a6;}.search-menu .results .secondary-results .search-result-group .search-link:hover{color:#ddd;}.search-menu .results .secondary-results .search-result-group .group-result{display:flex;align-items:center;}.search-menu .results .secondary-results .search-result-group .group-result .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair{min-width:25px;margin-left:0.5em;}.search-menu .results .secondary-results .search-result-group .group-result .d-icon .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair .d-icon{margin-left:0;}.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair-image{background-repeat:no-repeat;background-size:100% 100%;min-height:25px;}.search-menu .results .secondary-results .search-result-group .group-result .group-names{display:flex;flex-direction:column;overflow:auto;line-height:1.2;}.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .slug{color:#a6a6a6;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name{font-weight:700;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{font-size:.8706em;color:#a6a6a6;}.search-menu .results .secondary-results .search-result-category .list,.search-menu .results .secondary-results .search-result-user .list,.search-menu .results .secondary-results .search-result-group .list,.search-menu .results .secondary-results .search-result-tag .list{display:block;}.search-menu .results .secondary-results .search-result-category .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-user .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-group .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-tag .list .item .widget-link.search-link{flex:1;font-size:1em;padding:5px;}.search-menu .results .secondary-results .search-result-user .user-result{display:flex;flex-direction:row;align-items:center;}.search-menu .results .secondary-results .search-result-user .user-result .avatar{margin-left:0.5em;display:block;min-width:25px;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles{display:flex;flex-direction:column;overflow:auto;line-height:1.2;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username,.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username{color:#bdbdbd;font-size:.8706em;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{color:#bdbdbd;font-size:1em;font-weight:700;}.search-menu .results .show-more{padding:5px;}.search-menu .searching{position:absolute;top:1.15em;left:1em;}.search-menu .searching .spinner{width:10px;height:10px;border-width:2px;margin:0;}.search-menu .no-results{padding:5px;}.search-menu .filter{padding:0;}.search-menu .filter:hover{background:transparent;}.search-menu .search-link{margin-bottom:0.25em;}.search-menu .search-link .badge-category-parent{line-height:1;}.search-menu .search-link .topic{display:inline-block;line-height:1.2;}.search-menu .search-link .topic-title{margin-left:0.25em;}.user-badge,#user-card .sixth-row .badge-section .more-user-badges a{padding:3px 8px;color:#ddd;border:1px solid #313131;line-height:1.4;display:inline-flex;align-items:center;background-color:#222;margin:0 0 3px;}.user-badge img,#user-card .sixth-row .badge-section .more-user-badges a img{height:16px;width:16px;}.user-badge .badge-display-name,#user-card .sixth-row .badge-section .more-user-badges a .badge-display-name{margin-right:0.25em;}.user-badge.badge-type-gold .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-gold .fa{color:#e7c300 !important;}.user-badge.badge-type-silver .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-silver .fa{color:silver !important;}.user-badge.badge-type-bronze .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-bronze .fa{color:#cd7f32 !important;}.user-badge.disabled,#user-card .sixth-row .badge-section .more-user-badges a.disabled{color:#909090;background-color:#282828;}.user-badge.disabled .fa,#user-card .sixth-row .badge-section .more-user-badges a.disabled .fa{opacity:0.4;}@media all and (max-width:750px){.show-badge .user-badge-with-posts .badge-user a.post-link{width:auto;}.show-badge div.badge-user{padding:0;}.badges-listing{display:block;}.badges-listing .info,.badges-listing .grant-count{text-align:right;}.badges-listing .row>div.info{display:none;}.badges-listing .row{display:block;}.badges-listing .row>div{display:block;margin-top:10px;}}.show-badge .badge-user-info .earned{font-size:1.3195em;margin-bottom:1em;}.show-badge .single-user{margin-right:2%;padding-bottom:20px;}.show-badge .single-user .load-more{padding-top:30px;display:block;font-size:1.3195em;}.show-badge .single-user .badge-user{padding-right:0;text-align:right;display:block;margin:20px 0;width:800px;}.show-badge .single-user .badge-user .badge-info{display:none;}.show-badge .single-user .badge-user .date{display:inline-block;font-size:1.1487em;margin-right:10px;}.show-badge .single-user .badge-user .post-link{font-size:1.3195em;width:500px;margin:0;padding:0;}.show-badge .single-user .badge-user:after{content:"";clear:both;display:table;}.long-description.banner{width:88%;margin-bottom:15px;margin-top:15px;}.badge-card{position:relative;display:inline-block;background-color:#282828;border:1px solid #313131;margin-bottom:2vh;transition:box-shadow 0.25s;}.badge-card .check-display{position:absolute;right:5px;top:5px;}.badge-card .grant-count{position:absolute;left:5px;top:5px;font-weight:bold;color:#909090;font-size:1.3195em;}.badge-card .badge-contents{display:flex;min-height:128px;height:100%;padding:0 10%;}.badge-card .badge-contents .badge-link{color:#ddd;}.badge-card .badge-contents .badge-icon{display:flex;flex:0 0 auto;width:1.23em;margin-left:5%;align-items:center;justify-content:center;font-size:3.5em;}.badge-card .badge-contents .badge-icon a{width:100%;}.badge-card .badge-contents .badge-icon img{width:100%;max-width:65px;max-height:80px;}.badge-card .badge-contents .badge-icon.badge-type-gold .fa{color:#e7c300 !important;}.badge-card .badge-contents .badge-icon.badge-type-silver .fa{color:#c0c0c0 !important;}.badge-card .badge-contents .badge-icon.badge-type-bronze .fa{color:#cd7f32 !important;}.badge-card .badge-contents .badge-info{display:flex;flex:1 1 auto;align-items:center;padding:1em 0 1em 1.5em;color:#ddd;}@media screen and (max-width:600px){.badge-card .badge-contents .badge-info{padding-left:0;}}.badge-card .badge-contents .badge-info h3{margin-bottom:0.25em;font-size:1.1487em;}@media screen and (min-width:900px){.badge-card .badge-contents .badge-info h3{font-size:1.3195em;}}.badge-card.medium{flex:0 0 auto;width:32%;margin-left:1.63%;}@media screen and (min-width:851px){.badge-card.medium:nth-of-type(3n){margin-left:0;}}@media screen and (max-width:850px){.badge-card.medium{width:48.5%;}.badge-card.medium:nth-of-type(2n){margin-left:0;}}@media screen and (max-width:550px){.badge-card.medium{flex:0 0 100%;}}.badge-card.medium:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15);}.badge-card.medium:active{box-shadow:none;}.badge-card.large{width:100%;align-self:flex-start;}@media screen and (min-width:767px){.badge-card.large{max-width:calc(1110px / 2);margin-left:1.5em;}}.badge-card.large .badge-contents{padding:0 5%;}.badge-card.large .badge-contents h3{font-size:1.5157em;}.badges-granted{display:flex;flex-wrap:wrap;}@media screen and (max-width:800px){.badges-granted{justify-content:space-between;}}.badge-groups{margin:20px 0;color:#919191;}.badge-groups h3{margin-bottom:1em;}.badge-title .user-content{padding:0;}.badge-group-list{margin-bottom:1.5em;display:flex;flex-wrap:wrap;}@media screen and (max-width:850px){.badge-group-list{justify-content:space-between;}}.badge-group-list .title{width:100%;font-size:1.1487em;}.show-badge-details{display:flex;flex-wrap:wrap;flex-direction:row;margin-bottom:2em;margin-top:1em;}.show-badge-details .badge-grant-info.hidden{display:none;}.show-badge-details .grant-info-item{margin-bottom:1em;color:#919191;}.show-badge-details .grant-info-item:first-of-type{margin-left:10px;}.show-badge-details .badge-set-title{padding:1.5em;border:1px solid #313131;}.show-badge-details .badge-set-title .user-content{padding:0;}.show-badge-details .badge-set-title .user-content .control-group{margin-bottom:1em;}.show-badge-details .badge-title .form-horizontal .controls{margin-right:0;}.show-badge-details .form-horizontal{margin-bottom:0;}.check-display{display:inline-block;padding:0 0.25em;border-radius:10px;text-align:center;}.check-display .fa{font-size:0.9em;color:#222;}.check-display.status-checked{background-color:#1ca551;}.check-display.status-unchecked{background-color:#e45735;}.hyperlink{cursor:pointer;}.reviewable .flagged-post-header{width:100%;display:flex;justify-content:space-between;}.reviewable .status{color:#909090;}.reviewable .status span.approved{color:#1ca551;}.reviewable .status span.approved .d-icon{color:currentColor;}.reviewable .status span.rejected{color:#e45735;}.reviewable .status span.rejected .d-icon{color:currentColor;}.reviewable .explain{margin-right:0.5em;}.reviewable .nav-pills{margin-bottom:1em;}.reviewable .reviewable-container{display:flex;flex-direction:row;margin-top:1em;}.reviewable .reviewable-container .reviewable-list{flex:1;box-sizing:border-box;max-width:760px;min-width:0;margin-left:auto;}.reviewable .reviewable-container .reviewable-filters{width:250px;height:100%;box-sizing:border-box;}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin-right:1em;}.reviewable-settings h4{margin-top:1em;margin-bottom:1em;}.reviewable-settings .saved{margin-right:0.5em;}.reviewable-settings .reviewable-score-type{display:flex;margin-bottom:0.5em;}.reviewable-settings .reviewable-score-type .select-kit{min-width:10em;}.reviewable-settings .reviewable-score-type .title{width:30%;}.reviewable-user-info{margin:0.5em 0;}.reviewable-user-info .reviewable-user-fields{margin-bottom:2em;}.reviewable-user-info .reviewable-user-details{border-bottom:1px solid #313131;padding-bottom:0.25em;display:flex;margin-bottom:0.5em;}.reviewable-user-info .reviewable-user-details .name{width:8em;font-weight:bold;margin-left:1em;}.no-review{margin-top:1em;}.reviewable-filters{background-color:#282828;padding:1em;margin-bottom:1em;}.reviewable-filters .reviewable-filter{display:flex;flex-direction:column;margin:0 0 1em 0;}.reviewable-filters .reviewable-filter .filter-label{margin:0 0 0.5em 0;}.reviewable-filters .reviewable-filter .score-filter{margin:0;width:100%;}.reviewable-filters .reviewable-filter .category-chooser{width:100%;}.reviewable-filters .reviewable-filter .d-date-time-input-range{width:inherit;border:none;padding:0;}.reviewable-filters .reviewable-filter .d-date-time-input-range .d-date-input{flex:1 1 auto;border:1px solid #909090;}.reviewable-claimed-topic{display:flex;align-items:center;}.reviewable-claimed-topic .btn-small{margin-right:0.5em;}.reviewable-actions .claimed-actions{display:flex;width:100%;justify-content:space-between;align-items:center;margin-bottom:0.5em;}.claimed-by{display:flex;align-items:center;}.claimed-by .claimed-username{margin-right:0.5em;}.reviewable-topics{width:100%;}.reviewable-topics tbody td{padding:0.5em;}.reviewable-topics .reviewable-details{display:flex;justify-content:flex-end;}.reviewable-topics .reviewable-details .btn{display:flex;align-items:center;margin-right:1em;}.reviewable-filters .topic-filter .btn{display:flex;width:auto;}.reviewable-filters .refresh{height:1em;display:flex;}.reviewable-filters .score-filter{width:5em;}.user-flag-percentage{display:flex;align-items:center;margin-right:0.5em;}.user-flag-percentage .percentage-label{margin-left:0.25em;}.user-flag-percentage .percentage-label.agreed{color:#1ca551;}.user-flag-percentage .percentage-label.agreed+.d-icon{color:#1ca551;}.user-flag-percentage .percentage-label.disagreed{color:#e45735;}.user-flag-percentage .percentage-label.disagreed+.d-icon{color:#e45735;}.user-flag-percentage .percentage-label.ignored{color:#909090;}.user-flag-percentage .d-icon{font-size:0.9em;}.reviewable-item{padding-top:2em;border-top:1px solid #bdbdbd;padding-bottom:1em;}.reviewable-item .topic-statuses{font-size:1.3195em;}.reviewable-item .reviewable-meta-data{color:#919191;display:flex;width:100%;margin-bottom:0.5em;font-size:.8706em;align-items:baseline;}.reviewable-item .reviewable-meta-data .reviewable-type{margin-left:0.25em;}.reviewable-item .reviewable-meta-data .reply-count{margin-right:1em;}.reviewable-item .reviewable-meta-data .created-at{margin-right:1em;margin-left:auto;}.reviewable-item .reviewable-meta-data .created-at a{color:#919191;}.reviewable-item .reviewable-meta-data .score{font-size:.8706em;}.reviewable-item .reviewable-contents{display:flex;flex-wrap:wrap;margin-bottom:2em;}.reviewable-item .reviewable-actions{display:flex;flex-wrap:wrap;}.reviewable-item .reviewable-actions button{white-space:nowrap;}.reviewable-item .reviewable-actions .reviewable-action,.reviewable-item .reviewable-actions .reviewable-action-dropdown{margin-left:0.5em;}.reviewable-histories{margin-top:1em;}.reviewable-scores{min-width:50%;color:#a6a6a6;}.reviewable-scores .reviewed-by .date{margin-right:0.5em;}.reviewable-scores .user,.reviewable-scores .reviewed-by{display:flex;align-items:center;}.reviewable-scores .user-flag-percentage{margin-right:0.5em;}.reviewable-scores .d-icon{font-size:.8706em;color:#909090;}.reviewable-scores .badge-notification{line-height:1.2;vertical-align:text-top;}.reviewable-scores tbody{border-width:1px;}.reviewable-scores tbody td{white-space:nowrap;vertical-align:baseline;}.reviewable-scores tbody td.user a,.reviewable-scores tbody td.reviewed-by a{max-width:150px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.reviewable-scores tbody td:last-of-type{width:100%;white-space:normal;}.reviewable-scores tbody>tr>th{text-align:right;}.reviewable-scores tbody>tr>th:not(:empty),.reviewable-scores tbody>tr>td:not(:empty){padding:0.5em 0 0.5em 1em;}@media screen and (max-width:450px){.reviewable-scores tbody>tr>th,.reviewable-scores tbody>tr>td{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-left:0.5em;}}.reviewable-scores tbody .reviewable-score-spacer{padding-left:1em;}.reviewable-score-reason{margin:0.5em 0;max-width:690px;margin-bottom:0.5em;}.reviewable-conversation{margin:0.5em 0;}.reviewable-conversation .reviewable-conversation-post{max-width:690px;margin-bottom:0.5em;}.reviewable-conversation .reviewable-conversation-post .username{font-weight:bold;margin-left:0.25em;}.reviewable-conversation .controls{margin-top:0.25em;}.reviewable-item .show-raw-email{color:#909090;font-size:.7579em;}.reviewable-item .post-title{background-color:yellow;}.reviewable-item .created-by{margin-left:1em;padding-top:0.35em;}@media screen and (max-width:450px){.reviewable-item .created-by{float:right;margin-bottom:1em;}}.reviewable-item .names{font-weight:bold;}.reviewable-item .post-contents-wrapper{width:100%;margin-top:1em;min-width:275px;word-break:break-word;}@media screen and (min-width:450px){.reviewable-item .post-contents-wrapper{display:flex;}}.reviewable-item .reviewable-post-header{display:flex;justify-content:space-between;max-width:690px;width:690px;align-items:center;}.reviewable-item .reviewable-post-header .reviewable-reply-to{display:flex;align-items:center;color:#909090;font-size:0.9em;}.reviewable-item .reviewable-post-header .reviewable-reply-to .d-icon{margin-left:0.5em;}.reviewable-item .post-contents{width:100%;min-width:0;}.reviewable-item .post-body{max-width:690px;max-height:300px;margin-top:0.5em;overflow-y:auto;}.reviewable-item .post-body p,.reviewable-item .post-body aside{margin:0 0 1em 0;}.reviewable-item .post-body pre,.reviewable-item .post-body code{word-break:break-all;}.reviewable-item .post-topic{width:100%;color:#909090;margin-bottom:0.75em;}.reviewable-item .post-topic .title-text{font-weight:bold;color:#ddd;display:block;font-size:1.3195em;margin-left:0.75em;}.reviewable-item .post-topic .topic-statuses:empty{display:none;}.editable-fields{width:100%;}.editable-fields .editable-created-by{display:flex;margin-bottom:0.5em;}.editable-fields .editable-created-by .avatar{margin-left:0.25em;}.editable-fields .editable-field{margin-bottom:0.5em;}.editable-fields .editable-field .mini-tag-chooser{margin:0;}.editable-fields .editable-field .reviewable-input-text{width:100%;margin-bottom:0;}.editable-fields .editable-field .reviewable-input-textarea{width:100%;height:10em;}@media screen and (max-width:1000px){table.reviewable-scores{width:100%;display:block;}table.reviewable-scores tbody{width:calc(100% - 5px);display:block;clear:both;}tr.reviewable-score{display:grid;grid-template-columns:auto auto 1fr;}td.reviewable-score-spacer{display:none;}}@media screen and (max-width:450px){tr.reviewable-score{grid-template-columns:auto auto auto;}}.shared-draft-controls{background-color:#052e3d;padding:1em;clear:both;}.shared-draft-controls .publish-field{margin-top:1em;}.explain-reviewable{min-width:500px;}.explain-reviewable .thresholds{margin-top:1em;}.explain-reviewable table{width:100%;}.explain-reviewable table td{padding:0.5em;}.explain-reviewable td.sum{text-align:left;}.explain-reviewable td.sum.total{font-weight:bold;}.explain-reviewable tr.total td{background-color:#313131;font-weight:bold;}.explain-reviewable .op{font-weight:bold;}.explain-reviewable .score-value-type{color:#909090;}.explain-reviewable .op:last-of-type{display:none;}.category-color-editor input{width:5.5em;margin-left:1em;}.category-color-editor .color-title{display:block;margin:1em 0 0.25em;}.category-color-editor .colorpicker-wrapper{display:flex;align-items:center;}.category-color-editor .colorpicker-wrapper input,.category-color-editor .colorpicker-wrapper .add-on{align-self:flex-start;margin-bottom:0.125em;}.category-color-editor .colors-container{display:inline-flex;flex-wrap:wrap;}.category-color-editor .colors-container .colorpicker{position:relative;margin:0 0.125em 0.25em;border:1px solid #909090;width:1.25em;height:1.2em;padding:0;flex:0 0 auto;color:white;}.category-color-editor .colors-container .colorpicker svg{display:none;}.category-color-editor .colors-container .colorpicker.used-color svg{display:inline-flex;opacity:0.8;max-width:70%;}.modal.history-modal #revision-numbers{display:inline-block;min-width:96px;text-align:center;}.modal.history-modal #revision{overflow:auto;border-bottom:3px solid #313131;}.modal.history-modal table.markdown>tbody>tr>td,.modal.history-modal .revision-content{width:47.5%;float:right;}.modal.history-modal table.markdown>tbody>tr>td:nth-of-type(2),.modal.history-modal .revision-content:nth-of-type(2){margin-right:5%;}.modal.history-modal #revision-details{padding:5px;}.modal.history-modal #revisions .row:first-of-type{margin-top:10px;}.modal.history-modal ins code,.modal.history-modal ins img,.modal.history-modal .diff-ins code,.modal.history-modal .diff-ins img{border:2px solid #1ca551;}.modal.history-modal ins img,.modal.history-modal .diff-ins img{opacity:0.75;filter:alpha(opacity=75);}.modal.history-modal ins a,.modal.history-modal .diff-ins a{color:#1ca551;text-decoration:none;}.modal.history-modal img.diff-ins,.modal.history-modal code.diff-ins{border:2px solid #1ca551;}.modal.history-modal img.diff-ins{opacity:0.75;filter:alpha(opacity=75);}.modal.history-modal .diff-ins{color:#ddd;background:#0b4220;}.modal.history-modal ins{color:#ddd;background:#0b4220;text-decoration:none;}.modal.history-modal del code,.modal.history-modal del img,.modal.history-modal .diff-del code,.modal.history-modal .diff-del img{border:2px solid #e45735;}.modal.history-modal del img,.modal.history-modal .diff-del img{opacity:0.5;filter:alpha(opacity=50);}.modal.history-modal del a,.modal.history-modal .diff-del a{color:#e45735;text-decoration:none;}.modal.history-modal img.diff-del,.modal.history-modal code.diff-del{border:2px solid #e45735;}.modal.history-modal img.diff-del{opacity:0.5;filter:alpha(opacity=50);}.modal.history-modal .diff-del{color:#ddd;background:#591b0c;text-decoration:none;}.modal.history-modal del{color:#ddd;background:#591b0c;text-decoration:none;}.modal.history-modal span.date{font-weight:bold;}.modal.history-modal span.edit-reason{background-color:#4c3319;padding:3px 5px 5px 5px;}.modal.history-modal .d-icon-ban{color:#f00;}.modal.history-modal .hidden-revision-either{opacity:0.5;}.modal.history-modal .hidden-revision-previous .row div:nth-of-type(1),.modal.history-modal .hidden-revision-previous .row td:nth-of-type(1){opacity:0.5;}.modal.history-modal .hidden-revision-current .row div:nth-of-type(2),.modal.history-modal .hidden-revision-current .row td:nth-of-type(2){opacity:0.5;}@-webkit-keyframes popoverFadeIn{from{opacity:0;}to{opacity:1;}}@keyframes popoverFadeIn{from{opacity:0;}to{opacity:1;}}#d-popover{background-color:#222;position:absolute;z-index:1600;border-color:#909090;border-style:solid;border-width:1px;max-width:300px;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;background-clip:padding-box;display:block;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);border-radius:2px;}#d-popover.is-under{margin-top:0px;}#d-popover.is-under .d-popover-top-arrow{display:block;}#d-popover.is-under .d-popover-bottom-arrow{display:none;}#d-popover.is-above{margin-top:0px;}#d-popover.is-above .d-popover-bottom-arrow{display:block;}#d-popover.is-above .d-popover-top-arrow{display:none;}#d-popover.retina{border-width:0.5px;}#d-popover .d-popover-content{padding:0.5em;font-size:.8706em;overflow-wrap:break-word;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;}#d-popover .d-popover-arrow{border-style:solid;color:transparent;content:"";position:absolute;z-index:calc(z("tooltip") - 100);}#d-popover .d-popover-top-arrow{border-color:transparent transparent #909090;top:8px;transform:translate(0,-15px);border-width:0 8px 8px;}#d-popover .d-popover-top-arrow:after{border-color:transparent transparent #222;border-style:solid;border-width:0 7px 7px;bottom:-8px;margin-right:-7px;position:absolute;content:"";}#d-popover .d-popover-bottom-arrow{border-color:#909090 transparent transparent;top:calc(100% + 16px);transform:translate(0,-16px);border-width:8px 8px 0;}#d-popover .d-popover-bottom-arrow:after{position:absolute;content:"";border-color:#222 transparent transparent;border-style:solid;border-width:7px 7px 0;bottom:2px;transform:translate(-7px,0);}div.tagsinput{border:1px solid #ccc;background:#fff;padding:5px 5px 0;width:584px;height:100px;overflow-y:auto;border-radius:4px;}div.tagsinput span.tag{border:1px solid #a5d24a;border-radius:2px;display:block;float:right;padding:1px 5px;text-decoration:none;background:#cde69c;color:#638421;margin-left:5px;margin-bottom:5px;font-family:helvetica;font-size:.8706em;}div.tagsinput span.tag a{font-weight:bold;color:#82ad2b;text-decoration:none;font-size:.7579em;}div.tagsinput input{width:80px;font-family:helvetica;font-size:.8706em;border:1px solid transparent;padding:2px 5px;background:transparent;color:#000;outline:0;margin:0 0 5px 5px;}div.tagsinput div{display:block;float:right;}.tags_clear{clear:both;width:100%;height:0;}.not_valid{background:#fbd8db !important;color:#90111a !important;}.d-icon.d-icon-d-regular,.d-icon.d-icon-d-muted,.d-icon.d-icon-d-watching-first,.d-icon.d-icon-d-watching-first-post{color:#919191;}.d-icon.d-icon-d-tracking,.d-icon.d-icon-d-watching{color:#0f82af;}.directory{margin-bottom:100px;}.directory .user-info{margin-bottom:0;}.directory .period-chooser{float:right;}.directory .filter-name{float:left;}.directory .spinner{clear:both;}.directory table{width:100%;margin-bottom:1em;}.directory table td,.directory table th{padding:0.5em;text-align:right;border-bottom:1px solid #313131;}@media screen and (max-width:800px){.directory table td,.directory table th{padding:0.5em 0.25em;}}.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.5157em;color:#909090;}@media screen and (max-width:800px){.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.1487em;}}.directory table td .time-read,.directory table th .time-read{white-space:nowrap;}.directory table th.sortable{width:13%;}.directory table th.sortable .d-icon-heart{color:#fa6c8d;margin:0 0 0 0.25em;}.directory .me{background-color:#4c3319;}.directory .me .username a,.directory .me .name,.directory .me .title,.directory .me .number,.directory .me .time-read{color:#909090;}.alert{padding:8px 16px 8px 32px;background-color:#591b0c;color:#ddd;position:relative;}.alert .close{position:absolute;top:8px;left:8px;font-size:1.5157em;}.alert .close .d-icon{color:#7a7a7a;}.alert.alert-success{background-color:#0b4220;color:#ddd;}.alert.alert-error{background-color:#591b0c;color:#ddd;}.alert.alert-info{background-color:#052e3d;color:#ddd;}.alert.alert-info.clickable{color:#0f82af;}.group-details-container{background:#282828;padding:20px;margin-bottom:15px;position:relative;}.group-outlet{position:relative;}.group-members-actions{display:flex;flex-wrap:wrap;width:100%;}.group-members-actions input+.group-members-manage{margin-right:auto;}.group-members-actions .group-username-filter{margin:0 0 5px 0;vertical-align:middle;}.group-info{width:100%;}.group-info .group-info-name{font-size:1.5157em;font-weight:bold;color:#ddd;}.group-info .group-info-full-name{font-size:1.3195em;color:#bdbdbd;}.group-info span{display:inline-block;vertical-align:middle;}.group-info .avatar-flair-image{width:50px;}.group-info .avatar-flair{background-size:50px;height:50px;width:50px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;}.group-info .avatar-flair .d-icon{height:27.77778px;width:27.77778px;}.group-manage-logs-filter{margin-left:10px;}.group-manage-logs-filter:hover{background-color:#e45735;}table.group-manage-logs{width:100%;}table.group-manage-logs td{padding:0.5em;}table.group-manage-logs .group-manage-logs-expand-details{cursor:pointer;}table.group-manage-logs .group-manage-logs-expand-details .d-icon{color:#909090;}table.group-members{width:100%;table-layout:fixed;}table.group-members th:first-child{width:30%;text-align:right;}table.group-members th:last-child{width:5%;}table.group-members th.group-members-actions{width:5%;}table.group-members th{text-align:center;}table.group-members tr .user-info{display:block;}table.group-members tr .user-info .avatar-flair{color:#ddd;}table.group-members tr td:first-child{text-align:right;}table.group-members tr td{text-align:center;color:#909090;padding:0.8em 0;}.group-owner-label{color:#ddd;}.form-vertical .group-flair-inputs{display:inline-block;}.form-vertical .avatar-flair-preview{position:relative;width:45px;}.form-vertical .avatar-flair-preview .avatar-wrapper{background-color:#f4f4f4;}.group-form-save{margin-left:20px;}.group-add-members .group-add-members-make-owner label{display:inline;vertical-align:middle;}.group-add-members .group-add-members-make-owner input[type="checkbox"]{vertical-align:middle;}img.emoji{width:20px;height:20px;vertical-align:middle;}small img.emoji,sub img.emoji,sup img.emoji{height:1.1em;width:1.1em;}.emoji-picker{background-clip:padding-box;z-index:1300;position:fixed;display:none;flex-direction:row;height:320px;color:#ddd;background-color:#222;border:1px solid #313131;}.emoji-picker .categories-column{display:flex;flex-direction:column;flex:1 0 0px;align-items:center;justify-content:space-between;border-left:1px solid #313131;min-width:36px;}.emoji-picker .category-icon{display:block;margin:4px auto;-webkit-filter:grayscale(100%);filter:grayscale(100%);}.emoji-picker .category-icon button.emoji{margin:0;padding:0;}.emoji-picker .category-icon.current,.emoji-picker .category-icon:hover{-webkit-filter:grayscale(0%);filter:grayscale(0%);}.emoji-picker .main-column{display:flex;flex-direction:column;flex:20;}.emoji-picker .list{overflow-y:scroll;-webkit-overflow-scrolling:touch;padding:0;flex:1 0 0px;flex-direction:column;}.emoji-picker .section-header{padding:8px;margin-top:2px;margin-bottom:0px;padding-bottom:0px;justify-content:space-between;display:flex;align-items:center;font-weight:bold;}.emoji-picker .section-header .title{color:#ddd;}.emoji-picker .section-header .clear-recent .fa{margin:0;padding:0;color:#ddd;}.emoji-picker .section-header .clear-recent .fa:hover{color:#ddd;}.emoji-picker .section-group{flex-wrap:wrap;display:flex;align-items:center;justify-content:flex-start;padding:4px;}.emoji-picker .footer{align-items:center;display:flex;justify-content:space-between;border-top:1px solid #313131;}.emoji-picker .info{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-right:8px;font-weight:700;max-width:125px;}.emoji-picker .diversity-picker{display:flex;justify-content:flex-end;padding:8px;}.emoji-picker .diversity-picker .diversity-scale{width:20px;height:20px;margin-right:5px;border:0;border-radius:3px;display:flex;align-items:center;justify-content:center;cursor:pointer;}.emoji-picker .diversity-picker .diversity-scale.default{background:#ffcc4d;}.emoji-picker .diversity-picker .diversity-scale.light{background:#f7dece;}.emoji-picker .diversity-picker .diversity-scale.medium-light{background:#f3d2a2;}.emoji-picker .diversity-picker .diversity-scale.medium{background:#d5ab88;}.emoji-picker .diversity-picker .diversity-scale.medium-dark{background:#af7e57;}.emoji-picker .diversity-picker .diversity-scale.dark{background:#7c533e;}.emoji-picker .diversity-picker .diversity-scale.selected .d-icon{display:block;}.emoji-picker .diversity-picker .d-icon{display:none;}.emoji-picker .diversity-picker .d-icon{color:#fff;font-size:1em;filter:drop-shadow(0.5px 1.5px 0 rgba(0,0,0,0.3));}.emoji-picker button.emoji{background:transparent;background-position:center;background-repeat:no-repeat;border-radius:0;background-size:20px 20px;-moz-box-sizing:content-box;box-sizing:content-box;height:20px;border:0;vertical-align:top;width:20px;outline:none;padding:3px;margin:2px;}.emoji-picker .section-group button.emoji:hover,.emoji-picker .results button.emoji:hover{display:inline-block;vertical-align:top;border-radius:2px;background-color:#94daf6;}.emoji-picker-modal.fadeIn{z-index:1200;position:fixed;right:0;top:0;width:100%;height:100%;opacity:0.8;background-color:black;}.emoji-picker .filter{background-color:none;border-bottom:1px solid #313131;padding:5px;display:flex;position:relative;align-items:center;}.emoji-picker .filter input[type="text"]{width:auto !important;}.emoji-picker .filter .d-icon-search{color:#ddd;font-size:1.1487em;margin-right:5px;margin-left:5px;}.emoji-picker .filter input{height:24px;margin:0;flex:1 0 0px;border:none;box-shadow:none;padding-left:24px;outline:none;color:#ddd;background:#222;}.emoji-picker .filter input:focus{border:none;box-shadow:none;}.emoji-picker .filter input::-ms-clear{display:none;}.emoji-picker .results{display:none;flex-wrap:wrap;align-items:center;justify-content:flex-start;padding:4px;flex:1 0 0px;}.emoji-picker .filter .clear-filter{position:absolute;left:5px;top:12px;border:0;background:none;color:#ddd;outline:none;display:none;}.emoji-picker .filter .clear-filter:hover{color:#ddd;}.topic-list.shared-drafts{margin-bottom:1.5em;}.show-more{width:100%;z-index:1;}.show-more.has-topics{position:absolute;top:7px;}.list-controls{clear:both;margin-bottom:5px;}.list-controls .combo-box .combo-box-header{background:#222;color:#ddd;border:1px solid #909090;font-size:1em;transition:none;height:10px;}.list-controls .select-kit{align-self:center;}.list-controls .select-kit .select-kit-collection{font-size:.8706em;max-height:40vh;}.list-controls .select-kit .select-kit-collection .texts,.list-controls .select-kit .select-kit-collection .icons{font-size:1.1487em;}.list-controls .select-kit.categories-admin-dropdown,.list-controls .select-kit.tags-admin-dropdown,.list-controls .select-kit.category-notifications-button,.list-controls .select-kit.tag-notifications-button{float:left;}.list-controls .select-kit.categories-admin-dropdown button,.list-controls .select-kit.tags-admin-dropdown button,.list-controls .select-kit.category-notifications-button button,.list-controls .select-kit.tag-notifications-button button{display:inline-block;}.list-controls .category-heading{max-width:100%;}.topic-list-item.visited a.title:not(.badge-notification),.latest-topic-list-item.visited a.title:not(.badge-notification),.category-topic-link.visited a.title:not(.badge-notification){color:#909090;}.topic-list-main-link,.topic-list .main-link,.latest-topic-list-item .main-link{font-size:1.1487em;}.topic-list-main-link a.title,.topic-list .main-link a.title,.latest-topic-list-item .main-link a.title{padding:15px 0;word-break:break-word;color:#ddd;}.anon .topic-list-main-link a.title:visited:not(.badge-notification),.anon .topic-list .main-link a.title:visited:not(.badge-notification),.topic-list .anon .main-link a.title:visited:not(.badge-notification),.anon .latest-topic-list-item .main-link a.title:visited:not(.badge-notification),.latest-topic-list-item .anon .main-link a.title:visited:not(.badge-notification){color:#909090;}.topic-list-main-link a.title.visited:not(.badge-notification),.topic-list .main-link a.title.visited:not(.badge-notification),.latest-topic-list-item .main-link a.title.visited:not(.badge-notification){color:#909090;}.topic-list{width:100%;border-collapse:collapse;}.topic-list>tbody>tr.has-excerpt .star{vertical-align:top;margin-top:2px;}.topic-list>tbody>tr.last-visit{border-bottom:none;}.topic-list>tbody>tr .topic-list-separator{text-align:center;}.topic-list .topic-list-item-separator{border:none;}.topic-list .topic-list-item-separator td{border-bottom:1px solid #a13116;line-height:0.1em;padding:0;text-align:center;}.topic-list .topic-list-item-separator td span{background-color:#222;color:#a13116;padding:0 8px;font-size:.8706em;}.topic-list th,.topic-list td{line-height:1.4;text-align:right;vertical-align:middle;}.topic-list th button .d-icon{color:#909090;}.topic-list td{color:#909090;font-size:1em;}.topic-list .main-link .raw-topic-link>*{pointer-events:none;}.topic-list .unread-indicator.read{display:none;}.topic-list .unread-indicator .d-icon{vertical-align:middle;font-size:.5em;}.topic-list .link-bottom-line{font-size:.8706em;display:flex;flex-wrap:wrap;align-items:center;}.topic-list .link-bottom-line .discourse-tags{flex-wrap:wrap;-ms-flex:1 0 0px;}.topic-list .link-bottom-line a.badge-wrapper.box,.topic-list .link-bottom-line a.discourse-tag.box{padding-top:0;padding-bottom:0;}.topic-list .link-bottom-line .discourse-tag.simple:after,.topic-list .link-bottom-line .discourse-tag.box{margin-left:0.25em;}.topic-list .topic-featured-link{padding-right:5px;}.topic-list .topic-excerpt{font-size:.8706em;margin-top:5px;color:#a6a6a6;word-wrap:break-word;line-height:1.4;padding-left:20px;}.topic-list .topic-statuses:empty{display:none;}.topic-list .num{text-align:center;}.topic-list .num a:not(.badge-posts){color:inherit;}.topic-list .num a.badge-posts{font-weight:bold;}.topic-list .num.posts a{padding:15px 5px;}.topic-list .num.activity a{padding:15px 5px;}.heatmap-high,.heatmap-high a{color:#fe7a15 !important;}.heatmap-med,.heatmap-med a{color:#cf7721 !important;}.heatmap-low,.heatmap-low a{color:#9b764f !important;}.loading .topic-list{border:0;box-shadow:none;}.loading .topic-list tr{background-color:transparent;}#list-area{margin-bottom:100px;}#list-area .empty-topic-list{padding:10px;}#list-area .unseen{background-color:transparent;padding:0;border:0;color:#a13116;font-size:1em;cursor:default;}.topic-list .alert{margin-bottom:0;font-size:1em;}.topic-list .spinner{margin-top:40px;}ol.category-breadcrumb.hidden{display:none;}ol.category-breadcrumb{display:block;float:right;list-style:none;margin:0 0 10px 10px;padding:0;}ol.category-breadcrumb li{float:right;margin-left:5px;}ol.category-breadcrumb .bread-crumbs-right-outlet{float:right;}.d-icon-thumbtack.unpinned{-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=1)";-webkit-transform:rotate(180deg);-ms-transform:rotate(180deg);transform:rotate(180deg);}.top-title-buttons{display:inline;}.top-title-buttons button{margin-left:0.5em;}div.education{color:#919191;}div.education .badge-notification.new-posts{vertical-align:text-bottom;}.list-cell,.table-heading,.category-list td,.category-list th{padding:12px 5px;color:#646464;}.table-heading{border-bottom:3px solid #313131;}.topic-post-badges{white-space:nowrap;align-self:center;line-height:1.2;}.user-content-wrapper{width:100%;display:grid;grid-template-columns:1fr 5fr;grid-template-rows:auto auto 1fr auto;grid-row-gap:20px;}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-column-end:3;grid-row-start:1;grid-row-end:2;}.user-content-wrapper .user-secondary-navigation{grid-column-start:1;grid-column-end:2;grid-row-start:2;grid-row-end:3;}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:2;grid-row-end:4;grid-column-start:1;grid-column-end:3;}.user-content-wrapper .user-content{min-width:100%;}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:2;grid-column-end:3;}.user-content-wrapper .user-additional-controls{grid-row-start:3;align-self:start;justify-self:start;}.user-content-wrapper{display:-ms-grid;-ms-grid-columns:1fr 5fr;-ms-grid-rows:auto auto 1fr auto;}.user-content-wrapper .user-primary-navigation{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2;}.user-content-wrapper .user-secondary-navigation{-ms-grid-row:2;-ms-grid-column:1;}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:2;}.user-content-wrapper .user-secondary-navigation+.user-content{-ms-grid-column:2;-ms-grid-column-span:1;}.user-content-wrapper .user-additional-controls{-ms-grid-row:3;-ms-grid-column-align:start;-ms-grid-row-align:start;}.user-content .list-actions{display:flex;margin-bottom:12px;}.user-content .list-actions .btn{margin-left:12px;}.user-content .paginated-topics-list{position:relative;}.user-content .show-mores{width:100%;}.user-content .d-icon-heart{color:#fa6c8d;}.user-main .about{width:100%;margin-bottom:15px;}.user-main .about.has-background .user-profile-image{background-size:cover;background-position:center center;background-repeat:no-repeat;}.user-main .about.has-background .staff-counters{margin-bottom:0;}.user-main .about .secondary{display:inline-block;width:100%;border-top:1px solid #313131;}.user-main .about .secondary .btn{padding:4px 12px;}.user-main .about .secondary dl{margin:0;padding:5px 10px;}.user-main .about .secondary dl div{display:inline-flex;align-items:baseline;margin-left:15px;margin:4px 0;}.user-main .about .secondary dt,.user-main .about .secondary dd{display:inline-flex;align-items:center;}.user-main .about .secondary dd{padding:0;margin:0 0 0 15px;color:#ddd;}.user-main .about .secondary dd.groups span:not(:last-of-type){margin-left:0.25em;}.user-main .about .secondary dd.groups span:after{content:",";}.user-main .about .secondary dd.groups span:last-of-type:after{content:"";}.user-main .about .secondary dt{color:#919191;margin-left:5px;display:inline-block;}.user-main .about .details{background:rgba(34,34,34,0.8);border-bottom:1px solid #313131;}.user-main .about .details h1{font-size:2em;font-weight:normal;}.user-main .about .details h1 .d-icon{font-size:0.8em;}.user-main .about .details h2{font-weight:normal;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-main .about .details h3{font-weight:normal;margin-bottom:0.5em;}.user-main .about .details h3 .d-icon:not(:first-of-type){margin-right:10px;}.user-main .about .details .groups{margin-right:10px;display:inline;}.user-main .about .details img.avatar{float:right;}.user-main .about .details .suspended{color:#e45735;}.user-main .about .details .primary{width:100%;position:relative;}.user-main .about .details .primary h1{font-weight:bold;}.user-main .about .details .primary .bio{max-height:300px;overflow:auto;}.user-main .about .details .primary .bio a[href]{text-decoration:underline;}.user-main .about .details .primary .bio img{max-width:100%;}.user-main .about .details .user-profile-avatar{position:relative;float:right;}.user-main .about .details .user-profile-avatar .avatar-flair{bottom:8px;left:16px;}.user-main .about .controls ul{list-style-type:none;}.user-main .about .controls .btn{margin-bottom:10px;line-height:1.2;}.user-main .about.collapsed-info .details{margin-top:0;background:rgba(34,34,34,0.8);}.user-main .about.collapsed-info .details .bio{display:none;}.user-main .about.collapsed-info .details .primary{width:100%;}.user-main .about.collapsed-info .details .primary .avatar{margin-left:10px;width:45px;height:45px;}.user-main .about.collapsed-info .details .primary h1{font-size:1.5157em;}.user-main .about.collapsed-info .details .primary h2{font-size:1.1487em;}.user-main .about.collapsed-info .details .primary h3,.user-main .about.collapsed-info .details .primary h3.location-and-website{display:none;}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair{bottom:8px;left:2px;}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair .d-icon{font-size:1em;}.user-main .staff-counters{background:#ddd;color:#222;display:flex;padding:10px;margin-bottom:16px;}.user-main .staff-counters>div,.user-main .staff-counters>div a{display:flex;align-items:baseline;flex:0 1 auto;margin:0 0 0 10px;color:#222;}.user-main .staff-counters>div span,.user-main .staff-counters>div a span{padding:0 7px 1px;border-radius:10px;margin-left:5px;}.user-main .staff-counters .active{font-weight:bold;}.user-main .helpful-flags{background-color:#1ca551;}.user-main .flagged-posts{background-color:#e49735;}.user-main .warnings-received{background-color:#a13116;}.user-main .deleted-posts{background-color:#a13116;}.user-main .suspensions{background-color:#e45735;}.user-main .user-field{margin-bottom:10px;}.user-main .user-field .controls label{width:auto;text-align:right;font-weight:normal;}.user-main .user-field .controls .instructions{color:#909090;margin-top:5px;margin-bottom:10px;font-size:.8706em;}.user-main .user-content .admin-controls nav{margin:0;}.user-main .user-content .admin-controls nav .nav-pills{overflow-x:auto;}.user-field .required{vertical-align:top;color:#e45735;font-weight:bold;margin-right:0.25em;}.public-user-fields{margin-top:8px;margin-bottom:8px;}.public-user-fields .user-field-name{font-weight:bold;}.collapsed-info .public-user-fields{display:none;}.avatar-selector .avatar-choice{display:grid;grid-template-columns:2em 1fr auto;grid-template-rows:auto auto;align-items:center;}.avatar-selector .avatar-choice:not(:last-of-type){margin-bottom:0.75em;}.avatar-selector .avatar-choice span{word-break:break-word;}.avatar-selector .avatar-choice input[type="radio"]{margin-top:0;}.avatar-selector .avatar-choice button{margin-right:auto;}.avatar-selector label.radio{display:flex;align-items:center;max-width:300px;margin:0 0 0 0.5em;padding:0;}.avatar-selector label.radio .avatar{flex:0 0 auto;margin:0 0 0 0.75em;}.avatar-selector .error{color:#e45735;margin:0;max-width:calc(300px - 20px);grid-column-start:2;grid-column-end:3;}.avatar-selector .avatar-choice{display:-ms-grid;-ms-grid-columns:2em 1fr auto;-ms-grid-rows:auto auto;}.avatar-selector .avatar-choice input[type="radio"]{-ms-grid-row:1;-ms-grid-column:1;}.avatar-selector .avatar-choice label.radio{-ms-grid-row:1;-ms-grid-column:2;}.avatar-selector .avatar-choice span.avatar-uploader{-ms-grid-row:1;-ms-grid-column:3;}.avatar-selector .avatar-choice .error{-ms-grid-row:2;-ms-grid-column-span:3;}.top-section:before,.top-section:after{content:"";display:table;}.top-section:after{clear:both;}.top-section ul{list-style:none;margin:0;}.top-section,.top-sub-section{margin-bottom:20px;}.top-section.badges-section,.top-sub-section.badges-section{display:flex;flex-wrap:wrap;}.stats-title{text-transform:uppercase;margin-bottom:10px;width:100%;}.stats-section ul{margin:10px 0;}.stats-section li{display:inline-block;padding:10px 0 10px 14px;margin:0 0 10px 10px;}.stats-section li.linked-stat{padding:0;}.stats-section li.linked-stat a{padding:10px 0 10px 14px;width:100%;height:100%;display:block;color:#ddd;}.stats-section .value{font-weight:bold;font-size:1.3195em;}.stats-section .label{color:#909090;}.top-sub-section{width:50%;}.top-sub-section ul{max-width:95%;}.top-sub-section li{border-right:#313131 solid 2px;padding:5px 8px;margin:10px 0;}.top-sub-section .topic-info{color:#909090;}@media all and (max-width:600px){.top-sub-section{float:none;width:100%;}}.replies-section li,.topics-section li,.links-section li{word-wrap:break-word;}.links-section .domain{font-size:.8706em;color:#909090;}.top-categories-section table{max-width:95%;}.top-categories-section table tr{border:none;}.top-categories-section table td,.top-categories-section table th{padding:0.5em;}.top-categories-section table td.topic-count,.top-categories-section table td.reply-count,.top-categories-section table th.topic-count,.top-categories-section table th.reply-count{text-align:center;}.summary-user-list li{height:45px;}.groups .group-link{color:#0f82af;}.user-preferences textarea{height:100px;}.user-preferences .tracking-controls label{align-items:center;display:inline-block;}.user-preferences .tracking-controls label .d-icon{margin-left:3px;}@media screen and (max-width:550px){.user-preferences .tracking-controls .select-kit.multi-select{width:100%;}}.user-preferences .tracking-controls .show-tracking{float:left;}.user-preferences .static{color:#ddd;display:inline-block;}.user-preferences .instructions{color:#909090;margin-bottom:10px;font-size:.8706em;line-height:1.4;}.user-preferences .instructions a[href]{color:#0f82af;}.user-preferences .avatar{margin-right:3px;}.user-preferences .warning{background-color:#a13116;padding:5px 8px;color:#222;width:520px;}.user-preferences .warning-wrap{height:30px;margin-bottom:10px;}.user-preferences .tracking-controls{margin-top:24px;}.user-preferences.second-factor-backup-preferences{padding-right:0;}.user-preferences.second-factor-backup-preferences .second-factor-token-input{margin-left:10px;}.user-preferences.second-factor-backup-preferences .form-horizontal .instructions{margin-right:0;}.user-preferences.second-factor-backup-preferences .backup-codes{margin:2em 0;}.user-preferences.second-factor-backup-preferences .backup-codes .wrapper{display:inline-block;position:relative;padding:10px;border-radius:3px;border:1px solid #313131;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area{resize:none;padding:0;height:auto;text-align:center;width:250px;background:white;border:0;cursor:auto;overflow:hidden;outline:none;font-family:monospace;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area:focus{box-shadow:none;border-color:#313131;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn,.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{left:5px;position:absolute;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn{top:5px;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{top:40px;}.user-preferences .pref-associated-accounts table td{padding:8px;}.paginated-topics-list .user-content{width:100%;margin-top:0;}.large-notification{display:flex;align-items:center;}.large-notification a{display:flex;align-items:center;}.large-notification a .d-icon{margin-left:0.5em;}.large-notification a span:first-child{color:#ddd;}.large-notification a div .fa{display:none;}.large-notification a div p{margin:0;}.qr-code-container{display:flex;}.qr-code-container .qr-code{padding:5px 5px 0 5px;background-color:white;}.second-factor.instructions{color:#909090;margin-top:5px;margin-bottom:10px;font-size:.8706em;}.second-factor .second-factor-item{margin-top:0.75em;}.second-factor .btn.edit{min-height:auto;}.primary-textual .staged,#user-card .staged{font-style:italic;}.selectable-avatars{max-height:350px;margin-bottom:1em;text-align:justify;}.selectable-avatars .selectable-avatar{margin:5px;display:inline-block;}.selectable-avatars .selectable-avatar .avatar{cursor:pointer;width:60px;height:60px;}.selectable-avatars .selectable-avatar .avatar:hover{box-shadow:0 0 10px #ddd;}.topic-title-outlet.choose-tags{margin-right:25px;margin-top:3px;}.tag-list{margin-top:2em;padding-bottom:1em;border-bottom:1px solid #313131;}#list-area .tag-list h3{margin-bottom:20px;}.tag-list .tag-box{display:inline-block;width:300px;margin-bottom:1em;float:right;vertical-align:middle;}.tag-list .tag-box .discourse-tag{font-size:1em;}.tag-list .tag-box .tag-count{font-size:.8706em;vertical-align:middle;line-height:1;}.tag-show-heading{display:inline-flex;flex-wrap:wrap;align-items:center;white-space:nowrap;overflow:hidden;text-overflow:hidden;}@media screen and (max-width:450px){.tag-show-heading{width:100%;}}.tag-show-heading .d-icon{margin:0 0.25em;}.topic-category{display:flex;flex-wrap:wrap;align-items:center;}.topic-category .topic-header-extra{display:inline-flex;align-items:center;}.topic-category .badge-wrapper{margin-top:0;}.discourse-tag-count{font-size:.8706em;color:#909090;line-height:1;vertical-align:middle;}.discourse-tag{max-width:14em;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle;}.discourse-tag{margin:0;color:#909090;}.discourse-tag:visited,.discourse-tag:hover{color:#909090;}.extra-info-wrapper .discourse-tag{color:#a6a6a6 !important;}.discourse-tag.large{font-size:1.3195em;}.discourse-tag.box{background-color:#313131;color:#a6a6a6;padding:2px 8px;}.extra-info-wrapper .discourse-tag.box{background-color:#313131;color:#909090;}.discourse-tag.simple,.discourse-tag.simple:visited,.discourse-tag.simple:hover{margin-left:0;color:#a6a6a6;}.discourse-tag.bullet{margin-left:0.5em;display:inline-flex;align-items:center;}.discourse-tag.bullet:before{background:#7a7a7a;margin-left:5px;position:relative;width:9px;height:9px;display:inline-block;content:"";}.discourse-tag.bullet.large:before{width:13px;height:13px;}.discourse-tags .discourse-tag.simple:not(:last-child):after,.list-tags .discourse-tag.simple:not(:last-child):after{content:",";margin-right:1px;}.d-header .topic-header-extra .discourse-tags{display:inline-block;font-size:.8706em;}.d-header .topic-header-extra .discourse-tags+.topic-featured-link{margin-right:8px;}.fps-result .add-full-page-tags{display:inline-block;}.topic-list-item .discourse-tags{display:inline-flex;font-weight:normal;font-size:.8706em;}.categories-list .topic-list-latest .discourse-tags{display:inline-block;}.mobile-view .topic-list-item .discourse-tags{display:inline-flex;flex-wrap:wrap;font-size:.8706em;margin-top:0;}.mobile-view .topic-list-item .discourse-tags .discourse-tag{margin-left:0.2em;}.mobile-view .topic-list-item .discourse-tags .discourse-tag.box{position:relative;top:0;}header .discourse-tag{color:#909090;}.list-tags{display:inline-block;margin-left:3px;font-size:.8706em;}.tag-chooser{width:100%;max-width:100%;}.title-wrapper .tag-chooser{width:500px;}.tag-sort-options{margin-bottom:20px;}.tag-sort-options a{text-decoration:underline;}.tag-sort-options span.active a{font-weight:bold;}.autocomplete .d-icon-tag{color:#7a7a7a;padding-left:5px;}.autocomplete a{color:#909090;}.tags-admin-menu{margin-top:20px;}.tags-admin-menu ul{width:320px;}.tag-groups-container{margin-top:20px;}.tag-groups-container .content-list{width:20%;float:right;margin:20px 0;}.tag-groups-container .content-list ul{margin-bottom:10px;}.tag-groups-container .content-list .btn{margin-right:10px;}.tag-groups-container .tag-group-content{width:75%;float:left;}.tag-groups-container .tag-group-content section{margin-bottom:20px;}.tag-groups-container .tag-group-content label{font-size:1em;display:inline-block;margin-left:10px;}.tag-groups-container .tag-group-content .btn{margin-left:10px;}.tag-groups-container .tag-group-content h1 input{width:100%;}.tag-groups-container .group-tags-list .tag-chooser{width:100%;}.tag-groups-container .saving{margin-right:20px;}.tag-groups-container .parent-tag-section .tag-chooser{width:200px;margin-left:10px;}.tag-info{margin-top:1em;margin-bottom:1em;}.tag-info .delete-tag{float:left;}.tag-info .synonyms-list,.tag-info .add-synonyms,.tag-info .tag-associations{margin-top:1em;}.tag-info .tag-list{border:none;}.tag-info .tag-list .d-icon{color:#909090;}.tag-info .field{margin-bottom:5px;}#reply-control{position:fixed;display:flex;flex-direction:column;bottom:0;height:0;left:0;right:0;margin-right:auto;margin-left:auto;max-width:1475px;width:100%;z-index:400;transition:height 250ms ease,background 250ms ease,transform 250ms ease,max-width 250ms ease;background-color:#222;box-shadow:0 -1px 40px rgba(0,0,0,0.12);}#reply-control.hide-preview{max-width:740px;}@media screen and (max-width:1200px){#reply-control{min-width:0;}}#reply-control .reply-area{display:flex;flex-direction:column;}#reply-control .saving-text,#reply-control .draft-text{display:none;padding-right:10px;}#reply-control .saving-text .spinner,#reply-control .draft-text .spinner{margin-right:5px;border-color:#222;border-right-color:transparent;}#reply-control .saving-text .d-icon,#reply-control .draft-text .d-icon{color:#222;}#reply-control.open{height:300px;}#reply-control.open.edit-title{height:400px;}#reply-control.closed{height:0 !important;}#reply-control.draft,#reply-control.saving{height:40px !important;align-items:center;background:#0f82af;color:#222;flex-direction:row;width:100%;}#reply-control.draft .composer-controls,#reply-control.saving .composer-controls{margin-right:auto;display:flex;padding-left:5px;}#reply-control.draft .composer-controls .toggle-toolbar,#reply-control.saving .composer-controls .toggle-toolbar{display:none;}#reply-control.draft .composer-controls .d-icon,#reply-control.saving .composer-controls .d-icon{color:#222;}#reply-control.draft{cursor:pointer;display:flex;}#reply-control.draft .draft-text{display:block;}#reply-control.draft .grippie,#reply-control.draft .saving-text{display:none;}#reply-control.draft .toggler{order:2;}#reply-control.saving .saving-text{display:flex;}#reply-control .reply-to{color:#a6a6a6;margin:5px 0 10px 0;display:flex;align-items:center;}#reply-control .reply-to .d-icon{color:#909090;}#reply-control .reply-to .reply-details{max-width:calc(100% - 175px);flex:1 1 auto;display:flex;align-items:center;white-space:nowrap;}#reply-control .reply-to .reply-details .d-icon{opacity:0.8;}#reply-control .reply-to .composer-action-title{display:inline-flex;align-items:center;width:auto;max-width:100%;}#reply-control .reply-to .composer-action-title .avatar{width:20px;}#reply-control .reply-to .composer-action-title .action-title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#reply-control .reply-to .composer-action-title .topic-link,#reply-control .reply-to .composer-action-title .user-link,#reply-control .reply-to .composer-action-title .post-link{margin-left:5px;}#reply-control .reply-to .composer-action-title .username{margin-left:5px;max-width:100px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}@media screen and (max-width:500px){#reply-control .reply-to .composer-action-title .username{display:none;}}#reply-control .reply-to .composer-action-title .d-icon{margin-left:5px;}#reply-control .reply-to .composer-action-title img.avatar{margin-left:3px;}#reply-control .reply-to .composer-controls{display:flex;margin-right:auto;}#reply-control .reply-to .composer-controls button{padding:5px 7px;}#reply-control .reply-to .composer-controls button.toggler{order:2;}#reply-control .whisper,#reply-control .display-edit-reason{font-style:italic;}#reply-control .whisper{margin-left:0.25em;}#reply-control .display-edit-reason{display:inline-flex;}#reply-control .display-edit-reason a{display:inline-flex;}#reply-control .display-edit-reason .d-icon{padding:0.3em 0.5em;color:#0f82af;}#reply-control #edit-reason{margin:0 4px;}#reply-control .user-selector,#reply-control .title-and-category{display:flex;flex-wrap:wrap;width:100%;align-items:center;margin-bottom:5px;position:relative;}#reply-control .user-selector.with-preview,#reply-control .title-and-category.with-preview{width:50%;}#reply-control .title-input{position:relative;display:flex;flex:1 1 50%;}#reply-control .title-input input{flex-grow:1;}#reply-control .with-tags .title-input{flex:1 1 100%;}#reply-control .category-input{display:flex;flex:1 0 35%;margin:0 10px 5px 0;}@media screen and (max-width:955px){#reply-control .category-input{flex:1 0 100%;margin-right:0;}}#reply-control .category-input .category-chooser{display:flex;flex:1 0 auto;width:auto;}#reply-control .with-tags .category-input{flex-basis:25%;margin-right:0;margin-left:5px;}@media screen and (max-width:920px){#reply-control .with-tags .category-input{flex-basis:100%;margin-left:0;}}#reply-control .add-warning{margin-right:0.75em;margin-bottom:0;display:flex;}#reply-control .add-warning input{margin-left:5px;}#reply-control #reply-title{margin:0 0 5px 0;flex-basis:50%;}#reply-control .mini-tag-chooser{flex:1 1 25%;margin:0 0 5px 0;background:#222;z-index:700;}@media all and (max-width:900px){#reply-control .mini-tag-chooser{margin:0;flex:1 1 100%;}}#reply-control .popup-tip{z-index:701;}#reply-control .wmd-controls{position:relative;display:flex;flex-direction:column;flex-grow:1;min-height:0;}#reply-control .submit-panel{display:flex;flex-shrink:0;margin:7px 0 3px 0;}#reply-control .save-or-cancel{flex-basis:50%;display:flex;align-items:center;margin-left:auto;}#reply-control .save-or-cancel button{flex:0 0 auto;}#reply-control .save-or-cancel .cancel{margin-right:1.25em;line-height:normal;color:#a6a6a6;transition:color 250ms;}#reply-control .save-or-cancel .cancel:hover{color:#e45735;}#reply-control .save-or-cancel #draft-status,#reply-control .save-or-cancel #file-uploading{margin-right:25px;}#reply-control .save-or-cancel #file-uploading{display:flex;align-items:center;}#reply-control .save-or-cancel #file-uploading a{margin-right:5px;color:#a6a6a6;}#reply-control .save-or-cancel #file-uploading .spinner{margin-left:5px;}#reply-control .save-or-cancel #draft-status .d-icon-user-edit{color:#e45735;font-size:20px;vertical-align:-5.5px;}#reply-control #draft-status,#reply-control #file-uploading{color:#a6a6a6;}.cooked>*:first-child{margin-top:0;}.autocomplete{z-index:701;position:absolute;width:240px;background-color:#222;border:1px solid #313131;}.autocomplete ul{list-style:none;padding:0;margin:0;}.autocomplete ul li{border-bottom:1px solid #313131;}.autocomplete ul li .d-icon-users{color:#fff;padding:0 2px;}.autocomplete ul li a{padding:5px;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.autocomplete ul li a span.username{color:#ddd;}.autocomplete ul li a span.name{font-size:.8706em;vertical-align:middle;}.autocomplete ul li a.selected{background-color:#052e3d;}.discourse-no-touch .autocomplete ul li a:hover,.discourse-no-touch .autocomplete ul li a.btn-hover{background-color:#22170b;text-decoration:none;}div.ac-wrap.disabled input{display:none;}div.ac-wrap.disabled .item a{display:none;}div.ac-wrap div.item a.remove,.remove-link{margin-right:4px;font-size:.8706em;line-height:1;padding:1px 3.5px;border-radius:12px;box-sizing:border-box;border:1px solid #313131;}div.ac-wrap div.item a.remove:hover,.remove-link:hover{background-color:#591b0c;border:1px solid #a13116;text-decoration:none;color:#e45735;}div.ac-wrap{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#222;border:1px solid #909090;min-height:30px;box-sizing:border-box;}div.ac-wrap div.item{float:right;padding:4px 10px;line-height:1.4;}div.ac-wrap div.item span{display:inline-block;line-height:1.2;}div.ac-wrap .ac-collapsed-button{float:right;border-radius:20px;position:relative;top:-2px;margin-left:10px;}div.ac-wrap input[type="text"]{float:right;display:block;box-shadow:none;border:0;margin:0;background:transparent;min-height:unset;}div.ac-wrap input[type="text"].fullwidth-input{width:100%;}.future-date-input .examples{color:#909090;}.md-table{overflow-y:auto;margin:1em 0;}.mobile-view .md-table table{width:100%;}.save-animation{-webkit-animation:transformer 5s forwards;animation:transformer 5s forwards;}@-webkit-keyframes transformer{90%{-webkit-filter:opacity(1);}100%{-webkit-filter:opacity(0);}}@keyframes transformer{90%{opacity:1;}100%{opacity:0;}}body.ios-safari-composer-hacks #main-outlet,body.ios-safari-composer-hacks header,body.ios-safari-composer-hacks .grippie,html:not(.fullscreen-composer) body.ios-safari-composer-hacks .toggle-fullscreen{display:none;}body.ios-safari-composer-hacks #reply-control{top:0px;}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh,1vh) * 100);}.mfp-bg{top:0;right:0;width:100%;height:100%;z-index:1042;overflow:hidden;position:fixed;background:#0b0b0b;opacity:.8;filter:alpha(opacity=80);}.mfp-wrap{top:0;right:0;width:100%;height:100%;z-index:1043;position:fixed;outline:0 !important;-webkit-backface-visibility:hidden;}.mfp-container{text-align:center;position:absolute;width:100%;height:100%;right:0;top:0;padding:0 8px;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;}.mfp-container:before{content:"";display:inline-block;height:100%;vertical-align:middle;}.mfp-align-top .mfp-container:before{display:none;}.mfp-content{position:relative;display:inline-block;vertical-align:middle;margin:0 auto;text-align:right;z-index:1045;}.mfp-inline-holder .mfp-content,.mfp-ajax-holder .mfp-content{width:100%;cursor:auto;}.mfp-ajax-cur{cursor:progress;}.mfp-zoom-out-cur,.mfp-zoom-out-cur .mfp-image-holder .mfp-close{cursor:-moz-zoom-out;cursor:-webkit-zoom-out;cursor:zoom-out;}.mfp-zoom{cursor:pointer;cursor:-webkit-zoom-in;cursor:-moz-zoom-in;cursor:zoom-in;}.mfp-auto-cursor .mfp-content{cursor:auto;}.mfp-close,.mfp-arrow,.mfp-preloader,.mfp-counter{-webkit-user-select:none;-moz-user-select:none;user-select:none;}.mfp-loading.mfp-figure{display:none;}.mfp-hide{display:none !important;}.mfp-preloader{color:#ccc;position:absolute;top:50%;width:auto;text-align:center;margin-top:-0.8em;right:8px;left:8px;z-index:1044;}.mfp-preloader a{color:#ccc;}.mfp-preloader a:hover{color:#fff;}.mfp-s-ready .mfp-preloader{display:none;}.mfp-s-error .mfp-content{display:none;}button.mfp-close,button.mfp-arrow{overflow:visible;cursor:pointer;background:transparent;border:0;-webkit-appearance:none;display:block;padding:0;z-index:1046;-webkit-box-shadow:none;box-shadow:none;}button::-moz-focus-inner{padding:0;border:0;}.mfp-close{width:44px;height:44px;line-height:1.4;position:absolute;left:0;top:0;text-decoration:none;text-align:center;opacity:.65;filter:alpha(opacity=65);padding:0 10px 18px 0;color:#fff;font-style:normal;font-size:2em;font-family:Arial,Baskerville,monospace;}.mfp-close:hover,.mfp-close:focus{opacity:1;outline:0;filter:alpha(opacity=100);}.mfp-close:active{top:1px;}.mfp-close-btn-in .mfp-close{color:#333;}.mfp-image-holder .mfp-close,.mfp-iframe-holder .mfp-close{color:#fff;left:-6px;text-align:left;padding-left:6px;width:100%;}.mfp-counter{position:absolute;top:0;left:0;color:#ccc;font-size:.8706em;line-height:1.2;}.mfp-arrow{position:absolute;opacity:.65;filter:alpha(opacity=65);top:50%;margin:-55px 0 0;padding:0;width:90px;height:110px;-webkit-tap-highlight-color:transparent;}.mfp-arrow:active{margin-top:-54px;}.mfp-arrow:hover,.mfp-arrow:focus{outline:0;opacity:1;filter:alpha(opacity=100);}.mfp-arrow:before,.mfp-arrow:after,.mfp-arrow .mfp-b,.mfp-arrow .mfp-a{content:"";display:block;width:0;height:0;position:absolute;right:0;top:0;margin-top:35px;margin-right:35px;border:medium inset transparent;}.mfp-arrow:after,.mfp-arrow .mfp-a{border-top-width:13px;border-bottom-width:13px;top:8px;}.mfp-arrow:before,.mfp-arrow .mfp-b{border-top-width:21px;border-bottom-width:21px;}.mfp-arrow-left{right:0;}.mfp-arrow-left:after,.mfp-arrow-left .mfp-a{border-left:17px solid #fff;margin-right:31px;}.mfp-arrow-left:before,.mfp-arrow-left .mfp-b{margin-right:25px;border-left:27px solid #3f3f3f;}.mfp-arrow-right{left:0;}.mfp-arrow-right:after,.mfp-arrow-right .mfp-a{border-right:17px solid #fff;margin-right:39px;}.mfp-arrow-right:before,.mfp-arrow-right .mfp-b{border-right:27px solid #3f3f3f;}.mfp-iframe-holder{padding-top:40px;padding-bottom:40px;}.mfp-iframe-holder .mfp-content{line-height:0;width:100%;max-width:900px;}.mfp-iframe-holder .mfp-close{top:-40px;}.mfp-iframe-scaler{width:100%;height:0;overflow:hidden;padding-top:56.25%;}.mfp-iframe-scaler iframe{position:absolute;display:block;top:0;right:0;width:100%;height:100%;box-shadow:0 0 8px rgba(0,0,0,0.6);background:#000;}img.mfp-img{width:auto;max-width:100%;height:auto;display:block;line-height:0;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;padding:40px 0 40px;margin:0 auto;}.mfp-figure{line-height:0;}.mfp-figure:after{content:"";position:absolute;right:0;top:40px;bottom:40px;display:block;left:0;width:auto;height:auto;z-index:-1;box-shadow:0 0 8px rgba(0,0,0,0.6);background:linear-gradient(45deg,#111 100% 100%);}.mfp-figure small{color:#bdbdbd;display:block;font-size:.8706em;line-height:1.2;}.mfp-figure figure{margin:0;}.mfp-bottom-bar{margin-top:-36px;position:absolute;top:100%;right:0;width:100%;cursor:auto;}.mfp-title{text-align:right;line-height:1.2;color:#f3f3f3;word-wrap:break-word;padding-left:36px;}.mfp-title a.image-source-link .d-icon{padding-left:5px;}.mfp-image-holder .mfp-content{max-width:100%;}.mfp-gallery .mfp-image-holder .mfp-figure{cursor:pointer;}@media all and (max-width:800px) and (orientation:landscape),screen and (max-height:300px){.mfp-img-mobile .mfp-image-holder{padding-right:0;padding-left:0;}.mfp-img-mobile img.mfp-img{padding:0;}.mfp-img-mobile .mfp-figure:after{top:0;bottom:0;}.mfp-img-mobile .mfp-figure small{display:inline;margin-right:5px;}.mfp-img-mobile .mfp-bottom-bar{background:rgba(0,0,0,0.6);bottom:0;margin:0;top:auto;padding:3px 5px;position:fixed;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;}.mfp-img-mobile .mfp-bottom-bar:empty{padding:0;}.mfp-img-mobile .mfp-counter{left:5px;top:3px;}.mfp-img-mobile .mfp-close{top:0;left:0;width:35px;height:35px;line-height:1.4;background:rgba(0,0,0,0.6);position:fixed;text-align:center;padding:0;}}@media all and (max-width:900px){.mfp-arrow{-webkit-transform:scale(0.75);transform:scale(0.75);}.mfp-arrow-left{transform-origin:0;-webkit-transform-origin:0;}.mfp-arrow-right{transform-origin:100%;-webkit-transform-origin:100%;}.mfp-container{padding-right:6px;padding-left:6px;}}.mfp-ie7 .mfp-img{padding:0;}.mfp-ie7 .mfp-bottom-bar{width:600px;right:50%;margin-right:-300px;margin-top:5px;padding-bottom:5px;}.mfp-ie7 .mfp-container{padding:0;}.mfp-ie7 .mfp-content{padding-top:44px;}.mfp-ie7 .mfp-close{top:0;left:0;padding-top:0;}.mfp-zoom-in .mfp-content{opacity:0;transition:all 0.2s;-webkit-transform:scale(0.8);-ms-transform:scale(0.8);transform:scale(0.8);}.mfp-zoom-in.mfp-bg{opacity:0;transition:all 0.3s ease-out;}.mfp-zoom-in.mfp-ready .mfp-content{opacity:1;-webkit-transform:scale(1);transform:scale(1);}.mfp-zoom-in.mfp-ready.mfp-bg{opacity:0.8;}.mfp-zoom-in.mfp-removing .mfp-content{-webkit-transform:scale(0.8);transform:scale(0.8);opacity:0;}.mfp-zoom-in.mfp-removing.mfp-bg{opacity:0;}.mfp-force-scrollbars.mfp-wrap{overflow-y:auto !important;overflow-x:auto !important;}.mfp-force-scrollbars .mfp-img{max-width:none;}.button-count.has-pending span{background-color:#e45735;color:#222;border-radius:10px;padding:0.25em 0.5em;display:inline-block;font-size:0.8em;}.placeholder-avatar{display:inline-block;width:45px;height:45px;border-radius:50%;position:relative;overflow:hidden;}.placeholder-avatar:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;right:0;content:"";background:linear-gradient(to left,#282828 10%,#313131 72% 43%);height:45px;width:700px;}.placeholder-text{margin-right:11px;display:inline-block;width:calc(100% - 11px);height:1.5em;margin-bottom:0.6em;}.names{flex:1 1 auto;overflow:hidden;}.names span.first{display:flex;align-items:baseline;font-weight:bold;}.names span{font-size:1em;margin-left:8px;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle;}.names span a{color:#bdbdbd;}.names .fa{font-size:.8706em;color:#919191;}.names .svg-icon-title{margin-right:3px;margin-left:0px;}.names .new_user a,.names .user-title,.names .user-title a{color:#919191;}.cooked,.d-editor-preview{word-wrap:break-word;line-height:1.4;}.cooked h1,.cooked h2,.cooked h3,.cooked h4,.cooked h5,.cooked h6,.d-editor-preview h1,.d-editor-preview h2,.d-editor-preview h3,.d-editor-preview h4,.d-editor-preview h5,.d-editor-preview h6{margin:30px 0 10px;line-height:1.2;}.cooked h1,.d-editor-preview h1{font-size:1.5157em;}.cooked h2,.d-editor-preview h2{font-size:1.3195em;}.cooked h3,.d-editor-preview h3{font-size:1.1487em;}.cooked h4,.d-editor-preview h4{font-size:1em;}.cooked h5,.d-editor-preview h5{font-size:.8706em;}.cooked h6,.d-editor-preview h6{font-size:.7579em;}.cooked a,.d-editor-preview a{word-wrap:break-word;}.cooked ins,.d-editor-preview ins{background-color:#0b4220;}.cooked del,.d-editor-preview del{background-color:#631e0d;}.cooked big,.d-editor-preview big{font-size:1.5rem;}.cooked small,.d-editor-preview small{font-size:0.75rem;}.cooked small small,.d-editor-preview small small{font-size:0.75em;}.cooked big big,.d-editor-preview big big{font-size:1em;}.cooked sub sub sub,.d-editor-preview sub sub sub{bottom:0;}.cooked sup sup sup,.d-editor-preview sup sup sup{top:0;}.cooked video,.d-editor-preview video{max-width:100%;}.cooked sup sup,.d-editor-preview sup sup{top:0;}.moderator .regular>.cooked{background-color:#4c3319;padding:10px;}.moderator .regular>.cooked img:not(.thumbnail){max-width:100%;height:auto;}.moderator .clearfix>.topic-meta-data>.names span.user-title,.moderator .nav-pills>.topic-meta-data>.names span.user-title,.moderator .container>.topic-meta-data>.names span.user-title,.moderator .wrap>.topic-meta-data>.names span.user-title{color:#bdbdbd;}.moderator .clearfix>.topic-meta-data>.names span.user-title a,.moderator .nav-pills>.topic-meta-data>.names span.user-title a,.moderator .container>.topic-meta-data>.names span.user-title a,.moderator .wrap>.topic-meta-data>.names span.user-title a{background-color:#4c3319;padding-right:4px;padding-left:4px;}.topic-meta-data{display:flex;align-items:flex-start;}.topic-meta-data .names{margin-left:auto;}.topic-meta-data .post-infos{display:flex;flex:0 0 auto;align-items:center;}aside.quote{margin-top:1em;margin-bottom:1em;}aside.quote .badge-wrapper{margin-right:5px;}aside.quote .title{border-right:5px solid #313131;background-color:#3c3c3c;color:#bdbdbd;padding:12px 12px 1px 12px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}aside.quote .title .avatar{margin-left:7px;}aside.quote .title img{margin-top:-4px;}aside.quote blockquote{margin-top:0;}blockquote img{max-width:100% !important;}.quote-controls,.quote-controls .d-icon{color:#646464;}.cooked .highlight{background-color:#052e3d;padding:2px;margin:-2px;}.post-ignored{font-style:italic;}.post-action{color:#909090;}.post-action .undo-action,.post-action .act-action{margin-right:5px;}.post-hidden{opacity:0.5;position:relative;z-index:1;}.topic-post.staged{opacity:0.4;}.quote-controls{float:left;display:flex;align-items:center;}.quote-controls a{margin-right:0.3em;}.quote-button{display:none;position:absolute;background-color:#9e9e9e;color:#ddd;padding:10px;z-index:300;opacity:0.9;}.quote-button .d-icon{display:inline-block;}.quote-button:hover{background-color:#909090;cursor:pointer;}.topic-avatar,.user-card-avatar{position:relative;}.topic-map{background:#282828;border:1px solid #313131;border-top:none;}.topic-map .avatars>div{float:right;position:relative;margin:3px 0;}.topic-map .avatars .post-count{position:absolute;left:0;border-radius:100px;padding:3px 5px;text-align:center;font-weight:normal;font-size:.7579em;line-height:1;}.topic-map .avatar{float:right;margin-left:4px;}.topic-map section{border-top:1px solid #313131;}.topic-map ul{margin:0;list-style:none;}.topic-map h3{margin-bottom:4px;color:#ddd;line-height:1.4;font-weight:normal;font-size:1em;}.topic-map h4{margin:1px 0 2px 0;color:#919191;font-weight:normal;font-size:.8706em;line-height:1;}.topic-map span.domain{font-size:.7579em;color:#919191;}.topic-map td{vertical-align:top;padding:1px;}.topic-map .topic-links tr{border:none;}.topic-map .topic-links .badge-notification{margin:1px 0 2px 5px;}.topic-map .controls{display:flex;align-items:center;}.topic-map .controls .btn{margin-left:0.5em;}.topic-map .controls .btn:last-child{margin:0;}.topic-map .participants{display:flex;flex-wrap:wrap;align-items:center;}.topic-map .participants+.controls{margin-top:0.5em;}.topic-map .participants.hide-names .user .username,.topic-map .participants.hide-names .user .group-name{display:none;}.topic-map .participants .user{border:1px solid #313131;border-radius:0.25em;padding:0;margin:0.125em 0 0.125em 0.25em;display:flex;align-items:center;height:26px;}.topic-map .participants .user .user-link,.topic-map .participants .user .group-link{color:#a6a6a6;}.topic-map .participants .user .user-link:hover,.topic-map .participants .user .group-link:hover{color:#ddd;}.topic-map .participants .user .avatar,.topic-map .participants .user .d-icon-users{margin-right:0.25em;margin-left:0.25em;}.topic-map .participants .user .username,.topic-map .participants .user .group-name{margin-left:0.25em;}.topic-map .participants .user:last-child{margin-left:0;}.topic-map .participants .user .remove-invited{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0.25em 0 0 0.25em;padding-top:0;padding-bottom:0;height:100%;}.topic-map .add-remove-participant-btn .d-icon{margin-right:0.25em;}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.user-card-avatar .avatar-flair,.topic-map .poster .avatar-flair,.user-profile-avatar .avatar-flair,.user-image .avatar-flair{display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;background-position:center;position:absolute;bottom:0;left:-6px;}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.collapsed-info .user-profile-avatar .avatar-flair,.user-image .avatar-flair{background-size:20px 20px;width:20px;height:20px;}.topic-avatar .avatar-flair.rounded,.avatar-flair-preview .avatar-flair.rounded,.collapsed-info .user-profile-avatar .avatar-flair.rounded,.user-image .avatar-flair.rounded{background-size:18px 18px;border-radius:12px;width:24px;height:24px;bottom:-2px;left:-8px;}.user-card-avatar .avatar-flair,.user-profile-avatar .avatar-flair{background-size:40px 40px;width:40px;height:40px;}.user-card-avatar .avatar-flair.rounded,.user-profile-avatar .avatar-flair.rounded{background-size:30px 30px;border-radius:24px;width:40px;height:40px;bottom:-2px;left:-4px;}.user-card-avatar .avatar-flair .fa,.user-profile-avatar .avatar-flair .fa{font-size:1.7511em;}.topic-map .poster .avatar-flair{left:0;background-size:12px 12px;width:16px;height:16px;bottom:-3px;color:#ddd;}.topic-map .poster .avatar-flair.rounded{background-size:12px 12px;border-radius:8px;width:16px;height:16px;bottom:-2px;left:0;}.topic-map .poster .avatar-flair .d-icon{font-size:.7579em;}.topic-avatar .poster-avatar-extra{display:none;}.map:first-of-type{display:flex;}.map:first-of-type .buttons{margin-right:auto;order:15;}.map:first-of-type .buttons .btn{height:100%;}.topic-body .cooked{overflow:hidden;}.topic-body.highlighted{animation:background-fade-highlight 2.5s ease-out;}.post-info{flex:0 0 auto;margin-left:0.5em;}.post-info.post-date{margin-left:0;}.post-info.via-email .d-icon,.post-info.whisper .d-icon,.post-info.post-locked .d-icon{font-size:1em;}.post-info .wiki,.post-info .last-wiki-edit{color:green;}.post-info.via-email{color:#646464;}.post-info.raw-email{cursor:pointer;}pre code{word-wrap:normal;display:block;padding:0.5em;color:#ddd;background:#3c3c3c;max-height:500px;}kbd{background-color:#222;border:1px solid #313131;border-radius:3px;box-shadow:0 2px 0 rgba(0,0,0,0.2), 0 0 0 1px #000 inset;background:#333;border:1px solid #555;border-bottom:medium none #000;color:#ddd;display:inline-block;font-size:.8706em;line-height:1.4;margin:0 0.1em;padding:0.1em 0.6em;}kbd * * *{display:none;}blockquote>*:first-child{margin-top:0 !important;}blockquote>*:last-child{margin-bottom:0 !important;}.gap{padding:0.25em 56px 0.5em 0;color:#646464;cursor:pointer;text-transform:uppercase;font-weight:bold;font-size:.8706em;}.who-liked,.who-read{transition:height 0.5s;}.who-liked a,.who-read a{margin:0 0 0.5em 0.25em;display:inline-block;}.cooked table thead th,.d-editor-preview table thead th{text-align:right;padding-bottom:2px;font-weight:bold;color:#ddd;}.cooked table td,.d-editor-preview table td{padding:3px 0.5em 3px 3px;}.small-action{display:flex;align-items:center;max-width:758px;border-top:1px solid #313131;}.small-action .topic-avatar{align-self:flex-start;padding:0.7em 0;border-top:none;margin-left:11px;flex:0 0 auto;}.small-action .topic-avatar .d-icon{font-size:2em;width:45px;text-align:center;color:#7a7a7a;}.small-action .small-action.deleted{background-color:rgba(99,30,13,0.7);}.small-action .small-action-desc.timegap{color:#909090;}.small-action .small-action-desc{display:flex;flex-wrap:wrap;flex:1 1 100%;align-items:center;padding:1em 0;text-transform:uppercase;font-weight:bold;font-size:.8706em;color:#909090;min-width:0;}.small-action .small-action-desc .custom-message{flex:1 1 100%;text-transform:none;font-weight:normal;font-size:1.1487em;order:12;word-break:break-word;min-width:0;}.small-action .small-action-desc .custom-message p{margin-bottom:0;}.small-action .small-action-desc a.trigger-user-card{align-self:stretch;}.small-action .small-action-desc .avatar{margin-left:0.8em;float:right;}.small-action .small-action-desc>p{margin:0;line-height:1.2;flex:1 1;}.small-action button{background:transparent;border:0;order:9;}.small-action button:last-of-type{margin-right:auto;order:8;}.whisper .post-info.whisper{margin-right:0.5em;}.whisper .topic-body .cooked{font-style:italic;color:#909090;}a.mention,a.mention-group{padding:2px 4px;color:#bdbdbd;background:#313131;border-radius:8px;font-weight:bold;font-size:0.93em;}.popup-menu h3{margin-top:0;}.suggested-topics .topics{padding-bottom:15px;}.suggested-topics .suggested-topics-message .badge-wrapper{margin-left:0;}.large-image-placeholder>a.link{margin-left:10px;}.large-image-placeholder>a>*{overflow:hidden;vertical-align:middle;}.large-image-placeholder>a>.d-icon{color:#919191;margin-left:6px;font-size:1em;line-height:1.4;}.large-image-placeholder>a>span.url{display:inline-block;max-width:300px;margin-left:6px;text-overflow:ellipsis;white-space:nowrap;}.large-image-placeholder>a>span.help{display:inline-block;color:#919191;font-size:.8706em;font-style:italic;line-height:1.4;margin-bottom:1px;}.large-image-placeholder>a>span.badge-notification{vertical-align:unset;}.broken-image,.large-image{color:#646464;border:1px solid #313131;font-size:2em;padding:16px;}.reply-to-tab{display:flex;align-items:center;margin-left:2em;}.reply-to-tab img{margin:0 0.25em;}.topic-post.selected article.boxed .select-posts button.select-post{background-color:#0f82af;color:#222;border-color:#0f82af;}.topic-post.selected article.boxed .topic-body .contents:after{display:none;}.topic-post article.boxed{position:relative;}.topic-post article.boxed .select-posts{position:absolute;left:5em;z-index:300;top:0.5em;height:100px;}.topic-post article.boxed .select-posts button{margin-right:8px;background-color:#313131;color:#ddd;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}@media all and (max-width:767px){.reply-to-tab span{display:none;}.user-title{float:right;clear:right;}}.signup-cta a{float:left;text-decoration:underline;}.signup-cta .buttons{margin-bottom:1em;}.post-notice{align-items:center;background-color:#052e3d;border-top:1px solid #313131;display:flex;max-width:calc( 690px + (11px * 2) + 45px - (0.8em * 2));padding:0.8em;}.post-notice.old{background-color:unset;color:#909090;}.post-notice.old .d-icon{color:#909090;}.post-notice p{margin:0;}.post-notice .d-icon{font-size:2em;color:#a6a6a6;margin-left:0.65em;}#topic-footer-buttons .reason{color:#a6a6a6;display:inline;margin:0 8px 0 0;line-height:1.2;}@keyframes button-jump-up{0%{margin-bottom:-60px;}50%{margin-bottom:10px;}65%{margin-bottom:0px;}77%{margin-bottom:5px;}100%{margin-bottom:0px;}}.progress-back-container{z-index:300;margin-left:0;animation-duration:0.5s;animation-name:button-jump-up;width:145px;text-align:center;margin-bottom:0px;position:absolute;left:0;top:-2em;}.progress-back-container .btn{margin:0;}#topic-progress-wrapper{display:flex;}#topic-progress-wrapper .topic-admin-menu-button-container{display:flex;}#topic-progress-wrapper .topic-admin-menu-button-container>span{display:flex;}#topic-progress-wrapper .topic-admin-popup-menu.right-side{position:absolute;bottom:0;left:0;right:auto;transition:bottom 0.5s;transform:translateZ(0);}#topic-progress-wrapper.docked .topic-admin-popup-menu.right-side{bottom:-150px;}.title-wrapper{display:flex;flex-wrap:wrap;}.title-wrapper button{margin:0 0 0 0.5em;}.title-wrapper a.topic-featured-link{display:inline-block;}.title-wrapper .topic-statuses{line-height:1.2em;margin-left:0.15em;}.title-wrapper .topic-statuses .d-icon{color:#909090;}h1{margin:0 0 4px 0;}a.badge-category{margin-top:5px;}#topic-title .title-wrapper{display:flex;flex-wrap:wrap;width:90%;}#topic-title .title-wrapper a.topic-featured-link{display:inline-block;}#topic-title h1{margin:0 0 4px 0;width:100%;}#topic-title a.badge-category{margin-top:5px;}#topic-title a.edit-topic .d-icon{font-size:0.8em;}#topic-title .edit-topic-title{display:flex;flex-wrap:wrap;box-sizing:border-box;max-width:758px;}#topic-title .edit-topic-title #edit-title{flex:1 1 auto;}#topic-title .edit-topic-title .private-message-glyph{margin:5px 0 0 5px;}#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 49%;margin:0 0 9px 0;}@media all and (max-width:500px){#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 100%;}}#topic-title .edit-topic-title .mini-tag-chooser{margin-right:2%;}@media all and (max-width:500px){#topic-title .edit-topic-title .mini-tag-chooser{margin-right:0;}}.private-message-glyph{color:#646464;margin-left:5px;}.archetype-private_message #topic-title .edit-topic-title .tag-chooser{margin-right:19px;}.private_message #topic-title .edit-topic-title #edit-title{width:calc(100% - 50px);}.topic-title-outlet{clear:both;}.has-pending-posts{display:flex;justify-content:space-between;padding:0.5em;background-color:#4c3319;margin-top:1em;max-width:757px;}.suggested-topics-wrapper.related-messages-wrapper .suggested-topics:nth-of-type(n+2) thead{display:none;}.suggested-topics h3 .badge-wrapper.bullet span.badge-category,.suggested-topics h3 .badge-wrapper.box span,.suggested-topics h3 .badge-wrapper.bar span{display:inline;}.suggested-topics h3 .badge-wrapper.bullet span.badge-category{vertical-align:baseline;line-height:1.2;}.suggested-topics h3 .badge-wrapper.bullet,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg{line-height:0.8;}.suggested-topics .badge-wrapper.bullet span.badge-category,.suggested-topics .badge-wrapper.bar span.badge-category{max-width:150px;}.suggested-topics .suggested-topics-title{display:flex;align-items:center;}.post-links-container{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both;}.post-links-container .post-links{margin-top:1em;padding-top:1em;border-top:1px solid #313131;}.post-links-container .post-links li:last-of-type{margin-bottom:1em;}.post-links-container .expand-links{color:#919191;}.post-links-container .track-link{display:flex;align-items:center;}.post-links-container .track-link span:not(.badge){overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.post-links-container ul{margin:0;list-style:none;}.post-links-container ul li{margin-bottom:0.5em;}.post-links-container ul li a[href]{color:#919191;}.post-links-container ul li .clicks{margin-right:0.5em;flex:0 0 auto;}.post-links-container ul li .d-icon{font-size:.7579em;margin:0 0 0 0.5em;}.post-links-container a.reply-new .d-icon{background:#222;border-radius:20px;transition:all linear 0.15s;}.post-links-container a.reply-new:hover{color:#0f82af;}.post-links-container a.reply-new:hover .d-icon{background:#052e3d;}a.topic-featured-link{display:inline-block;text-transform:lowercase;color:#919191;font-size:0.875rem;}a.topic-featured-link .d-icon{margin-left:3px;}.topic-area .pending-posts{max-width:calc( 690px + 45px + 22px);}.topic-area .pending-posts .reviewable-item .post-body{max-height:unset;}#request-access{width:325px;margin:0 auto;}#request-access input[type="text"]{width:320px;height:30px;font-size:1.5157em;}#request-access input[type="submit"]{font-size:1.5157em;padding:10px;}.hljs{display:block;padding:0.5em;color:#f8f8f8;}.hljs-comment,.hljs-doctag{color:#bba;font-style:italic;}.hljs-keyword,.javascript .hljs-title,.nginx .hljs-title,.hljs-subst,.hljs-request,.hljs-status{color:#f8f8f8;font-weight:bold;}.hljs-number,.ruby .hljs-constant{color:#aff;}.hljs-string,.hljs-tag .hljs-string,.tex .hljs-formula{color:#f99;}.hljs-title,.hljs-name,.coffeescript .hljs-params,.scss .hljs-meta{color:#f99;font-weight:bold;}.javascript .hljs-title,.lisp .hljs-title,.clojure .hljs-title,.hljs-subst{font-weight:normal;}.hljs-class .hljs-title,.haskell .hljs-type,.vhdl .hljs-literal,.tex .hljs-command{color:#9ae;font-weight:bold;}.hljs-tag,.hljs-tag .hljs-title,.django .hljs-tag .hljs-keyword{color:#99f;font-weight:normal;}.hljs-attribute,.css .hljs-keyword,.hljs-variable,.lisp .hljs-body{color:#0ee;}.hljs-regexp{color:#1ca551;}.hljs-symbol,.ruby .hljs-symbol .hljs-string,.lisp .hljs-keyword,.tex .hljs-special,.hljs-prompt{color:#fbe;}.hljs-built_in,.lisp .hljs-title,.clojure .hljs-built_in,.hljs-builtin-name{color:#0b6283;}.meta{color:#909090;font-weight:bold;}.hljs-deletion{background:#591b0c;}.hljs-addition{background:#0b4220;}.diff .hljs-meta{color:#313131;}p>code,li>code,pre>code{color:#f8f8f8;background:#333;}#discourse-tooltip{background-color:#222;position:absolute;z-index:600;border:1px solid #909090;max-width:400px;margin-top:25px;overflow-wrap:break-word;display:none;font-size:1em;font-weight:500;}#discourse-tooltip.retina{border:0.5px solid #909090;}#discourse-tooltip .tooltip-pointer{position:relative;background:#222;}#discourse-tooltip .tooltip-pointer:before,#discourse-tooltip .tooltip-pointer:after{position:absolute;pointer-events:none;border:solid transparent;bottom:100%;content:"";height:0;width:0;}#discourse-tooltip .tooltip-pointer:after{border-bottom-color:#222;border-width:8px;right:50%;margin-right:-8px;margin-bottom:-0.5px;}#discourse-tooltip .tooltip-pointer:before{border-bottom-color:#909090;border-width:9px;right:50%;margin-right:-9px;margin-bottom:-0.5px;}#discourse-tooltip .tooltip-content{padding:1em;max-width:250px;font-size:.8706em;color:#ddd;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);line-height:1.4em;}.page-not-found{margin:0 0 40px 0;}.page-not-found h1.title{font-size:2em;line-height:1.2;}.page-not-found-search{margin-top:20px;}.page-not-found-topics{display:flex;}@media screen and (max-width:600px){.page-not-found-topics{flex-wrap:wrap;}}.popular-topics,.recent-topics{box-sizing:border-box;width:50%;max-width:400px;margin-bottom:40px;padding-left:20px;}@media screen and (max-width:600px){.popular-topics,.recent-topics{width:100%;}}.popular-topics h2,.recent-topics h2{margin-bottom:10px;}.not-found-topic{display:flex;flex-wrap:wrap;align-items:baseline;margin-bottom:15px;}@media screen and (max-width:600px){.not-found-topic:nth-of-type(n+6){display:none;}}.not-found-topic a:not(.badge-wrapper){flex-basis:100%;}.modal-outer-container{width:100%;height:100%;}.modal-middle-container{display:flex;height:100%;align-items:center;}.modal-inner-container{box-sizing:border-box;flex:0 1 auto;margin:0 auto;max-width:700px;background-color:#222;box-shadow:0 8px 60px rgba(0,0,0,0.6);}.modal-inner-container .select-kit{width:220px;}.modal-inner-container .select-kit.tag-chooser{width:100%;}.modal-open .dropdown-menu{z-index:1400;}.modal-open .popover{z-index:1500;}.modal-open .tooltip{z-index:1600;}.bootbox.modal{position:fixed;z-index:1300;overflow:auto;height:auto;background-color:#222;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-clip:padding-box;}.input-hint-text{margin-right:0.5em;color:#646464;}.modal-header{display:flex;padding:10px 15px;border-bottom:1px solid #313131;align-items:center;}.modal-header .title h3{margin-bottom:0;}.modal-header .title p{margin:0;}.modal-header .modal-close{align-self:flex-start;order:2;margin-right:auto;padding-right:2em;}.modal-header .modal-close .close{color:#a6a6a6;}.modal-backdrop{position:fixed;top:0;left:0;bottom:0;right:0;z-index:1200;background-color:#111;}.modal-backdrop.fade{opacity:0;}.modal-backdrop,.modal-backdrop.fade.in{animation:fade 0.3s;opacity:0.9;filter:alpha(opacity=90);}@keyframes fade{from{opacity:0;}to{opacity:0.9;}}@keyframes slidein{from{transform:translateY(-20%);}to{transform:translateY(0);}}.create-account.in .modal-inner-container,.login-modal.in .modal-inner-container{animation:slidein 0.3s;}.inline-modal .modal-inner-container{border:1px solid #919191;}.fixed-modal{position:fixed;top:0;width:100%;height:100%;z-index:1300;overflow:auto;}.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:80vh !important;}@media screen and (max-height:500px){.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:65vh !important;}}.modal-form{margin-bottom:0;}.modal-footer{padding:14px 15px 10px;border-top:1px solid #313131;}.modal-footer .btn{margin:0 0 5px 5px;}.modal.edit-category-modal .modal-body textarea{height:10em;}@media screen and (min-width:524px){.modal.edit-category-modal .modal-inner-container{min-width:525px;}}.modal .nav{padding:10px 15px 10px 30px;background-color:#222;border-bottom:1px solid #313131;}.modal .nav li>a{font-size:1em;}.modal.hidden{display:none;}.modal .modal-body{box-sizing:border-box;width:100%;overflow-y:auto;max-height:400px;}.modal .modal-body.full-height-modal{max-height:calc(100vh - 150px);}.modal .modal-body.insert-link{overflow-y:visible;}.modal .modal-body.insert-link input{min-width:300px;}.modal .modal-body.insert-link .inputs{position:relative;}.modal .modal-body.insert-link .inputs .spinner{position:absolute;left:8px;top:-15px;width:10px;height:10px;}.modal .modal-body.insert-link .inputs .internal-link-results{position:absolute;top:70%;padding:5px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:5;background-color:#222;max-height:150px;width:90%;overflow-y:auto;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link{padding:6px;border-bottom:1px solid #313131;cursor:pointer;display:block;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:hover,.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:focus{background-color:#4c3319;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .search-category{display:flex;align-items:center;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .discourse-tags{display:inline-block;font-size:.8706em;}.modal .modal-body textarea{width:99%;height:80px;}.modal .modal-body p{font-size:1em;}.modal .modal-body .archetype-option{margin-bottom:20px;}.modal .modal-body .warning{color:#e45735 !important;}.modal .password-confirmation{display:none;}.modal section.field{padding:0.25em 0;margin-bottom:5px;}.modal section.field.with-items{display:flex;align-items:flex-start;}.modal section.field .field-item{display:inline-block;margin-left:10px;}.modal .modal-body.forgot-password-modal p{font-size:1em;}.modal pre code{white-space:pre-wrap;max-width:700px;}.reply-where-modal .modal-footer a{display:block;}.reply-where-modal .modal-footer .d-modal-cancel{margin:1em 0 0.5em;}.reply-where-modal .modal-footer .btn{text-align:right;font-size:1.3195em;line-height:1.2;margin-bottom:10px;font-weight:bold;}.reply-where-modal .modal-footer .btn .topic-title{font-weight:normal;}.d-modal-cancel{margin-right:1em;color:#909090;}.d-modal-cancel:hover{color:#e45735;}.delete-user-modal .modal-footer .btn{line-height:1.2;}.delete-posts-progress .progress-bar{height:15px;position:relative;background:#7a7a7a;border-radius:25px;overflow:hidden;margin:30px 0 20px;}.delete-posts-progress .progress-bar span{display:block;width:0%;height:100%;background-color:#0f82af;position:relative;transition:width 0.6s linear;}.permission-list{list-style:none;margin:0 0 30px;padding:0;}.permission-list .name{margin-left:20px;display:inline-block;min-width:100px;}.permission-list .permission{margin-right:20px;}.permission-list .d-icon-times-circle{margin-right:5px;color:#e45735;}.permission-list li{margin-bottom:10px;}.edit-category-modal input:not([type="checkbox"]),.edit-category-modal .controls{display:block;margin-bottom:0.5em;}.edit-category-modal .disable_info_wrap{position:relative;display:inline-block;float:left;}.edit-category-modal .disable_info_wrap .cannot_delete_reason{position:absolute;background:#ddd;color:#222;text-align:center;border-radius:2px;padding:12px 8px;}.edit-category-modal .disable_info_wrap .cannot_delete_reason::after{top:100%;right:57%;border:solid transparent;content:" ";position:absolute;border-top-color:#ddd;border-width:8px;}.edit-category-modal .permission-selector{margin-left:0.25em;}.edit-category-modal .pending-permission-change-alert{margin-right:auto;max-width:250px;background:#c7c7c7;color:#222;margin-top:10px;padding:5px 10px;position:relative;}.edit-category-modal .pending-permission-change-alert .arrow-div{border:solid transparent;content:" ";position:absolute;border-bottom-color:#c7c7c7;border-width:7px;top:-13px;right:200px;}.edit-category-modal .add-permission{position:relative;top:0.1em;}.edit-category-modal .edit-category-tab-settings>section{margin-bottom:1.5em;}.edit-category-modal .edit-category-tab-settings input[type="number"],.edit-category-modal .edit-category-tab-settings input[type="text"],.edit-category-modal .edit-category-tab-settings .select-kit{width:280px;}.edit-category-modal .edit-category-tab-settings label{max-width:280px;}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label{flex-wrap:wrap;}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label a{margin-right:1.3em;}.edit-category-modal #category-min-tags-from-group{width:100px;}.incoming-email-modal .btn{transition:none;background-color:transparent;margin-left:5px;}.incoming-email-modal .btn:hover,.incoming-email-modal .btn.active{color:#ddd;}.incoming-email-modal .btn.active{font-weight:bold;}.incoming-email-modal .btn:focus{outline:2px solid #313131;}.incoming-email-modal .incoming-email-tabs{margin-bottom:15px;}.incoming-email-modal .incoming-email-content{height:300px;max-width:700px;width:90vw;}.incoming-email-modal .incoming-email-content textarea,.incoming-email-modal .incoming-email-content .incoming-email-html-part{height:95%;border:none;border-top:1px solid #313131;padding-top:10px;}.incoming-email-modal .incoming-email-content textarea{font-family:monospace;resize:none;border-radius:0;box-shadow:none;}.incoming-email-modal .incoming-email-content .incoming-email-html-part{padding:10px 4px 4px 4px;}.modal .modal-body.change-timestamp #date-container .pika-single{width:100%;box-sizing:border-box;display:flex;justify-content:center;}.modal .modal-body.change-timestamp form{display:flex;}.modal .modal-body.change-timestamp form .date-picker-wrapper,.modal .modal-body.change-timestamp form input[type="time"]{width:50%;}.modal .modal-body.change-timestamp form .date-picker-wrapper{display:flex;flex:1;}.modal .modal-body.change-timestamp form .date-picker-wrapper .date-picker{flex:1;}.modal .modal-body.change-timestamp form input.date-picker,.modal .modal-body.change-timestamp form input[type="time"]{text-align:right;margin:0;}.change-timestamp{max-width:420px;}.change-timestamp #date-container .pika-single,.poll-ui-builder #date-container .pika-single{position:relative !important;display:inline-block;margin-top:0.5em;}.change-timestamp .date-picker-wrapper,.poll-ui-builder .date-picker-wrapper{min-width:130px;margin-left:0.5em;}.change-timestamp input[type="time"],.poll-ui-builder input[type="time"]{width:130px;}.change-timestamp form,.poll-ui-builder form{margin:0;}.flag-modal{max-height:450px;}.flag-modal .flag-action-type-details{width:100%;max-width:500px;line-height:1.4;}.flag-message{margin:0;}.custom-message-length{color:#909090;font-size:.8706em;}.jump-to-post-modal .modal-inner-container{max-width:350px;}.jump-to-post-modal .modal-body{overflow-y:visible;}.jump-to-post-modal .modal-body #post-jump,.jump-to-post-modal .modal-body .date-picker{margin:0;width:100px;}.jump-to-post-modal .modal-body .input-hint-text{color:#ddd;}.jump-to-post-modal .modal-body .jump-to-post-control .index{color:#909090;}.jump-to-post-modal .modal-body .jump-to-date-control .input-hint-text{margin-right:0;}.jump-to-post-modal .modal-body .separator{display:flex;align-items:center;margin:0.5em auto;}.jump-to-post-modal .modal-body .separator hr{flex:1 0 0px;}.jump-to-post-modal .modal-body .separator .text{margin:0 0 0 0.5em;color:#909090;}.move-to-modal .existing-topic .radio{flex-wrap:wrap;}.move-to-modal .existing-topic .topic-title{max-width:90%;}.move-to-modal .existing-topic .topic-categories{width:100%;}.modal:not(.has-tabs) .modal-tab{position:absolute;width:95%;}.modal.has-tabs .modal-tabs{display:inline-flex;flex-wrap:wrap;width:calc(100% - 20px);flex:1 0 auto;margin:0;}.modal.has-tabs .modal-tabs .modal-tab{list-style:none;padding:4px 8px;margin-left:4px;cursor:pointer;}.modal.has-tabs .modal-tabs .modal-tab.is-active{color:#222;background:#e45735;}.modal.has-tabs .modal-tabs .modal-tab.is-active.single-tab{background:none;color:#ddd;padding:4px 0;}.groups-header{display:flex;flex-wrap:wrap;margin-bottom:1em;}.groups-header .groups-header-new{order:2;margin-bottom:0.5em;}.groups-header-filters{display:flex;flex-wrap:wrap;}.groups-header-filters .groups-header-filters-name,.groups-header-filters .groups-header-filters-type{margin-left:5px;margin-bottom:0.5em;}.groups-header-filters:last-child{margin-left:auto;}.groups-boxes{margin:1em 0;width:100%;display:flex;flex-wrap:wrap;justify-content:space-between;}@supports (display:grid){.groups-boxes{display:grid;grid-template-columns:repeat(4,24%);grid-column-gap:1.333%;grid-row-gap:1em;}@media screen and (max-width:768px){.groups-boxes{grid-template-columns:repeat(3,32%);grid-column-gap:2%;}}@media screen and (max-width:450px){.groups-boxes{grid-template-columns:100%;}}}.groups-boxes .group-box{flex:1 1 24%;margin:1%;display:flex;box-sizing:border-box;cursor:pointer;border:1px solid #313131;color:#ddd;}@media screen and (max-width:450px){.groups-boxes .group-box{margin:0;}}.discourse-no-touch .groups-boxes .group-box{transition:all 0.25s;}.discourse-no-touch .groups-boxes .group-box:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15);}.groups-boxes .group-box .group-membership{color:#909090;margin-top:auto;padding-top:1em;}.groups-boxes .group-box .group-membership .is-group-owner,.groups-boxes .group-box .group-membership .is-group-member{color:#1ca551;}.groups-boxes .group-box .group-box-inner{padding:1em;width:100%;display:flex;flex-direction:column;box-sizing:border-box;}.groups-boxes .group-box .group-box-inner .group-info-wrapper{display:flex;overflow:hidden;flex:0 1 auto;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-avatar-flair{margin-top:0.2em;margin-left:8px;flex:0 0 auto;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info{flex:1 0 auto;margin-bottom:1em;width:70%;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info span{width:100%;word-break:break-word;line-height:1.2;}.groups-boxes .group-box .group-box-inner .group-user-count{display:flex;align-items:center;color:#a6a6a6;}.groups-boxes .group-box .group-box-inner .group-user-count .d-icon{margin-left:0.25em;font-size:0.8em;color:#909090;}.groups-boxes .group-box .group-box-inner .group-description{color:#a6a6a6;word-wrap:break-word;}.groups-boxes .group-box .groups-info-name{font-size:1.1487em;font-weight:bold;color:#ddd;}.groups-boxes .group-box .group-avatar-flair{display:inline-block;color:#ddd;}.groups-boxes .group-box .group-avatar-flair .avatar-flair{background-size:40px;height:40px;width:40px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;}.groups-boxes .group-box .group-avatar-flair .avatar-flair .d-icon{height:22.22222px;width:22.22222px;}.groups-boxes .group-box .avatar-flair-image{width:40px;}.caps-lock-warning{color:#e45735;font-size:.8706em;font-weight:bold;}.discourse-no-touch #login-form{margin:0;}.discourse-touch .caps-lock-warning{display:none;}#login-form table{width:100%;}#login-form a{color:#a6a6a6;}#login-form td{padding-left:5px;}#login-form #credentials tr:first-of-type{margin-bottom:0.75em;}#new-account-link{cursor:pointer;}.login-modal tr,.create-account tr{border:none;}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:10px 0 0 0;}.login-modal td label,.login-modal td input,.create-account td label,.create-account td input{margin-bottom:0;width:100%;}.login-modal .modal-footer .inline-spinner,.create-account .modal-footer .inline-spinner{display:inline-flex;}.login-modal.awaiting-approval,.create-account.awaiting-approval{display:none;}.create-account .disclaimer{color:#909090;margin-top:0.5em;}.create-account .user-field>label{margin-top:0.75em;margin-bottom:0;padding-top:5px;}.create-account .user-field:first-of-type>label{margin-top:0;}.create-account .user-field input[type="text"]{margin-bottom:0;width:100%;}.create-account .user-field .select-kit{width:100%;}.create-account .user-field .controls{padding-top:5px;}.create-account .user-field .controls label{width:auto;text-align:right;font-weight:normal;}.create-account .user-field .controls .instructions{margin-top:0.15em;color:#909090;line-height:1.2;}.password-reset .instructions label{color:#909090;}.invites-show .two-col{position:relative;display:flex;}.invites-show .col-image{position:relative;margin-left:20px;}@media screen and (max-width:600px){.invites-show .col-image{display:none;}}.invites-show form{margin-top:24px;}.invites-show form button.btn-primary{margin-top:10px;}.invites-show form label:not(.checkbox-label){font-weight:bold;}.invites-show form .controls,.invites-show form .input{margin-bottom:10px;}.invites-show form .instructions{color:#909090;margin:0;font-size:.8706em;font-weight:normal;line-height:1.2;}.auth-message{padding:0 15px 15px 15px;}.auth-message:empty{padding:0;}.modal tr.instructions{display:flex;flex-direction:column;margin-top:0.15em;}.modal tr.instructions label{color:#909090;}button#login-link,button#new-account-link{background:transparent;color:#a6a6a6;}#security-key{display:flex;flex-wrap:wrap;align-items:center;}#security-key button{margin-left:1.5em;}#security-key p{margin:0;font-size:1em;}#security-key a{display:inline-block;padding:1em 0 1em 0.5em;color:#0f82af;}.menu-panel.slide-in{position:fixed;left:0;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25);}.menu-panel.slide-in.animate{transition:right 0.2s ease-out,left 0.2s ease-out;}.menu-panel.slide-in .panel-body{position:absolute;top:3px;bottom:37px;width:97%;}.header-cloak{display:none;}.menu-panel.drop-down{position:absolute;top:100%;left:-10px;}.menu-panel{border:1px solid #313131;box-shadow:0 12px 12px rgba(0,0,0,0.15);background-color:#222;z-index:1000;padding:0.5em;width:300px;}.menu-panel hr{margin:3px 0;}.menu-panel .panel-header{position:absolute;left:20px;}.menu-panel ul{list-style:none;margin:0;padding:0;}.menu-panel .panel-body{touch-action:pan-y pinch-zoom;overflow-y:auto;overflow-x:hidden;max-height:100vh;}.menu-panel .badge-notification{vertical-align:text-bottom;}.menu-links.columned li{width:50%;float:right;}.menu-panel li a.widget-link,.menu-panel li.heading a.widget-link{padding:0.25em 0.5em;display:block;}.menu-panel li a.widget-link:hover,.menu-panel li a.widget-link:focus,.menu-panel li.heading a.widget-link:hover,.menu-panel li.heading a.widget-link:focus{background-color:#4c3319;outline:none;}.menu-panel li .new,.menu-panel li.heading .new{font-size:.8706em;margin-right:0.5em;color:#919191;}.menu-panel .categories-link{display:block;padding:0.25em 0.5em;}.menu-panel li.category-link{float:right;background-color:transparent;display:inline-flex;align-items:center;padding:0.25em 0.5em;width:50%;box-sizing:border-box;}.menu-panel li.category-link a{display:inline-flex;}.menu-panel li.category-link a:hover,.menu-panel li.category-link a:focus{background:transparent;}.menu-panel li.category-link .badge-notification{color:#919191;background-color:transparent;display:inline;padding:0;font-size:.8706em;line-height:1.4;}.menu-panel li.category-link .badge-wrapper.bar,.menu-panel li.category-link .badge-wrapper.bullet{color:#ddd;padding:0 0.15em 0 0;}.menu-panel li.category-link .badge-wrapper.box{color:#222;}.menu-panel li.category-link .badge-wrapper.box+a.badge.badge-notification{padding-top:2px;}.menu-panel li.category-link .badge-wrapper.box span{z-index:-1;}.menu-panel b.topics-count{color:#919191;font-weight:normal;font-size:.8706em;}.menu-panel span.badge-category{max-width:100px;}.menu-panel div.discourse-tags{font-size:.8706em;}.user-menu .quick-access-panel{width:100%;display:table;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.user-menu .quick-access-panel h3{padding:0 0.4em;font-weight:bold;margin:0.5em 0;}.user-menu .quick-access-panel .d-icon,.user-menu .quick-access-panel:hover .d-icon{color:#909090;}.user-menu .quick-access-panel .icon{color:#a6a6a6;}.user-menu .quick-access-panel li{background-color:#052e3d;}.user-menu .quick-access-panel li div .fa{display:none;}.user-menu .quick-access-panel li span:first-child{color:#ddd;}.user-menu .quick-access-panel li:hover,.user-menu .quick-access-panel li:focus{background-color:#4c3319;outline:none;}.user-menu .quick-access-panel li a{padding:0;}.user-menu .quick-access-panel li a>div{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;}.user-menu .quick-access-panel li p{margin:0;overflow:hidden;}.user-menu .quick-access-panel li:not(.show-all){padding:0.25em 0.5em;}.user-menu .quick-access-panel li:not(.show-all) .d-icon{float:right;margin-left:5px;padding-top:0.2em;}.user-menu .quick-access-panel .is-warning .d-icon-far-envelope{color:#e45735;}.user-menu .quick-access-panel .read{background-color:#222;}.user-menu .quick-access-panel .none{padding-top:5px;}.user-menu .quick-access-panel .spinner-container{min-height:2em;}.user-menu .quick-access-panel .spinner{width:20px;height:20px;border-width:2px;margin:0 auto;}.user-menu .quick-access-panel .show-all a{width:100%;display:flex;justify-content:center;align-items:center;min-height:30px;color:#646464;background:#3c3c3c;}.user-menu .quick-access-panel .show-all a:hover{color:#ddd;background:#2c2c2c;}.user-menu .dismiss-link{display:inline-block;float:left;}div.menu-links-header{width:100%;display:table;border-collapse:separate;border-spacing:0 0.5em;}div.menu-links-header .menu-links-row{border-bottom:1px solid #919191;display:flex;padding:0 4px;}div.menu-links-header .menu-links-row li{display:inline-flex;align-items:center;flex-wrap:wrap;}div.menu-links-header .menu-links-row li.user{margin-left:auto;}div.menu-links-header .menu-links-row li.glyphs{flex-wrap:wrap;text-align:left;max-width:65%;}div.menu-links-header .menu-links-row li.glyphs a{padding-right:0.6em;padding-left:0.6em;}div.menu-links-header .menu-links-row li a{border:1px solid transparent;border-bottom:0;}div.menu-links-header .menu-links-row li a.active{border:1px solid #919191;border-bottom:0;position:relative;}div.menu-links-header .menu-links-row li a.active:after{display:block;position:absolute;top:100%;right:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #222;}div.menu-links-header .menu-links-row li a.active:focus,div.menu-links-header .menu-links-row li a.active:hover{background-color:inherit;}div.menu-links-header a:hover,div.menu-links-header a:focus{background-color:#4c3319;outline:none;}div.menu-links-header a{padding:0.3em 0.5em;}div.menu-links-header a.user-activity-link{align-items:center;display:flex;margin:-0.5em 0;max-width:130px;overflow:visible;}div.menu-links-header a.user-activity-link span.d-label{display:block;max-width:130px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}@media screen and (max-width:350px){div.menu-links-header a.user-activity-link{max-width:125px;}}div.menu-links-header li{display:table-cell;width:auto;text-align:center;}div.menu-links-header li:first-child{text-align:right;}div.menu-links-header li:last-child{text-align:left;}div.menu-links-header .fa,div.menu-links-header a{color:#919191;}div.menu-links-header .d-icon-user{margin-left:0.475em;}.request-group-membership-form label{font-weight:bold;}.group-add-membership-request-template{width:98%;}.d-editor-container{display:flex;flex-grow:1;max-width:100%;}.d-editor{display:flex;flex-grow:1;min-height:0;}.d-editor-textarea-wrapper,.d-editor-preview-wrapper{flex:1;}.d-editor-textarea-wrapper{display:flex;flex-direction:column;background-color:#222;position:relative;border:1px solid #909090;}.d-editor-textarea-wrapper textarea{background:transparent;}.d-editor-textarea-wrapper.disabled{cursor:not-allowed;}.d-editor-textarea-wrapper.disabled .d-editor-button-bar{visibility:hidden;}.d-editor-preview-wrapper{max-width:49%;margin-right:1%;display:flex;flex-direction:column;}.d-editor-button-bar{display:flex;align-items:center;min-height:30px;border-bottom:1px solid #313131;}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{background-color:transparent;display:inline-block;}.d-editor-button-bar .btn .d-icon,.d-editor-button-bar .btn-default .d-icon{color:#909090;}.d-editor-button-bar .btn svg,.d-editor-button-bar .btn-default svg{-webkit-transform:translate3d(0,0,0);}.d-editor-button-bar .d-editor-spacer{height:1em;display:inline-block;border-right:1px solid #7a7a7a;}.d-editor-button-bar .btn:not(.no-text){font-size:1.1487em;}.d-editor-button-bar .btn.bold{font-weight:bolder;}.d-editor-button-bar .btn.italic{font-style:italic;}.d-editor-preview-wrapper{overflow:auto;cursor:default;-webkit-overflow-scrolling:touch;}.d-editor-input,.d-editor-preview{box-sizing:border-box;flex:1 1 100%;width:100%;margin:0;min-height:auto;word-wrap:break-word;-webkit-appearance:none;border-radius:0;}.d-editor-input:focus,.d-editor-preview:focus{box-shadow:none;border:0;outline:0;}.d-editor-input{border:0;padding:10px;height:100%;overflow-x:hidden;resize:none;}.d-editor-preview{height:auto;}.d-editor-plugin{display:flex;flex:1 1;overflow:auto;}.composing-whisper .d-editor-preview{font-style:italic;color:#909090 !important;}.d-editor-preview>*:first-child{margin-top:0;}.hide-preview .d-editor-preview-wrapper{display:none;flex:0;}.user-preferences .bio-composer textarea,.group-form-bio textarea,.edit-category-tab-topic-template textarea{width:100%;height:100%;min-height:10em;}.user-preferences .bio-composer .d-editor-container,.group-form-bio .d-editor-container,.edit-category-tab-topic-template .d-editor-container{display:block;}.user-preferences .bio-composer .d-editor-textarea-wrapper,.group-form-bio .d-editor-textarea-wrapper,.edit-category-tab-topic-template .d-editor-textarea-wrapper{border:1px solid #313131;}.user-preferences .bio-composer .d-editor-preview-wrapper,.group-form-bio .d-editor-preview-wrapper,.edit-category-tab-topic-template .d-editor-preview-wrapper{max-width:100%;margin:10px 0 0 0;}.user-preferences .bio-composer .d-editor-preview,.group-form-bio .d-editor-preview,.edit-category-tab-topic-template .d-editor-preview{background-color:#282828;padding:5px;}.user-preferences .bio-composer .d-editor-preview:empty,.group-form-bio .d-editor-preview:empty,.edit-category-tab-topic-template .d-editor-preview:empty{padding:0;}.user-preferences .bio-composer,.group-form-bio{padding:10px;border:1px solid #313131;}.d-editor-preview img{padding-bottom:1.4em;}.d-editor-preview img.emoji,.d-editor-preview img.avatar,.d-editor-preview img.site-icon{padding-bottom:0;}.d-editor-preview .image-wrapper{position:relative;display:inline-block;padding-bottom:1.4em;}.d-editor-preview .image-wrapper img{padding-bottom:0;}.d-editor-preview .image-wrapper:hover .button-wrapper{opacity:0.9;}.d-editor-preview .image-wrapper .button-wrapper{opacity:0;position:absolute;transition:all 0.25s;display:flex;align-items:center;bottom:0;right:0;}.d-editor-preview .image-wrapper .button-wrapper .separator{color:#7a7a7a;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn{color:#0f82af;padding:0 0.4em;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:first-of-type{padding-right:0;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn.active{font-weight:bold;color:#ddd;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:not(.active):hover{text-decoration:underline;cursor:pointer;}.mobile-view .d-editor-preview .image-wrapper .button-wrapper{opacity:1;}.d-editor-button-bar{margin:0.25em;}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{padding:0 0.5em;}.d-editor-button-bar .d-editor-spacer{margin:0 0.25em;}@media screen and (max-width:450px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.4em;}}@media screen and (max-width:350px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.3em;}.text-size-smaller .d-editor-button-bar .d-editor-spacer{margin:0 0.25em;}}@media screen and (max-width:450px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.35em;}}@media screen and (max-width:350px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.25em;}}@media screen and (max-width:450px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.3em;}}@media screen and (max-width:350px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.2em;}}.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{font-size:.8706em;}@media screen and (max-width:450px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.3em;}}@media screen and (max-width:350px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.2em;}}.timeline-loading{width:900px;}.timeline-container{box-sizing:border-box;z-index:100;margin-right:757px;position:fixed;-webkit-transform:translate3d(0,0,0);}@media screen and (min-width:1140px){.timeline-container{margin-right:820px;}}@media all and (min-width:1250px){.timeline-container{margin-right:900px;}}.timeline-container.timeline-docked{position:absolute;}.timeline-container.timeline-docked-bottom .timeline-footer-controls{opacity:0;pointer-events:none;cursor:default;}.timeline-container.timeline-fullscreen.show{max-height:700px;transition:max-height 0.4s ease-out;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen.show{max-height:75vh;}}.timeline-container.timeline-fullscreen.show .topic-timeline .timeline-footer-controls{display:inherit;}.timeline-container.timeline-fullscreen.show .timeline-controls{display:table-cell;vertical-align:top;}.timeline-container.timeline-fullscreen{max-height:0;transition:max-height 0.3s ease-in;position:fixed;margin-right:0;background-color:#222;bottom:0;right:0;left:0;border-top:1px solid #bdbdbd;box-shadow:0 -1px 40px rgba(0,0,0,0.12);padding-top:20px;z-index:1150;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen{padding-top:10px;}}.timeline-container.timeline-fullscreen .back-button{display:none;}.timeline-container.timeline-fullscreen .topic-timeline{width:100%;table-layout:fixed;margin-right:0;margin-left:0;display:table;touch-action:none;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-date-wrapper{float:left;text-align:left;}.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{max-width:650px;max-height:165px;line-height:1.4;overflow:hidden;word-wrap:break-word;text-overflow:ellipsis;display:block;display:-webkit-box;-webkit-line-clamp:8;-webkit-box-orient:vertical;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{-webkit-line-clamp:5;}}.timeline-container.timeline-fullscreen .topic-timeline .username{color:#bdbdbd;word-wrap:break-word;font-weight:bold;}.timeline-container.timeline-fullscreen .topic-timeline .title{margin-top:0;padding-right:1em;display:table-cell;vertical-align:top;width:100%;}.timeline-container.timeline-fullscreen .topic-timeline .title h2{margin-top:0;display:block;display:-webkit-box;-webkit-line-clamp:4;-webkit-box-orient:vertical;max-height:110px;line-height:1.2;word-wrap:break-word;text-overflow:ellipsis;overflow:hidden;font-size:1.3195em;}.timeline-container.timeline-fullscreen .topic-timeline .title a{color:#ddd;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read{left:0;margin-right:0;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read .progress{display:none;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls{display:none;position:absolute;bottom:10px;right:10px;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls button,.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls .btn-group{float:none;display:inline-block;margin-bottom:0;margin-left:15px;position:static;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea-wrapper{display:table-cell;padding-bottom:20px;padding-left:1.5em;width:100px;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea{border-right:0;border-right-style:solid;border-left-width:1px;max-width:120px;float:left;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller{position:relative;margin-left:-1.5em;padding-left:1.5em;justify-content:flex-end;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-scroller-content{text-align:left;padding-right:0;padding-left:1em;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-handle{float:none;width:11px;position:relative;left:-6px;}.timeline-container.timeline-fullscreen .timeline-scrollarea-wrapper::after{content:"";display:table;clear:both;}.timeline-container .topic-timeline{margin-right:3em;transition:opacity 0.2s ease-in;touch-action:none;}.timeline-container .topic-timeline .timeline-controls{margin-bottom:1em;}.timeline-container .topic-timeline .timeline-controls button{margin-left:0.5em;}.timeline-container .topic-timeline .timeline-footer-controls{margin-top:1.5em;transition:opacity 0.2s ease-in;display:flex;}.timeline-container .topic-timeline .timeline-footer-controls button{margin-left:0.5em;}.timeline-container .topic-timeline .timeline-footer-controls button:last-child{margin-left:0;}.timeline-container .topic-timeline .start-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;color:#919191;}.timeline-container .topic-timeline .timeline-scrollarea{margin-top:0.5em;margin-right:0.5em;border-right:1px solid;border-color:#0b6283;position:relative;-webkit-transform:translate3d(0,0,0);}.timeline-container .topic-timeline .timeline-padding{transition:height 0.15s ease-out;cursor:pointer;}.widget-dragging .timeline-container .topic-timeline .timeline-padding{transition:none;}.timeline-container .topic-timeline .timeline-handle{border-radius:0.8em;width:0.35em;background-color:#0b6283;height:100%;float:right;z-index:2;}.timeline-container .topic-timeline .timeline-scroller-content{padding-right:1em;}.timeline-container .topic-timeline .timeline-ago{color:#919191;}.timeline-container .topic-timeline .timeline-scroller{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;margin-right:-0.19em;cursor:ns-resize;display:flex;align-items:center;}.timeline-container .topic-timeline .timeline-scroller .back-button{margin-top:1em;}.timeline-container .topic-timeline .timeline-replies{font-weight:bold;}.timeline-container .topic-timeline .timeline-last-read{position:absolute;margin-right:-0.35em;z-index:3;}.timeline-container .topic-timeline .timeline-last-read .progress{font-size:0.8em;color:#0f82af;margin-left:1em;}.timeline-container .topic-timeline .back-button{min-height:unset;padding:2px 5px;}.timeline-container .topic-timeline .now-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;display:inline-block;color:#919191;margin-top:0.5em;}.alert{margin-bottom:15px;}#banner{margin-bottom:10px;max-width:1090px;max-height:250px;}#reply-control .reply-area{margin:0 auto;padding:5px 15px;box-sizing:border-box;height:calc(100% - 11px);width:100%;}#reply-control .reply-area .submit-panel{flex-wrap:wrap;align-items:center;}#reply-control #private-message-users{width:404px;}#reply-control .item+#private-message-users{width:150px;}#reply-control .select-kit.is-expanded{z-index:701;}.category-input{margin-right:10px;}.edit-title .d-editor-preview-wrapper{margin-top:-43px;}@media screen and (max-width:955px){.edit-title:not(.private-message) .d-editor-preview-wrapper{margin-top:-77px;}}.edit-title .with-tags .d-editor-preview-wrapper{margin-top:-77px;}@media screen and (max-width:900px){.edit-title .with-tags .d-editor-preview-wrapper{margin-top:-105px;}}.closed .grippie{display:none;}.open .grippie{cursor:row-resize;padding:4px 0;background:#0f82af;}.open .grippie:before{content:"";display:block;width:27px;margin:auto;border-top:3px double #222;}.discourse-touch .open .grippie{padding:7px 0;}.composer-popup-container{max-width:1500px;margin-right:auto;margin-left:auto;}.composer-popup{position:absolute;width:calc(50% - 45px);max-width:724px;top:20px;bottom:10px;right:51%;overflow-y:auto;z-index:500;padding:10px 10px 35px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);background:#4c3319;}.hide-preview .composer-popup{z-index:701;}.composer-popup.urgent{background:#591b0c;}.composer-popup.education-message{background-color:#052e3d;}.composer-popup h3{margin-bottom:10px;}.composer-popup p{margin-bottom:10px;}.composer-popup a.close{display:flex;align-items:center;position:absolute;left:10px;top:10px;color:#ddd;opacity:0.5;font-size:1.1487em;}.composer-popup a.close:before{content:"esc";font-size:.8706em;margin-left:0.5em;}.composer-popup a.close:hover{opacity:1;}.composer-popup ul{list-style:none;margin:0;padding:0;}.composer-popup ul li{font-weight:normal;margin-top:8px;}.composer-controls .d-chevron-down{vertical-align:text-top;}.custom-body{background-color:#052e3d;}.custom-body p{max-width:98%;}.similar-topics{background-color:#052e3d;}.similar-topics a[href]{color:#ddd;}.similar-topics .posts-count{background-color:#0f82af;}.similar-topics .search-link .topic-title{flex:0 1 auto;margin-left:0.5em;}.similar-topics .search-link .topic-statuses:empty{display:none;}.similar-topics .search-link span.badge-wrapper{margin-right:0;}.similar-topics .search-link .blurb{color:#a6a6a6;}.similar-topics .search-link .topic-title .d-icon,.similar-topics .search-link .blurb .d-icon{color:#a6a6a6;}.similar-topics .search-link span.topic{display:flex;flex-direction:column;}.similar-topics .search-link span.topic .first-line{flex:1;}.similar-topics .search-link span.topic .second-line{display:flex;flex-wrap:wrap;align-items:center;}.similar-topics .search-link span.topic .second-line .discourse-tags{flex-wrap:wrap;display:contents;font-size:.8706em;}.composer-popup:nth-of-type(2){margin-right:10px;width:calc(50% - 65px);}a.toggle-preview{color:#a6a6a6;}a.toggle-preview:hover{color:#0f82af;}#draft-status,#file-uploading{flex-grow:1;text-align:left;}.fullscreen-composer{overflow:hidden;}.fullscreen-composer .profiler-results{display:none;}.fullscreen-composer #reply-control.fullscreen{height:100vh !important;z-index:1001;}@supports (--custom:property){.fullscreen-composer #reply-control.fullscreen{height:calc(var(--composer-vh,1vh) * 100) !important;}}.fullscreen-composer #reply-control.fullscreen .d-editor-preview-wrapper{margin-top:1%;}.fullscreen-composer #reply-control.fullscreen .reply-to{border-bottom:1px solid #313131;padding-bottom:3px;margin:0;}.fullscreen-composer #reply-control.fullscreen .reply-to .composer-controls{margin-left:0;}.fullscreen-composer #reply-control.fullscreen .d-editor-textarea-wrapper{border:none;}.fullscreen-composer #reply-control.fullscreen.show-preview .d-editor-textarea-wrapper{border-left:1px solid #313131;}.fullscreen-composer #reply-control.fullscreen #draft-status,.fullscreen-composer #reply-control.fullscreen #file-uploading{margin-right:0;text-align:initial;}.fullscreen-composer #reply-control.fullscreen .composer-popup{top:30px;}.fullscreen-composer #reply-control.fullscreen:before{content:"";background:#222;width:100%;height:100%;position:fixed;z-index:-1;right:0;}body.widget-dragging{cursor:ns-resize;}.boxed{height:100%;}.form-vertical .control-group{margin-bottom:1.25em;}.form-vertical .controls:not(.controls-dropdown)+.controls{margin-top:0.5em;}code,pre{font-family:Consolas,Menlo,Monaco,"Lucida Console","Liberation Mono","DejaVu Sans Mono","Bitstream Vera Sans Mono","Courier New",monospace;}h1+p,h2+p,h3+p,h4+p,h5+p,h6+p{margin-top:0;}form{margin:0 0 18px;}label,input,button,select,textarea{font-size:1em;font-weight:normal;line-height:1.2;}select,textarea{display:inline-block;padding:4px;margin-bottom:9px;font-size:1em;line-height:1.4;color:#ddd;}input,textarea{width:210px;}select,input[type="file"]{line-height:1.4;}select{width:220px;background:#222;}select[multiple],select[size]{height:auto;}input,textarea{margin-right:0;}input[type="radio"][disabled],input[type="radio"][readonly],input[type="checkbox"][disabled],input[type="checkbox"][readonly]{background-color:transparent;}.input-xxlarge,.input-xxlarge+.control-instructions{width:530px;}.controls-dropdown{margin-bottom:10px;}.control-instructions{color:#919191;font-size:0.875rem;}.control-group{margin-bottom:9px;}.control-group.warning>label,.control-group.error>label{color:#e45735;}.control-group.warning .checkbox,.control-group.warning .radio,.control-group.warning input,.control-group.warning select,.control-group.warning textarea,.control-group.error .checkbox,.control-group.error .radio,.control-group.error input,.control-group.error select,.control-group.error textarea{color:#e45735;border-color:#e45735;}.control-group.warning .checkbox:focus,.control-group.warning .radio:focus,.control-group.warning input:focus,.control-group.warning select:focus,.control-group.warning textarea:focus,.control-group.error .checkbox:focus,.control-group.error .radio:focus,.control-group.error input:focus,.control-group.error select:focus,.control-group.error textarea:focus{border-color:#ae3417;box-shadow:0 0 6px 0 #e45735;}.control-group.warning .input-prepend .add-on,.control-group.warning .input-append .add-on{color:#e45735;background-color:#e45735;border-color:#e45735;}.control-group.error .input-prepend .add-on,.control-group.error .input-append .add-on{color:#e45735;background-color:#a13116;border-color:#c63c1b;}.control-group.success>label{color:#1ca551;}.control-group.success .checkbox,.control-group.success .radio,.control-group.success input,.control-group.success select,.control-group.success textarea{color:#1ca551;border-color:#1ca551;}.control-group.success .checkbox:focus,.control-group.success .radio:focus,.control-group.success input:focus,.control-group.success select:focus,.control-group.success textarea:focus{border-color:#1ca551;box-shadow:0 0 6px 0 #0f82af;}.control-group.success .input-prepend .add-on,.control-group.success .input-append .add-on{color:#1ca551;background-color:#0b4220;border-color:#1ca551;}.form-horizontal .hide{display:none;}.form-horizontal input,.form-horizontal textarea,.form-horizontal select,.form-horizontal .input-prepend,.form-horizontal .input-append{display:inline-block;margin-bottom:0;}.form-horizontal .control-group{margin-bottom:18px;}.form-horizontal .control-group:before,.form-horizontal .control-group:after{content:"";display:table;}.form-horizontal .control-group:after{clear:both;}.form-horizontal .control-indent{margin-right:20px;margin-bottom:10px;}.form-horizontal .control-label{margin:6.5px;float:right;width:140px;text-align:left;font-weight:bold;}.form-horizontal .controls{margin-right:160px;}.bootbox.modal .modal-footer a.btn-primary{color:#222;}.row:before,.row:after{content:"";display:table;}.row:after{clear:both;}.offset2{margin-right:116px;}.offset1{margin-right:64px;}@media all and (max-width:570px){body{min-width:0;}.wrap,.full-width{min-width:0;}}.d-header{right:0;height:4em;margin-bottom:15px;}.d-header #site-logo{height:2.667em;}.d-header #site-text-logo{font-size:1.5157em;margin:0;}.d-header .extra-info:not(.two-rows){min-height:2.75em;}@media all and (max-width:570px){.extra-info-wrapper{display:none;}}#main{position:relative;}#main-outlet{padding-top:5.8572em;}.search-link .blurb{color:#919191;display:block;word-wrap:break-word;font-size:.7579em;line-height:1.4;}.search-link .blurb .search-highlight{color:#bdbdbd;}.login-modal #login-buttons:not(.hidden),.create-account #login-buttons:not(.hidden){display:flex;flex:0 1 auto;flex-direction:column;align-items:stretch;min-height:75px;padding:0 24px;order:2;}.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{display:flex;text-align:right;margin:0.35em;white-space:nowrap;}.login-modal #login-buttons:not(.hidden) button:lang(zh_CN),.create-account #login-buttons:not(.hidden) button:lang(zh_CN){min-width:200px;}.login-modal #login-buttons:not(.hidden) button:first-of-type:last-of-type.oauth2_basic,.create-account #login-buttons:not(.hidden) button:first-of-type:last-of-type.oauth2_basic{margin-right:auto;margin-left:auto;justify-content:center;}.login-modal form,.create-account form{min-width:300px;max-width:100%;}.login-modal #modal-alert,.create-account #modal-alert{max-width:100%;padding:8px 16px;}.login-modal .login-modal #login-buttons:not(.hidden) button:first-of-type,.create-account .login-modal #login-buttons:not(.hidden) button:first-of-type{margin-top:2.8em;}.login-modal .login-modal #login-buttons:not(.hidden) button:last-of-type,.create-account .login-modal #login-buttons:not(.hidden) button:last-of-type{margin-bottom:3em;}.login-modal .create-account #login-buttons:not(.hidden),.create-account .create-account #login-buttons:not(.hidden){justify-content:flex-start;padding-top:2.7em;}.login-modal .create-account #login-buttons:not(.hidden)+.login-form,.create-account .create-account #login-buttons:not(.hidden)+.login-form{border-left:1px solid #313131;}.login-modal #login-form,.create-account #login-form{box-sizing:border-box;flex:1 0 auto;padding:0 24px;}.login-modal #login-form+#login-buttons,.create-account #login-form+#login-buttons{border-right:1px solid #313131;}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{display:flex;padding:5px 0 0 0;}.login-modal .tip,.login-modal td label,.create-account .tip,.create-account td label{display:block;overflow:hidden;word-wrap:break-word;margin-bottom:0;max-width:280px;}@media screen and (min-width:500px){.login-modal .tip,.login-modal td label,.create-account .tip,.create-account td label{max-width:400px;}}.has-alt-auth .tip,.has-alt-auth td label{max-width:250px;}.d-modal.login-modal .modal-body,.d-modal.login-modal #credentials{display:flex;align-items:center;padding:15px 0;}.d-modal.login-modal .modal-body tr,.d-modal.login-modal #credentials tr{display:flex;flex-direction:column;}.d-modal.login-modal .modal-body.hidden,.d-modal.login-modal #credentials.hidden{display:none;}.d-modal.create-account .modal-body{display:flex;padding:15px 0;}.d-modal.create-account .create-account-form tr{display:flex;flex-direction:column;}.d-modal.create-account .login-form{position:relative;display:flex;overflow:hidden;flex:1 1 auto;}.d-modal.create-account .login-form:after,.d-modal.create-account .login-form:before{content:"";display:block;position:absolute;width:100%;pointer-events:none;}.d-modal.create-account .login-form:after{bottom:0;height:35px;background-image:linear-gradient(to bottom,rgba(34,34,34,0) 0%,rgba(34,34,34,0.9) 100%);}@media screen and (max-height:650px){.d-modal.create-account .login-form:after{height:45px;}}.d-modal.create-account .login-form:before{top:0;height:25px;background-image:linear-gradient(to top,rgba(34,34,34,0) 0%,#222 100%);}.d-modal.create-account .login-form form{box-sizing:border-box;padding:16px 24px;margin-bottom:0;max-height:475px;overflow-x:hidden;overflow-y:auto;}@media screen and (max-height:650px){.d-modal.create-account .login-form form{max-height:calc(65vh - 100px);}.d-modal.create-account .login-form form>*:last-child{margin-bottom:40px;}}.d-modal.create-account .login-form form,.d-modal.create-account .login-form table{width:100%;display:block;}.d-modal.create-account .login-form tr{display:flex;flex-direction:column;margin-top:0.15em;}.d-modal.create-account .login-form tr.password-confirmation{display:none;}.d-modal.create-account tr.input input,.d-modal.create-account tr.input label{margin-bottom:0;width:100%;}.d-modal.create-account tr.input .tip{max-width:340px;}.d-modal.create-account .user-fields{margin-bottom:20px;}.d-modal.create-account .user-field{display:flex;flex-direction:column;}.d-modal.create-account .user-field.confirm{margin-top:5px;}.d-modal.create-account .user-field>label{width:auto;}.d-modal.create-account .user-field .controls{margin-right:0;}.d-modal.create-account .invites-show{padding-top:20px;}.d-modal.create-account .invites-show .two-col{margin-top:30px;}.d-modal.create-account .invites-show .col-form{margin-right:200px;}.d-modal.create-account .invites-show .col-form .inline-invite-img{display:none;}.d-modal.create-account .invites-show form .controls,.d-modal.create-account .invites-show form .input{margin-right:20px;}.d-modal.create-account .invites-show form input,.d-modal.create-account .invites-show form label{margin-bottom:0;}.d-modal.create-account .invites-show form .user-field .control-label:not(.checkbox-label){margin-right:20px;}.d-modal.create-account .tos-agree{margin-bottom:12px;}.login-form .tip:not(:empty)+td{display:none;}.login-form .tip:not(:empty),.login-form .tip:empty+td{min-height:1.75em;}.login-form .tip:not(:empty).bad .svg-icon,.login-form .tip:empty+td.bad .svg-icon{vertical-align:middle;}.password-reset .col-form,.email-login .col-form,.invites-show .col-form{padding-right:20px;}.password-reset .col-image,.email-login .col-image,.invites-show .col-image{width:175px;}.password-reset .col-image img,.email-login .col-image img,.invites-show .col-image img{width:100%;}.password-reset h2,.email-login h2,.invites-show h2{margin-bottom:12px;}.password-reset .col-form,.email-login .col-form{padding-top:40px;}.bootbox.modal{top:50%;right:50%;width:610px;margin:-250px -305px 0 0;}.bootbox.modal .cancel{margin-right:1em;}.modal.in{-webkit-animation:fade 0.25s;animation:fade 0.25s;}.modal-body{padding:15px;}.modal-footer .btn.right{float:left;}.modal-header h3{font-size:1.5157em;}.close{font-size:1.5157em;text-decoration:none;cursor:pointer;}.close:visited{color:#a6a6a6;}.close:hover{color:#ddd;}.modal .category-chooser{width:50%;}.modal .modal-body.insert-link input{min-width:450px;}.edit-category-modal .modal-body{position:relative;height:420px;}.edit-category-modal .disable_info_wrap .cannot_delete_reason{top:-100px;left:4px;max-width:380px;min-width:300px;}.topic-bulk-actions-modal p{margin-top:0;}.topic-bulk-actions-modal.full .modal-body{height:400px;max-height:400px;}.topic-bulk-actions-modal .bulk-buttons{display:flex;flex-wrap:wrap;margin-left:-1%;}.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 0 30%;margin-bottom:1em;margin-left:1%;white-space:nowrap;overflow:hidden;max-width:33%;}@media screen and (max-width:767px){.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 0 48%;max-width:48%;}}@media screen and (max-width:550px){.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 1 auto;min-width:49%;max-width:unset;}}.move-to-modal .modal-body{position:relative;height:350px;}.move-to-modal #move-selected{width:525px;}.move-to-modal #move-selected p{margin-top:0;}.move-to-modal #move-selected .radios{margin-bottom:10px;display:flex;flex-direction:row;}.move-to-modal #move-selected .radios .radio-label{display:inline-block;padding-left:15px;}.move-to-modal #move-selected button{margin-top:10px;display:block;width:300px;}.move-to-modal #move-selected .category-chooser{margin-bottom:9px;}.move-to-modal #move-selected form{width:95%;margin-top:20px;}.move-to-modal #move-selected form #split-topic-name,.move-to-modal #move-selected form #choose-topic-title,.move-to-modal #move-selected form #choose-message-title{width:100%;}.move-to-modal #move-selected form .participant-selector{width:100%;}.move-to-modal #move-selected form div.ac-wrap{width:100%;margin-bottom:9px;}.category-list{margin-bottom:10px;width:100%;}.category-list td{vertical-align:top;}.category-list th{vertical-align:middle;}.category-list td:first-of-type{padding-right:10px;}.category-list.with-topics{margin-right:3px;}.category-list.with-topics .category{width:45%;}.category-list .topics .badge-notification,.category-list .category .badge-notification{background-color:transparent;color:#646464;}.category-list .topics{width:80px;text-align:left;}.category-list .topics .value{font-size:1.1487em;}.category-list .topics .unit{font-size:.8706em;}.category-list .topics .badge-notification{display:block;text-align:left;padding-left:0;margin-top:5px;}.category-list .subcategories{margin-top:0.25em;clear:both;}.category-list .subcategories .subcategory{display:inline-flex;align-items:baseline;margin-left:0.3em;}.category-list .subcategories .badge-wrapper{margin-left:0.5em;}.category-list .subcategories .badge-notification.new-posts{display:block;padding:0;}.category-list .featured-topic{margin:10px 0 0;display:flex;align-items:baseline;}.category-list .featured-topic:first-of-type{margin-top:13px;}.category-list .featured-topic a.last-posted-at,.category-list .featured-topic a.last-posted-at:visited{font-size:.8706em;color:#646464;}.category-list .featured-topic .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;flex:0 1 auto;}.category-list .featured-topic .topic-statuses{margin-left:0.15em;}.category-list .featured-topic .topic-post-badges .badge.new-posts,.category-list .featured-topic .title{margin-left:5px;}.category-list tbody .category{border-right:6px solid;}.category-list tbody .category h3{font-size:1.3195em;line-height:1.2;}.category-list tbody .category h3 a[href]{color:#ddd;}.category-list tbody .latest{padding:0 10px 10px 0;}.categories-and-latest,.categories-and-top{display:flex;flex-flow:row wrap;}.categories-and-latest div.column,.categories-and-top div.column{flex:1 0 0px;flex-direction:row;min-width:300px;}@media all and (max-width:600px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-left:0;}}@media all and (min-width:600px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-left:1em;}}@media all and (min-width:700px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-left:2em;}}.categories-and-latest .discourse-tags,.categories-and-top .discourse-tags{display:inline-block;}.categories-and-latest .discourse-tags .discourse-tag,.categories-and-top .discourse-tags .discourse-tag{font-size:.8706em;}.categories-and-latest .topic-featured-link,.categories-and-top .topic-featured-link{padding-right:8px;}.latest-topic-list .table-heading,.top-topic-list .table-heading{padding:12px 5px;color:#646464;}.latest-topic-list .no-topics,.latest-topic-list .more-topics,.top-topic-list .no-topics,.top-topic-list .more-topics{margin-top:1em;}.latest-topic-list-item{padding:1em;border-bottom:1px solid #313131;display:flex;align-items:center;}.latest-topic-list-item .topic-poster{width:60px;}.latest-topic-list-item .main-link{flex:0 1 auto;max-width:65%;font-size:1em;}.latest-topic-list-item .main-link .badge-wrapper{max-width:100%;}.latest-topic-list-item .main-link .badge-wrapper .badge-category-bg{flex-shrink:0;}.latest-topic-list-item .main-link .top-row{margin-bottom:0.1em;font-size:1.1487em;}.latest-topic-list-item .topic-stats{flex:1 0 0px;text-align:left;color:#646464;}.latest-topic-list-item .topic-last-activity a{color:#646464;}.list-controls .nav{float:right;margin-bottom:10px;}.list-controls .btn{float:left;margin-right:8px;margin-bottom:9px;font-size:1.1487em;font-weight:normal;}.list-controls .search .btn{float:none;}.list-controls a.badge-category{padding:3px 12px;font-size:1.1487em;}.topic-list-icons .d-icon-thumbtack,.latest-topic-list .d-icon-thumbtack,.top-topic-list .d-icon-thumbtack,.topic-list .d-icon-thumbtack{color:#919191;}.topic-list-icons .d-icon-thumbtack.unpinned,.latest-topic-list .d-icon-thumbtack.unpinned,.top-topic-list .d-icon-thumbtack.unpinned,.topic-list .d-icon-thumbtack.unpinned{color:#919191;}.topic-list-icons a.title,.latest-topic-list a.title,.top-topic-list a.title,.topic-list a.title{color:#ddd;}.topic-list-icons .d-icon-bookmark,.latest-topic-list .d-icon-bookmark,.top-topic-list .d-icon-bookmark,.topic-list .d-icon-bookmark{color:#919191;}.topic-list{margin:0 0 10px;}.topic-list th,.topic-list td{padding:12px 5px;}.topic-list th:first-of-type,.topic-list td:first-of-type{padding-right:10px;}.topic-list th:last-of-type,.topic-list td:last-of-type{padding-left:10px;}.topic-list th button .d-icon{color:#919191;}.topic-list button.bulk-select{padding:0;}.topic-list td.bulk-select{padding:10px;width:30px;}.topic-list td.bulk-select+.main-link{padding-right:0;}.topic-list .badge-notification{position:relative;top:-2px;}.topic-list .badge-notification.new-topic{top:-1px;padding-right:5px;}.topic-list .posters{width:146px;}.topic-list .posters>a{float:right;margin-left:4px;}.topic-list .posters>a:last-of-type{margin-left:0;}.topic-list .posters>a.posters-more-count{cursor:default;color:#919191;line-height:25px;font-size:.8706em;}.topic-list td.posters{height:29px;}.topic-list .posters a:first-child .avatar.latest:not(.single){box-shadow:0 0 3px 1px #1b3f4e;border:2px solid #1d3e4b;position:relative;top:-2px;right:-2px;}.topic-list .likes{width:65px;}.topic-list .views{width:65px;}.topic-list .posts{width:65px;}.topic-list .post-actions{clear:both;width:auto;color:#919191;text-align:right;font-size:.8706em;margin-top:5px;}.topic-list .post-actions .fa{margin-left:2px;}.topic-list .post-actions a{color:#919191;margin-left:3px;line-height:1.4;}.topic-list .activity{width:60px;}.topic-list .activity:lang(zh_CN){width:80px;}.topic-list .activity span{cursor:pointer;}.topic-list .age{width:60px;}.topic-list .with-year{white-space:nowrap;}.topic-list-bottom{margin:20px 0;}#list-area .top-lists h2{cursor:pointer;margin:5px 0 10px;}#list-area h2{margin:20px 0 10px;}#list-area .show-more.has-topics{top:0;}#list-area .show-more.has-topics .alert{padding:12px 14px 12px 35px;}#bulk-select{position:fixed;left:20px;top:130px;padding:5px;background-color:#222;z-index:300;}button.dismiss-read{float:left;margin-bottom:5px;margin-right:10px;}.tags-admin-menu .dropdown-menu{left:0;top:30px;bottom:auto;right:auto;}.category-heading p{line-height:1.4;font-size:1.5157em;}.category-navigation{clear:both;}.category-logo.aspect-image{float:right;margin:0.25em 0 0.5em 1em;}.category-logo.aspect-image img{width:auto;max-height:150px;}@supports (--custom:property){.category-logo.aspect-image{--max-height:150px;max-height:var(--max-height);max-width:60%;height:auto;width:calc(var(--max-height) * var(--aspect-ratio));}.category-logo.aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;}}@media screen and (max-width:850px){.nav-pills>li>a{font-size:1em;padding:7px 10px;}button#create-topic span{display:none;}button#create-topic .d-icon{margin-left:0;}.topic-list th:first-of-type{padding:12px 5px;}.topic-list th,.topic-list td{padding:10px;font-size:1em;}.topic-list th.views{display:none;}.topic-list td.views{display:none;}.topic-list .posts{width:50px;}.topic-list .posters{width:30px;text-align:center;}.topic-list td.posters a:not(.latest){display:none;}.topic-list td.posters a.latest{width:100%;}.topic-list td.posters a.latest img{margin:0 auto;}}.wrap{max-width:1110px;}.full-width{margin-right:0;}.topic-body{padding:0;}.topic-body .regular{margin-top:15px;}.topic-body:first-of-type{border-top:none;}.topic-body .reply-to-tab{z-index:2;color:#919191;}.discourse-no-touch .topic-body .actions .fade-out{opacity:0.7;transition:background 0.25s,opacity 0.7s ease-in-out;}.discourse-touch .topic-body .actions .fade-out{opacity:1;}.topic-body:hover .actions .fade-out,.topic-body .selected .actions .fade-out{opacity:1;}section.post-menu-area{position:relative;padding-right:11px;}.post-links-container{margin-right:11px;}nav.post-controls{padding:0;}nav.post-controls .double-button{display:inline-flex;color:#7a7a7a;margin-left:0.15em;}nav.post-controls .double-button:hover button{background:#313131;color:#909090;}nav.post-controls .double-button button{margin-right:0;margin-left:0;}nav.post-controls .double-button button:active{box-shadow:none;}nav.post-controls .double-button button.my-likes .d-icon,nav.post-controls .double-button button.read-indicator .d-icon,nav.post-controls .double-button button.regular-likes .d-icon{color:#7a7a7a;padding-right:0.45em;}nav.post-controls .double-button button.like.d-hover{background:#8a0524;}nav.post-controls .double-button button.like.d-hover .d-icon{color:#fa6c8d;}nav.post-controls .double-button button.has-like .d-icon{color:#fa6c8d;}nav.post-controls .double-button button.has-like.d-hover{background:#313131;}nav.post-controls .double-button button.has-like.d-hover .d-icon{color:#909090;}nav.post-controls .double-button button[disabled]{cursor:not-allowed;}nav.post-controls .double-button button.button-count:not(.my-likes){padding-left:0;}nav.post-controls .double-button button.button-count.d-hover{color:#ddd;}nav.post-controls .double-button button.button-count+.toggle-like{padding-right:0.45em;}nav.post-controls .double-button button.button-count+.toggle-like.d-hover{background:#313131;}nav.post-controls a,nav.post-controls button{color:#646464;margin-left:2px;display:inline-block;}nav.post-controls a .d-icon,nav.post-controls button .d-icon{opacity:1;}nav.post-controls a.toggle-likes{padding:8px 0;margin-left:-3px;}nav.post-controls span.badge-posts{margin-left:5px;transition:all linear 0.15s;}nav.post-controls .actions{text-align:left;float:left;display:inline-block;}nav.post-controls .actions .more-actions{display:none;overflow:hidden;}nav.post-controls .show-replies{margin-right:-10px;font-size:inherit;}nav.post-controls .show-replies span.badge-posts{color:#646464;}nav.post-controls .show-replies:hover{background:#313131;}nav.post-controls .show-replies:hover span.badge-posts{color:#ddd;}nav.post-controls .show-replies .d-icon{margin-right:5px;font-size:.8706em;}nav.post-controls button.create{margin-left:0;color:#bdbdbd;margin-right:10px;}nav.post-controls button.create .d-icon{color:#bdbdbd;}nav.post-controls .create .d-icon{margin-left:5px;}nav.post-controls button{font-size:1.1487em;padding:8px 10px;vertical-align:top;background:transparent;border:none;margin-right:3px;}nav.post-controls button.d-hover,nav.post-controls button:focus{background:#313131;color:#ddd;}nav.post-controls button:active{box-shadow:0 1px 3px rgba(0,0,0,0.4) inset;}nav.post-controls button.hidden{display:none;}nav.post-controls button.admin{position:relative;}nav.post-controls button.delete.d-hover,nav.post-controls button.delete:hover,nav.post-controls button.delete:focus{background:#e45735;color:#222;}nav.post-controls button.delete.d-hover .d-icon,nav.post-controls button.delete:hover .d-icon,nav.post-controls button.delete:focus .d-icon{color:#222;}nav.post-controls button.bookmark{padding:8px 11px;}nav.post-controls button.bookmark.bookmarked .d-icon{color:#0f82af;}nav.post-controls .post-admin-menu{display:inline-flex;flex-direction:column;box-sizing:border-box;background-color:#222;width:auto;max-width:320px;padding:10px;border:1px solid #313131;position:absolute;text-align:right;bottom:-2px;left:15px;z-index:300;}nav.post-controls .post-admin-menu h3{margin-top:0;color:#ddd;font-size:1em;}nav.post-controls .post-admin-menu ul{list-style:none;margin:10px 0 0 0;}nav.post-controls .post-admin-menu li{margin-bottom:5px;}nav.post-controls .post-admin-menu li .d-icon{width:14px;margin-left:10px;}.embedded-posts{border:1px solid #313131;}.embedded-posts h1,.embedded-posts h2,.embedded-posts h3{margin:10px 0;}.embedded-posts .topic-body{box-sizing:border-box;width:calc(100% - 70px);overflow:hidden;}.embedded-posts .cooked{margin-top:15px;}.embedded-posts .topic-avatar{padding-right:25px;padding-top:15px;}.embedded-posts .collapse-down,.embedded-posts .collapse-up{position:absolute;color:#909090;background:#222;border:1px solid #313131;padding:6px 9px 8px;z-index:99;}.embedded-posts .collapse-down .d-icon,.embedded-posts .collapse-up .d-icon{color:currentColor;}.discourse-no-touch .embedded-posts .collapse-down:hover,.discourse-no-touch .embedded-posts .collapse-up:hover{background:#313131;color:#a6a6a6;}.discourse-no-touch .embedded-posts .collapse-down:hover .d-icon,.discourse-no-touch .embedded-posts .collapse-up:hover .d-icon{color:currentColor;}.embedded-posts.bottom{border-top:none;margin-bottom:20px;margin-right:11px;}.embedded-posts.bottom.hidden{display:block;opacity:0;}.embedded-posts.bottom .collapse-up{transform:translate(-50%,-164%);}.embedded-posts.bottom .row{padding-bottom:0.5em;}.embedded-posts.bottom .row .topic-avatar,.embedded-posts.bottom .row .topic-body{border-top:1px solid #313131;}.embedded-posts.top{border-bottom:none;margin-right:56px;width:699px;}.embedded-posts.top .collapse-down{transform:translate(-50%,55%);}.embedded-posts.top .row{border-bottom:none;}.embedded-posts.top .row .topic-avatar,.embedded-posts.top .row .topic-body{border-top:1px solid #313131;}.embedded-posts.top.topic-body{padding:0;}.embedded-posts .post-date{color:#646464;}.embedded-posts .d-icon-arrow-up,.embedded-posts .d-icon-arrow-down{margin-right:5px;}.embedded-posts .reply:first-of-type .row{border-top:none;}.embedded-posts .topic-meta-data{position:relative;}.embedded-posts .topic-meta-data h5{position:absolute;z-index:1;font-size:.8706em;}.embedded-posts .topic-meta-data h5 a{font-weight:bold;color:#646464;}.embedded-posts .arrow{color:#646464;}.post-action .relative-date{margin-right:5px;}.post-action .avatar{margin-left:2px;}.topic-map{margin:20px 11px 20px 0;}.topic-map .map .secondary{text-align:center;}.topic-map .map li{float:right;padding:7px 10px;}.topic-map .map li:last-of-type{border-left:0;}.topic-map .map li:nth-child(3){text-align:center;}.topic-map .map .number{color:#a6a6a6;}.topic-map .map .number,.topic-map .map .d-icon{font-size:1.3195em;line-height:1.2;}.topic-map .map button .d-icon,.topic-map .map button:hover .d-icon{color:#a6a6a6;}.topic-map .map .avatar a{float:right;}.topic-map .map .topic-map-post{margin-top:6px;}.topic-map .avatars,.topic-map .links,.topic-map .information{padding:7px 10px 7px 10px;color:#ddd;}.topic-map .buttons{float:left;}.topic-map .buttons .btn{border:0;padding:0 23px;color:#646464;background:#3c3c3c;border-right:1px solid #313131;border-top:1px solid transparent;}.topic-map .buttons .btn:hover{color:#ddd;background:#313131;}.topic-map .buttons .btn.collapsed{padding-bottom:1px;}.topic-map .buttons .btn .fa{margin:0;font-size:1.3195em;line-height:52px;}.topic-map .link-summary .btn{color:#646464;background:#3c3c3c;width:100%;}.topic-map .link-summary .btn:hover{color:#ddd;background:#2c2c2c;}#topic-footer-buttons{padding:10px 0 0 10px;float:right;}#topic-footer-buttons .btn{margin-bottom:5px;margin-left:10px;}#topic-footer-buttons .btn .d-icon-bookmark.bookmarked{color:#0f82af;}#topic-footer-buttons .bookmark.bookmarked .d-icon-bookmark{color:#0f82af;}#topic-footer-button{width:757px;}.suggested-topics{clear:right;padding:20px 0 15px 0;}.suggested-topics table{margin-top:10px;}.suggested-topics .topic-statuses .topic-status{padding:0;}.suggested-topics .topic-statuses .topic-status .d-icon{font-size:1em;}span.post-count{background:#ddd;color:#222;opacity:0.8;}button.expand-post{margin-top:10px;margin-right:11px;}.quote-button.visible{display:block;}iframe{max-width:100%;}video{max-height:500px;}.video{max-height:500px;}.video>video{max-height:unset;}@-webkit-keyframes fadein{from{opacity:0;}to{opacity:1;}}@keyframes fadein{from{opacity:0;}to{opacity:1;}}.open>.dropdown-menu{display:block;}.btn-group{position:relative;}.dropdown-toggle{float:right;position:relative;}.deleted .topic-body{background-color:rgba(99,30,13,0.7);}.post-select{float:left;margin-left:20px;margin-top:-20px;}.deleted-user-avatar{font-size:2.296em;}.info-line{margin:10px 0;color:#ddd;}blockquote{margin-right:0;margin-left:0;padding:12px;}.quote>blockquote .onebox-result{background-color:#282828;}.quote aside .quote,.quote aside .title,.quote aside blockquote,.quote aside .onebox,.quote aside .onebox-result{background:#282828;border-right:5px solid #313131;}.quote aside aside.quote>blockquote,.quote aside aside.quote>.title{border-right:0;}.topic-body{width:calc(690px + (11px * 2));float:right;position:relative;border-top:1px solid #313131;padding:12px 0 0 0;}.topic-body .topic-meta-data,.topic-body .cooked{padding:0 11px 0.25em 11px;}.topic-body a.expand-hidden{padding-right:11px;}.topic-avatar{border-top:1px solid #313131;padding-top:15px;width:45px;float:right;z-index:2;}.gap{width:calc( 45px + 690px + 2 * 11px);}.time-gap+.topic-post .topic-body,.time-gap+.topic-post .topic-avatar{border-top:none;}.time-gap+.topic-post .embedded-posts.top{border-bottom:1px solid #313131;}.posts-wrapper{position:relative;-webkit-font-smoothing:subpixel-antialiased;}.dropdown{position:relative;}.caret{display:inline-block;width:0;height:0;vertical-align:middle;border-top:4px solid #ddd;border-left:4px solid transparent;border-right:4px solid transparent;content:"";margin-right:5px;}.dropdown-menu{position:absolute;bottom:115%;right:0;z-index:300;display:none;float:right;width:550px;margin:1px 0 0;list-style:none;background-color:#222;border:1px solid #313131;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);background-clip:padding-box;}.dropdown-menu span{font-size:.8706em;color:#919191;}.dropdown-menu span.title{font-weight:bold;display:block;font-size:1em;color:#ddd;}.dropdown-menu a{display:block;padding:9px;clear:both;font-weight:normal;line-height:1.2;color:#ddd;transition:all linear 0.15s;}.dropdown-menu a>div{margin-right:26px;}.dropdown-menu li>a:hover,.dropdown-menu .active>a,.dropdown-menu .active>a:hover{color:#ddd;text-decoration:none;background-color:#4c3319;}.dropdown-menu .disabled>a,.dropdown-menu .disabled>a:hover{text-decoration:none;color:#ddd;background-color:#052e3d;cursor:default;}.dropdown-menu .icon{margin-top:3px;float:right;font-size:1.3195em;}.open>.dropdown-menu{display:block;clear:both;}.selected-posts{width:200px;position:fixed;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);padding:0.714em;margin-bottom:5px;left:10px;}@media screen and (min-width:1140px){.selected-posts{left:auto;margin-right:330px;right:50%;}}.selected-posts button{width:100%;margin:4px auto;display:inline-block;text-align:right;}.selected-posts.hidden{display:none;}.selected-posts .controls{margin-top:10px;}.selected-posts p{font-size:.8706em;margin:0 0 10px 0;}.selected-posts p.cancel{margin:10px 0 0 0;}.selected-posts h3{font-size:1.7511em;color:#ddd;margin-bottom:5px;}.selected-posts h3 .d-icon{margin-left:7px;}a.attachment:before{display:inline-block;margin-left:4px;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14px' height='16px' viewBox='0 0 512 512' fill='%230f82af'%3E%3Cpath d='M216 0h80c13.3 0 24 10.7 24 24v168h87.7c17.8 0 26.7 21.5 14.1 34.1L269.7 378.3c-7.5 7.5-19.8 7.5-27.3 0L90.1 226.1c-12.6-12.6-3.7-34.1 14.1-34.1H192V24c0-13.3 10.7-24 24-24zm296 376v112c0 13.3-10.7 24-24 24H24c-13.3 0-24-10.7-24-24V376c0-13.3 10.7-24 24-24h146.7l49 49c20.1 20.1 52.5 20.1 72.6 0l49-49H488c13.3 0 24 10.7 24 24zm-124 88c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20zm64 0c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20z'%3E%3C/path%3E%3C/svg%3E");vertical-align:middle;}.topic-meta-data{align-items:center;}.topic-meta-data .names{display:flex;align-items:center;}.topic-meta-data:after{visibility:hidden;display:block;font-size:0;content:" ";clear:both;height:0;}.topic-meta-data .post-info a{color:#919191;}.topic-meta-data .post-info a.wiki{color:green;}.who-liked,.who-read{margin-top:20px;margin-bottom:0;width:100%;text-align:left;}span.highlighted{background-color:#052e3d;}.first.new-user:not(.staff) a{color:#7a7a7a;}.read-state{position:absolute;align-self:center;color:#084860;left:0;font-size:0.571em;}.read-state.read{visibility:hidden;opacity:0;transition:visibility 1s,opacity ease-out 1s;}.signup-cta{width:690px;}@media all and (max-width:775px){.topic-avatar{width:45px;}.topic-post .reply-to-tab{left:15%;}.topic-body{box-sizing:border-box;width:calc(100% - 47px);}.embedded-posts.top{width:calc(100% - 56px);}}.post-actions{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both;text-align:left;margin-bottom:10px;}.post-actions .post-action{display:inline-block;margin-right:10px;margin-top:10px;}.post-menu-area{margin:20px 0;}#topic-title{z-index:1;padding-top:14px;margin-bottom:10px;}#topic-title #edit-title,#topic-title .category-chooser,#topic-title .edit-controls{width:500px;}#topic-title h1{font-size:1.7511em;line-height:1.2;overflow:hidden;width:100%;}#topic-title h1 a{color:#ddd;}#topic-title .private-message-glyph{display:none;}#topic-title .remove-featured-link{float:left;text-transform:lowercase;color:#919191;font-size:0.857rem;}.private-message-glyph{float:right;}.private_message #topic-title .private-message-glyph{display:inline;}.topic-error,.topic-notice{padding:18px;width:60%;margin-right:auto;margin-left:auto;font-size:1.7511em;text-align:center;line-height:1.2;}.topic-error .topic-retry,.topic-error .topic-join-group,.topic-notice .topic-retry,.topic-notice .topic-join-group{display:block;margin-top:28px;margin-right:auto;margin-left:auto;}.topic-status-info{border-top:1px solid #313131;padding:10px 0;max-width:758px;}.topic-status-info .topic-timer-heading{display:flex;align-items:center;margin:0px;}.topic-status-info .topic-timer-remove{font-size:.7579em;background:transparent;margin-right:auto;}#topic-progress-wrapper{position:fixed;left:1em;bottom:0;z-index:100;}#topic-progress-wrapper.docked{position:absolute;bottom:-70px;}#topic-progress-expanded{border:1px solid #313131;padding:5px;background:#222;position:relative;right:340px;width:135px;}#topic-progress-expanded button.full{width:100%;margin-bottom:5px;}#topic-progress-expanded button.full .d-icon{display:block;margin-top:2px;margin-bottom:2px;font-size:1.3195em;}#topic-progress-expanded .jump-form input[type="text"]{float:right;width:45px;height:20px;text-align:center;margin-bottom:0;font-size:1.1487em;}#topic-progress-expanded .jump-form button.btn{float:left;width:55px;}#topic-progress-expanded button.btn.jump-prompt{margin:0;}#topic-progress-expanded button.btn.jump-bottom{margin:5px 0 0 0;}#topic-progress{position:relative;right:340px;background-color:#222;color:#0f82af;border:1px solid #052e3d;border-bottom:none;width:145px;height:34px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}#topic-progress.hidden{display:none;}#topic-progress:hover{cursor:pointer;}#topic-progress .nums{position:relative;top:9px;width:100%;text-align:center;z-index:1;}#topic-progress .d-icon{position:absolute;left:8px;bottom:9px;z-index:1;}#topic-progress h4{display:inline;font-size:1.3195em;line-height:1;}#topic-progress .bg{position:absolute;top:0;bottom:0;width:0;max-width:145px;border-left:1px solid #052e3d;background-color:#052e3d;transition:width 0.75s;}#topic-filter{background-color:#4c3319;padding:8px;bottom:0;position:fixed;width:100%;font-size:1em;z-index:300;}@media all and (min-width:400px){#topic-progress,#topic-progress-expanded{left:0;right:0;}#topic-progress-wrapper{left:19vw;}#topic-progress-wrapper.docked{left:19vw;}#topic-footer-main-buttons{max-width:70%;}}@media all and (max-width:485px){#topic-progress-wrapper.docked{display:none;}#topic-footer-main-buttons{max-width:100%;}}.upload-selector label{display:inline-block;padding-right:10px;}.upload-selector .radios{min-height:60px;display:flex;align-items:flex-start;}.upload-selector .radios label{flex:1 0 auto;margin-left:1em;margin-top:1px;}.upload-selector .radios .inputs{width:100%;}.upload-selector .radios .inputs input{width:90%;margin:0 0 5px 0;}.upload-selector .radios .inputs input[type="file"]{font-size:1em;line-height:1.2;}.upload-selector .radios .inputs .description,.upload-selector .radios .inputs .hint{color:#919191;display:block;}.upload-selector .radios .inputs .hint{font-style:italic;margin:5px 0 0 0;}.upload-selector .radios .inputs .label{margin:0 0 5px 0;}.upload-selector .radios:last-child:not(:nth-child(2)){min-height:20px;}.uploaded-image-preview{height:270px;width:400px;max-height:150px;margin-bottom:10px;}.user-content-wrapper>.alert:first-child,.user-content-wrapper>.user-stream>.alert:first-child{margin-top:10px;}.user-content-wrapper .show-mores{position:absolute;}.form-horizontal .control-group.category{margin-top:18px;}.user-profile-hidden{font-size:1.5em;text-align:center;}.user-secondary-navigation{min-width:150px;}.user-secondary-navigation .nav-stacked{background-color:transparent;}.user-secondary-navigation .nav-stacked li{border-bottom:none;}.user-secondary-navigation .nav-stacked li.archive{padding-right:1.4em;}.user-secondary-navigation .nav-stacked a{color:#909090;}.user-secondary-navigation .nav-stacked a.active{color:#ddd;font-weight:bold;background-color:transparent;}.user-secondary-navigation .nav-stacked a.active:after{display:none;}.user-content{padding-bottom:12px;margin-bottom:12px;background-color:#222;box-sizing:border-box;}.user-content.user-badges-list{display:flex;flex-wrap:wrap;}.user-content .btn.right{float:left;}.user-content h2{margin-bottom:10px;}.pref-avatar .avatar{max-width:90px;max-height:90px;}.pref-second-factor{margin-top:10px;}.user-invite-list{width:100%;margin-top:15px;}.user-invite-list tr td{padding:0.667em;}.user-invite-search{clear:both;margin:15px 0px -15px 0px;}.user-invite-none{padding:15px 0;}.user-main{margin-bottom:50px;}.user-main .about.group .details{padding:15px 0;margin:0;color:#222;}.user-main .about .details img.avatar{margin:0 0 10px 20px;}.user-main .about .details .primary .primary-textual{padding:0 4px 4px;}.user-main .about .details .primary .primary-textual a[href]{text-decoration:underline;}.user-main .about .details .primary .primary-textual h1{max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-main .about .details .primary .primary-textual .location-and-website{display:flex;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-main .about .details .primary .primary-textual .location-and-website .user-profile-location{margin-left:1em;}.user-main .about .details .primary .bio{max-width:750px;}.user-main .about .details .primary .bio a.mention{text-decoration:none;}.user-main .about .details .secondary{margin-top:16px;}.user-main .about.has-background .user-profile-image{height:300px;}.user-main .about.has-background .details{box-sizing:border-box;width:100%;padding:15px 0 0 0;bottom:0;}.user-main .about .controls{padding:0 0 12px 0;float:left;text-align:left;}.user-main .about .controls .btn{min-width:140px;}.user-main .about.collapsed-info .user-profile-image{display:none;}.user-main .about.collapsed-info .controls{width:auto;}.user-main .about.collapsed-info .controls>ul{display:inline-flex;}.user-main .about.collapsed-info .controls>ul>li{display:inline;margin-right:12px;}.user-main .about.collapsed-info .controls>ul>li .d-button-label{line-height:1;}.user-main .about.collapsed-info .controls>ul a{margin-bottom:10px;width:auto;}.user-main .about.collapsed-info .details{position:relative;padding:0;margin-top:0;border-bottom:1px solid #313131;}.user-main .user-field input[type="text"]{width:530px;}.user-main .user-field .controls .instructions{display:block;}.user-main .public-user-fields{overflow:hidden;}.user-preferences{padding-top:10px;padding-right:30px;}.user-preferences .form-vertical{width:500px;max-width:100%;}.user-preferences h3{color:#ddd;margin:20px 0 10px 0;}.user-preferences .category-selector,.user-preferences .tag-chooser,.user-preferences textarea,.user-preferences input.user-selector{width:100%;}.user-preferences .instructions{display:inline-block;margin-top:4px;}.user-crawler .username{margin-right:5px;display:inline-block;}.modal.history-modal .modal-inner-container{max-width:1110px;}.modal.history-modal .modal-body{height:70vh;}.modal.history-modal #revision-controls .btn[disabled]{cursor:not-allowed;background-color:#313131;}.modal.history-modal #revision-controls .btn-danger[disabled]{background-color:#a13116;}.modal.history-modal #revision{display:flex;justify-content:space-between;}.modal.history-modal #revisions{word-wrap:break-word;}.modal.history-modal #revisions table{margin-top:10px;}.modal.history-modal img{max-width:670px;height:auto;}.modal.history-modal .inline-diff{width:670px;}.modal.history-modal .markdown{font-family:monospace;font-size:.8706em;width:100%;border-collapse:collapse;border-spacing:0;}.modal.history-modal .markdown td{width:50%;vertical-align:top;max-width:440px;word-wrap:break-word;white-space:pre-wrap;}.modal.history-modal .revision-content img,.modal.history-modal .markdown img{max-width:100%;box-sizing:border-box;}.modal.history-modal .modal-header{height:42px;}.modal.history-modal .modal-footer{display:flex;justify-content:space-between;}.group-nav .group-dropdown{margin-left:10px;}.group-info{margin-bottom:20px;}.group-navigation{width:15%;background-color:transparent;}.group-navigation li{border:none;}.group-navigation li a{color:#646464;padding:8px 0;}.group-navigation li a.active{background-color:transparent;font-weight:bold;color:#ddd;}.group-navigation li a.active:after{display:none;}.group-activity-outlet,.group-messages-outlet,.group-manage-outlet{width:85%;}.group-manage .form-horizontal button{float:none;}.group-details-button{position:absolute;top:20px;left:20px;}.admin-customize .show-current-style{padding-right:2%;width:68%;}.admin-customize .show-current-style .title input{width:80%;}.admin-customize .themes-list{width:28%;}#user-card,#group-card{position:absolute;z-index:200;}#user-card.fixed,#group-card.fixed{position:fixed;z-index:401;}#user-card.docked-card,#group-card.docked-card{z-index:1001;}#user-card .first-row .names,#group-card .first-row .names{flex:1 1 auto;}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{min-width:150px;}#user-card h1 .d-icon,#group-card h1 .d-icon{font-size:.8706em;}#user-card h2,#group-card h2{font-size:1.1487em;}#user-card h3,#group-card h3{font-size:1em;}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{display:block;max-width:185px;margin:0 0 0 0.5em;}#user-card .sixth-row .badge-section .more-user-badges{max-width:125px;}.user-stream .item,.user-stream .user-stream-item{padding:1em 0.53em;}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{margin-left:8px;}.user-stream .notification.unread{background-color:#052e3d;}.user-info.medium{flex:0 0 32%;margin:0 0 4vh 2%;display:flex;}.user-info.medium:nth-of-type(3n){margin-left:0;}@media screen and (max-width:800px){.user-info.medium{flex:0 0 48%;margin-left:0;}}.user-info.medium .user-image{width:55px;margin-left:0;}	2019-12-05 04:06:36.195775	2019-12-05 04:06:36.195775	-1	\N
17	mobile_rtl_1	363e15d679ff5774c2e8a6e3fce54dbfc4844938	﻿html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%;}body{margin:0;}article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary{display:block;}audio,canvas,progress,video{display:inline-block;vertical-align:baseline;}audio:not([controls]){display:none;height:0;}[hidden],template{display:none;}a{background:transparent;}a:active,a:hover{outline:0;}abbr[title],acronym[title]{text-decoration:underline;text-decoration-style:dotted;}b,strong{font-weight:bold;}dfn{font-style:italic;}h1{font-size:1.7511em;margin:0.67em 0;}mark{background:#ff0;color:#000;}small{font-size:80%;}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline;}sup{top:-0.5em;}sub{bottom:-0.25em;}img{border:0;}figure{margin:1em 40px;}hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0;}pre{overflow:auto;}code,kbd,pre,samp{font-family:monospace,monospace;font-size:1em;}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0;}button{overflow:visible;}button,select{text-transform:none;}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer;}button[disabled],html input[disabled]{cursor:default;}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0;}input{line-height:normal;}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0;}input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{height:auto;}input[type="search"]{-webkit-appearance:textfield;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box;}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none;}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em;}legend{border:0;padding:0;}textarea{overflow:auto;}optgroup{font-weight:bold;}table{border-collapse:collapse;border-spacing:0;}td,th{padding:0;}.pika-single{z-index:9999;display:block;position:relative;color:#ddd;background:#222;border:1px solid #313131;border-bottom-color:#313131;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;}.pika-single.is-hidden{display:none;}.pika-single.is-bound{position:absolute;box-shadow:0 5px 15px -5px rgba(0,0,0,0.5);}.pika-single:before,.pika-single:after{content:" ";display:table;}.pika-single:after{clear:both;}.pika-lendar{float:right;width:240px;margin:8px;}.pika-title{position:relative;text-align:center;}.pika-title select{cursor:pointer;position:absolute;z-index:9998;margin:0;right:0;top:5px;filter:alpha(opacity=0);opacity:0;}.pika-label{display:inline-block;position:relative;z-index:9999;overflow:hidden;margin:0;padding:5px 3px;font-size:14px;line-height:20px;font-weight:bold;color:#ddd;background-color:#222;}.pika-prev,.pika-next{display:block;cursor:pointer;position:relative;outline:none;border:0;padding:0;width:20px;height:30px;text-indent:20px;white-space:nowrap;overflow:hidden;background-color:transparent;background-position:center center;background-repeat:no-repeat;background-size:75% 75%;opacity:.5;filter:invert(1);}.pika-prev:hover,.pika-next:hover{opacity:1;}.pika-prev.is-disabled,.pika-next.is-disabled{cursor:default;opacity:.2;}.pika-prev,.is-rtl .pika-next{float:right;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==");}.pika-next,.is-rtl .pika-prev{float:left;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=");}.pika-select{display:inline-block;}.pika-table{width:100%;border-collapse:collapse;border-spacing:0;border:0;}.pika-table th,.pika-table td{width:14.285714285714286%;padding:0;}.pika-table th{color:#ddd;font-size:12px;line-height:25px;font-weight:bold;text-align:center;}.pika-table abbr{border-bottom:none;cursor:help;}.pika-button{cursor:pointer;display:block;-moz-box-sizing:border-box;box-sizing:border-box;outline:none;border:0;margin:0;width:100%;padding:5px;color:#ddd;font-size:12px;line-height:15px;text-align:left;background:#222;}.is-today .pika-button{color:#0f82af;font-weight:bold;}.is-selected .pika-button{color:#222;font-weight:bold;background:#0f82af;box-shadow:0 1px 3px #052e3d inset;border-radius:3px;}.is-disabled .pika-button,.is-outside-current-month .pika-button{pointer-events:none;cursor:default;color:#ddd;opacity:.3;}.pika-button:hover{color:#ddd;background:#052e3d;box-shadow:none;border-radius:3px;}.pika-week{font-size:11px;color:#ddd;}.is-inrange .pika-button{background:#D5E9F7;}.is-startrange .pika-button{color:#222;background:#6CB31D;box-shadow:none;border-radius:3px;}.is-endrange .pika-button{color:#222;background:#0f82af;box-shadow:none;border-radius:3px;}.pull-left{float:right;}.pull-right{float:left;}.show{display:block;}.hide,.hidden{display:none;}.invisible{visibility:hidden;}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);border:0;}.affix{position:fixed;}.clearfix:before,.nav-pills:before,.container:before,.wrap:before,.clearfix:after,.nav-pills:after,.container:after,.wrap:after{display:table;content:" ";}.clearfix:after,.nav-pills:after,.container:after,.wrap:after{clear:both;}.overflow-ellipsis{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}.clickable{cursor:pointer;}.disable-no-hover:hover{background:#919191;color:#ddd;}html{color:#ddd;font-family:Helvetica,Arial,sans-serif;font-size:15px;line-height:1.4;background-color:#222;overflow-y:scroll;direction:rtl;}html.text-size-smaller{font-size:14px;}html.text-size-larger{font-size:17px;}html.text-size-largest{font-size:19px;}a{color:#0f82af;text-decoration:none;cursor:pointer;}a:visited{color:#0f82af;}a:hover{color:#0f82af;}a:active{color:#0f82af;}hr{display:block;height:1px;margin:1em 0;border:0;border-top:1px solid #313131;padding:0;}ul,dd{margin:0 25px 9px 0;padding:0;}.cooked ul,.cooked ol,.cooked dd{clear:both;}.cooked ul,.d-editor-preview ul{margin:0;padding-right:40px;}li>ul,li>ol{margin-bottom:0;}img{vertical-align:middle;}fieldset{margin:0;border:0;padding:0;}pre code{overflow:auto;tab-size:4;}.row:before,.row:after{display:table;content:"";}.row:after{clear:both;}#offscreen-content{display:none;}tbody{border-top:3px solid #313131;}tr{border-bottom:1px solid #313131;}tr.highlighted{animation:background-fade-highlight 2.5s ease-out;}ruby>rt{font-size:72%;}.select-kit.categories-admin-dropdown .select-kit-body{min-width:auto;width:250px;}.select-kit.categories-admin-dropdown .select-kit-header .d-icon{justify-content:space-between;}.select-kit.combo-box.category-chooser{width:300px;}.select-kit.combo-box.category-chooser .select-kit-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:flex-start;-ms-flex-align:flex-start;align-items:flex-start;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;}.select-kit.combo-box.category-chooser .select-kit-row.none .topic-count{display:none;}.select-kit.combo-box.category-chooser .select-kit-row .topic-count{font-size:.7579em;color:#ddd;white-space:nowrap;}.select-kit.combo-box.category-chooser .select-kit-row .category-status{color:#ddd;line-height:1.4;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;}.select-kit.combo-box.category-chooser .select-kit-row .category-desc{-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;color:#919191;font-size:.8706em;line-height:1.4;}.select-kit.combo-box.category-drop .badge-wrapper{font-size:1em;font-weight:normal;}.select-kit.combo-box.category-drop .badge-wrapper.box{margin:0;}.select-kit.combo-box.category-drop .badge-wrapper.box span.badge-category{margin:0;}.select-kit.combo-box.category-drop.bar.has-selection .category-drop-header{padding:0 10px 0 5px;}.select-kit.combo-box.category-drop.box.has-selection .category-drop-header .badge-wrapper.box{padding:0;}.select-kit.combo-box.category-drop .category-drop-header.is-none .selected-name{color:inherit;}.select-kit.combo-box.category-drop .category-drop-header .badge-wrapper{margin-left:0;}.select-kit.combo-box.category-drop .select-kit-body{min-width:300px;}.select-kit.combo-box.category-drop .select-kit-row{flex-direction:column;align-items:flex-start;}.select-kit.combo-box.category-drop .select-kit-row[data-value="all-categories"],.select-kit.combo-box.category-drop .select-kit-row[data-value="no-categories"]{color:#0f82af;font-weight:700;}.select-kit.combo-box.category-drop .select-kit-row .category-desc{font-weight:normal;color:#909090;margin-top:2px;}.select-kit.combo-box.category-drop .select-kit-row .category-status{align-items:center;}.select-kit.combo-box.category-drop .select-kit-row .topic-count{margin-right:5px;font-weight:normal;}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper{margin:0;font-weight:bold;}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper:nth-child(2){margin-right:10px;}.select-kit.combo-box.category-drop.is-expanded .select-kit-wrapper,.select-kit.combo-box.category-drop .select-kit-wrapper{display:none;}.select-kit .category-row .category-status{display:flex;flex-wrap:wrap;align-items:center;max-width:100%;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;}.select-kit .category-row .category-desc{max-width:100%;}.select-kit .category-row .category-status .badge-wrapper.box{margin-bottom:1px;margin-top:1px;}.select-kit .category-row .topic-count{white-space:nowrap;}.select-kit.category-selector .selected-name .badge-wrapper.box,.select-kit-box.category-selector .selected-name .badge-wrapper.box{margin:2px;padding:0;}.select-kit.combo-box{min-width:auto;}.select-kit.combo-box .select-kit-body{width:100%;min-width:150px;border-radius:0;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}.select-kit.combo-box .select-kit-row{margin:0;min-height:1px;padding:6px 10px;}.select-kit.combo-box .select-kit-row.no-content{font-weight:normal;}.select-kit.combo-box .select-kit-filter{padding:4px 10px;border-top:1px solid #313131;border-bottom:1px solid #313131;}.select-kit.combo-box .select-kit-filter .spinner{flex:0 0 auto;}.select-kit.combo-box .select-kit-filter .filter-input,.select-kit.combo-box .select-kit-filter .filter-input:focus,.select-kit.combo-box .select-kit-filter .filter-input:active{flex:0 0 auto;width:90%;}.select-kit.combo-box .select-kit-filter .filter-icon{padding-right:5px;}.select-kit.combo-box .select-kit-header{background:#222;border:1px solid #909090;padding:0 10px 0 5px;font-weight:500;font-size:1em;}.select-kit.combo-box .select-kit-header.is-focused{border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af;}.select-kit.combo-box .select-kit-collection{display:flex;flex-direction:column;padding:0;min-width:100px;max-height:200px;max-width:32em;}.select-kit.combo-box .select-kit-collection .collection-header a{white-space:nowrap;color:#ddd;line-height:1.2;font-weight:bold;display:block;padding:6px 10px;color:#0f82af;}.select-kit.combo-box .select-kit-collection .collection-header a:hover{text-decoration:underline;}.select-kit.combo-box.is-disabled .select-kit-header{background:#313131;border-color:#7a7a7a;color:#909090;}.select-kit.combo-box.is-disabled .select-kit-header .d-icon{color:#909090;}.select-kit.combo-box.is-highlighted .select-kit-header{border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af;}.select-kit.combo-box.is-expanded .select-kit-wrapper{display:block;border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af;}.select-kit.combo-box.is-expanded.is-above .select-kit-header{border-radius:0 0 3px 3px;}.select-kit.combo-box.is-expanded.is-above .select-kit-body{border-radius:3px 3px 0 0;}.select-kit.combo-box.tag-drop,.select-kit.combo-box.group-dropdown{min-width:auto;}.select-kit.combo-box.tag-drop .select-kit-row,.select-kit.combo-box.group-dropdown .select-kit-row{font-weight:bold;}.select-kit.combo-box.is-expanded .select-kit-wrapper,.select-kit.combo-box .select-kit-wrapper{display:none;}.select-kit.dropdown-select-box.composer-actions{margin:0;}.select-kit.dropdown-select-box.composer-actions .select-kit-header{background:none;outline:none;padding:0;margin-left:5px;border:1px solid #313131;min-height:unset;}.select-kit.dropdown-select-box.composer-actions .select-kit-header .d-icon{padding:5px 6px;}.select-kit.dropdown-select-box.composer-actions .select-kit-header:hover,.select-kit.dropdown-select-box.composer-actions .select-kit-header:focus{background:#313131;}.select-kit.dropdown-select-box.composer-actions .d-icon{margin:0 !important;}.select-kit.dropdown-select-box{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;min-width:auto;border:none;}.select-kit.dropdown-select-box.is-expanded .select-kit-collection,.select-kit.dropdown-select-box.is-expanded .select-kit-body{border-radius:0;}.select-kit.dropdown-select-box .select-kit-body{border:1px solid #313131;background-clip:padding-box;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);max-width:300px;width:300px;}.select-kit.dropdown-select-box .select-kit-row{margin:0;padding:10px 5px;}.select-kit.dropdown-select-box .select-kit-row .icons{display:-webkit-box;display:-ms-flexbox;display:flex;flex:0 0 auto;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-item-align:start;align-self:flex-start;margin-left:0.357em;margin-top:2px;width:30px;}.select-kit.dropdown-select-box .select-kit-row .icons .d-icon{font-size:1.3195em;-ms-flex-item-align:center;align-self:center;margin-left:0;opacity:1;}.select-kit.dropdown-select-box .select-kit-row .texts{width:0;line-height:1.4;-webkit-box-flex:1;-ms-flex:1;flex:1 1 0%;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;}.select-kit.dropdown-select-box .select-kit-row .texts .name{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;font-weight:bold;font-size:1em;color:#ddd;padding:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100%;}.select-kit.dropdown-select-box .select-kit-row .texts .desc{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;width:100%;font-size:.8706em;font-weight:normal;color:#909090;white-space:normal;}.select-kit.dropdown-select-box .select-kit-collection{padding:0;max-height:100%;}.select-kit.dropdown-select-box .dropdown-select-box-header{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;border:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;}.select-kit.dropdown-select-box .dropdown-select-box-header .d-icon+.d-icon{margin-right:5px;}.select-kit.dropdown-select-box .dropdown-select-box-header.is-focused{outline-style:auto;outline-color:#0f82af;}.select-kit.combobox.future-date-input-selector{min-width:50%;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-header .btn-clear{line-height:1.4;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-datetime{color:#fff;margin-right:5px;white-space:nowrap;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-icons{margin-left:5px;}.select-kit.combobox.future-date-input-selector .btn-clear{padding:0;margin-right:5px;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-row .future-date-input-selector-icons{color:#fff;}.select-kit.multi-select.list-setting .select-kit-row.create .square{width:12px;height:12px;margin-right:5px;}.select-kit.combo-box.mini-tag-chooser{margin-bottom:5px;margin-right:5px;}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-header{border:1px solid #0f82af;}.select-kit.combo-box.mini-tag-chooser.no-tags .select-kit-header .selected-name{color:#909090;}.select-kit.combo-box.mini-tag-chooser .select-kit-body{max-width:32em;}.select-kit.combo-box.mini-tag-chooser .select-kit-header{height:30px;}.select-kit.combo-box.mini-tag-chooser .select-kit-header .selected-name{margin:0;border:0;padding:0;outline:none;box-shadow:none;cursor:pointer;max-width:250px;}.select-kit.combo-box.mini-tag-chooser .select-kit-filter{border-top:0;}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-wrapper,.select-kit.combo-box.mini-tag-chooser .select-kit-wrapper{display:none;}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-selected{background:none;}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-highlighted.is-selected{background:#052e3d;}.select-kit.combo-box.mini-tag-chooser .select-kit-row .discourse-tag-count{margin-right:5px;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header{max-height:125px;overflow:hidden;flex:1 0 auto;border-bottom:1px solid #313131;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tags{display:flex;padding:4px;flex-wrap:wrap;margin:-2px;overflow:hidden;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag{background:#313131;padding:2px 4px;margin:2px;border:0;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag.is-highlighted{box-shadow:0 0 2px #e45735, 0 1px 0 rgba(0,0,0,0.05);}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag .d-icon{color:#7a7a7a;vertical-align:middle;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag:hover .d-icon{color:#e45735;}.select-kit.multi-select{width:300px;background:#222;border-radius:0;}.select-kit.multi-select .select-kit-body{width:100%;}.select-kit.multi-select .select-kit-row{margin:5px;min-height:1px;padding:5px;border-radius:0;}.select-kit.multi-select .select-kit-filter{border:0;flex:1 0 0px;margin:1px;}.select-kit.multi-select .multi-select-header{background:#222;border:1px solid #909090;}.select-kit.multi-select .multi-select-header.is-focused{box-shadow:0 0 6px 0 #0f82af;border-radius:0;}.select-kit.multi-select.is-disabled .multi-select-header{background:#313131;border-color:#7a7a7a;color:#909090;}.select-kit.multi-select.is-disabled .multi-select-header .d-icon{color:#909090;}.select-kit.multi-select.is-highlighted .multi-select-header{border-radius:0;border-bottom:1px solid transparent;box-shadow:0 0 6px 0 #0f82af;}.select-kit.multi-select.is-expanded .select-kit-wrapper{display:block;border:1px solid #0f82af;box-shadow:0 0 6px 0 #0f82af;border-radius:0;}.select-kit.multi-select.is-expanded .multi-select-header{border-radius:0;box-shadow:none;}.select-kit.multi-select.is-expanded .select-kit-body{border-radius:0;}.select-kit.multi-select .choices{margin:0 2px;box-sizing:border-box;display:flex;justify-content:flex-start;flex-wrap:wrap;width:100%;}.select-kit.multi-select .choices .choice{display:inline-flex;box-sizing:border-box;align-items:center;justify-content:space-between;flex-wrap:wrap;flex-direction:row;margin:1px 2px 2px 0px;}.select-kit.multi-select .choices .filter{align-items:center;justify-content:flex-start;white-space:nowrap;min-width:50px;padding:0;outline:none;flex:1 0 0px;}.select-kit.multi-select .choices .filter .filter-input,.select-kit.multi-select .choices .filter .filter-input:focus{border:none;background:none;display:inline-block;width:100%;outline:none;min-width:auto;padding:0;margin:0;outline:0;border:0;box-shadow:none;border-radius:0;min-height:unset;}.select-kit.multi-select .choices .selected-color .selected-color-wrapper{display:flex;flex:1 0 0px;flex-direction:column;}.select-kit.multi-select .choices .selected-color .color-preview{height:5px;margin:0 0px 2px 2px;display:flex;width:100%;}.select-kit.multi-select .choices .selected-category .body{display:flex;align-items:center;}.select-kit.multi-select .choices .selected-category .badge-wrapper{padding:2px 4px;line-height:1.2;display:flex;flex:1 0 0px;align-items:center;}.select-kit.multi-select .choices .selected-category .badge-wrapper.bullet{margin-left:2.5px;}.select-kit.multi-select .choices .selected-name .footer{display:flex;width:100%;}.select-kit.multi-select .choices .selected-name .body{background:#313131;padding:4px;}.select-kit.multi-select .choices .selected-name .d-icon{color:#7a7a7a;vertical-align:middle;}.select-kit.multi-select .choices .selected-name:hover .d-icon:last-child{color:#e45735;}.select-kit.multi-select .choices .selected-name.is-highlighted{box-shadow:0 0 2px #e45735, 0 1px 0 rgba(0,0,0,0.05);}.select-kit.dropdown-select-box.notifications-button .select-kit-body{min-width:550px;max-width:550px;}.select-kit.dropdown-select-box.notifications-button .select-kit-row .icons{-ms-flex-item-align:start;align-self:flex-start;}.select-kit.dropdown-select-box.period-chooser{display:inline-flex;position:relative;}.select-kit.dropdown-select-box.period-chooser .select-kit-collection{padding:5px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header{background:none;border:none;justify-content:flex-start;width:auto;height:auto;padding:0;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{color:#222;display:inline-block;box-sizing:border-box;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .date-section{color:#ddd;margin-left:5px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.8706em;color:#646464;font-weight:normal;text-transform:uppercase;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header .d-icon{color:#ddd;opacity:1;margin:5px 5px 10px 0;font-size:1.5157em;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header.is-focused,.select-kit.dropdown-select-box.period-chooser .period-chooser-header:hover{background:none;border:none;outline:none;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row{font-weight:bold;padding:5px;font-size:1.1487em;align-items:center;display:flex;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .period-title{flex:1 0 0px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .date-section{color:#ddd;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .top-date-string{font-weight:normal;font-size:.8706em;color:#646464;text-transform:uppercase;margin-right:5px;}#topic-footer-buttons .pinned-button{min-width:auto;margin:1em 0;}#topic-footer-buttons .pinned-button.is-hidden{display:none;}#topic-footer-buttons .pinned-button .btn{margin:0;}#topic-footer-buttons .pinned-button .reason{display:inline;line-height:1.2;}.pinned-button{margin:0;min-width:auto;}.pinned-button .pinned-options{display:inline;}.pinned-button .pinned-options .select-kit-body{min-width:unset;max-width:unset;width:550px;}.mobile-view .select-kit.is-expanded{z-index:300;}.select-kit{border:none;min-width:220px;box-sizing:border-box;display:inline-block;flex-direction:column;position:relative;vertical-align:middle;user-select:none;}.select-kit.is-hidden{display:none;}.select-kit.is-disabled{pointer-events:none;}.select-kit.is-expanded{z-index:300;}.select-kit.is-expanded .select-kit-body{display:flex;flex-direction:column;right:0;position:absolute;top:0;}.select-kit.is-expanded .select-kit-collection{border-radius:inherit;}.select-kit.is-above .select-kit-body{bottom:0;top:auto;}.select-kit.is-above .select-kit-filter{border-top:0;}.select-kit.is-above .select-kit-wrapper{bottom:0;top:auto;}.select-kit .d-icon{color:#a6a6a6;}.select-kit .select-kit-header{box-sizing:border-box;overflow:hidden;transition:all 0.25s;cursor:pointer;outline:none;display:flex;align-items:center;flex-direction:row;min-height:30px;}.select-kit .select-kit-header .selected-name{text-align:right;flex:0 1 auto;padding:1px 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:inherit;}.select-kit .select-kit-header .btn-clear{padding:0 10px;border:0;background:none;}.select-kit .select-kit-header .icon{margin-left:5px;}.select-kit .select-kit-header .caret-icon{margin-right:auto;padding-right:5px;pointer-events:none;}.select-kit .select-kit-header .d-button-label{display:flex;align-items:center;white-space:nowrap;overflow:hidden;line-height:1.2;}.select-kit .select-kit-header .d-button-label .d-icon{margin-right:5px;margin-left:0;}.select-kit .select-kit-body{display:none;background:#222;box-sizing:border-box;}.select-kit .select-kit-row{cursor:pointer;line-height:1.2;outline:none;display:flex;flex:1 0 auto;box-sizing:border-box;align-items:center;justify-content:flex-start;}.select-kit .select-kit-row .name{margin:0;overflow:hidden;text-overflow:ellipsis;flex:1 1 0%;}.select-kit .select-kit-row .d-icon{margin-left:5px;}.select-kit .select-kit-row.is-highlighted{background:#052e3d;}.select-kit .select-kit-row.is-selected{background:#4c3319;}.select-kit .select-kit-row.is-selected.is-highlighted{background:#052e3d;}.select-kit .select-kit-row .discourse-tag,.select-kit .select-kit-row .discourse-tag-count{color:#ddd;}.select-kit .select-kit-collection{background:#222;overflow-x:hidden;overflow-y:auto;border-radius:inherit;-webkit-overflow-scrolling:touch;margin:0;padding:0;max-height:200px;}.select-kit .select-kit-collection .validation-message{white-space:nowrap;color:#e45735;flex:1 0 auto;margin:5px;padding:0 2px;}.select-kit .select-kit-collection .select-kit-collection{padding:0;margin:0;}.select-kit .select-kit-collection .select-kit-collection:hover .select-kit-row.is-highlighted:hover{background:#052e3d;}.select-kit .select-kit-collection::-webkit-scrollbar{-webkit-appearance:none;width:10px;}.select-kit .select-kit-collection::-webkit-scrollbar-thumb{cursor:pointer;border-radius:5px;background:#919191;}.select-kit .select-kit-collection::-webkit-scrollbar-track{background:transparent;border-radius:0;}.select-kit .select-kit-filter{display:flex;box-sizing:border-box;align-items:center;justify-content:space-between;}.select-kit .select-kit-filter .filter-input,.select-kit .select-kit-filter .filter-input:focus,.select-kit .select-kit-filter .filter-input:active{background:none;margin:0;padding:0;flex:1 0 0px;outline:none;border:0;border-radius:0;box-shadow:none;width:100%;}.select-kit .select-kit-filter.is-hidden{width:1px;height:1px;border:0;margin:-1px;padding:0;overflow:hidden;position:fixed;outline:0;right:0;top:0;}.select-kit .select-kit-wrapper{position:absolute;top:0;right:0;background:none;display:none;box-sizing:border-box;pointer-events:none;}.select-kit.multi-select.tag-chooser .select-kit-row{display:flex;align-items:center;}.select-kit.multi-select.tag-chooser .select-kit-row .discourse-tag-count{margin-right:5px;}.select-kit.combo-box.tag-drop .select-kit-row[data-value="all-tags"],.select-kit.combo-box.tag-drop .select-kit-row[data-value="no-tags"]{color:#0f82af;font-weight:700;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-body{box-shadow:none;padding:10px 10px 5px 10px;width:230px;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row{margin-bottom:5px;padding:6px 3px;background:#313131;transition:all 0.25s;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{font-size:1em;font-weight:normal;color:#ddd;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{opacity:0.7;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted{background:#909090;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .d-icon{color:#222;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row:hover{background:#909090;color:#222;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected{color:#ddd;background:#313131;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected.is-highlighted{background:#909090;color:#ddd;}#topic-footer-buttons .topic-notifications-button{min-width:auto;margin:1em 0;}#topic-footer-buttons .topic-notifications-button .btn{margin:0;}#topic-footer-buttons .topic-notifications-button .reason{display:inline;line-height:1.2;}.topic-notifications-button .topic-notifications-options{min-width:auto;}.topic-notifications-button{margin:0;}.topic-notifications-button .topic-notifications-options{display:inline-flex;}.select-kit.dropdown-select-box.user-notifications-dropdown{text-align:right;}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-body{width:485px;max-width:485px;}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-header{justify-content:center;}.select-kit.dropdown-select-box.user-notifications-dropdown .dropdown-select-box-header{align-items:center;}.select-kit.combo-box.color-palettes .color-palettes-row .palettes{display:flex;align-items:center;margin-right:0.5em;flex:1 0 0;}.select-kit.combo-box.color-palettes .color-palettes-row .palettes .palette{height:15px;width:15px;display:block;}.svg-icon,.svg-icon-title{height:1em;width:1em;line-height:1;display:inline-flex;position:relative;vertical-align:-0.125em;fill:currentColor;flex-shrink:0;overflow:visible;}svg>use{pointer-events:none;}.fa-stack{position:relative;width:1em;height:1em;display:inline-block;}.fa-stack .fa-stack-1x,.fa-stack .fa-stack-2x{right:0px;top:0px;position:absolute;}.fa-stack .fa-stack-2x{height:1.5em;width:1.5em;margin-top:-0.25em;margin-right:-0.25em;}.d-date-time-input-range{padding:0.5em;background:whitesmole;border:1px solid #313131;width:300px;display:flex;flex-direction:column;}.d-date-time-input-range .panels{display:inline-flex;list-style:none;margin:0 0 0.5em 0;flex:1;}.d-date-time-input-range .panels.from .from-panel{background:#e45735;color:#222;}.d-date-time-input-range .panels.to .to-panel{background:#e45735;color:#222;}.d-date-time-input-range .panels .btn{margin-left:0.5em;}.d-date-time-input-range .panel{display:none;flex:1;}.d-date-time-input-range .panel.visible{display:flex;}.nav-pills,.nav-stacked{margin-right:0;list-style:none;}.nav-pills li a,.nav-stacked li a{display:block;text-decoration:none;}.nav-pills>li{float:right;margin-left:5px;}.nav-pills>li>a{border:none;padding:6px 12px;color:#ddd;font-size:1.1487em;line-height:1;box-sizing:border-box;min-height:30px;display:flex;align-items:center;transition:background 0.15s;}.nav-pills>li>a .d-icon{margin-left:5px;opacity:0.65;}.nav-pills>li>a:hover{color:#c14924;background-color:#3a160b;}.nav-pills>li a.active{color:#222;background-color:#c14924;}.nav-pills>li a.active .d-icon{opacity:1;}.nav-stacked{padding:0;overflow:hidden;background:#313131;}.nav-stacked li{border-bottom:1px solid #313131;position:relative;}.nav-stacked li:last-of-type{border-bottom:0;}.nav-stacked li.indent{padding-right:15px;}.nav-stacked a{margin:0;padding:13px;font-size:1.1487em;line-height:1;cursor:pointer;color:#ddd;}.nav-stacked a.active{color:#222;background-color:#c14924;}.nav-stacked a.active::after{right:90%;top:33%;content:" ";position:absolute;border:8px solid transparent;border-left-color:#222;}.nav-stacked .count{font-size:.8706em;}.nav-stacked .glyph{font-size:.8706em;width:1.25em;text-align:center;margin-left:0.25em;line-height:1.4;}.btn{display:inline-block;margin:0;padding:6px 12px;font-weight:500;font-size:1em;line-height:1;text-align:center;cursor:pointer;transition:all 0.25s;box-sizing:border-box;min-height:30px;}.btn .d-icon{transition:color 0.25s;}.btn:active,.btn.btn-active{text-shadow:none;}.btn[disabled],.btn.disabled{cursor:default;opacity:0.4;}.btn .d-icon{margin-left:7px;}.btn.no-text .d-icon{margin-left:0;}.btn.hidden{display:none;}.btn{border:none;color:#ddd;font-weight:normal;background:#313131;}.btn .d-icon{color:#a6a6a6;}.btn[href]{color:#ddd;min-height:unset;}.discourse-no-touch .btn:hover,.discourse-no-touch .btn.btn-hover{background:#909090;color:#222;}.discourse-no-touch .btn:hover .d-icon,.discourse-no-touch .btn.btn-hover .d-icon{color:#313131;}.btn[disabled],.btn.disabled{background:#313131;cursor:not-allowed;}.btn[disabled] .d-icon,.btn.disabled .d-icon{color:#909090;}.btn[disabled]:hover,.btn.disabled:hover{color:#646464;}.btn[disabled]:hover .d-icon,.btn.disabled:hover .d-icon{color:#7a7a7a;}.btn .d-icon{line-height:1.2;}.btn-primary{border:none;font-weight:normal;color:#222;background:#0f82af;}.btn-primary .d-icon{color:currentColor;}.btn-primary[href]{color:#222;}.discourse-no-touch .btn-primary:hover,.discourse-no-touch .btn-primary.btn-hover{background:#14aeea;}.discourse-no-touch .btn-primary:hover .d-icon,.discourse-no-touch .btn-primary.btn-hover .d-icon{color:currentColor;}.btn-primary:active,.btn-primary.btn-active{background-color:#0c688c;background-image:linear-gradient(to bottom,#0c688c,#0f82af);}.btn-primary[disabled],.btn-primary.disabled{background:#0f82af;}.btn-primary[disabled] .d-icon,.btn-primary.disabled .d-icon{color:currentColor;}.btn-danger{color:#222;font-weight:normal;background:#e45735;}.btn-danger .d-icon{color:#591b0c;}.btn-danger[href]{color:#222;}.discourse-no-touch .btn-danger:hover,.discourse-no-touch .btn-danger.btn-hover{background:#e9795d;}.discourse-no-touch .btn-danger:hover .d-icon,.discourse-no-touch .btn-danger.btn-hover .d-icon{color:#591b0c;}.btn-danger:active,.btn-danger.btn-active{background-color:#c63c1b;background-image:linear-gradient(to bottom,#c63c1b,#e45735);}.btn-danger[disabled],.btn-danger.disabled{background:#e45735;}.btn-danger[disabled] .d-icon,.btn-danger.disabled .d-icon{color:#591b0c;}.btn-social{color:#fff;background:#666;}.btn-social .d-icon{color:#fff;}.btn-social:hover{color:#fff;}.btn-social[href]{color:#222;}.btn-social:before{margin-left:9px;font-size:1em;}.btn-social.google_oauth2{background:#fff;color:#333;border:1px solid #313131;}.btn-social.google_oauth2 .d-icon{opacity:0.9;}.btn-social.google_oauth2:hover{color:currentColor;background:#f2f2f2;}.btn-social.instagram{background:#e1306c;}.btn-social.instagram:hover{background:#ac194b;}.btn-social.facebook{background:#4267b2;}.btn-social.facebook:hover{background:#2d477a;}.btn-social.cas{background:#70ba61;}.btn-social.twitter{background:#1da1f2;}.btn-social.twitter:hover{background:#0c85d0;}.btn-social.github{background:#100e0f;}.btn-social.github:hover{background:#463e42;}.btn-social.discord{background:#7289da;}.btn-social.discord:hover{background:#4a67cf;}.btn-small,.modal.history-modal #revision-footer-buttons button{padding:3px 6px;font-size:.8706em;}.btn-large{padding:9px 18px;font-size:1.1487em;line-height:1;}.btn-flat{background:transparent;border:0;outline:0;line-height:1;transition:color 0.25s,background 0.25s;}.btn-flat .d-icon{color:#7a7a7a;}.discourse-no-touch .btn-flat:hover .d-icon,.discourse-no-touch .btn-flat.btn-hover .d-icon{color:#ddd;}.btn-flat.close{padding:0;min-height:unset;background:transparent;font-size:1.5157em;}.btn-flat.close .d-icon{color:#a6a6a6;}.discourse-no-touch .btn-flat.close:hover,.discourse-no-touch .btn-flat.close.btn-hover{background:transparent;}.discourse-no-touch .btn-flat.close:hover .d-icon,.discourse-no-touch .btn-flat.close.btn-hover .d-icon{color:#ddd;}.btn-link{background:transparent;border:0;outline:0;padding:0;color:#0f82af;}.btn-link:focus{outline:1px currentColor dotted;}.topic-list-item td:first-child,.topic-post{border-right:1px solid transparent;}.topic-list tr.selected td:first-child,.topic-list-item.selected td:first-child,.latest-topic-list-item.selected{box-shadow:-3px 0 0 #e45735 inset;}.featured-topic.selected,.topic-post.selected{box-shadow:3px 0 0 #e45735;}.latest .featured-topic{padding-right:4px;}.topic-list-item.selected{background-color:inherit;}.keyboard-shortcuts-modal .modal-body{max-height:560px;}#keyboard-shortcuts-help div.row{width:100%;}#keyboard-shortcuts-help div.row div{float:right;width:32%;}#keyboard-shortcuts-help ul{list-style:none;margin-right:0;}#keyboard-shortcuts-help ul li{margin:5px 0;}#keyboard-shortcuts-help ul kbd{font-size:15px;font-family:Helvetica,Arial,sans-serif;margin:0;color:#aaa;font-weight:bold;padding:2px 6px;white-space:nowrap;}.d-date-time-input{display:flex;align-items:center;border:1px solid #313131;width:258px;box-sizing:border-box;position:relative;flex:1;justify-content:space-between;}.d-date-time-input .date-picker,.d-date-time-input .fields{border:0;}.group-member-dropdown{text-align:right;}#banner{padding:10px;background:#052e3d;color:#ddd;z-index:2;overflow:auto;}#banner.overlay{position:fixed;}#banner .close{margin-top:-5px;color:#7a7a7a;padding-right:5px;float:left;}#banner .meta{display:none;}.ignored-list{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#222;min-height:30px;box-sizing:border-box;}.ignored-user-list-item{border:1px solid #909090;border-radius:0.25em;padding:0;display:flex;align-items:center;margin-left:10px;}.remove-ignored-user{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0.25em 0 0 0.25em;padding-top:0;padding-bottom:0;height:100%;}.ignored-user-name{padding-right:10px;padding-left:10px;}.d-date-input .date-picker{margin:0;text-align:right;width:100%;outline:none;box-shadow:none !important;}.d-date-input .pika-single{margin-right:-1px;}.d-time-input{box-sizing:border-box;}.d-time-input .fields{display:flex;align-items:center;border:1px solid #313131;}.d-time-input .fields .field{text-align:center;width:auto;margin:0;border:none;outline:none;box-shadow:none;width:32px;}.d-time-input .fields .field.time{width:100%;text-align:right;}.d-time-input .fields .field.hours,.d-time-input .fields .field.minutes{text-align:center;width:45px;}.d-time-input .fields .field.hours{padding-left:0;}.d-time-input .fields .field.minutes{padding-right:10px;width:55px;}.group-form-automatic-membership-automatic,.groups-form-grant-trust-level{margin-bottom:10px;}.conditional-loading-section.is-loading{padding:2em;margin:1em;display:flex;align-items:center;justify-content:center;background:#282828;flex-direction:column;}.conditional-loading-section.is-loading .title{font-size:1.1487em;font-weight:700;}.conditional-loading-section:not(.is-loading){animation:fadein 0.5s;-webkit-animation:fadein 0.5s;}@keyframes fadein{from{opacity:0;}to{opacity:1;}}@-webkit-keyframes fadein{from{opacity:0;}to{opacity:1;}}a.hashtag{color:#7a7a7a;font-weight:bold;}a.hashtag:visited,a.hashtag:hover{color:#7a7a7a;}a.hashtag:hover span{text-decoration:underline;}.convert-to-public-topic .modal-body .instructions{margin-bottom:1em;}.pika-table th,.pika-table td{padding:0 !important;border-top:none !important;border-bottom:none !important;}.date-picker-wrapper{position:relative;display:inline-block;}.date-picker{text-align:center;width:8em;margin:0;}.pika-single{position:absolute !important;}.animated-placeholder{height:20px;position:relative;}.card-avatar-placeholder{width:120px;height:120px;border-radius:100%;position:relative;overflow:hidden;}.card-avatar-placeholder:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;right:0;content:"";background:linear-gradient(to left,#282828 10%,#313131 82% 33%);height:120px;width:580px;}#user-card,#group-card{width:580px;box-shadow:0 4px 14px rgba(0,0,0,0.15);color:#ddd;background:#222 center center;background-size:cover;transition:opacity 0.2s,transform 0.2s;-webkit-transition:opacity 0.2s,-webkit-transform 0.2s;opacity:0;-webkit-transform:scale(0.9);transform:scale(0.9);}#user-card.show,#group-card.show{opacity:1;-webkit-transform:scale(1);transform:scale(1);}#user-card .card-content,#group-card .card-content{padding:10px;background:rgba(34,34,34,0.85);margin-top:80px;}#user-card .card-content:after,#group-card .card-content:after{content:"";display:block;clear:both;}#user-card .card-content a.card-huge-avatar,#group-card .card-content a.card-huge-avatar{outline:none;}#user-card.no-bg .card-content,#group-card.no-bg .card-content{margin-top:0;}#user-card .card-row:not(.first-row),#group-card .card-row:not(.first-row){margin-top:0.5em;}#user-card .first-row .names,#group-card .first-row .names{padding-right:1.25em;}#user-card .first-row .names .user-profile-link,#group-card .first-row .names .user-profile-link{display:flex;align-items:center;}#user-card .first-row .names .d-icon,#group-card .first-row .names .d-icon{margin:0 0.25em;}#user-card .first-row .names .name-username-wrapper,#group-card .first-row .names .name-username-wrapper{margin-left:0;flex:0 1 auto;}#user-card .first-row .names span,#group-card .first-row .names span{display:block;}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{list-style-type:none;margin:0;}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{width:100%;}#user-card .btn,#group-card .btn{margin-bottom:5px;}#user-card h1,#group-card h1{line-height:1.2;}#user-card h1 .d-icon,#group-card h1 .d-icon{color:#ddd;}#user-card h3,#group-card h3{display:inline;margin-left:0.5em;color:#ddd;}#user-card h3.email,#user-card h3 .desc,#user-card h3 a,#group-card h3.email,#group-card h3 .desc,#group-card h3 a{color:#a6a6a6;}#user-card h1,#user-card h2,#user-card h3,#group-card h1,#group-card h2,#group-card h3{margin:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#user-card h1 a,#user-card h2 a,#group-card h1 a,#group-card h2 a{color:#ddd;}#user-card h2,#user-card h3,#group-card h2,#group-card h3{font-weight:normal;}#user-card p,#group-card p{margin:0 0 5px 0;}#user-card .first-row{display:flex;}#user-card .first-row .avatar-placeholder{width:120px;height:120px;}#user-card .first-row .user-card-avatar{margin-top:-50px;}#user-card .first-row .new-user a{color:#7a7a7a;}#user-card .second-row{max-height:150px;overflow:auto;}#user-card .second-row .bio a{color:#ddd;text-decoration:underline;}#user-card .second-row .bio a.mention{text-decoration:none;}#user-card .second-row .bio .overflow{max-height:60px;overflow:hidden;}#user-card .second-row .suspended{color:#e45735;}#user-card .second-row .suspended .suspension-reason-title,#user-card .second-row .suspended .suspension-date{font-weight:bold;}#user-card .second-row .profile-hidden{font-size:1.1487em;margin-top:0.5em;}#user-card .third-row .location-and-website{display:flex;flex-wrap:wrap;width:100%;align-items:center;}#user-card .third-row .location-and-website .location,#user-card .third-row .location-and-website .website-name{display:flex;overflow:hidden;align-items:center;}#user-card .third-row .location-and-website .location .d-icon,#user-card .third-row .location-and-website .website-name .d-icon{margin-left:0.25em;}#user-card .third-row .location-and-website .website-name a,#user-card .third-row .location-and-website .location span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:#ddd;}#user-card .third-row .location-and-website .location{margin-left:0.5em;}#user-card .third-row .location-and-website .website-name a{text-decoration:underline;}#user-card .fifth-row .public-user-fields{margin:0;}#user-card .sixth-row .badge-section{display:flex;align-items:flex-start;}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;background:#282828;border:1px solid #313131;color:#ddd;}#group-card .first-row{display:flex;}#group-card .first-row .group-card-avatar{margin-top:-50px;}#group-card .first-row .avatar-flair{display:flex;background-size:contain;width:120px;height:120px;color:#ddd;}#group-card .first-row .avatar-flair .d-icon{margin:auto;font-size:80px;}#group-card .first-row .avatar-flair.rounded{border-radius:50%;}#group-card .second-row{max-height:150px;overflow:auto;}#group-card .second-row .bio a{color:#ddd;text-decoration:underline;}#group-card .second-row .bio img{max-width:100%;height:auto;}#group-card .second-row .bio a.mention{text-decoration:none;}#group-card .second-row .bio .overflow{max-height:60px;overflow:hidden;}body.footer-nav-visible #main-outlet{padding-bottom:64px;}body.footer-nav-visible #topic-progress-wrapper,body.footer-nav-visible #reply-control.draft{bottom:49px;}body.footer-nav-visible #reply-control.draft{margin-bottom:env(safe-area-inset-bottom);padding-bottom:0px;}.footer-nav{background-color:rgba(17,17,17,0.9);box-shadow:0 0 2px 0 rgba(0,0,0,0.25);height:49px;position:fixed;bottom:-49px;right:0;width:100%;z-index:900;transition:all linear 0.1s;}.footer-nav .d-icon{color:#909090;}.footer-nav.visible{bottom:0px;}.footer-nav .footer-nav-widget{display:flex;justify-content:"space-evenly";-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.footer-nav .footer-nav-widget button{flex:1;margin:4px;border-radius:2px;padding:14px 18px;}.footer-nav .footer-nav-widget button:disabled{opacity:0.6;}@supports (padding:0px){.footer-nav.visible{padding-bottom:max(5px,env(safe-area-inset-bottom));}}@supports (-webkit-backdrop-filter:blur(10px)){body:not(.footer-nav-ipad) .footer-nav{background-color:rgba(17,17,17,0.7);-webkit-backdrop-filter:blur(20px);}}body.footer-nav-ipad{padding-top:49px;}body.footer-nav-ipad .footer-nav{bottom:auto;top:0px;background-color:#111;z-index:1020;padding-bottom:0;}body.footer-nav-ipad #reply-control,body.footer-nav-ipad #reply-control.fullscreen{z-index:1021;}body.footer-nav-ipad.docked .d-header{margin-top:49px;}.share-and-invite.modal .modal-body{max-width:475px;min-width:320px;}.share-and-invite.modal .modal-header .modal-close{padding-right:0;}.share-and-invite.modal .share.modal-panel .header{display:flex;flex-direction:row;align-items:center;}.share-and-invite.modal .share.modal-panel .header .title{font-size:1em;font-weight:normal;margin-bottom:8px;}.share-and-invite.modal .share.modal-panel .header .title .post-date{color:#909090;font-size:.8706em;}.share-and-invite.modal .share.modal-panel .body{display:flex;flex-direction:column;}.share-and-invite.modal .share.modal-panel .body .topic-share-url{width:100%;height:auto;box-sizing:border-box;}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch a{word-break:break-all;font-size:1.1487em;}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch,.share-and-invite.modal .share.modal-panel .body .topic-share-url{margin-bottom:8px;}.share-and-invite.modal .share.modal-panel .body .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;}.share-and-invite.modal .share.modal-panel .body .sources .social-link{font-size:2.296em;margin-left:8px;}.share-and-invite.modal .invite.modal-panel .error-message,.share-and-invite.modal .invite.modal-panel .success-message{margin-bottom:8px;}.share-and-invite.modal .invite.modal-panel .body .invite-user-control,.share-and-invite.modal .invite.modal-panel .body .group-access-control,.share-and-invite.modal .invite.modal-panel .body .show-custom-message-control{margin-bottom:16px;}.share-and-invite.modal .invite.modal-panel .body .instructions{margin-bottom:8px;}.share-and-invite.modal .invite.modal-panel .body .email-or-username-input{width:100%;}.share-and-invite.modal .invite.modal-panel .footer{display:flex;align-items:center;}.share-and-invite.modal .invite.modal-panel .footer .btn-primary{margin-left:8px;}.share-and-invite.modal .invite.modal-panel .footer .btn-primary:last-child{margin-left:0;}.user-stream .item,.user-stream .user-stream-item{background-color:#222;border-bottom:1px solid #313131;}.user-stream .item.moderator-action,.user-stream .user-stream-item.moderator-action{background-color:#4c3319;}.user-stream .item.deleted,.user-stream .user-stream-item.deleted{opacity:0.8;background-color:rgba(223,67,30,0.7);}.user-stream .item.hidden,.user-stream .user-stream-item.hidden{display:block;opacity:0.4;}.user-stream .type,.user-stream span.name{color:#ddd;}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{display:block;float:left;color:#909090;font-size:.7579em;}.user-stream .draft-type{clear:left;}.user-stream .delete-info .d-icon{font-size:1em;}.user-stream .expand-item,.user-stream .collapse-item{float:left;margin-left:0.5em;line-height:1;color:#909090;}.user-stream .avatar-link{float:right;margin-left:4px;}.user-stream .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:block;}.user-stream .name{font-size:1em;max-width:400px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-stream .edit-reason{background-color:#54391c;padding:3px 5px 5px 5px;}.user-stream .remove-bookmark,.user-stream .remove-draft{float:left;margin-top:-4px;}.user-stream .notification li{display:inline-block;}.user-stream .notification p{display:inline-block;}.user-stream .notification p span:first-child{color:#ddd;}.user-stream .notification .time{display:inline-block;margin-right:10px;float:none;}.user-stream .notification .fa,.user-stream .notification .icon{color:#919191;font-size:1.7511em;}.user-stream .excerpt{margin:1em 0 0 0;font-size:1em;word-wrap:break-word;color:#ddd;}.user-stream .excerpt:empty{display:none;}.user-stream .excerpt details.disabled{color:#909090;}.user-stream .group-member-info{display:flex;}.user-stream .child-actions,.user-stream-item-actions,.user-stream-item-draft-actions{margin-top:8px;}.user-stream .child-actions .avatar-link,.user-stream-item-actions .avatar-link,.user-stream-item-draft-actions .avatar-link{float:none;margin-left:3px;}.user-stream .child-actions .fa,.user-stream-item-actions .fa,.user-stream-item-draft-actions .fa{width:15px;display:inline-block;color:#ddd;}.user-stream .child-actions .fa.d-icon-heart,.user-stream-item-actions .fa.d-icon-heart,.user-stream-item-draft-actions .fa.d-icon-heart{color:#fa6c8d;}.badge-notification,.badge-group{display:inline-block;font-weight:normal;white-space:nowrap;border-radius:10px;}.badge-wrapper{font-size:.8706em;font-weight:bold;white-space:nowrap;position:relative;display:inline-flex;align-items:baseline;}.badge-wrapper .badge-category{display:inline-flex;align-items:baseline;}.badge-wrapper .badge-category .category-name{text-overflow:ellipsis;overflow:hidden;}.badge-wrapper .badge-category .d-icon{margin-left:3px;width:0.74em;height:0.74em;color:inherit;}.badge-wrapper.bullet{margin-left:12px;}.badge-wrapper.bullet span.badge-category{color:#a6a6a6;overflow:hidden;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper.bullet span.badge-category{color:#ddd;}.badge-wrapper.bullet .badge-category-parent-bg,.badge-wrapper.bullet .badge-category-bg{flex:0 0 auto;width:9px;height:9px;margin-left:5px;display:inline-block;}.badge-wrapper.bullet .badge-category-parent-bg{width:5px;margin-left:0;}.badge-wrapper.bullet .badge-category-parent-bg+.badge-category-bg{width:5px;}.badge-wrapper.bullet .d-icon{color:#909090;}.badge-wrapper.box{margin-left:5px;padding:2px 4px 2px 4px;display:inline-flex;}.badge-wrapper.box span{overflow:hidden;text-overflow:ellipsis;}.badge-wrapper.box span.badge-category-bg,.badge-wrapper.box span.badge-category-parent-bg{position:absolute;top:0;left:0;bottom:0;right:0;}.badge-wrapper.box span.badge-category-parent-bg{width:calc(100% - 5px);}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg{right:5px;width:calc(100% - 5px);}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg+.badge-category{margin-right:5px;}.badge-wrapper.box span.badge-category{position:relative;}.badge-wrapper.box+.topic-header-extra{padding:2px 4px 2px 4px;}.badge-wrapper.bar{margin-left:5px;}.badge-wrapper.bar span.badge-category{color:#a6a6a6;padding:1px 3px;overflow:hidden;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper.bar span.badge-category{color:#ddd;}.badge-wrapper.bar .badge-category-parent-bg,.badge-wrapper.bar .badge-category-bg{display:inline-block;padding:0 1px;}.badge-wrapper.bar .badge-category-parent-bg:before,.badge-wrapper.bar .badge-category-bg:before{content:"\\a0";}.badge-wrapper.none{color:#a6a6a6;margin-left:5px;}.list-controls .category-breadcrumb a.badge-category{display:inline-block;padding:6px 8px;line-height:1.2;}.badge-notification{padding:0.21em 0.42em;min-width:0.5em;color:#222;font-size:.7579em;line-height:1;text-align:center;background-color:#bdbdbd;}.badge-notification[href]{color:#222;}.badge-notification:hover{color:#222;}.badge-notification.new-posts,.badge-notification.unread-posts{background-color:#0f82af;color:#222;font-weight:bold;}.badge-notification.new-topic{background-color:transparent;color:#0b6283;font-weight:normal;font-size:.8706em;}.badge-notification.new-topic::before{content:"●";margin-left:2px;}.badge-notification.clicks{font-weight:normal;background-color:#313131;top:-1px;color:#909090;position:relative;border:none;}.badge-posts{font-weight:normal;font-size:1em;line-height:1;}.badge-posts[href]{color:#919191;}.badge-group{padding:2px 5px;color:#ddd;background-color:#313131;border-color:#313131;font-size:.8706em;}.user-info{display:inline-block;clear:both;margin-bottom:1em;}.user-info .user-image{float:right;padding-left:4px;margin-left:10px;}.user-info .user-image-inner{position:relative;display:inline-block;}.user-info .user-detail{float:right;width:70%;padding-right:5px;}@media screen and (max-width:600px){.user-info .user-detail{font-size:.8706em;}}.user-info .user-detail .name-line{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-info .user-detail .username a{font-weight:bold;color:#bdbdbd;}.user-info .user-detail .name{margin-right:5px;color:#bdbdbd;}.user-info .user-detail .title{margin-top:3px;color:#919191;}.user-info.small{width:333px;}@media screen and (max-width:800px){.user-info.small{width:auto;display:flex;}}@media screen and (max-width:600px){.user-info.small{width:100%;}}.user-info.medium{min-height:60px;}.user-info.medium .username,.user-info.medium .name{display:block;}.user-info.medium .name{margin-right:0;}.user-info.medium.badge-info{min-height:80px;min-width:250px;}.user-info.medium.badge-info .granted-on{color:#919191;}.user-info.medium.badge-info .post-link{display:block;margin-top:0.2em;}.user-stream.filter-deleted{grid-column-start:1;grid-column-end:3;grid-row-start:2;}.popup-tip{position:absolute;display:block;padding:5px 10px;z-index:600;}.popup-tip.bad{background:#a13116;color:white;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}.popup-tip.hide,.popup-tip.good{display:none;}.popup-tip .close{float:left;color:#ddd;opacity:0.5;font-size:1em;margin:0 4px 0 0;cursor:pointer;}.popup-tip .close:hover{opacity:1;}#topic-entrance{border:1px solid #313131;padding:5px;background:#222;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:300;position:absolute;width:133px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}#topic-entrance button.full{width:100%;margin-bottom:5px;}#topic-entrance button.full .d-icon{display:block;margin:2px auto;transform:rotate(90deg);}#topic-entrance button.btn.jump-bottom{margin:5px 0 0 0;}@media print{.avatar,.topic-avatar,header,.topic-above-post-stream-outlet.topic-above-post-stream,.topic-map,.post-menu-area.clearfix,.post-menu-area.nav-pills,.post-menu-area.container,.post-menu-area.wrap,div#topic-footer-buttons,div.suggested-topics,div#progress-topic-wrapper,#topic-progress-wrapper,div.nums,._flyout,.show-topic-admin,#topic-progress,.quote-controls,.topic-status-info,div.lazyYT,.post-info.edits,.post-action,.saving-text,.draft-text,.discourse-modal,div.read-state,div.read-state.read,.edit-topic,a.reply-to-tab,a.reply-new,div.time-gap,#bottom,#footer,.alert-info,.badge-category,.badge-category-bg,.badge-notification.clicks,.crawler-nav,.powered-by-link{display:none !important;}a,a:visited{color:#0088cc !important;}div.row{border-top:1px solid #aaa;}.cooked pre code{max-height:none;}#main-outlet{padding:0 !important;}html,body{min-width:0;height:auto;}.lightbox-wrapper img{max-width:500px !important;height:auto !important;}.topic-body{width:auto;margin:0;padding:0;float:none;}.topic-post article.boxed .select-posts{width:auto;right:auto;left:0;}.gap{width:auto;}#topic-title{margin:0;padding:0;}#topic-title div div h1{margin:2.5em 0 0 0;padding:0;float:right;font-weight:normal;font-size:normal;}a,a:visited{color:#ddd;font-weight:bold;}.topic-category-outlet.show-topic-category-location,div.alert.alert-info.alert-emails-disabled,div.profiler-results.profiler-left.profiler-no-controls{display:none;}}section.about{margin-bottom:40px;}section.about h3{margin-bottom:15px;}section.about table{width:auto;}section.about table td{padding:10px;}section.about table td.title{width:33%;}.body-page{width:100%;max-width:700px;}.about-page .body-page{max-width:unset;}.about-page .body-page section:not(.admins):not(.moderators):not(.category-moderators){max-width:700px;}.about-page .body-page .about.category-moderators .badge-wrapper.bullet .badge-category{color:#ddd;}.mobile-view .body-page{font-size:1em;margin-top:20px;}.body-page li{margin-bottom:8px;}.body-page .nav-pills{margin-bottom:20px;}.body-page ul:not(.nav-pills),.body-page ol:not(.nav-pills){margin-right:40px;}body.crawler>header{width:100%;position:absolute;top:0;z-index:9999;background-color:#fff;padding:10px;box-shadow:none;border-bottom:1px solid #7a7a7a;box-sizing:border-box;}body.crawler div#main-outlet div.post{word-break:break-word;}body.crawler div#main-outlet div.post img{max-width:100%;height:auto;}body.crawler .raw-topic-link{display:block;font-weight:bold;margin-bottom:0.25em;}body.crawler .topic-list{margin-bottom:1em;}body.crawler footer{margin-top:3em;border-top:1px solid #7a7a7a;}.crawler-topic-title{margin-top:0.5em;}.crawler-post{margin-top:1em;margin-bottom:2em;padding-top:1.5em;border-top:1px solid #313131;}.crawler-post-meta{margin-bottom:1em;}.crawler-post-meta .creator{word-break:break-all;}.crawler-post-meta .creator a{font-weight:bold;}@media screen and (max-width:768px){.crawler-post-meta .creator{display:inline-block;margin-bottom:0.25em;}}.crawler-post-infos{color:#a6a6a6;display:inline-block;}@media screen and (min-width:768px){.crawler-post-infos{float:left;}}.crawler-post-infos [itemprop="position"]{float:right;margin-left:0.5em;}#breadcrumbs{margin-bottom:0.5em;font-size:1.1487em;}#breadcrumbs>div{margin-bottom:0.15em;}#breadcrumbs .badge-category-bg{background-color:#646464;}#breadcrumbs .category-title{color:#ddd;}.crawler-tags-list span{display:block;margin-bottom:0.15em;}.crawler-linkback-list{margin-top:1em;}.crawler-linkback-list a{display:block;padding:0.5em 0;border-top:1px solid #313131;}.crawler-nav{margin:1em 0;}.crawler-nav ul{margin:0;list-style-type:none;}.crawler-nav li{display:inline-block;}.crawler-nav a{display:inline-block;padding:0.5em 0 0.5em 1em;}div.ac-wrap.composer-user-selector-limited{width:400px;padding:0 10px;margin-bottom:5px;}div.ac-wrap.composer-user-selector-limited .btn-primary{margin-right:0.5em;padding:3px 6px 2px;font-size:.8706em;min-height:unset;}@keyframes ping{from{transform:scale(0.25);opacity:1;}to{transform:scale(2);opacity:0;}}@keyframes rotate-forever{0%{transform:rotate(0deg);}100%{transform:rotate(360deg);}}@keyframes background-fade-highlight{0%{background-color:#052e3d;}100%{background-color:transparent;}}@keyframes placeHolderShimmer{0%{background-position:right -1000px 0;}100%{background-position:right 1100px 0;}}.placeholder-animation{animation-duration:4s;animation-fill-mode:forwards;animation-iteration-count:infinite;animation-name:placeHolderShimmer;animation-timing-function:linear;background:#282828;background:linear-gradient(to left,#282828 10%,#313131 82% 33%);}html{height:100%;}body{background-attachment:fixed;background-size:cover;min-height:100%;}body:before,body:after{content:"";display:table;}body:after{clear:both;}big{font-size:2em;}small{font-size:.7579em;}blockquote{border-right:5px solid #313131;background-color:#3c3c3c;clear:both;}h1,h2,h3,h4,h5,h6{margin-top:0;margin-bottom:0.5rem;}button.ok{background:#1ca551;color:#222;}button.ok .d-icon{color:currentColor;}.discourse-no-touch button.ok:hover,.discourse-no-touch button.ok.btn-hover{background:#23d166;color:#222;}button.cancel{background:#e45735;color:#222;}button.cancel .d-icon{color:currentColor;}.discourse-no-touch button.cancel:hover,.discourse-no-touch button.cancel.btn-hover{background:#ea7c62;color:#222;}a.cancel{margin-right:1.25em;line-height:normal;color:#a6a6a6;transition:color 250ms;}a.cancel:hover{color:#e45735;}ul.breadcrumb{margin:0 10px 0 10px;}a.no-href{cursor:pointer;}img.avatar{border-radius:50%;}span.relative-date{white-space:nowrap;}label{display:flex;margin-bottom:5px;align-items:flex-start;}label>.d-icon{align-self:center;margin-left:4px;}input[type="radio"],input[type="checkbox"]{margin-top:0.17em;margin-left:0.43em;margin-right:0.1em;line-height:1;cursor:pointer;flex-shrink:0;}input[type="submit"],input[type="reset"],input[type="button"],input[type="radio"],input[type="checkbox"]{width:auto;}input.invalid{background-color:#631e0d;}.radio input[type="radio"],.checkbox input[type="checkbox"]{float:right;margin-right:-18px;}input,select,textarea{color:#ddd;caret-color:currentColor;}input[class*="span"],select[class*="span"],textarea[class*="span"]{float:none;margin-right:0;}input[disabled],input[readonly],select[disabled],select[readonly],textarea[disabled],textarea[readonly]{cursor:not-allowed;background-color:#313131;border-color:#313131;}input:focus:required:invalid,select:focus:required:invalid,textarea:focus:required:invalid{color:#e45735;border-color:#e45735;}input:focus:required:invalid:focus,select:focus:required:invalid:focus,textarea:focus:required:invalid:focus{border-color:#e45735;box-shadow:0 0 6px 0 #e45735;}input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]{-webkit-appearance:none;-moz-appearance:none;appearance:none;display:inline-block;padding:4px 10px;margin-bottom:9px;font-size:1em;line-height:1;color:#ddd;background-color:#222;border:1px solid #909090;border-radius:0;box-sizing:border-box;min-height:30px;}input[type="text"]:focus,input[type="password"]:focus,input[type="datetime"]:focus,input[type="datetime-local"]:focus,input[type="date"]:focus,input[type="month"]:focus,input[type="time"]:focus,input[type="week"]:focus,input[type="number"]:focus,input[type="email"]:focus,input[type="url"]:focus,input[type="search"]:focus,input[type="tel"]:focus,input[type="color"]:focus{border-color:#0f82af;box-shadow:0 0 6px 0 #0f82af;outline:0;}.input-prepend,.input-append{margin-bottom:5px;}.input-prepend input[class*="span"],.input-append input[class*="span"]{display:inline-block;}.input-prepend input,.input-prepend select,.input-append input,.input-append select{position:relative;margin-bottom:0;vertical-align:middle;border-radius:0;}.input-prepend input:focus,.input-prepend select:focus,.input-append input:focus,.input-append select:focus{z-index:2;}.input-prepend .add-on,.input-append .add-on{display:inline-flex;align-items:center;width:auto;padding:0 0.5em;height:28px;background-color:#313131;border:1px solid #909090;}.input-prepend .add-on:first-child,.input-prepend .btn:first-child,.input-append .add-on:first-child,.input-append .btn:first-child{margin-left:-1px;}.input-prepend .add-on:last-child,.input-prepend .btn:last-child,.input-append .add-on:last-child,.input-append .btn:last-child{margin-right:-1px;border-radius:3px 0 0 3px;}.input-prepend .add-on,.input-prepend .btn{margin-left:-1px;}textarea{height:auto;background-color:#222;border:1px solid #909090;}textarea:focus{border-color:#0f82af;box-shadow:0 0 6px 0 #0f82af;outline:0;}select{border:1px solid #313131;}table th{font-weight:normal;color:#909090;text-align:right;padding:0.5em;}.sortable{white-space:nowrap;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.discourse-no-touch .sortable:hover{background-color:#313131;}.sortable .d-icon{margin-right:0.25em;}.radio,.checkbox{min-height:18px;padding-right:18px;}.controls>.radio:first-child,.controls>.checkbox:first-child{padding-top:5px;}.radio.inline,.checkbox.inline{display:inline-block;padding-top:5px;margin-bottom:0;vertical-align:middle;}.radio.inline .radio.inline,.checkbox.inline .checkbox.inline{margin-right:10px;}.wrap{margin-left:auto;margin-right:auto;padding:0 8px;}.wrap .contents{position:relative;}.boxed.white{background-color:#222;}.full-width{margin-right:12px;}.coldmap-high{color:#646464 !important;}.coldmap-med{color:#646464 !important;}.coldmap-low{color:#919191 !important;}.top-space{margin-top:10px;}.message{border-radius:8px;background-color:#222;padding:14px;}.message h2{margin-bottom:20px;}.clear-transitions{transition:none !important;}.tip{display:inline-block;}.tip.good{color:#1ca551;}.tip.bad{color:#e45735;}.avatar-wrapper{background-color:#222;display:inline-block;border-radius:50%;}.profiler-results.profiler-left{top:60px !important;}.flex-center-align{display:flex;align-items:center;}.unread-private-messages{color:#222;background:#1ca551;}.unread-private-messages.badge-notification[href]{color:#222;}.ring-backdrop-spotlight{position:absolute;width:80px;height:80px;top:-18px;left:-18px;background-image:radial-gradient(40px at 50% 50%,transparent 95%,#ddd 100%);opacity:0.85;}.ring-backdrop{position:absolute;width:80px;height:80px;top:-18px !important;left:-18px !important;box-shadow:0 0 0 9999px rgba(221,221,221,0.85);z-index:1200;}.ring-first-notification{position:absolute;color:#222;text-align:right;left:70px;top:60px;width:230px;line-height:1.2;}.ring{background:-webkit-radial-gradient(transparent,#090);background:-o-radial-gradient(transparent,#090);background:-moz-radial-gradient(transparent,#090);background:radial-gradient(transparent,#090);top:-11px !important;left:23.5px !important;border-radius:100%;width:20px;height:20px;-moz-animation-iteration-count:infinite;-webkit-animation-iteration-count:infinite;-webkit-transform-origin:center;-moz-animation-duration:3s;-webkit-animation-duration:3s;-moz-animation-name:ping;-webkit-animation-name:ping;}.fade{opacity:0;transition:opacity 0.15s linear;}.fade.in{opacity:1;}.inline-spinner{display:inline-block;margin:0;}.spinner{margin:20px auto 20px auto;position:relative;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;height:30px;width:30px;border:4px solid #9e9e9e;border-right-color:transparent;border-radius:50%;}.spinner.small{width:10px;height:10px;margin:0;display:inline-block;}.content-list h3{color:#909090;font-size:1.1487em;padding-right:5px;margin-bottom:10px;}.content-list ul{list-style:none;margin:0;}.content-list ul li{border-bottom:1px solid #313131;}.content-list ul li:first-of-type{border-top:1px solid #313131;}.content-list ul li a{display:block;padding:10px;color:#ddd;}.content-list ul li a:hover{background-color:#313131;color:#ddd;}.content-list ul li a.active{font-weight:bold;color:#ddd;}.form-vertical input,.form-vertical textarea,.form-vertical select,.form-vertical .input-prepend,.form-vertical .input-append{display:inline-block;margin-bottom:0;flex:0 0 auto;}.form-vertical .control-group:before,.form-vertical .control-group:after{content:"";display:table;}.form-vertical .control-group:after{clear:both;}.form-vertical .control-label{font-weight:bold;font-size:1.3195em;line-height:1.4;}.form-vertical .controls{margin-right:0;}#main img.avatar.header{width:45px;height:45px;}#main img.avatar.medium{width:32px;height:32px;}#main img.avatar.small{width:25px;height:25px;}#main img.avatar.tiny{width:20px;height:20px;}#main .user-list .user{padding-bottom:5px;}#loading-message{position:absolute;font-size:2em;text-align:center;top:120px;right:500px;color:#ddd;}#footer .container{height:50px;}#footer .container .contents{padding-top:10px;}#footer .container .contents a[href]{color:#222;}.inline{display:inline;}.pref-auth-tokens .row{border-bottom:1px solid #ddd;margin:5px 0px;padding-bottom:5px;}.pref-auth-tokens .row:last-child{border-bottom:0;}.pref-auth-tokens .auth-token-icon{color:#909090;font-size:2.25em;float:right;margin-left:10px;}.pref-auth-tokens .auth-token-first{font-size:1.1em;}.pref-auth-tokens .auth-token-first .auth-token-device{font-weight:bold;}.pref-auth-tokens .auth-token-second{color:#909090;}.pref-auth-tokens .auth-token-second .active{color:#1ca551;font-weight:bold;}.pref-auth-tokens .auth-token-dropdown{float:left;}.pref-auth-tokens .auth-token-dropdown .btn,.pref-auth-tokens .auth-token-dropdown .btn:hover{background:transparent;}.pref-auth-tokens .auth-token-dropdown .btn .d-icon,.pref-auth-tokens .auth-token-dropdown .btn:hover .d-icon{color:#a6a6a6;}.pref-auth-tokens .dropdown-menu{width:120px;}.pref-auth-tokens .dropdown-menu .icon{margin-top:auto;}.topic-statuses{display:inline;float:right;margin-left:0.15em;}.topic-statuses .topic-status{margin:0;display:inline-flex;color:#909090;}.topic-statuses .topic-status .d-icon{height:0.76em;width:0.75em;}.topic-statuses .topic-status:not(:last-child){margin-left:0.15em;}.topic-statuses .d-icon-envelope{color:#e45735;}.broken-theme-alert{font-size:15px;font-weight:bold;padding:5px 0;background:#a13116;text-align:center;z-index:9999;color:#222;}.error-page{text-align:center;padding-top:2em;}.error-page .face{font-size:4.286em;}.error-page .reason{font-size:1.7511em;}.error-page .url{font-style:italic;font-size:.8706em;}.error-page .desc{margin-top:16px;}.error-page .desc .d-icon-check-circle{color:#1ca551;}.error-page .buttons{display:inline-flex;margin-top:15px;}.error-page .buttons button{margin:0 20px;}.category-list{table-layout:fixed;}.category-list .category-text-title{display:flex;align-items:baseline;}.category-list .category-name{display:inline-block;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:text-top;line-height:1.2;}.category-boxes,.category-boxes-with-topics{display:flex;flex-wrap:wrap;justify-content:flex-start;margin-top:1em;margin-bottom:1em;width:100%;}.category-boxes .category-box,.category-boxes-with-topics .category-box{display:flex;flex-direction:row;align-content:flex-start;cursor:pointer;box-sizing:border-box;border-width:0;border-right-width:6px;border-style:solid;border-color:#313131;}.mobile-view .category-boxes .category-box,.mobile-view .category-boxes-with-topics .category-box{width:100%;}.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{display:block;width:auto;height:40px;margin:0 auto 1em auto;}@supports (--custom:property){.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{--height:40px;width:calc(var(--height) * var(--aspect-ratio));max-width:100%;}}.category-boxes .category-box-inner,.category-boxes-with-topics .category-box-inner{box-sizing:border-box;width:100%;padding:0;display:flex;flex-direction:column;border-width:2px;border-right-width:0;border-style:solid;border-color:#313131;}.category-boxes.no-logos .logo,.category-boxes-with-topics.no-logos .logo{display:none;}.category-boxes .category-box{width:23%;margin:0 1% 1.5em 1%;}.category-boxes .category-box>a{width:100%;padding:0;}.category-boxes .category-box .category-box-inner{padding:1em;}.category-boxes .category-box .category-box-inner .category-logo{float:none;margin:0;}.category-boxes.no-logos .category-box .category-box-inner>a{padding:3em 1em;}.category-boxes .description{padding-bottom:1em;text-align:center;font-size:1em;color:#646464;}.category-boxes .description .overflow{max-height:6em;}.category-boxes h3{font-size:1.3195em;margin-bottom:0.5em;margin-top:0.25em;line-height:1.2;text-align:center;color:#ddd;overflow:hidden;}.category-boxes .subcategories{display:flex;flex-flow:wrap;}.category-boxes .subcategories .subcategory{display:flex;align-items:center;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;margin-left:1em;margin-bottom:0.6em;}.category-boxes .subcategories .subcategory .subcategory-image-placeholder{display:inline-block;margin-left:0.6em;}.category-boxes .subcategories .subcategory .subcategory-link{min-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.category-boxes .subcategories .subcategory .logo img{display:inline-block;height:20px;width:20px;margin:0;}.category-boxes-with-topics .category-box{width:31%;margin:0 1% 1.5em 1%;padding:0;}.category-boxes-with-topics h3{font-size:1.3195em;text-align:center;overflow:hidden;}.category-boxes-with-topics .category-box-heading{padding:1em 1em 0.5em 1em;}.category-boxes-with-topics .category-box-heading a[href]{width:100%;color:#ddd;}.category-boxes-with-topics .featured-topics{padding:0.5em 1em 1em 1em;}.category-boxes-with-topics .featured-topics ul{color:#909090;list-style:none;padding:0;margin:0;}.category-boxes-with-topics .featured-topics li{padding:4px 0;display:flex;align-items:baseline;}.category-boxes-with-topics .featured-topics li .overflow{max-height:3em;overflow:hidden;}.category-boxes-with-topics .featured-topics li .d-icon{margin-left:0.15em;width:0.76em;height:0.76em;}.categories-list .category h3 .d-icon{color:#909090;height:0.76em;width:0.76em;vertical-align:baseline;margin-left:0.15em;}.category-boxes-with-topics .category-box h3 .d-icon,.category-boxes .category-box h3 .d-icon{margin-left:0;}#share-link{position:absolute;right:20px;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-color:#222;padding:8px 8px 4px 8px;width:300px;display:none;}#share-link.visible{display:block;}#share-link input[type="text"]{width:100%;}#share-link .share-for-touch .overflow-ellipsis{clear:both;}#share-link .share-for-touch{margin:14px 0;}#share-link .title{margin-bottom:4px;align-items:center;display:flex;justify-content:space-between;}#share-link .title h3{font-size:1em;margin:0;}#share-link .title .date{font-weight:normal;color:#919191;}#share-link .copy-text{display:inline-block;position:absolute;margin:5px 15px 5px 5px;color:#1ca551;opacity:1;transition:opacity 0.25s;font-size:1em;}#share-link .copy-text:not(.success){opacity:0;}#share-link .social-link{margin-left:8px;font-size:1.7511em;}#share-link .social-link .d-icon{color:#fff;}#share-link .social-link .d-icon-fab-facebook{color:#fff;}#share-link .social-link .d-icon-fab-twitter-square{color:#fff;}#share-link input[type="text"]{font-size:1.1487em;margin-bottom:0;}#share-link .actions{display:flex;align-items:flex-end;margin-top:8px;}#share-link .actions .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;max-width:45%;}#share-link .actions .sources .social-link{margin-left:8px;}#share-link .actions .alt-actions{display:flex;align-items:center;flex:1;justify-content:flex-end;height:36px;}#share-link .actions .alt-actions .close-share{font-size:1.5157em;color:#919191;}#share-link .actions .alt-actions .new-topic{margin-left:16px;}.discourse-no-touch #share-link .share-for-touch{display:none;}.discourse-touch #share-link input[type="text"]{display:none;}.ember-select{background-color:#222;color:#ddd;}.uploaded-image-preview{background:#ddd center;background-size:cover;position:relative;}.uploaded-image-preview .placeholder-overlay{background-size:contain;background-repeat:no-repeat;background-position:center;position:absolute;top:0;right:0;width:100%;height:100%;opacity:0.3;}.uploaded-image-preview .image-upload-controls{position:relative;display:flex;padding:10px;}.uploaded-image-preview .image-upload-controls .btn{margin-left:5px;padding:7px 10px;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn{background:none;margin-left:0;margin-right:auto;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn .d-icon{color:#313131;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover{background:none;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover .d-icon{color:#ddd;}.image-uploader.no-repeat .uploaded-image-preview{background-repeat:no-repeat;}.image-uploader.contain-image .uploaded-image-preview{background-size:contain;}.hidden-upload-field{visibility:hidden;position:absolute;}.search-container{display:flex;justify-content:space-between;}.search-container .warning{background-color:#a13116;padding:5px 8px;color:#222;}.search-container .search-bar{display:flex;justify-content:space-between;align-items:center;justify-content:space-between;margin-bottom:1em;}.search-container .search-bar .search-query{flex:1 0 0px;margin:0 0 0 0.5em;}.search-container .search-bar .search-cta{padding-bottom:6.5px;padding-top:6.5px;}.search-container .search-advanced{width:70%;}@media screen and (max-width:850px){.search-container .search-advanced{width:65%;}}.search-container .search-advanced .search-actions,.search-container .search-advanced .search-notice,.search-container .search-advanced .search-results,.search-container .search-advanced .search-title,.search-container .search-advanced .search-bar{margin-bottom:1em;}.search-container .search-advanced .search-info{display:flex;flex-wrap:wrap;border-bottom:3px solid #313131;padding-bottom:0.5em;margin-bottom:1em;flex-direction:row;align-items:center;}.search-container .search-advanced .search-info .result-count{display:flex;}.search-container .search-advanced .search-info .result-count .term{font-weight:bold;}.search-container .search-advanced .search-info .result-count span+span{margin-right:0.25em;}.search-container .search-advanced .search-info .sort-by{display:flex;margin-right:auto;align-items:center;}.search-container .search-advanced .search-info .sort-by .desc{margin-left:0.5em;}.search-container .search-advanced .search-info .sort-by .combo-box{min-width:150px;}.search-container .search-advanced .search-title{display:flex;justify-content:flex-start;align-items:center;}.search-container .search-advanced .search-title .bulk-select{margin-right:0.5em;}.search-container .search-advanced .search-title .fps-select a{margin-right:0.5em;font-size:.8706em;}.search-container .search-advanced .search-title .fps-select a:hover{text-decoration:underline;}.search-container .search-advanced .search-notice .fps-invalid{padding:0.5em;background-color:#591b0c;border:1px solid #a13116;color:#e45735;}.search-container .search-advanced-sidebar{width:30%;margin-right:1em;display:flex;flex-direction:column;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar{width:35%;}}.search-container .search-advanced-sidebar #search-min-post-count,.search-container .search-advanced-sidebar .date-picker,.search-container .search-advanced-sidebar .combo-box,.search-container .search-advanced-sidebar .ac-wrap,.search-container .search-advanced-sidebar .control-group,.search-container .search-advanced-sidebar .date-picker-wrapper,.search-container .search-advanced-sidebar .search-advanced-category-chooser{box-sizing:border-box;width:100%;min-width:100%;}.search-container .search-advanced-sidebar #search-min-post-count input,.search-container .search-advanced-sidebar #search-min-post-count .item,.search-container .search-advanced-sidebar .date-picker input,.search-container .search-advanced-sidebar .date-picker .item,.search-container .search-advanced-sidebar .combo-box input,.search-container .search-advanced-sidebar .combo-box .item,.search-container .search-advanced-sidebar .ac-wrap input,.search-container .search-advanced-sidebar .ac-wrap .item,.search-container .search-advanced-sidebar .control-group input,.search-container .search-advanced-sidebar .control-group .item,.search-container .search-advanced-sidebar .date-picker-wrapper input,.search-container .search-advanced-sidebar .date-picker-wrapper .item,.search-container .search-advanced-sidebar .search-advanced-category-chooser input,.search-container .search-advanced-sidebar .search-advanced-category-chooser .item{padding-right:4px;}.search-container .search-advanced-sidebar .date-picker-wrapper{margin-top:0.5em;}.search-container .search-advanced-sidebar .date-picker{box-sizing:border-box;text-align:right;padding:4px;margin-bottom:0;}.search-container .search-advanced-sidebar .search-advanced-title{background:#313131;padding:0.358em 1em;font-weight:700;text-align:right;font-weight:bold;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar .search-advanced-title{padding:0.358em 0.5em;}}.search-container .search-advanced-sidebar .search-advanced-title.btn{background:#313131;}.search-container .search-advanced-sidebar .search-advanced-title .d-icon{margin:0;}.search-container .search-advanced-sidebar .search-advanced-filters{background:#282828;padding:1em;}.search-container .search-advanced-sidebar .search-advanced-filters .control-group{margin-bottom:15px;}.search-container .search-advanced-sidebar .search-advanced-filters section.field{margin-top:5px;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar .search-advanced-filters{padding:0.75em 0.5em;}.search-container .search-advanced-sidebar .search-advanced-filters .ac-wrap,.search-container .search-advanced-sidebar .search-advanced-filters .choices,.search-container .search-advanced-sidebar .search-advanced-filters .select-kit.multi-select{width:100% !important;}.search-container .search-advanced-sidebar .search-advanced-filters .select-kit{min-width:unset;}}.fps-invalid{margin-bottom:1em;}.fps-result{display:flex;margin-bottom:28px;max-width:780px;}.fps-result .author{display:inline-block;vertical-align:top;}.fps-result .like-count{color:#919191;}.fps-result .like-count .fa{color:#fa6c8d;font-size:.8706em;}.fps-result .badge-wrapper span.badge-category{max-width:inherit;}.fps-result .search-category{padding-top:3px;}.fps-result .topic{padding-bottom:2px;max-width:700px;}.fps-result .avatar{margin-left:14px;}.fps-result a.search-link:visited .topic-title{color:#0b6283;}.fps-result .search-link .topic-title{font-size:1.3195em;line-height:1.2;}.fps-result .search-link .topic-statuses{display:inline-block;font-size:1.3em;line-height:1.2;color:#909090;}.fps-result .search-link .topic-statuses span{line-height:1;}.fps-result .blurb{font-size:1em;line-height:1.4;word-wrap:break-word;max-width:640px;color:#919191;}.fps-result .blurb .date{color:#646464;}.fps-result .blurb .search-highlight{color:#bdbdbd;}.fps-result .discourse-tag{font-size:.8706em;}.fps-topic{display:inline-block;}.no-results-suggestion{margin-top:30px;}.search-footer{margin-bottom:30px;}.panel-body-contents .search-context label{float:right;}.google-search-form{margin-top:2em;}a.loading-onebox:before{content:"";display:inline-flex;float:right;margin:3px 0 0 5px;position:relative;height:10px;width:10px;border:2px solid #7a7a7a;border-right-color:transparent;border-radius:50%;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;}.onebox-result{border-right:5px solid #313131;background-color:#3c3c3c;margin-top:15px;padding:12px;font-size:1em;}.onebox-result>.source{margin-bottom:12px;margin-left:10px;display:block;color:#ddd;position:relative;height:20px;}.onebox-result>.source .info{position:absolute;font-size:1em;}.onebox-result>.source .info a{color:black;text-decoration:none;padding-left:10px;}.onebox-result>.source .info img.favicon{margin-left:3px;}.onebox-result .onebox-result-body{padding-top:5px;}.onebox-result .onebox-result-body img{max-height:80%;max-width:25%;height:auto;float:right;margin-left:10px;}.onebox-result .onebox-result-body h3,.onebox-result .onebox-result-body h4{margin:0;}.onebox-result .onebox-result-body code{max-height:400px;}.onebox-result .onebox-result-body .metrics{clear:both;padding-bottom:25px;}.onebox-result .onebox-result-body .metrics .metric{display:inline-block;padding-right:33px;float:right;}.onebox-result .onebox-result-body img.verdict{float:none;margin-left:7px;}.onebox-result .onebox-result-body img.popcorn{float:none;margin-right:20px;margin-left:5px;}aside.onebox{border:5px solid #313131;margin-bottom:1em;padding:12px 12px 12px 25px;font-size:1em;}aside.onebox header{margin-bottom:8px;}aside.onebox header a[href]{color:#919191;text-decoration:none;}aside.onebox.stackexchange .source{background:url('/assets/favicons/stackexchange-9e9f17242c6d44137d40a3e55c71129060b103bfa31b7fead4ca3f18358da29f.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.twitterstatus .source{background:url('/assets/favicons/twitter-4ff0f6e16c5f53ddd3b51eeeff8610ea0432d8ebafce89785d75c231386f80d7.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.wikipedia .source{background:url('/assets/favicons/wikipedia-8feddaf7544a35c824f2e4274227fe8e7e7af71ddfe26523fe5fe20497cf5799.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubblob .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubcommit .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubpullrequest .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubissue .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubgist .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.amazon .source{background:url('/assets/favicons/amazon-882adb9da23d489f1d53ba95c6ea4052536732d9caa57ec82a8f8d0f508e48ea.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.instagram .source{background:url('/assets/favicons/instagram-b10f04096a20e469f83a32ec24519d1f20ab473209a77a3c7dbfe767613c9e5f.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.googledocs .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.googledrive .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox .onebox-body{clear:both;}aside.onebox .onebox-body h3,aside.onebox .onebox-body h4{font-size:1.1487em;margin:0 0 10px 0;}aside.onebox .onebox-body a[href]{color:#0f82af;text-decoration:none;}aside.onebox .onebox-body a[href]:visited{color:#0f82af;}aside.onebox .onebox-body img{max-height:170px;max-width:20%;height:auto;width:auto;float:right;margin-left:10px;}@media all and (max-width:600px){aside.onebox .onebox-body img{max-width:35%;}}aside.onebox .onebox-body img.onebox-full-image{max-height:none;max-width:none;width:initial;height:initial;}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{width:100%;}aside.onebox .onebox-body [style*="--aspect-ratio"]>img{height:auto;}@supports (--custom:property){aside.onebox .onebox-body .aspect-image{max-height:170px;--magic-ratio:calc(var(--aspect-ratio) + 0.15);width:calc(128px * var(--magic-ratio));max-width:20%;float:right;margin-left:10px;height:auto;}aside.onebox .onebox-body .aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;margin-left:none;}aside.onebox .onebox-body .aspect-image-full-size{max-height:500px;width:calc(500px * var(--aspect-ratio));max-width:100%;}aside.onebox .onebox-body .aspect-image-full-size img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;padding:5px 5px 5px 5px;}aside.onebox .onebox-body [style*="--aspect-ratio"]{position:relative;}aside.onebox .onebox-body [style*="--aspect-ratio"]::before{content:"";display:block;padding-bottom:calc(100% / (var(--aspect-ratio)));}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{position:absolute;top:0;right:0;height:100%;}}aside.onebox .onebox-body p:last-child{margin-bottom:4px;}aside.onebox .onebox-body .tweet-images{display:block;clear:both;}aside.onebox .onebox-body .tweet-images img.tweet-image{margin-top:1em;max-width:100%;max-height:100%;float:none;}@media screen and (max-width:550px){aside.onebox .onebox-body .tweet-images iframe{max-height:70vh;}}aside.onebox .onebox-body.user-onebox .fa{margin-left:5px;}aside.onebox .onebox-body.user-onebox .full-name,aside.onebox .onebox-body.user-onebox .location{margin-left:10px;}aside.onebox .onebox-body .instagram-images,aside.onebox .onebox-body .scale-images{clear:both;position:relative;}aside.onebox .onebox-body .instagram-images .instagram-image,aside.onebox .onebox-body .instagram-images .scale-image,aside.onebox .onebox-body .scale-images .instagram-image,aside.onebox .onebox-body .scale-images .scale-image{padding:5px 5px 5px 5px;max-width:100%;max-height:100%;float:none;}aside.onebox .onebox-body .instagram-video-icon{bottom:10px;left:10px;position:absolute;}aside.onebox .onebox-body .instagram-video-icon:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32px' height='32px' viewBox='0 0 512 512' fill='white'%3E%3Cpath d='M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z'%3E%3C/path%3E%3C/svg%3E");}.googledocs-onebox-logo{width:60px;height:50px;float:right;}.googledocs-onebox-logo.g-docs-logo{background:url('/assets/favicons/google_branding/logo_docs_48px-ba6cf22f5336743da95749fb1172023f37e55e8783a2766de8d9097b4cc6b5b9.png') no-repeat;}.googledocs-onebox-logo.g-forms-logo{background:url('/assets/favicons/google_branding/logo_forms_48px-d64ec45f889caa62cd4c52bcff1475ef487b9662b5ed6104aa9fa6f8557b09fc.png') no-repeat;}.googledocs-onebox-logo.g-sheets-logo{background:url('/assets/favicons/google_branding/logo_sheets_48px-ca5da2b813ac5382a7b3a42d1327ddbced98467021466efe5494c25ca50f5a38.png') no-repeat;}.googledocs-onebox-logo.g-slides-logo{background:url('/assets/favicons/google_branding/logo_slides_48px-a752c1f8e690496c7b22265f77ebfbc2d584aa42b2e4392f72b1c5a144bbb95f.png') no-repeat;}.googledocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_48px-7e0f251c12ecc35f5260919fe00b3789c58257b76c4288d458a6718f12367145.png') no-repeat;}.googledocs-onebox-logo.g-drive-logo{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat;}.gdocs-onebox-splash{background-color:#7c7c7c;color:#ddd;border:1px inset #ddd;}.gdocs-onebox-splash .gdocs-onebox-logo{display:inline-block;width:128px;height:128px;}.gdocs-onebox-splash .gdocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_128px-231ebf870f91f296642eb4e881c76013c818b2f677aec3b1faaac33f72811f56.png') no-repeat;}aside.onebox .onebox-body .onebox-avatar{max-height:none;max-width:none;height:60px;width:60px;}blockquote aside.onebox{border-right:5px solid #313131;background-color:#3c3c3c;}pre.onebox code ol.lines li:before{position:absolute;display:inline-block;width:35px;right:-40px;color:#afafaf;text-align:left;padding-left:5px;font-size:.8706em;line-height:1.4;content:counter(li-counter);counter-increment:li-counter;}pre.onebox code ol{margin-right:0;line-height:1.4;}pre.onebox code{background-color:#000;}pre.onebox code li{padding-right:5px;}pre.onebox code ol.lines{position:relative;margin:0 40px 0 0;}pre.onebox code ol.lines li{list-style-type:none;padding-right:5px;margin-right:0;border-right:1px solid #cfcfcf;min-height:1.5em;white-space:pre;}pre.onebox code li.selected{background-color:#541;}pre.onebox code{white-space:normal;}.onebox.githubpullrequest .onebox-body h4,.onebox.githubcommit .onebox-body h4,.onebox.githubissue .onebox-body h4{margin-bottom:5px;}.onebox.githubpullrequest .onebox-body>.github-icon,.onebox.githubcommit .onebox-body>.github-icon,.onebox.githubissue .onebox-body>.github-icon{float:right;margin-left:5px;}.onebox.githubpullrequest .github-row,.onebox.githubcommit .github-row,.onebox.githubissue .github-row{display:flex;}.onebox.githubpullrequest .github-icon-container,.onebox.githubcommit .github-icon-container,.onebox.githubissue .github-icon-container{display:flex;align-items:flex-start;margin-left:5px;}.onebox.githubpullrequest .github-icon,.onebox.githubcommit .github-icon,.onebox.githubissue .github-icon{fill:#a6a6a6;width:40px;height:40px;}.onebox.githubpullrequest .branches,.onebox.githubcommit .branches,.onebox.githubissue .branches{font-size:.8706em;}.onebox.githubpullrequest .branches code,.onebox.githubcommit .branches code,.onebox.githubissue .branches code{word-break:break-all;}.onebox.githubpullrequest .github-info-container,.onebox.githubcommit .github-info-container,.onebox.githubissue .github-info-container{width:100%;}.onebox.githubpullrequest .github-info,.onebox.githubcommit .github-info,.onebox.githubissue .github-info{display:flex;align-items:center;flex-wrap:wrap;width:100%;}.onebox.githubpullrequest .github-info>div,.onebox.githubcommit .github-info>div,.onebox.githubissue .github-info>div{margin:2.5px 0;}.onebox.githubpullrequest .github-info>div:not(:last-child),.onebox.githubcommit .github-info>div:not(:last-child),.onebox.githubissue .github-info>div:not(:last-child){margin-left:15px;}.onebox.githubpullrequest .github-info .lines,.onebox.githubcommit .github-info .lines,.onebox.githubissue .github-info .lines{font-weight:bold;}.onebox.githubpullrequest .github-info .lines .added,.onebox.githubcommit .github-info .lines .added,.onebox.githubissue .github-info .lines .added{color:#1ca551;}.onebox.githubpullrequest .github-info .lines .removed,.onebox.githubcommit .github-info .lines .removed,.onebox.githubissue .github-info .lines .removed{color:#e45735;}.onebox.githubpullrequest .onebox-avatar-inline,.onebox.githubcommit .onebox-avatar-inline,.onebox.githubissue .onebox-avatar-inline{height:20px;width:20px;border-radius:2px;float:none;margin:0;padding:0;vertical-align:middle;max-width:none;}.onebox.githubpullrequest .github-content,.onebox.githubcommit .github-content,.onebox.githubissue .github-content{margin:5px 0 0 0;}.onebox.githubpullrequest .labels span,.onebox.githubcommit .labels span,.onebox.githubissue .labels span{background-color:#909090 !important;color:#222 !important;padding:2px 4px !important;}.onebox-body .github-commit-status{background:#f5f5f5;border-radius:5px;margin:0 100px 5px 0;padding:10px;}.onebox-body .status_tag{display:inline-block;color:#fff;padding:1px 4px;border-radius:3px;font-weight:bold;margin-bottom:5px;text-transform:capitalize;}.onebox-body .build_status{padding:2px;font-size:.8706em;}.onebox-body .status_tag.open{background-color:#6cc644;}.onebox-body .status_tag.merged{background-color:#6e5494;}.onebox-body .status_tag.closed{background-color:#bd2c00;}.onebox-body .github-content-right{margin-right:100px;}aside.onebox.twitterstatus .onebox-body h4{margin-bottom:0;}.onebox.twitterstatus .thumbnail{width:48px;height:48px;}.onebox.twitterstatus p,.onebox.twitterstatus .tweet{white-space:pre-line;padding-top:3px;margin-right:70px;}.onebox.twitterstatus p .quoted,.onebox.twitterstatus .tweet .quoted{border:1px solid #313131;padding:0px 12px 0px 14px;white-space:normal;margin-top:15px;}.onebox.twitterstatus p .quoted .quoted-link,.onebox.twitterstatus .tweet .quoted .quoted-link{color:inherit;}.onebox.twitterstatus p .quoted .quoted-title,.onebox.twitterstatus .tweet .quoted .quoted-title{font-weight:bold;margin:5px 2px;}.onebox.twitterstatus p .quoted .quoted-title span,.onebox.twitterstatus .tweet .quoted .quoted-title span{font-weight:lighter;color:#909090;}.onebox.twitterstatus p .quoted div,.onebox.twitterstatus .tweet .quoted div{margin-bottom:5px;}.onebox.twitterstatus .date{clear:right;}.onebox.imgur-album .outer-box,.onebox.google-photos-album .outer-box,.onebox.flickr-album .outer-box{position:absolute;z-index:1;font-size:.8706em;color:#fff;background-color:rgba(0,0,0,0.6);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:690px;padding:5px 0;}.onebox.imgur-album .outer-box .inner-box,.onebox.google-photos-album .outer-box .inner-box,.onebox.flickr-album .outer-box .inner-box{padding-right:10px;padding-left:10px;overflow:hidden;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.onebox.imgur-album .outer-box .inner-box .album-title,.onebox.google-photos-album .outer-box .inner-box .album-title,.onebox.flickr-album .outer-box .inner-box .album-title{width:100%;font-size:1.1487em;line-height:1.4;color:#ccc;text-decoration:none;}aside.onebox.stackexchange .onebox-body img:not(.onebox-avatar){max-height:60%;max-width:10%;}aside.onebox.stackexchange .onebox-body .tags{color:gray;}.onebox-metadata{color:#919191;}.onebox.xkcd .onebox-body img{max-width:100% !important;float:none !important;}.onebox.pdf .onebox-body .pdf-onebox-logo{width:60px;height:50px;float:right;background:url('/assets/favicons/pdf_64px-4e8a1bffc220412e7b3b299e56ef313353621a4c6bf05066d32d3b792e7820a7.png') no-repeat;background-size:48px 48px;display:inline-block;}.onebox.pdf .onebox-body .filesize{color:gray;}.onebox.whitelistedgeneric .label1,.onebox.whitelistedgeneric .label2{color:#919191;}.onebox.whitelistedgeneric .label1{float:right;}.onebox.whitelistedgeneric .label2{float:left;}.onebox.whitelistedgeneric .site-icon,.onebox.gfycat .site-icon{width:16px;height:16px;margin-left:3px;}.onebox.gfycat p span.label1 a{white-space:nowrap;}.onebox.instagram div.instagram-description{color:#919191;padding-top:10px;}.onebox.githubcommit pre.message{padding:0;}.onebox.twitterstatus .like,.onebox.twitterstatus .retweet{color:#919191;padding-right:10px;}.onebox.twitterstatus .like svg,.onebox.twitterstatus .retweet svg{fill:currentColor;vertical-align:middle;}.mobile-view article.onebox-body{border-top:none;}.onebox.video-onebox{position:relative;padding:0 0 56.25% 0;width:100%;}.onebox.video-onebox video{position:absolute;width:100%;height:100%;}.onebox-placeholder-container{position:relative;width:100%;padding:0 0 48.25% 0;background-color:#313131;}.onebox-placeholder-container .placeholder-icon{position:absolute;width:100%;height:100%;display:flex;justify-content:center;align-items:center;}.onebox-placeholder-container .placeholder-icon.video:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512'%3E%3Cpath fill='grey' d='M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z'%3E%3C/path%3E%3C/svg%3E");}.onebox-placeholder-container .placeholder-icon.audio:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath fill='currentColor' d='M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z'%3E%3C/path%3E%3C/svg%3E");}.onebox-placeholder-container .placeholder-icon.generic:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath fill='currentColor' d='M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z'%3E%3C/path%3E%3C/svg%3E");}.d-header{display:flex;align-items:center;width:100%;position:absolute;top:0;z-index:1000;background-color:#111;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25);}.d-header>.wrap{width:calc(100% - 16px);height:100%;}.d-header>.wrap .contents{display:flex;align-items:center;height:100%;}.d-header>.wrap .contents .header-row{width:100%;}.d-header>.wrap .contents .header-row .logo-wrapper{float:right;}.d-header>.wrap .contents .header-row .auth-buttons{float:left;margin-top:0.4em;}.d-header>.wrap .contents .header-row .auth-buttons .login-button,.d-header>.wrap .contents .header-row .auth-buttons .signup-button{padding:8px 14px;}.docked .d-header{position:fixed;backface-visibility:hidden;}.d-header .title{display:flex;align-items:center;height:100%;}.d-header .title a,.d-header .title a:visited{color:#ddd;}.d-header #site-logo{width:auto;}.d-header .d-icon-home{font-size:2.296em;}.d-header .panel{position:relative;display:flex;flex:0 0 auto;margin-right:auto;align-items:center;}.d-header .hamburger-panel,.d-header .user-menu,.d-header .search-menu{width:0;}.d-header .header-buttons{display:flex;align-items:center;margin-top:0.2em;}.d-header .login-button,.d-header button.sign-up-button{padding:6px 10px;}.d-header .login-button .fa,.d-header button.sign-up-button .fa{margin-left:3px;}.d-header button.login-button{margin-right:7px;}.header-dropdown-toggle .flagged-posts,.header-dropdown-toggle .reviewables,.drop-down .flagged-posts,.drop-down .reviewables,.panel-body .flagged-posts,.panel-body .reviewables{background:#e45735;min-width:6px;}.d-header-icons{text-align:center;margin:0 5px 0 0;list-style:none;}.d-header-icons>li{float:right;}.d-header-icons .icon{position:relative;display:flex;align-items:center;justify-content:center;width:2.2857em;height:2.2857em;padding:0.2143em;text-decoration:none;cursor:pointer;border-top:1px solid transparent;border-right:1px solid transparent;border-left:1px solid transparent;transition:all linear 0.15s;outline:none;}.d-header-icons .icon img.avatar{width:2.1333em;height:2.1333em;}.d-header-icons .icon:hover,.d-header-icons .icon:focus{background-color:#313131;border-top:1px solid transparent;border-right:1px solid transparent;border-left:1px solid transparent;}.d-header-icons .icon:hover .d-icon,.d-header-icons .icon:focus .d-icon{color:#909090;}.d-header-icons .icon:active{color:#ddd;background-color:#313131;}.drop-down-mode .d-header-icons .active .icon{position:relative;background-color:#222;cursor:default;border-top:1px solid #313131;border-right:1px solid #313131;border-left:1px solid #313131;}.drop-down-mode .d-header-icons .active .icon .d-icon{color:#909090;}.drop-down-mode .d-header-icons .active .icon:after{display:block;position:absolute;top:100%;right:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #222;}.drop-down-mode .d-header-icons .active .icon:hover{border-bottom:none;}.d-header-icons .d-icon{width:100%;font-size:1.7511em;line-height:1.4;display:inline-block;color:#7a7a7a;}.d-header-icons .notifications{position:relative;}.d-header-icons .ring{position:absolute;top:-9px;z-index:1;margin-right:0;}.d-header-icons .header-dropdown-toggle{position:relative;}.d-header-icons .badge-notification{position:absolute;z-index:1;right:0;top:-4px;min-width:0.6em;}.d-header-icons .unread-notifications{right:auto;left:-3px;background-color:#0f82af;}.d-header-icons .unread-private-messages,.d-header-icons .ring{right:auto;left:25px;}.highlight-strong{background-color:#4c3319;}.search-highlight{font-weight:bold;}#search-help table td{padding-left:10px;}#search-term::-ms-clear{display:none;}.extra-info-wrapper{display:flex;align-items:center;flex:1 1 0%;height:100%;line-height:1.2;padding:0 0.5em 0 1.5em;overflow:hidden;}.extra-info-wrapper .extra-info{overflow:hidden;width:100%;-webkit-animation:fadein 0.5s;animation:fadein 0.5s;}.extra-info-wrapper .topic-link{color:#ddd;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .topic-statuses .d-icon{color:#909090;}.extra-info-wrapper .topic-statuses .d-icon-envelope{color:#e45735;}.extra-info-wrapper .header-title{margin:0 0 0.15em 0;font-size:1.5157em;width:100%;}.archetype-private_message .extra-info-wrapper .header-title{margin:0;}.extra-info-wrapper .categories-wrapper{display:inline-flex;align-items:center;max-width:80%;flex:0 1 auto;min-width:1px;}.extra-info-wrapper .categories-wrapper .badge-wrapper{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper{margin-left:8px;}.extra-info-wrapper .badge-wrapper.bullet .badge-category-parent-bg,.extra-info-wrapper .badge-wrapper.bullet .badge-category-bg{min-width:5px;}.extra-info-wrapper .badge-wrapper.bullet span.badge-category,.extra-info-wrapper .badge-wrapper.bar span.badge-category,.extra-info-wrapper .badge-wrapper.none span.badge-category{color:#a6a6a6;}.extra-info-wrapper .topic-header-extra{display:inline-flex;align-items:center;max-width:100%;flex:1 0 0%;}.extra-info-wrapper .topic-header-extra .discourse-tags{color:#a6a6a6;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .topic-header-extra .discourse-tags .discourse-tag{display:inline;}.extra-info-wrapper .topic-header-extra{min-width:1px;}.topic-header-participants{display:flex;align-items:center;overflow:hidden;font-size:.8706em;}.topic-header-participants:not(:first-child){margin-right:5px;}.topic-header-participants .trigger-user-card:not(:last-of-type),.topic-header-participants .trigger-group-card:not(:last-of-type){margin-left:5px;}.topic-header-participants .trigger-user-card .icon{height:1.641em;display:inline-block;}.mobile-view .topic-header-participants .trigger-user-card .icon{height:1.532em;}.topic-header-participants .trigger-user-card .icon img{height:100%;width:auto;}.topic-header-participants .trigger-group-card{padding:0 5px;border:1px solid #313131;border-radius:0.25em;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.topic-header-participants .trigger-group-card .icon{display:flex;align-items:center;height:1.641em;color:#a6a6a6;}.mobile-view .topic-header-participants .trigger-group-card .icon{height:1.532em;}.topic-header-participants .trigger-group-card .icon .d-icon{margin-left:5px;}.topic-header-participants .trigger-group-card span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.topic-header-participants .more-participants{color:#a6a6a6;margin-right:5px;}span.bbcode-b{font-weight:bold;}span.bbcode-i{font-style:italic;}span.bbcode-u{text-decoration:underline;}span.bbcode-s{text-decoration:line-through;}#simple-container{border-radius:10px;background-color:#222;padding:20px;width:550px;margin:0 auto;}#simple-container .account-created .ac-message{font-size:1.1487em;line-height:1.4;}#simple-container .account-created .activation-controls button{margin-left:0.5em;}.show-topic-admin{position:fixed;top:120px;left:10px;z-index:300;height:35px;}.popup-menu{background-color:#222;width:215px;padding:10px;border:1px solid #313131;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);}.popup-menu ul{list-style:none;margin:10px 0 0 0;}.popup-menu .btn{text-align:right;}.popup-menu button{width:100%;margin-bottom:5px;}.modal-body.feature-topic{padding:5px;max-height:500px;}.modal-body.feature-topic input.date-picker{margin:0;}.modal-body.feature-topic hr{margin:10px 0;}.modal-body.feature-topic .feature-section{display:block;}.modal-body.feature-topic .feature-section .badge-wrapper{margin-left:0;}.modal-body.feature-topic .feature-section .desc{display:inline-block;vertical-align:middle;margin-right:10px;}.modal-body.feature-topic .feature-section .desc p:first-of-type{margin:0;}.modal-body.feature-topic .feature-section .desc p{margin:10px 0 0;}.modal-body.feature-topic .feature-section .with-validation{position:relative;}.desktop-view .feature-topic-modal .feature-topic{overflow:visible;}.desktop-view .feature-topic-modal .modal-inner-container{min-width:700px;}.desktop-view .feature-topic-modal .pin-until{position:relative;display:inline-block;}.mobile-view .feature-topic .feature-section .desc{display:block;clear:both;max-width:90%;margin:0 10px;}.selected-posts{border:1px solid #084860;background-color:#052e3d;}.selected-posts .btn{border:none;color:#222;font-weight:normal;margin-bottom:10px;}.selected-posts .btn:not(.btn-danger){background:#0f82af;border-color:#0f82af;}.selected-posts .btn:not(.btn-danger)[href]{color:#222;}.selected-posts .btn:not(.btn-danger):hover{color:#222;background:#0b6283;}.selected-posts .btn:not(.btn-danger):active{background-color:#08435a;background-image:linear-gradient(to bottom,#08435a,#0a5877);color:#222;}.selected-posts .btn[disabled]{text-shadow:0 1px 0 rgba(221,221,221,0.2);background-color:#0f82af;background-image:linear-gradient(to bottom,#0f82af,#073c51);box-shadow:0 1px 0 rgba(0,0,0,0.33) inset;}.lightbox-wrapper .lightbox{position:relative;display:inline-block;overflow:hidden;}.lightbox-wrapper .lightbox:hover .meta{opacity:0.9;transition:opacity 0.5s;}.d-lazyload-hidden{box-sizing:border-box;}.onebox img.d-lazyload-hidden{border:1px solid #313131;}.cooked img.d-lazyload{transition:opacity 0.4s 0.75s ease;}.lightbox-wrapper{display:inline-block;}.lightbox-wrapper img{object-fit:cover;object-position:top;}.lightbox-wrapper,.lightbox-wrapper *{outline:0;}.meta{position:absolute;bottom:0;width:100%;color:#222;background:#ddd;opacity:0;transition:opacity 0.2s;display:flex;align-items:center;}.meta .filename{margin:6px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.meta .d-icon{margin:6px;opacity:0.8;color:#222;}.meta .d-icon+.filename{margin-right:0px;}.meta .informations{margin:6px;padding-left:20px;color:#646464;font-size:1em;flex-shrink:0;flex-grow:3;}.mfp-preloader .spinner{margin:auto;}.reorder-categories thead th{padding-bottom:0.5em;}.reorder-categories input{width:4em;}@media screen and (max-width:550px){.reorder-categories input{width:2em;}}.reorder-categories table{width:100%;padding-bottom:150px;}.reorder-categories table td{padding:0.5em 0 0.5em 0.5em;}@media screen and (min-width:null){.reorder-categories table td{min-width:15em;}}.reorder-categories .badge-wrapper span.badge-category{max-width:20em;}@media screen and (max-width:550px){.reorder-categories .badge-wrapper span.badge-category{max-width:30vw;}}.reorder-categories-sub-cat{margin-right:20px;}.edit-topic-timer-modal .modal-body{max-height:none;overflow:visible !important;}.edit-topic-timer-modal .control-group{display:flex;align-items:center;}.edit-topic-timer-modal .control-group>.d-icon{margin-left:5px;}.edit-topic-timer-modal input.date-picker,.edit-topic-timer-modal input[type="time"]{width:200px;text-align:right;}.edit-topic-timer-modal .radios{margin-bottom:10px;}.edit-topic-timer-modal label{display:inline-flex;padding-left:5px;margin-bottom:0;align-items:center;}.edit-topic-timer-modal label input{margin-top:0;}.edit-topic-timer-modal .btn.pull-right{margin-left:10px;}.edit-topic-timer-modal .future-date-input input{margin:0;}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -15px -15px -15px;}.edit-topic-timer-modal .future-date-input .btn-clear{display:none;}.edit-topic-timer-modal .future-date-input .topic-status-info{border:none;padding:0;}.edit-topic-timer-modal .future-date-input .topic-status-info h3{font-weight:normal;font-size:1.1487em;}.edit-topic-timer-modal .future-date-input input[disabled]{background:#313131;}.edit-topic-timer-modal .pika-single{position:absolute !important;}.mobile-view .edit-topic-timer-modal .select-kit.combo-box{flex:1 0 0px;}.redirection-warning{margin:0 auto;text-align:center;font-size:1.7511em;line-height:1.2;}.rtl .d-icon-caret-right{-webkit-transform:rotate(180deg);-moz-transform:rotate(180deg);-ms-transform:rotate(180deg);-o-transform:rotate(180deg);transform:rotate(180deg);filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand',M11=cos(180),M12=-sin(180),M21=sin(180),M22=cos(180))";-ms-filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand',M11=cos(180),M12=-sin(180),M21=sin(180),M22=cos(180))";zoom:1;}.rtl .nav-stacked a.active::after{border-left-color:transparent !important;border-right-color:#222 !important;}.rtl code{direction:ltr !important;text-align:left !important;}.rtl .pull-left{float:right !important;}.rtl .autocomplete{right:27px;}.rtl .admin-customize .current-style .toggle-mobile{position:static !important;float:left !important;}.rtl .admin-customize .current-style .toggle-maximize{position:static !important;float:left !important;}.rtl .dashboard-left{float:right !important;}.rtl .dashboard-right{float:left !important;}.cooked ul[dir="ltr"],.d-editor-preview ul[dir="ltr"],.cooked ul[dir="rtl"],.d-editor-preview ul[dir="rtl"]{padding-left:40px;padding-right:40px;}.rtl aside.onebox.githubblob{padding:12px 25px 12px 12px !important;direction:ltr !important;}.rtl aside.onebox.githubblob .source{background-position:0 50% !important;padding-left:20px;}.rtl pre.onebox code ol.lines{margin:0 0 0 40px !important;}.rtl pre.onebox code ol.lines li:before{left:-40px;padding-right:5px;padding-left:0;text-align:right !important;}.rtl pre.onebox code ol.lines li{padding-left:5px;padding-right:0;margin-left:0;border-left:1px solid #cfcfcf;border-right:none !important;}.search-menu .search-input{position:relative;padding:0.5em 3px;}.search-menu .search-context .show-help{float:left;}.search-menu .heading{padding:5px 5px 5px 0;}.search-menu .heading .filter{padding:0 5px;}.search-menu input[type="text"]{box-sizing:border-box;width:calc(100% - 6px);height:32px;}.search-menu .search-context{padding:0 5px;}.search-menu .search-context label{margin-bottom:0;}.search-menu .search-context+.results{margin-top:5px;}.search-menu .results{display:flex;flex-direction:row;}.search-menu .results .list{min-width:100px;}.search-menu .results .list .item .blurb{overflow-wrap:break-word;word-wrap:break-word;-ms-word-break:break-all;word-break:break-all;word-break:break-word;-ms-hyphens:auto;-moz-hyphens:auto;-webkit-hyphens:auto;hyphens:auto;margin-top:0.25em;}.search-menu .results .search-result-topic .second-line{display:flex;flex-wrap:wrap;align-items:center;}.search-menu .results .search-result-topic .second-line .discourse-tags{flex-wrap:wrap;display:contents;}.search-menu .results .main-results{display:flex;flex:1 1 auto;}.search-menu .results .main-results .topic-statuses{color:#909090;}.search-menu .results .main-results+.secondary-results{border-right:1px solid #313131;margin-right:1em;padding-right:1em;max-width:33%;}.search-menu .results .secondary-results{display:flex;flex-direction:column;flex:1 1 auto;}.search-menu .results .secondary-results .separator{margin-bottom:1em;margin-top:1em;height:1px;background:#313131;}.search-menu .results .secondary-results .search-result-tag .discourse-tag{font-size:.8706em;}.search-menu .results .secondary-results .search-result-category .widget-link{margin-bottom:0;}.search-menu .results .secondary-results .search-result-group .search-link{color:#a6a6a6;}.search-menu .results .secondary-results .search-result-group .search-link:hover{color:#ddd;}.search-menu .results .secondary-results .search-result-group .group-result{display:flex;align-items:center;}.search-menu .results .secondary-results .search-result-group .group-result .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair{min-width:25px;margin-left:0.5em;}.search-menu .results .secondary-results .search-result-group .group-result .d-icon .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair .d-icon{margin-left:0;}.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair-image{background-repeat:no-repeat;background-size:100% 100%;min-height:25px;}.search-menu .results .secondary-results .search-result-group .group-result .group-names{display:flex;flex-direction:column;overflow:auto;line-height:1.2;}.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .slug{color:#a6a6a6;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name{font-weight:700;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{font-size:.8706em;color:#a6a6a6;}.search-menu .results .secondary-results .search-result-category .list,.search-menu .results .secondary-results .search-result-user .list,.search-menu .results .secondary-results .search-result-group .list,.search-menu .results .secondary-results .search-result-tag .list{display:block;}.search-menu .results .secondary-results .search-result-category .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-user .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-group .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-tag .list .item .widget-link.search-link{flex:1;font-size:1em;padding:5px;}.search-menu .results .secondary-results .search-result-user .user-result{display:flex;flex-direction:row;align-items:center;}.search-menu .results .secondary-results .search-result-user .user-result .avatar{margin-left:0.5em;display:block;min-width:25px;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles{display:flex;flex-direction:column;overflow:auto;line-height:1.2;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username,.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username{color:#bdbdbd;font-size:.8706em;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{color:#bdbdbd;font-size:1em;font-weight:700;}.search-menu .results .show-more{padding:5px;}.search-menu .searching{position:absolute;top:1.15em;left:1em;}.search-menu .searching .spinner{width:10px;height:10px;border-width:2px;margin:0;}.search-menu .no-results{padding:5px;}.search-menu .filter{padding:0;}.search-menu .filter:hover{background:transparent;}.search-menu .search-link{margin-bottom:0.25em;}.search-menu .search-link .badge-category-parent{line-height:1;}.search-menu .search-link .topic{display:inline-block;line-height:1.2;}.search-menu .search-link .topic-title{margin-left:0.25em;}.user-badge,#user-card .sixth-row .badge-section .more-user-badges a{padding:3px 8px;color:#ddd;border:1px solid #313131;line-height:1.4;display:inline-flex;align-items:center;background-color:#222;margin:0 0 3px;}.user-badge img,#user-card .sixth-row .badge-section .more-user-badges a img{height:16px;width:16px;}.user-badge .badge-display-name,#user-card .sixth-row .badge-section .more-user-badges a .badge-display-name{margin-right:0.25em;}.user-badge.badge-type-gold .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-gold .fa{color:#e7c300 !important;}.user-badge.badge-type-silver .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-silver .fa{color:silver !important;}.user-badge.badge-type-bronze .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-bronze .fa{color:#cd7f32 !important;}.user-badge.disabled,#user-card .sixth-row .badge-section .more-user-badges a.disabled{color:#909090;background-color:#282828;}.user-badge.disabled .fa,#user-card .sixth-row .badge-section .more-user-badges a.disabled .fa{opacity:0.4;}@media all and (max-width:750px){.show-badge .user-badge-with-posts .badge-user a.post-link{width:auto;}.show-badge div.badge-user{padding:0;}.badges-listing{display:block;}.badges-listing .info,.badges-listing .grant-count{text-align:right;}.badges-listing .row>div.info{display:none;}.badges-listing .row{display:block;}.badges-listing .row>div{display:block;margin-top:10px;}}.show-badge .badge-user-info .earned{font-size:1.3195em;margin-bottom:1em;}.show-badge .single-user{margin-right:2%;padding-bottom:20px;}.show-badge .single-user .load-more{padding-top:30px;display:block;font-size:1.3195em;}.show-badge .single-user .badge-user{padding-right:0;text-align:right;display:block;margin:20px 0;width:800px;}.show-badge .single-user .badge-user .badge-info{display:none;}.show-badge .single-user .badge-user .date{display:inline-block;font-size:1.1487em;margin-right:10px;}.show-badge .single-user .badge-user .post-link{font-size:1.3195em;width:500px;margin:0;padding:0;}.show-badge .single-user .badge-user:after{content:"";clear:both;display:table;}.long-description.banner{width:88%;margin-bottom:15px;margin-top:15px;}.badge-card{position:relative;display:inline-block;background-color:#282828;border:1px solid #313131;margin-bottom:2vh;transition:box-shadow 0.25s;}.badge-card .check-display{position:absolute;right:5px;top:5px;}.badge-card .grant-count{position:absolute;left:5px;top:5px;font-weight:bold;color:#909090;font-size:1.3195em;}.badge-card .badge-contents{display:flex;min-height:128px;height:100%;padding:0 10%;}.badge-card .badge-contents .badge-link{color:#ddd;}.badge-card .badge-contents .badge-icon{display:flex;flex:0 0 auto;width:1.23em;margin-left:5%;align-items:center;justify-content:center;font-size:3.5em;}.badge-card .badge-contents .badge-icon a{width:100%;}.badge-card .badge-contents .badge-icon img{width:100%;max-width:65px;max-height:80px;}.badge-card .badge-contents .badge-icon.badge-type-gold .fa{color:#e7c300 !important;}.badge-card .badge-contents .badge-icon.badge-type-silver .fa{color:#c0c0c0 !important;}.badge-card .badge-contents .badge-icon.badge-type-bronze .fa{color:#cd7f32 !important;}.badge-card .badge-contents .badge-info{display:flex;flex:1 1 auto;align-items:center;padding:1em 0 1em 1.5em;color:#ddd;}@media screen and (max-width:600px){.badge-card .badge-contents .badge-info{padding-left:0;}}.badge-card .badge-contents .badge-info h3{margin-bottom:0.25em;font-size:1.1487em;}@media screen and (min-width:900px){.badge-card .badge-contents .badge-info h3{font-size:1.3195em;}}.badge-card.medium{flex:0 0 auto;width:32%;margin-left:1.63%;}@media screen and (min-width:851px){.badge-card.medium:nth-of-type(3n){margin-left:0;}}@media screen and (max-width:850px){.badge-card.medium{width:48.5%;}.badge-card.medium:nth-of-type(2n){margin-left:0;}}@media screen and (max-width:550px){.badge-card.medium{flex:0 0 100%;}}.badge-card.medium:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15);}.badge-card.medium:active{box-shadow:none;}.badge-card.large{width:100%;align-self:flex-start;}@media screen and (min-width:767px){.badge-card.large{max-width:calc(1110px / 2);margin-left:1.5em;}}.badge-card.large .badge-contents{padding:0 5%;}.badge-card.large .badge-contents h3{font-size:1.5157em;}.badges-granted{display:flex;flex-wrap:wrap;}@media screen and (max-width:800px){.badges-granted{justify-content:space-between;}}.badge-groups{margin:20px 0;color:#919191;}.badge-groups h3{margin-bottom:1em;}.badge-title .user-content{padding:0;}.badge-group-list{margin-bottom:1.5em;display:flex;flex-wrap:wrap;}@media screen and (max-width:850px){.badge-group-list{justify-content:space-between;}}.badge-group-list .title{width:100%;font-size:1.1487em;}.show-badge-details{display:flex;flex-wrap:wrap;flex-direction:row;margin-bottom:2em;margin-top:1em;}.show-badge-details .badge-grant-info.hidden{display:none;}.show-badge-details .grant-info-item{margin-bottom:1em;color:#919191;}.show-badge-details .grant-info-item:first-of-type{margin-left:10px;}.show-badge-details .badge-set-title{padding:1.5em;border:1px solid #313131;}.show-badge-details .badge-set-title .user-content{padding:0;}.show-badge-details .badge-set-title .user-content .control-group{margin-bottom:1em;}.show-badge-details .badge-title .form-horizontal .controls{margin-right:0;}.show-badge-details .form-horizontal{margin-bottom:0;}.check-display{display:inline-block;padding:0 0.25em;border-radius:10px;text-align:center;}.check-display .fa{font-size:0.9em;color:#222;}.check-display.status-checked{background-color:#1ca551;}.check-display.status-unchecked{background-color:#e45735;}.hyperlink{cursor:pointer;}.reviewable .flagged-post-header{width:100%;display:flex;justify-content:space-between;}.reviewable .status{color:#909090;}.reviewable .status span.approved{color:#1ca551;}.reviewable .status span.approved .d-icon{color:currentColor;}.reviewable .status span.rejected{color:#e45735;}.reviewable .status span.rejected .d-icon{color:currentColor;}.reviewable .explain{margin-right:0.5em;}.reviewable .nav-pills{margin-bottom:1em;}.reviewable .reviewable-container{display:flex;flex-direction:row;margin-top:1em;}.reviewable .reviewable-container .reviewable-list{flex:1;box-sizing:border-box;max-width:760px;min-width:0;margin-left:auto;}.reviewable .reviewable-container .reviewable-filters{width:250px;height:100%;box-sizing:border-box;}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin-right:1em;}.reviewable-settings h4{margin-top:1em;margin-bottom:1em;}.reviewable-settings .saved{margin-right:0.5em;}.reviewable-settings .reviewable-score-type{display:flex;margin-bottom:0.5em;}.reviewable-settings .reviewable-score-type .select-kit{min-width:10em;}.reviewable-settings .reviewable-score-type .title{width:30%;}.reviewable-user-info{margin:0.5em 0;}.reviewable-user-info .reviewable-user-fields{margin-bottom:2em;}.reviewable-user-info .reviewable-user-details{border-bottom:1px solid #313131;padding-bottom:0.25em;display:flex;margin-bottom:0.5em;}.reviewable-user-info .reviewable-user-details .name{width:8em;font-weight:bold;margin-left:1em;}.no-review{margin-top:1em;}.reviewable-filters{background-color:#282828;padding:1em;margin-bottom:1em;}.reviewable-filters .reviewable-filter{display:flex;flex-direction:column;margin:0 0 1em 0;}.reviewable-filters .reviewable-filter .filter-label{margin:0 0 0.5em 0;}.reviewable-filters .reviewable-filter .score-filter{margin:0;width:100%;}.reviewable-filters .reviewable-filter .category-chooser{width:100%;}.reviewable-filters .reviewable-filter .d-date-time-input-range{width:inherit;border:none;padding:0;}.reviewable-filters .reviewable-filter .d-date-time-input-range .d-date-input{flex:1 1 auto;border:1px solid #909090;}.reviewable-claimed-topic{display:flex;align-items:center;}.reviewable-claimed-topic .btn-small,.reviewable-claimed-topic .modal.history-modal #revision-footer-buttons button,.modal.history-modal #revision-footer-buttons .reviewable-claimed-topic button{margin-right:0.5em;}.reviewable-actions .claimed-actions{display:flex;width:100%;justify-content:space-between;align-items:center;margin-bottom:0.5em;}.claimed-by{display:flex;align-items:center;}.claimed-by .claimed-username{margin-right:0.5em;}.reviewable-topics{width:100%;}.reviewable-topics tbody td{padding:0.5em;}.reviewable-topics .reviewable-details{display:flex;justify-content:flex-end;}.reviewable-topics .reviewable-details .btn{display:flex;align-items:center;margin-right:1em;}.reviewable-filters .topic-filter .btn{display:flex;width:auto;}.reviewable-filters .refresh{height:1em;display:flex;}.reviewable-filters .score-filter{width:5em;}.user-flag-percentage{display:flex;align-items:center;margin-right:0.5em;}.user-flag-percentage .percentage-label{margin-left:0.25em;}.user-flag-percentage .percentage-label.agreed{color:#1ca551;}.user-flag-percentage .percentage-label.agreed+.d-icon{color:#1ca551;}.user-flag-percentage .percentage-label.disagreed{color:#e45735;}.user-flag-percentage .percentage-label.disagreed+.d-icon{color:#e45735;}.user-flag-percentage .percentage-label.ignored{color:#909090;}.user-flag-percentage .d-icon{font-size:0.9em;}.reviewable-item{padding-top:2em;border-top:1px solid #bdbdbd;padding-bottom:1em;}.reviewable-item .topic-statuses{font-size:1.3195em;}.reviewable-item .reviewable-meta-data{color:#919191;display:flex;width:100%;margin-bottom:0.5em;font-size:.8706em;align-items:baseline;}.reviewable-item .reviewable-meta-data .reviewable-type{margin-left:0.25em;}.reviewable-item .reviewable-meta-data .reply-count{margin-right:1em;}.reviewable-item .reviewable-meta-data .created-at{margin-right:1em;margin-left:auto;}.reviewable-item .reviewable-meta-data .created-at a{color:#919191;}.reviewable-item .reviewable-meta-data .score{font-size:.8706em;}.reviewable-item .reviewable-contents{display:flex;flex-wrap:wrap;margin-bottom:2em;}.reviewable-item .reviewable-actions{display:flex;flex-wrap:wrap;}.reviewable-item .reviewable-actions button{white-space:nowrap;}.reviewable-item .reviewable-actions .reviewable-action,.reviewable-item .reviewable-actions .reviewable-action-dropdown{margin-left:0.5em;}.reviewable-histories{margin-top:1em;}.reviewable-scores{min-width:50%;color:#a6a6a6;}.reviewable-scores .reviewed-by .date{margin-right:0.5em;}.reviewable-scores .user,.reviewable-scores .reviewed-by{display:flex;align-items:center;}.reviewable-scores .user-flag-percentage{margin-right:0.5em;}.reviewable-scores .d-icon{font-size:.8706em;color:#909090;}.reviewable-scores .badge-notification{line-height:1.2;vertical-align:text-top;}.reviewable-scores tbody{border-width:1px;}.reviewable-scores tbody td{white-space:nowrap;vertical-align:baseline;}.reviewable-scores tbody td.user a,.reviewable-scores tbody td.reviewed-by a{max-width:150px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.reviewable-scores tbody td:last-of-type{width:100%;white-space:normal;}.reviewable-scores tbody>tr>th{text-align:right;}.reviewable-scores tbody>tr>th:not(:empty),.reviewable-scores tbody>tr>td:not(:empty){padding:0.5em 0 0.5em 1em;}@media screen and (max-width:450px){.reviewable-scores tbody>tr>th,.reviewable-scores tbody>tr>td{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-left:0.5em;}}.reviewable-scores tbody .reviewable-score-spacer{padding-left:1em;}.reviewable-score-reason{margin:0.5em 0;max-width:690px;margin-bottom:0.5em;}.reviewable-conversation{margin:0.5em 0;}.reviewable-conversation .reviewable-conversation-post{max-width:690px;margin-bottom:0.5em;}.reviewable-conversation .reviewable-conversation-post .username{font-weight:bold;margin-left:0.25em;}.reviewable-conversation .controls{margin-top:0.25em;}.reviewable-item .show-raw-email{color:#909090;font-size:.7579em;}.reviewable-item .post-title{background-color:yellow;}.reviewable-item .created-by{margin-left:1em;padding-top:0.35em;}@media screen and (max-width:450px){.reviewable-item .created-by{float:right;margin-bottom:1em;}}.reviewable-item .names{font-weight:bold;}.reviewable-item .post-contents-wrapper{width:100%;margin-top:1em;min-width:275px;word-break:break-word;}@media screen and (min-width:450px){.reviewable-item .post-contents-wrapper{display:flex;}}.reviewable-item .reviewable-post-header{display:flex;justify-content:space-between;max-width:690px;width:690px;align-items:center;}.reviewable-item .reviewable-post-header .reviewable-reply-to{display:flex;align-items:center;color:#909090;font-size:0.9em;}.reviewable-item .reviewable-post-header .reviewable-reply-to .d-icon{margin-left:0.5em;}.reviewable-item .post-contents{width:100%;min-width:0;}.reviewable-item .post-body{max-width:690px;max-height:300px;margin-top:0.5em;overflow-y:auto;}.reviewable-item .post-body p,.reviewable-item .post-body aside{margin:0 0 1em 0;}.reviewable-item .post-body pre,.reviewable-item .post-body code{word-break:break-all;}.reviewable-item .post-topic{width:100%;color:#909090;margin-bottom:0.75em;}.reviewable-item .post-topic .title-text{font-weight:bold;color:#ddd;display:block;font-size:1.3195em;margin-left:0.75em;}.reviewable-item .post-topic .topic-statuses:empty{display:none;}.editable-fields{width:100%;}.editable-fields .editable-created-by{display:flex;margin-bottom:0.5em;}.editable-fields .editable-created-by .avatar{margin-left:0.25em;}.editable-fields .editable-field{margin-bottom:0.5em;}.editable-fields .editable-field .mini-tag-chooser{margin:0;}.editable-fields .editable-field .reviewable-input-text{width:100%;margin-bottom:0;}.editable-fields .editable-field .reviewable-input-textarea{width:100%;height:10em;}@media screen and (max-width:1000px){table.reviewable-scores{width:100%;display:block;}table.reviewable-scores tbody{width:calc(100% - 5px);display:block;clear:both;}tr.reviewable-score{display:grid;grid-template-columns:auto auto 1fr;}td.reviewable-score-spacer{display:none;}}@media screen and (max-width:450px){tr.reviewable-score{grid-template-columns:auto auto auto;}}.shared-draft-controls{background-color:#052e3d;padding:1em;clear:both;}.shared-draft-controls .publish-field{margin-top:1em;}.explain-reviewable{min-width:500px;}.explain-reviewable .thresholds{margin-top:1em;}.explain-reviewable table{width:100%;}.explain-reviewable table td{padding:0.5em;}.explain-reviewable td.sum{text-align:left;}.explain-reviewable td.sum.total{font-weight:bold;}.explain-reviewable tr.total td{background-color:#313131;font-weight:bold;}.explain-reviewable .op{font-weight:bold;}.explain-reviewable .score-value-type{color:#909090;}.explain-reviewable .op:last-of-type{display:none;}.category-color-editor input{width:5.5em;margin-left:1em;}.category-color-editor .color-title{display:block;margin:1em 0 0.25em;}.category-color-editor .colorpicker-wrapper{display:flex;align-items:center;}.category-color-editor .colorpicker-wrapper input,.category-color-editor .colorpicker-wrapper .add-on{align-self:flex-start;margin-bottom:0.125em;}.category-color-editor .colors-container{display:inline-flex;flex-wrap:wrap;}.category-color-editor .colors-container .colorpicker{position:relative;margin:0 0.125em 0.25em;border:1px solid #909090;width:1.25em;height:1.2em;padding:0;flex:0 0 auto;color:white;}.category-color-editor .colors-container .colorpicker svg{display:none;}.category-color-editor .colors-container .colorpicker.used-color svg{display:inline-flex;opacity:0.8;max-width:70%;}.modal.history-modal #revision-numbers{display:inline-block;min-width:96px;text-align:center;}.modal.history-modal #revision{overflow:auto;border-bottom:3px solid #313131;}.modal.history-modal table.markdown>tbody>tr>td,.modal.history-modal .revision-content{width:47.5%;float:right;}.modal.history-modal table.markdown>tbody>tr>td:nth-of-type(2),.modal.history-modal .revision-content:nth-of-type(2){margin-right:5%;}.modal.history-modal #revision-details{padding:5px;}.modal.history-modal #revisions .row:first-of-type{margin-top:10px;}.modal.history-modal ins code,.modal.history-modal ins img,.modal.history-modal .diff-ins code,.modal.history-modal .diff-ins img{border:2px solid #1ca551;}.modal.history-modal ins img,.modal.history-modal .diff-ins img{opacity:0.75;filter:alpha(opacity=75);}.modal.history-modal ins a,.modal.history-modal .diff-ins a{color:#1ca551;text-decoration:none;}.modal.history-modal img.diff-ins,.modal.history-modal code.diff-ins{border:2px solid #1ca551;}.modal.history-modal img.diff-ins{opacity:0.75;filter:alpha(opacity=75);}.modal.history-modal .diff-ins{color:#ddd;background:#0b4220;}.modal.history-modal ins{color:#ddd;background:#0b4220;text-decoration:none;}.modal.history-modal del code,.modal.history-modal del img,.modal.history-modal .diff-del code,.modal.history-modal .diff-del img{border:2px solid #e45735;}.modal.history-modal del img,.modal.history-modal .diff-del img{opacity:0.5;filter:alpha(opacity=50);}.modal.history-modal del a,.modal.history-modal .diff-del a{color:#e45735;text-decoration:none;}.modal.history-modal img.diff-del,.modal.history-modal code.diff-del{border:2px solid #e45735;}.modal.history-modal img.diff-del{opacity:0.5;filter:alpha(opacity=50);}.modal.history-modal .diff-del{color:#ddd;background:#591b0c;text-decoration:none;}.modal.history-modal del{color:#ddd;background:#591b0c;text-decoration:none;}.modal.history-modal span.date{font-weight:bold;}.modal.history-modal span.edit-reason{background-color:#4c3319;padding:3px 5px 5px 5px;}.modal.history-modal .d-icon-ban{color:#f00;}.modal.history-modal .hidden-revision-either{opacity:0.5;}.modal.history-modal .hidden-revision-previous .row div:nth-of-type(1),.modal.history-modal .hidden-revision-previous .row td:nth-of-type(1){opacity:0.5;}.modal.history-modal .hidden-revision-current .row div:nth-of-type(2),.modal.history-modal .hidden-revision-current .row td:nth-of-type(2){opacity:0.5;}@-webkit-keyframes popoverFadeIn{from{opacity:0;}to{opacity:1;}}@keyframes popoverFadeIn{from{opacity:0;}to{opacity:1;}}#d-popover{background-color:#222;position:absolute;z-index:1600;border-color:#909090;border-style:solid;border-width:1px;max-width:300px;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;background-clip:padding-box;display:block;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);border-radius:2px;}#d-popover.is-under{margin-top:0px;}#d-popover.is-under .d-popover-top-arrow{display:block;}#d-popover.is-under .d-popover-bottom-arrow{display:none;}#d-popover.is-above{margin-top:0px;}#d-popover.is-above .d-popover-bottom-arrow{display:block;}#d-popover.is-above .d-popover-top-arrow{display:none;}#d-popover.retina{border-width:0.5px;}#d-popover .d-popover-content{padding:0.5em;font-size:.8706em;overflow-wrap:break-word;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;}#d-popover .d-popover-arrow{border-style:solid;color:transparent;content:"";position:absolute;z-index:calc(z("tooltip") - 100);}#d-popover .d-popover-top-arrow{border-color:transparent transparent #909090;top:8px;transform:translate(0,-15px);border-width:0 8px 8px;}#d-popover .d-popover-top-arrow:after{border-color:transparent transparent #222;border-style:solid;border-width:0 7px 7px;bottom:-8px;margin-right:-7px;position:absolute;content:"";}#d-popover .d-popover-bottom-arrow{border-color:#909090 transparent transparent;top:calc(100% + 16px);transform:translate(0,-16px);border-width:8px 8px 0;}#d-popover .d-popover-bottom-arrow:after{position:absolute;content:"";border-color:#222 transparent transparent;border-style:solid;border-width:7px 7px 0;bottom:2px;transform:translate(-7px,0);}div.tagsinput{border:1px solid #ccc;background:#fff;padding:5px 5px 0;width:584px;height:100px;overflow-y:auto;border-radius:4px;}div.tagsinput span.tag{border:1px solid #a5d24a;border-radius:2px;display:block;float:right;padding:1px 5px;text-decoration:none;background:#cde69c;color:#638421;margin-left:5px;margin-bottom:5px;font-family:helvetica;font-size:.8706em;}div.tagsinput span.tag a{font-weight:bold;color:#82ad2b;text-decoration:none;font-size:.7579em;}div.tagsinput input{width:80px;font-family:helvetica;font-size:.8706em;border:1px solid transparent;padding:2px 5px;background:transparent;color:#000;outline:0;margin:0 0 5px 5px;}div.tagsinput div{display:block;float:right;}.tags_clear{clear:both;width:100%;height:0;}.not_valid{background:#fbd8db !important;color:#90111a !important;}.d-icon.d-icon-d-regular,.d-icon.d-icon-d-muted,.d-icon.d-icon-d-watching-first,.d-icon.d-icon-d-watching-first-post{color:#919191;}.d-icon.d-icon-d-tracking,.d-icon.d-icon-d-watching{color:#0f82af;}.directory{margin-bottom:100px;}.directory .user-info{margin-bottom:0;}.directory .period-chooser{float:right;}.directory .filter-name{float:left;}.directory .spinner{clear:both;}.directory table{width:100%;margin-bottom:1em;}.directory table td,.directory table th{padding:0.5em;text-align:right;border-bottom:1px solid #313131;}@media screen and (max-width:800px){.directory table td,.directory table th{padding:0.5em 0.25em;}}.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.5157em;color:#909090;}@media screen and (max-width:800px){.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.1487em;}}.directory table td .time-read,.directory table th .time-read{white-space:nowrap;}.directory table th.sortable{width:13%;}.directory table th.sortable .d-icon-heart{color:#fa6c8d;margin:0 0 0 0.25em;}.directory .me{background-color:#4c3319;}.directory .me .username a,.directory .me .name,.directory .me .title,.directory .me .number,.directory .me .time-read{color:#909090;}.alert{padding:8px 16px 8px 32px;background-color:#591b0c;color:#ddd;position:relative;}.alert .close{position:absolute;top:8px;left:8px;font-size:1.5157em;}.alert .close .d-icon{color:#7a7a7a;}.alert.alert-success{background-color:#0b4220;color:#ddd;}.alert.alert-error{background-color:#591b0c;color:#ddd;}.alert.alert-info{background-color:#052e3d;color:#ddd;}.alert.alert-info.clickable{color:#0f82af;}.group-details-container{background:#282828;padding:20px;margin-bottom:15px;position:relative;}.group-outlet{position:relative;}.group-members-actions{display:flex;flex-wrap:wrap;width:100%;}.group-members-actions input+.group-members-manage{margin-right:auto;}.group-members-actions .group-username-filter{margin:0 0 5px 0;vertical-align:middle;}.group-info{width:100%;}.group-info .group-info-name{font-size:1.5157em;font-weight:bold;color:#ddd;}.group-info .group-info-full-name{font-size:1.3195em;color:#bdbdbd;}.group-info span{display:inline-block;vertical-align:middle;}.group-info .avatar-flair-image{width:50px;}.group-info .avatar-flair{background-size:50px;height:50px;width:50px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;}.group-info .avatar-flair .d-icon{height:27.77778px;width:27.77778px;}.group-manage-logs-filter{margin-left:10px;}.group-manage-logs-filter:hover{background-color:#e45735;}table.group-manage-logs{width:100%;}table.group-manage-logs td{padding:0.5em;}table.group-manage-logs .group-manage-logs-expand-details{cursor:pointer;}table.group-manage-logs .group-manage-logs-expand-details .d-icon{color:#909090;}table.group-members{width:100%;table-layout:fixed;}table.group-members th:first-child{width:30%;text-align:right;}table.group-members th:last-child{width:5%;}table.group-members th.group-members-actions{width:5%;}table.group-members th{text-align:center;}table.group-members tr .user-info{display:block;}table.group-members tr .user-info .avatar-flair{color:#ddd;}table.group-members tr td:first-child{text-align:right;}table.group-members tr td{text-align:center;color:#909090;padding:0.8em 0;}.group-owner-label{color:#ddd;}.form-vertical .group-flair-inputs{display:inline-block;}.form-vertical .avatar-flair-preview{position:relative;width:45px;}.form-vertical .avatar-flair-preview .avatar-wrapper{background-color:#f4f4f4;}.group-form-save{margin-left:20px;}.group-add-members .group-add-members-make-owner label{display:inline;vertical-align:middle;}.group-add-members .group-add-members-make-owner input[type="checkbox"]{vertical-align:middle;}img.emoji{width:20px;height:20px;vertical-align:middle;}small img.emoji,sub img.emoji,sup img.emoji{height:1.1em;width:1.1em;}.emoji-picker{background-clip:padding-box;z-index:1300;position:fixed;display:none;flex-direction:row;height:320px;color:#ddd;background-color:#222;border:1px solid #313131;}.emoji-picker .categories-column{display:flex;flex-direction:column;flex:1 0 0px;align-items:center;justify-content:space-between;border-left:1px solid #313131;min-width:36px;}.emoji-picker .category-icon{display:block;margin:4px auto;-webkit-filter:grayscale(100%);filter:grayscale(100%);}.emoji-picker .category-icon button.emoji{margin:0;padding:0;}.emoji-picker .category-icon.current,.emoji-picker .category-icon:hover{-webkit-filter:grayscale(0%);filter:grayscale(0%);}.emoji-picker .main-column{display:flex;flex-direction:column;flex:20;}.emoji-picker .list{overflow-y:scroll;-webkit-overflow-scrolling:touch;padding:0;flex:1 0 0px;flex-direction:column;}.emoji-picker .section-header{padding:8px;margin-top:2px;margin-bottom:0px;padding-bottom:0px;justify-content:space-between;display:flex;align-items:center;font-weight:bold;}.emoji-picker .section-header .title{color:#ddd;}.emoji-picker .section-header .clear-recent .fa{margin:0;padding:0;color:#ddd;}.emoji-picker .section-header .clear-recent .fa:hover{color:#ddd;}.emoji-picker .section-group{flex-wrap:wrap;display:flex;align-items:center;justify-content:flex-start;padding:4px;}.emoji-picker .footer{align-items:center;display:flex;justify-content:space-between;border-top:1px solid #313131;}.emoji-picker .info{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-right:8px;font-weight:700;max-width:125px;}.emoji-picker .diversity-picker{display:flex;justify-content:flex-end;padding:8px;}.emoji-picker .diversity-picker .diversity-scale{width:20px;height:20px;margin-right:5px;border:0;border-radius:3px;display:flex;align-items:center;justify-content:center;cursor:pointer;}.emoji-picker .diversity-picker .diversity-scale.default{background:#ffcc4d;}.emoji-picker .diversity-picker .diversity-scale.light{background:#f7dece;}.emoji-picker .diversity-picker .diversity-scale.medium-light{background:#f3d2a2;}.emoji-picker .diversity-picker .diversity-scale.medium{background:#d5ab88;}.emoji-picker .diversity-picker .diversity-scale.medium-dark{background:#af7e57;}.emoji-picker .diversity-picker .diversity-scale.dark{background:#7c533e;}.emoji-picker .diversity-picker .diversity-scale.selected .d-icon{display:block;}.emoji-picker .diversity-picker .d-icon{display:none;}.emoji-picker .diversity-picker .d-icon{color:#fff;font-size:1em;filter:drop-shadow(0.5px 1.5px 0 rgba(0,0,0,0.3));}.emoji-picker button.emoji{background:transparent;background-position:center;background-repeat:no-repeat;border-radius:0;background-size:20px 20px;-moz-box-sizing:content-box;box-sizing:content-box;height:20px;border:0;vertical-align:top;width:20px;outline:none;padding:3px;margin:2px;}.emoji-picker .section-group button.emoji:hover,.emoji-picker .results button.emoji:hover{display:inline-block;vertical-align:top;border-radius:2px;background-color:#94daf6;}.emoji-picker-modal.fadeIn{z-index:1200;position:fixed;right:0;top:0;width:100%;height:100%;opacity:0.8;background-color:black;}.emoji-picker .filter{background-color:none;border-bottom:1px solid #313131;padding:5px;display:flex;position:relative;align-items:center;}.emoji-picker .filter input[type="text"]{width:auto !important;}.emoji-picker .filter .d-icon-search{color:#ddd;font-size:1.1487em;margin-right:5px;margin-left:5px;}.emoji-picker .filter input{height:24px;margin:0;flex:1 0 0px;border:none;box-shadow:none;padding-left:24px;outline:none;color:#ddd;background:#222;}.emoji-picker .filter input:focus{border:none;box-shadow:none;}.emoji-picker .filter input::-ms-clear{display:none;}.emoji-picker .results{display:none;flex-wrap:wrap;align-items:center;justify-content:flex-start;padding:4px;flex:1 0 0px;}.emoji-picker .filter .clear-filter{position:absolute;left:5px;top:12px;border:0;background:none;color:#ddd;outline:none;display:none;}.emoji-picker .filter .clear-filter:hover{color:#ddd;}.topic-list.shared-drafts{margin-bottom:1.5em;}.show-more{width:100%;z-index:1;}.show-more.has-topics{position:absolute;top:7px;}.list-controls{clear:both;margin-bottom:5px;}.list-controls .combo-box .combo-box-header{background:#222;color:#ddd;border:1px solid #909090;font-size:1em;transition:none;height:10px;}.list-controls .select-kit{align-self:center;}.list-controls .select-kit .select-kit-collection{font-size:.8706em;max-height:40vh;}.list-controls .select-kit .select-kit-collection .texts,.list-controls .select-kit .select-kit-collection .icons{font-size:1.1487em;}.list-controls .select-kit.categories-admin-dropdown,.list-controls .select-kit.tags-admin-dropdown,.list-controls .select-kit.category-notifications-button,.list-controls .select-kit.tag-notifications-button{float:left;}.list-controls .select-kit.categories-admin-dropdown button,.list-controls .select-kit.tags-admin-dropdown button,.list-controls .select-kit.category-notifications-button button,.list-controls .select-kit.tag-notifications-button button{display:inline-block;}.list-controls .category-heading{max-width:100%;}.topic-list-item.visited a.title:not(.badge-notification),.latest-topic-list-item.visited a.title:not(.badge-notification),.category-topic-link.visited a.title:not(.badge-notification){color:#909090;}.topic-list-main-link,.topic-list .main-link{font-size:1.1487em;}.topic-list-main-link a.title,.topic-list .main-link a.title{padding:15px 0;word-break:break-word;color:#ddd;}.anon .topic-list-main-link a.title:visited:not(.badge-notification),.anon .topic-list .main-link a.title:visited:not(.badge-notification),.topic-list .anon .main-link a.title:visited:not(.badge-notification){color:#909090;}.topic-list-main-link a.title.visited:not(.badge-notification),.topic-list .main-link a.title.visited:not(.badge-notification){color:#909090;}.topic-list{width:100%;border-collapse:collapse;}.topic-list>tbody>tr.has-excerpt .star{vertical-align:top;margin-top:2px;}.topic-list>tbody>tr.last-visit{border-bottom:none;}.topic-list>tbody>tr .topic-list-separator{text-align:center;}.topic-list .topic-list-item-separator{border:none;}.topic-list .topic-list-item-separator td{border-bottom:1px solid #a13116;line-height:0.1em;padding:0;text-align:center;}.topic-list .topic-list-item-separator td span{background-color:#222;color:#a13116;padding:0 8px;font-size:.8706em;}.topic-list th,.topic-list td{line-height:1.4;text-align:right;vertical-align:middle;}.topic-list th button .d-icon{color:#909090;}.topic-list td{color:#909090;font-size:1em;}.topic-list .main-link .raw-topic-link>*{pointer-events:none;}.topic-list .unread-indicator.read{display:none;}.topic-list .unread-indicator .d-icon{vertical-align:middle;font-size:.5em;}.topic-list .link-bottom-line{font-size:.8706em;display:flex;flex-wrap:wrap;align-items:center;}.topic-list .link-bottom-line .discourse-tags{flex-wrap:wrap;-ms-flex:1 0 0px;}.topic-list .link-bottom-line a.badge-wrapper.box,.topic-list .link-bottom-line a.discourse-tag.box{padding-top:0;padding-bottom:0;}.topic-list .link-bottom-line .discourse-tag.simple:after,.topic-list .link-bottom-line .discourse-tag.box{margin-left:0.25em;}.topic-list .topic-featured-link{padding-right:5px;}.topic-list .topic-excerpt{font-size:.8706em;margin-top:5px;color:#a6a6a6;word-wrap:break-word;line-height:1.4;padding-left:20px;}.topic-list .topic-statuses:empty{display:none;}.topic-list .num{text-align:center;}.topic-list .num a:not(.badge-posts){color:inherit;}.topic-list .num a.badge-posts{font-weight:bold;}.topic-list .num.posts a{padding:15px 5px;}.topic-list .num.activity a{padding:15px 5px;}.heatmap-high,.heatmap-high a{color:#fe7a15 !important;}.heatmap-med,.heatmap-med a{color:#cf7721 !important;}.heatmap-low,.heatmap-low a{color:#9b764f !important;}.loading .topic-list{border:0;box-shadow:none;}.loading .topic-list tr{background-color:transparent;}#list-area{margin-bottom:100px;}#list-area .empty-topic-list{padding:10px;}#list-area .unseen{background-color:transparent;padding:0;border:0;color:#a13116;font-size:1em;cursor:default;}.topic-list .alert{margin-bottom:0;font-size:1em;}.topic-list .spinner{margin-top:40px;}ol.category-breadcrumb.hidden{display:none;}ol.category-breadcrumb{display:block;float:right;list-style:none;margin:0 0 10px 10px;padding:0;}ol.category-breadcrumb li{float:right;margin-left:5px;}ol.category-breadcrumb .bread-crumbs-right-outlet{float:right;}.d-icon-thumbtack.unpinned{-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=1)";-webkit-transform:rotate(180deg);-ms-transform:rotate(180deg);transform:rotate(180deg);}.top-title-buttons{display:inline;}.top-title-buttons button{margin-left:0.5em;}div.education{color:#919191;}div.education .badge-notification.new-posts{vertical-align:text-bottom;}.list-cell,.table-heading{padding:12px 5px;color:#646464;}.table-heading{border-bottom:3px solid #313131;}.topic-post-badges{white-space:nowrap;align-self:center;line-height:1.2;}.user-content-wrapper{width:100%;display:grid;grid-template-columns:1fr 5fr;grid-template-rows:auto auto 1fr auto;grid-row-gap:20px;}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-column-end:3;grid-row-start:1;grid-row-end:2;}.user-content-wrapper .user-secondary-navigation{grid-column-start:1;grid-column-end:2;grid-row-start:2;grid-row-end:3;}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:2;grid-row-end:4;grid-column-start:1;grid-column-end:3;}.user-content-wrapper .user-content{min-width:100%;}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:2;grid-column-end:3;}.user-content-wrapper .user-additional-controls{grid-row-start:3;align-self:start;justify-self:start;}.user-content-wrapper{display:-ms-grid;-ms-grid-columns:1fr 5fr;-ms-grid-rows:auto auto 1fr auto;}.user-content-wrapper .user-primary-navigation{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2;}.user-content-wrapper .user-secondary-navigation{-ms-grid-row:2;-ms-grid-column:1;}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:2;}.user-content-wrapper .user-secondary-navigation+.user-content{-ms-grid-column:2;-ms-grid-column-span:1;}.user-content-wrapper .user-additional-controls{-ms-grid-row:3;-ms-grid-column-align:start;-ms-grid-row-align:start;}.user-content .list-actions{display:flex;margin-bottom:12px;}.user-content .list-actions .btn{margin-left:12px;}.user-content .paginated-topics-list{position:relative;}.user-content .show-mores{width:100%;}.user-content .d-icon-heart{color:#fa6c8d;}.user-main .about{width:100%;margin-bottom:15px;}.user-main .about.has-background .user-profile-image{background-size:cover;background-position:center center;background-repeat:no-repeat;}.user-main .about.has-background .staff-counters{margin-bottom:0;}.user-main .about .secondary{display:inline-block;width:100%;border-top:1px solid #313131;}.user-main .about .secondary .btn{padding:4px 12px;}.user-main .about .secondary dl{margin:0;padding:5px 10px;}.user-main .about .secondary dl div{display:inline-flex;align-items:baseline;margin-left:15px;margin:4px 0;}.user-main .about .secondary dt,.user-main .about .secondary dd{display:inline-flex;align-items:center;}.user-main .about .secondary dd{padding:0;margin:0 0 0 15px;color:#ddd;}.user-main .about .secondary dd.groups span:not(:last-of-type){margin-left:0.25em;}.user-main .about .secondary dd.groups span:after{content:",";}.user-main .about .secondary dd.groups span:last-of-type:after{content:"";}.user-main .about .secondary dt{color:#919191;margin-left:5px;display:inline-block;}.user-main .about .details{background:rgba(34,34,34,0.8);border-bottom:1px solid #313131;}.user-main .about .details h1{font-size:2em;font-weight:normal;}.user-main .about .details h1 .d-icon{font-size:0.8em;}.user-main .about .details h2{font-weight:normal;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-main .about .details h3{font-weight:normal;margin-bottom:0.5em;}.user-main .about .details h3 .d-icon:not(:first-of-type){margin-right:10px;}.user-main .about .details .groups{margin-right:10px;display:inline;}.user-main .about .details img.avatar{float:right;}.user-main .about .details .suspended{color:#e45735;}.user-main .about .details .primary{width:100%;position:relative;}.user-main .about .details .primary h1{font-weight:bold;}.user-main .about .details .primary .bio{max-height:300px;overflow:auto;}.user-main .about .details .primary .bio a[href]{text-decoration:underline;}.user-main .about .details .primary .bio img{max-width:100%;}.user-main .about .details .user-profile-avatar{position:relative;float:right;}.user-main .about .details .user-profile-avatar .avatar-flair{bottom:8px;left:16px;}.user-main .about .controls ul{list-style-type:none;}.user-main .about .controls .btn{margin-bottom:10px;line-height:1.2;}.user-main .about.collapsed-info .details{margin-top:0;background:rgba(34,34,34,0.8);}.user-main .about.collapsed-info .details .bio{display:none;}.user-main .about.collapsed-info .details .primary{width:100%;}.user-main .about.collapsed-info .details .primary .avatar{margin-left:10px;width:45px;height:45px;}.user-main .about.collapsed-info .details .primary h1{font-size:1.5157em;}.user-main .about.collapsed-info .details .primary h2{font-size:1.1487em;}.user-main .about.collapsed-info .details .primary h3,.user-main .about.collapsed-info .details .primary h3.location-and-website{display:none;}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair{bottom:8px;left:2px;}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair .d-icon{font-size:1em;}.user-main .staff-counters{background:#ddd;color:#222;display:flex;padding:10px;margin-bottom:16px;}.user-main .staff-counters>div,.user-main .staff-counters>div a{display:flex;align-items:baseline;flex:0 1 auto;margin:0 0 0 10px;color:#222;}.user-main .staff-counters>div span,.user-main .staff-counters>div a span{padding:0 7px 1px;border-radius:10px;margin-left:5px;}.user-main .staff-counters .active{font-weight:bold;}.user-main .helpful-flags{background-color:#1ca551;}.user-main .flagged-posts{background-color:#e49735;}.user-main .warnings-received{background-color:#a13116;}.user-main .deleted-posts{background-color:#a13116;}.user-main .suspensions{background-color:#e45735;}.user-main .user-field{margin-bottom:10px;}.user-main .user-field .controls label{width:auto;text-align:right;font-weight:normal;}.user-main .user-field .controls .instructions{color:#909090;margin-top:5px;margin-bottom:10px;font-size:.8706em;}.user-main .user-content .admin-controls nav{margin:0;}.user-main .user-content .admin-controls nav .nav-pills{overflow-x:auto;}.user-field .required{vertical-align:top;color:#e45735;font-weight:bold;margin-right:0.25em;}.public-user-fields{margin-top:8px;margin-bottom:8px;}.public-user-fields .user-field-name{font-weight:bold;}.collapsed-info .public-user-fields{display:none;}.avatar-selector .avatar-choice{display:grid;grid-template-columns:2em 1fr auto;grid-template-rows:auto auto;align-items:center;}.avatar-selector .avatar-choice:not(:last-of-type){margin-bottom:0.75em;}.avatar-selector .avatar-choice span{word-break:break-word;}.avatar-selector .avatar-choice input[type="radio"]{margin-top:0;}.avatar-selector .avatar-choice button{margin-right:auto;}.avatar-selector label.radio{display:flex;align-items:center;max-width:300px;margin:0 0 0 0.5em;padding:0;}.avatar-selector label.radio .avatar{flex:0 0 auto;margin:0 0 0 0.75em;}.avatar-selector .error{color:#e45735;margin:0;max-width:calc(300px - 20px);grid-column-start:2;grid-column-end:3;}.avatar-selector .avatar-choice{display:-ms-grid;-ms-grid-columns:2em 1fr auto;-ms-grid-rows:auto auto;}.avatar-selector .avatar-choice input[type="radio"]{-ms-grid-row:1;-ms-grid-column:1;}.avatar-selector .avatar-choice label.radio{-ms-grid-row:1;-ms-grid-column:2;}.avatar-selector .avatar-choice span.avatar-uploader{-ms-grid-row:1;-ms-grid-column:3;}.avatar-selector .avatar-choice .error{-ms-grid-row:2;-ms-grid-column-span:3;}.top-section:before,.top-section:after{content:"";display:table;}.top-section:after{clear:both;}.top-section ul{list-style:none;margin:0;}.top-section,.top-sub-section{margin-bottom:20px;}.top-section.badges-section,.top-sub-section.badges-section{display:flex;flex-wrap:wrap;}.stats-title{text-transform:uppercase;margin-bottom:10px;width:100%;}.stats-section ul{margin:10px 0;}.stats-section li{display:inline-block;padding:10px 0 10px 14px;margin:0 0 10px 10px;}.stats-section li.linked-stat{padding:0;}.stats-section li.linked-stat a{padding:10px 0 10px 14px;width:100%;height:100%;display:block;color:#ddd;}.stats-section .value{font-weight:bold;font-size:1.3195em;}.stats-section .label{color:#909090;}.top-sub-section{width:50%;}.top-sub-section ul{max-width:95%;}.top-sub-section li{border-right:#313131 solid 2px;padding:5px 8px;margin:10px 0;}.top-sub-section .topic-info{color:#909090;}@media all and (max-width:600px){.top-sub-section{float:none;width:100%;}}.replies-section li,.topics-section li,.links-section li{word-wrap:break-word;}.links-section .domain{font-size:.8706em;color:#909090;}.top-categories-section table{max-width:95%;}.top-categories-section table tr{border:none;}.top-categories-section table td,.top-categories-section table th{padding:0.5em;}.top-categories-section table td.topic-count,.top-categories-section table td.reply-count,.top-categories-section table th.topic-count,.top-categories-section table th.reply-count{text-align:center;}.summary-user-list li{height:45px;}.groups .group-link{color:#0f82af;}.user-preferences textarea{height:100px;}.user-preferences .tracking-controls label{align-items:center;display:inline-block;}.user-preferences .tracking-controls label .d-icon{margin-left:3px;}@media screen and (max-width:550px){.user-preferences .tracking-controls .select-kit.multi-select{width:100%;}}.user-preferences .tracking-controls .show-tracking{float:left;}.user-preferences .static{color:#ddd;display:inline-block;}.user-preferences .instructions{color:#909090;margin-bottom:10px;font-size:.8706em;line-height:1.4;}.user-preferences .instructions a[href]{color:#0f82af;}.user-preferences .avatar{margin-right:3px;}.user-preferences .warning{background-color:#a13116;padding:5px 8px;color:#222;width:520px;}.user-preferences .warning-wrap{height:30px;margin-bottom:10px;}.user-preferences .tracking-controls{margin-top:24px;}.user-preferences.second-factor-backup-preferences{padding-right:0;}.user-preferences.second-factor-backup-preferences .second-factor-token-input{margin-left:10px;}.user-preferences.second-factor-backup-preferences .form-horizontal .instructions{margin-right:0;}.user-preferences.second-factor-backup-preferences .backup-codes{margin:2em 0;}.user-preferences.second-factor-backup-preferences .backup-codes .wrapper{display:inline-block;position:relative;padding:10px;border-radius:3px;border:1px solid #313131;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area{resize:none;padding:0;height:auto;text-align:center;width:250px;background:white;border:0;cursor:auto;overflow:hidden;outline:none;font-family:monospace;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area:focus{box-shadow:none;border-color:#313131;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn,.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{left:5px;position:absolute;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn{top:5px;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{top:40px;}.user-preferences .pref-associated-accounts table td{padding:8px;}.paginated-topics-list .user-content{width:100%;margin-top:0;}.large-notification{display:flex;align-items:center;}.large-notification a{display:flex;align-items:center;}.large-notification a .d-icon{margin-left:0.5em;}.large-notification a span:first-child{color:#ddd;}.large-notification a div .fa{display:none;}.large-notification a div p{margin:0;}.qr-code-container{display:flex;}.qr-code-container .qr-code{padding:5px 5px 0 5px;background-color:white;}.second-factor.instructions{color:#909090;margin-top:5px;margin-bottom:10px;font-size:.8706em;}.second-factor .second-factor-item{margin-top:0.75em;}.second-factor .btn.edit{min-height:auto;}.primary-textual .staged,#user-card .staged{font-style:italic;}.selectable-avatars{max-height:350px;margin-bottom:1em;text-align:justify;}.selectable-avatars .selectable-avatar{margin:5px;display:inline-block;}.selectable-avatars .selectable-avatar .avatar{cursor:pointer;width:60px;height:60px;}.selectable-avatars .selectable-avatar .avatar:hover{box-shadow:0 0 10px #ddd;}.topic-title-outlet.choose-tags{margin-right:25px;margin-top:3px;}.tag-list{margin-top:2em;padding-bottom:1em;border-bottom:1px solid #313131;}#list-area .tag-list h3{margin-bottom:20px;}.tag-list .tag-box{display:inline-block;width:300px;margin-bottom:1em;float:right;vertical-align:middle;}.tag-list .tag-box .discourse-tag{font-size:1em;}.tag-list .tag-box .tag-count{font-size:.8706em;vertical-align:middle;line-height:1;}.tag-show-heading{display:inline-flex;flex-wrap:wrap;align-items:center;white-space:nowrap;overflow:hidden;text-overflow:hidden;}@media screen and (max-width:450px){.tag-show-heading{width:100%;}}.tag-show-heading .d-icon{margin:0 0.25em;}.topic-category{display:flex;flex-wrap:wrap;align-items:center;}.topic-category .topic-header-extra{display:inline-flex;align-items:center;}.topic-category .badge-wrapper{margin-top:0;}.discourse-tag-count{font-size:.8706em;color:#909090;line-height:1;vertical-align:middle;}.discourse-tag{max-width:14em;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle;}.discourse-tag{margin:0;color:#909090;}.discourse-tag:visited,.discourse-tag:hover{color:#909090;}.extra-info-wrapper .discourse-tag{color:#a6a6a6 !important;}.discourse-tag.large{font-size:1.3195em;}.discourse-tag.box{background-color:#313131;color:#a6a6a6;padding:2px 8px;}.extra-info-wrapper .discourse-tag.box{background-color:#313131;color:#909090;}.discourse-tag.simple,.discourse-tag.simple:visited,.discourse-tag.simple:hover{margin-left:0;color:#a6a6a6;}.discourse-tag.bullet{margin-left:0.5em;display:inline-flex;align-items:center;}.discourse-tag.bullet:before{background:#7a7a7a;margin-left:5px;position:relative;width:9px;height:9px;display:inline-block;content:"";}.discourse-tag.bullet.large:before{width:13px;height:13px;}.discourse-tags .discourse-tag.simple:not(:last-child):after,.list-tags .discourse-tag.simple:not(:last-child):after{content:",";margin-right:1px;}.d-header .topic-header-extra .discourse-tags{display:inline-block;font-size:.8706em;}.d-header .topic-header-extra .discourse-tags+.topic-featured-link{margin-right:8px;}.fps-result .add-full-page-tags{display:inline-block;}.topic-list-item .discourse-tags{display:inline-flex;font-weight:normal;font-size:.8706em;}.categories-list .topic-list-latest .discourse-tags{display:inline-block;}.mobile-view .topic-list-item .discourse-tags{display:inline-flex;flex-wrap:wrap;font-size:.8706em;margin-top:0;}.mobile-view .topic-list-item .discourse-tags .discourse-tag{margin-left:0.2em;}.mobile-view .topic-list-item .discourse-tags .discourse-tag.box{position:relative;top:0;}header .discourse-tag{color:#909090;}.list-tags{display:inline-block;margin-left:3px;font-size:.8706em;}.tag-chooser{width:100%;max-width:100%;}.title-wrapper .tag-chooser{width:500px;}.tag-sort-options{margin-bottom:20px;}.tag-sort-options a{text-decoration:underline;}.tag-sort-options span.active a{font-weight:bold;}.autocomplete .d-icon-tag{color:#7a7a7a;padding-left:5px;}.autocomplete a{color:#909090;}.tags-admin-menu{margin-top:20px;}.tags-admin-menu ul{width:320px;}.tag-groups-container{margin-top:20px;}.tag-groups-container .content-list{width:20%;float:right;margin:20px 0;}.tag-groups-container .content-list ul{margin-bottom:10px;}.tag-groups-container .content-list .btn{margin-right:10px;}.tag-groups-container .tag-group-content{width:75%;float:left;}.tag-groups-container .tag-group-content section{margin-bottom:20px;}.tag-groups-container .tag-group-content label{font-size:1em;display:inline-block;margin-left:10px;}.tag-groups-container .tag-group-content .btn{margin-left:10px;}.tag-groups-container .tag-group-content h1 input{width:100%;}.tag-groups-container .group-tags-list .tag-chooser{width:100%;}.tag-groups-container .saving{margin-right:20px;}.tag-groups-container .parent-tag-section .tag-chooser{width:200px;margin-left:10px;}.tag-info{margin-top:1em;margin-bottom:1em;}.tag-info .delete-tag{float:left;}.tag-info .synonyms-list,.tag-info .add-synonyms,.tag-info .tag-associations{margin-top:1em;}.tag-info .tag-list{border:none;}.tag-info .tag-list .d-icon{color:#909090;}.tag-info .field{margin-bottom:5px;}#reply-control{position:fixed;display:flex;flex-direction:column;bottom:0;height:0;left:0;right:0;margin-right:auto;margin-left:auto;max-width:1475px;width:100%;z-index:400;transition:height 250ms ease,background 250ms ease,transform 250ms ease,max-width 250ms ease;background-color:#222;box-shadow:0 -1px 40px rgba(0,0,0,0.12);}#reply-control.hide-preview{max-width:740px;}@media screen and (max-width:1200px){#reply-control{min-width:0;}}#reply-control .reply-area{display:flex;flex-direction:column;}#reply-control .saving-text,#reply-control .draft-text{display:none;padding-right:10px;}#reply-control .saving-text .spinner,#reply-control .draft-text .spinner{margin-right:5px;border-color:#222;border-right-color:transparent;}#reply-control .saving-text .d-icon,#reply-control .draft-text .d-icon{color:#222;}#reply-control.open{height:300px;}#reply-control.open.edit-title{height:400px;}#reply-control.closed{height:0 !important;}#reply-control.draft,#reply-control.saving{height:40px !important;align-items:center;background:#0f82af;color:#222;flex-direction:row;width:100%;}#reply-control.draft .composer-controls,#reply-control.saving .composer-controls{margin-right:auto;display:flex;padding-left:5px;}#reply-control.draft .composer-controls .toggle-toolbar,#reply-control.saving .composer-controls .toggle-toolbar{display:none;}#reply-control.draft .composer-controls .d-icon,#reply-control.saving .composer-controls .d-icon{color:#222;}#reply-control.draft{cursor:pointer;display:flex;}#reply-control.draft .draft-text{display:block;}#reply-control.draft .grippie,#reply-control.draft .saving-text{display:none;}#reply-control.draft .toggler{order:2;}#reply-control.saving .saving-text{display:flex;}#reply-control .reply-to{color:#a6a6a6;margin:5px 0 10px 0;display:flex;align-items:center;}#reply-control .reply-to .d-icon{color:#909090;}#reply-control .reply-to .reply-details{max-width:calc(100% - 175px);flex:1 1 auto;display:flex;align-items:center;white-space:nowrap;}#reply-control .reply-to .reply-details .d-icon{opacity:0.8;}#reply-control .reply-to .composer-action-title{display:inline-flex;align-items:center;width:auto;max-width:100%;}#reply-control .reply-to .composer-action-title .avatar{width:20px;}#reply-control .reply-to .composer-action-title .action-title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#reply-control .reply-to .composer-action-title .topic-link,#reply-control .reply-to .composer-action-title .user-link,#reply-control .reply-to .composer-action-title .post-link{margin-left:5px;}#reply-control .reply-to .composer-action-title .username{margin-left:5px;max-width:100px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}@media screen and (max-width:500px){#reply-control .reply-to .composer-action-title .username{display:none;}}#reply-control .reply-to .composer-action-title .d-icon{margin-left:5px;}#reply-control .reply-to .composer-action-title img.avatar{margin-left:3px;}#reply-control .reply-to .composer-controls{display:flex;margin-right:auto;}#reply-control .reply-to .composer-controls button{padding:5px 7px;}#reply-control .reply-to .composer-controls button.toggler{order:2;}#reply-control .whisper,#reply-control .display-edit-reason{font-style:italic;}#reply-control .whisper{margin-left:0.25em;}#reply-control .display-edit-reason{display:inline-flex;}#reply-control .display-edit-reason a{display:inline-flex;}#reply-control .display-edit-reason .d-icon{padding:0.3em 0.5em;color:#0f82af;}#reply-control #edit-reason{margin:0 4px;}#reply-control .user-selector,#reply-control .title-and-category{display:flex;flex-wrap:wrap;width:100%;align-items:center;margin-bottom:5px;position:relative;}#reply-control .user-selector.with-preview,#reply-control .title-and-category.with-preview{width:50%;}#reply-control .title-input{position:relative;display:flex;flex:1 1 50%;}#reply-control .title-input input{flex-grow:1;}#reply-control .with-tags .title-input{flex:1 1 100%;}#reply-control .category-input{display:flex;flex:1 0 35%;margin:0 10px 5px 0;}@media screen and (max-width:955px){#reply-control .category-input{flex:1 0 100%;margin-right:0;}}#reply-control .category-input .category-chooser{display:flex;flex:1 0 auto;width:auto;}#reply-control .with-tags .category-input{flex-basis:25%;margin-right:0;margin-left:5px;}@media screen and (max-width:920px){#reply-control .with-tags .category-input{flex-basis:100%;margin-left:0;}}#reply-control .add-warning{margin-right:0.75em;margin-bottom:0;display:flex;}#reply-control .add-warning input{margin-left:5px;}#reply-control #reply-title{margin:0 0 5px 0;flex-basis:50%;}#reply-control .mini-tag-chooser{flex:1 1 25%;margin:0 0 5px 0;background:#222;z-index:700;}@media all and (max-width:900px){#reply-control .mini-tag-chooser{margin:0;flex:1 1 100%;}}#reply-control .popup-tip{z-index:701;}#reply-control .wmd-controls{position:relative;display:flex;flex-direction:column;flex-grow:1;min-height:0;}#reply-control .submit-panel{display:flex;flex-shrink:0;margin:7px 0 3px 0;}#reply-control .save-or-cancel{flex-basis:50%;display:flex;align-items:center;margin-left:auto;}#reply-control .save-or-cancel button{flex:0 0 auto;}#reply-control .save-or-cancel .cancel{margin-right:1.25em;line-height:normal;color:#a6a6a6;transition:color 250ms;}#reply-control .save-or-cancel .cancel:hover{color:#e45735;}#reply-control .save-or-cancel #draft-status,#reply-control .save-or-cancel #file-uploading{margin-right:25px;}#reply-control .save-or-cancel #file-uploading{display:flex;align-items:center;}#reply-control .save-or-cancel #file-uploading a{margin-right:5px;color:#a6a6a6;}#reply-control .save-or-cancel #file-uploading .spinner{margin-left:5px;}#reply-control .save-or-cancel #draft-status .d-icon-user-edit{color:#e45735;font-size:20px;vertical-align:-5.5px;}#reply-control #draft-status,#reply-control #file-uploading{color:#a6a6a6;}.cooked>*:first-child{margin-top:0;}.autocomplete{z-index:701;position:absolute;width:240px;background-color:#222;border:1px solid #313131;}.autocomplete ul{list-style:none;padding:0;margin:0;}.autocomplete ul li{border-bottom:1px solid #313131;}.autocomplete ul li .d-icon-users{color:#fff;padding:0 2px;}.autocomplete ul li a{padding:5px;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.autocomplete ul li a span.username{color:#ddd;}.autocomplete ul li a span.name{font-size:.8706em;vertical-align:middle;}.autocomplete ul li a.selected{background-color:#052e3d;}.discourse-no-touch .autocomplete ul li a:hover,.discourse-no-touch .autocomplete ul li a.btn-hover{background-color:#22170b;text-decoration:none;}div.ac-wrap.disabled input{display:none;}div.ac-wrap.disabled .item a{display:none;}div.ac-wrap div.item a.remove,.remove-link{margin-right:4px;font-size:.8706em;line-height:1;padding:1px 3.5px;border-radius:12px;box-sizing:border-box;border:1px solid #313131;}div.ac-wrap div.item a.remove:hover,.remove-link:hover{background-color:#591b0c;border:1px solid #a13116;text-decoration:none;color:#e45735;}div.ac-wrap{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#222;border:1px solid #909090;min-height:30px;box-sizing:border-box;}div.ac-wrap div.item{float:right;padding:4px 10px;line-height:1.4;}div.ac-wrap div.item span{display:inline-block;line-height:1.2;}div.ac-wrap .ac-collapsed-button{float:right;border-radius:20px;position:relative;top:-2px;margin-left:10px;}div.ac-wrap input[type="text"]{float:right;display:block;box-shadow:none;border:0;margin:0;background:transparent;min-height:unset;}div.ac-wrap input[type="text"].fullwidth-input{width:100%;}.future-date-input .examples{color:#909090;}.md-table{overflow-y:auto;margin:1em 0;}.mobile-view .md-table table{width:100%;}.save-animation{-webkit-animation:transformer 5s forwards;animation:transformer 5s forwards;}@-webkit-keyframes transformer{90%{-webkit-filter:opacity(1);}100%{-webkit-filter:opacity(0);}}@keyframes transformer{90%{opacity:1;}100%{opacity:0;}}body.ios-safari-composer-hacks #main-outlet,body.ios-safari-composer-hacks header,body.ios-safari-composer-hacks .grippie,html:not(.fullscreen-composer) body.ios-safari-composer-hacks .toggle-fullscreen{display:none;}body.ios-safari-composer-hacks #reply-control{top:0px;}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh,1vh) * 100);}.mfp-bg{top:0;right:0;width:100%;height:100%;z-index:1042;overflow:hidden;position:fixed;background:#0b0b0b;opacity:.8;filter:alpha(opacity=80);}.mfp-wrap{top:0;right:0;width:100%;height:100%;z-index:1043;position:fixed;outline:0 !important;-webkit-backface-visibility:hidden;}.mfp-container{text-align:center;position:absolute;width:100%;height:100%;right:0;top:0;padding:0 8px;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;}.mfp-container:before{content:"";display:inline-block;height:100%;vertical-align:middle;}.mfp-align-top .mfp-container:before{display:none;}.mfp-content{position:relative;display:inline-block;vertical-align:middle;margin:0 auto;text-align:right;z-index:1045;}.mfp-inline-holder .mfp-content,.mfp-ajax-holder .mfp-content{width:100%;cursor:auto;}.mfp-ajax-cur{cursor:progress;}.mfp-zoom-out-cur,.mfp-zoom-out-cur .mfp-image-holder .mfp-close{cursor:-moz-zoom-out;cursor:-webkit-zoom-out;cursor:zoom-out;}.mfp-zoom{cursor:pointer;cursor:-webkit-zoom-in;cursor:-moz-zoom-in;cursor:zoom-in;}.mfp-auto-cursor .mfp-content{cursor:auto;}.mfp-close,.mfp-arrow,.mfp-preloader,.mfp-counter{-webkit-user-select:none;-moz-user-select:none;user-select:none;}.mfp-loading.mfp-figure{display:none;}.mfp-hide{display:none !important;}.mfp-preloader{color:#ccc;position:absolute;top:50%;width:auto;text-align:center;margin-top:-0.8em;right:8px;left:8px;z-index:1044;}.mfp-preloader a{color:#ccc;}.mfp-preloader a:hover{color:#fff;}.mfp-s-ready .mfp-preloader{display:none;}.mfp-s-error .mfp-content{display:none;}button.mfp-close,button.mfp-arrow{overflow:visible;cursor:pointer;background:transparent;border:0;-webkit-appearance:none;display:block;padding:0;z-index:1046;-webkit-box-shadow:none;box-shadow:none;}button::-moz-focus-inner{padding:0;border:0;}.mfp-close{width:44px;height:44px;line-height:1.4;position:absolute;left:0;top:0;text-decoration:none;text-align:center;opacity:.65;filter:alpha(opacity=65);padding:0 10px 18px 0;color:#fff;font-style:normal;font-size:2em;font-family:Arial,Baskerville,monospace;}.mfp-close:hover,.mfp-close:focus{opacity:1;outline:0;filter:alpha(opacity=100);}.mfp-close:active{top:1px;}.mfp-close-btn-in .mfp-close{color:#333;}.mfp-image-holder .mfp-close,.mfp-iframe-holder .mfp-close{color:#fff;left:-6px;text-align:left;padding-left:6px;width:100%;}.mfp-counter{position:absolute;top:0;left:0;color:#ccc;font-size:.8706em;line-height:1.2;}.mfp-arrow{position:absolute;opacity:.65;filter:alpha(opacity=65);top:50%;margin:-55px 0 0;padding:0;width:90px;height:110px;-webkit-tap-highlight-color:transparent;}.mfp-arrow:active{margin-top:-54px;}.mfp-arrow:hover,.mfp-arrow:focus{outline:0;opacity:1;filter:alpha(opacity=100);}.mfp-arrow:before,.mfp-arrow:after,.mfp-arrow .mfp-b,.mfp-arrow .mfp-a{content:"";display:block;width:0;height:0;position:absolute;right:0;top:0;margin-top:35px;margin-right:35px;border:medium inset transparent;}.mfp-arrow:after,.mfp-arrow .mfp-a{border-top-width:13px;border-bottom-width:13px;top:8px;}.mfp-arrow:before,.mfp-arrow .mfp-b{border-top-width:21px;border-bottom-width:21px;}.mfp-arrow-left{right:0;}.mfp-arrow-left:after,.mfp-arrow-left .mfp-a{border-left:17px solid #fff;margin-right:31px;}.mfp-arrow-left:before,.mfp-arrow-left .mfp-b{margin-right:25px;border-left:27px solid #3f3f3f;}.mfp-arrow-right{left:0;}.mfp-arrow-right:after,.mfp-arrow-right .mfp-a{border-right:17px solid #fff;margin-right:39px;}.mfp-arrow-right:before,.mfp-arrow-right .mfp-b{border-right:27px solid #3f3f3f;}.mfp-iframe-holder{padding-top:40px;padding-bottom:40px;}.mfp-iframe-holder .mfp-content{line-height:0;width:100%;max-width:900px;}.mfp-iframe-holder .mfp-close{top:-40px;}.mfp-iframe-scaler{width:100%;height:0;overflow:hidden;padding-top:56.25%;}.mfp-iframe-scaler iframe{position:absolute;display:block;top:0;right:0;width:100%;height:100%;box-shadow:0 0 8px rgba(0,0,0,0.6);background:#000;}img.mfp-img{width:auto;max-width:100%;height:auto;display:block;line-height:0;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;padding:40px 0 40px;margin:0 auto;}.mfp-figure{line-height:0;}.mfp-figure:after{content:"";position:absolute;right:0;top:40px;bottom:40px;display:block;left:0;width:auto;height:auto;z-index:-1;box-shadow:0 0 8px rgba(0,0,0,0.6);background:linear-gradient(45deg,#111 100% 100%);}.mfp-figure small{color:#bdbdbd;display:block;font-size:.8706em;line-height:1.2;}.mfp-figure figure{margin:0;}.mfp-bottom-bar{margin-top:-36px;position:absolute;top:100%;right:0;width:100%;cursor:auto;}.mfp-title{text-align:right;line-height:1.2;color:#f3f3f3;word-wrap:break-word;padding-left:36px;}.mfp-title a.image-source-link .d-icon{padding-left:5px;}.mfp-image-holder .mfp-content{max-width:100%;}.mfp-gallery .mfp-image-holder .mfp-figure{cursor:pointer;}@media all and (max-width:800px) and (orientation:landscape),screen and (max-height:300px){.mfp-img-mobile .mfp-image-holder{padding-right:0;padding-left:0;}.mfp-img-mobile img.mfp-img{padding:0;}.mfp-img-mobile .mfp-figure:after{top:0;bottom:0;}.mfp-img-mobile .mfp-figure small{display:inline;margin-right:5px;}.mfp-img-mobile .mfp-bottom-bar{background:rgba(0,0,0,0.6);bottom:0;margin:0;top:auto;padding:3px 5px;position:fixed;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;}.mfp-img-mobile .mfp-bottom-bar:empty{padding:0;}.mfp-img-mobile .mfp-counter{left:5px;top:3px;}.mfp-img-mobile .mfp-close{top:0;left:0;width:35px;height:35px;line-height:1.4;background:rgba(0,0,0,0.6);position:fixed;text-align:center;padding:0;}}@media all and (max-width:900px){.mfp-arrow{-webkit-transform:scale(0.75);transform:scale(0.75);}.mfp-arrow-left{transform-origin:0;-webkit-transform-origin:0;}.mfp-arrow-right{transform-origin:100%;-webkit-transform-origin:100%;}.mfp-container{padding-right:6px;padding-left:6px;}}.mfp-ie7 .mfp-img{padding:0;}.mfp-ie7 .mfp-bottom-bar{width:600px;right:50%;margin-right:-300px;margin-top:5px;padding-bottom:5px;}.mfp-ie7 .mfp-container{padding:0;}.mfp-ie7 .mfp-content{padding-top:44px;}.mfp-ie7 .mfp-close{top:0;left:0;padding-top:0;}.mfp-zoom-in .mfp-content{opacity:0;transition:all 0.2s;-webkit-transform:scale(0.8);-ms-transform:scale(0.8);transform:scale(0.8);}.mfp-zoom-in.mfp-bg{opacity:0;transition:all 0.3s ease-out;}.mfp-zoom-in.mfp-ready .mfp-content{opacity:1;-webkit-transform:scale(1);transform:scale(1);}.mfp-zoom-in.mfp-ready.mfp-bg{opacity:0.8;}.mfp-zoom-in.mfp-removing .mfp-content{-webkit-transform:scale(0.8);transform:scale(0.8);opacity:0;}.mfp-zoom-in.mfp-removing.mfp-bg{opacity:0;}.mfp-force-scrollbars.mfp-wrap{overflow-y:auto !important;overflow-x:auto !important;}.mfp-force-scrollbars .mfp-img{max-width:none;}.button-count.has-pending span{background-color:#e45735;color:#222;border-radius:10px;padding:0.25em 0.5em;display:inline-block;font-size:0.8em;}.placeholder-avatar{display:inline-block;width:45px;height:45px;border-radius:50%;position:relative;overflow:hidden;}.placeholder-avatar:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;right:0;content:"";background:linear-gradient(to left,#282828 10%,#313131 72% 43%);height:45px;width:700px;}.placeholder-text{margin-right:11px;display:inline-block;width:calc(100% - 11px);height:1.5em;margin-bottom:0.6em;}.names{flex:1 1 auto;overflow:hidden;}.names span.first{display:flex;align-items:baseline;font-weight:bold;}.names span{font-size:1em;margin-left:8px;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle;}.names span a{color:#bdbdbd;}.names .fa{font-size:.8706em;color:#919191;}.names .svg-icon-title{margin-right:3px;margin-left:0px;}.names .new_user a,.names .user-title,.names .user-title a{color:#919191;}.cooked,.d-editor-preview{word-wrap:break-word;line-height:1.4;}.cooked h1,.cooked h2,.cooked h3,.cooked h4,.cooked h5,.cooked h6,.d-editor-preview h1,.d-editor-preview h2,.d-editor-preview h3,.d-editor-preview h4,.d-editor-preview h5,.d-editor-preview h6{margin:30px 0 10px;line-height:1.2;}.cooked h1,.d-editor-preview h1{font-size:1.5157em;}.cooked h2,.d-editor-preview h2{font-size:1.3195em;}.cooked h3,.d-editor-preview h3{font-size:1.1487em;}.cooked h4,.d-editor-preview h4{font-size:1em;}.cooked h5,.d-editor-preview h5{font-size:.8706em;}.cooked h6,.d-editor-preview h6{font-size:.7579em;}.cooked a,.d-editor-preview a{word-wrap:break-word;}.cooked ins,.d-editor-preview ins{background-color:#0b4220;}.cooked del,.d-editor-preview del{background-color:#631e0d;}.cooked big,.d-editor-preview big{font-size:1.5rem;}.cooked small,.d-editor-preview small{font-size:0.75rem;}.cooked small small,.d-editor-preview small small{font-size:0.75em;}.cooked big big,.d-editor-preview big big{font-size:1em;}.cooked sub sub sub,.d-editor-preview sub sub sub{bottom:0;}.cooked sup sup sup,.d-editor-preview sup sup sup{top:0;}.cooked video,.d-editor-preview video{max-width:100%;}.cooked sup sup,.d-editor-preview sup sup{top:0;}.moderator .regular>.cooked{background-color:#4c3319;padding:10px;}.moderator .regular>.cooked img:not(.thumbnail){max-width:100%;height:auto;}.moderator .clearfix>.topic-meta-data>.names span.user-title,.moderator .nav-pills>.topic-meta-data>.names span.user-title,.moderator .container>.topic-meta-data>.names span.user-title,.moderator .wrap>.topic-meta-data>.names span.user-title{color:#bdbdbd;}.moderator .clearfix>.topic-meta-data>.names span.user-title a,.moderator .nav-pills>.topic-meta-data>.names span.user-title a,.moderator .container>.topic-meta-data>.names span.user-title a,.moderator .wrap>.topic-meta-data>.names span.user-title a{background-color:#4c3319;padding-right:4px;padding-left:4px;}.topic-meta-data{display:flex;align-items:flex-start;}.topic-meta-data .names{margin-left:auto;}.topic-meta-data .post-infos{display:flex;flex:0 0 auto;align-items:center;}aside.quote{margin-top:1em;margin-bottom:1em;}aside.quote .badge-wrapper{margin-right:5px;}aside.quote .title{border-right:5px solid #313131;background-color:#3c3c3c;color:#bdbdbd;padding:12px 12px 1px 12px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}aside.quote .title .avatar{margin-left:7px;}aside.quote .title img{margin-top:-4px;}aside.quote blockquote{margin-top:0;}blockquote img{max-width:100% !important;}.quote-controls,.quote-controls .d-icon{color:#646464;}.cooked .highlight{background-color:#052e3d;padding:2px;margin:-2px;}.post-ignored{font-style:italic;}.post-action{color:#909090;}.post-action .undo-action,.post-action .act-action{margin-right:5px;}.post-hidden{opacity:0.5;position:relative;z-index:1;}.topic-post.staged{opacity:0.4;}.quote-controls{float:left;display:flex;align-items:center;}.quote-controls a{margin-right:0.3em;}.quote-button{display:none;position:absolute;background-color:#9e9e9e;color:#ddd;padding:10px;z-index:300;opacity:0.9;}.quote-button .d-icon{display:inline-block;}.quote-button:hover{background-color:#909090;cursor:pointer;}.topic-avatar,.user-card-avatar{position:relative;}.topic-map{background:#282828;border:1px solid #313131;border-top:none;}.topic-map .avatars>div{float:right;position:relative;margin:3px 0;}.topic-map .avatars .post-count{position:absolute;left:0;border-radius:100px;padding:3px 5px;text-align:center;font-weight:normal;font-size:.7579em;line-height:1;}.topic-map .avatar{float:right;margin-left:4px;}.topic-map section{border-top:1px solid #313131;}.topic-map ul{margin:0;list-style:none;}.topic-map h3{margin-bottom:4px;color:#ddd;line-height:1.4;font-weight:normal;font-size:1em;}.topic-map h4{margin:1px 0 2px 0;color:#919191;font-weight:normal;font-size:.8706em;line-height:1;}.topic-map span.domain{font-size:.7579em;color:#919191;}.topic-map td{vertical-align:top;padding:1px;}.topic-map .topic-links tr{border:none;}.topic-map .topic-links .badge-notification{margin:1px 0 2px 5px;}.topic-map .controls{display:flex;align-items:center;}.topic-map .controls .btn{margin-left:0.5em;}.topic-map .controls .btn:last-child{margin:0;}.topic-map .participants{display:flex;flex-wrap:wrap;align-items:center;}.topic-map .participants+.controls{margin-top:0.5em;}.topic-map .participants.hide-names .user .username,.topic-map .participants.hide-names .user .group-name{display:none;}.topic-map .participants .user{border:1px solid #313131;border-radius:0.25em;padding:0;margin:0.125em 0 0.125em 0.25em;display:flex;align-items:center;height:26px;}.topic-map .participants .user .user-link,.topic-map .participants .user .group-link{color:#a6a6a6;}.topic-map .participants .user .user-link:hover,.topic-map .participants .user .group-link:hover{color:#ddd;}.topic-map .participants .user .avatar,.topic-map .participants .user .d-icon-users{margin-right:0.25em;margin-left:0.25em;}.topic-map .participants .user .username,.topic-map .participants .user .group-name{margin-left:0.25em;}.topic-map .participants .user:last-child{margin-left:0;}.topic-map .participants .user .remove-invited{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0.25em 0 0 0.25em;padding-top:0;padding-bottom:0;height:100%;}.topic-map .add-remove-participant-btn .d-icon{margin-right:0.25em;}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.user-card-avatar .avatar-flair,.topic-map .poster .avatar-flair,.user-profile-avatar .avatar-flair,.user-image .avatar-flair{display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;background-position:center;position:absolute;bottom:0;left:-6px;}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.collapsed-info .user-profile-avatar .avatar-flair,.user-image .avatar-flair{background-size:20px 20px;width:20px;height:20px;}.topic-avatar .avatar-flair.rounded,.avatar-flair-preview .avatar-flair.rounded,.collapsed-info .user-profile-avatar .avatar-flair.rounded,.user-image .avatar-flair.rounded{background-size:18px 18px;border-radius:12px;width:24px;height:24px;bottom:-2px;left:-8px;}.user-card-avatar .avatar-flair,.user-profile-avatar .avatar-flair{background-size:40px 40px;width:40px;height:40px;}.user-card-avatar .avatar-flair.rounded,.user-profile-avatar .avatar-flair.rounded{background-size:30px 30px;border-radius:24px;width:40px;height:40px;bottom:-2px;left:-4px;}.user-card-avatar .avatar-flair .fa,.user-profile-avatar .avatar-flair .fa{font-size:1.7511em;}.topic-map .poster .avatar-flair{left:0;background-size:12px 12px;width:16px;height:16px;bottom:-3px;color:#ddd;}.topic-map .poster .avatar-flair.rounded{background-size:12px 12px;border-radius:8px;width:16px;height:16px;bottom:-2px;left:0;}.topic-map .poster .avatar-flair .d-icon{font-size:.7579em;}.topic-avatar .poster-avatar-extra{display:none;}.map:first-of-type{display:flex;}.map:first-of-type .buttons{margin-right:auto;order:15;}.map:first-of-type .buttons .btn{height:100%;}.topic-body .cooked{overflow:hidden;}.topic-body.highlighted{animation:background-fade-highlight 2.5s ease-out;}.post-info{flex:0 0 auto;margin-left:0.5em;}.post-info.post-date{margin-left:0;}.post-info.via-email .d-icon,.post-info.whisper .d-icon,.post-info.post-locked .d-icon{font-size:1em;}.post-info .wiki,.post-info .last-wiki-edit{color:green;}.post-info.via-email{color:#646464;}.post-info.raw-email{cursor:pointer;}pre code{word-wrap:normal;display:block;padding:0.5em;color:#ddd;background:#3c3c3c;max-height:500px;}kbd{background-color:#222;border:1px solid #313131;border-radius:3px;box-shadow:0 2px 0 rgba(0,0,0,0.2), 0 0 0 1px #000 inset;background:#333;border:1px solid #555;border-bottom:medium none #000;color:#ddd;display:inline-block;font-size:.8706em;line-height:1.4;margin:0 0.1em;padding:0.1em 0.6em;}kbd * * *{display:none;}blockquote>*:first-child{margin-top:0 !important;}blockquote>*:last-child{margin-bottom:0 !important;}.gap{padding:0.25em 56px 0.5em 0;color:#646464;cursor:pointer;text-transform:uppercase;font-weight:bold;font-size:.8706em;}.who-liked,.who-read{transition:height 0.5s;}.who-liked a,.who-read a{margin:0 0 0.5em 0.25em;display:inline-block;}.cooked table thead th,.d-editor-preview table thead th{text-align:right;padding-bottom:2px;font-weight:bold;color:#ddd;}.cooked table td,.d-editor-preview table td{padding:3px 0.5em 3px 3px;}.small-action{display:flex;align-items:center;max-width:758px;border-top:1px solid #313131;}.small-action .topic-avatar{align-self:flex-start;padding:0.7em 0;border-top:none;margin-left:11px;flex:0 0 auto;}.small-action .topic-avatar .d-icon{font-size:2em;width:45px;text-align:center;color:#7a7a7a;}.small-action .small-action.deleted{background-color:rgba(99,30,13,0.7);}.small-action .small-action-desc.timegap{color:#909090;}.small-action .small-action-desc{display:flex;flex-wrap:wrap;flex:1 1 100%;align-items:center;padding:1em 0;text-transform:uppercase;font-weight:bold;font-size:.8706em;color:#909090;min-width:0;}.small-action .small-action-desc .custom-message{flex:1 1 100%;text-transform:none;font-weight:normal;font-size:1.1487em;order:12;word-break:break-word;min-width:0;}.small-action .small-action-desc .custom-message p{margin-bottom:0;}.small-action .small-action-desc a.trigger-user-card{align-self:stretch;}.small-action .small-action-desc .avatar{margin-left:0.8em;float:right;}.small-action .small-action-desc>p{margin:0;line-height:1.2;flex:1 1;}.small-action button{background:transparent;border:0;order:9;}.small-action button:last-of-type{margin-right:auto;order:8;}.whisper .post-info.whisper{margin-right:0.5em;}.whisper .topic-body .cooked{font-style:italic;color:#909090;}a.mention,a.mention-group{padding:2px 4px;color:#bdbdbd;background:#313131;border-radius:8px;font-weight:bold;font-size:0.93em;}.popup-menu h3{margin-top:0;}.suggested-topics .topics{padding-bottom:15px;}.suggested-topics .suggested-topics-message .badge-wrapper{margin-left:0;}.large-image-placeholder>a.link{margin-left:10px;}.large-image-placeholder>a>*{overflow:hidden;vertical-align:middle;}.large-image-placeholder>a>.d-icon{color:#919191;margin-left:6px;font-size:1em;line-height:1.4;}.large-image-placeholder>a>span.url{display:inline-block;max-width:300px;margin-left:6px;text-overflow:ellipsis;white-space:nowrap;}.large-image-placeholder>a>span.help{display:inline-block;color:#919191;font-size:.8706em;font-style:italic;line-height:1.4;margin-bottom:1px;}.large-image-placeholder>a>span.badge-notification{vertical-align:unset;}.broken-image,.large-image{color:#646464;border:1px solid #313131;font-size:2em;padding:16px;}.reply-to-tab{display:flex;align-items:center;margin-left:2em;}.reply-to-tab img{margin:0 0.25em;}.topic-post.selected article.boxed .select-posts button.select-post{background-color:#0f82af;color:#222;border-color:#0f82af;}.topic-post.selected article.boxed .topic-body .contents:after{display:none;}.topic-post article.boxed{position:relative;}.topic-post article.boxed .select-posts{position:absolute;left:5em;z-index:300;top:0.5em;height:100px;}.topic-post article.boxed .select-posts button{margin-right:8px;background-color:#313131;color:#ddd;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}@media all and (max-width:767px){.reply-to-tab span{display:none;}.user-title{float:right;clear:right;}}.signup-cta a{float:left;text-decoration:underline;}.signup-cta .buttons{margin-bottom:1em;}.post-notice{align-items:center;background-color:#052e3d;border-top:1px solid #313131;display:flex;max-width:calc( 690px + (11px * 2) + 45px - (0.8em * 2));padding:0.8em;}.post-notice.old{background-color:unset;color:#909090;}.post-notice.old .d-icon{color:#909090;}.post-notice p{margin:0;}.post-notice .d-icon{font-size:2em;color:#a6a6a6;margin-left:0.65em;}#topic-footer-buttons .reason{color:#a6a6a6;display:inline;margin:0 8px 0 0;line-height:1.2;}@keyframes button-jump-up{0%{margin-bottom:-60px;}50%{margin-bottom:10px;}65%{margin-bottom:0px;}77%{margin-bottom:5px;}100%{margin-bottom:0px;}}.progress-back-container{z-index:300;margin-left:0;animation-duration:0.5s;animation-name:button-jump-up;width:145px;text-align:center;margin-bottom:0px;position:absolute;left:0;top:-2em;}.progress-back-container .btn{margin:0;}#topic-progress-wrapper{display:flex;}#topic-progress-wrapper .topic-admin-menu-button-container{display:flex;}#topic-progress-wrapper .topic-admin-menu-button-container>span{display:flex;}#topic-progress-wrapper .topic-admin-popup-menu.right-side{position:absolute;bottom:0;left:0;right:auto;transition:bottom 0.5s;transform:translateZ(0);}#topic-progress-wrapper.docked .topic-admin-popup-menu.right-side{bottom:-150px;}.title-wrapper{display:flex;flex-wrap:wrap;}.title-wrapper button{margin:0 0 0 0.5em;}.title-wrapper a.topic-featured-link{display:inline-block;}.title-wrapper .topic-statuses{line-height:1.2em;margin-left:0.15em;}.title-wrapper .topic-statuses .d-icon{color:#909090;}h1{margin:0 0 4px 0;}a.badge-category{margin-top:5px;}#topic-title .title-wrapper{display:flex;flex-wrap:wrap;width:90%;}#topic-title .title-wrapper a.topic-featured-link{display:inline-block;}#topic-title h1{margin:0 0 4px 0;width:100%;}#topic-title a.badge-category{margin-top:5px;}#topic-title a.edit-topic .d-icon{font-size:0.8em;}#topic-title .edit-topic-title{display:flex;flex-wrap:wrap;box-sizing:border-box;max-width:758px;}#topic-title .edit-topic-title #edit-title{flex:1 1 auto;}#topic-title .edit-topic-title .private-message-glyph{margin:5px 0 0 5px;}#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 49%;margin:0 0 9px 0;}@media all and (max-width:500px){#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 100%;}}#topic-title .edit-topic-title .mini-tag-chooser{margin-right:2%;}@media all and (max-width:500px){#topic-title .edit-topic-title .mini-tag-chooser{margin-right:0;}}.private-message-glyph{color:#646464;margin-left:5px;}.archetype-private_message #topic-title .edit-topic-title .tag-chooser{margin-right:19px;}.private_message #topic-title .edit-topic-title #edit-title{width:calc(100% - 50px);}.topic-title-outlet{clear:both;}.has-pending-posts{display:flex;justify-content:space-between;padding:0.5em;background-color:#4c3319;margin-top:1em;max-width:757px;}.suggested-topics-wrapper.related-messages-wrapper .suggested-topics:nth-of-type(n+2) thead{display:none;}.suggested-topics h3 .badge-wrapper.bullet span.badge-category,.suggested-topics h3 .badge-wrapper.box span,.suggested-topics h3 .badge-wrapper.bar span{display:inline;}.suggested-topics h3 .badge-wrapper.bullet span.badge-category{vertical-align:baseline;line-height:1.2;}.suggested-topics h3 .badge-wrapper.bullet,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg{line-height:0.8;}.suggested-topics .badge-wrapper.bullet span.badge-category,.suggested-topics .badge-wrapper.bar span.badge-category{max-width:150px;}.suggested-topics .suggested-topics-title{display:flex;align-items:center;}.post-links-container{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both;}.post-links-container .post-links{margin-top:1em;padding-top:1em;border-top:1px solid #313131;}.post-links-container .post-links li:last-of-type{margin-bottom:1em;}.post-links-container .expand-links{color:#919191;}.post-links-container .track-link{display:flex;align-items:center;}.post-links-container .track-link span:not(.badge){overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.post-links-container ul{margin:0;list-style:none;}.post-links-container ul li{margin-bottom:0.5em;}.post-links-container ul li a[href]{color:#919191;}.post-links-container ul li .clicks{margin-right:0.5em;flex:0 0 auto;}.post-links-container ul li .d-icon{font-size:.7579em;margin:0 0 0 0.5em;}.post-links-container a.reply-new .d-icon{background:#222;border-radius:20px;transition:all linear 0.15s;}.post-links-container a.reply-new:hover{color:#0f82af;}.post-links-container a.reply-new:hover .d-icon{background:#052e3d;}a.topic-featured-link{display:inline-block;text-transform:lowercase;color:#919191;font-size:0.875rem;}a.topic-featured-link .d-icon{margin-left:3px;}.topic-area .pending-posts{max-width:calc( 690px + 45px + 22px);}.topic-area .pending-posts .reviewable-item .post-body{max-height:unset;}#request-access{width:325px;margin:0 auto;}#request-access input[type="text"]{width:320px;height:30px;font-size:1.5157em;}#request-access input[type="submit"]{font-size:1.5157em;padding:10px;}.hljs{display:block;padding:0.5em;color:#f8f8f8;}.hljs-comment,.hljs-doctag{color:#bba;font-style:italic;}.hljs-keyword,.javascript .hljs-title,.nginx .hljs-title,.hljs-subst,.hljs-request,.hljs-status{color:#f8f8f8;font-weight:bold;}.hljs-number,.ruby .hljs-constant{color:#aff;}.hljs-string,.hljs-tag .hljs-string,.tex .hljs-formula{color:#f99;}.hljs-title,.hljs-name,.coffeescript .hljs-params,.scss .hljs-meta{color:#f99;font-weight:bold;}.javascript .hljs-title,.lisp .hljs-title,.clojure .hljs-title,.hljs-subst{font-weight:normal;}.hljs-class .hljs-title,.haskell .hljs-type,.vhdl .hljs-literal,.tex .hljs-command{color:#9ae;font-weight:bold;}.hljs-tag,.hljs-tag .hljs-title,.django .hljs-tag .hljs-keyword{color:#99f;font-weight:normal;}.hljs-attribute,.css .hljs-keyword,.hljs-variable,.lisp .hljs-body{color:#0ee;}.hljs-regexp{color:#1ca551;}.hljs-symbol,.ruby .hljs-symbol .hljs-string,.lisp .hljs-keyword,.tex .hljs-special,.hljs-prompt{color:#fbe;}.hljs-built_in,.lisp .hljs-title,.clojure .hljs-built_in,.hljs-builtin-name{color:#0b6283;}.meta{color:#909090;font-weight:bold;}.hljs-deletion{background:#591b0c;}.hljs-addition{background:#0b4220;}.diff .hljs-meta{color:#313131;}p>code,li>code,pre>code{color:#f8f8f8;background:#333;}#discourse-tooltip{background-color:#222;position:absolute;z-index:600;border:1px solid #909090;max-width:400px;margin-top:25px;overflow-wrap:break-word;display:none;font-size:1em;font-weight:500;}#discourse-tooltip.retina{border:0.5px solid #909090;}#discourse-tooltip .tooltip-pointer{position:relative;background:#222;}#discourse-tooltip .tooltip-pointer:before,#discourse-tooltip .tooltip-pointer:after{position:absolute;pointer-events:none;border:solid transparent;bottom:100%;content:"";height:0;width:0;}#discourse-tooltip .tooltip-pointer:after{border-bottom-color:#222;border-width:8px;right:50%;margin-right:-8px;margin-bottom:-0.5px;}#discourse-tooltip .tooltip-pointer:before{border-bottom-color:#909090;border-width:9px;right:50%;margin-right:-9px;margin-bottom:-0.5px;}#discourse-tooltip .tooltip-content{padding:1em;max-width:250px;font-size:.8706em;color:#ddd;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);line-height:1.4em;}.page-not-found{margin:0 0 40px 0;}.page-not-found h1.title{font-size:2em;line-height:1.2;}.page-not-found-search{margin-top:20px;}.page-not-found-topics{display:flex;}@media screen and (max-width:600px){.page-not-found-topics{flex-wrap:wrap;}}.popular-topics,.recent-topics{box-sizing:border-box;width:50%;max-width:400px;margin-bottom:40px;padding-left:20px;}@media screen and (max-width:600px){.popular-topics,.recent-topics{width:100%;}}.popular-topics h2,.recent-topics h2{margin-bottom:10px;}.not-found-topic{display:flex;flex-wrap:wrap;align-items:baseline;margin-bottom:15px;}@media screen and (max-width:600px){.not-found-topic:nth-of-type(n+6){display:none;}}.not-found-topic a:not(.badge-wrapper){flex-basis:100%;}.modal-outer-container{width:100%;height:100%;}.modal-middle-container{display:flex;height:100%;align-items:center;}.modal-inner-container{box-sizing:border-box;flex:0 1 auto;margin:0 auto;max-width:700px;background-color:#222;box-shadow:0 8px 60px rgba(0,0,0,0.6);}.modal-inner-container .select-kit{width:220px;}.modal-inner-container .select-kit.tag-chooser{width:100%;}.modal-open .dropdown-menu{z-index:1400;}.modal-open .popover{z-index:1500;}.modal-open .tooltip{z-index:1600;}.bootbox.modal{position:fixed;z-index:1300;overflow:auto;height:auto;background-color:#222;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-clip:padding-box;}.input-hint-text{margin-right:0.5em;color:#646464;}.modal-header{display:flex;padding:10px 15px;border-bottom:1px solid #313131;align-items:center;}.modal-header .title h3{margin-bottom:0;}.modal-header .title p{margin:0;}.modal-header .modal-close{align-self:flex-start;order:2;margin-right:auto;padding-right:2em;}.modal-header .modal-close .close{color:#a6a6a6;}.modal-backdrop{position:fixed;top:0;left:0;bottom:0;right:0;z-index:1200;background-color:#111;}.modal-backdrop.fade{opacity:0;}.modal-backdrop,.modal-backdrop.fade.in{animation:fade 0.3s;opacity:0.9;filter:alpha(opacity=90);}@keyframes fade{from{opacity:0;}to{opacity:0.9;}}@keyframes slidein{from{transform:translateY(-20%);}to{transform:translateY(0);}}.create-account.in .modal-inner-container,.login-modal.in .modal-inner-container{animation:slidein 0.3s;}.inline-modal .modal-inner-container{border:1px solid #919191;}.fixed-modal{position:fixed;top:0;width:100%;height:100%;z-index:1300;overflow:auto;}.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:80vh !important;}@media screen and (max-height:500px){.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:65vh !important;}}.modal-form{margin-bottom:0;}.modal-footer{padding:14px 15px 10px;border-top:1px solid #313131;}.modal-footer .btn{margin:0 0 5px 5px;}.modal.edit-category-modal .modal-body textarea{height:10em;}@media screen and (min-width:524px){.modal.edit-category-modal .modal-inner-container{min-width:525px;}}.modal .nav{padding:10px 15px 10px 30px;background-color:#222;border-bottom:1px solid #313131;}.modal .nav li>a{font-size:1em;}.modal.hidden{display:none;}.modal .modal-body{box-sizing:border-box;width:100%;overflow-y:auto;max-height:400px;}.modal .modal-body.full-height-modal{max-height:calc(100vh - 150px);}.modal .modal-body.insert-link{overflow-y:visible;}.modal .modal-body.insert-link input{min-width:300px;}.modal .modal-body.insert-link .inputs{position:relative;}.modal .modal-body.insert-link .inputs .spinner{position:absolute;left:8px;top:-15px;width:10px;height:10px;}.modal .modal-body.insert-link .inputs .internal-link-results{position:absolute;top:70%;padding:5px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:5;background-color:#222;max-height:150px;width:90%;overflow-y:auto;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link{padding:6px;border-bottom:1px solid #313131;cursor:pointer;display:block;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:hover,.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:focus{background-color:#4c3319;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .search-category{display:flex;align-items:center;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .discourse-tags{display:inline-block;font-size:.8706em;}.modal .modal-body textarea{width:99%;height:80px;}.modal .modal-body p{font-size:1em;}.modal .modal-body .archetype-option{margin-bottom:20px;}.modal .modal-body .warning{color:#e45735 !important;}.modal .password-confirmation{display:none;}.modal section.field{padding:0.25em 0;margin-bottom:5px;}.modal section.field.with-items{display:flex;align-items:flex-start;}.modal section.field .field-item{display:inline-block;margin-left:10px;}.modal .modal-body.forgot-password-modal p{font-size:1em;}.modal pre code{white-space:pre-wrap;max-width:700px;}.reply-where-modal .modal-footer a{display:block;}.reply-where-modal .modal-footer .d-modal-cancel{margin:1em 0 0.5em;}.reply-where-modal .modal-footer .btn{text-align:right;font-size:1.3195em;line-height:1.2;margin-bottom:10px;font-weight:bold;}.reply-where-modal .modal-footer .btn .topic-title{font-weight:normal;}.d-modal-cancel{margin-right:1em;color:#909090;}.d-modal-cancel:hover{color:#e45735;}.delete-user-modal .modal-footer .btn{line-height:1.2;}.delete-posts-progress .progress-bar{height:15px;position:relative;background:#7a7a7a;border-radius:25px;overflow:hidden;margin:30px 0 20px;}.delete-posts-progress .progress-bar span{display:block;width:0%;height:100%;background-color:#0f82af;position:relative;transition:width 0.6s linear;}.permission-list{list-style:none;margin:0 0 30px;padding:0;}.permission-list .name{margin-left:20px;display:inline-block;min-width:100px;}.permission-list .permission{margin-right:20px;}.permission-list .d-icon-times-circle{margin-right:5px;color:#e45735;}.permission-list li{margin-bottom:10px;}.edit-category-modal input:not([type="checkbox"]),.edit-category-modal .controls{display:block;margin-bottom:0.5em;}.edit-category-modal .disable_info_wrap{position:relative;display:inline-block;float:left;}.edit-category-modal .disable_info_wrap .cannot_delete_reason{position:absolute;background:#ddd;color:#222;text-align:center;border-radius:2px;padding:12px 8px;}.edit-category-modal .disable_info_wrap .cannot_delete_reason::after{top:100%;right:57%;border:solid transparent;content:" ";position:absolute;border-top-color:#ddd;border-width:8px;}.edit-category-modal .permission-selector{margin-left:0.25em;}.edit-category-modal .pending-permission-change-alert{margin-right:auto;max-width:250px;background:#c7c7c7;color:#222;margin-top:10px;padding:5px 10px;position:relative;}.edit-category-modal .pending-permission-change-alert .arrow-div{border:solid transparent;content:" ";position:absolute;border-bottom-color:#c7c7c7;border-width:7px;top:-13px;right:200px;}.edit-category-modal .add-permission{position:relative;top:0.1em;}.edit-category-modal .edit-category-tab-settings>section{margin-bottom:1.5em;}.edit-category-modal .edit-category-tab-settings input[type="number"],.edit-category-modal .edit-category-tab-settings input[type="text"],.edit-category-modal .edit-category-tab-settings .select-kit{width:280px;}.edit-category-modal .edit-category-tab-settings label{max-width:280px;}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label{flex-wrap:wrap;}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label a{margin-right:1.3em;}.edit-category-modal #category-min-tags-from-group{width:100px;}.incoming-email-modal .btn{transition:none;background-color:transparent;margin-left:5px;}.incoming-email-modal .btn:hover,.incoming-email-modal .btn.active{color:#ddd;}.incoming-email-modal .btn.active{font-weight:bold;}.incoming-email-modal .btn:focus{outline:2px solid #313131;}.incoming-email-modal .incoming-email-tabs{margin-bottom:15px;}.incoming-email-modal .incoming-email-content{height:300px;max-width:700px;width:90vw;}.incoming-email-modal .incoming-email-content textarea,.incoming-email-modal .incoming-email-content .incoming-email-html-part{height:95%;border:none;border-top:1px solid #313131;padding-top:10px;}.incoming-email-modal .incoming-email-content textarea{font-family:monospace;resize:none;border-radius:0;box-shadow:none;}.incoming-email-modal .incoming-email-content .incoming-email-html-part{padding:10px 4px 4px 4px;}.modal .modal-body.change-timestamp #date-container .pika-single{width:100%;box-sizing:border-box;display:flex;justify-content:center;}.modal .modal-body.change-timestamp form{display:flex;}.modal .modal-body.change-timestamp form .date-picker-wrapper,.modal .modal-body.change-timestamp form input[type="time"]{width:50%;}.modal .modal-body.change-timestamp form .date-picker-wrapper{display:flex;flex:1;}.modal .modal-body.change-timestamp form .date-picker-wrapper .date-picker{flex:1;}.modal .modal-body.change-timestamp form input.date-picker,.modal .modal-body.change-timestamp form input[type="time"]{text-align:right;margin:0;}.change-timestamp{max-width:420px;}.change-timestamp #date-container .pika-single,.poll-ui-builder #date-container .pika-single{position:relative !important;display:inline-block;margin-top:0.5em;}.change-timestamp .date-picker-wrapper,.poll-ui-builder .date-picker-wrapper{min-width:130px;margin-left:0.5em;}.change-timestamp input[type="time"],.poll-ui-builder input[type="time"]{width:130px;}.change-timestamp form,.poll-ui-builder form{margin:0;}.flag-modal{max-height:450px;}.flag-modal .flag-action-type-details{width:100%;max-width:500px;line-height:1.4;}.flag-message{margin:0;}.custom-message-length{color:#909090;font-size:.8706em;}.jump-to-post-modal .modal-inner-container{max-width:350px;}.jump-to-post-modal .modal-body{overflow-y:visible;}.jump-to-post-modal .modal-body #post-jump,.jump-to-post-modal .modal-body .date-picker{margin:0;width:100px;}.jump-to-post-modal .modal-body .input-hint-text{color:#ddd;}.jump-to-post-modal .modal-body .jump-to-post-control .index{color:#909090;}.jump-to-post-modal .modal-body .jump-to-date-control .input-hint-text{margin-right:0;}.jump-to-post-modal .modal-body .separator{display:flex;align-items:center;margin:0.5em auto;}.jump-to-post-modal .modal-body .separator hr{flex:1 0 0px;}.jump-to-post-modal .modal-body .separator .text{margin:0 0 0 0.5em;color:#909090;}.move-to-modal .existing-topic .radio{flex-wrap:wrap;}.move-to-modal .existing-topic .topic-title{max-width:90%;}.move-to-modal .existing-topic .topic-categories{width:100%;}.modal:not(.has-tabs) .modal-tab{position:absolute;width:95%;}.modal.has-tabs .modal-tabs{display:inline-flex;flex-wrap:wrap;width:calc(100% - 20px);flex:1 0 auto;margin:0;}.modal.has-tabs .modal-tabs .modal-tab{list-style:none;padding:4px 8px;margin-left:4px;cursor:pointer;}.modal.has-tabs .modal-tabs .modal-tab.is-active{color:#222;background:#e45735;}.modal.has-tabs .modal-tabs .modal-tab.is-active.single-tab{background:none;color:#ddd;padding:4px 0;}.groups-header{display:flex;flex-wrap:wrap;margin-bottom:1em;}.groups-header .groups-header-new{order:2;margin-bottom:0.5em;}.groups-header-filters{display:flex;flex-wrap:wrap;}.groups-header-filters .groups-header-filters-name,.groups-header-filters .groups-header-filters-type{margin-left:5px;margin-bottom:0.5em;}.groups-header-filters:last-child{margin-left:auto;}.groups-boxes{margin:1em 0;width:100%;display:flex;flex-wrap:wrap;justify-content:space-between;}@supports (display:grid){.groups-boxes{display:grid;grid-template-columns:repeat(4,24%);grid-column-gap:1.333%;grid-row-gap:1em;}@media screen and (max-width:768px){.groups-boxes{grid-template-columns:repeat(3,32%);grid-column-gap:2%;}}@media screen and (max-width:450px){.groups-boxes{grid-template-columns:100%;}}}.groups-boxes .group-box{flex:1 1 24%;margin:1%;display:flex;box-sizing:border-box;cursor:pointer;border:1px solid #313131;color:#ddd;}@media screen and (max-width:450px){.groups-boxes .group-box{margin:0;}}.discourse-no-touch .groups-boxes .group-box{transition:all 0.25s;}.discourse-no-touch .groups-boxes .group-box:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15);}.groups-boxes .group-box .group-membership{color:#909090;margin-top:auto;padding-top:1em;}.groups-boxes .group-box .group-membership .is-group-owner,.groups-boxes .group-box .group-membership .is-group-member{color:#1ca551;}.groups-boxes .group-box .group-box-inner{padding:1em;width:100%;display:flex;flex-direction:column;box-sizing:border-box;}.groups-boxes .group-box .group-box-inner .group-info-wrapper{display:flex;overflow:hidden;flex:0 1 auto;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-avatar-flair{margin-top:0.2em;margin-left:8px;flex:0 0 auto;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info{flex:1 0 auto;margin-bottom:1em;width:70%;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info span{width:100%;word-break:break-word;line-height:1.2;}.groups-boxes .group-box .group-box-inner .group-user-count{display:flex;align-items:center;color:#a6a6a6;}.groups-boxes .group-box .group-box-inner .group-user-count .d-icon{margin-left:0.25em;font-size:0.8em;color:#909090;}.groups-boxes .group-box .group-box-inner .group-description{color:#a6a6a6;word-wrap:break-word;}.groups-boxes .group-box .groups-info-name{font-size:1.1487em;font-weight:bold;color:#ddd;}.groups-boxes .group-box .group-avatar-flair{display:inline-block;color:#ddd;}.groups-boxes .group-box .group-avatar-flair .avatar-flair{background-size:40px;height:40px;width:40px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;}.groups-boxes .group-box .group-avatar-flair .avatar-flair .d-icon{height:22.22222px;width:22.22222px;}.groups-boxes .group-box .avatar-flair-image{width:40px;}.caps-lock-warning{color:#e45735;font-size:.8706em;font-weight:bold;}.discourse-no-touch #login-form{margin:0;}.discourse-touch .caps-lock-warning{display:none;}#login-form table{width:100%;}#login-form a{color:#a6a6a6;}#login-form td{padding-left:5px;}#login-form #credentials tr:first-of-type{margin-bottom:0.75em;}#new-account-link{cursor:pointer;}.login-modal tr,.create-account tr{border:none;}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:10px 0 0 0;}.login-modal td label,.login-modal td input,.create-account td label,.create-account td input{margin-bottom:0;width:100%;}.login-modal .modal-footer .inline-spinner,.create-account .modal-footer .inline-spinner{display:inline-flex;}.login-modal.awaiting-approval,.create-account.awaiting-approval{display:none;}.create-account .disclaimer{color:#909090;margin-top:0.5em;}.create-account .user-field>label{margin-top:0.75em;margin-bottom:0;padding-top:5px;}.create-account .user-field:first-of-type>label{margin-top:0;}.create-account .user-field input[type="text"]{margin-bottom:0;width:100%;}.create-account .user-field .select-kit{width:100%;}.create-account .user-field .controls{padding-top:5px;}.create-account .user-field .controls label{width:auto;text-align:right;font-weight:normal;}.create-account .user-field .controls .instructions{margin-top:0.15em;color:#909090;line-height:1.2;}.password-reset .instructions label{color:#909090;}.invites-show .two-col{position:relative;display:flex;}.invites-show .col-image{position:relative;margin-left:20px;}@media screen and (max-width:600px){.invites-show .col-image{display:none;}}.invites-show form{margin-top:24px;}.invites-show form button.btn-primary{margin-top:10px;}.invites-show form label:not(.checkbox-label){font-weight:bold;}.invites-show form .controls,.invites-show form .input{margin-bottom:10px;}.invites-show form .instructions{color:#909090;margin:0;font-size:.8706em;font-weight:normal;line-height:1.2;}.auth-message{padding:0 15px 15px 15px;}.auth-message:empty{padding:0;}.modal tr.instructions{display:flex;flex-direction:column;margin-top:0.15em;}.modal tr.instructions label{color:#909090;}button#login-link,button#new-account-link{background:transparent;color:#a6a6a6;}#security-key{display:flex;flex-wrap:wrap;align-items:center;}#security-key button{margin-left:1.5em;}#security-key p{margin:0;font-size:1em;}#security-key a{display:inline-block;padding:1em 0 1em 0.5em;color:#0f82af;}.menu-panel.slide-in{position:fixed;left:0;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25);}.menu-panel.slide-in.animate{transition:right 0.2s ease-out,left 0.2s ease-out;}.menu-panel.slide-in .panel-body{position:absolute;top:3px;bottom:37px;width:97%;}.header-cloak{display:none;}.menu-panel.drop-down{position:absolute;top:100%;left:-10px;}.menu-panel{border:1px solid #313131;box-shadow:0 12px 12px rgba(0,0,0,0.15);background-color:#222;z-index:1000;padding:0.5em;width:300px;}.menu-panel hr{margin:3px 0;}.menu-panel .panel-header{position:absolute;left:20px;}.menu-panel ul{list-style:none;margin:0;padding:0;}.menu-panel .panel-body{touch-action:pan-y pinch-zoom;overflow-y:auto;overflow-x:hidden;max-height:100vh;}.menu-panel .badge-notification{vertical-align:text-bottom;}.menu-links.columned li{width:50%;float:right;}.menu-panel li a.widget-link,.menu-panel li.heading a.widget-link{padding:0.25em 0.5em;display:block;}.menu-panel li a.widget-link:hover,.menu-panel li a.widget-link:focus,.menu-panel li.heading a.widget-link:hover,.menu-panel li.heading a.widget-link:focus{background-color:#4c3319;outline:none;}.menu-panel li .new,.menu-panel li.heading .new{font-size:.8706em;margin-right:0.5em;color:#919191;}.menu-panel .categories-link{display:block;padding:0.25em 0.5em;}.menu-panel li.category-link{float:right;background-color:transparent;display:inline-flex;align-items:center;padding:0.25em 0.5em;width:50%;box-sizing:border-box;}.menu-panel li.category-link a{display:inline-flex;}.menu-panel li.category-link a:hover,.menu-panel li.category-link a:focus{background:transparent;}.menu-panel li.category-link .badge-notification{color:#919191;background-color:transparent;display:inline;padding:0;font-size:.8706em;line-height:1.4;}.menu-panel li.category-link .badge-wrapper.bar,.menu-panel li.category-link .badge-wrapper.bullet{color:#ddd;padding:0 0.15em 0 0;}.menu-panel li.category-link .badge-wrapper.box{color:#222;}.menu-panel li.category-link .badge-wrapper.box+a.badge.badge-notification{padding-top:2px;}.menu-panel li.category-link .badge-wrapper.box span{z-index:-1;}.menu-panel b.topics-count{color:#919191;font-weight:normal;font-size:.8706em;}.menu-panel span.badge-category{max-width:100px;}.menu-panel div.discourse-tags{font-size:.8706em;}.user-menu .quick-access-panel{width:100%;display:table;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.user-menu .quick-access-panel h3{padding:0 0.4em;font-weight:bold;margin:0.5em 0;}.user-menu .quick-access-panel .d-icon,.user-menu .quick-access-panel:hover .d-icon{color:#909090;}.user-menu .quick-access-panel .icon{color:#a6a6a6;}.user-menu .quick-access-panel li{background-color:#052e3d;}.user-menu .quick-access-panel li div .fa{display:none;}.user-menu .quick-access-panel li span:first-child{color:#ddd;}.user-menu .quick-access-panel li:hover,.user-menu .quick-access-panel li:focus{background-color:#4c3319;outline:none;}.user-menu .quick-access-panel li a{padding:0;}.user-menu .quick-access-panel li a>div{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;}.user-menu .quick-access-panel li p{margin:0;overflow:hidden;}.user-menu .quick-access-panel li:not(.show-all){padding:0.25em 0.5em;}.user-menu .quick-access-panel li:not(.show-all) .d-icon{float:right;margin-left:5px;padding-top:0.2em;}.user-menu .quick-access-panel .is-warning .d-icon-far-envelope{color:#e45735;}.user-menu .quick-access-panel .read{background-color:#222;}.user-menu .quick-access-panel .none{padding-top:5px;}.user-menu .quick-access-panel .spinner-container{min-height:2em;}.user-menu .quick-access-panel .spinner{width:20px;height:20px;border-width:2px;margin:0 auto;}.user-menu .quick-access-panel .show-all a{width:100%;display:flex;justify-content:center;align-items:center;min-height:30px;color:#646464;background:#3c3c3c;}.user-menu .quick-access-panel .show-all a:hover{color:#ddd;background:#2c2c2c;}.user-menu .dismiss-link{display:inline-block;float:left;}div.menu-links-header{width:100%;display:table;border-collapse:separate;border-spacing:0 0.5em;}div.menu-links-header .menu-links-row{border-bottom:1px solid #919191;display:flex;padding:0 4px;}div.menu-links-header .menu-links-row li{display:inline-flex;align-items:center;flex-wrap:wrap;}div.menu-links-header .menu-links-row li.user{margin-left:auto;}div.menu-links-header .menu-links-row li.glyphs{flex-wrap:wrap;text-align:left;max-width:65%;}div.menu-links-header .menu-links-row li.glyphs a{padding-right:0.6em;padding-left:0.6em;}div.menu-links-header .menu-links-row li a{border:1px solid transparent;border-bottom:0;}div.menu-links-header .menu-links-row li a.active{border:1px solid #919191;border-bottom:0;position:relative;}div.menu-links-header .menu-links-row li a.active:after{display:block;position:absolute;top:100%;right:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #222;}div.menu-links-header .menu-links-row li a.active:focus,div.menu-links-header .menu-links-row li a.active:hover{background-color:inherit;}div.menu-links-header a:hover,div.menu-links-header a:focus{background-color:#4c3319;outline:none;}div.menu-links-header a{padding:0.3em 0.5em;}div.menu-links-header a.user-activity-link{align-items:center;display:flex;margin:-0.5em 0;max-width:130px;overflow:visible;}div.menu-links-header a.user-activity-link span.d-label{display:block;max-width:130px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}@media screen and (max-width:350px){div.menu-links-header a.user-activity-link{max-width:125px;}}div.menu-links-header li{display:table-cell;width:auto;text-align:center;}div.menu-links-header li:first-child{text-align:right;}div.menu-links-header li:last-child{text-align:left;}div.menu-links-header .fa,div.menu-links-header a{color:#919191;}div.menu-links-header .d-icon-user{margin-left:0.475em;}.request-group-membership-form label{font-weight:bold;}.group-add-membership-request-template{width:98%;}.d-editor-container{display:flex;flex-grow:1;max-width:100%;}.d-editor{display:flex;flex-grow:1;min-height:0;}.d-editor-textarea-wrapper,.d-editor-preview-wrapper{flex:1;}.d-editor-textarea-wrapper{display:flex;flex-direction:column;background-color:#222;position:relative;border:1px solid #909090;}.d-editor-textarea-wrapper textarea{background:transparent;}.d-editor-textarea-wrapper.disabled{cursor:not-allowed;}.d-editor-textarea-wrapper.disabled .d-editor-button-bar{visibility:hidden;}.d-editor-preview-wrapper{max-width:49%;margin-right:1%;display:flex;flex-direction:column;}.d-editor-button-bar{display:flex;align-items:center;min-height:30px;border-bottom:1px solid #313131;}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{background-color:transparent;display:inline-block;}.d-editor-button-bar .btn .d-icon,.d-editor-button-bar .btn-default .d-icon{color:#909090;}.d-editor-button-bar .btn svg,.d-editor-button-bar .btn-default svg{-webkit-transform:translate3d(0,0,0);}.d-editor-button-bar .d-editor-spacer{height:1em;display:inline-block;border-right:1px solid #7a7a7a;}.d-editor-button-bar .btn:not(.no-text){font-size:1.1487em;}.d-editor-button-bar .btn.bold{font-weight:bolder;}.d-editor-button-bar .btn.italic{font-style:italic;}.d-editor-preview-wrapper{overflow:auto;cursor:default;-webkit-overflow-scrolling:touch;}.d-editor-input,.d-editor-preview{box-sizing:border-box;flex:1 1 100%;width:100%;margin:0;min-height:auto;word-wrap:break-word;-webkit-appearance:none;border-radius:0;}.d-editor-input:focus,.d-editor-preview:focus{box-shadow:none;border:0;outline:0;}.d-editor-input{border:0;padding:10px;height:100%;overflow-x:hidden;resize:none;}.d-editor-preview{height:auto;}.d-editor-plugin{display:flex;flex:1 1;overflow:auto;}.composing-whisper .d-editor-preview{font-style:italic;color:#909090 !important;}.d-editor-preview>*:first-child{margin-top:0;}.hide-preview .d-editor-preview-wrapper{display:none;flex:0;}.user-preferences .bio-composer textarea,.group-form-bio textarea,.edit-category-tab-topic-template textarea{width:100%;height:100%;min-height:10em;}.user-preferences .bio-composer .d-editor-container,.group-form-bio .d-editor-container,.edit-category-tab-topic-template .d-editor-container{display:block;}.user-preferences .bio-composer .d-editor-textarea-wrapper,.group-form-bio .d-editor-textarea-wrapper,.edit-category-tab-topic-template .d-editor-textarea-wrapper{border:1px solid #313131;}.user-preferences .bio-composer .d-editor-preview-wrapper,.group-form-bio .d-editor-preview-wrapper,.edit-category-tab-topic-template .d-editor-preview-wrapper{max-width:100%;margin:10px 0 0 0;}.user-preferences .bio-composer .d-editor-preview,.group-form-bio .d-editor-preview,.edit-category-tab-topic-template .d-editor-preview{background-color:#282828;padding:5px;}.user-preferences .bio-composer .d-editor-preview:empty,.group-form-bio .d-editor-preview:empty,.edit-category-tab-topic-template .d-editor-preview:empty{padding:0;}.user-preferences .bio-composer,.group-form-bio{padding:10px;border:1px solid #313131;}.d-editor-preview img{padding-bottom:1.4em;}.d-editor-preview img.emoji,.d-editor-preview img.avatar,.d-editor-preview img.site-icon{padding-bottom:0;}.d-editor-preview .image-wrapper{position:relative;display:inline-block;padding-bottom:1.4em;}.d-editor-preview .image-wrapper img{padding-bottom:0;}.d-editor-preview .image-wrapper:hover .button-wrapper{opacity:0.9;}.d-editor-preview .image-wrapper .button-wrapper{opacity:0;position:absolute;transition:all 0.25s;display:flex;align-items:center;bottom:0;right:0;}.d-editor-preview .image-wrapper .button-wrapper .separator{color:#7a7a7a;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn{color:#0f82af;padding:0 0.4em;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:first-of-type{padding-right:0;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn.active{font-weight:bold;color:#ddd;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:not(.active):hover{text-decoration:underline;cursor:pointer;}.mobile-view .d-editor-preview .image-wrapper .button-wrapper{opacity:1;}.d-editor-button-bar{margin:0.25em;}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{padding:0 0.5em;}.d-editor-button-bar .d-editor-spacer{margin:0 0.25em;}@media screen and (max-width:450px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.4em;}}@media screen and (max-width:350px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.3em;}.text-size-smaller .d-editor-button-bar .d-editor-spacer{margin:0 0.25em;}}@media screen and (max-width:450px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.35em;}}@media screen and (max-width:350px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.25em;}}@media screen and (max-width:450px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.3em;}}@media screen and (max-width:350px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.2em;}}.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{font-size:.8706em;}@media screen and (max-width:450px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.3em;}}@media screen and (max-width:350px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.2em;}}.timeline-loading{width:900px;}.timeline-container{box-sizing:border-box;z-index:100;margin-right:757px;position:fixed;-webkit-transform:translate3d(0,0,0);}@media screen and (min-width:1140px){.timeline-container{margin-right:820px;}}@media all and (min-width:1250px){.timeline-container{margin-right:900px;}}.timeline-container.timeline-docked{position:absolute;}.timeline-container.timeline-docked-bottom .timeline-footer-controls{opacity:0;pointer-events:none;cursor:default;}.timeline-container.timeline-fullscreen.show{max-height:700px;transition:max-height 0.4s ease-out;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen.show{max-height:75vh;}}.timeline-container.timeline-fullscreen.show .topic-timeline .timeline-footer-controls{display:inherit;}.timeline-container.timeline-fullscreen.show .timeline-controls{display:table-cell;vertical-align:top;}.timeline-container.timeline-fullscreen{max-height:0;transition:max-height 0.3s ease-in;position:fixed;margin-right:0;background-color:#222;bottom:0;right:0;left:0;border-top:1px solid #bdbdbd;box-shadow:0 -1px 40px rgba(0,0,0,0.12);padding-top:20px;z-index:1150;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen{padding-top:10px;}}.timeline-container.timeline-fullscreen .back-button{display:none;}.timeline-container.timeline-fullscreen .topic-timeline{width:100%;table-layout:fixed;margin-right:0;margin-left:0;display:table;touch-action:none;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-date-wrapper{float:left;text-align:left;}.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{max-width:650px;max-height:165px;line-height:1.4;overflow:hidden;word-wrap:break-word;text-overflow:ellipsis;display:block;display:-webkit-box;-webkit-line-clamp:8;-webkit-box-orient:vertical;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{-webkit-line-clamp:5;}}.timeline-container.timeline-fullscreen .topic-timeline .username{color:#bdbdbd;word-wrap:break-word;font-weight:bold;}.timeline-container.timeline-fullscreen .topic-timeline .title{margin-top:0;padding-right:1em;display:table-cell;vertical-align:top;width:100%;}.timeline-container.timeline-fullscreen .topic-timeline .title h2{margin-top:0;display:block;display:-webkit-box;-webkit-line-clamp:4;-webkit-box-orient:vertical;max-height:110px;line-height:1.2;word-wrap:break-word;text-overflow:ellipsis;overflow:hidden;font-size:1.3195em;}.timeline-container.timeline-fullscreen .topic-timeline .title a{color:#ddd;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read{left:0;margin-right:0;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read .progress{display:none;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls{display:none;position:absolute;bottom:10px;right:10px;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls button,.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls .btn-group{float:none;display:inline-block;margin-bottom:0;margin-left:15px;position:static;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea-wrapper{display:table-cell;padding-bottom:20px;padding-left:1.5em;width:100px;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea{border-right:0;border-right-style:solid;border-left-width:1px;max-width:120px;float:left;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller{position:relative;margin-left:-1.5em;padding-left:1.5em;justify-content:flex-end;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-scroller-content{text-align:left;padding-right:0;padding-left:1em;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-handle{float:none;width:11px;position:relative;left:-6px;}.timeline-container.timeline-fullscreen .timeline-scrollarea-wrapper::after{content:"";display:table;clear:both;}.timeline-container .topic-timeline{margin-right:3em;transition:opacity 0.2s ease-in;touch-action:none;}.timeline-container .topic-timeline .timeline-controls{margin-bottom:1em;}.timeline-container .topic-timeline .timeline-controls button{margin-left:0.5em;}.timeline-container .topic-timeline .timeline-footer-controls{margin-top:1.5em;transition:opacity 0.2s ease-in;display:flex;}.timeline-container .topic-timeline .timeline-footer-controls button{margin-left:0.5em;}.timeline-container .topic-timeline .timeline-footer-controls button:last-child{margin-left:0;}.timeline-container .topic-timeline .start-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;color:#919191;}.timeline-container .topic-timeline .timeline-scrollarea{margin-top:0.5em;margin-right:0.5em;border-right:1px solid;border-color:#0b6283;position:relative;-webkit-transform:translate3d(0,0,0);}.timeline-container .topic-timeline .timeline-padding{transition:height 0.15s ease-out;cursor:pointer;}.widget-dragging .timeline-container .topic-timeline .timeline-padding{transition:none;}.timeline-container .topic-timeline .timeline-handle{border-radius:0.8em;width:0.35em;background-color:#0b6283;height:100%;float:right;z-index:2;}.timeline-container .topic-timeline .timeline-scroller-content{padding-right:1em;}.timeline-container .topic-timeline .timeline-ago{color:#919191;}.timeline-container .topic-timeline .timeline-scroller{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;margin-right:-0.19em;cursor:ns-resize;display:flex;align-items:center;}.timeline-container .topic-timeline .timeline-scroller .back-button{margin-top:1em;}.timeline-container .topic-timeline .timeline-replies{font-weight:bold;}.timeline-container .topic-timeline .timeline-last-read{position:absolute;margin-right:-0.35em;z-index:3;}.timeline-container .topic-timeline .timeline-last-read .progress{font-size:0.8em;color:#0f82af;margin-left:1em;}.timeline-container .topic-timeline .back-button{min-height:unset;padding:2px 5px;}.timeline-container .topic-timeline .now-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;display:inline-block;color:#919191;margin-top:0.5em;}h3 .top-title-buttons button{margin-top:0.5em;}.alert.alert-info{margin:0;}.alert.alert-info.clickable{padding:1em;}#banner{margin:0 -10px;max-height:180px;}@media all and (max-height:499px){#banner{max-height:100px;}}.composer-popup-container{display:none !important;}.composer-popup{display:none !important;}#reply-control{z-index:1100;}#reply-control .reply-area{padding:0 10px;padding-bottom:env(safe-area-inset-bottom);flex-grow:1;}@media screen and (max-width:374px){#reply-control .reply-area{padding:0 5px;}}#reply-control.open{height:250px;}#reply-control.open.edit-title{height:100%;}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh,1vh) * 100);}body.ios-safari-composer-hacks #reply-control.open .reply-area{padding-bottom:0px;}#reply-control .reply-to{margin:5px 0;}#reply-control .reply-to .reply-details{max-width:calc(100% - 75px);}@media screen and (max-width:320px){#reply-control .reply-to .reply-details{flex-wrap:wrap;}#reply-control .reply-to .display-edit-reason{margin-top:0.5em;}#reply-control .reply-to .composer-controls{align-self:flex-start;}}#reply-control .toggler{margin-right:-5px;}#reply-control .toggler .d-icon-chevron-down{vertical-align:text-top;}#reply-control.draft{padding-bottom:env(safe-area-inset-bottom);}#reply-control.draft .toggle-toolbar,#reply-control.draft .toggler{top:8px;}#reply-control.draft .draft-text{width:calc(100% - 40px);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#reply-control #reply-title{width:calc(100% - 20px);}#reply-control .category-input{margin-bottom:5px;}#reply-control .category-input .category-chooser{width:100% !important;}#reply-control .submit-panel{margin-bottom:5px;align-items:baseline;}#reply-control .submit-panel .save-or-cancel{flex:1 1 auto;}#reply-control .submit-panel .save-or-cancel #draft-status,#reply-control .submit-panel .save-or-cancel #file-uploading{margin-right:6px;}#reply-control .submit-panel .save-or-cancel .cancel{font-size:1.4em;color:#7a7a7a;margin-right:0.6em;padding:3px 6px;}#reply-control .submit-panel .mobile-file-upload:not(.hidden),#reply-control .submit-panel .mobile-preview{display:inline-flex;}#reply-control .submit-panel .mobile-file-upload.hidden+.mobile-preview{display:none;}#reply-control .submit-panel .mobile-preview{margin-right:0.25em;}#reply-control .d-editor-textarea-wrapper{width:100%;}#reply-control.show-preview .d-editor-preview-wrapper{position:fixed;z-index:1150;top:0;bottom:0;right:0;left:0;background-color:#222;max-width:100%;margin:0;padding:10px;overflow:auto;}#reply-control.show-preview .d-editor-preview-wrapper .d-editor-preview{margin-bottom:40px;}#reply-control.show-preview .btn.hide-preview{position:fixed;left:5px;bottom:5px;z-index:1151;}#reply-control.hide-preview .d-editor-preview-wrapper{display:none;}#reply-control .d-editor-button-bar{display:none;}#reply-control .toolbar-visible .d-editor-button-bar{display:flex;}#reply-control .d-editor-button-bar .btn.preview{margin:0;}#reply-control #mobile-uploader{display:none;}#reply-control .title-and-category,#reply-control .user-selector{margin:0;}#reply-control .title-and-category .users-input,#reply-control .user-selector .users-input{margin-bottom:5px;}#reply-control .with-tags .category-input{flex-basis:auto;flex:1 0 0px;margin:0;width:45%;margin-bottom:5px;}#reply-control .with-tags .mini-tag-chooser{width:50%;flex:1 0 0px;margin-right:5px;margin-bottom:5px;z-index:1;}#reply-control .title-input,#reply-control .category-input,#reply-control .users-input,#reply-control .add-warning{width:100%;}#reply-control .add-warning{margin:0 5px 5px 0;}#reply-control .whisper{margin-left:5px;}body{background-color:#222;}.ios-device textarea{background-color:#222;font-size:1.07em;}.ios-device input[type="text"],.ios-device input[type="password"],.ios-device input[type="datetime"],.ios-device input[type="datetime-local"],.ios-device input[type="date"],.ios-device input[type="month"],.ios-device input[type="time"],.ios-device input[type="week"],.ios-device input[type="number"],.ios-device input[type="email"],.ios-device input[type="url"],.ios-device input[type="search"],.ios-device input[type="tel"],.ios-device input[type="color"]{font-size:1.07em;}blockquote{padding:10px 13px 10px 8px;}blockquote p{margin:0 0 10px 0;}blockquote p:last-of-type{margin-bottom:0;}.wrap{padding:0 10px;}.boxed .contents{padding:10px 0 0 0;}.control-group{margin-bottom:9px;}.badge-wrapper{font-weight:normal;}.mobile-nav{margin:0;padding:0;list-style:none;overflow:visible;position:relative;border:1px solid #909090;min-height:37px;}.mobile-nav a{color:#ddd;}.mobile-nav a .d-icon{margin-left:0.25em;color:#909090;}.mobile-nav>li>a{display:flex;align-items:center;padding:8px 10px;height:100%;width:100%;box-sizing:border-box;}.mobile-nav .expander .d-icon:last-of-type{margin-right:auto;margin-left:0;}.mobile-nav .drop{display:none;}.mobile-nav .drop.expanded{right:0;display:block;position:absolute;z-index:300;background-color:#222;width:100%;list-style:none;margin:0;padding:5px;border:1px solid #313131;box-sizing:border-box;}.mobile-nav .drop.expanded li{margin:5px 0;padding:0;}.mobile-nav .drop.expanded li a{height:100%;display:block;padding:5px 8px;}.form-vertical .control-group{margin-bottom:12px;}#main{position:relative;}#simple-container{width:90%;}[data-user-card]:focus .avatar,[data-user-card]:focus+.avatar-flair{animation:wave 0.75s infinite;animation-delay:0.5s;}[data-user-card]:focus .avatar{position:relative;}.d-header{height:3.66em;}.d-header .title{max-width:75%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;-webkit-animation:fadein 0.5s;animation:fadein 0.5s;min-width:36px;}.d-header .title a{display:block;width:100%;}.d-header #site-logo{max-height:2.4em;max-width:100%;}.d-header #site-text-logo{margin:0;font-size:1.1487em;}.d-header .extra-info-wrapper .extra-info:not(.two-rows){min-height:2.25em;}.d-header .extra-info-wrapper .extra-info .header-title{font-size:1em;margin:0 0 0.35em 0;}.archetype-private_message .d-header .extra-info-wrapper .extra-info .header-title{margin:0 0 0.15em 0;}.d-header .extra-info-wrapper .extra-info .private-message-glyph-wrapper{float:right;}.d-header button.sign-up-button{display:none;}.d-header .extra-info-wrapper+.panel .header-buttons,.d-header .extra-info-wrapper+.panel .d-header-icons{display:none;}.d-header .panel{animation:fadein 0.5s;}.d-header .d-header-icons{-webkit-transform:translateZ(0);}.d-header-icons .d-icon{line-height:1.2;}.d-header-icons .active .icon:after{margin-top:-1px;}#main-outlet{padding-top:4.2857em;}.search-link .badge-category{display:none;}.login-modal .modal-inner-container,.create-account .modal-inner-container{max-width:350px;}.login-modal .close,.create-account .close{padding:0;}.login-modal #login-buttons:not(.hidden),.create-account #login-buttons:not(.hidden){display:flex;flex-wrap:wrap;justify-content:center;width:102%;padding-bottom:10px;margin-right:-2%;}.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{flex:1 1 47%;max-width:70%;margin:1% 2% 1% 0;font-size:1em;white-space:nowrap;}@media screen and (max-width:360px){.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{font-size:1em;}}.login-modal #login-buttons:not(.hidden)+#login-form,.create-account #login-buttons:not(.hidden)+#login-form{border-top:1px solid #313131;}.login-modal form,.create-account form{display:flex;justify-content:center;flex-direction:column;}.login-modal table,.create-account table{width:100%;}.login-modal tr.input td label,.create-account tr.input td label{margin-top:0.75em;}.login-modal tr td label,.create-account tr td label{max-width:280px;display:block;overflow:hidden;word-wrap:break-word;}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:2px 0 0 0;}.login-modal tr:not(.password-confirmation),.create-account tr:not(.password-confirmation){display:flex;flex-direction:column;}.login-modal .tip:not(:empty)+td,.create-account .tip:not(:empty)+td{display:none;}.login-modal .modal-body input[type="text"],.login-modal .modal-body input[type="email"],.login-modal .modal-body input[type="password"],.login-modal .modal-body input[type="tel"],.create-account .modal-body input[type="text"],.create-account .modal-body input[type="email"],.create-account .modal-body input[type="password"],.create-account .modal-body input[type="tel"]{margin-top:0;width:100%;box-sizing:border-box;}.login-modal .modal-footer,.create-account .modal-footer{box-sizing:border-box;margin:0 auto;font-size:.8706em;}.login-modal .alert.alert-error,.create-account .alert.alert-error{padding:0.5em 1em;margin:0;}.login-modal #new-account-link,.create-account #new-account-link{white-space:nowrap;}.d-modal.login-modal #credentials{width:100%;}.d-modal.login-modal #credentials tr{display:flex;flex-direction:column;}.d-modal.login-modal #login-form{margin-bottom:0.75em;}.d-modal.login-modal #login-form td{padding:0;width:100%;margin:0 auto;}.d-modal.login-modal #login-form label{float:right;display:block;}.d-modal.login-modal #login-form textarea,.d-modal.login-modal #login-form input,.d-modal.login-modal #login-form select{font-size:1.1487em;clear:right;margin-top:0;}.d-modal.login-modal tr td label{margin-top:0.75em;padding:4px 0;}.create-account .modal-body{display:flex;flex-direction:column;}.create-account .modal-body tr.instructions label{color:#919191;}.create-account .modal-body #login-buttons{border-bottom:1px solid #313131;}.create-account .modal-body .login-form{margin-bottom:0.75em;}.create-account .user-fields{display:flex;flex-direction:column;}.create-account .user-field{display:flex;flex-direction:column;}.create-account .user-field>label{width:auto;}.create-account .user-field .controls{margin-right:0;}.create-account .user-field .controls label{line-height:1.2;}.password-reset,.email-login,.invites-show{margin-top:30px;}.password-reset .col-image,.email-login .col-image,.invites-show .col-image{padding-top:12px;}.password-reset .password-reset-img,.email-login .password-reset-img,.invites-show .password-reset-img{width:50px;height:50px;}.password-reset .col-form,.email-login .col-form,.invites-show .col-form{padding-right:8px;}.password-reset h2,.email-login h2,.invites-show h2{margin-bottom:12px;}.password-reset .tip,.email-login .tip,.invites-show .tip{display:block;margin:6px 0;}.password-reset .tip{max-width:180px;}.discourse-touch .password-reset .instructions{margin-bottom:16px;}.invites-show .col-image{display:none;}.modal-open #main{overflow:hidden;}.modal-middle-container{max-width:100%;margin-bottom:30px;}.bootbox.modal{top:10%;width:100%;}.modal.fade{transition:opacity 0.3s linear,top 0.3s ease-out;top:-25%;}.modal.fade.in{top:50%;}.modal-body{padding:10px;}.modal-footer{padding:10px;}.modal-header{padding:10px;}.modal-header h3{font-size:1.3195em;}.close{font-size:1.7511em;}#move-selected p{margin-top:0;}#move-selected input[type="radio"]{margin-left:10px;}#move-selected .category-chooser{margin-bottom:9px;}#move-selected button{margin-top:10px;display:block;width:300px;}#move-selected form{margin-top:20px;}#move-selected form input:not(.filter-input)[type="text"]{box-sizing:border-box;width:100%;}@media only screen and (max-device-width:568px){.modal .flag-modal .flag-message{height:3em;}}.edit-category-modal .modal-body{position:relative;height:350px;}.edit-category-modal.small .modal-body{height:310px;}.edit-category-modal .disable_info_wrap .cannot_delete_reason{top:-114px;left:8px;min-width:200px;}.modal-inner-container{margin-bottom:20px;}.fixed-modal .modal-middle-container{margin-bottom:0;}.fixed-modal .modal-inner-container{max-height:90vh;overflow:auto;}.list-controls{margin:10px -3px 5px -3px;}.list-controls .category-breadcrumb.hidden{display:none;}.list-controls .container{display:flex;flex-wrap:wrap;align-items:center;}.list-controls .container #create-topic{box-sizing:border-box;display:flex;align-self:stretch;align-items:center;margin:0 3px 10px 3px;order:10;}.list-controls .dropdown-select-box-header{display:flex;height:100%;}.list-controls .navigation-container{display:flex;flex-wrap:wrap;width:100%;margin:5px 0;}.list-controls .navigation-container button{margin:0 3px;}.list-controls .navigation-container button.select-kit-header{display:flex;height:100%;flex:1 1 auto;}.list-controls .select-kit:not(.is-hidden){display:flex;align-self:stretch;margin-bottom:10px;}.list-controls .btn:not(.select-kit-header){margin-bottom:10px;}.list-controls .categories-admin-dropdown,.list-controls .tag-notifications-button{order:2;}.list-controls .category-navigation{display:flex;flex-wrap:wrap;width:100%;}.list-controls .category-navigation .edit-category .d-icon{margin:0;}@media screen and (max-width:374px){.list-controls .category-navigation .edit-category .d-button-label{display:none;}}.list-controls .nav-pills{display:flex;flex:1 1 auto;margin:0 3px 5px 3px;position:relative;}.list-controls .nav-pills .navigation-toggle{flex:0 1 auto;margin-bottom:5px;}.list-controls .nav-pills>li{margin-left:0;font-size:.8706em;border:1px solid #909090;}.list-controls .nav-pills>li>a{line-height:1.4;display:flex;align-items:center;}.list-controls .nav-pills>li>a .d-icon{margin-right:5px;}.list-controls .nav-pills .drop{border:1px solid #313131;position:absolute;z-index:299;background-color:#222;padding:0 10px 10px 10px;width:150px;top:100%;margin:0;right:0;}.list-controls .nav-pills .drop li{list-style-type:none;margin-right:0;margin-top:5px;padding-top:10px;}.list-controls .nav-pills .drop li a{width:100%;display:inline-block;}.list-container .full-width{margin-right:0;}.topic-list .right{margin-right:55px;}.topic-list th,.topic-list td{padding:7px 0;max-width:300px;}.topic-list .main-link{line-height:1.2;position:relative;z-index:2;}.topic-list .main-link a.title{color:#ddd;padding:0.5em 0 1.2em 0;}.topic-list .main-link .topic-statuses a{line-height:0.8;color:#909090;}.topic-list .badge-notification,.topic-list .category-topic-link td.num .badge-notification{position:relative;display:inline-block;top:-1px;font-size:1em;line-height:1;padding:0.15em 0.4em 0.2em 0.4em;}.topic-list .badge-notification .d-icon,.topic-list .category-topic-link td.num .badge-notification .d-icon{color:#222;}.topic-list .badge-notification.new-topic::before,.topic-list .category-topic-link td.num .badge-notification.new-topic::before{margin-left:0;}.topic-list .badge-notification.new-topic,.topic-list .category-topic-link td.num .badge-notification.new-topic{padding:0;}.topic-list .category-topic-link td.num .badge-notification.new-posts,.topic-list .category-topic-link td.num .badge-notification.unread-posts{color:#222;}.topic-list .topic-item-stats{position:relative;margin-top:0.25em;z-index:1;}.topic-list .topic-item-stats .category,.topic-list .topic-item-stats .num,.topic-list .topic-item-stats .last-poster{float:right;}.topic-list .topic-item-stats .category a{max-width:160px;}.topic-list .topic-item-stats .num .fa,.topic-list .topic-item-stats a,.topic-list .topic-item-stats a:visited{color:#919191;}.topic-list .age{white-space:nowrap;}.topic-list .age a{color:#646464 !important;}.categories-list .category-list{margin-right:-10px;margin-bottom:2em;}.categories-list .category-list td{padding:12px 5px;color:#646464;vertical-align:top;}.categories-list .category-list th{padding:10px 0 0;}.categories-list .category-list td:first-of-type{padding-right:10px;}.categories-list .category-list tbody .category{border-right:6px solid;}.category-list-item.category{box-sizing:border-box;}.category-list-item.category tr:first-of-type{border:none;}.category-list-item.category *,.category-list-item.category *:before,.category-list-item.category *:after{box-sizing:inherit;}.category-list-item.category .posts{width:10%;vertical-align:top;}.category-list-item.category .age{margin-right:5px;}tr.category-topic-link{border-bottom:1px solid #313131;}tr.category-topic-link:last-of-type{border-bottom:none;}.category-list-item{padding:5px 0 2px;border-right:6px solid;border-top:1px solid;}.category-list-item h3{max-width:100%;font-size:1.3195em;padding:0 10px 0 0;}.category-list-item h3 .d-icon{margin-left:5px;}.category-list-item h3 a[href]{color:#ddd;}.category-list-item .category-name{max-width:80vw;}.category-list-item .category-topic-link .main-link,.category-list-item .subcategories-list td,.category-list-item .category-description td{padding-right:10px;}.category-list-item .category-topic-link .main-link .age{font-size:.8706em;}.category-list-item .category-description td{padding-top:0;padding-bottom:15px;}.category-list-item .subcategories-list td{padding-top:15px;}.category-list-item .topic-list>tbody>tr:nth-child(odd){background-color:#222;}.category-list-item .topic-list>tbody>tr:nth-child(even){background-color:#222;}.category-list-item th .badge-category{margin:0;}.category-list-item .category-topic-link .num{white-space:nowrap;}.category-list-item .category-topic-link .topic-excerpt{width:110%;}.category-list-item .posters{float:right;}.category-list-item>footer{border-top:1px solid #313131;padding:7px 10px;}.category-list-item>footer figure{float:right;margin:3px 0 0 7px;color:#bdbdbd;font-weight:bold;font-size:.8706em;}.category-list-item>footer figcaption{display:inline;font-weight:normal;}.category-list-item>footer .btn{float:left;margin-right:7px;}.category-box h3{margin:0 0 0.5em 0;}.topic-list-bottom{margin:20px 0 0 0;}.btn-group .dropdown-toggle:active,.btn-group.open .dropdown-toggle{outline:0;}.dropdown{position:relative;}.dropdown-toggle:active,.open .dropdown-toggle{outline:0;}.caret{display:inline-block;width:0;height:0;vertical-align:middle;border-top:4px solid #ddd;border-left:4px solid transparent;border-right:4px solid transparent;content:"";margin-right:5px;}.dropdown-menu{position:relative;top:100%;right:0;z-index:300;display:none;float:right;width:280px;padding:4px 0;list-style:none;background-color:#222;border:1px solid #ddd;border-radius:5px;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);background-clip:padding-box;margin:1px 0 20px;}.dropdown-menu .title{font-weight:bold;display:block;}.dropdown-menu a{display:block;padding:3px 15px;clear:both;font-weight:normal;line-height:1.2;color:#ddd;}.dropdown-menu li>a:hover,.dropdown-menu .active>a,.dropdown-menu .active>a:hover{color:#0f82af;text-decoration:none;background-color:#052e3d;}.open>.dropdown-menu{display:block;clear:both;}.fade{opacity:0;transition:opacity linear 0.15s;}.fade.in{opacity:1;}ol.category-breadcrumb{margin:0 0 5px 0;display:flex;flex-wrap:wrap;flex:1 1 100%;}ol.category-breadcrumb li.select-kit{flex:1 1 33%;margin:0 3px 5px 3px;}ol.category-breadcrumb li.select-kit .select-kit-header .selected-name{max-width:80vw;}ol.category-breadcrumb li.select-kit .select-kit-header .selected-name .badge-wrapper{max-width:100%;}.top-lists h2{margin-right:10px;}.top-lists .topic-list{padding-bottom:10px;}.top-lists .btn-default.pull-right{margin-left:10px;}.tags-admin-menu{display:none;}.staff.tags-page #create-topic{clear:left;}.topic-list-bottom h3{clear:both;padding-top:10px;}.category-logo.aspect-image{display:block;margin:8px 0;}.category-logo.aspect-image img{width:auto;max-width:100%;max-height:150px;}@supports (--custom:property){.category-logo.aspect-image{--max-height:150px;max-height:var(--max-height);width:calc(var(--max-height) * var(--aspect-ratio));max-width:100%;height:auto;}.category-logo.aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;}}button.dismiss-read{margin-left:10px;}td .main-link{width:78%;display:inline-block;}td .main-link a.title{padding:5px 0 5px 10px;word-wrap:break-word;}.topic-list .posts-map{font-size:1.1487em;}.topic-list .topic-excerpt{padding-left:0;width:120%;}.category-list.with-topics .category-list-item .category-description{display:none;}.time-gap+.topic-post article{border-top:none;}.time-gap .topic-avatar{display:none;}.topic-post article{border-top:1px solid #313131;padding:15px 0 8px 0;}.post-stream{padding-bottom:30px;}span.badge-posts{margin-left:5px;}.show-replies{display:none;}.topic-post nav.post-controls{color:#646464;}.topic-post nav.post-controls .actions{display:flex;}.topic-post nav.post-controls .double-button{display:flex;flex:0 1 auto;}.topic-post nav.post-controls .double-button button.like,.topic-post nav.post-controls .double-button button.read-indicator,.topic-post nav.post-controls .double-button button.create-flag{flex:1 1 auto;}.topic-post nav.post-controls .double-button button.button-count{padding:8px 8px 8px 4px;}.topic-post nav.post-controls .double-button button.button-count+.toggle-like,.topic-post nav.post-controls .double-button button.button-count+.create-flag{padding:8px 4px 8px 8px;}.topic-post nav.post-controls .double-button button.button-count.my-likes,.topic-post nav.post-controls .double-button button.button-count.regular-likes{display:flex;max-width:unset;padding:8px;}.topic-post nav.post-controls .double-button button.button-count.my-likes .d-icon,.topic-post nav.post-controls .double-button button.button-count.regular-likes .d-icon{padding-right:8px;}.topic-post nav.post-controls .d-icon{opacity:1;}.topic-post nav.post-controls button{border:none;font-size:1.1487em;padding:10px 8px;background:transparent;flex:1 1 auto;max-width:45px;}.topic-post nav.post-controls button.hidden{display:none;}.topic-post nav.post-controls button.admin{position:relative;}.topic-post nav.post-controls button.expand-post{margin:10px 0 10px 0;}.topic-post nav.post-controls button.reply{margin-right:auto;}.topic-post nav.post-controls button.reply .d-icon{color:#a6a6a6;}.topic-post nav.post-controls button.has-like .d-icon{color:#fa6c8d;}.topic-post nav.post-controls button.bookmarked .d-icon{color:#0f82af;}.post-admin-menu{display:inline-flex;flex-direction:column;box-sizing:border-box;background-color:#222;width:auto;max-width:320px;padding:10px;border:1px solid #313131;position:absolute;text-align:right;bottom:-50px;right:135px;z-index:300;}@media screen and (max-width:374px){.post-admin-menu{right:50px;}}.post-admin-menu h3{margin-top:0;color:#ddd;font-size:1em;}.post-admin-menu ul{list-style:none;margin:10px 0 0 0;}.post-admin-menu li{margin-bottom:5px;}.post-admin-menu li .d-icon{width:14px;margin-left:10px;}.embedded-posts .topic-meta-data h5 a{margin-right:10px;}.post-action{float:left;margin-left:10px;clear:left;}.post-action .relative-date{margin-right:5px;}a.reply-to-tab{z-index:2;color:#919191;margin-left:0.5em;}.topic-post .boxed .contents{clear:both;}.topic-map{margin:10px 0;}.topic-map h4{line-height:1.2;}.topic-map .user{float:right;margin-left:10px;}.topic-map .map-collapsed .secondary{display:none;}.topic-map .map li{float:right;padding:7px 8px;}.topic-map .map li:last-of-type{border-left:0;}.topic-map .map .number{line-height:1.2;}.topic-map .map .number,.topic-map .map .d-icon{color:#bdbdbd;font-size:1.1487em;}.topic-map .map .avatar+a{float:right;}.topic-map li.avatars{display:none;}.topic-map .links,.topic-map .information,.topic-map .avatars{padding:10px;color:#ddd;overflow:auto;}.topic-map .information p{margin:0 0 10px 0;}.topic-map .buttons .btn{border:0;padding:0 15px;color:#646464;background:#3c3c3c;border-right:1px solid #313131;}.topic-map .buttons .btn .fa{margin:0;font-size:1.3195em;line-height:52px;}.topic-map .link-summary .btn{color:#646464;background:#3c3c3c;width:100%;}#topic-footer-buttons{padding:20px 0 0 0;}#topic-footer-buttons:before,#topic-footer-buttons:after{content:"";display:table;}#topic-footer-buttons:after{clear:both;}#topic-footer-buttons .d-icon-bookmark.bookmarked{color:#0f82af;}#topic-footer-buttons .combobox{margin-left:0.5em;width:160px;margin-bottom:0.5em;}#topic-footer-buttons .topic-notifications-button,#topic-footer-buttons .pinned-button{display:flex;align-items:center;}@media screen and (max-width:350px){#topic-footer-buttons .topic-notifications-button,#topic-footer-buttons .pinned-button{display:inline-block;}#topic-footer-buttons .topic-notifications-button .reason,#topic-footer-buttons .pinned-button .reason{display:block;margin:0.5em 0 0 0;}}#topic-footer-button{width:100px;margin:0 auto;}.suggested-topics{clear:right;padding:20px 0 15px 0;}.suggested-topics th.views,.suggested-topics td.views,.suggested-topics td.activity,.suggested-topics th.activity,.suggested-topics th.likes,.suggested-topics td.likes{display:none;}.suggested-topics a.badge-category,.suggested-topics a.badge-category-parent{font-size:.8706em;vertical-align:top;}span.post-count{background:#ddd;color:#222;opacity:0.8;}#topic-footer-buttons .btn{margin-bottom:0.5em;margin-left:0.5em;}#topic-title{z-index:2;margin:0 0 0 0 !important;padding:15px 0;}.topic-body{overflow:visible;}.topic-body .cooked{overflow:visible;}[class*="archetype-"] #main-outlet{overflow:hidden;}.quote-button.visible{display:block;z-index:600;}iframe{max-width:100%;}.open>.dropdown-menu{display:block;}.dropdown-menu li{margin:5px 0;}.dropdown-menu li .fa{float:right;margin-left:5px;padding-top:1px;}.dropdown-menu li span{color:#919191;}.dropdown-menu li span.title{color:#ddd;}.btn-group{margin-top:25px;position:relative;}.dropdown-toggle{float:right;position:relative;}.selected-posts{padding:0.1em 0.7em;}.select-posts button{display:none;}button.select-post{display:inline-block;}.deleted .topic-body{background-color:rgba(99,30,13,0.7);}.deleted-user-avatar{font-size:2em;}span.btn-text{display:none;}blockquote{clear:both;margin-right:0;margin-left:0;}.gap{padding:0.25em 0;}.posts-wrapper{position:relative;}span.highlighted{background-color:#22170b;}.topic-avatar{float:right;margin-left:10px;z-index:2;}.topic-meta-data{margin-right:50px;font-size:.8706em;}.topic-meta-data .names{line-height:1.2;display:flex;flex-wrap:wrap;}.topic-meta-data .names .full-name{font-weight:bold;}.topic-meta-data .names .first{order:1;}.topic-meta-data .names .poster-icon{order:2;}.topic-meta-data .names .second{order:3;flex-basis:100%;}.topic-meta-data .names .user-title{order:4;flex-basis:100%;}.topic-meta-data .names span{margin-left:4px;}.username.new-user a{color:#7a7a7a;}.user-title{color:#909090;overflow:hidden;margin-left:50px;}.read-state{display:none;}.signup-cta{margin-right:auto;margin-left:auto;width:calc(100% - 50px);}.signup-cta a{margin-top:7px;}.signup-cta button{margin-left:7px;}.popup-menu h3{margin-bottom:0;}.post-notice{margin-bottom:1em;}.post-notice.old{border-top:none;padding-top:0;}.post-info a{color:#909090;}.topic-meta-data-inside{float:left;margin-top:-38px;margin-left:5px;}.post-info{display:inline-block;}#topic-title{margin:0 0 10px 60px;}#topic-title h1{font-size:1.5157em;line-height:1.2;}#topic-title h1 a{color:#ddd;vertical-align:middle;word-wrap:break-word;}#topic-title .title-category-wrapper{margin-top:5px;}#topic-title .private-message-glyph{display:none;}.private_message #topic-title .private-message-glyph{display:inline;}.topic-status-info{padding-right:10px;border-top:1px solid #313131;padding-top:10px;}.topic-status-info h3{margin:0;display:flex;}.topic-status-info h3 button{align-self:flex-start;}#topic-progress-wrapper{position:fixed;left:0;bottom:0;z-index:100;}#topic-progress-wrapper:not(.docked){margin-bottom:env(safe-area-inset-bottom);}#topic-progress-expanded{border:1px solid #313131;padding:5px;background:#222;position:absolute;bottom:34px;width:135px;}#topic-progress-expanded button.full{width:100%;margin-bottom:5px;}#topic-progress-expanded button.full .d-icon{display:block;margin-top:2px;margin-bottom:2px;font-size:1.3195em;}#topic-progress-expanded .jump-form input[type="text"]{float:right;width:45px;height:20px;text-align:center;font-size:1.1487em;}#topic-progress-expanded .jump-form button.btn{float:right !important;width:55px;}#topic-progress-expanded button.btn.jump-prompt{margin:0;}#topic-progress-expanded button.btn.jump-bottom{margin-top:5px;margin-bottom:0;}#topic-progress{position:relative;background-color:#222;color:#0f82af;border:1px solid #052e3d;width:145px;height:42px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}#topic-progress.hidden{display:none;}#topic-progress .nums{position:relative;top:12px;width:100%;text-align:center;z-index:1;}#topic-progress h4{display:inline;font-size:1.3195em;line-height:1;}#topic-progress .d-icon{position:absolute;left:8px;bottom:9px;z-index:1;}#topic-progress .bg{position:absolute;top:0;bottom:0;width:0;border-left:1px solid #052e3d;background-color:#052e3d;transition:width 0.75s;}.topic-error,.topic-notice{padding:18px;width:90%;margin-right:auto;margin-left:auto;font-size:1.7511em;line-height:1.2;}.topic-error .topic-retry,.topic-error .topic-join-group,.topic-notice .topic-retry,.topic-notice .topic-join-group{display:block;margin-top:20px;margin-right:auto;margin-left:auto;}#topic-progress-wrapper.docked{position:absolute;}.topic-post:last-of-type{padding-bottom:40px;}sup sup,sub sup,sup sub,sub sub{top:0;}#topic-title .title-wrapper{position:relative;float:none;width:100%;}#topic-title .title-wrapper input#edit-title{width:100%;}#topic-title .title-wrapper .select-kit.combo-box.category-chooser{width:100%;margin-top:0;}#topic-title .title-wrapper .topic-statuses{line-height:1;}.topic-timeline .start-date,.topic-timeline .now-date{font-size:1.1487em;padding:5px;}.topic-timeline .topic-category{margin-bottom:0.5rem;}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -10px -10px -10px;padding:10px;}.edit-topic-timer-modal .btn.pull-right{margin-left:0;}.topic-footer-main-buttons{display:flex;align-items:center;flex-wrap:wrap;}.upload-selector input[type="text"]{width:calc(100% - 20px);}.upload-selector input[type="file"]{font-size:1em;line-height:1.2;}.upload-selector .description{color:#909090;}.upload-selector .radios{display:flex;flex-wrap:wrap;align-items:center;}.upload-selector .radios:first-of-type{margin-bottom:1em;}.upload-selector .radios input,.upload-selector .radios label{min-height:20px;line-height:1.2;margin:0;}.upload-selector .radios .radio{padding-right:5px;}.upload-selector .radios .inputs{margin-top:10px;width:100%;}.uploaded-image-preview{height:150px;}.user-content-wrapper{display:grid;grid-template-columns:1fr 1fr;grid-template-rows:auto auto auto;grid-row-gap:20px;grid-column-gap:16px;}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-row-start:1;grid-column-end:2;}.user-content-wrapper .user-secondary-navigation{grid-column-start:2;grid-row-start:1;}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:1;}.user-content-wrapper .user-additional-controls{grid-column-start:1;grid-row-start:2;}.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:3;grid-column-start:1;}.user-main{margin-top:12px;}.user-main .user-content{box-sizing:border-box;background-color:#222;}.user-main .user-content table{width:100%;margin-top:12px;}.user-main .about{margin-bottom:0;color:#222;}.user-main .about .secondary dl{padding:8px 0;}.user-main .about .details{margin-bottom:12px;}.user-main .about .details h1{line-height:1;}.user-main .about .details h2{line-height:1.2;}.user-main .about .details .user-profile-avatar{display:block;float:none;margin:8px auto;}.user-main .about .details .user-profile-avatar .avatar-flair{left:2px;}.user-main .about .details .user-profile-avatar img.avatar{float:none;}.user-main .about .details .user-profile-names{text-align:center;}.user-main .about .details .location-and-website{display:flex;flex-wrap:wrap;justify-content:center;font-size:1em;}.user-main .about .details .location-and-website .d-icon{width:0.8em;height:0.8em;margin-left:0.25em;}.user-main .about .details .location-and-website a{text-decoration:underline;}.user-main .about .details .user-profile-location{margin-left:1em;}.user-main .about .details .user-profile-location,.user-main .about .details .user-profile-website{justify-content:center;display:flex;align-items:center;}.user-main .about .primary{display:flex;flex-wrap:wrap;color:#ddd;}.user-main .about .primary .avatar{margin:0 0 12px;}.user-main .about .primary .primary-textual{flex:1 1 100%;word-break:break-word;margin:0;max-width:100%;}.user-main .about .primary .bio{color:#ddd;margin:0 auto 8px;max-width:700px;text-align:center;}.user-main .about.has-background .user-profile-image{height:200px;}.user-main .about.has-background .user-profile-avatar{margin-top:-60px;}.user-main .about .controls{order:3;flex:1 1 25%;margin-right:auto;}.user-main .about .controls ul{margin:0;display:flex;flex:1 1 auto;flex-wrap:wrap;margin-right:-1em;}.user-main .about .controls ul li,.user-main .about .controls ul>span{display:flex;flex:1 1 45%;margin-right:1em;}.user-main .about .controls ul li button,.user-main .about .controls ul li a,.user-main .about .controls ul>span button,.user-main .about .controls ul>span a{width:100%;}.user-main .about .controls ul li .select-kit.dropdown-select-box.user-notifications-dropdown,.user-main .about .controls ul>span .select-kit.dropdown-select-box.user-notifications-dropdown{width:100%;}.user-main .about .controls ul li .select-kit.dropdown-select-box.user-notifications-dropdown li,.user-main .about .controls ul>span .select-kit.dropdown-select-box.user-notifications-dropdown li{flex:1 1 100%;margin-right:0;}.user-main .about .controls .user-profile-controls-outlet{margin:0 1em 0 0;}.user-main .about .controls .user-profile-controls-outlet li{margin:0;}.user-main .about .controls a{flex:1 1 auto;min-width:120px;}.user-main .user-field label{width:auto;text-align:right;font-weight:bold;}.user-main .collapsed-info.about.has-background{background-image:none !important;}.user-main .collapsed-info.about.has-background .details{margin-top:0;}.user-main .collapsed-info.about .details{display:flex;}.user-main .collapsed-info.about .details .user-profile-avatar{margin:0;flex:0 0 auto;align-self:flex-start;}.user-main .collapsed-info.about .details .primary .primary-textual{flex:1 0 80%;margin:0;}.user-main .collapsed-info.about .details .user-profile-names{text-align:right;}.form-horizontal .control-group.category{margin-top:18px;}.paginated-topics-list{margin-top:20px;}.stats-section li{margin:0 0 10px 15px;padding:0;}.stats-section li.linked-stat a{padding:0;}.badge-card.medium{width:100%;}.user-badges{margin-bottom:2em;}.user-preferences{padding-bottom:2em;}.user-preferences .instructions{margin-top:4px;}.user-preferences .controls-dropdown{margin-bottom:16px;}.user-preferences .delete-account{overflow:hidden;}.user-preferences .checkbox-label{display:flex;overflow:auto;width:100%;padding:5px 0;}.user-preferences .checkbox-label input{margin-left:5px;flex:0 0 auto;}.user-preferences .apps .controls button{float:left;}.user-right>.alert:first-child,.user-right>.user-stream>.alert:first-child{margin-top:20px;}.user-invites-page .admin-controls{flex-wrap:wrap;}.user-invites-page .admin-controls .pull-right{flex:1 1 100%;font-size:.8706em;padding:0;}.user-invites-page table tr:first-of-type{display:none;}.user-invites-page table tr{display:flex;flex-wrap:wrap;margin-bottom:1em;}.user-invites-page table td:first-of-type{margin-left:1em;}.user-invites-page table td:nth-of-type(n+3){display:block;width:50%;padding:0.25em 0 1em 0;}.user-invites-page .user-invite-none{margin-top:1em;}.modal.history-modal button{float:none;}.modal.history-modal .modal-body{height:62vh;}.modal.history-modal .modal-inner-container{min-height:400px;}.modal.history-modal #revisions{max-width:90vw;}.modal.history-modal #display-modes{display:none;}.modal.history-modal #revision-numbers{line-height:1.4;}.modal.history-modal img{max-width:95%;height:auto;}.modal.history-modal .revision-content table{table-layout:fixed;width:100%;word-wrap:break-word;}.modal.history-modal .modal-footer{text-align:center;}.modal.history-modal #revision-controls{margin-bottom:5px;}.lightbox .meta,.lightbox:hover .meta{opacity:0.7;transition:none;}.meta{align-items:center;background:#222;color:#a6a6a6;height:25px;width:25px;bottom:0;left:0;}.meta .filename,.meta .informations,.meta .d-icon-far-image{display:none;}.meta .d-icon-discourse-expand{color:#a6a6a6;}.directory .select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{font-size:1.1487em;margin-bottom:0.25em;}.directory .filter-name{float:right;}.directory .total-rows{color:#909090;padding:5px;}.directory .user{border-top:1px solid #313131;padding:1em;display:flex;flex-wrap:wrap;}.directory .user .user-info{width:100%;margin-bottom:1em;}.directory .user .user-stat{flex:1 1 50%;}.directory .user .user-stat .value{font-weight:bold;}.directory .user .user-stat .label{margin-right:0.2em;color:#909090;}.directory .user .user-stat .d-icon-heart{color:#fa6c8d;}.search-container{flex-direction:column;margin-top:0.5em;}.search-container .search-advanced{order:1;width:100%;}.search-container .search-advanced .search-info{flex-direction:column;align-items:left;justify-content:center;}.search-container .search-advanced .search-info .sort-by{display:flex;align-items:center;margin-top:0.5em;margin-right:0;width:100%;}.search-container .search-advanced .search-info .sort-by .select-kit{flex:1 1 auto;}.search-container .search-notice{margin-top:1em;}.search-container .search-advanced-sidebar{order:0;width:100%;margin:0;}.search-container .search-advanced-sidebar .tag-chooser{width:100%;}.fps-topic{max-width:75%;}.emoji-picker{max-height:280px;border:none;}.emoji-picker .category-icon{margin:2px;}.ring{top:-7px !important;}.ring-first-notification{top:40px;}.group{margin-top:15px;}.group-name{margin:5px 0 0 0;}.group-nav{width:100%;}.group-activity,.group-manage{position:relative;}.group-members .group-member{border-top:1px solid #313131;}.group-members .group-member .user-info{margin:0;padding:0.5em;width:98%;}.group-members .group-member .btn-group{margin-top:0;}.group-members .group-member .group-member-info{color:#909090;}.group-members .group-member .group-member-info label{margin-bottom:0;font-weight:bold;display:inline-block;}.dashboard .activity-metrics .counters-list,.dashboard-next .activity-metrics .counters-list{font-size:.8706em;}.dashboard .navigation a.navigation-link,.dashboard-next .navigation a.navigation-link{padding:0.5em;}.mobile-view .admin-badges .badges{margin:0 0.25em;}.mobile-view .admin-badges .badges .content-list{flex:0 0 100%;}.mobile-view .admin-badges .badges .content-list .admin-badge-list{max-height:40vh;margin-left:0;}.mobile-view .admin-badges .badge-intro{flex:0 1 75%;}.mobile-view .admin-badges .current-badge{margin:20px 0;width:100%;}.mobile-view .admin-badges .current-badge textarea{width:100%;}.mobile-view .admin-badges input[type="text"]{width:100%;}.admin-customize .show-current-style{padding:0;width:100%;}.admin-customize .themes-list{width:100%;margin-bottom:1em;}.admin-customize .form-horizontal.theme.settings .setting-label,.admin-customize .admin-container .select-kit{width:100%;}.admin-customize .admin-container{display:flex;flex-wrap:wrap;}.admin-reports .admin-report .body{flex-direction:column;}.admin-reports .admin-report .body .filters{order:0;margin:0;width:100%;}.admin-reports .admin-report .body .main{order:2;}.admin-reports .admin-report .body .report-alert{margin:0;order:1;flex:1 0 0px;padding:1em;}.admin-report.post-edits .admin-report-table .report-table thead tr th.edit_reason,.admin-report.post-edits .admin-report-table .report-table tbody tr td.edit_reason{width:auto;}.admin-report.trending-search .admin-report-table .report-table thead tr th.term,.admin-report.trending-search .admin-report-table .report-table tbody tr td.term{width:50%;}.admin-report-table .table{font-size:.8706em;}.admin-report-table .table .admin-report-table-header{font-weight:500;border-left:1px solid #313131;padding:auto;}.admin-report-table .table .admin-report-table-header .title{writing-mode:vertical-rl;text-orientation:mixed;text-align:left;transform:rotate(180deg);}.admin-report-table .table .admin-report-table-header .sort-btn{display:none;}.admin-report-table .table tbody tr td.user .username{display:none;}.counters-list .counters-header .counters-cell{font-weight:normal;}.hamburger-panel .menu-panel.slide-in{right:0;}.header-cloak{height:100vh;width:100vw;position:fixed;background-color:black;opacity:0.5;top:0;right:0;display:none;touch-action:pan-y pinch-zoom;}.header-cloak.animate{transition:opacity 0.2s ease-out;}.reviewable .reviewable-container{flex-direction:column;}.reviewable .reviewable-container .reviewable-list{order:2;width:100%;padding-bottom:4em;}.reviewable .reviewable-container .reviewable-filters{order:1;margin:0;padding:0.5em;width:100%;}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin:0 0 0.5em 0;}.reviewable .reviewable-scores{width:100%;}.reviewable-filters{background-color:#282828;padding:0.5em 1em 1em 1em;margin-bottom:1em;}.reviewable-filters .reviewable-filters-actions{display:flex;justify-content:space-between;}.reviewable-filters .reviewable-filter{margin:0 0 0.5em 0;}.reviewable-filters .reviewable-filter .filter-label{margin:0;}.reviewable-contents .reviewable-post-header,.reviewable-contents .post-body{max-width:100%;}.reviewable-contents .reviewable-post-header p,.reviewable-contents .post-body p{overflow-x:scroll;}.reviewable-actions{margin-left:-0.5em;}.reviewable-actions>div,.reviewable-actions>button{flex:0 1 47%;margin-left:0.25em;margin-bottom:0.5em;}.reviewable-actions .reviewable-action,.reviewable-actions .reviewable-action-dropdown .dropdown-select-box-header{display:flex;align-items:center;justify-content:center;}.reviewable-actions .reviewable-action .d-icon,.reviewable-actions .reviewable-action-dropdown .dropdown-select-box-header .d-icon{margin:0 0 0 0.15;}.reviewable-scores-and-history table{width:100%;}.topic-footer-mobile-dropdown .select-kit-row.bookmarked .d-icon{color:#0f82af;}#user-card,#group-card{position:fixed;z-index:1102;max-width:95vw;margin:0 2.5vw;max-height:90vh;}#user-card .first-row,#group-card .first-row{flex-wrap:wrap;}#user-card .first-row .names,#group-card .first-row .names{flex:1 1 calc(100% - 120px);box-sizing:border-box;}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{display:flex;flex:1;margin-top:1em;max-width:100%;}#user-card .first-row .usercard-controls li,#group-card .first-row .usercard-controls li{flex:1;min-width:0;}#user-card .first-row .usercard-controls li:nth-child(2),#group-card .first-row .usercard-controls li:nth-child(2){border-right:0.5em solid transparent;}#user-card .first-row .usercard-controls li button,#group-card .first-row .usercard-controls li button{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#user-card h1,#group-card h1{font-size:1.5157em;}#user-card h1 .d-icon,#group-card h1 .d-icon{font-size:.7579em;}#user-card h2,#group-card h2{font-size:1em;}#user-card h3,#group-card h3{font-size:.8706em;}#user-card .sixth-row .badge-section{flex-wrap:wrap;}#user-card .sixth-row .badge-section>span{display:flex;flex:0 1 50%;max-width:50%;padding:2px 0;box-sizing:border-box;}#user-card .sixth-row .badge-section>span:nth-of-type(1),#user-card .sixth-row .badge-section>span:nth-of-type(3){padding-left:4px;}#user-card .sixth-row .badge-section>span a{width:100%;display:flex;}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{display:flex;margin:0;width:100%;}.card-cloak{position:fixed;top:0;right:0;z-index:1101;height:100vh;width:100vw;background-color:rgba(0,0,0,0.5);animation:fadein 0.2s;}.user-stream .item,.user-stream .user-stream-item{padding:20px 0 15px 0;}.user-stream .name{vertical-align:middle;}.user-stream .notification.unread{background-color:#203b4b;}.user-stream .group-member-info .name{vertical-align:inherit;}.select-kit.combo-box.tag-drop .tag-drop-header{font-size:1em;}.select-kit.combo-box.tag-drop .tag-drop-header .d-icon{font-size:1em;}.select-kit.combo-box.tag-drop .select-kit-row{font-weight:normal;}.select-kit.combo-box.category-drop .category-drop-header{font-size:1em;}.select-kit.combo-box.category-drop .category-drop-header .d-icon{font-size:1em;}.select-kit.combo-box.category-drop .select-kit-row{font-weight:normal;}.select-kit.dropdown-select-box .select-kit-collection{max-height:200px;overflow-y:auto;}	2019-12-05 04:06:36.909245	2019-12-05 04:06:36.909245	-1	\N
18	desktop	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	﻿/*! normalize.css v3.0.1 | MIT License | git.io/normalize */html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%}body{margin:0}article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary{display:block}audio,canvas,progress,video{display:inline-block;vertical-align:baseline}audio:not([controls]){display:none;height:0}[hidden],template{display:none}a{background:transparent}a:active,a:hover{outline:0}abbr[title],acronym[title]{text-decoration:underline;text-decoration-style:dotted}b,strong{font-weight:bold}dfn{font-style:italic}h1{font-size:1.7511em;margin:0.67em 0}mark{background:#ff0;color:#000}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sup{top:-0.5em}sub{bottom:-0.25em}img{border:0}figure{margin:1em 40px}hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0}pre{overflow:auto}code,kbd,pre,samp{font-family:monospace, monospace;font-size:1em}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0}button{overflow:visible}button,select{text-transform:none}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer}button[disabled],html input[disabled]{cursor:default}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0}input{line-height:normal}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0}input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{height:auto}input[type="search"]{-webkit-appearance:textfield;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em}legend{border:0;padding:0}textarea{overflow:auto}optgroup{font-weight:bold}table{border-collapse:collapse;border-spacing:0}td,th{padding:0}/*!\n * Pikaday\n * Copyright © 2014 David Bushell | BSD & MIT license | http://dbushell.com/\n */.pika-single{z-index:9999;display:block;position:relative;color:#222;background:#fff;border:1px solid #e9e9e9;border-bottom-color:#e9e9e9;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif}.pika-single.is-hidden{display:none}.pika-single.is-bound{position:absolute;box-shadow:0 5px 15px -5px rgba(0,0,0,0.5)}.pika-single:before,.pika-single:after{content:" ";display:table}.pika-single:after{clear:both}.pika-lendar{float:left;width:240px;margin:8px}.pika-title{position:relative;text-align:center}.pika-title select{cursor:pointer;position:absolute;z-index:9998;margin:0;left:0;top:5px;filter:alpha(opacity=0);opacity:0}.pika-label{display:inline-block;position:relative;z-index:9999;overflow:hidden;margin:0;padding:5px 3px;font-size:14px;line-height:20px;font-weight:bold;color:#222;background-color:#fff}.pika-prev,.pika-next{display:block;cursor:pointer;position:relative;outline:none;border:0;padding:0;width:20px;height:30px;text-indent:20px;white-space:nowrap;overflow:hidden;background-color:transparent;background-position:center center;background-repeat:no-repeat;background-size:75% 75%;opacity:.5}.pika-prev:hover,.pika-next:hover{opacity:1}.pika-prev.is-disabled,.pika-next.is-disabled{cursor:default;opacity:.2}.pika-prev,.is-rtl .pika-next{float:left;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==")}.pika-next,.is-rtl .pika-prev{float:right;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=")}.pika-select{display:inline-block}.pika-table{width:100%;border-collapse:collapse;border-spacing:0;border:0}.pika-table th,.pika-table td{width:14.285714285714286%;padding:0}.pika-table th{color:#222;font-size:12px;line-height:25px;font-weight:bold;text-align:center}.pika-table abbr{border-bottom:none;cursor:help}.pika-button{cursor:pointer;display:block;-moz-box-sizing:border-box;box-sizing:border-box;outline:none;border:0;margin:0;width:100%;padding:5px;color:#222;font-size:12px;line-height:15px;text-align:right;background:#fff}.is-today .pika-button{color:#08c;font-weight:bold}.is-selected .pika-button{color:#fff;font-weight:bold;background:#08c;box-shadow:inset 0 1px 3px #d1f0ff;border-radius:3px}.is-disabled .pika-button,.is-outside-current-month .pika-button{pointer-events:none;cursor:default;color:#222;opacity:.3}.pika-button:hover{color:#222;background:#d1f0ff;box-shadow:none;border-radius:3px}.pika-week{font-size:11px;color:#222}.is-inrange .pika-button{background:#D5E9F7}.is-startrange .pika-button{color:#fff;background:#6CB31D;box-shadow:none;border-radius:3px}.is-endrange .pika-button{color:#fff;background:#08c;box-shadow:none;border-radius:3px}.pull-left{float:left}.pull-right{float:right}.show{display:block}.hide,.hidden{display:none}.invisible{visibility:hidden}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);border:0}.affix{position:fixed}.clearfix:before,.nav-pills:before,.container:before,.wrap:before,.clearfix:after,.nav-pills:after,.container:after,.wrap:after{display:table;content:" "}.clearfix:after,.nav-pills:after,.container:after,.wrap:after{clear:both}.overflow-ellipsis{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.clickable{cursor:pointer}.disable-no-hover:hover{background:#e9e9e9;color:#222}html{color:#222;font-family:Helvetica,Arial,sans-serif;font-size:15px;line-height:1.4;background-color:#fff;overflow-y:scroll;direction:ltr}html.text-size-smaller{font-size:14px}html.text-size-larger{font-size:17px}html.text-size-largest{font-size:19px}a{color:#08c;text-decoration:none;cursor:pointer}a:visited{color:#08c}a:hover{color:#08c}a:active{color:#08c}hr{display:block;height:1px;margin:1em 0;border:0;border-top:1px solid #e9e9e9;padding:0}ul,dd{margin:0 0 9px 25px;padding:0}.cooked ul,.cooked ol,.cooked dd{clear:both}.cooked ul,.d-editor-preview ul{margin:0;padding-left:40px}li>ul,li>ol{margin-bottom:0}img{vertical-align:middle}fieldset{margin:0;border:0;padding:0}pre code{overflow:auto;tab-size:4}.row:before,.row:after{display:table;content:""}.row:after{clear:both}#offscreen-content{display:none}tbody{border-top:3px solid #e9e9e9}tr{border-bottom:1px solid #e9e9e9}tr.highlighted{animation:background-fade-highlight 2.5s ease-out}ruby>rt{font-size:72%}.select-kit.categories-admin-dropdown .select-kit-body{min-width:auto;width:250px}.select-kit.categories-admin-dropdown .select-kit-header .d-icon{justify-content:space-between}.select-kit.combo-box.category-chooser{width:300px}.select-kit.combo-box.category-chooser .select-kit-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:flex-start;-ms-flex-align:flex-start;align-items:flex-start;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.select-kit.combo-box.category-chooser .select-kit-row.none .topic-count{display:none}.select-kit.combo-box.category-chooser .select-kit-row .topic-count{font-size:.7579em;color:#222;white-space:nowrap}.select-kit.combo-box.category-chooser .select-kit-row .category-status{color:#222;line-height:1.4;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto}.select-kit.combo-box.category-chooser .select-kit-row .category-desc{-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;color:#919191;font-size:.8706em;line-height:1.4}.select-kit.combo-box.category-drop .badge-wrapper{font-size:1em;font-weight:normal}.select-kit.combo-box.category-drop .badge-wrapper.box{margin:0}.select-kit.combo-box.category-drop .badge-wrapper.box span.badge-category{margin:0}.select-kit.combo-box.category-drop.bar.has-selection .category-drop-header{padding:0 5px 0 10px}.select-kit.combo-box.category-drop.box.has-selection .category-drop-header .badge-wrapper.box{padding:0}.select-kit.combo-box.category-drop .category-drop-header.is-none .selected-name{color:inherit}.select-kit.combo-box.category-drop .category-drop-header .badge-wrapper{margin-right:0}.select-kit.combo-box.category-drop .select-kit-body{min-width:300px}.select-kit.combo-box.category-drop .select-kit-row{flex-direction:column;align-items:flex-start}.select-kit.combo-box.category-drop .select-kit-row[data-value="all-categories"],.select-kit.combo-box.category-drop .select-kit-row[data-value="no-categories"]{color:#08c;font-weight:700}.select-kit.combo-box.category-drop .select-kit-row .category-desc{font-weight:normal;color:#919191;margin-top:2px}.select-kit.combo-box.category-drop .select-kit-row .category-status{align-items:center}.select-kit.combo-box.category-drop .select-kit-row .topic-count{margin-left:5px;font-weight:normal}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper{margin:0;font-weight:bold}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper:nth-child(2){margin-left:10px}.select-kit.combo-box.category-drop.is-expanded .select-kit-wrapper,.select-kit.combo-box.category-drop .select-kit-wrapper{display:none}.select-kit .category-row .category-status{display:flex;flex-wrap:wrap;align-items:center;max-width:100%;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto}.select-kit .category-row .category-desc{max-width:100%}.select-kit .category-row .category-status .badge-wrapper.box{margin-bottom:1px;margin-top:1px}.select-kit .category-row .topic-count{white-space:nowrap}.select-kit.category-selector .selected-name .badge-wrapper.box,.select-kit-box.category-selector .selected-name .badge-wrapper.box{margin:2px;padding:0}.select-kit.combo-box{min-width:auto}.select-kit.combo-box .select-kit-body{width:100%;min-width:150px;border-radius:0;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}.select-kit.combo-box .select-kit-row{margin:0;min-height:1px;padding:6px 10px}.select-kit.combo-box .select-kit-row.no-content{font-weight:normal}.select-kit.combo-box .select-kit-filter{padding:4px 10px;border-top:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9}.select-kit.combo-box .select-kit-filter .spinner{flex:0 0 auto}.select-kit.combo-box .select-kit-filter .filter-input,.select-kit.combo-box .select-kit-filter .filter-input:focus,.select-kit.combo-box .select-kit-filter .filter-input:active{flex:0 0 auto;width:90%}.select-kit.combo-box .select-kit-filter .filter-icon{padding-left:5px}.select-kit.combo-box .select-kit-header{background:#fff;border:1px solid #919191;padding:0 5px 0 10px;font-weight:500;font-size:1em}.select-kit.combo-box .select-kit-header.is-focused{border:1px solid #08c;box-shadow:0 0 6px 0 #08c}.select-kit.combo-box .select-kit-collection{display:flex;flex-direction:column;padding:0;min-width:100px;max-height:200px;max-width:32em}.select-kit.combo-box .select-kit-collection .collection-header a{white-space:nowrap;color:#222;line-height:1.2;font-weight:bold;display:block;padding:6px 10px;color:#08c}.select-kit.combo-box .select-kit-collection .collection-header a:hover{text-decoration:underline}.select-kit.combo-box.is-disabled .select-kit-header{background:#e9e9e9;border-color:#bdbdbd;color:#919191}.select-kit.combo-box.is-disabled .select-kit-header .d-icon{color:#919191}.select-kit.combo-box.is-highlighted .select-kit-header{border:1px solid #08c;box-shadow:0 0 6px 0 #08c}.select-kit.combo-box.is-expanded .select-kit-wrapper{display:block;border:1px solid #08c;box-shadow:0 0 6px 0 #08c}.select-kit.combo-box.is-expanded.is-above .select-kit-header{border-radius:0 0 3px 3px}.select-kit.combo-box.is-expanded.is-above .select-kit-body{border-radius:3px 3px 0 0}.select-kit.combo-box.tag-drop,.select-kit.combo-box.group-dropdown{min-width:auto}.select-kit.combo-box.tag-drop .select-kit-row,.select-kit.combo-box.group-dropdown .select-kit-row{font-weight:bold}.select-kit.combo-box.is-expanded .select-kit-wrapper,.select-kit.combo-box .select-kit-wrapper{display:none}.select-kit.dropdown-select-box.composer-actions{margin:0}.select-kit.dropdown-select-box.composer-actions .select-kit-header{background:none;outline:none;padding:0;margin-right:5px;border:1px solid #e9e9e9;min-height:unset}.select-kit.dropdown-select-box.composer-actions .select-kit-header .d-icon{padding:5px 6px}.select-kit.dropdown-select-box.composer-actions .select-kit-header:hover,.select-kit.dropdown-select-box.composer-actions .select-kit-header:focus{background:#e9e9e9}.select-kit.dropdown-select-box.composer-actions .d-icon{margin:0 !important}.select-kit.dropdown-select-box{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;min-width:auto;border:none}.select-kit.dropdown-select-box.is-expanded .select-kit-collection,.select-kit.dropdown-select-box.is-expanded .select-kit-body{border-radius:0}.select-kit.dropdown-select-box .select-kit-body{border:1px solid #e9e9e9;background-clip:padding-box;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);max-width:300px;width:300px}.select-kit.dropdown-select-box .select-kit-row{margin:0;padding:10px 5px}.select-kit.dropdown-select-box .select-kit-row .icons{display:-webkit-box;display:-ms-flexbox;display:flex;flex:0 0 auto;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-item-align:start;align-self:flex-start;margin-right:0.357em;margin-top:2px;width:30px}.select-kit.dropdown-select-box .select-kit-row .icons .d-icon{font-size:1.3195em;-ms-flex-item-align:center;align-self:center;margin-right:0;opacity:1}.select-kit.dropdown-select-box .select-kit-row .texts{width:0;line-height:1.4;-webkit-box-flex:1;-ms-flex:1;flex:1 1 0%;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.select-kit.dropdown-select-box .select-kit-row .texts .name{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;font-weight:bold;font-size:1em;color:#222;padding:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100%}.select-kit.dropdown-select-box .select-kit-row .texts .desc{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;width:100%;font-size:.8706em;font-weight:normal;color:#919191;white-space:normal}.select-kit.dropdown-select-box .select-kit-collection{padding:0;max-height:100%}.select-kit.dropdown-select-box .dropdown-select-box-header{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;border:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}.select-kit.dropdown-select-box .dropdown-select-box-header .d-icon+.d-icon{margin-left:5px}.select-kit.dropdown-select-box .dropdown-select-box-header.is-focused{outline-style:auto;outline-color:#08c}.select-kit.combobox.future-date-input-selector{min-width:50%}.select-kit.combobox.future-date-input-selector .future-date-input-selector-header .btn-clear{line-height:1.4}.select-kit.combobox.future-date-input-selector .future-date-input-selector-datetime{color:#888;margin-left:5px;white-space:nowrap}.select-kit.combobox.future-date-input-selector .future-date-input-selector-icons{margin-right:5px}.select-kit.combobox.future-date-input-selector .btn-clear{padding:0;margin-left:5px}.select-kit.combobox.future-date-input-selector .future-date-input-selector-row .future-date-input-selector-icons{color:#888}.select-kit.multi-select.list-setting .select-kit-row.create .square{width:12px;height:12px;margin-left:5px}.select-kit.combo-box.mini-tag-chooser{margin-bottom:5px;margin-left:5px}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-header{border:1px solid #08c}.select-kit.combo-box.mini-tag-chooser.no-tags .select-kit-header .selected-name{color:#919191}.select-kit.combo-box.mini-tag-chooser .select-kit-body{max-width:32em}.select-kit.combo-box.mini-tag-chooser .select-kit-header{height:30px}.select-kit.combo-box.mini-tag-chooser .select-kit-header .selected-name{margin:0;border:0;padding:0;outline:none;box-shadow:none;cursor:pointer;max-width:250px}.select-kit.combo-box.mini-tag-chooser .select-kit-filter{border-top:0}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-wrapper,.select-kit.combo-box.mini-tag-chooser .select-kit-wrapper{display:none}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-selected{background:none}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-highlighted.is-selected{background:#d1f0ff}.select-kit.combo-box.mini-tag-chooser .select-kit-row .discourse-tag-count{margin-left:5px}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header{max-height:125px;overflow:hidden;flex:1 0 auto;border-bottom:1px solid #e9e9e9}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tags{display:flex;padding:4px;flex-wrap:wrap;margin:-2px;overflow:hidden}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag{background:#e9e9e9;padding:2px 4px;margin:2px;border:0}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag.is-highlighted{box-shadow:0 0 2px #e45735,0 1px 0 rgba(0,0,0,0.05)}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag .d-icon{color:#bdbdbd;vertical-align:middle}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag:hover .d-icon{color:#e45735}.select-kit.multi-select{width:300px;background:#fff;border-radius:0}.select-kit.multi-select .select-kit-body{width:100%}.select-kit.multi-select .select-kit-row{margin:5px;min-height:1px;padding:5px;border-radius:0}.select-kit.multi-select .select-kit-filter{border:0;flex:1 0 0px;margin:1px}.select-kit.multi-select .multi-select-header{background:#fff;border:1px solid #919191}.select-kit.multi-select .multi-select-header.is-focused{box-shadow:0 0 6px 0 #08c;border-radius:0}.select-kit.multi-select.is-disabled .multi-select-header{background:#e9e9e9;border-color:#bdbdbd;color:#919191}.select-kit.multi-select.is-disabled .multi-select-header .d-icon{color:#919191}.select-kit.multi-select.is-highlighted .multi-select-header{border-radius:0;border-bottom:1px solid transparent;box-shadow:0 0 6px 0 #08c}.select-kit.multi-select.is-expanded .select-kit-wrapper{display:block;border:1px solid #08c;box-shadow:0 0 6px 0 #08c;border-radius:0}.select-kit.multi-select.is-expanded .multi-select-header{border-radius:0;box-shadow:none}.select-kit.multi-select.is-expanded .select-kit-body{border-radius:0}.select-kit.multi-select .choices{margin:0 2px;box-sizing:border-box;display:flex;justify-content:flex-start;flex-wrap:wrap;width:100%}.select-kit.multi-select .choices .choice{display:inline-flex;box-sizing:border-box;align-items:center;justify-content:space-between;flex-wrap:wrap;flex-direction:row;margin:1px 0px 2px 2px}.select-kit.multi-select .choices .filter{align-items:center;justify-content:flex-start;white-space:nowrap;min-width:50px;padding:0;outline:none;flex:1 0 0px}.select-kit.multi-select .choices .filter .filter-input,.select-kit.multi-select .choices .filter .filter-input:focus{border:none;background:none;display:inline-block;width:100%;outline:none;min-width:auto;padding:0;margin:0;outline:0;border:0;box-shadow:none;border-radius:0;min-height:unset}.select-kit.multi-select .choices .selected-color .selected-color-wrapper{display:flex;flex:1 0 0px;flex-direction:column}.select-kit.multi-select .choices .selected-color .color-preview{height:5px;margin:0 2px 2px 0px;display:flex;width:100%}.select-kit.multi-select .choices .selected-category .body{display:flex;align-items:center}.select-kit.multi-select .choices .selected-category .badge-wrapper{padding:2px 4px;line-height:1.2;display:flex;flex:1 0 0px;align-items:center}.select-kit.multi-select .choices .selected-category .badge-wrapper.bullet{margin-right:2.5px}.select-kit.multi-select .choices .selected-name .footer{display:flex;width:100%}.select-kit.multi-select .choices .selected-name .body{background:#e9e9e9;padding:4px}.select-kit.multi-select .choices .selected-name .d-icon{color:#bdbdbd;vertical-align:middle}.select-kit.multi-select .choices .selected-name:hover .d-icon:last-child{color:#e45735}.select-kit.multi-select .choices .selected-name.is-highlighted{box-shadow:0 0 2px #e45735,0 1px 0 rgba(0,0,0,0.05)}.select-kit.dropdown-select-box.notifications-button .select-kit-body{min-width:550px;max-width:550px}.select-kit.dropdown-select-box.notifications-button .select-kit-row .icons{-ms-flex-item-align:start;align-self:flex-start}.select-kit.dropdown-select-box.period-chooser{display:inline-flex;position:relative}.select-kit.dropdown-select-box.period-chooser .select-kit-collection{padding:5px}.select-kit.dropdown-select-box.period-chooser .period-chooser-header{background:none;border:none;justify-content:flex-start;width:auto;height:auto;padding:0}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{color:#fff;display:inline-block;box-sizing:border-box}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .date-section{color:#222;margin-right:5px}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.8706em;color:#919191;font-weight:normal;text-transform:uppercase}.select-kit.dropdown-select-box.period-chooser .period-chooser-header .d-icon{color:#222;opacity:1;margin:5px 0 10px 5px;font-size:1.5157em}.select-kit.dropdown-select-box.period-chooser .period-chooser-header.is-focused,.select-kit.dropdown-select-box.period-chooser .period-chooser-header:hover{background:none;border:none;outline:none}.select-kit.dropdown-select-box.period-chooser .period-chooser-row{font-weight:bold;padding:5px;font-size:1.1487em;align-items:center;display:flex}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .period-title{flex:1 0 0px}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .date-section{color:#222}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .top-date-string{font-weight:normal;font-size:.8706em;color:#919191;text-transform:uppercase;margin-left:5px}#topic-footer-buttons .pinned-button{min-width:auto;margin:1em 0}#topic-footer-buttons .pinned-button.is-hidden{display:none}#topic-footer-buttons .pinned-button .btn{margin:0}#topic-footer-buttons .pinned-button .reason{display:inline;line-height:1.2}.pinned-button{margin:0;min-width:auto}.pinned-button .pinned-options{display:inline}.pinned-button .pinned-options .select-kit-body{min-width:unset;max-width:unset;width:550px}.mobile-view .select-kit.is-expanded{z-index:300}.select-kit{border:none;min-width:220px;box-sizing:border-box;display:inline-block;flex-direction:column;position:relative;vertical-align:middle;user-select:none}.select-kit.is-hidden{display:none}.select-kit.is-disabled{pointer-events:none}.select-kit.is-expanded{z-index:300}.select-kit.is-expanded .select-kit-body{display:flex;flex-direction:column;left:0;position:absolute;top:0}.select-kit.is-expanded .select-kit-collection{border-radius:inherit}.select-kit.is-above .select-kit-body{bottom:0;top:auto}.select-kit.is-above .select-kit-filter{border-top:0}.select-kit.is-above .select-kit-wrapper{bottom:0;top:auto}.select-kit .d-icon{color:#646464}.select-kit .select-kit-header{box-sizing:border-box;overflow:hidden;transition:all 0.25s;cursor:pointer;outline:none;display:flex;align-items:center;flex-direction:row;min-height:30px}.select-kit .select-kit-header .selected-name{text-align:left;flex:0 1 auto;padding:1px 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:inherit}.select-kit .select-kit-header .btn-clear{padding:0 10px;border:0;background:none}.select-kit .select-kit-header .icon{margin-right:5px}.select-kit .select-kit-header .caret-icon{margin-left:auto;padding-left:5px;pointer-events:none}.select-kit .select-kit-header .d-button-label{display:flex;align-items:center;white-space:nowrap;overflow:hidden;line-height:1.2}.select-kit .select-kit-header .d-button-label .d-icon{margin-left:5px;margin-right:0}.select-kit .select-kit-body{display:none;background:#fff;box-sizing:border-box}.select-kit .select-kit-row{cursor:pointer;line-height:1.2;outline:none;display:flex;flex:1 0 auto;box-sizing:border-box;align-items:center;justify-content:flex-start}.select-kit .select-kit-row .name{margin:0;overflow:hidden;text-overflow:ellipsis;flex:1 1 0%}.select-kit .select-kit-row .d-icon{margin-right:5px}.select-kit .select-kit-row.is-highlighted{background:#d1f0ff}.select-kit .select-kit-row.is-selected{background:#ffffa6}.select-kit .select-kit-row.is-selected.is-highlighted{background:#d1f0ff}.select-kit .select-kit-row .discourse-tag,.select-kit .select-kit-row .discourse-tag-count{color:#222}.select-kit .select-kit-collection{background:#fff;overflow-x:hidden;overflow-y:auto;border-radius:inherit;-webkit-overflow-scrolling:touch;margin:0;padding:0;max-height:200px}.select-kit .select-kit-collection .validation-message{white-space:nowrap;color:#e45735;flex:1 0 auto;margin:5px;padding:0 2px}.select-kit .select-kit-collection .select-kit-collection{padding:0;margin:0}.select-kit .select-kit-collection .select-kit-collection:hover .select-kit-row.is-highlighted:hover{background:#d1f0ff}.select-kit .select-kit-collection::-webkit-scrollbar{-webkit-appearance:none;width:10px}.select-kit .select-kit-collection::-webkit-scrollbar-thumb{cursor:pointer;border-radius:5px;background:#919191}.select-kit .select-kit-collection::-webkit-scrollbar-track{background:transparent;border-radius:0}.select-kit .select-kit-filter{display:flex;box-sizing:border-box;align-items:center;justify-content:space-between}.select-kit .select-kit-filter .filter-input,.select-kit .select-kit-filter .filter-input:focus,.select-kit .select-kit-filter .filter-input:active{background:none;margin:0;padding:0;flex:1 0 0px;outline:none;border:0;border-radius:0;box-shadow:none;width:100%}.select-kit .select-kit-filter.is-hidden{width:1px;height:1px;border:0;margin:-1px;padding:0;overflow:hidden;position:fixed;outline:0;left:0;top:0}.select-kit .select-kit-wrapper{position:absolute;top:0;left:0;background:none;display:none;box-sizing:border-box;pointer-events:none}.select-kit.multi-select.tag-chooser .select-kit-row{display:flex;align-items:center}.select-kit.multi-select.tag-chooser .select-kit-row .discourse-tag-count{margin-left:5px}.select-kit.combo-box.tag-drop .select-kit-row[data-value="all-tags"],.select-kit.combo-box.tag-drop .select-kit-row[data-value="no-tags"]{color:#08c;font-weight:700}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-body{box-shadow:none;padding:10px 10px 5px 10px;width:230px}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row{margin-bottom:5px;padding:6px 3px;background:#e9e9e9;transition:all 0.25s}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{font-size:1em;font-weight:normal;color:#222}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{opacity:0.7}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted{background:#919191}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .d-icon{color:#fff}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row:hover{background:#919191;color:#fff}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected{color:#222;background:#e9e9e9}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected.is-highlighted{background:#919191;color:#222}#topic-footer-buttons .topic-notifications-button{min-width:auto;margin:1em 0}#topic-footer-buttons .topic-notifications-button .btn{margin:0}#topic-footer-buttons .topic-notifications-button .reason{display:inline;line-height:1.2}.topic-notifications-button .topic-notifications-options{min-width:auto}.topic-notifications-button{margin:0}.topic-notifications-button .topic-notifications-options{display:inline-flex}.select-kit.dropdown-select-box.user-notifications-dropdown{text-align:left}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-body{width:485px;max-width:485px}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-header{justify-content:center}.select-kit.dropdown-select-box.user-notifications-dropdown .dropdown-select-box-header{align-items:center}.select-kit.combo-box.color-palettes .color-palettes-row .palettes{display:flex;align-items:center;margin-left:0.5em;flex:1 0 0}.select-kit.combo-box.color-palettes .color-palettes-row .palettes .palette{height:15px;width:15px;display:block}.svg-icon,.svg-icon-title{height:1em;width:1em;line-height:1;display:inline-flex;position:relative;vertical-align:-0.125em;fill:currentColor;flex-shrink:0;overflow:visible}svg>use{pointer-events:none}.fa-stack{position:relative;width:1em;height:1em;display:inline-block}.fa-stack .fa-stack-1x,.fa-stack .fa-stack-2x{left:0px;top:0px;position:absolute}.fa-stack .fa-stack-2x{height:1.5em;width:1.5em;margin-top:-0.25em;margin-left:-0.25em}.d-date-time-input-range{padding:0.5em;background:whitesmole;border:1px solid #e9e9e9;width:300px;display:flex;flex-direction:column}.d-date-time-input-range .panels{display:inline-flex;list-style:none;margin:0 0 0.5em 0;flex:1}.d-date-time-input-range .panels.from .from-panel{background:#e45735;color:#fff}.d-date-time-input-range .panels.to .to-panel{background:#e45735;color:#fff}.d-date-time-input-range .panels .btn{margin-right:0.5em}.d-date-time-input-range .panel{display:none;flex:1}.d-date-time-input-range .panel.visible{display:flex}.nav-pills,.nav-stacked{margin-left:0;list-style:none}.nav-pills li a,.nav-stacked li a{display:block;text-decoration:none}.nav-pills>li{float:left;margin-right:5px}.nav-pills>li>a{border:none;padding:6px 12px;color:#222;font-size:1.1487em;line-height:1;box-sizing:border-box;min-height:30px;display:flex;align-items:center;transition:background 0.15s}.nav-pills>li>a .d-icon{margin-right:5px;opacity:0.65}.nav-pills>li>a:hover{color:#e45735;background-color:#f7cdc2}.nav-pills>li a.active{color:#fff;background-color:#e45735}.nav-pills>li a.active .d-icon{opacity:1}.nav-stacked{padding:0;overflow:hidden;background:#e9e9e9}.nav-stacked li{border-bottom:1px solid #e9e9e9;position:relative}.nav-stacked li:last-of-type{border-bottom:0}.nav-stacked li.indent{padding-left:15px}.nav-stacked a{margin:0;padding:13px;font-size:1.1487em;line-height:1;cursor:pointer;color:#222}.nav-stacked a.active{color:#fff;background-color:#e45735}.nav-stacked a.active::after{left:90%;top:33%;content:" ";position:absolute;border:8px solid transparent;border-left-color:#fff}.nav-stacked .count{font-size:.8706em}.nav-stacked .glyph{font-size:.8706em;width:1.25em;text-align:center;margin-right:0.25em;line-height:1.4}.btn{display:inline-block;margin:0;padding:6px 12px;font-weight:500;font-size:1em;line-height:1;text-align:center;cursor:pointer;transition:all 0.25s;box-sizing:border-box;min-height:30px}.btn .d-icon{transition:color 0.25s}.btn:active,.btn.btn-active{text-shadow:none}.btn[disabled],.btn.disabled{cursor:default;opacity:0.4}.btn .d-icon{margin-right:7px}.btn.no-text .d-icon{margin-right:0}.btn.hidden{display:none}.btn{border:none;color:#222;font-weight:normal;background:#e9e9e9}.btn .d-icon{color:#646464}.btn[href]{color:#222;min-height:unset}.discourse-no-touch .btn:hover,.discourse-no-touch .btn.btn-hover{background:#919191;color:#fff}.discourse-no-touch .btn:hover .d-icon,.discourse-no-touch .btn.btn-hover .d-icon{color:#ededed}.btn[disabled],.btn.disabled{background:#e9e9e9;cursor:not-allowed}.btn[disabled] .d-icon,.btn.disabled .d-icon{color:#919191}.btn[disabled]:hover,.btn.disabled:hover{color:#bdbdbd}.btn[disabled]:hover .d-icon,.btn.disabled:hover .d-icon{color:#bdbdbd}.btn .d-icon{line-height:1.2}.btn-primary{border:none;font-weight:normal;color:#fff;background:#08c}.btn-primary .d-icon{color:currentColor}.btn-primary[href]{color:#fff}.discourse-no-touch .btn-primary:hover,.discourse-no-touch .btn-primary.btn-hover{background:#006da3}.discourse-no-touch .btn-primary:hover .d-icon,.discourse-no-touch .btn-primary.btn-hover .d-icon{color:currentColor}.btn-primary:active,.btn-primary.btn-active{background-color:#006da3;background-image:linear-gradient(to bottom, #006da3, #08c)}.btn-primary[disabled],.btn-primary.disabled{background:#08c}.btn-primary[disabled] .d-icon,.btn-primary.disabled .d-icon{color:currentColor}.btn-danger{color:#fff;font-weight:normal;background:#e45735}.btn-danger .d-icon{color:#fbe6e1}.btn-danger[href]{color:#fff}.discourse-no-touch .btn-danger:hover,.discourse-no-touch .btn-danger.btn-hover{background:#c63c1b}.discourse-no-touch .btn-danger:hover .d-icon,.discourse-no-touch .btn-danger.btn-hover .d-icon{color:#fbe6e1}.btn-danger:active,.btn-danger.btn-active{background-color:#c63c1b;background-image:linear-gradient(to bottom, #c63c1b, #e45735)}.btn-danger[disabled],.btn-danger.disabled{background:#e45735}.btn-danger[disabled] .d-icon,.btn-danger.disabled .d-icon{color:#fbe6e1}.btn-social{color:#fff;background:#666}.btn-social .d-icon{color:#fff}.btn-social:hover{color:#fff}.btn-social[href]{color:#fff}.btn-social:before{margin-right:9px;font-size:1em}.btn-social.google_oauth2{background:#fff;color:#333;border:1px solid #e9e9e9}.btn-social.google_oauth2 .d-icon{opacity:0.9}.btn-social.google_oauth2:hover{color:currentColor;background:#f2f2f2}.btn-social.instagram{background:#e1306c}.btn-social.instagram:hover{background:#ac194b}.btn-social.facebook{background:#4267b2}.btn-social.facebook:hover{background:#2d477a}.btn-social.cas{background:#70ba61}.btn-social.twitter{background:#1da1f2}.btn-social.twitter:hover{background:#0c85d0}.btn-social.github{background:#100e0f}.btn-social.github:hover{background:#463e42}.btn-social.discord{background:#7289da}.btn-social.discord:hover{background:#4a67cf}.btn-small{padding:3px 6px;font-size:.8706em}.btn-large{padding:9px 18px;font-size:1.1487em;line-height:1}.btn-flat{background:transparent;border:0;outline:0;line-height:1;transition:color 0.25s, background 0.25s}.btn-flat .d-icon{color:#bdbdbd}.discourse-no-touch .btn-flat:hover .d-icon,.discourse-no-touch .btn-flat.btn-hover .d-icon{color:#222}.btn-flat.close{padding:0;min-height:unset;background:transparent;font-size:1.5157em}.btn-flat.close .d-icon{color:#646464}.discourse-no-touch .btn-flat.close:hover,.discourse-no-touch .btn-flat.close.btn-hover{background:transparent}.discourse-no-touch .btn-flat.close:hover .d-icon,.discourse-no-touch .btn-flat.close.btn-hover .d-icon{color:#222}.btn-link{background:transparent;border:0;outline:0;padding:0;color:#08c}.btn-link:focus{outline:1px currentColor dotted}.topic-list-item td:first-child,.topic-post{border-left:1px solid transparent}.topic-list tr.selected td:first-child,.topic-list-item.selected td:first-child,.latest-topic-list-item.selected{box-shadow:inset 3px 0 0 #e45735}.featured-topic.selected,.topic-post.selected{box-shadow:-3px 0 0 #e45735}.latest .featured-topic{padding-left:4px}.topic-list-item.selected{background-color:inherit}.keyboard-shortcuts-modal .modal-body{max-height:560px}#keyboard-shortcuts-help div.row{width:100%}#keyboard-shortcuts-help div.row div{float:left;width:32%}#keyboard-shortcuts-help ul{list-style:none;margin-left:0}#keyboard-shortcuts-help ul li{margin:5px 0}#keyboard-shortcuts-help ul kbd{font-size:15px;font-family:Helvetica,Arial,sans-serif;margin:0;color:#444;font-weight:bold;padding:2px 6px;white-space:nowrap}.d-date-time-input{display:flex;align-items:center;border:1px solid #e9e9e9;width:258px;box-sizing:border-box;position:relative;flex:1;justify-content:space-between}.d-date-time-input .date-picker,.d-date-time-input .fields{border:0}.group-member-dropdown{text-align:left}#banner{padding:10px;background:#d1f0ff;color:#222;z-index:2;overflow:auto}#banner.overlay{position:fixed}#banner .close{margin-top:-5px;color:#bdbdbd;padding-left:5px;float:right}#banner .meta{display:none}.ignored-list{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#fff;min-height:30px;box-sizing:border-box}.ignored-user-list-item{border:1px solid #919191;border-radius:0.25em;padding:0;display:flex;align-items:center;margin-right:10px}.remove-ignored-user{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0 0.25em 0.25em 0;padding-top:0;padding-bottom:0;height:100%}.ignored-user-name{padding-left:10px;padding-right:10px}.d-date-input .date-picker{margin:0;text-align:left;width:100%;outline:none;box-shadow:none !important}.d-date-input .pika-single{margin-left:-1px}.d-time-input{box-sizing:border-box}.d-time-input .fields{display:flex;align-items:center;border:1px solid #e9e9e9}.d-time-input .fields .field{text-align:center;width:auto;margin:0;border:none;outline:none;box-shadow:none;width:32px}.d-time-input .fields .field.time{width:100%;text-align:left}.d-time-input .fields .field.hours,.d-time-input .fields .field.minutes{text-align:center;width:45px}.d-time-input .fields .field.hours{padding-right:0}.d-time-input .fields .field.minutes{padding-left:10px;width:55px}.group-form-automatic-membership-automatic,.groups-form-grant-trust-level{margin-bottom:10px}.conditional-loading-section.is-loading{padding:2em;margin:1em;display:flex;align-items:center;justify-content:center;background:#f8f8f8;flex-direction:column}.conditional-loading-section.is-loading .title{font-size:1.1487em;font-weight:700}.conditional-loading-section:not(.is-loading){animation:fadein 0.5s;-webkit-animation:fadein 0.5s}@keyframes fadein{from{opacity:0}to{opacity:1}}@-webkit-keyframes fadein{from{opacity:0}to{opacity:1}}a.hashtag{color:#222;font-weight:bold}a.hashtag:visited,a.hashtag:hover{color:#222}a.hashtag:hover span{text-decoration:underline}.convert-to-public-topic .modal-body .instructions{margin-bottom:1em}.pika-table th,.pika-table td{padding:0 !important;border-top:none !important;border-bottom:none !important}.date-picker-wrapper{position:relative;display:inline-block}.date-picker{text-align:center;width:8em;margin:0}.pika-single{position:absolute !important}.animated-placeholder{height:20px;position:relative}.card-avatar-placeholder{width:120px;height:120px;border-radius:100%;position:relative;overflow:hidden}.card-avatar-placeholder:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;left:0;content:"";background:linear-gradient(to right, #f8f8f8 10%, #e9e9e9 18%, #f8f8f8 33%);height:120px;width:580px}#user-card,#group-card{width:580px;box-shadow:0 4px 14px rgba(0,0,0,0.15);color:#222;background:#fff center center;background-size:cover;transition:opacity 0.2s, transform 0.2s;-webkit-transition:opacity 0.2s, -webkit-transform 0.2s;opacity:0;-webkit-transform:scale(0.9);transform:scale(0.9)}#user-card.show,#group-card.show{opacity:1;-webkit-transform:scale(1);transform:scale(1)}#user-card .card-content,#group-card .card-content{padding:10px;background:rgba(255,255,255,0.85);margin-top:80px}#user-card .card-content:after,#group-card .card-content:after{content:"";display:block;clear:both}#user-card .card-content a.card-huge-avatar,#group-card .card-content a.card-huge-avatar{outline:none}#user-card.no-bg .card-content,#group-card.no-bg .card-content{margin-top:0}#user-card .card-row:not(.first-row),#group-card .card-row:not(.first-row){margin-top:0.5em}#user-card .first-row .names,#group-card .first-row .names{padding-left:1.25em}#user-card .first-row .names .user-profile-link,#group-card .first-row .names .user-profile-link{display:flex;align-items:center}#user-card .first-row .names .d-icon,#group-card .first-row .names .d-icon{margin:0 0.25em}#user-card .first-row .names .name-username-wrapper,#group-card .first-row .names .name-username-wrapper{margin-right:0;flex:0 1 auto}#user-card .first-row .names span,#group-card .first-row .names span{display:block}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{list-style-type:none;margin:0}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{width:100%}#user-card .btn,#group-card .btn{margin-bottom:5px}#user-card h1,#group-card h1{line-height:1.2}#user-card h1 .d-icon,#group-card h1 .d-icon{color:#222}#user-card h3,#group-card h3{display:inline;margin-right:0.5em;color:#222}#user-card h3.email,#user-card h3 .desc,#user-card h3 a,#group-card h3.email,#group-card h3 .desc,#group-card h3 a{color:#646464}#user-card h1,#user-card h2,#user-card h3,#group-card h1,#group-card h2,#group-card h3{margin:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#user-card h1 a,#user-card h2 a,#group-card h1 a,#group-card h2 a{color:#222}#user-card h2,#user-card h3,#group-card h2,#group-card h3{font-weight:normal}#user-card p,#group-card p{margin:0 0 5px 0}#user-card .first-row{display:flex}#user-card .first-row .avatar-placeholder{width:120px;height:120px}#user-card .first-row .user-card-avatar{margin-top:-50px}#user-card .first-row .new-user a{color:#bdbdbd}#user-card .second-row{max-height:150px;overflow:auto}#user-card .second-row .bio a{color:#222;text-decoration:underline}#user-card .second-row .bio a.mention{text-decoration:none}#user-card .second-row .bio .overflow{max-height:60px;overflow:hidden}#user-card .second-row .suspended{color:#e45735}#user-card .second-row .suspended .suspension-reason-title,#user-card .second-row .suspended .suspension-date{font-weight:bold}#user-card .second-row .profile-hidden{font-size:1.1487em;margin-top:0.5em}#user-card .third-row .location-and-website{display:flex;flex-wrap:wrap;width:100%;align-items:center}#user-card .third-row .location-and-website .location,#user-card .third-row .location-and-website .website-name{display:flex;overflow:hidden;align-items:center}#user-card .third-row .location-and-website .location .d-icon,#user-card .third-row .location-and-website .website-name .d-icon{margin-right:0.25em}#user-card .third-row .location-and-website .website-name a,#user-card .third-row .location-and-website .location span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:#222}#user-card .third-row .location-and-website .location{margin-right:0.5em}#user-card .third-row .location-and-website .website-name a{text-decoration:underline}#user-card .fifth-row .public-user-fields{margin:0}#user-card .sixth-row .badge-section{display:flex;align-items:flex-start}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;background:#f8f8f8;border:1px solid #e9e9e9;color:#222}#group-card .first-row{display:flex}#group-card .first-row .group-card-avatar{margin-top:-50px}#group-card .first-row .avatar-flair{display:flex;background-size:contain;width:120px;height:120px;color:#222}#group-card .first-row .avatar-flair .d-icon{margin:auto;font-size:80px}#group-card .first-row .avatar-flair.rounded{border-radius:50%}#group-card .second-row{max-height:150px;overflow:auto}#group-card .second-row .bio a{color:#222;text-decoration:underline}#group-card .second-row .bio img{max-width:100%;height:auto}#group-card .second-row .bio a.mention{text-decoration:none}#group-card .second-row .bio .overflow{max-height:60px;overflow:hidden}body.footer-nav-visible #main-outlet{padding-bottom:64px}body.footer-nav-visible #topic-progress-wrapper,body.footer-nav-visible #reply-control.draft{bottom:49px}body.footer-nav-visible #reply-control.draft{margin-bottom:env(safe-area-inset-bottom);padding-bottom:0px}.footer-nav{background-color:rgba(255,255,255,0.9);box-shadow:0 0 2px 0 rgba(0,0,0,0.25);height:49px;position:fixed;bottom:-49px;left:0;width:100%;z-index:900;transition:all linear 0.1s}.footer-nav .d-icon{color:#999}.footer-nav.visible{bottom:0px}.footer-nav .footer-nav-widget{display:flex;justify-content:"space-evenly";-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.footer-nav .footer-nav-widget button{flex:1;margin:4px;border-radius:2px;padding:14px 18px}.footer-nav .footer-nav-widget button:disabled{opacity:0.6}@supports (padding: 0px){.footer-nav.visible{padding-bottom:max(5px, env(safe-area-inset-bottom))}}@supports (-webkit-backdrop-filter: blur(10px)){body:not(.footer-nav-ipad) .footer-nav{background-color:rgba(255,255,255,0.7);-webkit-backdrop-filter:blur(20px)}}body.footer-nav-ipad{padding-top:49px}body.footer-nav-ipad .footer-nav{bottom:auto;top:0px;background-color:#fff;z-index:1020;padding-bottom:0}body.footer-nav-ipad #reply-control,body.footer-nav-ipad #reply-control.fullscreen{z-index:1021}body.footer-nav-ipad.docked .d-header{margin-top:49px}.share-and-invite.modal .modal-body{max-width:475px;min-width:320px}.share-and-invite.modal .modal-header .modal-close{padding-left:0}.share-and-invite.modal .share.modal-panel .header{display:flex;flex-direction:row;align-items:center}.share-and-invite.modal .share.modal-panel .header .title{font-size:1em;font-weight:normal;margin-bottom:8px}.share-and-invite.modal .share.modal-panel .header .title .post-date{color:#919191;font-size:.8706em}.share-and-invite.modal .share.modal-panel .body{display:flex;flex-direction:column}.share-and-invite.modal .share.modal-panel .body .topic-share-url{width:100%;height:auto;box-sizing:border-box}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch a{word-break:break-all;font-size:1.1487em}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch,.share-and-invite.modal .share.modal-panel .body .topic-share-url{margin-bottom:8px}.share-and-invite.modal .share.modal-panel .body .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row}.share-and-invite.modal .share.modal-panel .body .sources .social-link{font-size:2.296em;margin-right:8px}.share-and-invite.modal .invite.modal-panel .error-message,.share-and-invite.modal .invite.modal-panel .success-message{margin-bottom:8px}.share-and-invite.modal .invite.modal-panel .body .invite-user-control,.share-and-invite.modal .invite.modal-panel .body .group-access-control,.share-and-invite.modal .invite.modal-panel .body .show-custom-message-control{margin-bottom:16px}.share-and-invite.modal .invite.modal-panel .body .instructions{margin-bottom:8px}.share-and-invite.modal .invite.modal-panel .body .email-or-username-input{width:100%}.share-and-invite.modal .invite.modal-panel .footer{display:flex;align-items:center}.share-and-invite.modal .invite.modal-panel .footer .btn-primary{margin-right:8px}.share-and-invite.modal .invite.modal-panel .footer .btn-primary:last-child{margin-right:0}.user-stream .item,.user-stream .user-stream-item{background-color:#fff;border-bottom:1px solid #e9e9e9}.user-stream .item.moderator-action,.user-stream .user-stream-item.moderator-action{background-color:#ffffa6}.user-stream .item.deleted,.user-stream .user-stream-item.deleted{opacity:0.8;background-color:rgba(242,171,154,0.7)}.user-stream .item.hidden,.user-stream .user-stream-item.hidden{display:block;opacity:0.4}.user-stream .type,.user-stream span.name{color:#222}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{display:block;float:right;color:#919191;font-size:.7579em}.user-stream .draft-type{clear:right}.user-stream .delete-info .d-icon{font-size:1em}.user-stream .expand-item,.user-stream .collapse-item{float:right;margin-right:0.5em;line-height:1;color:#919191}.user-stream .avatar-link{float:left;margin-right:4px}.user-stream .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:block}.user-stream .name{font-size:1em;max-width:400px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-stream .edit-reason{background-color:#ffffa6;padding:3px 5px 5px 5px}.user-stream .remove-bookmark,.user-stream .remove-draft{float:right;margin-top:-4px}.user-stream .notification li{display:inline-block}.user-stream .notification p{display:inline-block}.user-stream .notification p span:first-child{color:#222}.user-stream .notification .time{display:inline-block;margin-left:10px;float:none}.user-stream .notification .fa,.user-stream .notification .icon{color:#919191;font-size:1.7511em}.user-stream .excerpt{margin:1em 0 0 0;font-size:1em;word-wrap:break-word;color:#222}.user-stream .excerpt:empty{display:none}.user-stream .excerpt details.disabled{color:#919191}.user-stream .group-member-info{display:flex}.user-stream .child-actions,.user-stream-item-actions,.user-stream-item-draft-actions{margin-top:8px}.user-stream .child-actions .avatar-link,.user-stream-item-actions .avatar-link,.user-stream-item-draft-actions .avatar-link{float:none;margin-right:3px}.user-stream .child-actions .fa,.user-stream-item-actions .fa,.user-stream-item-draft-actions .fa{width:15px;display:inline-block;color:#222}.user-stream .child-actions .fa.d-icon-heart,.user-stream-item-actions .fa.d-icon-heart,.user-stream-item-draft-actions .fa.d-icon-heart{color:#fa6c8d}.badge-notification,.badge-group{display:inline-block;font-weight:normal;white-space:nowrap;border-radius:10px}.badge-wrapper{font-size:.8706em;font-weight:bold;white-space:nowrap;position:relative;display:inline-flex;align-items:baseline}.badge-wrapper .badge-category{display:inline-flex;align-items:baseline}.badge-wrapper .badge-category .category-name{text-overflow:ellipsis;overflow:hidden}.badge-wrapper .badge-category .d-icon{margin-right:3px;width:0.74em;height:0.74em;color:inherit}.badge-wrapper.bullet{margin-right:12px}.badge-wrapper.bullet span.badge-category{color:#646464;overflow:hidden;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper.bullet span.badge-category{color:#333}.badge-wrapper.bullet .badge-category-parent-bg,.badge-wrapper.bullet .badge-category-bg{flex:0 0 auto;width:9px;height:9px;margin-right:5px;display:inline-block}.badge-wrapper.bullet .badge-category-parent-bg{width:5px;margin-right:0}.badge-wrapper.bullet .badge-category-parent-bg+.badge-category-bg{width:5px}.badge-wrapper.bullet .d-icon{color:#919191}.badge-wrapper.box{margin-right:5px;padding:2px 4px 2px 4px;display:inline-flex}.badge-wrapper.box span{overflow:hidden;text-overflow:ellipsis}.badge-wrapper.box span.badge-category-bg,.badge-wrapper.box span.badge-category-parent-bg{position:absolute;top:0;right:0;bottom:0;left:0}.badge-wrapper.box span.badge-category-parent-bg{width:calc(100% - 5px)}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg{left:5px;width:calc(100% - 5px)}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg+.badge-category{margin-left:5px}.badge-wrapper.box span.badge-category{position:relative}.badge-wrapper.box+.topic-header-extra{padding:2px 4px 2px 4px}.badge-wrapper.bar{margin-right:5px}.badge-wrapper.bar span.badge-category{color:#646464;padding:1px 3px;overflow:hidden;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper.bar span.badge-category{color:#333}.badge-wrapper.bar .badge-category-parent-bg,.badge-wrapper.bar .badge-category-bg{display:inline-block;padding:0 1px}.badge-wrapper.bar .badge-category-parent-bg:before,.badge-wrapper.bar .badge-category-bg:before{content:"\\a0"}.badge-wrapper.none{color:#646464;margin-right:5px}.list-controls .category-breadcrumb a.badge-category{display:inline-block;padding:6px 8px;line-height:1.2}.badge-notification{padding:0.21em 0.42em;min-width:0.5em;color:#fff;font-size:.7579em;line-height:1;text-align:center;background-color:#bdbdbd}.badge-notification[href]{color:#fff}.badge-notification:hover{color:#fff}.badge-notification.new-posts,.badge-notification.unread-posts{background-color:#6cf;color:#fff;font-weight:normal}.badge-notification.new-topic{background-color:transparent;color:#0aadff;font-weight:normal;font-size:.8706em}.badge-notification.new-topic::before{content:"●";margin-right:2px}.badge-notification.clicks{font-weight:normal;background-color:#e9e9e9;top:-1px;color:#919191;position:relative;border:none}.badge-posts{font-weight:normal;font-size:1em;line-height:1}.badge-posts[href]{color:#919191}.badge-group{padding:2px 5px;color:#222;background-color:#e9e9e9;border-color:#e9e9e9;font-size:.8706em}.user-info{display:inline-block;clear:both;margin-bottom:1em}.user-info .user-image{float:left;padding-right:4px;margin-right:10px}.user-info .user-image-inner{position:relative;display:inline-block}.user-info .user-detail{float:left;width:70%;padding-left:5px}@media screen and (max-width: 600px){.user-info .user-detail{font-size:.8706em}}.user-info .user-detail .name-line{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-info .user-detail .username a{font-weight:bold;color:#646464}.user-info .user-detail .name{margin-left:5px;color:#646464}.user-info .user-detail .title{margin-top:3px;color:#919191}.user-info.small{width:333px}@media screen and (max-width: 800px){.user-info.small{width:auto;display:flex}}@media screen and (max-width: 600px){.user-info.small{width:100%}}.user-info.medium{min-height:60px}.user-info.medium .username,.user-info.medium .name{display:block}.user-info.medium .name{margin-left:0}.user-info.medium.badge-info{min-height:80px;min-width:250px}.user-info.medium.badge-info .granted-on{color:#919191}.user-info.medium.badge-info .post-link{display:block;margin-top:0.2em}.user-stream.filter-deleted{grid-column-start:1;grid-column-end:3;grid-row-start:2}.popup-tip{position:absolute;display:block;padding:5px 10px;z-index:600}.popup-tip.bad{background:#ec8972;color:white;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}.popup-tip.hide,.popup-tip.good{display:none}.popup-tip .close{float:right;color:#222;opacity:0.5;font-size:1em;margin:0 0 0 4px;cursor:pointer}.popup-tip .close:hover{opacity:1}#topic-entrance{border:1px solid #e9e9e9;padding:5px;background:#fff;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:300;position:absolute;width:133px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}#topic-entrance button.full{width:100%;margin-bottom:5px}#topic-entrance button.full .d-icon{display:block;margin:2px auto;transform:rotate(90deg)}#topic-entrance button.btn.jump-bottom{margin:5px 0 0 0}@media print{.avatar,.topic-avatar,header,.topic-above-post-stream-outlet.topic-above-post-stream,.topic-map,.post-menu-area.clearfix,.post-menu-area.nav-pills,.post-menu-area.container,.post-menu-area.wrap,div#topic-footer-buttons,div.suggested-topics,div#progress-topic-wrapper,#topic-progress-wrapper,div.nums,._flyout,.show-topic-admin,#topic-progress,.quote-controls,.topic-status-info,div.lazyYT,.post-info.edits,.post-action,.saving-text,.draft-text,.discourse-modal,div.read-state,div.read-state.read,.edit-topic,a.reply-to-tab,a.reply-new,div.time-gap,#bottom,#footer,.alert-info,.badge-category,.badge-category-bg,.badge-notification.clicks,.crawler-nav,.powered-by-link{display:none !important}a,a:visited{color:#0088cc !important}div.row{border-top:1px solid #aaa}.cooked pre code{max-height:none}#main-outlet{padding:0 !important}html,body{min-width:0;height:auto}.lightbox-wrapper img{max-width:500px !important;height:auto !important}.topic-body{width:auto;margin:0;padding:0;float:none}.topic-post article.boxed .select-posts{width:auto;left:auto;right:0}.gap{width:auto}#topic-title{margin:0;padding:0}#topic-title div div h1{margin:2.5em 0 0 0;padding:0;float:left;font-weight:normal;font-size:normal}a,a:visited{color:#ddd;font-weight:bold}.topic-category-outlet.show-topic-category-location,div.alert.alert-info.alert-emails-disabled,div.profiler-results.profiler-left.profiler-no-controls{display:none}}section.about{margin-bottom:40px}section.about h3{margin-bottom:15px}section.about table{width:auto}section.about table td{padding:10px}section.about table td.title{width:33%}.body-page{width:100%;max-width:700px}.about-page .body-page{max-width:unset}.about-page .body-page section:not(.admins):not(.moderators):not(.category-moderators){max-width:700px}.about-page .body-page .about.category-moderators .badge-wrapper.bullet .badge-category{color:#222}.mobile-view .body-page{font-size:1em;margin-top:20px}.body-page li{margin-bottom:8px}.body-page .nav-pills{margin-bottom:20px}.body-page ul:not(.nav-pills),.body-page ol:not(.nav-pills){margin-left:40px}body.crawler>header{width:100%;position:absolute;top:0;z-index:9999;background-color:#fff;padding:10px;box-shadow:none;border-bottom:1px solid #bdbdbd;box-sizing:border-box}body.crawler div#main-outlet div.post{word-break:break-word}body.crawler div#main-outlet div.post img{max-width:100%;height:auto}body.crawler .raw-topic-link{display:block;font-weight:bold;margin-bottom:0.25em}body.crawler .topic-list{margin-bottom:1em}body.crawler footer{margin-top:3em;border-top:1px solid #bdbdbd}.crawler-topic-title{margin-top:0.5em}.crawler-post{margin-top:1em;margin-bottom:2em;padding-top:1.5em;border-top:1px solid #e9e9e9}.crawler-post-meta{margin-bottom:1em}.crawler-post-meta .creator{word-break:break-all}.crawler-post-meta .creator a{font-weight:bold}@media screen and (max-width: 768px){.crawler-post-meta .creator{display:inline-block;margin-bottom:0.25em}}.crawler-post-infos{color:#646464;display:inline-block}@media screen and (min-width: 768px){.crawler-post-infos{float:right}}.crawler-post-infos [itemprop="position"]{float:left;margin-right:0.5em}#breadcrumbs{margin-bottom:0.5em;font-size:1.1487em}#breadcrumbs>div{margin-bottom:0.15em}#breadcrumbs .badge-category-bg{background-color:#a6a6a6}#breadcrumbs .category-title{color:#222}.crawler-tags-list span{display:block;margin-bottom:0.15em}.crawler-linkback-list{margin-top:1em}.crawler-linkback-list a{display:block;padding:0.5em 0;border-top:1px solid #e9e9e9}.crawler-nav{margin:1em 0}.crawler-nav ul{margin:0;list-style-type:none}.crawler-nav li{display:inline-block}.crawler-nav a{display:inline-block;padding:0.5em 1em 0.5em 0}div.ac-wrap.composer-user-selector-limited{width:400px;padding:0 10px;margin-bottom:5px}div.ac-wrap.composer-user-selector-limited .btn-primary{margin-left:0.5em;padding:3px 6px 2px;font-size:.8706em;min-height:unset}@keyframes ping{from{transform:scale(0.25);opacity:1}to{transform:scale(2);opacity:0}}@keyframes rotate-forever{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}@keyframes background-fade-highlight{0%{background-color:#d1f0ff}100%{background-color:transparent}}@keyframes placeHolderShimmer{0%{background-position:-1000px 0}100%{background-position:1100px 0}}.placeholder-animation{animation-duration:4s;animation-fill-mode:forwards;animation-iteration-count:infinite;animation-name:placeHolderShimmer;animation-timing-function:linear;background:#f8f8f8;background:linear-gradient(to right, #f8f8f8 10%, #e9e9e9 18%, #f8f8f8 33%)}html{height:100%}body{background-attachment:fixed;background-size:cover;min-height:100%}body:before,body:after{content:"";display:table}body:after{clear:both}big{font-size:2em}small{font-size:.7579em}blockquote{border-left:5px solid #e9e9e9;background-color:#f9f9f9;clear:both}h1,h2,h3,h4,h5,h6{margin-top:0;margin-bottom:0.5rem}button.ok{background:#090;color:#fff}button.ok .d-icon{color:currentColor}.discourse-no-touch button.ok:hover,.discourse-no-touch button.ok.btn-hover{background:#0c0;color:#fff}button.cancel{background:#e45735;color:#fff}button.cancel .d-icon{color:currentColor}.discourse-no-touch button.cancel:hover,.discourse-no-touch button.cancel.btn-hover{background:#ea7c62;color:#fff}a.cancel{margin-left:1.25em;line-height:normal;color:#646464;transition:color 250ms}a.cancel:hover{color:#e45735}ul.breadcrumb{margin:0 10px 0 10px}a.no-href{cursor:pointer}img.avatar{border-radius:50%}span.relative-date{white-space:nowrap}label{display:flex;margin-bottom:5px;align-items:flex-start}label>.d-icon{align-self:center;margin-right:4px}input[type="radio"],input[type="checkbox"]{margin-top:0.17em;margin-right:0.43em;margin-left:0.1em;line-height:1;cursor:pointer;flex-shrink:0}input[type="submit"],input[type="reset"],input[type="button"],input[type="radio"],input[type="checkbox"]{width:auto}input.invalid{background-color:#fbe6e1}.radio input[type="radio"],.checkbox input[type="checkbox"]{float:left;margin-left:-18px}input,select,textarea{color:#222;caret-color:currentColor}input[class*="span"],select[class*="span"],textarea[class*="span"]{float:none;margin-left:0}input[disabled],input[readonly],select[disabled],select[readonly],textarea[disabled],textarea[readonly]{cursor:not-allowed;background-color:#e9e9e9;border-color:#e9e9e9}input:focus:required:invalid,select:focus:required:invalid,textarea:focus:required:invalid{color:#e45735;border-color:#e45735}input:focus:required:invalid:focus,select:focus:required:invalid:focus,textarea:focus:required:invalid:focus{border-color:#e45735;box-shadow:0 0 6px 0 #e45735}input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]{-webkit-appearance:none;-moz-appearance:none;appearance:none;display:inline-block;padding:4px 10px;margin-bottom:9px;font-size:1em;line-height:1;color:#222;background-color:#fff;border:1px solid #919191;border-radius:0;box-sizing:border-box;min-height:30px}input[type="text"]:focus,input[type="password"]:focus,input[type="datetime"]:focus,input[type="datetime-local"]:focus,input[type="date"]:focus,input[type="month"]:focus,input[type="time"]:focus,input[type="week"]:focus,input[type="number"]:focus,input[type="email"]:focus,input[type="url"]:focus,input[type="search"]:focus,input[type="tel"]:focus,input[type="color"]:focus{border-color:#08c;box-shadow:0 0 6px 0 #08c;outline:0}.input-prepend,.input-append{margin-bottom:5px}.input-prepend input[class*="span"],.input-append input[class*="span"]{display:inline-block}.input-prepend input,.input-prepend select,.input-append input,.input-append select{position:relative;margin-bottom:0;vertical-align:middle;border-radius:0}.input-prepend input:focus,.input-prepend select:focus,.input-append input:focus,.input-append select:focus{z-index:2}.input-prepend .add-on,.input-append .add-on{display:inline-flex;align-items:center;width:auto;padding:0 0.5em;height:28px;background-color:#e9e9e9;border:1px solid #919191}.input-prepend .add-on:first-child,.input-prepend .btn:first-child,.input-append .add-on:first-child,.input-append .btn:first-child{margin-right:-1px}.input-prepend .add-on:last-child,.input-prepend .btn:last-child,.input-append .add-on:last-child,.input-append .btn:last-child{margin-left:-1px;border-radius:0 3px 3px 0}.input-prepend .add-on,.input-prepend .btn{margin-right:-1px}textarea{height:auto;background-color:#fff;border:1px solid #919191}textarea:focus{border-color:#08c;box-shadow:0 0 6px 0 #08c;outline:0}select{border:1px solid #e9e9e9}table th{font-weight:normal;color:#919191;text-align:left;padding:0.5em}.sortable{white-space:nowrap;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.discourse-no-touch .sortable:hover{background-color:#e9e9e9}.sortable .d-icon{margin-left:0.25em}.radio,.checkbox{min-height:18px;padding-left:18px}.controls>.radio:first-child,.controls>.checkbox:first-child{padding-top:5px}.radio.inline,.checkbox.inline{display:inline-block;padding-top:5px;margin-bottom:0;vertical-align:middle}.radio.inline .radio.inline,.checkbox.inline .checkbox.inline{margin-left:10px}.wrap{margin-right:auto;margin-left:auto;padding:0 8px}.wrap .contents{position:relative}.boxed.white{background-color:#fff}.full-width{margin-left:12px}.coldmap-high{color:#bdbdbd !important}.coldmap-med{color:#919191 !important}.coldmap-low{color:#919191 !important}.top-space{margin-top:10px}.message{border-radius:8px;background-color:#fff;padding:14px}.message h2{margin-bottom:20px}.clear-transitions{transition:none !important}.tip{display:inline-block}.tip.good{color:#090}.tip.bad{color:#e45735}.avatar-wrapper{background-color:#fff;display:inline-block;border-radius:50%}.profiler-results.profiler-left{top:60px !important}.flex-center-align{display:flex;align-items:center}.unread-private-messages{color:#fff;background:#090}.unread-private-messages.badge-notification[href]{color:#fff}.ring-backdrop-spotlight{position:absolute;width:80px;height:80px;top:-18px;right:-18px;background-image:radial-gradient(40px at 50% 50%, transparent 95%, #222 100%);opacity:0.85}.ring-backdrop{position:absolute;width:80px;height:80px;top:-18px !important;right:-18px !important;box-shadow:0 0 0 9999px rgba(34,34,34,0.85);z-index:1200}.ring-first-notification{position:absolute;color:#fff;text-align:left;right:70px;top:60px;width:230px;line-height:1.2}.ring{background:-webkit-radial-gradient(transparent, #090);background:-o-radial-gradient(transparent, #090);background:-moz-radial-gradient(transparent, #090);background:radial-gradient(transparent, #090);top:-11px !important;right:23.5px !important;border-radius:100%;width:20px;height:20px;-moz-animation-iteration-count:infinite;-webkit-animation-iteration-count:infinite;-webkit-transform-origin:center;-moz-animation-duration:3s;-webkit-animation-duration:3s;-moz-animation-name:ping;-webkit-animation-name:ping}.fade{opacity:0;transition:opacity 0.15s linear}.fade.in{opacity:1}.inline-spinner{display:inline-block;margin:0}.spinner{margin:20px auto 20px auto;position:relative;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;height:30px;width:30px;border:4px solid #b6b6b6;border-right-color:transparent;border-radius:50%}.spinner.small{width:10px;height:10px;margin:0;display:inline-block}.content-list h3{color:#919191;font-size:1.1487em;padding-left:5px;margin-bottom:10px}.content-list ul{list-style:none;margin:0}.content-list ul li{border-bottom:1px solid #e9e9e9}.content-list ul li:first-of-type{border-top:1px solid #e9e9e9}.content-list ul li a{display:block;padding:10px;color:#222}.content-list ul li a:hover{background-color:#e9e9e9;color:#222}.content-list ul li a.active{font-weight:bold;color:#222}.form-vertical input,.form-vertical textarea,.form-vertical select,.form-vertical .input-prepend,.form-vertical .input-append{display:inline-block;margin-bottom:0;flex:0 0 auto}.form-vertical .control-group:before,.form-vertical .control-group:after{content:"";display:table}.form-vertical .control-group:after{clear:both}.form-vertical .control-label{font-weight:bold;font-size:1.3195em;line-height:1.4}.form-vertical .controls{margin-left:0}#main img.avatar.header{width:45px;height:45px}#main img.avatar.medium{width:32px;height:32px}#main img.avatar.small{width:25px;height:25px}#main img.avatar.tiny{width:20px;height:20px}#main .user-list .user{padding-bottom:5px}#loading-message{position:absolute;font-size:2em;text-align:center;top:120px;left:500px;color:#222}#footer .container{height:50px}#footer .container .contents{padding-top:10px}#footer .container .contents a[href]{color:#fff}.inline{display:inline}.pref-auth-tokens .row{border-bottom:1px solid #ddd;margin:5px 0px;padding-bottom:5px}.pref-auth-tokens .row:last-child{border-bottom:0}.pref-auth-tokens .auth-token-icon{color:#919191;font-size:2.25em;float:left;margin-right:10px}.pref-auth-tokens .auth-token-first{font-size:1.1em}.pref-auth-tokens .auth-token-first .auth-token-device{font-weight:bold}.pref-auth-tokens .auth-token-second{color:#919191}.pref-auth-tokens .auth-token-second .active{color:#090;font-weight:bold}.pref-auth-tokens .auth-token-dropdown{float:right}.pref-auth-tokens .auth-token-dropdown .btn,.pref-auth-tokens .auth-token-dropdown .btn:hover{background:transparent}.pref-auth-tokens .auth-token-dropdown .btn .d-icon,.pref-auth-tokens .auth-token-dropdown .btn:hover .d-icon{color:#646464}.pref-auth-tokens .dropdown-menu{width:120px}.pref-auth-tokens .dropdown-menu .icon{margin-top:auto}.topic-statuses{display:inline;float:left;margin-right:0.15em}.topic-statuses .topic-status{margin:0;display:inline-flex;color:#919191}.topic-statuses .topic-status .d-icon{height:0.76em;width:0.75em}.topic-statuses .topic-status:not(:last-child){margin-right:0.15em}.topic-statuses .d-icon-envelope{color:#e45735}.broken-theme-alert{font-size:15px;font-weight:bold;padding:5px 0;background:#ec8972;text-align:center;z-index:9999;color:#fff}.error-page{text-align:center;padding-top:2em}.error-page .face{font-size:4.286em}.error-page .reason{font-size:1.7511em}.error-page .url{font-style:italic;font-size:.8706em}.error-page .desc{margin-top:16px}.error-page .desc .d-icon-check-circle{color:#090}.error-page .buttons{display:inline-flex;margin-top:15px}.error-page .buttons button{margin:0 20px}.category-list{table-layout:fixed}.category-list .category-text-title{display:flex;align-items:baseline}.category-list .category-name{display:inline-block;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:text-top;line-height:1.2}.category-boxes,.category-boxes-with-topics{display:flex;flex-wrap:wrap;justify-content:flex-start;margin-top:1em;margin-bottom:1em;width:100%}.category-boxes .category-box,.category-boxes-with-topics .category-box{display:flex;flex-direction:row;align-content:flex-start;cursor:pointer;box-sizing:border-box;border-width:0;border-left-width:6px;border-style:solid;border-color:#e9e9e9}.mobile-view .category-boxes .category-box,.mobile-view .category-boxes-with-topics .category-box{width:100%}.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{display:block;width:auto;height:40px;margin:0 auto 1em auto}@supports (--custom: property){.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{--height: 40px;width:calc(var(--height) * var(--aspect-ratio));max-width:100%}}.category-boxes .category-box-inner,.category-boxes-with-topics .category-box-inner{box-sizing:border-box;width:100%;padding:0;display:flex;flex-direction:column;border-width:2px;border-left-width:0;border-style:solid;border-color:#e9e9e9}.category-boxes.no-logos .logo,.category-boxes-with-topics.no-logos .logo{display:none}.category-boxes .category-box{width:23%;margin:0 1% 1.5em 1%}.category-boxes .category-box>a{width:100%;padding:0}.category-boxes .category-box .category-box-inner{padding:1em}.category-boxes .category-box .category-box-inner .category-logo{float:none;margin:0}.category-boxes.no-logos .category-box .category-box-inner>a{padding:3em 1em}.category-boxes .description{padding-bottom:1em;text-align:center;font-size:1em;color:#919191}.category-boxes .description .overflow{max-height:6em}.category-boxes h3{font-size:1.3195em;margin-bottom:0.5em;margin-top:0.25em;line-height:1.2;text-align:center;color:#222;overflow:hidden}.category-boxes .subcategories{display:flex;flex-flow:wrap}.category-boxes .subcategories .subcategory{display:flex;align-items:center;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;margin-right:1em;margin-bottom:0.6em}.category-boxes .subcategories .subcategory .subcategory-image-placeholder{display:inline-block;margin-right:0.6em}.category-boxes .subcategories .subcategory .subcategory-link{min-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.category-boxes .subcategories .subcategory .logo img{display:inline-block;height:20px;width:20px;margin:0}.category-boxes-with-topics .category-box{width:31%;margin:0 1% 1.5em 1%;padding:0}.category-boxes-with-topics h3{font-size:1.3195em;text-align:center;overflow:hidden}.category-boxes-with-topics .category-box-heading{padding:1em 1em 0.5em 1em}.category-boxes-with-topics .category-box-heading a[href]{width:100%;color:#222}.category-boxes-with-topics .featured-topics{padding:0.5em 1em 1em 1em}.category-boxes-with-topics .featured-topics ul{color:#919191;list-style:none;padding:0;margin:0}.category-boxes-with-topics .featured-topics li{padding:4px 0;display:flex;align-items:baseline}.category-boxes-with-topics .featured-topics li .overflow{max-height:3em;overflow:hidden}.category-boxes-with-topics .featured-topics li .d-icon{margin-right:0.15em;width:0.76em;height:0.76em}.categories-list .category h3 .d-icon{color:#919191;height:0.76em;width:0.76em;vertical-align:baseline;margin-right:0.15em}.category-boxes-with-topics .category-box h3 .d-icon,.category-boxes .category-box h3 .d-icon{margin-right:0}#share-link{position:absolute;left:20px;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-color:#fff;padding:8px 8px 4px 8px;width:300px;display:none}#share-link.visible{display:block}#share-link input[type="text"]{width:100%}#share-link .share-for-touch .overflow-ellipsis{clear:both}#share-link .share-for-touch{margin:14px 0}#share-link .title{margin-bottom:4px;align-items:center;display:flex;justify-content:space-between}#share-link .title h3{font-size:1em;margin:0}#share-link .title .date{font-weight:normal;color:#919191}#share-link .copy-text{display:inline-block;position:absolute;margin:5px 5px 5px 15px;color:#090;opacity:1;transition:opacity 0.25s;font-size:1em}#share-link .copy-text:not(.success){opacity:0}#share-link .social-link{margin-right:8px;font-size:1.7511em}#share-link .social-link .d-icon{color:#08c}#share-link .social-link .d-icon-fab-facebook{color:#4267b2}#share-link .social-link .d-icon-fab-twitter-square{color:#1da1f2}#share-link input[type="text"]{font-size:1.1487em;margin-bottom:0}#share-link .actions{display:flex;align-items:flex-end;margin-top:8px}#share-link .actions .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;max-width:45%}#share-link .actions .sources .social-link{margin-right:8px}#share-link .actions .alt-actions{display:flex;align-items:center;flex:1;justify-content:flex-end;height:36px}#share-link .actions .alt-actions .close-share{font-size:1.5157em;color:#919191}#share-link .actions .alt-actions .new-topic{margin-right:16px}.discourse-no-touch #share-link .share-for-touch{display:none}.discourse-touch #share-link input[type="text"]{display:none}.ember-select{background-color:#fff;color:#222}.uploaded-image-preview{background:#222 center;background-size:cover;position:relative}.uploaded-image-preview .placeholder-overlay{background-size:contain;background-repeat:no-repeat;background-position:center;position:absolute;top:0;left:0;width:100%;height:100%;opacity:0.3}.uploaded-image-preview .image-upload-controls{position:relative;display:flex;padding:10px}.uploaded-image-preview .image-upload-controls .btn{margin-right:5px;padding:7px 10px}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn{background:none;margin-right:0;margin-left:auto}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn .d-icon{color:#e9e9e9}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover{background:none}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover .d-icon{color:#222}.image-uploader.no-repeat .uploaded-image-preview{background-repeat:no-repeat}.image-uploader.contain-image .uploaded-image-preview{background-size:contain}.hidden-upload-field{visibility:hidden;position:absolute}.search-container{display:flex;justify-content:space-between}.search-container .warning{background-color:#ec8972;padding:5px 8px;color:#fff}.search-container .search-bar{display:flex;justify-content:space-between;align-items:center;justify-content:space-between;margin-bottom:1em}.search-container .search-bar .search-query{flex:1 0 0px;margin:0 0.5em 0 0}.search-container .search-bar .search-cta{padding-bottom:6.5px;padding-top:6.5px}.search-container .search-advanced{width:70%}@media screen and (max-width: 850px){.search-container .search-advanced{width:65%}}.search-container .search-advanced .search-actions,.search-container .search-advanced .search-notice,.search-container .search-advanced .search-results,.search-container .search-advanced .search-title,.search-container .search-advanced .search-bar{margin-bottom:1em}.search-container .search-advanced .search-info{display:flex;flex-wrap:wrap;border-bottom:3px solid #e9e9e9;padding-bottom:0.5em;margin-bottom:1em;flex-direction:row;align-items:center}.search-container .search-advanced .search-info .result-count{display:flex}.search-container .search-advanced .search-info .result-count .term{font-weight:bold}.search-container .search-advanced .search-info .result-count span+span{margin-left:0.25em}.search-container .search-advanced .search-info .sort-by{display:flex;margin-left:auto;align-items:center}.search-container .search-advanced .search-info .sort-by .desc{margin-right:0.5em}.search-container .search-advanced .search-info .sort-by .combo-box{min-width:150px}.search-container .search-advanced .search-title{display:flex;justify-content:flex-start;align-items:center}.search-container .search-advanced .search-title .bulk-select{margin-left:0.5em}.search-container .search-advanced .search-title .fps-select a{margin-left:0.5em;font-size:.8706em}.search-container .search-advanced .search-title .fps-select a:hover{text-decoration:underline}.search-container .search-advanced .search-notice .fps-invalid{padding:0.5em;background-color:#fbe6e1;border:1px solid #ec8972;color:#e45735}.search-container .search-advanced-sidebar{width:30%;margin-left:1em;display:flex;flex-direction:column}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar{width:35%}}.search-container .search-advanced-sidebar #search-min-post-count,.search-container .search-advanced-sidebar .date-picker,.search-container .search-advanced-sidebar .combo-box,.search-container .search-advanced-sidebar .ac-wrap,.search-container .search-advanced-sidebar .control-group,.search-container .search-advanced-sidebar .date-picker-wrapper,.search-container .search-advanced-sidebar .search-advanced-category-chooser{box-sizing:border-box;width:100%;min-width:100%}.search-container .search-advanced-sidebar #search-min-post-count input,.search-container .search-advanced-sidebar #search-min-post-count .item,.search-container .search-advanced-sidebar .date-picker input,.search-container .search-advanced-sidebar .date-picker .item,.search-container .search-advanced-sidebar .combo-box input,.search-container .search-advanced-sidebar .combo-box .item,.search-container .search-advanced-sidebar .ac-wrap input,.search-container .search-advanced-sidebar .ac-wrap .item,.search-container .search-advanced-sidebar .control-group input,.search-container .search-advanced-sidebar .control-group .item,.search-container .search-advanced-sidebar .date-picker-wrapper input,.search-container .search-advanced-sidebar .date-picker-wrapper .item,.search-container .search-advanced-sidebar .search-advanced-category-chooser input,.search-container .search-advanced-sidebar .search-advanced-category-chooser .item{padding-left:4px}.search-container .search-advanced-sidebar .date-picker-wrapper{margin-top:0.5em}.search-container .search-advanced-sidebar .date-picker{box-sizing:border-box;text-align:left;padding:4px;margin-bottom:0}.search-container .search-advanced-sidebar .search-advanced-title{background:#e9e9e9;padding:0.358em 1em;font-weight:700;text-align:left;font-weight:bold}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar .search-advanced-title{padding:0.358em 0.5em}}.search-container .search-advanced-sidebar .search-advanced-title.btn{background:#e9e9e9}.search-container .search-advanced-sidebar .search-advanced-title .d-icon{margin:0}.search-container .search-advanced-sidebar .search-advanced-filters{background:#f8f8f8;padding:1em}.search-container .search-advanced-sidebar .search-advanced-filters .control-group{margin-bottom:15px}.search-container .search-advanced-sidebar .search-advanced-filters section.field{margin-top:5px}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar .search-advanced-filters{padding:0.75em 0.5em}.search-container .search-advanced-sidebar .search-advanced-filters .ac-wrap,.search-container .search-advanced-sidebar .search-advanced-filters .choices,.search-container .search-advanced-sidebar .search-advanced-filters .select-kit.multi-select{width:100% !important}.search-container .search-advanced-sidebar .search-advanced-filters .select-kit{min-width:unset}}.fps-invalid{margin-bottom:1em}.fps-result{display:flex;margin-bottom:28px;max-width:780px}.fps-result .author{display:inline-block;vertical-align:top}.fps-result .like-count{color:#919191}.fps-result .like-count .fa{color:#fa6c8d;font-size:.8706em}.fps-result .badge-wrapper span.badge-category{max-width:inherit}.fps-result .search-category{padding-top:3px}.fps-result .topic{padding-bottom:2px;max-width:700px}.fps-result .avatar{margin-right:14px}.fps-result a.search-link:visited .topic-title{color:#0aadff}.fps-result .search-link .topic-title{font-size:1.3195em;line-height:1.2}.fps-result .search-link .topic-statuses{display:inline-block;font-size:1.3em;line-height:1.2;color:#919191}.fps-result .search-link .topic-statuses span{line-height:1}.fps-result .blurb{font-size:1em;line-height:1.4;word-wrap:break-word;max-width:640px;color:#919191}.fps-result .blurb .date{color:#919191}.fps-result .blurb .search-highlight{color:#222}.fps-result .discourse-tag{font-size:.8706em}.fps-topic{display:inline-block}.no-results-suggestion{margin-top:30px}.search-footer{margin-bottom:30px}.panel-body-contents .search-context label{float:left}.google-search-form{margin-top:2em}a.loading-onebox:before{content:"";display:inline-flex;float:left;margin:3px 5px 0 0;position:relative;height:10px;width:10px;border:2px solid #bdbdbd;border-right-color:transparent;border-radius:50%;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear}.onebox-result{border-left:5px solid #e9e9e9;background-color:#f9f9f9;margin-top:15px;padding:12px;font-size:1em}.onebox-result>.source{margin-bottom:12px;margin-right:10px;display:block;color:#222;position:relative;height:20px}.onebox-result>.source .info{position:absolute;font-size:1em}.onebox-result>.source .info a{color:black;text-decoration:none;padding-right:10px}.onebox-result>.source .info img.favicon{margin-right:3px}.onebox-result .onebox-result-body{padding-top:5px}.onebox-result .onebox-result-body img{max-height:80%;max-width:25%;height:auto;float:left;margin-right:10px}.onebox-result .onebox-result-body h3,.onebox-result .onebox-result-body h4{margin:0}.onebox-result .onebox-result-body code{max-height:400px}.onebox-result .onebox-result-body .metrics{clear:both;padding-bottom:25px}.onebox-result .onebox-result-body .metrics .metric{display:inline-block;padding-left:33px;float:left}.onebox-result .onebox-result-body img.verdict{float:none;margin-right:7px}.onebox-result .onebox-result-body img.popcorn{float:none;margin-left:20px;margin-right:5px}aside.onebox{border:5px solid #e9e9e9;margin-bottom:1em;padding:12px 25px 12px 12px;font-size:1em}aside.onebox header{margin-bottom:8px}aside.onebox header a[href]{color:#919191;text-decoration:none}aside.onebox.stackexchange .source{background:url('/assets/favicons/stackexchange-9e9f17242c6d44137d40a3e55c71129060b103bfa31b7fead4ca3f18358da29f.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.twitterstatus .source{background:url('/assets/favicons/twitter-4ff0f6e16c5f53ddd3b51eeeff8610ea0432d8ebafce89785d75c231386f80d7.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.wikipedia .source{background:url('/assets/favicons/wikipedia-8feddaf7544a35c824f2e4274227fe8e7e7af71ddfe26523fe5fe20497cf5799.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubblob .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubcommit .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubpullrequest .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubissue .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubgist .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.amazon .source{background:url('/assets/favicons/amazon-882adb9da23d489f1d53ba95c6ea4052536732d9caa57ec82a8f8d0f508e48ea.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.instagram .source{background:url('/assets/favicons/instagram-b10f04096a20e469f83a32ec24519d1f20ab473209a77a3c7dbfe767613c9e5f.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.googledocs .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.googledrive .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox .onebox-body{clear:both}aside.onebox .onebox-body h3,aside.onebox .onebox-body h4{font-size:1.1487em;margin:0 0 10px 0}aside.onebox .onebox-body a[href]{color:#08c;text-decoration:none}aside.onebox .onebox-body a[href]:visited{color:#08c}aside.onebox .onebox-body img{max-height:170px;max-width:20%;height:auto;width:auto;float:left;margin-right:10px}@media all and (max-width: 600px){aside.onebox .onebox-body img{max-width:35%}}aside.onebox .onebox-body img.onebox-full-image{max-height:none;max-width:none;width:initial;height:initial}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{width:100%}aside.onebox .onebox-body [style*="--aspect-ratio"]>img{height:auto}@supports (--custom: property){aside.onebox .onebox-body .aspect-image{max-height:170px;--magic-ratio: calc(var(--aspect-ratio) + 0.15);width:calc(128px * var(--magic-ratio));max-width:20%;float:left;margin-right:10px;height:auto}aside.onebox .onebox-body .aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;margin-right:none}aside.onebox .onebox-body .aspect-image-full-size{max-height:500px;width:calc(500px * var(--aspect-ratio));max-width:100%}aside.onebox .onebox-body .aspect-image-full-size img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;padding:5px 5px 5px 5px}aside.onebox .onebox-body [style*="--aspect-ratio"]{position:relative}aside.onebox .onebox-body [style*="--aspect-ratio"]::before{content:"";display:block;padding-bottom:calc(100% / (var(--aspect-ratio)))}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{position:absolute;top:0;left:0;height:100%}}aside.onebox .onebox-body p:last-child{margin-bottom:4px}aside.onebox .onebox-body .tweet-images{display:block;clear:both}aside.onebox .onebox-body .tweet-images img.tweet-image{margin-top:1em;max-width:100%;max-height:100%;float:none}@media screen and (max-width: 550px){aside.onebox .onebox-body .tweet-images iframe{max-height:70vh}}aside.onebox .onebox-body.user-onebox .fa{margin-right:5px}aside.onebox .onebox-body.user-onebox .full-name,aside.onebox .onebox-body.user-onebox .location{margin-right:10px}aside.onebox .onebox-body .instagram-images,aside.onebox .onebox-body .scale-images{clear:both;position:relative}aside.onebox .onebox-body .instagram-images .instagram-image,aside.onebox .onebox-body .instagram-images .scale-image,aside.onebox .onebox-body .scale-images .instagram-image,aside.onebox .onebox-body .scale-images .scale-image{padding:5px 5px 5px 5px;max-width:100%;max-height:100%;float:none}aside.onebox .onebox-body .instagram-video-icon{bottom:10px;right:10px;position:absolute}aside.onebox .onebox-body .instagram-video-icon:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32px' height='32px' viewBox='0 0 512 512' fill='white'%3E%3Cpath d='M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z'%3E%3C/path%3E%3C/svg%3E")}.googledocs-onebox-logo{width:60px;height:50px;float:left}.googledocs-onebox-logo.g-docs-logo{background:url('/assets/favicons/google_branding/logo_docs_48px-ba6cf22f5336743da95749fb1172023f37e55e8783a2766de8d9097b4cc6b5b9.png') no-repeat}.googledocs-onebox-logo.g-forms-logo{background:url('/assets/favicons/google_branding/logo_forms_48px-d64ec45f889caa62cd4c52bcff1475ef487b9662b5ed6104aa9fa6f8557b09fc.png') no-repeat}.googledocs-onebox-logo.g-sheets-logo{background:url('/assets/favicons/google_branding/logo_sheets_48px-ca5da2b813ac5382a7b3a42d1327ddbced98467021466efe5494c25ca50f5a38.png') no-repeat}.googledocs-onebox-logo.g-slides-logo{background:url('/assets/favicons/google_branding/logo_slides_48px-a752c1f8e690496c7b22265f77ebfbc2d584aa42b2e4392f72b1c5a144bbb95f.png') no-repeat}.googledocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_48px-7e0f251c12ecc35f5260919fe00b3789c58257b76c4288d458a6718f12367145.png') no-repeat}.googledocs-onebox-logo.g-drive-logo{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat}.gdocs-onebox-splash{background-color:#d6d6d6;color:#222;border:1px inset #222}.gdocs-onebox-splash .gdocs-onebox-logo{display:inline-block;width:128px;height:128px}.gdocs-onebox-splash .gdocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_128px-231ebf870f91f296642eb4e881c76013c818b2f677aec3b1faaac33f72811f56.png') no-repeat}aside.onebox .onebox-body .onebox-avatar{max-height:none;max-width:none;height:60px;width:60px}blockquote aside.onebox{border-left:5px solid #e9e9e9;background-color:#f9f9f9}pre.onebox code ol.lines li:before{position:absolute;display:inline-block;width:35px;left:-40px;color:#afafaf;text-align:right;padding-right:5px;font-size:.8706em;line-height:1.4;content:counter(li-counter);counter-increment:li-counter}pre.onebox code ol{margin-left:0;line-height:1.4}pre.onebox code{background-color:#fff}pre.onebox code li{padding-left:5px}pre.onebox code ol.lines{position:relative;margin:0 0 0 40px}pre.onebox code ol.lines li{list-style-type:none;padding-left:5px;margin-left:0;border-left:1px solid #cfcfcf;min-height:1.5em;white-space:pre}pre.onebox code li.selected{background-color:#f8eec7}pre.onebox code{white-space:normal}.onebox.githubpullrequest .onebox-body h4,.onebox.githubcommit .onebox-body h4,.onebox.githubissue .onebox-body h4{margin-bottom:5px}.onebox.githubpullrequest .onebox-body>.github-icon,.onebox.githubcommit .onebox-body>.github-icon,.onebox.githubissue .onebox-body>.github-icon{float:left;margin-right:5px}.onebox.githubpullrequest .github-row,.onebox.githubcommit .github-row,.onebox.githubissue .github-row{display:flex}.onebox.githubpullrequest .github-icon-container,.onebox.githubcommit .github-icon-container,.onebox.githubissue .github-icon-container{display:flex;align-items:flex-start;margin-right:5px}.onebox.githubpullrequest .github-icon,.onebox.githubcommit .github-icon,.onebox.githubissue .github-icon{fill:#646464;width:40px;height:40px}.onebox.githubpullrequest .branches,.onebox.githubcommit .branches,.onebox.githubissue .branches{font-size:.8706em}.onebox.githubpullrequest .branches code,.onebox.githubcommit .branches code,.onebox.githubissue .branches code{word-break:break-all}.onebox.githubpullrequest .github-info-container,.onebox.githubcommit .github-info-container,.onebox.githubissue .github-info-container{width:100%}.onebox.githubpullrequest .github-info,.onebox.githubcommit .github-info,.onebox.githubissue .github-info{display:flex;align-items:center;flex-wrap:wrap;width:100%}.onebox.githubpullrequest .github-info>div,.onebox.githubcommit .github-info>div,.onebox.githubissue .github-info>div{margin:2.5px 0}.onebox.githubpullrequest .github-info>div:not(:last-child),.onebox.githubcommit .github-info>div:not(:last-child),.onebox.githubissue .github-info>div:not(:last-child){margin-right:15px}.onebox.githubpullrequest .github-info .lines,.onebox.githubcommit .github-info .lines,.onebox.githubissue .github-info .lines{font-weight:bold}.onebox.githubpullrequest .github-info .lines .added,.onebox.githubcommit .github-info .lines .added,.onebox.githubissue .github-info .lines .added{color:#090}.onebox.githubpullrequest .github-info .lines .removed,.onebox.githubcommit .github-info .lines .removed,.onebox.githubissue .github-info .lines .removed{color:#e45735}.onebox.githubpullrequest .onebox-avatar-inline,.onebox.githubcommit .onebox-avatar-inline,.onebox.githubissue .onebox-avatar-inline{height:20px;width:20px;border-radius:2px;float:none;margin:0;padding:0;vertical-align:middle;max-width:none}.onebox.githubpullrequest .github-content,.onebox.githubcommit .github-content,.onebox.githubissue .github-content{margin:5px 0 0 0}.onebox.githubpullrequest .labels span,.onebox.githubcommit .labels span,.onebox.githubissue .labels span{background-color:#919191 !important;color:#fff !important;padding:2px 4px !important}.onebox-body .github-commit-status{background:#f5f5f5;border-radius:5px;margin:0 0 5px 100px;padding:10px}.onebox-body .status_tag{display:inline-block;color:#fff;padding:1px 4px;border-radius:3px;font-weight:bold;margin-bottom:5px;text-transform:capitalize}.onebox-body .build_status{padding:2px;font-size:.8706em}.onebox-body .status_tag.open{background-color:#6cc644}.onebox-body .status_tag.merged{background-color:#6e5494}.onebox-body .status_tag.closed{background-color:#bd2c00}.onebox-body .github-content-right{margin-left:100px}aside.onebox.twitterstatus .onebox-body h4{margin-bottom:0}.onebox.twitterstatus .thumbnail{width:48px;height:48px}.onebox.twitterstatus p,.onebox.twitterstatus .tweet{white-space:pre-line;padding-top:3px;margin-left:70px}.onebox.twitterstatus p .quoted,.onebox.twitterstatus .tweet .quoted{border:1px solid #e9e9e9;padding:0px 14px 0px 12px;white-space:normal;margin-top:15px}.onebox.twitterstatus p .quoted .quoted-link,.onebox.twitterstatus .tweet .quoted .quoted-link{color:inherit}.onebox.twitterstatus p .quoted .quoted-title,.onebox.twitterstatus .tweet .quoted .quoted-title{font-weight:bold;margin:5px 2px}.onebox.twitterstatus p .quoted .quoted-title span,.onebox.twitterstatus .tweet .quoted .quoted-title span{font-weight:lighter;color:#919191}.onebox.twitterstatus p .quoted div,.onebox.twitterstatus .tweet .quoted div{margin-bottom:5px}.onebox.twitterstatus .date{clear:left}.onebox.imgur-album .outer-box,.onebox.google-photos-album .outer-box,.onebox.flickr-album .outer-box{position:absolute;z-index:1;font-size:.8706em;color:#fff;background-color:rgba(0,0,0,0.6);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:690px;padding:5px 0}.onebox.imgur-album .outer-box .inner-box,.onebox.google-photos-album .outer-box .inner-box,.onebox.flickr-album .outer-box .inner-box{padding-left:10px;padding-right:10px;overflow:hidden;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.onebox.imgur-album .outer-box .inner-box .album-title,.onebox.google-photos-album .outer-box .inner-box .album-title,.onebox.flickr-album .outer-box .inner-box .album-title{width:100%;font-size:1.1487em;line-height:1.4;color:#ccc;text-decoration:none}aside.onebox.stackexchange .onebox-body img:not(.onebox-avatar){max-height:60%;max-width:10%}aside.onebox.stackexchange .onebox-body .tags{color:gray}.onebox-metadata{color:#919191}.onebox.xkcd .onebox-body img{max-width:100% !important;float:none !important}.onebox.pdf .onebox-body .pdf-onebox-logo{width:60px;height:50px;float:left;background:url('/assets/favicons/pdf_64px-4e8a1bffc220412e7b3b299e56ef313353621a4c6bf05066d32d3b792e7820a7.png') no-repeat;background-size:48px 48px;display:inline-block}.onebox.pdf .onebox-body .filesize{color:gray}.onebox.whitelistedgeneric .label1,.onebox.whitelistedgeneric .label2{color:#919191}.onebox.whitelistedgeneric .label1{float:left}.onebox.whitelistedgeneric .label2{float:right}.onebox.whitelistedgeneric .site-icon,.onebox.gfycat .site-icon{width:16px;height:16px;margin-right:3px}.onebox.gfycat p span.label1 a{white-space:nowrap}.onebox.instagram div.instagram-description{color:#919191;padding-top:10px}.onebox.githubcommit pre.message{padding:0}.onebox.twitterstatus .like,.onebox.twitterstatus .retweet{color:#919191;padding-left:10px}.onebox.twitterstatus .like svg,.onebox.twitterstatus .retweet svg{fill:currentColor;vertical-align:middle}.mobile-view article.onebox-body{border-top:none}.onebox.video-onebox{position:relative;padding:0 0 56.25% 0;width:100%}.onebox.video-onebox video{position:absolute;width:100%;height:100%}.onebox-placeholder-container{position:relative;width:100%;padding:0 0 48.25% 0;background-color:#e9e9e9}.onebox-placeholder-container .placeholder-icon{position:absolute;width:100%;height:100%;display:flex;justify-content:center;align-items:center}.onebox-placeholder-container .placeholder-icon.video:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512'%3E%3Cpath fill='grey' d='M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z'%3E%3C/path%3E%3C/svg%3E")}.onebox-placeholder-container .placeholder-icon.audio:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath fill='currentColor' d='M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z'%3E%3C/path%3E%3C/svg%3E")}.onebox-placeholder-container .placeholder-icon.generic:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath fill='currentColor' d='M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z'%3E%3C/path%3E%3C/svg%3E")}.d-header{display:flex;align-items:center;width:100%;position:absolute;top:0;z-index:1000;background-color:#fff;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25)}.d-header>.wrap{width:calc(100% - 16px);height:100%}.d-header>.wrap .contents{display:flex;align-items:center;height:100%}.d-header>.wrap .contents .header-row{width:100%}.d-header>.wrap .contents .header-row .logo-wrapper{float:left}.d-header>.wrap .contents .header-row .auth-buttons{float:right;margin-top:0.4em}.d-header>.wrap .contents .header-row .auth-buttons .login-button,.d-header>.wrap .contents .header-row .auth-buttons .signup-button{padding:8px 14px}.docked .d-header{position:fixed;backface-visibility:hidden}.d-header .title{display:flex;align-items:center;height:100%}.d-header .title a,.d-header .title a:visited{color:#333}.d-header #site-logo{width:auto}.d-header .d-icon-home{font-size:2.296em}.d-header .panel{position:relative;display:flex;flex:0 0 auto;margin-left:auto;align-items:center}.d-header .hamburger-panel,.d-header .user-menu,.d-header .search-menu{width:0}.d-header .header-buttons{display:flex;align-items:center;margin-top:0.2em}.d-header .login-button,.d-header button.sign-up-button{padding:6px 10px}.d-header .login-button .fa,.d-header button.sign-up-button .fa{margin-right:3px}.d-header button.login-button{margin-left:7px}.header-dropdown-toggle .flagged-posts,.header-dropdown-toggle .reviewables,.drop-down .flagged-posts,.drop-down .reviewables,.panel-body .flagged-posts,.panel-body .reviewables{background:#e45735;min-width:6px}.d-header-icons{text-align:center;margin:0 0 0 5px;list-style:none}.d-header-icons>li{float:left}.d-header-icons .icon{position:relative;display:flex;align-items:center;justify-content:center;width:2.2857em;height:2.2857em;padding:0.2143em;text-decoration:none;cursor:pointer;border-top:1px solid transparent;border-left:1px solid transparent;border-right:1px solid transparent;transition:all linear 0.15s;outline:none}.d-header-icons .icon img.avatar{width:2.1333em;height:2.1333em}.d-header-icons .icon:hover,.d-header-icons .icon:focus{background-color:#e9e9e9;border-top:1px solid transparent;border-left:1px solid transparent;border-right:1px solid transparent}.d-header-icons .icon:hover .d-icon,.d-header-icons .icon:focus .d-icon{color:#919191}.d-header-icons .icon:active{color:#222;background-color:#e9e9e9}.drop-down-mode .d-header-icons .active .icon{position:relative;background-color:#fff;cursor:default;border-top:1px solid #e9e9e9;border-left:1px solid #e9e9e9;border-right:1px solid #e9e9e9}.drop-down-mode .d-header-icons .active .icon .d-icon{color:#919191}.drop-down-mode .d-header-icons .active .icon:after{display:block;position:absolute;top:100%;left:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #fff}.drop-down-mode .d-header-icons .active .icon:hover{border-bottom:none}.d-header-icons .d-icon{width:100%;font-size:1.7511em;line-height:1.4;display:inline-block;color:#c2c2c2}.d-header-icons .notifications{position:relative}.d-header-icons .ring{position:absolute;top:-9px;z-index:1;margin-left:0}.d-header-icons .header-dropdown-toggle{position:relative}.d-header-icons .badge-notification{position:absolute;z-index:1;left:0;top:-4px;min-width:0.6em}.d-header-icons .unread-notifications{left:auto;right:-3px;background-color:#6cf}.d-header-icons .unread-private-messages,.d-header-icons .ring{left:auto;right:25px}.highlight-strong{background-color:#ffffa6}.search-highlight{font-weight:bold}#search-help table td{padding-right:10px}#search-term::-ms-clear{display:none}.extra-info-wrapper{display:flex;align-items:center;flex:1 1 0%;height:100%;line-height:1.2;padding:0 1.5em 0 0.5em;overflow:hidden}.extra-info-wrapper .extra-info{overflow:hidden;width:100%;-webkit-animation:fadein 0.5s;animation:fadein 0.5s}.extra-info-wrapper .topic-link{color:#333;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .topic-statuses .d-icon{color:#999}.extra-info-wrapper .topic-statuses .d-icon-envelope{color:#e45735}.extra-info-wrapper .header-title{margin:0 0 0.15em 0;font-size:1.5157em;width:100%}.archetype-private_message .extra-info-wrapper .header-title{margin:0}.extra-info-wrapper .categories-wrapper{display:inline-flex;align-items:center;max-width:80%;flex:0 1 auto;min-width:1px}.extra-info-wrapper .categories-wrapper .badge-wrapper{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper{margin-right:8px}.extra-info-wrapper .badge-wrapper.bullet .badge-category-parent-bg,.extra-info-wrapper .badge-wrapper.bullet .badge-category-bg{min-width:5px}.extra-info-wrapper .badge-wrapper.bullet span.badge-category,.extra-info-wrapper .badge-wrapper.bar span.badge-category,.extra-info-wrapper .badge-wrapper.none span.badge-category{color:#707070}.extra-info-wrapper .topic-header-extra{display:inline-flex;align-items:center;max-width:100%;flex:1 0 0%}.extra-info-wrapper .topic-header-extra .discourse-tags{color:#707070;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .topic-header-extra .discourse-tags .discourse-tag{display:inline}.extra-info-wrapper .topic-header-extra{min-width:1px}.topic-header-participants{display:flex;align-items:center;overflow:hidden;font-size:.8706em}.topic-header-participants:not(:first-child){margin-left:5px}.topic-header-participants .trigger-user-card:not(:last-of-type),.topic-header-participants .trigger-group-card:not(:last-of-type){margin-right:5px}.topic-header-participants .trigger-user-card .icon{height:1.641em;display:inline-block}.mobile-view .topic-header-participants .trigger-user-card .icon{height:1.532em}.topic-header-participants .trigger-user-card .icon img{height:100%;width:auto}.topic-header-participants .trigger-group-card{padding:0 5px;border:1px solid #e9e9e9;border-radius:0.25em;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.topic-header-participants .trigger-group-card .icon{display:flex;align-items:center;height:1.641em;color:#646464}.mobile-view .topic-header-participants .trigger-group-card .icon{height:1.532em}.topic-header-participants .trigger-group-card .icon .d-icon{margin-right:5px}.topic-header-participants .trigger-group-card span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.topic-header-participants .more-participants{color:#707070;margin-left:5px}span.bbcode-b{font-weight:bold}span.bbcode-i{font-style:italic}span.bbcode-u{text-decoration:underline}span.bbcode-s{text-decoration:line-through}#simple-container{border-radius:10px;background-color:#fff;padding:20px;width:550px;margin:0 auto}#simple-container .account-created .ac-message{font-size:1.1487em;line-height:1.4}#simple-container .account-created .activation-controls button{margin-right:0.5em}.show-topic-admin{position:fixed;top:120px;right:10px;z-index:300;height:35px}.popup-menu{background-color:#fff;width:215px;padding:10px;border:1px solid #e9e9e9;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15)}.popup-menu ul{list-style:none;margin:10px 0 0 0}.popup-menu .btn{text-align:left}.popup-menu button{width:100%;margin-bottom:5px}.modal-body.feature-topic{padding:5px;max-height:500px}.modal-body.feature-topic input.date-picker{margin:0}.modal-body.feature-topic hr{margin:10px 0}.modal-body.feature-topic .feature-section{display:block}.modal-body.feature-topic .feature-section .badge-wrapper{margin-right:0}.modal-body.feature-topic .feature-section .desc{display:inline-block;vertical-align:middle;margin-left:10px}.modal-body.feature-topic .feature-section .desc p:first-of-type{margin:0}.modal-body.feature-topic .feature-section .desc p{margin:10px 0 0}.modal-body.feature-topic .feature-section .with-validation{position:relative}.desktop-view .feature-topic-modal .feature-topic{overflow:visible}.desktop-view .feature-topic-modal .modal-inner-container{min-width:700px}.desktop-view .feature-topic-modal .pin-until{position:relative;display:inline-block}.mobile-view .feature-topic .feature-section .desc{display:block;clear:both;max-width:90%;margin:0 10px}.selected-posts{border:1px solid #6cf;background-color:#d1f0ff}.selected-posts .btn{border:none;color:#fff;font-weight:normal;margin-bottom:10px}.selected-posts .btn:not(.btn-danger){background:#08c;border-color:#08c}.selected-posts .btn:not(.btn-danger)[href]{color:#fff}.selected-posts .btn:not(.btn-danger):hover{color:#fff;background:#0aadff}.selected-posts .btn:not(.btn-danger):active{background-color:#004b70;background-image:linear-gradient(to bottom, #004b70, #005f8f);color:#fff}.selected-posts .btn[disabled]{text-shadow:0 1px 0 rgba(34,34,34,0.2);background-color:#08c;background-image:linear-gradient(to bottom, #08c, #046);box-shadow:inset 0 1px 0 rgba(0,0,0,0.33)}.lightbox-wrapper .lightbox{position:relative;display:inline-block;overflow:hidden}.lightbox-wrapper .lightbox:hover .meta{opacity:0.9;transition:opacity 0.5s}.d-lazyload-hidden{box-sizing:border-box}.onebox img.d-lazyload-hidden{border:1px solid #e9e9e9}.cooked img.d-lazyload{transition:opacity 0.4s 0.75s ease}.lightbox-wrapper{display:inline-block}.lightbox-wrapper img{object-fit:cover;object-position:top}.lightbox-wrapper,.lightbox-wrapper *{outline:0}.meta{position:absolute;bottom:0;width:100%;color:#fff;background:#222;opacity:0;transition:opacity 0.2s;display:flex;align-items:center}.meta .filename{margin:6px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.meta .d-icon{margin:6px;opacity:0.8;color:#fff}.meta .d-icon+.filename{margin-left:0px}.meta .informations{margin:6px;padding-right:20px;color:#a6a6a6;font-size:1em;flex-shrink:0;flex-grow:3}.mfp-preloader .spinner{margin:auto}.discourse-no-touch a.lightbox{-webkit-transition:all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);transition:all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1)}.discourse-no-touch a.lightbox:hover{border-radius:5px;box-shadow:0 2px 5px 0 rgba(34,34,34,0.2),0 2px 10px 0 rgba(34,34,34,0.2)}.reorder-categories thead th{padding-bottom:0.5em}.reorder-categories input{width:4em}@media screen and (max-width: 550px){.reorder-categories input{width:2em}}.reorder-categories table{width:100%;padding-bottom:150px}.reorder-categories table td{padding:0.5em 0.5em 0.5em 0}@media screen and (min-width: null){.reorder-categories table td{min-width:15em}}.reorder-categories .badge-wrapper span.badge-category{max-width:20em}@media screen and (max-width: 550px){.reorder-categories .badge-wrapper span.badge-category{max-width:30vw}}.reorder-categories-sub-cat{margin-left:20px}.edit-topic-timer-modal .modal-body{max-height:none;overflow:visible !important}.edit-topic-timer-modal .control-group{display:flex;align-items:center}.edit-topic-timer-modal .control-group>.d-icon{margin-right:5px}.edit-topic-timer-modal input.date-picker,.edit-topic-timer-modal input[type="time"]{width:200px;text-align:left}.edit-topic-timer-modal .radios{margin-bottom:10px}.edit-topic-timer-modal label{display:inline-flex;padding-right:5px;margin-bottom:0;align-items:center}.edit-topic-timer-modal label input{margin-top:0}.edit-topic-timer-modal .btn.pull-right{margin-right:10px}.edit-topic-timer-modal .future-date-input input{margin:0}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -15px -15px -15px}.edit-topic-timer-modal .future-date-input .btn-clear{display:none}.edit-topic-timer-modal .future-date-input .topic-status-info{border:none;padding:0}.edit-topic-timer-modal .future-date-input .topic-status-info h3{font-weight:normal;font-size:1.1487em}.edit-topic-timer-modal .future-date-input input[disabled]{background:#e9e9e9}.edit-topic-timer-modal .pika-single{position:absolute !important}.mobile-view .edit-topic-timer-modal .select-kit.combo-box{flex:1 0 0px}.redirection-warning{margin:0 auto;text-align:center;font-size:1.7511em;line-height:1.2}.rtl .d-icon-caret-right{-webkit-transform:rotate(180deg);-moz-transform:rotate(180deg);-ms-transform:rotate(180deg);-o-transform:rotate(180deg);transform:rotate(180deg);filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=cos(180), M12=-sin(180), M21=sin(180), M22=cos(180))";-ms-filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=cos(180), M12=-sin(180), M21=sin(180), M22=cos(180))";zoom:1}.rtl .nav-stacked a.active::after{border-left-color:transparent !important;border-right-color:#fff !important}.rtl code{direction:ltr !important;text-align:left !important}.rtl .pull-left{float:right !important}.rtl .autocomplete{left:27px}.rtl .admin-customize .current-style .toggle-mobile{position:static !important;float:left !important}.rtl .admin-customize .current-style .toggle-maximize{position:static !important;float:left !important}.rtl .dashboard-left{float:right !important}.rtl .dashboard-right{float:left !important}.cooked ul[dir="ltr"],.d-editor-preview ul[dir="ltr"],.cooked ul[dir="rtl"],.d-editor-preview ul[dir="rtl"]{padding-right:40px;padding-left:40px}.rtl aside.onebox.githubblob{padding:12px 25px 12px 12px !important;direction:ltr !important}.rtl aside.onebox.githubblob .source{background-position:0 50% !important;padding-right:20px}.rtl pre.onebox code ol.lines{margin:0 0 0 40px !important}.rtl pre.onebox code ol.lines li:before{right:-40px;padding-left:5px;padding-right:0;text-align:right !important}.rtl pre.onebox code ol.lines li{padding-right:5px;padding-left:0;margin-right:0;border-right:1px solid #cfcfcf;border-left:none !important}.search-menu .search-input{position:relative;padding:0.5em 3px}.search-menu .search-context .show-help{float:right}.search-menu .heading{padding:5px 0 5px 5px}.search-menu .heading .filter{padding:0 5px}.search-menu input[type="text"]{box-sizing:border-box;width:calc(100% - 6px);height:32px}.search-menu .search-context{padding:0 5px}.search-menu .search-context label{margin-bottom:0}.search-menu .search-context+.results{margin-top:5px}.search-menu .results{display:flex;flex-direction:row}.search-menu .results .list{min-width:100px}.search-menu .results .list .item .blurb{overflow-wrap:break-word;word-wrap:break-word;-ms-word-break:break-all;word-break:break-all;word-break:break-word;-ms-hyphens:auto;-moz-hyphens:auto;-webkit-hyphens:auto;hyphens:auto;margin-top:0.25em}.search-menu .results .search-result-topic .second-line{display:flex;flex-wrap:wrap;align-items:center}.search-menu .results .search-result-topic .second-line .discourse-tags{flex-wrap:wrap;display:contents}.search-menu .results .main-results{display:flex;flex:1 1 auto}.search-menu .results .main-results .topic-statuses{color:#919191}.search-menu .results .main-results+.secondary-results{border-left:1px solid #e9e9e9;margin-left:1em;padding-left:1em;max-width:33%}.search-menu .results .secondary-results{display:flex;flex-direction:column;flex:1 1 auto}.search-menu .results .secondary-results .separator{margin-bottom:1em;margin-top:1em;height:1px;background:#e9e9e9}.search-menu .results .secondary-results .search-result-tag .discourse-tag{font-size:.8706em}.search-menu .results .secondary-results .search-result-category .widget-link{margin-bottom:0}.search-menu .results .secondary-results .search-result-group .search-link{color:#646464}.search-menu .results .secondary-results .search-result-group .search-link:hover{color:#222}.search-menu .results .secondary-results .search-result-group .group-result{display:flex;align-items:center}.search-menu .results .secondary-results .search-result-group .group-result .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair{min-width:25px;margin-right:0.5em}.search-menu .results .secondary-results .search-result-group .group-result .d-icon .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair .d-icon{margin-right:0}.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair-image{background-repeat:no-repeat;background-size:100% 100%;min-height:25px}.search-menu .results .secondary-results .search-result-group .group-result .group-names{display:flex;flex-direction:column;overflow:auto;line-height:1.2}.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .slug{color:#646464}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name{font-weight:700}.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{font-size:.8706em;color:#646464}.search-menu .results .secondary-results .search-result-category .list,.search-menu .results .secondary-results .search-result-user .list,.search-menu .results .secondary-results .search-result-group .list,.search-menu .results .secondary-results .search-result-tag .list{display:block}.search-menu .results .secondary-results .search-result-category .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-user .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-group .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-tag .list .item .widget-link.search-link{flex:1;font-size:1em;padding:5px}.search-menu .results .secondary-results .search-result-user .user-result{display:flex;flex-direction:row;align-items:center}.search-menu .results .secondary-results .search-result-user .user-result .avatar{margin-right:0.5em;display:block;min-width:25px}.search-menu .results .secondary-results .search-result-user .user-result .user-titles{display:flex;flex-direction:column;overflow:auto;line-height:1.2}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username,.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username{color:#646464;font-size:.8706em}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{color:#646464;font-size:1em;font-weight:700}.search-menu .results .show-more{padding:5px}.search-menu .searching{position:absolute;top:1.15em;right:1em}.search-menu .searching .spinner{width:10px;height:10px;border-width:2px;margin:0}.search-menu .no-results{padding:5px}.search-menu .filter{padding:0}.search-menu .filter:hover{background:transparent}.search-menu .search-link{margin-bottom:0.25em}.search-menu .search-link .badge-category-parent{line-height:1}.search-menu .search-link .topic{display:inline-block;line-height:1.2}.search-menu .search-link .topic-title{margin-right:0.25em}.user-badge,#user-card .sixth-row .badge-section .more-user-badges a{padding:3px 8px;color:#222;border:1px solid #e9e9e9;line-height:1.4;display:inline-flex;align-items:center;background-color:#fff;margin:0 0 3px}.user-badge img,#user-card .sixth-row .badge-section .more-user-badges a img{height:16px;width:16px}.user-badge .badge-display-name,#user-card .sixth-row .badge-section .more-user-badges a .badge-display-name{margin-left:0.25em}.user-badge.badge-type-gold .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-gold .fa{color:#e7c300 !important}.user-badge.badge-type-silver .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-silver .fa{color:silver !important}.user-badge.badge-type-bronze .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-bronze .fa{color:#cd7f32 !important}.user-badge.disabled,#user-card .sixth-row .badge-section .more-user-badges a.disabled{color:#919191;background-color:#f8f8f8}.user-badge.disabled .fa,#user-card .sixth-row .badge-section .more-user-badges a.disabled .fa{opacity:0.4}@media all and (max-width: 750px){.show-badge .user-badge-with-posts .badge-user a.post-link{width:auto}.show-badge div.badge-user{padding:0}.badges-listing{display:block}.badges-listing .info,.badges-listing .grant-count{text-align:left}.badges-listing .row>div.info{display:none}.badges-listing .row{display:block}.badges-listing .row>div{display:block;margin-top:10px}}.show-badge .badge-user-info .earned{font-size:1.3195em;margin-bottom:1em}.show-badge .single-user{margin-left:2%;padding-bottom:20px}.show-badge .single-user .load-more{padding-top:30px;display:block;font-size:1.3195em}.show-badge .single-user .badge-user{padding-left:0;text-align:left;display:block;margin:20px 0;width:800px}.show-badge .single-user .badge-user .badge-info{display:none}.show-badge .single-user .badge-user .date{display:inline-block;font-size:1.1487em;margin-left:10px}.show-badge .single-user .badge-user .post-link{font-size:1.3195em;width:500px;margin:0;padding:0}.show-badge .single-user .badge-user:after{content:"";clear:both;display:table}.long-description.banner{width:88%;margin-bottom:15px;margin-top:15px}.badge-card{position:relative;display:inline-block;background-color:#f8f8f8;border:1px solid #e9e9e9;margin-bottom:2vh;transition:box-shadow 0.25s}.badge-card .check-display{position:absolute;left:5px;top:5px}.badge-card .grant-count{position:absolute;right:5px;top:5px;font-weight:bold;color:#919191;font-size:1.3195em}.badge-card .badge-contents{display:flex;min-height:128px;height:100%;padding:0 10%}.badge-card .badge-contents .badge-link{color:#222}.badge-card .badge-contents .badge-icon{display:flex;flex:0 0 auto;width:1.23em;margin-right:5%;align-items:center;justify-content:center;font-size:3.5em}.badge-card .badge-contents .badge-icon a{width:100%}.badge-card .badge-contents .badge-icon img{width:100%;max-width:65px;max-height:80px}.badge-card .badge-contents .badge-icon.badge-type-gold .fa{color:#e7c300 !important}.badge-card .badge-contents .badge-icon.badge-type-silver .fa{color:#c0c0c0 !important}.badge-card .badge-contents .badge-icon.badge-type-bronze .fa{color:#cd7f32 !important}.badge-card .badge-contents .badge-info{display:flex;flex:1 1 auto;align-items:center;padding:1em 1.5em 1em 0;color:#222}@media screen and (max-width: 600px){.badge-card .badge-contents .badge-info{padding-right:0}}.badge-card .badge-contents .badge-info h3{margin-bottom:0.25em;font-size:1.1487em}@media screen and (min-width: 900px){.badge-card .badge-contents .badge-info h3{font-size:1.3195em}}.badge-card.medium{flex:0 0 auto;width:32%;margin-right:1.63%}@media screen and (min-width: 851px){.badge-card.medium:nth-of-type(3n){margin-right:0}}@media screen and (max-width: 850px){.badge-card.medium{width:48.5%}.badge-card.medium:nth-of-type(2n){margin-right:0}}@media screen and (max-width: 550px){.badge-card.medium{flex:0 0 100%}}.badge-card.medium:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15)}.badge-card.medium:active{box-shadow:none}.badge-card.large{width:100%;align-self:flex-start}@media screen and (min-width: 767px){.badge-card.large{max-width:calc(1110px / 2);margin-right:1.5em}}.badge-card.large .badge-contents{padding:0 5%}.badge-card.large .badge-contents h3{font-size:1.5157em}.badges-granted{display:flex;flex-wrap:wrap}@media screen and (max-width: 800px){.badges-granted{justify-content:space-between}}.badge-groups{margin:20px 0;color:#919191}.badge-groups h3{margin-bottom:1em}.badge-title .user-content{padding:0}.badge-group-list{margin-bottom:1.5em;display:flex;flex-wrap:wrap}@media screen and (max-width: 850px){.badge-group-list{justify-content:space-between}}.badge-group-list .title{width:100%;font-size:1.1487em}.show-badge-details{display:flex;flex-wrap:wrap;flex-direction:row;margin-bottom:2em;margin-top:1em}.show-badge-details .badge-grant-info.hidden{display:none}.show-badge-details .grant-info-item{margin-bottom:1em;color:#919191}.show-badge-details .grant-info-item:first-of-type{margin-right:10px}.show-badge-details .badge-set-title{padding:1.5em;border:1px solid #e9e9e9}.show-badge-details .badge-set-title .user-content{padding:0}.show-badge-details .badge-set-title .user-content .control-group{margin-bottom:1em}.show-badge-details .badge-title .form-horizontal .controls{margin-left:0}.show-badge-details .form-horizontal{margin-bottom:0}.check-display{display:inline-block;padding:0 0.25em;border-radius:10px;text-align:center}.check-display .fa{font-size:0.9em;color:#fff}.check-display.status-checked{background-color:#090}.check-display.status-unchecked{background-color:#e45735}.hyperlink{cursor:pointer}.reviewable .flagged-post-header{width:100%;display:flex;justify-content:space-between}.reviewable .status{color:#919191}.reviewable .status span.approved{color:#090}.reviewable .status span.approved .d-icon{color:currentColor}.reviewable .status span.rejected{color:#e45735}.reviewable .status span.rejected .d-icon{color:currentColor}.reviewable .explain{margin-left:0.5em}.reviewable .nav-pills{margin-bottom:1em}.reviewable .reviewable-container{display:flex;flex-direction:row;margin-top:1em}.reviewable .reviewable-container .reviewable-list{flex:1;box-sizing:border-box;max-width:760px;min-width:0;margin-right:auto}.reviewable .reviewable-container .reviewable-filters{width:250px;height:100%;box-sizing:border-box}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin-left:1em}.reviewable-settings h4{margin-top:1em;margin-bottom:1em}.reviewable-settings .saved{margin-left:0.5em}.reviewable-settings .reviewable-score-type{display:flex;margin-bottom:0.5em}.reviewable-settings .reviewable-score-type .select-kit{min-width:10em}.reviewable-settings .reviewable-score-type .title{width:30%}.reviewable-user-info{margin:0.5em 0}.reviewable-user-info .reviewable-user-fields{margin-bottom:2em}.reviewable-user-info .reviewable-user-details{border-bottom:1px solid #e9e9e9;padding-bottom:0.25em;display:flex;margin-bottom:0.5em}.reviewable-user-info .reviewable-user-details .name{width:8em;font-weight:bold;margin-right:1em}.no-review{margin-top:1em}.reviewable-filters{background-color:#f8f8f8;padding:1em;margin-bottom:1em}.reviewable-filters .reviewable-filter{display:flex;flex-direction:column;margin:0 0 1em 0}.reviewable-filters .reviewable-filter .filter-label{margin:0 0 0.5em 0}.reviewable-filters .reviewable-filter .score-filter{margin:0;width:100%}.reviewable-filters .reviewable-filter .category-chooser{width:100%}.reviewable-filters .reviewable-filter .d-date-time-input-range{width:inherit;border:none;padding:0}.reviewable-filters .reviewable-filter .d-date-time-input-range .d-date-input{flex:1 1 auto;border:1px solid #919191}.reviewable-claimed-topic{display:flex;align-items:center}.reviewable-claimed-topic .btn-small{margin-left:0.5em}.reviewable-actions .claimed-actions{display:flex;width:100%;justify-content:space-between;align-items:center;margin-bottom:0.5em}.claimed-by{display:flex;align-items:center}.claimed-by .claimed-username{margin-left:0.5em}.reviewable-topics{width:100%}.reviewable-topics tbody td{padding:0.5em}.reviewable-topics .reviewable-details{display:flex;justify-content:flex-end}.reviewable-topics .reviewable-details .btn{display:flex;align-items:center;margin-left:1em}.reviewable-filters .topic-filter .btn{display:flex;width:auto}.reviewable-filters .refresh{height:1em;display:flex}.reviewable-filters .score-filter{width:5em}.user-flag-percentage{display:flex;align-items:center;margin-left:0.5em}.user-flag-percentage .percentage-label{margin-right:0.25em}.user-flag-percentage .percentage-label.agreed{color:#090}.user-flag-percentage .percentage-label.agreed+.d-icon{color:#090}.user-flag-percentage .percentage-label.disagreed{color:#e45735}.user-flag-percentage .percentage-label.disagreed+.d-icon{color:#e45735}.user-flag-percentage .percentage-label.ignored{color:#919191}.user-flag-percentage .d-icon{font-size:0.9em}.reviewable-item{padding-top:2em;border-top:1px solid #e9e9e9;padding-bottom:1em}.reviewable-item .topic-statuses{font-size:1.3195em}.reviewable-item .reviewable-meta-data{color:#919191;display:flex;width:100%;margin-bottom:0.5em;font-size:.8706em;align-items:baseline}.reviewable-item .reviewable-meta-data .reviewable-type{margin-right:0.25em}.reviewable-item .reviewable-meta-data .reply-count{margin-left:1em}.reviewable-item .reviewable-meta-data .created-at{margin-left:1em;margin-right:auto}.reviewable-item .reviewable-meta-data .created-at a{color:#919191}.reviewable-item .reviewable-meta-data .score{font-size:.8706em}.reviewable-item .reviewable-contents{display:flex;flex-wrap:wrap;margin-bottom:2em}.reviewable-item .reviewable-actions{display:flex;flex-wrap:wrap}.reviewable-item .reviewable-actions button{white-space:nowrap}.reviewable-item .reviewable-actions .reviewable-action,.reviewable-item .reviewable-actions .reviewable-action-dropdown{margin-right:0.5em}.reviewable-histories{margin-top:1em}.reviewable-scores{min-width:50%;color:#646464}.reviewable-scores .reviewed-by .date{margin-left:0.5em}.reviewable-scores .user,.reviewable-scores .reviewed-by{display:flex;align-items:center}.reviewable-scores .user-flag-percentage{margin-left:0.5em}.reviewable-scores .d-icon{font-size:.8706em;color:#919191}.reviewable-scores .badge-notification{line-height:1.2;vertical-align:text-top}.reviewable-scores tbody{border-width:1px}.reviewable-scores tbody td{white-space:nowrap;vertical-align:baseline}.reviewable-scores tbody td.user a,.reviewable-scores tbody td.reviewed-by a{max-width:150px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.reviewable-scores tbody td:last-of-type{width:100%;white-space:normal}.reviewable-scores tbody>tr>th{text-align:left}.reviewable-scores tbody>tr>th:not(:empty),.reviewable-scores tbody>tr>td:not(:empty){padding:0.5em 1em 0.5em 0}@media screen and (max-width: 450px){.reviewable-scores tbody>tr>th,.reviewable-scores tbody>tr>td{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-right:0.5em}}.reviewable-scores tbody .reviewable-score-spacer{padding-right:1em}.reviewable-score-reason{margin:0.5em 0;max-width:690px;margin-bottom:0.5em}.reviewable-conversation{margin:0.5em 0}.reviewable-conversation .reviewable-conversation-post{max-width:690px;margin-bottom:0.5em}.reviewable-conversation .reviewable-conversation-post .username{font-weight:bold;margin-right:0.25em}.reviewable-conversation .controls{margin-top:0.25em}.reviewable-item .show-raw-email{color:#919191;font-size:.7579em}.reviewable-item .post-title{background-color:yellow}.reviewable-item .created-by{margin-right:1em;padding-top:0.35em}@media screen and (max-width: 450px){.reviewable-item .created-by{float:left;margin-bottom:1em}}.reviewable-item .names{font-weight:bold}.reviewable-item .post-contents-wrapper{width:100%;margin-top:1em;min-width:275px;word-break:break-word}@media screen and (min-width: 450px){.reviewable-item .post-contents-wrapper{display:flex}}.reviewable-item .reviewable-post-header{display:flex;justify-content:space-between;max-width:690px;width:690px;align-items:center}.reviewable-item .reviewable-post-header .reviewable-reply-to{display:flex;align-items:center;color:#919191;font-size:0.9em}.reviewable-item .reviewable-post-header .reviewable-reply-to .d-icon{margin-right:0.5em}.reviewable-item .post-contents{width:100%;min-width:0}.reviewable-item .post-body{max-width:690px;max-height:300px;margin-top:0.5em;overflow-y:auto}.reviewable-item .post-body p,.reviewable-item .post-body aside{margin:0 0 1em 0}.reviewable-item .post-body pre,.reviewable-item .post-body code{word-break:break-all}.reviewable-item .post-topic{width:100%;color:#919191;margin-bottom:0.75em}.reviewable-item .post-topic .title-text{font-weight:bold;color:#222;display:block;font-size:1.3195em;margin-right:0.75em}.reviewable-item .post-topic .topic-statuses:empty{display:none}.editable-fields{width:100%}.editable-fields .editable-created-by{display:flex;margin-bottom:0.5em}.editable-fields .editable-created-by .avatar{margin-right:0.25em}.editable-fields .editable-field{margin-bottom:0.5em}.editable-fields .editable-field .mini-tag-chooser{margin:0}.editable-fields .editable-field .reviewable-input-text{width:100%;margin-bottom:0}.editable-fields .editable-field .reviewable-input-textarea{width:100%;height:10em}@media screen and (max-width: 1000px){table.reviewable-scores{width:100%;display:block}table.reviewable-scores tbody{width:calc(100% - 5px);display:block;clear:both}tr.reviewable-score{display:grid;grid-template-columns:auto auto 1fr}td.reviewable-score-spacer{display:none}}@media screen and (max-width: 450px){tr.reviewable-score{grid-template-columns:auto auto auto}}.shared-draft-controls{background-color:#d1f0ff;padding:1em;clear:both}.shared-draft-controls .publish-field{margin-top:1em}.explain-reviewable{min-width:500px}.explain-reviewable .thresholds{margin-top:1em}.explain-reviewable table{width:100%}.explain-reviewable table td{padding:0.5em}.explain-reviewable td.sum{text-align:right}.explain-reviewable td.sum.total{font-weight:bold}.explain-reviewable tr.total td{background-color:#e9e9e9;font-weight:bold}.explain-reviewable .op{font-weight:bold}.explain-reviewable .score-value-type{color:#919191}.explain-reviewable .op:last-of-type{display:none}.category-color-editor input{width:5.5em;margin-right:1em}.category-color-editor .color-title{display:block;margin:1em 0 0.25em}.category-color-editor .colorpicker-wrapper{display:flex;align-items:center}.category-color-editor .colorpicker-wrapper input,.category-color-editor .colorpicker-wrapper .add-on{align-self:flex-start;margin-bottom:0.125em}.category-color-editor .colors-container{display:inline-flex;flex-wrap:wrap}.category-color-editor .colors-container .colorpicker{position:relative;margin:0 0.125em 0.25em;border:1px solid #919191;width:1.25em;height:1.2em;padding:0;flex:0 0 auto;color:white}.category-color-editor .colors-container .colorpicker svg{display:none}.category-color-editor .colors-container .colorpicker.used-color svg{display:inline-flex;opacity:0.8;max-width:70%}.modal.history-modal #revision-numbers{display:inline-block;min-width:96px;text-align:center}.modal.history-modal #revision{overflow:auto;border-bottom:3px solid #e9e9e9}.modal.history-modal table.markdown>tbody>tr>td,.modal.history-modal .revision-content{width:47.5%;float:left}.modal.history-modal table.markdown>tbody>tr>td:nth-of-type(2),.modal.history-modal .revision-content:nth-of-type(2){margin-left:5%}.modal.history-modal #revision-details{padding:5px}.modal.history-modal #revisions .row:first-of-type{margin-top:10px}.modal.history-modal ins code,.modal.history-modal ins img,.modal.history-modal .diff-ins code,.modal.history-modal .diff-ins img{border:2px solid #090}.modal.history-modal ins img,.modal.history-modal .diff-ins img{opacity:0.75;filter:alpha(opacity=75)}.modal.history-modal ins a,.modal.history-modal .diff-ins a{color:#090;text-decoration:none}.modal.history-modal img.diff-ins,.modal.history-modal code.diff-ins{border:2px solid #090}.modal.history-modal img.diff-ins{opacity:0.75;filter:alpha(opacity=75)}.modal.history-modal .diff-ins{color:#222;background:#b8ffb8}.modal.history-modal ins{color:#222;background:#b8ffb8;text-decoration:none}.modal.history-modal del code,.modal.history-modal del img,.modal.history-modal .diff-del code,.modal.history-modal .diff-del img{border:2px solid #e45735}.modal.history-modal del img,.modal.history-modal .diff-del img{opacity:0.5;filter:alpha(opacity=50)}.modal.history-modal del a,.modal.history-modal .diff-del a{color:#e45735;text-decoration:none}.modal.history-modal img.diff-del,.modal.history-modal code.diff-del{border:2px solid #e45735}.modal.history-modal img.diff-del{opacity:0.5;filter:alpha(opacity=50)}.modal.history-modal .diff-del{color:#222;background:#fbe6e1;text-decoration:none}.modal.history-modal del{color:#222;background:#fbe6e1;text-decoration:none}.modal.history-modal span.date{font-weight:bold}.modal.history-modal span.edit-reason{background-color:#ffffa6;padding:3px 5px 5px 5px}.modal.history-modal .d-icon-ban{color:#f00}.modal.history-modal .hidden-revision-either{opacity:0.5}.modal.history-modal .hidden-revision-previous .row div:nth-of-type(1),.modal.history-modal .hidden-revision-previous .row td:nth-of-type(1){opacity:0.5}.modal.history-modal .hidden-revision-current .row div:nth-of-type(2),.modal.history-modal .hidden-revision-current .row td:nth-of-type(2){opacity:0.5}@-webkit-keyframes popoverFadeIn{from{opacity:0}to{opacity:1}}@keyframes popoverFadeIn{from{opacity:0}to{opacity:1}}#d-popover{background-color:#fff;position:absolute;z-index:1600;border-color:#919191;border-style:solid;border-width:1px;max-width:300px;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;background-clip:padding-box;display:block;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);border-radius:2px}#d-popover.is-under{margin-top:0px}#d-popover.is-under .d-popover-top-arrow{display:block}#d-popover.is-under .d-popover-bottom-arrow{display:none}#d-popover.is-above{margin-top:0px}#d-popover.is-above .d-popover-bottom-arrow{display:block}#d-popover.is-above .d-popover-top-arrow{display:none}#d-popover.retina{border-width:0.5px}#d-popover .d-popover-content{padding:0.5em;font-size:.8706em;overflow-wrap:break-word;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s}#d-popover .d-popover-arrow{border-style:solid;color:transparent;content:"";position:absolute;z-index:calc(z("tooltip") - 100)}#d-popover .d-popover-top-arrow{border-color:transparent transparent #919191;top:8px;transform:translate(0, -15px);border-width:0 8px 8px}#d-popover .d-popover-top-arrow:after{border-color:transparent transparent #fff;border-style:solid;border-width:0 7px 7px;bottom:-8px;margin-left:-7px;position:absolute;content:""}#d-popover .d-popover-bottom-arrow{border-color:#919191 transparent transparent;top:calc(100% + 16px);transform:translate(0, -16px);border-width:8px 8px 0}#d-popover .d-popover-bottom-arrow:after{position:absolute;content:"";border-color:#fff transparent transparent;border-style:solid;border-width:7px 7px 0;bottom:2px;transform:translate(-7px, 0)}div.tagsinput{border:1px solid #ccc;background:#fff;padding:5px 5px 0;width:584px;height:100px;overflow-y:auto;border-radius:4px}div.tagsinput span.tag{border:1px solid #a5d24a;border-radius:2px;display:block;float:left;padding:1px 5px;text-decoration:none;background:#cde69c;color:#638421;margin-right:5px;margin-bottom:5px;font-family:helvetica;font-size:.8706em}div.tagsinput span.tag a{font-weight:bold;color:#82ad2b;text-decoration:none;font-size:.7579em}div.tagsinput input{width:80px;font-family:helvetica;font-size:.8706em;border:1px solid transparent;padding:2px 5px;background:transparent;color:#000;outline:0;margin:0 5px 5px 0}div.tagsinput div{display:block;float:left}.tags_clear{clear:both;width:100%;height:0}.not_valid{background:#fbd8db !important;color:#90111a !important}.d-icon.d-icon-d-regular,.d-icon.d-icon-d-muted,.d-icon.d-icon-d-watching-first,.d-icon.d-icon-d-watching-first-post{color:#919191}.d-icon.d-icon-d-tracking,.d-icon.d-icon-d-watching{color:#08c}.directory{margin-bottom:100px}.directory .user-info{margin-bottom:0}.directory .period-chooser{float:left}.directory .filter-name{float:right}.directory .spinner{clear:both}.directory table{width:100%;margin-bottom:1em}.directory table td,.directory table th{padding:0.5em;text-align:left;border-bottom:1px solid #e9e9e9}@media screen and (max-width: 800px){.directory table td,.directory table th{padding:0.5em 0.25em}}.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.5157em;color:#919191}@media screen and (max-width: 800px){.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.1487em}}.directory table td .time-read,.directory table th .time-read{white-space:nowrap}.directory table th.sortable{width:13%}.directory table th.sortable .d-icon-heart{color:#fa6c8d;margin:0 0.25em 0 0}.directory .me{background-color:#ffffca}.directory .me .username a,.directory .me .name,.directory .me .title,.directory .me .number,.directory .me .time-read{color:#919191}.alert{padding:8px 32px 8px 16px;background-color:#fbe6e1;color:#222;position:relative}.alert .close{position:absolute;top:8px;right:8px;font-size:1.5157em}.alert .close .d-icon{color:#bdbdbd}.alert.alert-success{background-color:#b8ffb8;color:#222}.alert.alert-error{background-color:#fbe6e1;color:#222}.alert.alert-info{background-color:#d1f0ff;color:#222}.alert.alert-info.clickable{color:#08c}.group-details-container{background:#f8f8f8;padding:20px;margin-bottom:15px;position:relative}.group-outlet{position:relative}.group-members-actions{display:flex;flex-wrap:wrap;width:100%}.group-members-actions input+.group-members-manage{margin-left:auto}.group-members-actions .group-username-filter{margin:0 0 5px 0;vertical-align:middle}.group-info{width:100%}.group-info .group-info-name{font-size:1.5157em;font-weight:bold;color:#222}.group-info .group-info-full-name{font-size:1.3195em;color:#646464}.group-info span{display:inline-block;vertical-align:middle}.group-info .avatar-flair-image{width:50px}.group-info .avatar-flair{background-size:50px;height:50px;width:50px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat}.group-info .avatar-flair .d-icon{height:27.77778px;width:27.77778px}.group-manage-logs-filter{margin-right:10px}.group-manage-logs-filter:hover{background-color:#e45735}table.group-manage-logs{width:100%}table.group-manage-logs td{padding:0.5em}table.group-manage-logs .group-manage-logs-expand-details{cursor:pointer}table.group-manage-logs .group-manage-logs-expand-details .d-icon{color:#919191}table.group-members{width:100%;table-layout:fixed}table.group-members th:first-child{width:30%;text-align:left}table.group-members th:last-child{width:5%}table.group-members th.group-members-actions{width:5%}table.group-members th{text-align:center}table.group-members tr .user-info{display:block}table.group-members tr .user-info .avatar-flair{color:#222}table.group-members tr td:first-child{text-align:left}table.group-members tr td{text-align:center;color:#919191;padding:0.8em 0}.group-owner-label{color:#222}.form-vertical .group-flair-inputs{display:inline-block}.form-vertical .avatar-flair-preview{position:relative;width:45px}.form-vertical .avatar-flair-preview .avatar-wrapper{background-color:#f4f4f4}.group-form-save{margin-right:20px}.group-add-members .group-add-members-make-owner label{display:inline;vertical-align:middle}.group-add-members .group-add-members-make-owner input[type="checkbox"]{vertical-align:middle}img.emoji{width:20px;height:20px;vertical-align:middle}small img.emoji,sub img.emoji,sup img.emoji{height:1.1em;width:1.1em}.emoji-picker{background-clip:padding-box;z-index:1300;position:fixed;display:none;flex-direction:row;height:320px;color:#222;background-color:#fff;border:1px solid #e9e9e9}.emoji-picker .categories-column{display:flex;flex-direction:column;flex:1 0 0px;align-items:center;justify-content:space-between;border-right:1px solid #e9e9e9;min-width:36px}.emoji-picker .category-icon{display:block;margin:4px auto;-webkit-filter:grayscale(100%);filter:grayscale(100%)}.emoji-picker .category-icon button.emoji{margin:0;padding:0}.emoji-picker .category-icon.current,.emoji-picker .category-icon:hover{-webkit-filter:grayscale(0%);filter:grayscale(0%)}.emoji-picker .main-column{display:flex;flex-direction:column;flex:20}.emoji-picker .list{overflow-y:scroll;-webkit-overflow-scrolling:touch;padding:0;flex:1 0 0px;flex-direction:column}.emoji-picker .section-header{padding:8px;margin-top:2px;margin-bottom:0px;padding-bottom:0px;justify-content:space-between;display:flex;align-items:center;font-weight:bold}.emoji-picker .section-header .title{color:#222}.emoji-picker .section-header .clear-recent .fa{margin:0;padding:0;color:#999}.emoji-picker .section-header .clear-recent .fa:hover{color:#222}.emoji-picker .section-group{flex-wrap:wrap;display:flex;align-items:center;justify-content:flex-start;padding:4px}.emoji-picker .footer{align-items:center;display:flex;justify-content:space-between;border-top:1px solid #e9e9e9}.emoji-picker .info{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-left:8px;font-weight:700;max-width:125px}.emoji-picker .diversity-picker{display:flex;justify-content:flex-end;padding:8px}.emoji-picker .diversity-picker .diversity-scale{width:20px;height:20px;margin-left:5px;border:0;border-radius:3px;display:flex;align-items:center;justify-content:center;cursor:pointer}.emoji-picker .diversity-picker .diversity-scale.default{background:#ffcc4d}.emoji-picker .diversity-picker .diversity-scale.light{background:#f7dece}.emoji-picker .diversity-picker .diversity-scale.medium-light{background:#f3d2a2}.emoji-picker .diversity-picker .diversity-scale.medium{background:#d5ab88}.emoji-picker .diversity-picker .diversity-scale.medium-dark{background:#af7e57}.emoji-picker .diversity-picker .diversity-scale.dark{background:#7c533e}.emoji-picker .diversity-picker .diversity-scale.selected .d-icon{display:block}.emoji-picker .diversity-picker .d-icon{display:none}.emoji-picker .diversity-picker .d-icon{color:#fff;font-size:1em;filter:drop-shadow(0.5px 1.5px 0 rgba(0,0,0,0.3))}.emoji-picker button.emoji{background:transparent;background-position:center;background-repeat:no-repeat;border-radius:0;background-size:20px 20px;-moz-box-sizing:content-box;box-sizing:content-box;height:20px;border:0;vertical-align:top;width:20px;outline:none;padding:3px;margin:2px}.emoji-picker .section-group button.emoji:hover,.emoji-picker .results button.emoji:hover{display:inline-block;vertical-align:top;border-radius:2px;background-color:#9df}.emoji-picker-modal.fadeIn{z-index:1200;position:fixed;left:0;top:0;width:100%;height:100%;opacity:0.8;background-color:black}.emoji-picker .filter{background-color:none;border-bottom:1px solid #e9e9e9;padding:5px;display:flex;position:relative;align-items:center}.emoji-picker .filter input[type="text"]{width:auto !important}.emoji-picker .filter .d-icon-search{color:#999;font-size:1.1487em;margin-left:5px;margin-right:5px}.emoji-picker .filter input{height:24px;margin:0;flex:1 0 0px;border:none;box-shadow:none;padding-right:24px;outline:none;color:#222;background:#fff}.emoji-picker .filter input:focus{border:none;box-shadow:none}.emoji-picker .filter input::-ms-clear{display:none}.emoji-picker .results{display:none;flex-wrap:wrap;align-items:center;justify-content:flex-start;padding:4px;flex:1 0 0px}.emoji-picker .filter .clear-filter{position:absolute;right:5px;top:12px;border:0;background:none;color:#999;outline:none;display:none}.emoji-picker .filter .clear-filter:hover{color:#222}.topic-list.shared-drafts{margin-bottom:1.5em}.show-more{width:100%;z-index:1}.show-more.has-topics{position:absolute;top:7px}.list-controls{clear:both;margin-bottom:5px}.list-controls .combo-box .combo-box-header{background:#fff;color:#222;border:1px solid #919191;font-size:1em;transition:none;height:10px}.list-controls .select-kit{align-self:center}.list-controls .select-kit .select-kit-collection{font-size:.8706em;max-height:40vh}.list-controls .select-kit .select-kit-collection .texts,.list-controls .select-kit .select-kit-collection .icons{font-size:1.1487em}.list-controls .select-kit.categories-admin-dropdown,.list-controls .select-kit.tags-admin-dropdown,.list-controls .select-kit.category-notifications-button,.list-controls .select-kit.tag-notifications-button{float:right}.list-controls .select-kit.categories-admin-dropdown button,.list-controls .select-kit.tags-admin-dropdown button,.list-controls .select-kit.category-notifications-button button,.list-controls .select-kit.tag-notifications-button button{display:inline-block}.list-controls .category-heading{max-width:100%}.topic-list-item.visited a.title:not(.badge-notification),.latest-topic-list-item.visited a.title:not(.badge-notification),.category-topic-link.visited a.title:not(.badge-notification){color:#919191}.topic-list-main-link,.topic-list .main-link,.latest-topic-list-item .main-link{font-size:1.1487em}.topic-list-main-link a.title,.topic-list .main-link a.title,.latest-topic-list-item .main-link a.title{padding:15px 0;word-break:break-word;color:#222}.anon .topic-list-main-link a.title:visited:not(.badge-notification),.anon .topic-list .main-link a.title:visited:not(.badge-notification),.topic-list .anon .main-link a.title:visited:not(.badge-notification),.anon .latest-topic-list-item .main-link a.title:visited:not(.badge-notification),.latest-topic-list-item .anon .main-link a.title:visited:not(.badge-notification){color:#919191}.topic-list-main-link a.title.visited:not(.badge-notification),.topic-list .main-link a.title.visited:not(.badge-notification),.latest-topic-list-item .main-link a.title.visited:not(.badge-notification){color:#919191}.topic-list{width:100%;border-collapse:collapse}.topic-list>tbody>tr.has-excerpt .star{vertical-align:top;margin-top:2px}.topic-list>tbody>tr.last-visit{border-bottom:none}.topic-list>tbody>tr .topic-list-separator{text-align:center}.topic-list .topic-list-item-separator{border:none}.topic-list .topic-list-item-separator td{border-bottom:1px solid #ec8972;line-height:0.1em;padding:0;text-align:center}.topic-list .topic-list-item-separator td span{background-color:#fff;color:#ec8972;padding:0 8px;font-size:.8706em}.topic-list th,.topic-list td{line-height:1.4;text-align:left;vertical-align:middle}.topic-list th button .d-icon{color:#919191}.topic-list td{color:#919191;font-size:1em}.topic-list .main-link .raw-topic-link>*{pointer-events:none}.topic-list .unread-indicator.read{display:none}.topic-list .unread-indicator .d-icon{vertical-align:middle;font-size:.5em}.topic-list .link-bottom-line{font-size:.8706em;display:flex;flex-wrap:wrap;align-items:center}.topic-list .link-bottom-line .discourse-tags{flex-wrap:wrap;-ms-flex:1 0 0px}.topic-list .link-bottom-line a.badge-wrapper.box,.topic-list .link-bottom-line a.discourse-tag.box{padding-top:0;padding-bottom:0}.topic-list .link-bottom-line .discourse-tag.simple:after,.topic-list .link-bottom-line .discourse-tag.box{margin-right:0.25em}.topic-list .topic-featured-link{padding-left:5px}.topic-list .topic-excerpt{font-size:.8706em;margin-top:5px;color:#646464;word-wrap:break-word;line-height:1.4;padding-right:20px}.topic-list .topic-statuses:empty{display:none}.topic-list .num{text-align:center}.topic-list .num a:not(.badge-posts){color:inherit}.topic-list .num a.badge-posts{font-weight:bold}.topic-list .num.posts a{padding:15px 5px}.topic-list .num.activity a{padding:15px 5px}.heatmap-high,.heatmap-high a{color:#fe7a15 !important}.heatmap-med,.heatmap-med a{color:#cf7721 !important}.heatmap-low,.heatmap-low a{color:#9b764f !important}.loading .topic-list{border:0;box-shadow:none}.loading .topic-list tr{background-color:transparent}#list-area{margin-bottom:100px}#list-area .empty-topic-list{padding:10px}#list-area .unseen{background-color:transparent;padding:0;border:0;color:#ec8972;font-size:1em;cursor:default}.topic-list .alert{margin-bottom:0;font-size:1em}.topic-list .spinner{margin-top:40px}ol.category-breadcrumb.hidden{display:none}ol.category-breadcrumb{display:block;float:left;list-style:none;margin:0 10px 10px 0;padding:0}ol.category-breadcrumb li{float:left;margin-right:5px}ol.category-breadcrumb .bread-crumbs-right-outlet{float:left}.d-icon-thumbtack.unpinned{-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=1)";-webkit-transform:rotate(180deg);-ms-transform:rotate(180deg);transform:rotate(180deg)}.top-title-buttons{display:inline}.top-title-buttons button{margin-right:0.5em}div.education{color:#919191}div.education .badge-notification.new-posts{vertical-align:text-bottom}.list-cell,.table-heading,.category-list td,.category-list th{padding:12px 5px;color:#919191}.table-heading{border-bottom:3px solid #e9e9e9}.topic-post-badges{white-space:nowrap;align-self:center;line-height:1.2}.user-content-wrapper{width:100%;display:grid;grid-template-columns:1fr 5fr;grid-template-rows:auto auto 1fr auto;grid-row-gap:20px}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-column-end:3;grid-row-start:1;grid-row-end:2}.user-content-wrapper .user-secondary-navigation{grid-column-start:1;grid-column-end:2;grid-row-start:2;grid-row-end:3}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:2;grid-row-end:4;grid-column-start:1;grid-column-end:3}.user-content-wrapper .user-content{min-width:100%}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:2;grid-column-end:3}.user-content-wrapper .user-additional-controls{grid-row-start:3;align-self:start;justify-self:start}.user-content-wrapper{display:-ms-grid;-ms-grid-columns:1fr 5fr;-ms-grid-rows:auto auto 1fr auto}.user-content-wrapper .user-primary-navigation{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2}.user-content-wrapper .user-secondary-navigation{-ms-grid-row:2;-ms-grid-column:1}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:2}.user-content-wrapper .user-secondary-navigation+.user-content{-ms-grid-column:2;-ms-grid-column-span:1}.user-content-wrapper .user-additional-controls{-ms-grid-row:3;-ms-grid-column-align:start;-ms-grid-row-align:start}.user-content .list-actions{display:flex;margin-bottom:12px}.user-content .list-actions .btn{margin-right:12px}.user-content .paginated-topics-list{position:relative}.user-content .show-mores{width:100%}.user-content .d-icon-heart{color:#fa6c8d}.user-main .about{width:100%;margin-bottom:15px}.user-main .about.has-background .user-profile-image{background-size:cover;background-position:center center;background-repeat:no-repeat}.user-main .about.has-background .staff-counters{margin-bottom:0}.user-main .about .secondary{display:inline-block;width:100%;border-top:1px solid #e9e9e9}.user-main .about .secondary .btn{padding:4px 12px}.user-main .about .secondary dl{margin:0;padding:5px 10px}.user-main .about .secondary dl div{display:inline-flex;align-items:baseline;margin-right:15px;margin:4px 0}.user-main .about .secondary dt,.user-main .about .secondary dd{display:inline-flex;align-items:center}.user-main .about .secondary dd{padding:0;margin:0 15px 0 0;color:#222}.user-main .about .secondary dd.groups span:not(:last-of-type){margin-right:0.25em}.user-main .about .secondary dd.groups span:after{content:","}.user-main .about .secondary dd.groups span:last-of-type:after{content:""}.user-main .about .secondary dt{color:gray;margin-right:5px;display:inline-block}.user-main .about .details{background:rgba(255,255,255,0.8);border-bottom:1px solid #e9e9e9}.user-main .about .details h1{font-size:2em;font-weight:normal}.user-main .about .details h1 .d-icon{font-size:0.8em}.user-main .about .details h2{font-weight:normal;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-main .about .details h3{font-weight:normal;margin-bottom:0.5em}.user-main .about .details h3 .d-icon:not(:first-of-type){margin-left:10px}.user-main .about .details .groups{margin-left:10px;display:inline}.user-main .about .details img.avatar{float:left}.user-main .about .details .suspended{color:#e45735}.user-main .about .details .primary{width:100%;position:relative}.user-main .about .details .primary h1{font-weight:bold}.user-main .about .details .primary .bio{max-height:300px;overflow:auto}.user-main .about .details .primary .bio a[href]{text-decoration:underline}.user-main .about .details .primary .bio img{max-width:100%}.user-main .about .details .user-profile-avatar{position:relative;float:left}.user-main .about .details .user-profile-avatar .avatar-flair{bottom:8px;right:16px}.user-main .about .controls ul{list-style-type:none}.user-main .about .controls .btn{margin-bottom:10px;line-height:1.2}.user-main .about.collapsed-info .details{margin-top:0;background:rgba(255,255,255,0.8)}.user-main .about.collapsed-info .details .bio{display:none}.user-main .about.collapsed-info .details .primary{width:100%}.user-main .about.collapsed-info .details .primary .avatar{margin-right:10px;width:45px;height:45px}.user-main .about.collapsed-info .details .primary h1{font-size:1.5157em}.user-main .about.collapsed-info .details .primary h2{font-size:1.1487em}.user-main .about.collapsed-info .details .primary h3,.user-main .about.collapsed-info .details .primary h3.location-and-website{display:none}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair{bottom:8px;right:2px}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair .d-icon{font-size:1em}.user-main .staff-counters{background:#222;color:#fff;display:flex;padding:10px;margin-bottom:16px}.user-main .staff-counters>div,.user-main .staff-counters>div a{display:flex;align-items:baseline;flex:0 1 auto;margin:0 10px 0 0;color:#fff}.user-main .staff-counters>div span,.user-main .staff-counters>div a span{padding:0 7px 1px;border-radius:10px;margin-right:5px}.user-main .staff-counters .active{font-weight:bold}.user-main .helpful-flags{background-color:#090}.user-main .flagged-posts{background-color:#e49735}.user-main .warnings-received{background-color:#ec8972}.user-main .deleted-posts{background-color:#ec8972}.user-main .suspensions{background-color:#e45735}.user-main .user-field{margin-bottom:10px}.user-main .user-field .controls label{width:auto;text-align:left;font-weight:normal}.user-main .user-field .controls .instructions{color:#919191;margin-top:5px;margin-bottom:10px;font-size:.8706em}.user-main .user-content .admin-controls nav{margin:0}.user-main .user-content .admin-controls nav .nav-pills{overflow-x:auto}.user-field .required{vertical-align:top;color:#e45735;font-weight:bold;margin-left:0.25em}.public-user-fields{margin-top:8px;margin-bottom:8px}.public-user-fields .user-field-name{font-weight:bold}.collapsed-info .public-user-fields{display:none}.avatar-selector .avatar-choice{display:grid;grid-template-columns:2em 1fr auto;grid-template-rows:auto auto;align-items:center}.avatar-selector .avatar-choice:not(:last-of-type){margin-bottom:0.75em}.avatar-selector .avatar-choice span{word-break:break-word}.avatar-selector .avatar-choice input[type="radio"]{margin-top:0}.avatar-selector .avatar-choice button{margin-left:auto}.avatar-selector label.radio{display:flex;align-items:center;max-width:300px;margin:0 0.5em 0 0;padding:0}.avatar-selector label.radio .avatar{flex:0 0 auto;margin:0 0.75em 0 0}.avatar-selector .error{color:#e45735;margin:0;max-width:calc(300px - 20px);grid-column-start:2;grid-column-end:3}.avatar-selector .avatar-choice{display:-ms-grid;-ms-grid-columns:2em 1fr auto;-ms-grid-rows:auto auto}.avatar-selector .avatar-choice input[type="radio"]{-ms-grid-row:1;-ms-grid-column:1}.avatar-selector .avatar-choice label.radio{-ms-grid-row:1;-ms-grid-column:2}.avatar-selector .avatar-choice span.avatar-uploader{-ms-grid-row:1;-ms-grid-column:3}.avatar-selector .avatar-choice .error{-ms-grid-row:2;-ms-grid-column-span:3}.top-section:before,.top-section:after{content:"";display:table}.top-section:after{clear:both}.top-section ul{list-style:none;margin:0}.top-section,.top-sub-section{margin-bottom:20px}.top-section.badges-section,.top-sub-section.badges-section{display:flex;flex-wrap:wrap}.stats-title{text-transform:uppercase;margin-bottom:10px;width:100%}.stats-section ul{margin:10px 0}.stats-section li{display:inline-block;padding:10px 14px 10px 0;margin:0 10px 10px 0}.stats-section li.linked-stat{padding:0}.stats-section li.linked-stat a{padding:10px 14px 10px 0;width:100%;height:100%;display:block;color:#222}.stats-section .value{font-weight:bold;font-size:1.3195em}.stats-section .label{color:#919191}.top-sub-section{width:50%}.top-sub-section ul{max-width:95%}.top-sub-section li{border-left:#e9e9e9 solid 2px;padding:5px 8px;margin:10px 0}.top-sub-section .topic-info{color:#919191}@media all and (max-width: 600px){.top-sub-section{float:none;width:100%}}.replies-section li,.topics-section li,.links-section li{word-wrap:break-word}.links-section .domain{font-size:.8706em;color:#919191}.top-categories-section table{max-width:95%}.top-categories-section table tr{border:none}.top-categories-section table td,.top-categories-section table th{padding:0.5em}.top-categories-section table td.topic-count,.top-categories-section table td.reply-count,.top-categories-section table th.topic-count,.top-categories-section table th.reply-count{text-align:center}.summary-user-list li{height:45px}.groups .group-link{color:#08c}.user-preferences textarea{height:100px}.user-preferences .tracking-controls label{align-items:center;display:inline-block}.user-preferences .tracking-controls label .d-icon{margin-right:3px}@media screen and (max-width: 550px){.user-preferences .tracking-controls .select-kit.multi-select{width:100%}}.user-preferences .tracking-controls .show-tracking{float:right}.user-preferences .static{color:#222;display:inline-block}.user-preferences .instructions{color:#919191;margin-bottom:10px;font-size:.8706em;line-height:1.4}.user-preferences .instructions a[href]{color:#08c}.user-preferences .avatar{margin-left:3px}.user-preferences .warning{background-color:#ec8972;padding:5px 8px;color:#fff;width:520px}.user-preferences .warning-wrap{height:30px;margin-bottom:10px}.user-preferences .tracking-controls{margin-top:24px}.user-preferences.second-factor-backup-preferences{padding-left:0}.user-preferences.second-factor-backup-preferences .second-factor-token-input{margin-right:10px}.user-preferences.second-factor-backup-preferences .form-horizontal .instructions{margin-left:0}.user-preferences.second-factor-backup-preferences .backup-codes{margin:2em 0}.user-preferences.second-factor-backup-preferences .backup-codes .wrapper{display:inline-block;position:relative;padding:10px;border-radius:3px;border:1px solid #e9e9e9}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area{resize:none;padding:0;height:auto;text-align:center;width:250px;background:white;border:0;cursor:auto;overflow:hidden;outline:none;font-family:monospace}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area:focus{box-shadow:none;border-color:#e9e9e9}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn,.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{right:5px;position:absolute}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn{top:5px}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{top:40px}.user-preferences .pref-associated-accounts table td{padding:8px}.paginated-topics-list .user-content{width:100%;margin-top:0}.large-notification{display:flex;align-items:center}.large-notification a{display:flex;align-items:center}.large-notification a .d-icon{margin-right:0.5em}.large-notification a span:first-child{color:#222}.large-notification a div .fa{display:none}.large-notification a div p{margin:0}.qr-code-container{display:flex}.qr-code-container .qr-code{padding:5px 5px 0 5px;background-color:white}.second-factor.instructions{color:#919191;margin-top:5px;margin-bottom:10px;font-size:.8706em}.second-factor .second-factor-item{margin-top:0.75em}.second-factor .btn.edit{min-height:auto}.primary-textual .staged,#user-card .staged{font-style:italic}.selectable-avatars{max-height:350px;margin-bottom:1em;text-align:justify}.selectable-avatars .selectable-avatar{margin:5px;display:inline-block}.selectable-avatars .selectable-avatar .avatar{cursor:pointer;width:60px;height:60px}.selectable-avatars .selectable-avatar .avatar:hover{box-shadow:0 0 10px #222}.topic-title-outlet.choose-tags{margin-left:25px;margin-top:3px}.tag-list{margin-top:2em;padding-bottom:1em;border-bottom:1px solid #e9e9e9}#list-area .tag-list h3{margin-bottom:20px}.tag-list .tag-box{display:inline-block;width:300px;margin-bottom:1em;float:left;vertical-align:middle}.tag-list .tag-box .discourse-tag{font-size:1em}.tag-list .tag-box .tag-count{font-size:.8706em;vertical-align:middle;line-height:1}.tag-show-heading{display:inline-flex;flex-wrap:wrap;align-items:center;white-space:nowrap;overflow:hidden;text-overflow:hidden}@media screen and (max-width: 450px){.tag-show-heading{width:100%}}.tag-show-heading .d-icon{margin:0 0.25em}.topic-category{display:flex;flex-wrap:wrap;align-items:center}.topic-category .topic-header-extra{display:inline-flex;align-items:center}.topic-category .badge-wrapper{margin-top:0}.discourse-tag-count{font-size:.8706em;color:#919191;line-height:1;vertical-align:middle}.discourse-tag{max-width:14em;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle}.discourse-tag{margin:0;color:#919191}.discourse-tag:visited,.discourse-tag:hover{color:#919191}.extra-info-wrapper .discourse-tag{color:#707070 !important}.discourse-tag.large{font-size:1.3195em}.discourse-tag.box{background-color:#e9e9e9;color:#646464;padding:2px 8px}.extra-info-wrapper .discourse-tag.box{background-color:#ebebeb;color:#999}.discourse-tag.simple,.discourse-tag.simple:visited,.discourse-tag.simple:hover{margin-right:0;color:#646464}.discourse-tag.bullet{margin-right:0.5em;display:inline-flex;align-items:center}.discourse-tag.bullet:before{background:#bdbdbd;margin-right:5px;position:relative;width:9px;height:9px;display:inline-block;content:""}.discourse-tag.bullet.large:before{width:13px;height:13px}.discourse-tags .discourse-tag.simple:not(:last-child):after,.list-tags .discourse-tag.simple:not(:last-child):after{content:", ";margin-left:1px}.d-header .topic-header-extra .discourse-tags{display:inline-block;font-size:.8706em}.d-header .topic-header-extra .discourse-tags+.topic-featured-link{margin-left:8px}.fps-result .add-full-page-tags{display:inline-block}.topic-list-item .discourse-tags{display:inline-flex;font-weight:normal;font-size:.8706em}.categories-list .topic-list-latest .discourse-tags{display:inline-block}.mobile-view .topic-list-item .discourse-tags{display:inline-flex;flex-wrap:wrap;font-size:.8706em;margin-top:0}.mobile-view .topic-list-item .discourse-tags .discourse-tag{margin-right:0.2em}.mobile-view .topic-list-item .discourse-tags .discourse-tag.box{position:relative;top:0}header .discourse-tag{color:#919191}.list-tags{display:inline-block;margin-right:3px;font-size:.8706em}.tag-chooser{width:100%;max-width:100%}.title-wrapper .tag-chooser{width:500px}.tag-sort-options{margin-bottom:20px}.tag-sort-options a{text-decoration:underline}.tag-sort-options span.active a{font-weight:bold}.autocomplete .d-icon-tag{color:#222;padding-right:5px}.autocomplete a{color:#919191}.tags-admin-menu{margin-top:20px}.tags-admin-menu ul{width:320px}.tag-groups-container{margin-top:20px}.tag-groups-container .content-list{width:20%;float:left;margin:20px 0}.tag-groups-container .content-list ul{margin-bottom:10px}.tag-groups-container .content-list .btn{margin-left:10px}.tag-groups-container .tag-group-content{width:75%;float:right}.tag-groups-container .tag-group-content section{margin-bottom:20px}.tag-groups-container .tag-group-content label{font-size:1em;display:inline-block;margin-right:10px}.tag-groups-container .tag-group-content .btn{margin-right:10px}.tag-groups-container .tag-group-content h1 input{width:100%}.tag-groups-container .group-tags-list .tag-chooser{width:100%}.tag-groups-container .saving{margin-left:20px}.tag-groups-container .parent-tag-section .tag-chooser{width:200px;margin-right:10px}.tag-info{margin-top:1em;margin-bottom:1em}.tag-info .delete-tag{float:right}.tag-info .synonyms-list,.tag-info .add-synonyms,.tag-info .tag-associations{margin-top:1em}.tag-info .tag-list{border:none}.tag-info .tag-list .d-icon{color:#919191}.tag-info .field{margin-bottom:5px}#reply-control{position:fixed;display:flex;flex-direction:column;bottom:0;height:0;right:0;left:0;margin-left:auto;margin-right:auto;max-width:1475px;width:100%;z-index:400;transition:height 250ms ease, background 250ms ease, transform 250ms ease, max-width 250ms ease;background-color:#fff;box-shadow:0 -1px 40px rgba(0,0,0,0.12)}#reply-control.hide-preview{max-width:740px}@media screen and (max-width: 1200px){#reply-control{min-width:0}}#reply-control .reply-area{display:flex;flex-direction:column}#reply-control .saving-text,#reply-control .draft-text{display:none;padding-left:10px}#reply-control .saving-text .spinner,#reply-control .draft-text .spinner{margin-left:5px;border-color:#fff;border-right-color:transparent}#reply-control .saving-text .d-icon,#reply-control .draft-text .d-icon{color:#fff}#reply-control.open{height:300px}#reply-control.open.edit-title{height:400px}#reply-control.closed{height:0 !important}#reply-control.draft,#reply-control.saving{height:40px !important;align-items:center;background:#08c;color:#fff;flex-direction:row;width:100%}#reply-control.draft .composer-controls,#reply-control.saving .composer-controls{margin-left:auto;display:flex;padding-right:5px}#reply-control.draft .composer-controls .toggle-toolbar,#reply-control.saving .composer-controls .toggle-toolbar{display:none}#reply-control.draft .composer-controls .d-icon,#reply-control.saving .composer-controls .d-icon{color:#fff}#reply-control.draft{cursor:pointer;display:flex}#reply-control.draft .draft-text{display:block}#reply-control.draft .grippie,#reply-control.draft .saving-text{display:none}#reply-control.draft .toggler{order:2}#reply-control.saving .saving-text{display:flex}#reply-control .reply-to{color:#646464;margin:5px 0 10px 0;display:flex;align-items:center}#reply-control .reply-to .d-icon{color:#919191}#reply-control .reply-to .reply-details{max-width:calc(100% - 175px);flex:1 1 auto;display:flex;align-items:center;white-space:nowrap}#reply-control .reply-to .reply-details .d-icon{opacity:0.8}#reply-control .reply-to .composer-action-title{display:inline-flex;align-items:center;width:auto;max-width:100%}#reply-control .reply-to .composer-action-title .avatar{width:20px}#reply-control .reply-to .composer-action-title .action-title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#reply-control .reply-to .composer-action-title .topic-link,#reply-control .reply-to .composer-action-title .user-link,#reply-control .reply-to .composer-action-title .post-link{margin-right:5px}#reply-control .reply-to .composer-action-title .username{margin-right:5px;max-width:100px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}@media screen and (max-width: 500px){#reply-control .reply-to .composer-action-title .username{display:none}}#reply-control .reply-to .composer-action-title .d-icon{margin-right:5px}#reply-control .reply-to .composer-action-title img.avatar{margin-right:3px}#reply-control .reply-to .composer-controls{display:flex;margin-left:auto}#reply-control .reply-to .composer-controls button{padding:5px 7px}#reply-control .reply-to .composer-controls button.toggler{order:2}#reply-control .whisper,#reply-control .display-edit-reason{font-style:italic}#reply-control .whisper{margin-right:0.25em}#reply-control .display-edit-reason{display:inline-flex}#reply-control .display-edit-reason a{display:inline-flex}#reply-control .display-edit-reason .d-icon{padding:0.3em 0.5em;color:#08c}#reply-control #edit-reason{margin:0 4px}#reply-control .user-selector,#reply-control .title-and-category{display:flex;flex-wrap:wrap;width:100%;align-items:center;margin-bottom:5px;position:relative}#reply-control .user-selector.with-preview,#reply-control .title-and-category.with-preview{width:50%}#reply-control .title-input{position:relative;display:flex;flex:1 1 50%}#reply-control .title-input input{flex-grow:1}#reply-control .with-tags .title-input{flex:1 1 100%}#reply-control .category-input{display:flex;flex:1 0 35%;margin:0 0 5px 10px}@media screen and (max-width: 955px){#reply-control .category-input{flex:1 0 100%;margin-left:0}}#reply-control .category-input .category-chooser{display:flex;flex:1 0 auto;width:auto}#reply-control .with-tags .category-input{flex-basis:25%;margin-left:0;margin-right:5px}@media screen and (max-width: 920px){#reply-control .with-tags .category-input{flex-basis:100%;margin-right:0}}#reply-control .add-warning{margin-left:0.75em;margin-bottom:0;display:flex}#reply-control .add-warning input{margin-right:5px}#reply-control #reply-title{margin:0 0 5px 0;flex-basis:50%}#reply-control .mini-tag-chooser{flex:1 1 25%;margin:0 0 5px 0;background:#fff;z-index:700}@media all and (max-width: 900px){#reply-control .mini-tag-chooser{margin:0;flex:1 1 100%}}#reply-control .popup-tip{z-index:701}#reply-control .wmd-controls{position:relative;display:flex;flex-direction:column;flex-grow:1;min-height:0}#reply-control .submit-panel{display:flex;flex-shrink:0;margin:7px 0 3px 0}#reply-control .save-or-cancel{flex-basis:50%;display:flex;align-items:center;margin-right:auto}#reply-control .save-or-cancel button{flex:0 0 auto}#reply-control .save-or-cancel .cancel{margin-left:1.25em;line-height:normal;color:#646464;transition:color 250ms}#reply-control .save-or-cancel .cancel:hover{color:#e45735}#reply-control .save-or-cancel #draft-status,#reply-control .save-or-cancel #file-uploading{margin-left:25px}#reply-control .save-or-cancel #file-uploading{display:flex;align-items:center}#reply-control .save-or-cancel #file-uploading a{margin-left:5px;color:#646464}#reply-control .save-or-cancel #file-uploading .spinner{margin-right:5px}#reply-control .save-or-cancel #draft-status .d-icon-user-edit{color:#e45735;font-size:20px;vertical-align:-5.5px}#reply-control #draft-status,#reply-control #file-uploading{color:#646464}.cooked>*:first-child{margin-top:0}.autocomplete{z-index:701;position:absolute;width:240px;background-color:#fff;border:1px solid #e9e9e9}.autocomplete ul{list-style:none;padding:0;margin:0}.autocomplete ul li{border-bottom:1px solid #e9e9e9}.autocomplete ul li .d-icon-users{color:#888;padding:0 2px}.autocomplete ul li a{padding:5px;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.autocomplete ul li a span.username{color:#222}.autocomplete ul li a span.name{font-size:.8706em;vertical-align:middle}.autocomplete ul li a.selected{background-color:#d1f0ff}.discourse-no-touch .autocomplete ul li a:hover,.discourse-no-touch .autocomplete ul li a.btn-hover{background-color:#ffffca;text-decoration:none}div.ac-wrap.disabled input{display:none}div.ac-wrap.disabled .item a{display:none}div.ac-wrap div.item a.remove,.remove-link{margin-left:4px;font-size:.8706em;line-height:1;padding:1px 3.5px;border-radius:12px;box-sizing:border-box;border:1px solid #e9e9e9}div.ac-wrap div.item a.remove:hover,.remove-link:hover{background-color:#fbe6e1;border:1px solid #ec8972;text-decoration:none;color:#e45735}div.ac-wrap{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#fff;border:1px solid #919191;min-height:30px;box-sizing:border-box}div.ac-wrap div.item{float:left;padding:4px 10px;line-height:1.4}div.ac-wrap div.item span{display:inline-block;line-height:1.2}div.ac-wrap .ac-collapsed-button{float:left;border-radius:20px;position:relative;top:-2px;margin-right:10px}div.ac-wrap input[type="text"]{float:left;display:block;box-shadow:none;border:0;margin:0;background:transparent;min-height:unset}div.ac-wrap input[type="text"].fullwidth-input{width:100%}.future-date-input .examples{color:#919191}.md-table{overflow-y:auto;margin:1em 0}.mobile-view .md-table table{width:100%}.save-animation{-webkit-animation:transformer 5s forwards;animation:transformer 5s forwards}@-webkit-keyframes transformer{90%{-webkit-filter:opacity(1)}100%{-webkit-filter:opacity(0)}}@keyframes transformer{90%{opacity:1}100%{opacity:0}}body.ios-safari-composer-hacks #main-outlet,body.ios-safari-composer-hacks header,body.ios-safari-composer-hacks .grippie,html:not(.fullscreen-composer) body.ios-safari-composer-hacks .toggle-fullscreen{display:none}body.ios-safari-composer-hacks #reply-control{top:0px}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh, 1vh) * 100)}.mfp-bg{top:0;left:0;width:100%;height:100%;z-index:1042;overflow:hidden;position:fixed;background:#0b0b0b;opacity:.8;filter:alpha(opacity=80)}.mfp-wrap{top:0;left:0;width:100%;height:100%;z-index:1043;position:fixed;outline:0 !important;-webkit-backface-visibility:hidden}.mfp-container{text-align:center;position:absolute;width:100%;height:100%;left:0;top:0;padding:0 8px;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.mfp-container:before{content:"";display:inline-block;height:100%;vertical-align:middle}.mfp-align-top .mfp-container:before{display:none}.mfp-content{position:relative;display:inline-block;vertical-align:middle;margin:0 auto;text-align:left;z-index:1045}.mfp-inline-holder .mfp-content,.mfp-ajax-holder .mfp-content{width:100%;cursor:auto}.mfp-ajax-cur{cursor:progress}.mfp-zoom-out-cur,.mfp-zoom-out-cur .mfp-image-holder .mfp-close{cursor:-moz-zoom-out;cursor:-webkit-zoom-out;cursor:zoom-out}.mfp-zoom{cursor:pointer;cursor:-webkit-zoom-in;cursor:-moz-zoom-in;cursor:zoom-in}.mfp-auto-cursor .mfp-content{cursor:auto}.mfp-close,.mfp-arrow,.mfp-preloader,.mfp-counter{-webkit-user-select:none;-moz-user-select:none;user-select:none}.mfp-loading.mfp-figure{display:none}.mfp-hide{display:none !important}.mfp-preloader{color:#ccc;position:absolute;top:50%;width:auto;text-align:center;margin-top:-0.8em;left:8px;right:8px;z-index:1044}.mfp-preloader a{color:#ccc}.mfp-preloader a:hover{color:#fff}.mfp-s-ready .mfp-preloader{display:none}.mfp-s-error .mfp-content{display:none}button.mfp-close,button.mfp-arrow{overflow:visible;cursor:pointer;background:transparent;border:0;-webkit-appearance:none;display:block;padding:0;z-index:1046;-webkit-box-shadow:none;box-shadow:none}button::-moz-focus-inner{padding:0;border:0}.mfp-close{width:44px;height:44px;line-height:1.4;position:absolute;right:0;top:0;text-decoration:none;text-align:center;opacity:.65;filter:alpha(opacity=65);padding:0 0 18px 10px;color:#fff;font-style:normal;font-size:2em;font-family:Arial, Baskerville, monospace}.mfp-close:hover,.mfp-close:focus{opacity:1;outline:0;filter:alpha(opacity=100)}.mfp-close:active{top:1px}.mfp-close-btn-in .mfp-close{color:#333}.mfp-image-holder .mfp-close,.mfp-iframe-holder .mfp-close{color:#fff;right:-6px;text-align:right;padding-right:6px;width:100%}.mfp-counter{position:absolute;top:0;right:0;color:#ccc;font-size:.8706em;line-height:1.2}.mfp-arrow{position:absolute;opacity:.65;filter:alpha(opacity=65);top:50%;margin:-55px 0 0;padding:0;width:90px;height:110px;-webkit-tap-highlight-color:transparent}.mfp-arrow:active{margin-top:-54px}.mfp-arrow:hover,.mfp-arrow:focus{outline:0;opacity:1;filter:alpha(opacity=100)}.mfp-arrow:before,.mfp-arrow:after,.mfp-arrow .mfp-b,.mfp-arrow .mfp-a{content:"";display:block;width:0;height:0;position:absolute;left:0;top:0;margin-top:35px;margin-left:35px;border:medium inset transparent}.mfp-arrow:after,.mfp-arrow .mfp-a{border-top-width:13px;border-bottom-width:13px;top:8px}.mfp-arrow:before,.mfp-arrow .mfp-b{border-top-width:21px;border-bottom-width:21px}.mfp-arrow-left{left:0}.mfp-arrow-left:after,.mfp-arrow-left .mfp-a{border-right:17px solid #fff;margin-left:31px}.mfp-arrow-left:before,.mfp-arrow-left .mfp-b{margin-left:25px;border-right:27px solid #3f3f3f}.mfp-arrow-right{right:0}.mfp-arrow-right:after,.mfp-arrow-right .mfp-a{border-left:17px solid #fff;margin-left:39px}.mfp-arrow-right:before,.mfp-arrow-right .mfp-b{border-left:27px solid #3f3f3f}.mfp-iframe-holder{padding-top:40px;padding-bottom:40px}.mfp-iframe-holder .mfp-content{line-height:0;width:100%;max-width:900px}.mfp-iframe-holder .mfp-close{top:-40px}.mfp-iframe-scaler{width:100%;height:0;overflow:hidden;padding-top:56.25%}.mfp-iframe-scaler iframe{position:absolute;display:block;top:0;left:0;width:100%;height:100%;box-shadow:0 0 8px rgba(0,0,0,0.6);background:#000}img.mfp-img{width:auto;max-width:100%;height:auto;display:block;line-height:0;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;padding:40px 0 40px;margin:0 auto}.mfp-figure{line-height:0}.mfp-figure:after{content:"";position:absolute;left:0;top:40px;bottom:40px;display:block;right:0;width:auto;height:auto;z-index:-1;box-shadow:0 0 8px rgba(0,0,0,0.6);background:linear-gradient(45deg, #111 0%, #333 100%)}.mfp-figure small{color:#bdbdbd;display:block;font-size:.8706em;line-height:1.2}.mfp-figure figure{margin:0}.mfp-bottom-bar{margin-top:-36px;position:absolute;top:100%;left:0;width:100%;cursor:auto}.mfp-title{text-align:left;line-height:1.2;color:#f3f3f3;word-wrap:break-word;padding-right:36px}.mfp-title a.image-source-link .d-icon{padding-right:5px}.mfp-image-holder .mfp-content{max-width:100%}.mfp-gallery .mfp-image-holder .mfp-figure{cursor:pointer}@media all and (max-width: 800px) and (orientation: landscape), screen and (max-height: 300px){.mfp-img-mobile .mfp-image-holder{padding-left:0;padding-right:0}.mfp-img-mobile img.mfp-img{padding:0}.mfp-img-mobile .mfp-figure:after{top:0;bottom:0}.mfp-img-mobile .mfp-figure small{display:inline;margin-left:5px}.mfp-img-mobile .mfp-bottom-bar{background:rgba(0,0,0,0.6);bottom:0;margin:0;top:auto;padding:3px 5px;position:fixed;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.mfp-img-mobile .mfp-bottom-bar:empty{padding:0}.mfp-img-mobile .mfp-counter{right:5px;top:3px}.mfp-img-mobile .mfp-close{top:0;right:0;width:35px;height:35px;line-height:1.4;background:rgba(0,0,0,0.6);position:fixed;text-align:center;padding:0}}@media all and (max-width: 900px){.mfp-arrow{-webkit-transform:scale(0.75);transform:scale(0.75)}.mfp-arrow-left{transform-origin:0;-webkit-transform-origin:0}.mfp-arrow-right{transform-origin:100%;-webkit-transform-origin:100%}.mfp-container{padding-left:6px;padding-right:6px}}.mfp-ie7 .mfp-img{padding:0}.mfp-ie7 .mfp-bottom-bar{width:600px;left:50%;margin-left:-300px;margin-top:5px;padding-bottom:5px}.mfp-ie7 .mfp-container{padding:0}.mfp-ie7 .mfp-content{padding-top:44px}.mfp-ie7 .mfp-close{top:0;right:0;padding-top:0}.mfp-zoom-in .mfp-content{opacity:0;transition:all 0.2s;-webkit-transform:scale(0.8);-ms-transform:scale(0.8);transform:scale(0.8)}.mfp-zoom-in.mfp-bg{opacity:0;transition:all 0.3s ease-out}.mfp-zoom-in.mfp-ready .mfp-content{opacity:1;-webkit-transform:scale(1);transform:scale(1)}.mfp-zoom-in.mfp-ready.mfp-bg{opacity:0.8}.mfp-zoom-in.mfp-removing .mfp-content{-webkit-transform:scale(0.8);transform:scale(0.8);opacity:0}.mfp-zoom-in.mfp-removing.mfp-bg{opacity:0}.mfp-force-scrollbars.mfp-wrap{overflow-y:auto !important;overflow-x:auto !important}.mfp-force-scrollbars .mfp-img{max-width:none}.button-count.has-pending span{background-color:#e45735;color:#fff;border-radius:10px;padding:0.25em 0.5em;display:inline-block;font-size:0.8em}.placeholder-avatar{display:inline-block;width:45px;height:45px;border-radius:50%;position:relative;overflow:hidden}.placeholder-avatar:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;left:0;content:"";background:linear-gradient(to right, #f8f8f8 10%, #e9e9e9 28%, #f8f8f8 43%);height:45px;width:700px}.placeholder-text{margin-left:11px;display:inline-block;width:calc(100% - 11px);height:1.5em;margin-bottom:0.6em}.names{flex:1 1 auto;overflow:hidden}.names span.first{display:flex;align-items:baseline;font-weight:bold}.names span{font-size:1em;margin-right:8px;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle}.names span a{color:#646464}.names .fa{font-size:.8706em;color:#919191}.names .svg-icon-title{margin-left:3px;margin-right:0px}.names .new_user a,.names .user-title,.names .user-title a{color:#919191}.cooked,.d-editor-preview{word-wrap:break-word;line-height:1.4}.cooked h1,.cooked h2,.cooked h3,.cooked h4,.cooked h5,.cooked h6,.d-editor-preview h1,.d-editor-preview h2,.d-editor-preview h3,.d-editor-preview h4,.d-editor-preview h5,.d-editor-preview h6{margin:30px 0 10px;line-height:1.2}.cooked h1,.d-editor-preview h1{font-size:1.5157em}.cooked h2,.d-editor-preview h2{font-size:1.3195em}.cooked h3,.d-editor-preview h3{font-size:1.1487em}.cooked h4,.d-editor-preview h4{font-size:1em}.cooked h5,.d-editor-preview h5{font-size:.8706em}.cooked h6,.d-editor-preview h6{font-size:.7579em}.cooked a,.d-editor-preview a{word-wrap:break-word}.cooked ins,.d-editor-preview ins{background-color:#b8ffb8}.cooked del,.d-editor-preview del{background-color:#fbe6e1}.cooked big,.d-editor-preview big{font-size:1.5rem}.cooked small,.d-editor-preview small{font-size:0.75rem}.cooked small small,.d-editor-preview small small{font-size:0.75em}.cooked big big,.d-editor-preview big big{font-size:1em}.cooked sub sub sub,.d-editor-preview sub sub sub{bottom:0}.cooked sup sup sup,.d-editor-preview sup sup sup{top:0}.cooked video,.d-editor-preview video{max-width:100%}.cooked sup sup,.d-editor-preview sup sup{top:0}.moderator .regular>.cooked{background-color:#ffffca;padding:10px}.moderator .regular>.cooked img:not(.thumbnail){max-width:100%;height:auto}.moderator .clearfix>.topic-meta-data>.names span.user-title,.moderator .nav-pills>.topic-meta-data>.names span.user-title,.moderator .container>.topic-meta-data>.names span.user-title,.moderator .wrap>.topic-meta-data>.names span.user-title{color:#646464}.moderator .clearfix>.topic-meta-data>.names span.user-title a,.moderator .nav-pills>.topic-meta-data>.names span.user-title a,.moderator .container>.topic-meta-data>.names span.user-title a,.moderator .wrap>.topic-meta-data>.names span.user-title a{background-color:#ffffca;padding-left:4px;padding-right:4px}.topic-meta-data{display:flex;align-items:flex-start}.topic-meta-data .names{margin-right:auto}.topic-meta-data .post-infos{display:flex;flex:0 0 auto;align-items:center}aside.quote{margin-top:1em;margin-bottom:1em}aside.quote .badge-wrapper{margin-left:5px}aside.quote .title{border-left:5px solid #e9e9e9;background-color:#f9f9f9;color:#646464;padding:12px 12px 1px 12px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}aside.quote .title .avatar{margin-right:7px}aside.quote .title img{margin-top:-4px}aside.quote blockquote{margin-top:0}blockquote img{max-width:100% !important}.quote-controls,.quote-controls .d-icon{color:#bdbdbd}.cooked .highlight{background-color:#d1f0ff;padding:2px;margin:-2px}.post-ignored{font-style:italic}.post-action{color:#919191}.post-action .undo-action,.post-action .act-action{margin-left:5px}.post-hidden{opacity:0.5;position:relative;z-index:1}.topic-post.staged{opacity:0.4}.quote-controls{float:right;display:flex;align-items:center}.quote-controls a{margin-left:0.3em}.quote-button{display:none;position:absolute;background-color:#b6b6b6;color:#fff;padding:10px;z-index:300;opacity:0.9}.quote-button .d-icon{display:inline-block}.quote-button:hover{background-color:#919191;cursor:pointer}.topic-avatar,.user-card-avatar{position:relative}.topic-map{background:#f8f8f8;border:1px solid #e9e9e9;border-top:none}.topic-map .avatars>div{float:left;position:relative;margin:3px 0}.topic-map .avatars .post-count{position:absolute;right:0;border-radius:100px;padding:3px 5px;text-align:center;font-weight:normal;font-size:.7579em;line-height:1}.topic-map .avatar{float:left;margin-right:4px}.topic-map section{border-top:1px solid #e9e9e9}.topic-map ul{margin:0;list-style:none}.topic-map h3{margin-bottom:4px;color:#222;line-height:1.4;font-weight:normal;font-size:1em}.topic-map h4{margin:1px 0 2px 0;color:#919191;font-weight:normal;font-size:.8706em;line-height:1}.topic-map span.domain{font-size:.7579em;color:#919191}.topic-map td{vertical-align:top;padding:1px}.topic-map .topic-links tr{border:none}.topic-map .topic-links .badge-notification{margin:1px 5px 2px 0}.topic-map .controls{display:flex;align-items:center}.topic-map .controls .btn{margin-right:0.5em}.topic-map .controls .btn:last-child{margin:0}.topic-map .participants{display:flex;flex-wrap:wrap;align-items:center}.topic-map .participants+.controls{margin-top:0.5em}.topic-map .participants.hide-names .user .username,.topic-map .participants.hide-names .user .group-name{display:none}.topic-map .participants .user{border:1px solid #e9e9e9;border-radius:0.25em;padding:0;margin:0.125em 0.25em 0.125em 0;display:flex;align-items:center;height:26px}.topic-map .participants .user .user-link,.topic-map .participants .user .group-link{color:#646464}.topic-map .participants .user .user-link:hover,.topic-map .participants .user .group-link:hover{color:#222}.topic-map .participants .user .avatar,.topic-map .participants .user .d-icon-users{margin-left:0.25em;margin-right:0.25em}.topic-map .participants .user .username,.topic-map .participants .user .group-name{margin-right:0.25em}.topic-map .participants .user:last-child{margin-right:0}.topic-map .participants .user .remove-invited{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0 0.25em 0.25em 0;padding-top:0;padding-bottom:0;height:100%}.topic-map .add-remove-participant-btn .d-icon{margin-left:0.25em}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.user-card-avatar .avatar-flair,.topic-map .poster .avatar-flair,.user-profile-avatar .avatar-flair,.user-image .avatar-flair{display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;background-position:center;position:absolute;bottom:0;right:-6px}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.collapsed-info .user-profile-avatar .avatar-flair,.user-image .avatar-flair{background-size:20px 20px;width:20px;height:20px}.topic-avatar .avatar-flair.rounded,.avatar-flair-preview .avatar-flair.rounded,.collapsed-info .user-profile-avatar .avatar-flair.rounded,.user-image .avatar-flair.rounded{background-size:18px 18px;border-radius:12px;width:24px;height:24px;bottom:-2px;right:-8px}.user-card-avatar .avatar-flair,.user-profile-avatar .avatar-flair{background-size:40px 40px;width:40px;height:40px}.user-card-avatar .avatar-flair.rounded,.user-profile-avatar .avatar-flair.rounded{background-size:30px 30px;border-radius:24px;width:40px;height:40px;bottom:-2px;right:-4px}.user-card-avatar .avatar-flair .fa,.user-profile-avatar .avatar-flair .fa{font-size:1.7511em}.topic-map .poster .avatar-flair{right:0;background-size:12px 12px;width:16px;height:16px;bottom:-3px;color:#222}.topic-map .poster .avatar-flair.rounded{background-size:12px 12px;border-radius:8px;width:16px;height:16px;bottom:-2px;right:0}.topic-map .poster .avatar-flair .d-icon{font-size:.7579em}.topic-avatar .poster-avatar-extra{display:none}.map:first-of-type{display:flex}.map:first-of-type .buttons{margin-left:auto;order:15}.map:first-of-type .buttons .btn{height:100%}.topic-body .cooked{overflow:hidden}.topic-body.highlighted{animation:background-fade-highlight 2.5s ease-out}.post-info{flex:0 0 auto;margin-right:0.5em}.post-info.post-date{margin-right:0}.post-info.via-email .d-icon,.post-info.whisper .d-icon,.post-info.post-locked .d-icon{font-size:1em}.post-info .wiki,.post-info .last-wiki-edit{color:green}.post-info.via-email{color:#bdbdbd}.post-info.raw-email{cursor:pointer}pre code{word-wrap:normal;display:block;padding:0.5em;color:#222;background:#f9f9f9;max-height:500px}kbd{background-color:#fff;border:1px solid #e9e9e9;border-radius:3px;box-shadow:0 2px 0 rgba(0,0,0,0.2),0 0 0 1px #fff inset;background:#fafafa;border:1px solid #ccc;border-bottom:medium none #fff;color:#222;display:inline-block;font-size:.8706em;line-height:1.4;margin:0 0.1em;padding:0.1em 0.6em}kbd * * *{display:none}blockquote>*:first-child{margin-top:0 !important}blockquote>*:last-child{margin-bottom:0 !important}.gap{padding:0.25em 0 0.5em 56px;color:#919191;cursor:pointer;text-transform:uppercase;font-weight:bold;font-size:.8706em}.who-liked,.who-read{transition:height 0.5s}.who-liked a,.who-read a{margin:0 0.25em 0.5em 0;display:inline-block}.cooked table thead th,.d-editor-preview table thead th{text-align:left;padding-bottom:2px;font-weight:bold;color:#222}.cooked table td,.d-editor-preview table td{padding:3px 3px 3px 0.5em}.small-action{display:flex;align-items:center;max-width:758px;border-top:1px solid #e9e9e9}.small-action .topic-avatar{align-self:flex-start;padding:0.7em 0;border-top:none;margin-right:11px;flex:0 0 auto}.small-action .topic-avatar .d-icon{font-size:2em;width:45px;text-align:center;color:#bdbdbd}.small-action .small-action.deleted{background-color:rgba(242,171,154,0.7)}.small-action .small-action-desc.timegap{color:#919191}.small-action .small-action-desc{display:flex;flex-wrap:wrap;flex:1 1 100%;align-items:center;padding:1em 0;text-transform:uppercase;font-weight:bold;font-size:.8706em;color:#919191;min-width:0}.small-action .small-action-desc .custom-message{flex:1 1 100%;text-transform:none;font-weight:normal;font-size:1.1487em;order:12;word-break:break-word;min-width:0}.small-action .small-action-desc .custom-message p{margin-bottom:0}.small-action .small-action-desc a.trigger-user-card{align-self:stretch}.small-action .small-action-desc .avatar{margin-right:0.8em;float:left}.small-action .small-action-desc>p{margin:0;line-height:1.2;flex:1 1}.small-action button{background:transparent;border:0;order:9}.small-action button:last-of-type{margin-left:auto;order:8}.whisper .post-info.whisper{margin-left:0.5em}.whisper .topic-body .cooked{font-style:italic;color:#919191}a.mention,a.mention-group{padding:2px 4px;color:#646464;background:#e9e9e9;border-radius:8px;font-weight:bold;font-size:0.93em}.popup-menu h3{margin-top:0}.suggested-topics .topics{padding-bottom:15px}.suggested-topics .suggested-topics-message .badge-wrapper{margin-right:0}.large-image-placeholder>a.link{margin-right:10px}.large-image-placeholder>a>*{overflow:hidden;vertical-align:middle}.large-image-placeholder>a>.d-icon{color:#919191;margin-right:6px;font-size:1em;line-height:1.4}.large-image-placeholder>a>span.url{display:inline-block;max-width:300px;margin-right:6px;text-overflow:ellipsis;white-space:nowrap}.large-image-placeholder>a>span.help{display:inline-block;color:#919191;font-size:.8706em;font-style:italic;line-height:1.4;margin-bottom:1px}.large-image-placeholder>a>span.badge-notification{vertical-align:unset}.broken-image,.large-image{color:#bdbdbd;border:1px solid #e9e9e9;font-size:2em;padding:16px}.reply-to-tab{display:flex;align-items:center;margin-right:2em}.reply-to-tab img{margin:0 0.25em}.topic-post.selected article.boxed .select-posts button.select-post{background-color:#08c;color:#fff;border-color:#08c}.topic-post.selected article.boxed .topic-body .contents:after{display:none}.topic-post article.boxed{position:relative}.topic-post article.boxed .select-posts{position:absolute;right:5em;z-index:300;top:0.5em;height:100px}.topic-post article.boxed .select-posts button{margin-left:8px;background-color:#e9e9e9;color:#222;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}@media all and (max-width: 767px){.reply-to-tab span{display:none}.user-title{float:left;clear:left}}.signup-cta a{float:right;text-decoration:underline}.signup-cta .buttons{margin-bottom:1em}.post-notice{align-items:center;background-color:#d1f0ff;border-top:1px solid #e9e9e9;display:flex;max-width:calc( 690px + (11px * 2) + 45px - (0.8em * 2));padding:0.8em}.post-notice.old{background-color:unset;color:#919191}.post-notice.old .d-icon{color:#919191}.post-notice p{margin:0}.post-notice .d-icon{font-size:2em;color:#646464;margin-right:0.65em}#topic-footer-buttons .reason{color:#646464;display:inline;margin:0 0 0 8px;line-height:1.2}@keyframes button-jump-up{0%{margin-bottom:-60px}50%{margin-bottom:10px}65%{margin-bottom:0px}77%{margin-bottom:5px}100%{margin-bottom:0px}}.progress-back-container{z-index:300;margin-right:0;animation-duration:0.5s;animation-name:button-jump-up;width:145px;text-align:center;margin-bottom:0px;position:absolute;right:0;top:-2em}.progress-back-container .btn{margin:0}#topic-progress-wrapper{display:flex}#topic-progress-wrapper .topic-admin-menu-button-container{display:flex}#topic-progress-wrapper .topic-admin-menu-button-container>span{display:flex}#topic-progress-wrapper .topic-admin-popup-menu.right-side{position:absolute;bottom:0;right:0;left:auto;transition:bottom 0.5s;transform:translateZ(0)}#topic-progress-wrapper.docked .topic-admin-popup-menu.right-side{bottom:-150px}.title-wrapper{display:flex;flex-wrap:wrap}.title-wrapper button{margin:0 0.5em 0 0}.title-wrapper a.topic-featured-link{display:inline-block}.title-wrapper .topic-statuses{line-height:1.2em;margin-right:0.15em}.title-wrapper .topic-statuses .d-icon{color:#919191}h1{margin:0 0 4px 0}a.badge-category{margin-top:5px}#topic-title .title-wrapper{display:flex;flex-wrap:wrap;width:90%}#topic-title .title-wrapper a.topic-featured-link{display:inline-block}#topic-title h1{margin:0 0 4px 0;width:100%}#topic-title a.badge-category{margin-top:5px}#topic-title a.edit-topic .d-icon{font-size:0.8em}#topic-title .edit-topic-title{display:flex;flex-wrap:wrap;box-sizing:border-box;max-width:758px}#topic-title .edit-topic-title #edit-title{flex:1 1 auto}#topic-title .edit-topic-title .private-message-glyph{margin:5px 5px 0 0}#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 49%;margin:0 0 9px 0}@media all and (max-width: 500px){#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 100%}}#topic-title .edit-topic-title .mini-tag-chooser{margin-left:2%}@media all and (max-width: 500px){#topic-title .edit-topic-title .mini-tag-chooser{margin-left:0}}.private-message-glyph{color:#bdbdbd;margin-right:5px}.archetype-private_message #topic-title .edit-topic-title .tag-chooser{margin-left:19px}.private_message #topic-title .edit-topic-title #edit-title{width:calc(100% - 50px)}.topic-title-outlet{clear:both}.has-pending-posts{display:flex;justify-content:space-between;padding:0.5em;background-color:#ffffa6;margin-top:1em;max-width:757px}.suggested-topics-wrapper.related-messages-wrapper .suggested-topics:nth-of-type(n+2) thead{display:none}.suggested-topics h3 .badge-wrapper.bullet span.badge-category,.suggested-topics h3 .badge-wrapper.box span,.suggested-topics h3 .badge-wrapper.bar span{display:inline}.suggested-topics h3 .badge-wrapper.bullet span.badge-category{vertical-align:baseline;line-height:1.2}.suggested-topics h3 .badge-wrapper.bullet,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg{line-height:0.8}.suggested-topics .badge-wrapper.bullet span.badge-category,.suggested-topics .badge-wrapper.bar span.badge-category{max-width:150px}.suggested-topics .suggested-topics-title{display:flex;align-items:center}.post-links-container{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both}.post-links-container .post-links{margin-top:1em;padding-top:1em;border-top:1px solid #e9e9e9}.post-links-container .post-links li:last-of-type{margin-bottom:1em}.post-links-container .expand-links{color:#919191}.post-links-container .track-link{display:flex;align-items:center}.post-links-container .track-link span:not(.badge){overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.post-links-container ul{margin:0;list-style:none}.post-links-container ul li{margin-bottom:0.5em}.post-links-container ul li a[href]{color:#919191}.post-links-container ul li .clicks{margin-left:0.5em;flex:0 0 auto}.post-links-container ul li .d-icon{font-size:.7579em;margin:0 0.5em 0 0}.post-links-container a.reply-new .d-icon{background:#fff;border-radius:20px;transition:all linear 0.15s}.post-links-container a.reply-new:hover{color:#08c}.post-links-container a.reply-new:hover .d-icon{background:#d1f0ff}a.topic-featured-link{display:inline-block;text-transform:lowercase;color:#919191;font-size:0.875rem}a.topic-featured-link .d-icon{margin-right:3px}.topic-area .pending-posts{max-width:calc( 690px + 45px + 22px)}.topic-area .pending-posts .reviewable-item .post-body{max-height:unset}#request-access{width:325px;margin:0 auto}#request-access input[type="text"]{width:320px;height:30px;font-size:1.5157em}#request-access input[type="submit"]{font-size:1.5157em;padding:10px}.hljs{display:block;padding:0.5em;color:#333}.hljs-comment,.hljs-doctag{color:#998;font-style:italic}.hljs-keyword,.javascript .hljs-title,.nginx .hljs-title,.hljs-subst,.hljs-request,.hljs-status{color:#333;font-weight:bold}.hljs-number,.ruby .hljs-constant{color:#099}.hljs-string,.hljs-tag .hljs-string,.tex .hljs-formula{color:#d14}.hljs-title,.hljs-name,.coffeescript .hljs-params,.scss .hljs-meta{color:#d14;font-weight:bold}.javascript .hljs-title,.lisp .hljs-title,.clojure .hljs-title,.hljs-subst{font-weight:normal}.hljs-class .hljs-title,.haskell .hljs-type,.vhdl .hljs-literal,.tex .hljs-command{color:#458;font-weight:bold}.hljs-tag,.hljs-tag .hljs-title,.django .hljs-tag .hljs-keyword{color:navy;font-weight:normal}.hljs-attribute,.css .hljs-keyword,.hljs-variable,.lisp .hljs-body{color:teal}.hljs-regexp{color:#090}.hljs-symbol,.ruby .hljs-symbol .hljs-string,.lisp .hljs-keyword,.tex .hljs-special,.hljs-prompt{color:#990073}.hljs-built_in,.lisp .hljs-title,.clojure .hljs-built_in,.hljs-builtin-name{color:#0aadff}.meta{color:#919191;font-weight:bold}.hljs-deletion{background:#fbe6e1}.hljs-addition{background:#b8ffb8}.diff .hljs-meta{color:#e9e9e9}p>code,li>code,pre>code{color:#333;background:#f8f8f8}#discourse-tooltip{background-color:#fff;position:absolute;z-index:600;border:1px solid #919191;max-width:400px;margin-top:25px;overflow-wrap:break-word;display:none;font-size:1em;font-weight:500}#discourse-tooltip.retina{border:0.5px solid #919191}#discourse-tooltip .tooltip-pointer{position:relative;background:#fff}#discourse-tooltip .tooltip-pointer:before,#discourse-tooltip .tooltip-pointer:after{position:absolute;pointer-events:none;border:solid transparent;bottom:100%;content:"";height:0;width:0}#discourse-tooltip .tooltip-pointer:after{border-bottom-color:#fff;border-width:8px;left:50%;margin-left:-8px;margin-bottom:-0.5px}#discourse-tooltip .tooltip-pointer:before{border-bottom-color:#919191;border-width:9px;left:50%;margin-left:-9px;margin-bottom:-0.5px}#discourse-tooltip .tooltip-content{padding:1em;max-width:250px;font-size:.8706em;color:#222;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);line-height:1.4em}.page-not-found{margin:0 0 40px 0}.page-not-found h1.title{font-size:2em;line-height:1.2}.page-not-found-search{margin-top:20px}.page-not-found-topics{display:flex}@media screen and (max-width: 600px){.page-not-found-topics{flex-wrap:wrap}}.popular-topics,.recent-topics{box-sizing:border-box;width:50%;max-width:400px;margin-bottom:40px;padding-right:20px}@media screen and (max-width: 600px){.popular-topics,.recent-topics{width:100%}}.popular-topics h2,.recent-topics h2{margin-bottom:10px}.not-found-topic{display:flex;flex-wrap:wrap;align-items:baseline;margin-bottom:15px}@media screen and (max-width: 600px){.not-found-topic:nth-of-type(n+6){display:none}}.not-found-topic a:not(.badge-wrapper){flex-basis:100%}.modal-outer-container{width:100%;height:100%}.modal-middle-container{display:flex;height:100%;align-items:center}.modal-inner-container{box-sizing:border-box;flex:0 1 auto;margin:0 auto;max-width:700px;background-color:#fff;box-shadow:0 8px 60px rgba(0,0,0,0.6)}.modal-inner-container .select-kit{width:220px}.modal-inner-container .select-kit.tag-chooser{width:100%}.modal-open .dropdown-menu{z-index:1400}.modal-open .popover{z-index:1500}.modal-open .tooltip{z-index:1600}.bootbox.modal{position:fixed;z-index:1300;overflow:auto;height:auto;background-color:#fff;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-clip:padding-box}.input-hint-text{margin-left:0.5em;color:#a6a6a6}.modal-header{display:flex;padding:10px 15px;border-bottom:1px solid #e9e9e9;align-items:center}.modal-header .title h3{margin-bottom:0}.modal-header .title p{margin:0}.modal-header .modal-close{align-self:flex-start;order:2;margin-left:auto;padding-left:2em}.modal-header .modal-close .close{color:#646464}.modal-backdrop{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1200;background-color:#111}.modal-backdrop.fade{opacity:0}.modal-backdrop,.modal-backdrop.fade.in{animation:fade 0.3s;opacity:0.9;filter:alpha(opacity=90)}@keyframes fade{from{opacity:0}to{opacity:0.9}}@keyframes slidein{from{transform:translateY(-20%)}to{transform:translateY(0)}}.create-account.in .modal-inner-container,.login-modal.in .modal-inner-container{animation:slidein 0.3s}.inline-modal .modal-inner-container{border:1px solid gray}.fixed-modal{position:fixed;top:0;width:100%;height:100%;z-index:1300;overflow:auto}.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:80vh !important}@media screen and (max-height: 500px){.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:65vh !important}}.modal-form{margin-bottom:0}.modal-footer{padding:14px 15px 10px;border-top:1px solid #e9e9e9}.modal-footer .btn{margin:0 5px 5px 0}.modal.edit-category-modal .modal-body textarea{height:10em}@media screen and (min-width: 524px){.modal.edit-category-modal .modal-inner-container{min-width:525px}}.modal .nav{padding:10px 30px 10px 15px;background-color:#fff;border-bottom:1px solid #e9e9e9}.modal .nav li>a{font-size:1em}.modal.hidden{display:none}.modal .modal-body{box-sizing:border-box;width:100%;overflow-y:auto;max-height:400px}.modal .modal-body.full-height-modal{max-height:calc(100vh - 150px)}.modal .modal-body.insert-link{overflow-y:visible}.modal .modal-body.insert-link input{min-width:300px}.modal .modal-body.insert-link .inputs{position:relative}.modal .modal-body.insert-link .inputs .spinner{position:absolute;right:8px;top:-15px;width:10px;height:10px}.modal .modal-body.insert-link .inputs .internal-link-results{position:absolute;top:70%;padding:5px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:5;background-color:#fff;max-height:150px;width:90%;overflow-y:auto}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link{padding:6px;border-bottom:1px solid #e9e9e9;cursor:pointer;display:block}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:hover,.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:focus{background-color:#ffffa6}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .search-category{display:flex;align-items:center}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .discourse-tags{display:inline-block;font-size:.8706em}.modal .modal-body textarea{width:99%;height:80px}.modal .modal-body p{font-size:1em}.modal .modal-body .archetype-option{margin-bottom:20px}.modal .modal-body .warning{color:#e45735 !important}.modal .password-confirmation{display:none}.modal section.field{padding:0.25em 0;margin-bottom:5px}.modal section.field.with-items{display:flex;align-items:flex-start}.modal section.field .field-item{display:inline-block;margin-right:10px}.modal .modal-body.forgot-password-modal p{font-size:1em}.modal pre code{white-space:pre-wrap;max-width:700px}.reply-where-modal .modal-footer a{display:block}.reply-where-modal .modal-footer .d-modal-cancel{margin:1em 0 0.5em}.reply-where-modal .modal-footer .btn{text-align:left;font-size:1.3195em;line-height:1.2;margin-bottom:10px;font-weight:bold}.reply-where-modal .modal-footer .btn .topic-title{font-weight:normal}.d-modal-cancel{margin-left:1em;color:#919191}.d-modal-cancel:hover{color:#e45735}.delete-user-modal .modal-footer .btn{line-height:1.2}.delete-posts-progress .progress-bar{height:15px;position:relative;background:#bdbdbd;border-radius:25px;overflow:hidden;margin:30px 0 20px}.delete-posts-progress .progress-bar span{display:block;width:0%;height:100%;background-color:#08c;position:relative;transition:width 0.6s linear}.permission-list{list-style:none;margin:0 0 30px;padding:0}.permission-list .name{margin-right:20px;display:inline-block;min-width:100px}.permission-list .permission{margin-left:20px}.permission-list .d-icon-times-circle{margin-left:5px;color:#e45735}.permission-list li{margin-bottom:10px}.edit-category-modal input:not([type="checkbox"]),.edit-category-modal .controls{display:block;margin-bottom:0.5em}.edit-category-modal .disable_info_wrap{position:relative;display:inline-block;float:right}.edit-category-modal .disable_info_wrap .cannot_delete_reason{position:absolute;background:#222;color:#fff;text-align:center;border-radius:2px;padding:12px 8px}.edit-category-modal .disable_info_wrap .cannot_delete_reason::after{top:100%;left:57%;border:solid transparent;content:" ";position:absolute;border-top-color:#222;border-width:8px}.edit-category-modal .permission-selector{margin-right:0.25em}.edit-category-modal .pending-permission-change-alert{margin-left:auto;max-width:250px;background:#434343;color:#fff;margin-top:10px;padding:5px 10px;position:relative}.edit-category-modal .pending-permission-change-alert .arrow-div{border:solid transparent;content:" ";position:absolute;border-bottom-color:#434343;border-width:7px;top:-13px;left:200px}.edit-category-modal .add-permission{position:relative;top:0.1em}.edit-category-modal .edit-category-tab-settings>section{margin-bottom:1.5em}.edit-category-modal .edit-category-tab-settings input[type="number"],.edit-category-modal .edit-category-tab-settings input[type="text"],.edit-category-modal .edit-category-tab-settings .select-kit{width:280px}.edit-category-modal .edit-category-tab-settings label{max-width:280px}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label{flex-wrap:wrap}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label a{margin-left:1.3em}.edit-category-modal #category-min-tags-from-group{width:100px}.incoming-email-modal .btn{transition:none;background-color:transparent;margin-right:5px}.incoming-email-modal .btn:hover,.incoming-email-modal .btn.active{color:#222}.incoming-email-modal .btn.active{font-weight:bold}.incoming-email-modal .btn:focus{outline:2px solid #e9e9e9}.incoming-email-modal .incoming-email-tabs{margin-bottom:15px}.incoming-email-modal .incoming-email-content{height:300px;max-width:700px;width:90vw}.incoming-email-modal .incoming-email-content textarea,.incoming-email-modal .incoming-email-content .incoming-email-html-part{height:95%;border:none;border-top:1px solid #e9e9e9;padding-top:10px}.incoming-email-modal .incoming-email-content textarea{font-family:monospace;resize:none;border-radius:0;box-shadow:none}.incoming-email-modal .incoming-email-content .incoming-email-html-part{padding:10px 4px 4px 4px}.modal .modal-body.change-timestamp #date-container .pika-single{width:100%;box-sizing:border-box;display:flex;justify-content:center}.modal .modal-body.change-timestamp form{display:flex}.modal .modal-body.change-timestamp form .date-picker-wrapper,.modal .modal-body.change-timestamp form input[type="time"]{width:50%}.modal .modal-body.change-timestamp form .date-picker-wrapper{display:flex;flex:1}.modal .modal-body.change-timestamp form .date-picker-wrapper .date-picker{flex:1}.modal .modal-body.change-timestamp form input.date-picker,.modal .modal-body.change-timestamp form input[type="time"]{text-align:left;margin:0}.change-timestamp{max-width:420px}.change-timestamp #date-container .pika-single,.poll-ui-builder #date-container .pika-single{position:relative !important;display:inline-block;margin-top:0.5em}.change-timestamp .date-picker-wrapper,.poll-ui-builder .date-picker-wrapper{min-width:130px;margin-right:0.5em}.change-timestamp input[type="time"],.poll-ui-builder input[type="time"]{width:130px}.change-timestamp form,.poll-ui-builder form{margin:0}.flag-modal{max-height:450px}.flag-modal .flag-action-type-details{width:100%;max-width:500px;line-height:1.4}.flag-message{margin:0}.custom-message-length{color:#919191;font-size:.8706em}.jump-to-post-modal .modal-inner-container{max-width:350px}.jump-to-post-modal .modal-body{overflow-y:visible}.jump-to-post-modal .modal-body #post-jump,.jump-to-post-modal .modal-body .date-picker{margin:0;width:100px}.jump-to-post-modal .modal-body .input-hint-text{color:#222}.jump-to-post-modal .modal-body .jump-to-post-control .index{color:#919191}.jump-to-post-modal .modal-body .jump-to-date-control .input-hint-text{margin-left:0}.jump-to-post-modal .modal-body .separator{display:flex;align-items:center;margin:0.5em auto}.jump-to-post-modal .modal-body .separator hr{flex:1 0 0px}.jump-to-post-modal .modal-body .separator .text{margin:0 0.5em 0 0;color:#919191}.move-to-modal .existing-topic .radio{flex-wrap:wrap}.move-to-modal .existing-topic .topic-title{max-width:90%}.move-to-modal .existing-topic .topic-categories{width:100%}.modal:not(.has-tabs) .modal-tab{position:absolute;width:95%}.modal.has-tabs .modal-tabs{display:inline-flex;flex-wrap:wrap;width:calc(100% - 20px);flex:1 0 auto;margin:0}.modal.has-tabs .modal-tabs .modal-tab{list-style:none;padding:4px 8px;margin-right:4px;cursor:pointer}.modal.has-tabs .modal-tabs .modal-tab.is-active{color:#fff;background:#e45735}.modal.has-tabs .modal-tabs .modal-tab.is-active.single-tab{background:none;color:#222;padding:4px 0}.groups-header{display:flex;flex-wrap:wrap;margin-bottom:1em}.groups-header .groups-header-new{order:2;margin-bottom:0.5em}.groups-header-filters{display:flex;flex-wrap:wrap}.groups-header-filters .groups-header-filters-name,.groups-header-filters .groups-header-filters-type{margin-right:5px;margin-bottom:0.5em}.groups-header-filters:last-child{margin-right:auto}.groups-boxes{margin:1em 0;width:100%;display:flex;flex-wrap:wrap;justify-content:space-between}@supports (display: grid){.groups-boxes{display:grid;grid-template-columns:repeat(4, 24%);grid-column-gap:1.333%;grid-row-gap:1em}@media screen and (max-width: 768px){.groups-boxes{grid-template-columns:repeat(3, 32%);grid-column-gap:2%}}@media screen and (max-width: 450px){.groups-boxes{grid-template-columns:100%}}}.groups-boxes .group-box{flex:1 1 24%;margin:1%;display:flex;box-sizing:border-box;cursor:pointer;border:1px solid #e9e9e9;color:#222}@media screen and (max-width: 450px){.groups-boxes .group-box{margin:0}}.discourse-no-touch .groups-boxes .group-box{transition:all 0.25s}.discourse-no-touch .groups-boxes .group-box:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15)}.groups-boxes .group-box .group-membership{color:#919191;margin-top:auto;padding-top:1em}.groups-boxes .group-box .group-membership .is-group-owner,.groups-boxes .group-box .group-membership .is-group-member{color:#090}.groups-boxes .group-box .group-box-inner{padding:1em;width:100%;display:flex;flex-direction:column;box-sizing:border-box}.groups-boxes .group-box .group-box-inner .group-info-wrapper{display:flex;overflow:hidden;flex:0 1 auto}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-avatar-flair{margin-top:0.2em;margin-right:8px;flex:0 0 auto}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info{flex:1 0 auto;margin-bottom:1em;width:70%}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info span{width:100%;word-break:break-word;line-height:1.2}.groups-boxes .group-box .group-box-inner .group-user-count{display:flex;align-items:center;color:#646464}.groups-boxes .group-box .group-box-inner .group-user-count .d-icon{margin-right:0.25em;font-size:0.8em;color:#919191}.groups-boxes .group-box .group-box-inner .group-description{color:#646464;word-wrap:break-word}.groups-boxes .group-box .groups-info-name{font-size:1.1487em;font-weight:bold;color:#222}.groups-boxes .group-box .group-avatar-flair{display:inline-block;color:#222}.groups-boxes .group-box .group-avatar-flair .avatar-flair{background-size:40px;height:40px;width:40px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat}.groups-boxes .group-box .group-avatar-flair .avatar-flair .d-icon{height:22.22222px;width:22.22222px}.groups-boxes .group-box .avatar-flair-image{width:40px}.caps-lock-warning{color:#e45735;font-size:.8706em;font-weight:bold}.discourse-no-touch #login-form{margin:0}.discourse-touch .caps-lock-warning{display:none}#login-form table{width:100%}#login-form a{color:#646464}#login-form td{padding-right:5px}#login-form #credentials tr:first-of-type{margin-bottom:0.75em}#new-account-link{cursor:pointer}.login-modal tr,.create-account tr{border:none}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:10px 0 0 0}.login-modal td label,.login-modal td input,.create-account td label,.create-account td input{margin-bottom:0;width:100%}.login-modal .modal-footer .inline-spinner,.create-account .modal-footer .inline-spinner{display:inline-flex}.login-modal.awaiting-approval,.create-account.awaiting-approval{display:none}.create-account .disclaimer{color:#919191;margin-top:0.5em}.create-account .user-field>label{margin-top:0.75em;margin-bottom:0;padding-top:5px}.create-account .user-field:first-of-type>label{margin-top:0}.create-account .user-field input[type="text"]{margin-bottom:0;width:100%}.create-account .user-field .select-kit{width:100%}.create-account .user-field .controls{padding-top:5px}.create-account .user-field .controls label{width:auto;text-align:left;font-weight:normal}.create-account .user-field .controls .instructions{margin-top:0.15em;color:#919191;line-height:1.2}.password-reset .instructions label{color:#919191}.invites-show .two-col{position:relative;display:flex}.invites-show .col-image{position:relative;margin-right:20px}@media screen and (max-width: 600px){.invites-show .col-image{display:none}}.invites-show form{margin-top:24px}.invites-show form button.btn-primary{margin-top:10px}.invites-show form label:not(.checkbox-label){font-weight:bold}.invites-show form .controls,.invites-show form .input{margin-bottom:10px}.invites-show form .instructions{color:#919191;margin:0;font-size:.8706em;font-weight:normal;line-height:1.2}.auth-message{padding:0 15px 15px 15px}.auth-message:empty{padding:0}.modal tr.instructions{display:flex;flex-direction:column;margin-top:0.15em}.modal tr.instructions label{color:#919191}button#login-link,button#new-account-link{background:transparent;color:#646464}#security-key{display:flex;flex-wrap:wrap;align-items:center}#security-key button{margin-right:1.5em}#security-key p{margin:0;font-size:1em}#security-key a{display:inline-block;padding:1em 0.5em 1em 0;color:#08c}.menu-panel.slide-in{position:fixed;right:0;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25)}.menu-panel.slide-in.animate{transition:right 0.2s ease-out, left 0.2s ease-out}.menu-panel.slide-in .panel-body{position:absolute;top:3px;bottom:37px;width:97%}.header-cloak{display:none}.menu-panel.drop-down{position:absolute;top:100%;right:-10px}.menu-panel{border:1px solid #e9e9e9;box-shadow:0 12px 12px rgba(0,0,0,0.15);background-color:#fff;z-index:1000;padding:0.5em;width:300px}.menu-panel hr{margin:3px 0}.menu-panel .panel-header{position:absolute;right:20px}.menu-panel ul{list-style:none;margin:0;padding:0}.menu-panel .panel-body{touch-action:pan-y pinch-zoom;overflow-y:auto;overflow-x:hidden;max-height:100vh}.menu-panel .badge-notification{vertical-align:text-bottom}.menu-links.columned li{width:50%;float:left}.menu-panel li a.widget-link,.menu-panel li.heading a.widget-link{padding:0.25em 0.5em;display:block}.menu-panel li a.widget-link:hover,.menu-panel li a.widget-link:focus,.menu-panel li.heading a.widget-link:hover,.menu-panel li.heading a.widget-link:focus{background-color:#ffffa6;outline:none}.menu-panel li .new,.menu-panel li.heading .new{font-size:.8706em;margin-left:0.5em;color:#919191}.menu-panel .categories-link{display:block;padding:0.25em 0.5em}.menu-panel li.category-link{float:left;background-color:transparent;display:inline-flex;align-items:center;padding:0.25em 0.5em;width:50%;box-sizing:border-box}.menu-panel li.category-link a{display:inline-flex}.menu-panel li.category-link a:hover,.menu-panel li.category-link a:focus{background:transparent}.menu-panel li.category-link .badge-notification{color:#919191;background-color:transparent;display:inline;padding:0;font-size:.8706em;line-height:1.4}.menu-panel li.category-link .badge-wrapper.bar,.menu-panel li.category-link .badge-wrapper.bullet{color:#222;padding:0 0 0 0.15em}.menu-panel li.category-link .badge-wrapper.box{color:#fff}.menu-panel li.category-link .badge-wrapper.box+a.badge.badge-notification{padding-top:2px}.menu-panel li.category-link .badge-wrapper.box span{z-index:-1}.menu-panel b.topics-count{color:#919191;font-weight:normal;font-size:.8706em}.menu-panel span.badge-category{max-width:100px}.menu-panel div.discourse-tags{font-size:.8706em}.user-menu .quick-access-panel{width:100%;display:table;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.user-menu .quick-access-panel h3{padding:0 0.4em;font-weight:bold;margin:0.5em 0}.user-menu .quick-access-panel .d-icon,.user-menu .quick-access-panel:hover .d-icon{color:#919191}.user-menu .quick-access-panel .icon{color:#646464}.user-menu .quick-access-panel li{background-color:#d1f0ff}.user-menu .quick-access-panel li div .fa{display:none}.user-menu .quick-access-panel li span:first-child{color:#222}.user-menu .quick-access-panel li:hover,.user-menu .quick-access-panel li:focus{background-color:#ffffa6;outline:none}.user-menu .quick-access-panel li a{padding:0}.user-menu .quick-access-panel li a>div{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}.user-menu .quick-access-panel li p{margin:0;overflow:hidden}.user-menu .quick-access-panel li:not(.show-all){padding:0.25em 0.5em}.user-menu .quick-access-panel li:not(.show-all) .d-icon{float:left;margin-right:5px;padding-top:0.2em}.user-menu .quick-access-panel .is-warning .d-icon-far-envelope{color:#e45735}.user-menu .quick-access-panel .read{background-color:#fff}.user-menu .quick-access-panel .none{padding-top:5px}.user-menu .quick-access-panel .spinner-container{min-height:2em}.user-menu .quick-access-panel .spinner{width:20px;height:20px;border-width:2px;margin:0 auto}.user-menu .quick-access-panel .show-all a{width:100%;display:flex;justify-content:center;align-items:center;min-height:30px;color:#919191;background:#f9f9f9}.user-menu .quick-access-panel .show-all a:hover{color:#222;background:#e9e9e9}.user-menu .dismiss-link{display:inline-block;float:right}div.menu-links-header{width:100%;display:table;border-collapse:separate;border-spacing:0 0.5em}div.menu-links-header .menu-links-row{border-bottom:1px solid #e9e9e9;display:flex;padding:0 4px}div.menu-links-header .menu-links-row li{display:inline-flex;align-items:center;flex-wrap:wrap}div.menu-links-header .menu-links-row li.user{margin-right:auto}div.menu-links-header .menu-links-row li.glyphs{flex-wrap:wrap;text-align:right;max-width:65%}div.menu-links-header .menu-links-row li.glyphs a{padding-left:0.6em;padding-right:0.6em}div.menu-links-header .menu-links-row li a{border:1px solid transparent;border-bottom:0}div.menu-links-header .menu-links-row li a.active{border:1px solid #e9e9e9;border-bottom:0;position:relative}div.menu-links-header .menu-links-row li a.active:after{display:block;position:absolute;top:100%;left:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #fff}div.menu-links-header .menu-links-row li a.active:focus,div.menu-links-header .menu-links-row li a.active:hover{background-color:inherit}div.menu-links-header a:hover,div.menu-links-header a:focus{background-color:#ffffa6;outline:none}div.menu-links-header a{padding:0.3em 0.5em}div.menu-links-header a.user-activity-link{align-items:center;display:flex;margin:-0.5em 0;max-width:130px;overflow:visible}div.menu-links-header a.user-activity-link span.d-label{display:block;max-width:130px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}@media screen and (max-width: 350px){div.menu-links-header a.user-activity-link{max-width:125px}}div.menu-links-header li{display:table-cell;width:auto;text-align:center}div.menu-links-header li:first-child{text-align:left}div.menu-links-header li:last-child{text-align:right}div.menu-links-header .fa,div.menu-links-header a{color:#919191}div.menu-links-header .d-icon-user{margin-right:0.475em}.request-group-membership-form label{font-weight:bold}.group-add-membership-request-template{width:98%}.d-editor-container{display:flex;flex-grow:1;max-width:100%}.d-editor{display:flex;flex-grow:1;min-height:0}.d-editor-textarea-wrapper,.d-editor-preview-wrapper{flex:1}.d-editor-textarea-wrapper{display:flex;flex-direction:column;background-color:#fff;position:relative;border:1px solid #919191}.d-editor-textarea-wrapper textarea{background:transparent}.d-editor-textarea-wrapper.disabled{cursor:not-allowed}.d-editor-textarea-wrapper.disabled .d-editor-button-bar{visibility:hidden}.d-editor-preview-wrapper{max-width:49%;margin-left:1%;display:flex;flex-direction:column}.d-editor-button-bar{display:flex;align-items:center;min-height:30px;border-bottom:1px solid #e9e9e9}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{background-color:transparent;display:inline-block}.d-editor-button-bar .btn .d-icon,.d-editor-button-bar .btn-default .d-icon{color:#919191}.d-editor-button-bar .btn svg,.d-editor-button-bar .btn-default svg{-webkit-transform:translate3d(0, 0, 0)}.d-editor-button-bar .d-editor-spacer{height:1em;display:inline-block;border-left:1px solid #bdbdbd}.d-editor-button-bar .btn:not(.no-text){font-size:1.1487em}.d-editor-button-bar .btn.bold{font-weight:bolder}.d-editor-button-bar .btn.italic{font-style:italic}.d-editor-preview-wrapper{overflow:auto;cursor:default;-webkit-overflow-scrolling:touch}.d-editor-input,.d-editor-preview{box-sizing:border-box;flex:1 1 100%;width:100%;margin:0;min-height:auto;word-wrap:break-word;-webkit-appearance:none;border-radius:0}.d-editor-input:focus,.d-editor-preview:focus{box-shadow:none;border:0;outline:0}.d-editor-input{border:0;padding:10px;height:100%;overflow-x:hidden;resize:none}.d-editor-preview{height:auto}.d-editor-plugin{display:flex;flex:1 1;overflow:auto}.composing-whisper .d-editor-preview{font-style:italic;color:#919191 !important}.d-editor-preview>*:first-child{margin-top:0}.hide-preview .d-editor-preview-wrapper{display:none;flex:0}.user-preferences .bio-composer textarea,.group-form-bio textarea,.edit-category-tab-topic-template textarea{width:100%;height:100%;min-height:10em}.user-preferences .bio-composer .d-editor-container,.group-form-bio .d-editor-container,.edit-category-tab-topic-template .d-editor-container{display:block}.user-preferences .bio-composer .d-editor-textarea-wrapper,.group-form-bio .d-editor-textarea-wrapper,.edit-category-tab-topic-template .d-editor-textarea-wrapper{border:1px solid #e9e9e9}.user-preferences .bio-composer .d-editor-preview-wrapper,.group-form-bio .d-editor-preview-wrapper,.edit-category-tab-topic-template .d-editor-preview-wrapper{max-width:100%;margin:10px 0 0 0}.user-preferences .bio-composer .d-editor-preview,.group-form-bio .d-editor-preview,.edit-category-tab-topic-template .d-editor-preview{background-color:#f8f8f8;padding:5px}.user-preferences .bio-composer .d-editor-preview:empty,.group-form-bio .d-editor-preview:empty,.edit-category-tab-topic-template .d-editor-preview:empty{padding:0}.user-preferences .bio-composer,.group-form-bio{padding:10px;border:1px solid #e9e9e9}.d-editor-preview img{padding-bottom:1.4em}.d-editor-preview img.emoji,.d-editor-preview img.avatar,.d-editor-preview img.site-icon{padding-bottom:0}.d-editor-preview .image-wrapper{position:relative;display:inline-block;padding-bottom:1.4em}.d-editor-preview .image-wrapper img{padding-bottom:0}.d-editor-preview .image-wrapper:hover .button-wrapper{opacity:0.9}.d-editor-preview .image-wrapper .button-wrapper{opacity:0;position:absolute;transition:all 0.25s;display:flex;align-items:center;bottom:0;left:0}.d-editor-preview .image-wrapper .button-wrapper .separator{color:#bdbdbd}.d-editor-preview .image-wrapper .button-wrapper .scale-btn{color:#08c;padding:0 0.4em}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:first-of-type{padding-left:0}.d-editor-preview .image-wrapper .button-wrapper .scale-btn.active{font-weight:bold;color:#222}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:not(.active):hover{text-decoration:underline;cursor:pointer}.mobile-view .d-editor-preview .image-wrapper .button-wrapper{opacity:1}.d-editor-button-bar{margin:0.25em}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{padding:0 0.5em}.d-editor-button-bar .d-editor-spacer{margin:0 0.25em}@media screen and (max-width: 450px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.4em}}@media screen and (max-width: 350px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.3em}.text-size-smaller .d-editor-button-bar .d-editor-spacer{margin:0 0.25em}}@media screen and (max-width: 450px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.35em}}@media screen and (max-width: 350px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.25em}}@media screen and (max-width: 450px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.3em}}@media screen and (max-width: 350px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.2em}}.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{font-size:.8706em}@media screen and (max-width: 450px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.3em}}@media screen and (max-width: 350px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.2em}}.timeline-loading{width:900px}.timeline-container{box-sizing:border-box;z-index:100;margin-left:757px;position:fixed;-webkit-transform:translate3d(0, 0, 0)}@media screen and (min-width: 1140px){.timeline-container{margin-left:820px}}@media all and (min-width: 1250px){.timeline-container{margin-left:900px}}.timeline-container.timeline-docked{position:absolute}.timeline-container.timeline-docked-bottom .timeline-footer-controls{opacity:0;pointer-events:none;cursor:default}.timeline-container.timeline-fullscreen.show{max-height:700px;transition:max-height 0.4s ease-out}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen.show{max-height:75vh}}.timeline-container.timeline-fullscreen.show .topic-timeline .timeline-footer-controls{display:inherit}.timeline-container.timeline-fullscreen.show .timeline-controls{display:table-cell;vertical-align:top}.timeline-container.timeline-fullscreen{max-height:0;transition:max-height 0.3s ease-in;position:fixed;margin-left:0;background-color:#fff;bottom:0;left:0;right:0;border-top:1px solid #e9e9e9;box-shadow:0 -1px 40px rgba(0,0,0,0.12);padding-top:20px;z-index:1150}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen{padding-top:10px}}.timeline-container.timeline-fullscreen .back-button{display:none}.timeline-container.timeline-fullscreen .topic-timeline{width:100%;table-layout:fixed;margin-left:0;margin-right:0;display:table;touch-action:none}.timeline-container.timeline-fullscreen .topic-timeline .timeline-date-wrapper{float:right;text-align:right}.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{max-width:650px;max-height:165px;line-height:1.4;overflow:hidden;word-wrap:break-word;text-overflow:ellipsis;display:block;display:-webkit-box;-webkit-line-clamp:8;-webkit-box-orient:vertical}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{-webkit-line-clamp:5}}.timeline-container.timeline-fullscreen .topic-timeline .username{color:#646464;word-wrap:break-word;font-weight:bold}.timeline-container.timeline-fullscreen .topic-timeline .title{margin-top:0;padding-left:1em;display:table-cell;vertical-align:top;width:100%}.timeline-container.timeline-fullscreen .topic-timeline .title h2{margin-top:0;display:block;display:-webkit-box;-webkit-line-clamp:4;-webkit-box-orient:vertical;max-height:110px;line-height:1.2;word-wrap:break-word;text-overflow:ellipsis;overflow:hidden;font-size:1.3195em}.timeline-container.timeline-fullscreen .topic-timeline .title a{color:#222}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read{right:0;margin-left:0}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read .progress{display:none}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls{display:none;position:absolute;bottom:10px;left:10px}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls button,.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls .btn-group{float:none;display:inline-block;margin-bottom:0;margin-right:15px;position:static}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea-wrapper{display:table-cell;padding-bottom:20px;padding-right:1.5em;width:100px}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea{border-left:0;border-right-style:solid;border-right-width:1px;max-width:120px;float:right}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller{position:relative;margin-right:-1.5em;padding-right:1.5em;justify-content:flex-end}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-scroller-content{text-align:right;padding-left:0;padding-right:1em}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-handle{float:none;width:11px;position:relative;right:-6px}.timeline-container.timeline-fullscreen .timeline-scrollarea-wrapper::after{content:"";display:table;clear:both}.timeline-container .topic-timeline{margin-left:3em;transition:opacity 0.2s ease-in;touch-action:none}.timeline-container .topic-timeline .timeline-controls{margin-bottom:1em}.timeline-container .topic-timeline .timeline-controls button{margin-right:0.5em}.timeline-container .topic-timeline .timeline-footer-controls{margin-top:1.5em;transition:opacity 0.2s ease-in;display:flex}.timeline-container .topic-timeline .timeline-footer-controls button{margin-right:0.5em}.timeline-container .topic-timeline .timeline-footer-controls button:last-child{margin-right:0}.timeline-container .topic-timeline .start-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;color:#919191}.timeline-container .topic-timeline .timeline-scrollarea{margin-top:0.5em;margin-left:0.5em;border-left:1px solid;border-color:#d1f0ff;position:relative;-webkit-transform:translate3d(0, 0, 0)}.timeline-container .topic-timeline .timeline-padding{transition:height 0.15s ease-out;cursor:pointer}.widget-dragging .timeline-container .topic-timeline .timeline-padding{transition:none}.timeline-container .topic-timeline .timeline-handle{border-radius:0.8em;width:0.35em;background-color:#d1f0ff;height:100%;float:left;z-index:2}.timeline-container .topic-timeline .timeline-scroller-content{padding-left:1em}.timeline-container .topic-timeline .timeline-ago{color:#919191}.timeline-container .topic-timeline .timeline-scroller{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;margin-left:-0.19em;cursor:ns-resize;display:flex;align-items:center}.timeline-container .topic-timeline .timeline-scroller .back-button{margin-top:1em}.timeline-container .topic-timeline .timeline-replies{font-weight:bold}.timeline-container .topic-timeline .timeline-last-read{position:absolute;margin-left:-0.35em;z-index:3}.timeline-container .topic-timeline .timeline-last-read .progress{font-size:0.8em;color:#08c;margin-right:1em}.timeline-container .topic-timeline .back-button{min-height:unset;padding:2px 5px}.timeline-container .topic-timeline .now-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;display:inline-block;color:#919191;margin-top:0.5em}.alert{margin-bottom:15px}#banner{margin-bottom:10px;max-width:1090px;max-height:250px}#reply-control .reply-area{margin:0 auto;padding:5px 15px;box-sizing:border-box;height:calc(100% - 11px);width:100%}#reply-control .reply-area .submit-panel{flex-wrap:wrap;align-items:center}#reply-control #private-message-users{width:404px}#reply-control .item+#private-message-users{width:150px}#reply-control .select-kit.is-expanded{z-index:701}.category-input{margin-left:10px}.edit-title .d-editor-preview-wrapper{margin-top:-43px}@media screen and (max-width: 955px){.edit-title:not(.private-message) .d-editor-preview-wrapper{margin-top:-77px}}.edit-title .with-tags .d-editor-preview-wrapper{margin-top:-77px}@media screen and (max-width: 900px){.edit-title .with-tags .d-editor-preview-wrapper{margin-top:-105px}}.closed .grippie{display:none}.open .grippie{cursor:row-resize;padding:4px 0;background:#08c}.open .grippie:before{content:"";display:block;width:27px;margin:auto;border-top:3px double #fff}.discourse-touch .open .grippie{padding:7px 0}.composer-popup-container{max-width:1500px;margin-left:auto;margin-right:auto}.composer-popup{position:absolute;width:calc(50% - 45px);max-width:724px;top:20px;bottom:10px;left:51%;overflow-y:auto;z-index:500;padding:10px 10px 35px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);background:#ffffa6}.hide-preview .composer-popup{z-index:701}.composer-popup.urgent{background:#fbe6e1}.composer-popup.education-message{background-color:#d1f0ff}.composer-popup h3{margin-bottom:10px}.composer-popup p{margin-bottom:10px}.composer-popup a.close{display:flex;align-items:center;position:absolute;right:10px;top:10px;color:#222;opacity:0.5;font-size:1.1487em}.composer-popup a.close:before{content:"esc";font-size:.8706em;margin-right:0.5em}.composer-popup a.close:hover{opacity:1}.composer-popup ul{list-style:none;margin:0;padding:0}.composer-popup ul li{font-weight:normal;margin-top:8px}.composer-controls .d-chevron-down{vertical-align:text-top}.custom-body{background-color:#d1f0ff}.custom-body p{max-width:98%}.similar-topics{background-color:#d1f0ff}.similar-topics a[href]{color:#222}.similar-topics .posts-count{background-color:#08c}.similar-topics .search-link .topic-title{flex:0 1 auto;margin-right:0.5em}.similar-topics .search-link .topic-statuses:empty{display:none}.similar-topics .search-link span.badge-wrapper{margin-left:0}.similar-topics .search-link .blurb{color:#646464}.similar-topics .search-link .topic-title .d-icon,.similar-topics .search-link .blurb .d-icon{color:#646464}.similar-topics .search-link span.topic{display:flex;flex-direction:column}.similar-topics .search-link span.topic .first-line{flex:1}.similar-topics .search-link span.topic .second-line{display:flex;flex-wrap:wrap;align-items:center}.similar-topics .search-link span.topic .second-line .discourse-tags{flex-wrap:wrap;display:contents;font-size:.8706em}.composer-popup:nth-of-type(2){margin-left:10px;width:calc(50% - 65px)}a.toggle-preview{color:#646464}a.toggle-preview:hover{color:#08c}#draft-status,#file-uploading{flex-grow:1;text-align:right}.fullscreen-composer{overflow:hidden}.fullscreen-composer .profiler-results{display:none}.fullscreen-composer #reply-control.fullscreen{height:100vh !important;z-index:1001}@supports (--custom: property){.fullscreen-composer #reply-control.fullscreen{height:calc(var(--composer-vh, 1vh) * 100) !important}}.fullscreen-composer #reply-control.fullscreen .d-editor-preview-wrapper{margin-top:1%}.fullscreen-composer #reply-control.fullscreen .reply-to{border-bottom:1px solid #e9e9e9;padding-bottom:3px;margin:0}.fullscreen-composer #reply-control.fullscreen .reply-to .composer-controls{margin-right:0}.fullscreen-composer #reply-control.fullscreen .d-editor-textarea-wrapper{border:none}.fullscreen-composer #reply-control.fullscreen.show-preview .d-editor-textarea-wrapper{border-right:1px solid #e9e9e9}.fullscreen-composer #reply-control.fullscreen #draft-status,.fullscreen-composer #reply-control.fullscreen #file-uploading{margin-left:0;text-align:initial}.fullscreen-composer #reply-control.fullscreen .composer-popup{top:30px}.fullscreen-composer #reply-control.fullscreen:before{content:"";background:#fff;width:100%;height:100%;position:fixed;z-index:-1;left:0}body.widget-dragging{cursor:ns-resize}.boxed{height:100%}.form-vertical .control-group{margin-bottom:1.25em}.form-vertical .controls:not(.controls-dropdown)+.controls{margin-top:0.5em}code,pre{font-family:Consolas, Menlo, Monaco, "Lucida Console", "Liberation Mono", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Courier New", monospace}h1+p,h2+p,h3+p,h4+p,h5+p,h6+p{margin-top:0}form{margin:0 0 18px}label,input,button,select,textarea{font-size:1em;font-weight:normal;line-height:1.2}select,textarea{display:inline-block;padding:4px;margin-bottom:9px;font-size:1em;line-height:1.4;color:#222}input,textarea{width:210px}select,input[type="file"]{line-height:1.4}select{width:220px;background:#fff}select[multiple],select[size]{height:auto}input,textarea{margin-left:0}input[type="radio"][disabled],input[type="radio"][readonly],input[type="checkbox"][disabled],input[type="checkbox"][readonly]{background-color:transparent}.input-xxlarge,.input-xxlarge+.control-instructions{width:530px}.controls-dropdown{margin-bottom:10px}.control-instructions{color:#919191;font-size:0.875rem}.control-group{margin-bottom:9px}.control-group.warning>label,.control-group.error>label{color:#e45735}.control-group.warning .checkbox,.control-group.warning .radio,.control-group.warning input,.control-group.warning select,.control-group.warning textarea,.control-group.error .checkbox,.control-group.error .radio,.control-group.error input,.control-group.error select,.control-group.error textarea{color:#e45735;border-color:#e45735}.control-group.warning .checkbox:focus,.control-group.warning .radio:focus,.control-group.warning input:focus,.control-group.warning select:focus,.control-group.warning textarea:focus,.control-group.error .checkbox:focus,.control-group.error .radio:focus,.control-group.error input:focus,.control-group.error select:focus,.control-group.error textarea:focus{border-color:#ae3417;box-shadow:0 0 6px 0 #e45735}.control-group.warning .input-prepend .add-on,.control-group.warning .input-append .add-on{color:#e45735;background-color:#e45735;border-color:#e45735}.control-group.error .input-prepend .add-on,.control-group.error .input-append .add-on{color:#e45735;background-color:#ec8972;border-color:#c63c1b}.control-group.success>label{color:#090}.control-group.success .checkbox,.control-group.success .radio,.control-group.success input,.control-group.success select,.control-group.success textarea{color:#090;border-color:#090}.control-group.success .checkbox:focus,.control-group.success .radio:focus,.control-group.success input:focus,.control-group.success select:focus,.control-group.success textarea:focus{border-color:#090;box-shadow:0 0 6px 0 #08c}.control-group.success .input-prepend .add-on,.control-group.success .input-append .add-on{color:#090;background-color:#b8ffb8;border-color:#090}.form-horizontal .hide{display:none}.form-horizontal input,.form-horizontal textarea,.form-horizontal select,.form-horizontal .input-prepend,.form-horizontal .input-append{display:inline-block;margin-bottom:0}.form-horizontal .control-group{margin-bottom:18px}.form-horizontal .control-group:before,.form-horizontal .control-group:after{content:"";display:table}.form-horizontal .control-group:after{clear:both}.form-horizontal .control-indent{margin-left:20px;margin-bottom:10px}.form-horizontal .control-label{margin:6.5px;float:left;width:140px;text-align:right;font-weight:bold}.form-horizontal .controls{margin-left:160px}.bootbox.modal .modal-footer a.btn-primary{color:#fff}.row:before,.row:after{content:"";display:table}.row:after{clear:both}.offset2{margin-left:116px}.offset1{margin-left:64px}@media all and (max-width: 570px){body{min-width:0}.wrap,.full-width{min-width:0}}.d-header{left:0;height:4em;margin-bottom:15px}.d-header #site-logo{height:2.667em}.d-header #site-text-logo{font-size:1.5157em;margin:0}.d-header .extra-info:not(.two-rows){min-height:2.75em}@media all and (max-width: 570px){.extra-info-wrapper{display:none}}#main{position:relative}#main-outlet{padding-top:5.8572em}.search-link .blurb{color:#646464;display:block;word-wrap:break-word;font-size:.7579em;line-height:1.4}.search-link .blurb .search-highlight{color:#646464}.login-modal #login-buttons:not(.hidden),.create-account #login-buttons:not(.hidden){display:flex;flex:0 1 auto;flex-direction:column;align-items:stretch;min-height:75px;padding:0 24px;order:2}.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{display:flex;text-align:left;margin:0.35em;white-space:nowrap}.login-modal #login-buttons:not(.hidden) button:lang(zh_CN),.create-account #login-buttons:not(.hidden) button:lang(zh_CN){min-width:200px}.login-modal #login-buttons:not(.hidden) button:first-of-type:last-of-type.oauth2_basic,.create-account #login-buttons:not(.hidden) button:first-of-type:last-of-type.oauth2_basic{margin-left:auto;margin-right:auto;justify-content:center}.login-modal form,.create-account form{min-width:300px;max-width:100%}.login-modal #modal-alert,.create-account #modal-alert{max-width:100%;padding:8px 16px}.login-modal .login-modal #login-buttons:not(.hidden) button:first-of-type,.create-account .login-modal #login-buttons:not(.hidden) button:first-of-type{margin-top:2.8em}.login-modal .login-modal #login-buttons:not(.hidden) button:last-of-type,.create-account .login-modal #login-buttons:not(.hidden) button:last-of-type{margin-bottom:3em}.login-modal .create-account #login-buttons:not(.hidden),.create-account .create-account #login-buttons:not(.hidden){justify-content:flex-start;padding-top:2.7em}.login-modal .create-account #login-buttons:not(.hidden)+.login-form,.create-account .create-account #login-buttons:not(.hidden)+.login-form{border-right:1px solid #e9e9e9}.login-modal #login-form,.create-account #login-form{box-sizing:border-box;flex:1 0 auto;padding:0 24px}.login-modal #login-form+#login-buttons,.create-account #login-form+#login-buttons{border-left:1px solid #e9e9e9}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{display:flex;padding:5px 0 0 0}.login-modal .tip,.login-modal td label,.create-account .tip,.create-account td label{display:block;overflow:hidden;word-wrap:break-word;margin-bottom:0;max-width:280px}@media screen and (min-width: 500px){.login-modal .tip,.login-modal td label,.create-account .tip,.create-account td label{max-width:400px}}.has-alt-auth .tip,.has-alt-auth td label{max-width:250px}.d-modal.login-modal .modal-body,.d-modal.login-modal #credentials{display:flex;align-items:center;padding:15px 0}.d-modal.login-modal .modal-body tr,.d-modal.login-modal #credentials tr{display:flex;flex-direction:column}.d-modal.login-modal .modal-body.hidden,.d-modal.login-modal #credentials.hidden{display:none}.d-modal.create-account .modal-body{display:flex;padding:15px 0}.d-modal.create-account .create-account-form tr{display:flex;flex-direction:column}.d-modal.create-account .login-form{position:relative;display:flex;overflow:hidden;flex:1 1 auto}.d-modal.create-account .login-form:after,.d-modal.create-account .login-form:before{content:"";display:block;position:absolute;width:100%;pointer-events:none}.d-modal.create-account .login-form:after{bottom:0;height:35px;background-image:linear-gradient(to bottom, rgba(255,255,255,0) 0%, rgba(255,255,255,0.9) 100%)}@media screen and (max-height: 650px){.d-modal.create-account .login-form:after{height:45px}}.d-modal.create-account .login-form:before{top:0;height:25px;background-image:linear-gradient(to top, rgba(255,255,255,0) 0%, #fff 100%)}.d-modal.create-account .login-form form{box-sizing:border-box;padding:16px 24px;margin-bottom:0;max-height:475px;overflow-x:hidden;overflow-y:auto}@media screen and (max-height: 650px){.d-modal.create-account .login-form form{max-height:calc(65vh - 100px)}.d-modal.create-account .login-form form>*:last-child{margin-bottom:40px}}.d-modal.create-account .login-form form,.d-modal.create-account .login-form table{width:100%;display:block}.d-modal.create-account .login-form tr{display:flex;flex-direction:column;margin-top:0.15em}.d-modal.create-account .login-form tr.password-confirmation{display:none}.d-modal.create-account tr.input input,.d-modal.create-account tr.input label{margin-bottom:0;width:100%}.d-modal.create-account tr.input .tip{max-width:340px}.d-modal.create-account .user-fields{margin-bottom:20px}.d-modal.create-account .user-field{display:flex;flex-direction:column}.d-modal.create-account .user-field.confirm{margin-top:5px}.d-modal.create-account .user-field>label{width:auto}.d-modal.create-account .user-field .controls{margin-left:0}.d-modal.create-account .invites-show{padding-top:20px}.d-modal.create-account .invites-show .two-col{margin-top:30px}.d-modal.create-account .invites-show .col-form{margin-left:200px}.d-modal.create-account .invites-show .col-form .inline-invite-img{display:none}.d-modal.create-account .invites-show form .controls,.d-modal.create-account .invites-show form .input{margin-left:20px}.d-modal.create-account .invites-show form input,.d-modal.create-account .invites-show form label{margin-bottom:0}.d-modal.create-account .invites-show form .user-field .control-label:not(.checkbox-label){margin-left:20px}.d-modal.create-account .tos-agree{margin-bottom:12px}.login-form .tip:not(:empty)+td{display:none}.login-form .tip:not(:empty),.login-form .tip:empty+td{min-height:1.75em}.login-form .tip:not(:empty).bad .svg-icon,.login-form .tip:empty+td.bad .svg-icon{vertical-align:middle}.password-reset .col-form,.email-login .col-form,.invites-show .col-form{padding-left:20px}.password-reset .col-image,.email-login .col-image,.invites-show .col-image{width:175px}.password-reset .col-image img,.email-login .col-image img,.invites-show .col-image img{width:100%}.password-reset h2,.email-login h2,.invites-show h2{margin-bottom:12px}.password-reset .col-form,.email-login .col-form{padding-top:40px}.bootbox.modal{top:50%;left:50%;width:610px;margin:-250px 0 0 -305px}.bootbox.modal .cancel{margin-left:1em}.modal.in{-webkit-animation:fade 0.25s;animation:fade 0.25s}.modal-body{padding:15px}.modal-footer .btn.right{float:right}.modal-header h3{font-size:1.5157em}.close{font-size:1.5157em;text-decoration:none;cursor:pointer}.close:visited{color:#646464}.close:hover{color:#222}.modal .category-chooser{width:50%}.modal .modal-body.insert-link input{min-width:450px}.edit-category-modal .modal-body{position:relative;height:420px}.edit-category-modal .disable_info_wrap .cannot_delete_reason{top:-100px;right:4px;max-width:380px;min-width:300px}.topic-bulk-actions-modal p{margin-top:0}.topic-bulk-actions-modal.full .modal-body{height:400px;max-height:400px}.topic-bulk-actions-modal .bulk-buttons{display:flex;flex-wrap:wrap;margin-right:-1%}.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 0 30%;margin-bottom:1em;margin-right:1%;white-space:nowrap;overflow:hidden;max-width:33%}@media screen and (max-width: 767px){.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 0 48%;max-width:48%}}@media screen and (max-width: 550px){.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 1 auto;min-width:49%;max-width:unset}}.move-to-modal .modal-body{position:relative;height:350px}.move-to-modal #move-selected{width:525px}.move-to-modal #move-selected p{margin-top:0}.move-to-modal #move-selected .radios{margin-bottom:10px;display:flex;flex-direction:row}.move-to-modal #move-selected .radios .radio-label{display:inline-block;padding-right:15px}.move-to-modal #move-selected button{margin-top:10px;display:block;width:300px}.move-to-modal #move-selected .category-chooser{margin-bottom:9px}.move-to-modal #move-selected form{width:95%;margin-top:20px}.move-to-modal #move-selected form #split-topic-name,.move-to-modal #move-selected form #choose-topic-title,.move-to-modal #move-selected form #choose-message-title{width:100%}.move-to-modal #move-selected form .participant-selector{width:100%}.move-to-modal #move-selected form div.ac-wrap{width:100%;margin-bottom:9px}.category-list{margin-bottom:10px;width:100%}.category-list td{vertical-align:top}.category-list th{vertical-align:middle}.category-list td:first-of-type{padding-left:10px}.category-list.with-topics{margin-left:3px}.category-list.with-topics .category{width:45%}.category-list .topics .badge-notification,.category-list .category .badge-notification{background-color:transparent;color:#919191}.category-list .topics{width:80px;text-align:right}.category-list .topics .value{font-size:1.1487em}.category-list .topics .unit{font-size:.8706em}.category-list .topics .badge-notification{display:block;text-align:right;padding-right:0;margin-top:5px}.category-list .subcategories{margin-top:0.25em;clear:both}.category-list .subcategories .subcategory{display:inline-flex;align-items:baseline;margin-right:0.3em}.category-list .subcategories .badge-wrapper{margin-right:0.5em}.category-list .subcategories .badge-notification.new-posts{display:block;padding:0}.category-list .featured-topic{margin:10px 0 0;display:flex;align-items:baseline}.category-list .featured-topic:first-of-type{margin-top:13px}.category-list .featured-topic a.last-posted-at,.category-list .featured-topic a.last-posted-at:visited{font-size:.8706em;color:#919191}.category-list .featured-topic .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;flex:0 1 auto}.category-list .featured-topic .topic-statuses{margin-right:0.15em}.category-list .featured-topic .topic-post-badges .badge.new-posts,.category-list .featured-topic .title{margin-right:5px}.category-list tbody .category{border-left:6px solid}.category-list tbody .category h3{font-size:1.3195em;line-height:1.2}.category-list tbody .category h3 a[href]{color:#222}.category-list tbody .latest{padding:0 0 10px 10px}.categories-and-latest,.categories-and-top{display:flex;flex-flow:row wrap}.categories-and-latest div.column,.categories-and-top div.column{flex:1 0 0px;flex-direction:row;min-width:300px}@media all and (max-width: 600px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-right:0}}@media all and (min-width: 600px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-right:1em}}@media all and (min-width: 700px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-right:2em}}.categories-and-latest .discourse-tags,.categories-and-top .discourse-tags{display:inline-block}.categories-and-latest .discourse-tags .discourse-tag,.categories-and-top .discourse-tags .discourse-tag{font-size:.8706em}.categories-and-latest .topic-featured-link,.categories-and-top .topic-featured-link{padding-left:8px}.latest-topic-list .table-heading,.top-topic-list .table-heading{padding:12px 5px;color:#919191}.latest-topic-list .no-topics,.latest-topic-list .more-topics,.top-topic-list .no-topics,.top-topic-list .more-topics{margin-top:1em}.latest-topic-list-item{padding:1em;border-bottom:1px solid #e9e9e9;display:flex;align-items:center}.latest-topic-list-item .topic-poster{width:60px}.latest-topic-list-item .main-link{flex:0 1 auto;max-width:65%;font-size:1em}.latest-topic-list-item .main-link .badge-wrapper{max-width:100%}.latest-topic-list-item .main-link .badge-wrapper .badge-category-bg{flex-shrink:0}.latest-topic-list-item .main-link .top-row{margin-bottom:0.1em;font-size:1.1487em}.latest-topic-list-item .topic-stats{flex:1 0 0px;text-align:right;color:#919191}.latest-topic-list-item .topic-last-activity a{color:#919191}.list-controls .nav{float:left;margin-bottom:10px}.list-controls .btn{float:right;margin-left:8px;margin-bottom:9px;font-size:1.1487em;font-weight:normal}.list-controls .search .btn{float:none}.list-controls a.badge-category{padding:3px 12px;font-size:1.1487em}.topic-list-icons .d-icon-thumbtack,.latest-topic-list .d-icon-thumbtack,.top-topic-list .d-icon-thumbtack,.topic-list .d-icon-thumbtack{color:#919191}.topic-list-icons .d-icon-thumbtack.unpinned,.latest-topic-list .d-icon-thumbtack.unpinned,.top-topic-list .d-icon-thumbtack.unpinned,.topic-list .d-icon-thumbtack.unpinned{color:#919191}.topic-list-icons a.title,.latest-topic-list a.title,.top-topic-list a.title,.topic-list a.title{color:#222}.topic-list-icons .d-icon-bookmark,.latest-topic-list .d-icon-bookmark,.top-topic-list .d-icon-bookmark,.topic-list .d-icon-bookmark{color:#919191}.topic-list{margin:0 0 10px}.topic-list th,.topic-list td{padding:12px 5px}.topic-list th:first-of-type,.topic-list td:first-of-type{padding-left:10px}.topic-list th:last-of-type,.topic-list td:last-of-type{padding-right:10px}.topic-list th button .d-icon{color:#919191}.topic-list button.bulk-select{padding:0}.topic-list td.bulk-select{padding:10px;width:30px}.topic-list td.bulk-select+.main-link{padding-left:0}.topic-list .badge-notification{position:relative;top:-2px}.topic-list .badge-notification.new-topic{top:-1px;padding-left:5px}.topic-list .posters{width:146px}.topic-list .posters>a{float:left;margin-right:4px}.topic-list .posters>a:last-of-type{margin-right:0}.topic-list .posters>a.posters-more-count{cursor:default;color:#919191;line-height:25px;font-size:.8706em}.topic-list td.posters{height:29px}.topic-list .posters a:first-child .avatar.latest:not(.single){box-shadow:0 0 3px 1px #81c3e4;border:2px solid #85c2e0;position:relative;top:-2px;left:-2px}.topic-list .likes{width:65px}.topic-list .views{width:65px}.topic-list .posts{width:65px}.topic-list .post-actions{clear:both;width:auto;color:#919191;text-align:left;font-size:.8706em;margin-top:5px}.topic-list .post-actions .fa{margin-right:2px}.topic-list .post-actions a{color:#919191;margin-right:3px;line-height:1.4}.topic-list .activity{width:60px}.topic-list .activity:lang(zh_CN){width:80px}.topic-list .activity span{cursor:pointer}.topic-list .age{width:60px}.topic-list .with-year{white-space:nowrap}.topic-list-bottom{margin:20px 0}#list-area .top-lists h2{cursor:pointer;margin:5px 0 10px}#list-area h2{margin:20px 0 10px}#list-area .show-more.has-topics{top:0}#list-area .show-more.has-topics .alert{padding:12px 35px 12px 14px}#bulk-select{position:fixed;right:20px;top:130px;padding:5px;background-color:#fff;z-index:300}button.dismiss-read{float:right;margin-bottom:5px;margin-left:10px}.tags-admin-menu .dropdown-menu{right:0;top:30px;bottom:auto;left:auto}.category-heading p{line-height:1.4;font-size:1.5157em}.category-navigation{clear:both}.category-logo.aspect-image{float:left;margin:0.25em 1em 0.5em 0}.category-logo.aspect-image img{width:auto;max-height:150px}@supports (--custom: property){.category-logo.aspect-image{--max-height: 150px;max-height:var(--max-height);max-width:60%;height:auto;width:calc(var(--max-height) * var(--aspect-ratio))}.category-logo.aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial}}@media screen and (max-width: 850px){.nav-pills>li>a{font-size:1em;padding:7px 10px}button#create-topic span{display:none}button#create-topic .d-icon{margin-right:0}.topic-list th:first-of-type{padding:12px 5px}.topic-list th,.topic-list td{padding:10px;font-size:1em}.topic-list th.views{display:none}.topic-list td.views{display:none}.topic-list .posts{width:50px}.topic-list .posters{width:30px;text-align:center}.topic-list td.posters a:not(.latest){display:none}.topic-list td.posters a.latest{width:100%}.topic-list td.posters a.latest img{margin:0 auto}}.wrap{max-width:1110px}.full-width{margin-left:0}.topic-body{padding:0}.topic-body .regular{margin-top:15px}.topic-body:first-of-type{border-top:none}.topic-body .reply-to-tab{z-index:2;color:#919191}.discourse-no-touch .topic-body .actions .fade-out{opacity:0.7;transition:background 0.25s, opacity 0.7s ease-in-out}.discourse-touch .topic-body .actions .fade-out{opacity:1}.topic-body:hover .actions .fade-out,.topic-body .selected .actions .fade-out{opacity:1}section.post-menu-area{position:relative;padding-left:11px}.post-links-container{margin-left:11px}nav.post-controls{padding:0}nav.post-controls .double-button{display:inline-flex;color:#bdbdbd;margin-right:0.15em}nav.post-controls .double-button:hover button{background:#e9e9e9;color:#919191}nav.post-controls .double-button button{margin-left:0;margin-right:0}nav.post-controls .double-button button:active{box-shadow:none}nav.post-controls .double-button button.my-likes .d-icon,nav.post-controls .double-button button.read-indicator .d-icon,nav.post-controls .double-button button.regular-likes .d-icon{color:#bdbdbd;padding-left:0.45em}nav.post-controls .double-button button.like.d-hover{background:#fee9ee}nav.post-controls .double-button button.like.d-hover .d-icon{color:#fa6c8d}nav.post-controls .double-button button.has-like .d-icon{color:#fa6c8d}nav.post-controls .double-button button.has-like.d-hover{background:#e9e9e9}nav.post-controls .double-button button.has-like.d-hover .d-icon{color:#919191}nav.post-controls .double-button button[disabled]{cursor:not-allowed}nav.post-controls .double-button button.button-count:not(.my-likes){padding-right:0}nav.post-controls .double-button button.button-count.d-hover{color:#222}nav.post-controls .double-button button.button-count+.toggle-like{padding-left:0.45em}nav.post-controls .double-button button.button-count+.toggle-like.d-hover{background:#e9e9e9}nav.post-controls a,nav.post-controls button{color:#bdbdbd;margin-right:2px;display:inline-block}nav.post-controls a .d-icon,nav.post-controls button .d-icon{opacity:1}nav.post-controls a.toggle-likes{padding:8px 0;margin-right:-3px}nav.post-controls span.badge-posts{margin-right:5px;transition:all linear 0.15s}nav.post-controls .actions{text-align:right;float:right;display:inline-block}nav.post-controls .actions .more-actions{display:none;overflow:hidden}nav.post-controls .show-replies{margin-left:-10px;font-size:inherit}nav.post-controls .show-replies span.badge-posts{color:#919191}nav.post-controls .show-replies:hover{background:#e9e9e9}nav.post-controls .show-replies:hover span.badge-posts{color:#222}nav.post-controls .show-replies .d-icon{margin-left:5px;font-size:.8706em}nav.post-controls button.create{margin-right:0;color:#646464;margin-left:10px}nav.post-controls button.create .d-icon{color:#646464}nav.post-controls .create .d-icon{margin-right:5px}nav.post-controls button{font-size:1.1487em;padding:8px 10px;vertical-align:top;background:transparent;border:none;margin-left:3px}nav.post-controls button.d-hover,nav.post-controls button:focus{background:#e9e9e9;color:#222}nav.post-controls button:active{box-shadow:inset 0 1px 3px rgba(0,0,0,0.4)}nav.post-controls button.hidden{display:none}nav.post-controls button.admin{position:relative}nav.post-controls button.delete.d-hover,nav.post-controls button.delete:hover,nav.post-controls button.delete:focus{background:#e45735;color:#fff}nav.post-controls button.delete.d-hover .d-icon,nav.post-controls button.delete:hover .d-icon,nav.post-controls button.delete:focus .d-icon{color:#fff}nav.post-controls button.bookmark{padding:8px 11px}nav.post-controls button.bookmark.bookmarked .d-icon{color:#08c}nav.post-controls .post-admin-menu{display:inline-flex;flex-direction:column;box-sizing:border-box;background-color:#fff;width:auto;max-width:320px;padding:10px;border:1px solid #e9e9e9;position:absolute;text-align:left;bottom:-2px;right:15px;z-index:300}nav.post-controls .post-admin-menu h3{margin-top:0;color:#222;font-size:1em}nav.post-controls .post-admin-menu ul{list-style:none;margin:10px 0 0 0}nav.post-controls .post-admin-menu li{margin-bottom:5px}nav.post-controls .post-admin-menu li .d-icon{width:14px;margin-right:10px}.embedded-posts{border:1px solid #e9e9e9}.embedded-posts h1,.embedded-posts h2,.embedded-posts h3{margin:10px 0}.embedded-posts .topic-body{box-sizing:border-box;width:calc(100% - 70px);overflow:hidden}.embedded-posts .cooked{margin-top:15px}.embedded-posts .topic-avatar{padding-left:25px;padding-top:15px}.embedded-posts .collapse-down,.embedded-posts .collapse-up{position:absolute;color:#919191;background:#fff;border:1px solid #e9e9e9;padding:6px 9px 8px;z-index:99}.embedded-posts .collapse-down .d-icon,.embedded-posts .collapse-up .d-icon{color:currentColor}.discourse-no-touch .embedded-posts .collapse-down:hover,.discourse-no-touch .embedded-posts .collapse-up:hover{background:#e9e9e9;color:#646464}.discourse-no-touch .embedded-posts .collapse-down:hover .d-icon,.discourse-no-touch .embedded-posts .collapse-up:hover .d-icon{color:currentColor}.embedded-posts.bottom{border-top:none;margin-bottom:20px;margin-left:11px}.embedded-posts.bottom.hidden{display:block;opacity:0}.embedded-posts.bottom .collapse-up{transform:translate(-50%, -164%)}.embedded-posts.bottom .row{padding-bottom:0.5em}.embedded-posts.bottom .row .topic-avatar,.embedded-posts.bottom .row .topic-body{border-top:1px solid #e9e9e9}.embedded-posts.top{border-bottom:none;margin-left:56px;width:699px}.embedded-posts.top .collapse-down{transform:translate(-50%, 55%)}.embedded-posts.top .row{border-bottom:none}.embedded-posts.top .row .topic-avatar,.embedded-posts.top .row .topic-body{border-top:1px solid #e9e9e9}.embedded-posts.top.topic-body{padding:0}.embedded-posts .post-date{color:#919191}.embedded-posts .d-icon-arrow-up,.embedded-posts .d-icon-arrow-down{margin-left:5px}.embedded-posts .reply:first-of-type .row{border-top:none}.embedded-posts .topic-meta-data{position:relative}.embedded-posts .topic-meta-data h5{position:absolute;z-index:1;font-size:.8706em}.embedded-posts .topic-meta-data h5 a{font-weight:bold;color:#bdbdbd}.embedded-posts .arrow{color:#919191}.post-action .relative-date{margin-left:5px}.post-action .avatar{margin-right:2px}.topic-map{margin:20px 0 20px 11px}.topic-map .map .secondary{text-align:center}.topic-map .map li{float:left;padding:7px 10px}.topic-map .map li:last-of-type{border-right:0}.topic-map .map li:nth-child(3){text-align:center}.topic-map .map .number{color:#646464}.topic-map .map .number,.topic-map .map .d-icon{font-size:1.3195em;line-height:1.2}.topic-map .map button .d-icon,.topic-map .map button:hover .d-icon{color:#646464}.topic-map .map .avatar a{float:left}.topic-map .map .topic-map-post{margin-top:6px}.topic-map .avatars,.topic-map .links,.topic-map .information{padding:7px 10px 7px 10px;color:#222}.topic-map .buttons{float:right}.topic-map .buttons .btn{border:0;padding:0 23px;color:#919191;background:#f9f9f9;border-left:1px solid #e9e9e9;border-top:1px solid transparent}.topic-map .buttons .btn:hover{color:#222;background:#e9e9e9}.topic-map .buttons .btn.collapsed{padding-bottom:1px}.topic-map .buttons .btn .fa{margin:0;font-size:1.3195em;line-height:52px}.topic-map .link-summary .btn{color:#919191;background:#f9f9f9;width:100%}.topic-map .link-summary .btn:hover{color:#222;background:#e9e9e9}#topic-footer-buttons{padding:10px 10px 0 0;float:left}#topic-footer-buttons .btn{margin-bottom:5px;margin-right:10px}#topic-footer-buttons .btn .d-icon-bookmark.bookmarked{color:#08c}#topic-footer-buttons .bookmark.bookmarked .d-icon-bookmark{color:#08c}#topic-footer-button{width:757px}.suggested-topics{clear:left;padding:20px 0 15px 0}.suggested-topics table{margin-top:10px}.suggested-topics .topic-statuses .topic-status{padding:0}.suggested-topics .topic-statuses .topic-status .d-icon{font-size:1em}span.post-count{background:#222;color:#fff;opacity:0.8}button.expand-post{margin-top:10px;margin-left:11px}.quote-button.visible{display:block}iframe{max-width:100%}video{max-height:500px}.video{max-height:500px}.video>video{max-height:unset}@-webkit-keyframes fadein{from{opacity:0}to{opacity:1}}@keyframes fadein{from{opacity:0}to{opacity:1}}.open>.dropdown-menu{display:block}.btn-group{position:relative}.dropdown-toggle{float:left;position:relative}.deleted .topic-body{background-color:rgba(242,171,154,0.7)}.post-select{float:right;margin-right:20px;margin-top:-20px}.deleted-user-avatar{font-size:2.296em}.info-line{margin:10px 0;color:#222}blockquote{margin-left:0;margin-right:0;padding:12px}.quote>blockquote .onebox-result{background-color:#f8f8f8}.quote aside .quote,.quote aside .title,.quote aside blockquote,.quote aside .onebox,.quote aside .onebox-result{background:#f8f8f8;border-left:5px solid #e9e9e9}.quote aside aside.quote>blockquote,.quote aside aside.quote>.title{border-left:0}.topic-body{width:calc(690px + (11px * 2));float:left;position:relative;border-top:1px solid #e9e9e9;padding:12px 0 0 0}.topic-body .topic-meta-data,.topic-body .cooked{padding:0 11px 0.25em 11px}.topic-body a.expand-hidden{padding-left:11px}.topic-avatar{border-top:1px solid #e9e9e9;padding-top:15px;width:45px;float:left;z-index:2}.gap{width:calc( 45px + 690px + 2 * 11px)}.time-gap+.topic-post .topic-body,.time-gap+.topic-post .topic-avatar{border-top:none}.time-gap+.topic-post .embedded-posts.top{border-bottom:1px solid #e9e9e9}.posts-wrapper{position:relative;-webkit-font-smoothing:subpixel-antialiased}.dropdown{position:relative}.caret{display:inline-block;width:0;height:0;vertical-align:middle;border-top:4px solid #222;border-right:4px solid transparent;border-left:4px solid transparent;content:"";margin-left:5px}.dropdown-menu{position:absolute;bottom:115%;left:0;z-index:300;display:none;float:left;width:550px;margin:1px 0 0;list-style:none;background-color:#fff;border:1px solid #e9e9e9;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);background-clip:padding-box}.dropdown-menu span{font-size:.8706em;color:#919191}.dropdown-menu span.title{font-weight:bold;display:block;font-size:1em;color:#222}.dropdown-menu a{display:block;padding:9px;clear:both;font-weight:normal;line-height:1.2;color:#222;transition:all linear 0.15s}.dropdown-menu a>div{margin-left:26px}.dropdown-menu li>a:hover,.dropdown-menu .active>a,.dropdown-menu .active>a:hover{color:#222;text-decoration:none;background-color:#ffffa6}.dropdown-menu .disabled>a,.dropdown-menu .disabled>a:hover{text-decoration:none;color:#222;background-color:#d1f0ff;cursor:default}.dropdown-menu .icon{margin-top:3px;float:left;font-size:1.3195em}.open>.dropdown-menu{display:block;clear:both}.selected-posts{width:200px;position:fixed;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);padding:0.714em;margin-bottom:5px;right:10px}@media screen and (min-width: 1140px){.selected-posts{right:auto;margin-left:330px;left:50%}}.selected-posts button{width:100%;margin:4px auto;display:inline-block;text-align:left}.selected-posts.hidden{display:none}.selected-posts .controls{margin-top:10px}.selected-posts p{font-size:.8706em;margin:0 0 10px 0}.selected-posts p.cancel{margin:10px 0 0 0}.selected-posts h3{font-size:1.7511em;color:#222;margin-bottom:5px}.selected-posts h3 .d-icon{margin-right:7px}a.attachment:before{display:inline-block;margin-right:4px;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14px' height='16px' viewBox='0 0 512 512' fill='%2308c'%3E%3Cpath d='M216 0h80c13.3 0 24 10.7 24 24v168h87.7c17.8 0 26.7 21.5 14.1 34.1L269.7 378.3c-7.5 7.5-19.8 7.5-27.3 0L90.1 226.1c-12.6-12.6-3.7-34.1 14.1-34.1H192V24c0-13.3 10.7-24 24-24zm296 376v112c0 13.3-10.7 24-24 24H24c-13.3 0-24-10.7-24-24V376c0-13.3 10.7-24 24-24h146.7l49 49c20.1 20.1 52.5 20.1 72.6 0l49-49H488c13.3 0 24 10.7 24 24zm-124 88c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20zm64 0c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20z'%3E%3C/path%3E%3C/svg%3E");vertical-align:middle}.topic-meta-data{align-items:center}.topic-meta-data .names{display:flex;align-items:center}.topic-meta-data:after{visibility:hidden;display:block;font-size:0;content:" ";clear:both;height:0}.topic-meta-data .post-info a{color:#919191}.topic-meta-data .post-info a.wiki{color:green}.who-liked,.who-read{margin-top:20px;margin-bottom:0;width:100%;text-align:right}span.highlighted{background-color:#d1f0ff}.first.new-user:not(.staff) a{color:#bdbdbd}.read-state{position:absolute;align-self:center;color:#6cf;right:0;font-size:0.571em}.read-state.read{visibility:hidden;opacity:0;transition:visibility 1s, opacity ease-out 1s}.signup-cta{width:690px}@media all and (max-width: 775px){.topic-avatar{width:45px}.topic-post .reply-to-tab{right:15%}.topic-body{box-sizing:border-box;width:calc(100% - 47px)}.embedded-posts.top{width:calc(100% - 56px)}}.post-actions{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both;text-align:right;margin-bottom:10px}.post-actions .post-action{display:inline-block;margin-left:10px;margin-top:10px}.post-menu-area{margin:20px 0}#topic-title{z-index:1;padding-top:14px;margin-bottom:10px}#topic-title #edit-title,#topic-title .category-chooser,#topic-title .edit-controls{width:500px}#topic-title h1{font-size:1.7511em;line-height:1.2;overflow:hidden;width:100%}#topic-title h1 a{color:#222}#topic-title .private-message-glyph{display:none}#topic-title .remove-featured-link{float:right;text-transform:lowercase;color:#919191;font-size:0.857rem}.private-message-glyph{float:left}.private_message #topic-title .private-message-glyph{display:inline}.topic-error,.topic-notice{padding:18px;width:60%;margin-left:auto;margin-right:auto;font-size:1.7511em;text-align:center;line-height:1.2}.topic-error .topic-retry,.topic-error .topic-join-group,.topic-notice .topic-retry,.topic-notice .topic-join-group{display:block;margin-top:28px;margin-left:auto;margin-right:auto}.topic-status-info{border-top:1px solid #e9e9e9;padding:10px 0;max-width:758px}.topic-status-info .topic-timer-heading{display:flex;align-items:center;margin:0px}.topic-status-info .topic-timer-remove{font-size:.7579em;background:transparent;margin-left:auto}#topic-progress-wrapper{position:fixed;right:1em;bottom:0;z-index:100}#topic-progress-wrapper.docked{position:absolute;bottom:-70px}#topic-progress-expanded{border:1px solid #e9e9e9;padding:5px;background:#fff;position:relative;left:340px;width:135px}#topic-progress-expanded button.full{width:100%;margin-bottom:5px}#topic-progress-expanded button.full .d-icon{display:block;margin-top:2px;margin-bottom:2px;font-size:1.3195em}#topic-progress-expanded .jump-form input[type="text"]{float:left;width:45px;height:20px;text-align:center;margin-bottom:0;font-size:1.1487em}#topic-progress-expanded .jump-form button.btn{float:right;width:55px}#topic-progress-expanded button.btn.jump-prompt{margin:0}#topic-progress-expanded button.btn.jump-bottom{margin:5px 0 0 0}#topic-progress{position:relative;left:340px;background-color:#fff;color:#08c;border:1px solid #d1f0ff;border-bottom:none;width:145px;height:34px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}#topic-progress.hidden{display:none}#topic-progress:hover{cursor:pointer}#topic-progress .nums{position:relative;top:9px;width:100%;text-align:center;z-index:1}#topic-progress .d-icon{position:absolute;right:8px;bottom:9px;z-index:1}#topic-progress h4{display:inline;font-size:1.3195em;line-height:1}#topic-progress .bg{position:absolute;top:0;bottom:0;width:0;max-width:145px;border-right:1px solid #d1f0ff;background-color:#d1f0ff;transition:width 0.75s}#topic-filter{background-color:#ffffa6;padding:8px;bottom:0;position:fixed;width:100%;font-size:1em;z-index:300}@media all and (min-width: 400px){#topic-progress,#topic-progress-expanded{right:0;left:0}#topic-progress-wrapper{right:19vw}#topic-progress-wrapper.docked{right:19vw}#topic-footer-main-buttons{max-width:70%}}@media all and (max-width: 485px){#topic-progress-wrapper.docked{display:none}#topic-footer-main-buttons{max-width:100%}}.upload-selector label{display:inline-block;padding-left:10px}.upload-selector .radios{min-height:60px;display:flex;align-items:flex-start}.upload-selector .radios label{flex:1 0 auto;margin-right:1em;margin-top:1px}.upload-selector .radios .inputs{width:100%}.upload-selector .radios .inputs input{width:90%;margin:0 0 5px 0}.upload-selector .radios .inputs input[type="file"]{font-size:1em;line-height:1.2}.upload-selector .radios .inputs .description,.upload-selector .radios .inputs .hint{color:#919191;display:block}.upload-selector .radios .inputs .hint{font-style:italic;margin:5px 0 0 0}.upload-selector .radios .inputs .label{margin:0 0 5px 0}.upload-selector .radios:last-child:not(:nth-child(2)){min-height:20px}.uploaded-image-preview{height:270px;width:400px;max-height:150px;margin-bottom:10px}.user-content-wrapper>.alert:first-child,.user-content-wrapper>.user-stream>.alert:first-child{margin-top:10px}.user-content-wrapper .show-mores{position:absolute}.form-horizontal .control-group.category{margin-top:18px}.user-profile-hidden{font-size:1.5em;text-align:center}.user-secondary-navigation{min-width:150px}.user-secondary-navigation .nav-stacked{background-color:transparent}.user-secondary-navigation .nav-stacked li{border-bottom:none}.user-secondary-navigation .nav-stacked li.archive{padding-left:1.4em}.user-secondary-navigation .nav-stacked a{color:#919191}.user-secondary-navigation .nav-stacked a.active{color:#222;font-weight:bold;background-color:transparent}.user-secondary-navigation .nav-stacked a.active:after{display:none}.user-content{padding-bottom:12px;margin-bottom:12px;background-color:#fff;box-sizing:border-box}.user-content.user-badges-list{display:flex;flex-wrap:wrap}.user-content .btn.right{float:right}.user-content h2{margin-bottom:10px}.pref-avatar .avatar{max-width:90px;max-height:90px}.pref-second-factor{margin-top:10px}.user-invite-list{width:100%;margin-top:15px}.user-invite-list tr td{padding:0.667em}.user-invite-search{clear:both;margin:15px 0px -15px 0px}.user-invite-none{padding:15px 0}.user-main{margin-bottom:50px}.user-main .about.group .details{padding:15px 0;margin:0;color:#3c3c3c}.user-main .about .details img.avatar{margin:0 20px 10px 0}.user-main .about .details .primary .primary-textual{padding:0 4px 4px}.user-main .about .details .primary .primary-textual a[href]{text-decoration:underline}.user-main .about .details .primary .primary-textual h1{max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-main .about .details .primary .primary-textual .location-and-website{display:flex;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-main .about .details .primary .primary-textual .location-and-website .user-profile-location{margin-right:1em}.user-main .about .details .primary .bio{max-width:750px}.user-main .about .details .primary .bio a.mention{text-decoration:none}.user-main .about .details .secondary{margin-top:16px}.user-main .about.has-background .user-profile-image{height:300px}.user-main .about.has-background .details{box-sizing:border-box;width:100%;padding:15px 0 0 0;bottom:0}.user-main .about .controls{padding:0 0 12px 0;float:right;text-align:right}.user-main .about .controls .btn{min-width:140px}.user-main .about.collapsed-info .user-profile-image{display:none}.user-main .about.collapsed-info .controls{width:auto}.user-main .about.collapsed-info .controls>ul{display:inline-flex}.user-main .about.collapsed-info .controls>ul>li{display:inline;margin-left:12px}.user-main .about.collapsed-info .controls>ul>li .d-button-label{line-height:1}.user-main .about.collapsed-info .controls>ul a{margin-bottom:10px;width:auto}.user-main .about.collapsed-info .details{position:relative;padding:0;margin-top:0;border-bottom:1px solid #e9e9e9}.user-main .user-field input[type="text"]{width:530px}.user-main .user-field .controls .instructions{display:block}.user-main .public-user-fields{overflow:hidden}.user-preferences{padding-top:10px;padding-left:30px}.user-preferences .form-vertical{width:500px;max-width:100%}.user-preferences h3{color:#222;margin:20px 0 10px 0}.user-preferences .category-selector,.user-preferences .tag-chooser,.user-preferences textarea,.user-preferences input.user-selector{width:100%}.user-preferences .instructions{display:inline-block;margin-top:4px}.user-crawler .username{margin-left:5px;display:inline-block}.modal.history-modal .modal-inner-container{max-width:1110px}.modal.history-modal .modal-body{height:70vh}.modal.history-modal #revision-controls .btn[disabled]{cursor:not-allowed;background-color:#e9e9e9}.modal.history-modal #revision-controls .btn-danger[disabled]{background-color:#ec8972}.modal.history-modal #revision{display:flex;justify-content:space-between}.modal.history-modal #revisions{word-wrap:break-word}.modal.history-modal #revisions table{margin-top:10px}.modal.history-modal img{max-width:670px;height:auto}.modal.history-modal .inline-diff{width:670px}.modal.history-modal .markdown{font-family:monospace;font-size:.8706em;width:100%;border-collapse:collapse;border-spacing:0}.modal.history-modal .markdown td{width:50%;vertical-align:top;max-width:440px;word-wrap:break-word;white-space:pre-wrap}.modal.history-modal .revision-content img,.modal.history-modal .markdown img{max-width:100%;box-sizing:border-box}.modal.history-modal .modal-header{height:42px}.modal.history-modal .modal-footer{display:flex;justify-content:space-between}.group-nav .group-dropdown{margin-right:10px}.group-info{margin-bottom:20px}.group-navigation{width:15%;background-color:transparent}.group-navigation li{border:none}.group-navigation li a{color:#919191;padding:8px 0}.group-navigation li a.active{background-color:transparent;font-weight:bold;color:#222}.group-navigation li a.active:after{display:none}.group-activity-outlet,.group-messages-outlet,.group-manage-outlet{width:85%}.group-manage .form-horizontal button{float:none}.group-details-button{position:absolute;top:20px;right:20px}.admin-customize .show-current-style{padding-left:2%;width:68%}.admin-customize .show-current-style .title input{width:80%}.admin-customize .themes-list{width:28%}#user-card,#group-card{position:absolute;z-index:200}#user-card.fixed,#group-card.fixed{position:fixed;z-index:401}#user-card.docked-card,#group-card.docked-card{z-index:1001}#user-card .first-row .names,#group-card .first-row .names{flex:1 1 auto}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{min-width:150px}#user-card h1 .d-icon,#group-card h1 .d-icon{font-size:.8706em}#user-card h2,#group-card h2{font-size:1.1487em}#user-card h3,#group-card h3{font-size:1em}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{display:block;max-width:185px;margin:0 0.5em 0 0}#user-card .sixth-row .badge-section .more-user-badges{max-width:125px}.user-stream .item,.user-stream .user-stream-item{padding:1em 0.53em}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{margin-right:8px}.user-stream .notification.unread{background-color:#d1f0ff}.user-info.medium{flex:0 0 32%;margin:0 2% 4vh 0;display:flex}.user-info.medium:nth-of-type(3n){margin-right:0}@media screen and (max-width: 800px){.user-info.medium{flex:0 0 48%;margin-right:0}}.user-info.medium .user-image{width:55px;margin-right:0}\n\n/*# sourceMappingURL=desktop_8dd8907530e55eba0dabcfa8beb165c07e36c1d3.css.map */	2019-12-05 04:06:37.648289	2019-12-05 04:06:37.648289	-1	{\n\t"version": 3,\n\t"file": "desktop.css",\n\t"sources": [\n\t\t"desktop.scss",\n\t\t"app/assets/stylesheets/common.scss",\n\t\t"app/assets/stylesheets/vendor/normalize.scss",\n\t\t"app/assets/stylesheets/vendor/pikaday.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/helpers.scss",\n\t\t"app/assets/stylesheets/common/foundation/base.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/spacing.scss",\n\t\t"app/assets/stylesheets/common/select-kit/categories-admin-dropdown.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-drop.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-row.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-selector.scss",\n\t\t"app/assets/stylesheets/common/select-kit/combo-box.scss",\n\t\t"app/assets/stylesheets/common/select-kit/composer-actions.scss",\n\t\t"app/assets/stylesheets/common/select-kit/dropdown-select-box.scss",\n\t\t"app/assets/stylesheets/common/select-kit/future-date-input-selector.scss",\n\t\t"app/assets/stylesheets/common/select-kit/list-setting.scss",\n\t\t"app/assets/stylesheets/common/select-kit/mini-tag-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/multi-select.scss",\n\t\t"app/assets/stylesheets/common/select-kit/notifications-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/period-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/pinned-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/select-kit.scss",\n\t\t"app/assets/stylesheets/common/select-kit/tag-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/tag-drop.scss",\n\t\t"app/assets/stylesheets/common/select-kit/toolbar-popup-menu-options.scss",\n\t\t"app/assets/stylesheets/common/select-kit/topic-notifications-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/user-notifications-dropdown.scss",\n\t\t"app/assets/stylesheets/common/select-kit/color-palettes.scss",\n\t\t"app/assets/stylesheets/common/components/svg.scss",\n\t\t"app/assets/stylesheets/common/components/date-time-input-range.scss",\n\t\t"app/assets/stylesheets/common/components/navs.scss",\n\t\t"app/assets/stylesheets/common/components/buttons.scss",\n\t\t"app/assets/stylesheets/common/components/keyboard_shortcuts.scss",\n\t\t"app/assets/stylesheets/common/components/date-time-input.scss",\n\t\t"app/assets/stylesheets/common/components/group-member-dropdown.scss",\n\t\t"app/assets/stylesheets/common/components/banner.scss",\n\t\t"app/assets/stylesheets/common/components/ignored-user-list.scss",\n\t\t"app/assets/stylesheets/common/components/date-input.scss",\n\t\t"app/assets/stylesheets/common/components/time-input.scss",\n\t\t"app/assets/stylesheets/common/components/groups-form-membership-fields.scss",\n\t\t"app/assets/stylesheets/common/components/conditional-loading-section.scss",\n\t\t"app/assets/stylesheets/common/components/hashtag.scss",\n\t\t"app/assets/stylesheets/common/components/convert-to-public-topic-modal.scss",\n\t\t"app/assets/stylesheets/common/components/date-picker.scss",\n\t\t"app/assets/stylesheets/common/components/user-card.scss",\n\t\t"app/assets/stylesheets/common/components/footer-nav.scss",\n\t\t"app/assets/stylesheets/common/components/share-and-invite-modal.scss",\n\t\t"app/assets/stylesheets/common/components/user-stream-item.scss",\n\t\t"app/assets/stylesheets/common/components/badges.scss",\n\t\t"app/assets/stylesheets/common/components/user-info.scss",\n\t\t"app/assets/stylesheets/common/components/user-stream.scss",\n\t\t"app/assets/stylesheets/common/input_tip.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/topic-entrance.scss",\n\t\t"app/assets/stylesheets/common/printer-friendly.scss",\n\t\t"app/assets/stylesheets/common/base/about.scss",\n\t\t"app/assets/stylesheets/common/base/faqs.scss",\n\t\t"app/assets/stylesheets/common/base/crawler_layout.scss",\n\t\t"app/assets/stylesheets/common/base/composer-user-selector.scss",\n\t\t"app/assets/stylesheets/common/base/discourse.scss",\n\t\t"app/assets/stylesheets/common/base/exception.scss",\n\t\t"app/assets/stylesheets/common/base/category-list.scss",\n\t\t"app/assets/stylesheets/common/base/share_link.scss",\n\t\t"app/assets/stylesheets/common/base/ember-select.scss",\n\t\t"app/assets/stylesheets/common/base/upload.scss",\n\t\t"app/assets/stylesheets/common/base/search.scss",\n\t\t"app/assets/stylesheets/common/base/onebox.scss",\n\t\t"app/assets/stylesheets/common/base/header.scss",\n\t\t"app/assets/stylesheets/common/base/bbcode.scss",\n\t\t"app/assets/stylesheets/common/base/activation.scss",\n\t\t"app/assets/stylesheets/common/base/topic-admin-menu.scss",\n\t\t"app/assets/stylesheets/common/base/lightbox.scss",\n\t\t"app/assets/stylesheets/common/base/cat_reorder.scss",\n\t\t"app/assets/stylesheets/common/base/edit-topic-status-update-modal.scss",\n\t\t"app/assets/stylesheets/common/base/redirection.scss",\n\t\t"app/assets/stylesheets/common/base/rtl.scss",\n\t\t"app/assets/stylesheets/common/base/search-menu.scss",\n\t\t"app/assets/stylesheets/common/base/user-badges.scss",\n\t\t"app/assets/stylesheets/common/base/reviewables.scss",\n\t\t"app/assets/stylesheets/common/base/shared-drafts.scss",\n\t\t"app/assets/stylesheets/common/base/explain-reviewable.scss",\n\t\t"app/assets/stylesheets/common/base/colorpicker.scss",\n\t\t"app/assets/stylesheets/common/base/history.scss",\n\t\t"app/assets/stylesheets/common/base/d-popover.scss",\n\t\t"app/assets/stylesheets/common/base/username_tagsinput.scss",\n\t\t"app/assets/stylesheets/common/base/d-icon.scss",\n\t\t"app/assets/stylesheets/common/base/directory.scss",\n\t\t"app/assets/stylesheets/common/base/alert.scss",\n\t\t"app/assets/stylesheets/common/base/group.scss",\n\t\t"app/assets/stylesheets/common/base/emoji.scss",\n\t\t"app/assets/stylesheets/common/base/_topic-list.scss",\n\t\t"app/assets/stylesheets/common/base/user.scss",\n\t\t"app/assets/stylesheets/common/base/tagging.scss",\n\t\t"app/assets/stylesheets/common/base/compose.scss",\n\t\t"app/assets/stylesheets/common/base/magnific-popup.scss",\n\t\t"app/assets/stylesheets/common/base/topic-post.scss",\n\t\t"app/assets/stylesheets/common/base/topic.scss",\n\t\t"app/assets/stylesheets/common/base/request_access.scss",\n\t\t"app/assets/stylesheets/common/base/code_highlighting.scss",\n\t\t"app/assets/stylesheets/common/base/tooltip.scss",\n\t\t"app/assets/stylesheets/common/base/not-found.scss",\n\t\t"app/assets/stylesheets/common/base/modal.scss",\n\t\t"app/assets/stylesheets/common/base/groups.scss",\n\t\t"app/assets/stylesheets/common/base/login.scss",\n\t\t"app/assets/stylesheets/common/base/menu-panel.scss",\n\t\t"app/assets/stylesheets/common/base/request-group-membership-form.scss",\n\t\t"app/assets/stylesheets/common/d-editor.scss",\n\t\t"app/assets/stylesheets/common/topic-timeline.scss",\n\t\t"app/assets/stylesheets/desktop/alert.scss",\n\t\t"app/assets/stylesheets/desktop/banner.scss",\n\t\t"app/assets/stylesheets/desktop/compose.scss",\n\t\t"app/assets/stylesheets/desktop/discourse.scss",\n\t\t"app/assets/stylesheets/desktop/header.scss",\n\t\t"app/assets/stylesheets/desktop/login.scss",\n\t\t"app/assets/stylesheets/desktop/modal.scss",\n\t\t"app/assets/stylesheets/desktop/category-list.scss",\n\t\t"app/assets/stylesheets/desktop/latest-topic-list.scss",\n\t\t"app/assets/stylesheets/desktop/topic-list.scss",\n\t\t"app/assets/stylesheets/desktop/topic-post.scss",\n\t\t"app/assets/stylesheets/desktop/topic.scss",\n\t\t"app/assets/stylesheets/desktop/upload.scss",\n\t\t"app/assets/stylesheets/desktop/user.scss",\n\t\t"app/assets/stylesheets/desktop/history.scss",\n\t\t"app/assets/stylesheets/desktop/group.scss",\n\t\t"app/assets/stylesheets/desktop/admin_customize.scss",\n\t\t"app/assets/stylesheets/desktop/components/user-card.scss",\n\t\t"app/assets/stylesheets/desktop/components/user-stream-item.scss",\n\t\t"app/assets/stylesheets/desktop/components/user-info.scss",\n\t\t"category_background.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common\\";\\n\\n/* @import \\"desktop/*\\"; TODO: get this working again */\\n\\n@import \\"desktop/alert\\";\\n@import \\"desktop/banner\\";\\n@import \\"desktop/compose\\";\\n@import \\"desktop/discourse\\";\\n@import \\"desktop/header\\";\\n@import \\"desktop/login\\";\\n@import \\"desktop/modal\\";\\n@import \\"desktop/category-list\\";\\n@import \\"desktop/latest-topic-list\\";\\n@import \\"desktop/topic-list\\";\\n@import \\"desktop/topic-post\\";\\n@import \\"desktop/topic\\";\\n@import \\"desktop/upload\\";\\n@import \\"desktop/user\\";\\n@import \\"desktop/history\\";\\n@import \\"desktop/group\\";\\n@import \\"desktop/admin_customize\\";\\n\\n// Import all component-specific files\\n@import \\"desktop/components/*\\";\\n\\n/* These files doesn't actually exist, they are injected by Stylesheet::Compiler. */\\n\\n@import \\"category_backgrounds\\";\\n",\n\t\t"@import \\"vendor/normalize\\";\\n@import \\"vendor/pikaday\\";\\n@import \\"common/foundation/helpers\\";\\n@import \\"common/foundation/base\\";\\n@import \\"common/foundation/mixins\\";\\n@import \\"common/foundation/variables\\";\\n@import \\"common/foundation/spacing\\";\\n@import \\"common/select-kit/categories-admin-dropdown\\";\\n@import \\"common/select-kit/category-chooser\\";\\n@import \\"common/select-kit/category-drop\\";\\n@import \\"common/select-kit/category-row\\";\\n@import \\"common/select-kit/category-selector\\";\\n@import \\"common/select-kit/combo-box\\";\\n@import \\"common/select-kit/composer-actions\\";\\n@import \\"common/select-kit/dropdown-select-box\\";\\n@import \\"common/select-kit/future-date-input-selector\\";\\n@import \\"common/select-kit/list-setting\\";\\n@import \\"common/select-kit/mini-tag-chooser\\";\\n@import \\"common/select-kit/multi-select\\";\\n@import \\"common/select-kit/notifications-button\\";\\n@import \\"common/select-kit/period-chooser\\";\\n@import \\"common/select-kit/pinned-button\\";\\n@import \\"common/select-kit/select-kit\\";\\n@import \\"common/select-kit/tag-chooser\\";\\n@import \\"common/select-kit/tag-drop\\";\\n@import \\"common/select-kit/toolbar-popup-menu-options\\";\\n@import \\"common/select-kit/topic-notifications-button\\";\\n@import \\"common/select-kit/user-notifications-dropdown\\";\\n@import \\"common/select-kit/color-palettes\\";\\n@import \\"common/components/*\\";\\n@import \\"common/input_tip\\";\\n@import \\"common/topic-entrance\\";\\n@import \\"common/printer-friendly\\";\\n@import \\"common/base/*\\";\\n@import \\"common/d-editor\\";\\n@import \\"common/topic-timeline\\";\\n",\n\t\t"/*! normalize.css v3.0.1 | MIT License | git.io/normalize */\\n\\n/**\\n * 1. Set default font family to sans-serif.\\n * 2. Prevent iOS text size adjust after orientation change, without disabling\\n *    user zoom.\\n */\\n\\nhtml {\\n  font-family: sans-serif; /* 1 */\\n  -ms-text-size-adjust: 100%; /* 2 */\\n  -webkit-text-size-adjust: 100%; /* 2 */\\n}\\n\\n/**\\n * Remove default margin.\\n */\\n\\nbody {\\n  margin: 0;\\n}\\n\\n/* HTML5 display definitions\\n   ========================================================================== */\\n\\n/**\\n * Correct `block` display not defined for any HTML5 element in IE 8/9.\\n * Correct `block` display not defined for `details` or `summary` in IE 10/11 and Firefox.\\n * Correct `block` display not defined for `main` in IE 11.\\n */\\n\\narticle,\\naside,\\ndetails,\\nfigcaption,\\nfigure,\\nfooter,\\nheader,\\nhgroup,\\nmain,\\nnav,\\nsection,\\nsummary {\\n  display: block;\\n}\\n\\n/**\\n * 1. Correct `inline-block` display not defined in IE 8/9.\\n * 2. Normalize vertical alignment of `progress` in Chrome, Firefox, and Opera.\\n */\\n\\naudio,\\ncanvas,\\nprogress,\\nvideo {\\n  display: inline-block; /* 1 */\\n  vertical-align: baseline; /* 2 */\\n}\\n\\n/**\\n * Prevent modern browsers from displaying `audio` without controls.\\n * Remove excess height in iOS 5 devices.\\n */\\n\\naudio:not([controls]) {\\n  display: none;\\n  height: 0;\\n}\\n\\n/**\\n * Address `[hidden]` styling not present in IE 8/9/10.\\n * Hide the `template` element in IE 8/9/11, Safari, and Firefox < 22.\\n */\\n\\n[hidden],\\ntemplate {\\n  display: none;\\n}\\n\\n/* Links\\n   ========================================================================== */\\n\\n/**\\n * Remove the gray background color from active links in IE 10.\\n */\\n\\na {\\n  background: transparent;\\n}\\n\\n/**\\n * Improve readability when focused and also mouse hovered in all browsers.\\n */\\n\\na:active,\\na:hover {\\n  outline: 0;\\n}\\n\\n/* Text-level semantics\\n   ========================================================================== */\\n\\n/**\\n * Address styling not present in IE 8/9/10/11 & Edge\\n */\\n\\n abbr[title], acronym[title] {\\n  text-decoration: underline;\\n  text-decoration-style: dotted; \\n}\\n\\n/**\\n * Address style set to `bolder` in Firefox 4+, Safari, and Chrome.\\n */\\n\\nb,\\nstrong {\\n  font-weight: bold;\\n}\\n\\n/**\\n * Address styling not present in Safari and Chrome.\\n */\\n\\ndfn {\\n  font-style: italic;\\n}\\n\\n/**\\n * Address variable `h1` font-size and margin within `section` and `article`\\n * contexts in Firefox 4+, Safari, and Chrome.\\n */\\n\\nh1 {\\n  font-size: 1.7511em;\\n  margin: 0.67em 0;\\n}\\n\\n/**\\n * Address styling not present in IE 8/9.\\n */\\n\\nmark {\\n  background: #ff0;\\n  color: #000;\\n}\\n\\n/**\\n * Address inconsistent and variable font size in all browsers.\\n */\\n\\nsmall {\\n  font-size: 80%;\\n}\\n\\n/**\\n * Prevent `sub` and `sup` affecting `line-height` in all browsers.\\n */\\n\\nsub,\\nsup {\\n  font-size: 75%;\\n  line-height: 0;\\n  position: relative;\\n  vertical-align: baseline;\\n}\\n\\nsup {\\n  top: -0.5em;\\n}\\n\\nsub {\\n  bottom: -0.25em;\\n}\\n\\n/* Embedded content\\n   ========================================================================== */\\n\\n/**\\n * Remove border when inside `a` element in IE 8/9/10.\\n */\\n\\nimg {\\n  border: 0;\\n}\\n\\n/* Grouping content\\n   ========================================================================== */\\n\\n/**\\n * Address margin not present in IE 8/9 and Safari.\\n */\\n\\nfigure {\\n  margin: 1em 40px;\\n}\\n\\n/**\\n * Address differences between Firefox and other browsers.\\n */\\n\\nhr {\\n  -moz-box-sizing: content-box;\\n  box-sizing: content-box;\\n  height: 0;\\n}\\n\\n/**\\n * Contain overflow in all browsers.\\n */\\n\\npre {\\n  overflow: auto;\\n}\\n\\n/**\\n * Address odd `em`-unit font size rendering in all browsers.\\n */\\n\\ncode,\\nkbd,\\npre,\\nsamp {\\n  font-family: monospace, monospace;\\n  font-size: 1em;\\n}\\n\\n/* Forms\\n   ========================================================================== */\\n\\n/**\\n * Known limitation: by default, Chrome and Safari on OS X allow very limited\\n * styling of `select`, unless a `border` property is set.\\n */\\n\\n/**\\n * 1. Correct color not being inherited.\\n *    Known issue: affects color of disabled elements.\\n * 2. Correct font properties not being inherited.\\n * 3. Address margins set differently in Firefox 4+, Safari, and Chrome.\\n */\\n\\nbutton,\\ninput,\\noptgroup,\\nselect,\\ntextarea {\\n  color: inherit; /* 1 */\\n  font: inherit; /* 2 */\\n  margin: 0; /* 3 */\\n}\\n\\n/**\\n * Address `overflow` set to `hidden` in IE 8/9/10/11.\\n */\\n\\nbutton {\\n  overflow: visible;\\n}\\n\\n/**\\n * Address inconsistent `text-transform` inheritance for `button` and `select`.\\n * All other form control elements do not inherit `text-transform` values.\\n * Correct `button` style inheritance in Firefox, IE 8/9/10/11, and Opera.\\n * Correct `select` style inheritance in Firefox.\\n */\\n\\nbutton,\\nselect {\\n  text-transform: none;\\n}\\n\\n/**\\n * 1. Avoid the WebKit bug in Android 4.0.* where (2) destroys native `audio`\\n *    and `video` controls.\\n * 2. Correct inability to style clickable `input` types in iOS.\\n * 3. Improve usability and consistency of cursor style between image-type\\n *    `input` and others.\\n */\\n\\nbutton,\\nhtml input[type=\\"button\\"], /* 1 */\\ninput[type=\\"reset\\"],\\ninput[type=\\"submit\\"] {\\n  -webkit-appearance: button; /* 2 */\\n  cursor: pointer; /* 3 */\\n}\\n\\n/**\\n * Re-set default cursor for disabled elements.\\n */\\n\\nbutton[disabled],\\nhtml input[disabled] {\\n  cursor: default;\\n}\\n\\n/**\\n * Remove inner padding and border in Firefox 4+.\\n */\\n\\nbutton::-moz-focus-inner,\\ninput::-moz-focus-inner {\\n  border: 0;\\n  padding: 0;\\n}\\n\\n/**\\n * Address Firefox 4+ setting `line-height` on `input` using `!important` in\\n * the UA stylesheet.\\n */\\n\\ninput {\\n  line-height: normal;\\n}\\n\\n/**\\n * It's recommended that you don't attempt to style these elements.\\n * Firefox's implementation doesn't respect box-sizing, padding, or width.\\n *\\n * 1. Address box sizing set to `content-box` in IE 8/9/10.\\n * 2. Remove excess padding in IE 8/9/10.\\n */\\n\\ninput[type=\\"checkbox\\"],\\ninput[type=\\"radio\\"] {\\n  box-sizing: border-box; /* 1 */\\n  padding: 0; /* 2 */\\n}\\n\\n/**\\n * Fix the cursor style for Chrome's increment/decrement buttons. For certain\\n * `font-size` values of the `input`, it causes the cursor style of the\\n * decrement button to change from `default` to `text`.\\n */\\n\\ninput[type=\\"number\\"]::-webkit-inner-spin-button,\\ninput[type=\\"number\\"]::-webkit-outer-spin-button {\\n  height: auto;\\n}\\n\\n/**\\n * 1. Address `appearance` set to `searchfield` in Safari and Chrome.\\n * 2. Address `box-sizing` set to `border-box` in Safari and Chrome\\n *    (include `-moz` to future-proof).\\n */\\n\\ninput[type=\\"search\\"] {\\n  -webkit-appearance: textfield; /* 1 */\\n  -moz-box-sizing: content-box;\\n  -webkit-box-sizing: content-box; /* 2 */\\n  box-sizing: content-box;\\n}\\n\\n/**\\n * Remove inner padding and search cancel button in Safari and Chrome on OS X.\\n * Safari (but not Chrome) clips the cancel button when the search input has\\n * padding (and `textfield` appearance).\\n */\\n\\ninput[type=\\"search\\"]::-webkit-search-cancel-button,\\ninput[type=\\"search\\"]::-webkit-search-decoration {\\n  -webkit-appearance: none;\\n}\\n\\n/**\\n * Define consistent border, margin, and padding.\\n */\\n\\nfieldset {\\n  border: 1px solid #c0c0c0;\\n  margin: 0 2px;\\n  padding: 0.35em 0.625em 0.75em;\\n}\\n\\n/**\\n * 1. Correct `color` not being inherited in IE 8/9/10/11.\\n * 2. Remove padding so people aren't caught out if they zero out fieldsets.\\n */\\n\\nlegend {\\n  border: 0; /* 1 */\\n  padding: 0; /* 2 */\\n}\\n\\n/**\\n * Remove default vertical scrollbar in IE 8/9/10/11.\\n */\\n\\ntextarea {\\n  overflow: auto;\\n}\\n\\n/**\\n * Don't inherit the `font-weight` (applied by a rule above).\\n * NOTE: the default cannot safely be changed in Chrome and Safari on OS X.\\n */\\n\\noptgroup {\\n  font-weight: bold;\\n}\\n\\n/* Tables\\n   ========================================================================== */\\n\\n/**\\n * Remove most spacing between table cells.\\n */\\n\\ntable {\\n  border-collapse: collapse;\\n  border-spacing: 0;\\n}\\n\\ntd,\\nth {\\n  padding: 0;\\n}\\n",\n\t\t"@import \\"common/foundation/variables\\";\\n\\n/*!\\n * Pikaday\\n * Copyright © 2014 David Bushell | BSD & MIT license | http://dbushell.com/\\n */\\n\\n// Variables\\n// Declare any of these variables before importing this SCSS file to easily override defaults\\n// Variables are namespaced with the pd (pikaday) prefix\\n\\n// Colours\\n$pd-text-color: $primary !default;\\n$pd-title-color: $primary !default;\\n$pd-title-bg: $secondary !default;\\n$pd-picker-bg: $secondary !default;\\n$pd-picker-border: $primary-low !default;\\n$pd-picker-border-bottom: $primary-low !default;\\n$pd-picker-shadow: rgba(0,0,0,.5) !default;\\n$pd-th-color: $primary !default;\\n$pd-day-color: $primary !default;\\n$pd-day-bg: $secondary !default;\\n$pd-day-hover-color: $primary !default;\\n$pd-day-hover-bg: $tertiary-low !default;\\n$pd-day-today-color: $tertiary !default;\\n$pd-day-selected-color: $secondary !default;\\n$pd-day-selected-bg: $tertiary !default;\\n$pd-day-selected-shadow: $tertiary-low !default;\\n$pd-day-disabled-color: $primary !default;\\n$pd-week-color: $primary !default;\\n\\n// Font\\n$pd-font-family: \\"Helvetica Neue\\", Helvetica, Arial, sans-serif !default;\\n\\n\\n.pika-single {\\n    z-index: 9999;\\n    display: block;\\n    position: relative;\\n    color: $pd-text-color;\\n    background: $pd-picker-bg;\\n    border: 1px solid $pd-picker-border;\\n    border-bottom-color: $pd-picker-border-bottom;\\n    font-family: $pd-font-family;\\n\\n    &.is-hidden {\\n        display: none;\\n    }\\n\\n    &.is-bound {\\n        position: absolute;\\n        box-shadow: 0 5px 15px -5px $pd-picker-shadow;\\n    }\\n}\\n\\n// clear child float (pika-lendar), using the famous micro clearfix hack\\n// http://nicolasgallagher.com/micro-clearfix-hack/\\n.pika-single {\\n    &:before,\\n    &:after {\\n        content: \\" \\";\\n        display: table;\\n    }\\n\\n    &:after { clear: both }\\n}\\n\\n.pika-lendar {\\n    float: left;\\n    width: 240px;\\n    margin: 8px;\\n}\\n\\n.pika-title {\\n    position: relative;\\n    text-align: center;\\n\\n    select {\\n        cursor: pointer;\\n        position: absolute;\\n        z-index: 9998;\\n        margin: 0;\\n        left: 0;\\n        top: 5px;\\n        filter: alpha(opacity=0);\\n        opacity: 0;\\n    }\\n}\\n\\n.pika-label {\\n    display: inline-block;\\n    position: relative;\\n    z-index: 9999;\\n    overflow: hidden;\\n    margin: 0;\\n    padding: 5px 3px;\\n    font-size: 14px;\\n    line-height: 20px;\\n    font-weight: bold;\\n    color: $pd-title-color;\\n    background-color: $pd-title-bg;\\n}\\n\\n.pika-prev,\\n.pika-next {\\n    display: block;\\n    cursor: pointer;\\n    position: relative;\\n    outline: none;\\n    border: 0;\\n    padding: 0;\\n    width: 20px;\\n    height: 30px;\\n    text-indent: 20px; // hide text using text-indent trick, using width value (it's enough)\\n    white-space: nowrap;\\n    overflow: hidden;\\n    background-color: transparent;\\n    background-position: center center;\\n    background-repeat: no-repeat;\\n    background-size: 75% 75%;\\n    opacity: .5;\\n    @if (lightness($secondary) < 50) { // invert the black png if the background is dark\\n        filter: invert(1); \\n    } \\n\\n    &:hover {\\n        opacity: 1;\\n    }\\n\\n    &.is-disabled {\\n        cursor: default;\\n        opacity: .2;\\n    }\\n}\\n\\n.pika-prev,\\n.is-rtl .pika-next {\\n    float: left;\\n    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==');\\n}\\n\\n.pika-next,\\n.is-rtl .pika-prev {\\n    float: right;\\n    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=');\\n}\\n\\n.pika-select {\\n    display: inline-block;\\n}\\n\\n.pika-table {\\n    width: 100%;\\n    border-collapse: collapse;\\n    border-spacing: 0;\\n    border: 0;\\n\\n    th,\\n    td {\\n        width: 14.285714285714286%;\\n        padding: 0;\\n    }\\n\\n    th {\\n        color: $pd-th-color;\\n        font-size: 12px;\\n        line-height: 25px;\\n        font-weight: bold;\\n        text-align: center;\\n    }\\n\\n    abbr {\\n        border-bottom: none;\\n        cursor: help;\\n    }\\n}\\n\\n.pika-button {\\n    cursor: pointer;\\n    display: block;\\n    -moz-box-sizing: border-box;\\n    box-sizing: border-box;\\n    outline: none;\\n    border: 0;\\n    margin: 0;\\n    width: 100%;\\n    padding: 5px;\\n    color: $pd-day-color;\\n    font-size: 12px;\\n    line-height: 15px;\\n    text-align: right;\\n    background: $pd-day-bg;\\n\\n    .is-today & {\\n        color: $pd-day-today-color;\\n        font-weight: bold;\\n    }\\n\\n    .is-selected & {\\n        color: $pd-day-selected-color;\\n        font-weight: bold;\\n        background: $pd-day-selected-bg;\\n        box-shadow: inset 0 1px 3px $pd-day-selected-shadow;\\n        border-radius: 3px;\\n    }\\n\\n    .is-disabled &,\\n    .is-outside-current-month & {\\n        pointer-events: none;\\n        cursor: default;\\n        color: $pd-day-disabled-color;\\n        opacity: .3;\\n    }\\n\\n    &:hover {\\n        color: $pd-day-hover-color;\\n        background: $pd-day-hover-bg;\\n        box-shadow: none;\\n        border-radius: 3px;\\n    }\\n}\\n\\n.pika-week {\\n    font-size: 11px;\\n    color: $pd-week-color;\\n}\\n\\n.is-inrange .pika-button {\\n    background: #D5E9F7;\\n}\\n\\n.is-startrange .pika-button {\\n    color: $secondary;\\n    background: #6CB31D;\\n    box-shadow: none;\\n    border-radius: 3px;\\n}\\n\\n.is-endrange .pika-button {\\n    color: $secondary;\\n    background: $tertiary;\\n    box-shadow: none;\\n    border-radius: 3px;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Generic helper classes\\n// --------------------------------------------------\\n\\n// Floats\\n// --------------------------------------------------\\n\\n.pull-left {\\n  float: left;\\n}\\n\\n.pull-right {\\n  float: right;\\n}\\n\\n// Element visibility\\n// --------------------------------------------------\\n\\n.show {\\n  display: block;\\n}\\n\\n.hide,\\n.hidden {\\n  display: none;\\n}\\n\\n.invisible {\\n  visibility: hidden;\\n}\\n\\n.sr-only {\\n  position: absolute;\\n  width: 1px;\\n  height: 1px;\\n  padding: 0;\\n  margin: -1px;\\n  overflow: hidden;\\n  clip: rect(0, 0, 0, 0);\\n  border: 0;\\n}\\n\\n// Affix\\n// --------------------------------------------------\\n\\n.affix {\\n  position: fixed;\\n}\\n\\n// Contain floats\\n// --------------------------------------------------\\n\\n.clearfix {\\n  &:before,\\n  &:after {\\n    display: table;\\n    content: \\" \\";\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n// Overflow\\n// --------------------------------------------------\\n\\n.overflow-ellipsis {\\n  white-space: nowrap;\\n  overflow: hidden;\\n  text-overflow: ellipsis;\\n}\\n\\n// Clickable elements\\n// --------------------------------------------------\\n\\n.clickable {\\n  cursor: pointer;\\n}\\n\\n// Buttons\\n// ---------------------------------------------------\\n.disable-no-hover:hover {\\n  background: dark-light-choose($primary-low, $secondary-medium);\\n  color: $primary;\\n}\\n",\n\t\t"@import \\"./variables\\";\\n@import \\"./mixins\\";\\n\\n// --------------------------------------------------\\n// Base styles for HTML elements\\n// --------------------------------------------------\\n\\nhtml {\\n  color: $primary;\\n  font-family: $base-font-family;\\n  font-size: $base-font-size;\\n  line-height: $line-height-large;\\n  background-color: $secondary;\\n  overflow-y: scroll;\\n  direction: ltr;\\n\\n  &.text-size-smaller {\\n    font-size: $base-font-size-smaller;\\n  }\\n\\n  &.text-size-larger {\\n    font-size: $base-font-size-larger;\\n  }\\n\\n  &.text-size-largest {\\n    font-size: $base-font-size-largest;\\n  }\\n}\\n\\n// Links\\n// --------------------------------------------------\\n\\na {\\n  color: $tertiary;\\n  text-decoration: none;\\n  cursor: pointer;\\n  &:visited {\\n    color: $tertiary;\\n  }\\n  &:hover {\\n    color: $tertiary;\\n  }\\n  &:active {\\n    color: $tertiary;\\n  }\\n}\\n\\n// Typography\\n// --------------------------------------------------\\n\\nhr {\\n  display: block;\\n  height: 1px;\\n  margin: 1em 0;\\n  border: 0;\\n  border-top: 1px solid $primary-low;\\n  padding: 0;\\n}\\n\\n// Lists\\n// --------------------------------------------------\\n\\nul,\\ndd {\\n  margin: 0 0 9px 25px;\\n  padding: 0;\\n}\\n\\n.cooked ul,\\n.cooked ol,\\n.cooked dd {\\n  clear: both;\\n}\\n\\n.cooked ul,\\n.d-editor-preview ul {\\n  margin: 0;\\n  padding-left: 40px;\\n}\\n\\nli {\\n  > ul,\\n  > ol {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n// Embedded content\\n// --------------------------------------------------\\n\\nimg {\\n  vertical-align: middle;\\n}\\n\\n// Forms\\n// --------------------------------------------------\\n\\nfieldset {\\n  margin: 0;\\n  border: 0;\\n  padding: 0;\\n}\\n\\npre code {\\n  overflow: auto;\\n  tab-size: 4;\\n}\\n\\n// TODO figure out a clean place to put stuff like this\\n.row:before,\\n.row:after {\\n  display: table;\\n  content: \\"\\";\\n}\\n.row:after {\\n  clear: both;\\n}\\n\\n#offscreen-content {\\n  display: none;\\n}\\n\\n// Tables\\n// --------------------------------------------------\\n\\ntbody {\\n  border-top: 3px solid $primary-low;\\n}\\n\\ntr {\\n  border-bottom: 1px solid $primary-low;\\n  &.highlighted {\\n    animation: background-fade-highlight 2.5s ease-out;\\n  }\\n}\\n\\n// https://en.wikipedia.org/wiki/Ruby_character\\nruby > rt {\\n  font-size: 72%; // ~10px with 14px base\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"$base-space: 4px;\\n\\n@function s(\\n  $sizes: (\\n    0\\n  )\\n) {\\n  $spaces: ();\\n  @each $size in $sizes {\\n    @if ($size == 0) {\\n      // Strip units if 0\\n      $size: $size * $base-space;\\n      $size: $size / ($size * 0 + 1);\\n    } @else if ($size == auto) {\\n      $size: auto;\\n    } @else {\\n      $size: $size * $base-space;\\n    }\\n\\n    $spaces: append($spaces, $size);\\n  }\\n  @return $spaces;\\n}\\n",\n\t\t".select-kit {\\n  &.categories-admin-dropdown {\\n    .select-kit-body {\\n      min-width: auto;\\n      width: 250px;\\n    }\\n\\n    .select-kit-header .d-icon {\\n      justify-content: space-between;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-chooser {\\n      width: 300px;\\n\\n      .select-kit-row {\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        -webkit-box-align: flex-start;\\n        -ms-flex-align: flex-start;\\n        align-items: flex-start;\\n        -webkit-box-orient: vertical;\\n        -webkit-box-direction: normal;\\n        -ms-flex-direction: column;\\n        flex-direction: column;\\n\\n        &.none {\\n          .topic-count {\\n            display: none;\\n          }\\n        }\\n\\n        .topic-count {\\n          font-size: $font-down-2;\\n          color: $primary;\\n          white-space: nowrap;\\n        }\\n\\n        .category-status {\\n          color: $primary;\\n          line-height: $line-height-large;\\n          -webkit-box-flex: 0;\\n          -ms-flex: 1 1 auto;\\n          flex: 1 1 auto;\\n        }\\n\\n        .category-desc {\\n          -webkit-box-flex: 0;\\n          -ms-flex: 1 1 auto;\\n          flex: 1 1 auto;\\n          color: #919191;\\n          font-size: $font-down-1;\\n          line-height: $line-height-large;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-drop {\\n      .badge-wrapper {\\n        font-size: $font-0;\\n        font-weight: normal;\\n\\n        &.box {\\n          margin: 0;\\n\\n          span.badge-category {\\n            margin: 0;\\n          }\\n        }\\n      }\\n\\n      &.bar.has-selection .category-drop-header {\\n        padding: 0 5px 0 10px;\\n      }\\n\\n      &.box.has-selection .category-drop-header {\\n        .badge-wrapper.box {\\n          padding: 0;\\n        }\\n      }\\n\\n      .category-drop-header {\\n        &.is-none .selected-name {\\n          color: inherit;\\n        }\\n\\n        .badge-wrapper {\\n          margin-right: 0;\\n        }\\n      }\\n\\n      .select-kit-body {\\n        min-width: 300px;\\n      }\\n\\n      .select-kit-row {\\n        flex-direction: column;\\n        align-items: flex-start;\\n\\n        &[data-value=\\"all-categories\\"],\\n        &[data-value=\\"no-categories\\"] {\\n          color: $tertiary;\\n          font-weight: 700;\\n        }\\n\\n        .category-desc {\\n          font-weight: normal;\\n          color: $primary-medium;\\n          margin-top: 2px;\\n        }\\n\\n        .category-status {\\n          align-items: center;\\n        }\\n\\n        .topic-count {\\n          margin-left: 5px;\\n          font-weight: normal;\\n        }\\n\\n        .badge-wrapper {\\n          margin: 0;\\n          font-weight: bold;\\n\\n          &:nth-child(2) {\\n            margin-left: 10px;\\n          }\\n        }\\n      }\\n\\n      &.is-expanded .select-kit-wrapper,\\n      .select-kit-wrapper {\\n        display: none;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  .category-row {\\n    .category-status {\\n      display: flex;\\n      flex-wrap: wrap;\\n      align-items: center;\\n      max-width: 100%;\\n      -webkit-box-flex: 0;\\n      -ms-flex: 1 1 auto;\\n      flex: 1 1 auto;\\n    }\\n    .category-desc {\\n      max-width: 100%; // needed for IE11\\n    }\\n    .category-status {\\n      .badge-wrapper.box {\\n        margin-bottom: 1px;\\n        margin-top: 1px;\\n      }\\n    }\\n    .topic-count {\\n      white-space: nowrap;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit,\\n.select-kit-box {\\n  &.category-selector {\\n    .selected-name {\\n      .badge-wrapper {\\n        &.box {\\n          margin: 2px;\\n          padding: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    min-width: auto;\\n    .select-kit-body {\\n      width: 100%;\\n      min-width: 150px;\\n      border-radius: 0;\\n      box-shadow: shadow(\\"dropdown\\");\\n    }\\n\\n    .select-kit-row {\\n      margin: 0;\\n      min-height: 1px;\\n      padding: 6px 10px;\\n      &.no-content {\\n        font-weight: normal;\\n      }\\n    }\\n\\n    .select-kit-filter {\\n      padding: $input-padding;\\n      border-top: 1px solid $primary-low;\\n      border-bottom: 1px solid $primary-low;\\n\\n      .spinner {\\n        flex: 0 0 auto;\\n      }\\n\\n      .filter-input,\\n      .filter-input:focus,\\n      .filter-input:active {\\n        flex: 0 0 auto;\\n        width: 90%; // Firefox quirk\\n      }\\n\\n      .filter-icon {\\n        padding-left: 5px;\\n      }\\n    }\\n\\n    .select-kit-header {\\n      background: $secondary;\\n      border: 1px solid $primary-medium;\\n      padding: 0 5px 0 10px;\\n      font-weight: 500;\\n      font-size: $font-0;\\n\\n      &.is-focused {\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    .select-kit-collection {\\n      display: flex;\\n      flex-direction: column;\\n      padding: 0;\\n      min-width: 100px;\\n      max-height: 200px;\\n      max-width: 32em;\\n\\n      .collection-header {\\n        a {\\n          white-space: nowrap;\\n          color: $primary;\\n          line-height: $line-height-medium;\\n          font-weight: bold;\\n          display: block;\\n          padding: 6px 10px;\\n          color: $tertiary;\\n\\n          &:hover {\\n            text-decoration: underline;\\n          }\\n        }\\n      }\\n    }\\n\\n    &.is-disabled {\\n      .select-kit-header {\\n        background: $primary-low;\\n        border-color: $primary-low-mid;\\n        color: $primary-medium;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n\\n    &.is-highlighted {\\n      .select-kit-header {\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded {\\n      .select-kit-wrapper {\\n        display: block;\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded.is-above {\\n      .select-kit-header {\\n        border-radius: 0 0 3px 3px;\\n      }\\n\\n      .select-kit-body {\\n        border-radius: 3px 3px 0 0;\\n      }\\n    }\\n\\n    &.tag-drop,\\n    &.group-dropdown {\\n      min-width: auto;\\n      .select-kit-row {\\n        font-weight: bold;\\n      }\\n    }\\n\\n    &.is-expanded .select-kit-wrapper,\\n    .select-kit-wrapper {\\n      display: none;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.composer-actions {\\n      margin: 0;\\n      .select-kit-header {\\n        background: none;\\n        outline: none;\\n        padding: 0;\\n        margin-right: 5px;\\n        border: 1px solid $primary-low;\\n        min-height: unset;\\n        .d-icon {\\n          padding: 5px 6px;\\n        }\\n        &:hover,\\n        &:focus {\\n          background: $primary-low;\\n        }\\n      }\\n      .d-icon {\\n        margin: 0 !important;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    display: -webkit-inline-box;\\n    display: -ms-inline-flexbox;\\n    display: inline-flex;\\n    min-width: auto;\\n    border: none;\\n\\n    &.is-expanded {\\n      .select-kit-collection,\\n      .select-kit-body {\\n        border-radius: 0;\\n      }\\n    }\\n\\n    .select-kit-body {\\n      border: 1px solid $primary-low;\\n      background-clip: padding-box;\\n      box-shadow: shadow(\\"dropdown\\");\\n      max-width: 300px;\\n      width: 300px;\\n    }\\n\\n    .select-kit-row {\\n      margin: 0;\\n      padding: 10px 5px;\\n\\n      .icons {\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        flex: 0 0 auto;\\n        -webkit-box-align: start;\\n        -ms-flex-align: start;\\n        align-items: flex-start;\\n        -webkit-box-pack: center;\\n        -ms-flex-pack: center;\\n        justify-content: center;\\n        -ms-flex-item-align: start;\\n        align-self: flex-start;\\n        margin-right: 0.357em;\\n        margin-top: 2px;\\n        width: 30px;\\n\\n        .d-icon {\\n          font-size: $font-up-2;\\n          -ms-flex-item-align: center;\\n          align-self: center;\\n          margin-right: 0;\\n          opacity: 1;\\n        }\\n      }\\n\\n      .texts {\\n        width: 0; //IE11\\n        line-height: $line-height-large;\\n        -webkit-box-flex: 1;\\n        -ms-flex: 1;\\n        flex: 1 1 0%;\\n        -webkit-box-align: start;\\n        -ms-flex-align: start;\\n        align-items: flex-start;\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        -ms-flex-wrap: wrap;\\n        flex-wrap: wrap;\\n        -webkit-box-orient: vertical;\\n        -webkit-box-direction: normal;\\n        -ms-flex-direction: column;\\n        flex-direction: column;\\n\\n        .name {\\n          -webkit-box-flex: 1;\\n          -ms-flex: 1;\\n          flex: 1 1 auto;\\n          font-weight: bold;\\n          font-size: $font-0;\\n          color: $primary;\\n          padding: 0;\\n          @include ellipsis;\\n          max-width: 100%;\\n        }\\n\\n        .desc {\\n          -webkit-box-flex: 1;\\n          -ms-flex: 1;\\n          flex: 1 1 auto;\\n          width: 100%; //IE11\\n          font-size: $font-down-1;\\n          font-weight: normal;\\n          color: $primary-medium;\\n          white-space: normal;\\n        }\\n      }\\n    }\\n\\n    .select-kit-collection {\\n      padding: 0;\\n      max-height: 100%;\\n    }\\n\\n    .dropdown-select-box-header {\\n      -webkit-box-sizing: border-box;\\n      -moz-box-sizing: border-box;\\n      box-sizing: border-box;\\n      border: 0;\\n\\n      -webkit-box-align: center;\\n      -ms-flex-align: center;\\n      align-items: center;\\n      -webkit-box-pack: justify;\\n      -ms-flex-pack: justify;\\n      justify-content: space-between;\\n      -webkit-box-orient: horizontal;\\n      -webkit-box-direction: normal;\\n      -ms-flex-direction: row;\\n      flex-direction: row;\\n      display: -webkit-inline-box;\\n      display: -ms-inline-flexbox;\\n      display: inline-flex;\\n\\n      .d-icon + .d-icon {\\n        margin-left: 5px;\\n      }\\n\\n      &.is-focused {\\n        outline-style: auto;\\n        outline-color: $tertiary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combobox {\\n    &.future-date-input-selector {\\n      min-width: 50%;\\n\\n      .future-date-input-selector-header {\\n        .btn-clear {\\n          line-height: $line-height-large;\\n        }\\n      }\\n\\n      .future-date-input-selector-datetime {\\n        color: lighten($primary, 40%);\\n        margin-left: 5px;\\n        white-space: nowrap;\\n      }\\n\\n      .future-date-input-selector-icons {\\n        margin-right: 5px;\\n      }\\n\\n      .btn-clear {\\n        padding: 0;\\n        margin-left: 5px;\\n      }\\n\\n      .future-date-input-selector-row {\\n        .future-date-input-selector-icons {\\n          color: lighten($primary, 40%);\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    &.list-setting {\\n      .select-kit-row.create {\\n        .square {\\n          width: 12px;\\n          height: 12px;\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.mini-tag-chooser {\\n      margin-bottom: 5px;\\n      margin-left: 5px;\\n\\n      &.is-expanded {\\n        .select-kit-header {\\n          border: 1px solid $tertiary;\\n        }\\n      }\\n\\n      &.no-tags {\\n        .select-kit-header .selected-name {\\n          color: $primary-medium;\\n        }\\n      }\\n\\n      .select-kit-body {\\n        max-width: 32em;\\n      }\\n\\n      .select-kit-header {\\n        height: 30px;\\n\\n        .selected-name {\\n          margin: 0;\\n          border: 0;\\n          padding: 0;\\n          outline: none;\\n          box-shadow: none;\\n          cursor: pointer;\\n          max-width: 250px;\\n        }\\n      }\\n\\n      .select-kit-filter {\\n        border-top: 0;\\n      }\\n\\n      &.is-expanded .select-kit-wrapper,\\n      .select-kit-wrapper {\\n        display: none;\\n      }\\n\\n      .select-kit-row {\\n        &.is-selected {\\n          background: none;\\n        }\\n\\n        &.is-highlighted.is-selected {\\n          background: $tertiary-low;\\n        }\\n\\n        .discourse-tag-count {\\n          margin-left: 5px;\\n        }\\n      }\\n\\n      .select-kit-collection {\\n        .collection-header {\\n          max-height: 125px;\\n          overflow: hidden;\\n          flex: 1 0 auto;\\n          border-bottom: 1px solid $primary-low;\\n\\n          .selected-tags {\\n            display: flex;\\n            padding: 4px;\\n            flex-wrap: wrap;\\n            margin: -2px;\\n            overflow: hidden;\\n          }\\n\\n          .selected-tag {\\n            background: $primary-low;\\n            padding: 2px 4px;\\n            margin: 2px;\\n            border: 0;\\n\\n            &.is-highlighted {\\n              box-shadow: 0 0 2px $danger, 0 1px 0 rgba(0, 0, 0, 0.05);\\n            }\\n\\n            .d-icon {\\n              color: $primary-low-mid;\\n              vertical-align: middle;\\n            }\\n\\n            &:hover .d-icon {\\n              color: $danger;\\n            }\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    width: 300px;\\n    background: $secondary;\\n    border-radius: 0;\\n\\n    .select-kit-body {\\n      width: 100%;\\n    }\\n\\n    .select-kit-row {\\n      margin: 5px;\\n      min-height: 1px;\\n      padding: 5px;\\n      border-radius: 0;\\n    }\\n\\n    .select-kit-filter {\\n      border: 0;\\n      flex: 1 0 0px;\\n      margin: 1px;\\n    }\\n\\n    .multi-select-header {\\n      background: $secondary;\\n      border: 1px solid $primary-medium;\\n\\n      &.is-focused {\\n        box-shadow: shadow(\\"focus\\");\\n        border-radius: 0;\\n      }\\n    }\\n\\n    &.is-disabled {\\n      .multi-select-header {\\n        background: $primary-low;\\n        border-color: $primary-low-mid;\\n        color: $primary-medium;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n\\n    &.is-highlighted {\\n      .multi-select-header {\\n        border-radius: 0;\\n        border-bottom: 1px solid transparent;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded {\\n      .select-kit-wrapper {\\n        display: block;\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n        border-radius: 0;\\n      }\\n\\n      .multi-select-header {\\n        border-radius: 0;\\n        box-shadow: none;\\n      }\\n\\n      .select-kit-body {\\n        border-radius: 0;\\n      }\\n    }\\n\\n    .choices {\\n      margin: 0 2px;\\n      box-sizing: border-box;\\n      display: flex;\\n      justify-content: flex-start;\\n      flex-wrap: wrap;\\n      width: 100%;\\n\\n      .choice {\\n        display: inline-flex;\\n        box-sizing: border-box;\\n        align-items: center;\\n        justify-content: space-between;\\n        flex-wrap: wrap;\\n        flex-direction: row;\\n        margin: 1px 0px 2px 2px;\\n      }\\n\\n      .filter {\\n        align-items: center;\\n        justify-content: flex-start;\\n        white-space: nowrap;\\n        min-width: 50px;\\n        padding: 0;\\n        outline: none;\\n        flex: 1 0 0px;\\n\\n        .filter-input,\\n        .filter-input:focus {\\n          border: none;\\n          background: none;\\n          display: inline-block;\\n          width: 100%;\\n          outline: none;\\n          min-width: auto;\\n          padding: 0;\\n          margin: 0;\\n          outline: 0;\\n          border: 0;\\n          box-shadow: none;\\n          border-radius: 0;\\n          min-height: unset; // overrides input defaults\\n        }\\n      }\\n\\n      .selected-color {\\n        .selected-color-wrapper {\\n          display: flex;\\n          flex: 1 0 0px;\\n          flex-direction: column;\\n        }\\n\\n        .color-preview {\\n          height: 5px;\\n          margin: 0 2px 2px 0px;\\n          display: flex;\\n          width: 100%;\\n        }\\n      }\\n\\n      .selected-category {\\n        .body {\\n          display: flex;\\n          align-items: center;\\n        }\\n        .badge-wrapper {\\n          &.bullet {\\n            margin-right: 2.5px;\\n          }\\n\\n          padding: 2px 4px;\\n          line-height: $line-height-medium;\\n          display: flex;\\n          flex: 1 0 0px;\\n          align-items: center;\\n        }\\n      }\\n\\n      .selected-name {\\n        .footer {\\n          display: flex;\\n          width: 100%;\\n        }\\n\\n        .body {\\n          background: $primary-low;\\n          padding: 4px;\\n        }\\n\\n        .d-icon {\\n          color: $primary-low-mid;\\n          vertical-align: middle;\\n        }\\n        &:hover .d-icon:last-child {\\n          color: $danger;\\n        }\\n\\n        &.is-highlighted {\\n          box-shadow: 0 0 2px $danger, 0 1px 0 rgba(0, 0, 0, 0.05);\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.notifications-button {\\n      .select-kit-body {\\n        min-width: 550px;\\n        max-width: 550px;\\n      }\\n\\n      .select-kit-row {\\n        .icons {\\n          -ms-flex-item-align: start;\\n          align-self: flex-start;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.period-chooser {\\n      display: inline-flex;\\n      position: relative;\\n\\n      .select-kit-collection {\\n        padding: 5px;\\n      }\\n\\n      .period-chooser-header {\\n        background: none;\\n        border: none;\\n        justify-content: flex-start;\\n        width: auto;\\n        height: auto;\\n        padding: 0;\\n\\n        h2.selected-name {\\n          color: $secondary;\\n          display: inline-block;\\n          box-sizing: border-box;\\n\\n          .date-section {\\n            color: $primary;\\n            margin-right: 5px;\\n          }\\n\\n          .top-date-string {\\n            font-size: $font-down-1;\\n            color: dark-light-choose($primary-medium, $secondary-high);\\n            font-weight: normal;\\n            text-transform: uppercase;\\n          }\\n        }\\n\\n        .d-icon {\\n          color: $primary;\\n          opacity: 1;\\n          margin: 5px 0 10px 5px;\\n          font-size: $font-up-3;\\n        }\\n\\n        &.is-focused,\\n        &:hover {\\n          background: none;\\n          border: none;\\n          outline: none;\\n        }\\n      }\\n\\n      .period-chooser-row {\\n        font-weight: bold;\\n        padding: 5px;\\n        font-size: $font-up-1;\\n        align-items: center;\\n        display: flex;\\n\\n        .period-title {\\n          flex: 1 0 0px;\\n        }\\n\\n        .date-section {\\n          color: $primary;\\n        }\\n\\n        .top-date-string {\\n          font-weight: normal;\\n          font-size: $font-down-1;\\n          color: dark-light-choose($primary-medium, $secondary-high);\\n          text-transform: uppercase;\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#topic-footer-buttons {\\n  .pinned-button {\\n    min-width: auto;\\n    margin: 1em 0;\\n\\n    &.is-hidden {\\n      display: none;\\n    }\\n\\n    .btn {\\n      margin: 0;\\n    }\\n\\n    .reason {\\n      display: inline;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.pinned-button {\\n  margin: 0;\\n  min-width: auto;\\n\\n  .pinned-options {\\n    display: inline;\\n\\n    .select-kit-body {\\n      min-width: unset;\\n      max-width: unset;\\n      width: 550px;\\n    }\\n  }\\n}\\n",\n\t\t".mobile-view .select-kit.is-expanded {\\n  z-index: z(\\"dropdown\\");\\n}\\n\\n.select-kit {\\n  border: none;\\n  min-width: 220px;\\n  box-sizing: border-box;\\n  display: inline-block;\\n  flex-direction: column;\\n  position: relative;\\n  vertical-align: middle;\\n  user-select: none;\\n\\n  &.is-hidden {\\n    display: none;\\n  }\\n\\n  &.is-disabled {\\n    pointer-events: none;\\n  }\\n\\n  &.is-expanded {\\n    z-index: z(\\"dropdown\\");\\n\\n    .select-kit-body {\\n      display: flex;\\n      flex-direction: column;\\n      left: 0;\\n      position: absolute;\\n      top: 0;\\n    }\\n\\n    .select-kit-collection {\\n      border-radius: inherit;\\n    }\\n  }\\n\\n  &.is-above {\\n    .select-kit-body {\\n      bottom: 0;\\n      top: auto;\\n    }\\n\\n    .select-kit-filter {\\n      border-top: 0;\\n    }\\n\\n    .select-kit-wrapper {\\n      bottom: 0;\\n      top: auto;\\n    }\\n  }\\n\\n  .d-icon {\\n    color: $primary-high;\\n  }\\n\\n  .select-kit-header {\\n    box-sizing: border-box;\\n    overflow: hidden;\\n    transition: all 0.25s;\\n    cursor: pointer;\\n    outline: none;\\n    display: flex;\\n    align-items: center;\\n    flex-direction: row;\\n    min-height: 30px;\\n\\n    .selected-name {\\n      text-align: left;\\n      flex: 0 1 auto;\\n      padding: 1px 0;\\n      @include ellipsis;\\n      color: inherit;\\n    }\\n\\n    .btn-clear {\\n      padding: 0 10px;\\n      border: 0;\\n      background: none;\\n    }\\n\\n    .icon {\\n      margin-right: 5px;\\n    }\\n\\n    .caret-icon {\\n      margin-left: auto;\\n      padding-left: 5px;\\n      pointer-events: none;\\n    }\\n\\n    .d-button-label {\\n      display: flex;\\n      align-items: center;\\n      white-space: nowrap;\\n      overflow: hidden;\\n      line-height: $line-height-medium;\\n\\n      .d-icon {\\n        margin-left: 5px;\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n\\n  .select-kit-body {\\n    display: none;\\n    background: $secondary;\\n    box-sizing: border-box;\\n  }\\n\\n  .select-kit-row {\\n    cursor: pointer;\\n    line-height: $line-height-medium;\\n    outline: none;\\n    display: flex;\\n    flex: 1 0 auto;\\n    box-sizing: border-box;\\n    align-items: center;\\n    justify-content: flex-start;\\n\\n    .name {\\n      margin: 0;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      flex: 1 1 0%;\\n    }\\n\\n    .d-icon {\\n      margin-right: 5px;\\n    }\\n\\n    &.is-highlighted {\\n      background: $tertiary-low;\\n    }\\n\\n    &.is-selected {\\n      background: $highlight-medium;\\n    }\\n\\n    &.is-selected.is-highlighted {\\n      background: $tertiary-low;\\n    }\\n\\n    .discourse-tag,\\n    .discourse-tag-count {\\n      color: $primary;\\n    }\\n  }\\n\\n  .select-kit-collection {\\n    background: $secondary;\\n    overflow-x: hidden;\\n    overflow-y: auto;\\n    border-radius: inherit;\\n    -webkit-overflow-scrolling: touch;\\n    margin: 0;\\n    padding: 0;\\n    max-height: 200px;\\n\\n    .validation-message {\\n      white-space: nowrap;\\n      color: $danger;\\n      flex: 1 0 auto;\\n      margin: 5px;\\n      padding: 0 2px;\\n    }\\n\\n    .select-kit-collection {\\n      padding: 0;\\n      margin: 0;\\n\\n      &:hover .select-kit-row.is-highlighted:hover {\\n        background: $tertiary-low;\\n      }\\n    }\\n\\n    &::-webkit-scrollbar {\\n      -webkit-appearance: none;\\n      width: 10px;\\n    }\\n\\n    &::-webkit-scrollbar-thumb {\\n      cursor: pointer;\\n      border-radius: 5px;\\n      background: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    &::-webkit-scrollbar-track {\\n      background: transparent;\\n      border-radius: 0;\\n    }\\n  }\\n\\n  .select-kit-filter {\\n    display: flex;\\n    box-sizing: border-box;\\n    align-items: center;\\n    justify-content: space-between;\\n\\n    .filter-input,\\n    .filter-input:focus,\\n    .filter-input:active {\\n      background: none;\\n      margin: 0;\\n      padding: 0;\\n      flex: 1 0 0px;\\n      outline: none;\\n      border: 0;\\n      border-radius: 0;\\n      box-shadow: none;\\n      width: 100%;\\n    }\\n\\n    &.is-hidden {\\n      width: 1px;\\n      height: 1px;\\n      border: 0;\\n      margin: -1px;\\n      padding: 0;\\n      overflow: hidden;\\n      position: fixed;\\n      outline: 0;\\n      left: 0;\\n      top: 0;\\n    }\\n  }\\n\\n  .select-kit-wrapper {\\n    position: absolute;\\n    top: 0;\\n    left: 0;\\n    background: none;\\n    display: none;\\n    box-sizing: border-box;\\n    pointer-events: none;\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    &.tag-chooser {\\n      .select-kit-row {\\n        display: flex;\\n        align-items: center;\\n\\n        .discourse-tag-count {\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.tag-drop {\\n      .select-kit-row {\\n        &[data-value=\\"all-tags\\"],\\n        &[data-value=\\"no-tags\\"] {\\n          color: $tertiary;\\n          font-weight: 700;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.toolbar-popup-menu-options {\\n      .select-kit-body {\\n        box-shadow: none;\\n        padding: 10px 10px 5px 10px;\\n        width: 230px;\\n      }\\n\\n      .select-kit-row {\\n        margin-bottom: 5px;\\n        padding: 6px 3px;\\n        background: $primary-low;\\n        transition: all 0.25s;\\n\\n        .name,\\n        .d-icon {\\n          font-size: $font-0;\\n          font-weight: normal;\\n          color: $primary;\\n        }\\n\\n        .d-icon {\\n          opacity: 0.7;\\n        }\\n\\n        &.is-highlighted {\\n          background: $primary-medium;\\n\\n          .name,\\n          .d-icon {\\n            color: $secondary;\\n          }\\n        }\\n\\n        &:hover {\\n          background: $primary-medium;\\n          color: $secondary;\\n        }\\n\\n        &.is-selected {\\n          color: $primary;\\n          background: $primary-low;\\n        }\\n\\n        &.is-selected.is-highlighted {\\n          background: $primary-medium;\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#topic-footer-buttons {\\n  .topic-notifications-button {\\n    min-width: auto;\\n    margin: 1em 0;\\n\\n    .btn {\\n      margin: 0;\\n    }\\n\\n    .reason {\\n      display: inline;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.topic-notifications-button .topic-notifications-options {\\n  min-width: auto;\\n}\\n\\n.topic-notifications-button {\\n  margin: 0;\\n\\n  .topic-notifications-options {\\n    display: inline-flex;\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.user-notifications-dropdown {\\n      text-align: left;\\n\\n      .select-kit-body {\\n        width: 485px;\\n        max-width: 485px;\\n      }\\n\\n      .select-kit-header {\\n        justify-content: center;\\n      }\\n\\n      .dropdown-select-box-header {\\n        align-items: center;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.color-palettes {\\n      .color-palettes-row {\\n        .palettes {\\n          display: flex;\\n          align-items: center;\\n          margin-left: 0.5em;\\n          flex: 1 0 0;\\n\\n          .palette {\\n            height: 15px;\\n            width: 15px;\\n            display: block;\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".svg-icon,\\n.svg-icon-title {\\n  height: 1em;\\n  width: 1em;\\n  line-height: 1;\\n  display: inline-flex;\\n  position: relative;\\n  vertical-align: -0.125em;\\n  fill: currentColor;\\n  flex-shrink: 0; // Prevent the icon from shrinking if it's in a flexbox\\n  overflow: visible;\\n}\\n\\n// Fixes Edge bug with SVG elements not triggering click event\\nsvg > use {\\n  pointer-events: none;\\n}\\n\\n// Stacked Icons\\n// Usage:\\n// <span class=\\"fa-stack\\">\\n//    <svg class=\\"... d-icon-icon1 fa-stack-1x ...\\" xmlns=\\"http://www.w3.org/2000/svg\\"><use xlink:href=\\"#icon1\\"></use></svg>\\n//    <svg class=\\"... d-icon-icon2 fa-stack-2x ...\\" xmlns=\\"http://www.w3.org/2000/svg\\"><use xlink:href=\\"#icon2\\"></use></svg>\\n// </span>\\n// -------------------------\\n\\n.fa-stack {\\n  position: relative;\\n  width: 1em;\\n  height: 1em;\\n  display: inline-block;\\n\\n  .fa-stack-1x,\\n  .fa-stack-2x {\\n    left: 0px;\\n    top: 0px;\\n    position: absolute;\\n  }\\n\\n  .fa-stack-2x {\\n    height: 1.5em;\\n    width: 1.5em;\\n    margin-top: -0.25em;\\n    margin-left: -0.25em;\\n  }\\n}\\n",\n\t\t".d-date-time-input-range {\\n  padding: 0.5em;\\n  background: whitesmole;\\n  border: 1px solid $primary-low;\\n  width: 300px;\\n  display: flex;\\n  flex-direction: column;\\n\\n  .panels {\\n    display: inline-flex;\\n    list-style: none;\\n    margin: 0 0 0.5em 0;\\n    flex: 1;\\n\\n    &.from {\\n      .from-panel {\\n        background: $danger;\\n        color: $secondary;\\n      }\\n    }\\n\\n    &.to {\\n      .to-panel {\\n        background: $danger;\\n        color: $secondary;\\n      }\\n    }\\n\\n    .btn {\\n      margin-right: 0.5em;\\n    }\\n  }\\n\\n  .panel {\\n    display: none;\\n    flex: 1;\\n\\n    &.visible {\\n      display: flex;\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Navigation menus\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n%nav {\\n  margin-left: 0;\\n  list-style: none;\\n  li a {\\n    display: block;\\n    text-decoration: none;\\n  }\\n}\\n\\n// Pill nav\\n// --------------------------------------------------\\n\\n.nav-pills {\\n  @extend %nav;\\n  @extend .clearfix;\\n\\n  > li {\\n    float: left;\\n    margin-right: 5px;\\n\\n    > a {\\n      border: none;\\n      padding: 6px 12px;\\n      color: $primary;\\n      font-size: $font-up-1;\\n      line-height: $line-height-small;\\n      box-sizing: border-box;\\n      min-height: 30px;\\n      display: flex;\\n      align-items: center;\\n      transition: background 0.15s;\\n\\n      .d-icon {\\n        margin-right: 5px;\\n        opacity: 0.65;\\n      }\\n\\n      &:hover {\\n        color: $quaternary;\\n        background-color: $quaternary-low;\\n      }\\n    }\\n\\n    a.active {\\n      color: $secondary;\\n      background-color: $quaternary;\\n\\n      .d-icon {\\n        opacity: 1;\\n      }\\n    }\\n  }\\n}\\n\\n// Stacked nav\\n// --------------------------------------------------\\n\\n.nav-stacked {\\n  @extend %nav;\\n  padding: 0;\\n  overflow: hidden;\\n  background: $primary-low;\\n\\n  li {\\n    border-bottom: 1px solid $primary-low;\\n    position: relative;\\n\\n    &:last-of-type {\\n      border-bottom: 0;\\n    }\\n\\n    &.indent {\\n      padding-left: 15px;\\n    }\\n  }\\n\\n  a {\\n    margin: 0;\\n    padding: 13px;\\n    font-size: $font-up-1;\\n    line-height: $line-height-small;\\n    cursor: pointer;\\n    color: $primary;\\n\\n    &.active {\\n      color: $secondary;\\n      background-color: $quaternary;\\n\\n      &::after {\\n        left: 90%;\\n        top: 33%;\\n        content: \\" \\";\\n        position: absolute;\\n        border: 8px solid transparent;\\n        border-left-color: $secondary;\\n      }\\n    }\\n  }\\n\\n  .count {\\n    font-size: $font-down-1;\\n  }\\n\\n  .glyph {\\n    font-size: $font-down-1;\\n    width: 1.25em;\\n    text-align: center;\\n    margin-right: 0.25em;\\n    line-height: $line-height-large;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Buttons\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n.btn {\\n  display: inline-block;\\n  margin: 0;\\n  padding: 6px 12px;\\n  font-weight: 500;\\n  font-size: $font-0;\\n  line-height: $line-height-small;\\n  text-align: center;\\n  cursor: pointer;\\n  transition: all 0.25s;\\n  box-sizing: border-box;\\n  min-height: 30px;\\n  .d-icon {\\n    transition: color 0.25s;\\n  }\\n  &:active,\\n  &.btn-active {\\n    text-shadow: none;\\n  }\\n  &[disabled],\\n  &.disabled {\\n    cursor: default;\\n    opacity: 0.4;\\n  }\\n  .d-icon {\\n    margin-right: 7px;\\n  }\\n  &.no-text {\\n    .d-icon {\\n      margin-right: 0;\\n    }\\n  }\\n}\\n\\n.btn.hidden {\\n  display: none;\\n}\\n\\n// Default button\\n// --------------------------------------------------\\n\\n.btn {\\n  border: none;\\n  color: $primary;\\n  font-weight: normal;\\n  background: $primary-low;\\n  .d-icon {\\n    color: $primary-high;\\n  }\\n\\n  &[href] {\\n    color: $primary;\\n    min-height: unset; // ovverides button defaults\\n  }\\n  @include hover {\\n    background: $primary-medium;\\n    color: $secondary;\\n    .d-icon {\\n      color: $secondary-very-high;\\n    }\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $primary-low;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n    &:hover {\\n      color: dark-light-choose($primary-low-mid, $secondary-high);\\n      .d-icon {\\n        color: $primary-low-mid;\\n      }\\n    }\\n    cursor: not-allowed;\\n  }\\n\\n  .d-icon {\\n    line-height: $line-height-medium; // Match button text line-height\\n  }\\n}\\n\\n// Primary button\\n// --------------------------------------------------\\n\\n.btn-primary {\\n  border: none;\\n  font-weight: normal;\\n  color: $secondary;\\n  background: $tertiary;\\n  .d-icon {\\n    color: currentColor;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  @include hover {\\n    background: dark-light-choose(\\n      scale-color($tertiary, $lightness: -20%),\\n      scale-color($tertiary, $lightness: 20%)\\n    );\\n    .d-icon {\\n      color: currentColor;\\n    }\\n  }\\n  &:active,\\n  &.btn-active {\\n    @include linear-gradient(\\n      scale-color($tertiary, $lightness: -20%),\\n      $tertiary\\n    );\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $tertiary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n  }\\n}\\n\\n// Danger button\\n// --------------------------------------------------\\n\\n.btn-danger {\\n  color: $secondary;\\n  font-weight: normal;\\n  background: $danger;\\n  .d-icon {\\n    color: $danger-low;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  @include hover {\\n    background: dark-light-choose(\\n      scale-color($danger, $lightness: -20%),\\n      scale-color($danger, $lightness: 20%)\\n    );\\n    .d-icon {\\n      color: $danger-low;\\n    }\\n  }\\n  &:active,\\n  &.btn-active {\\n    @include linear-gradient(scale-color($danger, $lightness: -20%), $danger);\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $danger;\\n    .d-icon {\\n      color: $danger-low;\\n    }\\n  }\\n}\\n\\n// Social buttons\\n// --------------------------------------------------\\n\\n.btn-social {\\n  .d-icon {\\n    color: #fff;\\n  }\\n  color: #fff;\\n  background: #666;\\n  &:hover {\\n    color: #fff;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  &:before {\\n    margin-right: 9px;\\n    font-size: $font-0;\\n  }\\n  &.google_oauth2 {\\n    background: $google;\\n    color: #333;\\n    border: 1px solid $primary-low;\\n    // non-FA SVG icon for Google in login-buttons.hbs\\n    .d-icon {\\n      opacity: 0.9;\\n    }\\n    &:hover {\\n      color: currentColor;\\n      background: darken($google, 5%);\\n    }\\n  }\\n  &.instagram {\\n    background: $instagram;\\n    &:hover {\\n      background: darken($instagram, 15%);\\n    }\\n  }\\n  &.facebook {\\n    background: $facebook;\\n    &:hover {\\n      background: darken($facebook, 15%);\\n    }\\n  }\\n  &.cas {\\n    background: $cas;\\n  }\\n  &.twitter {\\n    background: $twitter;\\n    &:hover {\\n      background: darken($twitter, 10%);\\n    }\\n  }\\n  &.github {\\n    background: $github;\\n    &:hover {\\n      background: lighten($github, 20%);\\n    }\\n  }\\n  &.discord {\\n    background: $discord;\\n    &:hover {\\n      background: darken($discord, 10%);\\n    }\\n  }\\n}\\n\\n// Button Sizes\\n// --------------------------------------------------\\n\\n// Small\\n\\n.btn-small {\\n  padding: 3px 6px;\\n  font-size: $font-down-1;\\n}\\n\\n// Large\\n\\n.btn-large {\\n  padding: 9px 18px;\\n  font-size: $font-up-1;\\n  line-height: $line-height-small;\\n}\\n\\n.btn-flat {\\n  background: transparent;\\n  border: 0;\\n  outline: 0;\\n  line-height: $line-height-small;\\n  transition: color 0.25s, background 0.25s;\\n  .d-icon {\\n    color: $primary-low-mid;\\n  }\\n  @include hover {\\n    .d-icon {\\n      color: $primary;\\n    }\\n  }\\n  &.close {\\n    padding: 0;\\n    min-height: unset;\\n    background: transparent;\\n    font-size: $font-up-3;\\n    .d-icon {\\n      color: $primary-high;\\n    }\\n    @include hover {\\n      background: transparent;\\n      .d-icon {\\n        color: $primary;\\n      }\\n    }\\n  }\\n}\\n\\n.btn-link {\\n  background: transparent;\\n  border: 0;\\n  outline: 0;\\n  padding: 0;\\n  color: $tertiary;\\n  &:focus {\\n    outline: 1px currentColor dotted;\\n  }\\n}\\n",\n\t\t".topic-list-item td:first-child,\\n.topic-post {\\n  border-left: 1px solid transparent;\\n}\\n\\n.topic-list tr.selected td:first-child,\\n.topic-list-item.selected td:first-child,\\n.latest-topic-list-item.selected {\\n  box-shadow: inset 3px 0 0 $danger; // needs to be inset for Edge\\n}\\n\\n.featured-topic.selected,\\n.topic-post.selected {\\n  box-shadow: -3px 0 0 $danger;\\n}\\n\\n.latest .featured-topic {\\n  padding-left: 4px;\\n}\\n\\n.topic-list-item.selected {\\n  background-color: inherit;\\n}\\n\\n.keyboard-shortcuts-modal .modal-body {\\n  max-height: 560px;\\n}\\n\\n#keyboard-shortcuts-help {\\n  div.row {\\n    width: 100%;\\n    div {\\n      float: left;\\n      width: 32%;\\n    }\\n  }\\n  ul {\\n    list-style: none;\\n    margin-left: 0;\\n\\n    li {\\n      margin: 5px 0;\\n    }\\n\\n    kbd {\\n      font-size: $base-font-size;\\n      font-family: $base-font-family;\\n      margin: 0;\\n      color: dark-light-choose(#444, #aaa);\\n      font-weight: bold;\\n      padding: 2px 6px;\\n      white-space: nowrap;\\n    }\\n  }\\n}\\n",\n\t\t".d-date-time-input {\\n  display: flex;\\n  align-items: center;\\n  border: 1px solid $primary-low;\\n  width: 258px;\\n  box-sizing: border-box;\\n  position: relative;\\n  flex: 1;\\n  justify-content: space-between;\\n\\n  .date-picker,\\n  .fields {\\n    border: 0;\\n  }\\n}\\n",\n\t\t".group-member-dropdown {\\n  text-align: left;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Banner\\n// --------------------------------------------------\\n\\n#banner {\\n  padding: 10px;\\n  background: $tertiary-low;\\n  color: $primary;\\n  z-index: z(\\"base\\") + 1;\\n  overflow: auto;\\n\\n  &.overlay {\\n    position: fixed;\\n  }\\n\\n  .close {\\n    margin-top: -5px;\\n    color: $primary-low-mid;\\n    padding-left: 5px;\\n    float: right;\\n  }\\n\\n  .meta {\\n    display: none;\\n  }\\n}\\n",\n\t\t".ignored-list {\\n  overflow: auto;\\n  max-height: 150px;\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  background-color: $secondary;\\n  min-height: 30px;\\n  box-sizing: border-box;\\n}\\n\\n.ignored-user-list-item {\\n  border: 1px solid $primary-medium;\\n  border-radius: 0.25em;\\n  padding: 0;\\n  display: flex;\\n  align-items: center;\\n  margin-right: 10px;\\n}\\n\\n.remove-ignored-user {\\n  display: flex;\\n  flex: 1 0 0px;\\n  align-items: center;\\n  justify-content: center;\\n  box-sizing: border-box;\\n  border-radius: 0 0.25em 0.25em 0;\\n  padding-top: 0;\\n  padding-bottom: 0;\\n  height: 100%;\\n}\\n\\n.ignored-user-name {\\n  padding-left: 10px;\\n  padding-right: 10px;\\n}\\n",\n\t\t".d-date-input {\\n  .date-picker {\\n    margin: 0;\\n    text-align: left;\\n    width: 100%;\\n    outline: none;\\n    box-shadow: none !important;\\n  }\\n\\n  .pika-single {\\n    margin-left: -1px;\\n  }\\n}\\n",\n\t\t".d-time-input {\\n  box-sizing: border-box;\\n\\n  .fields {\\n    display: flex;\\n    align-items: center;\\n    border: 1px solid $primary-low;\\n\\n    .field {\\n      text-align: center;\\n      width: auto;\\n      margin: 0;\\n      border: none;\\n      outline: none;\\n      box-shadow: none;\\n      width: 32px;\\n\\n      &.time {\\n        width: 100%;\\n        text-align: left;\\n      }\\n\\n      &.hours,\\n      &.minutes {\\n        text-align: center;\\n        width: 45px;\\n      }\\n\\n      &.hours {\\n        padding-right: 0;\\n      }\\n\\n      &.minutes {\\n        padding-left: 10px;\\n        width: 55px;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".group-form-automatic-membership-automatic,\\n.groups-form-grant-trust-level {\\n  margin-bottom: 10px;\\n}\\n",\n\t\t".conditional-loading-section {\\n  &.is-loading {\\n    padding: 2em;\\n    margin: 1em;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background: $primary-very-low;\\n    flex-direction: column;\\n\\n    .title {\\n      font-size: $font-up-1;\\n      font-weight: 700;\\n    }\\n  }\\n\\n  &:not(.is-loading) {\\n    animation: fadein 0.5s;\\n    -webkit-animation: fadein 0.5s;\\n  }\\n\\n  @keyframes fadein {\\n    from {\\n      opacity: 0;\\n    }\\n    to {\\n      opacity: 1;\\n    }\\n  }\\n\\n  @-webkit-keyframes fadein {\\n    from {\\n      opacity: 0;\\n    }\\n    to {\\n      opacity: 1;\\n    }\\n  }\\n}\\n",\n\t\t"a.hashtag {\\n  color: dark-light-choose($primary, $primary-low-mid);\\n  font-weight: bold;\\n\\n  &:visited,\\n  &:hover {\\n    color: dark-light-choose($primary, $primary-low-mid);\\n  }\\n\\n  &:hover {\\n    span {\\n      text-decoration: underline;\\n    }\\n  }\\n}\\n",\n\t\t".convert-to-public-topic .modal-body {\\n  .instructions {\\n    margin-bottom: 1em;\\n  }\\n}\\n",\n\t\t".pika-table {\\n  th,\\n  td {\\n    padding: 0 !important;\\n    border-top: none !important;\\n    border-bottom: none !important;\\n  }\\n}\\n\\n.date-picker-wrapper {\\n  position: relative;\\n  display: inline-block;\\n}\\n\\n.date-picker {\\n  text-align: center;\\n  width: 8em;\\n  margin: 0;\\n}\\n\\n.pika-single {\\n  position: absolute !important;\\n}\\n",\n\t\t"$card_width: 580px;\\n$avatar_width: 120px;\\n$avatar_margin: -50px; // negative margin makes avatars extend above cards\\n\\n.animated-placeholder {\\n  height: 20px;\\n  position: relative;\\n}\\n\\n.card-avatar-placeholder {\\n  width: $avatar_width;\\n  height: $avatar_width;\\n  border-radius: 100%;\\n  position: relative;\\n  overflow: hidden;\\n  &:before {\\n    animation: placeHolderShimmer 4s linear infinite forwards;\\n    position: absolute;\\n    left: 0;\\n    content: \\"\\";\\n    background: linear-gradient(\\n      to right,\\n      $primary-very-low 10%,\\n      $primary-low 18%,\\n      $primary-very-low 33%\\n    );\\n    height: $avatar_width;\\n    width: $card_width;\\n  }\\n}\\n\\n// shared styles for user and group cards\\n#user-card,\\n#group-card {\\n  width: $card_width;\\n  box-shadow: shadow(\\"card\\");\\n  color: $primary;\\n  background: $secondary center center;\\n  background-size: cover;\\n  transition: opacity 0.2s, transform 0.2s;\\n  -webkit-transition: opacity 0.2s, -webkit-transform 0.2s;\\n  opacity: 0;\\n  @include transform(scale(0.9));\\n  &.show {\\n    opacity: 1;\\n    @include transform(scale(1));\\n  }\\n  .card-content {\\n    padding: 10px;\\n    background: rgba($secondary, 0.85);\\n    margin-top: 80px;\\n    &:after {\\n      content: \\"\\";\\n      display: block;\\n      clear: both;\\n    }\\n    a.card-huge-avatar {\\n      outline: none;\\n    }\\n  }\\n  &.no-bg {\\n    .card-content {\\n      margin-top: 0;\\n    }\\n  }\\n  .card-row:not(.first-row) {\\n    margin-top: 0.5em;\\n  }\\n  // avatar - names - controls\\n  .first-row {\\n    .names {\\n      padding-left: 1.25em;\\n\\n      .user-profile-link {\\n        display: flex;\\n        align-items: center;\\n      }\\n\\n      .d-icon {\\n        margin: 0 0.25em;\\n      }\\n\\n      .name-username-wrapper {\\n        margin-right: 0;\\n        flex: 0 1 auto;\\n      }\\n      span {\\n        display: block;\\n      }\\n    }\\n    .usercard-controls {\\n      list-style-type: none;\\n      margin: 0;\\n      button {\\n        width: 100%;\\n      }\\n    }\\n  }\\n  .btn {\\n    margin-bottom: 5px;\\n  }\\n  h1 {\\n    line-height: $line-height-medium;\\n    .d-icon {\\n      color: $primary;\\n    }\\n  }\\n  h3 {\\n    display: inline;\\n    margin-right: 0.5em;\\n    color: $primary;\\n    &.email,\\n    .desc,\\n    a {\\n      color: $primary-high;\\n    }\\n  }\\n  h1,\\n  h2,\\n  h3 {\\n    margin: 0;\\n    @include ellipsis;\\n  }\\n  h1,\\n  h2 {\\n    a {\\n      color: $primary;\\n    }\\n  }\\n  h2,\\n  h3 {\\n    font-weight: normal;\\n  }\\n  p {\\n    margin: 0 0 5px 0;\\n  }\\n}\\n\\n// styles for user cards only\\n#user-card {\\n  // avatar - names - controls\\n  .first-row {\\n    display: flex;\\n    .avatar-placeholder {\\n      width: $avatar_width;\\n      height: $avatar_width;\\n    }\\n    .user-card-avatar {\\n      margin-top: $avatar_margin;\\n    }\\n    .new-user a {\\n      color: $primary-low-mid;\\n    }\\n  }\\n  // user bio - suspension reason\\n  .second-row {\\n    max-height: 150px;\\n    overflow: auto;\\n    .bio {\\n      a {\\n        color: $primary;\\n        text-decoration: underline;\\n      }\\n      a.mention {\\n        text-decoration: none;\\n      }\\n      .overflow {\\n        max-height: 60px;\\n        overflow: hidden;\\n      }\\n    }\\n    .suspended {\\n      color: $danger;\\n      .suspension-reason-title,\\n      .suspension-date {\\n        font-weight: bold;\\n      }\\n    }\\n    .profile-hidden {\\n      font-size: $font-up-1;\\n      margin-top: 0.5em;\\n    }\\n  }\\n  // location and website\\n  .third-row {\\n    .location-and-website {\\n      display: flex;\\n      flex-wrap: wrap;\\n      width: 100%;\\n      align-items: center;\\n      .location,\\n      .website-name {\\n        display: flex;\\n        overflow: hidden;\\n        align-items: center;\\n        .d-icon {\\n          margin-right: 0.25em;\\n        }\\n      }\\n      .website-name a,\\n      .location span {\\n        @include ellipsis;\\n        color: $primary;\\n      }\\n      .location {\\n        margin-right: 0.5em;\\n      }\\n      .website-name a {\\n        text-decoration: underline;\\n      }\\n    }\\n  }\\n  // custom user fields\\n  .fifth-row {\\n    .public-user-fields {\\n      margin: 0;\\n    }\\n  }\\n  // badges\\n  .sixth-row {\\n    .badge-section {\\n      display: flex;\\n      align-items: flex-start;\\n      .user-badge {\\n        @include ellipsis;\\n        background: $primary-very-low;\\n        border: 1px solid $primary-low;\\n        color: $primary;\\n      }\\n      .more-user-badges {\\n        a {\\n          @extend .user-badge;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// styles for group cards only\\n#group-card {\\n  // avatar - names and controls\\n  .first-row {\\n    display: flex;\\n    .group-card-avatar {\\n      margin-top: $avatar_margin;\\n    }\\n    .avatar-flair {\\n      display: flex;\\n      background-size: contain;\\n      width: $avatar_width;\\n      height: $avatar_width;\\n      color: $primary;\\n      .d-icon {\\n        margin: auto;\\n        font-size: $avatar_width / 1.5;\\n      }\\n      &.rounded {\\n        border-radius: 50%;\\n      }\\n    }\\n  }\\n  // group bio\\n  .second-row {\\n    max-height: 150px;\\n    overflow: auto;\\n    .bio {\\n      a {\\n        color: $primary;\\n        text-decoration: underline;\\n      }\\n      img {\\n        max-width: 100%;\\n        height: auto;\\n      }\\n      a.mention {\\n        text-decoration: none;\\n      }\\n      .overflow {\\n        max-height: 60px;\\n        overflow: hidden;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Footer nav bar (displayed in DiscourseHub app and PWAs)\\n// --------------------------------------------------\\n\\n$footer-nav-height: 49px;\\n\\nbody.footer-nav-visible {\\n  #main-outlet {\\n    padding-bottom: $footer-nav-height + 15;\\n  }\\n\\n  #topic-progress-wrapper,\\n  #reply-control.draft {\\n    bottom: $footer-nav-height;\\n  }\\n\\n  #reply-control.draft {\\n    margin-bottom: env(safe-area-inset-bottom);\\n    padding-bottom: 0px;\\n  }\\n}\\n\\n.footer-nav {\\n  background-color: rgba($header_background, 0.9);\\n  box-shadow: shadow(\\"footer-nav\\");\\n  height: $footer-nav-height;\\n  position: fixed;\\n  bottom: -$footer-nav-height;\\n  left: 0;\\n  width: 100%;\\n  z-index: z(\\"footer-nav\\");\\n  transition: all linear 0.1s;\\n\\n  .d-icon {\\n    color: $header_primary-medium;\\n  }\\n\\n  &.visible {\\n    bottom: 0px;\\n  }\\n\\n  .footer-nav-widget {\\n    display: flex;\\n    justify-content: \\"space-evenly\\";\\n    @include unselectable;\\n    button {\\n      flex: 1;\\n      margin: 4px;\\n      border-radius: 2px;\\n      padding: 14px 18px;\\n      &:disabled {\\n        opacity: 0.6;\\n      }\\n    }\\n  }\\n}\\n\\n@supports (padding: max(0px)) {\\n  .footer-nav.visible {\\n    padding-bottom: unquote(\\"max(5px, env(safe-area-inset-bottom))\\");\\n  }\\n}\\n\\n@supports (-webkit-backdrop-filter: blur(10px)) {\\n  body:not(.footer-nav-ipad) .footer-nav {\\n    background-color: rgba($header_background, 0.7);\\n    -webkit-backdrop-filter: blur(20px);\\n  }\\n}\\n\\nbody.footer-nav-ipad {\\n  padding-top: $footer-nav-height;\\n  .footer-nav {\\n    bottom: auto;\\n    top: 0px;\\n    background-color: $header_background;\\n    z-index: z(\\"ipad-header-nav\\");\\n    padding-bottom: 0; // resets safe-area-inset-bottom\\n  }\\n\\n  #reply-control,\\n  #reply-control.fullscreen {\\n    z-index: z(\\"ipad-header-nav\\") + 1;\\n  }\\n\\n  &.docked .d-header {\\n    margin-top: $footer-nav-height;\\n  }\\n}\\n",\n\t\t".share-and-invite.modal {\\n  .modal-body {\\n    max-width: 475px;\\n    min-width: 320px;\\n  }\\n\\n  .modal-header {\\n    .modal-close {\\n      padding-left: 0;\\n    }\\n  }\\n}\\n\\n.share-and-invite.modal .share.modal-panel {\\n  .header {\\n    display: flex;\\n    flex-direction: row;\\n    align-items: center;\\n\\n    .title {\\n      font-size: $font-0;\\n      font-weight: normal;\\n      margin-bottom: s(2);\\n\\n      .post-date {\\n        color: $primary-medium;\\n        font-size: $font-down-1;\\n      }\\n    }\\n  }\\n\\n  .body {\\n    display: flex;\\n    flex-direction: column;\\n\\n    .topic-share-url {\\n      width: 100%;\\n      height: auto;\\n      box-sizing: border-box;\\n    }\\n\\n    .topic-share-url-for-touch {\\n      a {\\n        word-break: break-all;\\n        font-size: $font-up-1;\\n      }\\n    }\\n\\n    .topic-share-url-for-touch,\\n    .topic-share-url {\\n      margin-bottom: s(2);\\n    }\\n\\n    .sources {\\n      display: flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      flex-direction: row;\\n\\n      .social-link {\\n        font-size: $font-up-6;\\n        margin-right: s(2);\\n      }\\n    }\\n  }\\n}\\n\\n.share-and-invite.modal .invite.modal-panel {\\n  .error-message,\\n  .success-message {\\n    margin-bottom: s(2);\\n  }\\n\\n  .body {\\n    .invite-user-control,\\n    .group-access-control,\\n    .show-custom-message-control {\\n      margin-bottom: s(4);\\n    }\\n\\n    .instructions {\\n      margin-bottom: s(2);\\n    }\\n\\n    .email-or-username-input {\\n      width: 100%;\\n    }\\n  }\\n\\n  .footer {\\n    display: flex;\\n    align-items: center;\\n\\n    .btn-primary {\\n      margin-right: s(2);\\n\\n      &:last-child {\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Common styles for \\"user-stream-item\\" component\\n.user-stream {\\n  // DEPRECATED:\\n  // The \\".item\\" class should be removed because it's too generic.\\n  // Once \\".item\\" has been removed, \\".user-stream-item\\" can replace\\n  // \\".user-stream\\" as the top-level selector on this file as all other\\n  // selectors below are its children\\n  .item,\\n  .user-stream-item {\\n    background-color: $secondary;\\n    border-bottom: 1px solid $primary-low;\\n\\n    &.moderator-action {\\n      background-color: $highlight-medium;\\n    }\\n\\n    &.deleted {\\n      opacity: 0.8;\\n      background-color: dark-light-diff(\\n        rgba($danger, 0.7),\\n        $secondary,\\n        50%,\\n        -10%\\n      );\\n    }\\n\\n    &.hidden {\\n      display: block;\\n      opacity: 0.4;\\n    }\\n  }\\n\\n  .type,\\n  span.name {\\n    color: $primary;\\n  }\\n\\n  .time,\\n  .delete-info,\\n  .draft-type {\\n    display: block;\\n    float: right;\\n    color: $primary-medium;\\n    font-size: $font-down-2;\\n  }\\n\\n  .draft-type {\\n    clear: right;\\n  }\\n\\n  .delete-info .d-icon {\\n    font-size: $font-0;\\n  }\\n\\n  .expand-item,\\n  .collapse-item {\\n    float: right;\\n    margin-right: 0.5em;\\n    line-height: $line-height-small;\\n    color: $primary-medium;\\n  }\\n\\n  .avatar-link {\\n    float: left;\\n    margin-right: 4px;\\n  }\\n\\n  .title {\\n    @include ellipsis;\\n    display: block;\\n  }\\n\\n  .name {\\n    font-size: $font-0;\\n    max-width: 400px;\\n    @include ellipsis;\\n  }\\n\\n  .edit-reason {\\n    background-color: dark-light-choose(\\n      $highlight-medium,\\n      scale-color($highlight, $lightness: -50%)\\n    );\\n    padding: 3px 5px 5px 5px;\\n  }\\n\\n  .remove-bookmark,\\n  .remove-draft {\\n    float: right;\\n    margin-top: -4px;\\n  }\\n\\n  .notification {\\n    li {\\n      display: inline-block;\\n    }\\n\\n    p {\\n      display: inline-block;\\n\\n      span:first-child {\\n        color: $primary;\\n      }\\n    }\\n\\n    .time {\\n      display: inline-block;\\n      margin-left: 10px;\\n      float: none;\\n    }\\n\\n    // common/base/header.scss\\n    .fa,\\n    .icon {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      font-size: $font-up-4;\\n    }\\n  }\\n\\n  .excerpt {\\n    margin: 1em 0 0 0;\\n    font-size: $font-0;\\n    word-wrap: break-word;\\n    color: $primary;\\n    &:empty {\\n      display: none;\\n    }\\n    details.disabled {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  .group-member-info {\\n    display: flex;\\n  }\\n}\\n\\n.user-stream .child-actions, /* DEPRECATED: '.user-stream .child-actions' selector*/\\n.user-stream-item-actions,\\n.user-stream-item-draft-actions {\\n  margin-top: 8px;\\n\\n  .avatar-link {\\n    float: none;\\n    margin-right: 3px;\\n  }\\n\\n  .fa {\\n    width: 15px;\\n    display: inline-block;\\n    color: $primary;\\n    &.d-icon-heart {\\n      color: $love;\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Badges\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n%badge {\\n  display: inline-block;\\n  font-weight: normal;\\n  white-space: nowrap;\\n  border-radius: 10px;\\n}\\n\\n// Category badges\\n// --------------------------------------------------\\n\\n.badge-wrapper {\\n  font-size: $font-down-1;\\n  font-weight: bold;\\n  white-space: nowrap;\\n  position: relative;\\n  display: inline-flex;\\n  align-items: baseline;\\n\\n  .badge-category {\\n    display: inline-flex;\\n    align-items: baseline;\\n    .category-name {\\n      text-overflow: ellipsis;\\n      overflow: hidden;\\n    }\\n    .d-icon {\\n      margin-right: 3px;\\n      width: 0.74em;\\n      height: 0.74em;\\n      color: inherit;\\n    }\\n  }\\n\\n  // ----- Bullet\\n\\n  &.bullet {\\n    margin-right: 12px;\\n    span.badge-category {\\n      color: $primary-high;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      .extra-info-wrapper & {\\n        color: $header-primary;\\n      }\\n    }\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      flex: 0 0 auto;\\n      width: 9px;\\n      height: 9px;\\n      margin-right: 5px;\\n      display: inline-block;\\n    }\\n    .badge-category-parent-bg {\\n      // Subcategories\\n      width: 5px;\\n      margin-right: 0;\\n      + .badge-category-bg {\\n        width: 5px;\\n      }\\n    }\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  // ----- Box\\n\\n  &.box {\\n    margin-right: 5px;\\n    padding: 2px 4px 2px 4px;\\n    display: inline-flex;\\n    span {\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      &.badge-category-bg,\\n      &.badge-category-parent-bg {\\n        position: absolute;\\n        top: 0;\\n        right: 0;\\n        bottom: 0;\\n        left: 0;\\n      }\\n\\n      &.badge-category-parent-bg {\\n        // Subcategories\\n        width: calc(100% - 5px);\\n        & + .badge-category-bg {\\n          left: 5px;\\n          width: calc(100% - 5px);\\n          & + .badge-category {\\n            margin-left: 5px;\\n          }\\n        }\\n      }\\n\\n      &.badge-category {\\n        position: relative;\\n      }\\n    }\\n    + .topic-header-extra {\\n      padding: 2px 4px 2px 4px;\\n    }\\n  }\\n\\n  // ----- Bar\\n\\n  &.bar {\\n    margin-right: 5px;\\n\\n    span.badge-category {\\n      color: $primary-high;\\n      padding: 1px 3px;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n\\n      .extra-info-wrapper & {\\n        color: $header-primary;\\n      }\\n    }\\n\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      // Subcategories\\n      display: inline-block;\\n      padding: 0 1px;\\n\\n      &:before {\\n        content: \\"\\\\a0\\";\\n      }\\n    }\\n  }\\n\\n  // ----- No category style\\n\\n  &.none {\\n    color: $primary-high;\\n    margin-right: 5px;\\n  }\\n}\\n\\n// Category badge dropdown\\n// --------------------------------------------------\\n\\n.list-controls {\\n  .category-breadcrumb {\\n    a.badge-category {\\n      display: inline-block;\\n      padding: 6px 8px;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n// Notification badge\\n// --------------------------------------------------\\n\\n.badge-notification {\\n  @extend %badge;\\n  padding: 0.21em 0.42em;\\n  min-width: 0.5em;\\n  color: $secondary;\\n  font-size: $font-down-2;\\n  line-height: $line-height-small;\\n  text-align: center;\\n  background-color: dark-light-choose($primary-low-mid, $secondary-low);\\n  &[href] {\\n    color: $secondary;\\n  }\\n\\n  &:hover {\\n    color: $secondary;\\n  }\\n\\n  // New posts\\n\\n  &.new-posts,\\n  &.unread-posts {\\n    background-color: dark-light-choose($tertiary-medium, $tertiary);\\n    color: dark-light-choose($secondary, $secondary);\\n    font-weight: dark-light-choose(normal, bold);\\n  }\\n\\n  &.new-topic {\\n    background-color: transparent;\\n    color: $tertiary-high;\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n  }\\n\\n  &.new-topic::before {\\n    content: \\"●\\";\\n    margin-right: 2px;\\n  }\\n\\n  // Click count\\n\\n  &.clicks {\\n    font-weight: normal;\\n    background-color: $primary-low;\\n    top: -1px;\\n    color: $primary-medium;\\n    position: relative;\\n    border: none;\\n  }\\n}\\n\\n// Posts badge\\n// --------------------------------------------------\\n\\n.badge-posts {\\n  font-weight: normal;\\n  font-size: $font-0;\\n  line-height: $line-height-small;\\n  &[href] {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n}\\n\\n// Group badge\\n// --------------------------------------------------\\n\\n.badge-group {\\n  @extend %badge;\\n  padding: 2px 5px;\\n  color: $primary;\\n  background-color: $primary-low;\\n  border-color: $primary-low;\\n  font-size: $font-down-1;\\n}\\n",\n\t\t"// Common styles for \\"user-info\\" component\\n.user-info {\\n  display: inline-block;\\n  clear: both;\\n  margin-bottom: 1em;\\n\\n  .user-image {\\n    float: left;\\n    padding-right: 4px;\\n    margin-right: 10px;\\n  }\\n\\n  .user-image-inner {\\n    position: relative;\\n    display: inline-block;\\n  }\\n\\n  .user-detail {\\n    float: left;\\n    width: 70%;\\n    padding-left: 5px;\\n    @media screen and (max-width: 600px) {\\n      font-size: $font-down-1;\\n    }\\n\\n    .name-line {\\n      @include ellipsis;\\n    }\\n\\n    .username a {\\n      font-weight: bold;\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n\\n    .name {\\n      margin-left: 5px;\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n\\n    .title {\\n      margin-top: 3px;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  &.small {\\n    width: 333px;\\n    @media screen and (max-width: $small-width) {\\n      width: auto;\\n      display: flex;\\n    }\\n    @media screen and (max-width: 600px) {\\n      width: 100%;\\n    }\\n  }\\n\\n  &.medium {\\n    min-height: 60px;\\n\\n    .username,\\n    .name {\\n      display: block;\\n    }\\n\\n    .name {\\n      margin-left: 0;\\n    }\\n\\n    &.badge-info {\\n      min-height: 80px;\\n      min-width: 250px;\\n\\n      .granted-on {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n\\n      .post-link {\\n        display: block;\\n        margin-top: 0.2em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".user-stream {\\n  &.filter-deleted {\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n    grid-row-start: 2;\\n  }\\n}\\n",\n\t\t"@import \\"foundation/variables\\";\\n@import \\"foundation/mixins\\";\\n\\n.popup-tip {\\n  position: absolute;\\n  display: block;\\n  padding: 5px 10px;\\n  z-index: z(\\"tooltip\\");\\n  &.bad {\\n    background: $danger-medium;\\n    color: white;\\n    box-shadow: shadow(\\"dropdown\\");\\n  }\\n  &.hide,\\n  &.good {\\n    display: none;\\n  }\\n  .close {\\n    float: right;\\n    color: $primary;\\n    opacity: 0.5;\\n    font-size: $font-0;\\n    margin: 0 0 0 4px;\\n    cursor: pointer;\\n  }\\n  .close:hover {\\n    opacity: 1;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"#topic-entrance {\\n  border: 1px solid $primary-low;\\n  padding: 5px;\\n  background: $secondary;\\n  box-shadow: shadow(\\"card\\");\\n  z-index: z(\\"dropdown\\");\\n\\n  position: absolute;\\n  width: 133px;\\n  @include unselectable;\\n\\n  button.full {\\n    width: 100%;\\n    margin-bottom: 5px;\\n\\n    .d-icon {\\n      display: block;\\n      margin: 2px auto;\\n      transform: rotate(90deg);\\n    }\\n  }\\n  button.btn.jump-bottom {\\n    margin: 5px 0 0 0;\\n  }\\n}\\n",\n\t\t"@media print {\\n  /* remove items N/A for print\\n  ** visual clutter etc. */\\n  .avatar,\\n  .topic-avatar,\\n  header,\\n  .topic-above-post-stream-outlet.topic-above-post-stream,\\n  .topic-map,\\n  .post-menu-area.clearfix,\\n  div#topic-footer-buttons,\\n  div.suggested-topics,\\n  div#progress-topic-wrapper,\\n  #topic-progress-wrapper,\\n  div.nums,\\n  ._flyout,\\n  .show-topic-admin,\\n  #topic-progress,\\n  .quote-controls,\\n  .topic-status-info,\\n  div.lazyYT,\\n  .post-info.edits,\\n  .post-action,\\n  .saving-text,\\n  .draft-text,\\n  .discourse-modal,\\n  div.read-state,\\n  div.read-state.read,\\n  .edit-topic,\\n  a.reply-to-tab,\\n  a.reply-new,\\n  div.time-gap,\\n  #bottom,\\n  #footer,\\n  .alert-info,\\n  .badge-category,\\n  .badge-category-bg,\\n  .badge-notification.clicks,\\n  .crawler-nav,\\n  .powered-by-link {\\n    display: none !important;\\n  }\\n  /* For readability */\\n  a,\\n  a:visited {\\n    color: #0088cc !important;\\n  }\\n  /* bottom border to help separate posts */\\n  div.row {\\n    border-top: 1px solid #aaa;\\n  }\\n  .cooked pre code {\\n    max-height: none;\\n  }\\n  #main-outlet {\\n    padding: 0 !important;\\n  }\\n  html,\\n  body {\\n    min-width: 0;\\n    height: auto;\\n  }\\n  .lightbox-wrapper img {\\n    max-width: 500px !important;\\n    height: auto !important;\\n  }\\n  .topic-body {\\n    width: auto;\\n    margin: 0;\\n    padding: 0;\\n    float: none;\\n  }\\n  .topic-post article.boxed .select-posts {\\n    width: auto;\\n    left: auto;\\n    right: 0;\\n  }\\n  .gap {\\n    width: auto;\\n  }\\n  /* restyle div#topic-title */\\n  #topic-title {\\n    margin: 0;\\n    padding: 0;\\n  }\\n  #topic-title div div h1 {\\n    margin: 2.5em 0 0 0;\\n    padding: 0;\\n    float: left;\\n    font-weight: normal;\\n    font-size: normal;\\n  }\\n  a,\\n  a:visited {\\n    color: #ddd;\\n    font-weight: bold;\\n  }\\n  /* localhost  - MOOT for production */\\n  .topic-category-outlet.show-topic-category-location,\\n  div.alert.alert-info.alert-emails-disabled,\\n  div.profiler-results.profiler-left.profiler-no-controls {\\n    display: none;\\n  }\\n}\\n",\n\t\t"section.about {\\n  margin-bottom: 40px;\\n\\n  h3 {\\n    margin-bottom: 15px;\\n  }\\n\\n  table {\\n    width: auto;\\n\\n    td {\\n      padding: 10px;\\n    }\\n\\n    td.title {\\n      width: 33%;\\n    }\\n  }\\n}\\n",\n\t\t".body-page {\\n  /* intended only for /about /faq, /guidelines, /tos, and /privacy */\\n  width: 100%;\\n  max-width: 700px;\\n  .about-page & {\\n    max-width: unset;\\n    section:not(.admins):not(.moderators):not(.category-moderators) {\\n      max-width: 700px;\\n    }\\n    .about.category-moderators {\\n      .badge-wrapper.bullet .badge-category {\\n        color: $primary;\\n      }\\n    }\\n  }\\n  .mobile-view & {\\n    font-size: $font-0;\\n    margin-top: 20px;\\n  }\\n  li {\\n    margin-bottom: 8px;\\n  }\\n  .nav-pills {\\n    margin-bottom: 20px;\\n  }\\n  ul:not(.nav-pills),\\n  ol:not(.nav-pills) {\\n    margin-left: 40px;\\n  }\\n}\\n",\n\t\t"body.crawler {\\n  > header {\\n    width: 100%;\\n    position: absolute;\\n    top: 0;\\n    z-index: z(\\"max\\");\\n    background-color: #fff;\\n    padding: 10px;\\n    box-shadow: none;\\n    border-bottom: 1px solid $primary-low-mid;\\n    box-sizing: border-box;\\n  }\\n\\n  div#main-outlet {\\n    div.post {\\n      word-break: break-word;\\n      img {\\n        max-width: 100%;\\n        height: auto;\\n      }\\n    }\\n  }\\n\\n  .raw-topic-link {\\n    display: block;\\n    font-weight: bold;\\n    margin-bottom: 0.25em;\\n  }\\n\\n  .topic-list {\\n    margin-bottom: 1em;\\n  }\\n\\n  footer {\\n    margin-top: 3em;\\n    border-top: 1px solid $primary-low-mid;\\n  }\\n}\\n\\n.crawler-topic-title {\\n  margin-top: 0.5em;\\n}\\n\\n.crawler-post {\\n  margin-top: 1em;\\n  margin-bottom: 2em;\\n  padding-top: 1.5em;\\n  border-top: 1px solid $primary-low;\\n}\\n\\n.crawler-post-meta {\\n  margin-bottom: 1em;\\n  .creator {\\n    word-break: break-all;\\n    a {\\n      font-weight: bold;\\n    }\\n    @include breakpoint(tablet) {\\n      display: inline-block;\\n      margin-bottom: 0.25em;\\n    }\\n  }\\n}\\n\\n.crawler-post-infos {\\n  color: $primary-high;\\n  display: inline-block;\\n  @include breakpoint(tablet, min-width) {\\n    float: right;\\n  }\\n  [itemprop=\\"position\\"] {\\n    float: left;\\n    margin-right: 0.5em;\\n  }\\n}\\n\\n#breadcrumbs {\\n  margin-bottom: 0.5em;\\n  font-size: $font-up-1;\\n  > div {\\n    margin-bottom: 0.15em;\\n  }\\n  .badge-category-bg {\\n    background-color: $secondary-high;\\n  }\\n  .category-title {\\n    color: $primary;\\n  }\\n}\\n\\n.crawler-tags-list {\\n  span {\\n    display: block;\\n    margin-bottom: 0.15em;\\n  }\\n}\\n\\n.crawler-linkback-list {\\n  margin-top: 1em;\\n  a {\\n    display: block;\\n    padding: 0.5em 0;\\n    border-top: 1px solid $primary-low;\\n  }\\n}\\n\\n.crawler-nav {\\n  margin: 1em 0;\\n  ul {\\n    margin: 0;\\n    list-style-type: none;\\n  }\\n  li {\\n    display: inline-block;\\n  }\\n  a {\\n    display: inline-block;\\n    padding: 0.5em 1em 0.5em 0;\\n  }\\n}\\n",\n\t\t"div.ac-wrap.composer-user-selector-limited {\\n  width: 400px;\\n  padding: 0 10px;\\n  margin-bottom: 5px;\\n  .btn-primary {\\n    margin-left: 0.5em;\\n    padding: 3px 6px 2px;\\n    font-size: $font-down-1;\\n    min-height: unset;\\n  }\\n}\\n",\n\t\t"// Common\\n// global styles that apply to the Discourse application specifically\\n// BEWARE: changing these styles implies they take effect anywhere they are seen\\n// throughout the Discourse application\\n\\n// Animation Keyframes\\n@keyframes ping {\\n  from {\\n    transform: scale(0.25);\\n    opacity: 1;\\n  }\\n  to {\\n    transform: scale(2);\\n    opacity: 0;\\n  }\\n}\\n\\n@keyframes rotate-forever {\\n  0% {\\n    transform: rotate(0deg);\\n  }\\n  100% {\\n    transform: rotate(360deg);\\n  }\\n}\\n\\n@keyframes background-fade-highlight {\\n  0% {\\n    background-color: $tertiary-low;\\n  }\\n  100% {\\n    background-color: transparent;\\n  }\\n}\\n\\n// placeholder\\n@keyframes placeHolderShimmer {\\n  0% {\\n    background-position: -1000px 0;\\n  }\\n  100% {\\n    background-position: 1100px 0;\\n  }\\n}\\n\\n.placeholder-animation {\\n  animation-duration: 4s;\\n  animation-fill-mode: forwards;\\n  animation-iteration-count: infinite;\\n  animation-name: placeHolderShimmer;\\n  animation-timing-function: linear;\\n  background: $primary-very-low;\\n  background: linear-gradient(\\n    to right,\\n    $primary-very-low 10%,\\n    $primary-low 18%,\\n    $primary-very-low 33%\\n  );\\n}\\n\\n// Base Elements\\nhtml {\\n  height: 100%;\\n}\\n\\nbody {\\n  background-attachment: fixed;\\n  background-size: cover;\\n  min-height: 100%;\\n\\n  @include clearfix;\\n}\\n\\n// setting a static limit on big and small prevents nesting abuse\\nbig {\\n  font-size: $font-up-5;\\n}\\nsmall {\\n  font-size: $font-down-2;\\n}\\n\\nblockquote {\\n  @include post-aside;\\n  clear: both;\\n}\\n\\nh1,\\nh2,\\nh3,\\nh4,\\nh5,\\nh6 {\\n  margin-top: 0;\\n  margin-bottom: 0.5rem;\\n}\\n\\nbutton {\\n  &.ok {\\n    background: $success;\\n    color: $secondary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n    @include hover {\\n      background: lighten($success, 10%);\\n      color: $secondary;\\n    }\\n  }\\n\\n  &.cancel {\\n    background: $danger;\\n    color: $secondary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n    @include hover {\\n      background: lighten($danger, 10%);\\n      color: $secondary;\\n    }\\n  }\\n}\\n\\na.cancel {\\n  margin-left: 1.25em;\\n  line-height: normal;\\n  color: $primary-high;\\n  transition: color 250ms;\\n  &:hover {\\n    color: $danger;\\n  }\\n}\\n\\nul.breadcrumb {\\n  margin: 0 10px 0 10px;\\n}\\n\\na.no-href {\\n  cursor: pointer;\\n}\\n\\nimg.avatar {\\n  border-radius: 50%;\\n}\\n\\n// don't wrap relative dates; we want Jul 26, '15, not: Jul\\n//                                                      26,\\n//                                                      '15\\nspan.relative-date {\\n  white-space: nowrap;\\n}\\n\\nlabel {\\n  display: flex;\\n  margin-bottom: 5px;\\n  align-items: flex-start;\\n  > .d-icon {\\n    align-self: center;\\n    margin-right: 4px;\\n  }\\n}\\n\\ninput {\\n  &[type=\\"radio\\"],\\n  &[type=\\"checkbox\\"] {\\n    margin-top: 0.17em;\\n    margin-right: 0.43em;\\n    margin-left: 0.1em;\\n    line-height: $line-height-small;\\n    cursor: pointer;\\n    flex-shrink: 0; // Adding for safety, Safari will shrink checkboxes\\n  }\\n  &[type=\\"submit\\"],\\n  &[type=\\"reset\\"],\\n  &[type=\\"button\\"],\\n  &[type=\\"radio\\"],\\n  &[type=\\"checkbox\\"] {\\n    width: auto;\\n  }\\n\\n  &.invalid {\\n    background-color: dark-light-choose(\\n      $danger-low,\\n      scale-color($danger, $lightness: -60%)\\n    );\\n  }\\n\\n  .radio &[type=\\"radio\\"],\\n  .checkbox &[type=\\"checkbox\\"] {\\n    float: left;\\n    margin-left: -18px;\\n  }\\n}\\n\\ninput,\\nselect,\\ntextarea {\\n  color: $primary;\\n  caret-color: currentColor;\\n\\n  &[class*=\\"span\\"] {\\n    float: none;\\n    margin-left: 0;\\n  }\\n\\n  &[disabled],\\n  &[readonly] {\\n    cursor: not-allowed;\\n    background-color: $primary-low;\\n    border-color: $primary-low;\\n  }\\n\\n  &:focus:required:invalid {\\n    color: $danger;\\n    border-color: $danger;\\n  }\\n\\n  &:focus:required:invalid:focus {\\n    border-color: $danger;\\n    box-shadow: shadow(\\"focus-danger\\");\\n  }\\n}\\n\\ninput {\\n  &[type=\\"text\\"],\\n  &[type=\\"password\\"],\\n  &[type=\\"datetime\\"],\\n  &[type=\\"datetime-local\\"],\\n  &[type=\\"date\\"],\\n  &[type=\\"month\\"],\\n  &[type=\\"time\\"],\\n  &[type=\\"week\\"],\\n  &[type=\\"number\\"],\\n  &[type=\\"email\\"],\\n  &[type=\\"url\\"],\\n  &[type=\\"search\\"],\\n  &[type=\\"tel\\"],\\n  &[type=\\"color\\"] {\\n    @include appearance-none;\\n    display: inline-block;\\n    padding: $input-padding;\\n    margin-bottom: 9px;\\n    font-size: $font-0;\\n    line-height: $line-height-small;\\n    color: $primary;\\n    background-color: $secondary;\\n    border: 1px solid $primary-medium;\\n    border-radius: 0;\\n    box-sizing: border-box;\\n    min-height: 30px;\\n    &:focus {\\n      border-color: $tertiary;\\n      box-shadow: shadow(\\"focus\\");\\n      outline: 0;\\n    }\\n  }\\n}\\n\\n.input {\\n  &-prepend,\\n  &-append {\\n    margin-bottom: 5px;\\n    input[class*=\\"span\\"] {\\n      display: inline-block;\\n    }\\n    input,\\n    select {\\n      position: relative;\\n      margin-bottom: 0;\\n      vertical-align: middle;\\n      border-radius: 0;\\n      &:focus {\\n        z-index: z(\\"base\\") + 1;\\n      }\\n    }\\n    .add-on {\\n      display: inline-flex;\\n      align-items: center;\\n      width: auto;\\n      padding: 0 0.5em;\\n      height: 28px;\\n      background-color: $primary-low;\\n      border: 1px solid $primary-medium;\\n    }\\n    .add-on,\\n    .btn {\\n      &:first-child {\\n        margin-right: -1px;\\n      }\\n      &:last-child {\\n        margin-left: -1px;\\n        border-radius: 0 3px 3px 0;\\n      }\\n    }\\n  }\\n\\n  &-prepend {\\n    .add-on,\\n    .btn {\\n      margin-right: -1px;\\n    }\\n  }\\n}\\n\\ntextarea {\\n  height: auto;\\n  background-color: $secondary;\\n  border: 1px solid $primary-medium;\\n  &:focus {\\n    border-color: $tertiary;\\n    box-shadow: shadow(\\"focus\\");\\n    outline: 0;\\n  }\\n}\\n\\nselect {\\n  border: 1px solid $primary-low;\\n}\\n\\ntable {\\n  th {\\n    font-weight: normal;\\n    color: $primary-medium;\\n    text-align: left;\\n    padding: 0.5em;\\n  }\\n}\\n\\n// Common Classes\\n\\n.sortable {\\n  white-space: nowrap;\\n  cursor: pointer;\\n  .discourse-no-touch & {\\n    &:hover {\\n      background-color: $primary-low;\\n    }\\n  }\\n  .d-icon {\\n    margin-left: 0.25em;\\n  }\\n  @include unselectable;\\n}\\n\\n.radio,\\n.checkbox {\\n  min-height: 18px;\\n  padding-left: 18px;\\n\\n  .controls > &:first-child {\\n    padding-top: 5px;\\n  }\\n\\n  &.inline {\\n    display: inline-block;\\n    padding-top: 5px;\\n    margin-bottom: 0;\\n    vertical-align: middle;\\n  }\\n}\\n\\n.radio.inline .radio.inline,\\n.checkbox.inline .checkbox.inline {\\n  margin-left: 10px;\\n}\\n\\n.container {\\n  @extend .clearfix;\\n}\\n\\n.wrap {\\n  @extend .clearfix;\\n  margin-right: auto;\\n  margin-left: auto;\\n  padding: 0 8px;\\n\\n  .contents {\\n    position: relative;\\n  }\\n}\\n\\n.boxed {\\n  &.white {\\n    background-color: $secondary;\\n  }\\n}\\n\\n.full-width {\\n  margin-left: 12px;\\n}\\n\\n// the default for table cells in topic list\\n// is $primary-medium\\n// numbers get dimmer as they get colder\\n.coldmap {\\n  &-high {\\n    color: dark-light-choose($primary-low-mid, $secondary-high) !important;\\n  }\\n\\n  &-med {\\n    color: dark-light-choose($primary-medium, $secondary-high) !important;\\n  }\\n\\n  &-low {\\n    color: dark-light-choose($primary-medium, $secondary-medium) !important;\\n  }\\n}\\n\\n.top-space {\\n  margin-top: 10px;\\n}\\n\\n.message {\\n  border-radius: 8px;\\n  background-color: $secondary;\\n  padding: 14px;\\n\\n  h2 {\\n    margin-bottom: 20px;\\n  }\\n}\\n\\n.clear-transitions {\\n  transition: none !important;\\n}\\n\\n.tip {\\n  display: inline-block;\\n  &.good {\\n    color: $success;\\n  }\\n  &.bad {\\n    color: $danger;\\n  }\\n}\\n\\n.avatar-wrapper {\\n  background-color: $secondary;\\n  display: inline-block;\\n  border-radius: 50%;\\n}\\n\\n.profiler-results.profiler-left {\\n  top: 60px !important;\\n}\\n\\n.flex-center-align {\\n  display: flex;\\n  align-items: center;\\n}\\n\\n.unread-private-messages {\\n  color: $secondary;\\n  background: $success;\\n\\n  &.badge-notification[href] {\\n    color: $secondary;\\n  }\\n}\\n\\n.ring-backdrop-spotlight {\\n  position: absolute;\\n  width: 80px;\\n  height: 80px;\\n  top: -18px;\\n  right: -18px;\\n  background-image: radial-gradient(\\n    40px at 50% 50%,\\n    transparent 95%,\\n    $primary 100%\\n  );\\n  opacity: 0.85;\\n}\\n\\n.ring-backdrop {\\n  position: absolute;\\n  width: 80px;\\n  height: 80px;\\n  top: -18px !important;\\n  right: -18px !important;\\n  box-shadow: 0 0 0 9999px rgba($primary, 0.85);\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n}\\n\\n.ring-first-notification {\\n  position: absolute;\\n  color: $secondary;\\n  text-align: left;\\n  right: 70px;\\n  top: 60px;\\n  width: 230px;\\n  line-height: $line-height-medium;\\n}\\n\\n.ring {\\n  $gradient-start: transparent;\\n  $gradient-end: #090;\\n  background: -webkit-radial-gradient($gradient-start, $gradient-end);\\n  background: -o-radial-gradient($gradient-start, $gradient-end);\\n  background: -moz-radial-gradient($gradient-start, $gradient-end);\\n  background: radial-gradient($gradient-start, $gradient-end);\\n  top: -11px !important;\\n  right: 23.5px !important;\\n  border-radius: 100%;\\n  width: 20px;\\n  height: 20px;\\n  -moz-animation-iteration-count: infinite;\\n  -webkit-animation-iteration-count: infinite;\\n  -webkit-transform-origin: center;\\n  -moz-animation-duration: 3s;\\n  -webkit-animation-duration: 3s;\\n  -moz-animation-name: ping;\\n  -webkit-animation-name: ping;\\n}\\n\\n.fade {\\n  opacity: 0;\\n  transition: opacity 0.15s linear;\\n\\n  &.in {\\n    opacity: 1;\\n  }\\n}\\n\\n.inline-spinner {\\n  display: inline-block;\\n  margin: 0;\\n}\\n\\n.spinner {\\n  margin: 20px auto 20px auto;\\n  position: relative;\\n  -webkit-animation: rotate-forever 1s infinite linear;\\n  animation: rotate-forever 1s infinite linear;\\n  height: 30px;\\n  width: 30px;\\n  border: 4px solid blend-primary-secondary(50%);\\n  border-right-color: transparent;\\n  border-radius: 50%;\\n\\n  &.small {\\n    width: 10px;\\n    height: 10px;\\n    margin: 0;\\n    display: inline-block;\\n  }\\n}\\n\\n.content-list {\\n  h3 {\\n    color: $primary-medium;\\n    font-size: $font-up-1;\\n    padding-left: 5px;\\n    margin-bottom: 10px;\\n  }\\n\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n\\n    li {\\n      border-bottom: 1px solid $primary-low;\\n\\n      &:first-of-type {\\n        border-top: 1px solid $primary-low;\\n      }\\n\\n      a {\\n        display: block;\\n        padding: 10px;\\n        color: $primary;\\n\\n        &:hover {\\n          background-color: $primary-low;\\n          color: $primary;\\n        }\\n\\n        &.active {\\n          font-weight: bold;\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.form-vertical {\\n  input,\\n  textarea,\\n  select,\\n  .input-prepend,\\n  .input-append {\\n    display: inline-block;\\n    margin-bottom: 0;\\n    flex: 0 0 auto;\\n  }\\n\\n  .control-group {\\n    @include clearfix;\\n  }\\n\\n  .control-label {\\n    font-weight: bold;\\n    font-size: $font-up-2;\\n    line-height: $line-height-large;\\n  }\\n\\n  .controls {\\n    margin-left: 0;\\n  }\\n}\\n\\n// Special elements\\n// Special elements\\n#main {\\n  img.avatar {\\n    &.header {\\n      width: 45px;\\n      height: 45px;\\n    }\\n\\n    &.medium {\\n      width: 32px;\\n      height: 32px;\\n    }\\n\\n    &.small {\\n      width: 25px;\\n      height: 25px;\\n    }\\n\\n    &.tiny {\\n      width: 20px;\\n      height: 20px;\\n    }\\n  }\\n\\n  .user-list {\\n    .user {\\n      padding-bottom: 5px;\\n    }\\n  }\\n}\\n\\n#loading-message {\\n  position: absolute;\\n  font-size: $font-up-5;\\n  text-align: center;\\n  top: 120px;\\n  left: 500px;\\n  color: $primary;\\n}\\n\\n#footer {\\n  .container {\\n    height: 50px;\\n    .contents {\\n      padding-top: 10px;\\n      a[href] {\\n        color: $secondary;\\n      }\\n    }\\n  }\\n}\\n\\n.inline {\\n  display: inline;\\n}\\n\\n.pref-auth-tokens {\\n  .row {\\n    border-bottom: 1px solid #ddd;\\n    margin: 5px 0px;\\n    padding-bottom: 5px;\\n\\n    &:last-child {\\n      border-bottom: 0;\\n    }\\n  }\\n\\n  .auth-token-icon {\\n    color: $primary-medium;\\n    font-size: 2.25em;\\n    float: left;\\n    margin-right: 10px;\\n  }\\n\\n  .auth-token-first {\\n    font-size: 1.1em;\\n\\n    .auth-token-device {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .auth-token-second {\\n    color: $primary-medium;\\n\\n    .active {\\n      color: $success;\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .auth-token-dropdown {\\n    float: right;\\n\\n    .btn,\\n    .btn:hover {\\n      background: transparent;\\n\\n      .d-icon {\\n        color: $primary-high;\\n      }\\n    }\\n  }\\n\\n  .dropdown-menu {\\n    width: 120px;\\n\\n    & .icon {\\n      margin-top: auto;\\n    }\\n  }\\n}\\n\\n.topic-statuses {\\n  display: inline;\\n  float: left;\\n  margin-right: 0.15em;\\n  .topic-status {\\n    margin: 0;\\n    display: inline-flex;\\n    color: $primary-medium;\\n    .d-icon {\\n      height: 0.76em;\\n      width: 0.75em;\\n    }\\n    &:not(:last-child) {\\n      margin-right: 0.15em;\\n    }\\n  }\\n\\n  .d-icon-envelope {\\n    color: $danger;\\n  }\\n}\\n\\n.broken-theme-alert {\\n  font-size: $base-font-size;\\n  font-weight: bold;\\n  padding: 5px 0;\\n  background: $danger-medium;\\n  text-align: center;\\n  z-index: z(\\"max\\");\\n  color: $secondary;\\n}\\n",\n\t\t".error-page {\\n  text-align: center;\\n  padding-top: 2em;\\n\\n  .face {\\n    font-size: 4.286em;\\n  }\\n  .reason {\\n    font-size: $font-up-4;\\n  }\\n  .url {\\n    font-style: italic;\\n    font-size: $font-down-1;\\n  }\\n  .desc {\\n    margin-top: 16px;\\n    .d-icon-check-circle {\\n      color: $success;\\n    }\\n  }\\n  .buttons {\\n    display: inline-flex;\\n    margin-top: 15px;\\n\\n    button {\\n      margin: 0 20px;\\n    }\\n  }\\n}\\n",\n\t\t".category-list {\\n  table-layout: fixed;\\n  .category-text-title {\\n    display: flex;\\n    align-items: baseline;\\n  }\\n  .category-name {\\n    display: inline-block;\\n    max-width: 100%;\\n    @include ellipsis;\\n    vertical-align: text-top;\\n    line-height: $line-height-medium;\\n  }\\n}\\n\\n.category-boxes,\\n.category-boxes-with-topics {\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: flex-start;\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n  width: 100%;\\n\\n  .category-box {\\n    display: flex;\\n    flex-direction: row;\\n    align-content: flex-start;\\n    cursor: pointer;\\n\\n    box-sizing: border-box;\\n\\n    border-width: 0;\\n    border-left-width: 6px;\\n\\n    border-style: solid;\\n    border-color: $primary-low;\\n\\n    .mobile-view & {\\n      width: 100%;\\n    }\\n\\n    .logo.aspect-image img {\\n      display: block;\\n      width: auto;\\n      height: 40px;\\n      margin: 0 auto 1em auto;\\n    }\\n\\n    @supports (--custom: property) {\\n      .logo.aspect-image img {\\n        --height: 40px;\\n        width: calc(var(--height) * var(--aspect-ratio));\\n        max-width: 100%;\\n      }\\n    }\\n  }\\n\\n  .category-box-inner {\\n    box-sizing: border-box;\\n    width: 100%;\\n    padding: 0;\\n    display: flex;\\n    flex-direction: column;\\n\\n    border-width: 2px;\\n    border-left-width: 0;\\n\\n    border-style: solid;\\n    border-color: $primary-low;\\n  }\\n\\n  &.no-logos {\\n    .logo {\\n      display: none;\\n    }\\n  }\\n}\\n\\n.category-boxes {\\n  .category-box {\\n    width: 23%;\\n    margin: 0 1% 1.5em 1%;\\n    > a {\\n      width: 100%;\\n      padding: 0;\\n    }\\n    .category-box-inner {\\n      padding: 1em;\\n\\n      .category-logo {\\n        float: none;\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  &.no-logos {\\n    .category-box .category-box-inner > a {\\n      padding: 3em 1em;\\n    }\\n  }\\n\\n  .description {\\n    padding-bottom: 1em;\\n    text-align: center;\\n    font-size: $font-0;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n    .overflow {\\n      max-height: 6em;\\n    }\\n  }\\n\\n  h3 {\\n    font-size: $font-up-2;\\n    margin-bottom: 0.5em;\\n    margin-top: 0.25em;\\n    line-height: $line-height-medium;\\n    text-align: center;\\n    color: $primary;\\n    overflow: hidden;\\n  }\\n\\n  .subcategories {\\n    display: flex;\\n    flex-flow: wrap;\\n    .subcategory {\\n      display: flex;\\n      align-items: center;\\n      @include ellipsis;\\n      margin-right: 1em;\\n      margin-bottom: 0.6em;\\n      .subcategory-image-placeholder {\\n        display: inline-block;\\n        margin-right: 0.6em;\\n      }\\n      .subcategory-link {\\n        min-width: 0;\\n        @include ellipsis;\\n      }\\n      .logo img {\\n        display: inline-block;\\n        height: 20px;\\n        width: 20px;\\n        margin: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.category-boxes-with-topics {\\n  .category-box {\\n    width: 31%;\\n    margin: 0 1% 1.5em 1%;\\n    padding: 0;\\n  }\\n\\n  h3 {\\n    font-size: $font-up-2;\\n    text-align: center;\\n    overflow: hidden;\\n  }\\n\\n  .category-box-heading {\\n    padding: 1em 1em 0.5em 1em;\\n    a[href] {\\n      width: 100%;\\n      color: $primary;\\n    }\\n  }\\n\\n  .featured-topics {\\n    padding: 0.5em 1em 1em 1em;\\n    ul {\\n      color: $primary-medium;\\n      list-style: none;\\n      padding: 0;\\n      margin: 0;\\n    }\\n    li {\\n      padding: 4px 0;\\n      display: flex;\\n      align-items: baseline;\\n      .overflow {\\n        max-height: 3em;\\n        overflow: hidden;\\n      }\\n      .d-icon {\\n        margin-right: 0.15em;\\n        width: 0.76em;\\n        height: 0.76em;\\n      }\\n    }\\n  }\\n}\\n\\n.categories-list .category {\\n  h3 .d-icon {\\n    color: $primary-medium;\\n    height: 0.76em;\\n    width: 0.76em;\\n    vertical-align: baseline;\\n    margin-right: 0.15em;\\n  }\\n}\\n\\n.category-boxes-with-topics,\\n.category-boxes {\\n  .category-box h3 .d-icon {\\n    margin-right: 0;\\n  }\\n}\\n",\n\t\t"// styles that apply to the \\"share\\" popup when sharing a link to a post or topic\\n\\n#share-link {\\n  position: absolute;\\n  left: 20px;\\n  z-index: z(\\"dropdown\\");\\n  box-shadow: shadow(\\"card\\");\\n  background-color: $secondary;\\n  padding: s(2 2 1 2);\\n  width: 300px;\\n  display: none;\\n  &.visible {\\n    display: block;\\n  }\\n  input[type=\\"text\\"] {\\n    width: 100%;\\n  }\\n  .share-for-touch .overflow-ellipsis {\\n    clear: both;\\n  }\\n  .share-for-touch {\\n    margin: 14px 0;\\n  }\\n\\n  .title {\\n    margin-bottom: s(1);\\n    align-items: center;\\n    display: flex;\\n    justify-content: space-between;\\n\\n    h3 {\\n      font-size: $font-0;\\n      margin: 0;\\n    }\\n\\n    .date {\\n      font-weight: normal;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  .copy-text {\\n    display: inline-block;\\n    position: absolute;\\n    margin: 5px 5px 5px 15px;\\n    color: $success;\\n    opacity: 1;\\n    transition: opacity 0.25s;\\n    font-size: $font-0;\\n    &:not(.success) {\\n      opacity: 0;\\n    }\\n  }\\n  .social-link {\\n    margin-right: s(2);\\n    font-size: $font-up-4;\\n    .d-icon {\\n      color: dark-light-choose($tertiary, white);\\n    }\\n    .d-icon-fab-facebook {\\n      // Adheres to Facebook brand guidelines\\n      color: dark-light-choose($facebook, white);\\n    }\\n    .d-icon-fab-twitter-square {\\n      // Adheres to Twitter brand guidelines\\n      color: dark-light-choose($twitter, white);\\n    }\\n  }\\n\\n  input[type=\\"text\\"] {\\n    font-size: $font-up-1;\\n    margin-bottom: 0;\\n  }\\n\\n  .actions {\\n    display: flex;\\n    align-items: flex-end;\\n    margin-top: s(2);\\n\\n    .sources {\\n      display: flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      flex-direction: row;\\n      max-width: 45%;\\n\\n      .social-link {\\n        margin-right: s(2);\\n      }\\n    }\\n\\n    .alt-actions {\\n      display: flex;\\n      align-items: center;\\n      flex: 1;\\n      justify-content: flex-end;\\n      height: 36px;\\n\\n      .close-share {\\n        font-size: $font-up-3;\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n\\n      .new-topic {\\n        margin-right: s(4);\\n      }\\n    }\\n  }\\n}\\n\\n.discourse-no-touch #share-link .share-for-touch {\\n  display: none;\\n}\\n\\n.discourse-touch #share-link input[type=\\"text\\"] {\\n  display: none;\\n}\\n",\n\t\t".ember-select {\\n  background-color: $secondary;\\n  color: $primary;\\n}\\n",\n\t\t".uploaded-image-preview {\\n  background: $primary center;\\n  background-size: cover;\\n  position: relative;\\n\\n  .placeholder-overlay {\\n    background-size: contain;\\n    background-repeat: no-repeat;\\n    background-position: center;\\n    position: absolute;\\n    top: 0;\\n    left: 0;\\n    width: 100%;\\n    height: 100%;\\n    opacity: 0.3;\\n  }\\n\\n  .image-upload-controls {\\n    position: relative;\\n    display: flex;\\n    padding: 10px;\\n\\n    .btn {\\n      margin-right: 5px;\\n      padding: 7px 10px;\\n    }\\n\\n    .image-uploader-lightbox-btn {\\n      background: none;\\n      margin-right: 0;\\n      margin-left: auto;\\n\\n      .d-icon {\\n        color: $primary-low;\\n      }\\n\\n      &:hover {\\n        background: none;\\n\\n        .d-icon {\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.image-uploader.no-repeat {\\n  .uploaded-image-preview {\\n    background-repeat: no-repeat;\\n  }\\n}\\n\\n.image-uploader.contain-image {\\n  .uploaded-image-preview {\\n    background-size: contain;\\n  }\\n}\\n\\n.hidden-upload-field {\\n  visibility: hidden;\\n  position: absolute;\\n}\\n",\n\t\t".search-container {\\n  display: flex;\\n  justify-content: space-between;\\n\\n  .warning {\\n    background-color: $danger-medium;\\n    padding: 5px 8px;\\n    color: $secondary;\\n  }\\n\\n  .search-bar {\\n    display: flex;\\n    justify-content: space-between;\\n    align-items: center;\\n    justify-content: space-between;\\n    margin-bottom: 1em;\\n\\n    .search-query {\\n      flex: 1 0 0px;\\n      margin: 0 0.5em 0 0;\\n    }\\n\\n    .search-cta {\\n      padding-bottom: 6.5px;\\n      padding-top: 6.5px;\\n    }\\n  }\\n\\n  .search-advanced {\\n    width: 70%;\\n    @include breakpoint(medium) {\\n      width: 65%;\\n    }\\n\\n    .search-actions,\\n    .search-notice,\\n    .search-results,\\n    .search-title,\\n    .search-bar {\\n      margin-bottom: 1em;\\n    }\\n\\n    .search-info {\\n      display: flex;\\n      flex-wrap: wrap;\\n      border-bottom: 3px solid $primary-low;\\n      padding-bottom: 0.5em;\\n      margin-bottom: 1em;\\n      flex-direction: row;\\n      align-items: center;\\n\\n      .result-count {\\n        display: flex;\\n\\n        .term {\\n          font-weight: bold;\\n        }\\n\\n        // spans can be in different orders depending of locale\\n        span + span {\\n          margin-left: 0.25em;\\n        }\\n      }\\n\\n      .sort-by {\\n        display: flex;\\n        margin-left: auto;\\n        align-items: center;\\n\\n        .desc {\\n          margin-right: 0.5em;\\n        }\\n\\n        .combo-box {\\n          min-width: 150px;\\n        }\\n      }\\n    }\\n\\n    .search-title {\\n      display: flex;\\n      justify-content: flex-start;\\n      align-items: center;\\n\\n      .bulk-select {\\n        margin-left: 0.5em;\\n      }\\n\\n      .fps-select a {\\n        margin-left: 0.5em;\\n        font-size: $font-down-1;\\n\\n        &:hover {\\n          text-decoration: underline;\\n        }\\n      }\\n    }\\n\\n    .search-notice {\\n      .fps-invalid {\\n        padding: 0.5em;\\n        background-color: $danger-low;\\n        border: 1px solid $danger-medium;\\n        color: $danger;\\n      }\\n    }\\n  }\\n\\n  .search-advanced-sidebar {\\n    width: 30%;\\n    @include breakpoint(medium) {\\n      width: 35%;\\n    }\\n    margin-left: 1em;\\n    display: flex;\\n    flex-direction: column;\\n\\n    #search-min-post-count,\\n    .date-picker,\\n    .combo-box,\\n    .ac-wrap,\\n    .control-group,\\n    .date-picker-wrapper,\\n    .search-advanced-category-chooser {\\n      box-sizing: border-box;\\n      width: 100%;\\n      min-width: 100%;\\n      input,\\n      .item {\\n        padding-left: 4px; // temporarily normalizing input padding for this section\\n      }\\n    }\\n\\n    .date-picker-wrapper {\\n      margin-top: 0.5em;\\n    }\\n\\n    .date-picker {\\n      box-sizing: border-box;\\n      text-align: left;\\n      padding: 4px;\\n      margin-bottom: 0;\\n    }\\n\\n    .search-advanced-title {\\n      background: $primary-low;\\n      padding: 0.358em 1em;\\n      @include breakpoint(medium) {\\n        padding: 0.358em 0.5em;\\n      }\\n      font-weight: 700;\\n      text-align: left;\\n      font-weight: bold;\\n\\n      &.btn {\\n        background: $primary-low;\\n      }\\n\\n      .d-icon {\\n        margin: 0;\\n      }\\n    }\\n\\n    .search-advanced-filters {\\n      background: $primary-very-low;\\n      padding: 1em;\\n      .control-group {\\n        margin-bottom: 15px;\\n      }\\n      section.field {\\n        margin-top: 5px;\\n      }\\n      @include breakpoint(medium) {\\n        padding: 0.75em 0.5em;\\n        .ac-wrap,\\n        .choices,\\n        .select-kit.multi-select {\\n          // overriding inline width from JS\\n          width: 100% !important;\\n        }\\n        .select-kit {\\n          min-width: unset;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.fps-invalid {\\n  margin-bottom: 1em;\\n}\\n\\n.fps-result {\\n  display: flex;\\n  .author {\\n    display: inline-block;\\n    vertical-align: top;\\n  }\\n\\n  .like-count {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    .fa {\\n      color: $love;\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  .badge-wrapper span.badge-category {\\n    max-width: inherit;\\n  }\\n\\n  .search-category {\\n    padding-top: 3px;\\n  }\\n\\n  margin-bottom: 28px;\\n  max-width: 780px;\\n  .topic {\\n    padding-bottom: 2px;\\n    max-width: 700px;\\n  }\\n  .avatar {\\n    margin-right: 14px;\\n  }\\n  a.search-link:visited .topic-title {\\n    color: $tertiary-high;\\n  }\\n  .search-link {\\n    .topic-title {\\n      font-size: $font-up-2;\\n      line-height: $line-height-medium;\\n    }\\n    .topic-statuses {\\n      display: inline-block;\\n      font-size: 1.3em;\\n      line-height: $line-height-medium;\\n      color: $primary-medium;\\n      span {\\n        line-height: 1;\\n      }\\n    }\\n  }\\n  .blurb {\\n    font-size: $font-0;\\n    line-height: $line-height-large;\\n    word-wrap: break-word;\\n    max-width: 640px;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    .date {\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n    }\\n\\n    .search-highlight {\\n      color: dark-light-choose($primary, $secondary-low);\\n    }\\n  }\\n\\n  .discourse-tag {\\n    font-size: $font-down-1;\\n  }\\n}\\n\\n.fps-topic {\\n  display: inline-block;\\n}\\n\\n.no-results-suggestion {\\n  margin-top: 30px;\\n}\\n.search-footer {\\n  margin-bottom: 30px;\\n}\\n\\n.panel-body-contents .search-context label {\\n  float: left;\\n}\\n\\n.google-search-form {\\n  margin-top: 2em;\\n}\\n",\n\t\t"a.loading-onebox {\\n  &:before {\\n    content: \\"\\";\\n    display: inline-flex;\\n    float: left;\\n    margin: 3px 5px 0 0;\\n    position: relative;\\n    height: 10px;\\n    width: 10px;\\n    border: 2px solid $primary-low-mid;\\n    border-right-color: transparent;\\n    border-radius: 50%;\\n    -webkit-animation: rotate-forever 1s infinite linear;\\n    animation: rotate-forever 1s infinite linear;\\n  }\\n}\\n\\n.onebox-result {\\n  @include post-aside;\\n\\n  margin-top: 15px;\\n  padding: 12px;\\n  font-size: $font-0;\\n  > .source {\\n    margin-bottom: 12px;\\n    margin-right: 10px;\\n    display: block;\\n    color: $primary;\\n    position: relative;\\n    height: 20px;\\n    .info {\\n      a {\\n        color: black;\\n        text-decoration: none;\\n        padding-right: 10px;\\n      }\\n      position: absolute;\\n      font-size: $font-0;\\n      img.favicon {\\n        margin-right: 3px;\\n      }\\n    }\\n  }\\n\\n  .onebox-result-body {\\n    padding-top: 5px;\\n    img {\\n      max-height: 80%;\\n      max-width: 25%;\\n      height: auto;\\n      float: left;\\n      margin-right: 10px;\\n    }\\n    h3,\\n    h4 {\\n      margin: 0;\\n    }\\n    code {\\n      max-height: 400px;\\n    }\\n    .metrics {\\n      clear: both;\\n      padding-bottom: 25px;\\n      .metric {\\n        display: inline-block;\\n        padding-left: 33px;\\n        float: left;\\n      }\\n    }\\n  }\\n}\\n\\n// RottenTomatoes Onebox\\n.onebox-result {\\n  .onebox-result-body {\\n    img.verdict {\\n      float: none;\\n      margin-right: 7px;\\n    }\\n    img.popcorn {\\n      float: none;\\n      margin-left: 20px;\\n      margin-right: 5px;\\n    }\\n  }\\n}\\n\\n@mixin onebox-favicon($class, $image) {\\n  &.#{$class} .source {\\n    background: image-url(\\"favicons/#{$image}.png\\") no-repeat 0% 50%;\\n    background-size: 16px 16px;\\n    padding-left: 20px;\\n  }\\n}\\n\\naside.onebox {\\n  border: 5px solid $primary-low;\\n  margin-bottom: 1em;\\n  padding: 12px 25px 12px 12px;\\n  font-size: $font-0;\\n\\n  header {\\n    margin-bottom: 8px;\\n    a[href] {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      text-decoration: none;\\n    }\\n  }\\n\\n  @include onebox-favicon(\\"stackexchange\\", \\"stackexchange\\");\\n  @include onebox-favicon(\\"twitterstatus\\", \\"twitter\\");\\n  @include onebox-favicon(\\"wikipedia\\", \\"wikipedia\\");\\n  @include onebox-favicon(\\"githubblob\\", \\"github\\");\\n  @include onebox-favicon(\\"githubcommit\\", \\"github\\");\\n  @include onebox-favicon(\\"githubpullrequest\\", \\"github\\");\\n  @include onebox-favicon(\\"githubissue\\", \\"github\\");\\n  @include onebox-favicon(\\"githubgist\\", \\"github\\");\\n  @include onebox-favicon(\\"amazon\\", \\"amazon\\");\\n  @include onebox-favicon(\\"instagram\\", \\"instagram\\");\\n  @include onebox-favicon(\\"googledocs\\", \\"google_branding/logo_drive_48px\\");\\n  @include onebox-favicon(\\"googledrive\\", \\"google_branding/logo_drive_48px\\");\\n\\n  .onebox-body {\\n    clear: both;\\n\\n    h3,\\n    h4 {\\n      font-size: $font-up-1;\\n      margin: 0 0 10px 0;\\n    }\\n\\n    a[href] {\\n      color: dark-light-choose($tertiary, $tertiary);\\n      text-decoration: none;\\n    }\\n\\n    a[href]:visited {\\n      color: dark-light-choose($tertiary, $tertiary);\\n    }\\n\\n    img {\\n      max-height: 170px;\\n      max-width: 20%;\\n      @media all and (max-width: 600px) {\\n        max-width: 35%;\\n      }\\n      height: auto;\\n      width: auto;\\n      float: left;\\n      margin-right: 10px;\\n      &.onebox-full-image {\\n        max-height: none;\\n        max-width: none;\\n        width: initial;\\n        height: initial;\\n      }\\n    }\\n\\n    [style*=\\"--aspect-ratio\\"] > :first-child {\\n      width: 100%;\\n    }\\n    [style*=\\"--aspect-ratio\\"] > img {\\n      height: auto;\\n    }\\n\\n    // this allows us to load all onebox images without jiggle\\n    // see: http://cssmojo.com/aspect-ratio-using-custom-properties-and-calc/\\n    @supports (--custom: property) {\\n      .aspect-image {\\n        max-height: 170px;\\n        --magic-ratio: calc(var(--aspect-ratio) + 0.15);\\n        width: calc(128px * var(--magic-ratio));\\n        max-width: 20%;\\n        float: left;\\n        margin-right: 10px;\\n        height: auto;\\n\\n        img {\\n          width: 100%;\\n          height: inherit;\\n          max-width: initial;\\n          max-height: initial;\\n          float: none;\\n          margin-right: none;\\n        }\\n      }\\n\\n      // full size images for instagram, twitter, etc.\\n      .aspect-image-full-size {\\n        max-height: 500px;\\n        width: calc(500px * var(--aspect-ratio));\\n        max-width: 100%;\\n\\n        img {\\n          width: 100%;\\n          height: inherit;\\n          max-width: initial;\\n          max-height: initial;\\n          float: none;\\n          padding: 5px 5px 5px 5px;\\n        }\\n      }\\n\\n      [style*=\\"--aspect-ratio\\"] {\\n        position: relative;\\n      }\\n      [style*=\\"--aspect-ratio\\"]::before {\\n        content: \\"\\";\\n        display: block;\\n        padding-bottom: calc(100% / (var(--aspect-ratio)));\\n      }\\n      [style*=\\"--aspect-ratio\\"] > :first-child {\\n        position: absolute;\\n        top: 0;\\n        left: 0;\\n        height: 100%;\\n      }\\n    }\\n\\n    // tighten bottom margin on last para\\n    p:last-child {\\n      margin-bottom: 4px;\\n    }\\n\\n    // twitter fixes\\n    .tweet-images {\\n      display: block;\\n      clear: both;\\n\\n      img.tweet-image {\\n        margin-top: 1em;\\n        max-width: 100%;\\n        max-height: 100%;\\n        float: none;\\n      }\\n\\n      @include breakpoint(mobile-extra-large) {\\n        // Prevent twitter embeds from being taller than the mobile viewport\\n        iframe {\\n          max-height: 70vh;\\n        }\\n      }\\n    }\\n\\n    &.user-onebox {\\n      .fa {\\n        margin-right: 5px;\\n      }\\n      .full-name,\\n      .location {\\n        margin-right: 10px;\\n      }\\n    }\\n\\n    // instagram + reddit fixes\\n    .instagram-images,\\n    .scale-images {\\n      clear: both;\\n      position: relative;\\n\\n      .instagram-image,\\n      .scale-image {\\n        padding: 5px 5px 5px 5px;\\n        max-width: 100%;\\n        max-height: 100%;\\n        float: none;\\n      }\\n    }\\n\\n    .instagram-video-icon {\\n      &:before {\\n        opacity: 0.8;\\n        // ideally, the SVG used here should be in HTML and reference the SVG sprite\\n        content: svg-uri(\\n          '<svg xmlns=\\"http://www.w3.org/2000/svg\\" width=\\"32px\\" height=\\"32px\\" viewBox=\\"0 0 512 512\\" fill=\\"white\\"><path d=\\"M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z\\"></path></svg>'\\n        );\\n      }\\n      bottom: 10px;\\n      right: 10px;\\n      position: absolute;\\n    }\\n  }\\n}\\n\\n@mixin gdocs-logo($type) {\\n  &.g-#{$type}-logo {\\n    background: image-url(\\"favicons/google_branding/logo_#{$type}_48px.png\\")\\n      no-repeat;\\n  }\\n}\\n\\n.googledocs-onebox-logo {\\n  width: 60px;\\n  height: 50px;\\n  float: left;\\n  @include gdocs-logo(\\"docs\\");\\n  @include gdocs-logo(\\"forms\\");\\n  @include gdocs-logo(\\"sheets\\");\\n  @include gdocs-logo(\\"slides\\");\\n  @include gdocs-logo(\\"calendar\\");\\n  @include gdocs-logo(\\"drive\\");\\n}\\n\\n// Google Calendar Placeholder\\n.gdocs-onebox-splash {\\n  background-color: blend-primary-secondary(30%);\\n  color: $primary;\\n  border: 1px inset $primary;\\n  .gdocs-onebox-logo {\\n    display: inline-block;\\n    width: 128px;\\n    height: 128px;\\n    &.g-calendar-logo {\\n      background: image-url(\\"favicons/google_branding/logo_calendar_128px.png\\")\\n        no-repeat;\\n    }\\n  }\\n}\\n\\naside.onebox .onebox-body .onebox-avatar {\\n  max-height: none;\\n  max-width: none;\\n  height: 60px;\\n  width: 60px;\\n}\\n\\nblockquote {\\n  aside.onebox {\\n    @include post-aside;\\n  }\\n}\\n\\n// -- Onebox Github Code Blob --\\npre.onebox code ol.lines li:before {\\n  position: absolute;\\n  display: inline-block;\\n  width: 35px;\\n  left: -40px;\\n  color: #afafaf;\\n  text-align: right;\\n  padding-right: 5px;\\n  font-size: $font-down-1;\\n  line-height: $line-height-large;\\n  content: counter(li-counter);\\n  counter-increment: li-counter;\\n}\\n\\npre.onebox code ol {\\n  margin-left: 0;\\n  line-height: $line-height-large;\\n}\\npre.onebox code {\\n  background-color: dark-light-choose(#fff, #000);\\n}\\npre.onebox code li {\\n  padding-left: 5px;\\n}\\n\\npre.onebox code ol.lines {\\n  position: relative;\\n  margin: 0 0 0 40px;\\n}\\n\\npre.onebox code ol.lines li {\\n  list-style-type: none;\\n  padding-left: 5px;\\n  margin-left: 0;\\n  border-left: 1px solid #cfcfcf;\\n  min-height: 1.5em; //show empty li lines\\n  white-space: pre;\\n}\\n\\npre.onebox code li.selected {\\n  background-color: dark-light-choose(#f8eec7, #541);\\n}\\n\\npre.onebox code {\\n  white-space: normal;\\n}\\n\\n// Onebox - Github - PR, Commit & Issue\\n.onebox.githubpullrequest,\\n.onebox.githubcommit,\\n.onebox.githubissue {\\n  .onebox-body {\\n    h4 {\\n      margin-bottom: 5px;\\n    }\\n\\n    > .github-icon {\\n      // For backwards compatibility with old onebox\\n      float: left;\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  .github-row {\\n    display: flex;\\n  }\\n\\n  .github-icon-container {\\n    display: flex;\\n    align-items: flex-start;\\n    margin-right: 5px;\\n  }\\n\\n  .github-icon {\\n    fill: $primary-high;\\n    width: 40px;\\n    height: 40px;\\n  }\\n\\n  .branches {\\n    font-size: $font-down-1;\\n    code {\\n      word-break: break-all;\\n    }\\n  }\\n\\n  .github-info-container {\\n    width: 100%;\\n  }\\n\\n  .github-info {\\n    display: flex;\\n    align-items: center;\\n    flex-wrap: wrap;\\n    width: 100%;\\n\\n    > div {\\n      margin: 2.5px 0;\\n    }\\n\\n    > div:not(:last-child) {\\n      margin-right: 15px;\\n    }\\n\\n    .lines {\\n      font-weight: bold;\\n\\n      .added {\\n        color: $success;\\n      }\\n      .removed {\\n        color: $danger;\\n      }\\n    }\\n  }\\n\\n  .onebox-avatar-inline {\\n    height: 20px;\\n    width: 20px;\\n    border-radius: 2px;\\n    float: none;\\n    margin: 0;\\n    padding: 0;\\n    vertical-align: middle;\\n    max-width: none;\\n  }\\n\\n  .github-content {\\n    margin: 5px 0 0 0;\\n  }\\n\\n  .labels span {\\n    // !important required to override inline style attribute\\n    background-color: $primary-medium !important;\\n    color: $secondary !important;\\n    padding: 2px 4px !important;\\n  }\\n}\\n\\n//Onebox - Github - Pull request\\n.onebox-body .github-commit-status {\\n  background: #f5f5f5;\\n  border-radius: 5px;\\n  margin: 0 0 5px 100px;\\n  padding: 10px;\\n}\\n\\n.onebox-body .status_tag {\\n  display: inline-block;\\n  color: #fff;\\n  padding: 1px 4px;\\n  border-radius: 3px;\\n  font-weight: bold;\\n  margin-bottom: 5px;\\n  text-transform: capitalize;\\n}\\n\\n.onebox-body .build_status {\\n  padding: 2px;\\n  font-size: $font-down-1;\\n}\\n\\n.onebox-body .status_tag.open {\\n  background-color: #6cc644;\\n}\\n.onebox-body .status_tag.merged {\\n  background-color: #6e5494;\\n}\\n.onebox-body .status_tag.closed {\\n  background-color: #bd2c00;\\n}\\n\\n.onebox-body .github-content-right {\\n  margin-left: 100px;\\n}\\n\\n//Onebox - Twitter - Status\\naside.onebox.twitterstatus .onebox-body {\\n  h4 {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n// thumbnail, oddly, ONLY applies to twitter avatar\\n.onebox.twitterstatus {\\n  .thumbnail {\\n    width: 48px;\\n    height: 48px;\\n  }\\n  p,\\n  .tweet {\\n    white-space: pre-line;\\n    padding-top: 3px;\\n    margin-left: 70px;\\n\\n    .quoted {\\n      border: 1px solid $primary-low;\\n      padding: 0px 14px 0px 12px;\\n      white-space: normal;\\n      margin-top: 15px;\\n\\n      .quoted-link {\\n        color: inherit;\\n      }\\n\\n      .quoted-title {\\n        font-weight: bold;\\n        margin: 5px 2px;\\n\\n        span {\\n          font-weight: lighter;\\n          color: $primary-medium;\\n        }\\n      }\\n\\n      div {\\n        margin-bottom: 5px;\\n      }\\n    }\\n  }\\n  .date {\\n    clear: left;\\n  }\\n}\\n\\n// Onebox - Imgur/Flickr - Album\\n.onebox.imgur-album,\\n.onebox.flickr-album {\\n  .outer-box {\\n    position: absolute;\\n    z-index: z(\\"base\\");\\n    font-size: $font-down-1;\\n    color: #fff;\\n    background-color: rgba(0, 0, 0, 0.6);\\n    @include ellipsis;\\n    max-width: 690px;\\n    padding: 5px 0;\\n\\n    .inner-box {\\n      padding-left: 10px;\\n      padding-right: 10px;\\n      overflow: hidden;\\n      @include ellipsis;\\n\\n      .album-title {\\n        width: 100%;\\n        font-size: $font-up-1;\\n        line-height: $line-height-large;\\n        color: #ccc;\\n        text-decoration: none;\\n      }\\n    }\\n  }\\n}\\n\\n// resize stackexchange onebox image\\naside.onebox.stackexchange .onebox-body {\\n  img:not(.onebox-avatar) {\\n    max-height: 60%;\\n    max-width: 10%;\\n  }\\n\\n  .tags {\\n    color: gray;\\n  }\\n}\\n\\n.onebox-metadata {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n}\\n\\n.onebox.xkcd .onebox-body {\\n  img {\\n    max-width: 100% !important;\\n    float: none !important;\\n  }\\n}\\n\\n// pdf onebox\\n.onebox.pdf .onebox-body {\\n  .pdf-onebox-logo {\\n    width: 60px;\\n    height: 50px;\\n    float: left;\\n    background: image-url(\\"favicons/pdf_64px.png\\") no-repeat;\\n    background-size: 48px 48px;\\n    display: inline-block;\\n  }\\n  .filesize {\\n    color: gray;\\n  }\\n}\\n\\n// whitelistedgeneric twitter labels\\n.onebox.whitelistedgeneric {\\n  .label1,\\n  .label2 {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .label1 {\\n    float: left;\\n  }\\n  .label2 {\\n    float: right;\\n  }\\n}\\n\\n.onebox {\\n  &.whitelistedgeneric,\\n  &.gfycat {\\n    .site-icon {\\n      width: 16px;\\n      height: 16px;\\n      margin-right: 3px;\\n    }\\n  }\\n}\\n\\n.onebox.gfycat p {\\n  span.label1 a {\\n    white-space: nowrap;\\n  }\\n}\\n\\n.onebox.instagram {\\n  div.instagram-description {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    padding-top: 10px;\\n  }\\n}\\n\\n.onebox.githubcommit {\\n  pre.message {\\n    padding: 0;\\n  }\\n}\\n\\n.onebox.twitterstatus {\\n  .like,\\n  .retweet {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    padding-left: 10px;\\n    svg {\\n      fill: currentColor;\\n      vertical-align: middle;\\n    }\\n  }\\n}\\n\\n// mobile specific style\\n.mobile-view article.onebox-body {\\n  border-top: none;\\n}\\n\\n// Google Photos Album\\n.onebox.google-photos-album {\\n  @extend .imgur-album;\\n}\\n\\n// Force oneboxed videos to 16:9 aspect ratio\\n.onebox.video-onebox {\\n  position: relative;\\n  padding: 0 0 56.25% 0;\\n  width: 100%;\\n\\n  video {\\n    position: absolute;\\n    width: 100%;\\n    height: 100%;\\n  }\\n}\\n\\n.onebox-placeholder-container {\\n  position: relative;\\n  width: 100%;\\n  padding: 0 0 48.25% 0;\\n  background-color: $primary-low;\\n\\n  .placeholder-icon {\\n    position: absolute;\\n    width: 100%;\\n    height: 100%;\\n    display: flex;\\n    justify-content: center;\\n    align-items: center;\\n\\n    &.video {\\n      &:before {\\n        opacity: 0.8;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 576 512\\"><path fill=\\"grey\\" d=\\"M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z\\"></path></svg>'\\n        );\\n      }\\n    }\\n    &.audio {\\n      &:before {\\n        opacity: 0.4;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 512 512\\"><path fill=\\"currentColor\\" d=\\"M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z\\"></path></svg>'\\n        );\\n      }\\n    }\\n    &.generic {\\n      &:before {\\n        opacity: 0.4;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 384 512\\"><path fill=\\"currentColor\\" d=\\"M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z\\"></path></svg>'\\n        );\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".d-header {\\n  display: flex;\\n  align-items: center;\\n  width: 100%;\\n  position: absolute;\\n  top: 0;\\n  z-index: z(\\"header\\");\\n  background-color: $header_background;\\n  box-shadow: shadow(\\"header\\");\\n\\n  > .wrap {\\n    width: calc(100% - 16px); // accommodates for 8px vertical padding\\n    height: 100%;\\n    .contents {\\n      display: flex;\\n      align-items: center;\\n      height: 100%;\\n\\n      .header-row {\\n        width: 100%;\\n\\n        .logo-wrapper {\\n          float: left;\\n        }\\n        .auth-buttons {\\n          float: right;\\n          margin-top: 0.4em;\\n\\n          .login-button,\\n          .signup-button {\\n            padding: 8px 14px;\\n          }\\n        }\\n      }\\n    }\\n  }\\n\\n  .docked & {\\n    position: fixed;\\n    backface-visibility: hidden; /** do magic for scrolling performance **/\\n  }\\n\\n  .title {\\n    display: flex;\\n    align-items: center;\\n    height: 100%;\\n    a,\\n    a:visited {\\n      color: $header_primary;\\n    }\\n  }\\n\\n  #site-logo {\\n    width: auto;\\n  }\\n\\n  .d-icon-home {\\n    font-size: $font-up-6;\\n  }\\n\\n  .panel {\\n    position: relative;\\n    display: flex;\\n    flex: 0 0 auto;\\n    margin-left: auto;\\n    align-items: center;\\n  }\\n\\n  .hamburger-panel,\\n  .user-menu,\\n  .search-menu {\\n    width: 0; // Flexbox fix for Safari\\n  }\\n\\n  .header-buttons {\\n    display: flex;\\n    align-items: center;\\n    margin-top: 0.2em;\\n  }\\n\\n  .login-button,\\n  button.sign-up-button {\\n    padding: 6px 10px;\\n    .fa {\\n      margin-right: 3px;\\n    }\\n  }\\n\\n  button.login-button {\\n    margin-left: 7px;\\n  }\\n}\\n\\n.header-dropdown-toggle,\\n.drop-down,\\n.panel-body {\\n  .flagged-posts,\\n  .reviewables {\\n    background: $danger;\\n    min-width: 6px;\\n  }\\n}\\n\\n.d-header-icons {\\n  text-align: center;\\n  margin: 0 0 0 5px;\\n  list-style: none;\\n\\n  > li {\\n    float: left;\\n  }\\n  .icon {\\n    position: relative;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    width: 2.2857em;\\n    height: 2.2857em;\\n    padding: 0.2143em;\\n    text-decoration: none;\\n    cursor: pointer;\\n    border-top: 1px solid transparent;\\n    border-left: 1px solid transparent;\\n    border-right: 1px solid transparent;\\n    transition: all linear 0.15s;\\n    outline: none;\\n    img.avatar {\\n      width: 2.1333em;\\n      height: 2.1333em;\\n    }\\n    &:hover,\\n    &:focus {\\n      background-color: $primary-low;\\n      border-top: 1px solid transparent;\\n      border-left: 1px solid transparent;\\n      border-right: 1px solid transparent;\\n      .d-icon {\\n        color: $primary-medium;\\n      }\\n    }\\n    &:active {\\n      color: $primary;\\n      background-color: $primary-low;\\n    }\\n  }\\n  .drop-down-mode & {\\n    .active .icon {\\n      position: relative;\\n      background-color: $secondary;\\n      cursor: default;\\n      border-top: 1px solid $primary-low;\\n      border-left: 1px solid $primary-low;\\n      border-right: 1px solid $primary-low;\\n      .d-icon {\\n        color: $primary-medium;\\n      }\\n      &:after {\\n        display: block;\\n        position: absolute;\\n        top: 100%;\\n        left: 0;\\n        z-index: z(\\"header\\") + 1; // Higher than .menu-panel\\n        width: 100%;\\n        height: 0;\\n        content: \\"\\";\\n        border-top: 1px solid $secondary;\\n      }\\n      &:hover {\\n        border-bottom: none;\\n      }\\n    }\\n  }\\n\\n  .d-icon {\\n    width: 100%;\\n    font-size: $font-up-4;\\n    line-height: $line-height-large;\\n    display: inline-block;\\n    color: $header_primary-low-mid;\\n  }\\n  .notifications {\\n    position: relative;\\n  }\\n  .ring {\\n    position: absolute;\\n    top: -9px;\\n    z-index: z(\\"base\\");\\n    margin-left: 0;\\n  }\\n  .header-dropdown-toggle {\\n    position: relative;\\n  }\\n  .badge-notification {\\n    position: absolute;\\n    z-index: z(\\"base\\");\\n    left: 0;\\n    top: -4px;\\n    min-width: 0.6em;\\n  }\\n  .unread-notifications {\\n    left: auto;\\n    right: -3px;\\n    background-color: dark-light-choose($tertiary-medium, $tertiary);\\n  }\\n  .unread-private-messages,\\n  .ring {\\n    left: auto;\\n    right: 25px;\\n  }\\n}\\n\\n.highlight-strong {\\n  background-color: $highlight-medium;\\n}\\n\\n.search-highlight {\\n  font-weight: bold;\\n}\\n\\n#search-help table td {\\n  padding-right: 10px;\\n}\\n\\n// we don't need this X to clear field\\n#search-term::-ms-clear {\\n  display: none;\\n}\\n\\n// topic info in the header\\n.extra-info-wrapper {\\n  display: flex;\\n  align-items: center;\\n  flex: 1 1 0%; // unit on flex-basis is required for IE11\\n  height: 100%;\\n  line-height: $line-height-medium;\\n  padding: 0 1.5em 0 0.5em;\\n  // we need to hide overflow in both to truncate the title in a flexbox\\n  overflow: hidden;\\n  .extra-info {\\n    overflow: hidden;\\n    width: 100%;\\n    -webkit-animation: fadein 0.5s;\\n    animation: fadein 0.5s;\\n  }\\n  .topic-link {\\n    color: $header_primary;\\n    display: block;\\n    @include ellipsis;\\n  }\\n  .topic-statuses {\\n    .d-icon {\\n      color: $header_primary-medium;\\n    }\\n    .d-icon-envelope {\\n      color: $danger;\\n    }\\n  }\\n  .header-title {\\n    margin: 0 0 0.15em 0;\\n    .archetype-private_message & {\\n      // PMs might have participant avatars in the header\\n      margin: 0;\\n    }\\n    font-size: $font-up-3;\\n    width: 100%;\\n  }\\n  .categories-wrapper {\\n    display: inline-flex;\\n    align-items: center;\\n    // Protection against a very rare edge case in mobile header for topics with\\n    // very long category names and lots of tags at the same time\\n    max-width: 80%;\\n    flex: 0 1 auto;\\n    min-width: 1px;\\n    .badge-wrapper {\\n      @include ellipsis;\\n    }\\n  }\\n  .badge-wrapper {\\n    margin-right: 8px;\\n  }\\n  .badge-wrapper.bullet {\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      min-width: 5px;\\n    }\\n  }\\n  .badge-wrapper {\\n    &.bullet,\\n    &.bar,\\n    &.none {\\n      span.badge-category {\\n        color: $header_primary-high;\\n      }\\n    }\\n  }\\n  .topic-header-extra {\\n    display: inline-flex;\\n    align-items: center;\\n    max-width: 100%;\\n    flex: 1 0 0%; // unit on flex-basis is required for IE11\\n    .discourse-tags {\\n      color: $header_primary-high;\\n      @include ellipsis;\\n      .discourse-tag {\\n        display: inline; // tags need to stay inline in order for them to truncate\\n      }\\n    }\\n  }\\n  // the tag container should shrink\\n  .topic-header-extra {\\n    min-width: 1px; // 1px value is needed to avoid IE11 flexbox bug\\n  }\\n}\\n\\n// PM header participants\\n\\n$avatar-height: 1.641em;\\n$mobile-avatar-height: 1.532em;\\n\\n.topic-header-participants {\\n  display: flex;\\n  align-items: center;\\n  overflow: hidden;\\n  font-size: $font-down-1;\\n  &:not(:first-child) {\\n    margin-left: 5px;\\n  }\\n  .trigger-user-card,\\n  .trigger-group-card {\\n    &:not(:last-of-type) {\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  .trigger-user-card {\\n    .icon {\\n      height: $avatar-height;\\n      .mobile-view & {\\n        height: $mobile-avatar-height;\\n      }\\n      display: inline-block;\\n      img {\\n        height: 100%;\\n        width: auto;\\n      }\\n    }\\n  }\\n\\n  .trigger-group-card {\\n    padding: 0 5px;\\n    border: 1px solid $primary-low;\\n    border-radius: 0.25em;\\n    @include ellipsis;\\n\\n    .icon {\\n      display: flex;\\n      align-items: center;\\n      height: $avatar-height;\\n      .mobile-view & {\\n        height: $mobile-avatar-height;\\n      }\\n      color: $primary-high;\\n\\n      .d-icon {\\n        margin-right: 5px;\\n      }\\n    }\\n\\n    span {\\n      @include ellipsis;\\n    }\\n  }\\n\\n  .more-participants {\\n    color: $header_primary-high;\\n    margin-left: 5px;\\n  }\\n}\\n",\n\t\t"// Support for BBCode styles like colors and font sizes\\n\\nspan {\\n  &.bbcode-b {\\n    font-weight: bold;\\n  }\\n  &.bbcode-i {\\n    font-style: italic;\\n  }\\n  &.bbcode-u {\\n    text-decoration: underline;\\n  }\\n  &.bbcode-s {\\n    text-decoration: line-through;\\n  }\\n}\\n",\n\t\t"// Styles used before the user is logged into discourse. For example, activating their\\n// account or changing their email.\\n\\n#simple-container {\\n  border-radius: 10px;\\n  background-color: $secondary;\\n  padding: 20px;\\n  width: 550px;\\n  margin: 0 auto;\\n\\n  .account-created {\\n    .ac-message {\\n      font-size: $font-up-1;\\n      line-height: $line-height-large;\\n    }\\n\\n    .activation-controls {\\n      button {\\n        margin-right: 0.5em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for the topic admin menu\\n\\n.show-topic-admin {\\n  position: fixed;\\n  top: 120px;\\n  right: 10px;\\n  z-index: z(\\"dropdown\\");\\n  height: 35px;\\n}\\n\\n.popup-menu {\\n  background-color: $secondary;\\n  width: 215px;\\n  padding: 10px;\\n  border: 1px solid $primary-low;\\n  z-index: z(\\"dropdown\\");\\n  box-shadow: shadow(\\"card\\");\\n\\n  ul {\\n    list-style: none;\\n    margin: 10px 0 0 0;\\n  }\\n\\n  .btn {\\n    text-align: left;\\n  }\\n\\n  button {\\n    width: 100%;\\n    margin-bottom: 5px;\\n  }\\n}\\n\\n.modal-body.feature-topic {\\n  padding: 5px;\\n  max-height: 500px;\\n  input.date-picker {\\n    margin: 0;\\n  }\\n  hr {\\n    margin: 10px 0;\\n  }\\n  .feature-section {\\n    display: block;\\n    .badge-wrapper {\\n      margin-right: 0;\\n    }\\n    .desc {\\n      display: inline-block;\\n      vertical-align: middle;\\n      margin-left: 10px;\\n      p:first-of-type {\\n        margin: 0;\\n      }\\n      p {\\n        margin: 10px 0 0;\\n      }\\n    }\\n    .with-validation {\\n      position: relative;\\n    }\\n  }\\n}\\n\\n.desktop-view .feature-topic-modal {\\n  .feature-topic {\\n    overflow: visible;\\n  }\\n\\n  .modal-inner-container {\\n    min-width: 700px;\\n  }\\n\\n  .pin-until {\\n    position: relative;\\n    display: inline-block;\\n  }\\n}\\n\\n.mobile-view .feature-topic .feature-section {\\n  .desc {\\n    display: block;\\n    clear: both;\\n    max-width: 90%;\\n    margin: 0 10px;\\n  }\\n}\\n\\n// Select posts\\n\\n.selected-posts {\\n  border: 1px solid $tertiary-medium;\\n  background-color: $tertiary-low;\\n  .btn {\\n    border: none;\\n    color: $secondary;\\n    font-weight: normal;\\n    margin-bottom: 10px;\\n    &:not(.btn-danger) {\\n      background: $tertiary;\\n      border-color: $tertiary;\\n      &[href] {\\n        color: $secondary;\\n      }\\n      &:hover {\\n        color: $secondary;\\n        background: $tertiary-high;\\n      }\\n      &:active {\\n        @include linear-gradient(\\n          darken($tertiary, 18%),\\n          darken($tertiary, 12%)\\n        );\\n        color: $secondary;\\n      }\\n    }\\n    &[disabled] {\\n      text-shadow: 0 1px 0 rgba($primary, 0.2);\\n      @include linear-gradient($tertiary, darken($tertiary, 20%));\\n      box-shadow: inset 0 1px 0 rgba(0, 0, 0, 0.33);\\n    }\\n  }\\n}\\n",\n\t\t"$meta-element-margin: 6px;\\n\\n.lightbox-wrapper .lightbox {\\n  position: relative;\\n  display: inline-block;\\n  overflow: hidden;\\n  &:hover .meta {\\n    opacity: 0.9;\\n    transition: opacity 0.5s;\\n  }\\n}\\n\\n.d-lazyload-hidden {\\n  box-sizing: border-box;\\n}\\n\\n.onebox img.d-lazyload-hidden {\\n  border: 1px solid $primary-low;\\n}\\n\\n.cooked img.d-lazyload {\\n  transition: opacity 0.4s 0.75s ease;\\n}\\n\\n.lightbox-wrapper {\\n  display: inline-block;\\n  img {\\n    object-fit: cover;\\n    object-position: top;\\n  }\\n  &,\\n  * {\\n    outline: 0;\\n  }\\n}\\n\\n.meta {\\n  position: absolute;\\n  bottom: 0;\\n  width: 100%;\\n  color: $secondary;\\n  background: $primary;\\n  opacity: 0;\\n  transition: opacity 0.2s;\\n  display: flex;\\n  align-items: center;\\n\\n  .filename {\\n    margin: $meta-element-margin;\\n    @include ellipsis;\\n  }\\n\\n  .d-icon {\\n    margin: $meta-element-margin;\\n    opacity: 0.8;\\n    color: $secondary;\\n    + .filename {\\n      margin-left: 0px;\\n    }\\n  }\\n\\n  .informations {\\n    margin: $meta-element-margin;\\n    padding-right: 20px;\\n    color: $secondary-high;\\n    font-size: $font-0;\\n    flex-shrink: 0;\\n    flex-grow: 3;\\n  }\\n}\\n\\n.mfp-preloader .spinner {\\n  margin: auto;\\n}\\n\\n.discourse-no-touch {\\n  @if is-light-color-scheme() {\\n    a.lightbox {\\n      -webkit-transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);\\n      transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);\\n    }\\n\\n    a.lightbox:hover {\\n      border-radius: 5px;\\n      box-shadow: 0 2px 5px 0 rgba($primary, 0.2),\\n        0 2px 10px 0 rgba($primary, 0.2);\\n    }\\n  }\\n}\\n",\n\t\t".reorder-categories {\\n  thead {\\n    th {\\n      padding-bottom: 0.5em;\\n    }\\n  }\\n  input {\\n    width: 4em;\\n    @include breakpoint(mobile-extra-large) {\\n      width: 2em;\\n    }\\n  }\\n  table {\\n    width: 100%;\\n    padding-bottom: 150px;\\n    td {\\n      padding: 0.5em 0.5em 0.5em 0;\\n      @include breakpoint(mobile, min-width) {\\n        min-width: 15em;\\n      }\\n    }\\n  }\\n  .badge-wrapper span.badge-category {\\n    max-width: 20em;\\n    @include breakpoint(mobile-extra-large) {\\n      max-width: 30vw;\\n    }\\n  }\\n}\\n\\n.reorder-categories-sub-cat {\\n  margin-left: 20px;\\n}\\n",\n\t\t".edit-topic-timer-modal {\\n  .modal-body {\\n    max-height: none;\\n    overflow: visible !important; /* inline JS styles */\\n  }\\n  .control-group {\\n    display: flex;\\n    align-items: center;\\n\\n    > .d-icon {\\n      margin-right: 5px;\\n    }\\n  }\\n  input.date-picker,\\n  input[type=\\"time\\"] {\\n    width: 200px;\\n    text-align: left;\\n  }\\n  .radios {\\n    margin-bottom: 10px;\\n  }\\n  label {\\n    display: inline-flex;\\n    padding-right: 5px;\\n    margin-bottom: 0;\\n    align-items: center;\\n    input {\\n      margin-top: 0;\\n    }\\n  }\\n  .btn.pull-right {\\n    margin-right: 10px;\\n  }\\n  .future-date-input {\\n    input {\\n      margin: 0;\\n    }\\n    .alert-info {\\n      margin: 0 -15px -15px -15px;\\n    }\\n    .btn-clear {\\n      display: none;\\n    }\\n    .topic-status-info {\\n      border: none;\\n      padding: 0;\\n      h3 {\\n        font-weight: normal;\\n        font-size: $font-up-1;\\n      }\\n    }\\n\\n    input[disabled] {\\n      background: $primary-low;\\n    }\\n  }\\n  .pika-single {\\n    position: absolute !important; /* inline JS styles */\\n  }\\n}\\n\\n// mobile styles\\n.mobile-view .edit-topic-timer-modal {\\n  .select-kit.combo-box {\\n    flex: 1 0 0px;\\n  }\\n}\\n",\n\t\t".redirection-warning {\\n  margin: 0 auto;\\n  text-align: center;\\n  font-size: $font-up-4;\\n  line-height: $line-height-medium;\\n}\\n",\n\t\t"// Right to left styles.\\n// *** These styles are all going to be flipped by the r2 gem ***\\n// Adding the !important declaration to a rule prevents it from being flipped.\\n\\n// This is used to flip the .d-icon-caret-right\\n@mixin rotate($degrees) {\\n  -webkit-transform: rotate(#{$degrees}deg);\\n  -moz-transform: rotate(#{$degrees}deg);\\n  -ms-transform: rotate(#{$degrees}deg);\\n  -o-transform: rotate(#{$degrees}deg);\\n  transform: rotate(#{$degrees}deg);\\n\\n  filter: \\"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=#{cos($degrees)}, M12=-#{sin($degrees)}, M21=#{sin($degrees)}, M22=#{cos($degrees)})\\";\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=#{cos($degrees)}, M12=-#{sin($degrees)}, M21=#{sin($degrees)}, M22=#{cos($degrees)})\\";\\n  zoom: 1;\\n}\\n\\n// Get the right caret to point left\\n.rtl .d-icon-caret-right {\\n  @include rotate(180);\\n}\\n\\n// Changes the triangle arrow direction in .nav-stacked .active\\n// The 'left' and 'right' in these selectors is not being flipped by r2.\\n.rtl .nav-stacked a.active::after {\\n  border-left-color: transparent !important;\\n  border-right-color: $secondary !important;\\n}\\n.rtl code {\\n  direction: ltr !important;\\n  text-align: left !important;\\n}\\n.rtl .pull-left {\\n  float: right !important;\\n}\\n.rtl .autocomplete {\\n  left: 27px;\\n}\\n\\n.rtl .admin-customize .current-style .toggle-mobile {\\n  position: static !important;\\n  float: left !important;\\n}\\n.rtl .admin-customize .current-style .toggle-maximize {\\n  position: static !important;\\n  float: left !important;\\n}\\n.rtl .dashboard-left {\\n  float: right !important;\\n}\\n.rtl .dashboard-right {\\n  float: left !important;\\n}\\n\\n// This is for the support_mixed_text_direction setting\\n.cooked ul[dir=\\"ltr\\"],\\n.d-editor-preview ul[dir=\\"ltr\\"],\\n.cooked ul[dir=\\"rtl\\"],\\n.d-editor-preview ul[dir=\\"rtl\\"] {\\n  padding-right: 40px;\\n  padding-left: 40px;\\n}\\n\\n// Fixes github oneboxes for RTL sites\\n.rtl aside.onebox.githubblob {\\n  padding: 12px 25px 12px 12px !important;\\n  direction: ltr !important;\\n}\\n\\n.rtl aside.onebox.githubblob .source {\\n  background-position: 0 50% !important;\\n  padding-right: 20px;\\n}\\n\\n.rtl pre.onebox code ol.lines {\\n  margin: 0 0 0 40px !important;\\n}\\n\\n.rtl pre.onebox code ol.lines li:before {\\n  right: -40px;\\n  padding-left: 5px;\\n  padding-right: 0;\\n  text-align: right !important;\\n}\\n\\n.rtl pre.onebox code ol.lines li {\\n  padding-right: 5px;\\n  padding-left: 0;\\n  margin-right: 0;\\n  border-right: 1px solid #cfcfcf;\\n  border-left: none !important;\\n}\\n",\n\t\t".search-menu {\\n  .search-input {\\n    position: relative;\\n    padding: 0.5em 3px;\\n  }\\n\\n  .search-context .show-help {\\n    float: right;\\n  }\\n\\n  .heading {\\n    padding: 5px 0 5px 5px;\\n    .filter {\\n      padding: 0 5px;\\n    }\\n  }\\n\\n  input[type=\\"text\\"] {\\n    box-sizing: border-box;\\n    width: calc(100% - 6px);\\n    height: 32px;\\n  }\\n\\n  .search-context {\\n    padding: 0 5px;\\n\\n    label {\\n      margin-bottom: 0;\\n    }\\n  }\\n\\n  .search-context + .results {\\n    margin-top: 5px;\\n  }\\n\\n  .results {\\n    display: flex;\\n    flex-direction: row;\\n\\n    .list {\\n      min-width: 100px;\\n\\n      .item {\\n        .blurb {\\n          // https://css-tricks.com/snippets/css/prevent-long-urls-from-breaking-out-of-container/\\n          overflow-wrap: break-word;\\n          word-wrap: break-word;\\n          -ms-word-break: break-all;\\n          word-break: break-all;\\n          word-break: break-word;\\n          -ms-hyphens: auto;\\n          -moz-hyphens: auto;\\n          -webkit-hyphens: auto;\\n          hyphens: auto;\\n          margin-top: 0.25em;\\n        }\\n      }\\n    }\\n\\n    .search-result-topic {\\n      .second-line {\\n        display: flex;\\n        flex-wrap: wrap;\\n        align-items: center;\\n\\n        .discourse-tags {\\n          flex-wrap: wrap;\\n          display: contents;\\n        }\\n      }\\n    }\\n\\n    .main-results {\\n      display: flex;\\n      flex: 1 1 auto;\\n      .topic-statuses {\\n        color: $primary-medium;\\n      }\\n    }\\n\\n    .main-results + .secondary-results {\\n      border-left: 1px solid $primary-low;\\n      margin-left: 1em;\\n      padding-left: 1em;\\n      max-width: 33%;\\n    }\\n\\n    .secondary-results {\\n      display: flex;\\n      flex-direction: column;\\n      flex: 1 1 auto;\\n\\n      .separator {\\n        margin-bottom: 1em;\\n        margin-top: 1em;\\n        height: 1px;\\n        background: $primary-low;\\n      }\\n\\n      .search-result-tag {\\n        .discourse-tag {\\n          font-size: $font-down-1;\\n        }\\n      }\\n\\n      .search-result-category {\\n        .widget-link {\\n          margin-bottom: 0;\\n        }\\n      }\\n\\n      .search-result-group {\\n        .search-link {\\n          color: $primary-high;\\n\\n          &:hover {\\n            color: $primary;\\n          }\\n        }\\n\\n        .group-result {\\n          display: flex;\\n          align-items: center;\\n\\n          .d-icon,\\n          .avatar-flair {\\n            min-width: 25px;\\n            margin-right: 0.5em;\\n\\n            .d-icon {\\n              margin-right: 0;\\n            }\\n          }\\n\\n          .avatar-flair-image {\\n            background-repeat: no-repeat;\\n            background-size: 100% 100%;\\n            min-height: 25px;\\n          }\\n\\n          .group-names {\\n            display: flex;\\n            flex-direction: column;\\n            overflow: auto;\\n            line-height: $line-height-medium;\\n\\n            &:hover {\\n              .name,\\n              .slug {\\n                color: $primary-high;\\n              }\\n            }\\n\\n            .name,\\n            .slug {\\n              @include ellipsis;\\n            }\\n\\n            .name {\\n              font-weight: 700;\\n            }\\n\\n            .slug {\\n              font-size: $font-down-1;\\n              color: $primary-high;\\n            }\\n          }\\n        }\\n      }\\n\\n      .search-result-category,\\n      .search-result-user,\\n      .search-result-group,\\n      .search-result-tag {\\n        .list {\\n          display: block;\\n\\n          .item {\\n            .widget-link.search-link {\\n              flex: 1;\\n              font-size: $font-0;\\n              padding: 5px;\\n            }\\n          }\\n        }\\n      }\\n\\n      .search-result-user {\\n        .user-result {\\n          display: flex;\\n          flex-direction: row;\\n          align-items: center;\\n\\n          .avatar {\\n            margin-right: 0.5em;\\n            display: block;\\n            min-width: 25px;\\n          }\\n\\n          .user-titles {\\n            display: flex;\\n            flex-direction: column;\\n            overflow: auto;\\n            line-height: $line-height-medium;\\n\\n            .username,\\n            .name {\\n              @include ellipsis;\\n            }\\n\\n            .username {\\n              color: dark-light-choose($primary-high, $secondary-low);\\n              font-size: $font-down-1;\\n            }\\n\\n            .name {\\n              color: dark-light-choose($primary-high, $secondary-low);\\n              font-size: $font-0;\\n              font-weight: 700;\\n            }\\n          }\\n        }\\n      }\\n    }\\n\\n    .show-more {\\n      padding: 5px;\\n    }\\n  }\\n\\n  .searching {\\n    position: absolute;\\n    top: 1.15em;\\n    right: 1em;\\n\\n    .spinner {\\n      width: 10px;\\n      height: 10px;\\n      border-width: 2px;\\n      margin: 0;\\n    }\\n  }\\n\\n  .no-results {\\n    padding: 5px;\\n  }\\n\\n  .filter {\\n    padding: 0;\\n    &:hover {\\n      background: transparent;\\n    }\\n  }\\n\\n  .search-link {\\n    margin-bottom: 0.25em;\\n\\n    .badge-category-parent {\\n      line-height: $line-height-small;\\n    }\\n\\n    .topic {\\n      display: inline-block;\\n      line-height: $line-height-medium;\\n    }\\n\\n    .topic-title {\\n      margin-right: 0.25em;\\n    }\\n  }\\n}\\n",\n\t\t"/* Default badge styles. */\\n.user-badge {\\n  padding: 3px 8px;\\n  color: $primary;\\n  border: 1px solid $primary-low;\\n  line-height: $line-height-large;\\n  display: inline-flex;\\n  align-items: center;\\n  background-color: $secondary;\\n  margin: 0 0 3px;\\n\\n  img {\\n    height: 16px;\\n    width: 16px;\\n  }\\n\\n  .badge-display-name {\\n    margin-left: 0.25em;\\n  }\\n\\n  &.badge-type-gold .fa {\\n    color: $gold !important;\\n  }\\n\\n  &.badge-type-silver .fa {\\n    color: $silver !important;\\n  }\\n\\n  &.badge-type-bronze .fa {\\n    color: $bronze !important;\\n  }\\n\\n  &.disabled {\\n    color: $primary-medium;\\n    background-color: $primary-very-low;\\n    .fa {\\n      opacity: 0.4;\\n    }\\n  }\\n}\\n\\n@media all and (max-width: 750px) {\\n  .show-badge .user-badge-with-posts .badge-user a.post-link {\\n    width: auto;\\n  }\\n  .show-badge div.badge-user {\\n    padding: 0;\\n  }\\n  .badges-listing {\\n    display: block;\\n\\n    .info,\\n    .grant-count {\\n      text-align: left;\\n    }\\n\\n    .row > div.info {\\n      display: none;\\n    }\\n\\n    .row {\\n      display: block;\\n      > div {\\n        display: block;\\n        margin-top: 10px;\\n      }\\n    }\\n  }\\n}\\n\\n.show-badge .badge-user-info {\\n  .earned {\\n    font-size: $font-up-2;\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.show-badge .single-user {\\n  margin-left: 2%;\\n  padding-bottom: 20px;\\n  .load-more {\\n    padding-top: 30px;\\n    display: block;\\n    font-size: $font-up-2;\\n  }\\n}\\n\\n.show-badge .single-user .badge-user {\\n  padding-left: 0;\\n\\n  text-align: left;\\n  display: block;\\n  margin: 20px 0;\\n  .badge-info {\\n    display: none;\\n  }\\n  .date {\\n    display: inline-block;\\n    font-size: $font-up-1;\\n    margin-left: 10px;\\n  }\\n  .post-link {\\n    font-size: $font-up-2;\\n    width: 500px;\\n    margin: 0;\\n    padding: 0;\\n  }\\n  width: 800px;\\n\\n  &:after {\\n    content: \\"\\";\\n    clear: both;\\n    display: table;\\n  }\\n}\\n\\n.long-description.banner {\\n  width: 88%;\\n  margin-bottom: 15px;\\n  margin-top: 15px;\\n}\\n\\n.badge-card {\\n  position: relative;\\n  display: inline-block;\\n  background-color: $primary-very-low;\\n  border: 1px solid $primary-low;\\n  margin-bottom: 2vh;\\n  transition: box-shadow 0.25s;\\n\\n  .check-display {\\n    position: absolute;\\n    left: 5px;\\n    top: 5px;\\n  }\\n\\n  .grant-count {\\n    position: absolute;\\n    right: 5px;\\n    top: 5px;\\n    font-weight: bold;\\n    color: $primary-medium;\\n    font-size: $font-up-2;\\n  }\\n\\n  .badge-contents {\\n    display: flex;\\n    min-height: 128px;\\n    height: 100%;\\n    padding: 0 10%;\\n\\n    .badge-link {\\n      color: $primary;\\n    }\\n\\n    .badge-icon {\\n      display: flex;\\n      flex: 0 0 auto;\\n      width: 1.23em;\\n      margin-right: 5%;\\n      align-items: center;\\n      justify-content: center;\\n      font-size: 3.5em;\\n      a {\\n        width: 100%;\\n      }\\n      img {\\n        width: 100%;\\n        max-width: 65px;\\n        max-height: 80px;\\n      }\\n\\n      &.badge-type-gold .fa {\\n        color: rgb(231, 195, 0) !important;\\n      }\\n\\n      &.badge-type-silver .fa {\\n        color: #c0c0c0 !important;\\n      }\\n\\n      &.badge-type-bronze .fa {\\n        color: #cd7f32 !important;\\n      }\\n    }\\n\\n    .badge-info {\\n      display: flex;\\n      flex: 1 1 auto;\\n      align-items: center;\\n      padding: 1em 1.5em 1em 0;\\n      color: $primary;\\n      @media screen and (max-width: 600px) {\\n        padding-right: 0;\\n      }\\n\\n      h3 {\\n        margin-bottom: 0.25em;\\n        font-size: $font-up-1;\\n        @media screen and (min-width: 900px) {\\n          font-size: $font-up-2;\\n        }\\n      }\\n    }\\n  }\\n\\n  &.medium {\\n    flex: 0 0 auto;\\n    width: 32%;\\n    margin-right: 1.63%;\\n    @media screen and (min-width: 851px) {\\n      &:nth-of-type(3n) {\\n        margin-right: 0;\\n      }\\n    }\\n    @include breakpoint(medium) {\\n      width: 48.5%;\\n      &:nth-of-type(2n) {\\n        margin-right: 0;\\n      }\\n    }\\n    @include breakpoint(mobile-extra-large) {\\n      flex: 0 0 100%;\\n    }\\n    &:hover {\\n      box-shadow: shadow(\\"card\\");\\n    }\\n    &:active {\\n      box-shadow: none;\\n    }\\n  }\\n  &.large {\\n    width: 100%;\\n    align-self: flex-start;\\n    @media screen and (min-width: 767px) {\\n      max-width: calc(#{$large-width} / 2);\\n      margin-right: 1.5em;\\n    }\\n    .badge-contents {\\n      padding: 0 5%;\\n      h3 {\\n        font-size: $font-up-3;\\n      }\\n    }\\n  }\\n}\\n\\n.badges-granted {\\n  display: flex;\\n  flex-wrap: wrap;\\n  @media screen and (max-width: $small-width) {\\n    justify-content: space-between;\\n  }\\n}\\n\\n.badge-groups {\\n  margin: 20px 0;\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  h3 {\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.badge-title {\\n  .user-content {\\n    padding: 0;\\n  }\\n}\\n\\n.badge-group-list {\\n  margin-bottom: 1.5em;\\n  display: flex;\\n  flex-wrap: wrap;\\n  @include breakpoint(medium) {\\n    justify-content: space-between;\\n  }\\n\\n  .title {\\n    width: 100%;\\n    font-size: $font-up-1;\\n  }\\n}\\n\\n.show-badge-details {\\n  display: flex;\\n  flex-wrap: wrap;\\n  flex-direction: row;\\n  margin-bottom: 2em;\\n  margin-top: 1em;\\n\\n  .badge-grant-info {\\n    &.hidden {\\n      display: none;\\n    }\\n  }\\n\\n  .grant-info-item {\\n    margin-bottom: 1em;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    &:first-of-type {\\n      margin-right: 10px;\\n    }\\n  }\\n\\n  .badge-set-title {\\n    padding: 1.5em;\\n    border: 1px solid $primary-low;\\n\\n    .user-content {\\n      padding: 0;\\n      .control-group {\\n        margin-bottom: 1em;\\n      }\\n    }\\n  }\\n\\n  .badge-title .form-horizontal .controls {\\n    margin-left: 0;\\n  }\\n\\n  .form-horizontal {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n.check-display {\\n  display: inline-block;\\n  padding: 0 0.25em;\\n  border-radius: 10px;\\n  text-align: center;\\n  .fa {\\n    font-size: 0.9em;\\n    color: $secondary;\\n  }\\n}\\n\\n.check-display.status-checked {\\n  background-color: $success;\\n}\\n\\n.check-display.status-unchecked {\\n  background-color: $danger;\\n}\\n\\n.hyperlink {\\n  cursor: pointer;\\n}\\n",\n\t\t".reviewable {\\n  .flagged-post-header {\\n    width: 100%;\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n\\n  .status {\\n    color: $primary-medium;\\n    span.approved {\\n      color: $success;\\n      .d-icon {\\n        color: currentColor;\\n      }\\n    }\\n    span.rejected {\\n      color: $danger;\\n      .d-icon {\\n        color: currentColor;\\n      }\\n    }\\n  }\\n  .explain {\\n    margin-left: 0.5em;\\n  }\\n\\n  .nav-pills {\\n    margin-bottom: 1em;\\n  }\\n\\n  .reviewable-container {\\n    display: flex;\\n    flex-direction: row;\\n    margin-top: 1em;\\n\\n    .reviewable-list {\\n      flex: 1;\\n      box-sizing: border-box;\\n      max-width: 760px; // Match topic post width\\n      min-width: 0;\\n      margin-right: auto;\\n    }\\n\\n    .reviewable-filters {\\n      width: 250px;\\n      height: 100%;\\n      box-sizing: border-box;\\n    }\\n\\n    .reviewable-list + .reviewable-filters {\\n      margin-left: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-settings {\\n  h4 {\\n    margin-top: 1em;\\n    margin-bottom: 1em;\\n  }\\n\\n  .saved {\\n    margin-left: 0.5em;\\n  }\\n  .reviewable-score-type {\\n    display: flex;\\n    margin-bottom: 0.5em;\\n\\n    .select-kit {\\n      min-width: 10em;\\n    }\\n    .title {\\n      width: 30%;\\n    }\\n  }\\n}\\n\\n.reviewable-user-info {\\n  margin: 0.5em 0;\\n  .reviewable-user-fields {\\n    margin-bottom: 2em;\\n  }\\n\\n  .reviewable-user-details {\\n    border-bottom: 1px solid $primary-low;\\n    padding-bottom: 0.25em;\\n\\n    display: flex;\\n    .name {\\n      width: 8em;\\n      font-weight: bold;\\n      margin-right: 1em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.no-review {\\n  margin-top: 1em;\\n}\\n\\n.reviewable-filters {\\n  background-color: $primary-very-low;\\n  padding: 1em;\\n  margin-bottom: 1em;\\n\\n  .reviewable-filter {\\n    display: flex;\\n    flex-direction: column;\\n    margin: 0 0 1em 0;\\n\\n    .filter-label {\\n      margin: 0 0 0.5em 0;\\n    }\\n\\n    .score-filter {\\n      margin: 0;\\n      width: 100%;\\n    }\\n\\n    .category-chooser {\\n      width: 100%;\\n    }\\n\\n    .d-date-time-input-range {\\n      width: inherit;\\n      border: none;\\n      padding: 0;\\n\\n      .d-date-input {\\n        flex: 1 1 auto;\\n        border: 1px solid $primary-medium;\\n      }\\n    }\\n  }\\n}\\n\\n.reviewable-claimed-topic {\\n  display: flex;\\n  align-items: center;\\n  .btn-small {\\n    margin-left: 0.5em;\\n  }\\n}\\n\\n.reviewable-actions .claimed-actions {\\n  display: flex;\\n  width: 100%;\\n  justify-content: space-between;\\n  align-items: center;\\n  margin-bottom: 0.5em;\\n}\\n\\n.claimed-by {\\n  display: flex;\\n  align-items: center;\\n  .claimed-username {\\n    margin-left: 0.5em;\\n  }\\n}\\n\\n.reviewable-topics {\\n  width: 100%;\\n\\n  tbody {\\n    td {\\n      padding: 0.5em;\\n    }\\n  }\\n\\n  .reviewable-details {\\n    display: flex;\\n    justify-content: flex-end;\\n\\n    .btn {\\n      display: flex;\\n      align-items: center;\\n      margin-left: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-filters {\\n  .topic-filter .btn {\\n    display: flex;\\n    width: auto;\\n  }\\n\\n  .refresh {\\n    height: 1em;\\n    display: flex;\\n  }\\n\\n  .score-filter {\\n    width: 5em;\\n  }\\n}\\n.user-flag-percentage {\\n  display: flex;\\n  align-items: center;\\n  margin-left: 0.5em;\\n\\n  .percentage-label {\\n    margin-right: 0.25em;\\n    &.agreed {\\n      color: $success;\\n      + .d-icon {\\n        color: $success;\\n      }\\n    }\\n    &.disagreed {\\n      color: $danger;\\n      + .d-icon {\\n        color: $danger;\\n      }\\n    }\\n    &.ignored {\\n      color: $primary-medium;\\n    }\\n  }\\n  .d-icon {\\n    font-size: 0.9em;\\n  }\\n}\\n\\n.reviewable-item {\\n  padding-top: 2em;\\n  border-top: 1px solid dark-light-choose($primary-low, $secondary-low);\\n\\n  .topic-statuses {\\n    font-size: $font-up-2;\\n  }\\n\\n  .reviewable-meta-data {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    display: flex;\\n    width: 100%;\\n    margin-bottom: 0.5em;\\n    font-size: $font-down-1;\\n    align-items: baseline;\\n    .reviewable-type {\\n      margin-right: 0.25em;\\n    }\\n    .reply-count {\\n      margin-left: 1em;\\n    }\\n    .created-at {\\n      margin-left: 1em;\\n      margin-right: auto;\\n      a {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n    }\\n    .score {\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  .reviewable-contents {\\n    display: flex;\\n    flex-wrap: wrap;\\n    margin-bottom: 2em;\\n  }\\n\\n  .reviewable-actions {\\n    display: flex;\\n    flex-wrap: wrap;\\n\\n    button {\\n      white-space: nowrap;\\n    }\\n\\n    .reviewable-action,\\n    .reviewable-action-dropdown {\\n      margin-right: 0.5em;\\n    }\\n  }\\n  padding-bottom: 1em;\\n}\\n\\n.reviewable-histories {\\n  margin-top: 1em;\\n}\\n\\n.reviewable-scores {\\n  min-width: 50%;\\n  color: $primary-high;\\n\\n  .reviewed-by {\\n    .date {\\n      margin-left: 0.5em;\\n    }\\n  }\\n  .user,\\n  .reviewed-by {\\n    display: flex;\\n    align-items: center;\\n  }\\n\\n  .user-flag-percentage {\\n    margin-left: 0.5em;\\n  }\\n\\n  .d-icon {\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n  }\\n\\n  .badge-notification {\\n    line-height: $line-height-medium;\\n    vertical-align: text-top;\\n  }\\n\\n  tbody {\\n    border-width: 1px;\\n    td {\\n      white-space: nowrap;\\n      vertical-align: baseline;\\n      &.user a,\\n      &.reviewed-by a {\\n        max-width: 150px;\\n        @include ellipsis;\\n      }\\n    }\\n\\n    td:last-of-type {\\n      width: 100%;\\n      white-space: normal;\\n    }\\n    > tr > th {\\n      text-align: left;\\n    }\\n    > tr > th,\\n    > tr > td {\\n      &:not(:empty) {\\n        padding: 0.5em 1em 0.5em 0;\\n      }\\n      @include breakpoint(\\"mobile-large\\") {\\n        @include ellipsis;\\n        padding-right: 0.5em;\\n      }\\n    }\\n    .reviewable-score-spacer {\\n      padding-right: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-score-reason {\\n  margin: 0.5em 0;\\n  max-width: $topic-body-width;\\n  margin-bottom: 0.5em;\\n}\\n\\n.reviewable-conversation {\\n  margin: 0.5em 0;\\n\\n  .reviewable-conversation-post {\\n    max-width: $topic-body-width;\\n    margin-bottom: 0.5em;\\n\\n    .username {\\n      font-weight: bold;\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .controls {\\n    margin-top: 0.25em;\\n  }\\n}\\n\\n.reviewable-item {\\n  .show-raw-email {\\n    color: $primary-medium;\\n    font-size: $font-down-2;\\n  }\\n  .post-title {\\n    background-color: yellow;\\n  }\\n  .created-by {\\n    margin-right: 1em;\\n    padding-top: 0.35em;\\n    @include breakpoint(\\"mobile-large\\") {\\n      float: left;\\n      margin-bottom: 1em;\\n    }\\n  }\\n\\n  .names {\\n    font-weight: bold;\\n  }\\n\\n  .post-contents-wrapper {\\n    width: 100%;\\n    margin-top: 1em;\\n    min-width: 275px;\\n    word-break: break-word;\\n    @include breakpoint(\\"mobile-large\\", min-width) {\\n      display: flex;\\n    }\\n  }\\n  .reviewable-post-header {\\n    display: flex;\\n    justify-content: space-between;\\n    max-width: $topic-body-width;\\n    width: $topic-body-width;\\n    align-items: center;\\n\\n    .reviewable-reply-to {\\n      display: flex;\\n      align-items: center;\\n      color: $primary-medium;\\n      font-size: 0.9em;\\n      .d-icon {\\n        margin-right: 0.5em;\\n      }\\n    }\\n  }\\n\\n  .post-contents {\\n    width: 100%;\\n    min-width: 0; // Flexbox fix\\n  }\\n\\n  .post-body {\\n    max-width: $topic-body-width;\\n    max-height: 300px;\\n    margin-top: 0.5em;\\n    overflow-y: auto;\\n\\n    p,\\n    aside {\\n      margin: 0 0 1em 0;\\n    }\\n\\n    pre,\\n    code {\\n      word-break: break-all;\\n    }\\n  }\\n\\n  .post-topic {\\n    width: 100%;\\n    color: $primary-medium;\\n    margin-bottom: 0.75em;\\n    .title-text {\\n      font-weight: bold;\\n      color: $primary;\\n      display: block;\\n      font-size: $font-up-2;\\n      margin-right: 0.75em;\\n    }\\n    .topic-statuses {\\n      &:empty {\\n        display: none;\\n      }\\n    }\\n  }\\n}\\n\\n.editable-fields {\\n  .editable-created-by {\\n    display: flex;\\n    .avatar {\\n      margin-right: 0.25em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n\\n  width: 100%;\\n  .editable-field {\\n    .mini-tag-chooser {\\n      margin: 0;\\n    }\\n\\n    .reviewable-input-text {\\n      width: 100%;\\n      margin-bottom: 0;\\n    }\\n\\n    .reviewable-input-textarea {\\n      width: 100%;\\n      height: 10em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n@media screen and (max-width: 1000px) {\\n  table.reviewable-scores {\\n    width: 100%;\\n    display: block;\\n    tbody {\\n      width: calc(100% - 5px);\\n      display: block;\\n      clear: both;\\n    }\\n  }\\n  tr.reviewable-score {\\n    display: grid;\\n    grid-template-columns: auto auto 1fr;\\n  }\\n  td.reviewable-score-spacer {\\n    display: none;\\n  }\\n}\\n\\n@include breakpoint(\\"mobile-large\\") {\\n  tr.reviewable-score {\\n    grid-template-columns: auto auto auto;\\n  }\\n}\\n",\n\t\t".shared-draft-controls {\\n  background-color: $tertiary-low;\\n  padding: 1em;\\n\\n  .publish-field {\\n    margin-top: 1em;\\n  }\\n\\n  clear: both;\\n}\\n",\n\t\t".explain-reviewable {\\n  min-width: 500px;\\n\\n  .thresholds {\\n    margin-top: 1em;\\n  }\\n  table {\\n    width: 100%;\\n  }\\n  table td {\\n    padding: 0.5em;\\n  }\\n  td.sum {\\n    text-align: right;\\n  }\\n  td.sum.total {\\n    font-weight: bold;\\n  }\\n  tr.total {\\n    td {\\n      background-color: $primary-low;\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .op {\\n    font-weight: bold;\\n  }\\n\\n  .score-value-type {\\n    color: $primary-medium;\\n  }\\n\\n  .op:last-of-type {\\n    display: none;\\n  }\\n}\\n",\n\t\t"// styles for the category badge color picker\\n\\n.category-color-editor {\\n  input {\\n    width: 5.5em;\\n    margin-right: 1em;\\n  }\\n\\n  .color-title {\\n    display: block;\\n    margin: 1em 0 0.25em;\\n  }\\n\\n  .colorpicker-wrapper {\\n    display: flex;\\n    align-items: center;\\n    input,\\n    .add-on {\\n      align-self: flex-start;\\n      margin-bottom: 0.125em;\\n    }\\n  }\\n\\n  .colors-container {\\n    display: inline-flex;\\n    flex-wrap: wrap;\\n\\n    .colorpicker {\\n      position: relative;\\n      margin: 0 0.125em 0.25em;\\n      border: 1px solid $primary-medium;\\n      width: 1.25em;\\n      height: 1.2em;\\n      padding: 0;\\n      flex: 0 0 auto;\\n      color: white;\\n      svg {\\n        display: none;\\n      }\\n      &.used-color svg {\\n        display: inline-flex;\\n        opacity: 0.8;\\n        max-width: 70%;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// styles that apply to the popup that appears when you show the edit history of a post\\n\\n.modal.history-modal {\\n  #revision-numbers {\\n    display: inline-block;\\n    min-width: 96px;\\n    text-align: center;\\n  }\\n\\n  #revision {\\n    overflow: auto;\\n    border-bottom: 3px solid $primary-low;\\n  }\\n\\n  table.markdown > tbody > tr > td,\\n  .revision-content {\\n    width: 47.5%;\\n    float: left;\\n\\n    &:nth-of-type(2) {\\n      margin-left: 5%;\\n    }\\n  }\\n\\n  #revision-details {\\n    padding: 5px;\\n  }\\n\\n  #revisions .row:first-of-type {\\n    margin-top: 10px;\\n  }\\n  ins,\\n  .diff-ins {\\n    code,\\n    img {\\n      border: 2px solid $success;\\n    }\\n    img {\\n      opacity: 0.75;\\n      filter: alpha(opacity=75);\\n    }\\n    a {\\n      color: $success;\\n      text-decoration: none;\\n    }\\n  }\\n  img.diff-ins,\\n  code.diff-ins {\\n    border: 2px solid $success;\\n  }\\n  img.diff-ins {\\n    opacity: 0.75;\\n    filter: alpha(opacity=75);\\n  }\\n  .diff-ins {\\n    color: $primary;\\n    background: $success-low;\\n  }\\n  ins {\\n    color: $primary;\\n    background: $success-low;\\n    text-decoration: none;\\n  }\\n  del,\\n  .diff-del {\\n    code,\\n    img {\\n      border: 2px solid $danger;\\n    }\\n    img {\\n      opacity: 0.5;\\n      filter: alpha(opacity=50);\\n    }\\n    a {\\n      color: $danger;\\n      text-decoration: none;\\n    }\\n  }\\n  img.diff-del,\\n  code.diff-del {\\n    border: 2px solid $danger;\\n  }\\n  img.diff-del {\\n    opacity: 0.5;\\n    filter: alpha(opacity=50);\\n  }\\n  .diff-del {\\n    color: $primary;\\n    background: $danger-low;\\n    text-decoration: none;\\n  }\\n  del {\\n    color: $primary;\\n    background: $danger-low;\\n    text-decoration: none;\\n  }\\n  span.date {\\n    font-weight: bold;\\n  }\\n  span.edit-reason {\\n    background-color: $highlight-medium;\\n    padding: 3px 5px 5px 5px;\\n  }\\n  .d-icon-ban {\\n    color: #f00;\\n  }\\n  .hidden-revision-either {\\n    opacity: 0.5;\\n  }\\n  .hidden-revision-previous .row {\\n    div:nth-of-type(1),\\n    td:nth-of-type(1) {\\n      opacity: 0.5;\\n    }\\n  }\\n  .hidden-revision-current .row {\\n    div:nth-of-type(2),\\n    td:nth-of-type(2) {\\n      opacity: 0.5;\\n    }\\n  }\\n}\\n",\n\t\t"$d-popover-background: $secondary;\\n$d-popover-border: $primary-medium;\\n\\n@-webkit-keyframes popoverFadeIn {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n@keyframes popoverFadeIn {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n#d-popover {\\n  background-color: $d-popover-background;\\n  position: absolute;\\n  z-index: z(\\"modal\\", \\"tooltip\\");\\n  border-color: $d-popover-border;\\n  border-style: solid;\\n  border-width: 1px;\\n  max-width: 300px;\\n  -webkit-animation: popoverFadeIn 0.5s;\\n  animation: popoverFadeIn 0.5s;\\n  background-clip: padding-box;\\n  display: block;\\n  box-shadow: shadow(\\"dropdown\\");\\n  border-radius: 2px;\\n\\n  &.is-under {\\n    margin-top: 0px;\\n\\n    .d-popover-top-arrow {\\n      display: block;\\n    }\\n\\n    .d-popover-bottom-arrow {\\n      display: none;\\n    }\\n  }\\n\\n  &.is-above {\\n    margin-top: 0px;\\n\\n    .d-popover-bottom-arrow {\\n      display: block;\\n    }\\n\\n    .d-popover-top-arrow {\\n      display: none;\\n    }\\n  }\\n\\n  &.retina {\\n    border-width: 0.5px;\\n  }\\n\\n  .d-popover-content {\\n    padding: 0.5em;\\n    font-size: $font-down-1;\\n    overflow-wrap: break-word;\\n    -webkit-animation: popoverFadeIn 0.5s;\\n    animation: popoverFadeIn 0.5s;\\n  }\\n\\n  .d-popover-arrow {\\n    border-style: solid;\\n    color: transparent;\\n    content: \\"\\";\\n    position: absolute;\\n    z-index: calc(z(\\"tooltip\\") - 100);\\n  }\\n\\n  .d-popover-top-arrow {\\n    border-color: transparent transparent $d-popover-border;\\n    top: 8px;\\n    transform: translate(0, -15px);\\n    border-width: 0 8px 8px;\\n\\n    &:after {\\n      border-color: transparent transparent $d-popover-background;\\n      border-style: solid;\\n      border-width: 0 7px 7px;\\n      bottom: -8px;\\n      margin-left: -7px;\\n      position: absolute;\\n      content: \\"\\";\\n    }\\n  }\\n\\n  .d-popover-bottom-arrow {\\n    border-color: $d-popover-border transparent transparent;\\n    top: calc(100% + 16px);\\n    transform: translate(0, -16px);\\n    border-width: 8px 8px 0;\\n\\n    &:after {\\n      position: absolute;\\n      content: \\"\\";\\n      border-color: $d-popover-background transparent transparent;\\n      border-style: solid;\\n      border-width: 7px 7px 0;\\n      bottom: 2px;\\n      transform: translate(-7px, 0);\\n    }\\n  }\\n}\\n",\n\t\t"div.tagsinput {\\n  border: 1px solid #ccc;\\n  background: #fff;\\n  padding: 5px 5px 0;\\n  width: 584px;\\n  height: 100px;\\n  overflow-y: auto;\\n  border-radius: 4px;\\n}\\n\\ndiv.tagsinput span.tag {\\n  border: 1px solid #a5d24a;\\n  border-radius: 2px;\\n  display: block;\\n  float: left;\\n  padding: 1px 5px;\\n  text-decoration: none;\\n  background: #cde69c;\\n  color: #638421;\\n  margin-right: 5px;\\n  margin-bottom: 5px;\\n  font-family: helvetica;\\n  font-size: $font-down-1;\\n}\\n\\ndiv.tagsinput span.tag a {\\n  font-weight: bold;\\n  color: #82ad2b;\\n  text-decoration: none;\\n  font-size: $font-down-2;\\n}\\ndiv.tagsinput input {\\n  width: 80px;\\n  font-family: helvetica;\\n  font-size: $font-down-1;\\n  border: 1px solid transparent;\\n  padding: 2px 5px;\\n  background: transparent;\\n  color: #000;\\n  outline: 0;\\n  margin: 0 5px 5px 0;\\n}\\ndiv.tagsinput div {\\n  display: block;\\n  float: left;\\n}\\n.tags_clear {\\n  clear: both;\\n  width: 100%;\\n  height: 0;\\n}\\n.not_valid {\\n  background: #fbd8db !important;\\n  color: #90111a !important;\\n}\\n",\n\t\t".d-icon.d-icon-d-regular,\\n.d-icon.d-icon-d-muted,\\n.d-icon.d-icon-d-watching-first,\\n.d-icon.d-icon-d-watching-first-post {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n}\\n\\n.d-icon.d-icon-d-tracking,\\n.d-icon.d-icon-d-watching {\\n  color: $tertiary;\\n}\\n",\n\t\t".directory {\\n  margin-bottom: 100px;\\n\\n  .user-info {\\n    margin-bottom: 0;\\n  }\\n\\n  .period-chooser {\\n    float: left;\\n  }\\n  .filter-name {\\n    float: right;\\n  }\\n  .spinner {\\n    clear: both;\\n  }\\n\\n  table {\\n    width: 100%;\\n    margin-bottom: 1em;\\n\\n    td,\\n    th {\\n      padding: 0.5em;\\n      text-align: left;\\n      border-bottom: 1px solid $primary-low;\\n      @media screen and (max-width: $small-width) {\\n        padding: 0.5em 0.25em;\\n      }\\n\\n      .number,\\n      .time-read {\\n        font-size: $font-up-3;\\n        color: $primary-medium;\\n        @media screen and (max-width: $small-width) {\\n          font-size: $font-up-1;\\n        }\\n      }\\n      .time-read {\\n        white-space: nowrap;\\n      }\\n    }\\n\\n    th.sortable {\\n      width: 13%;\\n      .d-icon-heart {\\n        color: $love;\\n        margin: 0 0.25em 0 0;\\n      }\\n    }\\n  }\\n  .me {\\n    background-color: dark-light-choose($highlight-low, $highlight-medium);\\n    .username a,\\n    .name,\\n    .title,\\n    .number,\\n    .time-read {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n",\n\t\t".alert {\\n  padding: 8px 32px 8px 16px;\\n  background-color: $danger-low;\\n  color: $primary;\\n  position: relative;\\n\\n  .close {\\n    position: absolute;\\n    top: 8px;\\n    right: 8px;\\n    font-size: $font-up-3;\\n    .d-icon {\\n      color: $primary-low-mid;\\n    }\\n  }\\n\\n  &.alert-success {\\n    background-color: $success-low;\\n    color: $primary;\\n  }\\n  &.alert-error {\\n    background-color: $danger-low;\\n    color: $primary;\\n  }\\n  &.alert-info {\\n    background-color: $tertiary-low;\\n    color: $primary;\\n    &.clickable {\\n      color: $tertiary;\\n    }\\n  }\\n}\\n",\n\t\t"// We should try to reuse the user page HTML for groups when possible\\n// To style group content differently, use the existing classes with a .group parent class.\\n// For example: .group .user-secondary-navigation\\n\\n.group-details-container {\\n  background: $primary-very-low;\\n  padding: 20px;\\n  margin-bottom: 15px;\\n  position: relative;\\n}\\n\\n.group-outlet {\\n  position: relative;\\n}\\n\\n.group-members-actions {\\n  display: flex;\\n  flex-wrap: wrap;\\n  width: 100%;\\n\\n  input + .group-members-manage {\\n    margin-left: auto;\\n  }\\n\\n  .group-username-filter {\\n    margin: 0 0 5px 0;\\n    vertical-align: middle;\\n  }\\n}\\n\\n.group-info {\\n  width: 100%;\\n\\n  .group-info-name {\\n    font-size: $font-up-3;\\n    font-weight: bold;\\n    color: $primary;\\n  }\\n\\n  .group-info-full-name {\\n    font-size: $font-up-2;\\n    color: dark-light-choose($primary-high, $secondary-low);\\n  }\\n\\n  span {\\n    display: inline-block;\\n    vertical-align: middle;\\n  }\\n\\n  $size: 50px;\\n  $icon-size: $size / 1.8;\\n\\n  .avatar-flair-image {\\n    width: $size;\\n  }\\n\\n  .avatar-flair {\\n    background-size: $size;\\n    height: $size;\\n    width: $size;\\n    border-radius: 50%;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background-repeat: no-repeat;\\n\\n    .d-icon {\\n      height: $icon-size;\\n      width: $icon-size;\\n    }\\n  }\\n}\\n\\n.group-manage-logs-filter {\\n  margin-right: 10px;\\n\\n  &:hover {\\n    background-color: $danger;\\n  }\\n}\\n\\ntable.group-manage-logs {\\n  width: 100%;\\n\\n  td {\\n    padding: 0.5em;\\n  }\\n\\n  .group-manage-logs-expand-details {\\n    cursor: pointer;\\n\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\ntable.group-members {\\n  width: 100%;\\n  table-layout: fixed;\\n\\n  th:first-child {\\n    width: 30%;\\n    text-align: left;\\n  }\\n\\n  th:last-child {\\n    width: 5%;\\n  }\\n\\n  th.group-members-actions {\\n    width: 5%;\\n  }\\n\\n  th {\\n    text-align: center;\\n  }\\n\\n  tr {\\n    .user-info {\\n      display: block;\\n      .avatar-flair {\\n        color: $primary;\\n      }\\n    }\\n\\n    td:first-child {\\n      text-align: left;\\n    }\\n\\n    td {\\n      text-align: center;\\n      color: $primary-medium;\\n      padding: 0.8em 0;\\n    }\\n  }\\n}\\n\\n.group-owner-label {\\n  color: $primary;\\n}\\n\\n.form-vertical {\\n  .group-flair-inputs {\\n    display: inline-block;\\n  }\\n\\n  .avatar-flair-preview {\\n    position: relative;\\n    width: 45px;\\n\\n    .avatar-wrapper {\\n      background-color: #f4f4f4;\\n    }\\n  }\\n}\\n\\n.group-form-save {\\n  margin-right: 20px;\\n}\\n\\n.group-add-members {\\n  .group-add-members-make-owner {\\n    label {\\n      display: inline;\\n      vertical-align: middle;\\n    }\\n\\n    input[type=\\"checkbox\\"] {\\n      vertical-align: middle;\\n    }\\n  }\\n}\\n",\n\t\t"img.emoji {\\n  width: 20px;\\n  height: 20px;\\n  vertical-align: middle;\\n}\\n\\nsmall img.emoji,\\nsub img.emoji,\\nsup img.emoji {\\n  height: 1.1em;\\n  width: 1.1em;\\n}\\n\\n.emoji-picker {\\n  background-clip: padding-box;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  position: fixed;\\n  display: none;\\n  flex-direction: row;\\n  height: 320px;\\n  color: $primary;\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n}\\n\\n.emoji-picker .categories-column {\\n  display: flex;\\n  flex-direction: column;\\n  flex: 1 0 0px;\\n  align-items: center;\\n  justify-content: space-between;\\n  border-right: 1px solid $primary-low;\\n  min-width: 36px;\\n}\\n\\n.emoji-picker .category-icon {\\n  display: block;\\n  margin: 4px auto;\\n  -webkit-filter: grayscale(100%);\\n  filter: grayscale(100%);\\n\\n  button.emoji {\\n    margin: 0;\\n    padding: 0;\\n  }\\n}\\n\\n.emoji-picker .category-icon.current,\\n.emoji-picker .category-icon:hover {\\n  -webkit-filter: grayscale(0%);\\n  filter: grayscale(0%);\\n}\\n\\n.emoji-picker .main-column {\\n  display: flex;\\n  flex-direction: column;\\n  flex: 20;\\n}\\n\\n.emoji-picker .list {\\n  overflow-y: scroll;\\n  -webkit-overflow-scrolling: touch;\\n  padding: 0;\\n  flex: 1 0 0px;\\n  flex-direction: column;\\n}\\n\\n.emoji-picker .section-header {\\n  padding: 8px;\\n  margin-top: 2px;\\n  margin-bottom: 0px;\\n  padding-bottom: 0px;\\n  justify-content: space-between;\\n  display: flex;\\n  align-items: center;\\n  font-weight: bold;\\n}\\n\\n.emoji-picker .section-header .title {\\n  color: $primary;\\n}\\n\\n.emoji-picker .section-header .clear-recent .fa {\\n  margin: 0;\\n  padding: 0;\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n\\n  &:hover {\\n    color: $primary;\\n  }\\n}\\n\\n.emoji-picker .section-group {\\n  flex-wrap: wrap;\\n  display: flex;\\n  align-items: center;\\n  justify-content: flex-start;\\n  padding: 4px;\\n}\\n\\n.emoji-picker .footer {\\n  align-items: center;\\n  display: flex;\\n  justify-content: space-between;\\n  border-top: 1px solid $primary-low;\\n}\\n\\n.emoji-picker .info {\\n  @include ellipsis;\\n  padding-left: 8px;\\n  font-weight: 700;\\n  max-width: 125px;\\n}\\n\\n.emoji-picker .diversity-picker {\\n  display: flex;\\n  justify-content: flex-end;\\n  padding: 8px;\\n}\\n\\n.emoji-picker .diversity-picker .diversity-scale {\\n  width: 20px;\\n  height: 20px;\\n  margin-left: 5px;\\n  border: 0;\\n  border-radius: 3px;\\n  display: flex;\\n  align-items: center;\\n  justify-content: center;\\n  cursor: pointer;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.default {\\n  background: #ffcc4d;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.light {\\n  background: #f7dece;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium-light {\\n  background: #f3d2a2;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium {\\n  background: #d5ab88;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium-dark {\\n  background: #af7e57;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.dark {\\n  background: #7c533e;\\n}\\n\\n.emoji-picker .diversity-picker .diversity-scale.selected .d-icon {\\n  display: block;\\n}\\n\\n.emoji-picker .diversity-picker .d-icon {\\n  display: none;\\n}\\n\\n.emoji-picker .diversity-picker .d-icon {\\n  color: #fff;\\n  font-size: $font-0;\\n  filter: drop-shadow(0.5px 1.5px 0 rgba(0, 0, 0, 0.3));\\n}\\n\\n.emoji-picker button.emoji {\\n  background: transparent;\\n  background-position: center;\\n  background-repeat: no-repeat;\\n  border-radius: 0;\\n  background-size: 20px 20px;\\n  -moz-box-sizing: content-box;\\n  box-sizing: content-box;\\n  height: 20px;\\n  border: 0;\\n  vertical-align: top;\\n  width: 20px;\\n  outline: none;\\n  padding: 3px;\\n  margin: 2px;\\n}\\n\\n.emoji-picker .section-group button.emoji:hover,\\n.emoji-picker .results button.emoji:hover {\\n  display: inline-block;\\n  vertical-align: top;\\n  border-radius: 2px;\\n  background-color: lighten($tertiary, 40%);\\n}\\n\\n.emoji-picker-modal.fadeIn {\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n  position: fixed;\\n  left: 0;\\n  top: 0;\\n  width: 100%;\\n  height: 100%;\\n  opacity: 0.8;\\n  background-color: black;\\n}\\n\\n.emoji-picker .filter {\\n  background-color: none;\\n  border-bottom: 1px solid $primary-low;\\n  padding: 5px;\\n  display: flex;\\n  position: relative;\\n  align-items: center;\\n\\n  input[type=\\"text\\"] {\\n    width: auto !important;\\n  }\\n}\\n\\n.emoji-picker .filter .d-icon-search {\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n  font-size: $font-up-1;\\n  margin-left: 5px;\\n  margin-right: 5px;\\n}\\n\\n.emoji-picker .filter input {\\n  height: 24px;\\n  margin: 0;\\n  flex: 1 0 0px;\\n  border: none;\\n  box-shadow: none;\\n  padding-right: 24px;\\n  outline: none;\\n  color: $primary;\\n  background: $secondary;\\n\\n  &:focus {\\n    border: none;\\n    box-shadow: none;\\n  }\\n}\\n\\n.emoji-picker .filter input::-ms-clear {\\n  display: none;\\n}\\n\\n.emoji-picker .results {\\n  display: none;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  justify-content: flex-start;\\n  padding: 4px;\\n  flex: 1 0 0px;\\n}\\n\\n.emoji-picker .filter .clear-filter {\\n  position: absolute;\\n  right: 5px;\\n  top: 12px;\\n  border: 0;\\n  background: none;\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n  outline: none;\\n  display: none;\\n\\n  &:hover {\\n    color: $primary;\\n  }\\n}\\n",\n\t\t".topic-list.shared-drafts {\\n  margin-bottom: 1.5em;\\n}\\n\\n.show-more {\\n  width: 100%;\\n  z-index: z(\\"base\\");\\n  &.has-topics {\\n    position: absolute;\\n    top: 7px;\\n  }\\n}\\n\\n.list-controls {\\n  clear: both;\\n  margin-bottom: 5px;\\n  .combo-box .combo-box-header {\\n    background: $secondary;\\n    color: $primary;\\n    border: 1px solid $primary-medium;\\n    font-size: $font-0;\\n    transition: none;\\n    height: 10px; // IE11 needs any height here for vertical centering, overriden elsewhere by min-height\\n  }\\n  .select-kit {\\n    align-self: center;\\n    .select-kit-collection {\\n      font-size: $font-down-1;\\n      max-height: 40vh;\\n      .texts,\\n      .icons {\\n        font-size: $font-up-1;\\n      }\\n    }\\n    &.categories-admin-dropdown,\\n    &.tags-admin-dropdown,\\n    &.category-notifications-button,\\n    &.tag-notifications-button {\\n      float: right;\\n      button {\\n        display: inline-block;\\n      }\\n    }\\n  }\\n  .category-heading {\\n    max-width: 100%;\\n  }\\n}\\n\\n.topic-list-item.visited,\\n.latest-topic-list-item.visited,\\n.category-topic-link.visited {\\n  a.title:not(.badge-notification) {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.topic-list-main-link {\\n  font-size: $font-up-1;\\n  a.title {\\n    padding: 15px 0;\\n    word-break: break-word;\\n    color: $primary;\\n  }\\n\\n  .anon & {\\n    a.title:visited:not(.badge-notification) {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  a.title.visited:not(.badge-notification) {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.topic-list {\\n  width: 100%;\\n  border-collapse: collapse;\\n\\n  > tbody > tr {\\n    &.has-excerpt .star {\\n      vertical-align: top;\\n      margin-top: 2px;\\n    }\\n\\n    &.last-visit {\\n      border-bottom: none;\\n    }\\n\\n    .topic-list-separator {\\n      text-align: center;\\n    }\\n  }\\n\\n  .topic-list-item-separator {\\n    border: none;\\n\\n    td {\\n      border-bottom: 1px solid $danger-medium;\\n      line-height: 0.1em;\\n      padding: 0;\\n      text-align: center;\\n    }\\n\\n    td span {\\n      background-color: $secondary;\\n      color: $danger-medium;\\n      padding: 0 8px;\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  th,\\n  td {\\n    line-height: $line-height-large;\\n    text-align: left;\\n    vertical-align: middle;\\n  }\\n  th {\\n    button .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n  td {\\n    color: $primary-medium;\\n    font-size: $font-0;\\n  }\\n\\n  .main-link {\\n    @extend .topic-list-main-link;\\n\\n    .raw-topic-link > * {\\n      pointer-events: none;\\n    }\\n  }\\n\\n  .unread-indicator {\\n    &.read {\\n      display: none;\\n    }\\n    .d-icon {\\n      vertical-align: middle;\\n      font-size: $font-down-5;\\n    }\\n  }\\n\\n  .link-bottom-line {\\n    font-size: $font-down-1;\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n    .discourse-tags {\\n      flex-wrap: wrap;\\n      // IE11 is being very stubborn but this is only protection for topics with\\n      // a very excessive number of extra long tags - edge case.\\n      -ms-flex: 1 0 0px;\\n    }\\n    a.badge-wrapper.box,\\n    a.discourse-tag.box {\\n      padding-top: 0;\\n      padding-bottom: 0;\\n    }\\n    .discourse-tag.simple:after,\\n    .discourse-tag.box {\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .topic-featured-link {\\n    padding-left: 5px;\\n  }\\n\\n  .topic-excerpt {\\n    font-size: $font-down-1;\\n    margin-top: 5px;\\n    color: $primary-high;\\n    word-wrap: break-word;\\n    line-height: $line-height-large;\\n    padding-right: 20px;\\n  }\\n  .topic-statuses:empty {\\n    display: none;\\n  }\\n\\n  .num {\\n    text-align: center;\\n    a:not(.badge-posts) {\\n      color: inherit;\\n    }\\n    a.badge-posts {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .num.posts {\\n    a {\\n      padding: 15px 5px;\\n    }\\n  }\\n\\n  .num.activity {\\n    a {\\n      padding: 15px 5px;\\n    }\\n  }\\n}\\n\\n.heatmap-high,\\n.heatmap-high a {\\n  color: #fe7a15 !important;\\n}\\n.heatmap-med,\\n.heatmap-med a {\\n  color: #cf7721 !important;\\n}\\n.heatmap-low,\\n.heatmap-low a {\\n  color: #9b764f !important;\\n}\\n\\n.loading .topic-list {\\n  border: 0;\\n  box-shadow: none;\\n  tr {\\n    background-color: transparent;\\n  }\\n}\\n\\n#list-area {\\n  margin-bottom: 100px;\\n  .empty-topic-list {\\n    padding: 10px;\\n  }\\n  .unseen {\\n    background-color: transparent;\\n    padding: 0;\\n    border: 0;\\n    color: $danger-medium;\\n    font-size: $font-0;\\n    cursor: default;\\n  }\\n}\\n\\n.topic-list {\\n  .alert {\\n    margin-bottom: 0;\\n    font-size: $font-0;\\n  }\\n  .spinner {\\n    margin-top: 40px;\\n  }\\n}\\n\\nol.category-breadcrumb.hidden {\\n  display: none;\\n}\\n\\nol.category-breadcrumb {\\n  display: block;\\n  float: left;\\n  list-style: none;\\n  margin: 0 10px 10px 0;\\n  padding: 0;\\n\\n  li {\\n    float: left;\\n    margin-right: 5px;\\n  }\\n\\n  .bread-crumbs-right-outlet {\\n    float: left;\\n  }\\n}\\n\\n.d-icon-thumbtack.unpinned {\\n  @include fa-rotate(180deg, 1);\\n}\\n\\n.top-title-buttons {\\n  display: inline;\\n\\n  button {\\n    margin-right: 0.5em;\\n  }\\n}\\n\\ndiv.education {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  .badge-notification.new-posts {\\n    vertical-align: text-bottom;\\n  }\\n}\\n\\n.list-cell {\\n  padding: 12px 5px;\\n  color: dark-light-choose($primary-medium, $secondary-high);\\n}\\n\\n.table-heading {\\n  @extend .list-cell;\\n  border-bottom: 3px solid $primary-low;\\n}\\n\\n// This is not what we want:\\n//\\n//     This is an overly-long topic title that would break just right\\n//     *\\n//\\n// Instead, we want the line to break like this:\\n//\\n//     This is an overly-long topic title that would break just\\n//     right *\\n.topic-post-badges {\\n  white-space: nowrap;\\n  align-self: center;\\n  line-height: $line-height-medium;\\n}\\n",\n\t\t"// Common styles for \\"/user\\" section\\n// These styles are also used for \\"/groups\\" — test those pages if making significant changes\\n\\n.user-content-wrapper {\\n  // Grid layout\\n  width: 100%;\\n  display: grid;\\n  grid-template-columns: 1fr 5fr;\\n  grid-template-rows: auto auto 1fr auto;\\n  grid-row-gap: s(5);\\n  .user-primary-navigation {\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n    grid-row-start: 1;\\n    grid-row-end: 2;\\n  }\\n  .user-secondary-navigation {\\n    grid-column-start: 1;\\n    grid-column-end: 2;\\n    grid-row-start: 2;\\n    grid-row-end: 3;\\n  }\\n  .solo-preference,\\n  .user-content,\\n  .spinner {\\n    grid-row-start: 2;\\n    grid-row-end: 4;\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n  }\\n  .user-content {\\n    min-width: 100%;\\n  }\\n  .user-additional-controls + .user-content,\\n  .user-secondary-navigation + .user-content {\\n    grid-column-start: 2;\\n    grid-column-end: 3;\\n  }\\n  .user-additional-controls {\\n    grid-row-start: 3;\\n    align-self: start;\\n    justify-self: start;\\n  }\\n}\\n\\n.user-content-wrapper {\\n  // IE11 Support\\n  display: -ms-grid;\\n  -ms-grid-columns: 1fr 5fr;\\n  -ms-grid-rows: auto auto 1fr auto;\\n  .user-primary-navigation {\\n    -ms-grid-row: 1;\\n    -ms-grid-column: 1;\\n    -ms-grid-column-span: 2;\\n  }\\n  .user-secondary-navigation {\\n    -ms-grid-row: 2;\\n    -ms-grid-column: 1;\\n  }\\n  .solo-preference,\\n  .user-content,\\n  .spinner {\\n    -ms-grid-row: 2;\\n    -ms-grid-column: 2;\\n    -ms-grid-column-span: 2;\\n  }\\n  .user-secondary-navigation + .user-content {\\n    -ms-grid-column: 2;\\n    -ms-grid-column-span: 1;\\n  }\\n  .user-additional-controls {\\n    -ms-grid-row: 3;\\n    -ms-grid-column-align: start;\\n    -ms-grid-row-align: start;\\n  }\\n}\\n\\n.user-content {\\n  .list-actions {\\n    display: flex;\\n    margin-bottom: s(3);\\n\\n    .btn {\\n      margin-right: s(3);\\n    }\\n  }\\n\\n  .paginated-topics-list {\\n    position: relative;\\n  }\\n\\n  .show-mores {\\n    width: 100%;\\n  }\\n\\n  .d-icon-heart {\\n    color: $love;\\n  }\\n}\\n\\n.user-main {\\n  .about {\\n    width: 100%;\\n    margin-bottom: 15px;\\n\\n    &.has-background {\\n      .user-profile-image {\\n        background-size: cover;\\n        background-position: center center;\\n        background-repeat: no-repeat;\\n      }\\n      .staff-counters {\\n        margin-bottom: 0;\\n      }\\n    }\\n\\n    .secondary {\\n      display: inline-block;\\n      width: 100%;\\n      border-top: 1px solid $primary-low;\\n\\n      .btn {\\n        padding: 4px 12px;\\n      }\\n\\n      dl {\\n        margin: 0;\\n        padding: 5px 10px;\\n        div {\\n          display: inline-flex;\\n          align-items: baseline;\\n          margin-right: 15px;\\n          margin: 4px 0;\\n        }\\n      }\\n\\n      dt,\\n      dd {\\n        display: inline-flex;\\n        align-items: center;\\n      }\\n\\n      dd {\\n        padding: 0;\\n        margin: 0 15px 0 0;\\n        color: $primary;\\n\\n        &.groups {\\n          span:not(:last-of-type) {\\n            margin-right: 0.25em;\\n          }\\n          span:after {\\n            content: \\",\\";\\n          }\\n          span:last-of-type:after {\\n            content: \\"\\";\\n          }\\n        }\\n      }\\n\\n      dt {\\n        color: $secondary-medium;\\n        margin-right: 5px;\\n        display: inline-block;\\n      }\\n    }\\n\\n    .details {\\n      background: rgba($secondary, 0.8);\\n      border-bottom: 1px solid $primary-low;\\n\\n      h1 {\\n        font-size: $font-up-5;\\n        font-weight: normal;\\n        .d-icon {\\n          font-size: 0.8em;\\n        }\\n      }\\n\\n      h2 {\\n        font-weight: normal;\\n        max-width: 100%;\\n        @include ellipsis;\\n      }\\n\\n      h3 {\\n        font-weight: normal;\\n        margin-bottom: 0.5em;\\n        .d-icon:not(:first-of-type) {\\n          margin-left: 10px;\\n        }\\n      }\\n\\n      .groups {\\n        margin-left: 10px;\\n        display: inline;\\n      }\\n\\n      img.avatar {\\n        float: left;\\n      }\\n\\n      .suspended {\\n        color: $danger;\\n      }\\n\\n      .primary {\\n        width: 100%;\\n        position: relative;\\n\\n        h1 {\\n          font-weight: bold;\\n        }\\n\\n        .bio {\\n          max-height: 300px;\\n          overflow: auto;\\n\\n          a[href] {\\n            text-decoration: underline;\\n          }\\n\\n          img {\\n            max-width: 100%;\\n          }\\n        }\\n      }\\n\\n      .user-profile-avatar {\\n        position: relative;\\n        float: left;\\n        .avatar-flair {\\n          bottom: 8px;\\n          right: 16px;\\n        }\\n      }\\n    }\\n\\n    .controls {\\n      ul {\\n        list-style-type: none;\\n      }\\n\\n      .btn {\\n        margin-bottom: 10px;\\n        line-height: $line-height-medium;\\n      }\\n    }\\n\\n    &.collapsed-info {\\n      .details {\\n        margin-top: 0;\\n        background: rgba($secondary, 0.8);\\n\\n        .bio {\\n          display: none;\\n        }\\n\\n        .primary {\\n          width: 100%;\\n\\n          .avatar {\\n            margin-right: 10px;\\n            width: 45px;\\n            height: 45px;\\n          }\\n\\n          h1 {\\n            font-size: $font-up-3;\\n          }\\n\\n          h2 {\\n            font-size: $font-up-1;\\n          }\\n          h3,\\n          h3.location-and-website {\\n            display: none;\\n          }\\n        }\\n      }\\n\\n      .user-profile-avatar {\\n        .avatar-flair {\\n          bottom: 8px;\\n          right: 2px;\\n          .d-icon {\\n            font-size: $font-0;\\n          }\\n        }\\n      }\\n    }\\n  }\\n\\n  .staff-counters {\\n    background: $primary;\\n    color: $secondary;\\n    display: flex;\\n    padding: 10px;\\n    margin-bottom: s(4);\\n    > div,\\n    > div a {\\n      display: flex;\\n      align-items: baseline;\\n      flex: 0 1 auto;\\n      margin: 0 10px 0 0;\\n      color: $secondary;\\n\\n      span {\\n        padding: 0 7px 1px;\\n        border-radius: 10px;\\n        margin-right: 5px;\\n      }\\n    }\\n\\n    .active {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .helpful-flags {\\n    background-color: $success;\\n  }\\n\\n  .flagged-posts {\\n    background-color: #e49735;\\n  }\\n\\n  .warnings-received {\\n    background-color: $danger-medium;\\n  }\\n\\n  .deleted-posts {\\n    background-color: $danger-medium;\\n  }\\n\\n  .suspensions {\\n    background-color: $danger;\\n  }\\n\\n  .user-field {\\n    margin-bottom: 10px;\\n\\n    .controls {\\n      label {\\n        width: auto;\\n        text-align: left;\\n        font-weight: normal;\\n      }\\n\\n      .instructions {\\n        color: $primary-medium;\\n        margin-top: 5px;\\n        margin-bottom: 10px;\\n        font-size: $font-down-1;\\n      }\\n    }\\n  }\\n  .user-content {\\n    .admin-controls nav {\\n      margin: 0;\\n      .nav-pills {\\n        overflow-x: auto;\\n      }\\n    }\\n  }\\n}\\n\\n.user-field {\\n  .required {\\n    vertical-align: top;\\n    color: $danger;\\n    font-weight: bold;\\n    margin-left: 0.25em;\\n  }\\n}\\n\\n.public-user-fields {\\n  margin-top: 8px;\\n  margin-bottom: 8px;\\n\\n  .user-field-name {\\n    font-weight: bold;\\n  }\\n\\n  .collapsed-info & {\\n    display: none;\\n  }\\n}\\n\\n.avatar-selector {\\n  .avatar-choice {\\n    display: grid;\\n    grid-template-columns: 2em 1fr auto;\\n    grid-template-rows: auto auto;\\n    align-items: center;\\n    &:not(:last-of-type) {\\n      margin-bottom: 0.75em;\\n    }\\n    span {\\n      word-break: break-word; // Prevents long emails from breaking the modal width\\n    }\\n    input[type=\\"radio\\"] {\\n      margin-top: 0;\\n    }\\n    button {\\n      margin-left: auto;\\n    }\\n  }\\n  $label-max-width: 300px;\\n  label.radio {\\n    display: flex;\\n    align-items: center;\\n    max-width: $label-max-width;\\n    margin: 0 0.5em 0 0;\\n    padding: 0;\\n    .avatar {\\n      flex: 0 0 auto;\\n      margin: 0 0.75em 0 0;\\n    }\\n  }\\n  .error {\\n    color: $danger;\\n    margin: 0;\\n    max-width: calc(#{$label-max-width} - 20px);\\n    grid-column-start: 2;\\n    grid-column-end: 3;\\n  }\\n\\n  // IE11 Support\\n  .avatar-choice {\\n    display: -ms-grid;\\n    -ms-grid-columns: 2em 1fr auto;\\n    -ms-grid-rows: auto auto;\\n    input[type=\\"radio\\"] {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 1;\\n    }\\n    label.radio {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 2;\\n    }\\n    span.avatar-uploader {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 3;\\n    }\\n    .error {\\n      -ms-grid-row: 2;\\n      -ms-grid-column-span: 3;\\n    }\\n  }\\n}\\n\\n.top-section {\\n  @include clearfix();\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n  }\\n}\\n\\n.top-section,\\n.top-sub-section {\\n  margin-bottom: 20px;\\n  &.badges-section {\\n    display: flex;\\n    flex-wrap: wrap;\\n  }\\n}\\n\\n.stats-title {\\n  text-transform: uppercase;\\n  margin-bottom: 10px;\\n  width: 100%;\\n}\\n\\n.stats-section {\\n  ul {\\n    margin: 10px 0;\\n  }\\n\\n  li {\\n    display: inline-block;\\n    padding: 10px 14px 10px 0;\\n    margin: 0 10px 10px 0;\\n\\n    &.linked-stat {\\n      // This makes the entire \\"box\\" (the li) clickable instead of a narrow area.\\n      padding: 0;\\n      a {\\n        padding: 10px 14px 10px 0;\\n        width: 100%;\\n        height: 100%;\\n        display: block;\\n        color: $primary;\\n      }\\n    }\\n  }\\n\\n  .value {\\n    font-weight: bold;\\n    font-size: $font-up-2;\\n  }\\n\\n  .label {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.top-sub-section {\\n  width: 50%;\\n\\n  ul {\\n    max-width: 95%;\\n  }\\n\\n  li {\\n    border-left: $primary-low solid 2px;\\n    padding: 5px 8px;\\n    margin: 10px 0;\\n  }\\n\\n  .topic-info {\\n    color: $primary-medium;\\n  }\\n\\n  @media all and (max-width: 600px) {\\n    float: none;\\n    width: 100%;\\n  }\\n}\\n\\n.replies-section,\\n.topics-section,\\n.links-section {\\n  li {\\n    word-wrap: break-word;\\n  }\\n}\\n\\n.links-section {\\n  .domain {\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n  }\\n}\\n\\n.top-categories-section {\\n  table {\\n    max-width: 95%;\\n    tr {\\n      border: none;\\n    }\\n    td,\\n    th {\\n      padding: 0.5em;\\n      &.topic-count,\\n      &.reply-count {\\n        text-align: center;\\n      }\\n    }\\n  }\\n}\\n\\n.summary-user-list {\\n  li {\\n    height: 45px;\\n  }\\n}\\n\\n.groups {\\n  .group-link {\\n    color: $tertiary;\\n  }\\n}\\n\\n.user-preferences {\\n  textarea {\\n    height: 100px;\\n  }\\n\\n  .tracking-controls {\\n    label {\\n      align-items: center;\\n      display: inline-block;\\n      .d-icon {\\n        margin-right: 3px;\\n      }\\n    }\\n    .select-kit.multi-select {\\n      @include breakpoint(mobile-extra-large) {\\n        width: 100%;\\n      }\\n    }\\n    .show-tracking {\\n      float: right;\\n    }\\n  }\\n\\n  .static {\\n    color: $primary;\\n    display: inline-block;\\n  }\\n\\n  .instructions {\\n    color: $primary-medium;\\n    margin-bottom: 10px;\\n    font-size: $font-down-1;\\n    line-height: $line-height-large;\\n\\n    a[href] {\\n      color: $tertiary;\\n    }\\n  }\\n\\n  .avatar {\\n    margin-left: 3px;\\n  }\\n\\n  .warning {\\n    background-color: $danger-medium;\\n    padding: 5px 8px;\\n    color: $secondary;\\n    width: 520px;\\n  }\\n\\n  .warning-wrap {\\n    height: 30px;\\n    margin-bottom: 10px;\\n  }\\n\\n  .tracking-controls {\\n    margin-top: 24px;\\n  }\\n\\n  &.second-factor-backup-preferences {\\n    padding-left: 0;\\n\\n    .second-factor-token-input {\\n      margin-right: 10px;\\n    }\\n\\n    .form-horizontal .instructions {\\n      margin-left: 0;\\n    }\\n\\n    .backup-codes {\\n      margin: 2em 0;\\n\\n      .wrapper {\\n        display: inline-block;\\n        position: relative;\\n        padding: 10px;\\n        border-radius: 3px;\\n        border: 1px solid $primary-low;\\n      }\\n\\n      .backup-codes-area {\\n        resize: none;\\n        padding: 0;\\n        height: auto;\\n        text-align: center;\\n        width: 250px;\\n        background: white;\\n        border: 0;\\n        cursor: auto;\\n        overflow: hidden;\\n        outline: none;\\n        font-family: monospace;\\n\\n        &:focus {\\n          box-shadow: none;\\n          border-color: $primary-low;\\n        }\\n      }\\n\\n      .backup-codes-copy-btn,\\n      .backup-codes-download-btn {\\n        right: 5px;\\n        position: absolute;\\n      }\\n\\n      .backup-codes-copy-btn {\\n        top: 5px;\\n      }\\n\\n      .backup-codes-download-btn {\\n        top: 40px;\\n      }\\n    }\\n  }\\n\\n  .pref-associated-accounts table {\\n    td {\\n      padding: 8px;\\n    }\\n  }\\n}\\n\\n.paginated-topics-list {\\n  .user-content {\\n    width: 100%;\\n    margin-top: 0;\\n  }\\n}\\n\\n.large-notification {\\n  display: flex;\\n  align-items: center;\\n\\n  a {\\n    display: flex;\\n    align-items: center;\\n\\n    .d-icon {\\n      margin-right: 0.5em;\\n    }\\n\\n    span:first-child {\\n      color: $primary;\\n    }\\n\\n    // Can remove this once other languages have removed html from i18n values\\n    div {\\n      .fa {\\n        display: none;\\n      }\\n      p {\\n        margin: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.qr-code-container {\\n  display: flex;\\n  .qr-code {\\n    padding: 5px 5px 0 5px;\\n    background-color: white;\\n  }\\n}\\n\\n.second-factor {\\n  &.instructions {\\n    color: $primary-medium;\\n    margin-top: 5px;\\n    margin-bottom: 10px;\\n    font-size: $font-down-1;\\n  }\\n  .second-factor-item {\\n    margin-top: 0.75em;\\n  }\\n  .btn.edit {\\n    min-height: auto;\\n  }\\n}\\n\\n.primary-textual .staged,\\n#user-card .staged {\\n  font-style: italic;\\n}\\n\\n.selectable-avatars {\\n  max-height: 350px;\\n  margin-bottom: 1em;\\n  text-align: justify;\\n  .selectable-avatar {\\n    margin: 5px;\\n    display: inline-block;\\n    .avatar {\\n      cursor: pointer;\\n      width: 60px;\\n      height: 60px;\\n      &:hover {\\n        box-shadow: 0 0 10px $primary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".topic-title-outlet.choose-tags {\\n  margin-left: 25px;\\n  margin-top: 3px;\\n}\\n\\n.tag-list {\\n  margin-top: 2em;\\n  padding-bottom: 1em;\\n  border-bottom: 1px solid $primary-low;\\n}\\n\\n#list-area .tag-list h3 {\\n  margin-bottom: 20px;\\n}\\n\\n.tag-list .tag-box {\\n  display: inline-block;\\n  width: 300px;\\n  margin-bottom: 1em;\\n  float: left;\\n  vertical-align: middle;\\n\\n  .discourse-tag {\\n    font-size: $font-0;\\n  }\\n\\n  .tag-count {\\n    font-size: $font-down-1;\\n    vertical-align: middle;\\n    line-height: $line-height-small;\\n  }\\n}\\n\\n.tag-show-heading {\\n  display: inline-flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  white-space: nowrap;\\n  overflow: hidden;\\n  text-overflow: hidden;\\n  @include breakpoint(mobile-large) {\\n    width: 100%;\\n  }\\n  .d-icon {\\n    margin: 0 0.25em;\\n  }\\n}\\n\\n.topic-category {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n\\n  .topic-header-extra {\\n    display: inline-flex;\\n    align-items: center;\\n  }\\n\\n  .badge-wrapper {\\n    margin-top: 0;\\n  }\\n}\\n\\n$tag-color: $primary-medium;\\n\\n.discourse-tag-count {\\n  font-size: $font-down-1;\\n  color: $tag-color;\\n  line-height: $line-height-small;\\n  vertical-align: middle;\\n}\\n\\n.discourse-tag {\\n  max-width: 14em;\\n  display: inline-block;\\n  @include ellipsis;\\n  vertical-align: middle;\\n}\\n\\n.discourse-tag {\\n  margin: 0;\\n  color: $tag-color;\\n\\n  &:visited,\\n  &:hover {\\n    color: $tag-color;\\n  }\\n\\n  .extra-info-wrapper & {\\n    color: $header-primary_high !important;\\n  }\\n\\n  &.large {\\n    font-size: $font-up-2;\\n  }\\n\\n  &.box {\\n    background-color: $primary-low;\\n    color: $primary-high;\\n    padding: 2px 8px;\\n    .extra-info-wrapper & {\\n      background-color: $header_primary-low;\\n      color: $header_primary-medium;\\n    }\\n  }\\n\\n  &.simple,\\n  &.simple:visited,\\n  &.simple:hover {\\n    margin-right: 0;\\n    color: $primary-high;\\n  }\\n\\n  &.bullet {\\n    margin-right: 0.5em;\\n    display: inline-flex;\\n    align-items: center;\\n    &:before {\\n      background: $primary-low-mid;\\n      margin-right: 5px;\\n      position: relative;\\n      width: 9px;\\n      height: 9px;\\n      display: inline-block;\\n      content: \\"\\";\\n    }\\n    &.large:before {\\n      width: 13px;\\n      height: 13px;\\n    }\\n  }\\n}\\n\\n.discourse-tags,\\n.list-tags {\\n  .discourse-tag.simple:not(:last-child):after {\\n    content: \\", \\";\\n    margin-left: 1px;\\n  }\\n}\\n\\n.d-header .topic-header-extra {\\n  .discourse-tags {\\n    display: inline-block;\\n    font-size: $font-down-1;\\n  }\\n  .discourse-tags + .topic-featured-link {\\n    margin-left: 8px;\\n  }\\n}\\n\\n.fps-result .add-full-page-tags {\\n  display: inline-block;\\n}\\n\\n.topic-list-item .discourse-tags {\\n  display: inline-flex;\\n  font-weight: normal;\\n  font-size: $font-down-1;\\n}\\n\\n.categories-list .topic-list-latest .discourse-tags {\\n  display: inline-block;\\n}\\n\\n.mobile-view .topic-list-item .discourse-tags {\\n  display: inline-flex;\\n  flex-wrap: wrap;\\n  font-size: $font-down-1;\\n  margin-top: 0;\\n  .discourse-tag {\\n    margin-right: 0.2em;\\n  }\\n  .discourse-tag.box {\\n    position: relative;\\n    top: 0;\\n  }\\n}\\n\\nheader .discourse-tag {\\n  color: $tag-color;\\n}\\n\\n.list-tags {\\n  display: inline-block;\\n  margin-right: 3px;\\n  font-size: $font-down-1;\\n}\\n\\n.tag-chooser {\\n  width: 100%;\\n  max-width: 100%;\\n}\\n\\n.title-wrapper .tag-chooser {\\n  width: 500px;\\n}\\n\\n.tag-sort-options {\\n  margin-bottom: 20px;\\n  a {\\n    text-decoration: underline;\\n  }\\n  span.active a {\\n    font-weight: bold;\\n  }\\n}\\n\\n.autocomplete {\\n  .d-icon-tag {\\n    color: dark-light-choose($primary, $primary-low-mid);\\n    padding-right: 5px;\\n  }\\n\\n  a {\\n    color: $tag-color;\\n  }\\n}\\n\\n.tags-admin-menu {\\n  margin-top: 20px;\\n  ul {\\n    width: 320px;\\n  }\\n}\\n\\n.tag-groups-container {\\n  margin-top: 20px;\\n  .content-list {\\n    width: 20%;\\n    float: left;\\n    margin: 20px 0;\\n    ul {\\n      margin-bottom: 10px;\\n    }\\n    .btn {\\n      margin-left: 10px;\\n    }\\n  }\\n  .tag-group-content {\\n    width: 75%;\\n    float: right;\\n    section {\\n      margin-bottom: 20px;\\n    }\\n    label {\\n      font-size: $font-0;\\n      display: inline-block;\\n      margin-right: 10px;\\n    }\\n    .btn {\\n      margin-right: 10px;\\n    }\\n    h1 input {\\n      width: 100%;\\n    }\\n  }\\n  .group-tags-list .tag-chooser {\\n    width: 100%;\\n  }\\n  .saving {\\n    margin-left: 20px;\\n  }\\n  .parent-tag-section {\\n    .tag-chooser {\\n      width: 200px;\\n      margin-right: 10px;\\n    }\\n  }\\n}\\n\\n.tag-info {\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n\\n  .delete-tag {\\n    float: right;\\n  }\\n  .synonyms-list,\\n  .add-synonyms,\\n  .tag-associations {\\n    margin-top: 1em;\\n  }\\n  .tag-list {\\n    border: none;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n  .field {\\n    margin-bottom: 5px;\\n  }\\n}\\n",\n\t\t"#reply-control {\\n  position: fixed;\\n  display: flex;\\n  flex-direction: column;\\n  bottom: 0;\\n  height: 0;\\n  right: 0;\\n  left: 0;\\n  margin-left: auto;\\n  margin-right: auto;\\n  max-width: 1475px;\\n  width: 100%;\\n  &.hide-preview {\\n    max-width: 740px;\\n  }\\n  @media screen and (max-width: 1200px) {\\n    min-width: 0;\\n  }\\n  z-index: z(\\"composer\\", \\"content\\");\\n  transition: height 250ms ease, background 250ms ease, transform 250ms ease,\\n    max-width 250ms ease;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"composer\\");\\n\\n  .reply-area {\\n    display: flex;\\n    flex-direction: column;\\n  }\\n\\n  .saving-text,\\n  .draft-text {\\n    display: none;\\n    padding-left: 10px;\\n    .spinner {\\n      margin-left: 5px;\\n      border-color: $secondary;\\n      border-right-color: transparent;\\n    }\\n    .d-icon {\\n      color: $secondary;\\n    }\\n  }\\n\\n  &.open {\\n    height: 300px;\\n    &.edit-title {\\n      height: 400px; // more room when editing the title\\n    }\\n  }\\n\\n  &.closed {\\n    height: 0 !important;\\n  }\\n\\n  &.draft,\\n  &.saving {\\n    height: 40px !important;\\n    align-items: center;\\n    background: $tertiary;\\n    color: $secondary;\\n    flex-direction: row;\\n    width: 100%;\\n    .composer-controls {\\n      margin-left: auto;\\n      display: flex;\\n      padding-right: 5px;\\n      .toggle-toolbar {\\n        display: none;\\n      }\\n      .d-icon {\\n        color: $secondary;\\n      }\\n    }\\n  }\\n\\n  &.draft {\\n    cursor: pointer;\\n    display: flex;\\n    .draft-text {\\n      display: block;\\n    }\\n    .grippie,\\n    .saving-text {\\n      display: none;\\n    }\\n    .toggler {\\n      order: 2;\\n    }\\n  }\\n\\n  &.saving .saving-text {\\n    display: flex;\\n  }\\n\\n  .reply-to {\\n    color: $primary-high;\\n    margin: 5px 0 10px 0;\\n    display: flex;\\n    align-items: center;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n    .reply-details {\\n      max-width: calc(100% - 175px);\\n      flex: 1 1 auto;\\n      display: flex;\\n      align-items: center;\\n      white-space: nowrap;\\n\\n      .d-icon {\\n        opacity: 0.8;\\n      }\\n    }\\n    .composer-action-title {\\n      display: inline-flex;\\n      align-items: center;\\n      width: auto;\\n      max-width: 100%;\\n\\n      .avatar {\\n        width: 20px;\\n      }\\n\\n      .action-title {\\n        @include ellipsis;\\n      }\\n\\n      .topic-link,\\n      .user-link,\\n      .post-link {\\n        margin-right: 5px;\\n      }\\n\\n      .username {\\n        margin-right: 5px;\\n        max-width: 100px;\\n        @include ellipsis;\\n        @media screen and (max-width: 500px) {\\n          display: none;\\n        }\\n      }\\n\\n      .d-icon {\\n        margin-right: 5px;\\n      }\\n\\n      img.avatar {\\n        margin-right: 3px;\\n      }\\n    }\\n    .composer-controls {\\n      display: flex;\\n      margin-left: auto;\\n      button {\\n        padding: 5px 7px;\\n        &.toggler {\\n          order: 2;\\n        }\\n      }\\n    }\\n  }\\n\\n  .whisper,\\n  .display-edit-reason {\\n    font-style: italic;\\n  }\\n\\n  .whisper {\\n    margin-right: 0.25em;\\n  }\\n\\n  .display-edit-reason {\\n    display: inline-flex;\\n    a {\\n      display: inline-flex;\\n    }\\n    .d-icon {\\n      padding: 0.3em 0.5em;\\n      color: $tertiary;\\n    }\\n  }\\n\\n  #edit-reason {\\n    margin: 0 4px;\\n  }\\n\\n  .user-selector,\\n  .title-and-category {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 100%;\\n    align-items: center;\\n    margin-bottom: 5px;\\n    position: relative;\\n    &.with-preview {\\n      width: 50%;\\n    }\\n  }\\n\\n  .title-input {\\n    position: relative;\\n    display: flex;\\n    flex: 1 1 50%;\\n\\n    input {\\n      flex-grow: 1;\\n    }\\n  }\\n\\n  .with-tags {\\n    .title-input {\\n      flex: 1 1 100%;\\n    }\\n  }\\n\\n  .category-input {\\n    display: flex;\\n    flex: 1 0 35%;\\n    margin: 0 0 5px 10px;\\n    @media screen and (max-width: 955px) {\\n      flex: 1 0 100%;\\n      margin-left: 0;\\n    }\\n    .category-chooser {\\n      display: flex;\\n      flex: 1 0 auto;\\n      width: auto;\\n    }\\n  }\\n\\n  .with-tags {\\n    .category-input {\\n      flex-basis: 25%;\\n      margin-left: 0;\\n      margin-right: 5px;\\n      @media screen and (max-width: 920px) {\\n        flex-basis: 100%;\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n\\n  .add-warning {\\n    margin-left: 0.75em;\\n    margin-bottom: 0;\\n    display: flex;\\n    input {\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  #reply-title {\\n    margin: 0 0 5px 0;\\n    flex-basis: 50%;\\n  }\\n\\n  .mini-tag-chooser {\\n    flex: 1 1 25%;\\n    margin: 0 0 5px 0;\\n    background: $secondary;\\n    z-index: z(\\"composer\\", \\"dropdown\\");\\n    @media all and (max-width: 900px) {\\n      margin: 0;\\n      flex: 1 1 100%;\\n    }\\n  }\\n\\n  .popup-tip {\\n    z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  }\\n\\n  .wmd-controls {\\n    position: relative;\\n    display: flex;\\n    flex-direction: column;\\n    flex-grow: 1;\\n    min-height: 0;\\n  }\\n\\n  .submit-panel {\\n    display: flex;\\n    flex-shrink: 0;\\n    margin: 7px 0 3px 0;\\n  }\\n\\n  .save-or-cancel {\\n    flex-basis: 50%;\\n    display: flex;\\n    align-items: center;\\n    margin-right: auto;\\n    button {\\n      flex: 0 0 auto;\\n    }\\n    .cancel {\\n      margin-left: 1.25em;\\n      line-height: normal;\\n      color: $primary-high;\\n      transition: color 250ms;\\n      &:hover {\\n        color: $danger;\\n      }\\n    }\\n    #draft-status,\\n    #file-uploading {\\n      margin-left: 25px;\\n    }\\n    #file-uploading {\\n      display: flex;\\n      align-items: center;\\n      a {\\n        margin-left: 5px;\\n        color: $primary-high;\\n      }\\n      .spinner {\\n        margin-right: 5px;\\n      }\\n    }\\n    #draft-status .d-icon-user-edit {\\n      color: $danger;\\n      font-size: 20px;\\n      vertical-align: -5.5px;\\n    }\\n  }\\n\\n  #draft-status,\\n  #file-uploading {\\n    color: $primary-high;\\n  }\\n}\\n\\n.cooked > *:first-child {\\n  margin-top: 0;\\n}\\n\\n.autocomplete {\\n  z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  position: absolute;\\n  width: 240px;\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n  ul {\\n    list-style: none;\\n    padding: 0;\\n    margin: 0;\\n\\n    li {\\n      .d-icon-users {\\n        color: lighten($primary, 40%);\\n        padding: 0 2px;\\n      }\\n\\n      border-bottom: 1px solid $primary-low;\\n\\n      a {\\n        padding: 5px;\\n        display: block;\\n        @include ellipsis;\\n\\n        span.username {\\n          color: $primary;\\n        }\\n        span.name {\\n          font-size: $font-down-1;\\n          vertical-align: middle;\\n        }\\n        &.selected {\\n          background-color: $tertiary-low;\\n        }\\n        @include hover {\\n          background-color: $highlight-low;\\n          text-decoration: none;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\ndiv.ac-wrap.disabled {\\n  input {\\n    display: none;\\n  }\\n  .item a {\\n    display: none;\\n  }\\n}\\n\\ndiv.ac-wrap div.item a.remove,\\n.remove-link {\\n  margin-left: 4px;\\n  font-size: $font-down-1;\\n  line-height: $line-height-small;\\n  padding: 1px 3.5px;\\n  border-radius: 12px;\\n  box-sizing: border-box;\\n  border: 1px solid $primary-low;\\n  &:hover {\\n    background-color: $danger-low;\\n    border: 1px solid $danger-medium;\\n    text-decoration: none;\\n    color: $danger;\\n  }\\n}\\n\\ndiv.ac-wrap {\\n  overflow: auto;\\n  max-height: 150px;\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  background-color: $secondary;\\n  border: 1px solid $primary-medium;\\n  min-height: 30px;\\n  box-sizing: border-box;\\n  div.item {\\n    float: left;\\n    padding: 4px 10px;\\n    line-height: $line-height-large;\\n    span {\\n      display: inline-block;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n\\n  .ac-collapsed-button {\\n    float: left;\\n    border-radius: 20px;\\n    position: relative;\\n    top: -2px;\\n    margin-right: 10px;\\n  }\\n\\n  input[type=\\"text\\"] {\\n    float: left;\\n    display: block;\\n    box-shadow: none;\\n    border: 0;\\n    margin: 0;\\n    background: transparent;\\n    min-height: unset;\\n    &.fullwidth-input {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.future-date-input {\\n  .examples {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.md-table {\\n  overflow-y: auto;\\n  margin: 1em 0;\\n  .mobile-view & {\\n    table {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.save-animation {\\n  -webkit-animation: transformer 5s forwards;\\n  animation: transformer 5s forwards;\\n}\\n\\n@-webkit-keyframes transformer {\\n  90% {\\n    -webkit-filter: opacity(1);\\n  }\\n  100% {\\n    -webkit-filter: opacity(0);\\n  }\\n}\\n@keyframes transformer {\\n  90% {\\n    opacity: 1;\\n  }\\n  100% {\\n    opacity: 0;\\n  }\\n}\\n\\nbody.ios-safari-composer-hacks {\\n  #main-outlet,\\n  header,\\n  .grippie,\\n  html:not(.fullscreen-composer) & .toggle-fullscreen {\\n    display: none;\\n  }\\n\\n  #reply-control {\\n    top: 0px;\\n    &.open {\\n      height: calc(var(--composer-vh, 1vh) * 100);\\n    }\\n  }\\n}\\n",\n\t\t"/* Magnific Popup CSS */\\n\\n////////////////////////\\n//\\n// Contents:\\n//\\n// 1. Default Settings\\n// 2. General styles\\n//    - Transluscent overlay\\n//    - Containers, wrappers\\n//    - Cursors\\n//    - Helper classes\\n// 3. Appearance\\n//    - Preloader & text that displays error messages\\n//    - CSS reset for buttons\\n//    - Close icon\\n//    - \\"1 of X\\" counter\\n//    - Navigation (left/right) arrows\\n//    - Iframe content type styles\\n//    - Image content type styles\\n//    - Media query where size of arrows is reduced\\n//    - IE7 support\\n//\\n////////////////////////\\n\\n////////////////////////\\n// 1. Default Settings\\n////////////////////////\\n\\n$overlay-color: #0b0b0b !default;\\n$overlay-opacity: 0.8 !default;\\n$shadow: 0 0 8px rgba(0, 0, 0, 0.6) !default; // shadow on image or iframe\\n$popup-padding-left: 8px !default; // Padding from left and from right side\\n$popup-padding-left-mobile: 6px !default; // Same as above, but is applied when width of window is less than 800px\\n\\n$z-index-base: 1040 !default; // Base z-index of popup\\n$include-arrows: true !default; // include styles for nav arrows\\n$controls-opacity: 0.65 !default;\\n$controls-color: #fff !default;\\n$inner-close-icon-color: #333 !default;\\n$controls-text-color: #ccc !default; // Color of preloader and \\"1 of X\\" indicator\\n$controls-text-color-hover: #fff !default;\\n$IE7support: true !default; // Very basic IE7 support\\n\\n// Iframe-type options\\n$include-iframe-type: true !default;\\n$iframe-padding-top: 40px !default;\\n$iframe-background: #000 !default;\\n$iframe-max-width: 900px !default;\\n$iframe-ratio: 9/16 !default;\\n\\n// Image-type options\\n$include-image-type: true !default;\\n$image-background: linear-gradient(45deg, #111 0%, #333 100%) !default;\\n$image-padding-top: 40px !default;\\n$image-padding-bottom: 40px !default;\\n$include-mobile-layout-for-image: true !default; // Removes paddings from top and bottom\\n\\n// Image caption options\\n$caption-title-color: #f3f3f3 !default;\\n$caption-subtitle-color: #bdbdbd !default;\\n\\n// A11y\\n$use-visuallyhidden: false !default; // Hide content from browsers, but make it available for screen readers\\n\\n////////////////////////\\n// 2. General styles\\n////////////////////////\\n\\n// Transluscent overlay\\n.mfp-bg {\\n  top: 0;\\n  left: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: $z-index-base + 2;\\n  overflow: hidden;\\n  position: fixed;\\n\\n  background: $overlay-color;\\n  opacity: $overlay-opacity;\\n  @if $IE7support {\\n    filter: unquote(\\"alpha(opacity=#{$overlay-opacity*100})\\");\\n  }\\n}\\n\\n// Wrapper for popup\\n.mfp-wrap {\\n  top: 0;\\n  left: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: $z-index-base + 3;\\n  position: fixed;\\n  outline: 0 !important;\\n  -webkit-backface-visibility: hidden; // fixes webkit bug that can cause \\"false\\" scrollbar\\n}\\n\\n// Root container\\n.mfp-container {\\n  text-align: center;\\n  position: absolute;\\n  width: 100%;\\n  height: 100%;\\n  left: 0;\\n  top: 0;\\n  padding: 0 $popup-padding-left;\\n  -webkit-box-sizing: border-box;\\n  -moz-box-sizing: border-box;\\n  box-sizing: border-box;\\n}\\n\\n// Vertical centerer helper\\n.mfp-container {\\n  &:before {\\n    content: \\"\\";\\n    display: inline-block;\\n    height: 100%;\\n    vertical-align: middle;\\n  }\\n}\\n\\n// Remove vertical centering when popup has class `mfp-align-top`\\n.mfp-align-top {\\n  .mfp-container {\\n    &:before {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// Popup content holder\\n.mfp-content {\\n  position: relative;\\n  display: inline-block;\\n  vertical-align: middle;\\n  margin: 0 auto;\\n  text-align: left;\\n  z-index: $z-index-base + 5;\\n}\\n.mfp-inline-holder,\\n.mfp-ajax-holder {\\n  .mfp-content {\\n    width: 100%;\\n    cursor: auto;\\n  }\\n}\\n\\n// Cursors\\n.mfp-ajax-cur {\\n  cursor: progress;\\n}\\n.mfp-zoom-out-cur {\\n  &,\\n  .mfp-image-holder .mfp-close {\\n    cursor: -moz-zoom-out;\\n    cursor: -webkit-zoom-out;\\n    cursor: zoom-out;\\n  }\\n}\\n.mfp-zoom {\\n  cursor: pointer;\\n  cursor: -webkit-zoom-in;\\n  cursor: -moz-zoom-in;\\n  cursor: zoom-in;\\n}\\n.mfp-auto-cursor {\\n  .mfp-content {\\n    cursor: auto;\\n  }\\n}\\n\\n.mfp-close,\\n.mfp-arrow,\\n.mfp-preloader,\\n.mfp-counter {\\n  -webkit-user-select: none;\\n  -moz-user-select: none;\\n  user-select: none;\\n}\\n\\n// Hide the image during the loading\\n.mfp-loading {\\n  &.mfp-figure {\\n    display: none;\\n  }\\n}\\n\\n// Helper class that hides stuff\\n@if $use-visuallyhidden {\\n  // From HTML5 Boilerplate https://github.com/h5bp/html5-boilerplate/blob/v4.2.0/doc/css.md#visuallyhidden\\n  .mfp-hide {\\n    border: 0 !important;\\n    clip: rect(0 0 0 0) !important;\\n    height: 1px !important;\\n    margin: -1px !important;\\n    overflow: hidden !important;\\n    padding: 0 !important;\\n    position: absolute !important;\\n    width: 1px !important;\\n  }\\n} @else {\\n  .mfp-hide {\\n    display: none !important;\\n  }\\n}\\n\\n////////////////////////\\n// 3. Appearance\\n////////////////////////\\n\\n// Preloader and text that displays error messages\\n.mfp-preloader {\\n  color: $controls-text-color;\\n  position: absolute;\\n  top: 50%;\\n  width: auto;\\n  text-align: center;\\n  margin-top: -0.8em;\\n  left: 8px;\\n  right: 8px;\\n  z-index: $z-index-base + 4;\\n  a {\\n    color: $controls-text-color;\\n    &:hover {\\n      color: $controls-text-color-hover;\\n    }\\n  }\\n}\\n\\n// Hide preloader when content successfully loaded\\n.mfp-s-ready {\\n  .mfp-preloader {\\n    display: none;\\n  }\\n}\\n\\n// Hide content when it was not loaded\\n.mfp-s-error {\\n  .mfp-content {\\n    display: none;\\n  }\\n}\\n\\n// CSS-reset for buttons\\nbutton {\\n  &.mfp-close,\\n  &.mfp-arrow {\\n    overflow: visible;\\n    cursor: pointer;\\n    background: transparent;\\n    border: 0;\\n    -webkit-appearance: none;\\n    display: block;\\n    padding: 0;\\n    z-index: $z-index-base + 6;\\n    -webkit-box-shadow: none;\\n    box-shadow: none;\\n  }\\n  &::-moz-focus-inner {\\n    padding: 0;\\n    border: 0;\\n  }\\n}\\n\\n// Close icon\\n.mfp-close {\\n  width: 44px;\\n  height: 44px;\\n  line-height: $line-height-large;\\n  position: absolute;\\n  right: 0;\\n  top: 0;\\n  text-decoration: none;\\n  text-align: center;\\n  opacity: $controls-opacity;\\n  @if $IE7support {\\n    filter: unquote(\\"alpha(opacity=#{$controls-opacity*100})\\");\\n  }\\n  padding: 0 0 18px 10px;\\n  color: $controls-color;\\n  font-style: normal;\\n  font-size: $font-up-5;\\n  font-family: Arial, Baskerville, monospace;\\n\\n  &:hover,\\n  &:focus {\\n    opacity: 1;\\n    outline: 0;\\n    @if $IE7support {\\n      filter: unquote(\\"alpha(opacity=#{1*100})\\");\\n    }\\n  }\\n\\n  &:active {\\n    top: 1px;\\n  }\\n}\\n.mfp-close-btn-in {\\n  .mfp-close {\\n    color: $inner-close-icon-color;\\n  }\\n}\\n.mfp-image-holder,\\n.mfp-iframe-holder {\\n  .mfp-close {\\n    color: $controls-color;\\n    right: -6px;\\n    text-align: right;\\n    padding-right: 6px;\\n    width: 100%;\\n  }\\n}\\n\\n// \\"1 of X\\" counter\\n.mfp-counter {\\n  position: absolute;\\n  top: 0;\\n  right: 0;\\n  color: $controls-text-color;\\n  font-size: $font-down-1;\\n  line-height: $line-height-medium;\\n}\\n\\n// Navigation arrows\\n@if $include-arrows {\\n  .mfp-arrow {\\n    position: absolute;\\n    opacity: $controls-opacity;\\n    @if $IE7support {\\n      filter: unquote(\\"alpha(opacity=#{$controls-opacity*100})\\");\\n    }\\n    top: 50%;\\n    margin: -55px 0 0;\\n    padding: 0;\\n    width: 90px;\\n    height: 110px;\\n    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\\n    &:active {\\n      margin-top: -54px;\\n    }\\n    &:hover,\\n    &:focus {\\n      outline: 0;\\n      opacity: 1;\\n      @if $IE7support {\\n        filter: unquote(\\"alpha(opacity=#{1*100})\\");\\n      }\\n    }\\n    &:before,\\n    &:after,\\n    .mfp-b,\\n    .mfp-a {\\n      content: \\"\\";\\n      display: block;\\n      width: 0;\\n      height: 0;\\n      position: absolute;\\n      left: 0;\\n      top: 0;\\n      margin-top: 35px;\\n      margin-left: 35px;\\n      border: medium inset transparent;\\n    }\\n\\n    &:after,\\n    .mfp-a {\\n      border-top-width: 13px;\\n      border-bottom-width: 13px;\\n      top: 8px;\\n    }\\n\\n    &:before,\\n    .mfp-b {\\n      border-top-width: 21px;\\n      border-bottom-width: 21px;\\n    }\\n  }\\n\\n  .mfp-arrow-left {\\n    left: 0;\\n\\n    &:after,\\n    .mfp-a {\\n      border-right: 17px solid #fff;\\n      margin-left: 31px;\\n    }\\n    &:before,\\n    .mfp-b {\\n      margin-left: 25px;\\n      border-right: 27px solid #3f3f3f;\\n    }\\n  }\\n\\n  .mfp-arrow-right {\\n    right: 0;\\n    &:after,\\n    .mfp-a {\\n      border-left: 17px solid #fff;\\n      margin-left: 39px;\\n    }\\n    &:before,\\n    .mfp-b {\\n      border-left: 27px solid #3f3f3f;\\n    }\\n  }\\n}\\n\\n// Iframe content type\\n@if $include-iframe-type {\\n  .mfp-iframe-holder {\\n    padding-top: $iframe-padding-top;\\n    padding-bottom: $iframe-padding-top;\\n    .mfp-content {\\n      line-height: 0;\\n      width: 100%;\\n      max-width: $iframe-max-width;\\n    }\\n    .mfp-close {\\n      top: -40px;\\n    }\\n  }\\n  .mfp-iframe-scaler {\\n    width: 100%;\\n    height: 0;\\n    overflow: hidden;\\n    padding-top: $iframe-ratio * 100%;\\n    iframe {\\n      position: absolute;\\n      display: block;\\n      top: 0;\\n      left: 0;\\n      width: 100%;\\n      height: 100%;\\n      box-shadow: $shadow;\\n      background: $iframe-background;\\n    }\\n  }\\n}\\n\\n// Image content type\\n@if $include-image-type {\\n  /* Main image in popup */\\n  img {\\n    &.mfp-img {\\n      width: auto;\\n      max-width: 100%;\\n      height: auto;\\n      display: block;\\n      line-height: 0;\\n      -webkit-box-sizing: border-box;\\n      -moz-box-sizing: border-box;\\n      box-sizing: border-box;\\n      padding: $image-padding-top 0 $image-padding-bottom;\\n      margin: 0 auto;\\n    }\\n  }\\n\\n  /* The shadow behind the image */\\n  .mfp-figure {\\n    line-height: 0;\\n    &:after {\\n      content: \\"\\";\\n      position: absolute;\\n      left: 0;\\n      top: $image-padding-top;\\n      bottom: $image-padding-bottom;\\n      display: block;\\n      right: 0;\\n      width: auto;\\n      height: auto;\\n      z-index: -1;\\n      box-shadow: $shadow;\\n      background: $image-background;\\n    }\\n    small {\\n      color: $caption-subtitle-color;\\n      display: block;\\n      font-size: $font-down-1;\\n      line-height: $line-height-medium;\\n    }\\n    figure {\\n      margin: 0;\\n    }\\n  }\\n  .mfp-bottom-bar {\\n    margin-top: -$image-padding-bottom + 4;\\n    position: absolute;\\n    top: 100%;\\n    left: 0;\\n    width: 100%;\\n    cursor: auto;\\n  }\\n  .mfp-title {\\n    text-align: left;\\n    line-height: $line-height-medium;\\n    color: $caption-title-color;\\n    word-wrap: break-word;\\n    padding-right: 36px; // leave some space for counter at right side\\n\\n    // add the download icon\\n    a.image-source-link .d-icon {\\n      padding-right: 5px;\\n    }\\n  }\\n\\n  .mfp-image-holder {\\n    .mfp-content {\\n      max-width: 100%;\\n    }\\n  }\\n\\n  .mfp-gallery {\\n    .mfp-image-holder {\\n      .mfp-figure {\\n        cursor: pointer;\\n      }\\n    }\\n  }\\n\\n  @if $include-mobile-layout-for-image {\\n    @media all and (max-width: 800px) and (orientation: landscape),\\n      screen and (max-height: 300px) {\\n      /**\\n       * Remove all paddings around the image on small screen\\n       */\\n      .mfp-img-mobile {\\n        .mfp-image-holder {\\n          padding-left: 0;\\n          padding-right: 0;\\n        }\\n        img {\\n          &.mfp-img {\\n            padding: 0;\\n          }\\n        }\\n        .mfp-figure {\\n          /* The shadow behind the image */\\n          &:after {\\n            top: 0;\\n            bottom: 0;\\n          }\\n          small {\\n            display: inline;\\n            margin-left: 5px;\\n          }\\n        }\\n        .mfp-bottom-bar {\\n          background: rgba(0, 0, 0, 0.6);\\n          bottom: 0;\\n          margin: 0;\\n          top: auto;\\n          padding: 3px 5px;\\n          position: fixed;\\n          -webkit-box-sizing: border-box;\\n          -moz-box-sizing: border-box;\\n          box-sizing: border-box;\\n          &:empty {\\n            padding: 0;\\n          }\\n        }\\n        .mfp-counter {\\n          right: 5px;\\n          top: 3px;\\n        }\\n        .mfp-close {\\n          top: 0;\\n          right: 0;\\n          width: 35px;\\n          height: 35px;\\n          line-height: $line-height-large;\\n          background: rgba(0, 0, 0, 0.6);\\n          position: fixed;\\n          text-align: center;\\n          padding: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// Scale navigation arrows and reduce padding from sides\\n@media all and (max-width: 900px) {\\n  .mfp-arrow {\\n    @include transform(scale(0.75));\\n  }\\n  .mfp-arrow-left {\\n    transform-origin: 0;\\n    -webkit-transform-origin: 0;\\n  }\\n  .mfp-arrow-right {\\n    transform-origin: 100%;\\n    -webkit-transform-origin: 100%;\\n  }\\n  .mfp-container {\\n    padding-left: $popup-padding-left-mobile;\\n    padding-right: $popup-padding-left-mobile;\\n  }\\n}\\n\\n// IE7 support\\n// Styles that make popup look nicier in old IE\\n@if $IE7support {\\n  .mfp-ie7 {\\n    .mfp-img {\\n      padding: 0;\\n    }\\n    .mfp-bottom-bar {\\n      width: 600px;\\n      left: 50%;\\n      margin-left: -300px;\\n      margin-top: 5px;\\n      padding-bottom: 5px;\\n    }\\n    .mfp-container {\\n      padding: 0;\\n    }\\n    .mfp-content {\\n      padding-top: 44px;\\n    }\\n    .mfp-close {\\n      top: 0;\\n      right: 0;\\n      padding-top: 0;\\n    }\\n  }\\n}\\n\\n.mfp-zoom-in {\\n  /* start state */\\n  .mfp-content {\\n    opacity: 0;\\n    transition: all 0.2s;\\n    -webkit-transform: scale(0.8);\\n    -ms-transform: scale(0.8);\\n    transform: scale(0.8);\\n  }\\n\\n  &.mfp-bg {\\n    opacity: 0;\\n    transition: all 0.3s ease-out;\\n  }\\n\\n  /* animate in */\\n  &.mfp-ready {\\n    .mfp-content {\\n      opacity: 1;\\n      @include transform(scale(1));\\n    }\\n    &.mfp-bg {\\n      opacity: 0.8;\\n    }\\n  }\\n\\n  /* animate out */\\n  &.mfp-removing {\\n    .mfp-content {\\n      @include transform(scale(0.8));\\n      opacity: 0;\\n    }\\n    &.mfp-bg {\\n      opacity: 0;\\n    }\\n  }\\n}\\n\\n.mfp-force-scrollbars {\\n  &.mfp-wrap {\\n    overflow-y: auto !important;\\n    overflow-x: auto !important;\\n  }\\n  .mfp-img {\\n    max-width: none;\\n  }\\n}\\n",\n\t\t".button-count.has-pending {\\n  span {\\n    background-color: $danger;\\n    color: $secondary;\\n    border-radius: 10px;\\n    padding: 0.25em 0.5em;\\n    display: inline-block;\\n    font-size: 0.8em;\\n  }\\n}\\n\\n.placeholder-avatar {\\n  display: inline-block;\\n  width: 45px;\\n  height: 45px;\\n  border-radius: 50%;\\n  position: relative;\\n  overflow: hidden;\\n  &:before {\\n    animation: placeHolderShimmer 4s linear infinite forwards;\\n    position: absolute;\\n    left: 0;\\n    content: \\"\\";\\n    background: linear-gradient(\\n      to right,\\n      $primary-very-low 10%,\\n      $primary-low 28%,\\n      $primary-very-low 43%\\n    );\\n    height: 45px;\\n    width: 700px;\\n  }\\n}\\n\\n.placeholder-text {\\n  margin-left: 11px;\\n  display: inline-block;\\n  width: calc(100% - 11px);\\n  height: 1.5em;\\n  margin-bottom: 0.6em;\\n}\\n\\n.names {\\n  flex: 1 1 auto;\\n  overflow: hidden;\\n  span.first {\\n    display: flex;\\n    align-items: baseline;\\n    font-weight: bold;\\n  }\\n\\n  span {\\n    font-size: $font-0;\\n    margin-right: 8px;\\n    display: inline-block;\\n    @include ellipsis;\\n    vertical-align: middle;\\n    a {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n  }\\n  .fa {\\n    font-size: $font-down-1;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .svg-icon-title {\\n    margin-left: 3px;\\n    margin-right: 0px;\\n  }\\n  .new_user a,\\n  .user-title,\\n  .user-title a {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n}\\n\\n// global styles for the cooked HTML content in posts (and preview)\\n.cooked,\\n.d-editor-preview {\\n  word-wrap: break-word;\\n  line-height: $line-height-large;\\n  h1,\\n  h2,\\n  h3,\\n  h4,\\n  h5,\\n  h6 {\\n    margin: 30px 0 10px;\\n    line-height: $line-height-medium;\\n  }\\n\\n  h1 {\\n    font-size: $font-up-3;\\n  }\\n\\n  h2 {\\n    font-size: $font-up-2;\\n  }\\n\\n  h3 {\\n    font-size: $font-up-1;\\n  }\\n\\n  h4 {\\n    font-size: $font-0;\\n  }\\n\\n  h5 {\\n    font-size: $font-down-1;\\n  }\\n\\n  h6 {\\n    font-size: $font-down-2;\\n  }\\n\\n  a {\\n    word-wrap: break-word;\\n  }\\n  ins {\\n    background-color: dark-light-choose(\\n      $success-low,\\n      scale-color($success, $lightness: -60%)\\n    );\\n  }\\n  del {\\n    background-color: dark-light-choose(\\n      $danger-low,\\n      scale-color($danger, $lightness: -60%)\\n    );\\n  }\\n  // Prevents users from breaking posts with tag nesting\\n  big {\\n    font-size: 1.5rem;\\n  }\\n  small {\\n    font-size: 0.75rem;\\n  }\\n  small small {\\n    font-size: 0.75em;\\n  }\\n  big big {\\n    font-size: 1em;\\n  }\\n  sub sub sub {\\n    bottom: 0;\\n  }\\n  sup sup sup {\\n    top: 0;\\n  }\\n}\\n\\n.cooked,\\n.d-editor-preview {\\n  video {\\n    max-width: 100%;\\n  }\\n  sup sup {\\n    top: 0;\\n  }\\n}\\n\\n// add staff color\\n.moderator {\\n  .regular > .cooked {\\n    background-color: dark-light-choose($highlight-low, $highlight-medium);\\n    padding: 10px;\\n    img:not(.thumbnail) {\\n      max-width: 100%;\\n      height: auto;\\n    }\\n  }\\n  .clearfix > .topic-meta-data > .names {\\n    span.user-title {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n      a {\\n        background-color: dark-light-choose($highlight-low, $highlight-medium);\\n        padding-left: 4px;\\n        padding-right: 4px;\\n      }\\n    }\\n  }\\n}\\n\\n.topic-meta-data {\\n  display: flex;\\n  align-items: flex-start;\\n\\n  .names {\\n    margin-right: auto;\\n  }\\n\\n  .post-infos {\\n    display: flex;\\n    flex: 0 0 auto;\\n    align-items: center;\\n  }\\n}\\n\\n// we use aside to hold expandable quotes (versus, say, static blockquotes)\\naside.quote {\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n\\n  .badge-wrapper {\\n    margin-left: 5px;\\n  }\\n\\n  .title {\\n    @include post-aside;\\n\\n    color: dark-light-choose($primary-high, $secondary-low);\\n    // IE will screw up the blockquote underneath if bottom padding is 0px\\n    padding: 12px 12px 1px 12px;\\n    // blockquote is underneath this and has top margin\\n    .avatar {\\n      margin-right: 7px;\\n    }\\n    img {\\n      margin-top: -4px;\\n    }\\n    @include unselectable;\\n  }\\n\\n  // blockquote is docked within aside for content\\n  blockquote {\\n    margin-top: 0;\\n  }\\n}\\n\\nblockquote {\\n  // due to #image-sizing-hack large images and lightboxes extend past the\\n  // limits blockquotes. Since #image-sizing-hack is inline, we need to use\\n  // !important here otherwise it won't work.\\n  img {\\n    max-width: 100% !important;\\n  }\\n}\\n\\n.quote-controls,\\n.quote-controls .d-icon {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n}\\n\\n.cooked .highlight {\\n  background-color: $tertiary-low;\\n  padding: 2px;\\n  margin: -2px;\\n}\\n\\n.post-ignored {\\n  font-style: italic;\\n}\\n\\n.post-action {\\n  color: $primary-medium;\\n  .undo-action,\\n  .act-action {\\n    margin-left: 5px;\\n  }\\n}\\n\\n.post-hidden {\\n  opacity: 0.5; // opacity sets a new z-index context,\\n  position: relative; // so the positioning is required,\\n  z-index: z(\\"base\\"); // otherwise post controls are stacked too low\\n}\\n\\n.topic-post.staged {\\n  opacity: 0.4;\\n}\\n\\n.quote-controls {\\n  float: right;\\n  display: flex;\\n  align-items: center;\\n  a {\\n    margin-left: 0.3em;\\n  }\\n}\\n\\n.quote-button {\\n  display: none;\\n  position: absolute;\\n  background-color: blend-primary-secondary(50%);\\n  color: dark-light-choose($secondary, $primary);\\n  padding: 10px;\\n  z-index: z(\\"dropdown\\");\\n  opacity: 0.9;\\n\\n  .d-icon {\\n    display: inline-block;\\n  }\\n\\n  &:hover {\\n    background-color: $primary-medium;\\n    cursor: pointer;\\n  }\\n}\\n\\n.topic-avatar,\\n.user-card-avatar {\\n  position: relative;\\n}\\n\\n.topic-map {\\n  background: $primary-very-low;\\n  border: 1px solid $primary-low;\\n  border-top: none; // would cause double top border\\n\\n  .avatars {\\n    > div {\\n      float: left;\\n      position: relative;\\n      margin: 3px 0;\\n    }\\n    .post-count {\\n      position: absolute;\\n      right: 0;\\n      border-radius: 100px;\\n      padding: 3px 5px;\\n      text-align: center;\\n      font-weight: normal;\\n      font-size: $font-down-2;\\n      line-height: $line-height-small;\\n    }\\n  }\\n\\n  .avatar {\\n    float: left;\\n    margin-right: 4px;\\n  }\\n\\n  section {\\n    border-top: 1px solid $primary-low;\\n  }\\n\\n  ul {\\n    margin: 0;\\n    list-style: none;\\n  }\\n\\n  h3 {\\n    margin-bottom: 4px;\\n    color: $primary;\\n    line-height: $line-height-large;\\n    font-weight: normal;\\n    font-size: $font-0;\\n  }\\n\\n  h4 {\\n    margin: 1px 0 2px 0;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n    line-height: $line-height-small;\\n  }\\n\\n  span.domain {\\n    font-size: $font-down-2;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n\\n  td {\\n    vertical-align: top;\\n    padding: 1px;\\n  }\\n\\n  .topic-links {\\n    tr {\\n      border: none;\\n    }\\n    .badge-notification {\\n      margin: 1px 5px 2px 0;\\n    }\\n  }\\n\\n  .controls {\\n    display: flex;\\n    align-items: center;\\n\\n    .btn {\\n      margin-right: 0.5em;\\n\\n      &:last-child {\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  .participants {\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n\\n    & + .controls {\\n      margin-top: 0.5em;\\n    }\\n\\n    &.hide-names .user {\\n      .username,\\n      .group-name {\\n        display: none;\\n      }\\n    }\\n\\n    .user {\\n      border: 1px solid $primary-low;\\n      border-radius: 0.25em;\\n      padding: 0;\\n      margin: 0.125em 0.25em 0.125em 0;\\n      display: flex;\\n      align-items: center;\\n      height: 26px;\\n\\n      .user-link,\\n      .group-link {\\n        color: $primary-high;\\n\\n        &:hover {\\n          color: $primary;\\n        }\\n      }\\n\\n      .avatar,\\n      .d-icon-users {\\n        margin-left: 0.25em;\\n        margin-right: 0.25em;\\n      }\\n\\n      .username,\\n      .group-name {\\n        margin-right: 0.25em;\\n      }\\n\\n      &:last-child {\\n        margin-right: 0;\\n      }\\n\\n      .remove-invited {\\n        display: flex;\\n        flex: 1 0 0px;\\n        align-items: center;\\n        justify-content: center;\\n        box-sizing: border-box;\\n        border-radius: 0 0.25em 0.25em 0;\\n        padding-top: 0;\\n        padding-bottom: 0;\\n        height: 100%;\\n      }\\n    }\\n  }\\n\\n  .add-remove-participant-btn {\\n    .d-icon {\\n      margin-left: 0.25em;\\n    }\\n  }\\n}\\n\\n.topic-avatar,\\n.avatar-flair-preview,\\n.user-card-avatar,\\n.topic-map .poster,\\n.user-profile-avatar,\\n.user-image {\\n  .avatar-flair {\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background-repeat: no-repeat;\\n    background-position: center;\\n    position: absolute;\\n    bottom: 0;\\n    right: -6px;\\n  }\\n}\\n.topic-avatar .avatar-flair,\\n.avatar-flair-preview .avatar-flair,\\n.collapsed-info .user-profile-avatar .avatar-flair,\\n.user-image .avatar-flair {\\n  background-size: 20px 20px;\\n  width: 20px;\\n  height: 20px;\\n  &.rounded {\\n    background-size: 18px 18px;\\n    border-radius: 12px;\\n    width: 24px;\\n    height: 24px;\\n    bottom: -2px;\\n    right: -8px;\\n  }\\n}\\n.user-card-avatar .avatar-flair,\\n.user-profile-avatar .avatar-flair {\\n  background-size: 40px 40px;\\n  width: 40px;\\n  height: 40px;\\n  &.rounded {\\n    background-size: 30px 30px;\\n    border-radius: 24px;\\n    width: 40px;\\n    height: 40px;\\n    bottom: -2px;\\n    right: -4px;\\n  }\\n  .fa {\\n    font-size: $font-up-4;\\n  }\\n}\\n.topic-map .poster .avatar-flair {\\n  right: 0;\\n  background-size: 12px 12px;\\n  width: 16px;\\n  height: 16px;\\n  bottom: -3px;\\n  color: $primary;\\n  &.rounded {\\n    background-size: 12px 12px;\\n    border-radius: 8px;\\n    width: 16px;\\n    height: 16px;\\n    bottom: -2px;\\n    right: 0;\\n  }\\n  .d-icon {\\n    font-size: $font-down-2;\\n  }\\n}\\n.topic-avatar .poster-avatar-extra {\\n  display: none;\\n}\\n\\n.map {\\n  &:first-of-type {\\n    display: flex;\\n    .buttons {\\n      margin-left: auto;\\n      order: 15;\\n      .btn {\\n        height: 100%;\\n      }\\n    }\\n  }\\n}\\n\\n.topic-body {\\n  // this is necessary for ANYTHING that extends past the right edge of\\n  // the post body, such as an image in a deeply nested list, image in\\n  // a deeply nested blockquote, and so on.. you get the idea.\\n  .cooked {\\n    overflow: hidden;\\n  }\\n  &.highlighted {\\n    animation: background-fade-highlight 2.5s ease-out;\\n  }\\n}\\n\\n.post-info {\\n  flex: 0 0 auto;\\n  margin-right: 0.5em;\\n\\n  &.post-date {\\n    margin-right: 0;\\n  }\\n  &.via-email,\\n  &.whisper,\\n  &.post-locked {\\n    .d-icon {\\n      font-size: $font-0;\\n    }\\n  }\\n\\n  .wiki,\\n  .last-wiki-edit {\\n    color: $wiki;\\n  }\\n\\n  &.via-email {\\n    color: dark-light-choose($primary-low-mid, $secondary-high);\\n  }\\n  &.raw-email {\\n    cursor: pointer;\\n  }\\n}\\n\\npre {\\n  code {\\n    word-wrap: normal;\\n    display: block;\\n    padding: 0.5em;\\n    color: $primary;\\n    background: blend-primary-secondary(5%);\\n    max-height: 500px;\\n  }\\n}\\n\\nkbd {\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n  border-radius: 3px;\\n  box-shadow: shadow(\\"kbd\\");\\n  background: dark-light-choose(#fafafa, #333);\\n  border: 1px solid dark-light-choose(#ccc, #555);\\n  border-bottom: medium none dark-light-choose(#fff, #000);\\n\\n  color: $primary;\\n  display: inline-block;\\n  font-size: $font-down-1;\\n  line-height: $line-height-large;\\n  margin: 0 0.1em;\\n  padding: 0.1em 0.6em;\\n\\n  // don't allow more than 3 nested elements to prevent FF from crashing\\n  // cf. http://what.thedailywtf.com/t/nested-elements/7927\\n  // 3 levels are needed to prevent highlighted words being hidden\\n  // cf. https://meta.discourse.org/t/word-disappears-when-searched-and-in-details-summary-kbd-b/25741\\n  * * * {\\n    display: none;\\n  }\\n}\\n\\n// we assume blockquotes have their own margins, so all blockquotes\\n// will remove margins from first (top) and last (bottom) child elements\\nblockquote > *:first-child {\\n  margin-top: 0 !important;\\n}\\nblockquote > *:last-child {\\n  margin-bottom: 0 !important;\\n}\\n\\n.gap {\\n  padding: 0.25em 0 0.5em 56px; // 45px (topic avatar) + 11px (margin) = 56px\\n  color: dark-light-choose($primary-medium, $secondary-high);\\n  cursor: pointer;\\n  text-transform: uppercase;\\n  font-weight: bold;\\n  font-size: $font-down-1;\\n}\\n\\n.who-liked,\\n.who-read {\\n  transition: height 0.5s;\\n  a {\\n    margin: 0 0.25em 0.5em 0;\\n    display: inline-block;\\n  }\\n}\\n\\n.cooked table,\\n.d-editor-preview table {\\n  thead {\\n    th {\\n      text-align: left;\\n      padding-bottom: 2px;\\n      font-weight: bold;\\n      color: $primary;\\n    }\\n  }\\n\\n  td {\\n    padding: 3px 3px 3px 0.5em;\\n  }\\n}\\n\\n.small-action {\\n  display: flex;\\n  align-items: center;\\n  max-width: 758px;\\n  border-top: 1px solid $primary-low;\\n  .topic-avatar {\\n    align-self: flex-start;\\n    padding: 0.7em 0;\\n    border-top: none;\\n    margin-right: 11px;\\n    flex: 0 0 auto;\\n    .d-icon {\\n      font-size: 2em;\\n      width: 45px;\\n      text-align: center;\\n      color: $primary-low-mid;\\n    }\\n  }\\n\\n  .small-action.deleted {\\n    background-color: dark-light-diff(\\n      rgba($danger, 0.7),\\n      $secondary,\\n      50%,\\n      -60%\\n    );\\n  }\\n\\n  .small-action-desc.timegap {\\n    color: $primary-medium;\\n  }\\n\\n  .small-action-desc {\\n    display: flex;\\n    flex-wrap: wrap;\\n    flex: 1 1 100%;\\n    align-items: center;\\n    padding: 1em 0;\\n    text-transform: uppercase;\\n    font-weight: bold;\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n    min-width: 0; // Allows flex container to shrink\\n\\n    .custom-message {\\n      flex: 1 1 100%;\\n      text-transform: none;\\n      font-weight: normal;\\n      font-size: $font-up-1;\\n      order: 12;\\n      word-break: break-word;\\n      min-width: 0; // Allows content like oneboxes to shrink\\n      p {\\n        margin-bottom: 0;\\n      }\\n    }\\n    a.trigger-user-card {\\n      align-self: stretch;\\n    }\\n    .avatar {\\n      margin-right: 0.8em;\\n      float: left;\\n    }\\n\\n    > p {\\n      margin: 0;\\n      line-height: $line-height-medium;\\n      flex: 1 1;\\n    }\\n  }\\n\\n  button {\\n    background: transparent;\\n    border: 0;\\n    order: 9;\\n    &:last-of-type {\\n      margin-left: auto;\\n      order: 8;\\n    }\\n  }\\n}\\n\\n.whisper {\\n  .post-info.whisper {\\n    margin-left: 0.5em;\\n  }\\n  .topic-body {\\n    .cooked {\\n      font-style: italic;\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\na.mention,\\na.mention-group {\\n  padding: 2px 4px;\\n  color: dark-light-choose($primary-high, $secondary-low);\\n  background: $primary-low;\\n  border-radius: 8px;\\n  font-weight: bold;\\n  font-size: 0.93em;\\n}\\n\\n.popup-menu {\\n  h3 {\\n    margin-top: 0;\\n  }\\n}\\n\\n.suggested-topics {\\n  .topics {\\n    padding-bottom: 15px;\\n  }\\n  .suggested-topics-message {\\n    .badge-wrapper {\\n      margin-right: 0;\\n    }\\n  }\\n}\\n\\n.large-image-placeholder {\\n  > a {\\n    &.link {\\n      margin-right: 10px;\\n    }\\n\\n    > * {\\n      overflow: hidden;\\n      vertical-align: middle;\\n    }\\n\\n    > .d-icon {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      margin-right: 6px;\\n      font-size: $font-0;\\n      line-height: $line-height-large;\\n    }\\n\\n    > span.url {\\n      display: inline-block;\\n      max-width: 300px;\\n      margin-right: 6px;\\n      text-overflow: ellipsis;\\n      white-space: nowrap;\\n    }\\n\\n    > span.help {\\n      display: inline-block;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      font-size: $font-down-1;\\n      font-style: italic;\\n      line-height: $line-height-large;\\n      margin-bottom: 1px;\\n    }\\n\\n    > span.badge-notification {\\n      vertical-align: unset;\\n    }\\n  }\\n}\\n\\n.broken-image,\\n.large-image {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n  border: 1px solid $primary-low;\\n  font-size: $font-up-5;\\n  padding: 16px;\\n}\\n\\n/* below standard tablet portrait ----------- */\\n\\n.reply-to-tab {\\n  display: flex;\\n  align-items: center;\\n  margin-right: 2em;\\n\\n  img {\\n    margin: 0 0.25em;\\n  }\\n}\\n\\n// Select posts\\n\\n.topic-post {\\n  &.selected {\\n    article.boxed {\\n      .select-posts {\\n        button.select-post {\\n          background-color: $tertiary;\\n          color: $secondary;\\n          border-color: $tertiary;\\n        }\\n      }\\n      .topic-body {\\n        .contents:after {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n  article.boxed {\\n    position: relative;\\n    .select-posts {\\n      position: absolute;\\n      right: 5em;\\n      z-index: z(\\"dropdown\\");\\n      top: 0.5em;\\n      height: 100px;\\n      button {\\n        margin-left: 8px;\\n        background-color: $primary-low;\\n        color: $primary;\\n        box-shadow: shadow(\\"dropdown\\");\\n      }\\n    }\\n  }\\n}\\n\\n@media all and (max-width: 767px) {\\n  .reply-to-tab {\\n    span {\\n      display: none;\\n    }\\n  }\\n  .user-title {\\n    float: left;\\n    clear: left;\\n  }\\n}\\n\\n.signup-cta {\\n  a {\\n    float: right;\\n    text-decoration: underline;\\n  }\\n  .buttons {\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.post-notice {\\n  align-items: center;\\n  background-color: $tertiary-low;\\n  border-top: 1px solid $primary-low;\\n  display: flex;\\n  max-width: calc(\\n    #{$topic-body-width} + (#{$topic-body-width-padding} * 2) + #{$topic-avatar-width} -\\n      (0.8em * 2)\\n  );\\n  padding: 0.8em;\\n\\n  &.old {\\n    background-color: unset;\\n    color: $primary-medium;\\n\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  p {\\n    margin: 0;\\n  }\\n\\n  .d-icon {\\n    font-size: 2em;\\n    color: $primary-high;\\n    margin-right: 0.65em;\\n  }\\n}\\n\\n#topic-footer-buttons {\\n  .reason {\\n    color: $primary-high;\\n    display: inline;\\n    margin: 0 0 0 8px;\\n    line-height: $line-height-medium;\\n  }\\n}\\n",\n\t\t"@keyframes button-jump-up {\\n  0% {\\n    margin-bottom: -60px;\\n  }\\n  50% {\\n    margin-bottom: 10px;\\n  }\\n  65% {\\n    margin-bottom: 0px;\\n  }\\n  77% {\\n    margin-bottom: 5px;\\n  }\\n  100% {\\n    margin-bottom: 0px;\\n  }\\n}\\n\\n.progress-back-container {\\n  z-index: z(\\"dropdown\\");\\n  margin-right: 0;\\n  animation-duration: 0.5s;\\n  animation-name: button-jump-up;\\n  width: 145px;\\n  text-align: center;\\n  margin-bottom: 0px;\\n  position: absolute;\\n  right: 0;\\n  top: -2em;\\n  .btn {\\n    margin: 0;\\n  }\\n}\\n\\n#topic-progress-wrapper {\\n  display: flex;\\n  .topic-admin-menu-button-container {\\n    display: flex;\\n    > span {\\n      display: flex;\\n    }\\n  }\\n  .topic-admin-popup-menu.right-side {\\n    position: absolute;\\n    bottom: 0;\\n    right: 0;\\n    left: auto;\\n    transition: bottom 0.5s;\\n    transform: translateZ(\\n      0\\n    ); // iOS11 Rendering bug https://meta.discourse.org/t/wrench-menu-not-disappearing-on-ios/94297\\n  }\\n}\\n\\n#topic-progress-wrapper.docked {\\n  .topic-admin-popup-menu.right-side {\\n    bottom: -150px; // Prevents menu from being too high when a topic is very short\\n  }\\n}\\n\\n.title-wrapper {\\n  display: flex;\\n  flex-wrap: wrap;\\n  button {\\n    margin: 0 0.5em 0 0;\\n  }\\n  a.topic-featured-link {\\n    display: inline-block;\\n  }\\n  .topic-statuses {\\n    line-height: 1.2em;\\n    margin-right: 0.15em;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\nh1 {\\n  margin: 0 0 4px 0;\\n}\\n\\na.badge-category {\\n  margin-top: 5px;\\n}\\n\\n#topic-title {\\n  .title-wrapper {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 90%;\\n    a.topic-featured-link {\\n      display: inline-block;\\n    }\\n  }\\n  h1 {\\n    margin: 0 0 4px 0;\\n    width: 100%;\\n  }\\n  a.badge-category {\\n    margin-top: 5px;\\n  }\\n  a.edit-topic .d-icon {\\n    font-size: 0.8em;\\n  }\\n  .edit-topic-title {\\n    display: flex;\\n    flex-wrap: wrap;\\n    box-sizing: border-box;\\n    max-width: 758px;\\n    #edit-title {\\n      flex: 1 1 auto;\\n    }\\n    .private-message-glyph {\\n      margin: 5px 5px 0 0;\\n    }\\n    .category-chooser,\\n    .mini-tag-chooser {\\n      flex: 1 1 49%;\\n      margin: 0 0 9px 0;\\n      @media all and (max-width: 500px) {\\n        flex: 1 1 100%;\\n      }\\n    }\\n    .mini-tag-chooser {\\n      margin-left: 2%;\\n      @media all and (max-width: 500px) {\\n        margin-left: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.private-message-glyph {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n  margin-right: 5px;\\n}\\n\\n.archetype-private_message #topic-title .edit-topic-title .tag-chooser {\\n  margin-left: 19px;\\n}\\n\\n.private_message {\\n  #topic-title {\\n    .edit-topic-title {\\n      #edit-title {\\n        width: calc(100% - 50px);\\n      }\\n    }\\n  }\\n}\\n\\n.topic-title-outlet {\\n  clear: both;\\n}\\n\\n.has-pending-posts {\\n  display: flex;\\n  justify-content: space-between;\\n\\n  padding: 0.5em;\\n  background-color: $highlight-medium;\\n  margin-top: 1em;\\n  max-width: 757px;\\n}\\n\\n.suggested-topics-wrapper.related-messages-wrapper {\\n  .suggested-topics:nth-of-type(n + 2) {\\n    thead {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// Target the .badge-category text, the bullet icon needs to maintain `display: block`\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category,\\n.suggested-topics h3 .badge-wrapper.box span,\\n.suggested-topics h3 .badge-wrapper.bar span {\\n  display: inline;\\n}\\n\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category {\\n  // Override vertical-align: text-top from `badges.css.scss`\\n  vertical-align: baseline;\\n  line-height: $line-height-medium;\\n}\\n\\n.suggested-topics h3 .badge-wrapper.bullet,\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg {\\n  // Top of bullet aligns with top of line - adjust line height to vertically align bullet.\\n  line-height: 0.8;\\n}\\n\\n.suggested-topics .badge-wrapper.bullet span.badge-category,\\n.suggested-topics .badge-wrapper.bar span.badge-category {\\n  max-width: 150px;\\n}\\n\\n.suggested-topics .suggested-topics-title {\\n  display: flex;\\n  align-items: center;\\n}\\n\\n.post-links-container {\\n  @include unselectable;\\n  clear: both;\\n  .post-links {\\n    margin-top: 1em;\\n    padding-top: 1em;\\n    border-top: 1px solid $primary-low;\\n    li:last-of-type {\\n      margin-bottom: 1em;\\n    }\\n  }\\n  .expand-links {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .track-link {\\n    display: flex;\\n    align-items: center;\\n    span:not(.badge) {\\n      @include ellipsis;\\n    }\\n  }\\n  ul {\\n    margin: 0;\\n    list-style: none;\\n    li {\\n      margin-bottom: 0.5em;\\n      a[href] {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n      .clicks {\\n        margin-left: 0.5em;\\n        flex: 0 0 auto;\\n      }\\n      .d-icon {\\n        font-size: $font-down-2;\\n        margin: 0 0.5em 0 0;\\n      }\\n    }\\n  }\\n  a.reply-new {\\n    .d-icon {\\n      background: $secondary;\\n      border-radius: 20px;\\n      transition: all linear 0.15s;\\n    }\\n    &:hover {\\n      color: $tertiary;\\n      .d-icon {\\n        background: $tertiary-low;\\n      }\\n    }\\n  }\\n}\\n\\na.topic-featured-link {\\n  display: inline-block;\\n  text-transform: lowercase;\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  font-size: 0.875rem;\\n  .d-icon {\\n    margin-right: 3px;\\n  }\\n}\\n\\n.topic-area {\\n  .pending-posts {\\n    max-width: calc(\\n      #{$topic-body-width} + #{$topic-avatar-width} + #{$topic-body-width-padding *\\n        2}\\n    );\\n    .reviewable-item {\\n      .post-body {\\n        max-height: unset;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#request-access {\\n  width: 325px;\\n  margin: 0 auto;\\n  input[type=\\"text\\"] {\\n    width: 320px;\\n    height: 30px;\\n    font-size: $font-up-3;\\n  }\\n  input[type=\\"submit\\"] {\\n    font-size: $font-up-3;\\n    padding: 10px;\\n  }\\n}\\n",\n\t\t"/*\\n\\ngithub.com style (c) Vasily Polovnyov <vast@whiteants.net>\\n\\n*/\\n\\n.hljs {\\n  display: block;\\n  padding: 0.5em;\\n  color: dark-light-choose(#333, #f8f8f8);\\n}\\n\\n.hljs-comment,\\n.hljs-doctag {\\n  color: dark-light-choose(#998, #bba);\\n  font-style: italic;\\n}\\n\\n.hljs-keyword,\\n.javascript .hljs-title,\\n.nginx .hljs-title,\\n.hljs-subst,\\n.hljs-request,\\n.hljs-status {\\n  color: dark-light-choose(#333, #f8f8f8);\\n  font-weight: bold;\\n}\\n\\n.hljs-number,\\n.ruby .hljs-constant {\\n  color: dark-light-choose(#099, #aff);\\n}\\n\\n.hljs-string,\\n.hljs-tag .hljs-string,\\n.tex .hljs-formula {\\n  color: dark-light-choose(#d14, #f99);\\n}\\n\\n.hljs-title,\\n.hljs-name,\\n.coffeescript .hljs-params,\\n.scss .hljs-meta {\\n  color: dark-light-choose(#d14, #f99);\\n  font-weight: bold;\\n}\\n\\n.javascript .hljs-title,\\n.lisp .hljs-title,\\n.clojure .hljs-title,\\n.hljs-subst {\\n  font-weight: normal;\\n}\\n\\n.hljs-class .hljs-title,\\n.haskell .hljs-type,\\n.vhdl .hljs-literal,\\n.tex .hljs-command {\\n  color: dark-light-choose(#458, #9ae);\\n  font-weight: bold;\\n}\\n\\n.hljs-tag,\\n.hljs-tag .hljs-title,\\n.django .hljs-tag .hljs-keyword {\\n  color: dark-light-choose(#000080, #99f);\\n  font-weight: normal;\\n}\\n\\n.hljs-attribute,\\n.css .hljs-keyword,\\n.hljs-variable,\\n.lisp .hljs-body {\\n  color: dark-light-choose(#008080, #0ee);\\n}\\n\\n.hljs-regexp {\\n  color: $success;\\n}\\n\\n.hljs-symbol,\\n.ruby .hljs-symbol .hljs-string,\\n.lisp .hljs-keyword,\\n.tex .hljs-special,\\n.hljs-prompt {\\n  color: dark-light-choose(#990073, #fbe);\\n}\\n\\n.hljs-built_in,\\n.lisp .hljs-title,\\n.clojure .hljs-built_in,\\n.hljs-builtin-name {\\n  color: $tertiary-high;\\n}\\n\\n.meta {\\n  color: $primary-medium;\\n  font-weight: bold;\\n}\\n\\n.hljs-deletion {\\n  background: $danger-low;\\n}\\n\\n.hljs-addition {\\n  background: $success-low;\\n}\\n\\n.diff .hljs-meta {\\n  color: $primary-low;\\n}\\n\\n/*\\n--------------------------------------------------------------------------------\\n|                       SHOULD NOT BE REMOVED                                  |\\n--------------------------------------------------------------------------------\\n*/\\n\\np > code,\\nli > code,\\npre > code {\\n  color: dark-light-choose(#333, #f8f8f8);\\n  background: dark-light-choose(#f8f8f8, #333);\\n}\\n\\n// removed some unnecessary styles here\\n",\n\t\t"$discourse-tooltip-background: $secondary;\\n$discourse-tooltip-border: $primary-medium;\\n\\n#discourse-tooltip {\\n  background-color: $discourse-tooltip-background;\\n  position: absolute;\\n  z-index: z(\\"tooltip\\");\\n  border: 1px solid $discourse-tooltip-border;\\n  max-width: 400px;\\n  margin-top: 25px;\\n  overflow-wrap: break-word;\\n  display: none;\\n  font-size: $font-0;\\n  font-weight: 500;\\n\\n  &.retina {\\n    border: 0.5px solid $discourse-tooltip-border;\\n  }\\n\\n  .tooltip-pointer {\\n    position: relative;\\n    background: $discourse-tooltip-background;\\n  }\\n\\n  .tooltip-pointer:before,\\n  .tooltip-pointer:after {\\n    position: absolute;\\n    pointer-events: none;\\n    border: solid transparent;\\n    bottom: 100%;\\n    content: \\"\\";\\n    height: 0;\\n    width: 0;\\n  }\\n\\n  .tooltip-pointer:after {\\n    border-bottom-color: $discourse-tooltip-background;\\n    border-width: 8px;\\n    left: 50%;\\n    margin-left: -8px;\\n    margin-bottom: -0.5px;\\n  }\\n\\n  .tooltip-pointer:before {\\n    border-bottom-color: $discourse-tooltip-border;\\n    border-width: 9px;\\n    left: 50%;\\n    margin-left: -9px;\\n    margin-bottom: -0.5px;\\n  }\\n\\n  .tooltip-content {\\n    padding: 1em;\\n    max-width: 250px;\\n    font-size: $font-down-1;\\n    color: $primary;\\n    box-shadow: shadow(\\"dropdown\\");\\n    line-height: 1.4em;\\n  }\\n}\\n",\n\t\t"// Page not found styles\\n\\n.page-not-found {\\n  margin: 0 0 40px 0;\\n\\n  h1.title {\\n    font-size: $font-up-5;\\n    line-height: $line-height-medium;\\n  }\\n\\n  &-search {\\n    margin-top: 20px;\\n  }\\n}\\n\\n.page-not-found-topics {\\n  display: flex;\\n  @media screen and (max-width: 600px) {\\n    flex-wrap: wrap;\\n  }\\n}\\n\\n.popular-topics,\\n.recent-topics {\\n  box-sizing: border-box;\\n  width: 50%;\\n  max-width: 400px;\\n  margin-bottom: 40px;\\n  padding-right: 20px;\\n  @media screen and (max-width: 600px) {\\n    width: 100%;\\n  }\\n  h2 {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.not-found-topic {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: baseline;\\n  margin-bottom: 15px;\\n  @media screen and (max-width: 600px) {\\n    &:nth-of-type(n + 6) {\\n      display: none;\\n    }\\n  }\\n  a:not(.badge-wrapper) {\\n    flex-basis: 100%;\\n  }\\n}\\n",\n\t\t"// Modal wrappers\\n\\n.modal-outer-container {\\n  width: 100%;\\n  height: 100%;\\n}\\n\\n.modal-middle-container {\\n  display: flex;\\n  height: 100%;\\n  align-items: center;\\n}\\n\\n.modal-inner-container {\\n  box-sizing: border-box;\\n  flex: 0 1 auto;\\n  margin: 0 auto;\\n  max-width: 700px;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"modal\\");\\n\\n  .select-kit {\\n    width: 220px;\\n\\n    &.tag-chooser {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.modal-open {\\n  .dropdown-menu {\\n    z-index: z(\\"modal\\", \\"dropdown\\");\\n  }\\n  .popover {\\n    z-index: z(\\"modal\\", \\"popover\\");\\n  }\\n  .tooltip {\\n    z-index: z(\\"modal\\", \\"tooltip\\");\\n  }\\n}\\n\\n.bootbox.modal {\\n  position: fixed;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  overflow: auto;\\n  height: auto;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"card\\");\\n  background-clip: padding-box;\\n}\\n\\n.input-hint-text {\\n  margin-left: 0.5em;\\n  color: $secondary-high;\\n}\\n\\n.modal-header {\\n  display: flex;\\n  padding: 10px 15px;\\n  border-bottom: 1px solid $primary-low;\\n  align-items: center;\\n\\n  .title {\\n    h3 {\\n      margin-bottom: 0;\\n    }\\n\\n    p {\\n      margin: 0;\\n    }\\n  }\\n\\n  .modal-close {\\n    align-self: flex-start;\\n    order: 2;\\n    margin-left: auto;\\n    padding-left: 2em;\\n    .close {\\n      color: $primary-high;\\n    }\\n  }\\n}\\n\\n.modal-backdrop {\\n  position: fixed;\\n  top: 0;\\n  right: 0;\\n  bottom: 0;\\n  left: 0;\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n  background-color: #111;\\n  &.fade {\\n    opacity: 0;\\n  }\\n}\\n\\n.modal-backdrop,\\n.modal-backdrop.fade.in {\\n  animation: fade 0.3s;\\n  opacity: 0.9;\\n  filter: alpha(opacity=90);\\n}\\n\\n// fade in\\n@keyframes fade {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 0.9;\\n  }\\n}\\n\\n// slide in\\n@keyframes slidein {\\n  from {\\n    transform: translateY(-20%);\\n  }\\n  to {\\n    transform: translateY(0);\\n  }\\n}\\n\\n.create-account.in .modal-inner-container,\\n.login-modal.in .modal-inner-container {\\n  animation: slidein 0.3s;\\n}\\n\\n.inline-modal {\\n  .modal-inner-container {\\n    border: 1px solid $secondary-medium;\\n  }\\n}\\n\\n.fixed-modal {\\n  position: fixed;\\n  top: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  overflow: auto;\\n\\n  &:not(.history-modal) {\\n    .modal-body:not(.reorder-categories):not(.poll-ui-builder) {\\n      max-height: 80vh !important;\\n      @media screen and (max-height: 500px) {\\n        max-height: 65vh !important;\\n      }\\n    }\\n  }\\n}\\n\\n.modal-form {\\n  margin-bottom: 0;\\n}\\n\\n.modal-footer {\\n  padding: 14px 15px 10px;\\n  border-top: 1px solid $primary-low;\\n  .btn {\\n    margin: 0 5px 5px 0;\\n  }\\n}\\n\\n.modal.edit-category-modal {\\n  .modal-body {\\n    textarea {\\n      height: 10em;\\n    }\\n  }\\n  @media screen and (min-width: 524px) {\\n    .modal-inner-container {\\n      min-width: 525px;\\n    }\\n  }\\n}\\n\\n.modal {\\n  .nav {\\n    padding: 10px 30px 10px 15px;\\n    background-color: $secondary;\\n    li > a {\\n      font-size: $font-0;\\n    }\\n    border-bottom: 1px solid $primary-low;\\n  }\\n\\n  &.hidden {\\n    display: none;\\n  }\\n\\n  .modal-body {\\n    box-sizing: border-box;\\n    width: 100%;\\n    overflow-y: auto;\\n    max-height: 400px;\\n\\n    &.full-height-modal {\\n      max-height: calc(100vh - 150px);\\n    }\\n\\n    &.insert-link {\\n      overflow-y: visible;\\n      input {\\n        min-width: 300px;\\n      }\\n\\n      .inputs {\\n        position: relative;\\n        .spinner {\\n          position: absolute;\\n          right: 8px;\\n          top: -15px;\\n          width: 10px;\\n          height: 10px;\\n        }\\n        .internal-link-results {\\n          position: absolute;\\n          top: 70%;\\n          padding: 5px 10px;\\n          box-shadow: shadow(\\"card\\");\\n          z-index: 5;\\n          background-color: $secondary;\\n          max-height: 150px;\\n          width: 90%;\\n          overflow-y: auto;\\n          > .search-link {\\n            padding: 6px;\\n            border-bottom: 1px solid $primary-low;\\n            cursor: pointer;\\n            display: block;\\n            &:hover,\\n            &:focus {\\n              background-color: $highlight-medium;\\n            }\\n            .search-category {\\n              display: flex;\\n              align-items: center;\\n            }\\n            .discourse-tags {\\n              display: inline-block;\\n              font-size: $font-down-1;\\n            }\\n          }\\n        }\\n      }\\n    }\\n    textarea {\\n      width: 99%;\\n      height: 80px;\\n    }\\n    p {\\n      font-size: $font-0;\\n    }\\n    .archetype-option {\\n      margin-bottom: 20px;\\n    }\\n    .warning {\\n      color: $danger !important;\\n    }\\n  }\\n\\n  .password-confirmation {\\n    display: none;\\n  }\\n\\n  section.field {\\n    padding: 0.25em 0;\\n    margin-bottom: 5px;\\n    &.with-items {\\n      display: flex;\\n      align-items: flex-start;\\n    }\\n    .field-item {\\n      display: inline-block;\\n      margin-right: 10px;\\n    }\\n  }\\n\\n  // password reset modal\\n  .modal-body.forgot-password-modal p {\\n    font-size: $font-0;\\n  }\\n\\n  pre code {\\n    white-space: pre-wrap;\\n    max-width: 700px;\\n  }\\n}\\n\\n.reply-where-modal {\\n  .modal-footer {\\n    a {\\n      display: block;\\n    }\\n    .d-modal-cancel {\\n      margin: 1em 0 0.5em;\\n    }\\n    .btn {\\n      text-align: left;\\n      font-size: $font-up-2;\\n      line-height: $line-height-medium;\\n      margin-bottom: 10px;\\n      font-weight: bold;\\n      .topic-title {\\n        font-weight: normal;\\n      }\\n    }\\n  }\\n}\\n\\n.d-modal-cancel {\\n  margin-left: 1em;\\n  color: $primary-medium;\\n  &:hover {\\n    color: $danger;\\n  }\\n}\\n\\n.delete-user-modal {\\n  .modal-footer {\\n    .btn {\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.delete-posts-progress {\\n  .progress-bar {\\n    height: 15px;\\n    position: relative;\\n    background: $primary-low-mid;\\n    border-radius: 25px;\\n    overflow: hidden;\\n    margin: 30px 0 20px;\\n    span {\\n      display: block;\\n      width: 0%;\\n      height: 100%;\\n      background-color: $tertiary;\\n      position: relative;\\n      transition: width 0.6s linear;\\n    }\\n  }\\n}\\n\\n.permission-list {\\n  // Category security tab\\n  list-style: none;\\n  margin: 0 0 30px;\\n  padding: 0;\\n  .name {\\n    margin-right: 20px;\\n    display: inline-block;\\n    min-width: 100px;\\n  }\\n  .permission {\\n    margin-left: 20px;\\n  }\\n  .d-icon-times-circle {\\n    margin-left: 5px;\\n    color: $danger;\\n  }\\n  li {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.edit-category-modal {\\n  input:not([type=\\"checkbox\\"]),\\n  .controls {\\n    display: block;\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .disable_info_wrap {\\n    position: relative;\\n    display: inline-block;\\n    float: right;\\n\\n    .cannot_delete_reason {\\n      position: absolute;\\n      background: $primary;\\n      color: $secondary;\\n      text-align: center;\\n      border-radius: 2px;\\n      padding: 12px 8px;\\n\\n      &::after {\\n        top: 100%;\\n        left: 57%;\\n        border: solid transparent;\\n        content: \\" \\";\\n        position: absolute;\\n        border-top-color: $primary;\\n        border-width: 8px;\\n      }\\n    }\\n  }\\n\\n  .permission-selector {\\n    margin-right: 0.25em;\\n  }\\n\\n  .pending-permission-change-alert {\\n    margin-left: auto;\\n    max-width: 250px;\\n    background: $primary-very-high;\\n    color: $secondary;\\n    margin-top: 10px;\\n    padding: 5px 10px;\\n    position: relative;\\n    .arrow-div {\\n      border: solid transparent;\\n      content: \\" \\";\\n      position: absolute;\\n      border-bottom-color: $primary-very-high;\\n      border-width: 7px;\\n      top: -13px;\\n      left: 200px;\\n    }\\n  }\\n\\n  .add-permission {\\n    position: relative;\\n    top: 0.1em;\\n  }\\n\\n  .edit-category-tab-settings {\\n    $category-settings-width: 280px; // Consistent width makes this all easier to read\\n    > section {\\n      margin-bottom: 1.5em;\\n    }\\n    input[type=\\"number\\"],\\n    input[type=\\"text\\"],\\n    .select-kit {\\n      width: $category-settings-width;\\n    }\\n    label {\\n      max-width: $category-settings-width;\\n    }\\n    .category-email-in-outlet {\\n      label {\\n        flex-wrap: wrap; // Todo: fix all multi-element labels\\n        a {\\n          margin-left: 1.3em;\\n        }\\n      }\\n    }\\n  }\\n  #category-min-tags-from-group {\\n    width: 100px;\\n  }\\n}\\n\\n.incoming-email-modal {\\n  .btn {\\n    transition: none;\\n    background-color: transparent;\\n    margin-right: 5px;\\n    &:hover,\\n    &.active {\\n      color: $primary;\\n    }\\n    &.active {\\n      font-weight: bold;\\n    }\\n    &:focus {\\n      outline: 2px solid $primary-low;\\n    }\\n  }\\n  .incoming-email-tabs {\\n    margin-bottom: 15px;\\n  }\\n  .incoming-email-content {\\n    height: 300px;\\n    max-width: 700px;\\n    width: 90vw; // forcing textarea wider\\n    textarea,\\n    .incoming-email-html-part {\\n      height: 95%;\\n      border: none;\\n      border-top: 1px solid $primary-low;\\n      padding-top: 10px;\\n    }\\n    textarea {\\n      font-family: monospace;\\n      resize: none;\\n      border-radius: 0;\\n      box-shadow: none;\\n    }\\n    .incoming-email-html-part {\\n      padding: 10px 4px 4px 4px;\\n    }\\n  }\\n}\\n\\n.modal .modal-body.change-timestamp {\\n  #date-container {\\n    .pika-single {\\n      width: 100%;\\n      box-sizing: border-box;\\n      display: flex;\\n      justify-content: center;\\n    }\\n  }\\n\\n  form {\\n    display: flex;\\n\\n    .date-picker-wrapper,\\n    input[type=\\"time\\"] {\\n      width: 50%;\\n    }\\n\\n    .date-picker-wrapper {\\n      display: flex;\\n      flex: 1;\\n\\n      .date-picker {\\n        flex: 1;\\n      }\\n    }\\n\\n    input.date-picker,\\n    input[type=\\"time\\"] {\\n      text-align: left;\\n      margin: 0;\\n    }\\n  }\\n}\\n\\n.change-timestamp {\\n  max-width: 420px;\\n}\\n\\n.change-timestamp,\\n.poll-ui-builder {\\n  #date-container {\\n    .pika-single {\\n      position: relative !important; // overriding another important\\n      display: inline-block;\\n      margin-top: 0.5em;\\n    }\\n  }\\n\\n  .date-picker-wrapper {\\n    min-width: 130px;\\n    margin-right: 0.5em;\\n  }\\n\\n  input[type=\\"time\\"] {\\n    width: 130px;\\n  }\\n\\n  form {\\n    margin: 0;\\n  }\\n}\\n\\n.flag-modal {\\n  max-height: 450px;\\n  .flag-action-type-details {\\n    width: 100%;\\n    max-width: 500px;\\n    line-height: $line-height-large;\\n  }\\n}\\n\\n.flag-message {\\n  margin: 0;\\n}\\n\\n.custom-message-length {\\n  color: $primary-medium;\\n  font-size: $font-down-1;\\n}\\n\\n.jump-to-post-modal {\\n  .modal-inner-container {\\n    max-width: 350px;\\n  }\\n  .modal-body {\\n    overflow-y: visible;\\n    #post-jump,\\n    .date-picker {\\n      margin: 0;\\n      width: 100px;\\n    }\\n\\n    .input-hint-text {\\n      color: $primary;\\n    }\\n\\n    .jump-to-post-control .index {\\n      color: $primary-medium;\\n    }\\n\\n    .jump-to-date-control .input-hint-text {\\n      margin-left: 0;\\n    }\\n\\n    .separator {\\n      display: flex;\\n      align-items: center;\\n      margin: 0.5em auto;\\n\\n      hr {\\n        flex: 1 0 0px;\\n      }\\n\\n      .text {\\n        margin: 0 0.5em 0 0;\\n        color: $primary-medium;\\n      }\\n    }\\n  }\\n}\\n\\n// move-to topic modal\\n.move-to-modal {\\n  // move to existing topic\\n  .existing-topic {\\n    .radio {\\n      flex-wrap: wrap;\\n    }\\n    .topic-title {\\n      max-width: 90%;\\n    }\\n    .topic-categories {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.modal:not(.has-tabs) {\\n  .modal-tab {\\n    position: absolute;\\n    width: 95%;\\n  }\\n}\\n\\n.modal {\\n  &.has-tabs {\\n    .modal-tabs {\\n      display: inline-flex;\\n      flex-wrap: wrap;\\n      width: calc(100% - 20px);\\n      flex: 1 0 auto;\\n      margin: 0;\\n\\n      .modal-tab {\\n        list-style: none;\\n        padding: s(1 2);\\n        margin-right: s(1);\\n        cursor: pointer;\\n\\n        &.is-active {\\n          color: $secondary;\\n          background: $danger;\\n\\n          &.single-tab {\\n            background: none;\\n            color: $primary;\\n            padding: s(1 0);\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".groups-header {\\n  display: flex;\\n  flex-wrap: wrap;\\n  margin-bottom: 1em;\\n  .groups-header-new {\\n    order: 2;\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.groups-header-filters {\\n  display: flex;\\n  flex-wrap: wrap;\\n\\n  .groups-header-filters-name,\\n  .groups-header-filters-type {\\n    margin-right: 5px;\\n    margin-bottom: 0.5em;\\n  }\\n\\n  &:last-child {\\n    margin-right: auto;\\n  }\\n}\\n\\n.groups-boxes {\\n  margin: 1em 0;\\n  width: 100%;\\n  // IE11 falls back to flexbox\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: space-between;\\n  // Everything that's not IE11 uses grid\\n  @supports (display: grid) {\\n    display: grid;\\n    grid-template-columns: repeat(4, 24%);\\n    grid-column-gap: 1.333%;\\n    grid-row-gap: 1em;\\n    @include breakpoint(\\"tablet\\") {\\n      grid-template-columns: repeat(3, 32%);\\n      grid-column-gap: 2%;\\n    }\\n    @include breakpoint(\\"mobile-large\\") {\\n      grid-template-columns: 100%;\\n    }\\n  }\\n\\n  .group-box {\\n    // Flex and margin are for IE11\\n    flex: 1 1 24%;\\n    margin: 1%;\\n    @include breakpoint(\\"mobile-large\\") {\\n      margin: 0;\\n    }\\n    display: flex;\\n    box-sizing: border-box;\\n    cursor: pointer;\\n    border: 1px solid $primary-low;\\n    color: $primary;\\n    .discourse-no-touch & {\\n      transition: all 0.25s;\\n      &:hover {\\n        box-shadow: shadow(\\"card\\");\\n      }\\n    }\\n    .group-membership {\\n      color: $primary-medium;\\n      margin-top: auto;\\n      padding-top: 1em;\\n      .is-group-owner,\\n      .is-group-member {\\n        color: $success;\\n      }\\n    }\\n    .group-box-inner {\\n      padding: 1em;\\n      width: 100%;\\n      display: flex;\\n      flex-direction: column;\\n      box-sizing: border-box;\\n      .group-info-wrapper {\\n        display: flex;\\n        overflow: hidden;\\n        flex: 0 1 auto;\\n        .group-avatar-flair {\\n          margin-top: 0.2em;\\n          margin-right: 8px;\\n          flex: 0 0 auto;\\n        }\\n        .group-info {\\n          flex: 1 0 auto;\\n          margin-bottom: 1em;\\n          width: 70%;\\n\\n          span {\\n            width: 100%;\\n            word-break: break-word;\\n            line-height: $line-height-medium;\\n          }\\n        }\\n      }\\n      .group-user-count {\\n        display: flex;\\n        align-items: center;\\n        color: $primary-high;\\n        .d-icon {\\n          margin-right: 0.25em;\\n          font-size: 0.8em;\\n          color: $primary-medium;\\n        }\\n      }\\n      .group-description {\\n        color: $primary-high;\\n        word-wrap: break-word;\\n      }\\n    }\\n\\n    .groups-info-name {\\n      font-size: $font-up-1;\\n      font-weight: bold;\\n      color: $primary;\\n    }\\n\\n    $size: 40px;\\n    $icon-size: $size / 1.8;\\n\\n    .group-avatar-flair {\\n      display: inline-block;\\n      color: $primary;\\n\\n      .avatar-flair {\\n        background-size: $size;\\n        height: $size;\\n        width: $size;\\n        border-radius: 50%;\\n        display: flex;\\n        align-items: center;\\n        justify-content: center;\\n        background-repeat: no-repeat;\\n\\n        .d-icon {\\n          height: $icon-size;\\n          width: $icon-size;\\n        }\\n      }\\n    }\\n    .avatar-flair-image {\\n      width: $size;\\n    }\\n  }\\n}\\n",\n\t\t".caps-lock-warning {\\n  color: $danger;\\n  font-size: $font-down-1;\\n  font-weight: bold;\\n}\\n\\n.discourse-no-touch #login-form {\\n  margin: 0;\\n}\\n\\n.discourse-touch .caps-lock-warning {\\n  display: none;\\n}\\n\\n#login-form {\\n  table {\\n    width: 100%;\\n  }\\n  a {\\n    color: $primary-high;\\n  }\\n  td {\\n    padding-right: 5px;\\n  }\\n  #credentials {\\n    tr:first-of-type {\\n      margin-bottom: 0.75em;\\n    }\\n  }\\n}\\n\\n#new-account-link {\\n  cursor: pointer;\\n}\\n\\n.login-modal,\\n.create-account {\\n  tr {\\n    border: none;\\n  }\\n  tr:not(.instructions) {\\n    td {\\n      padding: 10px 0 0 0;\\n    }\\n  }\\n  td {\\n    label,\\n    input {\\n      margin-bottom: 0;\\n      width: 100%;\\n    }\\n  }\\n  .modal-footer {\\n    .inline-spinner {\\n      display: inline-flex;\\n    }\\n  }\\n  &.awaiting-approval {\\n    display: none;\\n  }\\n}\\n\\n.create-account {\\n  .disclaimer {\\n    color: $primary-medium;\\n    margin-top: 0.5em;\\n  }\\n\\n  .user-field {\\n    > label {\\n      margin-top: 0.75em;\\n      margin-bottom: 0;\\n      padding-top: 5px;\\n    }\\n    &:first-of-type > label {\\n      margin-top: 0;\\n    }\\n\\n    input[type=\\"text\\"] {\\n      margin-bottom: 0;\\n      width: 100%;\\n    }\\n\\n    .select-kit {\\n      width: 100%;\\n    }\\n\\n    .controls {\\n      padding-top: 5px;\\n      label {\\n        width: auto;\\n        text-align: left;\\n        font-weight: normal;\\n      }\\n      .instructions {\\n        margin-top: 0.15em;\\n        color: $primary-medium;\\n        line-height: $line-height-medium;\\n      }\\n    }\\n  }\\n}\\n\\n.password-reset {\\n  .instructions {\\n    label {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\n.invites-show {\\n  .two-col {\\n    position: relative;\\n    display: flex;\\n  }\\n\\n  .col-image {\\n    position: relative;\\n    margin-right: 20px;\\n    @media screen and (max-width: 600px) {\\n      display: none;\\n    }\\n  }\\n\\n  form {\\n    margin-top: 24px;\\n    button.btn-primary {\\n      margin-top: 10px;\\n    }\\n    label:not(.checkbox-label) {\\n      font-weight: bold;\\n    }\\n    .controls,\\n    .input {\\n      margin-bottom: 10px;\\n    }\\n    .instructions {\\n      color: $primary-medium;\\n      margin: 0;\\n      font-size: $font-down-1;\\n      font-weight: normal;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.auth-message {\\n  padding: 0 15px 15px 15px;\\n  &:empty {\\n    padding: 0;\\n  }\\n}\\n\\n.modal tr.instructions {\\n  display: flex;\\n  flex-direction: column;\\n  margin-top: 0.15em;\\n  label {\\n    color: $primary-medium;\\n  }\\n}\\n\\n// alternate login / create new account buttons should be de-emphasized\\n\\nbutton#login-link,\\nbutton#new-account-link {\\n  background: transparent;\\n  color: $primary-high;\\n}\\n\\n#security-key {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  button {\\n    margin-right: 1.5em;\\n  }\\n  p {\\n    margin: 0;\\n    font-size: $font-0;\\n  }\\n  a {\\n    display: inline-block;\\n    padding: 1em 0.5em 1em 0;\\n    color: $tertiary;\\n  }\\n}\\n",\n\t\t".menu-panel.slide-in {\\n  position: fixed;\\n  right: 0;\\n  box-shadow: shadow(\\"header\\");\\n  &.animate {\\n    transition: right 0.2s ease-out, left 0.2s ease-out;\\n  }\\n\\n  .panel-body {\\n    position: absolute;\\n    top: 3px;\\n    bottom: 37px;\\n    width: 97%;\\n  }\\n}\\n.header-cloak {\\n  display: none;\\n}\\n\\n.menu-panel.drop-down {\\n  position: absolute;\\n  // positions are relative to the .d-header .panel div\\n  top: 100%; // directly underneath .panel\\n  right: -10px; // 10px to the right of .panel - adjust as needed\\n}\\n\\n.menu-panel {\\n  border: 1px solid $primary-low;\\n  box-shadow: shadow(\\"menu-panel\\");\\n  background-color: $secondary;\\n  z-index: z(\\"header\\");\\n  padding: 0.5em;\\n  width: 300px;\\n\\n  hr {\\n    margin: 3px 0;\\n  }\\n\\n  .panel-header {\\n    position: absolute;\\n    right: 20px;\\n  }\\n\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n    padding: 0;\\n  }\\n\\n  .panel-body {\\n    touch-action: pan-y pinch-zoom;\\n    overflow-y: auto;\\n    overflow-x: hidden;\\n    max-height: 100vh;\\n  }\\n\\n  .badge-notification {\\n    vertical-align: text-bottom;\\n  }\\n}\\n\\n.menu-links.columned {\\n  li {\\n    width: 50%;\\n    float: left;\\n  }\\n}\\n\\n.menu-panel {\\n  li,\\n  li.heading {\\n    a.widget-link {\\n      padding: 0.25em 0.5em;\\n      display: block;\\n      &:hover,\\n      &:focus {\\n        background-color: $highlight-medium;\\n        outline: none;\\n      }\\n    }\\n\\n    .new {\\n      font-size: $font-down-1;\\n      margin-left: 0.5em;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  .categories-link {\\n    display: block;\\n    padding: 0.25em 0.5em;\\n  }\\n\\n  li.category-link {\\n    float: left;\\n    background-color: transparent;\\n    display: inline-flex;\\n    align-items: center;\\n    padding: 0.25em 0.5em;\\n    width: 50%;\\n    box-sizing: border-box;\\n    a {\\n      display: inline-flex;\\n      &:hover,\\n      &:focus {\\n        background: transparent;\\n      }\\n    }\\n    .badge-notification {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      background-color: transparent;\\n      display: inline;\\n      padding: 0;\\n      font-size: $font-down-1;\\n      line-height: $line-height-large;\\n    }\\n    .badge-wrapper {\\n      &.bar,\\n      &.bullet {\\n        color: $primary;\\n        padding: 0 0 0 0.15em;\\n      }\\n      &.box {\\n        color: $secondary;\\n        + a.badge.badge-notification {\\n          padding-top: 2px;\\n        }\\n        span {\\n          z-index: z(\\"base\\") * -1;\\n        }\\n      }\\n    }\\n  }\\n\\n  // note these topic counts only appear for anons in the category hamburger drop down\\n  b.topics-count {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n  }\\n\\n  span.badge-category {\\n    max-width: 100px;\\n  }\\n\\n  div.discourse-tags {\\n    font-size: $font-down-1;\\n  }\\n}\\n\\n.user-menu {\\n  .quick-access-panel {\\n    width: 100%;\\n    display: table;\\n\\n    h3 {\\n      padding: 0 0.4em;\\n      font-weight: bold;\\n      margin: 0.5em 0;\\n    }\\n\\n    .d-icon,\\n    &:hover .d-icon {\\n      color: $primary-medium;\\n    }\\n    .icon {\\n      color: $primary-high;\\n    }\\n    li {\\n      background-color: $tertiary-low;\\n\\n      // This is until other languages remove the HTML from within\\n      // notifications. It can then be removed\\n      div .fa {\\n        display: none;\\n      }\\n\\n      span:first-child {\\n        color: $primary;\\n      }\\n\\n      &:hover,\\n      &:focus {\\n        background-color: $highlight-medium;\\n        outline: none;\\n      }\\n\\n      a {\\n        padding: 0;\\n        > div {\\n          overflow: hidden; // clears the text from wrapping below icons\\n\\n          // Truncate items with more than 2 lines.\\n          display: -webkit-box;\\n          -webkit-line-clamp: 2;\\n          -webkit-box-orient: vertical;\\n        }\\n      }\\n\\n      p {\\n        margin: 0;\\n        overflow: hidden;\\n      }\\n    }\\n    li:not(.show-all) {\\n      padding: 0.25em 0.5em;\\n      .d-icon {\\n        float: left;\\n        margin-right: 5px;\\n        padding-top: 0.2em;\\n      }\\n    }\\n    .is-warning {\\n      .d-icon-far-envelope {\\n        color: $danger;\\n      }\\n    }\\n    .read {\\n      background-color: $secondary;\\n    }\\n    .none {\\n      padding-top: 5px;\\n    }\\n    .spinner-container {\\n      min-height: 2em;\\n    }\\n    .spinner {\\n      width: 20px;\\n      height: 20px;\\n      border-width: 2px;\\n      margin: 0 auto;\\n    }\\n    .show-all a {\\n      width: 100%;\\n      display: flex;\\n      justify-content: center;\\n      align-items: center;\\n      min-height: 30px;\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n      background: blend-primary-secondary(5%);\\n      &:hover {\\n        color: $primary;\\n        background: dark-light-diff($primary, $secondary, 90%, -80%);\\n      }\\n    }\\n    /* as a big ol' click target, don't let text inside be selected */\\n    @include unselectable;\\n  }\\n\\n  .dismiss-link {\\n    display: inline-block;\\n    float: right;\\n  }\\n}\\n\\ndiv.menu-links-header {\\n  width: 100%;\\n  display: table;\\n  border-collapse: separate;\\n  border-spacing: 0 0.5em;\\n  .menu-links-row {\\n    border-bottom: 1px solid dark-light-choose($primary-low, $secondary-medium);\\n    display: flex;\\n\\n    // Tabs should have \\"ears\\".\\n    padding: 0 4px;\\n\\n    li {\\n      display: inline-flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      &.user {\\n        margin-right: auto;\\n      }\\n      &.glyphs {\\n        flex-wrap: wrap;\\n        text-align: right;\\n        max-width: 65%; //IE11\\n\\n        a {\\n          // Expand the click area a bit.\\n          padding-left: 0.6em;\\n          padding-right: 0.6em;\\n        }\\n      }\\n\\n      a {\\n        // This is to make sure active and inactive tab icons have the same\\n        // size. `box-sizing` does not work and I have no idea why.\\n        border: 1px solid transparent;\\n        border-bottom: 0;\\n      }\\n\\n      a.active {\\n        border: 1px solid dark-light-choose($primary-low, $secondary-medium);\\n        border-bottom: 0;\\n        position: relative;\\n\\n        &:after {\\n          display: block;\\n          position: absolute;\\n          top: 100%;\\n          left: 0;\\n          z-index: z(\\"header\\") + 1; // Higher than .menu-panel\\n          width: 100%;\\n          height: 0;\\n          content: \\"\\";\\n          border-top: 1px solid $secondary;\\n        }\\n\\n        &:focus,\\n        &:hover {\\n          background-color: inherit;\\n        }\\n      }\\n    }\\n  }\\n  a:hover,\\n  a:focus {\\n    background-color: $highlight-medium;\\n    outline: none;\\n  }\\n  a {\\n    padding: 0.3em 0.5em;\\n  }\\n  a.user-activity-link {\\n    align-items: center;\\n    display: flex;\\n    margin: -0.5em 0;\\n    max-width: 130px;\\n\\n    // `overflow: hidden` on `.user-activity-link` would hide the `::after`\\n    // pseudo element (used to create the tab-looking effect). Sets `overflow:\\n    // hidden` on the child username label instead.\\n    overflow: visible;\\n\\n    span.d-label {\\n      display: block;\\n      max-width: 130px;\\n      @include ellipsis;\\n    }\\n\\n    @include breakpoint(mobile-medium) {\\n      max-width: 125px;\\n    }\\n  }\\n  li {\\n    display: table-cell;\\n    width: auto;\\n    text-align: center;\\n  }\\n  li:first-child {\\n    text-align: left;\\n  }\\n\\n  li:last-child {\\n    text-align: right;\\n  }\\n  .fa,\\n  a {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n\\n  .d-icon-user {\\n    margin-right: 0.475em;\\n  }\\n}\\n",\n\t\t".request-group-membership-form {\\n  label {\\n    font-weight: bold;\\n  }\\n}\\n\\n.group-add-membership-request-template {\\n  width: 98%;\\n}\\n",\n\t\t".d-editor-container {\\n  display: flex;\\n  flex-grow: 1;\\n  max-width: 100%;\\n}\\n\\n.d-editor {\\n  display: flex;\\n  flex-grow: 1;\\n  min-height: 0;\\n}\\n\\n.d-editor-textarea-wrapper,\\n.d-editor-preview-wrapper {\\n  flex: 1;\\n}\\n\\n.d-editor-textarea-wrapper {\\n  display: flex;\\n  flex-direction: column;\\n  background-color: $secondary;\\n  position: relative;\\n  border: 1px solid $primary-medium;\\n\\n  textarea {\\n    background: transparent;\\n  }\\n\\n  &.disabled {\\n    cursor: not-allowed;\\n    .d-editor-button-bar {\\n      visibility: hidden;\\n    }\\n  }\\n}\\n\\n.d-editor-preview-wrapper {\\n  max-width: 49%;\\n  margin-left: 1%;\\n  display: flex;\\n  flex-direction: column;\\n}\\n\\n.d-editor-button-bar {\\n  display: flex;\\n  align-items: center;\\n  min-height: 30px;\\n  border-bottom: 1px solid $primary-low;\\n\\n  .btn,\\n  .btn-default {\\n    background-color: transparent;\\n    display: inline-block;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n\\n    svg {\\n      -webkit-transform: translate3d(\\n        0,\\n        0,\\n        0\\n      ); // Hack: Reduces composer icon jitter while scrolling in Safari on iOS12\\n    }\\n  }\\n\\n  .d-editor-spacer {\\n    height: 1em;\\n    display: inline-block;\\n    border-left: 1px solid $primary-low-mid;\\n  }\\n\\n  .btn:not(.no-text) {\\n    font-size: $font-up-1;\\n  }\\n\\n  .btn.bold {\\n    font-weight: bolder;\\n  }\\n\\n  .btn.italic {\\n    font-style: italic;\\n  }\\n}\\n\\n.d-editor-preview-wrapper {\\n  overflow: auto;\\n  cursor: default;\\n  -webkit-overflow-scrolling: touch;\\n}\\n\\n.d-editor-input,\\n.d-editor-preview {\\n  box-sizing: border-box;\\n  flex: 1 1 100%;\\n  width: 100%;\\n  margin: 0;\\n  min-height: auto;\\n  word-wrap: break-word;\\n  -webkit-appearance: none;\\n  border-radius: 0;\\n  &:focus {\\n    box-shadow: none;\\n    border: 0;\\n    outline: 0;\\n  }\\n}\\n\\n.d-editor-input {\\n  border: 0;\\n  padding: 10px;\\n  height: 100%;\\n  overflow-x: hidden;\\n  resize: none;\\n}\\n\\n.d-editor-preview {\\n  height: auto;\\n}\\n\\n.d-editor-plugin {\\n  display: flex;\\n  flex: 1 1;\\n  overflow: auto;\\n}\\n\\n.composing-whisper .d-editor-preview {\\n  font-style: italic;\\n  color: $primary-medium !important;\\n}\\n\\n.d-editor-preview > *:first-child {\\n  margin-top: 0;\\n}\\n\\n.hide-preview .d-editor-preview-wrapper {\\n  display: none;\\n  flex: 0;\\n}\\n\\n.user-preferences .bio-composer,\\n.group-form-bio,\\n.edit-category-tab-topic-template {\\n  textarea {\\n    width: 100%;\\n    height: 100%;\\n    min-height: 10em;\\n  }\\n  .d-editor-container {\\n    display: block;\\n  }\\n  .d-editor-textarea-wrapper {\\n    border: 1px solid $primary-low;\\n  }\\n  .d-editor-preview-wrapper {\\n    max-width: 100%;\\n    margin: 10px 0 0 0;\\n  }\\n  .d-editor-preview {\\n    background-color: $primary-very-low;\\n    padding: 5px;\\n    &:empty {\\n      padding: 0;\\n    }\\n  }\\n}\\n\\n.user-preferences .bio-composer,\\n.group-form-bio {\\n  padding: 10px;\\n  border: 1px solid $primary-low;\\n}\\n\\n.d-editor-preview img {\\n  padding-bottom: 1.4em;\\n  &.emoji,\\n  &.avatar,\\n  &.site-icon {\\n    padding-bottom: 0;\\n  }\\n}\\n\\n.d-editor-preview .image-wrapper {\\n  position: relative;\\n  display: inline-block;\\n  padding-bottom: 1.4em;\\n\\n  img {\\n    padding-bottom: 0;\\n  }\\n\\n  &:hover {\\n    .button-wrapper {\\n      opacity: 0.9;\\n    }\\n  }\\n  .button-wrapper {\\n    opacity: 0;\\n    position: absolute;\\n    transition: all 0.25s;\\n    display: flex;\\n    align-items: center;\\n    bottom: 0;\\n    left: 0;\\n    .separator {\\n      color: $primary-low-mid;\\n    }\\n\\n    .scale-btn {\\n      color: $tertiary;\\n      padding: 0 0.4em;\\n      &:first-of-type {\\n        padding-left: 0;\\n      }\\n\\n      &.active {\\n        font-weight: bold;\\n        color: $primary;\\n      }\\n\\n      &:not(.active):hover {\\n        text-decoration: underline;\\n        cursor: pointer;\\n      }\\n    }\\n  }\\n}\\n\\n.mobile-view .d-editor-preview .image-wrapper .button-wrapper {\\n  opacity: 1;\\n}\\n\\n// d-editor bar button sizing for all editors - this is kept seprate to keep\\n// everything in one place\\n.d-editor-button-bar {\\n  margin: 0.25em;\\n\\n  // shared styles for all font sizes\\n  .btn,\\n  .btn-default {\\n    padding: 0 0.5em;\\n  }\\n  .d-editor-spacer {\\n    margin: 0 0.25em;\\n  }\\n\\n  // small text size\\n  .text-size-smaller & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.4em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n      .d-editor-spacer {\\n        margin: 0 0.25em;\\n      }\\n    }\\n  }\\n\\n  // normal text size\\n  .text-size-normal & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.35em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.25em;\\n      }\\n    }\\n  }\\n\\n  // larger text size\\n  .text-size-larger & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.2em;\\n      }\\n    }\\n  }\\n\\n  // largest text size\\n  .text-size-largest & {\\n    .btn,\\n    .btn-default {\\n      font-size: $font-down-1;\\n    }\\n\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.2em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".timeline-loading {\\n  width: 900px;\\n}\\n\\n.timeline-container {\\n  box-sizing: border-box;\\n  z-index: z(\\"timeline\\");\\n  margin-left: 757px;\\n\\n  @include breakpoint(extra-large, min-width) {\\n    margin-left: 820px;\\n  }\\n  @media all and (min-width: 1250px) {\\n    margin-left: 900px;\\n  }\\n\\n  position: fixed;\\n  -webkit-transform: translate3d(0, 0, 0);\\n\\n  &.timeline-docked {\\n    position: absolute;\\n  }\\n\\n  &.timeline-docked-bottom {\\n    .timeline-footer-controls {\\n      opacity: 0;\\n      pointer-events: none;\\n      cursor: default;\\n    }\\n  }\\n\\n  &.timeline-fullscreen.show {\\n    max-height: 700px;\\n    transition: max-height 0.4s ease-out;\\n    @media screen and (max-height: 425px) {\\n      max-height: 75vh;\\n    }\\n    .topic-timeline {\\n      .timeline-footer-controls {\\n        display: inherit;\\n      }\\n    }\\n    .timeline-controls {\\n      display: table-cell;\\n      vertical-align: top;\\n    }\\n  }\\n\\n  &.timeline-fullscreen {\\n    max-height: 0;\\n    transition: max-height 0.3s ease-in;\\n    position: fixed;\\n    margin-left: 0;\\n    background-color: $secondary;\\n    bottom: 0;\\n    left: 0;\\n    right: 0;\\n    border-top: 1px solid dark-light-choose($primary-low, $secondary-low);\\n    box-shadow: shadow(\\"composer\\");\\n    padding-top: 20px;\\n    z-index: z(\\"fullscreen\\");\\n    @media screen and (max-height: 425px) {\\n      padding-top: 10px;\\n    }\\n    .back-button {\\n      display: none;\\n    }\\n    .topic-timeline {\\n      width: 100%;\\n      table-layout: fixed;\\n      margin-left: 0;\\n      margin-right: 0;\\n      display: table;\\n      touch-action: none;\\n\\n      .timeline-date-wrapper {\\n        float: right;\\n        text-align: right;\\n      }\\n      .post-excerpt {\\n        max-width: 650px;\\n        max-height: 165px;\\n        line-height: $line-height-large;\\n        overflow: hidden;\\n        word-wrap: break-word;\\n        text-overflow: ellipsis;\\n        display: block;\\n        display: -webkit-box;\\n        -webkit-line-clamp: 8;\\n        @media screen and (max-height: 425px) {\\n          -webkit-line-clamp: 5;\\n        }\\n        -webkit-box-orient: vertical;\\n      }\\n      .username {\\n        color: dark-light-choose($primary-high, $secondary-low);\\n        word-wrap: break-word;\\n        font-weight: bold;\\n      }\\n      .title {\\n        margin-top: 0;\\n        padding-left: 1em;\\n        display: table-cell;\\n        vertical-align: top;\\n        width: 100%;\\n        h2 {\\n          margin-top: 0;\\n          display: block;\\n          display: -webkit-box;\\n          -webkit-line-clamp: 4;\\n          -webkit-box-orient: vertical;\\n          max-height: 110px;\\n          line-height: $line-height-medium;\\n          word-wrap: break-word;\\n          text-overflow: ellipsis;\\n          overflow: hidden;\\n          font-size: $font-up-2;\\n        }\\n        a {\\n          color: $primary;\\n        }\\n      }\\n      .timeline-last-read {\\n        right: 0;\\n        margin-left: 0;\\n        .progress {\\n          display: none;\\n        }\\n      }\\n      .timeline-footer-controls {\\n        display: none;\\n        position: absolute;\\n        bottom: 10px;\\n        left: 10px;\\n\\n        button,\\n        .btn-group {\\n          float: none;\\n          display: inline-block;\\n          margin-bottom: 0;\\n          margin-right: 15px;\\n          position: static;\\n        }\\n      }\\n      .timeline-scrollarea-wrapper {\\n        display: table-cell;\\n        padding-bottom: 20px;\\n        padding-right: 1.5em;\\n        width: 100px;\\n      }\\n      .timeline-scrollarea {\\n        border-left: 0;\\n        border-right-style: solid;\\n        border-right-width: 1px;\\n        max-width: 120px;\\n        float: right;\\n\\n        .timeline-scroller {\\n          position: relative;\\n          margin-right: -1.5em;\\n          padding-right: 1.5em;\\n          justify-content: flex-end;\\n          .timeline-scroller-content {\\n            text-align: right;\\n            padding-left: 0;\\n            padding-right: 1em;\\n          }\\n          .timeline-handle {\\n            float: none;\\n            width: 11px;\\n            position: relative;\\n            right: -6px;\\n          }\\n        }\\n      }\\n    }\\n\\n    .timeline-scrollarea-wrapper::after {\\n      content: \\"\\";\\n      display: table;\\n      clear: both;\\n    }\\n  }\\n\\n  .topic-timeline {\\n    margin-left: 3em;\\n    transition: opacity 0.2s ease-in;\\n    touch-action: none;\\n\\n    .timeline-controls {\\n      margin-bottom: 1em;\\n\\n      button {\\n        margin-right: 0.5em;\\n      }\\n    }\\n\\n    .timeline-footer-controls {\\n      margin-top: 1.5em;\\n      transition: opacity 0.2s ease-in;\\n      display: flex;\\n\\n      button {\\n        margin-right: 0.5em;\\n      }\\n\\n      button:last-child {\\n        margin-right: 0;\\n      }\\n    }\\n\\n    .start-date {\\n      @include unselectable;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    .timeline-scrollarea {\\n      margin-top: 0.5em;\\n      margin-left: 0.5em;\\n      border-left: 1px solid;\\n      border-color: dark-light-choose($tertiary-low, $tertiary-high);\\n      position: relative;\\n      -webkit-transform: translate3d(0, 0, 0);\\n    }\\n\\n    .timeline-padding {\\n      transition: height 0.15s ease-out;\\n      cursor: pointer;\\n      .widget-dragging & {\\n        transition: none;\\n      }\\n    }\\n\\n    .timeline-handle {\\n      border-radius: 0.8em;\\n      width: 0.35em;\\n      background-color: dark-light-choose($tertiary-low, $tertiary-high);\\n      height: 100%;\\n      float: left;\\n      z-index: z(\\"base\\") + 1;\\n    }\\n\\n    .timeline-scroller-content {\\n      padding-left: 1em;\\n    }\\n\\n    .timeline-ago {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    .timeline-scroller {\\n      @include unselectable;\\n      margin-left: -0.19em;\\n      cursor: ns-resize;\\n      display: flex;\\n      align-items: center;\\n\\n      .back-button {\\n        margin-top: 1em;\\n      }\\n    }\\n\\n    .timeline-replies {\\n      font-weight: bold;\\n    }\\n\\n    .timeline-last-read {\\n      position: absolute;\\n      margin-left: -0.35em;\\n      .progress {\\n        font-size: 0.8em;\\n        color: $tertiary;\\n        margin-right: 1em;\\n      }\\n      z-index: z(\\"base\\") + 2; // above timeline-handle\\n    }\\n\\n    .back-button {\\n      min-height: unset;\\n      padding: 2px 5px;\\n    }\\n\\n    .now-date {\\n      @include unselectable;\\n      display: inline-block;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      margin-top: 0.5em;\\n    }\\n  }\\n}\\n",\n\t\t".alert {\\n  margin-bottom: 15px;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Banner\\n// --------------------------------------------------\\n\\n#banner {\\n  margin-bottom: 10px;\\n  max-width: 1090px;\\n  max-height: 250px;\\n}\\n",\n\t\t"#reply-control {\\n  .reply-area {\\n    margin: 0 auto;\\n    padding: 5px 15px;\\n    box-sizing: border-box;\\n    height: calc(100% - 11px);\\n    width: 100%;\\n    .submit-panel {\\n      flex-wrap: wrap;\\n      align-items: center;\\n    }\\n  }\\n\\n  #private-message-users {\\n    width: 404px;\\n  }\\n\\n  .item + #private-message-users {\\n    width: 150px;\\n  }\\n\\n  .select-kit.is-expanded {\\n    z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  }\\n}\\n\\n.category-input {\\n  margin-left: 10px;\\n}\\n\\n.edit-title {\\n  .d-editor-preview-wrapper {\\n    margin-top: -43px;\\n  }\\n  &:not(.private-message) {\\n    .d-editor-preview-wrapper {\\n      @media screen and (max-width: 955px) {\\n        margin-top: -77px;\\n      }\\n    }\\n  }\\n\\n  .with-tags {\\n    .d-editor-preview-wrapper {\\n      margin-top: -77px;\\n      @media screen and (max-width: 900px) {\\n        margin-top: -105px;\\n      }\\n    }\\n  }\\n}\\n\\n.closed {\\n  .grippie {\\n    display: none;\\n  }\\n}\\n\\n.open {\\n  .grippie {\\n    cursor: row-resize;\\n    padding: 4px 0;\\n    background: $tertiary;\\n    &:before {\\n      content: \\"\\";\\n      display: block;\\n      width: 27px;\\n      margin: auto;\\n      border-top: 3px double $secondary;\\n    }\\n  }\\n}\\n\\n.discourse-touch {\\n  .open {\\n    .grippie {\\n      padding: 7px 0;\\n    }\\n  }\\n}\\n\\n.composer-popup-container {\\n  max-width: 1500px;\\n  margin-left: auto;\\n  margin-right: auto;\\n}\\n\\n.composer-popup {\\n  position: absolute;\\n  width: calc(50% - 45px);\\n  max-width: 724px;\\n  top: 20px;\\n  bottom: 10px;\\n  left: 51%;\\n  overflow-y: auto;\\n  z-index: z(\\"composer\\", \\"popover\\");\\n  padding: 10px 10px 35px 10px;\\n  box-shadow: shadow(\\"card\\");\\n  background: $highlight-medium;\\n  .hide-preview & {\\n    z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  }\\n\\n  &.urgent {\\n    background: $danger-low;\\n  }\\n\\n  &.education-message {\\n    background-color: $tertiary-low;\\n  }\\n\\n  h3 {\\n    margin-bottom: 10px;\\n  }\\n\\n  p {\\n    margin-bottom: 10px;\\n  }\\n\\n  a.close {\\n    display: flex;\\n    align-items: center;\\n    position: absolute;\\n    right: 10px;\\n    top: 10px;\\n    color: $primary;\\n    opacity: 0.5;\\n    font-size: $font-up-1;\\n    &:before {\\n      content: \\"esc\\";\\n      font-size: $font-down-1;\\n      margin-right: 0.5em;\\n    }\\n  }\\n\\n  a.close:hover {\\n    opacity: 1;\\n  }\\n\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n    padding: 0;\\n\\n    li {\\n      font-weight: normal;\\n      margin-top: 8px;\\n    }\\n  }\\n}\\n\\n.composer-controls {\\n  .d-chevron-down {\\n    vertical-align: text-top;\\n  }\\n}\\n\\n.custom-body {\\n  background-color: $tertiary-low;\\n  p {\\n    max-width: 98%;\\n  }\\n}\\n\\n.similar-topics {\\n  background-color: $tertiary-low;\\n\\n  a[href] {\\n    color: $primary;\\n  }\\n\\n  .posts-count {\\n    background-color: $tertiary;\\n  }\\n\\n  .search-link {\\n    .topic-title {\\n      flex: 0 1 auto;\\n      margin-right: 0.5em;\\n    }\\n    .topic-statuses:empty {\\n      display: none;\\n    }\\n    span.badge-wrapper {\\n      margin-left: 0;\\n    }\\n    .blurb {\\n      color: $primary-high;\\n    }\\n    .topic-title,\\n    .blurb {\\n      .d-icon {\\n        color: $primary-high;\\n      }\\n    }\\n    span.topic {\\n      display: flex;\\n      flex-direction: column;\\n\\n      .first-line {\\n        flex: 1;\\n      }\\n\\n      .second-line {\\n        display: flex;\\n        flex-wrap: wrap;\\n        align-items: center;\\n\\n        .discourse-tags {\\n          flex-wrap: wrap;\\n          display: contents;\\n          font-size: $font-down-1;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.composer-popup:nth-of-type(2) {\\n  margin-left: 10px;\\n  width: calc(50% - 65px);\\n}\\n\\na.toggle-preview {\\n  color: $primary-high;\\n  &:hover {\\n    color: $tertiary;\\n  }\\n}\\n\\n#draft-status,\\n#file-uploading {\\n  flex-grow: 1;\\n  text-align: right;\\n}\\n\\n// fullscreen composer styles\\n.fullscreen-composer {\\n  overflow: hidden;\\n\\n  .profiler-results {\\n    display: none;\\n  }\\n  #reply-control {\\n    &.fullscreen {\\n      // important needed because of inline styles when height is changed manually with grippie\\n      height: 100vh !important;\\n      @supports (--custom: property) {\\n        height: calc(var(--composer-vh, 1vh) * 100) !important;\\n      }\\n      z-index: z(\\"header\\") + 1;\\n      .d-editor-preview-wrapper {\\n        margin-top: 1%;\\n      }\\n      .reply-to {\\n        border-bottom: 1px solid $primary-low;\\n        padding-bottom: 3px;\\n        margin: 0;\\n        .composer-controls {\\n          margin-right: 0;\\n        }\\n      }\\n      .d-editor-textarea-wrapper {\\n        border: none;\\n      }\\n      &.show-preview .d-editor-textarea-wrapper {\\n        border-right: 1px solid $primary-low;\\n      }\\n      #draft-status,\\n      #file-uploading {\\n        margin-left: 0;\\n        text-align: initial;\\n      }\\n      .composer-popup {\\n        top: 30px;\\n      }\\n      &:before {\\n        content: \\"\\";\\n        background: $secondary;\\n        width: 100%;\\n        height: 100%;\\n        position: fixed;\\n        z-index: -1;\\n        left: 0;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Desktop\\n// global styles that apply to the Discourse application specifically\\n// BEWARE: changing these styles implies they take effect anywhere they are seen\\n// throughout the Discourse application\\n\\n// Base Elements\\nbody.widget-dragging {\\n  cursor: ns-resize;\\n}\\n\\n// Common classes\\n.boxed {\\n  height: 100%;\\n}\\n\\n.form-vertical {\\n  .control-group {\\n    margin-bottom: 1.25em;\\n  }\\n  .controls:not(.controls-dropdown) + .controls {\\n    margin-top: 0.5em;\\n  }\\n}\\n\\n/***********************/\\n/* bootstrap carryover */\\n/***********************/\\ncode,\\npre {\\n  font-family: Consolas, Menlo, Monaco, \\"Lucida Console\\", \\"Liberation Mono\\",\\n    \\"DejaVu Sans Mono\\", \\"Bitstream Vera Sans Mono\\", \\"Courier New\\", monospace;\\n}\\n\\n// this removes the unwanted top margin on a paragraph under a heading\\nh1,\\nh2,\\nh3,\\nh4,\\nh5,\\nh6 {\\n  + p {\\n    margin-top: 0;\\n  }\\n}\\n\\nform {\\n  margin: 0 0 18px;\\n}\\n\\nlabel,\\ninput,\\nbutton,\\nselect,\\ntextarea {\\n  font-size: $font-0;\\n  font-weight: normal;\\n  line-height: $line-height-medium;\\n}\\n\\nselect,\\ntextarea {\\n  display: inline-block;\\n  padding: 4px;\\n  margin-bottom: 9px;\\n  font-size: $font-0;\\n  line-height: $line-height-large;\\n  color: $primary;\\n}\\n\\ninput,\\ntextarea {\\n  width: 210px;\\n}\\n\\nselect,\\ninput[type=\\"file\\"] {\\n  line-height: $line-height-large;\\n}\\n\\nselect {\\n  width: 220px;\\n  background: $secondary;\\n\\n  &[multiple],\\n  &[size] {\\n    height: auto;\\n  }\\n}\\n\\ninput,\\ntextarea {\\n  margin-left: 0;\\n}\\n\\ninput {\\n  &[type=\\"radio\\"],\\n  &[type=\\"checkbox\\"] {\\n    &[disabled],\\n    &[readonly] {\\n      background-color: transparent;\\n    }\\n  }\\n}\\n\\n.input {\\n  &-xxlarge,\\n  &-xxlarge + .control-instructions {\\n    width: 530px;\\n  }\\n}\\n\\n.controls-dropdown {\\n  margin-bottom: 10px;\\n}\\n\\n.control-instructions {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  font-size: 0.875rem;\\n}\\n\\n.control-group {\\n  margin-bottom: 9px;\\n\\n  &.warning,\\n  &.error {\\n    > label {\\n      color: $danger;\\n    }\\n\\n    .checkbox,\\n    .radio,\\n    input,\\n    select,\\n    textarea {\\n      color: $danger;\\n      border-color: $danger;\\n\\n      &:focus {\\n        border-color: scale-color($danger, $lightness: -30%);\\n        box-shadow: shadow(\\"focus-danger\\");\\n      }\\n    }\\n  }\\n\\n  &.warning {\\n    .input-prepend,\\n    .input-append {\\n      .add-on {\\n        color: $danger;\\n        background-color: $danger;\\n        border-color: $danger;\\n      }\\n    }\\n  }\\n\\n  &.error {\\n    .input-prepend,\\n    .input-append {\\n      .add-on {\\n        color: $danger;\\n        background-color: $danger-medium;\\n        border-color: scale-color($danger, $lightness: -20%);\\n      }\\n    }\\n  }\\n\\n  &.success {\\n    > label {\\n      color: $success;\\n    }\\n\\n    .checkbox,\\n    .radio,\\n    input,\\n    select,\\n    textarea {\\n      color: $success;\\n      border-color: $success;\\n\\n      &:focus {\\n        border-color: $success;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    .input-prepend,\\n    .input-append {\\n      .add-on {\\n        color: $success;\\n        background-color: $success-low;\\n        border-color: $success;\\n      }\\n    }\\n  }\\n}\\n\\n.form-horizontal {\\n  .hide {\\n    display: none;\\n  }\\n\\n  input,\\n  textarea,\\n  select,\\n  .input-prepend,\\n  .input-append {\\n    display: inline-block;\\n    margin-bottom: 0;\\n  }\\n\\n  .control-group {\\n    @include clearfix;\\n    margin-bottom: 18px;\\n  }\\n\\n  .control-indent {\\n    margin-left: 20px;\\n    margin-bottom: 10px;\\n  }\\n\\n  .control-label {\\n    margin: 6.5px;\\n    float: left;\\n    width: 140px;\\n    text-align: right;\\n    font-weight: bold;\\n  }\\n\\n  .controls {\\n    margin-left: 160px;\\n  }\\n}\\n\\n.bootbox.modal {\\n  .modal-footer {\\n    a.btn-primary {\\n      color: $secondary;\\n    }\\n  }\\n}\\n\\n/* bootstrap columns */\\n.row {\\n  @include clearfix;\\n}\\n\\n.offset {\\n  &2 {\\n    margin-left: 116px;\\n  }\\n\\n  &1 {\\n    margin-left: 64px;\\n  }\\n}\\n\\n// Media Queries\\n@media all and (max-width: 570px) {\\n  body {\\n    min-width: 0;\\n  }\\n\\n  .wrap,\\n  .full-width {\\n    min-width: 0;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Discourse header\\n// --------------------------------------------------\\n\\n.d-header {\\n  left: 0;\\n  height: 4em;\\n  margin-bottom: 15px;\\n  #site-logo {\\n    height: 2.667em; // 40px with default 15px font size\\n  }\\n  #site-text-logo {\\n    font-size: $font-up-3;\\n    margin: 0;\\n  }\\n  .extra-info {\\n    // header title should not be centered if there's no tags / categories\\n    &:not(.two-rows) {\\n      min-height: 2.75em;\\n    }\\n  }\\n}\\n\\n@media all and (max-width: 570px) {\\n  .extra-info-wrapper {\\n    display: none;\\n  }\\n}\\n\\n#main {\\n  position: relative;\\n}\\n\\n#main-outlet {\\n  padding-top: 5.8572em;\\n}\\n\\n.search-link .blurb {\\n  color: dark-light-choose($primary-high, $secondary-medium);\\n  display: block;\\n  word-wrap: break-word;\\n  font-size: $font-down-2;\\n  line-height: $line-height-large;\\n  .search-highlight {\\n    color: dark-light-choose($primary-high, $secondary-low);\\n  }\\n}\\n",\n\t\t"// shared styles used\\n// on both the login and\\n// create account modals\\n.login-modal,\\n.create-account {\\n  #login-buttons:not(.hidden) {\\n    display: flex;\\n    flex: 0 1 auto;\\n    flex-direction: column;\\n    align-items: stretch;\\n    min-height: 75px;\\n    padding: s(0 6);\\n    order: 2;\\n\\n    button {\\n      display: flex;\\n      text-align: left;\\n      margin: 0.35em;\\n      white-space: nowrap;\\n      &:lang(zh_CN) {\\n        min-width: 200px;\\n      }\\n      &:first-of-type:last-of-type {\\n        &.oauth2_basic {\\n          // Handles a strange fringe case where OAuth2 and account approval are enabled\\n          margin-left: auto;\\n          margin-right: auto;\\n          justify-content: center;\\n        }\\n      }\\n    }\\n  }\\n\\n  form {\\n    min-width: 300px;\\n    max-width: 100%;\\n  }\\n\\n  #modal-alert {\\n    max-width: 100%;\\n    padding: s(2 4);\\n  }\\n\\n  .login-modal {\\n    #login-buttons:not(.hidden) {\\n      button {\\n        &:first-of-type {\\n          margin-top: 2.8em;\\n        }\\n        &:last-of-type {\\n          margin-bottom: 3em;\\n        }\\n      }\\n    }\\n  }\\n\\n  .create-account {\\n    #login-buttons:not(.hidden) {\\n      justify-content: flex-start;\\n      padding-top: 2.7em;\\n      + .login-form {\\n        border-right: 1px solid $primary-low; // Only show border when login-form is present\\n      }\\n    }\\n  }\\n\\n  #login-form {\\n    box-sizing: border-box;\\n    flex: 1 0 auto;\\n    padding: s(0 6);\\n    + #login-buttons {\\n      border-left: 1px solid $primary-low; // Only show border when login-form is present\\n    }\\n  }\\n\\n  tr:not(.instructions) {\\n    td {\\n      display: flex;\\n      padding: 5px 0 0 0;\\n    }\\n  }\\n  .tip,\\n  td label {\\n    display: block;\\n    overflow: hidden;\\n    word-wrap: break-word;\\n    margin-bottom: 0;\\n    max-width: 280px;\\n    @media screen and (min-width: 500px) {\\n      max-width: 400px;\\n    }\\n  }\\n}\\n\\n.has-alt-auth {\\n  .tip,\\n  td label {\\n    max-width: 250px;\\n  }\\n}\\n\\n// styles used on\\n// login modal only\\n.d-modal.login-modal {\\n  .modal-body,\\n  #credentials {\\n    display: flex;\\n    align-items: center;\\n    padding: 15px 0;\\n\\n    tr {\\n      display: flex;\\n      flex-direction: column;\\n    }\\n\\n    &.hidden {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// styles used on the\\n// create account\\n// modal only\\n.d-modal.create-account {\\n  .modal-body {\\n    display: flex;\\n    padding: 15px 0;\\n  }\\n\\n  .create-account-form tr {\\n    display: flex;\\n    flex-direction: column;\\n  }\\n\\n  .login-form {\\n    position: relative;\\n    display: flex;\\n    overflow: hidden;\\n    flex: 1 1 auto;\\n\\n    &:after,\\n    &:before {\\n      content: \\"\\";\\n      display: block;\\n      position: absolute;\\n      width: 100%;\\n      pointer-events: none;\\n    }\\n    &:after {\\n      bottom: 0;\\n      height: 35px;\\n      @media screen and (max-height: 650px) {\\n        height: 45px;\\n      }\\n      background-image: linear-gradient(\\n        to bottom,\\n        rgba($secondary, 0) 0%,\\n        rgba($secondary, 0.9) 100%\\n      );\\n    }\\n    &:before {\\n      top: 0;\\n      height: 25px;\\n      background-image: linear-gradient(\\n        to top,\\n        rgba($secondary, 0) 0%,\\n        rgba($secondary, 1) 100%\\n      );\\n    }\\n    form {\\n      box-sizing: border-box;\\n      padding: s(4 6);\\n      margin-bottom: 0;\\n      max-height: 475px;\\n      @media screen and (max-height: 650px) {\\n        max-height: calc(65vh - 100px);\\n        > *:last-child {\\n          margin-bottom: 40px;\\n        }\\n      }\\n      overflow-x: hidden;\\n      overflow-y: auto;\\n    }\\n\\n    form,\\n    table {\\n      width: 100%;\\n      display: block; //IE11\\n    }\\n\\n    tr {\\n      display: flex;\\n      flex-direction: column;\\n      margin-top: 0.15em;\\n      &.password-confirmation {\\n        display: none;\\n      }\\n    }\\n  }\\n\\n  tr.input {\\n    input,\\n    label {\\n      margin-bottom: 0;\\n      width: 100%;\\n    }\\n    .tip {\\n      max-width: 340px;\\n    }\\n  }\\n\\n  .user-fields {\\n    margin-bottom: 20px;\\n  }\\n\\n  .user-field {\\n    display: flex;\\n    flex-direction: column;\\n\\n    &.confirm {\\n      margin-top: 5px;\\n    }\\n\\n    > label {\\n      width: auto;\\n    }\\n\\n    .controls {\\n      margin-left: 0;\\n    }\\n  }\\n\\n  .invites-show {\\n    padding-top: 20px;\\n\\n    .two-col {\\n      margin-top: 30px;\\n    }\\n    .col-form {\\n      margin-left: 200px;\\n      .inline-invite-img {\\n        display: none;\\n      }\\n    }\\n    form {\\n      .controls,\\n      .input {\\n        margin-left: 20px;\\n      }\\n      input,\\n      label {\\n        margin-bottom: 0;\\n      }\\n      .user-field .control-label:not(.checkbox-label) {\\n        margin-left: 20px;\\n      }\\n    }\\n  }\\n\\n  .tos-agree {\\n    margin-bottom: 12px;\\n  }\\n}\\n\\n.login-form {\\n  .tip {\\n    &:not(:empty) + td {\\n      display: none;\\n    }\\n    &:not(:empty),\\n    &:empty + td {\\n      min-height: 1.75em;\\n      &.bad .svg-icon {\\n        vertical-align: middle;\\n      }\\n    }\\n  }\\n}\\n\\n.password-reset,\\n.email-login,\\n.invites-show {\\n  .col-form {\\n    padding-left: 20px;\\n  }\\n  .col-image {\\n    width: 175px;\\n    img {\\n      width: 100%;\\n    }\\n  }\\n  h2 {\\n    margin-bottom: 12px;\\n  }\\n}\\n\\n.password-reset,\\n.email-login {\\n  .col-form {\\n    padding-top: 40px;\\n  }\\n}\\n",\n\t\t"// Hardcode to be the same as before for now. I would recommend not using bootbox, or finding a way so the html structure can be the same\\n.bootbox.modal {\\n  top: 50%;\\n  left: 50%;\\n  width: 610px;\\n  margin: -250px 0 0 -305px;\\n  .cancel {\\n    margin-left: 1em;\\n  }\\n}\\n\\n.modal.in {\\n  -webkit-animation: fade 0.25s;\\n  animation: fade 0.25s;\\n}\\n\\n.modal-body {\\n  padding: 15px;\\n}\\n\\n.modal-footer .btn.right {\\n  float: right;\\n}\\n\\n.modal-header {\\n  h3 {\\n    font-size: $font-up-3;\\n  }\\n}\\n\\n.close {\\n  font-size: $font-up-3;\\n  text-decoration: none;\\n  &:visited {\\n    color: $primary-high;\\n  }\\n  cursor: pointer;\\n  &:hover {\\n    color: $primary;\\n  }\\n}\\n\\n.modal {\\n  .category-chooser {\\n    width: 50%;\\n  }\\n\\n  .modal-body.insert-link {\\n    input {\\n      min-width: 450px;\\n    }\\n  }\\n}\\n\\n.edit-category-modal {\\n  .modal-body {\\n    position: relative;\\n    height: 420px;\\n  }\\n\\n  .disable_info_wrap {\\n    .cannot_delete_reason {\\n      top: -100px;\\n      right: 4px;\\n      max-width: 380px;\\n      min-width: 300px;\\n    }\\n  }\\n}\\n\\n.topic-bulk-actions-modal {\\n  p {\\n    margin-top: 0;\\n  }\\n  &.full .modal-body {\\n    height: 400px;\\n    max-height: 400px;\\n  }\\n\\n  .bulk-buttons {\\n    display: flex;\\n    flex-wrap: wrap;\\n    margin-right: -1%;\\n\\n    .btn {\\n      flex: 1 0 30%;\\n      margin-bottom: 1em;\\n      margin-right: 1%;\\n      white-space: nowrap;\\n      overflow: hidden;\\n      max-width: 33%;\\n\\n      @media screen and (max-width: 767px) {\\n        flex: 1 0 48%;\\n        max-width: 48%;\\n      }\\n\\n      @include breakpoint(mobile-extra-large) {\\n        flex: 1 1 auto;\\n        min-width: 49%;\\n        max-width: unset;\\n      }\\n    }\\n  }\\n}\\n\\n.move-to-modal {\\n  .modal-body {\\n    position: relative;\\n    height: 350px;\\n  }\\n\\n  #move-selected {\\n    // prevents content from moving when user selects different move options 525px\\n    // is the same width we set on category edit modal\\n    width: 525px;\\n\\n    p {\\n      margin-top: 0;\\n    }\\n\\n    .radios {\\n      margin-bottom: 10px;\\n      display: flex;\\n      flex-direction: row;\\n\\n      .radio-label {\\n        display: inline-block;\\n        padding-right: 15px;\\n      }\\n    }\\n\\n    button {\\n      margin-top: 10px;\\n      display: block;\\n      width: 300px;\\n    }\\n\\n    .category-chooser {\\n      margin-bottom: 9px;\\n    }\\n\\n    form {\\n      width: 95%;\\n      margin-top: 20px;\\n      #split-topic-name,\\n      #choose-topic-title,\\n      #choose-message-title {\\n        width: 100%;\\n      }\\n\\n      .participant-selector {\\n        width: 100%;\\n      }\\n\\n      div.ac-wrap {\\n        width: 100%;\\n        margin-bottom: 9px;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".category-list {\\n  margin-bottom: 10px;\\n  width: 100%;\\n\\n  td,\\n  th {\\n    @extend .list-cell;\\n  }\\n\\n  td {\\n    vertical-align: top;\\n  }\\n\\n  th {\\n    vertical-align: middle;\\n  }\\n\\n  td:first-of-type {\\n    padding-left: 10px;\\n  }\\n\\n  &.with-topics {\\n    margin-left: 3px;\\n    .category {\\n      width: 45%;\\n    }\\n  }\\n\\n  .topics .badge-notification,\\n  .category .badge-notification {\\n    background-color: transparent;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n\\n  .topics {\\n    width: 80px;\\n    text-align: right;\\n\\n    .value {\\n      font-size: $font-up-1;\\n    }\\n    .unit {\\n      font-size: $font-down-1;\\n    }\\n    .badge-notification {\\n      display: block;\\n      text-align: right;\\n      padding-right: 0;\\n      margin-top: 5px;\\n    }\\n  }\\n\\n  .subcategories {\\n    margin-top: 0.25em;\\n    clear: both;\\n    .subcategory {\\n      display: inline-flex;\\n      align-items: baseline;\\n      margin-right: 0.3em;\\n    }\\n    .badge-wrapper {\\n      margin-right: 0.5em;\\n    }\\n    .badge-notification.new-posts {\\n      display: block;\\n      padding: 0;\\n    }\\n  }\\n\\n  .featured-topic {\\n    margin: 10px 0 0;\\n    display: flex;\\n    align-items: baseline;\\n    &:first-of-type {\\n      margin-top: 13px;\\n    }\\n    a.last-posted-at,\\n    a.last-posted-at:visited {\\n      font-size: $font-down-1;\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n    }\\n    .title {\\n      @include ellipsis;\\n      flex: 0 1 auto;\\n    }\\n    .topic-statuses {\\n      margin-right: 0.15em;\\n    }\\n    .topic-post-badges .badge.new-posts,\\n    .title {\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  tbody {\\n    .category {\\n      border-left: 6px solid;\\n      h3 {\\n        font-size: $font-up-2;\\n        line-height: $line-height-medium;\\n        a[href] {\\n          color: $primary;\\n        }\\n      }\\n    }\\n\\n    .latest {\\n      padding: 0 0 10px 10px;\\n    }\\n  }\\n}\\n\\n.categories-and-latest,\\n.categories-and-top {\\n  display: flex;\\n  flex-flow: row wrap;\\n\\n  div.column {\\n    flex: 1 0 0px;\\n    flex-direction: row;\\n    min-width: 300px;\\n  }\\n\\n  div.column.categories {\\n    @media all and (max-width: 600px) {\\n      margin-right: 0;\\n    }\\n    @media all and (min-width: 600px) {\\n      margin-right: 1em;\\n    }\\n    @media all and (min-width: 700px) {\\n      margin-right: 2em;\\n    }\\n  }\\n\\n  .discourse-tags {\\n    display: inline-block;\\n    .discourse-tag {\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  .topic-featured-link {\\n    padding-left: 8px;\\n  }\\n}\\n",\n\t\t".latest-topic-list,\\n.top-topic-list {\\n  @extend .topic-list-icons;\\n\\n  .table-heading {\\n    padding: 12px 5px;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n\\n  .no-topics,\\n  .more-topics {\\n    margin-top: 1em;\\n  }\\n}\\n\\n.latest-topic-list-item {\\n  padding: 1em;\\n  border-bottom: 1px solid $primary-low;\\n  display: flex;\\n\\n  align-items: center;\\n\\n  .topic-poster {\\n    width: 60px;\\n  }\\n  .main-link {\\n    @extend .topic-list-main-link;\\n    flex: 0 1 auto;\\n    max-width: 65%;\\n    font-size: $font-0;\\n    .badge-wrapper {\\n      max-width: 100%;\\n      .badge-category-bg {\\n        flex-shrink: 0;\\n      }\\n    }\\n\\n    .top-row {\\n      margin-bottom: 0.1em;\\n      font-size: $font-up-1;\\n    }\\n  }\\n  .topic-stats {\\n    flex: 1 0 0px;\\n    text-align: right;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n\\n  .topic-last-activity a {\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Topic lists\\n// --------------------------------------------------\\n\\n// List controls\\n// --------------------------------------------------\\n\\n.list-controls {\\n  .nav {\\n    float: left;\\n    margin-bottom: 10px;\\n  }\\n\\n  .btn {\\n    float: right;\\n    margin-left: 8px;\\n    margin-bottom: 9px;\\n    font-size: $font-up-1;\\n    font-weight: normal;\\n  }\\n\\n  .search .btn {\\n    float: none;\\n  }\\n\\n  a.badge-category {\\n    padding: 3px 12px;\\n    font-size: $font-up-1;\\n  }\\n}\\n\\n// Base list\\n// --------------------------------------------------\\n\\n.topic-list-icons {\\n  .d-icon-thumbtack {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .d-icon-thumbtack.unpinned {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  a.title {\\n    color: $primary;\\n  }\\n  .d-icon-bookmark {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n}\\n\\n.topic-list {\\n  @extend .topic-list-icons;\\n\\n  margin: 0 0 10px;\\n  th,\\n  td {\\n    padding: 12px 5px;\\n    &:first-of-type {\\n      padding-left: 10px;\\n    }\\n    &:last-of-type {\\n      padding-right: 10px;\\n    }\\n  }\\n  th {\\n    button .d-icon {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  button.bulk-select {\\n    padding: 0;\\n  }\\n\\n  td.bulk-select {\\n    padding: 10px;\\n    width: 30px;\\n    + .main-link {\\n      padding-left: 0;\\n    }\\n  }\\n\\n  .badge-notification {\\n    position: relative;\\n    top: -2px;\\n    &.new-topic {\\n      top: -1px;\\n      padding-left: 5px;\\n    }\\n  }\\n\\n  $td-posters-height: 29px; // min-height of td with avatar glow\\n  $td-posters-more-lh: $td-posters-height - 4;\\n\\n  .posters {\\n    // we know there are up to 5 avatars of fixed size\\n    // will be overridden by media width queries on narrow displays to 1 avatar's width\\n    width: 146px;\\n    > a {\\n      float: left;\\n      margin-right: 4px;\\n      &:last-of-type {\\n        margin-right: 0;\\n      }\\n\\n      &.posters-more-count {\\n        cursor: default;\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n        line-height: $td-posters-more-lh;\\n        font-size: $font-down-1;\\n      }\\n    }\\n  }\\n  td.posters {\\n    height: $td-posters-height;\\n  }\\n  .posters a:first-child .avatar.latest:not(.single) {\\n    box-shadow: 0 0 3px 1px desaturate($tertiary-medium, 35%);\\n    border: 2px solid desaturate($tertiary-medium, 40%);\\n    position: relative;\\n    top: -2px;\\n    left: -2px;\\n  }\\n\\n  .likes {\\n    width: 65px;\\n  }\\n  .views {\\n    width: 65px;\\n  }\\n  .posts {\\n    width: 65px;\\n  }\\n\\n  .post-actions {\\n    clear: both;\\n    width: auto;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    text-align: left;\\n    font-size: $font-down-1;\\n    margin-top: 5px;\\n    .fa {\\n      margin-right: 2px;\\n    }\\n    a {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      margin-right: 3px;\\n      line-height: $line-height-large;\\n    }\\n  }\\n  .activity {\\n    width: 60px;\\n    &:lang(zh_CN) {\\n      width: 80px;\\n    }\\n    span {\\n      cursor: pointer;\\n    }\\n  }\\n  .age {\\n    width: 60px;\\n  }\\n  .with-year {\\n    white-space: nowrap;\\n  }\\n}\\n\\n.topic-list-bottom {\\n  margin: 20px 0;\\n}\\n\\n// Misc. stuff\\n// --------------------------------------------------\\n\\n#list-area .top-lists h2 {\\n  cursor: pointer;\\n  margin: 5px 0 10px;\\n}\\n\\n#list-area {\\n  h2 {\\n    margin: 20px 0 10px;\\n  }\\n  .show-more.has-topics {\\n    top: 0;\\n    .alert {\\n      padding: 12px 35px 12px 14px;\\n    }\\n  }\\n}\\n\\n#bulk-select {\\n  position: fixed;\\n  right: 20px;\\n  top: 130px;\\n  padding: 5px;\\n  background-color: $secondary;\\n  z-index: z(\\"dropdown\\");\\n}\\n\\nbutton.dismiss-read {\\n  float: right;\\n  margin-bottom: 5px;\\n  margin-left: 10px;\\n}\\n\\n.tags-admin-menu {\\n  .dropdown-menu {\\n    right: 0;\\n    top: 30px;\\n    bottom: auto;\\n    left: auto;\\n  }\\n}\\n\\n.category-heading {\\n  p {\\n    line-height: $line-height-large;\\n    font-size: $font-up-3;\\n  }\\n}\\n\\n.category-navigation {\\n  clear: both;\\n}\\n\\n.category-logo.aspect-image {\\n  float: left;\\n  margin: 0.25em 1em 0.5em 0;\\n\\n  img {\\n    width: auto;\\n    max-height: 150px;\\n  }\\n}\\n\\n@supports (--custom: property) {\\n  .category-logo.aspect-image {\\n    --max-height: 150px;\\n    max-height: var(--max-height);\\n    max-width: 60%;\\n    height: auto;\\n    width: calc(var(--max-height) * var(--aspect-ratio));\\n\\n    img {\\n      width: 100%;\\n      height: inherit;\\n      max-width: initial;\\n      max-height: initial;\\n    }\\n  }\\n}\\n\\n/* Tablet (portrait) ----------- */\\n\\n@include breakpoint(medium) {\\n  // slightly smaller font, tighten spacing on nav pills\\n  .nav-pills {\\n    > li > a {\\n      font-size: $font-0;\\n      padding: 7px 10px;\\n    }\\n  }\\n\\n  // new topic just a \\"+\\" no text\\n  button#create-topic {\\n    span {\\n      display: none;\\n    }\\n    .d-icon {\\n      margin-right: 0;\\n    }\\n  }\\n\\n  .topic-list {\\n    // tighter table header spacing\\n    th:first-of-type {\\n      padding: 12px 5px;\\n    }\\n    // smaller table cell spacing\\n    th,\\n    td {\\n      padding: 10px;\\n      font-size: $font-0;\\n    }\\n    // suppress views column\\n    th.views {\\n      display: none;\\n    }\\n    td.views {\\n      display: none;\\n    }\\n    // reduce width for more title space\\n    .posts {\\n      width: 50px;\\n    }\\n    .posters {\\n      width: 30px;\\n      text-align: center;\\n    }\\n    // show only the first poster\\n    td.posters {\\n      a:not(.latest) {\\n        display: none;\\n      }\\n      a.latest {\\n        width: 100%;\\n        img {\\n          margin: 0 auto;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".wrap {\\n  max-width: $large-width;\\n}\\n\\n.full-width {\\n  margin-left: 0;\\n}\\n\\n.topic-body {\\n  // this ensures consistent top margin on topic posts even if the first line of a post\\n  // is a top-margin-less element like a list or image.\\n  .regular {\\n    margin-top: 15px;\\n  }\\n  padding: 0;\\n  &:first-of-type {\\n    border-top: none;\\n  }\\n  .reply-to-tab {\\n    z-index: z(\\"base\\") + 1;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .actions .fade-out {\\n    .discourse-no-touch & {\\n      opacity: 0.7;\\n      transition: background 0.25s, opacity 0.7s ease-in-out;\\n    }\\n    .discourse-touch & {\\n      opacity: 1;\\n    }\\n  }\\n  &:hover .actions .fade-out,\\n  .selected .actions .fade-out {\\n    opacity: 1;\\n  }\\n}\\n\\nsection.post-menu-area {\\n  position: relative;\\n  padding-left: 11px;\\n}\\n\\n.post-links-container {\\n  margin-left: 11px;\\n}\\n\\nnav.post-controls {\\n  padding: 0;\\n\\n  // Some buttons can be doubled up, like likes or flags\\n  .double-button {\\n    display: inline-flex;\\n    color: $primary-low-mid;\\n    margin-right: 0.15em;\\n    &:hover {\\n      button {\\n        background: $primary-low;\\n        color: $primary-medium;\\n      }\\n    }\\n    button {\\n      // It looks really confusing when one half a double button has an inner shadow on click.\\n      &:active {\\n        box-shadow: none;\\n      }\\n      margin-left: 0;\\n      margin-right: 0;\\n      &.my-likes,\\n      &.read-indicator,\\n      &.regular-likes {\\n        // Like count on posts\\n        .d-icon {\\n          color: $primary-low-mid;\\n          padding-left: 0.45em;\\n        }\\n      }\\n      &.like {\\n        // Like button with 0 likes\\n        &.d-hover {\\n          background: $love-low;\\n          .d-icon {\\n            color: $love;\\n          }\\n        }\\n      }\\n      &.has-like {\\n        // Like button after I've liked\\n        .d-icon {\\n          color: $love;\\n        }\\n        &.d-hover {\\n          background: $primary-low;\\n          .d-icon {\\n            color: $primary-medium;\\n          }\\n        }\\n      }\\n      &[disabled] {\\n        // Disabled like button\\n        cursor: not-allowed;\\n      }\\n      &.button-count {\\n        // Like count button\\n        &:not(.my-likes) {\\n          padding-right: 0;\\n        }\\n        &.d-hover {\\n          color: $primary;\\n        }\\n        + .toggle-like {\\n          // Like button when like count is present\\n          padding-left: 0.45em;\\n          &.d-hover {\\n            background: $primary-low;\\n          }\\n        }\\n      }\\n    }\\n  }\\n  a,\\n  button {\\n    color: dark-light-choose($primary-low-mid, $secondary-high);\\n    .d-icon {\\n      opacity: 1;\\n    }\\n    margin-right: 2px;\\n    display: inline-block;\\n  }\\n  a.toggle-likes {\\n    padding: 8px 0;\\n    margin-right: -3px;\\n  }\\n  span.badge-posts {\\n    margin-right: 5px;\\n    transition: all linear 0.15s;\\n  }\\n  .actions {\\n    text-align: right;\\n    float: right;\\n    display: inline-block;\\n    .more-actions {\\n      display: none;\\n      overflow: hidden;\\n    }\\n  }\\n  .show-replies {\\n    margin-left: -10px;\\n    font-size: inherit;\\n    span.badge-posts {\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n    }\\n    &:hover {\\n      background: $primary-low;\\n      span.badge-posts {\\n        color: $primary;\\n      }\\n    }\\n    .d-icon {\\n      margin-left: 5px;\\n      font-size: $font-down-1;\\n    }\\n  }\\n  button.create {\\n    margin-right: 0;\\n    color: dark-light-choose($primary-high, $secondary-low);\\n    margin-left: 10px;\\n    .d-icon {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n  }\\n  .create .d-icon {\\n    margin-right: 5px;\\n  }\\n  button {\\n    font-size: $font-up-1;\\n    padding: 8px 10px;\\n    vertical-align: top;\\n    background: transparent;\\n    border: none;\\n    margin-left: 3px;\\n    &.d-hover,\\n    &:focus {\\n      background: $primary-low;\\n      color: $primary;\\n    }\\n    &:active {\\n      box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.4);\\n    }\\n    &.hidden {\\n      display: none;\\n    }\\n    &.admin {\\n      position: relative;\\n    }\\n    &.delete.d-hover,\\n    &.delete:hover,\\n    &.delete:focus {\\n      background: $danger;\\n      color: $secondary;\\n      .d-icon {\\n        color: $secondary;\\n      }\\n    }\\n    &.bookmark {\\n      padding: 8px 11px;\\n      &.bookmarked .d-icon {\\n        color: $tertiary;\\n      }\\n    }\\n  }\\n  .post-admin-menu {\\n    display: inline-flex;\\n    flex-direction: column;\\n    box-sizing: border-box;\\n    background-color: $secondary;\\n    width: auto;\\n    max-width: 320px;\\n    padding: 10px;\\n    border: 1px solid $primary-low;\\n    position: absolute;\\n    text-align: left;\\n    bottom: -2px;\\n    right: 15px;\\n    z-index: z(\\"dropdown\\");\\n    h3 {\\n      margin-top: 0;\\n      color: $primary;\\n      font-size: $font-0;\\n    }\\n    ul {\\n      list-style: none;\\n      margin: 10px 0 0 0;\\n    }\\n    li {\\n      margin-bottom: 5px;\\n      .d-icon {\\n        width: 14px;\\n        margin-right: 10px;\\n      }\\n    }\\n  }\\n}\\n\\n.embedded-posts {\\n  h1,\\n  h2,\\n  h3 {\\n    margin: 10px 0;\\n  }\\n  border: 1px solid $primary-low;\\n  .topic-body {\\n    box-sizing: border-box;\\n    width: calc(100% - 70px); // [100% - .topic-avatar width]\\n    // WARNING: overflow hide is required for quoted / embedded images\\n    // which expect \\"normal\\" post width, but expansions are narrower\\n    overflow: hidden;\\n  } // this is covered by .topic-body .regular on a normal post\\n  // but no such class structure exists for an embedded, expanded post\\n  .cooked {\\n    margin-top: 15px;\\n  }\\n  .topic-avatar {\\n    padding-left: 25px;\\n    padding-top: 15px;\\n  }\\n  .collapse-down,\\n  .collapse-up {\\n    position: absolute;\\n    color: $primary-medium;\\n    background: $secondary;\\n    border: 1px solid $primary-low;\\n    padding: 6px 9px 8px;\\n    z-index: 99; // Needs to be higher than topic-avatar\\n    .d-icon {\\n      color: currentColor;\\n    }\\n    .discourse-no-touch & {\\n      &:hover {\\n        background: $primary-low;\\n        color: $primary-high;\\n        .d-icon {\\n          color: currentColor;\\n        }\\n      }\\n    }\\n  } // bottom means \\"reply expansion\\" below a post\\n  &.bottom {\\n    border-top: none;\\n    margin-bottom: 20px;\\n    margin-left: 11px;\\n    &.hidden {\\n      display: block;\\n      opacity: 0;\\n    }\\n  }\\n  &.bottom {\\n    .collapse-up {\\n      transform: translate(-50%, -164%);\\n    }\\n    .row {\\n      padding-bottom: 0.5em;\\n      .topic-avatar,\\n      .topic-body {\\n        border-top: 1px solid $primary-low;\\n      }\\n    }\\n  } // top means \\"in reply to expansion\\" above a post\\n  &.top {\\n    border-bottom: none;\\n    .collapse-down {\\n      transform: translate(-50%, 55%);\\n    }\\n    margin-left: 56px;\\n    width: 699px;\\n    .row {\\n      border-bottom: none;\\n      .topic-avatar,\\n      .topic-body {\\n        border-top: 1px solid $primary-low;\\n      }\\n    }\\n  }\\n  &.top.topic-body {\\n    padding: 0;\\n  }\\n  .post-date {\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n  .d-icon-arrow-up,\\n  .d-icon-arrow-down {\\n    margin-left: 5px;\\n  }\\n  .reply:first-of-type .row {\\n    border-top: none;\\n  }\\n  .topic-meta-data {\\n    position: relative;\\n  }\\n  .topic-meta-data h5 {\\n    position: absolute;\\n    z-index: z(\\"base\\");\\n    font-size: $font-down-1;\\n    a {\\n      font-weight: bold;\\n      color: dark-light-choose($primary-low-mid, $secondary-high);\\n    }\\n  }\\n  .arrow {\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n  }\\n}\\n\\n.post-action {\\n  .relative-date {\\n    margin-left: 5px;\\n  }\\n  .avatar {\\n    margin-right: 2px;\\n  }\\n}\\n\\n.topic-map {\\n  margin: 20px 0 20px 11px;\\n  .map {\\n    .secondary {\\n      text-align: center;\\n    }\\n    li {\\n      float: left;\\n      padding: 7px 10px;\\n      &:last-of-type {\\n        border-right: 0;\\n      }\\n      &:nth-child(3) {\\n        text-align: center;\\n      }\\n    }\\n    .number {\\n      color: $primary-high;\\n    }\\n    .number,\\n    .d-icon {\\n      font-size: $font-up-2;\\n      line-height: $line-height-medium;\\n    }\\n    button .d-icon,\\n    button:hover .d-icon {\\n      color: $primary-high;\\n    }\\n    .avatar a {\\n      float: left;\\n    }\\n    .topic-map-post {\\n      margin-top: 6px;\\n    }\\n  }\\n  .avatars,\\n  .links,\\n  .information {\\n    padding: 7px 10px 7px 10px;\\n    color: $primary;\\n  }\\n  .buttons {\\n    float: right;\\n    .btn {\\n      border: 0;\\n      padding: 0 23px;\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n      background: blend-primary-secondary(5%);\\n      border-left: 1px solid $primary-low;\\n      border-top: 1px solid transparent;\\n      &:hover {\\n        color: $primary;\\n        background: $primary-low;\\n      }\\n      &.collapsed {\\n        padding-bottom: 1px;\\n      }\\n      .fa {\\n        margin: 0;\\n        font-size: $font-up-2;\\n        line-height: 52px;\\n      }\\n    }\\n  }\\n  .link-summary .btn {\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n    background: blend-primary-secondary(5%);\\n    width: 100%;\\n    &:hover {\\n      color: $primary;\\n      background: dark-light-diff($primary, $secondary, 90%, -80%);\\n    }\\n  }\\n}\\n\\n@mixin topic-footer-button {\\n  margin-bottom: 5px;\\n  margin-right: 10px;\\n}\\n\\n#topic-footer-buttons {\\n  padding: 10px 10px 0 0;\\n  float: left;\\n  .btn {\\n    @include topic-footer-button;\\n    .d-icon-bookmark.bookmarked {\\n      color: $tertiary;\\n    }\\n  }\\n  .bookmark.bookmarked .d-icon-bookmark {\\n    color: $tertiary;\\n  }\\n}\\n\\n#topic-footer-button {\\n  width: 757px;\\n}\\n\\n.suggested-topics {\\n  clear: left;\\n  padding: 20px 0 15px 0;\\n  table {\\n    margin-top: 10px;\\n  }\\n}\\n\\n.suggested-topics .topic-statuses .topic-status {\\n  padding: 0;\\n  .d-icon {\\n    font-size: 1em;\\n  }\\n}\\n\\nspan.post-count {\\n  background: $primary;\\n  color: $secondary;\\n  opacity: 0.8;\\n}\\n\\nbutton.expand-post {\\n  margin-top: 10px;\\n  margin-left: $topic-body-width-padding;\\n}\\n\\n.quote-button.visible {\\n  display: block;\\n}\\n\\niframe {\\n  max-width: 100%;\\n}\\n\\nvideo {\\n  max-height: 500px;\\n}\\n\\n.video {\\n  // Height determined by aspect-ratio\\n  max-height: 500px;\\n  > video {\\n    max-height: unset;\\n  }\\n}\\n\\n@-webkit-keyframes fadein {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n@keyframes fadein {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n.open > .dropdown-menu {\\n  display: block;\\n}\\n\\n.btn-group {\\n  position: relative;\\n}\\n\\n.dropdown-toggle {\\n  float: left;\\n  position: relative;\\n}\\n\\n.deleted {\\n  .topic-body {\\n    background-color: dark-light-diff(\\n      rgba($danger, 0.7),\\n      $secondary,\\n      50%,\\n      -60%\\n    );\\n  }\\n}\\n\\n.post-select {\\n  float: right;\\n  margin-right: 20px;\\n  margin-top: -20px;\\n}\\n\\n.deleted-user-avatar {\\n  font-size: $font-up-6;\\n}\\n\\n.info-line {\\n  margin: 10px 0;\\n  color: $primary;\\n}\\n\\n/* solo quotes */\\n\\nblockquote {\\n  /* leave browser defaults for top and bottom here */\\n  margin-left: 0;\\n  margin-right: 0;\\n  padding: 12px;\\n}\\n\\n/* quotes with attribution */\\n\\n.quote {\\n  & > blockquote {\\n    .onebox-result {\\n      background-color: $primary-very-low;\\n    }\\n  }\\n  aside {\\n    .quote,\\n    .title,\\n    blockquote,\\n    .onebox,\\n    .onebox-result {\\n      background: $primary-very-low;\\n      border-left: 5px solid $primary-low;\\n    }\\n    aside.quote > blockquote,\\n    aside.quote > .title {\\n      border-left: 0;\\n    }\\n  }\\n}\\n\\n// variables are used to calculate the width of .gap\\n.topic-body {\\n  width: calc(#{$topic-body-width} + (#{$topic-body-width-padding} * 2));\\n  float: left;\\n  position: relative;\\n  border-top: 1px solid $primary-low;\\n  padding: 12px 0 0 0;\\n  .topic-meta-data,\\n  .cooked {\\n    padding: 0 $topic-body-width-padding 0.25em $topic-body-width-padding;\\n  }\\n  a.expand-hidden {\\n    padding-left: $topic-body-width-padding;\\n  }\\n}\\n\\n.topic-avatar {\\n  border-top: 1px solid $primary-low;\\n  padding-top: 15px;\\n  width: $topic-avatar-width;\\n  float: left;\\n  z-index: z(\\"base\\") + 1;\\n}\\n\\n.gap {\\n  width: calc(\\n    #{$topic-avatar-width} + #{$topic-body-width} + 2 * #{$topic-body-width-padding}\\n  );\\n}\\n\\n/* hide the reply border above the time gap notices */\\n\\n.time-gap + .topic-post .topic-body,\\n.time-gap + .topic-post .topic-avatar {\\n  border-top: none;\\n}\\n\\n.time-gap + .topic-post .embedded-posts.top {\\n  border-bottom: 1px solid $primary-low;\\n}\\n\\n.posts-wrapper {\\n  position: relative;\\n  -webkit-font-smoothing: subpixel-antialiased;\\n}\\n\\n.dropdown {\\n  position: relative;\\n}\\n\\n.caret {\\n  display: inline-block;\\n  width: 0;\\n  height: 0;\\n  vertical-align: middle;\\n  border-top: 4px solid $primary;\\n  border-right: 4px solid transparent;\\n  border-left: 4px solid transparent;\\n  content: \\"\\";\\n  margin-left: 5px;\\n}\\n\\n.dropdown-menu {\\n  position: absolute;\\n  bottom: 115%;\\n  left: 0;\\n  z-index: z(\\"dropdown\\");\\n  display: none;\\n  float: left;\\n  width: 550px;\\n  margin: 1px 0 0;\\n  list-style: none;\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n  box-shadow: shadow(\\"dropdown\\");\\n  background-clip: padding-box;\\n  span {\\n    font-size: $font-down-1;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  span.title {\\n    font-weight: bold;\\n    display: block;\\n    font-size: $font-0;\\n    color: $primary;\\n  }\\n}\\n\\n.dropdown-menu a {\\n  display: block;\\n  padding: 9px;\\n  clear: both;\\n  font-weight: normal;\\n  line-height: $line-height-medium;\\n  color: $primary;\\n  transition: all linear 0.15s;\\n  & > div {\\n    margin-left: 26px;\\n  }\\n}\\n\\n.dropdown-menu li > a:hover,\\n.dropdown-menu .active > a,\\n.dropdown-menu .active > a:hover {\\n  color: $primary;\\n  text-decoration: none;\\n  background-color: $highlight-medium;\\n}\\n\\n.dropdown-menu .disabled > a,\\n.dropdown-menu .disabled > a:hover {\\n  text-decoration: none;\\n  color: $primary;\\n  background-color: $tertiary-low;\\n  cursor: default;\\n}\\n\\n.dropdown-menu .icon {\\n  margin-top: 3px;\\n  float: left;\\n  font-size: $font-up-2;\\n}\\n\\n.open > .dropdown-menu {\\n  display: block;\\n  clear: both;\\n}\\n\\n.selected-posts {\\n  width: 200px;\\n  position: fixed;\\n  z-index: z(\\"dropdown\\");\\n  box-shadow: shadow(\\"card\\");\\n  padding: 0.714em;\\n  margin-bottom: 5px;\\n  right: 10px;\\n  @include breakpoint(extra-large, min-width) {\\n    right: auto;\\n    margin-left: 330px;\\n    left: 50%;\\n  }\\n  button {\\n    width: 100%;\\n    margin: 4px auto;\\n    display: inline-block;\\n    text-align: left;\\n  }\\n  &.hidden {\\n    display: none;\\n  }\\n  .controls {\\n    margin-top: 10px;\\n  }\\n  p {\\n    font-size: $font-down-1;\\n    margin: 0 0 10px 0;\\n  }\\n  p.cancel {\\n    margin: 10px 0 0 0;\\n  }\\n  h3 {\\n    font-size: $font-up-4;\\n    color: $primary;\\n    margin-bottom: 5px;\\n    .d-icon {\\n      margin-right: 7px;\\n    }\\n  }\\n}\\n\\na.attachment:before {\\n  display: inline-block;\\n  margin-right: 4px;\\n  // ideally, the SVG used here should be in HTML and reference the SVG sprite\\n  content: svg-uri(\\n    '<svg xmlns=\\"http://www.w3.org/2000/svg\\" width=\\"14px\\" height=\\"16px\\" viewBox=\\"0 0 512 512\\" fill=\\"#{$tertiary}\\"><path d=\\"M216 0h80c13.3 0 24 10.7 24 24v168h87.7c17.8 0 26.7 21.5 14.1 34.1L269.7 378.3c-7.5 7.5-19.8 7.5-27.3 0L90.1 226.1c-12.6-12.6-3.7-34.1 14.1-34.1H192V24c0-13.3 10.7-24 24-24zm296 376v112c0 13.3-10.7 24-24 24H24c-13.3 0-24-10.7-24-24V376c0-13.3 10.7-24 24-24h146.7l49 49c20.1 20.1 52.5 20.1 72.6 0l49-49H488c13.3 0 24 10.7 24 24zm-124 88c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20zm64 0c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20z\\"></path></svg>'\\n  );\\n  vertical-align: middle;\\n}\\n\\n.topic-meta-data {\\n  align-items: center;\\n\\n  .names {\\n    display: flex;\\n    align-items: center;\\n  }\\n\\n  &:after {\\n    visibility: hidden;\\n    display: block;\\n    font-size: 0;\\n    content: \\" \\";\\n    clear: both;\\n    height: 0;\\n  }\\n\\n  .post-info {\\n    a {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    a.wiki {\\n      color: $wiki;\\n    }\\n  }\\n}\\n\\n.who-liked,\\n.who-read {\\n  margin-top: 20px;\\n  margin-bottom: 0;\\n  width: 100%;\\n  text-align: right;\\n}\\n\\nspan.highlighted {\\n  background-color: $tertiary-low;\\n}\\n\\n.first.new-user:not(.staff) a {\\n  color: $primary-low-mid;\\n}\\n\\n.read-state {\\n  position: absolute;\\n  // We use absolute positioning here because we want it to display in the padding\\n  align-self: center;\\n  color: $tertiary-medium;\\n  right: 0;\\n  font-size: 0.571em;\\n}\\n\\n.read-state.read {\\n  visibility: hidden;\\n  opacity: 0;\\n  transition: visibility 1s, opacity ease-out 1s;\\n}\\n\\n.signup-cta {\\n  width: $topic-body-width;\\n}\\n\\n/* Tablet (portrait) ----------- */\\n\\n@media all and (max-width: 775px) {\\n  .topic-avatar {\\n    width: 45px;\\n  }\\n  .topic-post .reply-to-tab {\\n    right: 15%;\\n  }\\n  .topic-body {\\n    box-sizing: border-box;\\n    width: calc(100% - 47px); //100% - [width of .topic-avatar + 2px]\\n  }\\n  .embedded-posts {\\n    // top means \\"in reply to expansion\\" above a post\\n    &.top {\\n      width: calc(100% - 56px); // [100% - margin-left]\\n    }\\n  }\\n}\\n",\n\t\t".post-actions {\\n  @include unselectable;\\n  clear: both;\\n  text-align: right;\\n  margin-bottom: 10px;\\n  .post-action {\\n    display: inline-block;\\n    margin-left: 10px;\\n    margin-top: 10px;\\n  }\\n}\\n\\n.post-menu-area {\\n  margin: 20px 0;\\n}\\n\\n#topic-title {\\n  z-index: z(\\"base\\");\\n  padding-top: 14px;\\n  margin-bottom: 10px;\\n\\n  #edit-title,\\n  .category-chooser,\\n  .edit-controls {\\n    width: 500px;\\n  }\\n  h1 {\\n    font-size: $font-up-4;\\n    line-height: $line-height-medium;\\n    overflow: hidden;\\n    width: 100%;\\n    a {\\n      color: $primary;\\n    }\\n  }\\n  .private-message-glyph {\\n    display: none;\\n  }\\n  .remove-featured-link {\\n    float: right;\\n    text-transform: lowercase;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    font-size: 0.857rem;\\n  }\\n}\\n\\n.private-message-glyph {\\n  float: left;\\n}\\n\\n.private_message #topic-title .private-message-glyph {\\n  display: inline;\\n}\\n\\n.topic-error,\\n.topic-notice {\\n  padding: 18px;\\n  width: 60%;\\n  margin-left: auto;\\n  margin-right: auto;\\n  font-size: $font-up-4;\\n  text-align: center;\\n  line-height: $line-height-medium;\\n\\n  .topic-retry,\\n  .topic-join-group {\\n    display: block;\\n    margin-top: 28px;\\n    margin-left: auto;\\n    margin-right: auto;\\n  }\\n}\\n\\n.topic-status-info {\\n  border-top: 1px solid $primary-low;\\n  padding: 10px 0;\\n  max-width: 758px;\\n  .topic-timer-heading {\\n    display: flex;\\n    align-items: center;\\n    margin: 0px;\\n  }\\n  .topic-timer-remove {\\n    font-size: $font-down-2;\\n    background: transparent;\\n    margin-left: auto;\\n  }\\n}\\n\\n#topic-progress-wrapper {\\n  position: fixed;\\n  right: 1em;\\n  bottom: 0;\\n  z-index: z(\\"timeline\\");\\n  &.docked {\\n    position: absolute;\\n    bottom: -70px;\\n  }\\n}\\n\\n#topic-progress-expanded {\\n  border: 1px solid $primary-low;\\n  padding: 5px;\\n  background: $secondary;\\n\\n  position: relative;\\n  left: 340px;\\n  width: 135px;\\n\\n  button.full {\\n    width: 100%;\\n    margin-bottom: 5px;\\n    .d-icon {\\n      display: block;\\n      margin-top: 2px;\\n      margin-bottom: 2px;\\n      font-size: $font-up-2;\\n    }\\n  }\\n  .jump-form {\\n    input[type=\\"text\\"] {\\n      float: left;\\n      width: 45px;\\n      height: 20px;\\n      text-align: center;\\n      margin-bottom: 0;\\n      font-size: $font-up-1;\\n    }\\n    button.btn {\\n      float: right;\\n      width: 55px;\\n    }\\n  }\\n  button.btn.jump-prompt {\\n    margin: 0;\\n  }\\n\\n  button.btn.jump-bottom {\\n    margin: 5px 0 0 0;\\n  }\\n}\\n\\n#topic-progress {\\n  position: relative;\\n  left: 340px;\\n  &.hidden {\\n    display: none;\\n  }\\n  background-color: $secondary;\\n  color: $tertiary;\\n  border: 1px solid $tertiary-low;\\n  border-bottom: none;\\n  width: 145px;\\n  height: 34px;\\n\\n  /* as a big ol' click target, don't let text inside be selected */\\n  @include unselectable;\\n\\n  &:hover {\\n    cursor: pointer;\\n  }\\n  .nums {\\n    position: relative;\\n    top: 9px;\\n    width: 100%;\\n    text-align: center;\\n    z-index: z(\\"base\\");\\n  }\\n  .d-icon {\\n    position: absolute;\\n    right: 8px;\\n    bottom: 9px;\\n    z-index: z(\\"base\\");\\n  }\\n  h4 {\\n    display: inline;\\n    font-size: $font-up-2;\\n    line-height: $line-height-small;\\n  }\\n  .bg {\\n    position: absolute;\\n    top: 0;\\n    bottom: 0;\\n    width: 0;\\n    max-width: 145px;\\n    border-right: 1px solid $tertiary-low;\\n    background-color: $tertiary-low;\\n    transition: width 0.75s;\\n  }\\n}\\n\\n#topic-filter {\\n  background-color: $highlight-medium;\\n  padding: 8px;\\n  bottom: 0;\\n  position: fixed;\\n  width: 100%;\\n  font-size: $font-0;\\n  z-index: z(\\"dropdown\\");\\n}\\n\\n@media all and (min-width: 400px) {\\n  #topic-progress,\\n  #topic-progress-expanded {\\n    right: 0;\\n    left: 0;\\n  }\\n\\n  #topic-progress-wrapper {\\n    right: 19vw;\\n  }\\n\\n  #topic-progress-wrapper.docked {\\n    right: 19vw;\\n  }\\n\\n  #topic-footer-main-buttons {\\n    max-width: 70%;\\n  }\\n}\\n\\n@media all and (max-width: 485px) {\\n  #topic-progress-wrapper.docked {\\n    display: none;\\n  }\\n\\n  #topic-footer-main-buttons {\\n    max-width: 100%;\\n  }\\n}\\n",\n\t\t".upload-selector {\\n  label {\\n    display: inline-block;\\n    padding-left: 10px;\\n  }\\n  .radios {\\n    min-height: 60px;\\n    display: flex;\\n    align-items: flex-start;\\n    label {\\n      flex: 1 0 auto;\\n      margin-right: 1em;\\n      margin-top: 1px;\\n    }\\n    .inputs {\\n      width: 100%;\\n      input {\\n        width: 90%;\\n        margin: 0 0 5px 0;\\n      }\\n      input[type=\\"file\\"] {\\n        font-size: $font-0;\\n        line-height: $line-height-medium;\\n      }\\n      .description,\\n      .hint {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n        display: block;\\n      }\\n      .hint {\\n        font-style: italic;\\n        margin: 5px 0 0 0;\\n      }\\n      .label {\\n        margin: 0 0 5px 0;\\n      }\\n    }\\n  }\\n  .radios:last-child:not(:nth-child(2)) {\\n    // last child for composer modal, but not theme import modal\\n    min-height: 20px;\\n  }\\n}\\n\\n.uploaded-image-preview {\\n  height: 270px;\\n  width: 400px;\\n  max-height: 150px;\\n  margin-bottom: 10px;\\n}\\n",\n\t\t"// Desktop styles for \\"/user\\" section\\n.user-content-wrapper {\\n  &,\\n  > .user-stream {\\n    > .alert:first-child {\\n      margin-top: 10px;\\n    }\\n  }\\n\\n  .show-mores {\\n    position: absolute;\\n  }\\n}\\n\\n.form-horizontal .control-group.category {\\n  margin-top: 18px;\\n}\\n\\n.user-profile-hidden {\\n  font-size: 1.5em;\\n  text-align: center;\\n}\\n.user-secondary-navigation {\\n  min-width: 150px;\\n  .nav-stacked {\\n    background-color: transparent;\\n\\n    li {\\n      border-bottom: none;\\n\\n      &.archive {\\n        padding-left: 1.4em;\\n      }\\n    }\\n\\n    a {\\n      color: $primary-medium;\\n\\n      &.active {\\n        color: $primary;\\n        font-weight: bold;\\n        background-color: transparent;\\n\\n        &:after {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.user-content {\\n  padding-bottom: s(3);\\n  margin-bottom: s(3);\\n  background-color: $secondary;\\n  box-sizing: border-box;\\n\\n  &.user-badges-list {\\n    display: flex;\\n    flex-wrap: wrap;\\n  }\\n\\n  .btn.right {\\n    float: right;\\n  }\\n\\n  h2 {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.pref-avatar {\\n  .avatar {\\n    max-width: 90px;\\n    max-height: 90px;\\n  }\\n}\\n\\n.pref-second-factor {\\n  margin-top: 10px;\\n}\\n\\n.user-invite-list {\\n  width: 100%;\\n  margin-top: 15px;\\n  tr {\\n    td {\\n      padding: 0.667em;\\n    }\\n  }\\n}\\n\\n.user-invite-search {\\n  clear: both;\\n  margin: 15px 0px -15px 0px;\\n}\\n\\n.user-invite-none {\\n  padding: 15px 0;\\n}\\n\\n.user-main {\\n  margin-bottom: 50px;\\n\\n  .about {\\n    &.group {\\n      .details {\\n        padding: 15px 0;\\n        margin: 0;\\n        color: dark-light-choose(lighten($primary, 10%), $secondary);\\n      }\\n    }\\n\\n    .details {\\n      img.avatar {\\n        margin: 0 20px 10px 0;\\n      }\\n\\n      .primary {\\n        .primary-textual {\\n          padding: s(0 1 1);\\n          a[href] {\\n            text-decoration: underline;\\n          }\\n          h1 {\\n            max-width: 100%;\\n            @include ellipsis;\\n          }\\n          .location-and-website {\\n            display: flex;\\n            max-width: 100%;\\n            @include ellipsis;\\n            .user-profile-location {\\n              margin-right: 1em;\\n            }\\n          }\\n        }\\n\\n        .bio {\\n          max-width: 750px;\\n\\n          a.mention {\\n            text-decoration: none;\\n          }\\n        }\\n      }\\n\\n      .secondary {\\n        margin-top: s(4);\\n      }\\n    }\\n\\n    &.has-background {\\n      .user-profile-image {\\n        height: 300px;\\n      }\\n      .details {\\n        box-sizing: border-box;\\n        width: 100%;\\n        padding: 15px 0 0 0;\\n        bottom: 0;\\n      }\\n    }\\n\\n    .controls {\\n      padding: 0 0 12px 0;\\n      float: right;\\n      text-align: right;\\n\\n      .btn {\\n        min-width: 140px;\\n      }\\n    }\\n\\n    &.collapsed-info {\\n      .user-profile-image {\\n        display: none;\\n      }\\n      .controls {\\n        width: auto;\\n\\n        > ul {\\n          display: inline-flex;\\n          > li {\\n            display: inline;\\n            margin-left: s(3);\\n            .d-button-label {\\n              line-height: 1;\\n            }\\n          }\\n\\n          a {\\n            margin-bottom: 10px;\\n            width: auto;\\n          }\\n        }\\n      }\\n\\n      .details {\\n        position: relative;\\n        padding: 0;\\n        margin-top: 0;\\n        border-bottom: 1px solid $primary-low;\\n      }\\n    }\\n  }\\n\\n  .user-field {\\n    input[type=\\"text\\"] {\\n      width: 530px;\\n    }\\n\\n    .controls {\\n      .instructions {\\n        display: block;\\n      }\\n    }\\n  }\\n\\n  .public-user-fields {\\n    overflow: hidden;\\n  }\\n}\\n\\n.user-preferences {\\n  padding-top: 10px;\\n  padding-left: 30px;\\n\\n  .form-vertical {\\n    width: 500px;\\n    max-width: 100%;\\n  }\\n\\n  h3 {\\n    color: $primary;\\n    margin: 20px 0 10px 0;\\n  }\\n\\n  .category-selector,\\n  .tag-chooser,\\n  textarea,\\n  input.user-selector {\\n    width: 100%;\\n  }\\n\\n  .instructions {\\n    display: inline-block;\\n    margin-top: s(1);\\n  }\\n}\\n\\n.user-crawler {\\n  .username {\\n    margin-left: 5px;\\n    display: inline-block;\\n  }\\n}\\n",\n\t\t"// styles that apply to the popup that appears when you show the edit history of a post\\n\\n.modal.history-modal {\\n  .modal-inner-container {\\n    max-width: $large-width;\\n  }\\n  .modal-body {\\n    height: 70vh;\\n  }\\n  #revision-controls {\\n    .btn[disabled] {\\n      cursor: not-allowed;\\n      background-color: $primary-low;\\n    }\\n    .btn-danger[disabled] {\\n      background-color: $danger-medium;\\n    }\\n  }\\n\\n  #revision {\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n\\n  #revisions {\\n    word-wrap: break-word;\\n    table {\\n      margin-top: 10px;\\n    }\\n  }\\n  img {\\n    max-width: 670px;\\n    height: auto;\\n  }\\n  .inline-diff {\\n    width: 670px;\\n  }\\n  .markdown {\\n    font-family: monospace;\\n    font-size: $font-down-1;\\n    width: 100%;\\n    border-collapse: collapse;\\n    border-spacing: 0;\\n    td {\\n      width: 50%;\\n      vertical-align: top;\\n      max-width: 440px;\\n      word-wrap: break-word;\\n      white-space: pre-wrap;\\n    }\\n  }\\n  .revision-content,\\n  .markdown {\\n    img {\\n      max-width: 100%;\\n      box-sizing: border-box;\\n    }\\n  }\\n  .modal-header {\\n    height: 42px;\\n  }\\n\\n  .modal-footer {\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n}\\n",\n\t\t".group-nav {\\n  .group-dropdown {\\n    margin-right: 10px;\\n  }\\n}\\n.group-info {\\n  margin-bottom: 20px;\\n}\\n\\n.group-navigation {\\n  width: 15%;\\n  background-color: transparent;\\n\\n  li {\\n    border: none;\\n\\n    a {\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n      padding: 8px 0;\\n\\n      &.active {\\n        background-color: transparent;\\n        font-weight: bold;\\n        color: $primary;\\n\\n        &:after {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.group-activity-outlet,\\n.group-messages-outlet,\\n.group-manage-outlet {\\n  width: 85%;\\n}\\n\\n.group-manage {\\n  .form-horizontal {\\n    button {\\n      float: none;\\n    }\\n  }\\n}\\n\\n.group-details-button {\\n  position: absolute;\\n  top: 20px;\\n  right: 20px;\\n}\\n",\n\t\t".admin-customize {\\n  .show-current-style {\\n    padding-left: 2%;\\n    width: 68%;\\n\\n    .title {\\n      input {\\n        width: 80%;\\n      }\\n    }\\n  }\\n\\n  .themes-list {\\n    width: 28%;\\n  }\\n}\\n",\n\t\t"// shared styles for user and group cards\\n#user-card,\\n#group-card {\\n  position: absolute;\\n  z-index: z(\\"usercard\\");\\n  &.fixed {\\n    position: fixed;\\n    z-index: z(\\"composer\\", \\"content\\") + 1;\\n  }\\n  &.docked-card {\\n    z-index: z(\\"header\\") + 1;\\n  }\\n  // avatar - names - controls\\n  .first-row {\\n    .names {\\n      flex: 1 1 auto;\\n    }\\n    .usercard-controls {\\n      button {\\n        min-width: 150px;\\n      }\\n    }\\n  }\\n  h1 {\\n    .d-icon {\\n      font-size: $font-down-1;\\n    }\\n  }\\n  h2 {\\n    font-size: $font-up-1;\\n  }\\n  h3 {\\n    font-size: $font-0;\\n  }\\n}\\n\\n// styles for user cards only\\n#user-card {\\n  // badges\\n  .sixth-row {\\n    .badge-section {\\n      .user-badge {\\n        display: block;\\n        max-width: 185px;\\n        margin: 0 0.5em 0 0;\\n      }\\n      .more-user-badges {\\n        max-width: 125px;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Desktop styles for \\"user-stream-item\\" component\\n.user-stream {\\n  // DEPRECATION:\\n  // The \\".item\\" class should be eventually removed because it's too generic.\\n  // Once \\".item\\" has been removed, \\".user-stream-item\\" can replace\\n  // \\".user-stream\\" as the top-level selector on this file as all other\\n  // selectors below are its children\\n  .item,\\n  .user-stream-item {\\n    padding: 1em 0.53em;\\n  }\\n\\n  .time,\\n  .delete-info,\\n  .draft-type {\\n    margin-right: 8px;\\n  }\\n\\n  .notification {\\n    &.unread {\\n      background-color: $tertiary-low;\\n    }\\n  }\\n}\\n",\n\t\t".user-info {\\n  &.medium {\\n    flex: 0 0 32%;\\n    margin: 0 2% 4vh 0;\\n    display: flex;\\n    &:nth-of-type(3n) {\\n      margin-right: 0;\\n    }\\n    @media screen and (max-width: $small-width) {\\n      flex: 0 0 48%;\\n      margin-right: 0;\\n    }\\n    .user-image {\\n      width: 55px;\\n      margin-right: 0;\\n    }\\n  }\\n}\\n",\n\t\t""\n\t],\n\t"names": [],\n\t"mappings": "AEAA,4DAA4D,AAQ5D,AAAA,IAAI,AAAC,CACH,WAAW,CAAE,UAAU,CACvB,oBAAoB,CAAE,IAAI,CAC1B,wBAAwB,CAAE,IAAI,CAC/B,AAMD,AAAA,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAWD,AAAA,OAAO,CACP,KAAK,CACL,OAAO,CACP,UAAU,CACV,MAAM,CACN,MAAM,CACN,MAAM,CACN,MAAM,CACN,IAAI,CACJ,GAAG,CACH,OAAO,CACP,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACf,AAOD,AAAA,KAAK,CACL,MAAM,CACN,QAAQ,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,QAAQ,CACzB,AAOD,AAAA,KAAK,AAAA,IAAK,EAAA,AAAA,QAAC,AAAA,EAAW,CACpB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACV,CAOD,AAAA,AAAA,MAAC,AAAA,EACD,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AASD,AAAA,CAAC,AAAC,CACA,UAAU,CAAE,WAAW,CACxB,AAMD,AAAA,CAAC,AAAA,OAAO,CACR,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AASA,AAAA,IAAI,CAAA,AAAA,KAAC,AAAA,EAAQ,OAAO,CAAA,AAAA,KAAC,AAAA,CAAO,CAC3B,eAAe,CAAE,SAAS,CAC1B,qBAAqB,CAAE,MAAM,CAC9B,AAMD,AAAA,CAAC,CACD,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAMD,AAAA,GAAG,AAAC,CACF,UAAU,CAAE,MAAM,CACnB,AAOD,AAAA,EAAE,AAAC,CACD,SAAS,CAAE,QAAQ,CACnB,MAAM,CAAE,QAAQ,CACjB,AAMD,AAAA,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AAMD,AAAA,KAAK,AAAC,CACJ,SAAS,CAAE,GAAG,CACf,AAMD,AAAA,GAAG,CACH,GAAG,AAAC,CACF,SAAS,CAAE,GAAG,CACd,WAAW,CAAE,CAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACzB,AAED,AAAA,GAAG,AAAC,CACF,GAAG,CAAE,MAAM,CACZ,AAED,AAAA,GAAG,AAAC,CACF,MAAM,CAAE,OAAO,CAChB,AASD,AAAA,GAAG,AAAC,CACF,MAAM,CAAE,CAAC,CACV,AASD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,QAAQ,CACjB,AAMD,AAAA,EAAE,AAAC,CACD,eAAe,CAAE,WAAW,CAC5B,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,GAAG,AAAC,CACF,QAAQ,CAAE,IAAI,CACf,AAMD,AAAA,IAAI,CACJ,GAAG,CACH,GAAG,CACH,IAAI,AAAC,CACH,WAAW,CAAE,oBAAoB,CACjC,SAAS,CAAE,GAAG,CACf,AAiBD,AAAA,MAAM,CACN,KAAK,CACL,QAAQ,CACR,MAAM,CACN,QAAQ,AAAC,CACP,KAAK,CAAE,OAAO,CACd,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,OAAO,CAClB,AASD,AAAA,MAAM,CACN,MAAM,AAAC,CACL,cAAc,CAAE,IAAI,CACrB,AAUD,AAAA,MAAM,CACN,IAAI,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,EACX,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EACN,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,kBAAkB,CAAE,MAAM,CAC1B,MAAM,CAAE,OAAO,CAChB,AAMD,AAAA,MAAM,CAAA,AAAA,QAAC,AAAA,EACP,IAAI,CAAC,KAAK,CAAA,AAAA,QAAC,AAAA,CAAU,CACnB,MAAM,CAAE,OAAO,CAChB,AAMD,AAAA,MAAM,AAAA,kBAAkB,CACxB,KAAK,AAAA,kBAAkB,AAAC,CACtB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAOD,AAAA,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACpB,AAUD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EACN,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,CAAC,CACX,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,CAC/C,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,AAAC,CAC9C,MAAM,CAAE,IAAI,CACb,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,kBAAkB,CAAE,SAAS,CAC7B,eAAe,CAAE,WAAW,CAC5B,kBAAkB,CAAE,WAAW,CAC/B,UAAU,CAAE,WAAW,CACxB,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,8BAA8B,CAClD,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,AAAC,CAC9C,kBAAkB,CAAE,IAAI,CACzB,AAMD,AAAA,QAAQ,AAAC,CACP,MAAM,CAAE,iBAAiB,CACzB,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,qBAAqB,CAC/B,AAOD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAMD,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,IAAI,CACf,AAOD,AAAA,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AASD,AAAA,KAAK,AAAC,CACJ,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CAClB,AAED,AAAA,EAAE,CACF,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACX,AC/ZD;;;GAGG,AA8BH,AAAA,YAAY,AAAC,CACT,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,KAAK,CEvCC,IAAO,CFwCb,UAAU,CEvCF,IAAO,CFwCf,MAAM,CAAE,GAAG,CAAC,KAAK,CCyJT,OAAoD,CDxJ5D,mBAAmB,CCwJX,OAAoD,CDvJ5D,WAAW,CAXE,gBAAgB,CAAE,SAAS,CAAE,KAAK,CAAE,UAAU,CAqB9D,AAlBD,AAUI,YAVQ,AAUP,UAAU,AAAC,CACR,OAAO,CAAE,IAAI,CAChB,AAZL,AAcI,YAdQ,AAcP,SAAS,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,CAAC,CAAC,GAAG,CAAC,IAAI,CAAE,IAAG,CAjChB,eAAc,CAkC5B,AAKL,AACI,YADQ,AACP,OAAO,CADZ,YAAY,AAEP,MAAM,AAAC,CACJ,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,KAAK,CACjB,AALL,AAOI,YAPQ,AAOP,MAAM,AAAC,CAAE,KAAK,CAAE,IAAK,CAAE,AAG5B,AAAA,YAAY,AAAC,CACT,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,GAAG,CACd,AAED,AAAA,WAAW,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,MAAM,CAYrB,AAdD,AAII,WAJO,CAIP,MAAM,AAAC,CACH,MAAM,CAAE,OAAO,CACf,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,gBAAgB,CACxB,OAAO,CAAE,CAAC,CACb,AAGL,AAAA,WAAW,AAAC,CACR,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,OAAO,CAChB,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,IAAI,CACjB,KAAK,CEnGC,IAAO,CFoGb,gBAAgB,CEnGR,IAAO,CFoGlB,AAED,AAAA,UAAU,CACV,UAAU,AAAC,CACP,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,OAAO,CACf,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,gBAAgB,CAAE,WAAW,CAC7B,mBAAmB,CAAE,aAAa,CAClC,iBAAiB,CAAE,SAAS,CAC5B,eAAe,CAAE,OAAO,CACxB,OAAO,CAAE,EAAE,CAad,AA9BD,AAsBI,UAtBM,AAsBL,MAAM,CArBX,UAAU,AAqBL,MAAM,AAAC,CACJ,OAAO,CAAE,CAAC,CACb,AAxBL,AA0BI,UA1BM,AA0BL,YAAY,CAzBjB,UAAU,AAyBL,YAAY,AAAC,CACV,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,EAAE,CACd,AAGL,AAAA,UAAU,CACV,OAAO,CAAC,UAAU,AAAC,CACf,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,yNAAyN,CAC9O,AAED,AAAA,UAAU,CACV,OAAO,CAAC,UAAU,AAAC,CACf,KAAK,CAAE,KAAK,CACZ,gBAAgB,CAAE,yNAAyN,CAC9O,AAED,AAAA,YAAY,AAAC,CACT,OAAO,CAAE,YAAY,CACxB,AAED,AAAA,WAAW,AAAC,CACR,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,CAAC,CAoBZ,AAxBD,AAMI,WANO,CAMP,EAAE,CANN,WAAW,CAOP,EAAE,AAAC,CACC,KAAK,CAAE,mBAAmB,CAC1B,OAAO,CAAE,CAAC,CACb,AAVL,AAYI,WAZO,CAYP,EAAE,AAAC,CACC,KAAK,CEpKH,IAAO,CFqKT,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,MAAM,CACrB,AAlBL,AAoBI,WApBO,CAoBP,IAAI,AAAC,CACD,aAAa,CAAE,IAAI,CACnB,MAAM,CAAE,IAAI,CACf,AAGL,AAAA,YAAY,AAAC,CACT,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,GAAG,CACZ,KAAK,CE3LC,IAAO,CF4Lb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,KAAK,CACjB,UAAU,CE9LF,IAAO,CF2NlB,AA3BG,AAAA,SAAS,CAhBb,YAAY,AAgBI,CACR,KAAK,CEhMF,IAAO,CFiMV,WAAW,CAAE,IAAI,CACpB,AAED,AAAA,YAAY,CArBhB,YAAY,AAqBO,CACX,KAAK,CEtMD,IAAO,CFuMX,WAAW,CAAE,IAAI,CACjB,UAAU,CEvMP,IAAO,CFwMV,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,GAAG,CCRvB,OAAoD,CDSxD,aAAa,CAAE,GAAG,CACrB,AAED,AAAA,YAAY,CA7BhB,YAAY,CA8BR,yBAAyB,CA9B7B,YAAY,AA8BoB,CACxB,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,OAAO,CACf,KAAK,CElNH,IAAO,CFmNT,OAAO,CAAE,EAAE,CACd,AAnCL,AAqCI,YArCQ,AAqCP,MAAM,AAAC,CACJ,KAAK,CEvNH,IAAO,CFwNT,UAAU,CCtBN,OAAoD,CDuBxD,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AAGL,AAAA,UAAU,AAAC,CACP,SAAS,CAAE,IAAI,CACf,KAAK,CEhOC,IAAO,CFiOhB,AAED,AAAA,WAAW,CAAC,YAAY,AAAC,CACrB,UAAU,CAAE,OAAO,CACtB,AAED,AAAA,cAAc,CAAC,YAAY,AAAC,CACxB,KAAK,CEvOG,IAAO,CFwOf,UAAU,CAAE,OAAO,CACnB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AAED,AAAA,YAAY,CAAC,YAAY,AAAC,CACtB,KAAK,CE9OG,IAAO,CF+Of,UAAU,CE9OH,IAAO,CF+Od,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AK5OD,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAKD,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACf,AAED,AAAA,KAAK,CACL,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAED,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,gBAAgB,CACtB,MAAM,CAAE,CAAC,CACV,AAKD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,KAAK,CAChB,AAKD,AACE,SADO,AACN,OAAO,CqClCV,UAAU,ArCkCP,OAAO,CsEwTV,UAAU,AtExTP,OAAO,CsE4TV,KAAK,AtE5TF,OAAO,CADV,SAAS,AAEN,MAAM,CqCnCT,UAAU,ArCmCP,MAAM,CsEuTT,UAAU,AtEvTP,MAAM,CsE2TT,KAAK,AtE3TF,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACb,AALH,AAME,SANO,AAEN,MAAM,CqCnCT,UAAU,ArCmCP,MAAM,CsEuTT,UAAU,AtEvTP,MAAM,CsE2TT,KAAK,AtE3TF,MAAM,AAIC,CACN,KAAK,CAAE,IAAI,CACZ,AAMH,AAAA,kBAAkB,AAAC,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACxB,AAKD,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CAChB,AAID,AAAA,iBAAiB,AAAA,MAAM,AAAC,CACtB,UAAU,CJgHA,OAAoD,CI/G9D,KAAK,CHnFG,IAAO,CGoFhB,AN5ED,AAAA,IAAI,AODC,CACH,KAAK,CJRG,IAAO,CISf,WAAW,CLgCM,SAAS,CAAE,KAAK,CAAE,UAAU,CK/B7C,SAAS,CL4BM,IAAI,CK3BnB,WAAW,CLsDO,GAAG,CKrDrB,gBAAgB,CJXN,IAAO,CIYjB,UAAU,CAAE,MAAM,CAClB,SAAS,CAAE,GAAG,CAaf,AApBD,AASE,IATE,AASD,kBAAkB,AAAC,CAClB,SAAS,CLoBY,IAAI,CKnB1B,AAXH,AAaE,IAbE,AAaD,iBAAiB,AAAC,CACjB,SAAS,CLkBW,IAAI,CKjBzB,AAfH,AAiBE,IAjBE,AAiBD,kBAAkB,AAAC,CAClB,SAAS,CLeY,IAAI,CKd1B,AP4DH,AAAA,CAAC,AOtDC,CACA,KAAK,CJ/BI,IAAO,CIgChB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,OAAO,CAUhB,AAbD,AAIE,CAJD,AAIE,QAAQ,AAAC,CACR,KAAK,CJnCE,IAAO,CIoCf,AANH,AAOE,CAPD,AAOE,MAAM,AAAC,CACN,KAAK,CJtCE,IAAO,CIuCf,AATH,AAUE,CAVD,AAUE,OAAO,AAAC,CACP,KAAK,CJzCE,IAAO,CI0Cf,AP6JH,AAAA,EAAE,AOvJC,CACD,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,KAAK,CACb,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CAAC,KAAK,CL2IX,OAAoD,CK1I9D,OAAO,CAAE,CAAC,CACX,AAKD,AAAA,EAAE,CACF,EAAE,AAAC,CACD,MAAM,CAAE,YAAY,CACpB,OAAO,CAAE,CAAC,CACX,AAED,AAAA,OAAO,CAAC,EAAE,CACV,OAAO,CAAC,EAAE,CACV,OAAO,CAAC,EAAE,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,OAAO,CAAC,EAAE,CACV,iBAAiB,CAAC,EAAE,AAAC,CACnB,MAAM,CAAE,CAAC,CACT,YAAY,CAAE,IAAI,CACnB,AAED,AACE,EADA,CACE,EAAE,CADN,EAAE,CAEE,EAAE,AAAC,CACH,aAAa,CAAE,CAAC,CACjB,APkGH,AAAA,GAAG,AO5FC,CACF,cAAc,CAAE,MAAM,CACvB,APqRD,AAAA,QAAQ,AOhRC,CACP,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAED,AAAA,GAAG,CAAC,IAAI,AAAC,CACP,QAAQ,CAAE,IAAI,CACd,QAAQ,CAAE,CAAC,CACZ,AAGD,AAAA,IAAI,AAAA,OAAO,CACX,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,EAAE,CACZ,AACD,AAAA,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAKD,AAAA,KAAK,AAAC,CACJ,UAAU,CAAE,GAAG,CAAC,KAAK,CLoEX,OAAoD,CKnE/D,AAED,AAAA,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CLgEd,OAAoD,CK5D/D,AALD,AAEE,EAFA,AAEC,YAAY,AAAC,CACZ,SAAS,CAAE,uCAAuC,CACnD,AAIH,AAAA,IAAI,CAAG,EAAE,AAAC,CACR,SAAS,CAAE,GAAG,CACf,AY3ID,AAEI,WAFO,AACR,0BAA0B,CACzB,gBAAgB,AAAC,CACf,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,KAAK,CACb,AALL,AAOI,WAPO,AACR,0BAA0B,CAMzB,kBAAkB,CAAC,OAAO,AAAC,CACzB,eAAe,CAAE,aAAa,CAC/B,ACTL,AAEI,WAFO,AACR,UAAU,AACR,iBAAiB,AAAC,CACjB,KAAK,CAAE,KAAK,CA2Cb,AA9CL,AAKM,WALK,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,iBAAiB,CAAE,UAAU,CAC7B,cAAc,CAAE,UAAU,CAC1B,WAAW,CAAE,UAAU,CACvB,kBAAkB,CAAE,QAAQ,CAC5B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,MAAM,CAC1B,cAAc,CAAE,MAAM,CA8BvB,AA7CP,AAkBU,WAlBC,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,AAYZ,KAAK,CACJ,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AApBX,AAuBQ,WAvBG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAkBb,YAAY,AAAC,CACX,SAAS,ClB4BL,OAAQ,CkB3BZ,KAAK,CjBzBL,IAAO,CiB0BP,WAAW,CAAE,MAAM,CACpB,AA3BT,AA6BQ,WA7BG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAwBb,gBAAgB,AAAC,CACf,KAAK,CjB9BL,IAAO,CiB+BP,WAAW,ClBkCD,GAAG,CkBjCb,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACf,AAnCT,AAqCQ,WArCG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAgCb,cAAc,AAAC,CACb,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,OAAO,CACd,SAAS,ClBSL,OAAQ,CkBRZ,WAAW,ClBsBD,GAAG,CkBrBd,AC5CT,AAGM,WAHK,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAAC,CACb,SAAS,CnB8CR,GAAG,CmB7CJ,WAAW,CAAE,MAAM,CASpB,AAdP,AAOQ,WAPG,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAIX,IAAI,AAAC,CACJ,MAAM,CAAE,CAAC,CAKV,AAbT,AAUU,WAVC,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAIX,IAAI,CAGH,IAAI,AAAA,eAAe,AAAC,CAClB,MAAM,CAAE,CAAC,CACV,AAZX,AAgBM,WAhBK,AACR,UAAU,AACR,cAAc,AAcZ,IAAI,AAAA,cAAc,CAAC,qBAAqB,AAAC,CACxC,OAAO,CAAE,YAAY,CACtB,AAlBP,AAqBQ,WArBG,AACR,UAAU,AACR,cAAc,AAkBZ,IAAI,AAAA,cAAc,CAAC,qBAAqB,CACvC,cAAc,AAAA,IAAI,AAAC,CACjB,OAAO,CAAE,CAAC,CACX,AAvBT,AA2BQ,WA3BG,AACR,UAAU,AACR,cAAc,CAwBb,qBAAqB,AAClB,QAAQ,CAAC,cAAc,AAAC,CACvB,KAAK,CAAE,OAAO,CACf,AA7BT,AA+BQ,WA/BG,AACR,UAAU,AACR,cAAc,CAwBb,qBAAqB,CAKnB,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAjCT,AAoCM,WApCK,AACR,UAAU,AACR,cAAc,CAkCb,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CACjB,AAtCP,AAwCM,WAxCK,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,AAAC,CACd,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,UAAU,CA+BxB,AAzEP,AA4CQ,WA5CG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAIZ,AAAA,UAAC,CAAW,gBAAgB,AAA3B,EA5CV,WAAW,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAKZ,AAAA,UAAC,CAAW,eAAe,AAA1B,CAA4B,CAC5B,KAAK,ClB5CJ,IAAO,CkB6CR,WAAW,CAAE,GAAG,CACjB,AAhDT,AAkDQ,WAlDG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAUb,cAAc,AAAC,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CnB8IH,OAAoD,CmB7ItD,UAAU,CAAE,GAAG,CAChB,AAtDT,AAwDQ,WAxDG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAgBb,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACpB,AA1DT,AA4DQ,WA5DG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAoBb,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,MAAM,CACpB,AA/DT,AAiEQ,WAjEG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAyBb,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,WAAW,CAAE,IAAI,CAKlB,AAxET,AAqEU,WArEC,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAyBb,cAAc,AAIX,UAAW,CAAA,CAAC,CAAE,CACb,WAAW,CAAE,IAAI,CAClB,AAvEX,AA2EM,WA3EK,AACR,UAAU,AACR,cAAc,AAyEZ,YAAY,CAAC,mBAAmB,CA3EvC,WAAW,AACR,UAAU,AACR,cAAc,CA0Eb,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AC9EP,AAEI,WAFO,CACT,aAAa,CACX,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACf,AAVL,AAWI,WAXO,CACT,aAAa,CAUX,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAChB,AAbL,AAeM,WAfK,CACT,aAAa,CAaX,gBAAgB,CACd,cAAc,AAAA,IAAI,AAAC,CACjB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CAChB,AAlBP,AAoBI,WApBO,CACT,aAAa,CAmBX,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,ACtBL,AAKQ,WALG,AAER,kBAAkB,CACjB,cAAc,CACZ,cAAc,AACX,IAAI,CAJb,eAAe,AACZ,kBAAkB,CACjB,cAAc,CACZ,cAAc,AACX,IAAI,AAAC,CACJ,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACX,ACRT,AACE,WADS,AACR,UAAU,AAAC,CACV,SAAS,CAAE,IAAI,CA4HhB,AA9HH,AAGI,WAHO,AACR,UAAU,CAET,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,aAAa,CAAE,CAAC,CAChB,UAAU,CtBiIF,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CsBhIvC,AARL,AAUI,WAVO,AACR,UAAU,CAST,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,QAAQ,CAIlB,AAjBL,AAcM,WAdK,AACR,UAAU,CAST,eAAe,AAIZ,WAAW,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,AAhBP,AAmBI,WAnBO,AACR,UAAU,CAkBT,kBAAkB,AAAC,CACjB,OAAO,CtBTG,GAAG,CAAC,IAAI,CsBUlB,UAAU,CAAE,GAAG,CAAC,KAAK,CtB6Kf,OAAoD,CsB5K1D,aAAa,CAAE,GAAG,CAAC,KAAK,CtB4KlB,OAAoD,CsB5J3D,AAtCL,AAwBM,WAxBK,AACR,UAAU,CAkBT,kBAAkB,CAKhB,QAAQ,AAAC,CACP,IAAI,CAAE,QAAQ,CACf,AA1BP,AA4BM,WA5BK,AACR,UAAU,CAkBT,kBAAkB,CAShB,aAAa,CA5BnB,WAAW,AACR,UAAU,CAkBT,kBAAkB,CAUhB,aAAa,AAAA,MAAM,CA7BzB,WAAW,AACR,UAAU,CAkBT,kBAAkB,CAWhB,aAAa,AAAA,OAAO,AAAC,CACnB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACX,AAjCP,AAmCM,WAnCK,AACR,UAAU,CAkBT,kBAAkB,CAgBhB,YAAY,AAAC,CACX,YAAY,CAAE,GAAG,CAClB,AArCP,AAwCI,WAxCO,AACR,UAAU,CAuCT,kBAAkB,AAAC,CACjB,UAAU,CrBxCJ,IAAO,CqByCb,MAAM,CAAE,GAAG,CAAC,KAAK,CtBwJX,OAAoD,CsBvJ1D,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,SAAS,CtBKN,GAAG,CsBCP,AAnDL,AA+CM,WA/CK,AACR,UAAU,CAuCT,kBAAkB,AAOf,WAAW,AAAC,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CrB9Cd,IAAO,CqB+CV,UAAU,CtB8FP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,CqBgDX,AAlDP,AAqDI,WArDO,AACR,UAAU,CAoDT,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,IAAI,CAiBhB,AA5EL,AA8DQ,WA9DG,AACR,UAAU,CAoDT,sBAAsB,CAQpB,kBAAkB,CAChB,CAAC,AAAC,CACA,WAAW,CAAE,MAAM,CACnB,KAAK,CrBhEL,IAAO,CqBiEP,WAAW,CtBDA,GAAG,CsBEd,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,KAAK,CrBnEJ,IAAO,CqBwET,AA1ET,AAuEU,WAvEC,AACR,UAAU,CAoDT,sBAAsB,CAQpB,kBAAkB,CAChB,CAAC,AASE,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AAzEX,AA+EM,WA/EK,AACR,UAAU,AA6ER,YAAY,CACX,kBAAkB,AAAC,CACjB,UAAU,CtBkHN,OAAoD,CsBjHxD,YAAY,CtBiHR,OAAoD,CsBhHxD,KAAK,CtBgHD,OAAoD,CsB5GzD,AAtFP,AAmFQ,WAnFG,AACR,UAAU,AA6ER,YAAY,CACX,kBAAkB,CAIhB,OAAO,AAAC,CACN,KAAK,CtB8GH,OAAoD,CsB7GvD,AArFT,AA0FM,WA1FK,AACR,UAAU,AAwFR,eAAe,CACd,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CrBzFd,IAAO,CqB0FV,UAAU,CtBmDP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,CqB2FX,AA7FP,AAiGM,WAjGK,AACR,UAAU,AA+FR,YAAY,CACX,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CrBjGd,IAAO,CqBkGV,UAAU,CtB2CP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,CqBmGX,AArGP,AAyGM,WAzGK,AACR,UAAU,AAuGR,YAAY,AAAA,SAAS,CACpB,kBAAkB,AAAC,CACjB,aAAa,CAAE,WAAW,CAC3B,AA3GP,AA6GM,WA7GK,AACR,UAAU,AAuGR,YAAY,AAAA,SAAS,CAKpB,gBAAgB,AAAC,CACf,aAAa,CAAE,WAAW,CAC3B,AA/GP,AAkHI,WAlHO,AACR,UAAU,AAiHR,SAAS,CAlHd,WAAW,AACR,UAAU,AAkHR,eAAe,AAAC,CACf,SAAS,CAAE,IAAI,CAIhB,AAxHL,AAqHM,WArHK,AACR,UAAU,AAiHR,SAAS,CAGR,eAAe,CArHrB,WAAW,AACR,UAAU,AAkHR,eAAe,CAEd,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAvHP,AA0HI,WA1HO,AACR,UAAU,AAyHR,YAAY,CAAC,mBAAmB,CA1HrC,WAAW,AACR,UAAU,CA0HT,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AC7HL,AAEI,WAFO,AACR,oBAAoB,AAClB,iBAAiB,AAAC,CACjB,MAAM,CAAE,CAAC,CAmBV,AAtBL,AAIM,WAJK,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAAC,CACjB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,CAAC,CACV,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CvByLb,OAAoD,CuBxLxD,UAAU,CAAE,KAAK,CAQlB,AAlBP,AAWQ,WAXG,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,CAOhB,OAAO,AAAC,CACN,OAAO,CAAE,OAAO,CACjB,AAbT,AAcQ,WAdG,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAUf,MAAM,CAdf,WAAW,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAWf,MAAM,AAAC,CACN,UAAU,CvBkLR,OAAoD,CuBjLvD,AAjBT,AAmBM,WAnBK,AACR,oBAAoB,AAClB,iBAAiB,CAiBhB,OAAO,AAAC,CACN,MAAM,CAAE,YAAY,CACrB,ACrBP,AACE,WADS,AACR,oBAAoB,AAAC,CACpB,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CA6Hb,AAnIH,AASM,WATK,AACR,oBAAoB,AAOlB,YAAY,CACX,sBAAsB,CAT5B,WAAW,AACR,oBAAoB,AAOlB,YAAY,CAEX,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAZP,AAeI,WAfO,AACR,oBAAoB,CAcnB,gBAAgB,AAAC,CACf,MAAM,CAAE,GAAG,CAAC,KAAK,CxBkLX,OAAoD,CwBjL1D,eAAe,CAAE,WAAW,CAC5B,UAAU,CxBsHF,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CwBrHtC,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CACb,AArBL,AAuBI,WAvBO,AACR,oBAAoB,CAsBnB,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CAsElB,AA/FL,AA2BM,WA3BK,AACR,oBAAoB,CAsBnB,eAAe,CAIb,MAAM,AAAC,CACL,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,iBAAiB,CAAE,KAAK,CACxB,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,UAAU,CACvB,gBAAgB,CAAE,MAAM,CACxB,aAAa,CAAE,MAAM,CACrB,eAAe,CAAE,MAAM,CACvB,mBAAmB,CAAE,KAAK,CAC1B,UAAU,CAAE,UAAU,CACtB,YAAY,CAAE,OAAO,CACrB,UAAU,CAAE,GAAG,CACf,KAAK,CAAE,IAAI,CASZ,AAnDP,AA4CQ,WA5CG,AACR,oBAAoB,CAsBnB,eAAe,CAIb,MAAM,CAiBJ,OAAO,AAAC,CACN,SAAS,CxBGP,QAAQ,CwBFV,mBAAmB,CAAE,MAAM,CAC3B,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,CAAC,CACX,AAlDT,AAqDM,WArDK,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,AAAC,CACL,KAAK,CAAE,CAAC,CACR,WAAW,CxBUC,GAAG,CwBTf,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,MAAM,CACZ,iBAAiB,CAAE,KAAK,CACxB,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,UAAU,CACvB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,IAAI,CACf,kBAAkB,CAAE,QAAQ,CAC5B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,MAAM,CAC1B,cAAc,CAAE,MAAM,CAwBvB,AA9FP,AAwEQ,WAxEG,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,CAmBJ,KAAK,AAAC,CACJ,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,IAAI,CACjB,SAAS,CxB3BV,GAAG,CwB4BF,KAAK,CvB9EL,IAAO,CuB+EP,OAAO,CAAE,CAAC,CdnBlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CcmBf,SAAS,CAAE,IAAI,CAChB,AAlFT,AAoFQ,WApFG,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,CA+BJ,KAAK,AAAC,CACJ,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CxBtCL,OAAQ,CwBuCZ,WAAW,CAAE,MAAM,CACnB,KAAK,CxBuGH,OAAoD,CwBtGtD,WAAW,CAAE,MAAM,CACpB,AA7FT,AAiGI,WAjGO,AACR,oBAAoB,CAgGnB,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CACjB,AApGL,AAsGI,WAtGO,AACR,oBAAoB,CAqGnB,2BAA2B,AAAC,CAC1B,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,CAAC,CAET,iBAAiB,CAAE,MAAM,CACzB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,MAAM,CACnB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,OAAO,CACtB,eAAe,CAAE,aAAa,CAC9B,kBAAkB,CAAE,UAAU,CAC9B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,GAAG,CACvB,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,WAAW,CAUrB,AAlIL,AA0HM,WA1HK,AACR,oBAAoB,CAqGnB,2BAA2B,CAoBzB,OAAO,CAAG,OAAO,AAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AA5HP,AA8HM,WA9HK,AACR,oBAAoB,CAqGnB,2BAA2B,AAwBxB,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACnB,aAAa,CvB9HV,IAAO,CuB+HX,ACjIP,AAEI,WAFO,AACR,SAAS,AACP,2BAA2B,AAAC,CAC3B,SAAS,CAAE,GAAG,CA4Bf,AA/BL,AAMQ,WANG,AACR,SAAS,AACP,2BAA2B,CAG1B,kCAAkC,CAChC,UAAU,AAAC,CACT,WAAW,CzB0DD,GAAG,CyBzDd,AART,AAWM,WAXK,AACR,SAAS,AACP,2BAA2B,CAS1B,oCAAoC,AAAC,CACnC,KAAK,CAAE,IAAsB,CAC7B,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,MAAM,CACpB,AAfP,AAiBM,WAjBK,AACR,SAAS,AACP,2BAA2B,CAe1B,iCAAiC,AAAC,CAChC,YAAY,CAAE,GAAG,CAClB,AAnBP,AAqBM,WArBK,AACR,SAAS,AACP,2BAA2B,CAmB1B,UAAU,AAAC,CACT,OAAO,CAAE,CAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAxBP,AA2BQ,WA3BG,AACR,SAAS,AACP,2BAA2B,CAwB1B,+BAA+B,CAC7B,iCAAiC,AAAC,CAChC,KAAK,CAAE,IAAsB,CAC9B,AC7BT,AAIQ,WAJG,AACR,aAAa,AACX,aAAa,CACZ,eAAe,AAAA,OAAO,CACpB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CACjB,ACRT,AAEI,WAFO,AACR,UAAU,AACR,iBAAiB,AAAC,CACjB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,GAAG,CA2FjB,AA/FL,AAOQ,WAPG,AACR,UAAU,AACR,iBAAiB,AAIf,YAAY,CACX,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,C1BNhB,IAAO,C0BOT,AATT,AAaQ,WAbG,AACR,UAAU,AACR,iBAAiB,AAUf,QAAQ,CACP,kBAAkB,CAAC,cAAc,AAAC,CAChC,KAAK,C3BoLH,OAAoD,C2BnLvD,AAfT,AAkBM,WAlBK,AACR,UAAU,AACR,iBAAiB,CAgBhB,gBAAgB,AAAC,CACf,SAAS,CAAE,IAAI,CAChB,AApBP,AAsBM,WAtBK,AACR,UAAU,AACR,iBAAiB,CAoBhB,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CAWb,AAlCP,AAyBQ,WAzBG,AACR,UAAU,AACR,iBAAiB,CAoBhB,kBAAkB,CAGhB,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,KAAK,CACjB,AAjCT,AAoCM,WApCK,AACR,UAAU,AACR,iBAAiB,CAkChB,kBAAkB,AAAC,CACjB,UAAU,CAAE,CAAC,CACd,AAtCP,AAwCM,WAxCK,AACR,UAAU,AACR,iBAAiB,AAsCf,YAAY,CAAC,mBAAmB,CAxCvC,WAAW,AACR,UAAU,AACR,iBAAiB,CAuChB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AA3CP,AA8CQ,WA9CG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,AACZ,YAAY,AAAC,CACZ,UAAU,CAAE,IAAI,CACjB,AAhDT,AAkDQ,WAlDG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,AAKZ,eAAe,AAAA,YAAY,AAAC,CAC3B,UAAU,C3B+IR,OAAoD,C2B9IvD,AApDT,AAsDQ,WAtDG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,CASb,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CACjB,AAxDT,AA4DQ,WA5DG,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,AAAC,CACjB,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,C3BkItB,OAAoD,C2BrGvD,AA7FT,AAkEU,WAlEC,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAMhB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CACjB,AAxEX,AA0EU,WA1EC,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAAC,CACZ,UAAU,C3BuHV,OAAoD,C2BtHpD,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,CAAC,CAcV,AA5FX,AAgFY,WAhFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAMV,eAAe,AAAC,CACf,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,C1B1ExB,OAAO,C0B0E2B,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CACzD,AAlFb,AAoFY,WApFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,CAUX,OAAO,AAAC,CACN,KAAK,C3B6GP,OAAoD,C2B5GlD,cAAc,CAAE,MAAM,CACvB,AAvFb,AAyFY,WAzFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAeV,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,C1BnFV,OAAO,C0BoFH,AC3Fb,AACE,WADS,AACR,aAAa,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,C3BFF,IAAO,C2BGf,aAAa,CAAE,CAAC,CAwKjB,AA5KH,AAMI,WANO,AACR,aAAa,CAKZ,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AARL,AAUI,WAVO,AACR,aAAa,CASZ,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CACX,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,CAAC,CACjB,AAfL,AAiBI,WAjBO,AACR,aAAa,CAgBZ,kBAAkB,AAAC,CACjB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,GAAG,CACZ,AArBL,AAuBI,WAvBO,AACR,aAAa,CAsBZ,oBAAoB,AAAC,CACnB,UAAU,C3BvBJ,IAAO,C2BwBb,MAAM,CAAE,GAAG,CAAC,KAAK,C5ByKX,OAAoD,C4BnK3D,AA/BL,AA2BM,WA3BK,AACR,aAAa,CAsBZ,oBAAoB,AAIjB,WAAW,AAAC,CACX,UAAU,C5BmHP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,C2B2BV,aAAa,CAAE,CAAC,CACjB,AA9BP,AAkCM,WAlCK,AACR,aAAa,AAgCX,YAAY,CACX,oBAAoB,AAAC,CACnB,UAAU,C5B+JN,OAAoD,C4B9JxD,YAAY,C5B8JR,OAAoD,C4B7JxD,KAAK,C5B6JD,OAAoD,C4BzJzD,AAzCP,AAsCQ,WAtCG,AACR,aAAa,AAgCX,YAAY,CACX,oBAAoB,CAIlB,OAAO,AAAC,CACN,KAAK,C5B2JH,OAAoD,C4B1JvD,AAxCT,AA6CM,WA7CK,AACR,aAAa,AA2CX,eAAe,CACd,oBAAoB,AAAC,CACnB,aAAa,CAAE,CAAC,CAChB,aAAa,CAAE,qBAAqB,CACpC,UAAU,C5B+FP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,C2B+CX,AAjDP,AAqDM,WArDK,AACR,aAAa,AAmDX,YAAY,CACX,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C3BrDd,IAAO,C2BsDV,UAAU,C5BuFP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,C2BuDV,aAAa,CAAE,CAAC,CACjB,AA1DP,AA4DM,WA5DK,AACR,aAAa,AAmDX,YAAY,CAQX,oBAAoB,AAAC,CACnB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CACjB,AA/DP,AAiEM,WAjEK,AACR,aAAa,AAmDX,YAAY,CAaX,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAnEP,AAsEI,WAtEO,AACR,aAAa,CAqEZ,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,UAAU,CAC3B,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CA+FZ,AA3KL,AA8EM,WA9EK,AACR,aAAa,CAqEZ,QAAQ,CAQN,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,eAAe,CACxB,AAtFP,AAwFM,WAxFK,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CAkBd,AAjHP,AAiGQ,WAjGG,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,CASL,aAAa,CAjGrB,WAAW,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,CAUL,aAAa,AAAA,MAAM,AAAC,CAClB,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,KAAK,CAClB,AAhHT,AAoHQ,WApHG,AACR,aAAa,CAqEZ,QAAQ,CA6CN,eAAe,CACb,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CACvB,AAxHT,AA0HQ,WA1HG,AACR,aAAa,CAqEZ,QAAQ,CA6CN,eAAe,CAOb,cAAc,AAAC,CACb,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AA/HT,AAmIQ,WAnIG,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAChB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAtIT,AAuIQ,WAvIG,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAKhB,cAAc,AAAC,CAKb,OAAO,CAAE,OAAO,CAChB,WAAW,C5B7EA,GAAG,C4B8Ed,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACpB,AAjJT,AAwIU,WAxIC,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAKhB,cAAc,AACX,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACpB,AA1IX,AAqJQ,WArJG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CACZ,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AAxJT,AA0JQ,WA1JG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CAMZ,KAAK,AAAC,CACJ,UAAU,C5BuCR,OAAoD,C4BtCtD,OAAO,CAAE,GAAG,CACb,AA7JT,AA+JQ,WA/JG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CAWZ,OAAO,AAAC,CACN,KAAK,C5BkCH,OAAoD,C4BjCtD,cAAc,CAAE,MAAM,CACvB,AAlKT,AAmKQ,WAnKG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,AAeX,MAAM,CAAC,OAAO,AAAA,WAAW,AAAC,CACzB,KAAK,C3B7JN,OAAO,C2B8JP,AArKT,AAuKQ,WAvKG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,AAmBX,eAAe,AAAC,CACf,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,C3BjKpB,OAAO,C2BiKuB,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CACzD,ACzKT,AAGM,WAHK,AACR,oBAAoB,AAClB,qBAAqB,CACpB,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AANP,AASQ,WATG,AACR,oBAAoB,AAClB,qBAAqB,CAMpB,eAAe,CACb,MAAM,AAAC,CACL,mBAAmB,CAAE,KAAK,CAC1B,UAAU,CAAE,UAAU,CACvB,ACZT,AAEI,WAFO,AACR,oBAAoB,AAClB,eAAe,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAsEnB,AA1EL,AAMM,WANK,AACR,oBAAoB,AAClB,eAAe,CAId,sBAAsB,AAAC,CACrB,OAAO,CAAE,GAAG,CACb,AARP,AAUM,WAVK,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,eAAe,CAAE,UAAU,CAC3B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAiCX,AAjDP,AAkBQ,WAlBG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,AAAC,CACf,KAAK,C7BlBH,IAAO,C6BmBT,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,UAAU,CAavB,AAlCT,AAuBU,WAvBC,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,CAKd,aAAa,AAAC,CACZ,KAAK,C7BxBP,IAAO,C6ByBL,YAAY,CAAE,GAAG,CAClB,AA1BX,AA4BU,WA5BC,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,CAUd,gBAAgB,AAAC,CACf,SAAS,C9BsBP,OAAQ,C8BrBV,KAAK,C9BoKL,OAAoD,C8BnKpD,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,SAAS,CAC1B,AAjCX,AAoCQ,WApCG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CA0BpB,OAAO,AAAC,CACN,KAAK,C7BrCL,IAAO,C6BsCP,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,cAAc,CACtB,SAAS,C9BOP,QAAQ,C8BNX,AAzCT,AA2CQ,WA3CG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAiCnB,WAAW,CA3CpB,WAAW,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAkCnB,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACd,AAhDT,AAmDM,WAnDK,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,AAAC,CAClB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,GAAG,CACZ,SAAS,C9BLL,QAAQ,C8BMZ,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CAiBd,AAzEP,AA0DQ,WA1DG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAOjB,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACd,AA5DT,AA8DQ,WA9DG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAWjB,aAAa,AAAC,CACZ,KAAK,C7B/DL,IAAO,C6BgER,AAhET,AAkEQ,WAlEG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAejB,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACnB,SAAS,C9BjBL,OAAQ,C8BkBZ,KAAK,C9B6HH,OAAoD,C8B5HtD,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,GAAG,CACjB,ACxET,AACE,qBADmB,CACnB,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,KAAK,CAcd,AAjBH,AAKI,qBALiB,CACnB,cAAc,AAIX,UAAU,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAPL,AASI,qBATiB,CACnB,cAAc,CAQZ,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAXL,AAaI,qBAbiB,CACnB,cAAc,CAYZ,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CACf,WAAW,C/BiDI,GAAG,C+BhDnB,AAIL,AAAA,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,IAAI,CAWhB,AAbD,AAIE,cAJY,CAIZ,eAAe,AAAC,CACd,OAAO,CAAE,MAAM,CAOhB,AAZH,AAOI,cAPU,CAIZ,eAAe,CAGb,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CACb,AC/BL,AAAA,YAAY,CAAC,WAAW,AAAA,YAAY,AAAC,CACnC,OAAO,ChCiGK,GAAG,CgChGhB,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CAmOlB,AA3OD,AAUE,WAVS,AAUR,UAAU,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,WAdS,AAcR,YAAY,AAAC,CACZ,cAAc,CAAE,IAAI,CACrB,AAhBH,AAkBE,WAlBS,AAkBR,YAAY,AAAC,CACZ,OAAO,ChC2EG,GAAG,CgC9Dd,AAhCH,AAqBI,WArBO,AAkBR,YAAY,CAGX,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,CAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACP,AA3BL,AA6BI,WA7BO,AAkBR,YAAY,CAWX,sBAAsB,AAAC,CACrB,aAAa,CAAE,OAAO,CACvB,AA/BL,AAmCI,WAnCO,AAkCR,SAAS,CACR,gBAAgB,AAAC,CACf,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACV,AAtCL,AAwCI,WAxCO,AAkCR,SAAS,CAMR,kBAAkB,AAAC,CACjB,UAAU,CAAE,CAAC,CACd,AA1CL,AA4CI,WA5CO,AAkCR,SAAS,CAUR,mBAAmB,AAAC,CAClB,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACV,AA/CL,AAkDE,WAlDS,CAkDT,OAAO,AAAC,CACN,KAAK,ChC2IG,OAAoD,CgC1I7D,AApDH,AAsDE,WAtDS,CAsDT,kBAAkB,AAAC,CACjB,UAAU,CAAE,UAAU,CACtB,QAAQ,CAAE,MAAM,CAChB,UAAU,CAAE,SAAS,CACrB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,IAAI,CAsCjB,AArGH,AAiEI,WAjEO,CAsDT,kBAAkB,CAWhB,cAAc,AAAC,CACb,UAAU,CAAE,IAAI,CAChB,IAAI,CAAE,QAAQ,CACd,OAAO,CAAE,KAAK,CtBZlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CsBYnB,KAAK,CAAE,OAAO,CACf,AAvEL,AAyEI,WAzEO,CAsDT,kBAAkB,CAmBhB,UAAU,AAAC,CACT,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AA7EL,AA+EI,WA/EO,CAsDT,kBAAkB,CAyBhB,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAjFL,AAmFI,WAnFO,CAsDT,kBAAkB,CA6BhB,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CACjB,cAAc,CAAE,IAAI,CACrB,AAvFL,AAyFI,WAzFO,CAsDT,kBAAkB,CAmChB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,WAAW,ChClCI,GAAG,CgCwCnB,AApGL,AAgGM,WAhGK,CAsDT,kBAAkB,CAmChB,eAAe,CAOb,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,CAAC,CAChB,AAnGP,AAuGE,WAvGS,CAuGT,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,UAAU,C/B5GF,IAAO,C+B6Gf,UAAU,CAAE,UAAU,CACvB,AA3GH,AA6GE,WA7GS,CA6GT,eAAe,AAAC,CACd,MAAM,CAAE,OAAO,CACf,WAAW,ChCnDM,GAAG,CgCoDpB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CA6B5B,AAlJH,AAuHI,WAvHO,CA6GT,eAAe,CAUb,KAAK,AAAC,CACJ,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACvB,IAAI,CAAE,MAAM,CACb,AA5HL,AA8HI,WA9HO,CA6GT,eAAe,CAiBb,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAhIL,AAkII,WAlIO,CA6GT,eAAe,AAqBZ,eAAe,AAAC,CACf,UAAU,ChC2DJ,OAAoD,CgC1D3D,AApIL,AAsII,WAtIO,CA6GT,eAAe,AAyBZ,YAAY,AAAC,CACZ,UAAU,ChCuDJ,OAAoD,CgCtD3D,AAxIL,AA0II,WA1IO,CA6GT,eAAe,AA6BZ,YAAY,AAAA,eAAe,AAAC,CAC3B,UAAU,ChCmDJ,OAAoD,CgClD3D,AA5IL,AA8II,WA9IO,CA6GT,eAAe,CAiCb,cAAc,CA9IlB,WAAW,CA6GT,eAAe,CAkCb,oBAAoB,AAAC,CACnB,KAAK,C/BpJD,IAAO,C+BqJZ,AAjJL,AAoJE,WApJS,CAoJT,sBAAsB,AAAC,CACrB,UAAU,C/BxJF,IAAO,C+ByJf,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,OAAO,CACtB,0BAA0B,CAAE,KAAK,CACjC,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,KAAK,CAkClB,AA9LH,AA8JI,WA9JO,CAoJT,sBAAsB,CAUpB,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACnB,KAAK,C/B7JF,OAAO,C+B8JV,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,KAAK,CACf,AApKL,AAsKI,WAtKO,CAoJT,sBAAsB,CAkBpB,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CAKV,AA7KL,AA0KM,WA1KK,CAoJT,sBAAsB,CAkBpB,sBAAsB,AAInB,MAAM,CAAC,eAAe,AAAA,eAAe,AAAA,MAAM,AAAC,CAC3C,UAAU,ChCmBN,OAAoD,CgClBzD,AA5KP,AA+KI,WA/KO,CAoJT,sBAAsB,AA2BnB,mBAAmB,AAAC,CACnB,kBAAkB,CAAE,IAAI,CACxB,KAAK,CAAE,IAAI,CACZ,AAlLL,AAoLI,WApLO,CAoJT,sBAAsB,AAgCnB,yBAAyB,AAAC,CACzB,MAAM,CAAE,OAAO,CACf,aAAa,CAAE,GAAG,CAClB,UAAU,ChCOJ,OAAoD,CgCN3D,AAxLL,AA0LI,WA1LO,CAoJT,sBAAsB,AAsCnB,yBAAyB,AAAC,CACzB,UAAU,CAAE,WAAW,CACvB,aAAa,CAAE,CAAC,CACjB,AA7LL,AAgME,WAhMS,CAgMT,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CA4B/B,AAhOH,AAsMI,WAtMO,CAgMT,kBAAkB,CAMhB,aAAa,CAtMjB,WAAW,CAgMT,kBAAkB,CAOhB,aAAa,AAAA,MAAM,CAvMvB,WAAW,CAgMT,kBAAkB,CAQhB,aAAa,AAAA,OAAO,AAAC,CACnB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACb,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AAlNL,AAoNI,WApNO,CAgMT,kBAAkB,AAoBf,UAAU,AAAC,CACV,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,MAAM,CAChB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACP,AA/NL,AAkOE,WAlOS,CAkOT,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,cAAc,CAAE,IAAI,CACrB,AC9OH,AAGM,WAHK,AACR,aAAa,AACX,YAAY,CACX,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAVP,AAOQ,WAPG,AACR,aAAa,AACX,YAAY,CACX,eAAe,CAIb,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CACjB,ACTT,AAIQ,WAJG,AACR,UAAU,AACR,SAAS,CACR,eAAe,CACZ,AAAA,UAAC,CAAW,UAAU,AAArB,EAJV,WAAW,AACR,UAAU,AACR,SAAS,CACR,eAAe,CAEZ,AAAA,UAAC,CAAW,SAAS,AAApB,CAAsB,CACtB,KAAK,CjCJJ,IAAO,CiCKR,WAAW,CAAE,GAAG,CACjB,ACRT,AAGM,WAHK,AACR,oBAAoB,AAClB,2BAA2B,CAC1B,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,kBAAkB,CAC3B,KAAK,CAAE,KAAK,CACb,AAPP,AASM,WATK,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,OAAO,CAChB,UAAU,CnCsLN,OAAoD,CmCrLxD,UAAU,CAAE,SAAS,CAoCtB,AAjDP,AAeQ,WAfG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAMb,KAAK,CAfb,WAAW,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAOb,OAAO,AAAC,CACN,SAAS,CnCiCV,GAAG,CmChCF,WAAW,CAAE,MAAM,CACnB,KAAK,ClCnBL,IAAO,CkCoBR,AApBT,AAsBQ,WAtBG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAab,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AAxBT,AA0BQ,WA1BG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,AAAC,CACf,UAAU,CnCuKR,OAAoD,CmCjKvD,AAjCT,AA6BU,WA7BC,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,CAGd,KAAK,CA7Bf,WAAW,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,CAId,OAAO,AAAC,CACN,KAAK,ClC9BL,IAAO,CkC+BR,AAhCX,AAmCQ,WAnCG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AA0BZ,MAAM,AAAC,CACN,UAAU,CnC8JR,OAAoD,CmC7JtD,KAAK,ClCpCH,IAAO,CkCqCV,AAtCT,AAwCQ,WAxCG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AA+BZ,YAAY,AAAC,CACZ,KAAK,ClCzCL,IAAO,CkC0CP,UAAU,CnCwJR,OAAoD,CmCvJvD,AA3CT,AA6CQ,WA7CG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAoCZ,YAAY,AAAA,eAAe,AAAC,CAC3B,UAAU,CnCoJR,OAAoD,CmCnJtD,KAAK,ClC/CL,IAAO,CkCgDR,AChDT,AACE,qBADmB,CACnB,2BAA2B,AAAC,CAC1B,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,KAAK,CAUd,AAbH,AAKI,qBALiB,CACnB,2BAA2B,CAIzB,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAPL,AASI,qBATiB,CACnB,2BAA2B,CAQzB,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CACf,WAAW,CpCqDI,GAAG,CoCpDnB,AAIL,AAAA,2BAA2B,CAAC,4BAA4B,AAAC,CACvD,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,2BAA2B,AAAC,CAC1B,MAAM,CAAE,CAAC,CAKV,AAVD,AAAA,2BAA2B,CAAC,4BAA4B,AAOzB,CAC3B,OAAO,CAAE,WAAW,CACrB,ACzBH,AAEI,WAFO,AACR,oBAAoB,AAClB,4BAA4B,AAAC,CAC5B,UAAU,CAAE,IAAI,CAcjB,AAjBL,AAKM,WALK,AACR,oBAAoB,AAClB,4BAA4B,CAG3B,gBAAgB,AAAC,CACf,KAAK,CAAE,KAAK,CACZ,SAAS,CAAE,KAAK,CACjB,AARP,AAUM,WAVK,AACR,oBAAoB,AAClB,4BAA4B,CAQ3B,kBAAkB,AAAC,CACjB,eAAe,CAAE,MAAM,CACxB,AAZP,AAcM,WAdK,AACR,oBAAoB,AAClB,4BAA4B,CAY3B,2BAA2B,AAAC,CAC1B,WAAW,CAAE,MAAM,CACpB,AChBP,AAIQ,WAJG,AACR,UAAU,AACR,eAAe,CACd,mBAAmB,CACjB,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,KAAK,CAOZ,AAfT,AAUU,WAVC,AACR,UAAU,AACR,eAAe,CACd,mBAAmB,CACjB,SAAS,CAMP,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,ACdX,AAAA,SAAS,CACT,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,CAAC,CACd,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACxB,IAAI,CAAE,YAAY,CAClB,WAAW,CAAE,CAAC,CACd,QAAQ,CAAE,OAAO,CAClB,AAGD,AAAA,GAAG,CAAG,GAAG,AAAC,CACR,cAAc,CAAE,IAAI,CACrB,AAUD,AAAA,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CAetB,AAnBD,AAME,SANO,CAMP,YAAY,CANd,SAAS,CAOP,YAAY,AAAC,CACX,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,QAAQ,CAAE,QAAQ,CACnB,AAXH,AAaE,SAbO,CAaP,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,OAAO,CACnB,WAAW,CAAE,OAAO,CACrB,AC5CH,AAAA,wBAAwB,AAAC,CACvB,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,CxC+LP,OAAoD,CwC9L9D,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAmCvB,AAzCD,AAQE,wBARsB,CAQtB,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,WAAW,CACnB,IAAI,CAAE,CAAC,CAmBR,AA/BH,AAeM,wBAfkB,CAQtB,OAAO,AAMJ,KAAK,CACJ,WAAW,AAAC,CACV,UAAU,CvCTT,OAAO,CuCUR,KAAK,CvChBD,IAAO,CuCiBZ,AAlBP,AAsBM,wBAtBkB,CAQtB,OAAO,AAaJ,GAAG,CACF,SAAS,AAAC,CACR,UAAU,CvChBT,OAAO,CuCiBR,KAAK,CvCvBD,IAAO,CuCwBZ,AAzBP,AA4BI,wBA5BoB,CAQtB,OAAO,CAoBL,IAAI,AAAC,CACH,YAAY,CAAE,KAAK,CACpB,AA9BL,AAiCE,wBAjCsB,CAiCtB,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CAKR,AAxCH,AAqCI,wBArCoB,CAiCtB,MAAM,AAIH,QAAQ,AAAC,CACR,OAAO,CAAE,IAAI,CACd,ACpBL,AAZA,UAYU,CA6CV,YAAY,AAzDP,CACH,WAAW,CAAE,CAAC,CACd,UAAU,CAAE,IAAI,CAKjB,AAKD,AATE,UASQ,CATR,EAAE,CAAC,CAAC,CAsDN,YAAY,CAtDV,EAAE,CAAC,CAAC,AAAC,CACH,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,IAAI,CACtB,AAMH,AAIE,UAJQ,CAIN,EAAE,AAAC,CACH,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAiClB,AAvCH,AAQI,UARM,CAIN,EAAE,CAIA,CAAC,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,QAAQ,CACjB,KAAK,CxC9BD,IAAO,CwC+BX,SAAS,CzCkBH,QAAQ,CyCjBd,WAAW,CzC+BG,CAAC,CyC9Bf,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,gBAAgB,CAW7B,AA7BL,AAoBM,UApBI,CAIN,EAAE,CAIA,CAAC,CAYD,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,IAAI,CACd,AAvBP,AAyBM,UAzBI,CAIN,EAAE,CAIA,CAAC,AAiBA,MAAM,AAAC,CACN,KAAK,CxC1CA,OAAO,CwC2CZ,gBAAgB,CzCoJZ,OAAoD,CyCnJzD,AA5BP,AA+BI,UA/BM,CAIN,EAAE,CA2BF,CAAC,AAAA,OAAO,AAAC,CACP,KAAK,CxClDC,IAAO,CwCmDb,gBAAgB,CxCjDT,OAAO,CwCsDf,AAtCL,AAmCM,UAnCI,CAIN,EAAE,CA2BF,CAAC,AAAA,OAAO,CAIN,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAQP,AAAA,YAAY,AAAC,CAEX,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,MAAM,CAChB,UAAU,CzC8HA,OAAoD,CyC7E/D,AArDD,AAME,YANU,CAMV,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CzC2HhB,OAAoD,CyC1H5D,QAAQ,CAAE,QAAQ,CASnB,AAjBH,AAUI,YAVQ,CAMV,EAAE,AAIC,aAAa,AAAC,CACb,aAAa,CAAE,CAAC,CACjB,AAZL,AAcI,YAdQ,CAMV,EAAE,AAQC,OAAO,AAAC,CACP,YAAY,CAAE,IAAI,CACnB,AAhBL,AAmBE,YAnBU,CAmBV,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,SAAS,CzCrCD,QAAQ,CyCsChB,WAAW,CzCxBK,CAAC,CyCyBjB,MAAM,CAAE,OAAO,CACf,KAAK,CxCzFC,IAAO,CwCwGd,AAxCH,AA2BI,YA3BQ,CAmBV,CAAC,AAQE,OAAO,AAAC,CACP,KAAK,CxC3FC,IAAO,CwC4Fb,gBAAgB,CxC1FT,OAAO,CwCoGf,AAvCL,AA+BM,YA/BM,CAmBV,CAAC,AAQE,OAAO,AAIL,OAAO,AAAC,CACP,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,qBAAqB,CAC7B,iBAAiB,CxCpGb,IAAO,CwCqGZ,AAtCP,AA0CE,YA1CU,CA0CV,MAAM,AAAC,CACL,SAAS,CzCxDC,OAAQ,CyCyDnB,AA5CH,AA8CE,YA9CU,CA8CV,MAAM,AAAC,CACL,SAAS,CzC5DC,OAAQ,CyC6DlB,KAAK,CAAE,MAAM,CACb,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,MAAM,CACpB,WAAW,CzClDK,GAAG,CyCmDpB,AC7GH,AAAA,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CACjB,WAAW,CAAE,GAAG,CAChB,SAAS,C1CsCF,GAAG,C0CrCV,WAAW,C1CkDO,CAAC,C0CjDnB,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,SAAS,CACrB,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAqBjB,AAhCD,AAYE,IAZE,CAYF,OAAO,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AAdH,AAeE,IAfE,AAeD,OAAO,CAfV,IAAI,AAgBD,WAAW,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAlBH,AAmBE,IAnBE,CAmBD,AAAA,QAAC,AAAA,EAnBJ,IAAI,AAoBD,SAAS,AAAC,CACT,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,GAAG,CACb,AAvBH,AAYE,IAZE,CAYF,OAAO,AAYC,CACN,YAAY,CAAE,GAAG,CAClB,AA1BH,AA4BI,IA5BA,AA2BD,QAAQ,CACP,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CAChB,AAIL,AAAA,IAAI,AAAA,OAAO,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AApCD,AAAA,IAAI,AAyCC,CACH,MAAM,CAAE,IAAI,CACZ,KAAK,CzClDG,IAAO,CyCmDf,WAAW,CAAE,MAAM,CACnB,UAAU,C1C8IA,OAAoD,C0C5G/D,AA/ED,AAYE,IAZE,CAYF,OAAO,AAkCC,CACN,KAAK,C1C4IG,OAAoD,C0C3I7D,AAPH,AASE,IATE,CASD,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzC1DC,IAAO,CyC2Db,UAAU,CAAE,KAAK,CAClB,AhCTD,AACE,mBADiB,CgCHrB,IAAI,AhCIC,MAAM,CADT,mBAAmB,CgCHrB,IAAI,AhCKC,UAAU,AAAC,CgCSZ,UAAU,C1CoIF,OAAoD,C0CnI5D,KAAK,CzC9DG,IAAO,CSsDd,AAJH,AgCaE,mBhCbiB,CgCHrB,IAAI,AhCIC,MAAM,CgCYP,OAAO,ChCbT,mBAAmB,CgCHrB,IAAI,AhCKC,UAAU,CgCWX,OAAO,AAAC,CACN,KAAK,C1CmIC,OAAmD,C0ClI1D,AA3DL,AAmBE,IAnBE,CAmBD,AAAA,QAAC,AAAA,EAnBJ,IAAI,AAoBD,SAAS,AA0CC,CACT,UAAU,C1C4HF,OAAoD,C0ClH5D,MAAM,CAAE,WAAW,CACpB,AAjCH,AAuBI,IAvBA,CAoBD,AAAA,QAAC,AAAA,EAGA,OAAO,CAvBX,IAAI,AAqBD,SAAS,CAER,OAAO,AAAC,CACN,KAAK,C1C0HC,OAAoD,C0CzH3D,AAzBL,AA0BI,IA1BA,CAoBD,AAAA,QAAC,AAAA,CAMC,MAAM,CA1BX,IAAI,AAqBD,SAAS,AAKP,MAAM,AAAC,CACN,KAAK,C1CuHC,OAAoD,C0CnH3D,AA/BL,AA4BM,IA5BF,CAoBD,AAAA,QAAC,AAAA,CAMC,MAAM,CAEL,OAAO,CA5Bb,IAAI,AAqBD,SAAS,AAKP,MAAM,CAEL,OAAO,AAAC,CACN,KAAK,C1CqHD,OAAoD,C0CpHzD,AAvEP,AAYE,IAZE,CAYF,OAAO,AAgEC,CACN,WAAW,C1CpBM,GAAG,C0CqBrB,AAMH,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,MAAM,CACnB,KAAK,CzC7FK,IAAO,CyC8FjB,UAAU,CzC7FD,IAAO,CyC2HjB,AAlCD,AAKE,YALU,CAKV,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAPH,AAQE,YARU,CAQT,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzCnGG,IAAO,CyCoGhB,AhClDD,AACE,mBADiB,CgCwCrB,YAAY,AhCvCP,MAAM,CADT,mBAAmB,CgCwCrB,YAAY,AhCtCP,UAAU,AAAC,CgCkDZ,UAAU,CACR,OAAwC,ChCjDzC,AAJH,AgCwDE,mBhCxDiB,CgCwCrB,YAAY,AhCvCP,MAAM,CgCuDP,OAAO,ChCxDT,mBAAmB,CgCwCrB,YAAY,AhCtCP,UAAU,CgCsDX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAlBL,AAoBE,YApBU,AAoBT,OAAO,CApBV,YAAY,AAqBT,WAAW,AAAC,ChCtEb,gBAAgB,CgCwEZ,OAAwC,ChCvE5C,gBAAgB,CAAE,yCAAoD,CgC0ErE,AA1BH,AA2BE,YA3BU,CA2BT,AAAA,QAAC,AAAA,EA3BJ,YAAY,AA4BT,SAAS,AAAC,CACT,UAAU,CzCtHH,IAAO,CyC0Hf,AAjCH,AA8BI,YA9BQ,CA2BT,AAAA,QAAC,AAAA,EAGA,OAAO,CA9BX,YAAY,AA4BT,SAAS,CAER,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAOL,AAAA,WAAW,AAAC,CACV,KAAK,CzClIK,IAAO,CyCmIjB,WAAW,CAAE,MAAM,CACnB,UAAU,CzC9HH,OAAO,CyCyJf,AA9BD,AAIE,WAJS,CAIT,OAAO,AAAC,CACN,KAAK,C1C2DG,OAAoD,C0C1D7D,AANH,AAOE,WAPS,CAOR,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzCzIG,IAAO,CyC0IhB,AhCxFD,AACE,mBADiB,CgC+ErB,WAAW,AhC9EN,MAAM,CADT,mBAAmB,CgC+ErB,WAAW,AhC7EN,UAAU,AAAC,CgCwFZ,UAAU,CACR,OAAsC,ChCvFvC,AAJH,AgC8FE,mBhC9FiB,CgC+ErB,WAAW,AhC9EN,MAAM,CgC6FP,OAAO,ChC9FT,mBAAmB,CgC+ErB,WAAW,AhC7EN,UAAU,CgC4FX,OAAO,AAAC,CACN,KAAK,C1CgDC,OAAoD,C0C/C3D,AAjBL,AAmBE,WAnBS,AAmBR,OAAO,CAnBV,WAAW,AAoBR,WAAW,AAAC,ChC5Gb,gBAAgB,CgC6GW,OAAsC,ChC5GjE,gBAAgB,CAAE,4CAAoD,CgC6GrE,AAtBH,AAuBE,WAvBS,CAuBR,AAAA,QAAC,AAAA,EAvBJ,WAAW,AAwBR,SAAS,AAAC,CACT,UAAU,CzCpJL,OAAO,CyCwJb,AA7BH,AA0BI,WA1BO,CAuBR,AAAA,QAAC,AAAA,EAGA,OAAO,CA1BX,WAAW,AAwBR,SAAS,CAER,OAAO,AAAC,CACN,KAAK,C1CqCC,OAAoD,C0CpC3D,AAOL,AAAA,WAAW,AAAC,CAIV,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAyDjB,AA9DD,AACE,WADS,CACT,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAHH,AAME,WANS,AAMR,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AARH,AASE,WATS,CASR,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzC9KG,IAAO,CyC+KhB,AAXH,AAYE,WAZS,AAYR,OAAO,AAAC,CACP,YAAY,CAAE,GAAG,CACjB,SAAS,C1CjIJ,GAAG,C0CkIT,AAfH,AAgBE,WAhBS,AAgBR,cAAc,AAAC,CACd,UAAU,C1CnKL,IAAO,C0CoKZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,C1CUT,OAAoD,C0CD7D,AA5BH,AAqBI,WArBO,AAgBR,cAAc,CAKb,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AAvBL,AAwBI,WAxBO,AAgBR,cAAc,AAQZ,MAAM,AAAC,CACN,KAAK,CAAE,YAAY,CACnB,UAAU,CAAE,OAAmB,CAChC,AA3BL,AA6BE,WA7BS,AA6BR,UAAU,AAAC,CACV,UAAU,C1C/KF,OAAO,C0CmLhB,AAlCH,AA+BI,WA/BO,AA6BR,UAAU,AAER,MAAM,AAAC,CACN,UAAU,CAAE,OAAuB,CACpC,AAjCL,AAmCE,WAnCS,AAmCR,SAAS,AAAC,CACT,UAAU,C1CpLH,OAAO,C0CwLf,AAxCH,AAqCI,WArCO,AAmCR,SAAS,AAEP,MAAM,AAAC,CACN,UAAU,CAAE,OAAsB,CACnC,AAvCL,AAyCE,WAzCS,AAyCR,IAAI,AAAC,CACJ,UAAU,C1CzLR,OAAO,C0C0LV,AA3CH,AA4CE,WA5CS,AA4CR,QAAQ,AAAC,CACR,UAAU,C1C3LJ,OAAO,C0C+Ld,AAjDH,AA8CI,WA9CO,AA4CR,QAAQ,AAEN,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AAhDL,AAkDE,WAlDS,AAkDR,OAAO,AAAC,CACP,UAAU,C1ChML,OAAO,C0CoMb,AAvDH,AAoDI,WApDO,AAkDR,OAAO,AAEL,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AAtDL,AAwDE,WAxDS,AAwDR,QAAQ,AAAC,CACR,UAAU,C1CrMJ,OAAO,C0CyMd,AA7DH,AA0DI,WA1DO,AAwDR,QAAQ,AAEN,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AASL,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,OAAO,CAChB,SAAS,C1CzLG,OAAQ,C0C0LrB,AAID,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,QAAQ,CACjB,SAAS,C1ClMC,QAAQ,C0CmMlB,WAAW,C1CrLO,CAAC,C0CsLpB,AAED,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,WAAW,C1C5LO,CAAC,C0C6LnB,UAAU,CAAE,6BAA6B,CAwB1C,AA7BD,AAME,SANO,CAMP,OAAO,AAAC,CACN,KAAK,C1C5DG,OAAoD,C0C6D7D,AhC5MD,AgC8ME,mBhC9MiB,CgCoMrB,SAAS,AhCnMJ,MAAM,CgC6MP,OAAO,ChC9MT,mBAAmB,CgCoMrB,SAAS,AhClMJ,UAAU,CgC4MX,OAAO,AAAC,CACN,KAAK,CzClQD,IAAO,CyCmQZ,AAZL,AAcE,SAdO,AAcN,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,WAAW,CACvB,SAAS,C1C1ND,QAAQ,C0CoOjB,AA5BH,AAmBI,SAnBK,AAcN,MAAM,CAKL,OAAO,AAAC,CACN,KAAK,C1CzEC,OAAoD,C0C0E3D,AhCzNH,AACE,mBADiB,CgCoMrB,SAAS,AAcN,MAAM,AhCjNJ,MAAM,CADT,mBAAmB,CgCoMrB,SAAS,AAcN,MAAM,AhChNJ,UAAU,AAAC,CgCyNV,UAAU,CAAE,WAAW,ChCvNxB,AAJH,AgC4NI,mBhC5Ne,CgCoMrB,SAAS,AAcN,MAAM,AhCjNJ,MAAM,CgC2NL,OAAO,ChC5NX,mBAAmB,CgCoMrB,SAAS,AAcN,MAAM,AhChNJ,UAAU,CgC0NT,OAAO,AAAC,CACN,KAAK,CzChRH,IAAO,CyCiRV,AAKP,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CACV,KAAK,CzCzRI,IAAO,CyC6RjB,AATD,AAME,SANO,AAMN,MAAM,AAAC,CACN,OAAO,CAAE,uBAAuB,CACjC,AC9RH,AAAA,gBAAgB,CAAC,EAAE,AAAA,YAAY,CAC/B,WAAW,AAAC,CACV,WAAW,CAAE,qBAAqB,CACnC,AAED,AAAA,WAAW,CAAC,EAAE,AAAA,SAAS,CAAC,EAAE,AAAA,YAAY,CACtC,gBAAgB,AAAA,SAAS,CAAC,EAAE,AAAA,YAAY,CACxC,uBAAuB,AAAA,SAAS,AAAC,CAC/B,UAAU,CAAE,KAAK,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,C1CDlB,OAAO,C0CEf,AAED,AAAA,eAAe,AAAA,SAAS,CACxB,WAAW,AAAA,SAAS,AAAC,CACnB,UAAU,CAAG,IAAG,CAAC,CAAC,CAAC,CAAC,C1CNb,OAAO,C0COf,AAED,AAAA,OAAO,CAAC,eAAe,AAAC,CACtB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,gBAAgB,AAAA,SAAS,AAAC,CACxB,gBAAgB,CAAE,OAAO,CAC1B,AAED,AAAA,yBAAyB,CAAC,WAAW,AAAC,CACpC,UAAU,CAAE,KAAK,CAClB,AAED,AACE,wBADsB,CACtB,GAAG,AAAA,IAAI,AAAC,CACN,KAAK,CAAE,IAAI,CAKZ,AAPH,AAGI,wBAHoB,CACtB,GAAG,AAAA,IAAI,CAEL,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACX,AANL,AAQE,wBARsB,CAQtB,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAef,AAzBH,AAYI,wBAZoB,CAQtB,EAAE,CAIA,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACd,AAdL,AAgBI,wBAhBoB,CAQtB,EAAE,CAQA,GAAG,AAAC,CACF,SAAS,C3CPE,IAAI,C2CQf,WAAW,C3CLE,SAAS,CAAE,KAAK,CAAE,UAAU,C2CMzC,MAAM,CAAE,CAAC,CACT,KAAK,CAAoB,IAAI,CAC7B,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,OAAO,CAChB,WAAW,CAAE,MAAM,CACpB,ACpDL,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,GAAG,CAAC,KAAK,C5C+LP,OAAoD,C4C9L9D,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,UAAU,CACtB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,eAAe,CAAE,aAAa,CAM/B,AAdD,AAUE,kBAVgB,CAUhB,YAAY,CAVd,kBAAkB,CAWhB,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,ACbH,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CACjB,ACED,AAAA,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,UAAU,C9C4LA,OAAoD,C8C3L9D,KAAK,C7CPG,IAAO,C6CQf,OAAO,C9C6FC,CAAC,C8C5FT,QAAQ,CAAE,IAAI,CAgBf,AArBD,AAOE,OAPK,AAOJ,QAAQ,AAAC,CACR,QAAQ,CAAE,KAAK,CAChB,AATH,AAWE,OAXK,CAWL,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CAChB,KAAK,C9CiLG,OAAoD,C8ChL5D,YAAY,CAAE,GAAG,CACjB,KAAK,CAAE,KAAK,CACb,AAhBH,AAkBE,OAlBK,CAkBL,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,ACxBH,AAAA,aAAa,AAAC,CACZ,QAAQ,CAAE,IAAI,CACd,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,gBAAgB,C9CLN,IAAO,C8CMjB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,UAAU,CACvB,AAED,AAAA,uBAAuB,AAAC,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,C/CsLP,OAAoD,C+CrL9D,aAAa,CAAE,MAAM,CACrB,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,IAAI,CACnB,AAED,AAAA,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,iBAAiB,CAChC,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,kBAAkB,AAAC,CACjB,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,IAAI,CACpB,ACnCD,AACE,aADW,CACX,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,eAAe,CAC5B,AAPH,AASE,aATW,CASX,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,ACXH,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CAqCvB,AAtCD,AAGE,aAHW,CAGX,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,GAAG,CAAC,KAAK,CjD4LT,OAAoD,CiD7J7D,AArCH,AAQI,aARS,CAGX,OAAO,CAKL,MAAM,AAAC,CACL,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CAqBZ,AApCL,AAiBM,aAjBO,CAGX,OAAO,CAKL,MAAM,AASH,KAAK,AAAC,CACL,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CACjB,AApBP,AAsBM,aAtBO,CAGX,OAAO,CAKL,MAAM,AAcH,MAAM,CAtBb,aAAa,CAGX,OAAO,CAKL,MAAM,AAeH,QAAQ,AAAC,CACR,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,IAAI,CACZ,AA1BP,AA4BM,aA5BO,CAGX,OAAO,CAKL,MAAM,AAoBH,MAAM,AAAC,CACN,aAAa,CAAE,CAAC,CACjB,AA9BP,AAgCM,aAhCO,CAGX,OAAO,CAKL,MAAM,AAwBH,QAAQ,AAAC,CACR,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACZ,ACnCP,AAAA,0CAA0C,CAC1C,8BAA8B,AAAC,CAC7B,aAAa,CAAE,IAAI,CACpB,ACHD,AACE,4BAD0B,AACzB,WAAW,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CnD2LF,OAAoD,CmD1L5D,cAAc,CAAE,MAAM,CAMvB,AAdH,AAUI,4BAVwB,AACzB,WAAW,CASV,MAAM,AAAC,CACL,SAAS,CnDsCH,QAAQ,CmDrCd,WAAW,CAAE,GAAG,CACjB,AAbL,AAgBE,4BAhB0B,AAgBzB,IAAK,CAAA,WAAW,CAAE,CACjB,SAAS,CAAE,WAAW,CACtB,iBAAiB,CAAE,WAAW,CAC/B,AAED,UAAU,CAAV,MAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,kBAAkB,CAAlB,MAAkB,CAChB,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,ECnChB,AAAA,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CnDDG,IAAO,CmDEf,WAAW,CAAE,IAAI,CAYlB,AAdD,AAIE,CAJD,AAAA,QAAQ,AAIN,QAAQ,CAJX,CAAC,AAAA,QAAQ,AAKN,MAAM,AAAC,CACN,KAAK,CnDNC,IAAO,CmDOd,AAPH,AAUI,CAVH,AAAA,QAAQ,AASN,MAAM,CACL,IAAI,AAAC,CACH,eAAe,CAAE,SAAS,CAC3B,ACZL,AACE,wBADsB,CAAC,WAAW,CAClC,aAAa,AAAC,CACZ,aAAa,CAAE,GAAG,CACnB,AtDoJH,AAMI,WANO,CAMP,EAAE,CANN,WAAW,CAOP,EAAE,AuD5JD,CACD,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,eAAe,CAC3B,aAAa,CAAE,eAAe,CAC/B,AAGH,AAAA,oBAAoB,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,YAAY,AAAC,CACX,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,CAAC,CACV,AvDiBD,AAAA,YAAY,AuDfC,CACX,QAAQ,CAAE,mBAAmB,CAC9B,AClBD,AAAA,qBAAqB,AAAC,CACpB,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,wBAAwB,AAAC,CACvB,KAAK,CATQ,KAAK,CAUlB,MAAM,CAVO,KAAK,CAWlB,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CAClB,QAAQ,CAAE,MAAM,CAejB,AApBD,AAME,wBANsB,AAMrB,OAAO,AAAC,CACP,SAAS,CAAE,8CAA8C,CACzD,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,gEAKX,CACD,MAAM,CAzBK,KAAK,CA0BhB,KAAK,CA3BI,KAAK,CA4Bf,AAIH,AAAA,UAAU,CACV,WAAW,AAAC,CACV,KAAK,CAlCM,KAAK,CAmChB,UAAU,CvDoGF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CuDnGtC,KAAK,CtDpCG,IAAO,CsDqCf,UAAU,CtDpCA,IAAO,CsDoCM,MAAM,CAAC,MAAM,CACpC,eAAe,CAAE,KAAK,CACtB,UAAU,CAAE,4BAA4B,CACxC,kBAAkB,CAAE,oCAAoC,CACxD,OAAO,CAAE,CAAC,C7C+CV,iBAAiB,C6C9CE,UAAU,C7C+C7B,SAAS,C6C/CU,UAAU,CA8F9B,AAxGD,AAWE,UAXQ,AAWP,KAAK,CAVR,WAAW,AAUR,KAAK,AAAC,CACL,OAAO,CAAE,CAAC,C7C4CZ,iBAAiB,C6C3CI,QAAQ,C7C4C7B,SAAS,C6C5CY,QAAQ,CAC5B,AAdH,AAeE,UAfQ,CAeR,aAAa,CAdf,WAAW,CAcT,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,UAAU,CtDhDF,sBAAO,CsDiDf,UAAU,CAAE,IAAI,CASjB,AA3BH,AAmBI,UAnBM,CAeR,aAAa,AAIV,MAAM,CAlBX,WAAW,CAcT,aAAa,AAIV,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAvBL,AAwBI,UAxBM,CAeR,aAAa,CASX,CAAC,AAAA,iBAAiB,CAvBtB,WAAW,CAcT,aAAa,CASX,CAAC,AAAA,iBAAiB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AA1BL,AA6BI,UA7BM,AA4BP,MAAM,CACL,aAAa,CA5BjB,WAAW,AA2BR,MAAM,CACL,aAAa,AAAC,CACZ,UAAU,CAAE,CAAC,CACd,AA/BL,AAiCE,UAjCQ,CAiCR,SAAS,AAAA,IAAK,CAAA,UAAU,EAhC1B,WAAW,CAgCT,SAAS,AAAA,IAAK,CAAA,UAAU,CAAE,CACxB,UAAU,CAAE,KAAK,CAClB,AAnCH,AAsCI,UAtCM,CAqCR,UAAU,CACR,MAAM,CArCV,WAAW,CAoCT,UAAU,CACR,MAAM,AAAC,CACL,YAAY,CAAE,MAAM,CAkBrB,AAzDL,AAyCM,UAzCI,CAqCR,UAAU,CACR,MAAM,CAGJ,kBAAkB,CAxCxB,WAAW,CAoCT,UAAU,CACR,MAAM,CAGJ,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AA5CP,AA8CM,UA9CI,CAqCR,UAAU,CACR,MAAM,CAQJ,OAAO,CA7Cb,WAAW,CAoCT,UAAU,CACR,MAAM,CAQJ,OAAO,AAAC,CACN,MAAM,CAAE,QAAQ,CACjB,AAhDP,AAkDM,UAlDI,CAqCR,UAAU,CACR,MAAM,CAYJ,sBAAsB,CAjD5B,WAAW,CAoCT,UAAU,CACR,MAAM,CAYJ,sBAAsB,AAAC,CACrB,YAAY,CAAE,CAAC,CACf,IAAI,CAAE,QAAQ,CACf,AArDP,AAsDM,UAtDI,CAqCR,UAAU,CACR,MAAM,CAgBJ,IAAI,CArDV,WAAW,CAoCT,UAAU,CACR,MAAM,CAgBJ,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACf,AAxDP,AA0DI,UA1DM,CAqCR,UAAU,CAqBR,kBAAkB,CAzDtB,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,AAAC,CACjB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,CAAC,CAIV,AAhEL,AA6DM,UA7DI,CAqCR,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,CA5DZ,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AA/DP,AAkEE,UAlEQ,CAkER,IAAI,CAjEN,WAAW,CAiET,IAAI,AAAC,CACH,aAAa,CAAE,GAAG,CACnB,AApEH,AAqEE,UArEQ,CAqER,EAAE,CApEJ,WAAW,CAoET,EAAE,AAAC,CACD,WAAW,CvDtCM,GAAG,CuD0CrB,AA1EH,AAuEI,UAvEM,CAqER,EAAE,CAEA,OAAO,CAtEX,WAAW,CAoET,EAAE,CAEA,OAAO,AAAC,CACN,KAAK,CtDxGD,IAAO,CsDyGZ,AAzEL,AA2EE,UA3EQ,CA2ER,EAAE,CA1EJ,WAAW,CA0ET,EAAE,AAAC,CACD,OAAO,CAAE,MAAM,CACf,YAAY,CAAE,KAAK,CACnB,KAAK,CtD9GC,IAAO,CsDoHd,AApFH,AA+EI,UA/EM,CA2ER,EAAE,AAIC,MAAM,CA/EX,UAAU,CA2ER,EAAE,CAKA,KAAK,CAhFT,UAAU,CA2ER,EAAE,CAMA,CAAC,CAhFL,WAAW,CA0ET,EAAE,AAIC,MAAM,CA9EX,WAAW,CA0ET,EAAE,CAKA,KAAK,CA/ET,WAAW,CA0ET,EAAE,CAMA,CAAC,AAAC,CACA,KAAK,CvDgFC,OAAoD,CuD/E3D,AAnFL,AAqFE,UArFQ,CAqFR,EAAE,CArFJ,UAAU,CAsFR,EAAE,CAtFJ,UAAU,CAuFR,EAAE,CAtFJ,WAAW,CAoFT,EAAE,CApFJ,WAAW,CAqFT,EAAE,CArFJ,WAAW,CAsFT,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,C7C5DX,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6C4DtB,AA1FH,AA6FI,UA7FM,CA2FR,EAAE,CAEA,CAAC,CA7FL,UAAU,CA4FR,EAAE,CACA,CAAC,CA5FL,WAAW,CA0FT,EAAE,CAEA,CAAC,CA5FL,WAAW,CA2FT,EAAE,CACA,CAAC,AAAC,CACA,KAAK,CtD9HD,IAAO,CsD+HZ,AA/FL,AAiGE,UAjGQ,CAiGR,EAAE,CAjGJ,UAAU,CAkGR,EAAE,CAjGJ,WAAW,CAgGT,EAAE,CAhGJ,WAAW,CAiGT,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACpB,AApGH,AAqGE,UArGQ,CAqGR,CAAC,CApGH,WAAW,CAoGT,CAAC,AAAC,CACA,MAAM,CAAE,SAAS,CAClB,AAIH,AAEE,UAFQ,CAER,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CAWd,AAdH,AAII,UAJM,CAER,UAAU,CAER,mBAAmB,AAAC,CAClB,KAAK,CA/II,KAAK,CAgJd,MAAM,CAhJG,KAAK,CAiJf,AAPL,AAQI,UARM,CAER,UAAU,CAMR,iBAAiB,AAAC,CAChB,UAAU,CAlJC,KAAI,CAmJhB,AAVL,AAWI,UAXM,CAER,UAAU,CASR,SAAS,CAAC,CAAC,AAAC,CACV,KAAK,CvD2CC,OAAoD,CuD1C3D,AAbL,AAgBE,UAhBQ,CAgBR,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CAyBf,AA3CH,AAoBM,UApBI,CAgBR,WAAW,CAGT,IAAI,CACF,CAAC,AAAC,CACA,KAAK,CtDhKH,IAAO,CsDiKT,eAAe,CAAE,SAAS,CAC3B,AAvBP,AAwBM,UAxBI,CAgBR,WAAW,CAGT,IAAI,CAKF,CAAC,AAAA,QAAQ,AAAC,CACR,eAAe,CAAE,IAAI,CACtB,AA1BP,AA2BM,UA3BI,CAgBR,WAAW,CAGT,IAAI,CAQF,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,MAAM,CACjB,AA9BP,AAgCI,UAhCM,CAgBR,WAAW,CAgBT,UAAU,AAAC,CACT,KAAK,CtDrKF,OAAO,CsD0KX,AAtCL,AAkCM,UAlCI,CAgBR,WAAW,CAgBT,UAAU,CAER,wBAAwB,CAlC9B,UAAU,CAgBR,WAAW,CAgBT,UAAU,CAGR,gBAAgB,AAAC,CACf,WAAW,CAAE,IAAI,CAClB,AArCP,AAuCI,UAvCM,CAgBR,WAAW,CAuBT,eAAe,AAAC,CACd,SAAS,CvDlIH,QAAQ,CuDmId,UAAU,CAAE,KAAK,CAClB,AA1CL,AA8CI,UA9CM,CA6CR,UAAU,CACR,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CAqBpB,AAvEL,AAmDM,UAnDI,CA6CR,UAAU,CACR,qBAAqB,CAKnB,SAAS,CAnDf,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAMnB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CAIpB,AA3DP,AAwDQ,UAxDE,CA6CR,UAAU,CACR,qBAAqB,CAKnB,SAAS,CAKP,OAAO,CAxDf,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAMnB,aAAa,CAIX,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AA1DT,AA4DM,UA5DI,CA6CR,UAAU,CACR,qBAAqB,CAcnB,aAAa,CAAC,CAAC,CA5DrB,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAenB,SAAS,CAAC,IAAI,AAAC,C7C5InB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6C4IjB,KAAK,CtD1MH,IAAO,CsD2MV,AAhEP,AAiEM,UAjEI,CA6CR,UAAU,CACR,qBAAqB,CAmBnB,SAAS,AAAC,CACR,YAAY,CAAE,KAAK,CACpB,AAnEP,AAoEM,UApEI,CA6CR,UAAU,CACR,qBAAqB,CAsBnB,aAAa,CAAC,CAAC,AAAC,CACd,eAAe,CAAE,SAAS,CAC3B,AAtEP,AA2EI,UA3EM,CA0ER,UAAU,CACR,mBAAmB,AAAC,CAClB,MAAM,CAAE,CAAC,CACV,AA7EL,AAiFI,UAjFM,CAgFR,UAAU,CACR,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CAYxB,AA/FL,AAoFM,UApFI,CAgFR,UAAU,CACR,cAAc,CAGZ,WAAW,CApFjB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AAPS,C7CnKhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6CmKjB,UAAU,CvD/BN,OAAoD,CuDgCxD,MAAM,CAAE,GAAG,CAAC,KAAK,CvDhCb,OAAoD,CuDiCxD,KAAK,CtDnOH,IAAO,CsDoOV,AAWP,AAEE,WAFS,CAET,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CAkBd,AArBH,AAII,WAJO,CAET,UAAU,CAER,kBAAkB,AAAC,CACjB,UAAU,CAlPC,KAAI,CAmPhB,AANL,AAOI,WAPO,CAET,UAAU,CAKR,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,OAAO,CACxB,KAAK,CAxPI,KAAK,CAyPd,MAAM,CAzPG,KAAK,CA0Pd,KAAK,CtD3PD,IAAO,CsDmQZ,AApBL,AAaM,WAbK,CAET,UAAU,CAKR,aAAa,CAMX,OAAO,AAAC,CACN,MAAM,CAAE,IAAI,CACZ,SAAS,CAAE,IAAmB,CAC/B,AAhBP,AAiBM,WAjBK,CAET,UAAU,CAKR,aAAa,AAUV,QAAQ,AAAC,CACR,aAAa,CAAE,GAAG,CACnB,AAnBP,AAuBE,WAvBS,CAuBT,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CAkBf,AA3CH,AA2BM,WA3BK,CAuBT,WAAW,CAGT,IAAI,CACF,CAAC,AAAC,CACA,KAAK,CtD3QH,IAAO,CsD4QT,eAAe,CAAE,SAAS,CAC3B,AA9BP,AA+BM,WA/BK,CAuBT,WAAW,CAGT,IAAI,CAKF,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAlCP,AAmCM,WAnCK,CAuBT,WAAW,CAGT,IAAI,CASF,CAAC,AAAA,QAAQ,AAAC,CACR,eAAe,CAAE,IAAI,CACtB,AArCP,AAsCM,WAtCK,CAuBT,WAAW,CAGT,IAAI,CAYF,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,MAAM,CACjB,AClRP,AACE,IADE,AAAA,mBAAmB,CACrB,YAAY,AAAC,CACX,cAAc,CAAE,IAAuB,CACxC,AAHH,AAKE,IALE,AAAA,mBAAmB,CAKrB,uBAAuB,CALzB,IAAI,AAAA,mBAAmB,CAMrB,cAAc,AAAA,MAAM,AAAC,CACnB,MAAM,CATU,IAAI,CAUrB,AARH,AAUE,IAVE,AAAA,mBAAmB,CAUrB,cAAc,AAAA,MAAM,AAAC,CACnB,aAAa,CAAE,2BAA2B,CAC1C,cAAc,CAAE,GAAG,CACpB,AAGH,AAAA,WAAW,AAAC,CACV,gBAAgB,CvDnBE,qBAAO,CuDoBzB,UAAU,CxDkHI,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CwDjH3C,MAAM,CArBY,IAAI,CAsBtB,QAAQ,CAAE,KAAK,CACf,MAAM,CAvBY,KAAI,CAwBtB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,OAAO,CxD4DO,GAAG,CwD3DjB,UAAU,CAAE,eAAe,CAwB5B,AAjCD,AAWE,WAXS,CAWT,OAAO,AAAC,CACN,KAAK,CxDgKG,IAAoD,CwD/J7D,AAbH,AAeE,WAfS,AAeR,QAAQ,AAAC,CACR,MAAM,CAAE,GAAG,CACZ,AAjBH,AAmBE,WAnBS,CAmBT,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,cAAc,C9C4BjC,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C8CvBxB,AAhCH,AAuBI,WAvBO,CAmBT,kBAAkB,CAIhB,MAAM,AAAC,CACL,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,GAAG,CACX,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,SAAS,CAInB,AA/BL,AA4BM,WA5BK,CAmBT,kBAAkB,CAIhB,MAAM,AAKH,SAAS,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AAKsB,SAAC,EAAnB,OAAO,EAAM,GAAG,EAnC3B,AAeE,WAfS,AAeR,QAAQ,AAqBW,CAClB,cAAc,CAAE,qCAAgD,CACjE,CAG4C,SAAC,EAArC,uBAAuB,EAAE,UAAU,EAC5C,AAAA,IAAI,AAAA,IAAK,CAAA,gBAAgB,EAAE,WAAW,AAAC,CACrC,gBAAgB,CvD7DA,qBAAO,CuD8DvB,uBAAuB,CAAE,UAAU,CACpC,CAGH,AAAA,IAAI,AAAA,gBAAgB,AAAC,CACnB,WAAW,CAnEO,IAAI,CAoFvB,AAlBD,AAEE,IAFE,AAAA,gBAAgB,CAElB,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,GAAG,CACR,gBAAgB,CvDvEA,IAAO,CuDwEvB,OAAO,CxDYU,IAAI,CwDXrB,cAAc,CAAE,CAAC,CAClB,AARH,AAUE,IAVE,AAAA,gBAAgB,CAUlB,cAAc,CAVhB,IAAI,AAAA,gBAAgB,CAWlB,cAAc,AAAA,WAAW,AAAC,CACxB,OAAO,CxDMU,IAAI,CwDLtB,AAbH,AAeE,IAfE,AAAA,gBAAgB,AAejB,OAAO,CAAC,SAAS,AAAC,CACjB,UAAU,CAlFM,IAAI,CAmFrB,ACvFH,AACE,iBADe,AAAA,MAAM,CACrB,WAAW,AAAC,CACV,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AAJH,AAOI,iBAPa,AAAA,MAAM,CAMrB,aAAa,CACX,YAAY,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,AAIL,AACE,iBADe,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CAYpB,AAhBH,AAMI,iBANa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,CAKL,MAAM,AAAC,CACL,SAAS,CzD8BN,GAAG,CyD7BN,WAAW,CAAE,MAAM,CACnB,aAAa,CzCNN,GAAmB,CyCY3B,AAfL,AAWM,iBAXW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,CAKL,MAAM,CAKJ,UAAU,AAAC,CACT,KAAK,CzDyKD,OAAoD,CyDxKxD,SAAS,CzDyBH,OAAQ,CyDxBf,AAdP,AAkBE,iBAlBe,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CA+BvB,AAnDH,AAsBI,iBAtBa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAIH,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACvB,AA1BL,AA6BM,iBA7BW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAUH,0BAA0B,CACxB,CAAC,AAAC,CACA,UAAU,CAAE,SAAS,CACrB,SAAS,CzDKL,QAAQ,CyDJb,AAhCP,AAmCI,iBAnCa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAiBH,0BAA0B,CAnC9B,iBAAiB,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAkBH,gBAAgB,AAAC,CACf,aAAa,CzClCN,GAAmB,CyCmC3B,AAtCL,AAwCI,iBAxCa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAsBH,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CAMpB,AAlDL,AA8CM,iBA9CW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAsBH,QAAQ,CAMN,YAAY,AAAC,CACX,SAAS,CzDhBL,OAAO,CyDiBX,YAAY,CzC7CP,GAAmB,CyC8CzB,AAKP,AACE,iBADe,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CACzC,cAAc,CADhB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAEzC,gBAAgB,AAAC,CACf,aAAa,CzCtDJ,GAAmB,CyCuD7B,AAJH,AAOI,iBAPa,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CACH,oBAAoB,CAPxB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAEH,qBAAqB,CARzB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAGH,4BAA4B,AAAC,CAC3B,aAAa,CzC7DN,IAAmB,CyC8D3B,AAXL,AAaI,iBAba,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAOH,aAAa,AAAC,CACZ,aAAa,CzCjEN,GAAmB,CyCkE3B,AAfL,AAiBI,iBAjBa,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAWH,wBAAwB,AAAC,CACvB,KAAK,CAAE,IAAI,CACZ,AAnBL,AAsBE,iBAtBe,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CASpB,AAjCH,AA0BI,iBA1Ba,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,CAIL,YAAY,AAAC,CACX,YAAY,CzC9EL,GAAmB,CyCmF3B,AAhCL,AA6BM,iBA7BW,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,CAIL,YAAY,AAGT,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,ACjGP,AAME,YANU,CAMV,KAAK,CANP,YAAY,CAOV,iBAAiB,AAAC,CAChB,gBAAgB,CzDRR,IAAO,CyDSf,aAAa,CAAE,GAAG,CAAC,KAAK,C1DwLhB,OAAoD,C0DpK7D,AA7BH,AAWI,YAXQ,CAMV,KAAK,AAKF,iBAAiB,CAXtB,YAAY,CAOV,iBAAiB,AAId,iBAAiB,AAAC,CACjB,gBAAgB,C1DqLV,OAAoD,C0DpL3D,AAbL,AAeI,YAfQ,CAMV,KAAK,AASF,QAAQ,CAfb,YAAY,CAOV,iBAAiB,AAQd,QAAQ,AAAC,CACR,OAAO,CAAE,GAAG,CACZ,gBAAgB,C1DgLV,qBAAoD,C0D1K3D,AAvBL,AAyBI,YAzBQ,CAMV,KAAK,AAmBF,OAAO,CAzBZ,YAAY,CAOV,iBAAiB,AAkBd,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACb,AA5BL,AA+BE,YA/BU,CA+BV,KAAK,CA/BP,YAAY,CAgCV,IAAI,AAAA,KAAK,AAAC,CACR,KAAK,CzDlCC,IAAO,CyDmCd,AAlCH,AAoCE,YApCU,CAoCV,KAAK,CApCP,YAAY,CAqCV,YAAY,CArCd,YAAY,CAsCV,WAAW,AAAC,CACV,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CACZ,KAAK,C1DwJG,OAAoD,C0DvJ5D,SAAS,C1DSC,OAAQ,C0DRnB,AA3CH,AA6CE,YA7CU,CA6CV,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AA/CH,AAiDE,YAjDU,CAiDV,YAAY,CAAC,OAAO,AAAC,CACnB,SAAS,C1DDJ,GAAG,C0DET,AAnDH,AAqDE,YArDU,CAqDV,YAAY,CArDd,YAAY,CAsDV,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,KAAK,CACnB,WAAW,C1DKK,CAAC,C0DJjB,KAAK,C1DuIG,OAAoD,C0DtI7D,AA3DH,AA6DE,YA7DU,CA6DV,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAhEH,AAkEE,YAlEU,CAkEV,MAAM,AAAC,ChDPP,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgDOrB,OAAO,CAAE,KAAK,CACf,AArEH,AAuEE,YAvEU,CAuEV,KAAK,AAAC,CACJ,SAAS,C1DvBJ,GAAG,C0DwBR,SAAS,CAAE,KAAK,ChDdlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgDctB,AA3EH,AA6EE,YA7EU,CA6EV,YAAY,AAAC,CACX,gBAAgB,C1DmHR,OAAoD,C0D/G5D,OAAO,CAAE,eAAe,CACzB,AAnFH,AAqFE,YArFU,CAqFV,gBAAgB,CArFlB,YAAY,CAsFV,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CACjB,AAzFH,AA4FI,YA5FQ,CA2FV,aAAa,CACX,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACtB,AA9FL,AAgGI,YAhGQ,CA2FV,aAAa,CAKX,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CAKtB,AAtGL,AAmGM,YAnGM,CA2FV,aAAa,CAKX,CAAC,CAGC,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CzDrGH,IAAO,CyDsGV,AArGP,AAwGI,YAxGQ,CA2FV,aAAa,CAaX,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACZ,AA5GL,AA+GI,YA/GQ,CA2FV,aAAa,CAoBX,GAAG,CA/GP,YAAY,CA2FV,aAAa,CAqBX,KAAK,AAAC,CACJ,KAAK,C1DgFC,OAAoD,C0D/E1D,SAAS,C1DrEH,QAAQ,C0DsEf,AAnHL,AAsHE,YAtHU,CAsHV,QAAQ,AAAC,CACP,MAAM,CAAE,SAAS,CACjB,SAAS,C1DvEJ,GAAG,C0DwER,SAAS,CAAE,UAAU,CACrB,KAAK,CzD3HC,IAAO,CyDkId,AAjIH,AA2HI,YA3HQ,CAsHV,QAAQ,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AA7HL,AA8HI,YA9HQ,CAsHV,QAAQ,CAQN,OAAO,AAAA,SAAS,AAAC,CACf,KAAK,C1DkEC,OAAoD,C0DjE3D,AAhIL,AAmIE,YAnIU,CAmIV,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,YAAY,CAAC,cAAc,CAC3B,yBAAyB,CACzB,+BAA+B,AAAC,CAC9B,UAAU,CAAE,GAAG,CAehB,AAlBD,AAKE,YALU,CAAC,cAAc,CAKzB,YAAY,CAJd,yBAAyB,CAIvB,YAAY,CAHd,+BAA+B,CAG7B,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AARH,AAUE,YAVU,CAAC,cAAc,CAUzB,GAAG,CATL,yBAAyB,CASvB,GAAG,CARL,+BAA+B,CAQ7B,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,KAAK,CzDtJC,IAAO,CyD0Jd,AAjBH,AAcI,YAdQ,CAAC,cAAc,CAUzB,GAAG,AAIA,aAAa,CAblB,yBAAyB,CASvB,GAAG,AAIA,aAAa,CAZlB,+BAA+B,CAQ7B,GAAG,AAIA,aAAa,AAAC,CACb,KAAK,CzD/IJ,OAAO,CyDgJT,ACWL,AA7JA,mBA6JmB,CAiEnB,YAAY,AA9NL,CACL,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,IAAI,CACpB,AAKD,AAAA,cAAc,AAAC,CACb,SAAS,C3DiCG,OAAQ,C2DhCpB,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CA2HtB,AAjID,AAQE,cARY,CAQZ,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CAWtB,AArBH,AAWI,cAXU,CAQZ,eAAe,CAGb,cAAc,AAAC,CACb,aAAa,CAAE,QAAQ,CACvB,QAAQ,CAAE,MAAM,CACjB,AAdL,AAeI,cAfU,CAQZ,eAAe,CAOb,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CACjB,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,OAAO,CACf,AApBL,AAyBE,cAzBY,AAyBX,OAAO,AAAC,CACP,YAAY,CAAE,IAAI,CA4BnB,AAtDH,AA2BI,cA3BU,AAyBX,OAAO,CAEN,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,C3DqJC,OAAoD,C2DpJ1D,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAIxB,AAHC,AAAA,mBAAmB,CA/BzB,cAAc,AAyBX,OAAO,CAEN,IAAI,AAAA,eAAe,AAIK,CACpB,KAAK,C1D5CI,IAAO,C0D6CjB,AAjCP,AAmCI,cAnCU,AAyBX,OAAO,CAUN,yBAAyB,CAnC7B,cAAc,AAyBX,OAAO,CAWN,kBAAkB,AAAC,CACjB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CACtB,AA1CL,AA2CI,cA3CU,AAyBX,OAAO,CAkBN,yBAAyB,AAAC,CAExB,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,CAAC,CAIhB,AAlDL,AA+CM,cA/CQ,AAyBX,OAAO,CAkBN,yBAAyB,CAIrB,kBAAkB,AAAC,CACnB,KAAK,CAAE,GAAG,CACX,AAjDP,AAmDI,cAnDU,AAyBX,OAAO,CA0BN,OAAO,AAAC,CACN,KAAK,C3D6HC,OAAoD,C2D5H3D,AArDL,AA0DE,cA1DY,AA0DX,IAAI,AAAC,CACJ,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,eAAe,CACxB,OAAO,CAAE,WAAW,CAgCrB,AA7FH,AA8DI,cA9DU,AA0DX,IAAI,CAIH,IAAI,AAAC,CACH,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAyBxB,AAzFL,AAiEM,cAjEQ,AA0DX,IAAI,CAIH,IAAI,AAGD,kBAAkB,CAjEzB,cAAc,AA0DX,IAAI,CAIH,IAAI,AAID,yBAAyB,AAAC,CACzB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACR,AAxEP,AA0EM,cA1EQ,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,AAAC,CAEzB,KAAK,CAAE,gBAAgB,CAQxB,AApFP,AA6EQ,cA7EM,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,CAGpB,kBAAkB,AAAC,CACrB,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,gBAAgB,CAIxB,AAnFT,AAgFU,cAhFI,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,CAGpB,kBAAkB,CAGhB,eAAe,AAAC,CAClB,WAAW,CAAE,GAAG,CACjB,AAlFX,AAsFM,cAtFQ,AA0DX,IAAI,CAIH,IAAI,AAwBD,eAAe,AAAC,CACf,QAAQ,CAAE,QAAQ,CACnB,AAxFP,AA0FI,cA1FU,AA0DX,IAAI,CAgCD,mBAAmB,AAAC,CACpB,OAAO,CAAE,eAAe,CACzB,AA5FL,AAiGE,cAjGY,AAiGX,IAAI,AAAC,CACJ,YAAY,CAAE,GAAG,CAuBlB,AAzHH,AAoGI,cApGU,AAiGX,IAAI,CAGH,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,C3D4EC,OAAoD,C2D3E1D,OAAO,CAAE,OAAO,CAChB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAKxB,AAHC,AAAA,mBAAmB,CA1GzB,cAAc,AAiGX,IAAI,CAGH,IAAI,AAAA,eAAe,AAMK,CACpB,KAAK,C1DvHI,IAAO,C0DwHjB,AA5GP,AA+GI,cA/GU,AAiGX,IAAI,CAcH,yBAAyB,CA/G7B,cAAc,AAiGX,IAAI,CAeH,kBAAkB,AAAC,CAEjB,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,KAAK,CAKf,AAxHL,AAqHM,cArHQ,AAiGX,IAAI,CAcH,yBAAyB,AAMtB,OAAO,CArHd,cAAc,AAiGX,IAAI,CAeH,kBAAkB,AAKf,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACf,AAvHP,AA6HE,cA7HY,AA6HX,KAAK,AAAC,CACL,KAAK,C3DmDG,OAAoD,C2DlD5D,YAAY,CAAE,GAAG,CAClB,AAMH,AAEI,cAFU,CACZ,oBAAoB,CAClB,CAAC,AAAA,eAAe,AAAC,CACf,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,OAAO,CAChB,WAAW,C3D5FI,GAAG,C2D6FnB,AAOL,AAAA,mBAAmB,AAAC,CAElB,OAAO,CAAE,aAAa,CACtB,SAAS,CAAE,KAAK,CAChB,KAAK,C1DvKK,IAAO,C0DwKjB,SAAS,C3DrHG,OAAQ,C2DsHpB,WAAW,C3D3GO,CAAC,C2D4GnB,UAAU,CAAE,MAAM,CAClB,gBAAgB,C3DsBN,OAAoD,C2DkB/D,AAhDD,AASE,mBATiB,CAShB,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C1D7KG,IAAO,C0D8KhB,AAXH,AAaE,mBAbiB,AAahB,MAAM,AAAC,CACN,KAAK,C1DjLG,IAAO,C0DkLhB,AAfH,AAmBE,mBAnBiB,AAmBhB,UAAU,CAnBb,mBAAmB,AAoBhB,aAAa,AAAC,CACb,gBAAgB,C3DSR,IAAoD,C2DR5D,KAAK,C1DzLG,IAAO,C0D0Lf,WAAW,CAAoB,MAAM,CACtC,AAxBH,AA0BE,mBA1BiB,AA0BhB,UAAU,AAAC,CACV,gBAAgB,CAAE,WAAW,CAC7B,KAAK,C3DEG,OAAoD,C2DD5D,WAAW,CAAE,MAAM,CACnB,SAAS,C3D/IC,OAAQ,C2DgJnB,AA/BH,AAiCE,mBAjCiB,AAiChB,UAAU,AAAA,QAAQ,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,YAAY,CAAE,GAAG,CAClB,AApCH,AAwCE,mBAxCiB,AAwChB,OAAO,AAAC,CACP,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3DZR,OAAoD,C2Da5D,GAAG,CAAE,IAAI,CACT,KAAK,C3DdG,OAAoD,C2De5D,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACb,AAMH,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,SAAS,C3DzKF,GAAG,C2D0KV,WAAW,C3D7JO,CAAC,C2DiKpB,AAPD,AAIE,YAJU,CAIT,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C3D5BG,OAAoD,C2D6B7D,AAMH,AAAA,YAAY,AAAC,CAEX,OAAO,CAAE,OAAO,CAChB,KAAK,C1DxOG,IAAO,C0DyOf,gBAAgB,C3DvCN,OAAoD,C2DwC9D,YAAY,C3DxCF,OAAoD,C2DyC9D,SAAS,C3DxLG,OAAQ,C2DyLrB,AC3OD,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CA8EnB,AAjFD,AAKE,UALQ,CAKR,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,IAAI,CACnB,AATH,AAWE,UAXQ,CAWR,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAdH,AAgBE,UAhBQ,CAgBR,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,GAAG,CAuBlB,AAtBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EApBvC,AAgBE,UAhBQ,CAgBR,YAAY,AAAC,CAKT,SAAS,C5D6BD,OAAQ,C4DRnB,CA1CH,AAwBI,UAxBM,CAgBR,YAAY,CAQV,UAAU,AAAC,ClDmCb,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkDnCpB,AA1BL,AA4BI,UA5BM,CAgBR,YAAY,CAYV,SAAS,CAAC,CAAC,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,KAAK,C5DmKC,OAAoD,C4DlK3D,AA/BL,AAiCI,UAjCM,CAgBR,YAAY,CAiBV,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CAChB,KAAK,C5D8JC,OAAoD,C4D7J3D,AApCL,AAsCI,UAtCM,CAgBR,YAAY,CAsBV,MAAM,AAAC,CACL,UAAU,CAAE,GAAG,CACf,KAAK,C5DyJC,OAAoD,C4DxJ3D,AAzCL,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CACN,KAAK,CAAE,KAAK,CAQb,AAPC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA9CvC,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CAGJ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CAKhB,CAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAlDvC,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CAOJ,KAAK,CAAE,IAAI,CAEd,CArDH,AAuDE,UAvDQ,AAuDP,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CAwBjB,AAhFH,AA0DI,UA1DM,AAuDP,OAAO,CAGN,SAAS,CA1Db,UAAU,AAuDP,OAAO,CAIN,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACf,AA7DL,AA+DI,UA/DM,AAuDP,OAAO,CAQN,KAAK,AAAC,CACJ,WAAW,CAAE,CAAC,CACf,AAjEL,AAmEI,UAnEM,AAuDP,OAAO,AAYL,WAAW,AAAC,CACX,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,KAAK,CAUjB,AA/EL,AAuEM,UAvEI,AAuDP,OAAO,AAYL,WAAW,CAIV,WAAW,AAAC,CACV,KAAK,C5DyHD,OAAoD,C4DxHzD,AAzEP,AA2EM,UA3EI,AAuDP,OAAO,AAYL,WAAW,CAQV,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,KAAK,CAClB,AC/EP,AACE,YADU,AACT,eAAe,AAAC,CACf,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CAClB,ACFH,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,OAAO,C9DoFI,GAAG,C8D/Df,AAzBD,AAKE,UALQ,AAKP,IAAI,AAAC,CACJ,UAAU,C9DyLF,OAAoD,C8DxL5D,KAAK,CAAE,KAAK,CACZ,UAAU,C9D6HA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,C8D5HzC,AATH,AAUE,UAVQ,AAUP,KAAK,CAVR,UAAU,AAWP,KAAK,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AAbH,AAcE,UAdQ,CAcR,MAAM,AAAC,CACL,KAAK,CAAE,KAAK,CACZ,KAAK,C7DnBC,IAAO,C6DoBb,OAAO,CAAE,GAAG,CACZ,SAAS,C9D6BJ,GAAG,C8D5BR,MAAM,CAAE,SAAS,CACjB,MAAM,CAAE,OAAO,CAChB,AArBH,AAsBE,UAtBQ,CAsBR,MAAM,AAAA,MAAM,AAAC,CACX,OAAO,CAAE,CAAC,CACX,AM3BH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CpEiMP,OAAoD,CoEhM9D,OAAO,CAAE,GAAG,CACZ,UAAU,CnEFA,IAAO,CmEGjB,UAAU,CpEmIF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoElItC,OAAO,CpE6FK,GAAG,CoE3Ff,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,KAAK,C1D+DZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C0DrD1B,AAxBD,AAWE,eAXa,CAWb,MAAM,AAAA,KAAK,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAOnB,AApBH,AAeI,eAfW,CAWb,MAAM,AAAA,KAAK,CAIT,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,QAAQ,CAChB,SAAS,CAAE,aAAa,CACzB,AAnBL,AAqBE,eArBa,CAqBb,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,MAAM,CAAE,SAAS,CAClB,ACvBH,MAAM,CAAC,KAAK,CAGV,AAAA,OAAO,CACP,aAAa,CACb,MAAM,CACN,+BAA+B,AAAA,wBAAwB,CACvD,UAAU,CACV,eAAe,AAAA,SAAS,CAAxB,eAAe,A5BWjB,UAAU,C4BXR,eAAe,AKqWjB,UAAU,CLrWR,eAAe,AKyWjB,KAAK,CLxWH,GAAG,AAAA,qBAAqB,CACxB,GAAG,AAAA,iBAAiB,CACpB,GAAG,AAAA,uBAAuB,CAC1B,uBAAuB,CACvB,GAAG,AAAA,KAAK,CACR,QAAQ,CACR,iBAAiB,CACjB,eAAe,CACf,eAAe,CACf,kBAAkB,CAClB,GAAG,AAAA,OAAO,CACV,UAAU,AAAA,MAAM,CAChB,YAAY,CACZ,YAAY,CACZ,WAAW,CACX,gBAAgB,CAChB,GAAG,AAAA,WAAW,CACd,GAAG,AAAA,WAAW,AAAA,KAAK,CACnB,WAAW,CACX,CAAC,AAAA,aAAa,CACd,CAAC,AAAA,UAAU,CACX,GAAG,AAAA,SAAS,CACZ,OAAO,CACP,OAAO,CACP,WAAW,CACX,eAAe,CACf,kBAAkB,CAClB,mBAAmB,AAAA,OAAO,CAC1B,YAAY,CACZ,gBAAgB,AAAC,CACf,OAAO,CAAE,eAAe,CACzB,AAED,AAAA,CAAC,CACD,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CAAE,kBAAkB,CAC1B,AAED,AAAA,GAAG,AAAA,IAAI,AAAC,CACN,UAAU,CAAE,cAAc,CAC3B,AACD,AAAA,OAAO,CAAC,GAAG,CAAC,IAAI,AAAC,CACf,UAAU,CAAE,IAAI,CACjB,AACD,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CACtB,AACD,AAAA,IAAI,CACJ,IAAI,AAAC,CACH,SAAS,CAAE,CAAC,CACZ,MAAM,CAAE,IAAI,CACb,AACD,AAAA,iBAAiB,CAAC,GAAG,AAAC,CACpB,SAAS,CAAE,gBAAgB,CAC3B,MAAM,CAAE,eAAe,CACxB,AACD,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,CAAC,OAAO,AAAA,MAAM,CAAC,aAAa,AAAC,CACtC,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,CAAC,CACT,AACD,AAAA,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AACD,AAAA,YAAY,CAAC,GAAG,CAAC,GAAG,CAAC,EAAE,AAAC,CACtB,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,MAAM,CAClB,AAhDD,AAAA,CAAC,CACD,CAAC,AAAA,QAAQ,AAiDC,CACR,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,sBAAsB,AAAA,6BAA6B,CACnD,GAAG,AAAA,MAAM,AAAA,WAAW,AAAA,sBAAsB,CAC1C,GAAG,AAAA,iBAAiB,AAAA,cAAc,AAAA,qBAAqB,AAAC,CACtD,OAAO,CAAE,IAAI,CACd,CCrGH,AAAA,OAAO,AAAA,MAAM,AAAC,CACZ,aAAa,CAAE,IAAI,CAiBpB,AAlBD,AAGE,OAHK,AAAA,MAAM,CAGX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AALH,AAOE,OAPK,AAAA,MAAM,CAOX,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CASZ,AAjBH,AAUI,OAVG,AAAA,MAAM,CAOX,KAAK,CAGH,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACd,AAZL,AAcI,OAdG,AAAA,MAAM,CAOX,KAAK,CAOH,EAAE,AAAA,MAAM,AAAC,CACP,KAAK,CAAE,GAAG,CACX,AChBL,AAAA,UAAU,AAAC,CAET,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CA0BjB,AAzBC,AAAA,WAAW,CAJb,UAAU,AAIM,CACZ,SAAS,CAAE,KAAK,CASjB,AAVD,AAEE,WAFS,CAJb,UAAU,CAMN,OAAO,AAAA,IAAK,CAAA,OAAO,CAAC,IAAK,CAAA,WAAW,CAAC,IAAK,CAAA,oBAAoB,CAAE,CAC9D,SAAS,CAAE,KAAK,CACjB,AAJH,AAMI,WANO,CAJb,UAAU,CASN,MAAM,AAAA,oBAAoB,CACxB,cAAc,AAAA,OAAO,CAAC,eAAe,AAAC,CACpC,KAAK,CtEXH,IAAO,CsEYV,AAGL,AAAA,YAAY,CAfd,UAAU,AAeO,CACb,SAAS,CvEkCJ,GAAG,CuEjCR,UAAU,CAAE,IAAI,CACjB,AAlBH,AAmBE,UAnBQ,CAmBR,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AArBH,AAsBE,UAtBQ,CAsBR,UAAU,AAAC,CACT,aAAa,CAAE,IAAI,CACpB,AAxBH,AAyBE,UAzBQ,CAyBR,EAAE,AAAA,IAAK,CAAA,UAAU,EAzBnB,UAAU,CA0BR,EAAE,AAAA,IAAK,CADA,UAAU,CACE,CACjB,WAAW,CAAE,IAAI,CAClB,AC5BH,AACE,IADE,AAAA,QAAQ,CACR,MAAM,AAAC,CACP,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,OAAO,CxEyEF,IAAI,CwExET,gBAAgB,CAAE,IAAI,CACtB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CxEyLhB,OAAoD,CwExL5D,UAAU,CAAE,UAAU,CACvB,AAXH,AAcI,IAdA,AAAA,QAAQ,CAaV,GAAG,AAAA,YAAY,CACb,GAAG,AAAA,KAAK,AAAC,CACP,UAAU,CAAE,UAAU,CAKvB,AApBL,AAgBM,IAhBF,AAAA,QAAQ,CAaV,GAAG,AAAA,YAAY,CACb,GAAG,AAAA,KAAK,CAEN,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAnBP,AAuBE,IAvBE,AAAA,QAAQ,CAuBV,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CACd,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AA3BH,AA6BE,IA7BE,AAAA,QAAQ,CA6BV,WAAW,AAAC,CACV,aAAa,CAAE,GAAG,CACnB,AA/BH,AAiCE,IAjCE,AAAA,QAAQ,CAiCV,MAAM,AAAC,CACL,UAAU,CAAE,GAAG,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,CxE+Jb,OAAoD,CwE9J7D,AAGH,AAAA,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CAClB,AAED,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,KAAK,CAClB,UAAU,CAAE,GAAG,CAAC,KAAK,CxEmJX,OAAoD,CwElJ/D,AAED,AAAA,kBAAkB,AAAC,CACjB,aAAa,CAAE,GAAG,CAWnB,AAZD,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CACP,UAAU,CAAE,SAAS,CAQtB,AAXH,AAII,kBAJc,CAEhB,QAAQ,CAEN,CAAC,AAAC,CACA,WAAW,CAAE,IAAI,CAClB,A9DrCH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E8D+BrC,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CAML,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,MAAM,CAExB,CAGH,AAAA,mBAAmB,AAAC,CAClB,KAAK,CxEiIK,OAAoD,CwEhI9D,OAAO,CAAE,YAAY,CAQtB,A9DvDC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E8D6CrC,AAAA,mBAAmB,AAAC,CAIhB,KAAK,CAAE,KAAK,CAMf,CAVD,AAME,mBANiB,EAMjB,AAAA,QAAC,CAAS,UAAU,AAAnB,CAAqB,CACpB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CACpB,AAGH,AAAA,YAAY,AAAC,CACX,aAAa,CAAE,KAAK,CACpB,SAAS,CxE7BC,QAAQ,CwEuCnB,AAZD,AAGE,YAHU,CAGR,GAAG,AAAC,CACJ,aAAa,CAAE,MAAM,CACtB,AALH,AAME,YANU,CAMV,kBAAkB,AAAC,CACjB,gBAAgB,CxEiHR,OAAmD,CwEhH5D,AARH,AASE,YATU,CASV,eAAe,AAAC,CACd,KAAK,CvEtFC,IAAO,CuEuFd,AAGH,AACE,kBADgB,CAChB,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,MAAM,CACtB,AAGH,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,GAAG,CAMhB,AAPD,AAEE,sBAFoB,CAEpB,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,CxE4Fb,OAAoD,CwE3F7D,AAGH,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CAYd,AAbD,AAEE,YAFU,CAEV,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,eAAe,CAAE,IAAI,CACtB,AALH,AAME,YANU,CAMV,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACtB,AARH,AASE,YATU,CASV,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,iBAAiB,CAC3B,ACtHH,AAAA,GAAG,AAAA,QAAQ,AAAA,+BAA+B,AAAC,CACzC,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,MAAM,CACf,aAAa,CAAE,GAAG,CAOnB,AAVD,AAIE,GAJC,AAAA,QAAQ,AAAA,+BAA+B,CAIxC,YAAY,AAAC,CACX,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,WAAW,CACpB,SAAS,CzE4CC,OAAQ,CyE3ClB,UAAU,CAAE,KAAK,CAClB,ACHH,UAAU,CAAV,IAAU,CACR,IAAI,CACF,SAAS,CAAE,WAAW,CACtB,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,SAAS,CAAE,QAAQ,CACnB,OAAO,CAAE,CAAC,EAId,UAAU,CAAV,cAAU,CACR,EAAE,CACA,SAAS,CAAE,YAAY,CAEzB,IAAI,CACF,SAAS,CAAE,cAAc,EAI7B,UAAU,CAAV,yBAAU,CACR,EAAE,CACA,gBAAgB,C1EsKR,OAAoD,C0EpK9D,IAAI,CACF,gBAAgB,CAAE,WAAW,EAKjC,UAAU,CAAV,kBAAU,CACR,EAAE,CACA,mBAAmB,CAAE,SAAS,CAEhC,IAAI,CACF,mBAAmB,CAAE,QAAQ,EAIjC,AAAA,sBAAsB,AAAC,CACrB,kBAAkB,CAAE,EAAE,CACtB,mBAAmB,CAAE,QAAQ,CAC7B,yBAAyB,CAAE,QAAQ,CACnC,cAAc,CAAE,kBAAkB,CAClC,yBAAyB,CAAE,MAAM,CACjC,UAAU,C1E+IA,OAAoD,C0E9I9D,UAAU,CAAE,gEAKX,CACF,A5ElDD,AAAA,IAAI,A4EqDC,CACH,MAAM,CAAE,IAAI,CACb,A5E7CD,AAAA,IAAI,A4E+CC,CACH,qBAAqB,CAAE,KAAK,CAC5B,eAAe,CAAE,KAAK,CACtB,UAAU,CAAE,IAAI,CAGjB,AAND,AhEnCE,IgEmCE,AhEnCD,OAAO,CgEmCV,IAAI,AhElCD,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgE+BH,AhE9BE,IgE8BE,AhE9BD,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgEqCH,AAAA,GAAG,AAAC,CACF,SAAS,C1E9BC,GAAG,C0E+Bd,A5E2ED,AAAA,KAAK,A4E1EC,CACJ,SAAS,C1E1BG,OAAQ,C0E2BrB,AAED,AAAA,UAAU,AAAC,ChECT,WAAW,CAAE,GAAG,CAAC,KAAK,CVgHZ,OAAoD,CU/G9D,gBAAgB,CV8FR,OAAqB,C0E9F7B,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,aAAa,CAAE,MAAM,CACtB,AAED,AACE,MADI,AACH,GAAG,AAAC,CACH,UAAU,CzE1FJ,IAAO,CyE2Fb,KAAK,CzElGG,IAAO,CyE0GhB,AAXH,AAII,MAJE,AACH,GAAG,CAGF,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AhEnDH,AACE,mBADiB,CgE6CrB,MAAM,AACH,GAAG,AhE7CD,MAAM,CADT,mBAAmB,CgE6CrB,MAAM,AACH,GAAG,AhE5CD,UAAU,AAAC,CgEmDV,UAAU,CAAE,IAAsB,CAClC,KAAK,CzExGC,IAAO,CSsDd,AgEyCL,AAaE,MAbI,AAaH,OAAO,AAAC,CACP,UAAU,CzEvGL,OAAO,CyEwGZ,KAAK,CzE9GG,IAAO,CyEsHhB,AAvBH,AAgBI,MAhBE,AAaH,OAAO,CAGN,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AhE/DH,AACE,mBADiB,CgE6CrB,MAAM,AAaH,OAAO,AhEzDL,MAAM,CADT,mBAAmB,CgE6CrB,MAAM,AAaH,OAAO,AhExDL,UAAU,AAAC,CgE+DV,UAAU,CAAE,OAAqB,CACjC,KAAK,CzEpHC,IAAO,CSsDd,AgEmEL,AAAA,CAAC,AAAA,OAAO,AAAC,CACP,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,KAAK,C1EqEK,OAAoD,C0EpE9D,UAAU,CAAE,WAAW,CAIxB,AARD,AAKE,CALD,AAAA,OAAO,AAKL,MAAM,AAAC,CACN,KAAK,CzEzHA,OAAO,CyE0Hb,AAGH,AAAA,EAAE,AAAA,WAAW,AAAC,CACZ,MAAM,CAAE,aAAa,CACtB,AAED,AAAA,CAAC,AAAA,QAAQ,AAAC,CACR,MAAM,CAAE,OAAO,CAChB,AAED,AAAA,GAAG,AAAA,OAAO,AAAC,CACT,aAAa,CAAE,GAAG,CACnB,AAKD,AAAA,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,UAAU,CAKxB,AARD,AAIE,KAJG,CAID,OAAO,AAAC,CACR,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,KADG,CACF,AAAA,IAAC,CAAK,OAAO,AAAZ,EADJ,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACjB,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,MAAM,CACpB,WAAW,CAAE,KAAK,CAClB,WAAW,C1ExGK,CAAC,C0EyGjB,MAAM,CAAE,OAAO,CACf,WAAW,CAAE,CAAC,CACf,AATH,AAUE,KAVG,CAUF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAVJ,KAAK,CAWF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAXJ,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAZJ,KAAK,CAaF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAbJ,KAAK,CAcF,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACjB,KAAK,CAAE,IAAI,CACZ,AAhBH,AAkBE,KAlBG,AAkBF,QAAQ,AAAC,CACR,gBAAgB,C1EcR,OAAoD,C0EV7D,AAED,AAAA,MAAM,CAzBR,KAAK,CAyBK,AAAA,IAAC,CAAK,OAAO,AAAZ,EACT,SAAS,CA1BX,KAAK,CA0BQ,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CAC3B,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,KAAK,CACL,MAAM,CACN,QAAQ,AAAC,CACP,KAAK,CzEpMG,IAAO,CyEqMf,WAAW,CAAE,YAAY,CAuB1B,AA3BD,AAME,KANG,CAMF,AAAA,KAAC,EAAO,MAAM,AAAb,EALJ,MAAM,CAKH,AAAA,KAAC,EAAO,MAAM,AAAb,EAJJ,QAAQ,CAIL,AAAA,KAAC,EAAO,MAAM,AAAb,CAAe,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,CAAC,CACf,AATH,AAWE,KAXG,CAWF,AAAA,QAAC,AAAA,EAXJ,KAAK,CAYF,AAAA,QAAC,AAAA,EAXJ,MAAM,CAUH,AAAA,QAAC,AAAA,EAVJ,MAAM,CAWH,AAAA,QAAC,AAAA,EAVJ,QAAQ,CASL,AAAA,QAAC,AAAA,EATJ,QAAQ,CAUL,AAAA,QAAC,AAAA,CAAU,CACV,MAAM,CAAE,WAAW,CACnB,gBAAgB,C1EbR,OAAoD,C0Ec5D,YAAY,C1EdJ,OAAoD,C0Ee7D,AAhBH,AAkBE,KAlBG,AAkBF,MAAM,AAAA,SAAS,AAAA,QAAQ,CAjB1B,MAAM,AAiBH,MAAM,AAAA,SAAS,AAAA,QAAQ,CAhB1B,QAAQ,AAgBL,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAC,CACvB,KAAK,CzE7MA,OAAO,CyE8MZ,YAAY,CzE9MP,OAAO,CyE+Mb,AArBH,AAuBE,KAvBG,AAuBF,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,CAtBhC,MAAM,AAsBH,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,CArBhC,QAAQ,AAqBL,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,AAAC,CAC7B,YAAY,CzElNP,OAAO,CyEmNZ,UAAU,C1E1EI,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CCzIlB,OAAO,CyEoNb,AAGH,AACE,KADG,CACF,AAAA,IAAC,CAAK,MAAM,AAAX,EADJ,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,EAFJ,KAAK,CAGF,AAAA,IAAC,CAAK,UAAU,AAAf,EAHJ,KAAK,CAIF,AAAA,IAAC,CAAK,gBAAgB,AAArB,EAJJ,KAAK,CAKF,AAAA,IAAC,CAAK,MAAM,AAAX,EALJ,KAAK,CAMF,AAAA,IAAC,CAAK,OAAO,AAAZ,EANJ,KAAK,CAOF,AAAA,IAAC,CAAK,MAAM,AAAX,EAPJ,KAAK,CAQF,AAAA,IAAC,CAAK,MAAM,AAAX,EARJ,KAAK,CASF,AAAA,IAAC,CAAK,QAAQ,AAAb,EATJ,KAAK,CAUF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAVJ,KAAK,CAWF,AAAA,IAAC,CAAK,KAAK,AAAV,EAXJ,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAZJ,KAAK,CAaF,AAAA,IAAC,CAAK,KAAK,AAAV,EAbJ,KAAK,CAcF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,ChE9IhB,kBAAkB,CAAE,IAAI,CACxB,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,IAAI,CgE8Id,OAAO,CAAE,YAAY,CACrB,OAAO,C1EpOK,GAAG,CAAC,IAAI,C0EqOpB,aAAa,CAAE,GAAG,CAClB,SAAS,C1E/LJ,GAAG,C0EgMR,WAAW,C1EnLK,CAAC,C0EoLjB,KAAK,CzEnPC,IAAO,CyEoPb,gBAAgB,CzEnPR,IAAO,CyEoPf,MAAM,CAAE,GAAG,CAAC,KAAK,C1EnDT,OAAoD,C0EoD5D,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAMjB,AAhCH,AA2BI,KA3BC,CACF,AAAA,IAAC,CAAK,MAAM,AAAX,CA0BC,MAAM,CA3BX,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,CAyBC,MAAM,CA3BX,KAAK,CAGF,AAAA,IAAC,CAAK,UAAU,AAAf,CAwBC,MAAM,CA3BX,KAAK,CAIF,AAAA,IAAC,CAAK,gBAAgB,AAArB,CAuBC,MAAM,CA3BX,KAAK,CAKF,AAAA,IAAC,CAAK,MAAM,AAAX,CAsBC,MAAM,CA3BX,KAAK,CAMF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAqBC,MAAM,CA3BX,KAAK,CAOF,AAAA,IAAC,CAAK,MAAM,AAAX,CAoBC,MAAM,CA3BX,KAAK,CAQF,AAAA,IAAC,CAAK,MAAM,AAAX,CAmBC,MAAM,CA3BX,KAAK,CASF,AAAA,IAAC,CAAK,QAAQ,AAAb,CAkBC,MAAM,CA3BX,KAAK,CAUF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAiBC,MAAM,CA3BX,KAAK,CAWF,AAAA,IAAC,CAAK,KAAK,AAAV,CAgBC,MAAM,CA3BX,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,CAeC,MAAM,CA3BX,KAAK,CAaF,AAAA,IAAC,CAAK,KAAK,AAAV,CAcC,MAAM,CA3BX,KAAK,CAcF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAaC,MAAM,AAAC,CACN,YAAY,CzExPP,IAAO,CyEyPZ,UAAU,C1E5GL,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,CyE0PZ,OAAO,CAAE,CAAC,CACX,AAKF,AAAD,cAAS,CACR,aAAO,AAAC,CACP,aAAa,CAAE,GAAG,CAiCnB,AAnCA,AAGC,cAHO,CAGP,KAAK,CAAA,AAAA,KAAC,EAAO,MAAM,AAAb,EAFP,aAAO,CAEN,KAAK,CAAA,AAAA,KAAC,EAAO,MAAM,AAAb,CAAe,CACnB,OAAO,CAAE,YAAY,CACtB,AALF,AAMC,cANO,CAMP,KAAK,CANN,cAAQ,CAOP,MAAM,CANP,aAAO,CAKN,KAAK,CALN,aAAO,CAMN,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,aAAa,CAAE,CAAC,CAChB,cAAc,CAAE,MAAM,CACtB,aAAa,CAAE,CAAC,CAIjB,AAfF,AAYG,cAZK,CAMP,KAAK,AAMF,MAAM,CAZV,cAAQ,CAOP,MAAM,AAKH,MAAM,CAXV,aAAO,CAKN,KAAK,AAMF,MAAM,CAXV,aAAO,CAMN,MAAM,AAKH,MAAM,AAAC,CACN,OAAO,C1E1KL,CAAC,C0E2KJ,AAdJ,AAgBC,cAhBO,CAgBP,OAAO,CAfR,aAAO,CAeN,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,IAAI,CACZ,gBAAgB,C1EtFV,OAAoD,C0EuF1D,MAAM,CAAE,GAAG,CAAC,KAAK,C1EvFX,OAAoD,C0EwF3D,AAxBF,AA2BG,cA3BK,CAyBP,OAAO,AAEJ,YAAY,CA3BhB,cAAQ,CA0BP,IAAI,AACD,YAAY,CA1BhB,aAAO,CAwBN,OAAO,AAEJ,YAAY,CA1BhB,aAAO,CAyBN,IAAI,AACD,YAAY,AAAC,CACZ,YAAY,CAAE,IAAI,CACnB,AA7BJ,AA8BG,cA9BK,CAyBP,OAAO,AAKJ,WAAW,CA9Bf,cAAQ,CA0BP,IAAI,AAID,WAAW,CA7Bf,aAAO,CAwBN,OAAO,AAKJ,WAAW,CA7Bf,aAAO,CAyBN,IAAI,AAID,WAAW,AAAC,CACX,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,WAAW,CAC3B,AAIJ,AACC,cADO,CACP,OAAO,CADR,cAAQ,CAEP,IAAI,AAAC,CACH,YAAY,CAAE,IAAI,CACnB,A5E0FL,AAAA,QAAQ,A4EtFC,CACP,MAAM,CAAE,IAAI,CACZ,gBAAgB,CzEhTN,IAAO,CyEiTjB,MAAM,CAAE,GAAG,CAAC,KAAK,C1EhHP,OAAoD,C0EsH/D,AATD,AAIE,QAJM,AAIL,MAAM,AAAC,CACN,YAAY,CzElTL,IAAO,CyEmTd,UAAU,C1EtKH,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,CyEoTd,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,GAAG,CAAC,KAAK,C1EzHP,OAAoD,C0E0H/D,AAED,AACE,KADG,CACH,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,KAAK,C1E/HG,OAAoD,C0EgI5D,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACf,AAKH,AAAA,SAAS,AAAC,CACR,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,OAAO,ChEpQf,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgEwQ1B,AATC,AACE,mBADiB,CAHrB,SAAS,AAIJ,MAAM,AAAC,CACN,gBAAgB,C1E5IV,OAAoD,C0E6I3D,AANL,AAQE,SARO,CAQP,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACpB,AAIH,AAAA,MAAM,CACN,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,IAAI,CAYnB,AAVC,AAAA,SAAS,CALX,MAAM,AAKS,YAAY,CAAzB,SAAS,CAJX,SAAS,AAIM,YAAY,AAAC,CACxB,WAAW,CAAE,GAAG,CACjB,AAPH,AASE,MATI,AASH,OAAO,CARV,SAAS,AAQN,OAAO,AAAC,CACP,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,aAAa,CAAE,CAAC,CAChB,cAAc,CAAE,MAAM,CACvB,AAGH,AAAA,MAAM,AAAA,OAAO,CAAC,MAAM,AAAA,OAAO,CAC3B,SAAS,AAAA,OAAO,CAAC,SAAS,AAAA,OAAO,AAAC,CAChC,WAAW,CAAE,IAAI,CAClB,AAMD,AAAA,KAAK,AAAC,CAEJ,YAAY,CAAE,IAAI,CAClB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CAKf,AATD,AAME,KANG,CAMH,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CACnB,AAGH,AACE,MADI,AACH,MAAM,AAAC,CACN,gBAAgB,CzE7XR,IAAO,CyE8XhB,AAGH,AAAA,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CAClB,AAME,AAAD,aAAM,AAAC,CACL,KAAK,C1EzMG,OAAoD,C0EyMA,UAAU,CACvE,AAEA,AAAD,YAAK,AAAC,CACJ,KAAK,C1E7MG,OAAoD,C0E6MD,UAAU,CACtE,AAEA,AAAD,YAAK,AAAC,CACJ,KAAK,C1EjNG,OAAoD,C0EiNC,UAAU,CACxE,AAGH,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,QAAQ,AAAC,CACP,aAAa,CAAE,GAAG,CAClB,gBAAgB,CzE5ZN,IAAO,CyE6ZjB,OAAO,CAAE,IAAI,CAKd,AARD,AAKE,QALM,CAKN,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,kBAAkB,AAAC,CACjB,UAAU,CAAE,eAAe,CAC5B,AAED,AAAA,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CAOtB,AARD,AAEE,IAFE,AAED,KAAK,AAAC,CACL,KAAK,CzEpaC,IAAO,CyEqad,AAJH,AAKE,IALE,AAKD,IAAI,AAAC,CACJ,KAAK,CzExaA,OAAO,CyEyab,AAGH,AAAA,eAAe,AAAC,CACd,gBAAgB,CzEnbN,IAAO,CyEobjB,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,iBAAiB,AAAA,cAAc,AAAC,CAC9B,GAAG,CAAE,eAAe,CACrB,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,wBAAwB,AAAC,CACvB,KAAK,CzElcK,IAAO,CyEmcjB,UAAU,CzE5bF,IAAO,CyEichB,AAPD,AAIE,wBAJsB,AAIrB,mBAAmB,CAAA,AAAA,IAAC,AAAA,CAAM,CACzB,KAAK,CzEtcG,IAAO,CyEuchB,AAGH,AAAA,wBAAwB,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,KAAK,CACZ,gBAAgB,CAAE,4DAIjB,CACD,OAAO,CAAE,IAAI,CACd,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,gBAAgB,CACrB,KAAK,CAAE,gBAAgB,CACvB,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,MAAM,CzE/dhB,mBAAO,CyEgef,OAAO,C1E5YM,IAAI,C0E6YlB,AAED,AAAA,wBAAwB,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CzEpeK,IAAO,CyEqejB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,KAAK,CACZ,WAAW,C1E1aQ,GAAG,C0E2avB,AAED,AAAA,KAAK,AAAC,CAGJ,UAAU,CAAE,0CAAuD,CACnE,UAAU,CAAE,qCAAkD,CAC9D,UAAU,CAAE,uCAAoD,CAChE,UAAU,CAAE,kCAA+C,CAC3D,GAAG,CAAE,gBAAgB,CACrB,KAAK,CAAE,iBAAiB,CACxB,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,8BAA8B,CAAE,QAAQ,CACxC,iCAAiC,CAAE,QAAQ,CAC3C,wBAAwB,CAAE,MAAM,CAChC,uBAAuB,CAAE,EAAE,CAC3B,0BAA0B,CAAE,EAAE,CAC9B,mBAAmB,CAAE,IAAI,CACzB,sBAAsB,CAAE,IAAI,CAC7B,AAED,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,oBAAoB,CAKjC,AAPD,AAIE,KAJG,AAIF,GAAG,AAAC,CACH,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,CAAC,CACV,AAED,AAAA,QAAQ,AAAC,CACP,MAAM,CAAE,mBAAmB,CAC3B,QAAQ,CAAE,QAAQ,CAClB,iBAAiB,CAAE,iCAAiC,CACpD,SAAS,CAAE,iCAAiC,CAC5C,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,C1EtWT,OAAqB,C0EuW7B,kBAAkB,CAAE,WAAW,CAC/B,aAAa,CAAE,GAAG,CAQnB,AAjBD,AAWE,QAXM,AAWL,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,YAAY,CACtB,AAGH,AACE,aADW,CACX,EAAE,AAAC,CACD,KAAK,C1EnWG,OAAoD,C0EoW5D,SAAS,C1ErfD,QAAQ,C0EsfhB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,IAAI,CACpB,AANH,AAQE,aARW,CAQX,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CAyBV,AAnCH,AAYI,aAZS,CAQX,EAAE,CAIA,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,C1E9WlB,OAAoD,C0EmY3D,AAlCL,AAeM,aAfO,CAQX,EAAE,CAIA,EAAE,AAGC,cAAc,AAAC,CACd,UAAU,CAAE,GAAG,CAAC,KAAK,C1EjXjB,OAAoD,C0EkXzD,AAjBP,AAmBM,aAnBO,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,IAAI,CACb,KAAK,CzEzjBH,IAAO,CyEokBV,AAjCP,AAwBQ,aAxBK,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAKE,MAAM,AAAC,CACN,gBAAgB,C1E1Xd,OAAoD,C0E2XtD,KAAK,CzE7jBL,IAAO,CyE8jBR,AA3BT,AA6BQ,aA7BK,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAUE,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CzElkBL,IAAO,CyEmkBR,AAMT,AACE,cADY,CACZ,KAAK,CADP,cAAc,CAEZ,QAAQ,CAFV,cAAc,CAGZ,MAAM,CAHR,cAAc,CAIZ,cAAc,CAJhB,cAAc,CAKZ,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,CAAC,CAChB,IAAI,CAAE,QAAQ,CACf,AATH,AhE3iBE,cgE2iBY,CAWZ,cAAc,AhEtjBb,OAAO,CgE2iBV,cAAc,CAWZ,cAAc,AhErjBb,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgEuiBH,AhEtiBE,cgEsiBY,CAWZ,cAAc,AhEjjBb,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgEoiBH,AAeE,cAfY,CAeZ,cAAc,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,SAAS,C1E1iBD,QAAQ,C0E2iBhB,WAAW,C1E1hBK,GAAG,C0E2hBpB,AAnBH,AAqBE,cArBY,CAqBZ,SAAS,AAAC,CACR,WAAW,CAAE,CAAC,CACf,AAKH,AAEI,KAFC,CACH,GAAG,AAAA,OAAO,AACP,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AALL,AAOI,KAPC,CACH,GAAG,AAAA,OAAO,AAMP,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAVL,AAYI,KAZC,CACH,GAAG,AAAA,OAAO,AAWP,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAfL,AAiBI,KAjBC,CACH,GAAG,AAAA,OAAO,AAgBP,KAAK,AAAC,CACL,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AApBL,AAwBI,KAxBC,CAuBH,UAAU,CACR,KAAK,AAAC,CACJ,cAAc,CAAE,GAAG,CACpB,AAIL,AAAA,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CAClB,SAAS,C1ExlBC,GAAG,C0EylBb,UAAU,CAAE,MAAM,CAClB,GAAG,CAAE,KAAK,CACV,IAAI,CAAE,KAAK,CACX,KAAK,CzEzoBG,IAAO,CyE0oBhB,AAED,AACE,OADK,CACL,UAAU,AAAC,CACT,MAAM,CAAE,IAAI,CAOb,AATH,AAGI,OAHG,CACL,UAAU,CAER,SAAS,AAAC,CACR,WAAW,CAAE,IAAI,CAIlB,AARL,AAKM,OALC,CACL,UAAU,CAER,SAAS,CAEP,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzEjpBD,IAAO,CyEkpBZ,AAKP,AAAA,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CAChB,AAED,AACE,iBADe,CACf,IAAI,AAAC,CACH,aAAa,CAAE,cAAc,CAC7B,MAAM,CAAE,OAAO,CACf,cAAc,CAAE,GAAG,CAKpB,AATH,AAMI,iBANa,CACf,IAAI,AAKD,WAAW,AAAC,CACX,aAAa,CAAE,CAAC,CACjB,AARL,AAWE,iBAXe,CAWf,gBAAgB,AAAC,CACf,KAAK,C1EteG,OAAoD,C0Eue5D,SAAS,CAAE,MAAM,CACjB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAhBH,AAkBE,iBAlBe,CAkBf,iBAAiB,AAAC,CAChB,SAAS,CAAE,KAAK,CAKjB,AAxBH,AAqBI,iBArBa,CAkBf,iBAAiB,CAGf,kBAAkB,AAAC,CACjB,WAAW,CAAE,IAAI,CAClB,AAvBL,AA0BE,iBA1Be,CA0Bf,kBAAkB,AAAC,CACjB,KAAK,C1ErfG,OAAoD,C0E2f7D,AAjCH,AA6BI,iBA7Ba,CA0Bf,kBAAkB,CAGhB,OAAO,AAAC,CACN,KAAK,CzElrBD,IAAO,CyEmrBX,WAAW,CAAE,IAAI,CAClB,AAhCL,AAmCE,iBAnCe,CAmCf,oBAAoB,AAAC,CACnB,KAAK,CAAE,KAAK,CAUb,AA9CH,AAsCI,iBAtCa,CAmCf,oBAAoB,CAGlB,IAAI,CAtCR,iBAAiB,CAmCf,oBAAoB,CAIlB,IAAI,AAAA,MAAM,AAAC,CACT,UAAU,CAAE,WAAW,CAKxB,AA7CL,AA0CM,iBA1CW,CAmCf,oBAAoB,CAGlB,IAAI,CAIF,OAAO,CA1Cb,iBAAiB,CAmCf,oBAAoB,CAIlB,IAAI,AAAA,MAAM,CAGR,OAAO,AAAC,CACN,KAAK,C1ErgBD,OAAoD,C0EsgBzD,AA5CP,AAgDE,iBAhDe,CAgDf,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CAKb,AAtDH,AAmDI,iBAnDa,CAgDf,cAAc,CAGV,KAAK,AAAC,CACN,UAAU,CAAE,IAAI,CACjB,AAIL,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,MAAM,CACf,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,MAAM,CAiBrB,AApBD,AAIE,eAJa,CAIb,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,WAAW,CACpB,KAAK,C1E1hBG,OAAoD,C0EkiB7D,AAfH,AAQI,eARW,CAIb,aAAa,CAIX,OAAO,AAAC,CACN,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,MAAM,CACd,AAXL,AAYI,eAZW,CAIb,aAAa,AAQV,IAAK,CAAA,WAAW,CAAE,CACjB,YAAY,CAAE,MAAM,CACrB,AAdL,AAiBE,eAjBa,CAiBb,gBAAgB,AAAC,CACf,KAAK,CzEhuBA,OAAO,CyEiuBb,AAGH,AAAA,mBAAmB,AAAC,CAClB,SAAS,C1EtsBM,IAAI,C0EusBnB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,UAAU,C1E7iBA,OAAoD,C0E8iB9D,UAAU,CAAE,MAAM,CAClB,OAAO,C1EnqBA,IAAI,C0EoqBX,KAAK,CzEjvBK,IAAO,CyEkvBlB,ACnvBD,AAAA,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,GAAG,CA0BjB,AA5BD,AAIE,WAJS,CAIT,KAAK,AAAC,CACJ,SAAS,CAAE,OAAO,CACnB,AANH,AAOE,WAPS,CAOT,OAAO,AAAC,CACN,SAAS,C3EsCD,QAAQ,C2ErCjB,AATH,AAUE,WAVS,CAUT,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CAClB,SAAS,C3EuCC,OAAQ,C2EtCnB,AAbH,AAcE,WAdS,CAcT,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CAIjB,AAnBH,AAgBI,WAhBO,CAcT,KAAK,CAEH,oBAAoB,AAAC,CACnB,KAAK,C1ETD,IAAO,C0EUZ,AAlBL,AAoBE,WApBS,CAoBT,QAAQ,AAAC,CACP,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,IAAI,CAKjB,AA3BH,AAwBI,WAxBO,CAoBT,QAAQ,CAIN,MAAM,AAAC,CACL,MAAM,CAAE,MAAM,CACf,AC1BL,AAAA,cAAc,AAAC,CACb,YAAY,CAAE,KAAK,CAYpB,AAbD,AAEE,cAFY,CAEZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACtB,AALH,AAME,cANY,CAMZ,cAAc,AAAC,CACb,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,IAAI,ClEoDjB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkEpDrB,cAAc,CAAE,QAAQ,CACxB,WAAW,C5EqDM,GAAG,C4EpDrB,AAGH,AAAA,eAAe,CACf,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CAuDZ,AA9DD,AASE,eATa,CASb,aAAa,CARf,2BAA2B,CAQzB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,UAAU,CACzB,MAAM,CAAE,OAAO,CAEf,UAAU,CAAE,UAAU,CAEtB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,GAAG,CAEtB,YAAY,CAAE,KAAK,CACnB,YAAY,C5E8JJ,OAAoD,C4E1I7D,AAlBC,AAAA,YAAY,CAvBhB,eAAe,CASb,aAAa,CAcX,YAAY,CAtBhB,2BAA2B,CAQzB,aAAa,AAcI,CACb,KAAK,CAAE,IAAI,CACZ,AAzBL,AA2BI,eA3BW,CASb,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,CA1B1B,2BAA2B,CAQzB,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,eAAe,CACxB,AAE6B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAlCjC,AA2BI,eA3BW,CASb,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,CA1B1B,2BAA2B,CAQzB,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,AAQG,CACrB,QAAQ,CAAA,KAAC,CACT,KAAK,CAAE,yCAAyC,CAChD,SAAS,CAAE,IAAI,CAChB,CAvCP,AA2CE,eA3Ca,CA2Cb,mBAAmB,CA1CrB,2BAA2B,CA0CzB,mBAAmB,AAAC,CAClB,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAEtB,YAAY,CAAE,GAAG,CACjB,iBAAiB,CAAE,CAAC,CAEpB,YAAY,CAAE,KAAK,CACnB,YAAY,C5E6HJ,OAAoD,C4E5H7D,AAvDH,AA0DI,eA1DW,AAyDZ,SAAS,CACR,KAAK,CAzDT,2BAA2B,AAwDxB,SAAS,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAIL,AACE,eADa,CACb,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,aAAa,CAatB,AAhBH,AAII,eAJW,CACb,aAAa,CAGT,CAAC,AAAC,CACF,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACX,AAPL,AAQI,eARW,CACb,aAAa,CAOX,mBAAmB,AAAC,CAClB,OAAO,CAAE,GAAG,CAMb,AAfL,AAWM,eAXS,CACb,aAAa,CAOX,mBAAmB,CAGjB,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAdP,AAmBI,eAnBW,AAkBZ,SAAS,CACR,aAAa,CAAC,mBAAmB,CAAG,CAAC,AAAC,CACpC,OAAO,CAAE,OAAO,CACjB,AArBL,AAwBE,eAxBa,CAwBb,YAAY,AAAC,CACX,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,MAAM,CAClB,SAAS,C5ExDJ,GAAG,C4EyDR,KAAK,C5EuFG,OAAoD,C4EnF7D,AAhCH,AA6BI,eA7BW,CAwBb,YAAY,CAKV,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CAChB,AA/BL,AAkCE,eAlCa,CAkCb,EAAE,AAAC,CACD,SAAS,C5ElED,QAAQ,C4EmEhB,aAAa,CAAE,KAAK,CACpB,UAAU,CAAE,MAAM,CAClB,WAAW,C5ErDM,GAAG,C4EsDpB,UAAU,CAAE,MAAM,CAClB,KAAK,C3EvHC,IAAO,C2EwHb,QAAQ,CAAE,MAAM,CACjB,AA1CH,AA4CE,eA5Ca,CA4Cb,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAsBhB,AApEH,AA+CI,eA/CW,CA4Cb,cAAc,CAGZ,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,ClEpEvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkEoEnB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,KAAK,CAerB,AAnEL,AAqDM,eArDS,CA4Cb,cAAc,CAGZ,YAAY,CAMV,8BAA8B,AAAC,CAC7B,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,KAAK,CACpB,AAxDP,AAyDM,eAzDS,CA4Cb,cAAc,CAGZ,YAAY,CAUV,iBAAiB,AAAC,CAChB,SAAS,CAAE,CAAC,ClE7ElB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkE6ElB,AA5DP,AA6DM,eA7DS,CA4Cb,cAAc,CAGZ,YAAY,CAcV,KAAK,CAAC,GAAG,AAAC,CACR,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAKP,AACE,2BADyB,CACzB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,CAAC,CACX,AALH,AAOE,2BAPyB,CAOzB,EAAE,AAAC,CACD,SAAS,C5E9GD,QAAQ,C4E+GhB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,MAAM,CACjB,AAXH,AAaE,2BAbyB,CAazB,qBAAqB,AAAC,CACpB,OAAO,CAAE,iBAAiB,CAK3B,AAnBH,AAeI,2BAfuB,CAazB,qBAAqB,CAEnB,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CAAE,IAAI,CACX,KAAK,C3EvKD,IAAO,C2EwKZ,AAlBL,AAqBE,2BArByB,CAqBzB,gBAAgB,AAAC,CACf,OAAO,CAAE,iBAAiB,CAqB3B,AA3CH,AAuBI,2BAvBuB,CAqBzB,gBAAgB,CAEd,EAAE,AAAC,CACD,KAAK,C5EoBC,OAAoD,C4EnB1D,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACV,AA5BL,AA6BI,2BA7BuB,CAqBzB,gBAAgB,CAQd,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CAUtB,AA1CL,AAiCM,2BAjCqB,CAqBzB,gBAAgB,CAQd,EAAE,CAIA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,QAAQ,CAAE,MAAM,CACjB,AApCP,AAqCM,2BArCqB,CAqBzB,gBAAgB,CAQd,EAAE,CAQA,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,MAAM,CACf,AAKP,AACE,gBADc,CAAC,SAAS,CACxB,EAAE,CAAC,OAAO,AAAC,CACT,KAAK,C5EJG,OAAoD,C4EK5D,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,MAAM,CACb,cAAc,CAAE,QAAQ,CACxB,YAAY,CAAE,MAAM,CACrB,AAGH,AAEE,2BAFyB,CAEzB,aAAa,CAAC,EAAE,CAAC,OAAO,CAD1B,eAAe,CACb,aAAa,CAAC,EAAE,CAAC,OAAO,AAAC,CACvB,YAAY,CAAE,CAAC,CAChB,AChNH,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,IAAI,CACV,OAAO,C7E6FK,GAAG,C6E5Ff,UAAU,C7EiIF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,C6EhItC,gBAAgB,C5ENN,IAAO,C4EOjB,OAAO,C7DQI,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,C6DP9B,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CAkGd,AA1GD,AASE,WATS,AASR,QAAQ,AAAC,CACR,OAAO,CAAE,KAAK,CACf,AAXH,AAYE,WAZS,CAYT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACZ,AAdH,AAeE,WAfS,CAeT,gBAAgB,CAAC,kBAAkB,AAAC,CAClC,KAAK,CAAE,IAAI,CACZ,AAjBH,AAkBE,WAlBS,CAkBT,gBAAgB,AAAC,CACf,MAAM,CAAE,MAAM,CACf,AApBH,AAsBE,WAtBS,CAsBT,MAAM,AAAC,CACL,aAAa,C7DTJ,GAAmB,C6DU5B,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAW/B,AArCH,AA4BI,WA5BO,CAsBT,MAAM,CAMJ,EAAE,AAAC,CACD,SAAS,C7EmBN,GAAG,C6ElBN,MAAM,CAAE,CAAC,CACV,AA/BL,AAiCI,WAjCO,CAsBT,MAAM,CAWJ,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACnB,KAAK,C7E6JC,OAAoD,C6E5J3D,AApCL,AAuCE,WAvCS,CAuCT,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,gBAAgB,CACxB,KAAK,C5ErCC,IAAO,C4EsCb,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,aAAa,CACzB,SAAS,C7EEJ,GAAG,C6EET,AAlDH,AA+CI,WA/CO,CAuCT,UAAU,AAQP,IAAK,CAAA,QAAQ,CAAE,CACd,OAAO,CAAE,CAAC,CACX,AAjDL,AAmDE,WAnDS,CAmDT,YAAY,AAAC,CACX,YAAY,C7DtCH,GAAmB,C6DuC5B,SAAS,C7ETD,QAAQ,C6EqBjB,AAjEH,AAsDI,WAtDO,CAmDT,YAAY,CAGV,OAAO,AAAC,CACN,KAAK,C5EvDA,IAAO,C4EwDb,AAxDL,AAyDI,WAzDO,CAmDT,YAAY,CAMV,oBAAoB,AAAC,CAEnB,KAAK,C7ExCA,OAAO,C6EyCb,AA5DL,AA6DI,WA7DO,CAmDT,YAAY,CAUV,0BAA0B,AAAC,CAEzB,KAAK,C7E1CD,OAAO,C6E2CZ,AAhEL,AAYE,WAZS,CAYT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAuDa,CACjB,SAAS,C7ErBD,QAAQ,C6EsBhB,aAAa,CAAE,CAAC,CACjB,AAtEH,AAwEE,WAxES,CAwET,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,UAAU,C7D7DD,GAAmB,C6D2F7B,AAzGH,AA6EI,WA7EO,CAwET,QAAQ,CAKN,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,GAAG,CAKf,AAvFL,AAoFM,WApFK,CAwET,QAAQ,CAKN,QAAQ,CAON,YAAY,AAAC,CACX,YAAY,C7DvEP,GAAmB,C6DwEzB,AAtFP,AAyFI,WAzFO,CAwET,QAAQ,CAiBN,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,IAAI,CAAE,CAAC,CACP,eAAe,CAAE,QAAQ,CACzB,MAAM,CAAE,IAAI,CAUb,AAxGL,AAgGM,WAhGK,CAwET,QAAQ,CAiBN,YAAY,CAOV,YAAY,AAAC,CACX,SAAS,C7EpDL,QAAQ,C6EqDZ,KAAK,C7E8FD,OAAoD,C6E7FzD,AAnGP,AAqGM,WArGK,CAwET,QAAQ,CAiBN,YAAY,CAYV,UAAU,AAAC,CACT,YAAY,C7DxFP,IAAmB,C6DyFzB,AAKP,AAAA,mBAAmB,CAAC,WAAW,CAAC,gBAAgB,AAAC,CAC/C,OAAO,CAAE,IAAI,CACd,AAED,AAAA,gBAAgB,CAAC,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CAC9C,OAAO,CAAE,IAAI,CACd,ACpHD,AAAA,aAAa,AAAC,CACZ,gBAAgB,C7EAN,IAAO,C6ECjB,KAAK,C7EFG,IAAO,C6EGhB,ACHD,AAAA,uBAAuB,AAAC,CACtB,UAAU,C9EDF,IAAO,C8ECM,MAAM,CAC3B,eAAe,CAAE,KAAK,CACtB,QAAQ,CAAE,QAAQ,CA0CnB,AA7CD,AAKE,uBALqB,CAKrB,oBAAoB,AAAC,CACnB,eAAe,CAAE,OAAO,CACxB,iBAAiB,CAAE,SAAS,CAC5B,mBAAmB,CAAE,MAAM,CAC3B,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,GAAG,CACb,AAfH,AAiBE,uBAjBqB,CAiBrB,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CAwBd,AA5CH,AAsBI,uBAtBmB,CAiBrB,sBAAsB,CAKpB,IAAI,AAAC,CACH,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,QAAQ,CAClB,AAzBL,AA2BI,uBA3BmB,CAiBrB,sBAAsB,CAUpB,4BAA4B,AAAC,CAC3B,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,CAAC,CACf,WAAW,CAAE,IAAI,CAalB,AA3CL,AAgCM,uBAhCiB,CAiBrB,sBAAsB,CAUpB,4BAA4B,CAK1B,OAAO,AAAC,CACN,KAAK,C/EiKD,OAAoD,C+EhKzD,AAlCP,AAoCM,uBApCiB,CAiBrB,sBAAsB,CAUpB,4BAA4B,AASzB,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAKjB,AA1CP,AAuCQ,uBAvCe,CAiBrB,sBAAsB,CAUpB,4BAA4B,AASzB,MAAM,CAGL,OAAO,AAAC,CACN,KAAK,C9ExCL,IAAO,C8EyCR,AAMT,AACE,eADa,AAAA,UAAU,CACvB,uBAAuB,AAAC,CACtB,iBAAiB,CAAE,SAAS,CAC7B,AAGH,AACE,eADa,AAAA,cAAc,CAC3B,uBAAuB,AAAC,CACtB,eAAe,CAAE,OAAO,CACzB,AAGH,AAAA,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CACnB,AC9DD,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAwL/B,AA1LD,AAIE,iBAJe,CAIf,QAAQ,AAAC,CACP,gBAAgB,ChF6LR,OAAoD,CgF5L5D,OAAO,CAAE,OAAO,CAChB,KAAK,C/ENG,IAAO,C+EOhB,AARH,AAUE,iBAVe,CAUf,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,aAAa,CAAE,GAAG,CAWnB,AA1BH,AAiBI,iBAjBa,CAUf,WAAW,CAOT,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,WAAW,CACpB,AApBL,AAsBI,iBAtBa,CAUf,WAAW,CAYT,WAAW,AAAC,CACV,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,KAAK,CACnB,AAzBL,AA4BE,iBA5Be,CA4Bf,gBAAgB,AAAC,CACf,KAAK,CAAE,GAAG,CA6EX,AtEvFD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AA4BE,iBA5Be,CA4Bf,gBAAgB,AAAC,CAGb,KAAK,CAAE,GAAG,CA2Eb,CA1GH,AAkCI,iBAlCa,CA4Bf,gBAAgB,CAMd,eAAe,CAlCnB,iBAAiB,CA4Bf,gBAAgB,CAOd,cAAc,CAnClB,iBAAiB,CA4Bf,gBAAgB,CAQd,eAAe,CApCnB,iBAAiB,CA4Bf,gBAAgB,CASd,aAAa,CArCjB,iBAAiB,CA4Bf,gBAAgB,CAUd,WAAW,AAAC,CACV,aAAa,CAAE,GAAG,CACnB,AAxCL,AA0CI,iBA1Ca,CA4Bf,gBAAgB,CAcd,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CAAC,KAAK,ChFqJlB,OAAoD,CgFpJ1D,cAAc,CAAE,KAAK,CACrB,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CA4BpB,AA7EL,AAmDM,iBAnDW,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CAUd,AA9DP,AAsDQ,iBAtDS,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,CAGX,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CAClB,AAxDT,AA2DQ,iBA3DS,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,CAQX,IAAI,CAAG,IAAI,AAAC,CACV,WAAW,CAAE,MAAM,CACpB,AA7DT,AAgEM,iBAhEW,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CASpB,AA5EP,AAqEQ,iBArES,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,CAKN,KAAK,AAAC,CACJ,YAAY,CAAE,KAAK,CACpB,AAvET,AAyEQ,iBAzES,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,CASN,UAAU,AAAC,CACT,SAAS,CAAE,KAAK,CACjB,AA3ET,AA+EI,iBA/Ea,CA4Bf,gBAAgB,CAmDd,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,MAAM,CAcpB,AAhGL,AAoFM,iBApFW,CA4Bf,gBAAgB,CAmDd,aAAa,CAKX,YAAY,AAAC,CACX,WAAW,CAAE,KAAK,CACnB,AAtFP,AAwFM,iBAxFW,CA4Bf,gBAAgB,CAmDd,aAAa,CASX,WAAW,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,KAAK,CAClB,SAAS,ChFvCH,OAAQ,CgF4Cf,AA/FP,AA4FQ,iBA5FS,CA4Bf,gBAAgB,CAmDd,aAAa,CASX,WAAW,CAAC,CAAC,AAIV,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AA9FT,AAmGM,iBAnGW,CA4Bf,gBAAgB,CAsEd,cAAc,CACZ,YAAY,AAAC,CACX,OAAO,CAAE,KAAK,CACd,gBAAgB,ChF6FZ,OAAoD,CgF5FxD,MAAM,CAAE,GAAG,CAAC,KAAK,ChF4Fb,OAAoD,CgF3FxD,KAAK,C/EhGJ,OAAO,C+EiGT,AAxGP,AA4GE,iBA5Ge,CA4Gf,wBAAwB,AAAC,CACvB,KAAK,CAAE,GAAG,CAIV,WAAW,CAAE,GAAG,CAChB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAsEvB,AtEtKD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AA4GE,iBA5Ge,CA4Gf,wBAAwB,AAAC,CAGrB,KAAK,CAAE,GAAG,CA0Eb,CAzLH,AAqHI,iBArHa,CA4Gf,wBAAwB,CAStB,sBAAsB,CArH1B,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CAtHhB,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CAvHd,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAxHZ,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAzHlB,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CA1HxB,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,AAAC,CAChC,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAKhB,AAnIL,AA+HM,iBA/HW,CA4Gf,wBAAwB,CAStB,sBAAsB,CAUpB,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAStB,sBAAsB,CAWpB,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CASV,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CAUV,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CAQR,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CASR,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAON,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAQN,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAMZ,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAOZ,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CAKlB,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CAMlB,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,CAI/B,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,CAK/B,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAlIP,AAqII,iBArIa,CA4Gf,wBAAwB,CAyBtB,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CAClB,AAvIL,AAyII,iBAzIa,CA4Gf,wBAAwB,CA6BtB,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,CAAC,CACjB,AA9IL,AAgJI,iBAhJa,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAAC,CACrB,UAAU,ChFiDJ,OAAoD,CgFhD1D,OAAO,CAAE,WAAW,CAIpB,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CASlB,AtE9IH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AAgJI,iBAhJa,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAAC,CAInB,OAAO,CAAE,aAAa,CAazB,CAjKL,AA0JM,iBA1JW,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAUnB,IAAI,AAAC,CACJ,UAAU,ChFuCN,OAAoD,CgFtCzD,AA5JP,AA8JM,iBA9JW,CA4Gf,wBAAwB,CAoCtB,sBAAsB,CAcpB,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,AAhKP,AAmKI,iBAnKa,CA4Gf,wBAAwB,CAuDtB,wBAAwB,AAAC,CACvB,UAAU,ChF8BJ,OAAoD,CgF7B1D,OAAO,CAAE,GAAG,CAmBb,AAxLL,AAsKM,iBAtKW,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAGtB,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAxKP,AAyKM,iBAzKW,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAMtB,OAAO,AAAA,MAAM,AAAC,CACZ,UAAU,CAAE,GAAG,CAChB,AtExJL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AAmKI,iBAnKa,CA4Gf,wBAAwB,CAuDtB,wBAAwB,AAAC,CAUrB,OAAO,CAAE,YAAY,CAWxB,AAxLL,AA8KQ,iBA9KS,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAWpB,QAAQ,CA9KhB,iBAAiB,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAYpB,QAAQ,CA/KhB,iBAAiB,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAapB,WAAW,AAAA,aAAa,AAAC,CAEvB,KAAK,CAAE,eAAe,CACvB,AAnLT,AAoLQ,iBApLS,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAiBpB,WAAW,AAAC,CACV,SAAS,CAAE,KAAK,CACjB,CAMT,AAAA,YAAY,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CAsBb,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,KAAK,CA4CjB,AApED,AAEE,WAFS,CAET,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACpB,AALH,AAOE,WAPS,CAOT,WAAW,AAAC,CACV,KAAK,ChFNG,OAAoD,CgFW7D,AAbH,AASI,WATO,CAOT,WAAW,CAET,GAAG,AAAC,CACF,KAAK,C/EjMJ,OAAO,C+EkMR,SAAS,ChFxJD,OAAQ,CgFyJjB,AAZL,AAeE,WAfS,CAeT,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CACjC,SAAS,CAAE,OAAO,CACnB,AAjBH,AAmBE,WAnBS,CAmBT,gBAAgB,AAAC,CACf,WAAW,CAAE,GAAG,CACjB,AArBH,AAyBE,WAzBS,CAyBT,MAAM,AAAC,CACL,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,KAAK,CACjB,AA5BH,AA6BE,WA7BS,CA6BT,OAAO,AAAC,CACN,YAAY,CAAE,IAAI,CACnB,AA/BH,AAgCE,WAhCS,CAgCT,CAAC,AAAA,YAAY,AAAA,QAAQ,CAAC,YAAY,AAAC,CACjC,KAAK,ChF/BG,OAAoD,CgFgC7D,AAlCH,AAoCI,WApCO,CAmCT,YAAY,CACV,YAAY,AAAC,CACX,SAAS,ChFrLH,QAAQ,CgFsLd,WAAW,ChFtKI,GAAG,CgFuKnB,AAvCL,AAwCI,WAxCO,CAmCT,YAAY,CAKV,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CAChB,WAAW,ChF3KI,GAAG,CgF4KlB,KAAK,ChF1CC,OAAoD,CgF8C3D,AAhDL,AA6CM,WA7CK,CAmCT,YAAY,CAKV,eAAe,CAKb,IAAI,AAAC,CACH,WAAW,CAAE,CAAC,CACf,AA/CP,AAkDE,WAlDS,CAkDT,MAAM,AAAC,CACL,SAAS,ChFjMJ,GAAG,CgFkMR,WAAW,ChFnLK,GAAG,CgFoLnB,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,KAAK,CAChB,KAAK,ChFrDG,OAAoD,CgF6D7D,AA/DH,AAwDI,WAxDO,CAkDT,MAAM,CAMJ,KAAK,AAAC,CACJ,KAAK,ChFvDC,OAAoD,CgFwD3D,AA1DL,AA4DI,WA5DO,CAkDT,MAAM,CAUJ,iBAAiB,AAAC,CAChB,KAAK,C/E7PD,IAAO,C+E8PZ,AA9DL,AAiEE,WAjES,CAiET,cAAc,AAAC,CACb,SAAS,ChF/MC,OAAQ,CgFgNnB,AAGH,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CACjB,AACD,AAAA,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,oBAAoB,CAAC,eAAe,CAAC,KAAK,AAAC,CACzC,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,GAAG,CAChB,ACvRD,AACE,CADD,AAAA,eAAe,AACb,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,WAAW,CACpB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,WAAW,CACnB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CjFyLT,OAAoD,CiFxL5D,kBAAkB,CAAE,WAAW,CAC/B,aAAa,CAAE,GAAG,CAClB,iBAAiB,CAAE,iCAAiC,CACpD,SAAS,CAAE,iCAAiC,CAC7C,AAGH,AAAA,cAAc,AAAC,CvEiEb,WAAW,CAAE,GAAG,CAAC,KAAK,CVgHZ,OAAoD,CU/G9D,gBAAgB,CV8FR,OAAqB,CiF7J7B,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,SAAS,CjF4BF,GAAG,CiFoBX,AArDD,AAME,cANY,CAMV,OAAO,AAAC,CACR,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,IAAI,CAClB,OAAO,CAAE,KAAK,CACd,KAAK,ChF3BC,IAAO,CgF4Bb,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CAab,AAzBH,AAaI,cAbU,CAMV,OAAO,CAOP,KAAK,AAAC,CAMJ,QAAQ,CAAE,QAAQ,CAClB,SAAS,CjFaN,GAAG,CiFTP,AAxBL,AAcM,cAdQ,CAMV,OAAO,CAOP,KAAK,CACH,CAAC,AAAC,CACA,KAAK,CAAE,KAAK,CACZ,eAAe,CAAE,IAAI,CACrB,aAAa,CAAE,IAAI,CACpB,AAlBP,AAqBM,cArBQ,CAMV,OAAO,CAOP,KAAK,CAQH,GAAG,AAAA,QAAQ,AAAC,CACV,YAAY,CAAE,GAAG,CAClB,AAvBP,AA2BE,cA3BY,CA2BZ,mBAAmB,AAAC,CAClB,WAAW,CAAE,GAAG,CAwBjB,AApDH,AA6BI,cA7BU,CA2BZ,mBAAmB,CAEjB,GAAG,AAAC,CACF,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAnCL,AAoCI,cApCU,CA2BZ,mBAAmB,CASjB,EAAE,CApCN,cAAc,CA2BZ,mBAAmB,CAUjB,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AAvCL,AAwCI,cAxCU,CA2BZ,mBAAmB,CAajB,IAAI,AAAC,CACH,UAAU,CAAE,KAAK,CAClB,AA1CL,AA2CI,cA3CU,CA2BZ,mBAAmB,CAgBjB,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,IAAI,CAMrB,AAnDL,AA8CM,cA9CQ,CA2BZ,mBAAmB,CAgBjB,QAAQ,CAGN,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACZ,AAMP,AAEI,cAFU,CACZ,mBAAmB,CACjB,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AALL,AAMI,cANU,CACZ,mBAAmB,CAKjB,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAClB,AAYL,AAAA,KAAK,AAAA,OAAO,AAAC,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CjFkGP,OAAoD,CiFjG9D,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,mBAAmB,CAC5B,SAAS,CjFjDF,GAAG,CiFwOX,AA3LD,AAME,KANG,AAAA,OAAO,CAMV,MAAM,AAAC,CACL,aAAa,CAAE,GAAG,CAKnB,AAZH,AAQI,KARC,AAAA,OAAO,CAMV,MAAM,CAEJ,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CjF0FC,OAAoD,CiFzF1D,eAAe,CAAE,IAAI,CACtB,AAXL,AAPE,KAOG,AAAA,OAAO,AAPT,cAAc,CAAC,OAAO,AAAH,CAClB,UAAU,CAAE,0GAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,cAAc,CAAC,OAAO,AAAH,CAClB,UAAU,CAAE,oGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,UAAU,CAAC,OAAO,AAAC,CAClB,UAAU,CAAE,sGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,aAAa,CAAC,OAAO,AAAF,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,kBAAkB,CAAC,OAAO,AAAP,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,YAAY,CAAC,OAAO,AAAD,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,OAAO,CAAC,OAAO,AAAI,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,UAAU,CAAC,OAAO,AAAC,CAClB,UAAU,CAAE,sGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,4HAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,YAAY,CAAC,OAAO,AAAD,CAClB,UAAU,CAAE,4HAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AA2BE,KA3BG,AAAA,OAAO,CA2BV,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CA8JZ,AA1LH,AA8BI,KA9BC,AAAA,OAAO,CA2BV,YAAY,CAGV,EAAE,CA9BN,KAAK,AAAA,OAAO,CA2BV,YAAY,CAIV,EAAE,AAAC,CACD,SAAS,CjF9EH,QAAQ,CiF+Ed,MAAM,CAAE,UAAU,CACnB,AAlCL,AAoCI,KApCC,AAAA,OAAO,CA2BV,YAAY,CASV,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,ChFlIA,IAAO,CgFmIZ,eAAe,CAAE,IAAI,CACtB,AAvCL,AAyCI,KAzCC,AAAA,OAAO,CA2BV,YAAY,CAcV,CAAC,CAAA,AAAA,IAAC,AAAA,CAAK,QAAQ,AAAC,CACd,KAAK,ChFvIA,IAAO,CgFwIb,AA3CL,AA6CI,KA7CC,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAAC,CACF,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,GAAG,CAId,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CAOnB,AAbC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAhDtC,AA6CI,KA7CC,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAAC,CAIA,SAAS,CAAE,GAAG,CAYjB,CA7DL,AAuDM,KAvDD,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAUA,kBAAkB,AAAC,CAClB,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,OAAO,CACd,MAAM,CAAE,OAAO,CAChB,AA5DP,AA+DI,KA/DC,AAAA,OAAO,CA2BV,YAAY,EAoCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,YAAY,AAAC,CACvC,KAAK,CAAE,IAAI,CACZ,AAjEL,AAkEI,KAlEC,AAAA,OAAO,CA2BV,YAAY,EAuCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,GAAG,AAAC,CAC9B,MAAM,CAAE,IAAI,CACb,AAI6B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAxEjC,AAyEM,KAzED,AAAA,OAAO,CA2BV,YAAY,CA8CR,aAAa,AAAC,CACZ,UAAU,CAAE,KAAK,CACjB,aAAa,CAAA,iCAAC,CACd,KAAK,CAAE,gCAAgC,CACvC,SAAS,CAAE,GAAG,CACd,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CAClB,MAAM,CAAE,IAAI,CAUb,AA1FP,AAkFQ,KAlFH,AAAA,OAAO,CA2BV,YAAY,CA8CR,aAAa,CASX,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAzFT,AA6FM,KA7FD,AAAA,OAAO,CA2BV,YAAY,CAkER,uBAAuB,AAAC,CACtB,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,iCAAiC,CACxC,SAAS,CAAE,IAAI,CAUhB,AA1GP,AAkGQ,KAlGH,AAAA,OAAO,CA2BV,YAAY,CAkER,uBAAuB,CAKrB,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,eAAe,CACzB,AAzGT,AA4GM,KA5GD,AAAA,OAAO,CA2BV,YAAY,EAiFR,AAAA,KAAC,EAAO,gBAAgB,AAAvB,CAAyB,CACxB,QAAQ,CAAE,QAAQ,CACnB,AA9GP,AA+GM,KA/GD,AAAA,OAAO,CA2BV,YAAY,EAoFR,AAAA,KAAC,EAAO,gBAAgB,AAAvB,CAAwB,QAAQ,AAAC,CAChC,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,cAAc,CAAE,kCAAkC,CACnD,AAnHP,AA+DI,KA/DC,AAAA,OAAO,CA2BV,YAAY,EAoCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,YAAY,AAqDG,CACvC,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,IAAI,CACb,CAzHP,AA6HI,KA7HC,AAAA,OAAO,CA2BV,YAAY,CAkGV,CAAC,AAAA,WAAW,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AA/HL,AAkII,KAlIC,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,AAAC,CACZ,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CAeZ,AAnJL,AAsIM,KAtID,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,CAIX,GAAG,AAAA,YAAY,AAAC,CACd,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AvEvNL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EuE4ErC,AA+IQ,KA/IH,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,CAaT,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CACjB,CAjJT,AAsJM,KAtJD,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CACX,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AAxJP,AAyJM,KAzJD,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CAIX,UAAU,CAzJhB,KAAK,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CAKX,SAAS,AAAC,CACR,YAAY,CAAE,IAAI,CACnB,AA5JP,AAgKI,KAhKC,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAhKrB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CASnB,AA5KL,AAqKM,KArKD,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAKf,gBAAgB,CArKtB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAMf,YAAY,CAtKlB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,CAIX,gBAAgB,CArKtB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,CAKX,YAAY,AAAC,CACX,OAAO,CAAE,eAAe,CACxB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AA3KP,AA8KI,KA9KC,AAAA,OAAO,CA2BV,YAAY,CAmJV,qBAAqB,AAAC,CAQpB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CACnB,AAzLL,AA+KM,KA/KD,AAAA,OAAO,CA2BV,YAAY,CAmJV,qBAAqB,AAClB,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CAEZ,OAAO,CvE9IL,oSAAkD,CuEiJrD,AAeP,AAAA,uBAAuB,AAAC,CACtB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CAOZ,AAVD,AANE,uBAMqB,AANpB,YAAY,AAAK,CAChB,UAAU,CAAE,2HAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,aAAa,AAAI,CAChB,UAAU,CAAE,4HAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,cAAc,AAAG,CAChB,UAAU,CAAE,6HAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,cAAc,AAAG,CAChB,UAAU,CAAE,6HAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,gBAAgB,AAAC,CAChB,UAAU,CAAE,+HAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,aAAa,AAAI,CAChB,UAAU,CAAE,4HAA4D,CACtE,SAAS,CACZ,AAgBH,AAAA,oBAAoB,AAAC,CACnB,gBAAgB,CjFhIR,OAAqB,CiFiI7B,KAAK,ChFlTG,IAAO,CgFmTf,MAAM,CAAE,GAAG,CAAC,KAAK,ChFnTT,IAAO,CgF6ThB,AAbD,AAIE,oBAJkB,CAIlB,kBAAkB,AAAC,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CAKd,AAZH,AAQI,oBARgB,CAIlB,kBAAkB,AAIf,gBAAgB,AAAC,CAChB,UAAU,CAAE,gIAA6D,CACvE,SAAS,CACZ,AAIL,AAAA,KAAK,AAAA,OAAO,CAAC,YAAY,CAAC,cAAc,AAAC,CACvC,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAED,AACE,UADQ,CACR,KAAK,AAAA,OAAO,AAAC,CvErPb,WAAW,CAAE,GAAG,CAAC,KAAK,CVgHZ,OAAoD,CU/G9D,gBAAgB,CV8FR,OAAqB,CiFwJ5B,AAIH,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAA,OAAO,AAAC,CACjC,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,KAAK,CACX,KAAK,CAAE,OAAO,CACd,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,SAAS,CjFlSG,OAAQ,CiFmSpB,WAAW,CjFrRO,GAAG,CiFsRrB,OAAO,CAAE,mBAAmB,CAC5B,iBAAiB,CAAE,UAAU,CAC9B,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAC,CACjB,WAAW,CAAE,CAAC,CACd,WAAW,CjF5RO,GAAG,CiF6RtB,AACD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,AAAC,CACd,gBAAgB,CAAoB,IAAI,CACzC,AACD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAC,CACjB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,UAAU,CACnB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAC,CAC1B,eAAe,CAAE,IAAI,CACrB,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,CAAC,CACd,WAAW,CAAE,iBAAiB,CAC9B,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,SAAS,AAAC,CAC1B,gBAAgB,CAAoB,OAAO,CAC5C,AAvBD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,AAyBC,CACd,WAAW,CAAE,MAAM,CACpB,AAGD,AAII,OAJG,AAAA,kBAAkB,CAGvB,YAAY,CACV,EAAE,CAHN,OAAO,AAAA,aAAa,CAElB,YAAY,CACV,EAAE,CAFN,OAAO,AAAA,YAAY,CACjB,YAAY,CACV,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AANL,AAQI,OARG,AAAA,kBAAkB,CAGvB,YAAY,CAKR,YAAY,CAPlB,OAAO,AAAA,aAAa,CAElB,YAAY,CAKR,YAAY,CANlB,OAAO,AAAA,YAAY,CACjB,YAAY,CAKR,YAAY,AAAC,CAEb,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAZL,AAeE,OAfK,AAAA,kBAAkB,CAevB,WAAW,CAdb,OAAO,AAAA,aAAa,CAclB,WAAW,CAbb,OAAO,AAAA,YAAY,CAajB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAjBH,AAmBE,OAnBK,AAAA,kBAAkB,CAmBvB,sBAAsB,CAlBxB,OAAO,AAAA,aAAa,CAkBlB,sBAAsB,CAjBxB,OAAO,AAAA,YAAY,CAiBjB,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CACvB,YAAY,CAAE,GAAG,CAClB,AAvBH,AAyBE,OAzBK,AAAA,kBAAkB,CAyBvB,YAAY,CAxBd,OAAO,AAAA,aAAa,CAwBlB,YAAY,CAvBd,OAAO,AAAA,YAAY,CAuBjB,YAAY,AAAC,CACX,IAAI,CjFrNI,OAAoD,CiFsN5D,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AA7BH,AA+BE,OA/BK,AAAA,kBAAkB,CA+BvB,SAAS,CA9BX,OAAO,AAAA,aAAa,CA8BlB,SAAS,CA7BX,OAAO,AAAA,YAAY,CA6BjB,SAAS,AAAC,CACR,SAAS,CjF1WC,OAAQ,CiF8WnB,AApCH,AAiCI,OAjCG,AAAA,kBAAkB,CA+BvB,SAAS,CAEP,IAAI,CAhCR,OAAO,AAAA,aAAa,CA8BlB,SAAS,CAEP,IAAI,CA/BR,OAAO,AAAA,YAAY,CA6BjB,SAAS,CAEP,IAAI,AAAC,CACH,UAAU,CAAE,SAAS,CACtB,AAnCL,AAsCE,OAtCK,AAAA,kBAAkB,CAsCvB,sBAAsB,CArCxB,OAAO,AAAA,aAAa,CAqClB,sBAAsB,CApCxB,OAAO,AAAA,YAAY,CAoCjB,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACZ,AAxCH,AA0CE,OA1CK,AAAA,kBAAkB,CA0CvB,YAAY,CAzCd,OAAO,AAAA,aAAa,CAyClB,YAAY,CAxCd,OAAO,AAAA,YAAY,CAwCjB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CAoBZ,AAlEH,AAgDI,OAhDG,AAAA,kBAAkB,CA0CvB,YAAY,CAMR,GAAG,CA/CT,OAAO,AAAA,aAAa,CAyClB,YAAY,CAMR,GAAG,CA9CT,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAMR,GAAG,AAAC,CACJ,MAAM,CAAE,OAAO,CAChB,AAlDL,AAoDI,OApDG,AAAA,kBAAkB,CA0CvB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,EOnWrB,OAAO,AAAA,aAAa,CAyClB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,EOlWrB,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,COhTM,CACrB,YAAY,CAAE,IAAI,CACnB,AAtDL,AAwDI,OAxDG,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAvDV,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAtDV,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAQlB,AAjEL,AA2DM,OA3DC,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAGJ,MAAM,CA1DZ,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAGJ,MAAM,CAzDZ,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,CAGJ,MAAM,AAAC,CACL,KAAK,ChFjbH,IAAO,CgFkbV,AA7DP,AA8DM,OA9DC,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAMJ,QAAQ,CA7Dd,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAMJ,QAAQ,CA5Dd,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,CAMJ,QAAQ,AAAC,CACP,KAAK,ChFrbJ,OAAO,CgFsbT,AAhEP,AAoEE,OApEK,AAAA,kBAAkB,CAoEvB,qBAAqB,CAnEvB,OAAO,AAAA,aAAa,CAmElB,qBAAqB,CAlEvB,OAAO,AAAA,YAAY,CAkEjB,qBAAqB,AAAC,CACpB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,IAAI,CAChB,AA7EH,AA+EE,OA/EK,AAAA,kBAAkB,CA+EvB,eAAe,CA9EjB,OAAO,AAAA,aAAa,CA8ElB,eAAe,CA7EjB,OAAO,AAAA,YAAY,CA6EjB,eAAe,AAAC,CACd,MAAM,CAAE,SAAS,CAClB,AAjFH,AAmFE,OAnFK,AAAA,kBAAkB,CAmFvB,OAAO,CAAC,IAAI,CAlFd,OAAO,AAAA,aAAa,CAkFlB,OAAO,CAAC,IAAI,CAjFd,OAAO,AAAA,YAAY,CAiFjB,OAAO,CAAC,IAAI,AAAC,CAEX,gBAAgB,CjFhRR,OAAoD,CiFgR1B,UAAU,CAC5C,KAAK,ChFldG,IAAO,CgFkdG,UAAU,CAC5B,OAAO,CAAE,kBAAkB,CAC5B,AAIH,AAAA,YAAY,CAAC,qBAAqB,AAAC,CACjC,UAAU,CAAE,OAAO,CACnB,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACd,AAED,AAAA,YAAY,CAAC,WAAW,AAAC,CACvB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,UAAU,CAC3B,AAED,AAAA,YAAY,CAAC,aAAa,AAAC,CACzB,OAAO,CAAE,GAAG,CACZ,SAAS,CjFzbG,OAAQ,CiF0brB,AAED,AAAA,YAAY,CAAC,WAAW,AAAA,KAAK,AAAC,CAC5B,gBAAgB,CAAE,OAAO,CAC1B,AACD,AAAA,YAAY,CAAC,WAAW,AAAA,OAAO,AAAC,CAC9B,gBAAgB,CAAE,OAAO,CAC1B,AACD,AAAA,YAAY,CAAC,WAAW,AAAA,OAAO,AAAC,CAC9B,gBAAgB,CAAE,OAAO,CAC1B,AAED,AAAA,YAAY,CAAC,qBAAqB,AAAC,CACjC,WAAW,CAAE,KAAK,CACnB,AAGD,AACE,KADG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CACrC,EAAE,AAAC,CACD,aAAa,CAAE,CAAC,CACjB,AAIH,AACE,OADK,AAAA,cAAc,CACnB,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAJH,AAKE,OALK,AAAA,cAAc,CAKnB,CAAC,CALH,OAAO,AAAA,cAAc,CAMnB,MAAM,AAAC,CACL,WAAW,CAAE,QAAQ,CACrB,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,IAAI,CA0BlB,AAnCH,AAWI,OAXG,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAXX,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,AAAC,CACN,MAAM,CAAE,GAAG,CAAC,KAAK,CjF/UX,OAAoD,CiFgV1D,OAAO,CAAE,iBAAiB,CAC1B,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAmBjB,AAlCL,AAiBM,OAjBC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAML,YAAY,CAjBlB,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAML,YAAY,AAAC,CACX,KAAK,CAAE,OAAO,CACf,AAnBP,AAqBM,OArBC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAUL,aAAa,CArBnB,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAUL,aAAa,AAAC,CACZ,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,OAAO,CAMhB,AA7BP,AAyBQ,OAzBD,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAUL,aAAa,CAIX,IAAI,CAzBZ,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAUL,aAAa,CAIX,IAAI,AAAC,CACH,WAAW,CAAE,OAAO,CACpB,KAAK,CjF9VH,OAAoD,CiF+VvD,AA5BT,AA+BM,OA/BC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAoBL,GAAG,CA/BT,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAoBL,GAAG,AAAC,CACF,aAAa,CAAE,GAAG,CACnB,AAjCP,AAoCE,OApCK,AAAA,cAAc,CAoCnB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAIH,AAEE,OAFK,AAAA,YAAY,CAEjB,UAAU,CAFZ,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CADZ,OAAO,AAAA,aAAa,CAClB,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CjF9cD,CAAC,CiF+cP,SAAS,CjFjgBC,OAAQ,CiFkgBlB,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,eAAkB,CvE1ftC,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CuE0frB,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,KAAK,CAgBf,AA1BH,AAYI,OAZG,AAAA,YAAY,CAEjB,UAAU,CAUR,UAAU,CAZd,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CAUR,UAAU,CAXd,OAAO,AAAA,aAAa,CAClB,UAAU,CAUR,UAAU,AAAC,CACT,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,MAAM,CvElgBpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CuE0gBpB,AAzBL,AAkBM,OAlBC,AAAA,YAAY,CAEjB,UAAU,CAUR,UAAU,CAMR,YAAY,CAlBlB,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CAUR,UAAU,CAMR,YAAY,CAjBlB,OAAO,AAAA,aAAa,CAClB,UAAU,CAUR,UAAU,CAMR,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,SAAS,CjFlhBL,QAAQ,CiFmhBZ,WAAW,CjFngBC,GAAG,CiFogBf,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,IAAI,CACtB,AAMP,AACE,KADG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CACrC,GAAG,AAAA,IAAK,CAAA,cAAc,CAAE,CACtB,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,GAAG,CACf,AAJH,AAME,KANG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CAMrC,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CjFvZK,OAAoD,CiFwZ/D,AAED,AACE,OADK,AAAA,KAAK,CAAC,YAAY,CACvB,GAAG,AAAC,CACF,SAAS,CAAE,eAAe,CAC1B,KAAK,CAAE,eAAe,CACvB,AAIH,AACE,OADK,AAAA,IAAI,CAAC,YAAY,CACtB,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,qGAAkC,CAAC,SAAS,CACxD,eAAe,CAAE,SAAS,CAC1B,OAAO,CAAE,YAAY,CACtB,AARH,AASE,OATK,AAAA,IAAI,CAAC,YAAY,CAStB,SAAS,AAAC,CACR,KAAK,CAAE,IAAI,CACZ,AAIH,AACE,OADK,AAAA,mBAAmB,CACxB,OAAO,CADT,OAAO,AAAA,mBAAmB,CAExB,OAAO,AAAC,CACN,KAAK,CjFpbG,OAAoD,CiFqb7D,AAJH,AAKE,OALK,AAAA,mBAAmB,CAKxB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAPH,AAQE,OARK,AAAA,mBAAmB,CAQxB,OAAO,AAAC,CACN,KAAK,CAAE,KAAK,CACb,AAGH,AAGI,OAHG,AACJ,mBAAmB,CAElB,UAAU,CAHd,OAAO,AAEJ,OAAO,CACN,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CAClB,AAIL,AACE,OADK,AAAA,OAAO,CAAC,CAAC,CACd,IAAI,AAAA,OAAO,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,MAAM,CACpB,AAGH,AACE,OADK,AAAA,UAAU,CACf,GAAG,AAAA,sBAAsB,AAAC,CACxB,KAAK,CjFjdG,OAAoD,CiFkd5D,WAAW,CAAE,IAAI,CAClB,AAGH,AACE,OADK,AAAA,aAAa,CAClB,GAAG,AAAA,QAAQ,AAAC,CACV,OAAO,CAAE,CAAC,CACX,AAGH,AACE,OADK,AAAA,cAAc,CACnB,KAAK,CADP,OAAO,AAAA,cAAc,CAEnB,QAAQ,AAAC,CACP,KAAK,CjF/dG,OAAoD,CiFge5D,YAAY,CAAE,IAAI,CAKnB,AATH,AAKI,OALG,AAAA,cAAc,CACnB,KAAK,CAIH,GAAG,CALP,OAAO,AAAA,cAAc,CAEnB,QAAQ,CAGN,GAAG,AAAC,CACF,IAAI,CAAE,YAAY,CAClB,cAAc,CAAE,MAAM,CACvB,AAKL,AAAA,YAAY,CAAC,OAAO,AAAA,YAAY,AAAC,CAC/B,UAAU,CAAE,IAAI,CACjB,AAQD,AAAA,OAAO,AAAA,aAAa,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CAOZ,AAVD,AAKE,OALK,AAAA,aAAa,CAKlB,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAGH,AAAA,6BAA6B,AAAC,CAC5B,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,gBAAgB,CjFngBN,OAAoD,CiFsiB/D,AAvCD,AAME,6BAN2B,CAM3B,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,WAAW,CAAE,MAAM,CA0BpB,AAtCH,AAeM,6BAfuB,CAM3B,iBAAiB,AAQd,MAAM,AACJ,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvE/kBL,kaAAkD,CuEklBrD,AApBP,AAuBM,6BAvBuB,CAM3B,iBAAiB,AAgBd,MAAM,AACJ,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvEvlBL,oeAAkD,CuE0lBrD,AA5BP,AA+BM,6BA/BuB,CAM3B,iBAAiB,AAwBd,QAAQ,AACN,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvE/lBL,4mBAAkD,CuEkmBrD,ACruBP,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,OAAO,ClFmFG,IAAI,CkFlFd,gBAAgB,CjFHE,IAAO,CiFIzB,UAAU,ClFiIA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAE,IAAG,CAAC,gBAAmB,CkF9C7C,AA3FD,AAUE,SAVO,CAUL,KAAK,AAAC,CACN,KAAK,CAAE,iBAAiB,CACxB,MAAM,CAAE,IAAI,CAuBb,AAnCH,AAaI,SAbK,CAUL,KAAK,CAGL,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAkBb,AAlCL,AAkBM,SAlBG,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CAcZ,AAjCP,AAqBQ,SArBC,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAGT,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AAvBT,AAwBQ,SAxBC,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAMlB,AAhCT,AA4BU,SA5BD,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,CAIX,aAAa,CA5BvB,SAAS,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,CAKX,cAAc,AAAC,CACb,OAAO,CAAE,QAAQ,CAClB,AAMT,AAAA,OAAO,CArCT,SAAS,AAqCG,CACR,QAAQ,CAAE,KAAK,CACf,mBAAmB,CAAE,MAAM,CAC5B,AAxCH,AA0CE,SA1CO,CA0CP,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAKb,AAlDH,AA8CI,SA9CK,CA0CP,MAAM,CAIJ,CAAC,CA9CL,SAAS,CA0CP,MAAM,CAKJ,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CjF3CM,IAAO,CiF4CnB,AAjDL,AAoDE,SApDO,CAoDP,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAtDH,AAwDE,SAxDO,CAwDP,YAAY,AAAC,CACX,SAAS,ClFbD,OAAO,CkFchB,AA1DH,AA4DE,SA5DO,CA4DP,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACpB,AAlEH,AAoEE,SApEO,CAoEP,gBAAgB,CApElB,SAAS,CAqEP,UAAU,CArEZ,SAAS,CAsEP,YAAY,AAAC,CACX,KAAK,CAAE,CAAC,CACT,AAxEH,AA0EE,SA1EO,CA0EP,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,KAAK,CAClB,AA9EH,AAgFE,SAhFO,CAgFP,aAAa,CAhFf,SAAS,CAiFP,MAAM,AAAA,eAAe,AAAC,CACpB,OAAO,CAAE,QAAQ,CAIlB,AAtFH,AAmFI,SAnFK,CAgFP,aAAa,CAGX,GAAG,CAnFP,SAAS,CAiFP,MAAM,AAAA,eAAe,CAEnB,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AArFL,AAwFE,SAxFO,CAwFP,MAAM,AAAA,aAAa,AAAC,CAClB,WAAW,CAAE,GAAG,CACjB,AAGH,AAGE,uBAHqB,CAGrB,cAAc,CAHhB,uBAAuB,CAIrB,YAAY,CAHd,UAAU,CAER,cAAc,CAFhB,UAAU,CAGR,YAAY,CAFd,WAAW,CACT,cAAc,CADhB,WAAW,CAET,YAAY,AAAC,CACX,UAAU,CjF3FL,OAAO,CiF4FZ,SAAS,CAAE,GAAG,CACf,AAGH,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,SAAS,CACjB,UAAU,CAAE,IAAI,CAuGjB,AA1GD,AAKE,eALa,CAKX,EAAE,AAAC,CACH,KAAK,CAAE,IAAI,CACZ,AAPH,AAQE,eARa,CAQb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,KAAK,CAAE,QAAQ,CACf,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,QAAQ,CACjB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,qBAAqB,CACjC,WAAW,CAAE,qBAAqB,CAClC,YAAY,CAAE,qBAAqB,CACnC,UAAU,CAAE,gBAAgB,CAC5B,OAAO,CAAE,IAAI,CAmBd,AAzCH,AAuBI,eAvBW,CAQb,KAAK,CAeH,GAAG,AAAA,OAAO,AAAC,CACT,KAAK,CAAE,QAAQ,CACf,MAAM,CAAE,QAAQ,CACjB,AA1BL,AA2BI,eA3BW,CAQb,KAAK,AAmBF,MAAM,CA3BX,eAAe,CAQb,KAAK,AAoBF,MAAM,AAAC,CACN,gBAAgB,ClF8DV,OAAoD,CkF7D1D,UAAU,CAAE,qBAAqB,CACjC,WAAW,CAAE,qBAAqB,CAClC,YAAY,CAAE,qBAAqB,CAIpC,AApCL,AAiCM,eAjCS,CAQb,KAAK,AAmBF,MAAM,CAML,OAAO,CAjCb,eAAe,CAQb,KAAK,AAoBF,MAAM,CAKL,OAAO,AAAC,CACN,KAAK,ClFyDD,OAAoD,CkFxDzD,AAnCP,AAqCI,eArCW,CAQb,KAAK,AA6BF,OAAO,AAAC,CACP,KAAK,CjF7ID,IAAO,CiF8IX,gBAAgB,ClFoDV,OAAoD,CkFnD3D,AAEH,AACE,eADa,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,CjFnJV,IAAO,CiFoJb,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,ClF4Cf,OAAoD,CkF3C1D,WAAW,CAAE,GAAG,CAAC,KAAK,ClF2ChB,OAAoD,CkF1C1D,YAAY,CAAE,GAAG,CAAC,KAAK,ClF0CjB,OAAoD,CkFxB3D,AAzBH,AAQI,eARW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,CAOX,OAAO,AAAC,CACN,KAAK,ClFwCD,OAAoD,CkFvCzD,AAVL,AAWI,eAXW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAUV,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,OAAO,ClFxEH,IAAI,CkFyER,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,CjFpKjB,IAAO,CiFqKZ,AArBL,AAsBI,eAtBW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAqBV,MAAM,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AAlEP,AAsEE,eAtEa,CAsEb,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,SAAS,ClFjID,QAAQ,CkFkIhB,WAAW,ClF/GK,GAAG,CkFgHnB,OAAO,CAAE,YAAY,CACrB,KAAK,ClFgBG,OAAoD,CkFf7D,AA5EH,AA6EE,eA7Ea,CA6Eb,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CACnB,AA/EH,AAgFE,eAhFa,CAgFb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,OAAO,ClFrFD,CAAC,CkFsFP,WAAW,CAAE,CAAC,CACf,AArFH,AAsFE,eAtFa,CAsFb,uBAAuB,AAAC,CACtB,QAAQ,CAAE,QAAQ,CACnB,AAxFH,AAyFE,eAzFa,CAyFb,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClF7FD,CAAC,CkF8FP,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,IAAI,CACT,SAAS,CAAE,KAAK,CACjB,AA/FH,AAgGE,eAhGa,CAgGb,qBAAqB,AAAC,CACpB,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CACX,gBAAgB,ClFRR,IAAoD,CkFS7D,AApGH,AAqGE,eArGa,CAqGb,wBAAwB,CArG1B,eAAe,CAsGb,KAAK,AAAC,CACJ,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,iBAAiB,AAAC,CAChB,gBAAgB,ClFlBN,OAAoD,CkFmB/D,AAED,AAAA,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,YAAY,CAAC,KAAK,CAAC,EAAE,AAAC,CACpB,aAAa,CAAE,IAAI,CACpB,AAGD,AAAA,YAAY,AAAA,WAAW,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAGD,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,IAAI,CAAE,MAAM,CACZ,MAAM,CAAE,IAAI,CACZ,WAAW,ClF1KQ,GAAG,CkF2KtB,OAAO,CAAE,eAAe,CAExB,QAAQ,CAAE,MAAM,CA4EjB,AApFD,AASE,mBATiB,CASjB,WAAW,AAAC,CACV,QAAQ,CAAE,MAAM,CAChB,KAAK,CAAE,IAAI,CACX,iBAAiB,CAAE,WAAW,CAC9B,SAAS,CAAE,WAAW,CACvB,AAdH,AAeE,mBAfiB,CAejB,WAAW,AAAC,CACV,KAAK,CjFhPQ,IAAO,CiFiPpB,OAAO,CAAE,KAAK,CxE1LhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwE0LtB,AAnBH,AAqBI,mBArBe,CAoBjB,eAAe,CACb,OAAO,AAAC,CACN,KAAK,ClFzDC,IAAoD,CkF0D3D,AAvBL,AAwBI,mBAxBe,CAoBjB,eAAe,CAIb,gBAAgB,AAAC,CACf,KAAK,CjFvPF,OAAO,CiFwPX,AA1BL,AA4BE,mBA5BiB,CA4BjB,aAAa,AAAC,CACZ,MAAM,CAAE,YAAY,CAKpB,SAAS,ClFxND,QAAQ,CkFyNhB,KAAK,CAAE,IAAI,CACZ,AANC,AAAA,0BAA0B,CA9B9B,mBAAmB,CA4BjB,aAAa,AAEkB,CAE3B,MAAM,CAAE,CAAC,CACV,AAjCL,AAqCE,mBArCiB,CAqCjB,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CAGnB,SAAS,CAAE,GAAG,CACd,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,GAAG,CAIf,AAhDH,AA6CI,mBA7Ce,CAqCjB,mBAAmB,CAQjB,cAAc,AAAC,CxEtNjB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEsNpB,AA/CL,AAiDE,mBAjDiB,CAiDjB,cAAc,AAAC,CACb,YAAY,CAAE,GAAG,CAClB,AAnDH,AAqDI,mBArDe,CAoDjB,cAAc,AAAA,OAAO,CACnB,yBAAyB,CArD7B,mBAAmB,CAoDjB,cAAc,AAAA,OAAO,CAEnB,kBAAkB,AAAC,CACjB,SAAS,CAAE,GAAG,CACf,AAxDL,AA8DM,mBA9Da,CA0DjB,cAAc,AACX,OAAO,CAGN,IAAI,AAAA,eAAe,CA9DzB,mBAAmB,CA0DjB,cAAc,AAEX,IAAI,CAEH,IAAI,AAAA,eAAe,CA9DzB,mBAAmB,CA0DjB,cAAc,AAGX,KAAK,CACJ,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,ClFlGD,OAAoD,CkFmGzD,AAhEP,AAmEE,mBAnEiB,CAmEjB,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,MAAM,CAQb,AA/EH,AAwEI,mBAxEe,CAmEjB,mBAAmB,CAKjB,eAAe,AAAC,CACd,KAAK,ClF5GC,OAAoD,CUtI9D,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEqPpB,AA9EL,AA2EM,mBA3Ea,CAmEjB,mBAAmB,CAKjB,eAAe,CAGb,cAAc,AAAC,CACb,OAAO,CAAE,MAAM,CAChB,AA7EP,AAmEE,mBAnEiB,CAmEjB,mBAAmB,AAcC,CAClB,SAAS,CAAE,GAAG,CACf,AAQH,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,SAAS,ClFjRG,OAAQ,CkFuUrB,AA1DD,AAKE,0BALwB,AAKvB,IAAK,CAAA,YAAY,CAAE,CAClB,WAAW,CAAE,GAAG,CACjB,AAPH,AAUI,0BAVsB,CAQxB,kBAAkB,AAEf,IAAK,CAAA,aAAa,EAVvB,0BAA0B,CASxB,mBAAmB,AAChB,IAAK,CAAA,aAAa,CAAE,CACnB,YAAY,CAAE,GAAG,CAClB,AAZL,AAgBI,0BAhBsB,CAexB,kBAAkB,CAChB,KAAK,AAAC,CACJ,MAAM,CApBI,OAAO,CAwBjB,OAAO,CAAE,YAAY,CAKtB,AARC,AAAA,YAAY,CAlBlB,0BAA0B,CAexB,kBAAkB,CAChB,KAAK,AAEY,CACb,MAAM,CArBS,OAAO,CAsBvB,AApBP,AAsBM,0BAtBoB,CAexB,kBAAkB,CAChB,KAAK,CAMH,GAAG,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAzBP,AA6BE,0BA7BwB,CA6BxB,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,ClF7JT,OAAoD,CkF8J5D,aAAa,CAAE,MAAM,CxEpSvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEsTtB,AApDH,AAmCI,0BAnCsB,CA6BxB,mBAAmB,CAMjB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAzCI,OAAO,CA6CjB,KAAK,ClFxKC,OAAoD,CkF6K3D,AARC,AAAA,YAAY,CAvClB,0BAA0B,CA6BxB,mBAAmB,CAMjB,KAAK,AAIY,CACb,MAAM,CA1CS,OAAO,CA2CvB,AAzCP,AA4CM,0BA5CoB,CA6BxB,mBAAmB,CAMjB,KAAK,CASH,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AA9CP,AAiDI,0BAjDsB,CA6BxB,mBAAmB,CAoBjB,IAAI,AAAC,CxErTP,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEqTpB,AAnDL,AAsDE,0BAtDwB,CAsDxB,kBAAkB,AAAC,CACjB,KAAK,ClFrLG,OAAoD,CkFsL5D,WAAW,CAAE,GAAG,CACjB,ACvXH,AACE,IADE,AACD,SAAS,AAAC,CACT,WAAW,CAAE,IAAI,CAClB,AAHH,AAIE,IAJE,AAID,SAAS,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AANH,AAOE,IAPE,AAOD,SAAS,AAAC,CACT,eAAe,CAAE,SAAS,CAC3B,AATH,AAUE,IAVE,AAUD,SAAS,AAAC,CACT,eAAe,CAAE,YAAY,CAC9B,ACXH,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CACnB,gBAAgB,CnFJN,IAAO,CmFKjB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,MAAM,CAcf,AAnBD,AAQI,iBARa,CAOf,gBAAgB,CACd,WAAW,AAAC,CACV,SAAS,CpFqCH,QAAQ,CoFpCd,WAAW,CpFoDG,GAAG,CoFnDlB,AAXL,AAcM,iBAdW,CAOf,gBAAgB,CAMd,oBAAoB,CAClB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,ACjBP,AAAA,iBAAiB,AAAC,CAChB,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,IAAI,CACX,OAAO,CrF4FK,GAAG,CqF3Ff,MAAM,CAAE,IAAI,CACb,AAED,AAAA,WAAW,AAAC,CACV,gBAAgB,CpFVN,IAAO,CoFWjB,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CrFoLP,OAAoD,CqFnL9D,OAAO,CrFmFK,GAAG,CqFlFf,UAAU,CrFuHF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CqFxGvC,AArBD,AAQE,WARS,CAQT,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,UAAU,CACnB,AAXH,AAaE,WAbS,CAaT,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CACjB,AAfH,AAiBE,WAjBS,CAiBT,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,WAAW,AAAA,cAAc,AAAC,CACxB,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,KAAK,CA2BlB,AA7BD,AAGE,WAHS,AAAA,cAAc,CAGvB,KAAK,AAAA,YAAY,AAAC,CAChB,MAAM,CAAE,CAAC,CACV,AALH,AAME,WANS,AAAA,cAAc,CAMvB,EAAE,AAAC,CACD,MAAM,CAAE,MAAM,CACf,AARH,AASE,WATS,AAAA,cAAc,CASvB,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CAkBf,AA5BH,AAWI,WAXO,AAAA,cAAc,CASvB,gBAAgB,CAEd,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAbL,AAcI,WAdO,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CAOlB,AAxBL,AAkBM,WAlBK,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,CAIH,CAAC,AAAA,cAAc,AAAC,CACd,MAAM,CAAE,CAAC,CACV,AApBP,AAqBM,WArBK,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,CAOH,CAAC,AAAC,CACA,MAAM,CAAE,QAAQ,CACjB,AAvBP,AAyBI,WAzBO,AAAA,cAAc,CASvB,gBAAgB,CAgBd,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CACnB,AAIL,AACE,aADW,CAAC,oBAAoB,CAChC,cAAc,AAAC,CACb,QAAQ,CAAE,OAAO,CAClB,AAHH,AAKE,aALW,CAAC,oBAAoB,CAKhC,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,AAPH,AASE,aATW,CAAC,oBAAoB,CAShC,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAGH,AACE,YADU,CAAC,cAAc,CAAC,gBAAgB,CAC1C,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,MAAM,CACf,AAKH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CrFuGP,IAAoD,CqFtG9D,gBAAgB,CrFsGN,OAAoD,CqFxE/D,AAhCD,AAGE,eAHa,CAGb,IAAI,AAAC,CACH,MAAM,CAAE,IAAI,CACZ,KAAK,CpF9FG,IAAO,CoF+Ff,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,IAAI,CAwBpB,AA/BH,AAQI,eARW,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2ChCY,CACjB,UAAU,CpFjGL,IAAO,CoFkGZ,YAAY,CpFlGP,IAAO,CoFiHb,AAzBL,AAWM,eAXS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,E2C7BJ,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CpFrGD,IAAO,CoFsGZ,AAbP,AAcM,eAdS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2C1BJ,MAAM,AAAC,CACN,KAAK,CpFxGD,IAAO,CoFyGX,UAAU,CrFwFN,OAAoD,CqFvFzD,AAjBP,AAkBM,eAlBS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2CtBJ,OAAO,AAAC,C3ElEb,gBAAgB,C2EoER,OAAsB,C3EnE9B,gBAAgB,CAAE,4CAAoD,C2EsEhE,KAAK,CpFhHD,IAAO,CoFiHZ,AAxBP,AA0BI,eA1BW,CAGb,IAAI,CAuBD,AAAA,QAAC,AAAA,CAAU,CACV,WAAW,CAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CpFrHhB,kBAAO,CS0Cf,gBAAgB,CTxCP,IAAO,CSyChB,gBAAgB,CAAE,sCAAoD,C2E4ElE,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CAC9C,ACtHL,AAAA,iBAAiB,CAAC,SAAS,AAAC,CAC1B,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,MAAM,CAKjB,AARD,AAIE,iBAJe,CAAC,SAAS,AAIxB,MAAM,CAAC,KAAK,AAAC,CACZ,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,YAAY,CACzB,AAGH,AAAA,kBAAkB,AAAC,CACjB,UAAU,CAAE,UAAU,CACvB,AAED,AAAA,OAAO,CAAC,GAAG,AAAA,kBAAkB,AAAC,CAC5B,MAAM,CAAE,GAAG,CAAC,KAAK,CtFiLP,OAAoD,CsFhL/D,AAED,AAAA,OAAO,CAAC,GAAG,AAAA,WAAW,AAAC,CACrB,UAAU,CAAE,uBAAuB,CACpC,AAED,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,YAAY,CAStB,AjB2BC,AAAA,iBAAiB,CAAC,GAAG,AiBnCjB,CACF,UAAU,CAAE,KAAK,CACjB,eAAe,CAAE,GAAG,CACrB,AALH,AAME,iBANe,CAAjB,iBAAiB,CAOf,CAAC,AAAC,CACA,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACX,KAAK,CrFvCK,IAAO,CqFwCjB,UAAU,CrFzCF,IAAO,CqF0Cf,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,YAAY,CACxB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAwBpB,AAjCD,AAWE,KAXG,CAWH,SAAS,AAAC,CACR,MAAM,CAhDY,GAAG,C5E4DvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C4EZtB,AAdH,AAgBE,KAhBG,CAgBH,OAAO,AAAC,CACN,MAAM,CArDY,GAAG,CAsDrB,OAAO,CAAE,GAAG,CACZ,KAAK,CrFtDG,IAAO,CqF0DhB,AAvBH,AAoBI,KApBC,CAgBH,OAAO,CAIH,SAAS,AAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAtBL,AAyBE,KAzBG,CAyBH,aAAa,AAAC,CACZ,MAAM,CA9DY,GAAG,CA+DrB,aAAa,CAAE,IAAI,CACnB,KAAK,CtFoIG,OAAmD,CsFnI3D,SAAS,CtFfJ,GAAG,CsFgBR,WAAW,CAAE,CAAC,CACd,SAAS,CAAE,CAAC,CACb,AAGH,AAAA,cAAc,CAAC,QAAQ,AAAC,CACtB,MAAM,CAAE,IAAI,CACb,AAED,AAEI,mBAFe,CAEf,CAAC,AAAA,SAAS,AAAC,CACT,kBAAkB,CAAE,GAAG,CAAC,IAAI,CAAC,kCAAkC,CAC/D,UAAU,CAAE,GAAG,CAAC,IAAI,CAAC,kCAAkC,CACxD,AALL,AAOI,mBAPe,CAOf,CAAC,AAAA,SAAS,AAAA,MAAM,AAAC,CACf,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CrFpFnB,kBAAO,CqFqFT,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,CAAC,CrFrFV,kBAAO,CqFsFZ,ACtFL,AAEI,mBAFe,CACjB,KAAK,CACH,EAAE,AAAC,CACD,cAAc,CAAE,KAAK,CACtB,AAJL,AAME,mBANiB,CAMjB,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CAIX,A7EQD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6EnBrC,AAME,mBANiB,CAMjB,KAAK,AAAC,CAGF,KAAK,CAAE,GAAG,CAEb,CAXH,AAYE,mBAZiB,CAYjB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,KAAK,CAOtB,AArBH,AAeI,mBAfe,CAYjB,KAAK,CAGH,EAAE,AAAC,CACD,OAAO,CAAE,mBAAmB,CAI7B,A7EDH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,IAAI,E6EnBpC,AAeI,mBAfe,CAYjB,KAAK,CAGH,EAAE,AAAC,CAGC,SAAS,CAAE,IAAI,CAElB,CApBL,AAsBE,mBAtBiB,CAsBjB,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CACjC,SAAS,CAAE,IAAI,CAIhB,A7ERD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6EnBrC,AAsBE,mBAtBiB,CAsBjB,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CAG/B,SAAS,CAAE,IAAI,CAElB,CAGH,AAAA,2BAA2B,AAAC,CAC1B,WAAW,CAAE,IAAI,CAClB,AChCD,AACE,uBADqB,CACrB,WAAW,AAAC,CACV,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,kBAAkB,CAC7B,AAJH,AAKE,uBALqB,CAKrB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAZH,AASI,uBATmB,CAKrB,cAAc,CAIV,OAAO,AAAC,CACR,YAAY,CAAE,GAAG,CAClB,AAXL,AAaE,uBAbqB,CAarB,KAAK,AAAA,YAAY,CAbnB,uBAAuB,CAcrB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CACjB,AAjBH,AAkBE,uBAlBqB,CAkBrB,OAAO,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AApBH,AAqBE,uBArBqB,CAqBrB,KAAK,AAAC,CACJ,OAAO,CAAE,WAAW,CACpB,aAAa,CAAE,GAAG,CAClB,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,MAAM,CAIpB,AA7BH,AA0BI,uBA1BmB,CAqBrB,KAAK,CAKH,KAAK,AAAC,CACJ,UAAU,CAAE,CAAC,CACd,AA5BL,AA8BE,uBA9BqB,CA8BrB,IAAI,AAAA,WAAW,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AAhCH,AAkCI,uBAlCmB,CAiCrB,kBAAkB,CAChB,KAAK,AAAC,CACJ,MAAM,CAAE,CAAC,CACV,AApCL,AAqCI,uBArCmB,CAiCrB,kBAAkB,CAIhB,WAAW,AAAC,CACV,MAAM,CAAE,mBAAmB,CAC5B,AAvCL,AAwCI,uBAxCmB,CAiCrB,kBAAkB,CAOhB,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACd,AA1CL,AA2CI,uBA3CmB,CAiCrB,kBAAkB,CAUhB,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAKX,AAlDL,AA8CM,uBA9CiB,CAiCrB,kBAAkB,CAUhB,kBAAkB,CAGhB,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,SAAS,CxFCL,QAAQ,CwFAb,AAjDP,AAoDI,uBApDmB,CAiCrB,kBAAkB,CAmBhB,KAAK,CAAA,AAAA,QAAC,AAAA,CAAU,CACd,UAAU,CxF6IJ,OAAoD,CwF5I3D,AAtDL,AAwDE,uBAxDqB,CAwDrB,YAAY,AAAC,CACX,QAAQ,CAAE,mBAAmB,CAC9B,AAIH,AACE,YADU,CAAC,uBAAuB,CAClC,WAAW,AAAA,UAAU,AAAC,CACpB,IAAI,CAAE,OAAO,CACd,ACjEH,AAAA,oBAAoB,AAAC,CACnB,MAAM,CAAE,MAAM,CACd,UAAU,CAAE,MAAM,CAClB,SAAS,CzF2CC,QAAQ,CyF1ClB,WAAW,CzF4DQ,GAAG,CyF3DvB,ACaD,AAAA,IAAI,CAAC,mBAAmB,AAAC,CAZvB,iBAAiB,CAAE,cAAyB,CAC5C,cAAc,CAAE,cAAyB,CACzC,aAAa,CAAE,cAAyB,CACxC,YAAY,CAAE,cAAyB,CACvC,SAAS,CAAE,cAAyB,CAEpC,MAAM,CAAE,+HAA+J,CACvK,UAAU,CAAE,+HAA+J,CAC3K,IAAI,CAAE,CAAC,CAMR,AAID,AAAA,IAAI,CAAC,YAAY,CAAC,CAAC,AAAA,OAAO,AAAA,OAAO,AAAC,CAChC,iBAAiB,CAAE,sBAAsB,CACzC,kBAAkB,CzFzBR,IAAO,CyFyBc,UAAU,CAC1C,AACD,AAAA,IAAI,CAAC,IAAI,AAAC,CACR,SAAS,CAAE,cAAc,CACzB,UAAU,CAAE,eAAe,CAC5B,AACD,AAAA,IAAI,CAAC,UAAU,AAAC,CACd,KAAK,CAAE,gBAAgB,CACxB,AACD,AAAA,IAAI,CAAC,aAAa,AAAC,CACjB,IAAI,CAAE,IAAI,CACX,AAED,AAAA,IAAI,CAAC,gBAAgB,CAAC,cAAc,CAAC,cAAc,AAAC,CAClD,QAAQ,CAAE,iBAAiB,CAC3B,KAAK,CAAE,eAAe,CACvB,AACD,AAAA,IAAI,CAAC,gBAAgB,CAAC,cAAc,CAAC,gBAAgB,AAAC,CACpD,QAAQ,CAAE,iBAAiB,CAC3B,KAAK,CAAE,eAAe,CACvB,AACD,AAAA,IAAI,CAAC,eAAe,AAAC,CACnB,KAAK,CAAE,gBAAgB,CACxB,AACD,AAAA,IAAI,CAAC,gBAAgB,AAAC,CACpB,KAAK,CAAE,eAAe,CACvB,AAGD,AAAA,OAAO,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACX,iBAAiB,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACrB,OAAO,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACX,iBAAiB,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,CAAW,CAC9B,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,IAAI,CACnB,AAGD,AAAA,IAAI,CAAC,KAAK,AAAA,OAAO,AAAA,WAAW,AAAC,CAC3B,OAAO,CAAE,8BAA8B,CACvC,SAAS,CAAE,cAAc,CAC1B,AAED,AAAA,IAAI,CAAC,KAAK,AAAA,OAAO,AAAA,WAAW,CAAC,OAAO,AAAC,CACnC,mBAAmB,CAAE,gBAAgB,CACrC,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,AAAC,CAC5B,MAAM,CAAE,qBAAqB,CAC9B,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAA,OAAO,AAAC,CACtC,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,gBAAgB,CAC7B,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAC,CAC/B,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,CAAC,CACf,YAAY,CAAE,CAAC,CACf,YAAY,CAAE,iBAAiB,CAC/B,WAAW,CAAE,eAAe,CAC7B,AC3FD,AACE,YADU,CACV,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,SAAS,CACnB,AAJH,AAME,YANU,CAMV,eAAe,CAAC,UAAU,AAAC,CACzB,KAAK,CAAE,KAAK,CACb,AARH,AAUE,YAVU,CAUV,QAAQ,AAAC,CACP,OAAO,CAAE,aAAa,CAIvB,AAfH,AAYI,YAZQ,CAUV,QAAQ,CAEN,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACf,AAdL,AAiBE,YAjBU,CAiBV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,gBAAgB,CACvB,MAAM,CAAE,IAAI,CACb,AArBH,AAuBE,YAvBU,CAuBV,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CAKf,AA7BH,AA0BI,YA1BQ,CAuBV,eAAe,CAGb,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AA5BL,AA+BE,YA/BU,CA+BV,eAAe,CAAG,QAAQ,AAAC,CACzB,UAAU,CAAE,GAAG,CAChB,AAjCH,AAmCE,YAnCU,CAmCV,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CA+LpB,AApOH,AAuCI,YAvCQ,CAmCV,QAAQ,CAIN,KAAK,AAAC,CACJ,SAAS,CAAE,KAAK,CAiBjB,AAzDL,AA2CQ,YA3CI,CAmCV,QAAQ,CAIN,KAAK,CAGH,KAAK,CACH,MAAM,AAAC,CAEL,aAAa,CAAE,UAAU,CACzB,SAAS,CAAE,UAAU,CACrB,cAAc,CAAE,SAAS,CACzB,UAAU,CAAE,SAAS,CACrB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,eAAe,CAAE,IAAI,CACrB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,MAAM,CACnB,AAvDT,AA4DM,YA5DM,CAmCV,QAAQ,CAwBN,oBAAoB,CAClB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAMpB,AArEP,AAiEQ,YAjEI,CAmCV,QAAQ,CAwBN,oBAAoB,CAClB,YAAY,CAKV,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,QAAQ,CAClB,AApET,AAwEI,YAxEQ,CAmCV,QAAQ,CAqCN,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CAIf,AA9EL,AA2EM,YA3EM,CAmCV,QAAQ,CAqCN,aAAa,CAGX,eAAe,AAAC,CACd,KAAK,C3FsHD,OAAoD,C2FrHzD,AA7EP,AAgFI,YAhFQ,CAmCV,QAAQ,CA6CN,aAAa,CAAG,kBAAkB,AAAC,CACjC,WAAW,CAAE,GAAG,CAAC,KAAK,C3FiHhB,OAAoD,C2FhH1D,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,GAAG,CACf,AArFL,AAuFI,YAvFQ,CAmCV,QAAQ,CAoDN,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,QAAQ,CAqIf,AA/NL,AA4FM,YA5FM,CAmCV,QAAQ,CAoDN,kBAAkB,CAKhB,UAAU,AAAC,CACT,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CACf,MAAM,CAAE,GAAG,CACX,UAAU,C3FkGN,OAAoD,C2FjGzD,AAjGP,AAoGQ,YApGI,CAmCV,QAAQ,CAoDN,kBAAkB,CAYhB,kBAAkB,CAChB,cAAc,AAAC,CACb,SAAS,C3FlDL,OAAQ,C2FmDb,AAtGT,AA0GQ,YA1GI,CAmCV,QAAQ,CAoDN,kBAAkB,CAkBhB,uBAAuB,CACrB,YAAY,AAAC,CACX,aAAa,CAAE,CAAC,CACjB,AA5GT,AAgHQ,YAhHI,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CAClB,YAAY,AAAC,CACX,KAAK,C3FiFH,OAAoD,C2F5EvD,AAtHT,AAmHU,YAnHE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CAClB,YAAY,AAGT,MAAM,AAAC,CACN,KAAK,C1FpHP,IAAO,C0FqHN,AArHX,AAwHQ,YAxHI,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CA6CpB,AAvKT,AA4HU,YA5HE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAIX,OAAO,CA5HjB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAKX,aAAa,AAAC,CACZ,SAAS,CAAE,IAAI,CACf,YAAY,CAAE,KAAK,CAKpB,AApIX,AAiIY,YAjIA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAIX,OAAO,CAKL,OAAO,CAjInB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAKX,aAAa,CAIX,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CAChB,AAnIb,AAsIU,YAtIE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAcX,mBAAmB,AAAC,CAClB,iBAAiB,CAAE,SAAS,CAC5B,eAAe,CAAE,SAAS,CAC1B,UAAU,CAAE,IAAI,CACjB,AA1IX,AA4IU,YA5IE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,IAAI,CACd,WAAW,C3FhFF,GAAG,C2FsGb,AAtKX,AAmJc,YAnJF,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAMT,MAAM,CACL,KAAK,CAnJnB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAMT,MAAM,CAEL,KAAK,AAAC,CACJ,KAAK,C3F6CT,OAAoD,C2F5CjD,AAtJf,AAyJY,YAzJA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAaV,KAAK,CAzJjB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAcV,KAAK,AAAC,CjF9FhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiF8FZ,AA5Jb,AA8JY,YA9JA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAkBV,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CACjB,AAhKb,AAkKY,YAlKA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAsBV,KAAK,AAAC,CACJ,SAAS,C3FhHT,OAAQ,C2FiHR,KAAK,C3F8BP,OAAoD,C2F7BnD,AArKb,AA8KQ,YA9KI,CAmCV,QAAQ,CAoDN,kBAAkB,CAmFhB,uBAAuB,CAIrB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoFhB,mBAAmB,CAGjB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAqFhB,oBAAoB,CAElB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAsFhB,kBAAkB,CAChB,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CASf,AAxLT,AAkLY,YAlLA,CAmCV,QAAQ,CAoDN,kBAAkB,CAmFhB,uBAAuB,CAIrB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoFhB,mBAAmB,CAGjB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAqFhB,oBAAoB,CAElB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAsFhB,kBAAkB,CAChB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,AAAC,CACvB,IAAI,CAAE,CAAC,CACP,SAAS,C3FlId,GAAG,C2FmIE,OAAO,CAAE,GAAG,CACb,AAtLb,AA4LQ,YA5LI,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CA8BpB,AA7NT,AAiMU,YAjME,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAKV,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACnB,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,IAAI,CAChB,AArMX,AAuMU,YAvME,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,IAAI,CACd,WAAW,C3F3IF,GAAG,C2F4Jb,AA5NX,AA6MY,YA7MA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAMV,SAAS,CA7MrB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAOV,KAAK,AAAC,CjFlJhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiFkJZ,AAhNb,AAkNY,YAlNA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAWV,SAAS,AAAC,CACR,KAAK,C3FjBP,OAAoD,C2FkBlD,SAAS,C3FjKT,OAAQ,C2FkKT,AArNb,AAuNY,YAvNA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAgBV,KAAK,AAAC,CACJ,KAAK,C3FtBP,OAAoD,C2FuBlD,SAAS,C3FvKd,GAAG,C2FwKE,WAAW,CAAE,GAAG,CACjB,AA3Nb,AAiOI,YAjOQ,CAmCV,QAAQ,CA8LN,UAAU,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AAnOL,AAsOE,YAtOU,CAsOV,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,MAAM,CACX,KAAK,CAAE,GAAG,CAQX,AAjPH,AA2OI,YA3OQ,CAsOV,UAAU,CAKR,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,CAAC,CACV,AAhPL,AAmPE,YAnPU,CAmPV,WAAW,AAAC,CACV,OAAO,CAAE,GAAG,CACb,AArPH,AAuPE,YAvPU,CAuPV,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CAIX,AA5PH,AAyPI,YAzPQ,CAuPV,OAAO,AAEJ,MAAM,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AA3PL,AA8PE,YA9PU,CA8PV,YAAY,AAAC,CACX,aAAa,CAAE,MAAM,CActB,AA7QH,AAiQI,YAjQQ,CA8PV,YAAY,CAGV,sBAAsB,AAAC,CACrB,WAAW,C3FnMG,CAAC,C2FoMhB,AAnQL,AAqQI,YArQQ,CA8PV,YAAY,CAOV,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACrB,WAAW,C3FvMI,GAAG,C2FwMnB,AAxQL,AA0QI,YA1QQ,CA8PV,YAAY,CAYV,YAAY,AAAC,CACX,YAAY,CAAE,MAAM,CACrB,AC3QL,AAAA,WAAW,CrC0IX,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCrOG,CACV,OAAO,CAAE,OAAO,CAChB,KAAK,C3FHG,IAAO,C2FIf,MAAM,CAAE,GAAG,CAAC,KAAK,C5F8LP,OAAoD,C4F7L9D,WAAW,C5F4DO,GAAG,C4F3DrB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3FPN,IAAO,C2FQjB,MAAM,CAAE,OAAO,CA8BhB,AAtCD,AAUE,WAVS,CAUT,GAAG,CrCgIL,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,CqC3NP,GAAG,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAbH,AAeE,WAfS,CAeT,mBAAmB,CrC2HrB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,CqCtNP,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACpB,AAjBH,AAmBE,WAnBS,AAmBR,gBAAgB,CAAC,GAAG,CrCuHvB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqClNN,gBAAgB,CAAC,GAAG,AAAC,CACpB,KAAK,C5FSF,OAAgB,C4FTN,UAAU,CACxB,AArBH,AAuBE,WAvBS,AAuBR,kBAAkB,CAAC,GAAG,CrCmHzB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqC9MN,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,C5FMA,MAAO,C4FNG,UAAU,CAC1B,AAzBH,AA2BE,WA3BS,AA2BR,kBAAkB,CAAC,GAAG,CrC+GzB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqC1MN,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,C5FGA,OAAO,C4FHG,UAAU,CAC1B,AA7BH,AA+BE,WA/BS,AA+BR,SAAS,CrC2GZ,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCtMN,SAAS,AAAC,CACT,KAAK,C5FiKG,OAAoD,C4FhK5D,gBAAgB,C5FgKR,OAAoD,C4F5J7D,AArCH,AAkCI,WAlCO,AA+BR,SAAS,CAGR,GAAG,CrCwGP,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCtMN,SAAS,CAGR,GAAG,AAAC,CACF,OAAO,CAAE,GAAG,CACb,AAIL,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AAAA,WAAW,CAAC,sBAAsB,CAAC,WAAW,CAAC,CAAC,AAAA,UAAU,AAAC,CACzD,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,CAAC,GAAG,AAAA,WAAW,AAAC,CACzB,OAAO,CAAE,CAAC,CACX,AACD,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CAkBf,AAnBD,AAGE,eAHa,CAGb,KAAK,CAHP,eAAe,CAIb,YAAY,AAAC,CACX,UAAU,CAAE,IAAI,CACjB,AANH,AAQE,eARa,CAQb,IAAI,CAAG,GAAG,AAAA,KAAK,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AAVH,AAYE,eAZa,CAYb,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CAKf,AAlBH,AAcI,eAdW,CAYb,IAAI,CAEA,GAAG,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CACjB,CAKP,AACE,WADS,CAAC,gBAAgB,CAC1B,OAAO,AAAC,CACN,SAAS,C5FxBD,QAAQ,C4FyBhB,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,WAAW,CAAC,YAAY,AAAC,CACvB,WAAW,CAAE,EAAE,CACf,cAAc,CAAE,IAAI,CAMrB,AARD,AAGE,WAHS,CAAC,YAAY,CAGtB,UAAU,AAAC,CACT,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,SAAS,C5FnCD,QAAQ,C4FoCjB,AAGH,AAAA,WAAW,CAAC,YAAY,CAAC,WAAW,AAAC,CACnC,YAAY,CAAE,CAAC,CAEf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,MAAM,CAed,KAAK,CAAE,KAAK,CAOb,AA3BD,AAME,WANS,CAAC,YAAY,CAAC,WAAW,CAMlC,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AARH,AASE,WATS,CAAC,YAAY,CAAC,WAAW,CASlC,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,SAAS,C5FjDD,QAAQ,C4FkDhB,WAAW,CAAE,IAAI,CAClB,AAbH,AAcE,WAdS,CAAC,YAAY,CAAC,WAAW,CAclC,UAAU,AAAC,CACT,SAAS,C5FtDD,QAAQ,C4FuDhB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAnBH,AAsBE,WAtBS,CAAC,YAAY,CAAC,WAAW,AAsBjC,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,AAGH,AAAA,iBAAiB,AAAA,OAAO,AAAC,CACvB,KAAK,CAAE,GAAG,CACV,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,gBAAgB,C5FqEN,OAAoD,C4FpE9D,MAAM,CAAE,GAAG,CAAC,KAAK,C5FoEP,OAAoD,C4FnE9D,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,gBAAgB,CAoH7B,AA1HD,AAQE,WARS,CAQT,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACT,AAZH,AAcE,WAdS,CAcT,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,GAAG,CACR,WAAW,CAAE,IAAI,CACjB,KAAK,C5FqDG,OAAoD,C4FpD5D,SAAS,C5F9FD,QAAQ,C4F+FjB,AArBH,AAuBE,WAvBS,CAuBT,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CAsDf,AAjFH,AA6BI,WA7BO,CAuBT,eAAe,CAMb,WAAW,AAAC,CACV,KAAK,C3FxJD,IAAO,C2FyJZ,AA/BL,AAiCI,WAjCO,CAuBT,eAAe,CAUb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,MAAM,CACb,YAAY,CAAE,EAAE,CAChB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,SAAS,CAAE,KAAK,CAqBjB,AA7DL,AAyCM,WAzCK,CAuBT,eAAe,CAUb,WAAW,CAQT,CAAC,AAAC,CACA,KAAK,CAAE,IAAI,CACZ,AA3CP,AA4CM,WA5CK,CAuBT,eAAe,CAUb,WAAW,CAWT,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CACjB,AAhDP,AAkDM,WAlDK,CAuBT,eAAe,CAUb,WAAW,AAiBR,gBAAgB,CAAC,GAAG,AAAC,CACpB,KAAK,CAAE,OAAgB,CAAC,UAAU,CACnC,AApDP,AAsDM,WAtDK,CAuBT,eAAe,CAUb,WAAW,AAqBR,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,CAAE,kBAAkB,CAC1B,AAxDP,AA0DM,WA1DK,CAuBT,eAAe,CAUb,WAAW,AAyBR,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,CAAE,kBAAkB,CAC1B,AA5DP,AA+DI,WA/DO,CAuBT,eAAe,CAwCb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,eAAe,CACxB,KAAK,C3F9LD,IAAO,C2F0MZ,AAXC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EArEzC,AA+DI,WA/DO,CAuBT,eAAe,CAwCb,WAAW,AAAC,CAOR,aAAa,CAAE,CAAC,CAUnB,CAhFL,AAyEM,WAzEK,CAuBT,eAAe,CAwCb,WAAW,CAUT,EAAE,AAAC,CACD,aAAa,CAAE,MAAM,CACrB,SAAS,C5FpJL,QAAQ,C4FwJb,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA5E3C,AAyEM,WAzEK,CAuBT,eAAe,CAwCb,WAAW,CAUT,EAAE,AAAC,CAIC,SAAS,C5FvJP,QAAQ,C4FyJb,CA/EP,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CACP,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,KAAK,CAqBpB,AApBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAvFvC,AAwFM,WAxFK,AAmFR,OAAO,AAKH,YAAa,CAAA,EAAE,CAAE,CAChB,YAAY,CAAE,CAAC,CAChB,ClFjML,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFuGrC,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CAUL,KAAK,CAAE,KAAK,CAcf,AA3GH,AA8FM,WA9FK,AAmFR,OAAO,AAWH,YAAa,CAAA,EAAE,CAAE,CAChB,YAAY,CAAE,CAAC,CAChB,ClFvML,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFuGrC,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CAgBL,IAAI,CAAE,QAAQ,CAQjB,CA3GH,AAqGI,WArGO,AAmFR,OAAO,AAkBL,MAAM,AAAC,CACN,UAAU,C5FzFN,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,C4F0FnC,AAvGL,AAwGI,WAxGO,AAmFR,OAAO,AAqBL,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AA1GL,AA4GE,WA5GS,AA4GR,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CAWvB,AAVC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA/GvC,AA4GE,WA5GS,AA4GR,MAAM,AAAC,CAIJ,SAAS,CAAE,gBAAyB,CACpC,YAAY,CAAE,KAAK,CAQtB,CAzHH,AAmHI,WAnHO,AA4GR,MAAM,CAOL,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CAId,AAxHL,AAqHM,WArHK,AA4GR,MAAM,CAOL,eAAe,CAEb,EAAE,AAAC,CACD,SAAS,C5FjML,QAAQ,C4FkMb,AAKP,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAIhB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAHrC,AAAA,eAAe,AAAC,CAIZ,eAAe,CAAE,aAAa,CAEjC,CAED,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,MAAM,CACd,KAAK,C5F9DK,OAAoD,C4FkE/D,AAND,AAGE,aAHW,CAGX,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AAGH,AACE,YADU,CACV,aAAa,AAAC,CACZ,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAShB,AlFrQC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFyPrC,AAAA,iBAAiB,AAAC,CAKd,eAAe,CAAE,aAAa,CAOjC,CAZD,AAQE,iBARe,CAQf,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,SAAS,C5FrOD,QAAQ,C4FsOjB,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CAmChB,AAxCD,AAQI,mBARe,CAOjB,iBAAiB,AACd,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAVL,AAaE,mBAbiB,CAajB,gBAAgB,AAAC,CACf,aAAa,CAAE,GAAG,CAClB,KAAK,C5FvGG,OAAoD,C4F2G7D,AAnBH,AAgBI,mBAhBe,CAajB,gBAAgB,AAGb,cAAc,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AAlBL,AAqBE,mBArBiB,CAqBjB,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C5F/GT,OAAoD,C4FuH7D,AA/BH,AAyBI,mBAzBe,CAqBjB,gBAAgB,CAId,aAAa,AAAC,CACZ,OAAO,CAAE,CAAC,CAIX,AA9BL,AA2BM,mBA3Ba,CAqBjB,gBAAgB,CAId,aAAa,CAEX,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CACnB,AA7BP,AAiCE,mBAjCiB,CAiCjB,YAAY,CAAC,gBAAgB,CAAC,SAAS,AAAC,CACtC,WAAW,CAAE,CAAC,CACf,AAnCH,AAqCE,mBArCiB,CAqCjB,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,MAAM,CAKnB,AATD,AAKE,cALY,CAKZ,GAAG,AAAC,CACF,SAAS,CAAE,KAAK,CAChB,KAAK,C3F1UG,IAAO,C2F2UhB,AAGH,AAAA,cAAc,AAAA,eAAe,AAAC,CAC5B,gBAAgB,C3FxUR,IAAO,C2FyUhB,AAED,AAAA,cAAc,AAAA,iBAAiB,AAAC,CAC9B,gBAAgB,C3F7UT,OAAO,C2F8Uf,AAED,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CAChB,ACzVD,AACE,WADS,CACT,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,AALH,AAOE,WAPS,CAOT,OAAO,AAAC,CACN,KAAK,C7F0LG,OAAoD,C6F7K7D,AArBH,AASI,WATO,CAOT,OAAO,CAEL,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C5FFD,IAAO,C4FMZ,AAdL,AAWM,WAXK,CAOT,OAAO,CAEL,IAAI,AAAA,SAAS,CAEX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAbP,AAeI,WAfO,CAOT,OAAO,CAQL,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C5FTF,OAAO,C4FaX,AApBL,AAiBM,WAjBK,CAOT,OAAO,CAQL,IAAI,AAAA,SAAS,CAEX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAnBP,AAsBE,WAtBS,CAsBT,QAAQ,AAAC,CACP,WAAW,CAAE,KAAK,CACnB,AAxBH,AA0BE,WA1BS,CA0BT,UAAU,AAAC,CACT,aAAa,CAAE,GAAG,CACnB,AA5BH,AA8BE,WA9BS,CA8BT,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,GAAG,CAmBhB,AApDH,AAmCI,WAnCO,CA8BT,qBAAqB,CAKnB,gBAAgB,AAAC,CACf,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,CAAC,CACZ,YAAY,CAAE,IAAI,CACnB,AAzCL,AA2CI,WA3CO,CA8BT,qBAAqB,CAanB,mBAAmB,AAAC,CAClB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACvB,AA/CL,AAiDI,WAjDO,CA8BT,qBAAqB,CAmBnB,gBAAgB,CAAG,mBAAmB,AAAC,CACrC,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,oBADkB,CAClB,EAAE,AAAC,CACD,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,oBANkB,CAMlB,MAAM,AAAC,CACL,WAAW,CAAE,KAAK,CACnB,AARH,AASE,oBATkB,CASlB,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,KAAK,CAQrB,AAnBH,AAaI,oBAbgB,CASlB,sBAAsB,CAIpB,WAAW,AAAC,CACV,SAAS,CAAE,IAAI,CAChB,AAfL,AAgBI,oBAhBgB,CASlB,sBAAsB,CAOpB,MAAM,AAAC,CACL,KAAK,CAAE,GAAG,CACX,AAIL,AAAA,qBAAqB,AAAC,CACpB,MAAM,CAAE,OAAO,CAiBhB,AAlBD,AAEE,qBAFmB,CAEnB,uBAAuB,AAAC,CACtB,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,qBANmB,CAMnB,wBAAwB,AAAC,CACvB,aAAa,CAAE,GAAG,CAAC,KAAK,C7F8GhB,OAAoD,C6F7G5D,cAAc,CAAE,MAAM,CAEtB,OAAO,CAAE,IAAI,CAMb,aAAa,CAAE,KAAK,CACrB,AAjBH,AAWI,qBAXiB,CAMnB,wBAAwB,CAKtB,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAClB,AAKL,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,mBAAmB,AAAC,CAClB,gBAAgB,C7F4FN,OAAoD,C6F3F9D,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CA+BnB,AAlCD,AAKE,mBALiB,CAKjB,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,SAAS,CAyBlB,AAjCH,AAUI,mBAVe,CAKjB,kBAAkB,CAKhB,aAAa,AAAC,CACZ,MAAM,CAAE,WAAW,CACpB,AAZL,AAcI,mBAde,CAKjB,kBAAkB,CAShB,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAjBL,AAmBI,mBAnBe,CAKjB,kBAAkB,CAchB,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AArBL,AAuBI,mBAvBe,CAKjB,kBAAkB,CAkBhB,wBAAwB,AAAC,CACvB,KAAK,CAAE,OAAO,CACd,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAMX,AAhCL,AA4BM,mBA5Ba,CAKjB,kBAAkB,CAkBhB,wBAAwB,CAKtB,aAAa,AAAC,CACZ,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C7F+Db,OAAoD,C6F9DzD,AAKP,AAAA,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAND,AAGE,yBAHuB,CAGvB,UAAU,AAAC,CACT,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,mBAAmB,CAAC,gBAAgB,AAAC,CACnC,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAND,AAGE,WAHS,CAGT,iBAAiB,AAAC,CAChB,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CAkBZ,AAnBD,AAII,kBAJc,CAGhB,KAAK,CACH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACf,AANL,AASE,kBATgB,CAShB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,QAAQ,CAO1B,AAlBH,AAaI,kBAbc,CAShB,mBAAmB,CAIjB,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,mBADiB,CACjB,aAAa,CAAC,IAAI,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AAJH,AAME,mBANiB,CAMjB,QAAQ,AAAC,CACP,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,IAAI,CACd,AATH,AAWE,mBAXiB,CAWjB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACX,AAEH,AAAA,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,KAAK,CAuBnB,AA1BD,AAKE,qBALmB,CAKnB,iBAAiB,AAAC,CAChB,YAAY,CAAE,MAAM,CAgBrB,AAtBH,AAOI,qBAPiB,CAKnB,iBAAiB,AAEd,OAAO,AAAC,CACP,KAAK,C5FrMD,IAAO,C4FyMZ,AAZL,AASM,qBATe,CAKnB,iBAAiB,AAEd,OAAO,CAEJ,OAAO,AAAC,CACR,KAAK,C5FvMH,IAAO,C4FwMV,AAXP,AAaI,qBAbiB,CAKnB,iBAAiB,AAQd,UAAU,AAAC,CACV,KAAK,C5F5MF,OAAO,C4FgNX,AAlBL,AAeM,qBAfe,CAKnB,iBAAiB,AAQd,UAAU,CAEP,OAAO,AAAC,CACR,KAAK,C5F9MJ,OAAO,C4F+MT,AAjBP,AAmBI,qBAnBiB,CAKnB,iBAAiB,AAcd,QAAQ,AAAC,CACR,KAAK,C7FvBC,OAAoD,C6FwB3D,AArBL,AAuBE,qBAvBmB,CAuBnB,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CACjB,AAGH,AAAA,gBAAgB,AAAC,CACf,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C7FjCX,OAAoD,C6FmF9D,cAAc,CAAE,GAAG,CACpB,AArDD,AAIE,gBAJc,CAId,eAAe,AAAC,CACd,SAAS,C7FtLD,QAAQ,C6FuLjB,AANH,AAQE,gBARc,CAQd,qBAAqB,AAAC,CACpB,KAAK,C7FxCG,OAAoD,C6FyC5D,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,KAAK,CACpB,SAAS,C7F3LC,OAAQ,C6F4LlB,WAAW,CAAE,QAAQ,CAiBtB,AA/BH,AAeI,gBAfY,CAQd,qBAAqB,CAOnB,gBAAgB,AAAC,CACf,YAAY,CAAE,MAAM,CACrB,AAjBL,AAkBI,gBAlBY,CAQd,qBAAqB,CAUnB,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CACjB,AApBL,AAqBI,gBArBY,CAQd,qBAAqB,CAanB,WAAW,AAAC,CACV,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,IAAI,CAInB,AA3BL,AAwBM,gBAxBU,CAQd,qBAAqB,CAanB,WAAW,CAGT,CAAC,AAAC,CACA,KAAK,C7FxDD,OAAoD,C6FyDzD,AA1BP,AA4BI,gBA5BY,CAQd,qBAAqB,CAoBnB,MAAM,AAAC,CACL,SAAS,C7F3MD,OAAQ,C6F4MjB,AA9BL,AAiCE,gBAjCc,CAiCd,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CACnB,AArCH,AAuCE,gBAvCc,CAuCd,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAUhB,AAnDH,AA2CI,gBA3CY,CAuCd,mBAAmB,CAIjB,MAAM,AAAC,CACL,WAAW,CAAE,MAAM,CACpB,AA7CL,AA+CI,gBA/CY,CAuCd,mBAAmB,CAQjB,kBAAkB,CA/CtB,gBAAgB,CAuCd,mBAAmB,CASjB,2BAA2B,AAAC,CAC1B,YAAY,CAAE,KAAK,CACpB,AAKL,AAAA,qBAAqB,AAAC,CACpB,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,kBAAkB,AAAC,CACjB,SAAS,CAAE,GAAG,CACd,KAAK,C7F5FK,OAAoD,C6FwJ/D,AA9DD,AAKI,kBALc,CAIhB,YAAY,CACV,KAAK,AAAC,CACJ,WAAW,CAAE,KAAK,CACnB,AAPL,AASE,kBATgB,CAShB,KAAK,CATP,kBAAkB,CAUhB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAbH,AAeE,kBAfgB,CAehB,qBAAqB,AAAC,CACpB,WAAW,CAAE,KAAK,CACnB,AAjBH,AAmBE,kBAnBgB,CAmBhB,OAAO,AAAC,CACN,SAAS,C7F7PC,OAAQ,C6F8PlB,KAAK,C7F/GG,OAAoD,C6FgH7D,AAtBH,AAwBE,kBAxBgB,CAwBhB,mBAAmB,AAAC,CAClB,WAAW,C7FrPM,GAAG,C6FsPpB,cAAc,CAAE,QAAQ,CACzB,AA3BH,AA6BE,kBA7BgB,CA6BhB,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CA+BlB,AA7DH,AA+BI,kBA/Bc,CA6BhB,KAAK,CAEH,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,QAAQ,CAMzB,AAvCL,AAkCM,kBAlCY,CA6BhB,KAAK,CAEH,EAAE,AAGC,KAAK,CAAC,CAAC,CAlCd,kBAAkB,CA6BhB,KAAK,CAEH,EAAE,AAIC,YAAY,CAAC,CAAC,AAAC,CACd,SAAS,CAAE,KAAK,CnFpQtB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmFoQlB,AAtCP,AAyCI,kBAzCc,CA6BhB,KAAK,CAYH,EAAE,AAAA,aAAa,AAAC,CACd,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACpB,AA5CL,AA6CI,kBA7Cc,CA6BhB,KAAK,CAgBD,EAAE,CAAG,EAAE,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AA/CL,AAkDM,kBAlDY,CA6BhB,KAAK,CAmBD,EAAE,CAAG,EAAE,AAEN,IAAK,CAAA,MAAM,EAlDlB,kBAAkB,CA6BhB,KAAK,CAoBD,EAAE,CAAG,EAAE,AACN,IAAK,CAAA,MAAM,CAAE,CACZ,OAAO,CAAE,iBAAiB,CAC3B,AnF7TL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFyQrC,AAgDI,kBAhDc,CA6BhB,KAAK,CAmBD,EAAE,CAAG,EAAE,CAhDb,kBAAkB,CA6BhB,KAAK,CAoBD,EAAE,CAAG,EAAE,AAAC,CnFjRZ,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmFqRjB,aAAa,CAAE,KAAK,CAEvB,CAzDL,AA0DI,kBA1Dc,CA6BhB,KAAK,CA6BH,wBAAwB,AAAC,CACvB,aAAa,CAAE,GAAG,CACnB,AAIL,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,OAAO,CACf,SAAS,C7FlVQ,KAAK,C6FmVtB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,OAAO,CAehB,AAhBD,AAGE,wBAHsB,CAGtB,6BAA6B,AAAC,CAC5B,SAAS,C7F1VM,KAAK,C6F2VpB,aAAa,CAAE,KAAK,CAMrB,AAXH,AAOI,wBAPoB,CAGtB,6BAA6B,CAI3B,SAAS,AAAC,CACR,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,MAAM,CACrB,AAVL,AAaE,wBAbsB,CAatB,SAAS,AAAC,CACR,UAAU,CAAE,MAAM,CACnB,AAGH,AACE,gBADc,CACd,eAAe,AAAC,CACd,KAAK,C7FpLG,OAAoD,C6FqL5D,SAAS,C7FnUC,OAAQ,C6FoUnB,AAJH,AAKE,gBALc,CAKd,WAAW,AAAC,CACV,gBAAgB,CAAE,MAAM,CACzB,AAPH,AAQE,gBARc,CAQd,WAAW,AAAC,CACV,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,MAAM,CAKpB,AnFhXD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFiWrC,AAQE,gBARc,CAQd,WAAW,AAAC,CAIR,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAErB,CAfH,AAiBE,gBAjBc,CAiBd,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAnBH,AAqBE,gBArBc,CAqBd,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,UAAU,CAIvB,AnF9XD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFiWrC,AAqBE,gBArBc,CAqBd,sBAAsB,AAAC,CAMnB,OAAO,CAAE,IAAI,CAEhB,CA7BH,AA8BE,gBA9Bc,CA8Bd,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,SAAS,C7FzYM,KAAK,C6F0YpB,KAAK,C7F1YU,KAAK,C6F2YpB,WAAW,CAAE,MAAM,CAWpB,AA9CH,AAqCI,gBArCY,CA8Bd,uBAAuB,CAOrB,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,C7F1NC,OAAoD,C6F2N1D,SAAS,CAAE,KAAK,CAIjB,AA7CL,AA0CM,gBA1CU,CA8Bd,uBAAuB,CAOrB,oBAAoB,CAKlB,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACpB,AA5CP,AAgDE,gBAhDc,CAgDd,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,CAAC,CACb,AAnDH,AAqDE,gBArDc,CAqDd,UAAU,AAAC,CACT,SAAS,C7F9ZM,KAAK,C6F+ZpB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,IAAI,CAWjB,AApEH,AA2DI,gBA3DY,CAqDd,UAAU,CAMR,CAAC,CA3DL,gBAAgB,CAqDd,UAAU,CAOR,KAAK,AAAC,CACJ,MAAM,CAAE,SAAS,CAClB,AA9DL,AAgEI,gBAhEY,CAqDd,UAAU,CAWR,GAAG,CAhEP,gBAAgB,CAqDd,UAAU,CAYR,IAAI,AAAC,CACH,UAAU,CAAE,SAAS,CACtB,AAnEL,AAsEE,gBAtEc,CAsEd,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,C7F1PG,OAAoD,C6F2P5D,aAAa,CAAE,MAAM,CAatB,AAtFH,AA0EI,gBA1EY,CAsEd,WAAW,CAIT,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,KAAK,C5FhcD,IAAO,C4FicX,OAAO,CAAE,KAAK,CACd,SAAS,C7FlZH,QAAQ,C6FmZd,YAAY,CAAE,MAAM,CACrB,AAhFL,AAkFM,gBAlFU,CAsEd,WAAW,CAWT,eAAe,AACZ,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAKP,AAAA,gBAAgB,AAAC,CASf,KAAK,CAAE,IAAI,CAiBZ,AA1BD,AACE,gBADc,CACd,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CAIb,aAAa,CAAE,KAAK,CACrB,AAPH,AAGI,gBAHY,CACd,oBAAoB,CAElB,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AALL,AAUE,gBAVc,CAUd,eAAe,AAAC,CAcd,aAAa,CAAE,KAAK,CACrB,AAzBH,AAWI,gBAXY,CAUd,eAAe,CACb,iBAAiB,AAAC,CAChB,MAAM,CAAE,CAAC,CACV,AAbL,AAeI,gBAfY,CAUd,eAAe,CAKb,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,CAAC,CACjB,AAlBL,AAoBI,gBApBY,CAUd,eAAe,CAUb,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAKL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EAClC,AAAA,KAAK,AAAA,kBAAkB,AAAC,CACtB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CAMf,AARD,AAGE,KAHG,AAAA,kBAAkB,CAGrB,KAAK,AAAC,CACJ,KAAK,CAAE,gBAAgB,CACvB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,EAAE,AAAA,iBAAiB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,aAAa,CACrC,AACD,AAAA,EAAE,AAAA,wBAAwB,AAAC,CACzB,OAAO,CAAE,IAAI,CACd,CnFteD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFgenC,AAAA,EAAE,AAAA,iBAAiB,AAUC,CAClB,qBAAqB,CAAE,cAAc,CACtC,CC/fH,AAAA,sBAAsB,AAAC,CACrB,gBAAgB,C9FiMN,OAAoD,C8FhM9D,OAAO,CAAE,GAAG,CAMZ,KAAK,CAAE,IAAI,CACZ,AATD,AAIE,sBAJoB,CAIpB,cAAc,AAAC,CACb,UAAU,CAAE,GAAG,CAChB,ACNH,AAAA,mBAAmB,AAAC,CAClB,SAAS,CAAE,KAAK,CAmCjB,AApCD,AAGE,mBAHiB,CAGjB,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CAChB,AALH,AAME,mBANiB,CAMjB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AARH,AASE,mBATiB,CASjB,KAAK,CAAC,EAAE,AAAC,CACP,OAAO,CAAE,KAAK,CACf,AAXH,AAYE,mBAZiB,CAYjB,EAAE,AAAA,IAAI,AAAC,CACL,UAAU,CAAE,KAAK,CAClB,AAdH,AAeE,mBAfiB,CAejB,EAAE,AAAA,IAAI,AAAA,MAAM,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAjBH,AAmBI,mBAnBe,CAkBjB,EAAE,AAAA,MAAM,CACN,EAAE,AAAC,CACD,gBAAgB,C/F8KV,OAAoD,C+F7K1D,WAAW,CAAE,IAAI,CAClB,AAtBL,AAyBE,mBAzBiB,CAyBjB,GAAG,AAAC,CACF,WAAW,CAAE,IAAI,CAClB,AA3BH,AA6BE,mBA7BiB,CA6BjB,iBAAiB,AAAC,CAChB,KAAK,C/FoKG,OAAoD,C+FnK7D,AA/BH,AAiCE,mBAjCiB,CAiCjB,GAAG,AAAA,aAAa,AAAC,CACf,OAAO,CAAE,IAAI,CACd,ACjCH,AACE,sBADoB,CACpB,KAAK,AAAC,CACJ,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,GAAG,CAClB,AAJH,AAME,sBANoB,CAMpB,YAAY,AAAC,CACX,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,YAAY,CACrB,AATH,AAWE,sBAXoB,CAWpB,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAMpB,AAnBH,AAcI,sBAdkB,CAWpB,oBAAoB,CAGlB,KAAK,CAdT,sBAAsB,CAWpB,oBAAoB,CAIlB,OAAO,AAAC,CACN,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,OAAO,CACvB,AAlBL,AAqBE,sBArBoB,CAqBpB,iBAAiB,AAAC,CAChB,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CAoBhB,AA3CH,AAyBI,sBAzBkB,CAqBpB,iBAAiB,CAIf,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,gBAAgB,CACxB,MAAM,CAAE,GAAG,CAAC,KAAK,ChGoKX,OAAoD,CgGnK1D,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,KAAK,CASb,AA1CL,AAkCM,sBAlCgB,CAqBpB,iBAAiB,CAIf,YAAY,CASV,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACd,AApCP,AAqCM,sBArCgB,CAqBpB,iBAAiB,CAIf,YAAY,AAYT,WAAW,CAAC,GAAG,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,GAAG,CACf,ACzCP,AACE,MADI,AAAA,cAAc,CAClB,iBAAiB,AAAC,CAChB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,MAAM,CACnB,AALH,AAOE,MAPI,AAAA,cAAc,CAOlB,SAAS,AAAC,CACR,QAAQ,CAAE,IAAI,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,CjGuLhB,OAAoD,CiGtL7D,AAVH,AAYE,MAZI,AAAA,cAAc,CAYlB,KAAK,AAAA,SAAS,CAAG,KAAK,CAAG,EAAE,CAAG,EAAE,CAZlC,MAAM,AAAA,cAAc,CAalB,iBAAiB,AAAC,CAChB,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CAKZ,AApBH,AAiBI,MAjBE,AAAA,cAAc,CAYlB,KAAK,AAAA,SAAS,CAAG,KAAK,CAAG,EAAE,CAAG,EAAE,AAK7B,YAAa,C9EkDI,CAAC,E8EnEvB,MAAM,AAAA,cAAc,CAalB,iBAAiB,AAId,YAAa,C9EkDI,CAAC,C8ElDF,CACf,WAAW,CAAE,EAAE,CAChB,AAnBL,AAsBE,MAtBI,AAAA,cAAc,CAsBlB,iBAAiB,AAAC,CAChB,OAAO,CAAE,GAAG,CACb,AAxBH,AA0BE,MA1BI,AAAA,cAAc,CA0BlB,UAAU,CAAC,IAAI,AAAA,cAAc,AAAC,CAC5B,UAAU,CAAE,IAAI,CACjB,AA5BH,AA+BI,MA/BE,AAAA,cAAc,CA6BlB,GAAG,CAED,IAAI,CA/BR,MAAM,AAAA,cAAc,CA6BlB,GAAG,CAGD,GAAG,CAhCP,MAAM,AAAA,cAAc,CA8BlB,SAAS,CACP,IAAI,CA/BR,MAAM,AAAA,cAAc,CA8BlB,SAAS,CAEP,GAAG,AAAC,CACF,MAAM,CAAE,GAAG,CAAC,KAAK,ChG3Bb,IAAO,CgG4BZ,AAlCL,AAmCI,MAnCE,AAAA,cAAc,CA6BlB,GAAG,CAMD,GAAG,CAnCP,MAAM,AAAA,cAAc,CA8BlB,SAAS,CAKP,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,iBAAiB,CAC1B,AAtCL,AAuCI,MAvCE,AAAA,cAAc,CA6BlB,GAAG,CAUD,CAAC,CAvCL,MAAM,AAAA,cAAc,CA8BlB,SAAS,CASP,CAAC,AAAC,CACA,KAAK,ChGlCD,IAAO,CgGmCX,eAAe,CAAE,IAAI,CACtB,AA1CL,AA4CE,MA5CI,AAAA,cAAc,CA4ClB,GAAG,AAAA,SAAS,CA5Cd,MAAM,AAAA,cAAc,CA6ClB,IAAI,AAAA,SAAS,AAAC,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,ChGxCX,IAAO,CgGyCd,AA/CH,AAgDE,MAhDI,AAAA,cAAc,CAgDlB,GAAG,AAAA,SAAS,AAAC,CACX,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,iBAAiB,CAC1B,AAnDH,AAoDE,MApDI,AAAA,cAAc,CAoDlB,SAAS,AAAC,CACR,KAAK,ChGvDC,IAAO,CgGwDb,UAAU,CjG0IF,OAAoD,CiGzI7D,AAvDH,AAwDE,MAxDI,AAAA,cAAc,CAwDlB,GAAG,AAAC,CACF,KAAK,ChG3DC,IAAO,CgG4Db,UAAU,CjGsIF,OAAoD,CiGrI5D,eAAe,CAAE,IAAI,CACtB,AA5DH,AA+DI,MA/DE,AAAA,cAAc,CA6DlB,GAAG,CAED,IAAI,CA/DR,MAAM,AAAA,cAAc,CA6DlB,GAAG,CAGD,GAAG,CAhEP,MAAM,AAAA,cAAc,CA8DlB,SAAS,CACP,IAAI,CA/DR,MAAM,AAAA,cAAc,CA8DlB,SAAS,CAEP,GAAG,AAAC,CACF,MAAM,CAAE,GAAG,CAAC,KAAK,ChG5Dd,OAAO,CgG6DX,AAlEL,AAmEI,MAnEE,AAAA,cAAc,CA6DlB,GAAG,CAMD,GAAG,CAnEP,MAAM,AAAA,cAAc,CA8DlB,SAAS,CAKP,GAAG,AAAC,CACF,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAtEL,AAuEI,MAvEE,AAAA,cAAc,CA6DlB,GAAG,CAUD,CAAC,CAvEL,MAAM,AAAA,cAAc,CA8DlB,SAAS,CASP,CAAC,AAAC,CACA,KAAK,ChGnEF,OAAO,CgGoEV,eAAe,CAAE,IAAI,CACtB,AA1EL,AA4EE,MA5EI,AAAA,cAAc,CA4ElB,GAAG,AAAA,SAAS,CA5Ed,MAAM,AAAA,cAAc,CA6ElB,IAAI,AAAA,SAAS,AAAC,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,ChGzEZ,OAAO,CgG0Eb,AA/EH,AAgFE,MAhFI,AAAA,cAAc,CAgFlB,GAAG,AAAA,SAAS,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAnFH,AAoFE,MApFI,AAAA,cAAc,CAoFlB,SAAS,AAAC,CACR,KAAK,ChGvFC,IAAO,CgGwFb,UAAU,CjG0GF,OAAoD,CiGzG5D,eAAe,CAAE,IAAI,CACtB,AAxFH,AAyFE,MAzFI,AAAA,cAAc,CAyFlB,GAAG,AAAC,CACF,KAAK,ChG5FC,IAAO,CgG6Fb,UAAU,CjGqGF,OAAoD,CiGpG5D,eAAe,CAAE,IAAI,CACtB,AA7FH,AA8FE,MA9FI,AAAA,cAAc,CA8FlB,IAAI,AAAA,KAAK,AAAC,CACR,WAAW,CAAE,IAAI,CAClB,AAhGH,AAiGE,MAjGI,AAAA,cAAc,CAiGlB,IAAI,AAAA,YAAY,AAAC,CACf,gBAAgB,CjG8FR,OAAoD,CiG7F5D,OAAO,CAAE,eAAe,CACzB,AApGH,AAqGE,MArGI,AAAA,cAAc,CAqGlB,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAvGH,AAwGE,MAxGI,AAAA,cAAc,CAwGlB,uBAAuB,AAAC,CACtB,OAAO,CAAE,GAAG,CACb,AA1GH,AA4GI,MA5GE,AAAA,cAAc,CA2GlB,yBAAyB,CAAC,IAAI,CAC5B,GAAG,AAAA,YAAa,CAAA,CAAC,EA5GrB,MAAM,AAAA,cAAc,CA2GlB,yBAAyB,CAAC,IAAI,CAE5B,EAAE,AAAA,YAAa,CADC,CAAC,CACC,CAChB,OAAO,CAAE,GAAG,CACb,AA/GL,AAkHI,MAlHE,AAAA,cAAc,CAiHlB,wBAAwB,CAAC,IAAI,CAC3B,GAAG,AAAA,YAAa,C9E/CE,CAAC,E8EnEvB,MAAM,AAAA,cAAc,CAiHlB,wBAAwB,CAAC,IAAI,CAE3B,EAAE,AAAA,YAAa,C9EhDG,CAAC,C8EgDD,CAChB,OAAO,CAAE,GAAG,CACb,ACpHL,kBAAkB,CAAlB,aAAkB,CAChB,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,UAAU,CAAV,aAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,AAAA,UAAU,AAAC,CACT,gBAAgB,CjGrBN,IAAO,CiGsBjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClGwDM,IAAI,CkGvDjB,YAAY,ClGyKF,OAAoD,CkGxK9D,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,KAAK,CAChB,iBAAiB,CAAE,kBAAkB,CACrC,SAAS,CAAE,kBAAkB,CAC7B,eAAe,CAAE,WAAW,CAC5B,OAAO,CAAE,KAAK,CACd,UAAU,ClGuGE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CkGtG1C,aAAa,CAAE,GAAG,CA+EnB,AA5FD,AAeE,UAfQ,AAeP,SAAS,AAAC,CACT,UAAU,CAAE,GAAG,CAShB,AAzBH,AAkBI,UAlBM,AAeP,SAAS,CAGR,oBAAoB,AAAC,CACnB,OAAO,CAAE,KAAK,CACf,AApBL,AAsBI,UAtBM,AAeP,SAAS,CAOR,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAxBL,AA2BE,UA3BQ,AA2BP,SAAS,AAAC,CACT,UAAU,CAAE,GAAG,CAShB,AArCH,AA8BI,UA9BM,AA2BP,SAAS,CAGR,uBAAuB,AAAC,CACtB,OAAO,CAAE,KAAK,CACf,AAhCL,AAkCI,UAlCM,AA2BP,SAAS,CAOR,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACd,AApCL,AAuCE,UAvCQ,AAuCP,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACpB,AAzCH,AA2CE,UA3CQ,CA2CR,kBAAkB,AAAC,CACjB,OAAO,CAAE,KAAK,CACd,SAAS,ClGfC,OAAQ,CkGgBlB,aAAa,CAAE,UAAU,CACzB,iBAAiB,CAAE,kBAAkB,CACrC,SAAS,CAAE,kBAAkB,CAC9B,AAjDH,AAmDE,UAnDQ,CAmDR,gBAAgB,AAAC,CACf,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,WAAW,CAClB,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,wBAAwB,CAClC,AAzDH,AA2DE,UA3DQ,CA2DR,oBAAoB,AAAC,CACnB,YAAY,CAAE,WAAW,CAAC,WAAW,ClGiH7B,OAAoD,CkGhH5D,GAAG,CAAE,GAAG,CACR,SAAS,CAAE,mBAAmB,CAC9B,YAAY,CAAE,SAAS,CAWxB,AA1EH,AAiEI,UAjEM,CA2DR,oBAAoB,AAMjB,MAAM,AAAC,CACN,YAAY,CAAE,WAAW,CAAC,WAAW,CjGtF/B,IAAO,CiGuFb,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,SAAS,CACvB,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,IAAI,CACjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,EAAE,CACZ,AAzEL,AA4EE,UA5EQ,CA4ER,uBAAuB,AAAC,CACtB,YAAY,ClGgGJ,OAAoD,CkGhG5B,WAAW,CAAC,WAAW,CACvD,GAAG,CAAE,iBAAiB,CACtB,SAAS,CAAE,mBAAmB,CAC9B,YAAY,CAAE,SAAS,CAWxB,AA3FH,AAkFI,UAlFM,CA4ER,uBAAuB,AAMpB,MAAM,AAAC,CACN,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,EAAE,CACX,YAAY,CjGzGN,IAAO,CiGyGuB,WAAW,CAAC,WAAW,CAC3D,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,SAAS,CACvB,MAAM,CAAE,GAAG,CACX,SAAS,CAAE,kBAAkB,CAC9B,AC/GL,AAAA,GAAG,AAAA,UAAU,AAAC,CACZ,MAAM,CAAE,cAAc,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,SAAS,CAClB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,GAAG,AAAA,UAAU,CAAC,IAAI,AAAA,IAAI,AAAC,CACrB,MAAM,CAAE,iBAAiB,CACzB,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,OAAO,CACd,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,SAAS,CACtB,SAAS,CnG6BG,OAAQ,CmG5BrB,AAED,AAAA,GAAG,AAAA,UAAU,CAAC,IAAI,AAAA,IAAI,CAAC,CAAC,AAAC,CACvB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,OAAO,CACd,eAAe,CAAE,IAAI,CACrB,SAAS,CnGuBG,OAAQ,CmGtBrB,AACD,AAAA,GAAG,AAAA,UAAU,CAAC,KAAK,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,SAAS,CACtB,SAAS,CnGiBG,OAAQ,CmGhBpB,MAAM,CAAE,qBAAqB,CAC7B,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,WAAW,CACvB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,WAAW,CACpB,AACD,AAAA,GAAG,AAAA,UAAU,CAAC,GAAG,AAAC,CAChB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AACD,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,kBAAkB,CAC9B,KAAK,CAAE,kBAAkB,CAC1B,ACtDD,AAAA,OAAO,AAAA,iBAAiB,CACxB,OAAO,AAAA,eAAe,CACtB,OAAO,AAAA,wBAAwB,CAC/B,OAAO,AAAA,6BAA6B,AAAC,CACnC,KAAK,CpG8LK,OAAoD,CoG7L/D,AAED,AAAA,OAAO,AAAA,kBAAkB,CACzB,OAAO,AAAA,kBAAkB,AAAC,CACxB,KAAK,CnGPI,IAAO,CmGQjB,ACVD,AAAA,UAAU,AAAC,CACT,aAAa,CAAE,KAAK,CA4DrB,AA7DD,AAGE,UAHQ,CAGR,UAAU,AAAC,CACT,aAAa,CAAE,CAAC,CACjB,AALH,AAOE,UAPQ,CAOR,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACZ,AATH,AAUE,UAVQ,CAUR,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACb,AAZH,AAaE,UAbQ,CAaR,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AAfH,AAiBE,UAjBQ,CAiBR,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CA+BnB,AAlDH,AAqBI,UArBM,CAiBR,KAAK,CAIH,EAAE,CArBN,UAAU,CAiBR,KAAK,CAKH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CrGyKlB,OAAoD,CqGzJ3D,AAfC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA1BzC,AAqBI,UArBM,CAiBR,KAAK,CAIH,EAAE,CArBN,UAAU,CAiBR,KAAK,CAKH,EAAE,AAAC,CAKC,OAAO,CAAE,YAAY,CAcxB,CAzCL,AA8BM,UA9BI,CAiBR,KAAK,CAIH,EAAE,CASA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAIH,EAAE,CAUA,UAAU,CA/BhB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAQA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAKH,EAAE,CASA,UAAU,AAAC,CACT,SAAS,CrGeL,QAAQ,CqGdZ,KAAK,CrGiKD,OAAoD,CqG7JzD,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAlC3C,AA8BM,UA9BI,CAiBR,KAAK,CAIH,EAAE,CASA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAIH,EAAE,CAUA,UAAU,CA/BhB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAQA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAKH,EAAE,CASA,UAAU,AAAC,CAIP,SAAS,CrGcP,QAAQ,CqGZb,CArCP,AAsCM,UAtCI,CAiBR,KAAK,CAIH,EAAE,CAiBA,UAAU,CAtChB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAgBA,UAAU,AAAC,CACT,WAAW,CAAE,MAAM,CACpB,AAxCP,AA2CI,UA3CM,CAiBR,KAAK,CA0BH,EAAE,AAAA,SAAS,AAAC,CACV,KAAK,CAAE,GAAG,CAKX,AAjDL,AA6CM,UA7CI,CAiBR,KAAK,CA0BH,EAAE,AAAA,SAAS,CAET,aAAa,AAAC,CACZ,KAAK,CpGrCN,OAAO,CoGsCN,MAAM,CAAE,YAAY,CACrB,AAhDP,AAmDE,UAnDQ,CAmDR,GAAG,AAAC,CACF,gBAAgB,CrG8IR,OAAoD,CqGtI7D,AA5DH,AAqDI,UArDM,CAmDR,GAAG,CAED,SAAS,CAAC,CAAC,CArDf,UAAU,CAmDR,GAAG,CAGD,KAAK,CAtDT,UAAU,CAmDR,GAAG,CAID,MAAM,CAvDV,UAAU,CAmDR,GAAG,CAKD,OAAO,CAxDX,UAAU,CAmDR,GAAG,CAMD,UAAU,AAAC,CACT,KAAK,CrGwIC,OAAoD,CqGvI3D,AC3DL,AAAA,MAAM,AAAC,CACL,OAAO,CAAE,iBAAiB,CAC1B,gBAAgB,CtGgMN,OAAoD,CsG/L9D,KAAK,CrGHG,IAAO,CqGIf,QAAQ,CAAE,QAAQ,CA2BnB,AA/BD,AAME,MANI,CAMJ,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,GAAG,CACV,SAAS,CtGqCD,QAAQ,CsGjCjB,AAdH,AAWI,MAXE,CAMJ,MAAM,CAKJ,OAAO,AAAC,CACN,KAAK,CtGsLC,OAAoD,CsGrL3D,AAbL,AAgBE,MAhBI,AAgBH,cAAc,AAAC,CACd,gBAAgB,CtGiLR,OAAoD,CsGhL5D,KAAK,CrGlBC,IAAO,CqGmBd,AAnBH,AAoBE,MApBI,AAoBH,YAAY,AAAC,CACZ,gBAAgB,CtG6KR,OAAoD,CsG5K5D,KAAK,CrGtBC,IAAO,CqGuBd,AAvBH,AAwBE,MAxBI,AAwBH,WAAW,AAAC,CACX,gBAAgB,CtGyKR,OAAoD,CsGxK5D,KAAK,CrG1BC,IAAO,CqG8Bd,AA9BH,AA2BI,MA3BE,AAwBH,WAAW,AAGT,UAAU,AAAC,CACV,KAAK,CrG1BA,IAAO,CqG2Bb,ACzBL,AAAA,wBAAwB,AAAC,CACvB,UAAU,CvG6LA,OAAoD,CuG5L9D,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CAUZ,AAbD,AAKE,sBALoB,CAKpB,KAAK,CAAG,qBAAqB,AAAC,CAC5B,WAAW,CAAE,IAAI,CAClB,AAPH,AASE,sBAToB,CASpB,sBAAsB,AAAC,CACrB,MAAM,CAAE,SAAS,CACjB,cAAc,CAAE,MAAM,CACvB,AAGH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CAwCZ,AAzCD,AAGE,WAHS,CAGT,gBAAgB,AAAC,CACf,SAAS,CvGaD,QAAQ,CuGZhB,WAAW,CAAE,IAAI,CACjB,KAAK,CtGpCC,IAAO,CsGqCd,AAPH,AASE,WATS,CAST,qBAAqB,AAAC,CACpB,SAAS,CvGQD,QAAQ,CuGPhB,KAAK,CvGyJG,OAAoD,CuGxJ7D,AAZH,AAcE,WAdS,CAcT,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACvB,AAjBH,AAsBE,WAtBS,CAsBT,mBAAmB,AAAC,CAClB,KAAK,CAJA,IAAI,CAKV,AAxBH,AA0BE,WA1BS,CA0BT,aAAa,AAAC,CACZ,eAAe,CARV,IAAI,CAST,MAAM,CATD,IAAI,CAUT,KAAK,CAVA,IAAI,CAWT,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAM7B,AAxCH,AAoCI,WApCO,CA0BT,aAAa,CAUX,OAAO,AAAC,CACN,MAAM,CAjBE,UAAW,CAkBnB,KAAK,CAlBG,UAAW,CAmBpB,AAIL,AAAA,yBAAyB,AAAC,CACxB,YAAY,CAAE,IAAI,CAKnB,AAND,AAGE,yBAHuB,AAGtB,MAAM,AAAC,CACN,gBAAgB,CtGtEX,OAAO,CsGuEb,AAGH,AAAA,KAAK,AAAA,kBAAkB,AAAC,CACtB,KAAK,CAAE,IAAI,CAaZ,AAdD,AAGE,KAHG,AAAA,kBAAkB,CAGrB,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACf,AALH,AAOE,KAPG,AAAA,kBAAkB,CAOrB,iCAAiC,AAAC,CAChC,MAAM,CAAE,OAAO,CAKhB,AAbH,AAUI,KAVC,AAAA,kBAAkB,CAOrB,iCAAiC,CAG/B,OAAO,AAAC,CACN,KAAK,CvGsGC,OAAoD,CuGrG3D,AAIL,AAAA,KAAK,AAAA,cAAc,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CAqCpB,AAvCD,AAIE,KAJG,AAAA,cAAc,CAIjB,EAAE,AAAA,YAAY,AAAC,CACb,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,IAAI,CACjB,AAPH,AASE,KATG,AAAA,cAAc,CASjB,EAAE,AAAA,WAAW,AAAC,CACZ,KAAK,CAAE,EAAE,CACV,AAXH,AAaE,KAbG,AAAA,cAAc,CAajB,EAAE,AAAA,sBAAsB,AAAC,CACvB,KAAK,CAAE,EAAE,CACV,AAfH,AAiBE,KAjBG,AAAA,cAAc,CAiBjB,EAAE,AAAC,CACD,UAAU,CAAE,MAAM,CACnB,AAnBH,AAsBI,KAtBC,AAAA,cAAc,CAqBjB,EAAE,CACA,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CAIf,AA3BL,AAwBM,KAxBD,AAAA,cAAc,CAqBjB,EAAE,CACA,UAAU,CAER,aAAa,AAAC,CACZ,KAAK,CtG1HH,IAAO,CsG2HV,AA1BP,AA6BI,KA7BC,AAAA,cAAc,CAqBjB,EAAE,CAQA,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,IAAI,CACjB,AA/BL,AAiCI,KAjCC,AAAA,cAAc,CAqBjB,EAAE,CAYA,EAAE,AAAC,CACD,UAAU,CAAE,MAAM,CAClB,KAAK,CvG8DC,OAAoD,CuG7D1D,OAAO,CAAE,OAAO,CACjB,AAIL,AAAA,kBAAkB,AAAC,CACjB,KAAK,CtG3IG,IAAO,CsG4IhB,AAED,AACE,cADY,CACZ,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACtB,AAHH,AAKE,cALY,CAKZ,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CAKZ,AAZH,AASI,cATU,CAKZ,qBAAqB,CAInB,eAAe,AAAC,CACd,gBAAgB,CAAE,OAAO,CAC1B,AAIL,AAAA,gBAAgB,AAAC,CACf,YAAY,CAAE,IAAI,CACnB,AAED,AAEI,kBAFc,CAChB,6BAA6B,CAC3B,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,cAAc,CAAE,MAAM,CACvB,AALL,AAOI,kBAPc,CAChB,6BAA6B,CAM3B,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACrB,cAAc,CAAE,MAAM,CACvB,AC1KL,AAAA,GAAG,AAAA,MAAM,AAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,KAAK,CAAC,GAAG,AAAA,MAAM,CACf,GAAG,CAAC,GAAG,AAAA,MAAM,CACb,GAAG,CAAC,GAAG,AAAA,MAAM,AAAC,CACZ,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACb,AAED,AAAA,aAAa,AAAC,CACZ,eAAe,CAAE,WAAW,CAC5B,OAAO,CxGoEM,IAAI,CwGnEjB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,KAAK,CACb,KAAK,CvGpBG,IAAO,CuGqBf,gBAAgB,CvGpBN,IAAO,CuGqBjB,MAAM,CAAE,GAAG,CAAC,KAAK,CxG4KP,OAAoD,CwG3K/D,AAED,AAAA,aAAa,CAAC,kBAAkB,AAAC,CAC/B,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,YAAY,CAAE,GAAG,CAAC,KAAK,CxGmKb,OAAoD,CwGlK9D,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,aAAa,CAAC,cAAc,AAAC,CAC3B,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,QAAQ,CAChB,cAAc,CAAE,eAAe,CAC/B,MAAM,CAAE,eAAe,CAMxB,AAVD,AAME,aANW,CAAC,cAAc,CAM1B,MAAM,AAAA,MAAM,AAAC,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,aAAa,CAAC,cAAc,AAAA,QAAQ,CACpC,aAAa,CAAC,cAAc,AAAA,MAAM,AAAC,CACjC,cAAc,CAAE,aAAa,CAC7B,MAAM,CAAE,aAAa,CACtB,AAED,AAAA,aAAa,CAAC,YAAY,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,EAAE,CACT,AAED,AAAA,aAAa,CAAC,KAAK,AAAC,CAClB,UAAU,CAAE,MAAM,CAClB,0BAA0B,CAAE,KAAK,CACjC,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,aAAa,CAAC,eAAe,AAAC,CAC5B,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,GAAG,CACnB,eAAe,CAAE,aAAa,CAC9B,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,aAAa,CAAC,eAAe,CAAC,MAAM,AAAC,CACnC,KAAK,CvG/EG,IAAO,CuGgFhB,AAED,AAAA,aAAa,CAAC,eAAe,CAAC,aAAa,CAAC,GAAG,AAAC,CAC9C,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CxG6GK,IAAoD,CwGxG/D,AARD,AAKE,aALW,CAAC,eAAe,CAAC,aAAa,CAAC,GAAG,AAK5C,MAAM,AAAC,CACN,KAAK,CvGxFC,IAAO,CuGyFd,AAGH,AAAA,aAAa,CAAC,cAAc,AAAC,CAC3B,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,OAAO,CAAE,GAAG,CACb,AAED,AAAA,aAAa,CAAC,OAAO,AAAC,CACpB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,UAAU,CAAE,GAAG,CAAC,KAAK,CxG0FX,OAAoD,CwGzF/D,AAED,AAAA,aAAa,CAAC,KAAK,AAAC,C9F/ClB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C8F+CvB,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,GAAG,CAChB,SAAS,CAAE,KAAK,CACjB,AAED,AAAA,aAAa,CAAC,iBAAiB,AAAC,CAC9B,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,QAAQ,CACzB,OAAO,CAAE,GAAG,CACb,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAC,CAC/C,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CAChB,MAAM,CAAE,CAAC,CACT,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,MAAM,CAAE,OAAO,CAChB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,QAAQ,AAAC,CACvD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,MAAM,AAAC,CACrD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,aAAa,AAAC,CAC5D,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,OAAO,AAAC,CACtD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,YAAY,AAAC,CAC3D,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,KAAK,AAAC,CACpD,UAAU,CAAE,OAAO,CACpB,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,SAAS,CAAC,OAAO,AAAC,CAChE,OAAO,CAAE,KAAK,CACf,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,OAAO,AAAC,CACtC,OAAO,CAAE,IAAI,CACd,AAFD,AAAA,aAAa,CAAC,iBAAiB,CAAC,OAAO,AAIC,CACtC,KAAK,CAAE,IAAI,CACX,SAAS,CxG9GF,GAAG,CwG+GV,MAAM,CAAE,0CAA6C,CACtD,AAED,AAAA,aAAa,CAAC,MAAM,AAAA,MAAM,AAAC,CACzB,UAAU,CAAE,WAAW,CACvB,mBAAmB,CAAE,MAAM,CAC3B,iBAAiB,CAAE,SAAS,CAC5B,aAAa,CAAE,CAAC,CAChB,eAAe,CAAE,SAAS,CAC1B,eAAe,CAAE,WAAW,CAC5B,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CACZ,AAED,AAAA,aAAa,CAAC,cAAc,CAAC,MAAM,AAAA,MAAM,AAAA,MAAM,CAC/C,aAAa,CAAC,QAAQ,CAAC,MAAM,AAAA,MAAM,AAAA,MAAM,AAAC,CACxC,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAClB,gBAAgB,CAAE,IAAuB,CAC1C,AAED,AAAA,mBAAmB,AAAA,OAAO,AAAC,CACzB,OAAO,CxG1GM,IAAI,CwG2GjB,QAAQ,CAAE,KAAK,CACf,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,GAAG,CACZ,gBAAgB,CAAE,KAAK,CACxB,AAED,AAAA,aAAa,CAAC,OAAO,AAAC,CACpB,gBAAgB,CAAE,IAAI,CACtB,aAAa,CAAE,GAAG,CAAC,KAAK,CxGRd,OAAoD,CwGS9D,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,WAAW,CAAE,MAAM,CAKpB,AAXD,AAQE,aARW,CAAC,OAAO,CAQnB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,eAAe,CACvB,AAGH,AAAA,aAAa,CAAC,OAAO,CAAC,cAAc,AAAC,CACnC,KAAK,CxGpBK,IAAoD,CwGqB9D,SAAS,CxGtKC,QAAQ,CwGuKlB,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,aAAa,CAAC,OAAO,CAAC,KAAK,AAAC,CAC1B,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,IAAI,CACb,KAAK,CvGpOG,IAAO,CuGqOf,UAAU,CvGpOA,IAAO,CuG0OlB,AAfD,AAWE,aAXW,CAAC,OAAO,CAAC,KAAK,AAWxB,MAAM,AAAC,CACN,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,aAAa,CAAC,OAAO,CAAC,KAAK,AAAA,WAAW,AAAC,CACrC,OAAO,CAAE,IAAI,CACd,AAED,AAAA,aAAa,CAAC,QAAQ,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,OAAO,CAAE,GAAG,CACZ,IAAI,CAAE,OAAO,CACd,AAED,AAAA,aAAa,CAAC,OAAO,CAAC,aAAa,AAAC,CAClC,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,KAAK,CxG9DK,IAAoD,CwG+D9D,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CAKd,AAbD,AAUE,aAVW,CAAC,OAAO,CAAC,aAAa,AAUhC,MAAM,AAAC,CACN,KAAK,CvGrQC,IAAO,CuGsQd,ACtQH,AAAA,WAAW,AAAA,cAAc,AAAC,CACxB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CzG+FC,CAAC,CyG1FV,AAPD,AAGE,UAHQ,AAGP,WAAW,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACT,AAGH,AAAA,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAgCnB,AAlCD,AAGE,cAHY,CAGZ,UAAU,CAAC,iBAAiB,AAAC,CAC3B,UAAU,CxGhBF,IAAO,CwGiBf,KAAK,CxGlBC,IAAO,CwGmBb,MAAM,CAAE,GAAG,CAAC,KAAK,CzG+KT,OAAoD,CyG9K5D,SAAS,CzG8BJ,GAAG,CyG7BR,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACb,AAVH,AAWE,cAXY,CAWZ,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CAkBnB,AA9BH,AAaI,cAbU,CAWZ,WAAW,CAET,sBAAsB,AAAC,CACrB,SAAS,CzGwBD,OAAQ,CyGvBhB,UAAU,CAAE,IAAI,CAKjB,AApBL,AAgBM,cAhBQ,CAWZ,WAAW,CAET,sBAAsB,CAGpB,MAAM,CAhBZ,cAAc,CAWZ,WAAW,CAET,sBAAsB,CAIpB,MAAM,AAAC,CACL,SAAS,CzGkBL,QAAQ,CyGjBb,AAnBP,AAqBI,cArBU,CAWZ,WAAW,AAUR,0BAA0B,CArB/B,cAAc,CAWZ,WAAW,AAWR,oBAAoB,CAtBzB,cAAc,CAWZ,WAAW,AAYR,8BAA8B,CAvBnC,cAAc,CAWZ,WAAW,AAaR,yBAAyB,AAAC,CACzB,KAAK,CAAE,KAAK,CAIb,AA7BL,AA0BM,cA1BQ,CAWZ,WAAW,AAUR,0BAA0B,CAKzB,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAWR,oBAAoB,CAInB,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAYR,8BAA8B,CAG7B,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAaR,yBAAyB,CAExB,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACtB,AA5BP,AA+BE,cA/BY,CA+BZ,iBAAiB,AAAC,CAChB,SAAS,CAAE,IAAI,CAChB,AAGH,AAGE,gBAHc,AAAA,QAAQ,CAGtB,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,E8ClHnB,uBAAuB,AAAA,QAAQ,CAE7B,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,E8CjHnB,oBAAoB,AAAA,QAAQ,CAC1B,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,C8ChHgB,CAC/B,KAAK,CzG6IG,OAAoD,CyG5I7D,AAGH,AAAA,qBAAqB,CAmBrB,WAAW,CAqDT,UAAU,C0BlHZ,uBAAuB,CAUrB,UAAU,A1BgCU,CACpB,SAAS,CzGTC,QAAQ,CyGyBnB,AAjBD,AAEE,qBAFmB,CAEnB,CAAC,AAAA,MAAM,CAiBT,WAAW,CAqDT,UAAU,CAtEV,CAAC,AAAA,MAAM,C0B5CT,uBAAuB,CAUrB,UAAU,C1BkCV,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,UAAU,CACtB,KAAK,CxG9DC,IAAO,CwG+Dd,AAED,AACE,KADG,CARP,qBAAqB,CASjB,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,E8CnGjB,KAAK,CAWP,WAAW,CAqDT,UAAU,CA/DR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,E8CxFnB,WAAW,CAXT,KAAK,CAgEL,UAAU,CA/DR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,E8CnGjB,KAAK,C0BlDP,uBAAuB,CAUrB,UAAU,C1ByCR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,EwErJnB,uBAAuB,C1BkDrB,KAAK,C0BxCL,UAAU,C1ByCR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,C8ClG0B,CACvC,KAAK,CzG+HC,OAAoD,CyG9H3D,AAXL,AAcE,qBAdmB,CAcnB,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9C6FtB,mBAAmB,E8CxFnB,WAAW,CAqDT,UAAU,CA1DV,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9C6FtB,mBAAmB,EwErJnB,uBAAuB,CAUrB,UAAU,C1B8CV,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9C6FtB,mBAAmB,C8C7FwB,CACvC,KAAK,CzG0HG,OAAoD,CyGzH7D,AAGH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,QAAQ,CAgI1B,AAlID,AAKI,WALO,CAIP,KAAK,CAAG,EAAE,AACT,YAAY,CAAC,KAAK,AAAC,CAClB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,GAAG,CAChB,AARL,AAUI,WAVO,CAIP,KAAK,CAAG,EAAE,AAMT,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACpB,AAZL,AAcI,WAdO,CAIP,KAAK,CAAG,EAAE,CAUV,qBAAqB,AAAC,CACpB,UAAU,CAAE,MAAM,CACnB,AAhBL,AAmBE,WAnBS,CAmBT,0BAA0B,AAAC,CACzB,MAAM,CAAE,IAAI,CAeb,AAnCH,AAsBI,WAtBO,CAmBT,0BAA0B,CAGxB,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CzG+FlB,OAAoD,CyG9F1D,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,MAAM,CACnB,AA3BL,AA6BI,WA7BO,CAmBT,0BAA0B,CAUxB,EAAE,CAAC,IAAI,AAAC,CACN,gBAAgB,CxGzGV,IAAO,CwG0Gb,KAAK,CzGuFC,OAAoD,CyGtF1D,OAAO,CAAE,KAAK,CACd,SAAS,CzG1DD,OAAQ,CyG2DjB,AAlCL,AAqCE,WArCS,CAqCT,EAAE,CArCJ,WAAW,CAsCT,EAAE,AAAC,CACD,WAAW,CzGlDK,GAAG,CyGmDnB,UAAU,CAAE,IAAI,CAChB,cAAc,CAAE,MAAM,CACvB,AA1CH,AA4CI,WA5CO,CA2CT,EAAE,CACA,MAAM,CAAC,OAAO,AAAC,CACb,KAAK,CzGyEC,OAAoD,CyGxE3D,AA9CL,AAgDE,WAhDS,CAgDT,EAAE,AAAC,CACD,KAAK,CzGqEG,OAAoD,CyGpE5D,SAAS,CzG5EJ,GAAG,CyG6ET,AAnDH,AAwDI,WAxDO,CAqDT,UAAU,CAGR,eAAe,CAAG,CAAC,AAAC,CAClB,cAAc,CAAE,IAAI,CACrB,AA1DL,AA8DI,WA9DO,CA6DT,iBAAiB,AACd,KAAK,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AAhEL,AAiEI,WAjEO,CA6DT,iBAAiB,CAIf,OAAO,AAAC,CACN,cAAc,CAAE,MAAM,CACtB,SAAS,CzGxFD,IAAK,CyGyFd,AApEL,AAuEE,WAvES,CAuET,iBAAiB,AAAC,CAChB,SAAS,CzGjGC,OAAQ,CyGkGlB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAgBpB,AA3FH,AA4EI,WA5EO,CAuET,iBAAiB,CAKf,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CAGf,QAAQ,CAAE,OAAO,CAClB,AAjFL,AAkFI,WAlFO,CAuET,iBAAiB,CAWf,CAAC,AAAA,cAAc,AAAA,IAAI,CAlFvB,WAAW,CAuET,iBAAiB,CAYf,CAAC,AAAA,cAAc,AAAA,IAAI,AAAC,CAClB,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CAClB,AAtFL,AAuFI,WAvFO,CAuET,iBAAiB,CAgBf,cAAc,AAAA,OAAO,AAAA,MAAM,CAvF/B,WAAW,CAuET,iBAAiB,CAiBf,cAAc,AAAA,IAAI,AAAC,CACjB,YAAY,CAAE,MAAM,CACrB,AA1FL,AA6FE,WA7FS,CA6FT,oBAAoB,AAAC,CACnB,YAAY,CAAE,GAAG,CAClB,AA/FH,AAiGE,WAjGS,CAiGT,cAAc,AAAC,CACb,SAAS,CzG3HC,OAAQ,CyG4HlB,UAAU,CAAE,GAAG,CACf,KAAK,CzGkBG,OAAoD,CyGjB5D,SAAS,CAAE,UAAU,CACrB,WAAW,CzGjHK,GAAG,CyGkHnB,aAAa,CAAE,IAAI,CACpB,AAxGH,AAyGE,WAzGS,CAyGT,eAAe,AAAA,MAAM,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AA3GH,AA6GE,WA7GS,CA6GT,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CAOnB,AArHH,AA+GI,WA/GO,CA6GT,IAAI,CAEF,CAAC,AAAA,IAAK,C9C8BV,YAAY,C8C9BY,CAClB,KAAK,CAAE,OAAO,CACf,AAjHL,AAkHI,WAlHO,CA6GT,IAAI,CAKF,CAAC,AAAA,YAAY,AAAC,CACZ,WAAW,CAAE,IAAI,CAClB,AApHL,AAwHI,WAxHO,CAuHT,IAAI,AAAA,MAAM,CACR,CAAC,AAAC,CACA,OAAO,CAAE,QAAQ,CAClB,AA1HL,AA8HI,WA9HO,CA6HT,IAAI,AAAA,SAAS,CACX,CAAC,AAAC,CACA,OAAO,CAAE,QAAQ,CAClB,AAIL,AAAA,aAAa,CACb,aAAa,CAAC,CAAC,AAAC,CACd,KAAK,CAAE,kBAAkB,CAC1B,AACD,AAAA,YAAY,CACZ,YAAY,CAAC,CAAC,AAAC,CACb,KAAK,CAAE,kBAAkB,CAC1B,AACD,AAAA,YAAY,CACZ,YAAY,CAAC,CAAC,AAAC,CACb,KAAK,CAAE,kBAAkB,CAC1B,AAED,AAAA,QAAQ,CAAC,WAAW,AAAC,CACnB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAIjB,AAND,AAGE,QAHM,CAAC,WAAW,CAGlB,EAAE,AAAC,CACD,gBAAgB,CAAE,WAAW,CAC9B,AAGH,AAAA,UAAU,AAAC,CACT,aAAa,CAAE,KAAK,CAYrB,AAbD,AAEE,UAFQ,CAER,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACd,AAJH,AAKE,UALQ,CAKR,OAAO,AAAC,CACN,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,KAAK,CzG5CG,OAAoD,CyG6C5D,SAAS,CzG7LJ,GAAG,CyG8LR,MAAM,CAAE,OAAO,CAChB,AAGH,AACE,WADS,CACT,MAAM,AAAC,CACL,aAAa,CAAE,CAAC,CAChB,SAAS,CzGrMJ,GAAG,CyGsMT,AAJH,AAKE,WALS,CAKT,QAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,EAAE,AAAA,oBAAoB,AAAA,OAAO,AAAC,CAC5B,OAAO,CAAE,IAAI,CACd,AAED,AAAA,EAAE,AAAA,oBAAoB,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,CAAC,CAUX,AAfD,AAOE,EAPA,AAAA,oBAAoB,CAOpB,EAAE,AAAC,CACD,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAVH,AAYE,EAZA,AAAA,oBAAoB,CAYpB,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,iBAAiB,AAAA,SAAS,AAAC,C/F/KzB,UAAU,CAAE,0DAAqE,CACjF,iBAAiB,CAAE,cAAgB,CACnC,aAAa,CAAE,cAAgB,CAC/B,SAAS,CAAE,cAAgB,C+F8K5B,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,MAAM,CAKhB,AAND,AAGE,kBAHgB,CAGhB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AAGH,AAAA,GAAG,AAAA,UAAU,AAAC,CACZ,KAAK,CzG9FK,OAAoD,CyGkG/D,AALD,AAEE,GAFC,AAAA,UAAU,CAEX,mBAAmB,AAAA,UAAU,AAAC,CAC5B,cAAc,CAAE,WAAW,CAC5B,AAGH,AAAA,UAAU,CAKV,cAAc,CyB3Sd,cAAc,CAIZ,EAAE,CAJJ,cAAc,CAKZ,EAAE,AzBiSO,CACT,OAAO,CAAE,QAAQ,CACjB,KAAK,CzGtGK,OAAoD,CyGuG/D,AAED,AAAA,cAAc,AAAC,CAEb,aAAa,CAAE,GAAG,CAAC,KAAK,CzG3Gd,OAAoD,CyG4G/D,AAWD,AAAA,kBAAkB,AAAC,CACjB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,MAAM,CAClB,WAAW,CzG5PQ,GAAG,CyG6PvB,AC1TD,AAAA,qBAAqB,AAAC,CAEpB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,OAAO,CAC9B,kBAAkB,CAAE,kBAAkB,CACtC,YAAY,C1FOD,IAAmB,C0F2B/B,AAxCD,AAOE,qBAPmB,CAOnB,wBAAwB,AAAC,CACvB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AAZH,AAaE,qBAbmB,CAanB,0BAA0B,AAAC,CACzB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AAlBH,AAmBE,qBAnBmB,CAmBnB,gBAAgB,CAnBlB,qBAAqB,CAoBnB,aAAa,CApBf,qBAAqB,CAqBnB,QAAQ,AAAC,CACP,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AA1BH,AA2BE,qBA3BmB,CA2BnB,aAAa,AAAC,CACZ,SAAS,CAAE,IAAI,CAChB,AA7BH,AA8BE,qBA9BmB,CA8BnB,yBAAyB,CAAG,aAAa,CA9B3C,qBAAqB,CA+BnB,0BAA0B,CAAG,aAAa,AAAC,CACzC,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AAlCH,AAmCE,qBAnCmB,CAmCnB,yBAAyB,AAAC,CACxB,cAAc,CAAE,CAAC,CACjB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,KAAK,CACpB,AAvCH,AAAA,qBAAqB,AA0CC,CAEpB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,kBAAkB,CA0BlC,AAxED,AAOE,qBAPmB,CAOnB,wBAAwB,AAwCC,CACvB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAnDH,AAaE,qBAbmB,CAanB,0BAA0B,AAuCC,CACzB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvDH,AAmBE,qBAnBmB,CAmBnB,gBAAgB,CAnBlB,qBAAqB,CAoBnB,aAAa,CApBf,qBAAqB,CAqBnB,QAAQ,AAqCC,CACP,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AApBH,AAqBE,qBArBmB,CAqBnB,0BAA0B,CAAG,aAAa,AAAC,CACzC,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAlEH,AAmCE,qBAnCmB,CAmCnB,yBAAyB,AAgCC,CACxB,YAAY,CAAE,CAAC,CACf,qBAAqB,CAAE,KAAK,CAC5B,kBAAkB,CAAE,KAAK,CAC1B,AAGH,AACE,aADW,CACX,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,aAAa,C1FhEJ,IAAmB,C0FqE7B,AARH,AAKI,aALS,CACX,aAAa,CAIX,IAAI,AAAC,CACH,YAAY,C1FnEL,IAAmB,C0FoE3B,AAPL,AAUE,aAVW,CAUX,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CACnB,AAZH,AAcE,aAdW,CAcX,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAhBH,AAkBE,aAlBW,CAkBX,aAAa,AAAC,CACZ,KAAK,CzGvFF,OAAO,CyGwFX,AAGH,AACE,UADQ,CACR,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,IAAI,CA4LpB,AA/LH,AAMM,UANI,CACR,MAAM,AAIH,eAAe,CACd,mBAAmB,AAAC,CAClB,eAAe,CAAE,KAAK,CACtB,mBAAmB,CAAE,aAAa,CAClC,iBAAiB,CAAE,SAAS,CAC7B,AAVP,AAWM,UAXI,CACR,MAAM,AAIH,eAAe,CAMd,eAAe,AAAC,CACd,aAAa,CAAE,CAAC,CACjB,AAbP,AAgBI,UAhBM,CACR,MAAM,CAeJ,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,C1G2Ef,OAAoD,C0G7B3D,AAjEL,AAqBM,UArBI,CACR,MAAM,CAeJ,UAAU,CAKR,IAAI,AAAC,CACH,OAAO,CAAE,QAAQ,CAClB,AAvBP,AAyBM,UAzBI,CACR,MAAM,CAeJ,UAAU,CASR,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CAOlB,AAlCP,AA4BQ,UA5BE,CACR,MAAM,CAeJ,UAAU,CASR,EAAE,CAGA,GAAG,AAAC,CACF,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CACrB,YAAY,CAAE,IAAI,CAClB,MAAM,CAAE,KAAK,CACd,AAjCT,AAoCM,UApCI,CACR,MAAM,CAeJ,UAAU,CAoBR,EAAE,CApCR,UAAU,CACR,MAAM,CAeJ,UAAU,CAqBR,EAAE,AAAC,CACD,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACpB,AAxCP,AA0CM,UA1CI,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,UAAU,CAClB,KAAK,CzGjJH,IAAO,CyG8JV,AA1DP,AAgDU,UAhDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CACN,IAAI,AAAA,IAAK,CxBsLT,aAAa,CwBtLW,CACtB,YAAY,CAAE,MAAM,CACrB,AAlDX,AAmDU,UAnDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CAIN,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AArDX,AAsDU,UAtDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CAON,IAAI,AAAA,aAAa,AAAA,MAAM,AAAC,CACtB,OAAO,CAAE,EAAE,CACZ,AAxDX,AA4DM,UA5DI,CACR,MAAM,CAeJ,UAAU,CA4CR,EAAE,AAAC,CACD,KAAK,C1GmCD,IAAmD,C0GlCvD,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CACtB,AAhEP,AAmEI,UAnEM,CACR,MAAM,CAkEJ,QAAQ,AAAC,CACP,UAAU,CzGvKJ,qBAAO,CyGwKb,aAAa,CAAE,GAAG,CAAC,KAAK,C1GyBlB,OAAoD,C0G0C3D,AAxIL,AAuEM,UAvEI,CACR,MAAM,CAkEJ,QAAQ,CAIN,EAAE,AAAC,CACD,SAAS,C1G/HL,GAAG,C0GgIP,WAAW,CAAE,MAAM,CAIpB,AA7EP,AA0EQ,UA1EE,CACR,MAAM,CAkEJ,QAAQ,CAIN,EAAE,CAGA,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CACjB,AA5ET,AA+EM,UA/EI,CACR,MAAM,CAkEJ,QAAQ,CAYN,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,ChGzHrB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgGyHlB,AAnFP,AAqFM,UArFI,CACR,MAAM,CAkEJ,QAAQ,CAkBN,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,KAAK,CAIrB,AA3FP,AAwFQ,UAxFE,CACR,MAAM,CAkEJ,QAAQ,CAkBN,EAAE,CAGA,OAAO,AAAA,IAAK,CAAA,cAAc,CAAE,CAC1B,WAAW,CAAE,IAAI,CAClB,AA1FT,AA6FM,UA7FI,CACR,MAAM,CAkEJ,QAAQ,CA0BN,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,MAAM,CAChB,AAhGP,AAkGM,UAlGI,CACR,MAAM,CAkEJ,QAAQ,CA+BN,GAAG,AAAA,OAAO,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AApGP,AAsGM,UAtGI,CACR,MAAM,CAkEJ,QAAQ,CAmCN,UAAU,AAAC,CACT,KAAK,CzGpMJ,OAAO,CyGqMT,AAxGP,AA0GM,UA1GI,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAkBnB,AA9HP,AA8GQ,UA9GE,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAIN,EAAE,AAAC,CACD,WAAW,CAAE,IAAI,CAClB,AAhHT,AAkHQ,UAlHE,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,AAAC,CACH,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CASf,AA7HT,AAsHU,UAtHA,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,CAIF,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,eAAe,CAAE,SAAS,CAC3B,AAxHX,AA0HU,UA1HA,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,CAQF,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CAChB,AA5HX,AAgIM,UAhII,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CAKZ,AAvIP,AAmIQ,UAnIE,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,CAGlB,aAAa,AAAC,CACZ,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,IAAI,CACZ,AAtIT,AA2IM,UA3II,CACR,MAAM,CAyIJ,SAAS,CACP,EAAE,AAAC,CACD,eAAe,CAAE,IAAI,CACtB,AA7IP,AA+IM,UA/II,CACR,MAAM,CAyIJ,SAAS,CAKP,IAAI,AAAC,CACH,aAAa,CAAE,IAAI,CACnB,WAAW,C1GrLE,GAAG,C0GsLjB,AAlJP,AAsJM,UAtJI,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,AAAC,CACP,UAAU,CAAE,CAAC,CACb,UAAU,CzG3PN,qBAAO,CyGsRZ,AAnLP,AA0JQ,UA1JE,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAIN,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACd,AA5JT,AA8JQ,UA9JE,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CAmBZ,AAlLT,AAiKU,UAjKA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAGN,OAAO,AAAC,CACN,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AArKX,AAuKU,UAvKA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CASN,EAAE,AAAC,CACD,SAAS,C1G7NT,QAAQ,C0G8NT,AAzKX,AA2KU,UA3KA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAaN,EAAE,AAAC,CACD,SAAS,C1G/NT,QAAQ,C0GgOT,AA7KX,AA8KU,UA9KA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAgBN,EAAE,CA9KZ,UAAU,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAiBN,EAAE,AAAA,qBAAqB,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAjLX,AAsLQ,UAtLE,CACR,MAAM,AAoJH,eAAe,CAgCd,oBAAoB,CAClB,aAAa,AAAC,CACZ,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,GAAG,CAIX,AA5LT,AAyLU,UAzLA,CACR,MAAM,AAoJH,eAAe,CAgCd,oBAAoB,CAClB,aAAa,CAGX,OAAO,AAAC,CACN,SAAS,C1G5OZ,GAAG,C0G6OD,AA3LX,AAiME,UAjMQ,CAiMR,eAAe,AAAC,CACd,UAAU,CzGtSJ,IAAO,CyGuSb,KAAK,CzGtSG,IAAO,CyGuSf,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,aAAa,C1F1RJ,IAAmB,C0F6S7B,AAzNH,AAuMI,UAvMM,CAiMR,eAAe,CAMX,GAAG,CAvMT,UAAU,CAiMR,eAAe,CAOX,GAAG,CAAC,CAAC,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,UAAU,CAClB,KAAK,CzGhTC,IAAO,CyGuTd,AApNL,AA+MM,UA/MI,CAiMR,eAAe,CAMX,GAAG,CAQH,IAAI,CA/MV,UAAU,CAiMR,eAAe,CAOX,GAAG,CAAC,CAAC,CAOL,IAAI,AAAC,CACH,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,GAAG,CAClB,AAnNP,AAsNI,UAtNM,CAiMR,eAAe,CAqBb,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CAClB,AAxNL,AA2NE,UA3NQ,CA2NR,cAAc,AAAC,CACb,gBAAgB,CzGxTV,IAAO,CyGyTd,AA7NH,AA+NE,UA/NQ,CA+NR,cAAc,AAAC,CACb,gBAAgB,CAAE,OAAO,CAC1B,AAjOH,AAmOE,UAnOQ,CAmOR,kBAAkB,AAAC,CACjB,gBAAgB,C1GtIR,OAAoD,C0GuI7D,AArOH,AAuOE,UAvOQ,CAuOR,cAAc,AAAC,CACb,gBAAgB,C1G1IR,OAAoD,C0G2I7D,AAzOH,AA2OE,UA3OQ,CA2OR,YAAY,AAAC,CACX,gBAAgB,CzGzUX,OAAO,CyG0Ub,AA7OH,AA+OE,UA/OQ,CA+OR,WAAW,AAAC,CACV,aAAa,CAAE,IAAI,CAgBpB,AAhQH,AAmPM,UAnPI,CA+OR,WAAW,CAGT,SAAS,CACP,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,MAAM,CACpB,AAvPP,AAyPM,UAzPI,CA+OR,WAAW,CAGT,SAAS,CAOP,aAAa,AAAC,CACZ,KAAK,C1G5JD,OAAoD,C0G6JxD,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,IAAI,CACnB,SAAS,C1G9SH,OAAQ,C0G+Sf,AA9PP,AAkQI,UAlQM,CAiQR,aAAa,CACX,eAAe,CAAC,GAAG,AAAC,CAClB,MAAM,CAAE,CAAC,CAIV,AAvQL,AAoQM,UApQI,CAiQR,aAAa,CACX,eAAe,CAAC,GAAG,CAEjB,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAKP,AACE,WADS,CACT,SAAS,AAAC,CACR,cAAc,CAAE,GAAG,CACnB,KAAK,CzG3WA,OAAO,CyG4WZ,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACpB,AAGH,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CASnB,AAXD,AAIE,mBAJiB,CAIjB,gBAAgB,AAAC,CACf,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,eAAe,CARjB,mBAAmB,AAQC,CAChB,OAAO,CAAE,IAAI,CACd,AAGH,AACE,gBADc,CACd,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,YAAY,CACnC,kBAAkB,CAAE,SAAS,CAC7B,WAAW,CAAE,MAAM,CAapB,AAlBH,AAMI,gBANY,CACd,cAAc,AAKX,IAAK,CxBjEA,aAAa,CwBiEE,CACnB,aAAa,CAAE,MAAM,CACtB,AARL,AASI,gBATY,CACd,cAAc,CAQZ,IAAI,AAAC,CACH,UAAU,CAAE,UAAU,CACvB,AAXL,AAYI,gBAZY,CACd,cAAc,CAWZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,UAAU,CAAE,CAAC,CACd,AAdL,AAeI,gBAfY,CACd,cAAc,CAcZ,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAjBL,AAoBE,gBApBc,CAoBd,KAAK,AAAA,MAAM,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAJO,KAAK,CAKrB,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,CAAC,CAKX,AA9BH,AA0BI,gBA1BY,CAoBd,KAAK,AAAA,MAAM,CAMT,OAAO,AAAC,CACN,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,YAAY,CACrB,AA7BL,AA+BE,gBA/Bc,CA+Bd,MAAM,AAAC,CACL,KAAK,CzG9ZA,OAAO,CyG+ZZ,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,kBAAgC,CAC3C,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AArCH,AACE,gBADc,CACd,cAAc,AAuCC,CACb,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,YAAY,CAC9B,aAAa,CAAE,SAAS,CAiBzB,AA5DH,AAYI,gBAZY,CACd,cAAc,CAWZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAgCc,CAClB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA/CL,AAgDI,gBAhDY,CAwCd,cAAc,CAQZ,KAAK,AAAA,MAAM,AAAC,CACV,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAnDL,AAoDI,gBApDY,CAwCd,cAAc,CAYZ,IAAI,AAAA,gBAAgB,AAAC,CACnB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvDL,AAwDI,gBAxDY,CAwCd,cAAc,CAgBZ,MAAM,AAAC,CACL,YAAY,CAAE,CAAC,CACf,oBAAoB,CAAE,CAAC,CACxB,AAIL,AhGtaE,YgGsaU,AhGtaT,OAAO,CgGsaV,YAAY,AhGraT,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgGkaH,AhGjaE,YgGiaU,AhGjaT,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgG+ZH,AAEE,YAFU,CAEV,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,YAAY,CACZ,gBAAgB,AAAC,CACf,aAAa,CAAE,IAAI,CAKpB,AAPD,AAGE,YAHU,AAGT,eAAe,CAFlB,gBAAgB,AAEb,eAAe,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAChB,AAGH,AAAA,YAAY,AAAC,CACX,cAAc,CAAE,SAAS,CACzB,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACZ,AAED,AACE,cADY,CACZ,EAAE,AAAC,CACD,MAAM,CAAE,MAAM,CACf,AAHH,AAKE,cALY,CAKZ,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,gBAAgB,CACzB,MAAM,CAAE,aAAa,CAatB,AArBH,AAUI,cAVU,CAKZ,EAAE,AAKC,YAAY,AAAC,CAEZ,OAAO,CAAE,CAAC,CAQX,AApBL,AAaM,cAbQ,CAKZ,EAAE,AAKC,YAAY,CAGX,CAAC,AAAC,CACA,OAAO,CAAE,gBAAgB,CACzB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CACd,KAAK,CzG7eH,IAAO,CyG8eV,AAnBP,AAuBE,cAvBY,CAuBZ,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,SAAS,C1GpcD,QAAQ,C0GqcjB,AA1BH,AA4BE,cA5BY,CA4BZ,MAAM,AAAC,CACL,KAAK,C1GtTG,OAAoD,C0GuT7D,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,GAAG,CAoBX,AArBD,AAGE,gBAHc,CAGd,EAAE,AAAC,CACD,SAAS,CAAE,GAAG,CACf,AALH,AAOE,gBAPc,CAOd,EAAE,AAAC,CACD,WAAW,C1GlUH,OAAoD,C0GkUlC,KAAK,CAAC,GAAG,CACnC,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,MAAM,CACf,AAXH,AAaE,gBAbc,CAad,WAAW,AAAC,CACV,KAAK,C1GxUG,OAAoD,C0GyU7D,AAED,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAjBlC,AAAA,gBAAgB,AAAC,CAkBb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CAEd,CAED,AAGE,gBAHc,CAGd,EAAE,CAFJ,eAAe,CAEb,EAAE,CADJ,cAAc,CACZ,EAAE,AAAC,CACD,SAAS,CAAE,UAAU,CACtB,AAGH,AACE,cADY,CACZ,OAAO,AAAC,CACN,SAAS,C1G1eC,OAAQ,C0G2elB,KAAK,C1G5VG,OAAoD,C0G6V7D,AAGH,AACE,uBADqB,CACrB,KAAK,AAAC,CACJ,SAAS,CAAE,GAAG,CAYf,AAdH,AAGI,uBAHmB,CACrB,KAAK,CAEH,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AALL,AAMI,uBANmB,CACrB,KAAK,CAKH,EAAE,CANN,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CAKf,AAbL,AASM,uBATiB,CACrB,KAAK,CAKH,EAAE,AAGC,YAAY,CATnB,uBAAuB,CACrB,KAAK,CAKH,EAAE,AAIC,YAAY,CAVnB,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAEC,YAAY,CATnB,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAGC,YAAY,AAAC,CACZ,UAAU,CAAE,MAAM,CACnB,AAKP,AACE,kBADgB,CAChB,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAGH,AACE,OADK,CACL,WAAW,AAAC,CACV,KAAK,CzGzjBE,IAAO,CyG0jBf,AAGH,AACE,iBADe,CACf,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACd,AAHH,AAMI,iBANa,CAKf,kBAAkB,CAChB,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,YAAY,CAItB,AAZL,AASM,iBATW,CAKf,kBAAkB,CAChB,KAAK,CAGH,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AhGvjBL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EgG4iBrC,AAaI,iBAba,CAKf,kBAAkB,CAQhB,WAAW,AAAA,aAAa,AAAC,CAErB,KAAK,CAAE,IAAI,CAEd,CAjBL,AAkBI,iBAlBa,CAKf,kBAAkB,CAahB,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACb,AApBL,AAuBE,iBAvBe,CAuBf,OAAO,AAAC,CACN,KAAK,CzGvlBC,IAAO,CyGwlBb,OAAO,CAAE,YAAY,CACtB,AA1BH,AA4BE,iBA5Be,CA4Bf,aAAa,AAAC,CACZ,KAAK,C1G1ZG,OAAoD,C0G2Z5D,aAAa,CAAE,IAAI,CACnB,SAAS,C1G3iBC,OAAQ,C0G4iBlB,WAAW,C1G9hBK,GAAG,C0GmiBpB,AArCH,AAkCI,iBAlCa,CA4Bf,aAAa,CAMX,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzGhmBA,IAAO,CyGimBb,AApCL,AAuCE,iBAvCe,CAuCf,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AAzCH,AA2CE,iBA3Ce,CA2Cf,QAAQ,AAAC,CACP,gBAAgB,C1GzaR,OAAoD,C0G0a5D,OAAO,CAAE,OAAO,CAChB,KAAK,CzG5mBG,IAAO,CyG6mBf,KAAK,CAAE,KAAK,CACb,AAhDH,AAkDE,iBAlDe,CAkDf,aAAa,AAAC,CACZ,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,IAAI,CACpB,AArDH,AAuDE,iBAvDe,CAuDf,kBAAkB,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,AAzDH,AA2DE,iBA3De,AA2Dd,iCAAiC,AAAC,CACjC,YAAY,CAAE,CAAC,CAsDhB,AAlHH,AA8DI,iBA9Da,AA2Dd,iCAAiC,CAGhC,0BAA0B,AAAC,CACzB,YAAY,CAAE,IAAI,CACnB,AAhEL,AAkEI,iBAlEa,AA2Dd,iCAAiC,CAOhC,gBAAgB,CAAC,aAAa,AAAC,CAC7B,WAAW,CAAE,CAAC,CACf,AApEL,AAsEI,iBAtEa,AA2Dd,iCAAiC,CAWhC,aAAa,AAAC,CACZ,MAAM,CAAE,KAAK,CA0Cd,AAjHL,AAyEM,iBAzEW,AA2Dd,iCAAiC,CAWhC,aAAa,CAGX,QAAQ,AAAC,CACP,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,C1G3cb,OAAoD,C0G4czD,AA/EP,AAiFM,iBAjFW,AA2Dd,iCAAiC,CAWhC,aAAa,CAWX,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,SAAS,CAMvB,AAlGP,AA8FQ,iBA9FS,AA2Dd,iCAAiC,CAWhC,aAAa,CAWX,kBAAkB,AAaf,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,YAAY,C1G7dV,OAAoD,C0G8dvD,AAjGT,AAoGM,iBApGW,AA2Dd,iCAAiC,CAWhC,aAAa,CA8BX,sBAAsB,CApG5B,iBAAiB,AA2Dd,iCAAiC,CAWhC,aAAa,CA+BX,0BAA0B,AAAC,CACzB,KAAK,CAAE,GAAG,CACV,QAAQ,CAAE,QAAQ,CACnB,AAxGP,AA0GM,iBA1GW,AA2Dd,iCAAiC,CAWhC,aAAa,CAoCX,sBAAsB,AAAC,CACrB,GAAG,CAAE,GAAG,CACT,AA5GP,AA8GM,iBA9GW,AA2Dd,iCAAiC,CAWhC,aAAa,CAwCX,0BAA0B,AAAC,CACzB,GAAG,CAAE,IAAI,CACV,AAhHP,AAqHI,iBArHa,CAoHf,yBAAyB,CAAC,KAAK,CAC7B,EAAE,AAAC,CACD,OAAO,CAAE,GAAG,CACb,AAIL,AACE,sBADoB,CACpB,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,CAAC,CACd,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAwBpB,AA1BD,AAIE,mBAJiB,CAIjB,CAAC,AAAC,CACA,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAmBpB,AAzBH,AAQI,mBARe,CAIjB,CAAC,CAIC,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACpB,AAVL,AAYI,mBAZe,CAIjB,CAAC,CAQC,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CzG9sBD,IAAO,CyG+sBZ,AAdL,AAkBM,mBAlBa,CAIjB,CAAC,CAaC,GAAG,CACD,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACd,AApBP,AAqBM,mBArBa,CAIjB,CAAC,CAaC,GAAG,CAID,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAKP,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CAKd,AAND,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CACP,OAAO,CAAE,aAAa,CACtB,gBAAgB,CAAE,KAAK,CACxB,AAGH,AACE,cADY,AACX,aAAa,AAAC,CACb,KAAK,C1GriBG,OAAoD,C0GsiB5D,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,IAAI,CACnB,SAAS,C1GvrBC,OAAQ,C0GwrBnB,AANH,AAOE,cAPY,CAOZ,mBAAmB,AAAC,CAClB,UAAU,CAAE,MAAM,CACnB,AATH,AAUE,cAVY,CAUZ,IAAI,AAAA,KAAK,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,gBAAgB,CAAC,OAAO,CACxB,UAAU,CAAC,OAAO,AAAC,CACjB,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,OAAO,CAapB,AAhBD,AAIE,mBAJiB,CAIjB,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CAStB,AAfH,AAOI,mBAPe,CAIjB,kBAAkB,CAGhB,OAAO,AAAC,CACN,MAAM,CAAE,OAAO,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CAIb,AAdL,AAWM,mBAXa,CAIjB,kBAAkB,CAGhB,OAAO,AAIJ,MAAM,AAAC,CACN,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,IAAI,CzGrwBlB,IAAO,CyGswBV,ACtwBP,AAAA,mBAAmB,AAAA,YAAY,AAAC,CAC9B,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,C3G0Ld,OAAoD,C2GzL/D,AAED,AAAA,UAAU,CAAC,SAAS,CAAC,EAAE,AAAC,CACtB,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,SAAS,CAAC,QAAQ,AAAC,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACZ,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,MAAM,CAWvB,AAhBD,AAOE,SAPO,CAAC,QAAQ,CAOhB,cAAc,AAAC,CACb,SAAS,C3G2BJ,GAAG,C2G1BT,AATH,AAWE,SAXO,CAAC,QAAQ,CAWhB,UAAU,AAAC,CACT,SAAS,C3GwBC,OAAQ,C2GvBlB,cAAc,CAAE,MAAM,CACtB,WAAW,C3GkCK,CAAC,C2GjClB,AAGH,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,MAAM,CAOtB,AjG3BC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EiGcrC,AAAA,iBAAiB,AAAC,CAQd,KAAK,CAAE,IAAI,CAKd,CAbD,AAUE,iBAVe,CAUf,OAAO,AAAC,CACN,MAAM,CAAE,QAAQ,CACjB,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAUpB,AAbD,AAKE,eALa,CAKb,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACpB,AARH,AAUE,eAVa,CAUb,cAAc,AAAC,CACb,UAAU,CAAE,CAAC,CACd,AAKH,AAAA,oBAAoB,AAAC,CACnB,SAAS,C3GfG,OAAQ,C2GgBpB,KAAK,C3G+HK,OAAoD,C2G9H9D,WAAW,C3GLO,CAAC,C2GMnB,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,YAAY,CjGdrB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiGcvB,cAAc,CAAE,MAAM,CACvB,AALD,AAAA,cAAc,AAOC,CACb,MAAM,CAAE,CAAC,CACT,KAAK,C3GiHK,OAAoD,C2G/D/D,AApDD,AAIE,cAJY,AAIX,QAAQ,CAJX,cAAc,AAKX,MAAM,AAAC,CACN,KAAK,C3G6GG,OAAoD,C2G5G7D,AAED,AAAA,mBAAmB,CATrB,cAAc,AASU,CACpB,KAAK,C3GyGG,OAAoD,C2GzGhC,UAAU,CACvC,AAXH,AAaE,cAbY,AAaX,MAAM,AAAC,CACN,SAAS,C3G7CD,QAAQ,C2G8CjB,AAfH,AAiBE,cAjBY,AAiBX,IAAI,AAAC,CACJ,gBAAgB,C3GiGR,OAAoD,C2GhG5D,KAAK,C3GgGG,OAAoD,C2G/F5D,OAAO,CAAE,OAAO,CAKjB,AAJC,AAAA,mBAAmB,CArBvB,cAAc,AAiBX,IAAI,AAImB,CACpB,gBAAgB,C3G6FV,OAAoD,C2G5F1D,KAAK,C3G4FC,IAAoD,C2G3F3D,AAxBL,AA2BE,cA3BY,AA2BX,OAAO,CA3BV,cAAc,AA4BX,OAAO,AAAA,QAAQ,CA5BlB,cAAc,AA6BX,OAAO,AAAA,MAAM,AAAC,CACb,YAAY,CAAE,CAAC,CACf,KAAK,C3GoFG,OAAoD,C2GnF7D,AAhCH,AAkCE,cAlCY,AAkCX,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACnB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CAcpB,AAnDH,AAsCI,cAtCU,AAkCX,OAAO,AAIL,OAAO,AAAC,CACP,UAAU,C3G4EJ,OAAoD,C2G3E1D,YAAY,CAAE,GAAG,CACjB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,EAAE,CACZ,AA9CL,AA+CI,cA/CU,AAkCX,OAAO,AAaL,MAAM,AAAA,OAAO,AAAC,CACb,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAIL,AAEE,eAFa,CAEb,cAAc,AAAA,OAAO,AAAA,IAAK,CjC0lBlB,WAAW,CiC1lBmB,MAAM,CAD9C,UAAU,CACR,cAAc,AAAA,OAAO,AAAA,IAAK,CjC0lBlB,WAAW,CiC1lBmB,MAAM,AAAC,CAC3C,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,GAAG,CACjB,AAGH,AACE,SADO,CAAC,mBAAmB,CAC3B,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,C3G7FC,OAAQ,C2G8FnB,AAJH,AAKE,SALO,CAAC,mBAAmB,CAK3B,eAAe,CAAG,oBAAoB,AAAC,CACrC,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,WAAW,CAAC,mBAAmB,AAAC,CAC9B,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,gBAAgB,CAAC,eAAe,AAAC,CAC/B,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,C3G3GG,OAAQ,C2G4GrB,AAED,AAAA,gBAAgB,CAAC,kBAAkB,CAAC,eAAe,AAAC,CAClD,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,YAAY,CAAC,gBAAgB,CAAC,eAAe,AAAC,CAC5C,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,SAAS,C3GrHG,OAAQ,C2GsHpB,UAAU,CAAE,CAAC,CAQd,AAZD,AAKE,YALU,CAAC,gBAAgB,CAAC,eAAe,CAK3C,cAAc,AAAC,CACb,YAAY,CAAE,KAAK,CACpB,AAPH,AAQE,YARU,CAAC,gBAAgB,CAAC,eAAe,CAQ3C,cAAc,AAAA,IAAI,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACP,AAGH,AAAA,MAAM,CAAC,cAAc,AAAC,CACpB,KAAK,C3GcK,OAAoD,C2Gb/D,AAED,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,GAAG,CACjB,SAAS,C3GvIG,OAAQ,C2GwIrB,AAED,AAAA,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,cAAc,CAAC,YAAY,AAAC,CAC1B,KAAK,CAAE,KAAK,CACb,AAED,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CAOpB,AARD,AAEE,iBAFe,CAEf,CAAC,AAAC,CACA,eAAe,CAAE,SAAS,CAC3B,AAJH,AAKE,iBALe,CAKf,IAAI,AAAA,OAAO,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,IAAI,CAClB,AAGH,AACE,aADW,CACX,WAAW,AAAC,CACV,KAAK,C1GlNC,IAAO,C0GmNb,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,aANW,CAMX,CAAC,AAAC,CACA,KAAK,C3GrBG,OAAoD,C2GsB7D,AAGH,AAAA,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAIjB,AALD,AAEE,gBAFc,CAEd,EAAE,AAAC,CACD,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,qBAAqB,AAAC,CACpB,UAAU,CAAE,IAAI,CA0CjB,AA3CD,AAEE,qBAFmB,CAEnB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,MAAM,CAOf,AAZH,AAMI,qBANiB,CAEnB,aAAa,CAIX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AARL,AASI,qBATiB,CAEnB,aAAa,CAOX,IAAI,AAAC,CACH,WAAW,CAAE,IAAI,CAClB,AAXL,AAaE,qBAbmB,CAanB,kBAAkB,AAAC,CACjB,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,KAAK,CAeb,AA9BH,AAgBI,qBAhBiB,CAanB,kBAAkB,CAGhB,OAAO,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AAlBL,AAmBI,qBAnBiB,CAanB,kBAAkB,CAMhB,KAAK,AAAC,CACJ,SAAS,C3GpMN,GAAG,C2GqMN,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAvBL,AAwBI,qBAxBiB,CAanB,kBAAkB,CAWhB,IAAI,AAAC,CACH,YAAY,CAAE,IAAI,CACnB,AA1BL,AA2BI,qBA3BiB,CAanB,kBAAkB,CAchB,EAAE,CAAC,KAAK,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AA7BL,AA+BE,qBA/BmB,CA+BnB,gBAAgB,CAAC,YAAY,AAAC,CAC5B,KAAK,CAAE,IAAI,CACZ,AAjCH,AAkCE,qBAlCmB,CAkCnB,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CAClB,AApCH,AAsCI,qBAtCiB,CAqCnB,mBAAmB,CACjB,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CACnB,AAIL,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAmBnB,AArBD,AAIE,SAJO,CAIP,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AANH,AAOE,SAPO,CAOP,cAAc,CAPhB,SAAS,CAQP,aAAa,CARf,SAAS,CASP,iBAAiB,AAAC,CAChB,UAAU,CAAE,GAAG,CAChB,AAXH,AAYE,SAZO,CAYP,SAAS,AAAC,CACR,MAAM,CAAE,IAAI,CAIb,AAjBH,AAcI,SAdK,CAYP,SAAS,CAEP,OAAO,AAAC,CACN,KAAK,C3G5FC,OAAoD,C2G6F3D,AAhBL,AAkBE,SAlBO,CAkBP,MAAM,AAAC,CACL,aAAa,CAAE,GAAG,CACnB,ACnSH,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,CAAC,CACP,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,SAAS,CAAE,MAAM,CACjB,KAAK,CAAE,IAAI,CAOX,OAAO,C5G8EM,GAAG,C4G7EhB,UAAU,CAAE,oFACU,CACtB,gBAAgB,C3GpBN,IAAO,C2GqBjB,UAAU,C5G+GE,CAAC,CAAE,IAAG,CAAC,IAAI,CAAC,gBAAmB,C4GmM5C,AAxUD,AAYE,cAZY,AAYX,aAAa,AAAC,CACb,SAAS,CAAE,KAAK,CACjB,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EAftC,AAAA,cAAc,AAAC,CAgBX,SAAS,CAAE,CAAC,CAwTf,CAxUD,AAwBE,cAxBY,CAwBZ,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AA3BH,AA6BE,cA7BY,CA6BZ,YAAY,CA7Bd,cAAc,CA8BZ,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,YAAY,CAAE,IAAI,CASnB,AAzCH,AAiCI,cAjCU,CA6BZ,YAAY,CAIV,QAAQ,CAjCZ,cAAc,CA8BZ,WAAW,CAGT,QAAQ,AAAC,CACP,WAAW,CAAE,GAAG,CAChB,YAAY,C3GlCN,IAAO,C2GmCb,kBAAkB,CAAE,WAAW,CAChC,AArCL,AAsCI,cAtCU,CA6BZ,YAAY,CASV,OAAO,CAtCX,cAAc,CA8BZ,WAAW,CAQT,OAAO,AAAC,CACN,KAAK,C3GtCC,IAAO,C2GuCd,AAxCL,AA2CE,cA3CY,AA2CX,KAAK,AAAC,CACL,MAAM,CAAE,KAAK,CAId,AAhDH,AA6CI,cA7CU,AA2CX,KAAK,AAEH,WAAW,AAAC,CACX,MAAM,CAAE,KAAK,CACd,AA/CL,AAkDE,cAlDY,AAkDX,OAAO,AAAC,CACP,MAAM,CAAE,YAAY,CACrB,AApDH,AAsDE,cAtDY,AAsDX,MAAM,CAtDT,cAAc,AAuDX,OAAO,AAAC,CACP,MAAM,CAAE,eAAe,CACvB,WAAW,CAAE,MAAM,CACnB,UAAU,C3GxDH,IAAO,C2GyDd,KAAK,C3G1DG,IAAO,C2G2Df,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CAYZ,AAzEH,AA8DI,cA9DU,AAsDX,MAAM,CAQL,kBAAkB,CA9DtB,cAAc,AAuDX,OAAO,CAON,kBAAkB,AAAC,CACjB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAOnB,AAxEL,AAkEM,cAlEQ,AAsDX,MAAM,CAQL,kBAAkB,CAIhB,eAAe,CAlErB,cAAc,AAuDX,OAAO,CAON,kBAAkB,CAIhB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AApEP,AAqEM,cArEQ,AAsDX,MAAM,CAQL,kBAAkB,CAOhB,OAAO,CArEb,cAAc,AAuDX,OAAO,CAON,kBAAkB,CAOhB,OAAO,AAAC,CACN,KAAK,C3GrED,IAAO,C2GsEZ,AAvEP,AA2EE,cA3EY,AA2EX,MAAM,AAAC,CACN,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,IAAI,CAWd,AAxFH,AA8EI,cA9EU,AA2EX,MAAM,CAGL,WAAW,AAAC,CACV,OAAO,CAAE,KAAK,CACf,AAhFL,AAiFI,cAjFU,AA2EX,MAAM,CAML,QAAQ,CAjFZ,cAAc,AA2EX,MAAM,CAOL,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AApFL,AAqFI,cArFU,AA2EX,MAAM,CAUL,QAAQ,AAAC,CACP,KAAK,CAAE,CAAC,CACT,AAvFL,AA0FE,cA1FY,AA0FX,OAAO,CAAC,YAAY,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AA5FH,AA8FE,cA9FY,CA8FZ,SAAS,AAAC,CACR,KAAK,C5GmGG,OAAoD,C4GlG5D,MAAM,CAAE,YAAY,CACpB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CA8DpB,AAhKH,AAmGI,cAnGU,CA8FZ,SAAS,CAKP,OAAO,AAAC,CACN,KAAK,C5G8FC,OAAoD,C4G7F3D,AArGL,AAsGI,cAtGU,CA8FZ,SAAS,CAQP,cAAc,AAAC,CACb,SAAS,CAAE,kBAAkB,CAC7B,IAAI,CAAE,QAAQ,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CAKpB,AAhHL,AA6GM,cA7GQ,CA8FZ,SAAS,CAQP,cAAc,CAOZ,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AA/GP,AAiHI,cAjHU,CA8FZ,SAAS,CAmBP,sBAAsB,AAAC,CACrB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAgChB,AArJL,AAuHM,cAvHQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAMpB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAzHP,AA2HM,cA3HQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAUpB,aAAa,AAAC,ClG/DlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkG+DlB,AA7HP,AA+HM,cA/HQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAcpB,WAAW,CA/HjB,cAAc,CA8FZ,SAAS,CAmBP,sBAAsB,CAepB,UAAU,CAhIhB,cAAc,CA8FZ,SAAS,CAmBP,sBAAsB,CAgBpB,UAAU,AAAC,CACT,YAAY,CAAE,GAAG,CAClB,AAnIP,AAqIM,cArIQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAoBpB,SAAS,AAAC,CACR,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,KAAK,ClG3EtB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkG8ElB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAzI3C,AAqIM,cArIQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAoBpB,SAAS,AAAC,CAKN,OAAO,CAAE,IAAI,CAEhB,CA5IP,AA8IM,cA9IQ,CA8FZ,SAAS,CAmBP,sBAAsB,CA6BpB,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAhJP,AAkJM,cAlJQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAiCpB,GAAG,AAAA,OAAO,AAAC,CACT,YAAY,CAAE,GAAG,CAClB,AApJP,AAsJI,cAtJU,CA8FZ,SAAS,CAwDP,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,IAAI,CAOlB,AA/JL,AAyJM,cAzJQ,CA8FZ,SAAS,CAwDP,kBAAkB,CAGhB,MAAM,AAAC,CACL,OAAO,CAAE,OAAO,CAIjB,AA9JP,AA2JQ,cA3JM,CA8FZ,SAAS,CAwDP,kBAAkB,CAGhB,MAAM,AAEH,QAAQ,AAAC,CACR,KAAK,CAAE,CAAC,CACT,AA7JT,AAkKE,cAlKY,CAkKZ,QAAQ,CAlKV,cAAc,CAmKZ,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CACnB,AArKH,AAuKE,cAvKY,CAuKZ,QAAQ,AAAC,CACP,YAAY,CAAE,MAAM,CACrB,AAzKH,AA2KE,cA3KY,CA2KZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,WAAW,CAQrB,AApLH,AA6KI,cA7KU,CA2KZ,oBAAoB,CAElB,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CACrB,AA/KL,AAgLI,cAhLU,CA2KZ,oBAAoB,CAKlB,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,KAAK,C3GhLA,IAAO,C2GiLb,AAnLL,AAsLE,cAtLY,CAsLZ,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CACd,AAxLH,AA0LE,cA1LY,CA0LZ,cAAc,CA1LhB,cAAc,CA2LZ,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAInB,AArMH,AAkMI,cAlMU,CA0LZ,cAAc,AAQX,aAAa,CAlMlB,cAAc,CA2LZ,mBAAmB,AAOhB,aAAa,AAAC,CACb,KAAK,CAAE,GAAG,CACX,AApML,AAuME,cAvMY,CAuMZ,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CAKd,AA/MH,AA4MI,cA5MU,CAuMZ,YAAY,CAKV,KAAK,AAAC,CACJ,SAAS,CAAE,CAAC,CACb,AA9ML,AAkNI,cAlNU,CAiNZ,UAAU,CACR,YAAY,AAAC,CACX,IAAI,CAAE,QAAQ,CACf,AApNL,AAuNE,cAvNY,CAuNZ,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,YAAY,CAUrB,AATC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA3NvC,AAuNE,cAvNY,CAuNZ,eAAe,AAAC,CAKZ,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,CAAC,CAOjB,CApOH,AA+NI,cA/NU,CAuNZ,eAAe,CAQb,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACZ,AAnOL,AAuOI,cAvOU,CAsOZ,UAAU,CACR,eAAe,AAAC,CACd,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,GAAG,CAKlB,AAJC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA3OzC,AAuOI,cAvOU,CAsOZ,UAAU,CACR,eAAe,AAAC,CAKZ,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,CAAC,CAElB,CA/OL,AAkPE,cAlPY,CAkPZ,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,CAAC,CAChB,OAAO,CAAE,IAAI,CAId,AAzPH,AAsPI,cAtPU,CAkPZ,YAAY,CAIV,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAxPL,AA2PE,cA3PY,CA2PZ,YAAY,AAAC,CACX,MAAM,CAAE,SAAS,CACjB,UAAU,CAAE,GAAG,CAChB,AA9PH,AAgQE,cAhQY,CAgQZ,iBAAiB,AAAC,CAChB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,SAAS,CACjB,UAAU,C3GlQF,IAAO,C2GmQf,OAAO,C5GvKK,GAAG,C4G4KhB,AAJC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EArQpC,AAgQE,cAhQY,CAgQZ,iBAAiB,AAAC,CAMd,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,QAAQ,CAEjB,CAzQH,AA2QE,cA3QY,CA2QZ,UAAU,AAAC,CACT,OAAO,C5G/KK,GAAG,C4GgLhB,AA7QH,AA+QE,cA/QY,CA+QZ,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,CAAC,CACd,AArRH,AAuRE,cAvRY,CAuRZ,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,CAAC,CACd,MAAM,CAAE,WAAW,CACpB,AA3RH,AA6RE,cA7RY,CA6RZ,eAAe,AAAC,CACd,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,IAAI,CAiCnB,AAlUH,AAkSI,cAlSU,CA6RZ,eAAe,CAKb,MAAM,AAAC,CACL,IAAI,CAAE,QAAQ,CACf,AApSL,AAqSI,cArSU,CA6RZ,eAAe,CAQb,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,KAAK,C5GtGC,OAAoD,C4GuG1D,UAAU,CAAE,WAAW,CAIxB,AA7SL,AA0SM,cA1SQ,CA6RZ,eAAe,CAQb,OAAO,AAKJ,MAAM,AAAC,CACN,KAAK,C3GpSJ,OAAO,C2GqST,AA5SP,AA8SI,cA9SU,CA6RZ,eAAe,CAiBb,aAAa,CA9SjB,cAAc,CA6RZ,eAAe,CAkBb,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAjTL,AAkTI,cAlTU,CA6RZ,eAAe,CAqBb,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAQpB,AA5TL,AAqTM,cArTQ,CA6RZ,eAAe,CAqBb,eAAe,CAGb,CAAC,AAAC,CACA,WAAW,CAAE,GAAG,CAChB,KAAK,C5GrHD,OAAoD,C4GsHzD,AAxTP,AAyTM,cAzTQ,CA6RZ,eAAe,CAqBb,eAAe,CAOb,QAAQ,AAAC,CACP,YAAY,CAAE,GAAG,CAClB,AA3TP,AA6TI,cA7TU,CA6RZ,eAAe,CAgCb,aAAa,CAAC,iBAAiB,AAAC,CAC9B,KAAK,C3GvTF,OAAO,C2GwTV,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,MAAM,CACvB,AAjUL,AAoUE,cApUY,CAoUZ,aAAa,CApUf,cAAc,CAqUZ,eAAe,AAAC,CACd,KAAK,C5GpIG,OAAoD,C4GqI7D,AAGH,AAAA,OAAO,CAAG,CAAC,AAAA,YAAY,AAAC,CACtB,UAAU,CAAE,CAAC,CACd,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,C5GlPO,GAAG,C4GmPjB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,KAAK,CACZ,gBAAgB,C3GjVN,IAAO,C2GkVjB,MAAM,CAAE,GAAG,CAAC,KAAK,C5GjJP,OAAoD,C4GqL/D,AAzCD,AAME,aANW,CAMX,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CA+BV,AAxCH,AAWI,aAXS,CAMX,EAAE,CAKA,EAAE,AAAC,CAMD,aAAa,CAAE,GAAG,CAAC,KAAK,C5G7JlB,OAAoD,C4GmL3D,AAvCL,AAYM,aAZO,CAMX,EAAE,CAKA,EAAE,CACA,aAAa,AAAC,CACZ,KAAK,CAAE,IAAsB,CAC7B,OAAO,CAAE,KAAK,CACf,AAfP,AAmBM,aAnBO,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AAAC,CACA,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,KAAK,ClGvSpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkGsTlB,AAtCP,AAwBQ,aAxBK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,CAKC,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C3GvWL,IAAO,C2GwWR,AA1BT,AA2BQ,aA3BK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,CAQC,IAAI,AAAA,KAAK,AAAC,CACR,SAAS,C5GvTL,OAAQ,C4GwTZ,cAAc,CAAE,MAAM,CACvB,AA9BT,AA+BQ,aA/BK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AAYE,SAAS,AAAC,CACT,gBAAgB,C5G5Kd,OAAoD,C4G6KvD,AlG5TP,AACE,mBADiB,CkG2RrB,aAAa,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AlG7SF,MAAM,CADT,mBAAmB,CkG2RrB,aAAa,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AlG5SF,UAAU,AAAC,CkG4TN,gBAAgB,C5G/Kd,OAAoD,C4GgLtD,eAAe,CAAE,IAAI,ClG3T1B,AkGkUL,AACE,GADC,AAAA,QAAQ,AAAA,SAAS,CAClB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAHH,AAIE,GAJC,AAAA,QAAQ,AAAA,SAAS,CAIlB,KAAK,CAAC,CAAC,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,GAAG,AAAA,QAAQ,CAAC,GAAG,AAAA,KAAK,CAAC,CAAC,AAAA,OAAO,CAC7B,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CAChB,SAAS,C5GlVG,OAAQ,C4GmVpB,WAAW,C5GvUO,CAAC,C4GwUnB,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,C5GxMP,OAAoD,C4G+M/D,AAfD,AASE,GATC,AAAA,QAAQ,CAAC,GAAG,AAAA,KAAK,CAAC,CAAC,AAAA,OAAO,AAS1B,MAAM,CART,YAAY,AAQT,MAAM,AAAC,CACN,gBAAgB,C5G1MR,OAAoD,C4G2M5D,MAAM,CAAE,GAAG,CAAC,KAAK,C5G3MT,OAAoD,C4G4M5D,eAAe,CAAE,IAAI,CACrB,KAAK,C3GxYA,OAAO,C2GyYb,AAGH,AAAA,GAAG,AAAA,QAAQ,AAAC,CACV,QAAQ,CAAE,IAAI,CACd,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3GxZN,IAAO,C2GyZjB,MAAM,CAAE,GAAG,CAAC,KAAK,C5GxNP,OAAoD,C4GyN9D,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,UAAU,CA+BvB,AAxCD,AAUE,GAVC,AAAA,QAAQ,CAUT,GAAG,AAAA,KAAK,AAAC,CACP,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,QAAQ,CACjB,WAAW,C5G/VK,GAAG,C4GoWpB,AAlBH,AAcI,GAdD,AAAA,QAAQ,CAUT,GAAG,AAAA,KAAK,CAIN,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,WAAW,C5GnWI,GAAG,C4GoWnB,AAjBL,AAoBE,GApBC,AAAA,QAAQ,CAoBT,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,YAAY,CAAE,IAAI,CACnB,AA1BH,AA4BE,GA5BC,AAAA,QAAQ,CA4BT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,WAAW,CACvB,UAAU,CAAE,KAAK,CAIlB,AAvCH,AAoCI,GApCD,AAAA,QAAQ,CA4BT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAQH,gBAAgB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,kBADgB,CAChB,SAAS,AAAC,CACR,KAAK,C5G7PG,OAAoD,C4G8P7D,AAGH,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,KAAK,CAMd,AALC,AACE,YADU,CAHd,SAAS,CAIL,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAIL,AAAA,eAAe,AAAC,CACd,iBAAiB,CAAE,uBAAuB,CAC1C,SAAS,CAAE,uBAAuB,CACnC,AAED,kBAAkB,CAAlB,WAAkB,CAChB,GAAG,CACD,cAAc,CAAE,UAAU,CAE5B,IAAI,CACF,cAAc,CAAE,UAAU,EAG9B,UAAU,CAAV,WAAU,CACR,GAAG,CACD,OAAO,CAAE,CAAC,CAEZ,IAAI,CACF,OAAO,CAAE,CAAC,EAId,AACE,IADE,AAAA,0BAA0B,CAC5B,YAAY,CADd,IAAI,AAAA,0BAA0B,CAE5B,MAAM,CAFR,IAAI,AAAA,0BAA0B,CAG5B,QAAQ,CACR,IAAI,AAAA,IAAK,CAAA,oBAAoB,EAJ/B,IAAI,AAAA,0BAA0B,CAIK,kBAAkB,AAAC,CAClD,OAAO,CAAE,IAAI,CACd,AANH,AAQE,IARE,AAAA,0BAA0B,CAQ5B,cAAc,AAAC,CACb,GAAG,CAAE,GAAG,CAIT,AAbH,AAUI,IAVA,AAAA,0BAA0B,CAQ5B,cAAc,AAEX,KAAK,AAAC,CACL,MAAM,CAAE,mCAAmC,CAC5C,ACzaL,AAAA,OAAO,AAAC,CACN,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAxCM,IAAI,CAyCjB,QAAQ,CAAE,MAAM,CAChB,QAAQ,CAAE,KAAK,CAEf,UAAU,CAlDI,OAAO,CAmDrB,OAAO,CAlDS,EAAG,CAoDjB,MAAM,CAAE,iBAAiD,CAE5D,AAGD,AAAA,SAAS,AAAC,CACR,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAzDM,IAAI,CA0DjB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,YAAY,CACrB,2BAA2B,CAAE,MAAM,CACpC,AAGD,AAAA,cAAc,AAAC,CACb,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,OAAO,CAAE,CAAC,CA1ES,GAAG,CA2EtB,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACvB,AAGD,AACE,cADY,AACX,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,IAAI,CACZ,cAAc,CAAE,MAAM,CACvB,AAIH,AAEI,cAFU,CACZ,cAAc,AACX,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAKL,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,MAAM,CACd,UAAU,CAAE,IAAI,CAChB,OAAO,CAvGM,IAAI,CAwGlB,AACD,AAEE,kBAFgB,CAEhB,YAAY,CADd,gBAAgB,CACd,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAIH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,QAAQ,CACjB,AACD,AACE,iBADe,CAAjB,iBAAiB,CAEf,iBAAiB,CAAC,UAAU,AAAC,CAC3B,MAAM,CAAE,aAAa,CACrB,MAAM,CAAE,gBAAgB,CACxB,MAAM,CAAE,QAAQ,CACjB,AAEH,AAAA,SAAS,AAAC,CACR,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,eAAe,CACvB,MAAM,CAAE,YAAY,CACpB,MAAM,CAAE,OAAO,CAChB,AACD,AACE,gBADc,CACd,YAAY,AAAC,CACX,MAAM,CAAE,IAAI,CACb,AAGH,AAAA,UAAU,CACV,UAAU,CACV,cAAc,CACd,YAAY,AAAC,CACX,mBAAmB,CAAE,IAAI,CACzB,gBAAgB,CAAE,IAAI,CACtB,WAAW,CAAE,IAAI,CAClB,AAGD,AACE,YADU,AACT,WAAW,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AAiBD,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,eAAe,CACzB,AAQH,AAAA,cAAc,AAAC,CACb,KAAK,CA7Ke,IAAI,CA8KxB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,MAAM,CAClB,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,GAAG,CACV,OAAO,CA1LM,IAAI,CAiMlB,AAhBD,AAUE,cAVY,CAUZ,CAAC,AAAC,CACA,KAAK,CAvLa,IAAI,CA2LvB,AAfH,AAYI,cAZU,CAUZ,CAAC,AAEE,MAAM,AAAC,CACN,KAAK,CAxLiB,IAAI,CAyL3B,AAKL,AACE,YADU,CACV,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACd,AAIH,AACE,YADU,CACV,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AAIH,AACE,MADI,AACH,UAAU,CADb,MAAM,AAEH,UAAU,AAAC,CACV,QAAQ,CAAE,OAAO,CACjB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,kBAAkB,CAAE,IAAI,CACxB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,CAAC,CACV,OAAO,CA5NI,IAAI,CA6Nf,kBAAkB,CAAE,IAAI,CACxB,UAAU,CAAE,IAAI,CACjB,AAbH,AAcE,MAdI,AAcH,kBAAkB,AAAC,CAClB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACV,AAIH,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,C7G5MO,GAAG,C6G6MrB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,MAAM,CAClB,OAAO,CA9OU,GAAI,CAgPnB,MAAM,CAAE,iBAAkD,CAE5D,OAAO,CAAE,aAAa,CACtB,KAAK,CAlPU,IAAI,CAmPnB,UAAU,CAAE,MAAM,CAClB,SAAS,C7G7OC,GAAG,C6G8Ob,WAAW,CAAE,6BAA6B,CAc3C,AA/BD,AAmBE,UAnBQ,AAmBP,MAAM,CAnBT,UAAU,AAoBP,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CAER,MAAM,CAAE,kBAAkC,CAE7C,AA1BH,AA4BE,UA5BQ,AA4BP,OAAO,AAAC,CACP,GAAG,CAAE,GAAG,CACT,AAEH,AACE,iBADe,CACf,UAAU,AAAC,CACT,KAAK,CArQgB,IAAI,CAsQ1B,AAEH,AAEE,iBAFe,CAEf,UAAU,CADZ,kBAAkB,CAChB,UAAU,AAAC,CACT,KAAK,CA5QQ,IAAI,CA6QjB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACZ,AAIH,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,KAAK,CAvRe,IAAI,CAwRxB,SAAS,C7G7QG,OAAQ,C6G8QpB,WAAW,C7GjQQ,GAAG,C6GkQvB,AAIC,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAnSQ,GAAI,CAqSjB,MAAM,CAAE,iBAAkD,CAE5D,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CACb,2BAA2B,CAAE,WAAgB,CAwC9C,AAnDD,AAYE,UAZQ,AAYP,OAAO,AAAC,CACP,UAAU,CAAE,KAAK,CAClB,AAdH,AAeE,UAfQ,AAeP,MAAM,CAfT,UAAU,AAgBP,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CAER,MAAM,CAAE,kBAAkC,CAE7C,AAtBH,AAuBE,UAvBQ,AAuBP,OAAO,CAvBV,UAAU,AAwBP,MAAM,CAxBT,UAAU,CAyBR,MAAM,CAzBR,UAAU,CA0BR,MAAM,AAAC,CACL,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,wBAAwB,CACjC,AArCH,AAuCE,UAvCQ,AAuCP,MAAM,CAvCT,UAAU,CAwCR,MAAM,AAAC,CACL,gBAAgB,CAAE,IAAI,CACtB,mBAAmB,CAAE,IAAI,CACzB,GAAG,CAAE,GAAG,CACT,AA5CH,AA8CE,UA9CQ,AA8CP,OAAO,CA9CV,UAAU,CA+CR,MAAM,AAAC,CACL,gBAAgB,CAAE,IAAI,CACtB,mBAAmB,CAAE,IAAI,CAC1B,AAGH,AAAA,eAAe,AAAC,CACd,IAAI,CAAE,CAAC,CAYR,AAbD,AAGE,eAHa,AAGZ,MAAM,CAHT,eAAe,CAIb,MAAM,AAAC,CACL,YAAY,CAAE,eAAe,CAC7B,WAAW,CAAE,IAAI,CAClB,AAPH,AAQE,eARa,AAQZ,OAAO,CARV,eAAe,CASb,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,kBAAkB,CACjC,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,CAAC,CAUT,AAXD,AAEE,gBAFc,AAEb,MAAM,CAFT,gBAAgB,CAGd,MAAM,AAAC,CACL,WAAW,CAAE,eAAe,CAC5B,WAAW,CAAE,IAAI,CAClB,AANH,AAOE,gBAPc,AAOb,OAAO,CAPV,gBAAgB,CAQd,MAAM,AAAC,CACL,WAAW,CAAE,kBAAkB,CAChC,AAMH,AAAA,kBAAkB,AAAC,CACjB,WAAW,CA7WM,IAAI,CA8WrB,cAAc,CA9WG,IAAI,CAuXtB,AAXD,AAGE,kBAHgB,CAGhB,YAAY,AAAC,CACX,WAAW,CAAE,CAAC,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CAhXI,KAAK,CAiXnB,AAPH,AAQE,kBARgB,CAQhB,UAAU,AAAC,CACT,GAAG,CAAE,KAAK,CACX,AAEH,AAAA,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAoB,CAWlC,AAfD,AAKE,kBALgB,CAKhB,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,KAAK,CACd,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAnZP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,eAAkB,CAoZ7B,UAAU,CApYI,IAAI,CAqYnB,AAOH,AACE,GADC,AACA,QAAQ,AAAC,CACR,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CACd,WAAW,CAAE,CAAC,CACd,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,OAAO,CA/YO,IAAI,CA+YU,CAAC,CA9YZ,IAAI,CA+YrB,MAAM,CAAE,MAAM,CACf,AAIH,AAAA,WAAW,AAAC,CACV,WAAW,CAAE,CAAC,CAwBf,AAzBD,AAEE,WAFS,AAER,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,GAAG,CA3ZW,IAAI,CA4ZlB,MAAM,CA3ZW,IAAI,CA4ZrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,EAAE,CACX,UAAU,CAzbP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,eAAkB,CA0b7B,UAAU,CApaG,0CAA0C,CAqaxD,AAfH,AAgBE,WAhBS,CAgBT,KAAK,AAAC,CACJ,KAAK,CAhac,OAAO,CAia1B,OAAO,CAAE,KAAK,CACd,SAAS,C7G3aD,OAAQ,C6G4ahB,WAAW,C7G/ZI,GAAG,C6GganB,AArBH,AAsBE,WAtBS,CAsBT,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACV,AAEH,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,KAA0B,CACtC,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AACD,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CAChB,WAAW,C7G/aM,GAAG,C6GgbpB,KAAK,CArba,OAAO,CAsbzB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,IAAI,CAMpB,AAXD,AAQE,UARQ,CAQR,CAAC,AAAA,kBAAkB,CAAC,OAAO,AAAC,CAC1B,aAAa,CAAE,GAAG,CACnB,AAGH,AACE,iBADe,CACf,YAAY,AAAC,CACX,SAAS,CAAE,IAAI,CAChB,AAGH,AAEI,YAFQ,CACV,iBAAiB,CACf,WAAW,AAAC,CACV,MAAM,CAAE,OAAO,CAChB,AAKH,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,OAAO,WAAW,EAAE,SAAS,GAAE,MAAM,MAAM,UAAU,EAAE,KAAK,EAK1F,AACE,eADa,CACb,iBAAiB,AAAC,CAChB,YAAY,CAAE,CAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAJH,AAMI,eANW,CAKb,GAAG,AACA,QAAQ,AAAC,CACR,OAAO,CAAE,CAAC,CACX,AARL,AAYI,eAZW,CAUb,WAAW,AAER,MAAM,AAAC,CACN,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AAfL,AAgBI,eAhBW,CAUb,WAAW,CAMT,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,WAAW,CAAE,GAAG,CACjB,AAnBL,AAqBE,eArBa,CAqBb,eAAe,AAAC,CACd,UAAU,CAAE,eAAkB,CAC9B,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACT,OAAO,CAAE,OAAO,CAChB,QAAQ,CAAE,KAAK,CACf,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CAIvB,AAlCH,AA+BI,eA/BW,CAqBb,eAAe,AAUZ,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAjCL,AAmCE,eAnCa,CAmCb,YAAY,AAAC,CACX,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,GAAG,CACT,AAtCH,AAuCE,eAvCa,CAuCb,UAAU,AAAC,CACT,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,C7GzfD,GAAG,C6G0fb,UAAU,CAAE,eAAkB,CAC9B,QAAQ,CAAE,KAAK,CACf,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,CAAC,CACX,CAOT,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAhQ9B,AAAA,UAAU,AAiQC,CnG/eX,iBAAiB,CmGgfI,WAAW,CnG/ehC,SAAS,CmG+eY,WAAW,CAC/B,AA9MD,AAAA,eAAe,AA+MC,CACd,gBAAgB,CAAE,CAAC,CACnB,wBAAwB,CAAE,CAAC,CAC5B,AAnMD,AAAA,gBAAgB,AAoMC,CACf,gBAAgB,CAAE,IAAI,CACtB,wBAAwB,CAAE,IAAI,CAC/B,AA9eH,AAAA,cAAc,AA+eG,CACb,YAAY,CAljBY,GAAG,CAmjB3B,aAAa,CAnjBW,GAAG,CAojB5B,CAMD,AACE,QADM,CACN,QAAQ,AAAC,CACP,OAAO,CAAE,CAAC,CACX,AAHH,AAIE,QAJM,CAIN,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,GAAG,CACf,cAAc,CAAE,GAAG,CACpB,AAVH,AAWE,QAXM,CAWN,cAAc,AAAC,CACb,OAAO,CAAE,CAAC,CACX,AAbH,AAcE,QAdM,CAcN,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAhBH,AAiBE,QAjBM,CAiBN,UAAU,AAAC,CACT,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,CAAC,CACf,AAIL,AAEE,YAFU,CAEV,YAAY,AAAC,CACX,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,QAAQ,CACpB,iBAAiB,CAAE,UAAU,CAC7B,aAAa,CAAE,UAAU,CACzB,SAAS,CAAE,UAAU,CACtB,AARH,AAUE,YAVU,AAUT,OAAO,AAAC,CACP,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,iBAAiB,CAC9B,AAbH,AAiBI,YAjBQ,AAgBT,UAAU,CACT,YAAY,AAAC,CACX,OAAO,CAAE,CAAC,CnG9iBd,iBAAiB,CmG+iBM,QAAQ,CnG9iB/B,SAAS,CmG8iBc,QAAQ,CAC5B,AApBL,AAqBI,YArBQ,AAgBT,UAAU,AAKR,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACb,AAvBL,AA4BI,YA5BQ,AA2BT,aAAa,CACZ,YAAY,AAAC,CnGxjBf,iBAAiB,CmGyjBM,UAAU,CnGxjBjC,SAAS,CmGwjBc,UAAU,CAC7B,OAAO,CAAE,CAAC,CACX,AA/BL,AAgCI,YAhCQ,AA2BT,aAAa,AAKX,OAAO,AAAC,CACP,OAAO,CAAE,CAAC,CACX,AAIL,AACE,qBADmB,AAClB,SAAS,AAAC,CACT,UAAU,CAAE,eAAe,CAC3B,UAAU,CAAE,eAAe,CAC5B,AAJH,AAKE,qBALmB,CAKnB,QAAQ,AAAC,CACP,SAAS,CAAE,IAAI,CAChB,ACjqBH,AACE,aADW,AAAA,YAAY,CACvB,IAAI,AAAC,CACH,gBAAgB,C7GKX,OAAO,C6GJZ,KAAK,C7GFG,IAAO,C6GGf,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CACjB,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,QAAQ,CAAE,MAAM,CAejB,AArBD,AAOE,mBAPiB,AAOhB,OAAO,AAAC,CACP,SAAS,CAAE,8CAA8C,CACzD,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,gEAKX,CACD,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,iBAAiB,CACxB,MAAM,CAAE,KAAK,CACb,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,MAAM,AAAC,CACL,IAAI,CAAE,QAAQ,CACd,QAAQ,CAAE,MAAM,CA8BjB,AAhCD,AAGE,MAHI,CAGJ,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,WAAW,CAAE,IAAI,CAClB,AAPH,AASE,MATI,CASJ,IAAI,AAAC,CACH,SAAS,C9GFJ,GAAG,C8GGR,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CpGMvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CoGNrB,cAAc,CAAE,MAAM,CAIvB,AAlBH,AAeI,MAfE,CASJ,IAAI,CAMF,CAAC,AAAC,CACA,KAAK,C9GwIC,OAAoD,C8GvI3D,AAjBL,AAmBE,MAnBI,CAmBJ,GAAG,AAAC,CACF,SAAS,C9GXC,OAAQ,C8GYlB,KAAK,C9GmIG,OAAoD,C8GlI7D,AAtBH,AAuBE,MAvBI,CAuBJ,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAClB,AA1BH,AA2BE,MA3BI,CA2BJ,SAAS,CAAC,CAAC,CA3Bb,MAAM,CA4BJ,WAAW,CA5Bb,MAAM,CA6BJ,WAAW,CAAC,CAAC,AAAC,CACZ,KAAK,C9G0HG,OAAoD,C8GzH7D,AAIH,AAAA,OAAO,CACP,iBAAiB,AAAC,CAChB,SAAS,CAAE,UAAU,CACrB,WAAW,C9GfO,GAAG,C8GoFtB,AAxED,AAIE,OAJK,CAIL,EAAE,CAJJ,OAAO,CAKL,EAAE,CALJ,OAAO,CAML,EAAE,CANJ,OAAO,CAOL,EAAE,CAPJ,OAAO,CAQL,EAAE,CARJ,OAAO,CASL,EAAE,CARJ,iBAAiB,CAGf,EAAE,CAHJ,iBAAiB,CAIf,EAAE,CAJJ,iBAAiB,CAKf,EAAE,CALJ,iBAAiB,CAMf,EAAE,CANJ,iBAAiB,CAOf,EAAE,CAPJ,iBAAiB,CAQf,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACnB,WAAW,C9GxBM,GAAG,C8GyBrB,AAZH,AAcE,OAdK,CAcL,EAAE,CAbJ,iBAAiB,CAaf,EAAE,AAAC,CACD,SAAS,C9G7CD,QAAQ,C8G8CjB,AAhBH,AAkBE,OAlBK,CAkBL,EAAE,CAjBJ,iBAAiB,CAiBf,EAAE,AAAC,CACD,SAAS,C9GhDD,QAAQ,C8GiDjB,AApBH,AAsBE,OAtBK,CAsBL,EAAE,CArBJ,iBAAiB,CAqBf,EAAE,AAAC,CACD,SAAS,C9GnDD,QAAQ,C8GoDjB,AAxBH,AA0BE,OA1BK,CA0BL,EAAE,CAzBJ,iBAAiB,CAyBf,EAAE,AAAC,CACD,SAAS,C9GtDJ,GAAG,C8GuDT,AA5BH,AA8BE,OA9BK,CA8BL,EAAE,CA7BJ,iBAAiB,CA6Bf,EAAE,AAAC,CACD,SAAS,C9GzDC,OAAQ,C8G0DnB,AAhCH,AAkCE,OAlCK,CAkCL,EAAE,CAjCJ,iBAAiB,CAiCf,EAAE,AAAC,CACD,SAAS,C9G5DC,OAAQ,C8G6DnB,AApCH,AAsCE,OAtCK,CAsCL,CAAC,CArCH,iBAAiB,CAqCf,CAAC,AAAC,CACA,SAAS,CAAE,UAAU,CACtB,AAxCH,AAyCE,OAzCK,CAyCL,GAAG,CAxCL,iBAAiB,CAwCf,GAAG,AAAC,CACF,gBAAgB,C9G2ER,OAAoD,C8GvE7D,AA9CH,AA+CE,OA/CK,CA+CL,GAAG,CA9CL,iBAAiB,CA8Cf,GAAG,AAAC,CACF,gBAAgB,C9GqER,OAAoD,C8GjE7D,AApDH,AAsDE,OAtDK,CAsDL,GAAG,CArDL,iBAAiB,CAqDf,GAAG,AAAC,CACF,SAAS,CAAE,MAAM,CAClB,AAxDH,AAyDE,OAzDK,CAyDL,KAAK,CAxDP,iBAAiB,CAwDf,KAAK,AAAC,CACJ,SAAS,CAAE,OAAO,CACnB,AA3DH,AA4DE,OA5DK,CA4DL,KAAK,CAAC,KAAK,CA3Db,iBAAiB,CA2Df,KAAK,CAAC,KAAK,AAAC,CACV,SAAS,CAAE,MAAM,CAClB,AA9DH,AA+DE,OA/DK,CA+DL,GAAG,CAAC,GAAG,CA9DT,iBAAiB,CA8Df,GAAG,CAAC,GAAG,AAAC,CACN,SAAS,CAAE,GAAG,CACf,AAjEH,AAkEE,OAlEK,CAkEL,GAAG,CAAC,GAAG,CAAC,GAAG,CAjEb,iBAAiB,CAiEf,GAAG,CAAC,GAAG,CAAC,GAAG,AAAC,CACV,MAAM,CAAE,CAAC,CACV,AApEH,AAqEE,OArEK,CAqEL,GAAG,CAAC,GAAG,CAAC,GAAG,CApEb,iBAAiB,CAoEf,GAAG,CAAC,GAAG,CAAC,GAAG,AAAC,CACV,GAAG,CAAE,CAAC,CACP,AAGH,AAEE,OAFK,CAEL,KAAK,CADP,iBAAiB,CACf,KAAK,AAAC,CACJ,SAAS,CAAE,IAAI,CAChB,AAJH,AAKE,OALK,CAKL,GAAG,CAAC,GAAG,CAJT,iBAAiB,CAIf,GAAG,CAAC,GAAG,AAAC,CACN,GAAG,CAAE,CAAC,CACP,AAIH,AACE,UADQ,CACR,QAAQ,CAAG,OAAO,AAAC,CACjB,gBAAgB,C9G8BR,OAAoD,C8G7B5D,OAAO,CAAE,IAAI,CAKd,AARH,AAII,UAJM,CACR,QAAQ,CAAG,OAAO,CAGhB,GAAG,AAAA,IAAK,CAAA,UAAU,CAAE,CAClB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAPL,AAUI,UAVM,CASR,SAAS,CAAG,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CrE/IV,UAAU,CqEwJI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CpC2MV,UAAU,CoClMI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CpC+MV,KAAK,CoCtMS,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,AAAC,CACd,KAAK,C9GqBC,OAAoD,C8Gf3D,AAjBL,AAYM,UAZI,CASR,SAAS,CAAG,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CrE/IV,UAAU,CqEwJI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CpC2MV,UAAU,CoClMI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CpC+MV,KAAK,CoCtMS,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,AAAC,CACA,gBAAgB,C9GmBZ,OAAoD,C8GlBxD,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,GAAG,CACnB,AAKP,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CAWxB,AAbD,AAIE,gBAJc,CAId,MAAM,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AANH,AAQE,gBARc,CAQd,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACpB,AAIH,AAAA,KAAK,AAAA,MAAM,AAAC,CACV,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CA0BnB,AA5BD,AAIE,KAJG,AAAA,MAAM,CAIT,cAAc,AAAC,CACb,WAAW,CAAE,GAAG,CACjB,AANH,AAQE,KARG,AAAA,MAAM,CAQT,MAAM,AAAC,CpG7HP,WAAW,CAAE,GAAG,CAAC,KAAK,CVgHZ,OAAoD,CU/G9D,gBAAgB,CV8FR,OAAqB,C8GiC3B,KAAK,C9GhBG,OAAoD,C8GkB5D,OAAO,CAAE,kBAAkB,CpG7I7B,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CoGgJxB,AAtBH,AAeI,KAfC,AAAA,MAAM,CAQT,MAAM,CAOJ,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAjBL,AAkBI,KAlBC,AAAA,MAAM,CAQT,MAAM,CAUJ,GAAG,AAAC,CACF,UAAU,CAAE,IAAI,CACjB,AApBL,AAyBE,KAzBG,AAAA,MAAM,CAyBT,UAAU,AAAC,CACT,UAAU,CAAE,CAAC,CACd,AAGH,AAIE,UAJQ,CAIR,GAAG,AAAC,CACF,SAAS,CAAE,eAAe,CAC3B,AAGH,AAAA,eAAe,CACf,eAAe,CAAC,OAAO,AAAC,CACtB,KAAK,C9G9CK,OAAoD,C8G+C/D,AAED,AAAA,OAAO,CAAC,UAAU,AAAC,CACjB,gBAAgB,C9GlDN,OAAoD,C8GmD9D,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,IAAI,CACb,AAED,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,YAAY,AAAC,CACX,KAAK,C9G5DK,OAAoD,C8GiE/D,AAND,AAEE,YAFU,CAEV,YAAY,CAFd,YAAY,CAGV,WAAW,AAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,C9GnKC,CAAC,C8GoKV,AAED,AAAA,WAAW,AAAA,OAAO,AAAC,CACjB,OAAO,CAAE,GAAG,CACb,AAED,AAAA,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAPD,AAIE,eAJa,CAIb,CAAC,AAAC,CACA,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,C9G1GR,OAAqB,C8G2G7B,KAAK,C7G3RK,IAAO,C6G4RjB,OAAO,CAAE,IAAI,CACb,OAAO,C9G5LK,GAAG,C8G6Lf,OAAO,CAAE,GAAG,CAUb,AAjBD,AASE,aATW,CASX,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACtB,AAXH,AAaE,aAbW,AAaV,MAAM,AAAC,CACN,gBAAgB,C9GpGR,OAAoD,C8GqG5D,MAAM,CAAE,OAAO,CAChB,AAGH,AAAA,aAAa,CACb,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,UAAU,AAAC,CACT,UAAU,C9G/GA,OAAoD,C8GgH9D,MAAM,CAAE,GAAG,CAAC,KAAK,C9GhHP,OAAoD,C8GiH9D,UAAU,CAAE,IAAI,CAsJjB,AAzJD,AAMI,UANM,CAKR,QAAQ,CACJ,GAAG,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AAVL,AAWI,UAXM,CAKR,QAAQ,CAMN,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,MAAM,CACnB,SAAS,C9G9QD,OAAQ,C8G+QhB,WAAW,C9GpQG,CAAC,C8GqQhB,AApBL,AAuBE,UAvBQ,CAuBR,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AA1BH,AA4BE,UA5BQ,CA4BR,OAAO,AAAC,CACN,UAAU,CAAE,GAAG,CAAC,KAAK,C9G3Ib,OAAoD,C8G4I7D,AA9BH,AAgCE,UAhCQ,CAgCR,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAnCH,AAqCE,UArCQ,CAqCR,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAClB,KAAK,C7GvVC,IAAO,C6GwVb,WAAW,C9GvRK,GAAG,C8GwRnB,WAAW,CAAE,MAAM,CACnB,SAAS,C9GxSJ,GAAG,C8GyST,AA3CH,AA6CE,UA7CQ,CA6CR,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACnB,KAAK,C9G7JG,OAAoD,C8G8J5D,WAAW,CAAE,MAAM,CACnB,SAAS,C9G9SC,OAAQ,C8G+SlB,WAAW,C9GnSK,CAAC,C8GoSlB,AAnDH,AAqDE,UArDQ,CAqDR,IAAI,AAAA,OAAO,AAAC,CACV,SAAS,C9GlTC,OAAQ,C8GmTlB,KAAK,C9GrKG,OAAoD,C8GsK7D,AAxDH,AA0DE,UA1DQ,CA0DR,EAAE,AAAC,CACD,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,GAAG,CACb,AA7DH,AAgEI,UAhEM,CA+DR,YAAY,CACV,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAlEL,AAmEI,UAnEM,CA+DR,YAAY,CAIV,mBAAmB,AAAC,CAClB,MAAM,CAAE,aAAa,CACtB,AArEL,AAwEE,UAxEQ,CAwER,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CASpB,AAnFH,AA4EI,UA5EM,CAwER,SAAS,CAIP,IAAI,AAAC,CACH,YAAY,CAAE,KAAK,CAKpB,AAlFL,AA+EM,UA/EI,CAwER,SAAS,CAIP,IAAI,AAGD,WAAW,AAAC,CACX,MAAM,CAAE,CAAC,CACV,AAjFP,AAqFE,UArFQ,CAqFR,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CA0DpB,AAlJH,AA0FI,UA1FM,CAqFR,aAAa,CAKP,SAAS,AAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AA5FL,AA+FM,UA/FI,CAqFR,aAAa,AASV,WAAW,CAAC,KAAK,CAChB,SAAS,CA/Ff,UAAU,CAqFR,aAAa,AASV,WAAW,CAAC,KAAK,CAEhB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAlGP,AAqGI,UArGM,CAqFR,aAAa,CAgBX,KAAK,AAAC,CACJ,MAAM,CAAE,GAAG,CAAC,KAAK,C9GpNX,OAAoD,C8GqN1D,aAAa,CAAE,MAAM,CACrB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,wBAAwB,CAChC,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAqCb,AAjJL,AA8GM,UA9GI,CAqFR,aAAa,CAgBX,KAAK,CASH,UAAU,CA9GhB,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAUH,WAAW,AAAC,CACV,KAAK,C9G9ND,OAAoD,C8GmOzD,AArHP,AAkHQ,UAlHE,CAqFR,aAAa,CAgBX,KAAK,CASH,UAAU,AAIP,MAAM,CAlHf,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAUH,WAAW,AAGR,MAAM,AAAC,CACN,KAAK,C7GnaL,IAAO,C6GoaR,AApHT,AAuHM,UAvHI,CAqFR,aAAa,CAgBX,KAAK,CAkBH,OAAO,CAvHb,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAmBH,aAAa,AAAC,CACZ,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,MAAM,CACrB,AA3HP,AA6HM,UA7HI,CAqFR,aAAa,CAgBX,KAAK,CAwBH,SAAS,CA7Hf,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAyBH,WAAW,AAAC,CACV,YAAY,CAAE,MAAM,CACrB,AAhIP,AAkIM,UAlII,CAqFR,aAAa,CAgBX,KAAK,AA6BF,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,AApIP,AAsIM,UAtII,CAqFR,aAAa,CAgBX,KAAK,CAiCH,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,iBAAiB,CAChC,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,IAAI,CACb,AAhJP,AAqJI,UArJM,CAoJR,2BAA2B,CACzB,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACpB,AAIL,AAME,aANW,CAMX,aAAa,CALf,qBAAqB,CAKnB,aAAa,CAJf,iBAAiB,CAIf,aAAa,CAHf,UAAU,CAAC,OAAO,CAGhB,aAAa,CAFf,oBAAoB,CAElB,aAAa,CADf,WAAW,CACT,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAC5B,mBAAmB,CAAE,MAAM,CAC3B,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,aAAa,CAAC,aAAa,CAC3B,qBAAqB,CAAC,aAAa,CACnC,eAAe,CAAC,oBAAoB,CAAC,aAAa,CAClD,WAAW,CAAC,aAAa,AAAC,CACxB,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CASb,AAfD,AAOE,aAPW,CAAC,aAAa,AAOxB,QAAQ,CANX,qBAAqB,CAAC,aAAa,AAMhC,QAAQ,CALX,eAAe,CAAC,oBAAoB,CAAC,aAAa,AAK/C,QAAQ,CAJX,WAAW,CAAC,aAAa,AAItB,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,iBAAiB,CAAC,aAAa,CAC/B,oBAAoB,CAAC,aAAa,AAAC,CACjC,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CAYb,AAhBD,AAKE,iBALe,CAAC,aAAa,AAK5B,QAAQ,CAJX,oBAAoB,CAAC,aAAa,AAI/B,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAZH,AAaE,iBAbe,CAAC,aAAa,CAa7B,GAAG,CAZL,oBAAoB,CAAC,aAAa,CAYhC,GAAG,AAAC,CACF,SAAS,C9G5cD,QAAQ,C8G6cjB,AAEH,AAAA,UAAU,CAAC,OAAO,CAAC,aAAa,AAAC,CAC/B,KAAK,CAAE,CAAC,CACR,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,C7GngBG,IAAO,C6G+gBhB,AAlBD,AAOE,UAPQ,CAAC,OAAO,CAAC,aAAa,AAO7B,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,CAAC,CACT,AAdH,AAeE,UAfQ,CAAC,OAAO,CAAC,aAAa,CAe9B,OAAO,AAAC,CACN,SAAS,C9GzdC,OAAQ,C8G0dnB,AAEH,AAAA,aAAa,CAAC,oBAAoB,AAAC,CACjC,OAAO,CAAE,IAAI,CACd,AAED,AACE,IADE,AACD,cAAc,AAAC,CACd,OAAO,CAAE,IAAI,CAQd,AAVH,AAGI,IAHA,AACD,cAAc,CAEb,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,EAAE,CAIV,AATL,AAMM,IANF,AACD,cAAc,CAEb,QAAQ,CAGN,IAAI,AAAC,CACH,MAAM,CAAE,IAAI,CACb,AAKP,AAIE,WAJS,CAIT,OAAO,AAAC,CACN,QAAQ,CAAE,MAAM,CACjB,AANH,AAOE,WAPS,AAOR,YAAY,AAAC,CACZ,SAAS,CAAE,uCAAuC,CACnD,AAGH,AAAA,UAAU,AAAC,CACT,IAAI,CAAE,QAAQ,CACd,YAAY,CAAE,KAAK,CAwBpB,AA1BD,AAIE,UAJQ,AAIP,UAAU,AAAC,CACV,YAAY,CAAE,CAAC,CAChB,AANH,AAUI,UAVM,AAOP,UAAU,CAGT,OAAO,CAVX,UAAU,AAQP,QAAQ,CAEP,OAAO,CAVX,UAAU,AASP,YAAY,CACX,OAAO,AAAC,CACN,SAAS,C9GtgBN,GAAG,C8GugBP,AAZL,AAeE,UAfQ,CAeR,KAAK,CAfP,UAAU,CAgBR,eAAe,AAAC,CACd,KAAK,C3GlfF,KAAK,C2GmfT,AAlBH,AAoBE,UApBQ,AAoBP,UAAU,AAAC,CACV,KAAK,C9GhYG,OAAoD,C8GiY7D,AAtBH,AAuBE,UAvBQ,AAuBP,UAAU,AAAC,CACV,MAAM,CAAE,OAAO,CAChB,AzG/dH,AAAA,GAAG,CAAC,IAAI,AyGmeD,CACH,SAAS,CAAE,MAAM,CACjB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,KAAK,CACd,KAAK,C7G9kBC,IAAO,C6G+kBb,UAAU,C9G9ZJ,OAAqB,C8G+Z3B,UAAU,CAAE,KAAK,CAClB,AAGH,AAAA,GAAG,AAAC,CACF,gBAAgB,C7GplBN,IAAO,C6GqlBjB,MAAM,CAAE,GAAG,CAAC,KAAK,C9GpZP,OAAoD,C8GqZ9D,aAAa,CAAE,GAAG,CAClB,UAAU,C9G5cR,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CAC1B,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG,CAAmB,IAAI,CAAQ,KAAK,C8G4c/C,UAAU,CAAoB,OAAO,CACrC,MAAM,CAAE,GAAG,CAAC,KAAK,CAAmB,IAAI,CACxC,aAAa,CAAE,MAAM,CAAC,IAAI,CAAmB,IAAI,CAEjD,KAAK,C7G7lBG,IAAO,C6G8lBf,OAAO,CAAE,YAAY,CACrB,SAAS,C9G5iBG,OAAQ,C8G6iBpB,WAAW,C9G/hBO,GAAG,C8GgiBrB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,WAAW,CASrB,AAvBD,AAoBE,GApBC,CAoBD,CAAC,CAAC,CAAC,CAAC,CAAC,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAKH,AAAA,UAAU,CAAG,CAAC,AAAA,YAAY,AAAC,CACzB,UAAU,CAAE,YAAY,CACzB,AACD,AAAA,UAAU,CAAG,CAAC,AAAA,WAAW,AAAC,CACxB,aAAa,CAAE,YAAY,CAC5B,AzCxiBC,AAAA,IAAI,AyC0iBD,CACH,OAAO,CAAE,mBAAmB,CAC5B,KAAK,C9GtbK,OAAoD,C8Gub9D,MAAM,CAAE,OAAO,CACf,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,IAAI,CACjB,SAAS,C9GzkBG,OAAQ,C8G0kBrB,AAED,AAAA,UAAU,CACV,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CAKxB,AAPD,AAGE,UAHQ,CAGR,CAAC,CAFH,SAAS,CAEP,CAAC,AAAC,CACA,MAAM,CAAE,gBAAgB,CACxB,OAAO,CAAE,YAAY,CACtB,AAGH,AAGI,OAHG,CAAC,KAAK,CAEX,KAAK,CACH,EAAE,CAFN,iBAAiB,CAAC,KAAK,CACrB,KAAK,CACH,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,IAAI,CACjB,KAAK,C7G/oBD,IAAO,C6GgpBZ,AARL,AAWE,OAXK,CAAC,KAAK,CAWX,EAAE,CAVJ,iBAAiB,CAAC,KAAK,CAUrB,EAAE,AAAC,CACD,OAAO,CAAE,iBAAiB,CAC3B,AAGH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C9G1dX,OAAoD,C8GsiB/D,AAhFD,AAKE,aALW,CAKX,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,IAAI,CAClB,IAAI,CAAE,QAAQ,CAOf,AAjBH,AAWI,aAXS,CAKX,aAAa,CAMX,OAAO,AAAC,CACN,SAAS,CAAE,GAAG,CACd,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,KAAK,C9GreC,OAAoD,C8Gse3D,AAhBL,AAmBE,aAnBW,CAmBX,aAAa,AAAA,QAAQ,AAAC,CACpB,gBAAgB,C9G1eR,qBAAoD,C8Ggf7D,AA1BH,AA4BE,aA5BW,CA4BX,kBAAkB,AAAA,QAAQ,AAAC,CACzB,KAAK,C9GnfG,OAAoD,C8Gof7D,AA9BH,AAgCE,aAhCW,CAgCX,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACd,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,IAAI,CACjB,SAAS,C9G7oBC,OAAQ,C8G8oBlB,KAAK,C9G/fG,OAAoD,C8GggB5D,SAAS,CAAE,CAAC,CA2Bb,AArEH,AA4CI,aA5CS,CAgCX,kBAAkB,CAYhB,eAAe,AAAC,CACd,IAAI,CAAE,QAAQ,CACd,cAAc,CAAE,IAAI,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,C9GvpBH,QAAQ,C8GwpBd,KAAK,CAAE,EAAE,CACT,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,CAAC,CAIb,AAvDL,AAoDM,aApDO,CAgCX,kBAAkB,CAYhB,eAAe,CAQb,CAAC,AAAC,CACA,aAAa,CAAE,CAAC,CACjB,AAtDP,AAwDI,aAxDS,CAgCX,kBAAkB,CAwBhB,CAAC,AAAA,kBAAkB,AAAC,CAClB,UAAU,CAAE,OAAO,CACpB,AA1DL,AA2DI,aA3DS,CAgCX,kBAAkB,CA2BhB,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,IAAI,CACZ,AA9DL,AAgEI,aAhES,CAgCX,kBAAkB,CAgCd,CAAC,AAAC,CACF,MAAM,CAAE,CAAC,CACT,WAAW,C9G1pBI,GAAG,C8G2pBlB,IAAI,CAAE,GAAG,CACV,AApEL,AAuEE,aAvEW,CAuEX,MAAM,AAAC,CACL,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CAKT,AA/EH,AA2EI,aA3ES,CAuEX,MAAM,AAIH,aAAa,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,CAAC,CACT,AAIL,AACE,QADM,CACN,UAAU,AAAA,QAAQ,AAAC,CACjB,WAAW,CAAE,KAAK,CACnB,AAHH,AAKI,QALI,CAIN,WAAW,CACT,OAAO,AAAC,CACN,UAAU,CAAE,MAAM,CAClB,KAAK,C9G/iBC,OAAoD,C8GgjB3D,AAIL,AAAA,CAAC,AAAA,QAAQ,CACT,CAAC,AAAA,cAAc,AAAC,CACd,OAAO,CAAE,OAAO,CAChB,KAAK,C9GvjBK,OAAoD,C8GwjB9D,UAAU,C9GxjBA,OAAoD,C8GyjB9D,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,SAAS,CAAE,MAAM,CAClB,AAED,AACE,WADS,CACT,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACd,AAGH,AACE,iBADe,CACf,OAAO,AAAC,CACN,cAAc,CAAE,IAAI,CACrB,AAHH,AAKI,iBALa,CAIf,yBAAyB,CACvB,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAIL,AAEI,wBAFoB,CACpB,CAAC,AACA,KAAK,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AAJL,AAMI,wBANoB,CACpB,CAAC,CAKC,CAAC,AAAC,CACF,QAAQ,CAAE,MAAM,CAChB,cAAc,CAAE,MAAM,CACvB,AATL,AAWI,wBAXoB,CACpB,CAAC,CAUC,OAAO,AAAC,CACR,KAAK,C9G3lBC,OAAoD,C8G4lB1D,YAAY,CAAE,GAAG,CACjB,SAAS,C9G7uBN,GAAG,C8G8uBN,WAAW,C9G/tBG,GAAG,C8GguBlB,AAhBL,AAkBI,wBAlBoB,CACpB,CAAC,CAiBC,IAAI,AAAA,IAAI,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CAChB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,QAAQ,CACvB,WAAW,CAAE,MAAM,CACpB,AAxBL,AA0BI,wBA1BoB,CACpB,CAAC,CAyBC,IAAI,AAAA,KAAK,AAAC,CACV,OAAO,CAAE,YAAY,CACrB,KAAK,C9G3mBC,OAAoD,C8G4mB1D,SAAS,C9G3vBD,OAAQ,C8G4vBhB,UAAU,CAAE,MAAM,CAClB,WAAW,C9G/uBG,GAAG,C8GgvBjB,aAAa,CAAE,GAAG,CACnB,AAjCL,AAmCI,wBAnCoB,CACpB,CAAC,CAkCC,IAAI,AAAA,mBAAmB,AAAC,CACxB,cAAc,CAAE,KAAK,CACtB,AAIL,AAAA,aAAa,CACb,YAAY,AAAC,CACX,KAAK,C9G1nBK,OAAoD,C8G2nB9D,MAAM,CAAE,GAAG,CAAC,KAAK,C9G3nBP,OAAoD,C8G4nB9D,SAAS,C9GjxBC,GAAG,C8GkxBb,OAAO,CAAE,IAAI,CACd,AAID,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,GAAG,CAKlB,AARD,AAKE,aALW,CAKX,GAAG,AAAC,CACF,MAAM,CAAE,QAAQ,CACjB,AAKH,AAIQ,WAJG,AACR,SAAS,CACR,OAAO,AAAA,MAAM,CACX,aAAa,CACX,MAAM,AAAA,YAAY,AAAC,CACjB,gBAAgB,C7Gn1Bf,IAAO,C6Go1BR,KAAK,C7Gr1BH,IAAO,C6Gs1BT,YAAY,C7Gr1BX,IAAO,C6Gs1BT,AART,AAWQ,WAXG,AACR,SAAS,CACR,OAAO,AAAA,MAAM,CAQX,WAAW,CACT,SAAS,AAAA,MAAM,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AAbT,AAiBE,WAjBS,CAiBT,OAAO,AAAA,MAAM,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAcnB,AzCzyBD,AAAA,WAAW,CAAC,OAAO,AAAA,MAAM,CAAC,aAAa,AyC4xBvB,CACZ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,OAAO,C9GpwBC,GAAG,C8GqwBX,GAAG,CAAE,KAAK,CACV,MAAM,CAAE,KAAK,CAOd,AA/BL,AAyBM,WAzBK,CAiBT,OAAO,AAAA,MAAM,CAEX,aAAa,CAMX,MAAM,AAAC,CACL,WAAW,CAAE,GAAG,CAChB,gBAAgB,C9GzqBZ,OAAoD,C8G0qBxD,KAAK,C7G52BH,IAAO,C6G62BT,UAAU,C9GruBJ,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,C8GsuBrC,AAKP,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AACE,aADW,CACX,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACd,AAEH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACZ,CAGH,AACE,WADS,CACT,CAAC,AAAC,CACA,KAAK,CAAE,KAAK,CACZ,eAAe,CAAE,SAAS,CAC3B,AAJH,AAKE,WALS,CAKT,QAAQ,AAAC,CACP,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,gBAAgB,C9GzsBN,OAAoD,C8G0sB9D,UAAU,CAAE,GAAG,CAAC,KAAK,C9G1sBX,OAAoD,C8G2sB9D,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,8CAGV,CACD,OAAO,CAAE,KAAK,CAoBf,AA7BD,AAWE,YAXU,AAWT,IAAI,AAAC,CACJ,gBAAgB,CAAE,KAAK,CACvB,KAAK,C9GptBG,OAAoD,C8GytB7D,AAlBH,AAeI,YAfQ,AAWT,IAAI,CAIH,OAAO,AAAC,CACN,KAAK,C9GvtBC,OAAoD,C8GwtB3D,AAjBL,AAoBE,YApBU,CAoBV,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAtBH,AAwBE,YAxBU,CAwBV,OAAO,AAAC,CACN,SAAS,CAAE,GAAG,CACd,KAAK,C9GjuBG,OAAoD,C8GkuB5D,YAAY,CAAE,MAAM,CACrB,AAGH,AACE,qBADmB,CACnB,OAAO,AAAC,CACN,KAAK,C9GxuBG,OAAoD,C8GyuB5D,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,SAAS,CACjB,WAAW,C9G72BM,GAAG,C8G82BrB,AC96BH,UAAU,CAAV,cAAU,CACR,EAAE,CACA,aAAa,CAAE,KAAK,CAEtB,GAAG,CACD,aAAa,CAAE,IAAI,CAErB,GAAG,CACD,aAAa,CAAE,GAAG,CAEpB,GAAG,CACD,aAAa,CAAE,GAAG,CAEpB,IAAI,CACF,aAAa,CAAE,GAAG,EAItB,AAAA,wBAAwB,AAAC,CACvB,OAAO,C/G+EK,GAAG,C+G9Ef,YAAY,CAAE,CAAC,CACf,kBAAkB,CAAE,IAAI,CACxB,cAAc,CAAE,cAAc,CAC9B,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,IAAI,CAIV,AAdD,AAWE,wBAXsB,CAWtB,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CAiBd,AAlBD,AAEE,uBAFqB,CAErB,kCAAkC,AAAC,CACjC,OAAO,CAAE,IAAI,CAId,AAPH,AAII,uBAJmB,CAErB,kCAAkC,CAE9B,IAAI,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AANL,AAQE,uBARqB,CAQrB,uBAAuB,AAAA,WAAW,AAAC,CACjC,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,IAAI,CACV,UAAU,CAAE,WAAW,CACvB,SAAS,CAAE,aAEV,CACF,AAGH,AACE,uBADqB,AAAA,OAAO,CAC5B,uBAAuB,AAAA,WAAW,AAAC,CACjC,MAAM,CAAE,MAAM,CACf,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAchB,AAhBD,AAGE,cAHY,CAGZ,MAAM,AAAC,CACL,MAAM,CAAE,WAAW,CACpB,AALH,AAME,cANY,CAMZ,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACtB,AARH,AASE,cATY,CASZ,eAAe,AAAC,CACd,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,MAAM,CAIrB,AAfH,AAYI,cAZU,CASZ,eAAe,CAGb,OAAO,AAAC,CACN,KAAK,C/GyHC,OAAoD,C+GxH3D,AjH2DL,AAAA,EAAE,AiHvDC,CACD,MAAM,CAAE,SAAS,CAClB,AAED,AAAA,CAAC,AAAA,eAAe,AAAC,CACf,UAAU,CAAE,GAAG,CAChB,AAED,AACE,YADU,CACV,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,GAAG,CAIX,AARH,AAKI,YALQ,CACV,cAAc,CAIZ,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACtB,AAPL,AASE,YATU,CASV,EAAE,AAAC,CACD,MAAM,CAAE,SAAS,CACjB,KAAK,CAAE,IAAI,CACZ,AAZH,AAaE,YAbU,CAaV,CAAC,AAAA,eAAe,AAAC,CACf,UAAU,CAAE,GAAG,CAChB,AAfH,AAgBE,YAhBU,CAgBV,CAAC,AAAA,WAAW,CAAC,OAAO,AAAC,CACnB,SAAS,CAAE,KAAK,CACjB,AAlBH,AAmBE,YAnBU,CAmBV,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,KAAK,CAqBjB,AA5CH,AAwBI,YAxBQ,CAmBV,iBAAiB,CAKf,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACf,AA1BL,AA2BI,YA3BQ,CAmBV,iBAAiB,CAQf,sBAAsB,AAAC,CACrB,MAAM,CAAE,WAAW,CACpB,AA7BL,AA8BI,YA9BQ,CAmBV,iBAAiB,CAWf,iBAAiB,CA9BrB,YAAY,CAmBV,iBAAiB,CAYf,iBAAiB,AAAC,CAChB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,SAAS,CAIlB,AAHC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAlCtC,AA8BI,YA9BQ,CAmBV,iBAAiB,CAWf,iBAAiB,CA9BrB,YAAY,CAmBV,iBAAiB,CAYf,iBAAiB,AAAC,CAId,IAAI,CAAE,QAAQ,CAEjB,CArCL,AAsCI,YAtCQ,CAmBV,iBAAiB,CAmBf,iBAAiB,AAAC,CAChB,WAAW,CAAE,EAAE,CAIhB,AAHC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAxCtC,AAsCI,YAtCQ,CAmBV,iBAAiB,CAmBf,iBAAiB,AAAC,CAGd,WAAW,CAAE,CAAC,CAEjB,CAIL,AAAA,sBAAsB,AAAC,CACrB,KAAK,C/G4DK,OAAoD,C+G3D9D,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,0BAA0B,CAAC,YAAY,CAAC,iBAAiB,CAAC,YAAY,AAAC,CACrE,WAAW,CAAE,IAAI,CAClB,AAED,AAGM,gBAHU,CACd,YAAY,CACV,iBAAiB,CACf,WAAW,AAAC,CACV,KAAK,CAAE,iBAAiB,CACzB,AAKP,AAAA,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAE9B,OAAO,CAAE,KAAK,CACd,gBAAgB,C/GiCN,OAAoD,C+GhC9D,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,KAAK,CACjB,AAED,AAEI,yBAFqB,AAAA,yBAAyB,CAChD,iBAAiB,AAAA,YAAa,CAAA,GAAK,EACjC,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAKL,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,CAC9D,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,CAC5C,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,AAAC,CAC3C,OAAO,CAAE,MAAM,CAChB,AAED,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,AAAC,CAE7D,cAAc,CAAE,QAAQ,CACxB,WAAW,C/GxHQ,GAAG,C+GyHvB,AAED,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAC1C,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,yBAAyB,CACxE,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,kBAAkB,AAAC,CAEhE,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,iBAAiB,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,CAC3D,iBAAiB,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,AAAA,eAAe,AAAC,CACvD,SAAS,CAAE,KAAK,CACjB,AAED,AAAA,iBAAiB,CAAC,uBAAuB,AAAC,CACxC,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,qBAAqB,AAAC,CrGrIpB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CqGiIzB,KAAK,CAAE,IAAI,CAkDZ,AApDD,AAGE,qBAHmB,CAGnB,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C/GhBb,OAAoD,C+GoB7D,AAVH,AAOI,qBAPiB,CAGnB,WAAW,CAIT,EAAE,AAAA,aAAa,AAAC,CACd,aAAa,CAAE,GAAG,CACnB,AATL,AAWE,qBAXmB,CAWnB,aAAa,AAAC,CACZ,KAAK,C/GtBG,OAAoD,C+GuB7D,AAbH,AAcE,qBAdmB,CAcnB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AApBH,AAiBI,qBAjBiB,CAcnB,WAAW,CAGT,IAAI,AAAA,IAAK,CAAA,MAAM,CAAE,CrGjKnB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CqGiKpB,AAnBL,AAqBE,qBArBmB,CAqBnB,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAejB,AAtCH,AAwBI,qBAxBiB,CAqBnB,EAAE,CAGA,EAAE,AAAC,CACD,aAAa,CAAE,KAAK,CAYrB,AArCL,AA0BM,qBA1Be,CAqBnB,EAAE,CAGA,EAAE,CAEA,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C/GrCD,OAAoD,C+GsCzD,AA5BP,AA6BM,qBA7Be,CAqBnB,EAAE,CAGA,EAAE,CAKA,OAAO,AAAC,CACN,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,QAAQ,CACf,AAhCP,AAiCM,qBAjCe,CAqBnB,EAAE,CAGA,EAAE,CASA,OAAO,AAAC,CACN,SAAS,C/G1LH,OAAQ,C+G2Ld,MAAM,CAAE,WAAW,CACpB,AApCP,AAwCI,qBAxCiB,CAuCnB,CAAC,AAAA,UAAU,CACT,OAAO,AAAC,CACN,UAAU,C9GpPJ,IAAO,C8GqPb,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,gBAAgB,CAC7B,AA5CL,AA6CI,qBA7CiB,CAuCnB,CAAC,AAAA,UAAU,AAMR,MAAM,AAAC,CACN,KAAK,C9GxPA,IAAO,C8G4Pb,AAlDL,AA+CM,qBA/Ce,CAuCnB,CAAC,AAAA,UAAU,AAMR,MAAM,CAEL,OAAO,AAAC,CACN,UAAU,C/G1DN,OAAoD,C+G2DzD,AAKP,AAAA,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,SAAS,CACzB,KAAK,C/GnEK,OAAoD,C+GoE9D,SAAS,CAAE,QAAQ,CAIpB,AARD,AAKE,CALD,AAAA,oBAAoB,CAKnB,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,WADS,CACT,cAAc,AAAC,CACb,SAAS,CAAE,0BAGV,CAMF,AAXH,AAOM,WAPK,CACT,cAAc,CAKZ,gBAAgB,CACd,UAAU,AAAC,CACT,UAAU,CAAE,KAAK,CAClB,ACrRP,AAAA,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,MAAM,CAUf,AAZD,AAGE,eAHa,CAGb,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CACZ,SAAS,ChHyCD,QAAQ,CgHxCjB,AAPH,AAQE,eARa,CAQb,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,SAAS,ChHsCD,QAAQ,CgHrChB,OAAO,CAAE,IAAI,CACd,ACLH,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,KAAK,CACd,KAAK,CAAoB,IAAI,CAC9B,AAED,AAAA,aAAa,CACb,YAAY,AAAC,CACX,KAAK,CAAoB,IAAI,CAC7B,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,aAAa,CACb,WAAW,CAAC,WAAW,CACvB,MAAM,CAAC,WAAW,CAClB,WAAW,CACX,aAAa,CACb,YAAY,AAAC,CACX,KAAK,CAAoB,IAAI,CAC7B,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,YAAY,CACZ,KAAK,CAAC,cAAc,AAAC,CACnB,KAAK,CAAoB,IAAI,CAC9B,AAED,AAAA,YAAY,CACZ,SAAS,CAAC,YAAY,CACtB,IAAI,CAAC,aAAa,AAAC,CACjB,KAAK,CAAoB,IAAI,CAC9B,AAED,AAAA,WAAW,CACX,UAAU,CACV,aAAa,CAAC,YAAY,CAC1B,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CAAoB,IAAI,CAC7B,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,WAAW,CAAC,WAAW,CACvB,KAAK,CAAC,WAAW,CACjB,QAAQ,CAAC,WAAW,CACpB,WAAW,AAAC,CACV,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,WAAW,CAAC,WAAW,CACvB,QAAQ,CAAC,UAAU,CACnB,KAAK,CAAC,aAAa,CACnB,IAAI,CAAC,aAAa,AAAC,CACjB,KAAK,CAAoB,IAAI,CAC7B,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,SAAS,CACT,SAAS,CAAC,WAAW,CACrB,OAAO,CAAC,SAAS,CAAC,aAAa,AAAC,CAC9B,KAAK,CAAoB,IAAO,CAChC,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,eAAe,CACf,IAAI,CAAC,aAAa,CAClB,cAAc,CACd,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CAAoB,IAAO,CACjC,AAED,AAAA,YAAY,AAAC,CACX,KAAK,ChHrEG,IAAO,CgHsEhB,AAED,AAAA,YAAY,CACZ,KAAK,CAAC,YAAY,CAAC,YAAY,CAC/B,KAAK,CAAC,aAAa,CACnB,IAAI,CAAC,aAAa,CAClB,YAAY,AAAC,CACX,KAAK,CAAoB,OAAO,CACjC,AAED,AAAA,cAAc,CACd,KAAK,CAAC,WAAW,CACjB,QAAQ,CAAC,cAAc,CACvB,kBAAkB,AAAC,CACjB,KAAK,CjHsGK,OAAoD,CiHrG/D,A3BzDD,AAAA,KAAK,A2B2DC,CACJ,KAAK,CjHkGK,OAAoD,CiHjG9D,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,cAAc,AAAC,CACb,UAAU,CjH6FA,OAAoD,CiH5F/D,AAED,AAAA,cAAc,AAAC,CACb,UAAU,CjHyFA,OAAoD,CiHxF/D,AAED,AAAA,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CjHqFK,OAAoD,CiHpF/D,AAQD,AAAA,CAAC,CAAG,IAAI,CACR,EAAE,CAAG,IAAI,CACT,GAAG,CAAG,IAAI,AAAC,CACT,KAAK,CAAoB,IAAI,CAC7B,UAAU,CAAoB,OAAO,CACtC,ACxHD,AAAA,kBAAkB,AAAC,CACjB,gBAAgB,CjHHN,IAAO,CiHIjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClHqFI,GAAG,CkHpFd,MAAM,CAAE,GAAG,CAAC,KAAK,ClH2LP,OAAoD,CkH1L9D,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,UAAU,CACzB,OAAO,CAAE,IAAI,CACb,SAAS,ClHsCF,GAAG,CkHrCV,WAAW,CAAE,GAAG,CA8CjB,AAxDD,AAYE,kBAZgB,AAYf,OAAO,AAAC,CACP,MAAM,CAAE,KAAK,CAAC,KAAK,ClHkLX,OAAoD,CkHjL7D,AAdH,AAgBE,kBAhBgB,CAgBhB,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CAClB,UAAU,CjHpBF,IAAO,CiHqBhB,AAnBH,AAqBE,kBArBgB,CAqBhB,gBAAgB,AAAA,OAAO,CArBzB,kBAAkB,CAsBhB,gBAAgB,AAAA,MAAM,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,iBAAiB,CACzB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,EAAE,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACT,AA9BH,AAgCE,kBAhCgB,CAgChB,gBAAgB,AAAA,MAAM,AAAC,CACrB,mBAAmB,CjHnCX,IAAO,CiHoCf,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AAtCH,AAwCE,kBAxCgB,CAwChB,gBAAgB,AAAA,OAAO,AAAC,CACtB,mBAAmB,ClHsJX,OAAoD,CkHrJ5D,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AA9CH,AAgDE,kBAhDgB,CAgDhB,gBAAgB,AAAC,CACf,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,KAAK,CAChB,SAAS,ClHHC,OAAQ,CkHIlB,KAAK,CjHvDC,IAAO,CiHwDb,UAAU,ClHgFA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CkH/ExC,WAAW,CAAE,KAAK,CACnB,ACxDH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,UAAU,CAUnB,AAXD,AAGE,eAHa,CAGb,EAAE,AAAA,MAAM,AAAC,CACP,SAAS,CnHuCD,GAAG,CmHtCX,WAAW,CnHyDM,GAAG,CmHxDrB,AAEA,AAAD,sBAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CAId,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAFrC,AAAA,sBAAsB,AAAC,CAGnB,SAAS,CAAE,IAAI,CAElB,CAED,AAAA,eAAe,CACf,cAAc,AAAC,CACb,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,KAAK,CAChB,aAAa,CAAE,IAAI,CACnB,aAAa,CAAE,IAAI,CAOpB,AANC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAPrC,AAAA,eAAe,CACf,cAAc,AAAC,CAOX,KAAK,CAAE,IAAI,CAKd,CAbD,AAUE,eAVa,CAUb,EAAE,CATJ,cAAc,CASZ,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,QAAQ,CACrB,aAAa,CAAE,IAAI,CASpB,AARC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EALrC,AAMI,gBANY,AAMX,YAAa,CAAA,GAAK,CAAE,CACnB,OAAO,CAAE,IAAI,CACd,CARL,AAUE,gBAVc,CAUd,CAAC,AAAA,IAAK,CxD9BR,cAAc,CwD8BU,CACpB,UAAU,CAAE,IAAI,CACjB,AC/CH,AAAA,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAED,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,MAAM,CACd,SAAS,CAAE,KAAK,CAChB,gBAAgB,CnHjBN,IAAO,CmHkBjB,UAAU,CpHiHD,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,eAAkB,CoHxGvC,AAfD,AAQE,sBARoB,CAQpB,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CAKb,AAdH,AAWI,sBAXkB,CAQpB,WAAW,AAGR,YAAY,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,WADS,CACT,cAAc,AAAC,CACb,OAAO,CpHkDK,IAAI,CoHjDjB,AAHH,AAIE,WAJS,CAIT,QAAQ,AAAC,CACP,OAAO,CpH8CI,IAAI,CoH7ChB,AANH,AAOE,WAPS,CAOT,QAAQ,AAAC,CACP,OAAO,CpH0CI,IAAI,CoHzChB,AAGH,AAAA,QAAQ,AAAA,MAAM,AAAC,CACb,QAAQ,CAAE,KAAK,CACf,OAAO,CpHuCM,IAAI,CoHtCjB,QAAQ,CAAE,IAAI,CACd,MAAM,CAAE,IAAI,CACZ,gBAAgB,CnH9CN,IAAO,CmH+CjB,UAAU,CpHuFF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoHtFtC,eAAe,CAAE,WAAW,CAC7B,AAED,AAAA,gBAAgB,AAAC,CACf,WAAW,CAAE,KAAK,CAClB,KAAK,CpH8IK,OAAmD,CoH7I9D,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,GAAG,CAAC,KAAK,CpHsId,OAAoD,CoHrI9D,WAAW,CAAE,MAAM,CAqBpB,AAzBD,AAOI,aAPS,CAMX,MAAM,CACJ,EAAE,AAAC,CACD,aAAa,CAAE,CAAC,CACjB,AATL,AAWI,aAXS,CAMX,MAAM,CAKJ,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAbL,AAgBE,aAhBW,CAgBX,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAIlB,AAxBH,AAqBI,aArBS,CAgBX,YAAY,CAKV,MAAM,AAAC,CACL,KAAK,CpHmHC,OAAoD,CoHlH3D,AAIL,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CpHNM,IAAI,CoHOjB,gBAAgB,CAAE,IAAI,CAIvB,AAXD,AAQE,eARa,AAQZ,KAAK,AAAC,CACL,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,CACf,eAAe,AAAA,KAAK,AAAA,GAAG,AAAC,CACtB,SAAS,CAAE,SAAS,CACpB,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAGD,UAAU,CAAV,IAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,GAAG,EAKhB,UAAU,CAAV,OAAU,CACR,IAAI,CACF,SAAS,CAAE,gBAAgB,CAE7B,EAAE,CACA,SAAS,CAAE,aAAa,EAI5B,AAAA,eAAe,AAAA,GAAG,CAAC,sBAAsB,CACzC,YAAY,AAAA,GAAG,CAAC,sBAAsB,AAAC,CACrC,SAAS,CAAE,YAAY,CACxB,AAED,AACE,aADW,CACX,sBAAsB,AAAC,CACrB,MAAM,CAAE,GAAG,CAAC,KAAK,CpHiET,IAAmD,CoHhE5D,AAGH,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CpHzDM,IAAI,CoH0DjB,QAAQ,CAAE,IAAI,CAUf,AAhBD,AASI,YATQ,AAQT,IAAK,CAAA,cAAc,EAClB,WAAW,AAAA,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,gBAAgB,CAAE,CACzD,UAAU,CAAE,eAAe,CAI5B,AAHC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EAX1C,AASI,YATQ,AAQT,IAAK,CAAA,cAAc,EAClB,WAAW,AAAA,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,gBAAgB,CAAE,CAGvD,UAAU,CAAE,eAAe,CAE9B,CAIL,AAAA,WAAW,AAAC,CACV,aAAa,CAAE,CAAC,CACjB,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,cAAc,CACvB,UAAU,CAAE,GAAG,CAAC,KAAK,CpHmCX,OAAoD,CoH/B/D,AAND,AAGE,aAHW,CAGX,IAAI,AAAC,CACH,MAAM,CAAE,WAAW,CACpB,AAGH,AAEI,MAFE,AAAA,oBAAoB,CACxB,WAAW,CACT,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACb,AAEH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EANrC,AAOI,MAPE,AAAA,oBAAoB,CAOtB,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,CAIL,AACE,MADI,CACJ,IAAI,AAAC,CACH,OAAO,CAAE,mBAAmB,CAC5B,gBAAgB,CnHpLR,IAAO,CmHwLf,aAAa,CAAE,GAAG,CAAC,KAAK,CpHShB,OAAoD,CoHR7D,AARH,AAII,MAJE,CACJ,IAAI,CAGF,EAAE,CAAG,CAAC,AAAC,CACL,SAAS,CpHrIN,GAAG,CoHsIP,AANL,AAUE,MAVI,AAUH,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,MAdI,CAcJ,WAAW,AAAC,CACV,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,KAAK,CAiElB,AAnFH,AAoBI,MApBE,CAcJ,WAAW,AAMR,kBAAkB,AAAC,CAClB,UAAU,CAAE,mBAAmB,CAChC,AAtBL,AAwBI,MAxBE,CAcJ,WAAW,AAUR,YAAY,AAAC,CACZ,UAAU,CAAE,OAAO,CA4CpB,AArEL,AA0BM,MA1BA,CAcJ,WAAW,AAUR,YAAY,CAEX,KAAK,AAAC,CACJ,SAAS,CAAE,KAAK,CACjB,AA5BP,AA8BM,MA9BA,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CAqCnB,AApEP,AAgCQ,MAhCF,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CAEL,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAtCT,AAuCQ,MAvCF,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,OAAO,CAAE,QAAQ,CACjB,UAAU,CpHtFV,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoHuF9B,OAAO,CAAE,CAAC,CACV,gBAAgB,CnH9Nd,IAAO,CmH+NT,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,IAAI,CAmBjB,AAnET,AAiDU,MAjDJ,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAAC,CACb,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CAAC,KAAK,CpHnCxB,OAAoD,CoHoCpD,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,KAAK,CAaf,AAlEX,AAsDY,MAtDN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAKX,MAAM,CAtDnB,MAAM,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAMX,MAAM,AAAC,CACN,gBAAgB,CpHxClB,OAAoD,CoHyCnD,AAzDb,AA0DY,MA1DN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,CASZ,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AA7Db,AA8DY,MA9DN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,CAaZ,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,CpH/LT,OAAQ,CoHgMT,AAjEb,AAsEI,MAtEE,CAcJ,WAAW,CAwDT,QAAQ,AAAC,CACP,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,IAAI,CACb,AAzEL,AA0EI,MA1EE,CAcJ,WAAW,CA4DT,CAAC,AAAC,CACA,SAAS,CpH3MN,GAAG,CoH4MP,AA5EL,AA6EI,MA7EE,CAcJ,WAAW,CA+DT,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CACpB,AA/EL,AAgFI,MAhFE,CAcJ,WAAW,CAkET,QAAQ,AAAC,CACP,KAAK,CnH5PF,OAAO,CmH4PK,UAAU,CAC1B,AAlFL,AAqFE,MArFI,CAqFJ,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACd,AAvFH,AAyFE,MAzFI,CAyFJ,OAAO,AAAA,MAAM,AAAC,CACZ,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,GAAG,CASnB,AApGH,AA4FI,MA5FE,CAyFJ,OAAO,AAAA,MAAM,AAGV,WAAW,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CACxB,AA/FL,AAgGI,MAhGE,CAyFJ,OAAO,AAAA,MAAM,CAOX,WAAW,AAAC,CACV,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAnGL,AAuGE,MAvGI,CAuGJ,WAAW,AAAA,sBAAsB,CAAC,CAAC,AAAC,CAClC,SAAS,CpHxOJ,GAAG,CoHyOT,AAzGH,AA2GE,MA3GI,CA2GJ,GAAG,CAAC,IAAI,AAAC,CACP,WAAW,CAAE,QAAQ,CACrB,SAAS,CAAE,KAAK,CACjB,AAGH,AAEI,kBAFc,CAChB,aAAa,CACX,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACf,AAJL,AAKI,kBALc,CAChB,aAAa,CAIX,eAAe,AAAC,CACd,MAAM,CAAE,WAAW,CACpB,AAPL,AAQI,kBARc,CAChB,aAAa,CAOX,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,SAAS,CpH7PH,QAAQ,CoH8Pd,WAAW,CpH9OI,GAAG,CoH+OlB,aAAa,CAAE,IAAI,CACnB,WAAW,CAAE,IAAI,CAIlB,AAjBL,AAcM,kBAdY,CAChB,aAAa,CAOX,IAAI,CAMF,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,AAKP,AAAA,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,KAAK,CpHxHK,OAAoD,CoH4H/D,AAND,AAGE,eAHa,AAGZ,MAAM,AAAC,CACN,KAAK,CnHrTA,OAAO,CmHsTb,AAGH,AAEI,kBAFc,CAChB,aAAa,CACX,IAAI,AAAC,CACH,WAAW,CpHnQI,GAAG,CoHoQnB,AAIL,AACE,sBADoB,CACpB,aAAa,AAAC,CACZ,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,QAAQ,CAClB,UAAU,CpH1IF,OAAoD,CoH2I5D,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,MAAM,CAChB,MAAM,CAAE,WAAW,CASpB,AAhBH,AAQI,sBARkB,CACpB,aAAa,CAOX,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,EAAE,CACT,MAAM,CAAE,IAAI,CACZ,gBAAgB,CnHlVX,IAAO,CmHmVZ,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,iBAAiB,CAC9B,AAIL,AAAA,gBAAgB,AAAC,CAEf,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,CAAC,CAgBX,AApBD,AAKE,gBALc,CAKd,KAAK,AAAC,CACJ,YAAY,CAAE,IAAI,CAClB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CACjB,AATH,AAUE,gBAVc,CAUd,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CAClB,AAZH,AAaE,gBAbc,CAad,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CAChB,KAAK,CnHnWA,OAAO,CmHoWb,AAhBH,AAiBE,gBAjBc,CAiBd,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AACE,oBADkB,CAClB,KAAK,AAAA,IAAK,EAAA,AAAA,IAAC,CAAK,UAAU,AAAf,GADb,oBAAoB,CAElB,SAAS,AAAC,CACR,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,KAAK,CACrB,AALH,AAOE,oBAPkB,CAOlB,kBAAkB,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CAoBb,AA9BH,AAYI,oBAZgB,CAOlB,kBAAkB,CAKhB,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAClB,UAAU,CnH/XN,IAAO,CmHgYX,KAAK,CnH/XC,IAAO,CmHgYb,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,QAAQ,CAWlB,AA7BL,AAoBM,oBApBc,CAOlB,kBAAkB,CAKhB,qBAAqB,AAQlB,OAAO,AAAC,CACP,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,GAAG,CACT,MAAM,CAAE,iBAAiB,CACzB,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,CnH3Yd,IAAO,CmH4YT,YAAY,CAAE,GAAG,CAClB,AA5BP,AAgCE,oBAhCkB,CAgClB,oBAAoB,AAAC,CACnB,YAAY,CAAE,MAAM,CACrB,AAlCH,AAoCE,oBApCkB,CAoClB,gCAAgC,AAAC,CAC/B,WAAW,CAAE,IAAI,CACjB,SAAS,CAAE,KAAK,CAChB,UAAU,CpHtNF,OAAoD,CoHuN5D,KAAK,CnHxZG,IAAO,CmHyZf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,QAAQ,CACjB,QAAQ,CAAE,QAAQ,CAUnB,AArDH,AA4CI,oBA5CgB,CAoClB,gCAAgC,CAQ9B,UAAU,AAAC,CACT,MAAM,CAAE,iBAAiB,CACzB,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,mBAAmB,CpH/Nb,OAAoD,CoHgO1D,YAAY,CAAE,GAAG,CACjB,GAAG,CAAE,KAAK,CACV,IAAI,CAAE,KAAK,CACZ,AApDL,AAuDE,oBAvDkB,CAuDlB,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,KAAK,CACX,AA1DH,AA8DI,oBA9DgB,CA4DlB,2BAA2B,CAEvB,OAAO,AAAC,CACR,aAAa,CAAE,KAAK,CACrB,AAhEL,AAiEI,oBAjEgB,CA4DlB,2BAA2B,CAKzB,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,EAjEV,oBAAoB,CA4DlB,2BAA2B,CAMzB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAlEV,oBAAoB,CA4DlB,2BAA2B,CAOzB,WAAW,AAAC,CACV,KAAK,CAPmB,KAAK,CAQ9B,AArEL,AAsEI,oBAtEgB,CA4DlB,2BAA2B,CAUzB,KAAK,AAAC,CACJ,SAAS,CAVe,KAAK,CAW9B,AAxEL,AA0EM,oBA1Ec,CA4DlB,2BAA2B,CAazB,yBAAyB,CACvB,KAAK,AAAC,CACJ,SAAS,CAAE,IAAI,CAIhB,AA/EP,AA4EQ,oBA5EY,CA4DlB,2BAA2B,CAazB,yBAAyB,CACvB,KAAK,CAEH,CAAC,AAAC,CACA,WAAW,CAAE,KAAK,CACnB,AA9ET,AAkFE,oBAlFkB,CAkFlB,6BAA6B,AAAC,CAC5B,KAAK,CAAE,KAAK,CACb,AAGH,AACE,qBADmB,CACnB,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,gBAAgB,CAAE,WAAW,CAC7B,YAAY,CAAE,GAAG,CAWlB,AAfH,AAKI,qBALiB,CACnB,IAAI,AAID,MAAM,CALX,qBAAqB,CACnB,IAAI,AAKD,OAAO,AAAC,CACP,KAAK,CnH/cD,IAAO,CmHgdZ,AARL,AASI,qBATiB,CACnB,IAAI,AAQD,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AAXL,AAYI,qBAZiB,CACnB,IAAI,AAWD,MAAM,AAAC,CACN,OAAO,CAAE,GAAG,CAAC,KAAK,CpHnRZ,OAAoD,CoHoR3D,AAdL,AAgBE,qBAhBmB,CAgBnB,oBAAoB,AAAC,CACnB,aAAa,CAAE,IAAI,CACpB,AAlBH,AAmBE,qBAnBmB,CAmBnB,uBAAuB,AAAC,CACtB,MAAM,CAAE,KAAK,CACb,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,IAAI,CAiBZ,AAvCH,AAuBI,qBAvBiB,CAmBnB,uBAAuB,CAIrB,QAAQ,CAvBZ,qBAAqB,CAmBnB,uBAAuB,CAKrB,yBAAyB,AAAC,CACxB,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,CpHjSf,OAAoD,CoHkS1D,WAAW,CAAE,IAAI,CAClB,AA7BL,AA8BI,qBA9BiB,CAmBnB,uBAAuB,CAWrB,QAAQ,AAAC,CACP,WAAW,CAAE,SAAS,CACtB,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CACjB,AAnCL,AAoCI,qBApCiB,CAmBnB,uBAAuB,CAiBrB,yBAAyB,AAAC,CACxB,OAAO,CAAE,gBAAgB,CAC1B,AAIL,AAEI,MAFE,CAAC,WAAW,AAAA,iBAAiB,CACjC,eAAe,CACb,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACxB,AAPL,AAUE,MAVI,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CAqBd,AAhCH,AAaI,MAbE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAGF,oBAAoB,CAbxB,MAAM,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAIF,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACX,AAhBL,AAkBI,MAlBE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAQF,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CAKR,AAzBL,AAsBM,MAtBA,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAQF,oBAAoB,CAIlB,YAAY,AAAC,CACX,IAAI,CAAE,CAAC,CACR,AAxBP,AA2BI,MA3BE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAiBF,KAAK,AAAA,YAAY,CA3BrB,MAAM,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAkBF,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACV,AAIL,AAAA,iBAAiB,AAAC,CAChB,SAAS,CAAE,KAAK,CACjB,AAED,AAGI,iBAHa,CAEf,eAAe,CACb,YAAY,CAFhB,gBAAgB,CACd,eAAe,CACb,YAAY,AAAC,CACX,QAAQ,CAAE,mBAAmB,CAC7B,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,KAAK,CAClB,AAPL,AAUE,iBAVe,CAUf,oBAAoB,CATtB,gBAAgB,CASd,oBAAoB,AAAC,CACnB,SAAS,CAAE,KAAK,CAChB,YAAY,CAAE,KAAK,CACpB,AAbH,AAeE,iBAfe,CAef,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAdR,gBAAgB,CAcd,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACb,AAjBH,AAmBE,iBAnBe,CAmBf,IAAI,CAlBN,gBAAgB,CAkBd,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CAMlB,AAPD,AAEE,WAFS,CAET,yBAAyB,AAAC,CACxB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,WAAW,CpHrfK,GAAG,CoHsfpB,AAGH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACV,AAED,AAAA,sBAAsB,AAAC,CACrB,KAAK,CpH7XK,OAAoD,CoH8X9D,SAAS,CpH7gBG,OAAQ,CoH8gBrB,AAED,AACE,mBADiB,CACjB,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,AAHH,AAIE,mBAJiB,CAIjB,WAAW,AAAC,CACV,UAAU,CAAE,OAAO,CAiCpB,AAtCH,AAMI,mBANe,CAIjB,WAAW,CAET,UAAU,CANd,mBAAmB,CAIjB,WAAW,CAGT,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,KAAK,CACb,AAVL,AAYI,mBAZe,CAIjB,WAAW,CAQT,gBAAgB,AAAC,CACf,KAAK,CnHhlBD,IAAO,CmHilBZ,AAdL,AAgBI,mBAhBe,CAIjB,WAAW,CAYT,qBAAqB,CAAC,MAAM,AAAC,CAC3B,KAAK,CpHlZC,OAAoD,CoHmZ3D,AAlBL,AAoBI,mBApBe,CAIjB,WAAW,CAgBT,qBAAqB,CAAC,gBAAgB,AAAC,CACrC,WAAW,CAAE,CAAC,CACf,AAtBL,AAwBI,mBAxBe,CAIjB,WAAW,CAoBT,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,UAAU,CAUnB,AArCL,AA6BM,mBA7Ba,CAIjB,WAAW,CAoBT,UAAU,CAKR,EAAE,AAAC,CACD,IAAI,CAAE,OAAO,CACd,AA/BP,AAiCM,mBAjCa,CAIjB,WAAW,CAoBT,UAAU,CASR,KAAK,AAAC,CACJ,MAAM,CAAE,WAAW,CACnB,KAAK,CpHpaD,OAAoD,CoHqazD,AAMP,AAGI,cAHU,CAEZ,eAAe,CACb,MAAM,AAAC,CACL,SAAS,CAAE,IAAI,CAChB,AALL,AAMI,cANU,CAEZ,eAAe,CAIb,YAAY,AAAC,CACX,SAAS,CAAE,GAAG,CACf,AARL,AASI,cATU,CAEZ,eAAe,CAOb,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,MADI,AAAA,IAAK,CAAA,SAAS,EAClB,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACX,AAGH,AAEI,MAFE,AACH,SAAS,CACR,WAAW,AAAC,CACV,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,iBAAiB,CACxB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,CAAC,CAmBV,AA1BL,AASM,MATA,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CAChB,OAAO,CpG9nBF,GAAmB,CAAnB,GAAmB,CoG+nBxB,YAAY,CpG/nBP,GAAmB,CoGgoBxB,MAAM,CAAE,OAAO,CAYhB,AAzBP,AAeQ,MAfF,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAMP,UAAU,AAAC,CACV,KAAK,CnHlpBH,IAAO,CmHmpBT,UAAU,CnH7oBX,OAAO,CmHopBP,AAxBT,AAmBU,MAnBJ,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAMP,UAAU,AAIR,WAAW,AAAC,CACX,UAAU,CAAE,IAAI,CAChB,KAAK,CnHxpBP,IAAO,CmHypBL,OAAO,CpGzoBN,GAAmB,CAJnB,CAAuB,CoG8oBzB,AC1pBX,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CAKnB,AARD,AAIE,cAJY,CAIZ,kBAAkB,AAAC,CACjB,KAAK,CAAE,CAAC,CACR,aAAa,CAAE,KAAK,CACrB,AAGH,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAWhB,AAbD,AAIE,sBAJoB,CAIpB,2BAA2B,CAJ7B,sBAAsB,CAKpB,2BAA2B,AAAC,CAC1B,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,KAAK,CACrB,AARH,AAUE,sBAVoB,AAUnB,WAAW,AAAC,CACX,YAAY,CAAE,IAAI,CACnB,AAGH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,IAAI,CAEX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,aAAa,CAuH/B,AArH0B,SAAC,EAAf,OAAO,EAAE,IAAI,EAR1B,AAAA,aAAa,AAAC,CASV,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,cAAc,CACrC,eAAe,CAAE,MAAM,CACvB,YAAY,CAAE,GAAG,CAiHpB,A3GnIC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAAA,aAAa,AAAC,CAcR,qBAAqB,CAAE,cAAc,CACrC,eAAe,CAAE,EAAE,CA8GxB,C3GnIC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAAA,aAAa,AAAC,CAkBR,qBAAqB,CAAE,IAAI,CA2GhC,EA7HD,AAsBE,aAtBW,CAsBX,UAAU,AAAC,CAET,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,EAAE,CAIV,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,GAAG,CAAC,KAAK,CrHyIT,OAAoD,CqHxI5D,KAAK,CpH1DC,IAAO,CoHqJd,A3GlID,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAsBE,aAtBW,CAsBX,UAAU,AAAC,CAKP,MAAM,CAAE,CAAC,CAiGZ,CA1FC,AAAA,mBAAmB,CAlCvB,aAAa,CAsBX,UAAU,AAYc,CACpB,UAAU,CAAE,SAAS,CAItB,AALD,AAEE,mBAFiB,CAlCvB,aAAa,CAsBX,UAAU,AAcL,MAAM,AAAC,CACN,UAAU,CrHyER,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CqHxEjC,AAtCP,AAwCI,aAxCS,CAsBX,UAAU,CAkBR,iBAAiB,AAAC,CAChB,KAAK,CrHgIC,OAAoD,CqH/H1D,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,GAAG,CAKjB,AAhDL,AA4CM,aA5CO,CAsBX,UAAU,CAkBR,iBAAiB,CAIf,eAAe,CA5CrB,aAAa,CAsBX,UAAU,CAkBR,iBAAiB,CAKf,gBAAgB,AAAC,CACf,KAAK,CpH/DH,IAAO,CoHgEV,AA/CP,AAiDI,aAjDS,CAsBX,UAAU,CA2BR,gBAAgB,AAAC,CACf,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,UAAU,CAoCvB,AA1FL,AAuDM,aAvDO,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CAiBf,AA3EP,AA2DQ,aA3DK,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CAIjB,mBAAmB,AAAC,CAClB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,QAAQ,CACf,AA/DT,AAgEQ,aAhEK,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CASjB,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,GAAG,CAOX,AA1ET,AAqEU,aArEG,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CASjB,WAAW,CAKT,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,WAAW,CrHjCF,GAAG,CqHkCb,AAzEX,AA4EM,aA5EO,CAsBX,UAAU,CA2BR,gBAAgB,CA2Bd,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CrH0FD,OAAoD,CqHpFzD,AArFP,AAgFQ,aAhFK,CAsBX,UAAU,CA2BR,gBAAgB,CA2Bd,iBAAiB,CAIf,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,SAAS,CAAE,KAAK,CAChB,KAAK,CrHsFH,OAAoD,CqHrFvD,AApFT,AAsFM,aAtFO,CAsBX,UAAU,CA2BR,gBAAgB,CAqCd,kBAAkB,AAAC,CACjB,KAAK,CrHkFD,OAAoD,CqHjFxD,SAAS,CAAE,UAAU,CACtB,AAzFP,AA4FI,aA5FS,CAsBX,UAAU,CAsER,iBAAiB,AAAC,CAChB,SAAS,CrHrEH,QAAQ,CqHsEd,WAAW,CAAE,IAAI,CACjB,KAAK,CpHxHD,IAAO,CoHyHZ,AAhGL,AAqGI,aArGS,CAsBX,UAAU,CA+ER,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CpHhID,IAAO,CoHiJZ,AAxHL,AAyGM,aAzGO,CAsBX,UAAU,CA+ER,mBAAmB,CAIjB,aAAa,AAAC,CACZ,eAAe,CARZ,IAAI,CASP,MAAM,CATH,IAAI,CAUP,KAAK,CAVF,IAAI,CAWP,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAM7B,AAvHP,AAmHQ,aAnHK,CAsBX,UAAU,CA+ER,mBAAmB,CAIjB,aAAa,CAUX,OAAO,AAAC,CACN,MAAM,CAjBA,UAAW,CAkBjB,KAAK,CAlBC,UAAW,CAmBlB,AAtHT,AAyHI,aAzHS,CAsBX,UAAU,CAmGR,mBAAmB,AAAC,CAClB,KAAK,CAxBA,IAAI,CAyBV,ACpJL,AAAA,kBAAkB,AAAC,CACjB,KAAK,CrHME,OAAO,CqHLd,SAAS,CtHiDG,OAAQ,CsHhDpB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,mBAAmB,CAAC,WAAW,AAAC,CAC9B,MAAM,CAAE,CAAC,CACV,AAED,AAAA,gBAAgB,CAAC,kBAAkB,AAAC,CAClC,OAAO,CAAE,IAAI,CACd,AAED,AACE,WADS,CACT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAHH,AAIE,WAJS,CAIT,CAAC,AAAC,CACA,KAAK,CtH+KG,OAAoD,CsH9K7D,AANH,AAOE,WAPS,CAOT,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AATH,AAWI,WAXO,CAUT,YAAY,CACV,EAAE,AAAA,cAAc,AAAC,CACf,aAAa,CAAE,MAAM,CACtB,AAIL,AAAA,iBAAiB,AAAC,CAChB,MAAM,CAAE,OAAO,CAChB,AAED,AAEE,YAFU,CAEV,EAAE,CADJ,eAAe,CACb,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAJH,AAMI,YANQ,CAKV,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,CALN,eAAe,CAIb,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,AAAC,CACD,OAAO,CAAE,UAAU,CACpB,AARL,AAWI,YAXQ,CAUV,EAAE,CACA,KAAK,CAXT,YAAY,CAUV,EAAE,CAEA,KAAK,CAXT,eAAe,CASb,EAAE,CACA,KAAK,CAVT,eAAe,CASb,EAAE,CAEA,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAfL,AAkBI,YAlBQ,CAiBV,aAAa,CACX,eAAe,CAjBnB,eAAe,CAgBb,aAAa,CACX,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACrB,AApBL,AAsBE,YAtBU,AAsBT,kBAAkB,CArBrB,eAAe,AAqBZ,kBAAkB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AAGH,AACE,eADa,CACb,WAAW,AAAC,CACV,KAAK,CtHkIG,OAAoD,CsHjI5D,UAAU,CAAE,KAAK,CAClB,AAJH,AAOI,eAPW,CAMb,WAAW,CACP,KAAK,AAAC,CACN,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AAXL,AAYI,eAZW,CAMb,WAAW,AAMR,cAAc,CAAG,KAAK,AAAC,CACtB,UAAU,CAAE,CAAC,CACd,AAdL,AAgBI,eAhBW,CAMb,WAAW,CAUT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAnBL,AAqBI,eArBW,CAMb,WAAW,CAeT,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAvBL,AAyBI,eAzBW,CAMb,WAAW,CAmBT,SAAS,AAAC,CACR,WAAW,CAAE,GAAG,CAWjB,AArCL,AA2BM,eA3BS,CAMb,WAAW,CAmBT,SAAS,CAEP,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,MAAM,CACpB,AA/BP,AAgCM,eAhCS,CAMb,WAAW,CAmBT,SAAS,CAOP,aAAa,AAAC,CACZ,UAAU,CAAE,MAAM,CAClB,KAAK,CtHkGD,OAAoD,CsHjGxD,WAAW,CtHjCE,GAAG,CsHkCjB,AAKP,AAEI,eAFW,CACb,aAAa,CACX,KAAK,AAAC,CACJ,KAAK,CtHwFC,OAAoD,CsHvF3D,AAIL,AACE,aADW,CACX,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACd,AAJH,AAME,aANW,CAMX,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,YAAY,CAAE,IAAI,CAInB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EATvC,AAME,aANW,CAMX,UAAU,AAAC,CAIP,OAAO,CAAE,IAAI,CAEhB,CAZH,AAcE,aAdW,CAcX,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAkBjB,AAjCH,AAgBI,aAhBS,CAcX,IAAI,CAEF,MAAM,AAAA,YAAY,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,AAlBL,AAmBI,aAnBS,CAcX,IAAI,CAKF,KAAK,AAAA,IAAK,CAAA,eAAe,CAAE,CACzB,WAAW,CAAE,IAAI,CAClB,AArBL,AAsBI,aAtBS,CAcX,IAAI,CAQF,SAAS,CAtBb,aAAa,CAcX,IAAI,CASF,MAAM,AAAC,CACL,aAAa,CAAE,IAAI,CACpB,AAzBL,AA0BI,aA1BS,CAcX,IAAI,CAYF,aAAa,AAAC,CACZ,KAAK,CtHwDC,OAAoD,CsHvD1D,MAAM,CAAE,CAAC,CACT,SAAS,CtHzFD,OAAQ,CsH0FhB,WAAW,CAAE,MAAM,CACnB,WAAW,CtH9EI,GAAG,CsH+EnB,AAIL,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,gBAAgB,CAI1B,AALD,AAEE,aAFW,AAEV,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,MAAM,CAAC,EAAE,AAAA,aAAa,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,MAAM,CAInB,AAPD,AAIE,MAJI,CAAC,EAAE,AAAA,aAAa,CAIpB,KAAK,AAAC,CACJ,KAAK,CtHmCG,OAAoD,CsHlC7D,AAKH,AAAA,MAAM,AAAA,WAAW,CACjB,MAAM,AAAA,iBAAiB,AAAC,CACtB,UAAU,CAAE,WAAW,CACvB,KAAK,CtH0BK,OAAoD,CsHzB/D,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAapB,AAhBD,AAIE,aAJW,CAIX,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AANH,AAOE,aAPW,CAOX,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,SAAS,CtHlIJ,GAAG,CsHmIT,AAVH,AAWE,aAXW,CAWX,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,eAAe,CACxB,KAAK,CrHvLE,IAAO,CqHwLf,AC1LH,AAAA,WAAW,AAAA,SAAS,AAAC,CACnB,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,CAAC,CACR,UAAU,CvHsIA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAE,IAAG,CAAC,gBAAmB,CuH3H7C,AAdD,AAIE,WAJS,AAAA,SAAS,AAIjB,QAAQ,AAAC,CACR,UAAU,CAAE,uCAAuC,CACpD,AANH,AAQE,WARS,AAAA,SAAS,CAQlB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,GAAG,CACX,AAEH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACd,AAED,AAAA,WAAW,AAAA,UAAU,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAElB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,KAAK,CACb,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,GAAG,CAAC,KAAK,CvHuKP,OAAoD,CuHtK9D,UAAU,CvH0GI,CAAC,CAAC,IAAI,CAAC,IAAI,CAAC,gBAAmB,CuHzG7C,gBAAgB,CtH5BN,IAAO,CsH6BjB,OAAO,CvH2DG,IAAI,CuH1Dd,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CA2Bb,AAjCD,AAQE,WARS,CAQT,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACd,AAVH,AAYE,WAZS,CAYT,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACZ,AAfH,AAiBE,WAjBS,CAiBT,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AArBH,AAuBE,WAvBS,CAuBT,WAAW,AAAC,CACV,YAAY,CAAE,gBAAgB,CAC9B,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,KAAK,CAClB,AA5BH,AA8BE,WA9BS,CA8BT,mBAAmB,AAAC,CAClB,cAAc,CAAE,WAAW,CAC5B,AAGH,AACE,WADS,AAAA,SAAS,CAClB,EAAE,AAAC,CACD,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACZ,AAGH,AAGI,WAHO,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,CAHjB,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,KAAK,CAMf,AAXL,AAMM,WANK,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,AAGV,MAAM,CANb,WAAW,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,AAIV,MAAM,CAPb,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAGV,MAAM,CANb,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAIV,MAAM,AAAC,CACN,gBAAgB,CvHsHZ,OAAoD,CuHrHxD,OAAO,CAAE,IAAI,CACd,AAVP,AAaI,WAbO,CACT,EAAE,CAYA,IAAI,CAbR,WAAW,CAET,EAAE,AAAA,QAAQ,CAWR,IAAI,AAAC,CACH,SAAS,CvH/BD,OAAQ,CuHgChB,WAAW,CAAE,KAAK,CAClB,KAAK,CvH8GC,OAAoD,CuH7G3D,AAjBL,AAoBE,WApBS,CAoBT,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,YAAY,CACtB,AAvBH,AAyBE,WAzBS,CAyBT,EAAE,AAAA,cAAc,AAAC,CACf,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,UAAU,CAgCvB,AAhEH,AAiCI,WAjCO,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CAKrB,AAvCL,AAmCM,WAnCK,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAEE,MAAM,CAnCb,WAAW,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAGE,MAAM,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AAtCP,AAwCI,WAxCO,CAyBT,EAAE,AAAA,cAAc,CAed,mBAAmB,AAAC,CAClB,KAAK,CvHqFC,OAAoD,CuHpF1D,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,MAAM,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CvH9DD,OAAQ,CuH+DhB,WAAW,CvHjDG,GAAG,CuHkDlB,AA/CL,AAiDM,WAjDK,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AACX,IAAI,CAjDX,WAAW,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAEX,OAAO,AAAC,CACP,KAAK,CtHvHH,IAAO,CsHwHT,OAAO,CAAE,YAAY,CACtB,AArDP,AAsDM,WAtDK,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,AAAC,CACJ,KAAK,CtH1HD,IAAO,CsHiIZ,AA9DP,AAwDQ,WAxDG,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,CAED,CAAC,AAAA,MAAM,AAAA,mBAAmB,AAAC,CAC3B,WAAW,CAAE,GAAG,CACjB,AA1DT,AA2DQ,WA3DG,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,CAKH,IAAI,AAAC,CACH,OAAO,CvH3BP,EAAC,CuH4BF,AA7DT,AAmEE,WAnES,CAmET,CAAC,AAAA,aAAa,AAAC,CACb,KAAK,CvH0DG,OAAoD,CuHzD5D,WAAW,CAAE,MAAM,CACnB,SAAS,CvHvFC,OAAQ,CuHwFnB,AAvEH,AAyEE,WAzES,CAyET,IAAI,AAAA,eAAe,AAAC,CAClB,SAAS,CAAE,KAAK,CACjB,AA3EH,AA6EE,WA7ES,CA6ET,GAAG,AAAA,eAAe,AAAC,CACjB,SAAS,CvH/FC,OAAQ,CuHgGnB,AAGH,AACE,UADQ,CACR,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,C7GlFhB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C6G0KxB,AAjGH,AAKI,UALM,CACR,mBAAmB,CAIjB,EAAE,AAAC,CACD,OAAO,CAAE,OAAO,CAChB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,OAAO,CAChB,AATL,AAWI,UAXM,CACR,mBAAmB,CAUjB,OAAO,CAXX,UAAU,CACR,mBAAmB,AAWhB,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,CvH+BC,OAAoD,CuH9B3D,AAdL,AAeI,UAfM,CACR,mBAAmB,CAcjB,KAAK,AAAC,CACJ,KAAK,CvH4BC,OAAoD,CuH3B3D,AAjBL,AAkBI,UAlBM,CACR,mBAAmB,CAiBjB,EAAE,AAAC,CACD,gBAAgB,CvHyBV,OAAoD,CuHS3D,AArDL,AAuBM,UAvBI,CACR,mBAAmB,CAiBjB,EAAE,CAKA,GAAG,CAAC,GAAG,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAzBP,AA2BM,UA3BI,CACR,mBAAmB,CAiBjB,EAAE,CASA,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CtHlLH,IAAO,CsHmLV,AA7BP,AA+BM,UA/BI,CACR,mBAAmB,CAiBjB,EAAE,AAaC,MAAM,CA/Bb,UAAU,CACR,mBAAmB,CAiBjB,EAAE,AAcC,MAAM,AAAC,CACN,gBAAgB,CvHWZ,OAAoD,CuHVxD,OAAO,CAAE,IAAI,CACd,AAnCP,AAqCM,UArCI,CACR,mBAAmB,CAiBjB,EAAE,CAmBA,CAAC,AAAC,CACA,OAAO,CAAE,CAAC,CASX,AA/CP,AAuCQ,UAvCE,CACR,mBAAmB,CAiBjB,EAAE,CAmBA,CAAC,CAEG,GAAG,AAAC,CACJ,QAAQ,CAAE,MAAM,CAGhB,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CACrB,kBAAkB,CAAE,QAAQ,CAC7B,AA9CT,AAiDM,UAjDI,CACR,mBAAmB,CAiBjB,EAAE,CA+BA,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CACjB,AApDP,AAsDI,UAtDM,CACR,mBAAmB,CAqDjB,EAAE,AAAA,IAAK,CAAA,SAAS,CAAE,CAChB,OAAO,CAAE,YAAY,CAMtB,AA7DL,AAwDM,UAxDI,CACR,mBAAmB,CAqDjB,EAAE,AAAA,IAAK,CAAA,SAAS,EAEd,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,KAAK,CACnB,AA5DP,AA+DM,UA/DI,CACR,mBAAmB,CA6DjB,WAAW,CACT,oBAAoB,AAAC,CACnB,KAAK,CtH/MJ,OAAO,CsHgNT,AAjEP,AAmEI,UAnEM,CACR,mBAAmB,CAkEjB,KAAK,AAAC,CACJ,gBAAgB,CtHzNV,IAAO,CsH0Nd,AArEL,AAsEI,UAtEM,CACR,mBAAmB,CAqEjB,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CACjB,AAxEL,AAyEI,UAzEM,CACR,mBAAmB,CAwEjB,kBAAkB,AAAC,CACjB,UAAU,CAAE,GAAG,CAChB,AA3EL,AA4EI,UA5EM,CACR,mBAAmB,CA2EjB,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,MAAM,CACf,AAjFL,AAkFI,UAlFM,CACR,mBAAmB,CAiFjB,SAAS,CAAC,CAAC,AAAC,CACV,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAChB,KAAK,CvH5CC,OAAoD,CuH6C1D,UAAU,CvH9DN,OAAqB,CuHmE1B,AA9FL,AA0FM,UA1FI,CACR,mBAAmB,CAiFjB,SAAS,CAAC,CAAC,AAQR,MAAM,AAAC,CACN,KAAK,CtHjPH,IAAO,CsHkPT,UAAU,CvHhDN,OAAoD,CuHiDzD,AA7FP,AAmGE,UAnGQ,CAmGR,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,GAAG,AAAA,kBAAkB,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,OAAO,CA2GxB,AA/GD,AAKE,GALC,AAAA,kBAAkB,CAKnB,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,CvHnEhB,OAAoD,CuHoE5D,OAAO,CAAE,IAAI,CAGb,OAAO,CAAE,KAAK,CAmDf,AA7DH,AAYI,GAZD,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAAC,CACD,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CA6ChB,AA5DL,AAgBM,GAhBH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAIC,KAAK,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AAlBP,AAmBM,GAnBH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAOC,OAAO,AAAC,CACP,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,GAAG,CAOf,AA7BP,AAwBQ,GAxBL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAOC,OAAO,CAKN,CAAC,AAAC,CAEA,YAAY,CAAE,KAAK,CACnB,aAAa,CAAE,KAAK,CACrB,AA5BT,AA+BM,GA/BH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CAmBA,CAAC,AAAC,CAGA,MAAM,CAAE,qBAAqB,CAC7B,aAAa,CAAE,CAAC,CACjB,AApCP,AAsCM,GAtCH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAAC,CACP,MAAM,CAAE,GAAG,CAAC,KAAK,CvHpGb,OAAoD,CuHqGxD,aAAa,CAAE,CAAC,CAChB,QAAQ,CAAE,QAAQ,CAkBnB,AA3DP,AA2CQ,GA3CL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CvHtNL,IAAI,CuHuNN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,CtHlTnB,IAAO,CsHmTV,AArDT,AAuDQ,GAvDL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAiBL,MAAM,CAvDf,GAAG,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAkBL,MAAM,AAAC,CACN,gBAAgB,CAAE,OAAO,CAC1B,AA1DT,AA8DE,GA9DC,AAAA,kBAAkB,CA8DnB,CAAC,AAAA,MAAM,CA9DT,GAAG,AAAA,kBAAkB,CA+DnB,CAAC,AAAA,MAAM,AAAC,CACN,gBAAgB,CvH7HR,OAAoD,CuH8H5D,OAAO,CAAE,IAAI,CACd,AAlEH,AAmEE,GAnEC,AAAA,kBAAkB,CAmEnB,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CACrB,AArEH,AAsEE,GAtEC,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,AAAC,CACnB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,QAAQ,CAChB,SAAS,CAAE,KAAK,CAKhB,QAAQ,CAAE,OAAO,CAWlB,AA1FH,AAiFI,GAjFD,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,CAWlB,IAAI,AAAA,QAAQ,AAAC,CACX,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,KAAK,C7GtRpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6GsRpB,A7GjUH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6G4OrC,AAsEE,GAtEC,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,AAAC,CAkBjB,SAAS,CAAE,KAAK,CAEnB,CA1FH,AA2FE,GA3FC,AAAA,kBAAkB,CA2FnB,EAAE,AAAC,CACD,OAAO,CAAE,UAAU,CACnB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CACnB,AA/FH,AAgGE,GAhGC,AAAA,kBAAkB,CAgGnB,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,IAAI,CACjB,AAlGH,AAoGE,GApGC,AAAA,kBAAkB,CAoGnB,EAAE,AAAA,WAAW,AAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AAtGH,AAuGE,GAvGC,AAAA,kBAAkB,CAuGnB,GAAG,CAvGL,GAAG,AAAA,kBAAkB,CAwGnB,CAAC,AAAC,CACA,KAAK,CvHtKG,OAAoD,CuHuK7D,AA1GH,AA4GE,GA5GC,AAAA,kBAAkB,CA4GnB,YAAY,AAAC,CACX,YAAY,CAAE,OAAO,CACtB,AC7WH,AACE,8BAD4B,CAC5B,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,sCAAsC,AAAC,CACrC,KAAK,CAAE,GAAG,CACX,ACRD,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,CAAC,CACZ,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,CAAC,CACd,AAED,AAAA,0BAA0B,CAC1B,yBAAyB,AAAC,CACxB,IAAI,CAAE,CAAC,CACR,AAED,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,gBAAgB,CxHnBN,IAAO,CwHoBjB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,CzH4KP,OAAoD,CyHhK/D,AAjBD,AAOE,0BAPwB,CAOxB,QAAQ,AAAC,CACP,UAAU,CAAE,WAAW,CACxB,AATH,AAWE,0BAXwB,AAWvB,SAAS,AAAC,CACT,MAAM,CAAE,WAAW,CAIpB,AAhBH,AAaI,0BAbsB,AAWvB,SAAS,CAER,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CACnB,AAIL,AAAA,yBAAyB,AAAC,CACxB,SAAS,CAAE,GAAG,CACd,WAAW,CAAE,EAAE,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CzHmJd,OAAoD,CyH/G/D,AAxCD,AAME,oBANkB,CAMlB,IAAI,CANN,oBAAoB,CAOlB,YAAY,AAAC,CACX,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,YAAY,CAYtB,AArBH,AAUI,oBAVgB,CAMlB,IAAI,CAIF,OAAO,CAVX,oBAAoB,CAOlB,YAAY,CAGV,OAAO,AAAC,CACN,KAAK,CzH4IC,OAAoD,CyH3I3D,AAZL,AAcI,oBAdgB,CAMlB,IAAI,CAQF,GAAG,CAdP,oBAAoB,CAOlB,YAAY,CAOV,GAAG,AAAC,CACF,iBAAiB,CAAE,oBAIlB,CACF,AApBL,AAuBE,oBAvBkB,CAuBlB,gBAAgB,AAAC,CACf,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAAC,KAAK,CzH6Hd,OAAoD,CyH5H7D,AA3BH,AA6BE,oBA7BkB,CA6BlB,IAAI,AAAA,IAAK,CAAA,QAAQ,CAAE,CACjB,SAAS,CzHxBD,QAAQ,CyHyBjB,AA/BH,AAiCE,oBAjCkB,CAiClB,IAAI,AAAA,KAAK,AAAC,CACR,WAAW,CAAE,MAAM,CACpB,AAnCH,AAqCE,oBArCkB,CAqClB,IAAI,AAAA,OAAO,AAAC,CACV,UAAU,CAAE,MAAM,CACnB,AA9CH,AAAA,yBAAyB,AAiDC,CACxB,QAAQ,CAAE,IAAI,CACd,MAAM,CAAE,OAAO,CACf,0BAA0B,CAAE,KAAK,CAClC,AAED,AAAA,eAAe,CACf,iBAAiB,AAAC,CAChB,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,UAAU,CACrB,kBAAkB,CAAE,IAAI,CACxB,aAAa,CAAE,CAAC,CAMjB,AAfD,AAUE,eAVa,AAUZ,MAAM,CATT,iBAAiB,AASd,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,iBAAiB,AAAC,CAChB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,GAAG,CACT,QAAQ,CAAE,IAAI,CACf,AAED,AAAA,kBAAkB,CAAC,iBAAiB,AAAC,CACnC,UAAU,CAAE,MAAM,CAClB,KAAK,CzHkEK,OAAoD,CyHlEvC,UAAU,CAClC,AAED,AAAA,iBAAiB,CAAG,CAAC,AAAA,YAAY,AAAC,CAChC,UAAU,CAAE,CAAC,CACd,AAED,AAAA,aAAa,CAAC,yBAAyB,AAAC,CACtC,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CACR,AAED,AAGE,iBAHe,CAAC,aAAa,CAG7B,QAAQ,CAFV,eAAe,CAEb,QAAQ,CADV,iCAAiC,CAC/B,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CACjB,AAPH,AAQE,iBARe,CAAC,aAAa,CAQ7B,mBAAmB,CAPrB,eAAe,CAOb,mBAAmB,CANrB,iCAAiC,CAM/B,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACf,AAVH,AAWE,iBAXe,CAAC,aAAa,CAW7B,0BAA0B,CAV5B,eAAe,CAUb,0BAA0B,CAT5B,iCAAiC,CAS/B,0BAA0B,AAAC,CACzB,MAAM,CAAE,GAAG,CAAC,KAAK,CzH0CT,OAAoD,CyHzC7D,AAbH,AAcE,iBAde,CAAC,aAAa,CAc7B,yBAAyB,CAb3B,eAAe,CAab,yBAAyB,CAZ3B,iCAAiC,CAY/B,yBAAyB,AAAC,CACxB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,UAAU,CACnB,AAjBH,AAkBE,iBAlBe,CAAC,aAAa,CAkB7B,iBAAiB,CAjBnB,eAAe,CAiBb,iBAAiB,CAhBnB,iCAAiC,CAgB/B,iBAAiB,AAAC,CAChB,gBAAgB,CzHmCR,OAAoD,CyHlC5D,OAAO,CAAE,GAAG,CAIb,AAxBH,AAqBI,iBArBa,CAAC,aAAa,CAkB7B,iBAAiB,AAGd,MAAM,CApBX,eAAe,CAiBb,iBAAiB,AAGd,MAAM,CAnBX,iCAAiC,CAgB/B,iBAAiB,AAGd,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAIL,AAAA,iBAAiB,CAAC,aAAa,CAC/B,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CzHwBP,OAAoD,CyHvB/D,AAED,AAAA,iBAAiB,CAAC,GAAG,AAAC,CACpB,cAAc,CAAE,KAAK,CAMtB,AAPD,AAEE,iBAFe,CAAC,GAAG,AAElB,MAAM,CAFT,iBAAiB,CAAC,GAAG,AAGlB,OAAO,CAHV,iBAAiB,CAAC,GAAG,AAIlB,UAAU,AAAC,CACV,cAAc,CAAE,CAAC,CAClB,AAGH,AAAA,iBAAiB,CAAC,cAAc,AAAC,CAC/B,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,KAAK,CAyCtB,AA5CD,AAKE,iBALe,CAAC,cAAc,CAK9B,GAAG,AAAC,CACF,cAAc,CAAE,CAAC,CAClB,AAPH,AAUI,iBAVa,CAAC,cAAc,AAS7B,MAAM,CACL,eAAe,AAAC,CACd,OAAO,CAAE,GAAG,CACb,AAZL,AAcE,iBAde,CAAC,cAAc,CAc9B,eAAe,AAAC,CACd,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,SAAS,CACrB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CAsBR,AA3CH,AAsBI,iBAtBa,CAAC,cAAc,CAc9B,eAAe,CAQb,UAAU,AAAC,CACT,KAAK,CzHXC,OAAoD,CyHY3D,AAxBL,AA0BI,iBA1Ba,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAAC,CACT,KAAK,CxH/MA,IAAO,CwHgNZ,OAAO,CAAE,OAAO,CAcjB,AA1CL,AA6BM,iBA7BW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAGP,cAAc,AAAC,CACd,YAAY,CAAE,CAAC,CAChB,AA/BP,AAiCM,iBAjCW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAOP,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CxHzNH,IAAO,CwH0NV,AApCP,AAsCM,iBAtCW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAYP,IAAK,CAAA,OAAO,CAAC,MAAM,AAAC,CACnB,eAAe,CAAE,SAAS,CAC1B,MAAM,CAAE,OAAO,CAChB,AAKP,AAAA,YAAY,CAAC,iBAAiB,CAAC,cAAc,CAAC,eAAe,AAAC,CAC5D,OAAO,CAAE,CAAC,CACX,AA3LD,AAAA,oBAAoB,AA+LC,CACnB,MAAM,CAAE,MAAM,CAkFf,AAlRD,AAME,oBANkB,CAMlB,IAAI,CANN,oBAAoB,CAOlB,YAAY,AA6LC,CACX,OAAO,CAAE,OAAO,CACjB,AAtMH,AAuBE,oBAvBkB,CAuBlB,gBAAgB,AAgLC,CACf,MAAM,CAAE,QAAQ,CACjB,A/GjOD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GoOnC,AAEI,kBAFc,CAbpB,oBAAoB,CAed,IAAI,CAFR,kBAAkB,CAbpB,oBAAoB,CAgBd,YAAY,AAAC,CACX,OAAO,CAAE,OAAO,CACjB,C/GzOL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GoOnC,AAEI,kBAFc,CAbpB,oBAAoB,CAed,IAAI,CAFR,kBAAkB,CAbpB,oBAAoB,CAgBd,YAAY,AAMC,CACX,OAAO,CAAE,OAAO,CACjB,AAXL,AAYI,kBAZc,CAbpB,oBAAoB,CAyBd,gBAAgB,AAAC,CACf,MAAM,CAAE,QAAQ,CACjB,C/GlPL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuPnC,AAEI,iBAFa,CAhCnB,oBAAoB,CAkCd,IAAI,CAFR,iBAAiB,CAhCnB,oBAAoB,CAmCd,YAAY,AAAC,CACX,OAAO,CAAE,QAAQ,CAClB,C/G5PL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuPnC,AAEI,iBAFa,CAhCnB,oBAAoB,CAkCd,IAAI,CAFR,iBAAiB,CAhCnB,oBAAoB,CAmCd,YAAY,AAMC,CACX,OAAO,CAAE,QAAQ,CAClB,C/GlQL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuQnC,AAEI,iBAFa,CAhDnB,oBAAoB,CAkDd,IAAI,CAFR,iBAAiB,CAhDnB,oBAAoB,CAmDd,YAAY,AAAC,CACX,OAAO,CAAE,OAAO,CACjB,C/G5QL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuQnC,AAEI,iBAFa,CAhDnB,oBAAoB,CAkDd,IAAI,CAFR,iBAAiB,CAhDnB,oBAAoB,CAmDd,YAAY,AAMC,CACX,OAAO,CAAE,OAAO,CACjB,CAKL,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAAC,CACX,SAAS,CzH1PD,OAAQ,CyH2PjB,A/G3RH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuRnC,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAMG,CACX,OAAO,CAAE,OAAO,CACjB,C/GjSL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuRnC,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAYG,CACX,OAAO,CAAE,OAAO,CACjB,CC1TP,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,KAAK,CACb,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,UAAU,CACtB,OAAO,C1H8FK,GAAG,C0H7Ff,WAAW,CAAE,KAAK,CASlB,QAAQ,CAAE,KAAK,CACf,iBAAiB,CAAE,oBAAoB,CAgRxC,AhH9QC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EgHftC,AAAA,mBAAmB,AAAC,CAMhB,WAAW,CAAE,KAAK,CAuRrB,CArRC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,MAAM,EARnC,AAAA,mBAAmB,AAAC,CAShB,WAAW,CAAE,KAAK,CAoRrB,CA7RD,AAeE,mBAfiB,AAehB,gBAAgB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CACnB,AAjBH,AAoBI,mBApBe,AAmBhB,uBAAuB,CACtB,yBAAyB,AAAC,CACxB,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,OAAO,CAChB,AAxBL,AA2BE,mBA3BiB,AA2BhB,oBAAoB,AAAA,KAAK,AAAC,CACzB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,wBAAwB,CAarC,AAZC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EA9BxC,AA2BE,mBA3BiB,AA2BhB,oBAAoB,AAAA,KAAK,AAAC,CAIvB,UAAU,CAAE,IAAI,CAWnB,CA1CH,AAkCM,mBAlCa,AA2BhB,oBAAoB,AAAA,KAAK,CAMxB,eAAe,CACb,yBAAyB,AAAC,CACxB,OAAO,CAAE,OAAO,CACjB,AApCP,AAsCI,mBAtCe,AA2BhB,oBAAoB,AAAA,KAAK,CAWxB,kBAAkB,AAAC,CACjB,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,GAAG,CACpB,AAzCL,AA4CE,mBA5CiB,AA4ChB,oBAAoB,AAAC,CACpB,UAAU,CAAE,CAAC,CACb,UAAU,CAAE,uBAAuB,CACnC,QAAQ,CAAE,KAAK,CACf,WAAW,CAAE,CAAC,CACd,gBAAgB,CzHpDR,IAAO,CyHqDf,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,UAAU,CAAE,GAAG,CAAC,KAAK,C1HyIb,OAAoD,C0HxI5D,UAAU,C1H2EA,CAAC,CAAE,IAAG,CAAC,IAAI,CAAC,gBAAmB,C0H1EzC,WAAW,CAAE,IAAI,CACjB,OAAO,C1H0BK,IAAI,C0HgGjB,AAzHC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EAzDxC,AA4CE,mBA5CiB,AA4ChB,oBAAoB,AAAC,CAclB,WAAW,CAAE,IAAI,CAwHpB,CAlLH,AA4DI,mBA5De,AA4ChB,oBAAoB,CAgBnB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AA9DL,AA+DI,mBA/De,AA4ChB,oBAAoB,CAmBnB,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CACnB,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,KAAK,CACd,YAAY,CAAE,IAAI,CAsGnB,AA3KL,AAuEM,mBAvEa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAQb,sBAAsB,AAAC,CACrB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAClB,AA1EP,AA2EM,mBA3Ea,AA4ChB,oBAAoB,CAmBnB,eAAe,CAYb,aAAa,AAAC,CACZ,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,KAAK,CACjB,WAAW,C1HjBC,GAAG,C0HkBf,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,QAAQ,CACvB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CAIrB,kBAAkB,CAAE,QAAQ,CAC7B,AAJC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EArF5C,AA2EM,mBA3Ea,AA4ChB,oBAAoB,CAmBnB,eAAe,CAYb,aAAa,AAAC,CAWV,kBAAkB,CAAE,CAAC,CAGxB,CAzFP,AA0FM,mBA1Fa,AA4ChB,oBAAoB,CAmBnB,eAAe,CA2Bb,SAAS,AAAC,CACR,KAAK,C1HmGD,OAAoD,C0HlGxD,SAAS,CAAE,UAAU,CACrB,WAAW,CAAE,IAAI,CAClB,AA9FP,AA+FM,mBA/Fa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,AAAC,CACL,UAAU,CAAE,CAAC,CACb,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CAiBZ,AArHP,AAqGQ,mBArGW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,CAMJ,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CACrB,kBAAkB,CAAE,QAAQ,CAC5B,UAAU,CAAE,KAAK,CACjB,WAAW,C1HhDA,GAAG,C0HiDd,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,QAAQ,CACvB,QAAQ,CAAE,MAAM,CAChB,SAAS,C1HpEP,QAAQ,C0HqEX,AAjHT,AAkHQ,mBAlHW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,CAmBJ,CAAC,AAAC,CACA,KAAK,CzHvHL,IAAO,CyHwHR,AApHT,AAsHM,mBAtHa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAuDb,mBAAmB,AAAC,CAClB,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,CAAC,CAIf,AA5HP,AAyHQ,mBAzHW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAuDb,mBAAmB,CAGjB,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACd,AA3HT,AA6HM,mBA7Ha,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,IAAI,CAUX,AA3IP,AAmIQ,mBAnIW,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,CAMvB,MAAM,CAnId,mBAAmB,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,CAOvB,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,CAAC,CAChB,YAAY,CAAE,IAAI,CAClB,QAAQ,CAAE,MAAM,CACjB,AA1IT,AA4IM,mBA5Ia,AA4ChB,oBAAoB,CAmBnB,eAAe,CA6Eb,4BAA4B,AAAC,CAC3B,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,IAAI,CACpB,aAAa,CAAE,KAAK,CACpB,KAAK,CAAE,KAAK,CACb,AAjJP,AAkJM,mBAlJa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,AAAC,CACnB,WAAW,CAAE,CAAC,CACd,kBAAkB,CAAE,KAAK,CACzB,kBAAkB,CAAE,GAAG,CACvB,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CAmBb,AA1KP,AAyJQ,mBAzJW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,YAAY,CAAE,MAAM,CACpB,aAAa,CAAE,KAAK,CACpB,eAAe,CAAE,QAAQ,CAY1B,AAzKT,AA8JU,mBA9JS,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,CAKhB,0BAA0B,AAAC,CACzB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,CAAC,CACf,aAAa,CAAE,GAAG,CACnB,AAlKX,AAmKU,mBAnKS,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,CAUhB,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACZ,AAxKX,AA6KI,mBA7Ke,AA4ChB,oBAAoB,CAiInB,4BAA4B,AAAA,OAAO,AAAC,CAClC,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAjLL,AAoLE,mBApLiB,CAoLjB,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,oBAAoB,CAChC,YAAY,CAAE,IAAI,CAqGnB,AA5RH,AAyLI,mBAzLe,CAoLjB,eAAe,CAKb,kBAAkB,AAAC,CACjB,aAAa,CAAE,GAAG,CAKnB,AA/LL,AA4LM,mBA5La,CAoLjB,eAAe,CAKb,kBAAkB,CAGhB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AA9LP,AAiMI,mBAjMe,CAoLjB,eAAe,CAab,yBAAyB,AAAC,CACxB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,oBAAoB,CAChC,OAAO,CAAE,IAAI,CASd,AA7ML,AAsMM,mBAtMa,CAoLjB,eAAe,CAab,yBAAyB,CAKvB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AAxMP,AA0MM,mBA1Ma,CAoLjB,eAAe,CAab,yBAAyB,CASvB,MAAM,AAAA,WAAW,AAAC,CAChB,YAAY,CAAE,CAAC,CAChB,AA5MP,AA+MI,mBA/Me,CAoLjB,eAAe,CA2Bb,WAAW,AAAC,ChH5Id,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgHwIrB,KAAK,C1HnBC,OAAoD,C0HoB3D,AAlNL,AAoNI,mBApNe,CAoLjB,eAAe,CAgCb,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,KAAK,CAClB,WAAW,CAAE,SAAS,CACtB,YAAY,C1H1BN,OAAoD,C0H2B1D,QAAQ,CAAE,QAAQ,CAClB,iBAAiB,CAAE,oBAAoB,CACxC,AA3NL,AA6NI,mBA7Ne,CAoLjB,eAAe,CAyCb,iBAAiB,AAAC,CAChB,UAAU,CAAE,qBAAqB,CACjC,MAAM,CAAE,OAAO,CAIhB,AAHC,AAAA,gBAAgB,CAhOtB,mBAAmB,CAoLjB,eAAe,CAyCb,iBAAiB,AAGI,CACjB,UAAU,CAAE,IAAI,CACjB,AAlOP,AAqOI,mBArOe,CAoLjB,eAAe,CAiDb,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CACpB,KAAK,CAAE,MAAM,CACb,gBAAgB,C1H1CV,OAAoD,C0H2C1D,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,C1H1IH,CAAC,C0H2IN,AA5OL,AA8OI,mBA9Oe,CAoLjB,eAAe,CA0Db,0BAA0B,AAAC,CACzB,YAAY,CAAE,GAAG,CAClB,AAhPL,AAkPI,mBAlPe,CAoLjB,eAAe,CA8Db,aAAa,AAAC,CACZ,KAAK,C1HrDC,OAAoD,C0HsD3D,AApPL,AAsPI,mBAtPe,CAoLjB,eAAe,CAkEb,kBAAkB,AAAC,ChHnLrB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgH+KrB,WAAW,CAAE,OAAO,CACpB,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAhQL,AA6PM,mBA7Pa,CAoLjB,eAAe,CAkEb,kBAAkB,CAOhB,YAAY,AAAC,CACX,UAAU,CAAE,GAAG,CAChB,AA/PP,AAkQI,mBAlQe,CAoLjB,eAAe,CA8Eb,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CAClB,AApQL,AAsQI,mBAtQe,CAoLjB,eAAe,CAkFb,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,WAAW,CAAE,OAAO,CAMpB,OAAO,C1H7KH,CAAC,C0H8KN,AA/QL,AAyQM,mBAzQa,CAoLjB,eAAe,CAkFb,mBAAmB,CAGjB,SAAS,AAAC,CACR,SAAS,CAAE,KAAK,CAChB,KAAK,CzH7QF,IAAO,CyH8QV,YAAY,CAAE,GAAG,CAClB,AA7QP,AAiRI,mBAjRe,CAoLjB,eAAe,CA6Fb,YAAY,AAAC,CACX,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,OAAO,CACjB,AApRL,AAsRI,mBAtRe,CAoLjB,eAAe,CAkGb,SAAS,AAAC,ChHnNZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgH+MrB,OAAO,CAAE,YAAY,CACrB,KAAK,C1H3FC,OAAoD,C0H4F1D,UAAU,CAAE,KAAK,CAClB,ApB/RL,AAAA,MAAM,AqBAC,CACL,aAAa,CAAE,IAAI,CACpB,A7EED,AAAA,OAAO,A8EAC,CACN,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,MAAM,CACjB,UAAU,CAAE,KAAK,CAClB,AhBRD,AAwBE,cAxBY,CAwBZ,WAAW,AiBvBC,CACV,MAAM,CAAE,MAAM,CACd,OAAO,CAAE,QAAQ,CACjB,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,iBAAiB,CACzB,KAAK,CAAE,IAAI,CAKZ,AAXH,AAOI,cAPU,CACZ,WAAW,CAMT,aAAa,AAAC,CACZ,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACpB,AAVL,AAaE,cAbY,CAaZ,sBAAsB,AAAC,CACrB,KAAK,CAAE,KAAK,CACb,AAfH,AAiBE,cAjBY,CAiBZ,KAAK,CAAG,sBAAsB,AAAC,CAC7B,KAAK,CAAE,KAAK,CACb,AAnBH,AAqBE,cArBY,CAqBZ,WAAW,AAAA,YAAY,AAAC,CACtB,OAAO,C7HuEK,GAAG,C6HtEhB,AAGH,AAAA,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAED,AACE,WADS,CACT,yBAAyB,AAAC,CACxB,UAAU,CAAE,KAAK,CAClB,AAGG,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EANzC,AAKI,WALO,AAIR,IAAK,CAAA,gBAAgB,EACpB,yBAAyB,AAAC,CAEtB,UAAU,CAAE,KAAK,CAEpB,CATL,AAaI,WAbO,CAYT,UAAU,CACR,yBAAyB,AAAC,CACxB,UAAU,CAAE,KAAK,CAIlB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAfzC,AAaI,WAbO,CAYT,UAAU,CACR,yBAAyB,AAAC,CAGtB,UAAU,CAAE,MAAM,CAErB,CAIL,AACE,OADK,CACL,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAGH,AACE,KADG,CACH,QAAQ,AAAC,CACP,MAAM,CAAE,UAAU,CAClB,OAAO,CAAE,KAAK,CACd,UAAU,C5H5DH,IAAO,C4HoEf,AAZH,AAKI,KALC,CACH,QAAQ,AAIL,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,GAAG,CAAC,MAAM,C5HnEhB,IAAO,C4HoEd,AAIL,AAEI,gBAFY,CACd,KAAK,CACH,QAAQ,AAAC,CACP,OAAO,CAAE,KAAK,CACf,AAIL,AAAA,yBAAyB,AAAC,CACxB,SAAS,CAAE,MAAM,CACjB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CACnB,AAED,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,gBAAgB,CACvB,SAAS,CAAE,KAAK,CAChB,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,GAAG,CACT,UAAU,CAAE,IAAI,CAChB,OAAO,C7HAM,GAAG,C6HChB,OAAO,CAAE,mBAAmB,CAC5B,UAAU,C7HsCF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,C6HrCtC,UAAU,C7HgGA,OAAoD,C6H7C/D,AAlDC,AAAA,aAAa,CAZf,eAAe,AAYG,CACd,OAAO,C7HPK,GAAG,C6HQhB,AAdH,AAgBE,eAhBa,AAgBZ,OAAO,AAAC,CACP,UAAU,C7H0FF,OAAoD,C6HzF7D,AAlBH,AAoBE,eApBa,AAoBZ,kBAAkB,AAAC,CAClB,gBAAgB,C7HsFR,OAAoD,C6HrF7D,AAtBH,AAwBE,eAxBa,CAwBb,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AA1BH,AA4BE,eA5Ba,CA4Bb,CAAC,AAAC,CACA,aAAa,CAAE,IAAI,CACpB,AA9BH,AAgCE,eAhCa,CAgCb,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,IAAI,CACT,KAAK,C5H7HC,IAAO,C4H8Hb,OAAO,CAAE,GAAG,CACZ,SAAS,C7H9ED,QAAQ,C6HoFjB,AA9CH,AAyCI,eAzCW,CAgCb,CAAC,AAAA,MAAM,AASJ,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACd,SAAS,C7H/ED,OAAQ,C6HgFhB,YAAY,CAAE,KAAK,CACpB,AA7CL,AAgDE,eAhDa,CAgDb,CAAC,AAAA,MAAM,AAAA,MAAM,AAAC,CACZ,OAAO,CAAE,CAAC,CACX,AAlDH,AAoDE,eApDa,CAoDb,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CAMX,AA7DH,AAyDI,eAzDW,CAoDb,EAAE,CAKA,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,GAAG,CAChB,AAIL,AACE,kBADgB,CAChB,eAAe,AAAC,CACd,cAAc,CAAE,QAAQ,CACzB,AAGH,AAAA,YAAY,AAAC,CACX,gBAAgB,C7HoCN,OAAoD,C6HhC/D,AALD,AAEE,YAFU,CAEV,CAAC,AAAC,CACA,SAAS,CAAE,GAAG,CACf,AAGH,AAAA,eAAe,AAAC,CACd,gBAAgB,C7H6BN,OAAoD,C6HsB/D,AApDD,AAGE,eAHa,CAGb,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C5HxKC,IAAO,C4HyKd,AALH,AAOE,eAPa,CAOb,YAAY,AAAC,CACX,gBAAgB,C5H1KT,IAAO,C4H2Kf,AATH,AAYI,eAZW,CAWb,YAAY,CACV,YAAY,AAAC,CACX,IAAI,CAAE,QAAQ,CACd,YAAY,CAAE,KAAK,CACpB,AAfL,AAgBI,eAhBW,CAWb,YAAY,CAKV,eAAe,AAAA,MAAM,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AAlBL,AAmBI,eAnBW,CAWb,YAAY,CAQV,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,CAAC,CACf,AArBL,AAsBI,eAtBW,CAWb,YAAY,CAWV,MAAM,AAAC,CACL,KAAK,C7HOC,OAAoD,C6HN3D,AAxBL,AA2BM,eA3BS,CAWb,YAAY,CAcV,YAAY,CAEV,OAAO,CA3Bb,eAAe,CAWb,YAAY,CAeV,MAAM,CACJ,OAAO,AAAC,CACN,KAAK,C7HED,OAAoD,C6HDzD,AA7BP,AA+BI,eA/BW,CAWb,YAAY,CAoBV,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAiBvB,AAlDL,AAmCM,eAnCS,CAWb,YAAY,CAoBV,IAAI,AAAA,MAAM,CAIR,WAAW,AAAC,CACV,IAAI,CAAE,CAAC,CACR,AArCP,AAuCM,eAvCS,CAWb,YAAY,CAoBV,IAAI,AAAA,MAAM,CAQR,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAOpB,AAjDP,AA4CQ,eA5CO,CAWb,YAAY,CAoBV,IAAI,AAAA,MAAM,CAQR,YAAY,CAKV,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,QAAQ,CACjB,SAAS,C7HhKL,OAAQ,C6HiKb,AAMT,AAAA,eAAe,AAAA,YAAa,C1GrJN,CAAC,C0GqJQ,CAC7B,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,gBAAgB,CACxB,AAED,AAAA,CAAC,AAAA,eAAe,AAAC,CACf,KAAK,C7H9BK,OAAoD,C6HkC/D,AALD,AAEE,CAFD,AAAA,eAAe,AAEb,MAAM,AAAC,CACN,KAAK,C5HhOE,IAAO,C4HiOf,AAGH,AAAA,aAAa,CACb,eAAe,AAAC,CACd,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AjB6PU,AAAL,oBAAyB,AiB1PV,CACnB,QAAQ,CAAE,MAAM,CAiDjB,AAlDD,AAGE,oBAHkB,CAGlB,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACd,AALH,AAOI,oBAPgB,CAMlB,cAAc,AACX,WAAW,AAAC,CAEX,MAAM,CAAE,gBAAgB,CAIxB,OAAO,C7HjKD,IAAI,C6HoMX,AAtC+B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAVnC,AAOI,oBAPgB,CAMlB,cAAc,AACX,WAAW,AAAC,CAIT,MAAM,CAAE,mCAAmC,CAAC,UAAU,CAqCzD,CAhDL,AAcM,oBAdc,CAMlB,cAAc,AACX,WAAW,CAOV,yBAAyB,AAAC,CACxB,UAAU,CAAE,EAAE,CACf,AAhBP,AAiBM,oBAjBc,CAMlB,cAAc,AACX,WAAW,CAUV,SAAS,AAAC,CACR,aAAa,CAAE,GAAG,CAAC,KAAK,C7H7DpB,OAAoD,C6H8DxD,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,CAAC,CAIV,AAxBP,AAqBQ,oBArBY,CAMlB,cAAc,AACX,WAAW,CAUV,SAAS,CAIP,kBAAkB,AAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AAvBT,AAyBM,oBAzBc,CAMlB,cAAc,AACX,WAAW,CAkBV,0BAA0B,AAAC,CACzB,MAAM,CAAE,IAAI,CACb,AA3BP,AA4BM,oBA5Bc,CAMlB,cAAc,AACX,WAAW,AAqBT,aAAa,CAAC,0BAA0B,AAAC,CACxC,YAAY,CAAE,GAAG,CAAC,KAAK,C7HxEnB,OAAoD,C6HyEzD,AA9BP,AA+BM,oBA/Bc,CAMlB,cAAc,AACX,WAAW,CAwBV,aAAa,CA/BnB,oBAAoB,CAMlB,cAAc,AACX,WAAW,CAyBV,eAAe,AAAC,CACd,WAAW,CAAE,CAAC,CACd,UAAU,CAAE,OAAO,CACpB,AAnCP,AAoCM,oBApCc,CAMlB,cAAc,AACX,WAAW,CA6BV,eAAe,AAAC,CACd,GAAG,CAAE,IAAI,CACV,AAtCP,AAuCM,oBAvCc,CAMlB,cAAc,AACX,WAAW,AAgCT,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,UAAU,C5HrRN,IAAO,C4HsRX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,EAAE,CACX,IAAI,CAAE,CAAC,CACR,ACtRP,AAAA,IAAI,AAAA,gBAAgB,AAAC,CACnB,MAAM,CAAE,SAAS,CAClB,AAGD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,IAAI,CACb,AAED,AACE,cADY,CACZ,cAAc,AAAC,CACb,aAAa,CAAE,MAAM,CACtB,AAHH,AAIE,cAJY,CAIZ,SAAS,AAAA,IAAK,CAAA,kBAAkB,EAAI,SAAS,AAAC,CAC5C,UAAU,CAAE,KAAK,CAClB,AAMH,AAAA,IAAI,CACJ,GAAG,AAAC,CACF,WAAW,CAAE,sIAC6D,CAC3E,AAGD,AAME,EANA,CAME,CAAC,CALL,EAAE,CAKE,CAAC,CAJL,EAAE,CAIE,CAAC,CAHL,EAAE,CAGE,CAAC,CAFL,EAAE,CAEE,CAAC,CADL,EAAE,CACE,CAAC,AAAC,CACF,UAAU,CAAE,CAAC,CACd,AAGH,AAAA,IAAI,AAAC,CACH,MAAM,CAAE,QAAQ,CACjB,AAED,AAAA,KAAK,CACL,KAAK,CACL,MAAM,CACN,MAAM,CACN,QAAQ,AAAC,CACP,SAAS,C9HJF,GAAG,C8HKV,WAAW,CAAE,MAAM,CACnB,WAAW,C9HQQ,GAAG,C8HPvB,AAED,AAAA,MAAM,CACN,QAAQ,AAAC,CACP,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CAClB,SAAS,C9HdF,GAAG,C8HeV,WAAW,C9HAO,GAAG,C8HCrB,KAAK,C7HlEG,IAAO,C6HmEhB,AAED,AAAA,KAAK,CACL,QAAQ,AAAC,CACP,KAAK,CAAE,KAAK,CACb,AAED,AAAA,MAAM,CACN,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,WAAW,C9HXO,GAAG,C8HYtB,ApD6OD,AAAA,MAAM,AoD3OC,CACL,KAAK,CAAE,KAAK,CACZ,UAAU,C7HhFA,IAAO,C6HsFlB,AARD,AAIE,MAJI,CAIH,AAAA,QAAC,AAAA,EAJJ,MAAM,CAKH,AAAA,IAAC,AAAA,CAAM,CACN,MAAM,CAAE,IAAI,CACb,AAjBH,AAAA,KAAK,CACL,QAAQ,AAoBC,CACP,WAAW,CAAE,CAAC,CACf,AAED,AAGI,KAHC,CACF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAEC,AAAA,QAAC,AAAA,EAHN,KAAK,CACF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAGC,AAAA,QAAC,AAAA,EAJN,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,EACC,AAAA,QAAC,AAAA,EAHN,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,EAEC,AAAA,QAAC,AAAA,CAAU,CACV,gBAAgB,CAAE,WAAW,CAC9B,AAKF,AAAD,cAAS,CACR,cAAQ,CAAG,qBAAqB,AAAC,CAChC,KAAK,CAAE,KAAK,CACb,AAzFa,AAAL,kBAAuB,AA4Ff,CACjB,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,qBAAqB,AAAC,CACpB,KAAK,C9H8EK,OAAoD,C8H7E9D,SAAS,CAAE,QAAQ,CACpB,AAED,AAAA,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CAyEnB,AA1ED,AAKI,cALU,AAGX,QAAQ,CAEL,KAAK,CALX,cAAc,AAIX,MAAM,CACH,KAAK,AAAC,CACN,KAAK,C7HvHF,OAAO,C6HwHX,AAPL,AASI,cATU,AAGX,QAAQ,CAMP,SAAS,CATb,cAAc,AAGX,QAAQ,CAOP,MAAM,CAVV,cAAc,AAGX,QAAQ,CAQP,KAAK,CAXT,cAAc,AAGX,QAAQ,CASP,MAAM,CAZV,cAAc,AAGX,QAAQ,CAUP,QAAQ,CAbZ,cAAc,AAIX,MAAM,CAKL,SAAS,CATb,cAAc,AAIX,MAAM,CAML,MAAM,CAVV,cAAc,AAIX,MAAM,CAOL,KAAK,CAXT,cAAc,AAIX,MAAM,CAQL,MAAM,CAZV,cAAc,AAIX,MAAM,CASL,QAAQ,AAAC,CACP,KAAK,C7H/HF,OAAO,C6HgIV,YAAY,C7HhIT,OAAO,C6HsIX,AArBL,AAiBM,cAjBQ,AAGX,QAAQ,CAMP,SAAS,AAQN,MAAM,CAjBb,cAAc,AAGX,QAAQ,CAOP,MAAM,AAOH,MAAM,CAjBb,cAAc,AAGX,QAAQ,CAQP,KAAK,AAMF,MAAM,CAjBb,cAAc,AAGX,QAAQ,CASP,MAAM,AAKH,MAAM,CAjBb,cAAc,AAGX,QAAQ,CAUP,QAAQ,AAIL,MAAM,CAjBb,cAAc,AAIX,MAAM,CAKL,SAAS,AAQN,MAAM,CAjBb,cAAc,AAIX,MAAM,CAML,MAAM,AAOH,MAAM,CAjBb,cAAc,AAIX,MAAM,CAOL,KAAK,AAMF,MAAM,CAjBb,cAAc,AAIX,MAAM,CAQL,MAAM,AAKH,MAAM,CAjBb,cAAc,AAIX,MAAM,CASL,QAAQ,AAIL,MAAM,AAAC,CACN,YAAY,CAAE,OAAsC,CACpD,UAAU,C9HKA,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CCzIlB,OAAO,C6HqIT,AApBP,AA2BM,cA3BQ,AAwBX,QAAQ,CACP,cAAc,CAEZ,OAAO,CA3Bb,cAAc,AAwBX,QAAQ,CAEP,aAAa,CACX,OAAO,AAAC,CACN,KAAK,C7H7IJ,OAAO,C6H8IR,gBAAgB,C7H9If,OAAO,C6H+IR,YAAY,C7H/IX,OAAO,C6HgJT,AA/BP,AAsCM,cAtCQ,AAmCX,MAAM,CACL,cAAc,CAEZ,OAAO,CAtCb,cAAc,AAmCX,MAAM,CAEL,aAAa,CACX,OAAO,AAAC,CACN,KAAK,C7HxJJ,OAAO,C6HyJR,gBAAgB,C9HkCZ,OAAoD,C8HjCxD,YAAY,CAAE,OAAsC,CACrD,AA1CP,AA+CI,cA/CU,AA8CX,QAAQ,CACL,KAAK,AAAC,CACN,KAAK,C7HhKD,IAAO,C6HiKZ,AAjDL,AAmDI,cAnDU,AA8CX,QAAQ,CAKP,SAAS,CAnDb,cAAc,AA8CX,QAAQ,CAMP,MAAM,CApDV,cAAc,AA8CX,QAAQ,CAOP,KAAK,CArDT,cAAc,AA8CX,QAAQ,CAQP,MAAM,CAtDV,cAAc,AA8CX,QAAQ,CASP,QAAQ,AAAC,CACP,KAAK,C7HxKD,IAAO,C6HyKX,YAAY,C7HzKR,IAAO,C6H+KZ,AA/DL,AA2DM,cA3DQ,AA8CX,QAAQ,CAKP,SAAS,AAQN,MAAM,CA3Db,cAAc,AA8CX,QAAQ,CAMP,MAAM,AAOH,MAAM,CA3Db,cAAc,AA8CX,QAAQ,CAOP,KAAK,AAMF,MAAM,CA3Db,cAAc,AA8CX,QAAQ,CAQP,MAAM,AAKH,MAAM,CA3Db,cAAc,AA8CX,QAAQ,CASP,QAAQ,AAIL,MAAM,AAAC,CACN,YAAY,C7H5KV,IAAO,C6H6KT,UAAU,C9HtCP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,C6HoLX,AA9DP,AAmEM,cAnEQ,AA8CX,QAAQ,CAmBP,cAAc,CAEZ,OAAO,CAnEb,cAAc,AA8CX,QAAQ,CAoBP,aAAa,CACX,OAAO,AAAC,CACN,KAAK,C7HpLH,IAAO,C6HqLT,gBAAgB,C9HKZ,OAAoD,C8HJxD,YAAY,C7HtLV,IAAO,C6HuLV,AAKP,AACE,gBADc,CACd,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAHH,AAKE,gBALc,CAKd,KAAK,CALP,gBAAgB,CAMd,QAAQ,CANV,gBAAgB,CAOd,MAAM,CAPR,gBAAgB,CAQd,cAAc,CARhB,gBAAgB,CASd,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,CAAC,CACjB,AAZH,AAcE,gBAdc,CAcd,cAAc,AAAC,CAEb,aAAa,CAAE,IAAI,CACpB,AAjBH,ApHtKE,gBoHsKc,CAcd,cAAc,ApHpLb,OAAO,CoHsKV,gBAAgB,CAcd,cAAc,ApHnLb,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AoHkKH,ApHjKE,gBoHiKc,CAcd,cAAc,ApH/Kb,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AoH+JH,AAmBE,gBAnBc,CAmBd,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,IAAI,CACpB,AAtBH,AAwBE,gBAxBc,CAwBd,cAAc,AAAC,CACb,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,IAAI,CAClB,AA9BH,AAgCE,gBAhCc,CAgCd,SAAS,AAAC,CACR,WAAW,CAAE,KAAK,CACnB,AAGH,AAEI,QAFI,AAAA,MAAM,CACZ,aAAa,CACX,CAAC,AAAA,YAAY,AAAC,CACZ,KAAK,C7H3OC,IAAO,C6H4Od,AzHhIL,AAAA,IAAI,AAAA,OAAO,CACX,IAAI,AAAA,MAAM,AK/EA,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,ALgFH,AAAA,IAAI,AAAA,MAAM,AK/EA,CACN,KAAK,CAAE,IAAI,CACZ,AoHkNA,AAAD,QAAE,AAAC,CACD,WAAW,CAAE,KAAK,CACnB,AAEA,AAAD,QAAE,AAAC,CACD,WAAW,CAAE,IAAI,CAClB,AAIH,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EhI/OhC,AAAA,IAAI,AgIgPG,CACH,SAAS,CAAE,CAAC,CACb,AAED,AAAA,KAAK,CACL,WAAW,AAAC,CACV,SAAS,CAAE,CAAC,CACb,C5CzQH,AAAA,SAAS,A6CIC,CACR,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,GAAG,CACX,aAAa,CAAE,IAAI,CAcpB,A7CrBD,AAoDE,SApDO,CAoDP,UAAU,A6C5CC,CACT,MAAM,CAAE,OAAO,CAChB,AANH,AAOE,SAPO,CAOP,eAAe,AAAC,CACd,SAAS,C/HmCD,QAAQ,C+HlChB,MAAM,CAAE,CAAC,CACV,AAVH,AAaI,SAbK,CAWP,WAAW,AAER,IAAK,CAAA,SAAS,CAAE,CACf,UAAU,CAAE,MAAM,CACnB,AAIL,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,E7C8MhC,AAAA,mBAAmB,A6C7MG,CAClB,OAAO,CAAE,IAAI,CACd,CAGH,AAAA,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CACnB,A1DsBC,AAAA,YAAY,A0DpBD,CACX,WAAW,CAAE,QAAQ,CACtB,AAED,AAAA,YAAY,CAAC,MAAM,AAAC,CAClB,KAAK,C/H4JK,OAAoD,C+H3J9D,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,UAAU,CACrB,SAAS,C/HWG,OAAQ,C+HVpB,WAAW,C/HuBO,GAAG,C+HnBtB,AATD,AAME,YANU,CAAC,MAAM,CAMjB,iBAAiB,AAAC,CAChB,KAAK,C/HsJG,OAAoD,C+HrJ7D,AC1CH,AAEE,YAFU,CAEV,cAAc,AAAA,IAAK,CAAA,OAAO,EAD5B,eAAe,CACb,cAAc,AAAA,IAAK,CAAA,OAAO,CAAE,CAC1B,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,OAAO,CACpB,UAAU,CAAE,IAAI,CAChB,OAAO,ChHCE,CAAuB,CAIvB,IAAmB,CgHJ5B,KAAK,CAAE,CAAC,CAmBT,AA5BH,AAWI,YAXQ,CAEV,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,CAVV,eAAe,CACb,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,MAAM,CACd,WAAW,CAAE,MAAM,CAYpB,AA3BL,AAgBM,YAhBM,CAEV,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,AAKH,KAAM,CAAA,KAAK,EAflB,eAAe,CACb,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,AAKH,KAAM,CAAA,KAAK,CAAE,CACZ,SAAS,CAAE,KAAK,CACjB,AAlBP,AAoBQ,YApBI,CAEV,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,AAQH,cAAc,AAAA,aAAa,AACzB,aAAa,CAnBtB,eAAe,CACb,cAAc,AAAA,IAAK,CAAA,OAAO,EASxB,MAAM,AAQH,cAAc,AAAA,aAAa,AACzB,aAAa,AAAC,CAEb,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,eAAe,CAAE,MAAM,CACxB,AAzBT,AA8BE,YA9BU,CA8BV,IAAI,CA7BN,eAAe,CA6Bb,IAAI,AAAC,CACH,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,IAAI,CAChB,AAjCH,AAmCE,YAnCU,CAmCV,YAAY,CAlCd,eAAe,CAkCb,YAAY,AAAC,CACX,SAAS,CAAE,IAAI,CACf,OAAO,ChHxBE,GAAmB,CAAnB,IAAmB,CgHyB7B,AAtCH,AA2CQ,YA3CI,CAwCV,YAAY,CACV,cAAc,AAAA,IAAK,CAvCF,OAAO,EAwCtB,MAAM,AACH,cAAc,CA1CvB,eAAe,CAuCb,YAAY,CACV,cAAc,AAAA,IAAK,CAvCF,OAAO,EAwCtB,MAAM,AACH,cAAc,AAAC,CACd,UAAU,CAAE,KAAK,CAClB,AA7CT,AA8CQ,YA9CI,CAwCV,YAAY,CACV,cAAc,AAAA,IAAK,CAvCF,OAAO,EAwCtB,MAAM,AAIH,aAAa,CA7CtB,eAAe,CAuCb,YAAY,CACV,cAAc,AAAA,IAAK,CAvCF,OAAO,EAwCtB,MAAM,AAIH,aAAa,AAAC,CACb,aAAa,CAAE,GAAG,CACnB,AAhDT,AAsDI,YAtDQ,CAqDV,eAAe,CACb,cAAc,AAAA,IAAK,CApDF,OAAO,EAD5B,eAAe,CAoDb,eAAe,CACb,cAAc,AAAA,IAAK,CApDF,OAAO,CAoDI,CAC1B,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,KAAK,CAInB,AA5DL,AAyDM,YAzDM,CAqDV,eAAe,CACb,cAAc,AAAA,IAAK,CApDF,OAAO,EAuDpB,WAAW,CAxDnB,eAAe,CAoDb,eAAe,CACb,cAAc,AAAA,IAAK,CApDF,OAAO,EAuDpB,WAAW,AAAC,CACZ,YAAY,CAAE,GAAG,CAAC,KAAK,ChIqInB,OAAoD,CgIpIzD,AA3DP,AA+DE,YA/DU,CA+DV,WAAW,CA9Db,eAAe,CA8Db,WAAW,AAAC,CACV,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,QAAQ,CACd,OAAO,ChHzDE,CAAuB,CAIvB,IAAmB,CgHyD7B,AAtEH,AAmEI,YAnEQ,CA+DV,WAAW,CAIP,cAAc,CAlEpB,eAAe,CA8Db,WAAW,CAIP,cAAc,AAAC,CACf,WAAW,CAAE,GAAG,CAAC,KAAK,ChI2HhB,OAAoD,CgI1H3D,AVrCL,AAMI,YANQ,CAKV,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,CALN,eAAe,CAIb,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,AUmCC,CACD,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,SAAS,CACnB,AA5EL,AA8EE,YA9EU,CA8EV,IAAI,CA9EN,YAAY,CA+EV,EAAE,CAAC,KAAK,CA9EV,eAAe,CA6Eb,IAAI,CA7EN,eAAe,CA8Eb,EAAE,CAAC,KAAK,AAAC,CACP,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,CAAC,CAChB,SAAS,CAAE,KAAK,CAIjB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EArFvC,AA8EE,YA9EU,CA8EV,IAAI,CA9EN,YAAY,CA+EV,EAAE,CAAC,KAAK,CA9EV,eAAe,CA6Eb,IAAI,CA7EN,eAAe,CA8Eb,EAAE,CAAC,KAAK,AAAC,CAOL,SAAS,CAAE,KAAK,CAEnB,CAGH,AACE,aADW,CACX,IAAI,CADN,aAAa,CAEX,EAAE,CAAC,KAAK,AAAC,CACP,SAAS,CAAE,KAAK,CACjB,AAKH,AACE,QADM,AAAA,YAAY,CAClB,WAAW,CADb,QAAQ,AAAA,YAAY,CAElB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,MAAM,CAUhB,AAfH,AAOI,QAPI,AAAA,YAAY,CAClB,WAAW,CAMT,EAAE,CAPN,QAAQ,AAAA,YAAY,CAElB,YAAY,CAKV,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AAVL,AAYI,QAZI,AAAA,YAAY,CAClB,WAAW,AAWR,OAAO,CAZZ,QAAQ,AAAA,YAAY,CAElB,YAAY,AAUT,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAOL,AACE,QADM,AAAA,eAAe,CACrB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,MAAM,CAChB,AAJH,AAME,QANM,AAAA,eAAe,CAMrB,oBAAoB,CAAC,EAAE,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AATH,AAWE,QAXM,AAAA,eAAe,CAWrB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CA4Df,AA3EH,AAiBI,QAjBI,AAAA,eAAe,CAWrB,WAAW,AAMR,MAAM,CAjBX,QAAQ,AAAA,eAAe,CAWrB,WAAW,AAOR,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,IAAI,CACrB,AAxBL,AAyBI,QAzBI,AAAA,eAAe,CAWrB,WAAW,AAcR,MAAM,AAAC,CACN,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CAIZ,gBAAgB,CAAE,8EAIjB,CACF,AARC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EA5B1C,AAyBI,QAzBI,AAAA,eAAe,CAWrB,WAAW,AAcR,MAAM,AAAC,CAIJ,MAAM,CAAE,IAAI,CAOf,CApCL,AAqCI,QArCI,AAAA,eAAe,CAWrB,WAAW,AA0BR,OAAO,AAAC,CACP,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,IAAI,CACZ,gBAAgB,CAAE,0DAIjB,CACF,AA7CL,AA8CI,QA9CI,AAAA,eAAe,CAWrB,WAAW,CAmCT,IAAI,AAAC,CACH,UAAU,CAAE,UAAU,CACtB,OAAO,ChH5JA,IAAmB,CAAnB,IAAmB,CgH6J1B,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,KAAK,CAOjB,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,IAAI,CACjB,AARC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EAnD1C,AA8CI,QA9CI,AAAA,eAAe,CAWrB,WAAW,CAmCT,IAAI,AAAC,CAMD,UAAU,CAAE,kBAAkB,CAOjC,AA3DL,AAqDQ,QArDA,AAAA,eAAe,CAWrB,WAAW,CAmCT,IAAI,CAOE,CAAC,AAAA,WAAW,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,CAvDT,AA6DI,QA7DI,AAAA,eAAe,CAWrB,WAAW,CAkDT,IAAI,CA7DR,QAAQ,AAAA,eAAe,CAWrB,WAAW,CAmDT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,AAjEL,AAmEI,QAnEI,AAAA,eAAe,CAWrB,WAAW,CAwDT,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,MAAM,CAInB,AA1EL,AAuEM,QAvEE,AAAA,eAAe,CAWrB,WAAW,CAwDT,EAAE,AAIC,sBAAsB,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAzEP,AA8EI,QA9EI,AAAA,eAAe,CA6ErB,EAAE,AAAA,MAAM,CACN,KAAK,CA9ET,QAAQ,AAAA,eAAe,CA6ErB,EAAE,AAAA,MAAM,CAEN,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAlFL,AAmFI,QAnFI,AAAA,eAAe,CA6ErB,EAAE,AAAA,MAAM,CAMN,IAAI,AAAC,CACH,SAAS,CAAE,KAAK,CACjB,AArFL,AAwFE,QAxFM,AAAA,eAAe,CAwFrB,YAAY,AAAC,CACX,aAAa,CAAE,IAAI,CACpB,AA1FH,AA4FE,QA5FM,AAAA,eAAe,CA4FrB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAavB,AA3GH,AAgGI,QAhGI,AAAA,eAAe,CA4FrB,WAAW,AAIR,QAAQ,AAAC,CACR,UAAU,CAAE,GAAG,CAChB,AAlGL,AAoGI,QApGI,AAAA,eAAe,CA4FrB,WAAW,CAQP,KAAK,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAtGL,AAwGI,QAxGI,AAAA,eAAe,CA4FrB,WAAW,CAYT,SAAS,AAAC,CACR,WAAW,CAAE,CAAC,CACf,AA1GL,AA6GE,QA7GM,AAAA,eAAe,CA6GrB,aAAa,AAAC,CACZ,WAAW,CAAE,IAAI,CAwBlB,AAtIH,AAgHI,QAhHI,AAAA,eAAe,CA6GrB,aAAa,CAGX,QAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAlHL,AAmHI,QAnHI,AAAA,eAAe,CA6GrB,aAAa,CAMX,SAAS,AAAC,CACR,WAAW,CAAE,KAAK,CAInB,AAxHL,AAqHM,QArHE,AAAA,eAAe,CA6GrB,aAAa,CAMX,SAAS,CAEP,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAvHP,AA0HM,QA1HE,AAAA,eAAe,CA6GrB,aAAa,CAYX,IAAI,CACF,SAAS,CA1Hf,QAAQ,AAAA,eAAe,CA6GrB,aAAa,CAYX,IAAI,CAEF,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AA7HP,AA8HM,QA9HE,AAAA,eAAe,CA6GrB,aAAa,CAYX,IAAI,CAKF,KAAK,CA9HX,QAAQ,AAAA,eAAe,CA6GrB,aAAa,CAYX,IAAI,CAMF,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AAjIP,AAkIM,QAlIE,AAAA,eAAe,CA6GrB,aAAa,CAYX,IAAI,CASF,WAAW,CAAC,cAAc,AAAA,IAAK,CV5HvB,eAAe,CU4HyB,CAC9C,WAAW,CAAE,IAAI,CAClB,AApIP,AAwIE,QAxIM,AAAA,eAAe,CAwIrB,UAAU,AAAC,CACT,aAAa,CAAE,IAAI,CACpB,AAGH,AAEI,WAFO,CACT,IAAI,AACD,IAAK,CnCmEE,MAAM,EmCnEE,EAAE,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAJL,AAKI,WALO,CACT,IAAI,AAID,IAAK,CnCgEE,MAAM,EmCrElB,WAAW,CACT,IAAI,AAKD,MAAM,CAAG,EAAE,AAAC,CACX,UAAU,CAAE,MAAM,CAInB,AAXL,AAQM,WARK,CACT,IAAI,AAID,IAAK,CnCgEE,MAAM,CmC7DX,IAAI,CAAC,SAAS,CARrB,WAAW,CACT,IAAI,AAKD,MAAM,CAAG,EAAE,AAET,IAAI,CAAC,SAAS,AAAC,CACd,cAAc,CAAE,MAAM,CACvB,AAKP,AAGE,eAHa,CAGb,SAAS,CAFX,YAAY,CAEV,SAAS,CADX,aAAa,CACX,SAAS,AAAC,CACR,YAAY,CAAE,IAAI,CACnB,AALH,AAME,eANa,CAMb,UAAU,CALZ,YAAY,CAKV,UAAU,CAJZ,aAAa,CAIX,UAAU,AAAC,CACT,KAAK,CAAE,KAAK,CAIb,AAXH,AAQI,eARW,CAMb,UAAU,CAER,GAAG,CAPP,YAAY,CAKV,UAAU,CAER,GAAG,CANP,aAAa,CAIX,UAAU,CAER,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACZ,AAVL,AAYE,eAZa,CAYb,EAAE,CAXJ,YAAY,CAWV,EAAE,CAVJ,aAAa,CAUX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AAEE,eAFa,CAEb,SAAS,CADX,YAAY,CACV,SAAS,AAAC,CACR,WAAW,CAAE,IAAI,CAClB,AZnQH,AAAA,QAAQ,AAAA,MAAM,AazCC,CACb,GAAG,CAAE,GAAG,CACR,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,iBAAiB,CAI1B,AARD,AAKE,QALM,AAAA,MAAM,CAKZ,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,MAAM,AAAA,GAAG,AAAC,CACR,iBAAiB,CAAE,UAAU,CAC7B,SAAS,CAAE,UAAU,CACtB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAED,AAAA,aAAa,CAAC,IAAI,AAAA,MAAM,AAAC,CACvB,KAAK,CAAE,KAAK,CACb,AAED,AACE,aADW,CACX,EAAE,AAAC,CACD,SAAS,CjIqBD,QAAQ,CiIpBjB,AAGH,AAAA,MAAM,AAAC,CACL,SAAS,CjIgBC,QAAQ,CiIflB,eAAe,CAAE,IAAI,CAIrB,MAAM,CAAE,OAAO,CAIhB,AAVD,AAGE,MAHI,AAGH,QAAQ,AAAC,CACR,KAAK,CjIgKG,OAAoD,CiI/J7D,AALH,AAOE,MAPI,AAOH,MAAM,AAAC,CACN,KAAK,ChItCC,IAAO,CgIuCd,AAGH,AACE,MADI,CACJ,iBAAiB,AAAC,CAChB,KAAK,CAAE,GAAG,CACX,AbqIH,AA0BM,MA1BA,CAcJ,WAAW,AAUR,YAAY,CAEX,KAAK,Aa5JD,CACJ,SAAS,CAAE,KAAK,CACjB,AAIL,AACE,oBADkB,CAClB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AbuTH,AAYI,oBAZgB,CAOlB,kBAAkB,CAKhB,qBAAqB,AahUC,CACpB,GAAG,CAAE,MAAM,CACX,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AAIL,AACE,yBADuB,CACvB,CAAC,AAAC,CACA,UAAU,CAAE,CAAC,CACd,AAHH,AAIE,yBAJuB,AAItB,KAAK,CAAC,WAAW,AAAC,CACjB,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,KAAK,CAClB,AAPH,AASE,yBATuB,CASvB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,YAAY,CAAE,GAAG,CAqBlB,AAjCH,AAcI,yBAdqB,CASvB,aAAa,CAKX,IAAI,AAAC,CACH,IAAI,CAAE,OAAO,CACb,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,EAAE,CAChB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,GAAG,CAYf,AAVC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAtBzC,AAcI,yBAdqB,CASvB,aAAa,CAKX,IAAI,AAAC,CASD,IAAI,CAAE,OAAO,CACb,SAAS,CAAE,GAAG,CAQjB,CvHnFH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EuHmDrC,AAcI,yBAdqB,CASvB,aAAa,CAKX,IAAI,AAAC,CAcD,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,GAAG,CACd,SAAS,CAAE,KAAK,CAEnB,CAIL,AACE,cADY,CACZ,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AAJH,AAME,cANY,CAMZ,cAAc,AAAC,CAGb,KAAK,CAAE,KAAK,CA6Cb,AAtDH,AAWI,cAXU,CAMZ,cAAc,CAKZ,CAAC,AAAC,CACA,UAAU,CAAE,CAAC,CACd,AAbL,AAeI,cAfU,CAMZ,cAAc,CASZ,OAAO,AAAC,CACN,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CAMpB,AAxBL,AAoBM,cApBQ,CAMZ,cAAc,CASZ,OAAO,CAKL,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,IAAI,CACpB,AAvBP,AA0BI,cA1BU,CAMZ,cAAc,CAoBZ,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CACb,AA9BL,AAgCI,cAhCU,CAMZ,cAAc,CA0BZ,iBAAiB,AAAC,CAChB,aAAa,CAAE,GAAG,CACnB,AAlCL,AAoCI,cApCU,CAMZ,cAAc,CA8BZ,IAAI,AAAC,CACH,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,IAAI,CAejB,AArDL,AAuCM,cAvCQ,CAMZ,cAAc,CA8BZ,IAAI,CAGF,iBAAiB,CAvCvB,cAAc,CAMZ,cAAc,CA8BZ,IAAI,CAIF,mBAAmB,CAxCzB,cAAc,CAMZ,cAAc,CA8BZ,IAAI,CAKF,qBAAqB,AAAC,CACpB,KAAK,CAAE,IAAI,CACZ,AA3CP,AA6CM,cA7CQ,CAMZ,cAAc,CA8BZ,IAAI,CASF,qBAAqB,AAAC,CACpB,KAAK,CAAE,IAAI,CACZ,AA/CP,AAiDM,cAjDQ,CAMZ,cAAc,CA8BZ,IAAI,CAaF,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,ArD9JP,AAAA,cAAc,AsDAC,CACb,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CA4GZ,AA9GD,AASE,cATY,CASZ,EAAE,AAAC,CACD,cAAc,CAAE,GAAG,CACpB,AAXH,AAaE,cAbY,CAaZ,EAAE,AAAC,CACD,cAAc,CAAE,MAAM,CACvB,AAfH,AAiBE,cAjBY,CAiBZ,EAAE,AAAA,cAAc,AAAC,CACf,YAAY,CAAE,IAAI,CACnB,AAnBH,AAqBE,cArBY,AAqBX,YAAY,AAAC,CACZ,WAAW,CAAE,GAAG,CAIjB,AA1BH,AAuBI,cAvBU,AAqBX,YAAY,CAEX,SAAS,AAAC,CACR,KAAK,CAAE,GAAG,CACX,AAzBL,AA4BE,cA5BY,CA4BZ,OAAO,CAAC,mBAAmB,CA5B7B,cAAc,CA6BZ,SAAS,CAAC,mBAAmB,AAAC,CAC5B,gBAAgB,CAAE,WAAW,CAC7B,KAAK,ClImKG,OAAoD,CkIlK7D,AAhCH,AAkCE,cAlCY,CAkCZ,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CAclB,AAlDH,AAsCI,cAtCU,CAkCZ,OAAO,CAIL,MAAM,AAAC,CACL,SAAS,ClIUH,QAAQ,CkITf,AAxCL,AAyCI,cAzCU,CAkCZ,OAAO,CAOL,KAAK,AAAC,CACJ,SAAS,ClISD,OAAQ,CkIRjB,AA3CL,AA4CI,cA5CU,CAkCZ,OAAO,CAUL,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,GAAG,CAChB,AAjDL,AAoDE,cApDY,CAoDZ,cAAc,AAAC,CACb,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,IAAI,CAaZ,AAnEH,AAuDI,cAvDU,CAoDZ,cAAc,CAGZ,YAAY,AAAC,CACX,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CACrB,YAAY,CAAE,KAAK,CACpB,AA3DL,AA4DI,cA5DU,CAoDZ,cAAc,CAQZ,cAAc,AAAC,CACb,YAAY,CAAE,KAAK,CACpB,AA9DL,AA+DI,cA/DU,CAoDZ,cAAc,CAWZ,mBAAmB,AAAA,UAAU,AAAC,CAC5B,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,CAAC,CACX,AAlEL,AAqEE,cArEY,CAqEZ,eAAe,AAAC,CACd,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CAoBtB,AA5FH,AAyEI,cAzEU,CAqEZ,eAAe,AAIZ,cAAc,AAAC,CACd,UAAU,CAAE,IAAI,CACjB,AA3EL,AA4EI,cA5EU,CAqEZ,eAAe,CAOb,CAAC,AAAA,eAAe,CA5EpB,cAAc,CAqEZ,eAAe,CAQb,CAAC,AAAA,eAAe,AAAA,QAAQ,AAAC,CACvB,SAAS,ClI3BD,OAAQ,CkI4BhB,KAAK,ClImHC,OAAoD,CkIlH3D,AAhFL,AAiFI,cAjFU,CAqEZ,eAAe,CAYb,MAAM,AAAC,CxHrBT,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwHqBnB,IAAI,CAAE,QAAQ,CACf,AApFL,AAqFI,cArFU,CAqEZ,eAAe,CAgBb,eAAe,AAAC,CACd,YAAY,CAAE,MAAM,CACrB,AAvFL,AAwFI,cAxFU,CAqEZ,eAAe,CAmBb,kBAAkB,CAAC,MAAM,AAAA,UAAU,CAxFvC,cAAc,CAqEZ,eAAe,CAoBb,MAAM,AAAC,CACL,YAAY,CAAE,GAAG,CAClB,AA3FL,AA+FI,cA/FU,CA8FZ,KAAK,CACH,SAAS,AAAC,CACR,WAAW,CAAE,SAAS,CAQvB,AAxGL,AAiGM,cAjGQ,CA8FZ,KAAK,CACH,SAAS,CAEP,EAAE,AAAC,CACD,SAAS,ClIlDL,QAAQ,CkImDZ,WAAW,ClInCE,GAAG,CkIuCjB,AAvGP,AAoGQ,cApGM,CA8FZ,KAAK,CACH,SAAS,CAEP,EAAE,CAGA,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CjIrGL,IAAO,CiIsGR,AAtGT,AA0GI,cA1GU,CA8FZ,KAAK,CAYH,OAAO,AAAC,CACN,OAAO,CAAE,aAAa,CACvB,AAIL,AAAA,sBAAsB,CACtB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,QAAQ,CA8BpB,AAjCD,AAKE,sBALoB,CAKpB,GAAG,AAAA,OAAO,CAJZ,mBAAmB,CAIjB,GAAG,AAAA,OAAO,AAAC,CACT,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,KAAK,CACjB,AAGC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAZpC,AAWE,sBAXoB,CAWpB,GAAG,AAAA,OAAO,AAAA,WAAW,CAVvB,mBAAmB,CAUjB,GAAG,AAAA,OAAO,AAAA,WAAW,AAAC,CAElB,YAAY,CAAE,CAAC,CAQlB,CANC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAfpC,AAWE,sBAXoB,CAWpB,GAAG,AAAA,OAAO,AAAA,WAAW,CAVvB,mBAAmB,CAUjB,GAAG,AAAA,OAAO,AAAA,WAAW,AAAC,CAKlB,YAAY,CAAE,GAAG,CAKpB,CAHC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAlBpC,AAWE,sBAXoB,CAWpB,GAAG,AAAA,OAAO,AAAA,WAAW,CAVvB,mBAAmB,CAUjB,GAAG,AAAA,OAAO,AAAA,WAAW,AAAC,CAQlB,YAAY,CAAE,GAAG,CAEpB,CArBH,AAuBE,sBAvBoB,CAuBpB,eAAe,CAtBjB,mBAAmB,CAsBjB,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CAItB,AA5BH,AAyBI,sBAzBkB,CAuBpB,eAAe,CAEb,cAAc,CAxBlB,mBAAmB,CAsBjB,eAAe,CAEb,cAAc,AAAC,CACb,SAAS,ClIvFD,OAAQ,CkIwFjB,AA3BL,AA8BE,sBA9BoB,CA8BpB,oBAAoB,CA7BtB,mBAAmB,CA6BjB,oBAAoB,AAAC,CACnB,YAAY,CAAE,GAAG,CAClB,AChJH,AAIE,kBAJgB,CAIhB,cAAc,CAHhB,eAAe,CAGb,cAAc,AAAC,CACb,OAAO,CAAE,QAAQ,CACjB,KAAK,CnI4LG,OAAoD,CmI3L7D,AAPH,AASE,kBATgB,CAShB,UAAU,CATZ,kBAAkB,CAUhB,YAAY,CATd,eAAe,CAQb,UAAU,CARZ,eAAe,CASb,YAAY,AAAC,CACX,UAAU,CAAE,GAAG,CAChB,AAGH,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CAAC,KAAK,CnIiLd,OAAoD,CmIhL9D,OAAO,CAAE,IAAI,CAEb,WAAW,CAAE,MAAM,CA+BpB,AApCD,AAOE,uBAPqB,CAOrB,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AATH,AAUE,uBAVqB,CAUrB,UAAU,AAAC,CAET,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,GAAG,CACd,SAAS,CnIqBJ,GAAG,CmITT,AA1BH,AAeI,uBAfmB,CAUrB,UAAU,CAKR,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAIhB,AApBL,AAiBM,uBAjBiB,CAUrB,UAAU,CAKR,cAAc,CAEZ,kBAAkB,AAAC,CACjB,WAAW,CAAE,CAAC,CACf,AAnBP,AAsBI,uBAtBmB,CAUrB,UAAU,CAYR,QAAQ,AAAC,CACP,aAAa,CAAE,KAAK,CACpB,SAAS,CnIUH,QAAQ,CmITf,AAzBL,AA2BE,uBA3BqB,CA2BrB,YAAY,AAAC,CACX,IAAI,CAAE,OAAO,CACb,UAAU,CAAE,KAAK,CACjB,KAAK,CnIqJG,OAAoD,CmIpJ7D,AA/BH,AAiCE,uBAjCqB,CAiCrB,oBAAoB,CAAC,CAAC,AAAC,CACrB,KAAK,CnIiJG,OAAoD,CmIhJ7D,AC3CH,AACE,cADY,CACZ,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,IAAI,CACpB,AAJH,AAME,cANY,CAMZ,IAAI,AAAC,CACH,KAAK,CAAE,KAAK,CACZ,WAAW,CAAE,GAAG,CAChB,aAAa,CAAE,GAAG,CAClB,SAAS,CpIgCD,QAAQ,CoI/BhB,WAAW,CAAE,MAAM,CACpB,AAZH,AAcE,cAdY,CAcZ,OAAO,CAAC,IAAI,AAAC,CACX,KAAK,CAAE,IAAI,CACZ,AAhBH,AAkBE,cAlBY,CAkBZ,CAAC,AAAA,eAAe,AAAC,CACf,OAAO,CAAE,QAAQ,CACjB,SAAS,CpIsBD,QAAQ,CoIrBjB,AAMH,AACE,iBADe,CACf,iBAAiB,CDnCnB,kBAAkB,CCmChB,iBAAiB,CDlCnB,eAAe,CCkCb,iBAAiB,CAcnB,WAAW,CAdT,iBAAiB,AAAC,CAChB,KAAK,CpI8JG,OAAoD,CoI7J7D,AAHH,AAIE,iBAJe,CAIf,iBAAiB,AAAA,SAAS,CDtC5B,kBAAkB,CCsChB,iBAAiB,AAAA,SAAS,CDrC5B,eAAe,CCqCb,iBAAiB,AAAA,SAAS,CAW5B,WAAW,CAXT,iBAAiB,AAAA,SAAS,AAAC,CACzB,KAAK,CpI2JG,OAAoD,CoI1J7D,AANH,AAOE,iBAPe,CAOf,CAAC,AAAA,MAAM,CDzCT,kBAAkB,CCyChB,CAAC,AAAA,MAAM,CDxCT,eAAe,CCwCb,CAAC,AAAA,MAAM,CAQT,WAAW,CART,CAAC,AAAA,MAAM,AAAC,CACN,KAAK,CnI1CC,IAAO,CmI2Cd,AATH,AAUE,iBAVe,CAUf,gBAAgB,CD5ClB,kBAAkB,CC4ChB,gBAAgB,CD3ClB,eAAe,CC2Cb,gBAAgB,CAKlB,WAAW,CALT,gBAAgB,AAAC,CACf,KAAK,CpIqJG,OAAoD,CoIpJ7D,A3B8BH,AAAA,WAAW,A2B3BC,CAGV,MAAM,CAAE,QAAQ,CAgHjB,A3BxFD,AAqCE,WArCS,CAqCT,EAAE,CArCJ,WAAW,CAsCT,EAAE,A2B5DC,CACD,OAAO,CAAE,QAAQ,CAOlB,AAbH,AAOI,WAPO,CAIT,EAAE,AAGC,cAAc,CAPnB,WAAW,CAKT,EAAE,AAEC,cAAc,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AATL,AAUI,WAVO,CAIT,EAAE,AAMC,aAAa,CAVlB,WAAW,CAKT,EAAE,AAKC,aAAa,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,A3BeL,AA4CI,WA5CO,CA2CT,EAAE,CACA,MAAM,CAAC,OAAO,A2BxDC,CACb,KAAK,CpIiIC,OAAoD,CoIhI3D,AAjBL,AAoBE,WApBS,CAoBT,MAAM,AAAA,YAAY,AAAC,CACjB,OAAO,CAAE,CAAC,CACX,AAtBH,AAwBE,WAxBS,CAwBT,EAAE,AAAA,YAAY,AAAC,CACb,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CAIZ,AA9BH,AA2BI,WA3BO,CAwBT,EAAE,AAAA,YAAY,CAGV,UAAU,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,AA7BL,AAgCE,WAhCS,CAgCT,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CAKV,AAvCH,AAmCI,WAnCO,CAgCT,mBAAmB,AAGhB,UAAU,AAAC,CACV,GAAG,CAAE,IAAI,CACT,YAAY,CAAE,GAAG,CAClB,AAtCL,AA4CE,WA5CS,CA4CT,QAAQ,AAAC,CAGP,KAAK,CAAE,KAAK,CAeb,AA9DH,AAgDI,WAhDO,CA4CT,QAAQ,CAIJ,CAAC,AAAC,CACF,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAWlB,AA7DL,AAmDM,WAnDK,CA4CT,QAAQ,CAIJ,CAAC,AAGA,aAAa,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AArDP,AAuDM,WAvDK,CA4CT,QAAQ,CAIJ,CAAC,AAOA,mBAAmB,AAAC,CACnB,MAAM,CAAE,OAAO,CACf,KAAK,CpIwFD,OAAoD,CoIvFxD,WAAW,CAhBI,IAAsB,CAiBrC,SAAS,CpIzDH,OAAQ,CoI0Df,AA5DP,AA+DE,WA/DS,CA+DT,EAAE,AAAA,QAAQ,AAAC,CACT,MAAM,CAvBY,IAAI,CAwBvB,AAjEH,AAkEE,WAlES,CAkET,QAAQ,CAAC,CAAC,AAAA,YAAY,CAAC,OAAO,AAAA,OAAO,AAAA,IAAK,CAAA,OAAO,CAAE,CACjD,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,OAAiC,CACzD,MAAM,CAAE,GAAG,CAAC,KAAK,CAAC,OAAiC,CACnD,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,IAAI,CACX,AAxEH,AA0EE,WA1ES,CA0ET,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AA5EH,AA6EE,WA7ES,CA6ET,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AA/EH,AAgFE,WAhFS,CAgFT,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AAlFH,AAoFE,WApFS,CAoFT,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,KAAK,CpI0DG,OAAoD,CoIzD5D,UAAU,CAAE,IAAI,CAChB,SAAS,CpIvFC,OAAQ,CoIwFlB,UAAU,CAAE,GAAG,CAShB,AAnGH,AA2FI,WA3FO,CAoFT,aAAa,CAOX,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AA7FL,AA8FI,WA9FO,CAoFT,aAAa,CAUX,CAAC,AAAC,CACA,KAAK,CpIkDC,OAAoD,CoIjD1D,YAAY,CAAE,GAAG,CACjB,WAAW,CpIjFG,GAAG,CoIkFlB,AAlGL,AAoGE,WApGS,CAoGT,SAAS,AAAC,CACR,KAAK,CAAE,IAAI,CAOZ,AA5GH,AAsGI,WAtGO,CAoGT,SAAS,AAEN,KAAM,CJpIE,KAAK,CIoIA,CACZ,KAAK,CAAE,IAAI,CACZ,AAxGL,AAyGI,WAzGO,CAoGT,SAAS,CAKP,IAAI,AAAC,CACH,MAAM,CAAE,OAAO,CAChB,AA3GL,AA6GE,WA7GS,CA6GT,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACZ,AA/GH,AAgHE,WAhHS,CAgHT,UAAU,AAAC,CACT,WAAW,CAAE,MAAM,CACpB,AAGH,AAAA,kBAAkB,AAAC,CACjB,MAAM,CAAE,MAAM,CACf,AAKD,AAAA,UAAU,CAAC,UAAU,CAAC,EAAE,AAAC,CACvB,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,UAAU,CACnB,AAED,AACE,UADQ,CACR,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACpB,AAHH,AAIE,UAJQ,CAIR,UAAU,AAAA,WAAW,AAAC,CACpB,GAAG,CAAE,CAAC,CAIP,AATH,AAMI,UANM,CAIR,UAAU,AAAA,WAAW,CAEnB,MAAM,AAAC,CACL,OAAO,CAAE,mBAAmB,CAC7B,AAIL,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,KAAK,CACV,OAAO,CAAE,GAAG,CACZ,gBAAgB,CnIlMN,IAAO,CmImMjB,OAAO,CpIlGK,GAAG,CoImGhB,AAED,AAAA,MAAM,AAAA,aAAa,AAAC,CAClB,KAAK,CAAE,KAAK,CACZ,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CAClB,AAED,AACE,gBADc,CACd,cAAc,AAAC,CACb,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,IAAI,CACX,AAGH,AACE,iBADe,CACf,CAAC,AAAC,CACA,WAAW,CpIvJK,GAAG,CoIwJnB,SAAS,CpI1KD,QAAQ,CoI2KjB,AAGH,AAAA,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,cAAc,AAAA,aAAa,AAAC,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,kBAAkB,CAM3B,AARD,AAIE,cAJY,AAAA,aAAa,CAIzB,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CAClB,AAG2B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAV7B,AAAA,cAAc,AAAA,aAAa,AAWG,CAC1B,YAAY,CAAA,MAAC,CACb,UAAU,CAAE,iBAAiB,CAC7B,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,6CAA6C,CAQrD,AAxBH,AAIE,cAJY,AAAA,aAAa,CAIzB,GAAG,AAcG,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACpB,C1HrOH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+BArC,AAQI,UARM,CAIN,EAAE,CAIA,CAAC,A2FsOM,CACP,SAAS,CpIhNN,GAAG,CoIiNN,OAAO,CAAE,QAAQ,CAClB,AAIH,AACE,MADI,AAAA,aAAa,CACjB,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACd,AAHH,AAIE,MAJI,AAAA,aAAa,CAIjB,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CAChB,AAGH,AAEE,WAFS,CAET,EAAE,AAAA,cAAc,AAAC,CACf,OAAO,CAAE,QAAQ,CAClB,A3BzML,AAqCE,WArCS,CAqCT,EAAE,CArCJ,WAAW,CAsCT,EAAE,A2BsKG,CACD,OAAO,CAAE,IAAI,CACb,SAAS,CpIxON,GAAG,CoIyOP,AAVH,AAYE,WAZS,CAYT,EAAE,AAAA,MAAM,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAdH,AAeE,WAfS,CAeT,EAAE,AAAA,MAAM,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAjPL,AAgFE,WAhFS,CAgFT,MAAM,AAmKG,CACL,KAAK,CAAE,IAAI,CACZ,AArPL,AA4CE,WA5CS,CA4CT,QAAQ,AA0MG,CACP,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CACnB,AAzBH,AA4BI,WA5BO,CA2BT,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,IAAK,CAAA,OAAO,CAAE,CACb,OAAO,CAAE,IAAI,CACd,AA9BL,AA+BI,WA/BO,CA2BT,EAAE,AAAA,QAAQ,CAIR,CAAC,AAAA,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CAIZ,AApCL,AAiCM,WAjCK,CA2BT,EAAE,AAAA,QAAQ,CAIR,CAAC,AAAA,OAAO,CAEN,GAAG,AAAC,CACF,MAAM,CAAE,MAAM,CACf,C1D6DT,AAAA,KAAK,A2DjXC,CACJ,SAAS,CrIQG,MAAM,CqIPnB,A3DgYD,AAAA,WAAW,A2D9XC,CACV,WAAW,CAAE,CAAC,CACf,AhE2DC,AAAA,WAAW,AgEzDD,CAMV,OAAO,CAAE,CAAC,CAqBX,AA3BD,AAGE,WAHS,CAGT,QAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AALH,AAOE,WAPS,AAOR,cAAc,AAAC,CACd,UAAU,CAAE,IAAI,CACjB,AATH,AAUE,WAVS,CAUT,aAAa,AAAC,CACZ,OAAO,CrIkFD,CAAC,CqIjFP,KAAK,CrI8KG,OAAoD,CqI7K7D,AAEC,AAAA,mBAAmB,CAfvB,WAAW,CAcT,QAAQ,CAAC,SAAS,AACM,CACpB,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,0CAA0C,CACvD,AACD,AAAA,gBAAgB,CAnBpB,WAAW,CAcT,QAAQ,CAAC,SAAS,AAKG,CACjB,OAAO,CAAE,CAAC,CACX,AArBL,AAuBE,WAvBS,AAuBR,MAAM,CAAC,QAAQ,CAAC,SAAS,CAvB5B,WAAW,CAwBT,SAAS,CAAC,QAAQ,CAAC,SAAS,AAAC,CAC3B,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,OAAO,AAAA,eAAe,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,YAAY,CAAE,IAAI,CACnB,AtBoKD,AAAA,qBAAqB,AsBlKC,CACpB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,GAAG,AAAA,cAAc,AAAC,CAChB,OAAO,CAAE,CAAC,CAkMX,AAnMD,AAIE,GAJC,AAAA,cAAc,CAIf,cAAc,AAAC,CACb,OAAO,CAAE,WAAW,CACpB,KAAK,CrI8IG,OAAoD,CqI7I5D,YAAY,CAAE,MAAM,CAiErB,AAxEH,AASM,GATH,AAAA,cAAc,CAIf,cAAc,AAIX,MAAM,CACL,MAAM,AAAC,CACL,UAAU,CrI0IN,OAAoD,CqIzIxD,KAAK,CrIyID,OAAoD,CqIxIzD,AAZP,AAcI,GAdD,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAAC,CAKL,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CAmDhB,AAvEL,AAgBM,GAhBH,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAEH,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAlBP,AAyBQ,GAzBL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAOH,SAAS,CAIR,OAAO,CAzBf,GAAG,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAQH,eAAe,CAGd,OAAO,CAzBf,GAAG,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AASH,cAAc,CAEb,OAAO,AAAC,CACN,KAAK,CrI0HH,OAAoD,CqIzHtD,YAAY,CAAE,MAAM,CACrB,AA5BT,AAgCQ,GAhCL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAgBH,KAAK,AAEH,QAAQ,AAAC,CACR,UAAU,CrImHR,OAAoD,CqI/GvD,AArCT,AAkCU,GAlCP,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAgBH,KAAK,AAEH,QAAQ,CAEP,OAAO,AAAC,CACN,KAAK,CpIxEV,OAAO,CoIyEH,AApCX,AAyCQ,GAzCL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyBH,SAAS,CAER,OAAO,AAAC,CACN,KAAK,CpI/ER,OAAO,CoIgFL,AA3CT,AA4CQ,GA5CL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyBH,SAAS,AAKP,QAAQ,AAAC,CACR,UAAU,CrIuGR,OAAoD,CqInGvD,AAjDT,AA8CU,GA9CP,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyBH,SAAS,AAKP,QAAQ,CAEP,OAAO,AAAC,CACN,KAAK,CrIqGL,OAAoD,CqIpGrD,AAhDX,AAmDM,GAnDH,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,CAqCH,AAAA,QAAC,AAAA,CAAU,CAEV,MAAM,CAAE,WAAW,CACpB,AAtDP,AAyDQ,GAzDL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyCH,aAAa,AAEX,IAAK,CAAA,SAAS,CAAE,CACf,aAAa,CAAE,CAAC,CACjB,AA3DT,AA4DQ,GA5DL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyCH,aAAa,AAKX,QAAQ,AAAC,CACR,KAAK,CpI3GL,IAAO,CoI4GR,AA9DT,AA+DQ,GA/DL,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyCH,aAAa,CAQV,YAAY,AAAC,CAEb,YAAY,CAAE,MAAM,CAIrB,AArET,AAkEU,GAlEP,AAAA,cAAc,CAIf,cAAc,CAUZ,MAAM,AAyCH,aAAa,CAQV,YAAY,AAGX,QAAQ,AAAC,CACR,UAAU,CrIiFV,OAAoD,CqIhFrD,AApEX,AAyEE,GAzEC,AAAA,cAAc,CAyEf,CAAC,CAzEH,GAAG,AAAA,cAAc,CA0Ef,MAAM,AAAC,CACL,KAAK,CrIyEG,OAAoD,CqIrE5D,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CACtB,AAjFH,AA4EI,GA5ED,AAAA,cAAc,CAyEf,CAAC,CAGC,OAAO,CA5EX,GAAG,AAAA,cAAc,CA0Ef,MAAM,CAEJ,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AA9EL,AAkFE,GAlFC,AAAA,cAAc,CAkFf,CAAC,AAAA,aAAa,AAAC,CACb,OAAO,CAAE,KAAK,CACd,YAAY,CAAE,IAAI,CACnB,AArFH,AAsFE,GAtFC,AAAA,cAAc,CAsFf,IAAI,AAAA,YAAY,AAAC,CACf,YAAY,CAAE,GAAG,CACjB,UAAU,CAAE,gBAAgB,CAC7B,AAzFH,AA0FE,GA1FC,AAAA,cAAc,CA0Ff,QAAQ,AAAC,CACP,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,YAAY,CAKtB,AAlGH,AA8FI,GA9FD,AAAA,cAAc,CA0Ff,QAAQ,CAIN,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CACjB,AAjGL,AAmGE,GAnGC,AAAA,cAAc,CAmGf,aAAa,AAAC,CACZ,WAAW,CAAE,KAAK,CAClB,SAAS,CAAE,OAAO,CAcnB,AAnHH,AAsGI,GAtGD,AAAA,cAAc,CAmGf,aAAa,CAGX,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CrI6CC,OAAoD,CqI5C3D,AAxGL,AAyGI,GAzGD,AAAA,cAAc,CAmGf,aAAa,AAMV,MAAM,AAAC,CACN,UAAU,CrI0CJ,OAAoD,CqItC3D,AA9GL,AA2GM,GA3GH,AAAA,cAAc,CAmGf,aAAa,AAMV,MAAM,CAEL,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CpI1JH,IAAO,CoI2JV,AA7GP,AA+GI,GA/GD,AAAA,cAAc,CAmGf,aAAa,CAYX,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CAChB,SAAS,CrI5GD,OAAQ,CqI6GjB,AAlHL,AAoHE,GApHC,AAAA,cAAc,CAoHf,MAAM,AAAA,OAAO,AAAC,CACZ,YAAY,CAAE,CAAC,CACf,KAAK,CrI8BG,OAAoD,CqI7B5D,WAAW,CAAE,IAAI,CAIlB,AA3HH,AAwHI,GAxHD,AAAA,cAAc,CAoHf,MAAM,AAAA,OAAO,CAIX,OAAO,AAAC,CACN,KAAK,CrI2BC,OAAoD,CqI1B3D,AA1HL,AA4HE,GA5HC,AAAA,cAAc,CA4Hf,OAAO,CAAC,OAAO,AAAC,CACd,YAAY,CAAE,GAAG,CAClB,AA9HH,AA+HE,GA/HC,AAAA,cAAc,CA+Hf,MAAM,AAAC,CACL,SAAS,CrI7HD,QAAQ,CqI8HhB,OAAO,CAAE,QAAQ,CACjB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CA8BjB,AAnKH,AAsII,GAtID,AAAA,cAAc,CA+Hf,MAAM,AAOH,QAAQ,CAtIb,GAAG,AAAA,cAAc,CA+Hf,MAAM,AAQH,MAAM,AAAC,CACN,UAAU,CrIYJ,OAAoD,CqIX1D,KAAK,CpIvLD,IAAO,CoIwLZ,AA1IL,AA2II,GA3ID,AAAA,cAAc,CA+Hf,MAAM,AAYH,OAAO,AAAC,CACP,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,eAAkB,CAC/C,AA7IL,AA8II,GA9ID,AAAA,cAAc,CA+Hf,MAAM,AAeH,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAhJL,AAiJI,GAjJD,AAAA,cAAc,CA+Hf,MAAM,AAkBH,MAAM,AAAC,CACN,QAAQ,CAAE,QAAQ,CACnB,AAnJL,AAoJI,GApJD,AAAA,cAAc,CA+Hf,MAAM,AAqBH,OAAO,AAAA,QAAQ,CApJpB,GAAG,AAAA,cAAc,CA+Hf,MAAM,AAsBH,OAAO,AAAA,MAAM,CArJlB,GAAG,AAAA,cAAc,CA+Hf,MAAM,AAuBH,OAAO,AAAA,MAAM,AAAC,CACb,UAAU,CpI9LP,OAAO,CoI+LV,KAAK,CpIrMC,IAAO,CoIyMd,AA5JL,AAyJM,GAzJH,AAAA,cAAc,CA+Hf,MAAM,AAqBH,OAAO,AAAA,QAAQ,CAKd,OAAO,CAzJb,GAAG,AAAA,cAAc,CA+Hf,MAAM,AAsBH,OAAO,AAAA,MAAM,CAIZ,OAAO,CAzJb,GAAG,AAAA,cAAc,CA+Hf,MAAM,AAuBH,OAAO,AAAA,MAAM,CAGZ,OAAO,AAAC,CACN,KAAK,CpIvMD,IAAO,CoIwMZ,AA3JP,AA6JI,GA7JD,AAAA,cAAc,CA+Hf,MAAM,AA8BH,SAAS,AAAC,CACT,OAAO,CAAE,QAAQ,CAIlB,AAlKL,AA+JM,GA/JH,AAAA,cAAc,CA+Hf,MAAM,AA8BH,SAAS,AAEP,WAAW,CAAC,OAAO,AAAC,CACnB,KAAK,CpI5MF,IAAO,CoI6MX,AAjKP,AAoKE,GApKC,AAAA,cAAc,CAoKf,gBAAgB,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,UAAU,CACtB,gBAAgB,CpIrNR,IAAO,CoIsNf,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CrIxBT,OAAoD,CqIyB5D,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CrI7HG,GAAG,CqI8Id,AAlMH,AAkLI,GAlLD,AAAA,cAAc,CAoKf,gBAAgB,CAcd,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,KAAK,CpIlOD,IAAO,CoImOX,SAAS,CrIjLN,GAAG,CqIkLP,AAtLL,AAuLI,GAvLD,AAAA,cAAc,CAoKf,gBAAgB,CAmBd,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,UAAU,CACnB,AA1LL,AA2LI,GA3LD,AAAA,cAAc,CAoKf,gBAAgB,CAuBd,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAKnB,AAjML,AA6LM,GA7LH,AAAA,cAAc,CAoKf,gBAAgB,CAuBd,EAAE,CAEA,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAKP,AAAA,eAAe,AAAC,CAMd,MAAM,CAAE,GAAG,CAAC,KAAK,CrIvDP,OAAoD,CqI4J/D,AA3GD,AACE,eADa,CACb,EAAE,CADJ,eAAe,CAEb,EAAE,CAFJ,eAAe,CAGb,EAAE,AAAC,CACD,MAAM,CAAE,MAAM,CACf,AALH,AAOE,eAPa,CAOb,WAAW,AAAC,CACV,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,iBAAiB,CAGxB,QAAQ,CAAE,MAAM,CACjB,AAbH,AAeE,eAfa,CAeb,OAAO,AAAC,CACN,UAAU,CAAE,IAAI,CACjB,AAjBH,AAkBE,eAlBa,CAkBb,aAAa,AAAC,CACZ,YAAY,CAAE,IAAI,CAClB,WAAW,CAAE,IAAI,CAClB,AArBH,AAsBE,eAtBa,CAsBb,cAAc,CAtBhB,eAAe,CAuBb,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CrI1EG,OAAoD,CqI2E5D,UAAU,CpI5QF,IAAO,CoI6Qf,MAAM,CAAE,GAAG,CAAC,KAAK,CrI5ET,OAAoD,CqI6E5D,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,EAAE,CAaZ,AA1CH,AA8BI,eA9BW,CAsBb,cAAc,CAQZ,OAAO,CA9BX,eAAe,CAuBb,YAAY,CAOV,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AACD,AACE,mBADiB,CAjCvB,eAAe,CAsBb,cAAc,AAYT,MAAM,CADT,mBAAmB,CAjCvB,eAAe,CAuBb,YAAY,AAWP,MAAM,AAAC,CACN,UAAU,CrIpFN,OAAoD,CqIqFxD,KAAK,CrIrFD,OAAoD,CqIyFzD,AAPH,AAII,mBAJe,CAjCvB,eAAe,CAsBb,cAAc,AAYT,MAAM,CAGL,OAAO,CAJX,mBAAmB,CAjCvB,eAAe,CAuBb,YAAY,AAWP,MAAM,CAGL,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAvCT,AA2CE,eA3Ca,AA2CZ,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,WAAW,CAAE,IAAI,CAKlB,AAnDH,AA+CI,eA/CW,AA2CZ,OAAO,AAIL,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,CAAC,CACX,AAlDL,AAqDI,eArDW,AAoDZ,OAAO,CACN,YAAY,AAAC,CACX,SAAS,CAAE,sBAAsB,CAClC,AAvDL,AAwDI,eAxDW,AAoDZ,OAAO,CAIN,IAAI,AAAC,CACH,cAAc,CAAE,KAAK,CAKtB,AA9DL,AA0DM,eA1DS,AAoDZ,OAAO,CAIN,IAAI,CAEF,aAAa,CA1DnB,eAAe,AAoDZ,OAAO,CAIN,IAAI,CAGF,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CAAC,KAAK,CrI7GjB,OAAoD,CqI8GzD,AA7DP,AAgEE,eAhEa,AAgEZ,IAAI,AAAC,CACJ,aAAa,CAAE,IAAI,CAInB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,KAAK,CAQb,AA9EH,AAkEI,eAlEW,AAgEZ,IAAI,CAEH,cAAc,AAAC,CACb,SAAS,CAAE,oBAAoB,CAChC,AApEL,AAuEI,eAvEW,AAgEZ,IAAI,CAOH,IAAI,AAAC,CACH,aAAa,CAAE,IAAI,CAKpB,AA7EL,AAyEM,eAzES,AAgEZ,IAAI,CAOH,IAAI,CAEF,aAAa,CAzEnB,eAAe,AAgEZ,IAAI,CAOH,IAAI,CAGF,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CAAC,KAAK,CrI5HjB,OAAoD,CqI6HzD,AA5EP,AA+EE,eA/Ea,AA+EZ,IAAI,AAAA,WAAW,AAAC,CACf,OAAO,CAAE,CAAC,CACX,AAjFH,AAkFE,eAlFa,CAkFb,UAAU,AAAC,CACT,KAAK,CrIpIG,OAAoD,CqIqI7D,AApFH,AAqFE,eArFa,CAqFb,gBAAgB,CArFlB,eAAe,CAsFb,kBAAkB,AAAC,CACjB,WAAW,CAAE,GAAG,CACjB,AAxFH,AAyFE,eAzFa,CAyFb,MAAM,AAAA,cAAc,CAAC,IAAI,AAAC,CACxB,UAAU,CAAE,IAAI,CACjB,AA3FH,AA4FE,eA5Fa,CA4Fb,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CACnB,AA9FH,AA+FE,eA/Fa,CA+Fb,gBAAgB,CAAC,EAAE,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CrI/OD,CAAC,CqIgPP,SAAS,CrIlSC,OAAQ,CqIuSnB,AAvGH,AAmGI,eAnGW,CA+Fb,gBAAgB,CAAC,EAAE,CAIjB,CAAC,AAAC,CACA,WAAW,CAAE,IAAI,CACjB,KAAK,CrItJC,OAAoD,CqIuJ3D,AAtGL,AAwGE,eAxGa,CAwGb,MAAM,AAAC,CACL,KAAK,CrI1JG,OAAoD,CqI2J7D,AAGH,AACE,YADU,CACV,cAAc,AAAC,CACb,WAAW,CAAE,GAAG,CACjB,AAHH,AAIE,YAJU,CAIV,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AvBtDH,AAAA,UAAU,AuByDC,CACT,MAAM,CAAE,gBAAgB,CAwEzB,AAzED,AAGI,UAHM,CAER,IAAI,CACF,UAAU,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AALL,AAMI,UANM,CAER,IAAI,CAIF,EAAE,AAAC,CACD,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,QAAQ,CAOlB,AAfL,AASM,UATI,CAER,IAAI,CAIF,EAAE,AAGC,aAAa,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAXP,AAYM,UAZI,CAER,IAAI,CAIF,EAAE,AAMC,UAAW,CAAA,CAAC,CAAE,CACb,UAAU,CAAE,MAAM,CACnB,AAdP,AAgBI,UAhBM,CAER,IAAI,CAcF,OAAO,AAAC,CACN,KAAK,CrIxLC,OAAoD,CqIyL3D,AAlBL,AAmBI,UAnBM,CAER,IAAI,CAiBF,OAAO,CAnBX,UAAU,CAER,IAAI,CAkBF,OAAO,AAAC,CACN,SAAS,CrI9UH,QAAQ,CqI+Ud,WAAW,CrI/TI,GAAG,CqIgUnB,AAvBL,AAwBI,UAxBM,CAER,IAAI,CAsBF,MAAM,CAAC,OAAO,CAxBlB,UAAU,CAER,IAAI,CAuBF,MAAM,AAAA,MAAM,CAAC,OAAO,AAAC,CACnB,KAAK,CrIjMC,OAAoD,CqIkM3D,AA3BL,AA4BI,UA5BM,CAER,IAAI,CA0BF,OAAO,CAAC,CAAC,AAAC,CACR,KAAK,CAAE,IAAI,CACZ,AA9BL,AA+BI,UA/BM,CAER,IAAI,CA6BF,eAAe,AAAC,CACd,UAAU,CAAE,GAAG,CAChB,AAjCL,AAmCE,UAnCQ,CAmCR,QAAQ,CAnCV,UAAU,CAoCR,MAAM,CApCR,UAAU,CAqCR,YAAY,AAAC,CACX,OAAO,CAAE,iBAAiB,CAC1B,KAAK,CpIhZC,IAAO,CoIiZd,AAxCH,AAyCE,UAzCQ,CAyCR,QAAQ,AAAC,CACP,KAAK,CAAE,KAAK,CAqBb,AA/DH,AA2CI,UA3CM,CAyCR,QAAQ,CAEN,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,MAAM,CACf,KAAK,CrIrNC,OAAoD,CqIsN1D,UAAU,CrIvON,OAAqB,CqIwOzB,WAAW,CAAE,GAAG,CAAC,KAAK,CrIvNhB,OAAoD,CqIwN1D,UAAU,CAAE,qBAAqB,CAalC,AA9DL,AAkDM,UAlDI,CAyCR,QAAQ,CAEN,IAAI,AAOD,MAAM,AAAC,CACN,KAAK,CpI5ZH,IAAO,CoI6ZT,UAAU,CrI3NN,OAAoD,CqI4NzD,AArDP,AAsDM,UAtDI,CAyCR,QAAQ,CAEN,IAAI,AAWD,UAAU,AAAC,CACV,cAAc,CAAE,GAAG,CACpB,AAxDP,AAyDM,UAzDI,CAyCR,QAAQ,CAEN,IAAI,CAcF,GAAG,AAAC,CACF,MAAM,CAAE,CAAC,CACT,SAAS,CrIpXL,QAAQ,CqIqXZ,WAAW,CAAE,IAAI,CAClB,AA7DP,AAgEE,UAhEQ,CAgER,aAAa,CAAC,IAAI,AAAC,CACjB,KAAK,CrIxOG,OAAoD,CqIyO5D,UAAU,CrI1PJ,OAAqB,CqI2P3B,KAAK,CAAE,IAAI,CAKZ,AAxEH,AAoEI,UApEM,CAgER,aAAa,CAAC,IAAI,AAIf,MAAM,AAAC,CACN,KAAK,CpI9aD,IAAO,CoI+aX,UAAU,CrI7OJ,OAAoD,CqI8O3D,AASL,AAAA,qBAAqB,AAAC,CACpB,OAAO,CAAE,aAAa,CACtB,KAAK,CAAE,IAAI,CAUZ,AAZD,AAGE,qBAHmB,CAGnB,IAAI,AAAC,CAPL,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,IAAI,CAWjB,AARH,AAKI,qBALiB,CAGnB,IAAI,CAEF,gBAAgB,AAAA,WAAW,AAAC,CAC1B,KAAK,CpI7bA,IAAO,CoI8bb,AAPL,AASE,qBATmB,CASnB,SAAS,AAAA,WAAW,CAAC,gBAAgB,AAAC,CACpC,KAAK,CpIjcE,IAAO,CoIkcf,AAGH,AAAA,oBAAoB,AAAC,CACnB,KAAK,CAAE,KAAK,CACb,AAED,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,aAAa,CAIvB,AAND,AAGE,iBAHe,CAGf,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,iBAAiB,CAAC,eAAe,CAAC,aAAa,AAAC,CAC9C,OAAO,CAAE,CAAC,CAIX,AALD,AAEE,iBAFe,CAAC,eAAe,CAAC,aAAa,CAE7C,OAAO,AAAC,CACN,SAAS,CAAE,GAAG,CACf,AAGH,AAAA,IAAI,AAAA,WAAW,AAAC,CACd,UAAU,CpI3dF,IAAO,CoI4df,KAAK,CpI3dK,IAAO,CoI4djB,OAAO,CAAE,GAAG,CACb,AAED,AAAA,MAAM,AAAA,YAAY,AAAC,CACjB,UAAU,CAAE,IAAI,CAChB,WAAW,CrIrdc,IAAI,CqIsd9B,AAED,AAAA,aAAa,AAAA,QAAQ,AAAC,CACpB,OAAO,CAAE,KAAK,CACf,AAED,AAAA,MAAM,AAAC,CACL,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,KAAK,AAAC,CACJ,UAAU,CAAE,KAAK,CAClB,AAED,AAAA,MAAM,AAAC,CAEL,UAAU,CAAE,KAAK,CAIlB,AAND,AAGE,MAHI,CAGF,KAAK,AAAC,CACN,UAAU,CAAE,KAAK,CAClB,AAGH,kBAAkB,CAAlB,MAAkB,CAChB,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,UAAU,CAAV,MAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,AAAA,KAAK,CAAG,cAAc,AAAC,CACrB,OAAO,CAAE,KAAK,CACf,AAED,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CACnB,AAED,AACE,QADM,CACN,WAAW,AAAC,CACV,gBAAgB,CrIxVR,qBAAoD,CqI8V7D,AAGH,AAAA,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CAClB,UAAU,CAAE,KAAK,CAClB,AAED,AAAA,oBAAoB,AAAC,CACnB,SAAS,CrI9fC,OAAO,CqI+flB,AAED,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,MAAM,CACd,KAAK,CpI/iBG,IAAO,CoIgjBhB,A3D/dD,AAAA,UAAU,A2DmeC,CAET,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,IAAI,CACd,AAID,AAEI,MAFE,CACA,UAAU,CACZ,cAAc,AAAC,CACb,gBAAgB,CrI9XV,OAAoD,CqI+X3D,AAJL,AAOI,MAPE,CAMJ,KAAK,CACH,MAAM,CAPV,MAAM,CAMJ,KAAK,CAEH,MAAM,CARV,MAAM,CAMJ,KAAK,CAGH,UAAU,CATd,MAAM,CAMJ,KAAK,CAIH,OAAO,CAVX,MAAM,CAMJ,KAAK,CAKH,cAAc,AAAC,CACb,UAAU,CrIvYJ,OAAoD,CqIwY1D,WAAW,CAAE,GAAG,CAAC,KAAK,CrIxYhB,OAAoD,CqIyY3D,AAdL,AAeI,MAfE,CAMJ,KAAK,CASH,KAAK,AAAA,MAAM,CAAG,UAAU,CAf5B,MAAM,CAMJ,KAAK,CAUH,KAAK,AAAA,MAAM,CAAG,MAAM,AAAC,CACnB,WAAW,CAAE,CAAC,CACf,AhE9gBH,AAAA,WAAW,AgEmhBD,CACV,KAAK,CAAE,wBAA+D,CACtE,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,GAAG,CAAC,KAAK,CrItZX,OAAoD,CqIuZ9D,OAAO,CAAE,UAAU,CAQpB,AAbD,AAME,WANS,CAMT,gBAAgB,CANlB,WAAW,CAOT,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CrI/kBa,IAAI,CqI+kBU,MAAM,CrI/kBpB,IAAI,CqIglB5B,AATH,AAUE,WAVS,CAUT,CAAC,AAAA,cAAc,AAAC,CACd,YAAY,CrIllBW,IAAI,CqImlB5B,AAGH,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,CrIlaX,OAAoD,CqIma9D,WAAW,CAAE,IAAI,CACjB,KAAK,CrIxlBc,IAAI,CqIylBvB,KAAK,CAAE,IAAI,CACX,OAAO,CrIngBC,CAAC,CqIogBV,AhE7hBC,AAAA,IAAI,AgE+hBD,CACH,KAAK,CAAE,8BAEN,CACF,AAID,AAAA,SAAS,CAAG,WAAW,CAAC,WAAW,CACnC,SAAS,CAAG,WAAW,CAAC,aAAa,AAAC,CACpC,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,SAAS,CAAG,WAAW,CAAC,eAAe,AAAA,IAAI,AAAC,CAC1C,aAAa,CAAE,GAAG,CAAC,KAAK,CrIvbd,OAAoD,CqIwb/D,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,sBAAsB,CAAE,oBAAoB,CAC7C,AAED,AAAA,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,GAAG,CAAC,KAAK,CpI1oBb,IAAO,CoI2oBf,YAAY,CAAE,qBAAqB,CACnC,WAAW,CAAE,qBAAqB,CAClC,OAAO,CAAE,EAAE,CACX,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,CAAC,CACP,OAAO,CrInjBK,GAAG,CqIojBf,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,IAAI,CAChB,gBAAgB,CpI1pBN,IAAO,CoI2pBjB,MAAM,CAAE,GAAG,CAAC,KAAK,CrI1dP,OAAoD,CqI2d9D,UAAU,CrIrhBE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CqIshB1C,eAAe,CAAE,WAAW,CAW7B,AAxBD,AAcE,cAdY,CAcZ,IAAI,AAAC,CACH,SAAS,CrI7mBC,OAAQ,CqI8mBlB,KAAK,CrI/dG,OAAoD,CqIge7D,AAjBH,AAkBE,cAlBY,CAkBZ,IAAI,AAAA,MAAM,AAAC,CACT,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,SAAS,CrIpnBJ,GAAG,CqIqnBR,KAAK,CpIvqBC,IAAO,CoIwqBd,AAGH,AAAA,cAAc,CAAC,CAAC,AAAC,CACf,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,WAAW,CrIhnBQ,GAAG,CqIinBtB,KAAK,CpIjrBG,IAAO,CoIkrBf,UAAU,CAAE,gBAAgB,CAI7B,AAXD,AAQE,cARY,CAAC,CAAC,CAQV,GAAG,AAAC,CACN,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,cAAc,CAAC,EAAE,CAAG,CAAC,AAAA,MAAM,CAC3B,cAAc,CAAC,OAAO,CAAG,CAAC,CAC1B,cAAc,CAAC,OAAO,CAAG,CAAC,AAAA,MAAM,AAAC,CAC/B,KAAK,CpI3rBG,IAAO,CoI4rBf,eAAe,CAAE,IAAI,CACrB,gBAAgB,CrI3fN,OAAoD,CqI4f/D,AAED,AAAA,cAAc,CAAC,SAAS,CAAG,CAAC,CAC5B,cAAc,CAAC,SAAS,CAAG,CAAC,AAAA,MAAM,AAAC,CACjC,eAAe,CAAE,IAAI,CACrB,KAAK,CpInsBG,IAAO,CoIosBf,gBAAgB,CrIlgBN,OAAoD,CqImgB9D,MAAM,CAAE,OAAO,CAChB,AAED,AAAA,cAAc,CAAC,KAAK,AAAC,CACnB,UAAU,CAAE,GAAG,CACf,KAAK,CAAE,IAAI,CACX,SAAS,CrI3pBC,QAAQ,CqI4pBnB,AAjMD,AAAA,KAAK,CAAG,cAAc,AAmMC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AhDvnBD,AAAA,eAAe,AgDynBC,CACd,KAAK,CAAE,KAAK,CACZ,QAAQ,CAAE,KAAK,CACf,OAAO,CrIpnBK,GAAG,CqIqnBf,UAAU,CrIhlBF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CqIilBtC,OAAO,CAAE,OAAO,CAChB,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CAiCZ,A3HxuBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,E2EuEtC,AAAA,eAAe,AgDynBC,CASZ,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,GAAG,CA6BZ,CAxCD,AAaE,eAba,CAab,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,IAAI,CACjB,AAlBH,AAmBE,eAnBa,AAmBZ,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AArBH,AAsBE,eAtBa,CAsBb,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AAxBH,AAyBE,eAzBa,CAyBb,CAAC,AAAC,CACA,SAAS,CrI1rBC,OAAQ,CqI2rBlB,MAAM,CAAE,UAAU,CACnB,AA5BH,AA6BE,eA7Ba,CA6Bb,CAAC,AAAA,OAAO,AAAC,CACP,MAAM,CAAE,UAAU,CACnB,AA/BH,AAgCE,eAhCa,CAgCb,EAAE,AAAC,CACD,SAAS,CrItsBD,QAAQ,CqIusBhB,KAAK,CpIrvBC,IAAO,CoIsvBb,aAAa,CAAE,GAAG,CAInB,AAvCH,AAoCI,eApCW,CAgCb,EAAE,CAIA,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAIL,AAAA,CAAC,AAAA,WAAW,AAAA,OAAO,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,GAAG,CAEjB,OAAO,C3H9nBC,gnBAAkD,C2HioB1D,cAAc,CAAE,MAAM,CACvB,AvB9kBD,AAAA,gBAAgB,AuBglBC,CACf,WAAW,CAAE,MAAM,CAyBpB,AvB1mBD,AAIE,gBAJc,CAId,MAAM,AuB+kBC,CACL,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AANH,AAQE,gBARc,AAQb,MAAM,AAAC,CACN,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,CAAC,CACZ,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAfH,AAkBI,gBAlBY,CAiBd,UAAU,CACR,CAAC,AAAC,CACA,KAAK,CrIxlBC,OAAoD,CqIylB3D,AApBL,AAsBI,gBAtBY,CAiBd,UAAU,CAKR,CAAC,AAAA,KAAK,AAAC,CACL,KAAK,ClIltBJ,KAAK,CkImtBP,AvBhKL,AAAA,UAAU,CACV,SAAS,AuBoKC,CACR,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CAClB,AAED,AAAA,IAAI,AAAA,YAAY,AAAC,CACf,gBAAgB,CrI1mBN,OAAoD,CqI2mB/D,AAED,AAAA,MAAM,AAAA,SAAS,AAAA,IAAK,CAAA,MAAM,EAAE,CAAC,AAAC,CAC5B,KAAK,CrI9mBK,OAAoD,CqI+mB/D,AAED,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAElB,UAAU,CAAE,MAAM,CAClB,KAAK,CrIrnBK,IAAoD,CqIsnB9D,KAAK,CAAE,CAAC,CACR,SAAS,CAAE,OAAO,CACnB,AAED,AAAA,WAAW,AAAA,KAAK,AAAC,CACf,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,kCAAkC,CAC/C,AAED,AAAA,WAAW,AAAC,CACV,KAAK,CrIvzBY,KAAK,CqIwzBvB,AAID,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EArOhC,AAAA,aAAa,AAsOG,CACZ,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,CAAC,aAAa,AAAC,CACxB,KAAK,CAAE,GAAG,CACX,AhE7wBD,AAAA,WAAW,AgE8wBC,CACV,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,iBAAiB,CACzB,AA/lBH,AAgEE,eAhEa,AAgEZ,IAAI,AAkiBG,CACJ,KAAK,CAAE,iBAAiB,CACzB,CCv1BL,AAAA,aAAa,AAAC,C5HuEZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C4H3EzB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,IAAI,CAMpB,AAVD,AAKE,aALW,CAKX,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,MAAM,CACf,AjEkEC,AAAA,YAAY,AiEhED,CACX,OAAO,CtIoFC,CAAC,CsInFT,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,IAAI,CAyBpB,AA5BD,AAKE,YALU,CAKV,WAAW,CALb,YAAY,CAMV,iBAAiB,CANnB,YAAY,CAOV,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACb,AvB6DH,AASE,YATU,CASV,EAAE,AuBrEC,CACD,SAAS,CtImBD,QAAQ,CsIlBhB,WAAW,CtIoCM,GAAG,CsInCpB,QAAQ,CAAE,MAAM,CAChB,KAAK,CAAE,IAAI,CAIZ,AAlBH,AAeI,YAfQ,CAUV,EAAE,CAKA,CAAC,AAAC,CACA,KAAK,CrIhCD,IAAO,CqIiCZ,AAjBL,AAmBE,YAnBU,CAmBV,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACd,AArBH,AAsBE,YAtBU,CAsBV,qBAAqB,AAAC,CACpB,KAAK,CAAE,KAAK,CACZ,cAAc,CAAE,SAAS,CACzB,KAAK,CtIyJG,OAAoD,CsIxJ5D,SAAS,CAAE,QAAQ,CACpB,AvB0FH,AAAA,sBAAsB,AuBvFC,CACrB,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,gBAAgB,CAAC,YAAY,CAAC,sBAAsB,AAAC,CACnD,OAAO,CAAE,MAAM,CAChB,AAED,AAAA,YAAY,CACZ,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,SAAS,CtIdC,QAAQ,CsIelB,UAAU,CAAE,MAAM,CAClB,WAAW,CtIEQ,GAAG,CsIOvB,AAjBD,AAUE,YAVU,CAUV,YAAY,CAVd,YAAY,CAWV,iBAAiB,CAVnB,aAAa,CASX,YAAY,CATd,aAAa,CAUX,iBAAiB,AAAC,CAChB,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CACnB,AAGH,AAAA,kBAAkB,AAAC,CACjB,UAAU,CAAE,GAAG,CAAC,KAAK,CtIwHX,OAAoD,CsIvH9D,OAAO,CAAE,MAAM,CACf,SAAS,CAAE,KAAK,CAWjB,AAdD,AAIE,kBAJgB,CAIhB,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,GAAG,CACZ,AARH,AASE,kBATgB,CAShB,mBAAmB,AAAC,CAClB,SAAS,CtI/BC,OAAQ,CsIgClB,UAAU,CAAE,WAAW,CACvB,WAAW,CAAE,IAAI,CAClB,AvBpDH,AAAA,uBAAuB,AuBuDC,CACtB,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,CAAC,CACT,OAAO,CtIOK,GAAG,CsIFhB,AATD,AAKE,uBALqB,AAKpB,OAAO,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AAGH,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,GAAG,CAAC,KAAK,CtI6FP,OAAoD,CsI5F9D,OAAO,CAAE,GAAG,CACZ,UAAU,CrItGA,IAAO,CqIwGjB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,KAAK,CACX,KAAK,CAAE,KAAK,CAiCb,AAxCD,AASE,wBATsB,CAStB,MAAM,AAAA,KAAK,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAOnB,AAlBH,AAYI,wBAZoB,CAStB,MAAM,AAAA,KAAK,CAGT,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,SAAS,CtIpEH,QAAQ,CsIqEf,AAjBL,AAoBI,wBApBoB,CAmBtB,UAAU,CACR,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,CAAC,CAChB,SAAS,CtI7EH,QAAQ,CsI8Ef,AA3BL,AA4BI,wBA5BoB,CAmBtB,UAAU,CASR,MAAM,AAAA,IAAI,AAAC,CACT,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CACZ,AA/BL,AAiCE,wBAjCsB,CAiCtB,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,MAAM,CAAE,CAAC,CACV,AAnCH,AAqCE,wBArCsB,CAqCtB,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,MAAM,CAAE,SAAS,CAClB,AAGH,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,KAAK,CAIX,gBAAgB,CrInJN,IAAO,CqIoJjB,KAAK,CrInJI,IAAO,CqIoJhB,MAAM,CAAE,GAAG,CAAC,KAAK,CtI4CP,OAAoD,CsI3C9D,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,C5HlFZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C4HgH1B,AA/CD,AAGE,eAHa,AAGZ,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AALH,AAgBE,eAhBa,AAgBZ,MAAM,AAAC,CACN,MAAM,CAAE,OAAO,CAChB,AAlBH,AAmBE,eAnBa,CAmBb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,OAAO,CtIjED,CAAC,CsIkER,AAzBH,AA0BE,eA1Ba,CA0Bb,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CtIvED,CAAC,CsIwER,AA/BH,AAgCE,eAhCa,CAgCb,EAAE,AAAC,CACD,OAAO,CAAE,MAAM,CACf,SAAS,CtIhID,QAAQ,CsIiIhB,WAAW,CtIlHK,CAAC,CsImHlB,AApCH,AAqCE,eArCa,CAqCb,GAAG,AAAC,CACF,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,SAAS,CAAE,KAAK,CAChB,YAAY,CAAE,GAAG,CAAC,KAAK,CtISf,OAAoD,CsIR5D,gBAAgB,CtIQR,OAAoD,CsIP5D,UAAU,CAAE,WAAW,CACxB,AAGH,AAAA,aAAa,AAAC,CACZ,gBAAgB,CtIEN,OAAoD,CsID9D,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,IAAI,CACX,SAAS,CtInJF,GAAG,CsIoJV,OAAO,CtIpGK,GAAG,CsIqGhB,AAED,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AAAA,eAAe,CACf,wBAAwB,AAAC,CACvB,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,CAAC,CACR,AvB5KH,AAAA,uBAAuB,AuB8KG,CACtB,KAAK,CAAE,IAAI,CACZ,AAzHH,AAKE,uBALqB,AAKpB,OAAO,AAsHuB,CAC7B,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,0BAA0B,AAAC,CACzB,SAAS,CAAE,GAAG,CACf,CAGH,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EApIhC,AAKE,uBALqB,AAKpB,OAAO,AAgIuB,CAC7B,OAAO,CAAE,IAAI,CACd,AARD,AAAA,0BAA0B,AAUC,CACzB,SAAS,CAAE,IAAI,CAChB,CCpOH,AACE,gBADc,CACd,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAJH,AAKE,gBALc,CAKd,OAAO,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CA6BxB,AArCH,AASI,gBATY,CAKd,OAAO,CAIL,KAAK,AAAC,CACJ,IAAI,CAAE,QAAQ,CACd,YAAY,CAAE,GAAG,CACjB,UAAU,CAAE,GAAG,CAChB,AAbL,AAcI,gBAdY,CAKd,OAAO,CASL,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CAqBZ,AApCL,AAgBM,gBAhBU,CAKd,OAAO,CASL,OAAO,CAEL,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,SAAS,CAClB,AAnBP,AAoBM,gBApBU,CAKd,OAAO,CASL,OAAO,CAML,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,SAAS,CvI6BR,GAAG,CuI5BJ,WAAW,CvI0CE,GAAG,CuIzCjB,AAvBP,AAwBM,gBAxBU,CAKd,OAAO,CASL,OAAO,CAUL,YAAY,CAxBlB,gBAAgB,CAKd,OAAO,CASL,OAAO,CAWL,KAAK,AAAC,CACJ,KAAK,CvIwKD,OAAoD,CuIvKxD,OAAO,CAAE,KAAK,CACf,AA5BP,AA6BM,gBA7BU,CAKd,OAAO,CASL,OAAO,CAeL,KAAK,AAAC,CACJ,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,SAAS,CAClB,AAhCP,AAiCM,gBAjCU,CAKd,OAAO,CASL,OAAO,CAmBL,MAAM,AAAC,CACL,MAAM,CAAE,SAAS,CAClB,AAnCP,AAsCE,gBAtCc,CAsCd,OAAO,AAAA,WAAW,AAAA,IAAK,CAAA,UAAW,CpH+Bd,CAAC,EoH/BiB,CAEpC,UAAU,CAAE,IAAI,CACjB,AxDzCH,AAAA,uBAAuB,AwD4CC,CACtB,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,IAAI,CACpB,AChDD,AAGI,qBAHiB,CAGf,MAAM,AAAA,YAAY,CAHxB,qBAAqB,CAEjB,YAAY,CACV,MAAM,AAAA,YAAY,AAAC,CACnB,UAAU,CAAE,IAAI,CACjB,AALL,AAQE,qBARmB,CAQnB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CACnB,AAGH,AAAA,gBAAgB,CAAC,cAAc,AAAA,SAAS,AAAC,CACvC,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,oBAAoB,AAAC,CACnB,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,MAAM,CACnB,AACD,AAAA,0BAA0B,AAAC,CACzB,SAAS,CAAE,KAAK,CA0BjB,AA3BD,AAEE,0BAFwB,CAExB,YAAY,AAAC,CACX,gBAAgB,CAAE,WAAW,CAuB9B,AA1BH,AAKI,0BALsB,CAExB,YAAY,CAGV,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CAKpB,AAXL,AAQM,0BARoB,CAExB,YAAY,CAGV,EAAE,AAGC,QAAQ,AAAC,CACR,YAAY,CAAE,KAAK,CACpB,AAVP,AAaI,0BAbsB,CAExB,YAAY,CAWV,CAAC,AAAC,CACA,KAAK,CxI8JC,OAAoD,CwInJ3D,AAzBL,AAgBM,0BAhBoB,CAExB,YAAY,CAWV,CAAC,AAGE,OAAO,AAAC,CACP,KAAK,CvIvCH,IAAO,CuIwCT,WAAW,CAAE,IAAI,CACjB,gBAAgB,CAAE,WAAW,CAK9B,AAxBP,AAqBQ,0BArBkB,CAExB,YAAY,CAWV,CAAC,AAGE,OAAO,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAMT,AAAA,aAAa,AAAC,CACZ,cAAc,CxHpCH,IAAmB,CwHqC9B,aAAa,CxHrCF,IAAmB,CwHsC9B,gBAAgB,CvIrDN,IAAO,CuIsDjB,UAAU,CAAE,UAAU,CAcvB,AAlBD,AAME,aANW,AAMV,iBAAiB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAChB,AATH,AAWE,aAXW,CAWX,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CAAE,KAAK,CACb,AAbH,AAeE,aAfW,CAeX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AACE,YADU,CACV,OAAO,AAAC,CACN,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAMjB,AARD,AAII,iBAJa,CAGf,EAAE,CACA,EAAE,AAAC,CACD,OAAO,CAAE,OAAO,CACjB,AAIL,AAAA,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,kBAAkB,CAC3B,AAED,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,MAAM,CAChB,AAED,AAAA,UAAU,AAAC,CACT,aAAa,CAAE,IAAI,CAwHpB,AAzHD,AAKM,UALI,CAGR,MAAM,AACH,MAAM,CACL,QAAQ,AAAC,CACP,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,CAAC,CACT,KAAK,CAAoB,OAAsB,CAChD,A9BVP,AAkGM,UAlGI,CACR,MAAM,CAkEJ,QAAQ,CA+BN,GAAG,AAAA,OAAO,A8BpFC,CACT,MAAM,CAAE,aAAa,CACtB,AAfP,AAkBQ,UAlBE,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CACN,gBAAgB,AAAC,CACf,OAAO,CxH5GJ,CAAuB,CAIvB,GAAmB,CAAnB,GAAmB,CwHwHvB,AAnCT,AAoBU,UApBA,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CACN,gBAAgB,CAEd,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,eAAe,CAAE,SAAS,CAC3B,AAtBX,AAuBU,UAvBA,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CACN,gBAAgB,CAKd,EAAE,AAAC,CACD,SAAS,CAAE,IAAI,C9HjEzB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C8HiEd,AA1BX,AA2BU,UA3BA,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CACN,gBAAgB,CASd,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,C9HtEzB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C8HyEd,AAlCX,AA+BY,UA/BF,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CACN,gBAAgB,CASd,qBAAqB,CAInB,sBAAsB,AAAC,CACrB,YAAY,CAAE,GAAG,CAClB,A9BlCb,AAkHQ,UAlHE,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,A8B5EC,CACH,SAAS,CAAE,KAAK,CAKjB,AA3CT,AAwCU,UAxCA,CAGR,MAAM,CASJ,QAAQ,CAKN,QAAQ,CAoBN,IAAI,CAGF,CAAC,AAAA,QAAQ,AAAC,CACR,eAAe,CAAE,IAAI,CACtB,AA1CX,AA8CM,UA9CI,CAGR,MAAM,CASJ,QAAQ,CAkCN,UAAU,AAAC,CACT,UAAU,CxHpIL,IAAmB,CwHqIzB,A9BjDP,AAMM,UANI,CACR,MAAM,AAIH,eAAe,CACd,mBAAmB,A8B+CC,CAClB,MAAM,CAAE,KAAK,CACd,AAtDP,AAuDM,UAvDI,CAGR,MAAM,AAgDH,eAAe,CAId,QAAQ,AAAC,CACP,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,UAAU,CACnB,MAAM,CAAE,CAAC,CACV,AA5DP,AA+DI,UA/DM,CAGR,MAAM,CA4DJ,SAAS,AAAC,CACR,OAAO,CAAE,UAAU,CACnB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAKlB,A9BxEL,AA+IM,UA/II,CACR,MAAM,CAyIJ,SAAS,CAKP,IAAI,A8B1EC,CACH,SAAS,CAAE,KAAK,CACjB,AAtEP,AA0EM,UA1EI,CAGR,MAAM,AAsEH,eAAe,CACd,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AA5EP,AA6EM,UA7EI,CAGR,MAAM,AAsEH,eAAe,CAId,SAAS,AAAC,CACR,KAAK,CAAE,IAAI,CAiBZ,AA/FP,AAgFQ,UAhFE,CAGR,MAAM,AAsEH,eAAe,CAId,SAAS,CAGL,EAAE,AAAC,CACH,OAAO,CAAE,WAAW,CAarB,AA9FT,AAkFU,UAlFA,CAGR,MAAM,AAsEH,eAAe,CAId,SAAS,CAGL,EAAE,CAEA,EAAE,AAAC,CACH,OAAO,CAAE,MAAM,CACf,WAAW,CxHzKV,IAAmB,CwH6KrB,AAxFX,AAqFY,UArFF,CAGR,MAAM,AAsEH,eAAe,CAId,SAAS,CAGL,EAAE,CAEA,EAAE,CAGF,eAAe,AAAC,CACd,WAAW,CAAE,CAAC,CACf,AAvFb,AA0FU,UA1FA,CAGR,MAAM,AAsEH,eAAe,CAId,SAAS,CAGL,EAAE,CAUF,CAAC,AAAC,CACA,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACZ,A9B9FX,AAsJM,UAtJI,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,A8BpDC,CACP,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,CAAC,CACb,aAAa,CAAE,GAAG,CAAC,KAAK,CxIRpB,OAAoD,CwISzD,AAtGP,AA2GI,UA3GM,CA0GR,WAAW,CACT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACb,A9B9GL,AAyPM,UAzPI,CA+OR,WAAW,CAGT,SAAS,CAOP,aAAa,A8BxIC,CACZ,OAAO,CAAE,KAAK,CACf,AAlHP,AAsHE,UAtHQ,CAsHR,mBAAmB,AAAC,CAClB,QAAQ,CAAE,MAAM,CACjB,AAGH,AAAA,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAuBnB,AAzBD,AAIE,iBAJe,CAIf,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,SAAS,CAAE,IAAI,CAChB,AAPH,AASE,iBATe,CASf,EAAE,AAAC,CACD,KAAK,CvI1OC,IAAO,CuI2Ob,MAAM,CAAE,aAAa,CACtB,AAZH,AAcE,iBAde,CAcf,kBAAkB,CAdpB,iBAAiB,CAef,YAAY,CAfd,iBAAiB,CAgBf,QAAQ,CAhBV,iBAAiB,CAiBf,KAAK,AAAA,cAAc,AAAC,CAClB,KAAK,CAAE,IAAI,CACZ,A9B4UH,AA4BE,iBA5Be,CA4Bf,aAAa,A8BtWC,CACZ,OAAO,CAAE,YAAY,CACrB,UAAU,CxHvOD,GAAmB,CwHwO7B,AAGH,AACE,aADW,CACX,SAAS,AAAC,CACR,WAAW,CAAE,GAAG,CAChB,OAAO,CAAE,YAAY,CACtB,AC7PH,AACE,MADI,AAAA,cAAc,CAClB,sBAAsB,AAAC,CACrB,SAAS,CzIKC,MAAM,CyIJjB,AAHH,AAIE,MAJI,AAAA,cAAc,CAIlB,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACb,AANH,AAQI,MARE,AAAA,cAAc,CAOlB,kBAAkB,CAChB,IAAI,CAAA,AAAA,QAAC,AAAA,CAAU,CACb,MAAM,CAAE,WAAW,CACnB,gBAAgB,CzIsLV,OAAoD,CyIrL3D,AAXL,AAYI,MAZE,AAAA,cAAc,CAOlB,kBAAkB,CAKhB,WAAW,CAAA,AAAA,QAAC,AAAA,CAAU,CACpB,gBAAgB,CzImLV,OAAoD,CyIlL3D,AxCdL,AAOE,MAPI,AAAA,cAAc,CAOlB,SAAS,AwCUC,CACR,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,AApBH,AAsBE,MAtBI,AAAA,cAAc,CAsBlB,UAAU,AAAC,CACT,SAAS,CAAE,UAAU,CAItB,AA3BH,AAwBI,MAxBE,AAAA,cAAc,CAsBlB,UAAU,CAER,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CACjB,AA1BL,AA4BE,MA5BI,AAAA,cAAc,CA4BlB,GAAG,AAAC,CACF,SAAS,CAAE,KAAK,CAChB,MAAM,CAAE,IAAI,CACb,AA/BH,AAgCE,MAhCI,AAAA,cAAc,CAgClB,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACb,AAlCH,AAmCE,MAnCI,AAAA,cAAc,CAmClB,SAAS,AAAC,CACR,WAAW,CAAE,SAAS,CACtB,SAAS,CzIYC,OAAQ,CyIXlB,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CAQlB,AAhDH,AAyCI,MAzCE,AAAA,cAAc,CAmClB,SAAS,CAMP,EAAE,AAAC,CACD,KAAK,CAAE,GAAG,CACV,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,UAAU,CACrB,WAAW,CAAE,QAAQ,CACtB,AA/CL,AAmDI,MAnDE,AAAA,cAAc,CAiDlB,iBAAiB,CAEf,GAAG,CAnDP,MAAM,AAAA,cAAc,CAkDlB,SAAS,CACP,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,UAAU,CACvB,AAtDL,AAwDE,MAxDI,AAAA,cAAc,CAwDlB,aAAa,AAAC,CACZ,MAAM,CAAE,IAAI,CACb,AA1DH,AA4DE,MA5DI,AAAA,cAAc,CA4DlB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,ACjEH,AACE,UADQ,CACR,eAAe,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AnC2BH,AAAA,WAAW,AmCzBC,CACV,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,GAAG,CACV,gBAAgB,CAAE,WAAW,CAoB9B,AAtBD,AAIE,iBAJe,CAIf,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CAgBb,AArBH,AAOI,iBAPa,CAIf,EAAE,CAGA,CAAC,AAAC,CACA,KAAK,C1IiLC,OAAoD,C0IhL1D,OAAO,CAAE,KAAK,CAWf,AApBL,AAWM,iBAXW,CAIf,EAAE,CAGA,CAAC,AAIE,OAAO,AAAC,CACP,gBAAgB,CAAE,WAAW,CAC7B,WAAW,CAAE,IAAI,CACjB,KAAK,CzIvBH,IAAO,CyI4BV,AAnBP,AAgBQ,iBAhBS,CAIf,EAAE,CAGA,CAAC,AAIE,OAAO,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAMT,AAAA,sBAAsB,CACtB,sBAAsB,CACtB,oBAAoB,AAAC,CACnB,KAAK,CAAE,GAAG,CACX,AAED,AAEI,aAFS,CACX,gBAAgB,CACd,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AAIL,AAAA,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,IAAI,CACZ,ACnDD,AACE,gBADc,CACd,mBAAmB,AAAC,CAClB,YAAY,CAAE,EAAE,CAChB,KAAK,CAAE,GAAG,CAOX,AAVH,AAMM,gBANU,CACd,mBAAmB,CAIjB,MAAM,CACJ,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CACX,AARP,AAYE,gBAZc,CAYd,YAAY,AAAC,CACX,KAAK,CAAE,GAAG,CACX,ApFkBH,AAAA,UAAU,CACV,WAAW,AqF/BC,CACV,QAAQ,CAAE,QAAQ,CAClB,OAAO,C5I+FK,GAAG,C4IjEhB,AAjCD,AAIE,UAJQ,AAIP,MAAM,CAHT,WAAW,AAGR,MAAM,AAAC,CACN,QAAQ,CAAE,KAAK,CACf,OAAO,C5IyFI,GAAG,C4IxFf,AAPH,AAQE,UARQ,AAQP,YAAY,CAPf,WAAW,AAOR,YAAY,AAAC,CACZ,OAAO,C5I+EC,IAAI,C4I9Eb,ArFqBH,AAsCI,UAtCM,CAqCR,UAAU,CACR,MAAM,CArCV,WAAW,CAoCT,UAAU,CACR,MAAM,AqFxDC,CACL,IAAI,CAAE,QAAQ,CACf,ArFgBL,AA6DM,UA7DI,CAqCR,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,CA5DZ,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,AqF3EC,CACL,SAAS,CAAE,KAAK,CACjB,ArFYP,AAuEI,UAvEM,CAqER,EAAE,CAEA,OAAO,CAtEX,WAAW,CAoET,EAAE,CAEA,OAAO,AqF/EC,CACN,SAAS,C5I0BD,OAAQ,C4IzBjB,AAzBL,AA2BE,UA3BQ,CA2BR,EAAE,CA1BJ,WAAW,CA0BT,EAAE,AAAC,CACD,SAAS,C5IoBD,QAAQ,C4InBjB,ArFEH,AA2EE,UA3EQ,CA2ER,EAAE,CA1EJ,WAAW,CA0ET,EAAE,AqF5EC,CACD,SAAS,C5IkBJ,GAAG,C4IjBT,ArF0GH,AAoFM,UApFI,CAgFR,UAAU,CACR,cAAc,CAGZ,WAAW,CApFjB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqF7LS,CACV,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,KAAK,CAChB,MAAM,CAAE,WAAW,CACpB,AARP,AASM,UATI,CAER,UAAU,CACR,cAAc,CAMZ,iBAAiB,AAAC,CAChB,SAAS,CAAE,KAAK,CACjB,AlF/CP,AAME,YANU,CAMV,KAAK,CANP,YAAY,CAOV,iBAAiB,AmFAC,CAChB,OAAO,CAAE,UAAU,CACpB,AnFTH,AAoCE,YApCU,CAoCV,KAAK,CApCP,YAAY,CAqCV,YAAY,CArCd,YAAY,CAsCV,WAAW,AmFzBC,CACV,YAAY,CAAE,GAAG,CAClB,AAfH,AAkBI,YAlBQ,CAiBV,aAAa,AACV,OAAO,AAAC,CACP,gBAAgB,C7I8KV,OAAoD,C6I7K3D,AjFpBL,AAuDE,UAvDQ,AAuDP,OAAO,AkFvDC,CACP,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,UAAU,CAClB,OAAO,CAAE,IAAI,CAYd,AAhBH,AAKI,UALM,AACP,OAAO,AAIL,YAAa,CAAA,EAAE,CAAE,CAChB,YAAY,CAAE,CAAC,CAChB,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ElFPvC,AAuDE,UAvDQ,AAuDP,OAAO,AkFvDC,CAQL,IAAI,CAAE,OAAO,CACb,YAAY,CAAE,CAAC,CAMlB,CAhBH,AAYI,UAZM,AACP,OAAO,CAWN,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,CAAC,CAChB"\n}
19	mobile	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	﻿/*! normalize.css v3.0.1 | MIT License | git.io/normalize */html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%}body{margin:0}article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary{display:block}audio,canvas,progress,video{display:inline-block;vertical-align:baseline}audio:not([controls]){display:none;height:0}[hidden],template{display:none}a{background:transparent}a:active,a:hover{outline:0}abbr[title],acronym[title]{text-decoration:underline;text-decoration-style:dotted}b,strong{font-weight:bold}dfn{font-style:italic}h1{font-size:1.7511em;margin:0.67em 0}mark{background:#ff0;color:#000}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sup{top:-0.5em}sub{bottom:-0.25em}img{border:0}figure{margin:1em 40px}hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0}pre{overflow:auto}code,kbd,pre,samp{font-family:monospace, monospace;font-size:1em}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0}button{overflow:visible}button,select{text-transform:none}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer}button[disabled],html input[disabled]{cursor:default}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0}input{line-height:normal}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0}input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{height:auto}input[type="search"]{-webkit-appearance:textfield;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em}legend{border:0;padding:0}textarea{overflow:auto}optgroup{font-weight:bold}table{border-collapse:collapse;border-spacing:0}td,th{padding:0}/*!\n * Pikaday\n * Copyright © 2014 David Bushell | BSD & MIT license | http://dbushell.com/\n */.pika-single{z-index:9999;display:block;position:relative;color:#222;background:#fff;border:1px solid #e9e9e9;border-bottom-color:#e9e9e9;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif}.pika-single.is-hidden{display:none}.pika-single.is-bound{position:absolute;box-shadow:0 5px 15px -5px rgba(0,0,0,0.5)}.pika-single:before,.pika-single:after{content:" ";display:table}.pika-single:after{clear:both}.pika-lendar{float:left;width:240px;margin:8px}.pika-title{position:relative;text-align:center}.pika-title select{cursor:pointer;position:absolute;z-index:9998;margin:0;left:0;top:5px;filter:alpha(opacity=0);opacity:0}.pika-label{display:inline-block;position:relative;z-index:9999;overflow:hidden;margin:0;padding:5px 3px;font-size:14px;line-height:20px;font-weight:bold;color:#222;background-color:#fff}.pika-prev,.pika-next{display:block;cursor:pointer;position:relative;outline:none;border:0;padding:0;width:20px;height:30px;text-indent:20px;white-space:nowrap;overflow:hidden;background-color:transparent;background-position:center center;background-repeat:no-repeat;background-size:75% 75%;opacity:.5}.pika-prev:hover,.pika-next:hover{opacity:1}.pika-prev.is-disabled,.pika-next.is-disabled{cursor:default;opacity:.2}.pika-prev,.is-rtl .pika-next{float:left;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==")}.pika-next,.is-rtl .pika-prev{float:right;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=")}.pika-select{display:inline-block}.pika-table{width:100%;border-collapse:collapse;border-spacing:0;border:0}.pika-table th,.pika-table td{width:14.285714285714286%;padding:0}.pika-table th{color:#222;font-size:12px;line-height:25px;font-weight:bold;text-align:center}.pika-table abbr{border-bottom:none;cursor:help}.pika-button{cursor:pointer;display:block;-moz-box-sizing:border-box;box-sizing:border-box;outline:none;border:0;margin:0;width:100%;padding:5px;color:#222;font-size:12px;line-height:15px;text-align:right;background:#fff}.is-today .pika-button{color:#08c;font-weight:bold}.is-selected .pika-button{color:#fff;font-weight:bold;background:#08c;box-shadow:inset 0 1px 3px #d1f0ff;border-radius:3px}.is-disabled .pika-button,.is-outside-current-month .pika-button{pointer-events:none;cursor:default;color:#222;opacity:.3}.pika-button:hover{color:#222;background:#d1f0ff;box-shadow:none;border-radius:3px}.pika-week{font-size:11px;color:#222}.is-inrange .pika-button{background:#D5E9F7}.is-startrange .pika-button{color:#fff;background:#6CB31D;box-shadow:none;border-radius:3px}.is-endrange .pika-button{color:#fff;background:#08c;box-shadow:none;border-radius:3px}.pull-left{float:left}.pull-right{float:right}.show{display:block}.hide,.hidden{display:none}.invisible{visibility:hidden}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);border:0}.affix{position:fixed}.clearfix:before,.nav-pills:before,.container:before,.wrap:before,.clearfix:after,.nav-pills:after,.container:after,.wrap:after{display:table;content:" "}.clearfix:after,.nav-pills:after,.container:after,.wrap:after{clear:both}.overflow-ellipsis{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.clickable{cursor:pointer}.disable-no-hover:hover{background:#e9e9e9;color:#222}html{color:#222;font-family:Helvetica,Arial,sans-serif;font-size:15px;line-height:1.4;background-color:#fff;overflow-y:scroll;direction:ltr}html.text-size-smaller{font-size:14px}html.text-size-larger{font-size:17px}html.text-size-largest{font-size:19px}a{color:#08c;text-decoration:none;cursor:pointer}a:visited{color:#08c}a:hover{color:#08c}a:active{color:#08c}hr{display:block;height:1px;margin:1em 0;border:0;border-top:1px solid #e9e9e9;padding:0}ul,dd{margin:0 0 9px 25px;padding:0}.cooked ul,.cooked ol,.cooked dd{clear:both}.cooked ul,.d-editor-preview ul{margin:0;padding-left:40px}li>ul,li>ol{margin-bottom:0}img{vertical-align:middle}fieldset{margin:0;border:0;padding:0}pre code{overflow:auto;tab-size:4}.row:before,.row:after{display:table;content:""}.row:after{clear:both}#offscreen-content{display:none}tbody{border-top:3px solid #e9e9e9}tr{border-bottom:1px solid #e9e9e9}tr.highlighted{animation:background-fade-highlight 2.5s ease-out}ruby>rt{font-size:72%}.select-kit.categories-admin-dropdown .select-kit-body{min-width:auto;width:250px}.select-kit.categories-admin-dropdown .select-kit-header .d-icon{justify-content:space-between}.select-kit.combo-box.category-chooser{width:300px}.select-kit.combo-box.category-chooser .select-kit-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:flex-start;-ms-flex-align:flex-start;align-items:flex-start;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.select-kit.combo-box.category-chooser .select-kit-row.none .topic-count{display:none}.select-kit.combo-box.category-chooser .select-kit-row .topic-count{font-size:.7579em;color:#222;white-space:nowrap}.select-kit.combo-box.category-chooser .select-kit-row .category-status{color:#222;line-height:1.4;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto}.select-kit.combo-box.category-chooser .select-kit-row .category-desc{-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;color:#919191;font-size:.8706em;line-height:1.4}.select-kit.combo-box.category-drop .badge-wrapper{font-size:1em;font-weight:normal}.select-kit.combo-box.category-drop .badge-wrapper.box{margin:0}.select-kit.combo-box.category-drop .badge-wrapper.box span.badge-category{margin:0}.select-kit.combo-box.category-drop.bar.has-selection .category-drop-header{padding:0 5px 0 10px}.select-kit.combo-box.category-drop.box.has-selection .category-drop-header .badge-wrapper.box{padding:0}.select-kit.combo-box.category-drop .category-drop-header.is-none .selected-name{color:inherit}.select-kit.combo-box.category-drop .category-drop-header .badge-wrapper{margin-right:0}.select-kit.combo-box.category-drop .select-kit-body{min-width:300px}.select-kit.combo-box.category-drop .select-kit-row{flex-direction:column;align-items:flex-start}.select-kit.combo-box.category-drop .select-kit-row[data-value="all-categories"],.select-kit.combo-box.category-drop .select-kit-row[data-value="no-categories"]{color:#08c;font-weight:700}.select-kit.combo-box.category-drop .select-kit-row .category-desc{font-weight:normal;color:#919191;margin-top:2px}.select-kit.combo-box.category-drop .select-kit-row .category-status{align-items:center}.select-kit.combo-box.category-drop .select-kit-row .topic-count{margin-left:5px;font-weight:normal}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper{margin:0;font-weight:bold}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper:nth-child(2){margin-left:10px}.select-kit.combo-box.category-drop.is-expanded .select-kit-wrapper,.select-kit.combo-box.category-drop .select-kit-wrapper{display:none}.select-kit .category-row .category-status{display:flex;flex-wrap:wrap;align-items:center;max-width:100%;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto}.select-kit .category-row .category-desc{max-width:100%}.select-kit .category-row .category-status .badge-wrapper.box{margin-bottom:1px;margin-top:1px}.select-kit .category-row .topic-count{white-space:nowrap}.select-kit.category-selector .selected-name .badge-wrapper.box,.select-kit-box.category-selector .selected-name .badge-wrapper.box{margin:2px;padding:0}.select-kit.combo-box{min-width:auto}.select-kit.combo-box .select-kit-body{width:100%;min-width:150px;border-radius:0;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}.select-kit.combo-box .select-kit-row{margin:0;min-height:1px;padding:6px 10px}.select-kit.combo-box .select-kit-row.no-content{font-weight:normal}.select-kit.combo-box .select-kit-filter{padding:4px 10px;border-top:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9}.select-kit.combo-box .select-kit-filter .spinner{flex:0 0 auto}.select-kit.combo-box .select-kit-filter .filter-input,.select-kit.combo-box .select-kit-filter .filter-input:focus,.select-kit.combo-box .select-kit-filter .filter-input:active{flex:0 0 auto;width:90%}.select-kit.combo-box .select-kit-filter .filter-icon{padding-left:5px}.select-kit.combo-box .select-kit-header{background:#fff;border:1px solid #919191;padding:0 5px 0 10px;font-weight:500;font-size:1em}.select-kit.combo-box .select-kit-header.is-focused{border:1px solid #08c;box-shadow:0 0 6px 0 #08c}.select-kit.combo-box .select-kit-collection{display:flex;flex-direction:column;padding:0;min-width:100px;max-height:200px;max-width:32em}.select-kit.combo-box .select-kit-collection .collection-header a{white-space:nowrap;color:#222;line-height:1.2;font-weight:bold;display:block;padding:6px 10px;color:#08c}.select-kit.combo-box .select-kit-collection .collection-header a:hover{text-decoration:underline}.select-kit.combo-box.is-disabled .select-kit-header{background:#e9e9e9;border-color:#bdbdbd;color:#919191}.select-kit.combo-box.is-disabled .select-kit-header .d-icon{color:#919191}.select-kit.combo-box.is-highlighted .select-kit-header{border:1px solid #08c;box-shadow:0 0 6px 0 #08c}.select-kit.combo-box.is-expanded .select-kit-wrapper{display:block;border:1px solid #08c;box-shadow:0 0 6px 0 #08c}.select-kit.combo-box.is-expanded.is-above .select-kit-header{border-radius:0 0 3px 3px}.select-kit.combo-box.is-expanded.is-above .select-kit-body{border-radius:3px 3px 0 0}.select-kit.combo-box.tag-drop,.select-kit.combo-box.group-dropdown{min-width:auto}.select-kit.combo-box.tag-drop .select-kit-row,.select-kit.combo-box.group-dropdown .select-kit-row{font-weight:bold}.select-kit.combo-box.is-expanded .select-kit-wrapper,.select-kit.combo-box .select-kit-wrapper{display:none}.select-kit.dropdown-select-box.composer-actions{margin:0}.select-kit.dropdown-select-box.composer-actions .select-kit-header{background:none;outline:none;padding:0;margin-right:5px;border:1px solid #e9e9e9;min-height:unset}.select-kit.dropdown-select-box.composer-actions .select-kit-header .d-icon{padding:5px 6px}.select-kit.dropdown-select-box.composer-actions .select-kit-header:hover,.select-kit.dropdown-select-box.composer-actions .select-kit-header:focus{background:#e9e9e9}.select-kit.dropdown-select-box.composer-actions .d-icon{margin:0 !important}.select-kit.dropdown-select-box{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;min-width:auto;border:none}.select-kit.dropdown-select-box.is-expanded .select-kit-collection,.select-kit.dropdown-select-box.is-expanded .select-kit-body{border-radius:0}.select-kit.dropdown-select-box .select-kit-body{border:1px solid #e9e9e9;background-clip:padding-box;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);max-width:300px;width:300px}.select-kit.dropdown-select-box .select-kit-row{margin:0;padding:10px 5px}.select-kit.dropdown-select-box .select-kit-row .icons{display:-webkit-box;display:-ms-flexbox;display:flex;flex:0 0 auto;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-item-align:start;align-self:flex-start;margin-right:0.357em;margin-top:2px;width:30px}.select-kit.dropdown-select-box .select-kit-row .icons .d-icon{font-size:1.3195em;-ms-flex-item-align:center;align-self:center;margin-right:0;opacity:1}.select-kit.dropdown-select-box .select-kit-row .texts{width:0;line-height:1.4;-webkit-box-flex:1;-ms-flex:1;flex:1 1 0%;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.select-kit.dropdown-select-box .select-kit-row .texts .name{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;font-weight:bold;font-size:1em;color:#222;padding:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100%}.select-kit.dropdown-select-box .select-kit-row .texts .desc{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;width:100%;font-size:.8706em;font-weight:normal;color:#919191;white-space:normal}.select-kit.dropdown-select-box .select-kit-collection{padding:0;max-height:100%}.select-kit.dropdown-select-box .dropdown-select-box-header{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;border:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}.select-kit.dropdown-select-box .dropdown-select-box-header .d-icon+.d-icon{margin-left:5px}.select-kit.dropdown-select-box .dropdown-select-box-header.is-focused{outline-style:auto;outline-color:#08c}.select-kit.combobox.future-date-input-selector{min-width:50%}.select-kit.combobox.future-date-input-selector .future-date-input-selector-header .btn-clear{line-height:1.4}.select-kit.combobox.future-date-input-selector .future-date-input-selector-datetime{color:#888;margin-left:5px;white-space:nowrap}.select-kit.combobox.future-date-input-selector .future-date-input-selector-icons{margin-right:5px}.select-kit.combobox.future-date-input-selector .btn-clear{padding:0;margin-left:5px}.select-kit.combobox.future-date-input-selector .future-date-input-selector-row .future-date-input-selector-icons{color:#888}.select-kit.multi-select.list-setting .select-kit-row.create .square{width:12px;height:12px;margin-left:5px}.select-kit.combo-box.mini-tag-chooser{margin-bottom:5px;margin-left:5px}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-header{border:1px solid #08c}.select-kit.combo-box.mini-tag-chooser.no-tags .select-kit-header .selected-name{color:#919191}.select-kit.combo-box.mini-tag-chooser .select-kit-body{max-width:32em}.select-kit.combo-box.mini-tag-chooser .select-kit-header{height:30px}.select-kit.combo-box.mini-tag-chooser .select-kit-header .selected-name{margin:0;border:0;padding:0;outline:none;box-shadow:none;cursor:pointer;max-width:250px}.select-kit.combo-box.mini-tag-chooser .select-kit-filter{border-top:0}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-wrapper,.select-kit.combo-box.mini-tag-chooser .select-kit-wrapper{display:none}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-selected{background:none}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-highlighted.is-selected{background:#d1f0ff}.select-kit.combo-box.mini-tag-chooser .select-kit-row .discourse-tag-count{margin-left:5px}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header{max-height:125px;overflow:hidden;flex:1 0 auto;border-bottom:1px solid #e9e9e9}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tags{display:flex;padding:4px;flex-wrap:wrap;margin:-2px;overflow:hidden}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag{background:#e9e9e9;padding:2px 4px;margin:2px;border:0}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag.is-highlighted{box-shadow:0 0 2px #e45735,0 1px 0 rgba(0,0,0,0.05)}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag .d-icon{color:#bdbdbd;vertical-align:middle}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag:hover .d-icon{color:#e45735}.select-kit.multi-select{width:300px;background:#fff;border-radius:0}.select-kit.multi-select .select-kit-body{width:100%}.select-kit.multi-select .select-kit-row{margin:5px;min-height:1px;padding:5px;border-radius:0}.select-kit.multi-select .select-kit-filter{border:0;flex:1 0 0px;margin:1px}.select-kit.multi-select .multi-select-header{background:#fff;border:1px solid #919191}.select-kit.multi-select .multi-select-header.is-focused{box-shadow:0 0 6px 0 #08c;border-radius:0}.select-kit.multi-select.is-disabled .multi-select-header{background:#e9e9e9;border-color:#bdbdbd;color:#919191}.select-kit.multi-select.is-disabled .multi-select-header .d-icon{color:#919191}.select-kit.multi-select.is-highlighted .multi-select-header{border-radius:0;border-bottom:1px solid transparent;box-shadow:0 0 6px 0 #08c}.select-kit.multi-select.is-expanded .select-kit-wrapper{display:block;border:1px solid #08c;box-shadow:0 0 6px 0 #08c;border-radius:0}.select-kit.multi-select.is-expanded .multi-select-header{border-radius:0;box-shadow:none}.select-kit.multi-select.is-expanded .select-kit-body{border-radius:0}.select-kit.multi-select .choices{margin:0 2px;box-sizing:border-box;display:flex;justify-content:flex-start;flex-wrap:wrap;width:100%}.select-kit.multi-select .choices .choice{display:inline-flex;box-sizing:border-box;align-items:center;justify-content:space-between;flex-wrap:wrap;flex-direction:row;margin:1px 0px 2px 2px}.select-kit.multi-select .choices .filter{align-items:center;justify-content:flex-start;white-space:nowrap;min-width:50px;padding:0;outline:none;flex:1 0 0px}.select-kit.multi-select .choices .filter .filter-input,.select-kit.multi-select .choices .filter .filter-input:focus{border:none;background:none;display:inline-block;width:100%;outline:none;min-width:auto;padding:0;margin:0;outline:0;border:0;box-shadow:none;border-radius:0;min-height:unset}.select-kit.multi-select .choices .selected-color .selected-color-wrapper{display:flex;flex:1 0 0px;flex-direction:column}.select-kit.multi-select .choices .selected-color .color-preview{height:5px;margin:0 2px 2px 0px;display:flex;width:100%}.select-kit.multi-select .choices .selected-category .body{display:flex;align-items:center}.select-kit.multi-select .choices .selected-category .badge-wrapper{padding:2px 4px;line-height:1.2;display:flex;flex:1 0 0px;align-items:center}.select-kit.multi-select .choices .selected-category .badge-wrapper.bullet{margin-right:2.5px}.select-kit.multi-select .choices .selected-name .footer{display:flex;width:100%}.select-kit.multi-select .choices .selected-name .body{background:#e9e9e9;padding:4px}.select-kit.multi-select .choices .selected-name .d-icon{color:#bdbdbd;vertical-align:middle}.select-kit.multi-select .choices .selected-name:hover .d-icon:last-child{color:#e45735}.select-kit.multi-select .choices .selected-name.is-highlighted{box-shadow:0 0 2px #e45735,0 1px 0 rgba(0,0,0,0.05)}.select-kit.dropdown-select-box.notifications-button .select-kit-body{min-width:550px;max-width:550px}.select-kit.dropdown-select-box.notifications-button .select-kit-row .icons{-ms-flex-item-align:start;align-self:flex-start}.select-kit.dropdown-select-box.period-chooser{display:inline-flex;position:relative}.select-kit.dropdown-select-box.period-chooser .select-kit-collection{padding:5px}.select-kit.dropdown-select-box.period-chooser .period-chooser-header{background:none;border:none;justify-content:flex-start;width:auto;height:auto;padding:0}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{color:#fff;display:inline-block;box-sizing:border-box}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .date-section{color:#222;margin-right:5px}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.8706em;color:#919191;font-weight:normal;text-transform:uppercase}.select-kit.dropdown-select-box.period-chooser .period-chooser-header .d-icon{color:#222;opacity:1;margin:5px 0 10px 5px;font-size:1.5157em}.select-kit.dropdown-select-box.period-chooser .period-chooser-header.is-focused,.select-kit.dropdown-select-box.period-chooser .period-chooser-header:hover{background:none;border:none;outline:none}.select-kit.dropdown-select-box.period-chooser .period-chooser-row{font-weight:bold;padding:5px;font-size:1.1487em;align-items:center;display:flex}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .period-title{flex:1 0 0px}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .date-section{color:#222}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .top-date-string{font-weight:normal;font-size:.8706em;color:#919191;text-transform:uppercase;margin-left:5px}#topic-footer-buttons .pinned-button{min-width:auto;margin:1em 0}#topic-footer-buttons .pinned-button.is-hidden{display:none}#topic-footer-buttons .pinned-button .btn{margin:0}#topic-footer-buttons .pinned-button .reason{display:inline;line-height:1.2}.pinned-button{margin:0;min-width:auto}.pinned-button .pinned-options{display:inline}.pinned-button .pinned-options .select-kit-body{min-width:unset;max-width:unset;width:550px}.mobile-view .select-kit.is-expanded{z-index:300}.select-kit{border:none;min-width:220px;box-sizing:border-box;display:inline-block;flex-direction:column;position:relative;vertical-align:middle;user-select:none}.select-kit.is-hidden{display:none}.select-kit.is-disabled{pointer-events:none}.select-kit.is-expanded{z-index:300}.select-kit.is-expanded .select-kit-body{display:flex;flex-direction:column;left:0;position:absolute;top:0}.select-kit.is-expanded .select-kit-collection{border-radius:inherit}.select-kit.is-above .select-kit-body{bottom:0;top:auto}.select-kit.is-above .select-kit-filter{border-top:0}.select-kit.is-above .select-kit-wrapper{bottom:0;top:auto}.select-kit .d-icon{color:#646464}.select-kit .select-kit-header{box-sizing:border-box;overflow:hidden;transition:all 0.25s;cursor:pointer;outline:none;display:flex;align-items:center;flex-direction:row;min-height:30px}.select-kit .select-kit-header .selected-name{text-align:left;flex:0 1 auto;padding:1px 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:inherit}.select-kit .select-kit-header .btn-clear{padding:0 10px;border:0;background:none}.select-kit .select-kit-header .icon{margin-right:5px}.select-kit .select-kit-header .caret-icon{margin-left:auto;padding-left:5px;pointer-events:none}.select-kit .select-kit-header .d-button-label{display:flex;align-items:center;white-space:nowrap;overflow:hidden;line-height:1.2}.select-kit .select-kit-header .d-button-label .d-icon{margin-left:5px;margin-right:0}.select-kit .select-kit-body{display:none;background:#fff;box-sizing:border-box}.select-kit .select-kit-row{cursor:pointer;line-height:1.2;outline:none;display:flex;flex:1 0 auto;box-sizing:border-box;align-items:center;justify-content:flex-start}.select-kit .select-kit-row .name{margin:0;overflow:hidden;text-overflow:ellipsis;flex:1 1 0%}.select-kit .select-kit-row .d-icon{margin-right:5px}.select-kit .select-kit-row.is-highlighted{background:#d1f0ff}.select-kit .select-kit-row.is-selected{background:#ffffa6}.select-kit .select-kit-row.is-selected.is-highlighted{background:#d1f0ff}.select-kit .select-kit-row .discourse-tag,.select-kit .select-kit-row .discourse-tag-count{color:#222}.select-kit .select-kit-collection{background:#fff;overflow-x:hidden;overflow-y:auto;border-radius:inherit;-webkit-overflow-scrolling:touch;margin:0;padding:0;max-height:200px}.select-kit .select-kit-collection .validation-message{white-space:nowrap;color:#e45735;flex:1 0 auto;margin:5px;padding:0 2px}.select-kit .select-kit-collection .select-kit-collection{padding:0;margin:0}.select-kit .select-kit-collection .select-kit-collection:hover .select-kit-row.is-highlighted:hover{background:#d1f0ff}.select-kit .select-kit-collection::-webkit-scrollbar{-webkit-appearance:none;width:10px}.select-kit .select-kit-collection::-webkit-scrollbar-thumb{cursor:pointer;border-radius:5px;background:#919191}.select-kit .select-kit-collection::-webkit-scrollbar-track{background:transparent;border-radius:0}.select-kit .select-kit-filter{display:flex;box-sizing:border-box;align-items:center;justify-content:space-between}.select-kit .select-kit-filter .filter-input,.select-kit .select-kit-filter .filter-input:focus,.select-kit .select-kit-filter .filter-input:active{background:none;margin:0;padding:0;flex:1 0 0px;outline:none;border:0;border-radius:0;box-shadow:none;width:100%}.select-kit .select-kit-filter.is-hidden{width:1px;height:1px;border:0;margin:-1px;padding:0;overflow:hidden;position:fixed;outline:0;left:0;top:0}.select-kit .select-kit-wrapper{position:absolute;top:0;left:0;background:none;display:none;box-sizing:border-box;pointer-events:none}.select-kit.multi-select.tag-chooser .select-kit-row{display:flex;align-items:center}.select-kit.multi-select.tag-chooser .select-kit-row .discourse-tag-count{margin-left:5px}.select-kit.combo-box.tag-drop .select-kit-row[data-value="all-tags"],.select-kit.combo-box.tag-drop .select-kit-row[data-value="no-tags"]{color:#08c;font-weight:700}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-body{box-shadow:none;padding:10px 10px 5px 10px;width:230px}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row{margin-bottom:5px;padding:6px 3px;background:#e9e9e9;transition:all 0.25s}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{font-size:1em;font-weight:normal;color:#222}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{opacity:0.7}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted{background:#919191}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .d-icon{color:#fff}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row:hover{background:#919191;color:#fff}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected{color:#222;background:#e9e9e9}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected.is-highlighted{background:#919191;color:#222}#topic-footer-buttons .topic-notifications-button{min-width:auto;margin:1em 0}#topic-footer-buttons .topic-notifications-button .btn{margin:0}#topic-footer-buttons .topic-notifications-button .reason{display:inline;line-height:1.2}.topic-notifications-button .topic-notifications-options{min-width:auto}.topic-notifications-button{margin:0}.topic-notifications-button .topic-notifications-options{display:inline-flex}.select-kit.dropdown-select-box.user-notifications-dropdown{text-align:left}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-body{width:485px;max-width:485px}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-header{justify-content:center}.select-kit.dropdown-select-box.user-notifications-dropdown .dropdown-select-box-header{align-items:center}.select-kit.combo-box.color-palettes .color-palettes-row .palettes{display:flex;align-items:center;margin-left:0.5em;flex:1 0 0}.select-kit.combo-box.color-palettes .color-palettes-row .palettes .palette{height:15px;width:15px;display:block}.svg-icon,.svg-icon-title{height:1em;width:1em;line-height:1;display:inline-flex;position:relative;vertical-align:-0.125em;fill:currentColor;flex-shrink:0;overflow:visible}svg>use{pointer-events:none}.fa-stack{position:relative;width:1em;height:1em;display:inline-block}.fa-stack .fa-stack-1x,.fa-stack .fa-stack-2x{left:0px;top:0px;position:absolute}.fa-stack .fa-stack-2x{height:1.5em;width:1.5em;margin-top:-0.25em;margin-left:-0.25em}.d-date-time-input-range{padding:0.5em;background:whitesmole;border:1px solid #e9e9e9;width:300px;display:flex;flex-direction:column}.d-date-time-input-range .panels{display:inline-flex;list-style:none;margin:0 0 0.5em 0;flex:1}.d-date-time-input-range .panels.from .from-panel{background:#e45735;color:#fff}.d-date-time-input-range .panels.to .to-panel{background:#e45735;color:#fff}.d-date-time-input-range .panels .btn{margin-right:0.5em}.d-date-time-input-range .panel{display:none;flex:1}.d-date-time-input-range .panel.visible{display:flex}.nav-pills,.nav-stacked{margin-left:0;list-style:none}.nav-pills li a,.nav-stacked li a{display:block;text-decoration:none}.nav-pills>li{float:left;margin-right:5px}.nav-pills>li>a{border:none;padding:6px 12px;color:#222;font-size:1.1487em;line-height:1;box-sizing:border-box;min-height:30px;display:flex;align-items:center;transition:background 0.15s}.nav-pills>li>a .d-icon{margin-right:5px;opacity:0.65}.nav-pills>li>a:hover{color:#e45735;background-color:#f7cdc2}.nav-pills>li a.active{color:#fff;background-color:#e45735}.nav-pills>li a.active .d-icon{opacity:1}.nav-stacked{padding:0;overflow:hidden;background:#e9e9e9}.nav-stacked li{border-bottom:1px solid #e9e9e9;position:relative}.nav-stacked li:last-of-type{border-bottom:0}.nav-stacked li.indent{padding-left:15px}.nav-stacked a{margin:0;padding:13px;font-size:1.1487em;line-height:1;cursor:pointer;color:#222}.nav-stacked a.active{color:#fff;background-color:#e45735}.nav-stacked a.active::after{left:90%;top:33%;content:" ";position:absolute;border:8px solid transparent;border-left-color:#fff}.nav-stacked .count{font-size:.8706em}.nav-stacked .glyph{font-size:.8706em;width:1.25em;text-align:center;margin-right:0.25em;line-height:1.4}.btn{display:inline-block;margin:0;padding:6px 12px;font-weight:500;font-size:1em;line-height:1;text-align:center;cursor:pointer;transition:all 0.25s;box-sizing:border-box;min-height:30px}.btn .d-icon{transition:color 0.25s}.btn:active,.btn.btn-active{text-shadow:none}.btn[disabled],.btn.disabled{cursor:default;opacity:0.4}.btn .d-icon{margin-right:7px}.btn.no-text .d-icon{margin-right:0}.btn.hidden{display:none}.btn{border:none;color:#222;font-weight:normal;background:#e9e9e9}.btn .d-icon{color:#646464}.btn[href]{color:#222;min-height:unset}.discourse-no-touch .btn:hover,.discourse-no-touch .btn.btn-hover{background:#919191;color:#fff}.discourse-no-touch .btn:hover .d-icon,.discourse-no-touch .btn.btn-hover .d-icon{color:#ededed}.btn[disabled],.btn.disabled{background:#e9e9e9;cursor:not-allowed}.btn[disabled] .d-icon,.btn.disabled .d-icon{color:#919191}.btn[disabled]:hover,.btn.disabled:hover{color:#bdbdbd}.btn[disabled]:hover .d-icon,.btn.disabled:hover .d-icon{color:#bdbdbd}.btn .d-icon{line-height:1.2}.btn-primary{border:none;font-weight:normal;color:#fff;background:#08c}.btn-primary .d-icon{color:currentColor}.btn-primary[href]{color:#fff}.discourse-no-touch .btn-primary:hover,.discourse-no-touch .btn-primary.btn-hover{background:#006da3}.discourse-no-touch .btn-primary:hover .d-icon,.discourse-no-touch .btn-primary.btn-hover .d-icon{color:currentColor}.btn-primary:active,.btn-primary.btn-active{background-color:#006da3;background-image:linear-gradient(to bottom, #006da3, #08c)}.btn-primary[disabled],.btn-primary.disabled{background:#08c}.btn-primary[disabled] .d-icon,.btn-primary.disabled .d-icon{color:currentColor}.btn-danger{color:#fff;font-weight:normal;background:#e45735}.btn-danger .d-icon{color:#fbe6e1}.btn-danger[href]{color:#fff}.discourse-no-touch .btn-danger:hover,.discourse-no-touch .btn-danger.btn-hover{background:#c63c1b}.discourse-no-touch .btn-danger:hover .d-icon,.discourse-no-touch .btn-danger.btn-hover .d-icon{color:#fbe6e1}.btn-danger:active,.btn-danger.btn-active{background-color:#c63c1b;background-image:linear-gradient(to bottom, #c63c1b, #e45735)}.btn-danger[disabled],.btn-danger.disabled{background:#e45735}.btn-danger[disabled] .d-icon,.btn-danger.disabled .d-icon{color:#fbe6e1}.btn-social{color:#fff;background:#666}.btn-social .d-icon{color:#fff}.btn-social:hover{color:#fff}.btn-social[href]{color:#fff}.btn-social:before{margin-right:9px;font-size:1em}.btn-social.google_oauth2{background:#fff;color:#333;border:1px solid #e9e9e9}.btn-social.google_oauth2 .d-icon{opacity:0.9}.btn-social.google_oauth2:hover{color:currentColor;background:#f2f2f2}.btn-social.instagram{background:#e1306c}.btn-social.instagram:hover{background:#ac194b}.btn-social.facebook{background:#4267b2}.btn-social.facebook:hover{background:#2d477a}.btn-social.cas{background:#70ba61}.btn-social.twitter{background:#1da1f2}.btn-social.twitter:hover{background:#0c85d0}.btn-social.github{background:#100e0f}.btn-social.github:hover{background:#463e42}.btn-social.discord{background:#7289da}.btn-social.discord:hover{background:#4a67cf}.btn-small,.modal.history-modal #revision-footer-buttons button{padding:3px 6px;font-size:.8706em}.btn-large{padding:9px 18px;font-size:1.1487em;line-height:1}.btn-flat{background:transparent;border:0;outline:0;line-height:1;transition:color 0.25s, background 0.25s}.btn-flat .d-icon{color:#bdbdbd}.discourse-no-touch .btn-flat:hover .d-icon,.discourse-no-touch .btn-flat.btn-hover .d-icon{color:#222}.btn-flat.close{padding:0;min-height:unset;background:transparent;font-size:1.5157em}.btn-flat.close .d-icon{color:#646464}.discourse-no-touch .btn-flat.close:hover,.discourse-no-touch .btn-flat.close.btn-hover{background:transparent}.discourse-no-touch .btn-flat.close:hover .d-icon,.discourse-no-touch .btn-flat.close.btn-hover .d-icon{color:#222}.btn-link{background:transparent;border:0;outline:0;padding:0;color:#08c}.btn-link:focus{outline:1px currentColor dotted}.topic-list-item td:first-child,.topic-post{border-left:1px solid transparent}.topic-list tr.selected td:first-child,.topic-list-item.selected td:first-child,.latest-topic-list-item.selected{box-shadow:inset 3px 0 0 #e45735}.featured-topic.selected,.topic-post.selected{box-shadow:-3px 0 0 #e45735}.latest .featured-topic{padding-left:4px}.topic-list-item.selected{background-color:inherit}.keyboard-shortcuts-modal .modal-body{max-height:560px}#keyboard-shortcuts-help div.row{width:100%}#keyboard-shortcuts-help div.row div{float:left;width:32%}#keyboard-shortcuts-help ul{list-style:none;margin-left:0}#keyboard-shortcuts-help ul li{margin:5px 0}#keyboard-shortcuts-help ul kbd{font-size:15px;font-family:Helvetica,Arial,sans-serif;margin:0;color:#444;font-weight:bold;padding:2px 6px;white-space:nowrap}.d-date-time-input{display:flex;align-items:center;border:1px solid #e9e9e9;width:258px;box-sizing:border-box;position:relative;flex:1;justify-content:space-between}.d-date-time-input .date-picker,.d-date-time-input .fields{border:0}.group-member-dropdown{text-align:left}#banner{padding:10px;background:#d1f0ff;color:#222;z-index:2;overflow:auto}#banner.overlay{position:fixed}#banner .close{margin-top:-5px;color:#bdbdbd;padding-left:5px;float:right}#banner .meta{display:none}.ignored-list{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#fff;min-height:30px;box-sizing:border-box}.ignored-user-list-item{border:1px solid #919191;border-radius:0.25em;padding:0;display:flex;align-items:center;margin-right:10px}.remove-ignored-user{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0 0.25em 0.25em 0;padding-top:0;padding-bottom:0;height:100%}.ignored-user-name{padding-left:10px;padding-right:10px}.d-date-input .date-picker{margin:0;text-align:left;width:100%;outline:none;box-shadow:none !important}.d-date-input .pika-single{margin-left:-1px}.d-time-input{box-sizing:border-box}.d-time-input .fields{display:flex;align-items:center;border:1px solid #e9e9e9}.d-time-input .fields .field{text-align:center;width:auto;margin:0;border:none;outline:none;box-shadow:none;width:32px}.d-time-input .fields .field.time{width:100%;text-align:left}.d-time-input .fields .field.hours,.d-time-input .fields .field.minutes{text-align:center;width:45px}.d-time-input .fields .field.hours{padding-right:0}.d-time-input .fields .field.minutes{padding-left:10px;width:55px}.group-form-automatic-membership-automatic,.groups-form-grant-trust-level{margin-bottom:10px}.conditional-loading-section.is-loading{padding:2em;margin:1em;display:flex;align-items:center;justify-content:center;background:#f8f8f8;flex-direction:column}.conditional-loading-section.is-loading .title{font-size:1.1487em;font-weight:700}.conditional-loading-section:not(.is-loading){animation:fadein 0.5s;-webkit-animation:fadein 0.5s}@keyframes fadein{from{opacity:0}to{opacity:1}}@-webkit-keyframes fadein{from{opacity:0}to{opacity:1}}a.hashtag{color:#222;font-weight:bold}a.hashtag:visited,a.hashtag:hover{color:#222}a.hashtag:hover span{text-decoration:underline}.convert-to-public-topic .modal-body .instructions{margin-bottom:1em}.pika-table th,.pika-table td{padding:0 !important;border-top:none !important;border-bottom:none !important}.date-picker-wrapper{position:relative;display:inline-block}.date-picker{text-align:center;width:8em;margin:0}.pika-single{position:absolute !important}.animated-placeholder{height:20px;position:relative}.card-avatar-placeholder{width:120px;height:120px;border-radius:100%;position:relative;overflow:hidden}.card-avatar-placeholder:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;left:0;content:"";background:linear-gradient(to right, #f8f8f8 10%, #e9e9e9 18%, #f8f8f8 33%);height:120px;width:580px}#user-card,#group-card{width:580px;box-shadow:0 4px 14px rgba(0,0,0,0.15);color:#222;background:#fff center center;background-size:cover;transition:opacity 0.2s, transform 0.2s;-webkit-transition:opacity 0.2s, -webkit-transform 0.2s;opacity:0;-webkit-transform:scale(0.9);transform:scale(0.9)}#user-card.show,#group-card.show{opacity:1;-webkit-transform:scale(1);transform:scale(1)}#user-card .card-content,#group-card .card-content{padding:10px;background:rgba(255,255,255,0.85);margin-top:80px}#user-card .card-content:after,#group-card .card-content:after{content:"";display:block;clear:both}#user-card .card-content a.card-huge-avatar,#group-card .card-content a.card-huge-avatar{outline:none}#user-card.no-bg .card-content,#group-card.no-bg .card-content{margin-top:0}#user-card .card-row:not(.first-row),#group-card .card-row:not(.first-row){margin-top:0.5em}#user-card .first-row .names,#group-card .first-row .names{padding-left:1.25em}#user-card .first-row .names .user-profile-link,#group-card .first-row .names .user-profile-link{display:flex;align-items:center}#user-card .first-row .names .d-icon,#group-card .first-row .names .d-icon{margin:0 0.25em}#user-card .first-row .names .name-username-wrapper,#group-card .first-row .names .name-username-wrapper{margin-right:0;flex:0 1 auto}#user-card .first-row .names span,#group-card .first-row .names span{display:block}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{list-style-type:none;margin:0}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{width:100%}#user-card .btn,#group-card .btn{margin-bottom:5px}#user-card h1,#group-card h1{line-height:1.2}#user-card h1 .d-icon,#group-card h1 .d-icon{color:#222}#user-card h3,#group-card h3{display:inline;margin-right:0.5em;color:#222}#user-card h3.email,#user-card h3 .desc,#user-card h3 a,#group-card h3.email,#group-card h3 .desc,#group-card h3 a{color:#646464}#user-card h1,#user-card h2,#user-card h3,#group-card h1,#group-card h2,#group-card h3{margin:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#user-card h1 a,#user-card h2 a,#group-card h1 a,#group-card h2 a{color:#222}#user-card h2,#user-card h3,#group-card h2,#group-card h3{font-weight:normal}#user-card p,#group-card p{margin:0 0 5px 0}#user-card .first-row{display:flex}#user-card .first-row .avatar-placeholder{width:120px;height:120px}#user-card .first-row .user-card-avatar{margin-top:-50px}#user-card .first-row .new-user a{color:#bdbdbd}#user-card .second-row{max-height:150px;overflow:auto}#user-card .second-row .bio a{color:#222;text-decoration:underline}#user-card .second-row .bio a.mention{text-decoration:none}#user-card .second-row .bio .overflow{max-height:60px;overflow:hidden}#user-card .second-row .suspended{color:#e45735}#user-card .second-row .suspended .suspension-reason-title,#user-card .second-row .suspended .suspension-date{font-weight:bold}#user-card .second-row .profile-hidden{font-size:1.1487em;margin-top:0.5em}#user-card .third-row .location-and-website{display:flex;flex-wrap:wrap;width:100%;align-items:center}#user-card .third-row .location-and-website .location,#user-card .third-row .location-and-website .website-name{display:flex;overflow:hidden;align-items:center}#user-card .third-row .location-and-website .location .d-icon,#user-card .third-row .location-and-website .website-name .d-icon{margin-right:0.25em}#user-card .third-row .location-and-website .website-name a,#user-card .third-row .location-and-website .location span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:#222}#user-card .third-row .location-and-website .location{margin-right:0.5em}#user-card .third-row .location-and-website .website-name a{text-decoration:underline}#user-card .fifth-row .public-user-fields{margin:0}#user-card .sixth-row .badge-section{display:flex;align-items:flex-start}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;background:#f8f8f8;border:1px solid #e9e9e9;color:#222}#group-card .first-row{display:flex}#group-card .first-row .group-card-avatar{margin-top:-50px}#group-card .first-row .avatar-flair{display:flex;background-size:contain;width:120px;height:120px;color:#222}#group-card .first-row .avatar-flair .d-icon{margin:auto;font-size:80px}#group-card .first-row .avatar-flair.rounded{border-radius:50%}#group-card .second-row{max-height:150px;overflow:auto}#group-card .second-row .bio a{color:#222;text-decoration:underline}#group-card .second-row .bio img{max-width:100%;height:auto}#group-card .second-row .bio a.mention{text-decoration:none}#group-card .second-row .bio .overflow{max-height:60px;overflow:hidden}body.footer-nav-visible #main-outlet{padding-bottom:64px}body.footer-nav-visible #topic-progress-wrapper,body.footer-nav-visible #reply-control.draft{bottom:49px}body.footer-nav-visible #reply-control.draft{margin-bottom:env(safe-area-inset-bottom);padding-bottom:0px}.footer-nav{background-color:rgba(255,255,255,0.9);box-shadow:0 0 2px 0 rgba(0,0,0,0.25);height:49px;position:fixed;bottom:-49px;left:0;width:100%;z-index:900;transition:all linear 0.1s}.footer-nav .d-icon{color:#999}.footer-nav.visible{bottom:0px}.footer-nav .footer-nav-widget{display:flex;justify-content:"space-evenly";-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.footer-nav .footer-nav-widget button{flex:1;margin:4px;border-radius:2px;padding:14px 18px}.footer-nav .footer-nav-widget button:disabled{opacity:0.6}@supports (padding: 0px){.footer-nav.visible{padding-bottom:max(5px, env(safe-area-inset-bottom))}}@supports (-webkit-backdrop-filter: blur(10px)){body:not(.footer-nav-ipad) .footer-nav{background-color:rgba(255,255,255,0.7);-webkit-backdrop-filter:blur(20px)}}body.footer-nav-ipad{padding-top:49px}body.footer-nav-ipad .footer-nav{bottom:auto;top:0px;background-color:#fff;z-index:1020;padding-bottom:0}body.footer-nav-ipad #reply-control,body.footer-nav-ipad #reply-control.fullscreen{z-index:1021}body.footer-nav-ipad.docked .d-header{margin-top:49px}.share-and-invite.modal .modal-body{max-width:475px;min-width:320px}.share-and-invite.modal .modal-header .modal-close{padding-left:0}.share-and-invite.modal .share.modal-panel .header{display:flex;flex-direction:row;align-items:center}.share-and-invite.modal .share.modal-panel .header .title{font-size:1em;font-weight:normal;margin-bottom:8px}.share-and-invite.modal .share.modal-panel .header .title .post-date{color:#919191;font-size:.8706em}.share-and-invite.modal .share.modal-panel .body{display:flex;flex-direction:column}.share-and-invite.modal .share.modal-panel .body .topic-share-url{width:100%;height:auto;box-sizing:border-box}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch a{word-break:break-all;font-size:1.1487em}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch,.share-and-invite.modal .share.modal-panel .body .topic-share-url{margin-bottom:8px}.share-and-invite.modal .share.modal-panel .body .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row}.share-and-invite.modal .share.modal-panel .body .sources .social-link{font-size:2.296em;margin-right:8px}.share-and-invite.modal .invite.modal-panel .error-message,.share-and-invite.modal .invite.modal-panel .success-message{margin-bottom:8px}.share-and-invite.modal .invite.modal-panel .body .invite-user-control,.share-and-invite.modal .invite.modal-panel .body .group-access-control,.share-and-invite.modal .invite.modal-panel .body .show-custom-message-control{margin-bottom:16px}.share-and-invite.modal .invite.modal-panel .body .instructions{margin-bottom:8px}.share-and-invite.modal .invite.modal-panel .body .email-or-username-input{width:100%}.share-and-invite.modal .invite.modal-panel .footer{display:flex;align-items:center}.share-and-invite.modal .invite.modal-panel .footer .btn-primary{margin-right:8px}.share-and-invite.modal .invite.modal-panel .footer .btn-primary:last-child{margin-right:0}.user-stream .item,.user-stream .user-stream-item{background-color:#fff;border-bottom:1px solid #e9e9e9}.user-stream .item.moderator-action,.user-stream .user-stream-item.moderator-action{background-color:#ffffa6}.user-stream .item.deleted,.user-stream .user-stream-item.deleted{opacity:0.8;background-color:rgba(242,171,154,0.7)}.user-stream .item.hidden,.user-stream .user-stream-item.hidden{display:block;opacity:0.4}.user-stream .type,.user-stream span.name{color:#222}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{display:block;float:right;color:#919191;font-size:.7579em}.user-stream .draft-type{clear:right}.user-stream .delete-info .d-icon{font-size:1em}.user-stream .expand-item,.user-stream .collapse-item{float:right;margin-right:0.5em;line-height:1;color:#919191}.user-stream .avatar-link{float:left;margin-right:4px}.user-stream .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:block}.user-stream .name{font-size:1em;max-width:400px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-stream .edit-reason{background-color:#ffffa6;padding:3px 5px 5px 5px}.user-stream .remove-bookmark,.user-stream .remove-draft{float:right;margin-top:-4px}.user-stream .notification li{display:inline-block}.user-stream .notification p{display:inline-block}.user-stream .notification p span:first-child{color:#222}.user-stream .notification .time{display:inline-block;margin-left:10px;float:none}.user-stream .notification .fa,.user-stream .notification .icon{color:#919191;font-size:1.7511em}.user-stream .excerpt{margin:1em 0 0 0;font-size:1em;word-wrap:break-word;color:#222}.user-stream .excerpt:empty{display:none}.user-stream .excerpt details.disabled{color:#919191}.user-stream .group-member-info{display:flex}.user-stream .child-actions,.user-stream-item-actions,.user-stream-item-draft-actions{margin-top:8px}.user-stream .child-actions .avatar-link,.user-stream-item-actions .avatar-link,.user-stream-item-draft-actions .avatar-link{float:none;margin-right:3px}.user-stream .child-actions .fa,.user-stream-item-actions .fa,.user-stream-item-draft-actions .fa{width:15px;display:inline-block;color:#222}.user-stream .child-actions .fa.d-icon-heart,.user-stream-item-actions .fa.d-icon-heart,.user-stream-item-draft-actions .fa.d-icon-heart{color:#fa6c8d}.badge-notification,.badge-group{display:inline-block;font-weight:normal;white-space:nowrap;border-radius:10px}.badge-wrapper{font-size:.8706em;font-weight:bold;white-space:nowrap;position:relative;display:inline-flex;align-items:baseline}.badge-wrapper .badge-category{display:inline-flex;align-items:baseline}.badge-wrapper .badge-category .category-name{text-overflow:ellipsis;overflow:hidden}.badge-wrapper .badge-category .d-icon{margin-right:3px;width:0.74em;height:0.74em;color:inherit}.badge-wrapper.bullet{margin-right:12px}.badge-wrapper.bullet span.badge-category{color:#646464;overflow:hidden;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper.bullet span.badge-category{color:#333}.badge-wrapper.bullet .badge-category-parent-bg,.badge-wrapper.bullet .badge-category-bg{flex:0 0 auto;width:9px;height:9px;margin-right:5px;display:inline-block}.badge-wrapper.bullet .badge-category-parent-bg{width:5px;margin-right:0}.badge-wrapper.bullet .badge-category-parent-bg+.badge-category-bg{width:5px}.badge-wrapper.bullet .d-icon{color:#919191}.badge-wrapper.box{margin-right:5px;padding:2px 4px 2px 4px;display:inline-flex}.badge-wrapper.box span{overflow:hidden;text-overflow:ellipsis}.badge-wrapper.box span.badge-category-bg,.badge-wrapper.box span.badge-category-parent-bg{position:absolute;top:0;right:0;bottom:0;left:0}.badge-wrapper.box span.badge-category-parent-bg{width:calc(100% - 5px)}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg{left:5px;width:calc(100% - 5px)}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg+.badge-category{margin-left:5px}.badge-wrapper.box span.badge-category{position:relative}.badge-wrapper.box+.topic-header-extra{padding:2px 4px 2px 4px}.badge-wrapper.bar{margin-right:5px}.badge-wrapper.bar span.badge-category{color:#646464;padding:1px 3px;overflow:hidden;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper.bar span.badge-category{color:#333}.badge-wrapper.bar .badge-category-parent-bg,.badge-wrapper.bar .badge-category-bg{display:inline-block;padding:0 1px}.badge-wrapper.bar .badge-category-parent-bg:before,.badge-wrapper.bar .badge-category-bg:before{content:"\\a0"}.badge-wrapper.none{color:#646464;margin-right:5px}.list-controls .category-breadcrumb a.badge-category{display:inline-block;padding:6px 8px;line-height:1.2}.badge-notification{padding:0.21em 0.42em;min-width:0.5em;color:#fff;font-size:.7579em;line-height:1;text-align:center;background-color:#bdbdbd}.badge-notification[href]{color:#fff}.badge-notification:hover{color:#fff}.badge-notification.new-posts,.badge-notification.unread-posts{background-color:#6cf;color:#fff;font-weight:normal}.badge-notification.new-topic{background-color:transparent;color:#0aadff;font-weight:normal;font-size:.8706em}.badge-notification.new-topic::before{content:"●";margin-right:2px}.badge-notification.clicks{font-weight:normal;background-color:#e9e9e9;top:-1px;color:#919191;position:relative;border:none}.badge-posts{font-weight:normal;font-size:1em;line-height:1}.badge-posts[href]{color:#919191}.badge-group{padding:2px 5px;color:#222;background-color:#e9e9e9;border-color:#e9e9e9;font-size:.8706em}.user-info{display:inline-block;clear:both;margin-bottom:1em}.user-info .user-image{float:left;padding-right:4px;margin-right:10px}.user-info .user-image-inner{position:relative;display:inline-block}.user-info .user-detail{float:left;width:70%;padding-left:5px}@media screen and (max-width: 600px){.user-info .user-detail{font-size:.8706em}}.user-info .user-detail .name-line{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-info .user-detail .username a{font-weight:bold;color:#646464}.user-info .user-detail .name{margin-left:5px;color:#646464}.user-info .user-detail .title{margin-top:3px;color:#919191}.user-info.small{width:333px}@media screen and (max-width: 800px){.user-info.small{width:auto;display:flex}}@media screen and (max-width: 600px){.user-info.small{width:100%}}.user-info.medium{min-height:60px}.user-info.medium .username,.user-info.medium .name{display:block}.user-info.medium .name{margin-left:0}.user-info.medium.badge-info{min-height:80px;min-width:250px}.user-info.medium.badge-info .granted-on{color:#919191}.user-info.medium.badge-info .post-link{display:block;margin-top:0.2em}.user-stream.filter-deleted{grid-column-start:1;grid-column-end:3;grid-row-start:2}.popup-tip{position:absolute;display:block;padding:5px 10px;z-index:600}.popup-tip.bad{background:#ec8972;color:white;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}.popup-tip.hide,.popup-tip.good{display:none}.popup-tip .close{float:right;color:#222;opacity:0.5;font-size:1em;margin:0 0 0 4px;cursor:pointer}.popup-tip .close:hover{opacity:1}#topic-entrance{border:1px solid #e9e9e9;padding:5px;background:#fff;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:300;position:absolute;width:133px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}#topic-entrance button.full{width:100%;margin-bottom:5px}#topic-entrance button.full .d-icon{display:block;margin:2px auto;transform:rotate(90deg)}#topic-entrance button.btn.jump-bottom{margin:5px 0 0 0}@media print{.avatar,.topic-avatar,header,.topic-above-post-stream-outlet.topic-above-post-stream,.topic-map,.post-menu-area.clearfix,.post-menu-area.nav-pills,.post-menu-area.container,.post-menu-area.wrap,div#topic-footer-buttons,div.suggested-topics,div#progress-topic-wrapper,#topic-progress-wrapper,div.nums,._flyout,.show-topic-admin,#topic-progress,.quote-controls,.topic-status-info,div.lazyYT,.post-info.edits,.post-action,.saving-text,.draft-text,.discourse-modal,div.read-state,div.read-state.read,.edit-topic,a.reply-to-tab,a.reply-new,div.time-gap,#bottom,#footer,.alert-info,.badge-category,.badge-category-bg,.badge-notification.clicks,.crawler-nav,.powered-by-link{display:none !important}a,a:visited{color:#0088cc !important}div.row{border-top:1px solid #aaa}.cooked pre code{max-height:none}#main-outlet{padding:0 !important}html,body{min-width:0;height:auto}.lightbox-wrapper img{max-width:500px !important;height:auto !important}.topic-body{width:auto;margin:0;padding:0;float:none}.topic-post article.boxed .select-posts{width:auto;left:auto;right:0}.gap{width:auto}#topic-title{margin:0;padding:0}#topic-title div div h1{margin:2.5em 0 0 0;padding:0;float:left;font-weight:normal;font-size:normal}a,a:visited{color:#ddd;font-weight:bold}.topic-category-outlet.show-topic-category-location,div.alert.alert-info.alert-emails-disabled,div.profiler-results.profiler-left.profiler-no-controls{display:none}}section.about{margin-bottom:40px}section.about h3{margin-bottom:15px}section.about table{width:auto}section.about table td{padding:10px}section.about table td.title{width:33%}.body-page{width:100%;max-width:700px}.about-page .body-page{max-width:unset}.about-page .body-page section:not(.admins):not(.moderators):not(.category-moderators){max-width:700px}.about-page .body-page .about.category-moderators .badge-wrapper.bullet .badge-category{color:#222}.mobile-view .body-page{font-size:1em;margin-top:20px}.body-page li{margin-bottom:8px}.body-page .nav-pills{margin-bottom:20px}.body-page ul:not(.nav-pills),.body-page ol:not(.nav-pills){margin-left:40px}body.crawler>header{width:100%;position:absolute;top:0;z-index:9999;background-color:#fff;padding:10px;box-shadow:none;border-bottom:1px solid #bdbdbd;box-sizing:border-box}body.crawler div#main-outlet div.post{word-break:break-word}body.crawler div#main-outlet div.post img{max-width:100%;height:auto}body.crawler .raw-topic-link{display:block;font-weight:bold;margin-bottom:0.25em}body.crawler .topic-list{margin-bottom:1em}body.crawler footer{margin-top:3em;border-top:1px solid #bdbdbd}.crawler-topic-title{margin-top:0.5em}.crawler-post{margin-top:1em;margin-bottom:2em;padding-top:1.5em;border-top:1px solid #e9e9e9}.crawler-post-meta{margin-bottom:1em}.crawler-post-meta .creator{word-break:break-all}.crawler-post-meta .creator a{font-weight:bold}@media screen and (max-width: 768px){.crawler-post-meta .creator{display:inline-block;margin-bottom:0.25em}}.crawler-post-infos{color:#646464;display:inline-block}@media screen and (min-width: 768px){.crawler-post-infos{float:right}}.crawler-post-infos [itemprop="position"]{float:left;margin-right:0.5em}#breadcrumbs{margin-bottom:0.5em;font-size:1.1487em}#breadcrumbs>div{margin-bottom:0.15em}#breadcrumbs .badge-category-bg{background-color:#a6a6a6}#breadcrumbs .category-title{color:#222}.crawler-tags-list span{display:block;margin-bottom:0.15em}.crawler-linkback-list{margin-top:1em}.crawler-linkback-list a{display:block;padding:0.5em 0;border-top:1px solid #e9e9e9}.crawler-nav{margin:1em 0}.crawler-nav ul{margin:0;list-style-type:none}.crawler-nav li{display:inline-block}.crawler-nav a{display:inline-block;padding:0.5em 1em 0.5em 0}div.ac-wrap.composer-user-selector-limited{width:400px;padding:0 10px;margin-bottom:5px}div.ac-wrap.composer-user-selector-limited .btn-primary{margin-left:0.5em;padding:3px 6px 2px;font-size:.8706em;min-height:unset}@keyframes ping{from{transform:scale(0.25);opacity:1}to{transform:scale(2);opacity:0}}@keyframes rotate-forever{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}@keyframes background-fade-highlight{0%{background-color:#d1f0ff}100%{background-color:transparent}}@keyframes placeHolderShimmer{0%{background-position:-1000px 0}100%{background-position:1100px 0}}.placeholder-animation{animation-duration:4s;animation-fill-mode:forwards;animation-iteration-count:infinite;animation-name:placeHolderShimmer;animation-timing-function:linear;background:#f8f8f8;background:linear-gradient(to right, #f8f8f8 10%, #e9e9e9 18%, #f8f8f8 33%)}html{height:100%}body{background-attachment:fixed;background-size:cover;min-height:100%}body:before,body:after{content:"";display:table}body:after{clear:both}big{font-size:2em}small{font-size:.7579em}blockquote{border-left:5px solid #e9e9e9;background-color:#f9f9f9;clear:both}h1,h2,h3,h4,h5,h6{margin-top:0;margin-bottom:0.5rem}button.ok{background:#090;color:#fff}button.ok .d-icon{color:currentColor}.discourse-no-touch button.ok:hover,.discourse-no-touch button.ok.btn-hover{background:#0c0;color:#fff}button.cancel{background:#e45735;color:#fff}button.cancel .d-icon{color:currentColor}.discourse-no-touch button.cancel:hover,.discourse-no-touch button.cancel.btn-hover{background:#ea7c62;color:#fff}a.cancel{margin-left:1.25em;line-height:normal;color:#646464;transition:color 250ms}a.cancel:hover{color:#e45735}ul.breadcrumb{margin:0 10px 0 10px}a.no-href{cursor:pointer}img.avatar{border-radius:50%}span.relative-date{white-space:nowrap}label{display:flex;margin-bottom:5px;align-items:flex-start}label>.d-icon{align-self:center;margin-right:4px}input[type="radio"],input[type="checkbox"]{margin-top:0.17em;margin-right:0.43em;margin-left:0.1em;line-height:1;cursor:pointer;flex-shrink:0}input[type="submit"],input[type="reset"],input[type="button"],input[type="radio"],input[type="checkbox"]{width:auto}input.invalid{background-color:#fbe6e1}.radio input[type="radio"],.checkbox input[type="checkbox"]{float:left;margin-left:-18px}input,select,textarea{color:#222;caret-color:currentColor}input[class*="span"],select[class*="span"],textarea[class*="span"]{float:none;margin-left:0}input[disabled],input[readonly],select[disabled],select[readonly],textarea[disabled],textarea[readonly]{cursor:not-allowed;background-color:#e9e9e9;border-color:#e9e9e9}input:focus:required:invalid,select:focus:required:invalid,textarea:focus:required:invalid{color:#e45735;border-color:#e45735}input:focus:required:invalid:focus,select:focus:required:invalid:focus,textarea:focus:required:invalid:focus{border-color:#e45735;box-shadow:0 0 6px 0 #e45735}input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]{-webkit-appearance:none;-moz-appearance:none;appearance:none;display:inline-block;padding:4px 10px;margin-bottom:9px;font-size:1em;line-height:1;color:#222;background-color:#fff;border:1px solid #919191;border-radius:0;box-sizing:border-box;min-height:30px}input[type="text"]:focus,input[type="password"]:focus,input[type="datetime"]:focus,input[type="datetime-local"]:focus,input[type="date"]:focus,input[type="month"]:focus,input[type="time"]:focus,input[type="week"]:focus,input[type="number"]:focus,input[type="email"]:focus,input[type="url"]:focus,input[type="search"]:focus,input[type="tel"]:focus,input[type="color"]:focus{border-color:#08c;box-shadow:0 0 6px 0 #08c;outline:0}.input-prepend,.input-append{margin-bottom:5px}.input-prepend input[class*="span"],.input-append input[class*="span"]{display:inline-block}.input-prepend input,.input-prepend select,.input-append input,.input-append select{position:relative;margin-bottom:0;vertical-align:middle;border-radius:0}.input-prepend input:focus,.input-prepend select:focus,.input-append input:focus,.input-append select:focus{z-index:2}.input-prepend .add-on,.input-append .add-on{display:inline-flex;align-items:center;width:auto;padding:0 0.5em;height:28px;background-color:#e9e9e9;border:1px solid #919191}.input-prepend .add-on:first-child,.input-prepend .btn:first-child,.input-append .add-on:first-child,.input-append .btn:first-child{margin-right:-1px}.input-prepend .add-on:last-child,.input-prepend .btn:last-child,.input-append .add-on:last-child,.input-append .btn:last-child{margin-left:-1px;border-radius:0 3px 3px 0}.input-prepend .add-on,.input-prepend .btn{margin-right:-1px}textarea{height:auto;background-color:#fff;border:1px solid #919191}textarea:focus{border-color:#08c;box-shadow:0 0 6px 0 #08c;outline:0}select{border:1px solid #e9e9e9}table th{font-weight:normal;color:#919191;text-align:left;padding:0.5em}.sortable{white-space:nowrap;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.discourse-no-touch .sortable:hover{background-color:#e9e9e9}.sortable .d-icon{margin-left:0.25em}.radio,.checkbox{min-height:18px;padding-left:18px}.controls>.radio:first-child,.controls>.checkbox:first-child{padding-top:5px}.radio.inline,.checkbox.inline{display:inline-block;padding-top:5px;margin-bottom:0;vertical-align:middle}.radio.inline .radio.inline,.checkbox.inline .checkbox.inline{margin-left:10px}.wrap{margin-right:auto;margin-left:auto;padding:0 8px}.wrap .contents{position:relative}.boxed.white{background-color:#fff}.full-width{margin-left:12px}.coldmap-high{color:#bdbdbd !important}.coldmap-med{color:#919191 !important}.coldmap-low{color:#919191 !important}.top-space{margin-top:10px}.message{border-radius:8px;background-color:#fff;padding:14px}.message h2{margin-bottom:20px}.clear-transitions{transition:none !important}.tip{display:inline-block}.tip.good{color:#090}.tip.bad{color:#e45735}.avatar-wrapper{background-color:#fff;display:inline-block;border-radius:50%}.profiler-results.profiler-left{top:60px !important}.flex-center-align{display:flex;align-items:center}.unread-private-messages{color:#fff;background:#090}.unread-private-messages.badge-notification[href]{color:#fff}.ring-backdrop-spotlight{position:absolute;width:80px;height:80px;top:-18px;right:-18px;background-image:radial-gradient(40px at 50% 50%, transparent 95%, #222 100%);opacity:0.85}.ring-backdrop{position:absolute;width:80px;height:80px;top:-18px !important;right:-18px !important;box-shadow:0 0 0 9999px rgba(34,34,34,0.85);z-index:1200}.ring-first-notification{position:absolute;color:#fff;text-align:left;right:70px;top:60px;width:230px;line-height:1.2}.ring{background:-webkit-radial-gradient(transparent, #090);background:-o-radial-gradient(transparent, #090);background:-moz-radial-gradient(transparent, #090);background:radial-gradient(transparent, #090);top:-11px !important;right:23.5px !important;border-radius:100%;width:20px;height:20px;-moz-animation-iteration-count:infinite;-webkit-animation-iteration-count:infinite;-webkit-transform-origin:center;-moz-animation-duration:3s;-webkit-animation-duration:3s;-moz-animation-name:ping;-webkit-animation-name:ping}.fade{opacity:0;transition:opacity 0.15s linear}.fade.in{opacity:1}.inline-spinner{display:inline-block;margin:0}.spinner{margin:20px auto 20px auto;position:relative;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;height:30px;width:30px;border:4px solid #b6b6b6;border-right-color:transparent;border-radius:50%}.spinner.small{width:10px;height:10px;margin:0;display:inline-block}.content-list h3{color:#919191;font-size:1.1487em;padding-left:5px;margin-bottom:10px}.content-list ul{list-style:none;margin:0}.content-list ul li{border-bottom:1px solid #e9e9e9}.content-list ul li:first-of-type{border-top:1px solid #e9e9e9}.content-list ul li a{display:block;padding:10px;color:#222}.content-list ul li a:hover{background-color:#e9e9e9;color:#222}.content-list ul li a.active{font-weight:bold;color:#222}.form-vertical input,.form-vertical textarea,.form-vertical select,.form-vertical .input-prepend,.form-vertical .input-append{display:inline-block;margin-bottom:0;flex:0 0 auto}.form-vertical .control-group:before,.form-vertical .control-group:after{content:"";display:table}.form-vertical .control-group:after{clear:both}.form-vertical .control-label{font-weight:bold;font-size:1.3195em;line-height:1.4}.form-vertical .controls{margin-left:0}#main img.avatar.header{width:45px;height:45px}#main img.avatar.medium{width:32px;height:32px}#main img.avatar.small{width:25px;height:25px}#main img.avatar.tiny{width:20px;height:20px}#main .user-list .user{padding-bottom:5px}#loading-message{position:absolute;font-size:2em;text-align:center;top:120px;left:500px;color:#222}#footer .container{height:50px}#footer .container .contents{padding-top:10px}#footer .container .contents a[href]{color:#fff}.inline{display:inline}.pref-auth-tokens .row{border-bottom:1px solid #ddd;margin:5px 0px;padding-bottom:5px}.pref-auth-tokens .row:last-child{border-bottom:0}.pref-auth-tokens .auth-token-icon{color:#919191;font-size:2.25em;float:left;margin-right:10px}.pref-auth-tokens .auth-token-first{font-size:1.1em}.pref-auth-tokens .auth-token-first .auth-token-device{font-weight:bold}.pref-auth-tokens .auth-token-second{color:#919191}.pref-auth-tokens .auth-token-second .active{color:#090;font-weight:bold}.pref-auth-tokens .auth-token-dropdown{float:right}.pref-auth-tokens .auth-token-dropdown .btn,.pref-auth-tokens .auth-token-dropdown .btn:hover{background:transparent}.pref-auth-tokens .auth-token-dropdown .btn .d-icon,.pref-auth-tokens .auth-token-dropdown .btn:hover .d-icon{color:#646464}.pref-auth-tokens .dropdown-menu{width:120px}.pref-auth-tokens .dropdown-menu .icon{margin-top:auto}.topic-statuses{display:inline;float:left;margin-right:0.15em}.topic-statuses .topic-status{margin:0;display:inline-flex;color:#919191}.topic-statuses .topic-status .d-icon{height:0.76em;width:0.75em}.topic-statuses .topic-status:not(:last-child){margin-right:0.15em}.topic-statuses .d-icon-envelope{color:#e45735}.broken-theme-alert{font-size:15px;font-weight:bold;padding:5px 0;background:#ec8972;text-align:center;z-index:9999;color:#fff}.error-page{text-align:center;padding-top:2em}.error-page .face{font-size:4.286em}.error-page .reason{font-size:1.7511em}.error-page .url{font-style:italic;font-size:.8706em}.error-page .desc{margin-top:16px}.error-page .desc .d-icon-check-circle{color:#090}.error-page .buttons{display:inline-flex;margin-top:15px}.error-page .buttons button{margin:0 20px}.category-list{table-layout:fixed}.category-list .category-text-title{display:flex;align-items:baseline}.category-list .category-name{display:inline-block;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:text-top;line-height:1.2}.category-boxes,.category-boxes-with-topics{display:flex;flex-wrap:wrap;justify-content:flex-start;margin-top:1em;margin-bottom:1em;width:100%}.category-boxes .category-box,.category-boxes-with-topics .category-box{display:flex;flex-direction:row;align-content:flex-start;cursor:pointer;box-sizing:border-box;border-width:0;border-left-width:6px;border-style:solid;border-color:#e9e9e9}.mobile-view .category-boxes .category-box,.mobile-view .category-boxes-with-topics .category-box{width:100%}.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{display:block;width:auto;height:40px;margin:0 auto 1em auto}@supports (--custom: property){.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{--height: 40px;width:calc(var(--height) * var(--aspect-ratio));max-width:100%}}.category-boxes .category-box-inner,.category-boxes-with-topics .category-box-inner{box-sizing:border-box;width:100%;padding:0;display:flex;flex-direction:column;border-width:2px;border-left-width:0;border-style:solid;border-color:#e9e9e9}.category-boxes.no-logos .logo,.category-boxes-with-topics.no-logos .logo{display:none}.category-boxes .category-box{width:23%;margin:0 1% 1.5em 1%}.category-boxes .category-box>a{width:100%;padding:0}.category-boxes .category-box .category-box-inner{padding:1em}.category-boxes .category-box .category-box-inner .category-logo{float:none;margin:0}.category-boxes.no-logos .category-box .category-box-inner>a{padding:3em 1em}.category-boxes .description{padding-bottom:1em;text-align:center;font-size:1em;color:#919191}.category-boxes .description .overflow{max-height:6em}.category-boxes h3{font-size:1.3195em;margin-bottom:0.5em;margin-top:0.25em;line-height:1.2;text-align:center;color:#222;overflow:hidden}.category-boxes .subcategories{display:flex;flex-flow:wrap}.category-boxes .subcategories .subcategory{display:flex;align-items:center;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;margin-right:1em;margin-bottom:0.6em}.category-boxes .subcategories .subcategory .subcategory-image-placeholder{display:inline-block;margin-right:0.6em}.category-boxes .subcategories .subcategory .subcategory-link{min-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.category-boxes .subcategories .subcategory .logo img{display:inline-block;height:20px;width:20px;margin:0}.category-boxes-with-topics .category-box{width:31%;margin:0 1% 1.5em 1%;padding:0}.category-boxes-with-topics h3{font-size:1.3195em;text-align:center;overflow:hidden}.category-boxes-with-topics .category-box-heading{padding:1em 1em 0.5em 1em}.category-boxes-with-topics .category-box-heading a[href]{width:100%;color:#222}.category-boxes-with-topics .featured-topics{padding:0.5em 1em 1em 1em}.category-boxes-with-topics .featured-topics ul{color:#919191;list-style:none;padding:0;margin:0}.category-boxes-with-topics .featured-topics li{padding:4px 0;display:flex;align-items:baseline}.category-boxes-with-topics .featured-topics li .overflow{max-height:3em;overflow:hidden}.category-boxes-with-topics .featured-topics li .d-icon{margin-right:0.15em;width:0.76em;height:0.76em}.categories-list .category h3 .d-icon{color:#919191;height:0.76em;width:0.76em;vertical-align:baseline;margin-right:0.15em}.category-boxes-with-topics .category-box h3 .d-icon,.category-boxes .category-box h3 .d-icon{margin-right:0}#share-link{position:absolute;left:20px;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-color:#fff;padding:8px 8px 4px 8px;width:300px;display:none}#share-link.visible{display:block}#share-link input[type="text"]{width:100%}#share-link .share-for-touch .overflow-ellipsis{clear:both}#share-link .share-for-touch{margin:14px 0}#share-link .title{margin-bottom:4px;align-items:center;display:flex;justify-content:space-between}#share-link .title h3{font-size:1em;margin:0}#share-link .title .date{font-weight:normal;color:#919191}#share-link .copy-text{display:inline-block;position:absolute;margin:5px 5px 5px 15px;color:#090;opacity:1;transition:opacity 0.25s;font-size:1em}#share-link .copy-text:not(.success){opacity:0}#share-link .social-link{margin-right:8px;font-size:1.7511em}#share-link .social-link .d-icon{color:#08c}#share-link .social-link .d-icon-fab-facebook{color:#4267b2}#share-link .social-link .d-icon-fab-twitter-square{color:#1da1f2}#share-link input[type="text"]{font-size:1.1487em;margin-bottom:0}#share-link .actions{display:flex;align-items:flex-end;margin-top:8px}#share-link .actions .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;max-width:45%}#share-link .actions .sources .social-link{margin-right:8px}#share-link .actions .alt-actions{display:flex;align-items:center;flex:1;justify-content:flex-end;height:36px}#share-link .actions .alt-actions .close-share{font-size:1.5157em;color:#919191}#share-link .actions .alt-actions .new-topic{margin-right:16px}.discourse-no-touch #share-link .share-for-touch{display:none}.discourse-touch #share-link input[type="text"]{display:none}.ember-select{background-color:#fff;color:#222}.uploaded-image-preview{background:#222 center;background-size:cover;position:relative}.uploaded-image-preview .placeholder-overlay{background-size:contain;background-repeat:no-repeat;background-position:center;position:absolute;top:0;left:0;width:100%;height:100%;opacity:0.3}.uploaded-image-preview .image-upload-controls{position:relative;display:flex;padding:10px}.uploaded-image-preview .image-upload-controls .btn{margin-right:5px;padding:7px 10px}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn{background:none;margin-right:0;margin-left:auto}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn .d-icon{color:#e9e9e9}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover{background:none}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover .d-icon{color:#222}.image-uploader.no-repeat .uploaded-image-preview{background-repeat:no-repeat}.image-uploader.contain-image .uploaded-image-preview{background-size:contain}.hidden-upload-field{visibility:hidden;position:absolute}.search-container{display:flex;justify-content:space-between}.search-container .warning{background-color:#ec8972;padding:5px 8px;color:#fff}.search-container .search-bar{display:flex;justify-content:space-between;align-items:center;justify-content:space-between;margin-bottom:1em}.search-container .search-bar .search-query{flex:1 0 0px;margin:0 0.5em 0 0}.search-container .search-bar .search-cta{padding-bottom:6.5px;padding-top:6.5px}.search-container .search-advanced{width:70%}@media screen and (max-width: 850px){.search-container .search-advanced{width:65%}}.search-container .search-advanced .search-actions,.search-container .search-advanced .search-notice,.search-container .search-advanced .search-results,.search-container .search-advanced .search-title,.search-container .search-advanced .search-bar{margin-bottom:1em}.search-container .search-advanced .search-info{display:flex;flex-wrap:wrap;border-bottom:3px solid #e9e9e9;padding-bottom:0.5em;margin-bottom:1em;flex-direction:row;align-items:center}.search-container .search-advanced .search-info .result-count{display:flex}.search-container .search-advanced .search-info .result-count .term{font-weight:bold}.search-container .search-advanced .search-info .result-count span+span{margin-left:0.25em}.search-container .search-advanced .search-info .sort-by{display:flex;margin-left:auto;align-items:center}.search-container .search-advanced .search-info .sort-by .desc{margin-right:0.5em}.search-container .search-advanced .search-info .sort-by .combo-box{min-width:150px}.search-container .search-advanced .search-title{display:flex;justify-content:flex-start;align-items:center}.search-container .search-advanced .search-title .bulk-select{margin-left:0.5em}.search-container .search-advanced .search-title .fps-select a{margin-left:0.5em;font-size:.8706em}.search-container .search-advanced .search-title .fps-select a:hover{text-decoration:underline}.search-container .search-advanced .search-notice .fps-invalid{padding:0.5em;background-color:#fbe6e1;border:1px solid #ec8972;color:#e45735}.search-container .search-advanced-sidebar{width:30%;margin-left:1em;display:flex;flex-direction:column}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar{width:35%}}.search-container .search-advanced-sidebar #search-min-post-count,.search-container .search-advanced-sidebar .date-picker,.search-container .search-advanced-sidebar .combo-box,.search-container .search-advanced-sidebar .ac-wrap,.search-container .search-advanced-sidebar .control-group,.search-container .search-advanced-sidebar .date-picker-wrapper,.search-container .search-advanced-sidebar .search-advanced-category-chooser{box-sizing:border-box;width:100%;min-width:100%}.search-container .search-advanced-sidebar #search-min-post-count input,.search-container .search-advanced-sidebar #search-min-post-count .item,.search-container .search-advanced-sidebar .date-picker input,.search-container .search-advanced-sidebar .date-picker .item,.search-container .search-advanced-sidebar .combo-box input,.search-container .search-advanced-sidebar .combo-box .item,.search-container .search-advanced-sidebar .ac-wrap input,.search-container .search-advanced-sidebar .ac-wrap .item,.search-container .search-advanced-sidebar .control-group input,.search-container .search-advanced-sidebar .control-group .item,.search-container .search-advanced-sidebar .date-picker-wrapper input,.search-container .search-advanced-sidebar .date-picker-wrapper .item,.search-container .search-advanced-sidebar .search-advanced-category-chooser input,.search-container .search-advanced-sidebar .search-advanced-category-chooser .item{padding-left:4px}.search-container .search-advanced-sidebar .date-picker-wrapper{margin-top:0.5em}.search-container .search-advanced-sidebar .date-picker{box-sizing:border-box;text-align:left;padding:4px;margin-bottom:0}.search-container .search-advanced-sidebar .search-advanced-title{background:#e9e9e9;padding:0.358em 1em;font-weight:700;text-align:left;font-weight:bold}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar .search-advanced-title{padding:0.358em 0.5em}}.search-container .search-advanced-sidebar .search-advanced-title.btn{background:#e9e9e9}.search-container .search-advanced-sidebar .search-advanced-title .d-icon{margin:0}.search-container .search-advanced-sidebar .search-advanced-filters{background:#f8f8f8;padding:1em}.search-container .search-advanced-sidebar .search-advanced-filters .control-group{margin-bottom:15px}.search-container .search-advanced-sidebar .search-advanced-filters section.field{margin-top:5px}@media screen and (max-width: 850px){.search-container .search-advanced-sidebar .search-advanced-filters{padding:0.75em 0.5em}.search-container .search-advanced-sidebar .search-advanced-filters .ac-wrap,.search-container .search-advanced-sidebar .search-advanced-filters .choices,.search-container .search-advanced-sidebar .search-advanced-filters .select-kit.multi-select{width:100% !important}.search-container .search-advanced-sidebar .search-advanced-filters .select-kit{min-width:unset}}.fps-invalid{margin-bottom:1em}.fps-result{display:flex;margin-bottom:28px;max-width:780px}.fps-result .author{display:inline-block;vertical-align:top}.fps-result .like-count{color:#919191}.fps-result .like-count .fa{color:#fa6c8d;font-size:.8706em}.fps-result .badge-wrapper span.badge-category{max-width:inherit}.fps-result .search-category{padding-top:3px}.fps-result .topic{padding-bottom:2px;max-width:700px}.fps-result .avatar{margin-right:14px}.fps-result a.search-link:visited .topic-title{color:#0aadff}.fps-result .search-link .topic-title{font-size:1.3195em;line-height:1.2}.fps-result .search-link .topic-statuses{display:inline-block;font-size:1.3em;line-height:1.2;color:#919191}.fps-result .search-link .topic-statuses span{line-height:1}.fps-result .blurb{font-size:1em;line-height:1.4;word-wrap:break-word;max-width:640px;color:#919191}.fps-result .blurb .date{color:#919191}.fps-result .blurb .search-highlight{color:#222}.fps-result .discourse-tag{font-size:.8706em}.fps-topic{display:inline-block}.no-results-suggestion{margin-top:30px}.search-footer{margin-bottom:30px}.panel-body-contents .search-context label{float:left}.google-search-form{margin-top:2em}a.loading-onebox:before{content:"";display:inline-flex;float:left;margin:3px 5px 0 0;position:relative;height:10px;width:10px;border:2px solid #bdbdbd;border-right-color:transparent;border-radius:50%;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear}.onebox-result{border-left:5px solid #e9e9e9;background-color:#f9f9f9;margin-top:15px;padding:12px;font-size:1em}.onebox-result>.source{margin-bottom:12px;margin-right:10px;display:block;color:#222;position:relative;height:20px}.onebox-result>.source .info{position:absolute;font-size:1em}.onebox-result>.source .info a{color:black;text-decoration:none;padding-right:10px}.onebox-result>.source .info img.favicon{margin-right:3px}.onebox-result .onebox-result-body{padding-top:5px}.onebox-result .onebox-result-body img{max-height:80%;max-width:25%;height:auto;float:left;margin-right:10px}.onebox-result .onebox-result-body h3,.onebox-result .onebox-result-body h4{margin:0}.onebox-result .onebox-result-body code{max-height:400px}.onebox-result .onebox-result-body .metrics{clear:both;padding-bottom:25px}.onebox-result .onebox-result-body .metrics .metric{display:inline-block;padding-left:33px;float:left}.onebox-result .onebox-result-body img.verdict{float:none;margin-right:7px}.onebox-result .onebox-result-body img.popcorn{float:none;margin-left:20px;margin-right:5px}aside.onebox{border:5px solid #e9e9e9;margin-bottom:1em;padding:12px 25px 12px 12px;font-size:1em}aside.onebox header{margin-bottom:8px}aside.onebox header a[href]{color:#919191;text-decoration:none}aside.onebox.stackexchange .source{background:url('/assets/favicons/stackexchange-9e9f17242c6d44137d40a3e55c71129060b103bfa31b7fead4ca3f18358da29f.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.twitterstatus .source{background:url('/assets/favicons/twitter-4ff0f6e16c5f53ddd3b51eeeff8610ea0432d8ebafce89785d75c231386f80d7.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.wikipedia .source{background:url('/assets/favicons/wikipedia-8feddaf7544a35c824f2e4274227fe8e7e7af71ddfe26523fe5fe20497cf5799.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubblob .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubcommit .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubpullrequest .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubissue .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.githubgist .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.amazon .source{background:url('/assets/favicons/amazon-882adb9da23d489f1d53ba95c6ea4052536732d9caa57ec82a8f8d0f508e48ea.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.instagram .source{background:url('/assets/favicons/instagram-b10f04096a20e469f83a32ec24519d1f20ab473209a77a3c7dbfe767613c9e5f.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.googledocs .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox.googledrive .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 0% 50%;background-size:16px 16px;padding-left:20px}aside.onebox .onebox-body{clear:both}aside.onebox .onebox-body h3,aside.onebox .onebox-body h4{font-size:1.1487em;margin:0 0 10px 0}aside.onebox .onebox-body a[href]{color:#08c;text-decoration:none}aside.onebox .onebox-body a[href]:visited{color:#08c}aside.onebox .onebox-body img{max-height:170px;max-width:20%;height:auto;width:auto;float:left;margin-right:10px}@media all and (max-width: 600px){aside.onebox .onebox-body img{max-width:35%}}aside.onebox .onebox-body img.onebox-full-image{max-height:none;max-width:none;width:initial;height:initial}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{width:100%}aside.onebox .onebox-body [style*="--aspect-ratio"]>img{height:auto}@supports (--custom: property){aside.onebox .onebox-body .aspect-image{max-height:170px;--magic-ratio: calc(var(--aspect-ratio) + 0.15);width:calc(128px * var(--magic-ratio));max-width:20%;float:left;margin-right:10px;height:auto}aside.onebox .onebox-body .aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;margin-right:none}aside.onebox .onebox-body .aspect-image-full-size{max-height:500px;width:calc(500px * var(--aspect-ratio));max-width:100%}aside.onebox .onebox-body .aspect-image-full-size img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;padding:5px 5px 5px 5px}aside.onebox .onebox-body [style*="--aspect-ratio"]{position:relative}aside.onebox .onebox-body [style*="--aspect-ratio"]::before{content:"";display:block;padding-bottom:calc(100% / (var(--aspect-ratio)))}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{position:absolute;top:0;left:0;height:100%}}aside.onebox .onebox-body p:last-child{margin-bottom:4px}aside.onebox .onebox-body .tweet-images{display:block;clear:both}aside.onebox .onebox-body .tweet-images img.tweet-image{margin-top:1em;max-width:100%;max-height:100%;float:none}@media screen and (max-width: 550px){aside.onebox .onebox-body .tweet-images iframe{max-height:70vh}}aside.onebox .onebox-body.user-onebox .fa{margin-right:5px}aside.onebox .onebox-body.user-onebox .full-name,aside.onebox .onebox-body.user-onebox .location{margin-right:10px}aside.onebox .onebox-body .instagram-images,aside.onebox .onebox-body .scale-images{clear:both;position:relative}aside.onebox .onebox-body .instagram-images .instagram-image,aside.onebox .onebox-body .instagram-images .scale-image,aside.onebox .onebox-body .scale-images .instagram-image,aside.onebox .onebox-body .scale-images .scale-image{padding:5px 5px 5px 5px;max-width:100%;max-height:100%;float:none}aside.onebox .onebox-body .instagram-video-icon{bottom:10px;right:10px;position:absolute}aside.onebox .onebox-body .instagram-video-icon:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32px' height='32px' viewBox='0 0 512 512' fill='white'%3E%3Cpath d='M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z'%3E%3C/path%3E%3C/svg%3E")}.googledocs-onebox-logo{width:60px;height:50px;float:left}.googledocs-onebox-logo.g-docs-logo{background:url('/assets/favicons/google_branding/logo_docs_48px-ba6cf22f5336743da95749fb1172023f37e55e8783a2766de8d9097b4cc6b5b9.png') no-repeat}.googledocs-onebox-logo.g-forms-logo{background:url('/assets/favicons/google_branding/logo_forms_48px-d64ec45f889caa62cd4c52bcff1475ef487b9662b5ed6104aa9fa6f8557b09fc.png') no-repeat}.googledocs-onebox-logo.g-sheets-logo{background:url('/assets/favicons/google_branding/logo_sheets_48px-ca5da2b813ac5382a7b3a42d1327ddbced98467021466efe5494c25ca50f5a38.png') no-repeat}.googledocs-onebox-logo.g-slides-logo{background:url('/assets/favicons/google_branding/logo_slides_48px-a752c1f8e690496c7b22265f77ebfbc2d584aa42b2e4392f72b1c5a144bbb95f.png') no-repeat}.googledocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_48px-7e0f251c12ecc35f5260919fe00b3789c58257b76c4288d458a6718f12367145.png') no-repeat}.googledocs-onebox-logo.g-drive-logo{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat}.gdocs-onebox-splash{background-color:#d6d6d6;color:#222;border:1px inset #222}.gdocs-onebox-splash .gdocs-onebox-logo{display:inline-block;width:128px;height:128px}.gdocs-onebox-splash .gdocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_128px-231ebf870f91f296642eb4e881c76013c818b2f677aec3b1faaac33f72811f56.png') no-repeat}aside.onebox .onebox-body .onebox-avatar{max-height:none;max-width:none;height:60px;width:60px}blockquote aside.onebox{border-left:5px solid #e9e9e9;background-color:#f9f9f9}pre.onebox code ol.lines li:before{position:absolute;display:inline-block;width:35px;left:-40px;color:#afafaf;text-align:right;padding-right:5px;font-size:.8706em;line-height:1.4;content:counter(li-counter);counter-increment:li-counter}pre.onebox code ol{margin-left:0;line-height:1.4}pre.onebox code{background-color:#fff}pre.onebox code li{padding-left:5px}pre.onebox code ol.lines{position:relative;margin:0 0 0 40px}pre.onebox code ol.lines li{list-style-type:none;padding-left:5px;margin-left:0;border-left:1px solid #cfcfcf;min-height:1.5em;white-space:pre}pre.onebox code li.selected{background-color:#f8eec7}pre.onebox code{white-space:normal}.onebox.githubpullrequest .onebox-body h4,.onebox.githubcommit .onebox-body h4,.onebox.githubissue .onebox-body h4{margin-bottom:5px}.onebox.githubpullrequest .onebox-body>.github-icon,.onebox.githubcommit .onebox-body>.github-icon,.onebox.githubissue .onebox-body>.github-icon{float:left;margin-right:5px}.onebox.githubpullrequest .github-row,.onebox.githubcommit .github-row,.onebox.githubissue .github-row{display:flex}.onebox.githubpullrequest .github-icon-container,.onebox.githubcommit .github-icon-container,.onebox.githubissue .github-icon-container{display:flex;align-items:flex-start;margin-right:5px}.onebox.githubpullrequest .github-icon,.onebox.githubcommit .github-icon,.onebox.githubissue .github-icon{fill:#646464;width:40px;height:40px}.onebox.githubpullrequest .branches,.onebox.githubcommit .branches,.onebox.githubissue .branches{font-size:.8706em}.onebox.githubpullrequest .branches code,.onebox.githubcommit .branches code,.onebox.githubissue .branches code{word-break:break-all}.onebox.githubpullrequest .github-info-container,.onebox.githubcommit .github-info-container,.onebox.githubissue .github-info-container{width:100%}.onebox.githubpullrequest .github-info,.onebox.githubcommit .github-info,.onebox.githubissue .github-info{display:flex;align-items:center;flex-wrap:wrap;width:100%}.onebox.githubpullrequest .github-info>div,.onebox.githubcommit .github-info>div,.onebox.githubissue .github-info>div{margin:2.5px 0}.onebox.githubpullrequest .github-info>div:not(:last-child),.onebox.githubcommit .github-info>div:not(:last-child),.onebox.githubissue .github-info>div:not(:last-child){margin-right:15px}.onebox.githubpullrequest .github-info .lines,.onebox.githubcommit .github-info .lines,.onebox.githubissue .github-info .lines{font-weight:bold}.onebox.githubpullrequest .github-info .lines .added,.onebox.githubcommit .github-info .lines .added,.onebox.githubissue .github-info .lines .added{color:#090}.onebox.githubpullrequest .github-info .lines .removed,.onebox.githubcommit .github-info .lines .removed,.onebox.githubissue .github-info .lines .removed{color:#e45735}.onebox.githubpullrequest .onebox-avatar-inline,.onebox.githubcommit .onebox-avatar-inline,.onebox.githubissue .onebox-avatar-inline{height:20px;width:20px;border-radius:2px;float:none;margin:0;padding:0;vertical-align:middle;max-width:none}.onebox.githubpullrequest .github-content,.onebox.githubcommit .github-content,.onebox.githubissue .github-content{margin:5px 0 0 0}.onebox.githubpullrequest .labels span,.onebox.githubcommit .labels span,.onebox.githubissue .labels span{background-color:#919191 !important;color:#fff !important;padding:2px 4px !important}.onebox-body .github-commit-status{background:#f5f5f5;border-radius:5px;margin:0 0 5px 100px;padding:10px}.onebox-body .status_tag{display:inline-block;color:#fff;padding:1px 4px;border-radius:3px;font-weight:bold;margin-bottom:5px;text-transform:capitalize}.onebox-body .build_status{padding:2px;font-size:.8706em}.onebox-body .status_tag.open{background-color:#6cc644}.onebox-body .status_tag.merged{background-color:#6e5494}.onebox-body .status_tag.closed{background-color:#bd2c00}.onebox-body .github-content-right{margin-left:100px}aside.onebox.twitterstatus .onebox-body h4{margin-bottom:0}.onebox.twitterstatus .thumbnail{width:48px;height:48px}.onebox.twitterstatus p,.onebox.twitterstatus .tweet{white-space:pre-line;padding-top:3px;margin-left:70px}.onebox.twitterstatus p .quoted,.onebox.twitterstatus .tweet .quoted{border:1px solid #e9e9e9;padding:0px 14px 0px 12px;white-space:normal;margin-top:15px}.onebox.twitterstatus p .quoted .quoted-link,.onebox.twitterstatus .tweet .quoted .quoted-link{color:inherit}.onebox.twitterstatus p .quoted .quoted-title,.onebox.twitterstatus .tweet .quoted .quoted-title{font-weight:bold;margin:5px 2px}.onebox.twitterstatus p .quoted .quoted-title span,.onebox.twitterstatus .tweet .quoted .quoted-title span{font-weight:lighter;color:#919191}.onebox.twitterstatus p .quoted div,.onebox.twitterstatus .tweet .quoted div{margin-bottom:5px}.onebox.twitterstatus .date{clear:left}.onebox.imgur-album .outer-box,.onebox.google-photos-album .outer-box,.onebox.flickr-album .outer-box{position:absolute;z-index:1;font-size:.8706em;color:#fff;background-color:rgba(0,0,0,0.6);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:690px;padding:5px 0}.onebox.imgur-album .outer-box .inner-box,.onebox.google-photos-album .outer-box .inner-box,.onebox.flickr-album .outer-box .inner-box{padding-left:10px;padding-right:10px;overflow:hidden;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.onebox.imgur-album .outer-box .inner-box .album-title,.onebox.google-photos-album .outer-box .inner-box .album-title,.onebox.flickr-album .outer-box .inner-box .album-title{width:100%;font-size:1.1487em;line-height:1.4;color:#ccc;text-decoration:none}aside.onebox.stackexchange .onebox-body img:not(.onebox-avatar){max-height:60%;max-width:10%}aside.onebox.stackexchange .onebox-body .tags{color:gray}.onebox-metadata{color:#919191}.onebox.xkcd .onebox-body img{max-width:100% !important;float:none !important}.onebox.pdf .onebox-body .pdf-onebox-logo{width:60px;height:50px;float:left;background:url('/assets/favicons/pdf_64px-4e8a1bffc220412e7b3b299e56ef313353621a4c6bf05066d32d3b792e7820a7.png') no-repeat;background-size:48px 48px;display:inline-block}.onebox.pdf .onebox-body .filesize{color:gray}.onebox.whitelistedgeneric .label1,.onebox.whitelistedgeneric .label2{color:#919191}.onebox.whitelistedgeneric .label1{float:left}.onebox.whitelistedgeneric .label2{float:right}.onebox.whitelistedgeneric .site-icon,.onebox.gfycat .site-icon{width:16px;height:16px;margin-right:3px}.onebox.gfycat p span.label1 a{white-space:nowrap}.onebox.instagram div.instagram-description{color:#919191;padding-top:10px}.onebox.githubcommit pre.message{padding:0}.onebox.twitterstatus .like,.onebox.twitterstatus .retweet{color:#919191;padding-left:10px}.onebox.twitterstatus .like svg,.onebox.twitterstatus .retweet svg{fill:currentColor;vertical-align:middle}.mobile-view article.onebox-body{border-top:none}.onebox.video-onebox{position:relative;padding:0 0 56.25% 0;width:100%}.onebox.video-onebox video{position:absolute;width:100%;height:100%}.onebox-placeholder-container{position:relative;width:100%;padding:0 0 48.25% 0;background-color:#e9e9e9}.onebox-placeholder-container .placeholder-icon{position:absolute;width:100%;height:100%;display:flex;justify-content:center;align-items:center}.onebox-placeholder-container .placeholder-icon.video:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512'%3E%3Cpath fill='grey' d='M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z'%3E%3C/path%3E%3C/svg%3E")}.onebox-placeholder-container .placeholder-icon.audio:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath fill='currentColor' d='M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z'%3E%3C/path%3E%3C/svg%3E")}.onebox-placeholder-container .placeholder-icon.generic:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath fill='currentColor' d='M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z'%3E%3C/path%3E%3C/svg%3E")}.d-header{display:flex;align-items:center;width:100%;position:absolute;top:0;z-index:1000;background-color:#fff;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25)}.d-header>.wrap{width:calc(100% - 16px);height:100%}.d-header>.wrap .contents{display:flex;align-items:center;height:100%}.d-header>.wrap .contents .header-row{width:100%}.d-header>.wrap .contents .header-row .logo-wrapper{float:left}.d-header>.wrap .contents .header-row .auth-buttons{float:right;margin-top:0.4em}.d-header>.wrap .contents .header-row .auth-buttons .login-button,.d-header>.wrap .contents .header-row .auth-buttons .signup-button{padding:8px 14px}.docked .d-header{position:fixed;backface-visibility:hidden}.d-header .title{display:flex;align-items:center;height:100%}.d-header .title a,.d-header .title a:visited{color:#333}.d-header #site-logo{width:auto}.d-header .d-icon-home{font-size:2.296em}.d-header .panel{position:relative;display:flex;flex:0 0 auto;margin-left:auto;align-items:center}.d-header .hamburger-panel,.d-header .user-menu,.d-header .search-menu{width:0}.d-header .header-buttons{display:flex;align-items:center;margin-top:0.2em}.d-header .login-button,.d-header button.sign-up-button{padding:6px 10px}.d-header .login-button .fa,.d-header button.sign-up-button .fa{margin-right:3px}.d-header button.login-button{margin-left:7px}.header-dropdown-toggle .flagged-posts,.header-dropdown-toggle .reviewables,.drop-down .flagged-posts,.drop-down .reviewables,.panel-body .flagged-posts,.panel-body .reviewables{background:#e45735;min-width:6px}.d-header-icons{text-align:center;margin:0 0 0 5px;list-style:none}.d-header-icons>li{float:left}.d-header-icons .icon{position:relative;display:flex;align-items:center;justify-content:center;width:2.2857em;height:2.2857em;padding:0.2143em;text-decoration:none;cursor:pointer;border-top:1px solid transparent;border-left:1px solid transparent;border-right:1px solid transparent;transition:all linear 0.15s;outline:none}.d-header-icons .icon img.avatar{width:2.1333em;height:2.1333em}.d-header-icons .icon:hover,.d-header-icons .icon:focus{background-color:#e9e9e9;border-top:1px solid transparent;border-left:1px solid transparent;border-right:1px solid transparent}.d-header-icons .icon:hover .d-icon,.d-header-icons .icon:focus .d-icon{color:#919191}.d-header-icons .icon:active{color:#222;background-color:#e9e9e9}.drop-down-mode .d-header-icons .active .icon{position:relative;background-color:#fff;cursor:default;border-top:1px solid #e9e9e9;border-left:1px solid #e9e9e9;border-right:1px solid #e9e9e9}.drop-down-mode .d-header-icons .active .icon .d-icon{color:#919191}.drop-down-mode .d-header-icons .active .icon:after{display:block;position:absolute;top:100%;left:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #fff}.drop-down-mode .d-header-icons .active .icon:hover{border-bottom:none}.d-header-icons .d-icon{width:100%;font-size:1.7511em;line-height:1.4;display:inline-block;color:#c2c2c2}.d-header-icons .notifications{position:relative}.d-header-icons .ring{position:absolute;top:-9px;z-index:1;margin-left:0}.d-header-icons .header-dropdown-toggle{position:relative}.d-header-icons .badge-notification{position:absolute;z-index:1;left:0;top:-4px;min-width:0.6em}.d-header-icons .unread-notifications{left:auto;right:-3px;background-color:#6cf}.d-header-icons .unread-private-messages,.d-header-icons .ring{left:auto;right:25px}.highlight-strong{background-color:#ffffa6}.search-highlight{font-weight:bold}#search-help table td{padding-right:10px}#search-term::-ms-clear{display:none}.extra-info-wrapper{display:flex;align-items:center;flex:1 1 0%;height:100%;line-height:1.2;padding:0 1.5em 0 0.5em;overflow:hidden}.extra-info-wrapper .extra-info{overflow:hidden;width:100%;-webkit-animation:fadein 0.5s;animation:fadein 0.5s}.extra-info-wrapper .topic-link{color:#333;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .topic-statuses .d-icon{color:#999}.extra-info-wrapper .topic-statuses .d-icon-envelope{color:#e45735}.extra-info-wrapper .header-title{margin:0 0 0.15em 0;font-size:1.5157em;width:100%}.archetype-private_message .extra-info-wrapper .header-title{margin:0}.extra-info-wrapper .categories-wrapper{display:inline-flex;align-items:center;max-width:80%;flex:0 1 auto;min-width:1px}.extra-info-wrapper .categories-wrapper .badge-wrapper{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .badge-wrapper{margin-right:8px}.extra-info-wrapper .badge-wrapper.bullet .badge-category-parent-bg,.extra-info-wrapper .badge-wrapper.bullet .badge-category-bg{min-width:5px}.extra-info-wrapper .badge-wrapper.bullet span.badge-category,.extra-info-wrapper .badge-wrapper.bar span.badge-category,.extra-info-wrapper .badge-wrapper.none span.badge-category{color:#707070}.extra-info-wrapper .topic-header-extra{display:inline-flex;align-items:center;max-width:100%;flex:1 0 0%}.extra-info-wrapper .topic-header-extra .discourse-tags{color:#707070;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.extra-info-wrapper .topic-header-extra .discourse-tags .discourse-tag{display:inline}.extra-info-wrapper .topic-header-extra{min-width:1px}.topic-header-participants{display:flex;align-items:center;overflow:hidden;font-size:.8706em}.topic-header-participants:not(:first-child){margin-left:5px}.topic-header-participants .trigger-user-card:not(:last-of-type),.topic-header-participants .trigger-group-card:not(:last-of-type){margin-right:5px}.topic-header-participants .trigger-user-card .icon{height:1.641em;display:inline-block}.mobile-view .topic-header-participants .trigger-user-card .icon{height:1.532em}.topic-header-participants .trigger-user-card .icon img{height:100%;width:auto}.topic-header-participants .trigger-group-card{padding:0 5px;border:1px solid #e9e9e9;border-radius:0.25em;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.topic-header-participants .trigger-group-card .icon{display:flex;align-items:center;height:1.641em;color:#646464}.mobile-view .topic-header-participants .trigger-group-card .icon{height:1.532em}.topic-header-participants .trigger-group-card .icon .d-icon{margin-right:5px}.topic-header-participants .trigger-group-card span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.topic-header-participants .more-participants{color:#707070;margin-left:5px}span.bbcode-b{font-weight:bold}span.bbcode-i{font-style:italic}span.bbcode-u{text-decoration:underline}span.bbcode-s{text-decoration:line-through}#simple-container{border-radius:10px;background-color:#fff;padding:20px;width:550px;margin:0 auto}#simple-container .account-created .ac-message{font-size:1.1487em;line-height:1.4}#simple-container .account-created .activation-controls button{margin-right:0.5em}.show-topic-admin{position:fixed;top:120px;right:10px;z-index:300;height:35px}.popup-menu{background-color:#fff;width:215px;padding:10px;border:1px solid #e9e9e9;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15)}.popup-menu ul{list-style:none;margin:10px 0 0 0}.popup-menu .btn{text-align:left}.popup-menu button{width:100%;margin-bottom:5px}.modal-body.feature-topic{padding:5px;max-height:500px}.modal-body.feature-topic input.date-picker{margin:0}.modal-body.feature-topic hr{margin:10px 0}.modal-body.feature-topic .feature-section{display:block}.modal-body.feature-topic .feature-section .badge-wrapper{margin-right:0}.modal-body.feature-topic .feature-section .desc{display:inline-block;vertical-align:middle;margin-left:10px}.modal-body.feature-topic .feature-section .desc p:first-of-type{margin:0}.modal-body.feature-topic .feature-section .desc p{margin:10px 0 0}.modal-body.feature-topic .feature-section .with-validation{position:relative}.desktop-view .feature-topic-modal .feature-topic{overflow:visible}.desktop-view .feature-topic-modal .modal-inner-container{min-width:700px}.desktop-view .feature-topic-modal .pin-until{position:relative;display:inline-block}.mobile-view .feature-topic .feature-section .desc{display:block;clear:both;max-width:90%;margin:0 10px}.selected-posts{border:1px solid #6cf;background-color:#d1f0ff}.selected-posts .btn{border:none;color:#fff;font-weight:normal;margin-bottom:10px}.selected-posts .btn:not(.btn-danger){background:#08c;border-color:#08c}.selected-posts .btn:not(.btn-danger)[href]{color:#fff}.selected-posts .btn:not(.btn-danger):hover{color:#fff;background:#0aadff}.selected-posts .btn:not(.btn-danger):active{background-color:#004b70;background-image:linear-gradient(to bottom, #004b70, #005f8f);color:#fff}.selected-posts .btn[disabled]{text-shadow:0 1px 0 rgba(34,34,34,0.2);background-color:#08c;background-image:linear-gradient(to bottom, #08c, #046);box-shadow:inset 0 1px 0 rgba(0,0,0,0.33)}.lightbox-wrapper .lightbox{position:relative;display:inline-block;overflow:hidden}.lightbox-wrapper .lightbox:hover .meta{opacity:0.9;transition:opacity 0.5s}.d-lazyload-hidden{box-sizing:border-box}.onebox img.d-lazyload-hidden{border:1px solid #e9e9e9}.cooked img.d-lazyload{transition:opacity 0.4s 0.75s ease}.lightbox-wrapper{display:inline-block}.lightbox-wrapper img{object-fit:cover;object-position:top}.lightbox-wrapper,.lightbox-wrapper *{outline:0}.meta{position:absolute;bottom:0;width:100%;color:#fff;background:#222;opacity:0;transition:opacity 0.2s;display:flex;align-items:center}.meta .filename{margin:6px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.meta .d-icon{margin:6px;opacity:0.8;color:#fff}.meta .d-icon+.filename{margin-left:0px}.meta .informations{margin:6px;padding-right:20px;color:#a6a6a6;font-size:1em;flex-shrink:0;flex-grow:3}.mfp-preloader .spinner{margin:auto}.discourse-no-touch a.lightbox{-webkit-transition:all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);transition:all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1)}.discourse-no-touch a.lightbox:hover{border-radius:5px;box-shadow:0 2px 5px 0 rgba(34,34,34,0.2),0 2px 10px 0 rgba(34,34,34,0.2)}.reorder-categories thead th{padding-bottom:0.5em}.reorder-categories input{width:4em}@media screen and (max-width: 550px){.reorder-categories input{width:2em}}.reorder-categories table{width:100%;padding-bottom:150px}.reorder-categories table td{padding:0.5em 0.5em 0.5em 0}@media screen and (min-width: null){.reorder-categories table td{min-width:15em}}.reorder-categories .badge-wrapper span.badge-category{max-width:20em}@media screen and (max-width: 550px){.reorder-categories .badge-wrapper span.badge-category{max-width:30vw}}.reorder-categories-sub-cat{margin-left:20px}.edit-topic-timer-modal .modal-body{max-height:none;overflow:visible !important}.edit-topic-timer-modal .control-group{display:flex;align-items:center}.edit-topic-timer-modal .control-group>.d-icon{margin-right:5px}.edit-topic-timer-modal input.date-picker,.edit-topic-timer-modal input[type="time"]{width:200px;text-align:left}.edit-topic-timer-modal .radios{margin-bottom:10px}.edit-topic-timer-modal label{display:inline-flex;padding-right:5px;margin-bottom:0;align-items:center}.edit-topic-timer-modal label input{margin-top:0}.edit-topic-timer-modal .btn.pull-right{margin-right:10px}.edit-topic-timer-modal .future-date-input input{margin:0}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -15px -15px -15px}.edit-topic-timer-modal .future-date-input .btn-clear{display:none}.edit-topic-timer-modal .future-date-input .topic-status-info{border:none;padding:0}.edit-topic-timer-modal .future-date-input .topic-status-info h3{font-weight:normal;font-size:1.1487em}.edit-topic-timer-modal .future-date-input input[disabled]{background:#e9e9e9}.edit-topic-timer-modal .pika-single{position:absolute !important}.mobile-view .edit-topic-timer-modal .select-kit.combo-box{flex:1 0 0px}.redirection-warning{margin:0 auto;text-align:center;font-size:1.7511em;line-height:1.2}.rtl .d-icon-caret-right{-webkit-transform:rotate(180deg);-moz-transform:rotate(180deg);-ms-transform:rotate(180deg);-o-transform:rotate(180deg);transform:rotate(180deg);filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=cos(180), M12=-sin(180), M21=sin(180), M22=cos(180))";-ms-filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=cos(180), M12=-sin(180), M21=sin(180), M22=cos(180))";zoom:1}.rtl .nav-stacked a.active::after{border-left-color:transparent !important;border-right-color:#fff !important}.rtl code{direction:ltr !important;text-align:left !important}.rtl .pull-left{float:right !important}.rtl .autocomplete{left:27px}.rtl .admin-customize .current-style .toggle-mobile{position:static !important;float:left !important}.rtl .admin-customize .current-style .toggle-maximize{position:static !important;float:left !important}.rtl .dashboard-left{float:right !important}.rtl .dashboard-right{float:left !important}.cooked ul[dir="ltr"],.d-editor-preview ul[dir="ltr"],.cooked ul[dir="rtl"],.d-editor-preview ul[dir="rtl"]{padding-right:40px;padding-left:40px}.rtl aside.onebox.githubblob{padding:12px 25px 12px 12px !important;direction:ltr !important}.rtl aside.onebox.githubblob .source{background-position:0 50% !important;padding-right:20px}.rtl pre.onebox code ol.lines{margin:0 0 0 40px !important}.rtl pre.onebox code ol.lines li:before{right:-40px;padding-left:5px;padding-right:0;text-align:right !important}.rtl pre.onebox code ol.lines li{padding-right:5px;padding-left:0;margin-right:0;border-right:1px solid #cfcfcf;border-left:none !important}.search-menu .search-input{position:relative;padding:0.5em 3px}.search-menu .search-context .show-help{float:right}.search-menu .heading{padding:5px 0 5px 5px}.search-menu .heading .filter{padding:0 5px}.search-menu input[type="text"]{box-sizing:border-box;width:calc(100% - 6px);height:32px}.search-menu .search-context{padding:0 5px}.search-menu .search-context label{margin-bottom:0}.search-menu .search-context+.results{margin-top:5px}.search-menu .results{display:flex;flex-direction:row}.search-menu .results .list{min-width:100px}.search-menu .results .list .item .blurb{overflow-wrap:break-word;word-wrap:break-word;-ms-word-break:break-all;word-break:break-all;word-break:break-word;-ms-hyphens:auto;-moz-hyphens:auto;-webkit-hyphens:auto;hyphens:auto;margin-top:0.25em}.search-menu .results .search-result-topic .second-line{display:flex;flex-wrap:wrap;align-items:center}.search-menu .results .search-result-topic .second-line .discourse-tags{flex-wrap:wrap;display:contents}.search-menu .results .main-results{display:flex;flex:1 1 auto}.search-menu .results .main-results .topic-statuses{color:#919191}.search-menu .results .main-results+.secondary-results{border-left:1px solid #e9e9e9;margin-left:1em;padding-left:1em;max-width:33%}.search-menu .results .secondary-results{display:flex;flex-direction:column;flex:1 1 auto}.search-menu .results .secondary-results .separator{margin-bottom:1em;margin-top:1em;height:1px;background:#e9e9e9}.search-menu .results .secondary-results .search-result-tag .discourse-tag{font-size:.8706em}.search-menu .results .secondary-results .search-result-category .widget-link{margin-bottom:0}.search-menu .results .secondary-results .search-result-group .search-link{color:#646464}.search-menu .results .secondary-results .search-result-group .search-link:hover{color:#222}.search-menu .results .secondary-results .search-result-group .group-result{display:flex;align-items:center}.search-menu .results .secondary-results .search-result-group .group-result .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair{min-width:25px;margin-right:0.5em}.search-menu .results .secondary-results .search-result-group .group-result .d-icon .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair .d-icon{margin-right:0}.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair-image{background-repeat:no-repeat;background-size:100% 100%;min-height:25px}.search-menu .results .secondary-results .search-result-group .group-result .group-names{display:flex;flex-direction:column;overflow:auto;line-height:1.2}.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .slug{color:#646464}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name{font-weight:700}.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{font-size:.8706em;color:#646464}.search-menu .results .secondary-results .search-result-category .list,.search-menu .results .secondary-results .search-result-user .list,.search-menu .results .secondary-results .search-result-group .list,.search-menu .results .secondary-results .search-result-tag .list{display:block}.search-menu .results .secondary-results .search-result-category .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-user .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-group .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-tag .list .item .widget-link.search-link{flex:1;font-size:1em;padding:5px}.search-menu .results .secondary-results .search-result-user .user-result{display:flex;flex-direction:row;align-items:center}.search-menu .results .secondary-results .search-result-user .user-result .avatar{margin-right:0.5em;display:block;min-width:25px}.search-menu .results .secondary-results .search-result-user .user-result .user-titles{display:flex;flex-direction:column;overflow:auto;line-height:1.2}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username,.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username{color:#646464;font-size:.8706em}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{color:#646464;font-size:1em;font-weight:700}.search-menu .results .show-more{padding:5px}.search-menu .searching{position:absolute;top:1.15em;right:1em}.search-menu .searching .spinner{width:10px;height:10px;border-width:2px;margin:0}.search-menu .no-results{padding:5px}.search-menu .filter{padding:0}.search-menu .filter:hover{background:transparent}.search-menu .search-link{margin-bottom:0.25em}.search-menu .search-link .badge-category-parent{line-height:1}.search-menu .search-link .topic{display:inline-block;line-height:1.2}.search-menu .search-link .topic-title{margin-right:0.25em}.user-badge,#user-card .sixth-row .badge-section .more-user-badges a{padding:3px 8px;color:#222;border:1px solid #e9e9e9;line-height:1.4;display:inline-flex;align-items:center;background-color:#fff;margin:0 0 3px}.user-badge img,#user-card .sixth-row .badge-section .more-user-badges a img{height:16px;width:16px}.user-badge .badge-display-name,#user-card .sixth-row .badge-section .more-user-badges a .badge-display-name{margin-left:0.25em}.user-badge.badge-type-gold .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-gold .fa{color:#e7c300 !important}.user-badge.badge-type-silver .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-silver .fa{color:silver !important}.user-badge.badge-type-bronze .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-bronze .fa{color:#cd7f32 !important}.user-badge.disabled,#user-card .sixth-row .badge-section .more-user-badges a.disabled{color:#919191;background-color:#f8f8f8}.user-badge.disabled .fa,#user-card .sixth-row .badge-section .more-user-badges a.disabled .fa{opacity:0.4}@media all and (max-width: 750px){.show-badge .user-badge-with-posts .badge-user a.post-link{width:auto}.show-badge div.badge-user{padding:0}.badges-listing{display:block}.badges-listing .info,.badges-listing .grant-count{text-align:left}.badges-listing .row>div.info{display:none}.badges-listing .row{display:block}.badges-listing .row>div{display:block;margin-top:10px}}.show-badge .badge-user-info .earned{font-size:1.3195em;margin-bottom:1em}.show-badge .single-user{margin-left:2%;padding-bottom:20px}.show-badge .single-user .load-more{padding-top:30px;display:block;font-size:1.3195em}.show-badge .single-user .badge-user{padding-left:0;text-align:left;display:block;margin:20px 0;width:800px}.show-badge .single-user .badge-user .badge-info{display:none}.show-badge .single-user .badge-user .date{display:inline-block;font-size:1.1487em;margin-left:10px}.show-badge .single-user .badge-user .post-link{font-size:1.3195em;width:500px;margin:0;padding:0}.show-badge .single-user .badge-user:after{content:"";clear:both;display:table}.long-description.banner{width:88%;margin-bottom:15px;margin-top:15px}.badge-card{position:relative;display:inline-block;background-color:#f8f8f8;border:1px solid #e9e9e9;margin-bottom:2vh;transition:box-shadow 0.25s}.badge-card .check-display{position:absolute;left:5px;top:5px}.badge-card .grant-count{position:absolute;right:5px;top:5px;font-weight:bold;color:#919191;font-size:1.3195em}.badge-card .badge-contents{display:flex;min-height:128px;height:100%;padding:0 10%}.badge-card .badge-contents .badge-link{color:#222}.badge-card .badge-contents .badge-icon{display:flex;flex:0 0 auto;width:1.23em;margin-right:5%;align-items:center;justify-content:center;font-size:3.5em}.badge-card .badge-contents .badge-icon a{width:100%}.badge-card .badge-contents .badge-icon img{width:100%;max-width:65px;max-height:80px}.badge-card .badge-contents .badge-icon.badge-type-gold .fa{color:#e7c300 !important}.badge-card .badge-contents .badge-icon.badge-type-silver .fa{color:#c0c0c0 !important}.badge-card .badge-contents .badge-icon.badge-type-bronze .fa{color:#cd7f32 !important}.badge-card .badge-contents .badge-info{display:flex;flex:1 1 auto;align-items:center;padding:1em 1.5em 1em 0;color:#222}@media screen and (max-width: 600px){.badge-card .badge-contents .badge-info{padding-right:0}}.badge-card .badge-contents .badge-info h3{margin-bottom:0.25em;font-size:1.1487em}@media screen and (min-width: 900px){.badge-card .badge-contents .badge-info h3{font-size:1.3195em}}.badge-card.medium{flex:0 0 auto;width:32%;margin-right:1.63%}@media screen and (min-width: 851px){.badge-card.medium:nth-of-type(3n){margin-right:0}}@media screen and (max-width: 850px){.badge-card.medium{width:48.5%}.badge-card.medium:nth-of-type(2n){margin-right:0}}@media screen and (max-width: 550px){.badge-card.medium{flex:0 0 100%}}.badge-card.medium:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15)}.badge-card.medium:active{box-shadow:none}.badge-card.large{width:100%;align-self:flex-start}@media screen and (min-width: 767px){.badge-card.large{max-width:calc(1110px / 2);margin-right:1.5em}}.badge-card.large .badge-contents{padding:0 5%}.badge-card.large .badge-contents h3{font-size:1.5157em}.badges-granted{display:flex;flex-wrap:wrap}@media screen and (max-width: 800px){.badges-granted{justify-content:space-between}}.badge-groups{margin:20px 0;color:#919191}.badge-groups h3{margin-bottom:1em}.badge-title .user-content{padding:0}.badge-group-list{margin-bottom:1.5em;display:flex;flex-wrap:wrap}@media screen and (max-width: 850px){.badge-group-list{justify-content:space-between}}.badge-group-list .title{width:100%;font-size:1.1487em}.show-badge-details{display:flex;flex-wrap:wrap;flex-direction:row;margin-bottom:2em;margin-top:1em}.show-badge-details .badge-grant-info.hidden{display:none}.show-badge-details .grant-info-item{margin-bottom:1em;color:#919191}.show-badge-details .grant-info-item:first-of-type{margin-right:10px}.show-badge-details .badge-set-title{padding:1.5em;border:1px solid #e9e9e9}.show-badge-details .badge-set-title .user-content{padding:0}.show-badge-details .badge-set-title .user-content .control-group{margin-bottom:1em}.show-badge-details .badge-title .form-horizontal .controls{margin-left:0}.show-badge-details .form-horizontal{margin-bottom:0}.check-display{display:inline-block;padding:0 0.25em;border-radius:10px;text-align:center}.check-display .fa{font-size:0.9em;color:#fff}.check-display.status-checked{background-color:#090}.check-display.status-unchecked{background-color:#e45735}.hyperlink{cursor:pointer}.reviewable .flagged-post-header{width:100%;display:flex;justify-content:space-between}.reviewable .status{color:#919191}.reviewable .status span.approved{color:#090}.reviewable .status span.approved .d-icon{color:currentColor}.reviewable .status span.rejected{color:#e45735}.reviewable .status span.rejected .d-icon{color:currentColor}.reviewable .explain{margin-left:0.5em}.reviewable .nav-pills{margin-bottom:1em}.reviewable .reviewable-container{display:flex;flex-direction:row;margin-top:1em}.reviewable .reviewable-container .reviewable-list{flex:1;box-sizing:border-box;max-width:760px;min-width:0;margin-right:auto}.reviewable .reviewable-container .reviewable-filters{width:250px;height:100%;box-sizing:border-box}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin-left:1em}.reviewable-settings h4{margin-top:1em;margin-bottom:1em}.reviewable-settings .saved{margin-left:0.5em}.reviewable-settings .reviewable-score-type{display:flex;margin-bottom:0.5em}.reviewable-settings .reviewable-score-type .select-kit{min-width:10em}.reviewable-settings .reviewable-score-type .title{width:30%}.reviewable-user-info{margin:0.5em 0}.reviewable-user-info .reviewable-user-fields{margin-bottom:2em}.reviewable-user-info .reviewable-user-details{border-bottom:1px solid #e9e9e9;padding-bottom:0.25em;display:flex;margin-bottom:0.5em}.reviewable-user-info .reviewable-user-details .name{width:8em;font-weight:bold;margin-right:1em}.no-review{margin-top:1em}.reviewable-filters{background-color:#f8f8f8;padding:1em;margin-bottom:1em}.reviewable-filters .reviewable-filter{display:flex;flex-direction:column;margin:0 0 1em 0}.reviewable-filters .reviewable-filter .filter-label{margin:0 0 0.5em 0}.reviewable-filters .reviewable-filter .score-filter{margin:0;width:100%}.reviewable-filters .reviewable-filter .category-chooser{width:100%}.reviewable-filters .reviewable-filter .d-date-time-input-range{width:inherit;border:none;padding:0}.reviewable-filters .reviewable-filter .d-date-time-input-range .d-date-input{flex:1 1 auto;border:1px solid #919191}.reviewable-claimed-topic{display:flex;align-items:center}.reviewable-claimed-topic .btn-small,.reviewable-claimed-topic .modal.history-modal #revision-footer-buttons button,.modal.history-modal #revision-footer-buttons .reviewable-claimed-topic button{margin-left:0.5em}.reviewable-actions .claimed-actions{display:flex;width:100%;justify-content:space-between;align-items:center;margin-bottom:0.5em}.claimed-by{display:flex;align-items:center}.claimed-by .claimed-username{margin-left:0.5em}.reviewable-topics{width:100%}.reviewable-topics tbody td{padding:0.5em}.reviewable-topics .reviewable-details{display:flex;justify-content:flex-end}.reviewable-topics .reviewable-details .btn{display:flex;align-items:center;margin-left:1em}.reviewable-filters .topic-filter .btn{display:flex;width:auto}.reviewable-filters .refresh{height:1em;display:flex}.reviewable-filters .score-filter{width:5em}.user-flag-percentage{display:flex;align-items:center;margin-left:0.5em}.user-flag-percentage .percentage-label{margin-right:0.25em}.user-flag-percentage .percentage-label.agreed{color:#090}.user-flag-percentage .percentage-label.agreed+.d-icon{color:#090}.user-flag-percentage .percentage-label.disagreed{color:#e45735}.user-flag-percentage .percentage-label.disagreed+.d-icon{color:#e45735}.user-flag-percentage .percentage-label.ignored{color:#919191}.user-flag-percentage .d-icon{font-size:0.9em}.reviewable-item{padding-top:2em;border-top:1px solid #e9e9e9;padding-bottom:1em}.reviewable-item .topic-statuses{font-size:1.3195em}.reviewable-item .reviewable-meta-data{color:#919191;display:flex;width:100%;margin-bottom:0.5em;font-size:.8706em;align-items:baseline}.reviewable-item .reviewable-meta-data .reviewable-type{margin-right:0.25em}.reviewable-item .reviewable-meta-data .reply-count{margin-left:1em}.reviewable-item .reviewable-meta-data .created-at{margin-left:1em;margin-right:auto}.reviewable-item .reviewable-meta-data .created-at a{color:#919191}.reviewable-item .reviewable-meta-data .score{font-size:.8706em}.reviewable-item .reviewable-contents{display:flex;flex-wrap:wrap;margin-bottom:2em}.reviewable-item .reviewable-actions{display:flex;flex-wrap:wrap}.reviewable-item .reviewable-actions button{white-space:nowrap}.reviewable-item .reviewable-actions .reviewable-action,.reviewable-item .reviewable-actions .reviewable-action-dropdown{margin-right:0.5em}.reviewable-histories{margin-top:1em}.reviewable-scores{min-width:50%;color:#646464}.reviewable-scores .reviewed-by .date{margin-left:0.5em}.reviewable-scores .user,.reviewable-scores .reviewed-by{display:flex;align-items:center}.reviewable-scores .user-flag-percentage{margin-left:0.5em}.reviewable-scores .d-icon{font-size:.8706em;color:#919191}.reviewable-scores .badge-notification{line-height:1.2;vertical-align:text-top}.reviewable-scores tbody{border-width:1px}.reviewable-scores tbody td{white-space:nowrap;vertical-align:baseline}.reviewable-scores tbody td.user a,.reviewable-scores tbody td.reviewed-by a{max-width:150px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.reviewable-scores tbody td:last-of-type{width:100%;white-space:normal}.reviewable-scores tbody>tr>th{text-align:left}.reviewable-scores tbody>tr>th:not(:empty),.reviewable-scores tbody>tr>td:not(:empty){padding:0.5em 1em 0.5em 0}@media screen and (max-width: 450px){.reviewable-scores tbody>tr>th,.reviewable-scores tbody>tr>td{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-right:0.5em}}.reviewable-scores tbody .reviewable-score-spacer{padding-right:1em}.reviewable-score-reason{margin:0.5em 0;max-width:690px;margin-bottom:0.5em}.reviewable-conversation{margin:0.5em 0}.reviewable-conversation .reviewable-conversation-post{max-width:690px;margin-bottom:0.5em}.reviewable-conversation .reviewable-conversation-post .username{font-weight:bold;margin-right:0.25em}.reviewable-conversation .controls{margin-top:0.25em}.reviewable-item .show-raw-email{color:#919191;font-size:.7579em}.reviewable-item .post-title{background-color:yellow}.reviewable-item .created-by{margin-right:1em;padding-top:0.35em}@media screen and (max-width: 450px){.reviewable-item .created-by{float:left;margin-bottom:1em}}.reviewable-item .names{font-weight:bold}.reviewable-item .post-contents-wrapper{width:100%;margin-top:1em;min-width:275px;word-break:break-word}@media screen and (min-width: 450px){.reviewable-item .post-contents-wrapper{display:flex}}.reviewable-item .reviewable-post-header{display:flex;justify-content:space-between;max-width:690px;width:690px;align-items:center}.reviewable-item .reviewable-post-header .reviewable-reply-to{display:flex;align-items:center;color:#919191;font-size:0.9em}.reviewable-item .reviewable-post-header .reviewable-reply-to .d-icon{margin-right:0.5em}.reviewable-item .post-contents{width:100%;min-width:0}.reviewable-item .post-body{max-width:690px;max-height:300px;margin-top:0.5em;overflow-y:auto}.reviewable-item .post-body p,.reviewable-item .post-body aside{margin:0 0 1em 0}.reviewable-item .post-body pre,.reviewable-item .post-body code{word-break:break-all}.reviewable-item .post-topic{width:100%;color:#919191;margin-bottom:0.75em}.reviewable-item .post-topic .title-text{font-weight:bold;color:#222;display:block;font-size:1.3195em;margin-right:0.75em}.reviewable-item .post-topic .topic-statuses:empty{display:none}.editable-fields{width:100%}.editable-fields .editable-created-by{display:flex;margin-bottom:0.5em}.editable-fields .editable-created-by .avatar{margin-right:0.25em}.editable-fields .editable-field{margin-bottom:0.5em}.editable-fields .editable-field .mini-tag-chooser{margin:0}.editable-fields .editable-field .reviewable-input-text{width:100%;margin-bottom:0}.editable-fields .editable-field .reviewable-input-textarea{width:100%;height:10em}@media screen and (max-width: 1000px){table.reviewable-scores{width:100%;display:block}table.reviewable-scores tbody{width:calc(100% - 5px);display:block;clear:both}tr.reviewable-score{display:grid;grid-template-columns:auto auto 1fr}td.reviewable-score-spacer{display:none}}@media screen and (max-width: 450px){tr.reviewable-score{grid-template-columns:auto auto auto}}.shared-draft-controls{background-color:#d1f0ff;padding:1em;clear:both}.shared-draft-controls .publish-field{margin-top:1em}.explain-reviewable{min-width:500px}.explain-reviewable .thresholds{margin-top:1em}.explain-reviewable table{width:100%}.explain-reviewable table td{padding:0.5em}.explain-reviewable td.sum{text-align:right}.explain-reviewable td.sum.total{font-weight:bold}.explain-reviewable tr.total td{background-color:#e9e9e9;font-weight:bold}.explain-reviewable .op{font-weight:bold}.explain-reviewable .score-value-type{color:#919191}.explain-reviewable .op:last-of-type{display:none}.category-color-editor input{width:5.5em;margin-right:1em}.category-color-editor .color-title{display:block;margin:1em 0 0.25em}.category-color-editor .colorpicker-wrapper{display:flex;align-items:center}.category-color-editor .colorpicker-wrapper input,.category-color-editor .colorpicker-wrapper .add-on{align-self:flex-start;margin-bottom:0.125em}.category-color-editor .colors-container{display:inline-flex;flex-wrap:wrap}.category-color-editor .colors-container .colorpicker{position:relative;margin:0 0.125em 0.25em;border:1px solid #919191;width:1.25em;height:1.2em;padding:0;flex:0 0 auto;color:white}.category-color-editor .colors-container .colorpicker svg{display:none}.category-color-editor .colors-container .colorpicker.used-color svg{display:inline-flex;opacity:0.8;max-width:70%}.modal.history-modal #revision-numbers{display:inline-block;min-width:96px;text-align:center}.modal.history-modal #revision{overflow:auto;border-bottom:3px solid #e9e9e9}.modal.history-modal table.markdown>tbody>tr>td,.modal.history-modal .revision-content{width:47.5%;float:left}.modal.history-modal table.markdown>tbody>tr>td:nth-of-type(2),.modal.history-modal .revision-content:nth-of-type(2){margin-left:5%}.modal.history-modal #revision-details{padding:5px}.modal.history-modal #revisions .row:first-of-type{margin-top:10px}.modal.history-modal ins code,.modal.history-modal ins img,.modal.history-modal .diff-ins code,.modal.history-modal .diff-ins img{border:2px solid #090}.modal.history-modal ins img,.modal.history-modal .diff-ins img{opacity:0.75;filter:alpha(opacity=75)}.modal.history-modal ins a,.modal.history-modal .diff-ins a{color:#090;text-decoration:none}.modal.history-modal img.diff-ins,.modal.history-modal code.diff-ins{border:2px solid #090}.modal.history-modal img.diff-ins{opacity:0.75;filter:alpha(opacity=75)}.modal.history-modal .diff-ins{color:#222;background:#b8ffb8}.modal.history-modal ins{color:#222;background:#b8ffb8;text-decoration:none}.modal.history-modal del code,.modal.history-modal del img,.modal.history-modal .diff-del code,.modal.history-modal .diff-del img{border:2px solid #e45735}.modal.history-modal del img,.modal.history-modal .diff-del img{opacity:0.5;filter:alpha(opacity=50)}.modal.history-modal del a,.modal.history-modal .diff-del a{color:#e45735;text-decoration:none}.modal.history-modal img.diff-del,.modal.history-modal code.diff-del{border:2px solid #e45735}.modal.history-modal img.diff-del{opacity:0.5;filter:alpha(opacity=50)}.modal.history-modal .diff-del{color:#222;background:#fbe6e1;text-decoration:none}.modal.history-modal del{color:#222;background:#fbe6e1;text-decoration:none}.modal.history-modal span.date{font-weight:bold}.modal.history-modal span.edit-reason{background-color:#ffffa6;padding:3px 5px 5px 5px}.modal.history-modal .d-icon-ban{color:#f00}.modal.history-modal .hidden-revision-either{opacity:0.5}.modal.history-modal .hidden-revision-previous .row div:nth-of-type(1),.modal.history-modal .hidden-revision-previous .row td:nth-of-type(1){opacity:0.5}.modal.history-modal .hidden-revision-current .row div:nth-of-type(2),.modal.history-modal .hidden-revision-current .row td:nth-of-type(2){opacity:0.5}@-webkit-keyframes popoverFadeIn{from{opacity:0}to{opacity:1}}@keyframes popoverFadeIn{from{opacity:0}to{opacity:1}}#d-popover{background-color:#fff;position:absolute;z-index:1600;border-color:#919191;border-style:solid;border-width:1px;max-width:300px;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;background-clip:padding-box;display:block;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);border-radius:2px}#d-popover.is-under{margin-top:0px}#d-popover.is-under .d-popover-top-arrow{display:block}#d-popover.is-under .d-popover-bottom-arrow{display:none}#d-popover.is-above{margin-top:0px}#d-popover.is-above .d-popover-bottom-arrow{display:block}#d-popover.is-above .d-popover-top-arrow{display:none}#d-popover.retina{border-width:0.5px}#d-popover .d-popover-content{padding:0.5em;font-size:.8706em;overflow-wrap:break-word;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s}#d-popover .d-popover-arrow{border-style:solid;color:transparent;content:"";position:absolute;z-index:calc(z("tooltip") - 100)}#d-popover .d-popover-top-arrow{border-color:transparent transparent #919191;top:8px;transform:translate(0, -15px);border-width:0 8px 8px}#d-popover .d-popover-top-arrow:after{border-color:transparent transparent #fff;border-style:solid;border-width:0 7px 7px;bottom:-8px;margin-left:-7px;position:absolute;content:""}#d-popover .d-popover-bottom-arrow{border-color:#919191 transparent transparent;top:calc(100% + 16px);transform:translate(0, -16px);border-width:8px 8px 0}#d-popover .d-popover-bottom-arrow:after{position:absolute;content:"";border-color:#fff transparent transparent;border-style:solid;border-width:7px 7px 0;bottom:2px;transform:translate(-7px, 0)}div.tagsinput{border:1px solid #ccc;background:#fff;padding:5px 5px 0;width:584px;height:100px;overflow-y:auto;border-radius:4px}div.tagsinput span.tag{border:1px solid #a5d24a;border-radius:2px;display:block;float:left;padding:1px 5px;text-decoration:none;background:#cde69c;color:#638421;margin-right:5px;margin-bottom:5px;font-family:helvetica;font-size:.8706em}div.tagsinput span.tag a{font-weight:bold;color:#82ad2b;text-decoration:none;font-size:.7579em}div.tagsinput input{width:80px;font-family:helvetica;font-size:.8706em;border:1px solid transparent;padding:2px 5px;background:transparent;color:#000;outline:0;margin:0 5px 5px 0}div.tagsinput div{display:block;float:left}.tags_clear{clear:both;width:100%;height:0}.not_valid{background:#fbd8db !important;color:#90111a !important}.d-icon.d-icon-d-regular,.d-icon.d-icon-d-muted,.d-icon.d-icon-d-watching-first,.d-icon.d-icon-d-watching-first-post{color:#919191}.d-icon.d-icon-d-tracking,.d-icon.d-icon-d-watching{color:#08c}.directory{margin-bottom:100px}.directory .user-info{margin-bottom:0}.directory .period-chooser{float:left}.directory .filter-name{float:right}.directory .spinner{clear:both}.directory table{width:100%;margin-bottom:1em}.directory table td,.directory table th{padding:0.5em;text-align:left;border-bottom:1px solid #e9e9e9}@media screen and (max-width: 800px){.directory table td,.directory table th{padding:0.5em 0.25em}}.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.5157em;color:#919191}@media screen and (max-width: 800px){.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.1487em}}.directory table td .time-read,.directory table th .time-read{white-space:nowrap}.directory table th.sortable{width:13%}.directory table th.sortable .d-icon-heart{color:#fa6c8d;margin:0 0.25em 0 0}.directory .me{background-color:#ffffca}.directory .me .username a,.directory .me .name,.directory .me .title,.directory .me .number,.directory .me .time-read{color:#919191}.alert{padding:8px 32px 8px 16px;background-color:#fbe6e1;color:#222;position:relative}.alert .close{position:absolute;top:8px;right:8px;font-size:1.5157em}.alert .close .d-icon{color:#bdbdbd}.alert.alert-success{background-color:#b8ffb8;color:#222}.alert.alert-error{background-color:#fbe6e1;color:#222}.alert.alert-info{background-color:#d1f0ff;color:#222}.alert.alert-info.clickable{color:#08c}.group-details-container{background:#f8f8f8;padding:20px;margin-bottom:15px;position:relative}.group-outlet{position:relative}.group-members-actions{display:flex;flex-wrap:wrap;width:100%}.group-members-actions input+.group-members-manage{margin-left:auto}.group-members-actions .group-username-filter{margin:0 0 5px 0;vertical-align:middle}.group-info{width:100%}.group-info .group-info-name{font-size:1.5157em;font-weight:bold;color:#222}.group-info .group-info-full-name{font-size:1.3195em;color:#646464}.group-info span{display:inline-block;vertical-align:middle}.group-info .avatar-flair-image{width:50px}.group-info .avatar-flair{background-size:50px;height:50px;width:50px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat}.group-info .avatar-flair .d-icon{height:27.77778px;width:27.77778px}.group-manage-logs-filter{margin-right:10px}.group-manage-logs-filter:hover{background-color:#e45735}table.group-manage-logs{width:100%}table.group-manage-logs td{padding:0.5em}table.group-manage-logs .group-manage-logs-expand-details{cursor:pointer}table.group-manage-logs .group-manage-logs-expand-details .d-icon{color:#919191}table.group-members{width:100%;table-layout:fixed}table.group-members th:first-child{width:30%;text-align:left}table.group-members th:last-child{width:5%}table.group-members th.group-members-actions{width:5%}table.group-members th{text-align:center}table.group-members tr .user-info{display:block}table.group-members tr .user-info .avatar-flair{color:#222}table.group-members tr td:first-child{text-align:left}table.group-members tr td{text-align:center;color:#919191;padding:0.8em 0}.group-owner-label{color:#222}.form-vertical .group-flair-inputs{display:inline-block}.form-vertical .avatar-flair-preview{position:relative;width:45px}.form-vertical .avatar-flair-preview .avatar-wrapper{background-color:#f4f4f4}.group-form-save{margin-right:20px}.group-add-members .group-add-members-make-owner label{display:inline;vertical-align:middle}.group-add-members .group-add-members-make-owner input[type="checkbox"]{vertical-align:middle}img.emoji{width:20px;height:20px;vertical-align:middle}small img.emoji,sub img.emoji,sup img.emoji{height:1.1em;width:1.1em}.emoji-picker{background-clip:padding-box;z-index:1300;position:fixed;display:none;flex-direction:row;height:320px;color:#222;background-color:#fff;border:1px solid #e9e9e9}.emoji-picker .categories-column{display:flex;flex-direction:column;flex:1 0 0px;align-items:center;justify-content:space-between;border-right:1px solid #e9e9e9;min-width:36px}.emoji-picker .category-icon{display:block;margin:4px auto;-webkit-filter:grayscale(100%);filter:grayscale(100%)}.emoji-picker .category-icon button.emoji{margin:0;padding:0}.emoji-picker .category-icon.current,.emoji-picker .category-icon:hover{-webkit-filter:grayscale(0%);filter:grayscale(0%)}.emoji-picker .main-column{display:flex;flex-direction:column;flex:20}.emoji-picker .list{overflow-y:scroll;-webkit-overflow-scrolling:touch;padding:0;flex:1 0 0px;flex-direction:column}.emoji-picker .section-header{padding:8px;margin-top:2px;margin-bottom:0px;padding-bottom:0px;justify-content:space-between;display:flex;align-items:center;font-weight:bold}.emoji-picker .section-header .title{color:#222}.emoji-picker .section-header .clear-recent .fa{margin:0;padding:0;color:#999}.emoji-picker .section-header .clear-recent .fa:hover{color:#222}.emoji-picker .section-group{flex-wrap:wrap;display:flex;align-items:center;justify-content:flex-start;padding:4px}.emoji-picker .footer{align-items:center;display:flex;justify-content:space-between;border-top:1px solid #e9e9e9}.emoji-picker .info{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-left:8px;font-weight:700;max-width:125px}.emoji-picker .diversity-picker{display:flex;justify-content:flex-end;padding:8px}.emoji-picker .diversity-picker .diversity-scale{width:20px;height:20px;margin-left:5px;border:0;border-radius:3px;display:flex;align-items:center;justify-content:center;cursor:pointer}.emoji-picker .diversity-picker .diversity-scale.default{background:#ffcc4d}.emoji-picker .diversity-picker .diversity-scale.light{background:#f7dece}.emoji-picker .diversity-picker .diversity-scale.medium-light{background:#f3d2a2}.emoji-picker .diversity-picker .diversity-scale.medium{background:#d5ab88}.emoji-picker .diversity-picker .diversity-scale.medium-dark{background:#af7e57}.emoji-picker .diversity-picker .diversity-scale.dark{background:#7c533e}.emoji-picker .diversity-picker .diversity-scale.selected .d-icon{display:block}.emoji-picker .diversity-picker .d-icon{display:none}.emoji-picker .diversity-picker .d-icon{color:#fff;font-size:1em;filter:drop-shadow(0.5px 1.5px 0 rgba(0,0,0,0.3))}.emoji-picker button.emoji{background:transparent;background-position:center;background-repeat:no-repeat;border-radius:0;background-size:20px 20px;-moz-box-sizing:content-box;box-sizing:content-box;height:20px;border:0;vertical-align:top;width:20px;outline:none;padding:3px;margin:2px}.emoji-picker .section-group button.emoji:hover,.emoji-picker .results button.emoji:hover{display:inline-block;vertical-align:top;border-radius:2px;background-color:#9df}.emoji-picker-modal.fadeIn{z-index:1200;position:fixed;left:0;top:0;width:100%;height:100%;opacity:0.8;background-color:black}.emoji-picker .filter{background-color:none;border-bottom:1px solid #e9e9e9;padding:5px;display:flex;position:relative;align-items:center}.emoji-picker .filter input[type="text"]{width:auto !important}.emoji-picker .filter .d-icon-search{color:#999;font-size:1.1487em;margin-left:5px;margin-right:5px}.emoji-picker .filter input{height:24px;margin:0;flex:1 0 0px;border:none;box-shadow:none;padding-right:24px;outline:none;color:#222;background:#fff}.emoji-picker .filter input:focus{border:none;box-shadow:none}.emoji-picker .filter input::-ms-clear{display:none}.emoji-picker .results{display:none;flex-wrap:wrap;align-items:center;justify-content:flex-start;padding:4px;flex:1 0 0px}.emoji-picker .filter .clear-filter{position:absolute;right:5px;top:12px;border:0;background:none;color:#999;outline:none;display:none}.emoji-picker .filter .clear-filter:hover{color:#222}.topic-list.shared-drafts{margin-bottom:1.5em}.show-more{width:100%;z-index:1}.show-more.has-topics{position:absolute;top:7px}.list-controls{clear:both;margin-bottom:5px}.list-controls .combo-box .combo-box-header{background:#fff;color:#222;border:1px solid #919191;font-size:1em;transition:none;height:10px}.list-controls .select-kit{align-self:center}.list-controls .select-kit .select-kit-collection{font-size:.8706em;max-height:40vh}.list-controls .select-kit .select-kit-collection .texts,.list-controls .select-kit .select-kit-collection .icons{font-size:1.1487em}.list-controls .select-kit.categories-admin-dropdown,.list-controls .select-kit.tags-admin-dropdown,.list-controls .select-kit.category-notifications-button,.list-controls .select-kit.tag-notifications-button{float:right}.list-controls .select-kit.categories-admin-dropdown button,.list-controls .select-kit.tags-admin-dropdown button,.list-controls .select-kit.category-notifications-button button,.list-controls .select-kit.tag-notifications-button button{display:inline-block}.list-controls .category-heading{max-width:100%}.topic-list-item.visited a.title:not(.badge-notification),.latest-topic-list-item.visited a.title:not(.badge-notification),.category-topic-link.visited a.title:not(.badge-notification){color:#919191}.topic-list-main-link,.topic-list .main-link{font-size:1.1487em}.topic-list-main-link a.title,.topic-list .main-link a.title{padding:15px 0;word-break:break-word;color:#222}.anon .topic-list-main-link a.title:visited:not(.badge-notification),.anon .topic-list .main-link a.title:visited:not(.badge-notification),.topic-list .anon .main-link a.title:visited:not(.badge-notification){color:#919191}.topic-list-main-link a.title.visited:not(.badge-notification),.topic-list .main-link a.title.visited:not(.badge-notification){color:#919191}.topic-list{width:100%;border-collapse:collapse}.topic-list>tbody>tr.has-excerpt .star{vertical-align:top;margin-top:2px}.topic-list>tbody>tr.last-visit{border-bottom:none}.topic-list>tbody>tr .topic-list-separator{text-align:center}.topic-list .topic-list-item-separator{border:none}.topic-list .topic-list-item-separator td{border-bottom:1px solid #ec8972;line-height:0.1em;padding:0;text-align:center}.topic-list .topic-list-item-separator td span{background-color:#fff;color:#ec8972;padding:0 8px;font-size:.8706em}.topic-list th,.topic-list td{line-height:1.4;text-align:left;vertical-align:middle}.topic-list th button .d-icon{color:#919191}.topic-list td{color:#919191;font-size:1em}.topic-list .main-link .raw-topic-link>*{pointer-events:none}.topic-list .unread-indicator.read{display:none}.topic-list .unread-indicator .d-icon{vertical-align:middle;font-size:.5em}.topic-list .link-bottom-line{font-size:.8706em;display:flex;flex-wrap:wrap;align-items:center}.topic-list .link-bottom-line .discourse-tags{flex-wrap:wrap;-ms-flex:1 0 0px}.topic-list .link-bottom-line a.badge-wrapper.box,.topic-list .link-bottom-line a.discourse-tag.box{padding-top:0;padding-bottom:0}.topic-list .link-bottom-line .discourse-tag.simple:after,.topic-list .link-bottom-line .discourse-tag.box{margin-right:0.25em}.topic-list .topic-featured-link{padding-left:5px}.topic-list .topic-excerpt{font-size:.8706em;margin-top:5px;color:#646464;word-wrap:break-word;line-height:1.4;padding-right:20px}.topic-list .topic-statuses:empty{display:none}.topic-list .num{text-align:center}.topic-list .num a:not(.badge-posts){color:inherit}.topic-list .num a.badge-posts{font-weight:bold}.topic-list .num.posts a{padding:15px 5px}.topic-list .num.activity a{padding:15px 5px}.heatmap-high,.heatmap-high a{color:#fe7a15 !important}.heatmap-med,.heatmap-med a{color:#cf7721 !important}.heatmap-low,.heatmap-low a{color:#9b764f !important}.loading .topic-list{border:0;box-shadow:none}.loading .topic-list tr{background-color:transparent}#list-area{margin-bottom:100px}#list-area .empty-topic-list{padding:10px}#list-area .unseen{background-color:transparent;padding:0;border:0;color:#ec8972;font-size:1em;cursor:default}.topic-list .alert{margin-bottom:0;font-size:1em}.topic-list .spinner{margin-top:40px}ol.category-breadcrumb.hidden{display:none}ol.category-breadcrumb{display:block;float:left;list-style:none;margin:0 10px 10px 0;padding:0}ol.category-breadcrumb li{float:left;margin-right:5px}ol.category-breadcrumb .bread-crumbs-right-outlet{float:left}.d-icon-thumbtack.unpinned{-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=1)";-webkit-transform:rotate(180deg);-ms-transform:rotate(180deg);transform:rotate(180deg)}.top-title-buttons{display:inline}.top-title-buttons button{margin-right:0.5em}div.education{color:#919191}div.education .badge-notification.new-posts{vertical-align:text-bottom}.list-cell,.table-heading{padding:12px 5px;color:#919191}.table-heading{border-bottom:3px solid #e9e9e9}.topic-post-badges{white-space:nowrap;align-self:center;line-height:1.2}.user-content-wrapper{width:100%;display:grid;grid-template-columns:1fr 5fr;grid-template-rows:auto auto 1fr auto;grid-row-gap:20px}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-column-end:3;grid-row-start:1;grid-row-end:2}.user-content-wrapper .user-secondary-navigation{grid-column-start:1;grid-column-end:2;grid-row-start:2;grid-row-end:3}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:2;grid-row-end:4;grid-column-start:1;grid-column-end:3}.user-content-wrapper .user-content{min-width:100%}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:2;grid-column-end:3}.user-content-wrapper .user-additional-controls{grid-row-start:3;align-self:start;justify-self:start}.user-content-wrapper{display:-ms-grid;-ms-grid-columns:1fr 5fr;-ms-grid-rows:auto auto 1fr auto}.user-content-wrapper .user-primary-navigation{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2}.user-content-wrapper .user-secondary-navigation{-ms-grid-row:2;-ms-grid-column:1}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:2}.user-content-wrapper .user-secondary-navigation+.user-content{-ms-grid-column:2;-ms-grid-column-span:1}.user-content-wrapper .user-additional-controls{-ms-grid-row:3;-ms-grid-column-align:start;-ms-grid-row-align:start}.user-content .list-actions{display:flex;margin-bottom:12px}.user-content .list-actions .btn{margin-right:12px}.user-content .paginated-topics-list{position:relative}.user-content .show-mores{width:100%}.user-content .d-icon-heart{color:#fa6c8d}.user-main .about{width:100%;margin-bottom:15px}.user-main .about.has-background .user-profile-image{background-size:cover;background-position:center center;background-repeat:no-repeat}.user-main .about.has-background .staff-counters{margin-bottom:0}.user-main .about .secondary{display:inline-block;width:100%;border-top:1px solid #e9e9e9}.user-main .about .secondary .btn{padding:4px 12px}.user-main .about .secondary dl{margin:0;padding:5px 10px}.user-main .about .secondary dl div{display:inline-flex;align-items:baseline;margin-right:15px;margin:4px 0}.user-main .about .secondary dt,.user-main .about .secondary dd{display:inline-flex;align-items:center}.user-main .about .secondary dd{padding:0;margin:0 15px 0 0;color:#222}.user-main .about .secondary dd.groups span:not(:last-of-type){margin-right:0.25em}.user-main .about .secondary dd.groups span:after{content:","}.user-main .about .secondary dd.groups span:last-of-type:after{content:""}.user-main .about .secondary dt{color:gray;margin-right:5px;display:inline-block}.user-main .about .details{background:rgba(255,255,255,0.8);border-bottom:1px solid #e9e9e9}.user-main .about .details h1{font-size:2em;font-weight:normal}.user-main .about .details h1 .d-icon{font-size:0.8em}.user-main .about .details h2{font-weight:normal;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.user-main .about .details h3{font-weight:normal;margin-bottom:0.5em}.user-main .about .details h3 .d-icon:not(:first-of-type){margin-left:10px}.user-main .about .details .groups{margin-left:10px;display:inline}.user-main .about .details img.avatar{float:left}.user-main .about .details .suspended{color:#e45735}.user-main .about .details .primary{width:100%;position:relative}.user-main .about .details .primary h1{font-weight:bold}.user-main .about .details .primary .bio{max-height:300px;overflow:auto}.user-main .about .details .primary .bio a[href]{text-decoration:underline}.user-main .about .details .primary .bio img{max-width:100%}.user-main .about .details .user-profile-avatar{position:relative;float:left}.user-main .about .details .user-profile-avatar .avatar-flair{bottom:8px;right:16px}.user-main .about .controls ul{list-style-type:none}.user-main .about .controls .btn{margin-bottom:10px;line-height:1.2}.user-main .about.collapsed-info .details{margin-top:0;background:rgba(255,255,255,0.8)}.user-main .about.collapsed-info .details .bio{display:none}.user-main .about.collapsed-info .details .primary{width:100%}.user-main .about.collapsed-info .details .primary .avatar{margin-right:10px;width:45px;height:45px}.user-main .about.collapsed-info .details .primary h1{font-size:1.5157em}.user-main .about.collapsed-info .details .primary h2{font-size:1.1487em}.user-main .about.collapsed-info .details .primary h3,.user-main .about.collapsed-info .details .primary h3.location-and-website{display:none}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair{bottom:8px;right:2px}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair .d-icon{font-size:1em}.user-main .staff-counters{background:#222;color:#fff;display:flex;padding:10px;margin-bottom:16px}.user-main .staff-counters>div,.user-main .staff-counters>div a{display:flex;align-items:baseline;flex:0 1 auto;margin:0 10px 0 0;color:#fff}.user-main .staff-counters>div span,.user-main .staff-counters>div a span{padding:0 7px 1px;border-radius:10px;margin-right:5px}.user-main .staff-counters .active{font-weight:bold}.user-main .helpful-flags{background-color:#090}.user-main .flagged-posts{background-color:#e49735}.user-main .warnings-received{background-color:#ec8972}.user-main .deleted-posts{background-color:#ec8972}.user-main .suspensions{background-color:#e45735}.user-main .user-field{margin-bottom:10px}.user-main .user-field .controls label{width:auto;text-align:left;font-weight:normal}.user-main .user-field .controls .instructions{color:#919191;margin-top:5px;margin-bottom:10px;font-size:.8706em}.user-main .user-content .admin-controls nav{margin:0}.user-main .user-content .admin-controls nav .nav-pills{overflow-x:auto}.user-field .required{vertical-align:top;color:#e45735;font-weight:bold;margin-left:0.25em}.public-user-fields{margin-top:8px;margin-bottom:8px}.public-user-fields .user-field-name{font-weight:bold}.collapsed-info .public-user-fields{display:none}.avatar-selector .avatar-choice{display:grid;grid-template-columns:2em 1fr auto;grid-template-rows:auto auto;align-items:center}.avatar-selector .avatar-choice:not(:last-of-type){margin-bottom:0.75em}.avatar-selector .avatar-choice span{word-break:break-word}.avatar-selector .avatar-choice input[type="radio"]{margin-top:0}.avatar-selector .avatar-choice button{margin-left:auto}.avatar-selector label.radio{display:flex;align-items:center;max-width:300px;margin:0 0.5em 0 0;padding:0}.avatar-selector label.radio .avatar{flex:0 0 auto;margin:0 0.75em 0 0}.avatar-selector .error{color:#e45735;margin:0;max-width:calc(300px - 20px);grid-column-start:2;grid-column-end:3}.avatar-selector .avatar-choice{display:-ms-grid;-ms-grid-columns:2em 1fr auto;-ms-grid-rows:auto auto}.avatar-selector .avatar-choice input[type="radio"]{-ms-grid-row:1;-ms-grid-column:1}.avatar-selector .avatar-choice label.radio{-ms-grid-row:1;-ms-grid-column:2}.avatar-selector .avatar-choice span.avatar-uploader{-ms-grid-row:1;-ms-grid-column:3}.avatar-selector .avatar-choice .error{-ms-grid-row:2;-ms-grid-column-span:3}.top-section:before,.top-section:after{content:"";display:table}.top-section:after{clear:both}.top-section ul{list-style:none;margin:0}.top-section,.top-sub-section{margin-bottom:20px}.top-section.badges-section,.top-sub-section.badges-section{display:flex;flex-wrap:wrap}.stats-title{text-transform:uppercase;margin-bottom:10px;width:100%}.stats-section ul{margin:10px 0}.stats-section li{display:inline-block;padding:10px 14px 10px 0;margin:0 10px 10px 0}.stats-section li.linked-stat{padding:0}.stats-section li.linked-stat a{padding:10px 14px 10px 0;width:100%;height:100%;display:block;color:#222}.stats-section .value{font-weight:bold;font-size:1.3195em}.stats-section .label{color:#919191}.top-sub-section{width:50%}.top-sub-section ul{max-width:95%}.top-sub-section li{border-left:#e9e9e9 solid 2px;padding:5px 8px;margin:10px 0}.top-sub-section .topic-info{color:#919191}@media all and (max-width: 600px){.top-sub-section{float:none;width:100%}}.replies-section li,.topics-section li,.links-section li{word-wrap:break-word}.links-section .domain{font-size:.8706em;color:#919191}.top-categories-section table{max-width:95%}.top-categories-section table tr{border:none}.top-categories-section table td,.top-categories-section table th{padding:0.5em}.top-categories-section table td.topic-count,.top-categories-section table td.reply-count,.top-categories-section table th.topic-count,.top-categories-section table th.reply-count{text-align:center}.summary-user-list li{height:45px}.groups .group-link{color:#08c}.user-preferences textarea{height:100px}.user-preferences .tracking-controls label{align-items:center;display:inline-block}.user-preferences .tracking-controls label .d-icon{margin-right:3px}@media screen and (max-width: 550px){.user-preferences .tracking-controls .select-kit.multi-select{width:100%}}.user-preferences .tracking-controls .show-tracking{float:right}.user-preferences .static{color:#222;display:inline-block}.user-preferences .instructions{color:#919191;margin-bottom:10px;font-size:.8706em;line-height:1.4}.user-preferences .instructions a[href]{color:#08c}.user-preferences .avatar{margin-left:3px}.user-preferences .warning{background-color:#ec8972;padding:5px 8px;color:#fff;width:520px}.user-preferences .warning-wrap{height:30px;margin-bottom:10px}.user-preferences .tracking-controls{margin-top:24px}.user-preferences.second-factor-backup-preferences{padding-left:0}.user-preferences.second-factor-backup-preferences .second-factor-token-input{margin-right:10px}.user-preferences.second-factor-backup-preferences .form-horizontal .instructions{margin-left:0}.user-preferences.second-factor-backup-preferences .backup-codes{margin:2em 0}.user-preferences.second-factor-backup-preferences .backup-codes .wrapper{display:inline-block;position:relative;padding:10px;border-radius:3px;border:1px solid #e9e9e9}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area{resize:none;padding:0;height:auto;text-align:center;width:250px;background:white;border:0;cursor:auto;overflow:hidden;outline:none;font-family:monospace}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area:focus{box-shadow:none;border-color:#e9e9e9}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn,.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{right:5px;position:absolute}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn{top:5px}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{top:40px}.user-preferences .pref-associated-accounts table td{padding:8px}.paginated-topics-list .user-content{width:100%;margin-top:0}.large-notification{display:flex;align-items:center}.large-notification a{display:flex;align-items:center}.large-notification a .d-icon{margin-right:0.5em}.large-notification a span:first-child{color:#222}.large-notification a div .fa{display:none}.large-notification a div p{margin:0}.qr-code-container{display:flex}.qr-code-container .qr-code{padding:5px 5px 0 5px;background-color:white}.second-factor.instructions{color:#919191;margin-top:5px;margin-bottom:10px;font-size:.8706em}.second-factor .second-factor-item{margin-top:0.75em}.second-factor .btn.edit{min-height:auto}.primary-textual .staged,#user-card .staged{font-style:italic}.selectable-avatars{max-height:350px;margin-bottom:1em;text-align:justify}.selectable-avatars .selectable-avatar{margin:5px;display:inline-block}.selectable-avatars .selectable-avatar .avatar{cursor:pointer;width:60px;height:60px}.selectable-avatars .selectable-avatar .avatar:hover{box-shadow:0 0 10px #222}.topic-title-outlet.choose-tags{margin-left:25px;margin-top:3px}.tag-list{margin-top:2em;padding-bottom:1em;border-bottom:1px solid #e9e9e9}#list-area .tag-list h3{margin-bottom:20px}.tag-list .tag-box{display:inline-block;width:300px;margin-bottom:1em;float:left;vertical-align:middle}.tag-list .tag-box .discourse-tag{font-size:1em}.tag-list .tag-box .tag-count{font-size:.8706em;vertical-align:middle;line-height:1}.tag-show-heading{display:inline-flex;flex-wrap:wrap;align-items:center;white-space:nowrap;overflow:hidden;text-overflow:hidden}@media screen and (max-width: 450px){.tag-show-heading{width:100%}}.tag-show-heading .d-icon{margin:0 0.25em}.topic-category{display:flex;flex-wrap:wrap;align-items:center}.topic-category .topic-header-extra{display:inline-flex;align-items:center}.topic-category .badge-wrapper{margin-top:0}.discourse-tag-count{font-size:.8706em;color:#919191;line-height:1;vertical-align:middle}.discourse-tag{max-width:14em;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle}.discourse-tag{margin:0;color:#919191}.discourse-tag:visited,.discourse-tag:hover{color:#919191}.extra-info-wrapper .discourse-tag{color:#707070 !important}.discourse-tag.large{font-size:1.3195em}.discourse-tag.box{background-color:#e9e9e9;color:#646464;padding:2px 8px}.extra-info-wrapper .discourse-tag.box{background-color:#ebebeb;color:#999}.discourse-tag.simple,.discourse-tag.simple:visited,.discourse-tag.simple:hover{margin-right:0;color:#646464}.discourse-tag.bullet{margin-right:0.5em;display:inline-flex;align-items:center}.discourse-tag.bullet:before{background:#bdbdbd;margin-right:5px;position:relative;width:9px;height:9px;display:inline-block;content:""}.discourse-tag.bullet.large:before{width:13px;height:13px}.discourse-tags .discourse-tag.simple:not(:last-child):after,.list-tags .discourse-tag.simple:not(:last-child):after{content:", ";margin-left:1px}.d-header .topic-header-extra .discourse-tags{display:inline-block;font-size:.8706em}.d-header .topic-header-extra .discourse-tags+.topic-featured-link{margin-left:8px}.fps-result .add-full-page-tags{display:inline-block}.topic-list-item .discourse-tags{display:inline-flex;font-weight:normal;font-size:.8706em}.categories-list .topic-list-latest .discourse-tags{display:inline-block}.mobile-view .topic-list-item .discourse-tags{display:inline-flex;flex-wrap:wrap;font-size:.8706em;margin-top:0}.mobile-view .topic-list-item .discourse-tags .discourse-tag{margin-right:0.2em}.mobile-view .topic-list-item .discourse-tags .discourse-tag.box{position:relative;top:0}header .discourse-tag{color:#919191}.list-tags{display:inline-block;margin-right:3px;font-size:.8706em}.tag-chooser{width:100%;max-width:100%}.title-wrapper .tag-chooser{width:500px}.tag-sort-options{margin-bottom:20px}.tag-sort-options a{text-decoration:underline}.tag-sort-options span.active a{font-weight:bold}.autocomplete .d-icon-tag{color:#222;padding-right:5px}.autocomplete a{color:#919191}.tags-admin-menu{margin-top:20px}.tags-admin-menu ul{width:320px}.tag-groups-container{margin-top:20px}.tag-groups-container .content-list{width:20%;float:left;margin:20px 0}.tag-groups-container .content-list ul{margin-bottom:10px}.tag-groups-container .content-list .btn{margin-left:10px}.tag-groups-container .tag-group-content{width:75%;float:right}.tag-groups-container .tag-group-content section{margin-bottom:20px}.tag-groups-container .tag-group-content label{font-size:1em;display:inline-block;margin-right:10px}.tag-groups-container .tag-group-content .btn{margin-right:10px}.tag-groups-container .tag-group-content h1 input{width:100%}.tag-groups-container .group-tags-list .tag-chooser{width:100%}.tag-groups-container .saving{margin-left:20px}.tag-groups-container .parent-tag-section .tag-chooser{width:200px;margin-right:10px}.tag-info{margin-top:1em;margin-bottom:1em}.tag-info .delete-tag{float:right}.tag-info .synonyms-list,.tag-info .add-synonyms,.tag-info .tag-associations{margin-top:1em}.tag-info .tag-list{border:none}.tag-info .tag-list .d-icon{color:#919191}.tag-info .field{margin-bottom:5px}#reply-control{position:fixed;display:flex;flex-direction:column;bottom:0;height:0;right:0;left:0;margin-left:auto;margin-right:auto;max-width:1475px;width:100%;z-index:400;transition:height 250ms ease, background 250ms ease, transform 250ms ease, max-width 250ms ease;background-color:#fff;box-shadow:0 -1px 40px rgba(0,0,0,0.12)}#reply-control.hide-preview{max-width:740px}@media screen and (max-width: 1200px){#reply-control{min-width:0}}#reply-control .reply-area{display:flex;flex-direction:column}#reply-control .saving-text,#reply-control .draft-text{display:none;padding-left:10px}#reply-control .saving-text .spinner,#reply-control .draft-text .spinner{margin-left:5px;border-color:#fff;border-right-color:transparent}#reply-control .saving-text .d-icon,#reply-control .draft-text .d-icon{color:#fff}#reply-control.open{height:300px}#reply-control.open.edit-title{height:400px}#reply-control.closed{height:0 !important}#reply-control.draft,#reply-control.saving{height:40px !important;align-items:center;background:#08c;color:#fff;flex-direction:row;width:100%}#reply-control.draft .composer-controls,#reply-control.saving .composer-controls{margin-left:auto;display:flex;padding-right:5px}#reply-control.draft .composer-controls .toggle-toolbar,#reply-control.saving .composer-controls .toggle-toolbar{display:none}#reply-control.draft .composer-controls .d-icon,#reply-control.saving .composer-controls .d-icon{color:#fff}#reply-control.draft{cursor:pointer;display:flex}#reply-control.draft .draft-text{display:block}#reply-control.draft .grippie,#reply-control.draft .saving-text{display:none}#reply-control.draft .toggler{order:2}#reply-control.saving .saving-text{display:flex}#reply-control .reply-to{color:#646464;margin:5px 0 10px 0;display:flex;align-items:center}#reply-control .reply-to .d-icon{color:#919191}#reply-control .reply-to .reply-details{max-width:calc(100% - 175px);flex:1 1 auto;display:flex;align-items:center;white-space:nowrap}#reply-control .reply-to .reply-details .d-icon{opacity:0.8}#reply-control .reply-to .composer-action-title{display:inline-flex;align-items:center;width:auto;max-width:100%}#reply-control .reply-to .composer-action-title .avatar{width:20px}#reply-control .reply-to .composer-action-title .action-title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#reply-control .reply-to .composer-action-title .topic-link,#reply-control .reply-to .composer-action-title .user-link,#reply-control .reply-to .composer-action-title .post-link{margin-right:5px}#reply-control .reply-to .composer-action-title .username{margin-right:5px;max-width:100px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}@media screen and (max-width: 500px){#reply-control .reply-to .composer-action-title .username{display:none}}#reply-control .reply-to .composer-action-title .d-icon{margin-right:5px}#reply-control .reply-to .composer-action-title img.avatar{margin-right:3px}#reply-control .reply-to .composer-controls{display:flex;margin-left:auto}#reply-control .reply-to .composer-controls button{padding:5px 7px}#reply-control .reply-to .composer-controls button.toggler{order:2}#reply-control .whisper,#reply-control .display-edit-reason{font-style:italic}#reply-control .whisper{margin-right:0.25em}#reply-control .display-edit-reason{display:inline-flex}#reply-control .display-edit-reason a{display:inline-flex}#reply-control .display-edit-reason .d-icon{padding:0.3em 0.5em;color:#08c}#reply-control #edit-reason{margin:0 4px}#reply-control .user-selector,#reply-control .title-and-category{display:flex;flex-wrap:wrap;width:100%;align-items:center;margin-bottom:5px;position:relative}#reply-control .user-selector.with-preview,#reply-control .title-and-category.with-preview{width:50%}#reply-control .title-input{position:relative;display:flex;flex:1 1 50%}#reply-control .title-input input{flex-grow:1}#reply-control .with-tags .title-input{flex:1 1 100%}#reply-control .category-input{display:flex;flex:1 0 35%;margin:0 0 5px 10px}@media screen and (max-width: 955px){#reply-control .category-input{flex:1 0 100%;margin-left:0}}#reply-control .category-input .category-chooser{display:flex;flex:1 0 auto;width:auto}#reply-control .with-tags .category-input{flex-basis:25%;margin-left:0;margin-right:5px}@media screen and (max-width: 920px){#reply-control .with-tags .category-input{flex-basis:100%;margin-right:0}}#reply-control .add-warning{margin-left:0.75em;margin-bottom:0;display:flex}#reply-control .add-warning input{margin-right:5px}#reply-control #reply-title{margin:0 0 5px 0;flex-basis:50%}#reply-control .mini-tag-chooser{flex:1 1 25%;margin:0 0 5px 0;background:#fff;z-index:700}@media all and (max-width: 900px){#reply-control .mini-tag-chooser{margin:0;flex:1 1 100%}}#reply-control .popup-tip{z-index:701}#reply-control .wmd-controls{position:relative;display:flex;flex-direction:column;flex-grow:1;min-height:0}#reply-control .submit-panel{display:flex;flex-shrink:0;margin:7px 0 3px 0}#reply-control .save-or-cancel{flex-basis:50%;display:flex;align-items:center;margin-right:auto}#reply-control .save-or-cancel button{flex:0 0 auto}#reply-control .save-or-cancel .cancel{margin-left:1.25em;line-height:normal;color:#646464;transition:color 250ms}#reply-control .save-or-cancel .cancel:hover{color:#e45735}#reply-control .save-or-cancel #draft-status,#reply-control .save-or-cancel #file-uploading{margin-left:25px}#reply-control .save-or-cancel #file-uploading{display:flex;align-items:center}#reply-control .save-or-cancel #file-uploading a{margin-left:5px;color:#646464}#reply-control .save-or-cancel #file-uploading .spinner{margin-right:5px}#reply-control .save-or-cancel #draft-status .d-icon-user-edit{color:#e45735;font-size:20px;vertical-align:-5.5px}#reply-control #draft-status,#reply-control #file-uploading{color:#646464}.cooked>*:first-child{margin-top:0}.autocomplete{z-index:701;position:absolute;width:240px;background-color:#fff;border:1px solid #e9e9e9}.autocomplete ul{list-style:none;padding:0;margin:0}.autocomplete ul li{border-bottom:1px solid #e9e9e9}.autocomplete ul li .d-icon-users{color:#888;padding:0 2px}.autocomplete ul li a{padding:5px;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.autocomplete ul li a span.username{color:#222}.autocomplete ul li a span.name{font-size:.8706em;vertical-align:middle}.autocomplete ul li a.selected{background-color:#d1f0ff}.discourse-no-touch .autocomplete ul li a:hover,.discourse-no-touch .autocomplete ul li a.btn-hover{background-color:#ffffca;text-decoration:none}div.ac-wrap.disabled input{display:none}div.ac-wrap.disabled .item a{display:none}div.ac-wrap div.item a.remove,.remove-link{margin-left:4px;font-size:.8706em;line-height:1;padding:1px 3.5px;border-radius:12px;box-sizing:border-box;border:1px solid #e9e9e9}div.ac-wrap div.item a.remove:hover,.remove-link:hover{background-color:#fbe6e1;border:1px solid #ec8972;text-decoration:none;color:#e45735}div.ac-wrap{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#fff;border:1px solid #919191;min-height:30px;box-sizing:border-box}div.ac-wrap div.item{float:left;padding:4px 10px;line-height:1.4}div.ac-wrap div.item span{display:inline-block;line-height:1.2}div.ac-wrap .ac-collapsed-button{float:left;border-radius:20px;position:relative;top:-2px;margin-right:10px}div.ac-wrap input[type="text"]{float:left;display:block;box-shadow:none;border:0;margin:0;background:transparent;min-height:unset}div.ac-wrap input[type="text"].fullwidth-input{width:100%}.future-date-input .examples{color:#919191}.md-table{overflow-y:auto;margin:1em 0}.mobile-view .md-table table{width:100%}.save-animation{-webkit-animation:transformer 5s forwards;animation:transformer 5s forwards}@-webkit-keyframes transformer{90%{-webkit-filter:opacity(1)}100%{-webkit-filter:opacity(0)}}@keyframes transformer{90%{opacity:1}100%{opacity:0}}body.ios-safari-composer-hacks #main-outlet,body.ios-safari-composer-hacks header,body.ios-safari-composer-hacks .grippie,html:not(.fullscreen-composer) body.ios-safari-composer-hacks .toggle-fullscreen{display:none}body.ios-safari-composer-hacks #reply-control{top:0px}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh, 1vh) * 100)}.mfp-bg{top:0;left:0;width:100%;height:100%;z-index:1042;overflow:hidden;position:fixed;background:#0b0b0b;opacity:.8;filter:alpha(opacity=80)}.mfp-wrap{top:0;left:0;width:100%;height:100%;z-index:1043;position:fixed;outline:0 !important;-webkit-backface-visibility:hidden}.mfp-container{text-align:center;position:absolute;width:100%;height:100%;left:0;top:0;padding:0 8px;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.mfp-container:before{content:"";display:inline-block;height:100%;vertical-align:middle}.mfp-align-top .mfp-container:before{display:none}.mfp-content{position:relative;display:inline-block;vertical-align:middle;margin:0 auto;text-align:left;z-index:1045}.mfp-inline-holder .mfp-content,.mfp-ajax-holder .mfp-content{width:100%;cursor:auto}.mfp-ajax-cur{cursor:progress}.mfp-zoom-out-cur,.mfp-zoom-out-cur .mfp-image-holder .mfp-close{cursor:-moz-zoom-out;cursor:-webkit-zoom-out;cursor:zoom-out}.mfp-zoom{cursor:pointer;cursor:-webkit-zoom-in;cursor:-moz-zoom-in;cursor:zoom-in}.mfp-auto-cursor .mfp-content{cursor:auto}.mfp-close,.mfp-arrow,.mfp-preloader,.mfp-counter{-webkit-user-select:none;-moz-user-select:none;user-select:none}.mfp-loading.mfp-figure{display:none}.mfp-hide{display:none !important}.mfp-preloader{color:#ccc;position:absolute;top:50%;width:auto;text-align:center;margin-top:-0.8em;left:8px;right:8px;z-index:1044}.mfp-preloader a{color:#ccc}.mfp-preloader a:hover{color:#fff}.mfp-s-ready .mfp-preloader{display:none}.mfp-s-error .mfp-content{display:none}button.mfp-close,button.mfp-arrow{overflow:visible;cursor:pointer;background:transparent;border:0;-webkit-appearance:none;display:block;padding:0;z-index:1046;-webkit-box-shadow:none;box-shadow:none}button::-moz-focus-inner{padding:0;border:0}.mfp-close{width:44px;height:44px;line-height:1.4;position:absolute;right:0;top:0;text-decoration:none;text-align:center;opacity:.65;filter:alpha(opacity=65);padding:0 0 18px 10px;color:#fff;font-style:normal;font-size:2em;font-family:Arial, Baskerville, monospace}.mfp-close:hover,.mfp-close:focus{opacity:1;outline:0;filter:alpha(opacity=100)}.mfp-close:active{top:1px}.mfp-close-btn-in .mfp-close{color:#333}.mfp-image-holder .mfp-close,.mfp-iframe-holder .mfp-close{color:#fff;right:-6px;text-align:right;padding-right:6px;width:100%}.mfp-counter{position:absolute;top:0;right:0;color:#ccc;font-size:.8706em;line-height:1.2}.mfp-arrow{position:absolute;opacity:.65;filter:alpha(opacity=65);top:50%;margin:-55px 0 0;padding:0;width:90px;height:110px;-webkit-tap-highlight-color:transparent}.mfp-arrow:active{margin-top:-54px}.mfp-arrow:hover,.mfp-arrow:focus{outline:0;opacity:1;filter:alpha(opacity=100)}.mfp-arrow:before,.mfp-arrow:after,.mfp-arrow .mfp-b,.mfp-arrow .mfp-a{content:"";display:block;width:0;height:0;position:absolute;left:0;top:0;margin-top:35px;margin-left:35px;border:medium inset transparent}.mfp-arrow:after,.mfp-arrow .mfp-a{border-top-width:13px;border-bottom-width:13px;top:8px}.mfp-arrow:before,.mfp-arrow .mfp-b{border-top-width:21px;border-bottom-width:21px}.mfp-arrow-left{left:0}.mfp-arrow-left:after,.mfp-arrow-left .mfp-a{border-right:17px solid #fff;margin-left:31px}.mfp-arrow-left:before,.mfp-arrow-left .mfp-b{margin-left:25px;border-right:27px solid #3f3f3f}.mfp-arrow-right{right:0}.mfp-arrow-right:after,.mfp-arrow-right .mfp-a{border-left:17px solid #fff;margin-left:39px}.mfp-arrow-right:before,.mfp-arrow-right .mfp-b{border-left:27px solid #3f3f3f}.mfp-iframe-holder{padding-top:40px;padding-bottom:40px}.mfp-iframe-holder .mfp-content{line-height:0;width:100%;max-width:900px}.mfp-iframe-holder .mfp-close{top:-40px}.mfp-iframe-scaler{width:100%;height:0;overflow:hidden;padding-top:56.25%}.mfp-iframe-scaler iframe{position:absolute;display:block;top:0;left:0;width:100%;height:100%;box-shadow:0 0 8px rgba(0,0,0,0.6);background:#000}img.mfp-img{width:auto;max-width:100%;height:auto;display:block;line-height:0;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;padding:40px 0 40px;margin:0 auto}.mfp-figure{line-height:0}.mfp-figure:after{content:"";position:absolute;left:0;top:40px;bottom:40px;display:block;right:0;width:auto;height:auto;z-index:-1;box-shadow:0 0 8px rgba(0,0,0,0.6);background:linear-gradient(45deg, #111 0%, #333 100%)}.mfp-figure small{color:#bdbdbd;display:block;font-size:.8706em;line-height:1.2}.mfp-figure figure{margin:0}.mfp-bottom-bar{margin-top:-36px;position:absolute;top:100%;left:0;width:100%;cursor:auto}.mfp-title{text-align:left;line-height:1.2;color:#f3f3f3;word-wrap:break-word;padding-right:36px}.mfp-title a.image-source-link .d-icon{padding-right:5px}.mfp-image-holder .mfp-content{max-width:100%}.mfp-gallery .mfp-image-holder .mfp-figure{cursor:pointer}@media all and (max-width: 800px) and (orientation: landscape), screen and (max-height: 300px){.mfp-img-mobile .mfp-image-holder{padding-left:0;padding-right:0}.mfp-img-mobile img.mfp-img{padding:0}.mfp-img-mobile .mfp-figure:after{top:0;bottom:0}.mfp-img-mobile .mfp-figure small{display:inline;margin-left:5px}.mfp-img-mobile .mfp-bottom-bar{background:rgba(0,0,0,0.6);bottom:0;margin:0;top:auto;padding:3px 5px;position:fixed;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.mfp-img-mobile .mfp-bottom-bar:empty{padding:0}.mfp-img-mobile .mfp-counter{right:5px;top:3px}.mfp-img-mobile .mfp-close{top:0;right:0;width:35px;height:35px;line-height:1.4;background:rgba(0,0,0,0.6);position:fixed;text-align:center;padding:0}}@media all and (max-width: 900px){.mfp-arrow{-webkit-transform:scale(0.75);transform:scale(0.75)}.mfp-arrow-left{transform-origin:0;-webkit-transform-origin:0}.mfp-arrow-right{transform-origin:100%;-webkit-transform-origin:100%}.mfp-container{padding-left:6px;padding-right:6px}}.mfp-ie7 .mfp-img{padding:0}.mfp-ie7 .mfp-bottom-bar{width:600px;left:50%;margin-left:-300px;margin-top:5px;padding-bottom:5px}.mfp-ie7 .mfp-container{padding:0}.mfp-ie7 .mfp-content{padding-top:44px}.mfp-ie7 .mfp-close{top:0;right:0;padding-top:0}.mfp-zoom-in .mfp-content{opacity:0;transition:all 0.2s;-webkit-transform:scale(0.8);-ms-transform:scale(0.8);transform:scale(0.8)}.mfp-zoom-in.mfp-bg{opacity:0;transition:all 0.3s ease-out}.mfp-zoom-in.mfp-ready .mfp-content{opacity:1;-webkit-transform:scale(1);transform:scale(1)}.mfp-zoom-in.mfp-ready.mfp-bg{opacity:0.8}.mfp-zoom-in.mfp-removing .mfp-content{-webkit-transform:scale(0.8);transform:scale(0.8);opacity:0}.mfp-zoom-in.mfp-removing.mfp-bg{opacity:0}.mfp-force-scrollbars.mfp-wrap{overflow-y:auto !important;overflow-x:auto !important}.mfp-force-scrollbars .mfp-img{max-width:none}.button-count.has-pending span{background-color:#e45735;color:#fff;border-radius:10px;padding:0.25em 0.5em;display:inline-block;font-size:0.8em}.placeholder-avatar{display:inline-block;width:45px;height:45px;border-radius:50%;position:relative;overflow:hidden}.placeholder-avatar:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;left:0;content:"";background:linear-gradient(to right, #f8f8f8 10%, #e9e9e9 28%, #f8f8f8 43%);height:45px;width:700px}.placeholder-text{margin-left:11px;display:inline-block;width:calc(100% - 11px);height:1.5em;margin-bottom:0.6em}.names{flex:1 1 auto;overflow:hidden}.names span.first{display:flex;align-items:baseline;font-weight:bold}.names span{font-size:1em;margin-right:8px;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle}.names span a{color:#646464}.names .fa{font-size:.8706em;color:#919191}.names .svg-icon-title{margin-left:3px;margin-right:0px}.names .new_user a,.names .user-title,.names .user-title a{color:#919191}.cooked,.d-editor-preview{word-wrap:break-word;line-height:1.4}.cooked h1,.cooked h2,.cooked h3,.cooked h4,.cooked h5,.cooked h6,.d-editor-preview h1,.d-editor-preview h2,.d-editor-preview h3,.d-editor-preview h4,.d-editor-preview h5,.d-editor-preview h6{margin:30px 0 10px;line-height:1.2}.cooked h1,.d-editor-preview h1{font-size:1.5157em}.cooked h2,.d-editor-preview h2{font-size:1.3195em}.cooked h3,.d-editor-preview h3{font-size:1.1487em}.cooked h4,.d-editor-preview h4{font-size:1em}.cooked h5,.d-editor-preview h5{font-size:.8706em}.cooked h6,.d-editor-preview h6{font-size:.7579em}.cooked a,.d-editor-preview a{word-wrap:break-word}.cooked ins,.d-editor-preview ins{background-color:#b8ffb8}.cooked del,.d-editor-preview del{background-color:#fbe6e1}.cooked big,.d-editor-preview big{font-size:1.5rem}.cooked small,.d-editor-preview small{font-size:0.75rem}.cooked small small,.d-editor-preview small small{font-size:0.75em}.cooked big big,.d-editor-preview big big{font-size:1em}.cooked sub sub sub,.d-editor-preview sub sub sub{bottom:0}.cooked sup sup sup,.d-editor-preview sup sup sup{top:0}.cooked video,.d-editor-preview video{max-width:100%}.cooked sup sup,.d-editor-preview sup sup{top:0}.moderator .regular>.cooked{background-color:#ffffca;padding:10px}.moderator .regular>.cooked img:not(.thumbnail){max-width:100%;height:auto}.moderator .clearfix>.topic-meta-data>.names span.user-title,.moderator .nav-pills>.topic-meta-data>.names span.user-title,.moderator .container>.topic-meta-data>.names span.user-title,.moderator .wrap>.topic-meta-data>.names span.user-title{color:#646464}.moderator .clearfix>.topic-meta-data>.names span.user-title a,.moderator .nav-pills>.topic-meta-data>.names span.user-title a,.moderator .container>.topic-meta-data>.names span.user-title a,.moderator .wrap>.topic-meta-data>.names span.user-title a{background-color:#ffffca;padding-left:4px;padding-right:4px}.topic-meta-data{display:flex;align-items:flex-start}.topic-meta-data .names{margin-right:auto}.topic-meta-data .post-infos{display:flex;flex:0 0 auto;align-items:center}aside.quote{margin-top:1em;margin-bottom:1em}aside.quote .badge-wrapper{margin-left:5px}aside.quote .title{border-left:5px solid #e9e9e9;background-color:#f9f9f9;color:#646464;padding:12px 12px 1px 12px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}aside.quote .title .avatar{margin-right:7px}aside.quote .title img{margin-top:-4px}aside.quote blockquote{margin-top:0}blockquote img{max-width:100% !important}.quote-controls,.quote-controls .d-icon{color:#bdbdbd}.cooked .highlight{background-color:#d1f0ff;padding:2px;margin:-2px}.post-ignored{font-style:italic}.post-action{color:#919191}.post-action .undo-action,.post-action .act-action{margin-left:5px}.post-hidden{opacity:0.5;position:relative;z-index:1}.topic-post.staged{opacity:0.4}.quote-controls{float:right;display:flex;align-items:center}.quote-controls a{margin-left:0.3em}.quote-button{display:none;position:absolute;background-color:#b6b6b6;color:#fff;padding:10px;z-index:300;opacity:0.9}.quote-button .d-icon{display:inline-block}.quote-button:hover{background-color:#919191;cursor:pointer}.topic-avatar,.user-card-avatar{position:relative}.topic-map{background:#f8f8f8;border:1px solid #e9e9e9;border-top:none}.topic-map .avatars>div{float:left;position:relative;margin:3px 0}.topic-map .avatars .post-count{position:absolute;right:0;border-radius:100px;padding:3px 5px;text-align:center;font-weight:normal;font-size:.7579em;line-height:1}.topic-map .avatar{float:left;margin-right:4px}.topic-map section{border-top:1px solid #e9e9e9}.topic-map ul{margin:0;list-style:none}.topic-map h3{margin-bottom:4px;color:#222;line-height:1.4;font-weight:normal;font-size:1em}.topic-map h4{margin:1px 0 2px 0;color:#919191;font-weight:normal;font-size:.8706em;line-height:1}.topic-map span.domain{font-size:.7579em;color:#919191}.topic-map td{vertical-align:top;padding:1px}.topic-map .topic-links tr{border:none}.topic-map .topic-links .badge-notification{margin:1px 5px 2px 0}.topic-map .controls{display:flex;align-items:center}.topic-map .controls .btn{margin-right:0.5em}.topic-map .controls .btn:last-child{margin:0}.topic-map .participants{display:flex;flex-wrap:wrap;align-items:center}.topic-map .participants+.controls{margin-top:0.5em}.topic-map .participants.hide-names .user .username,.topic-map .participants.hide-names .user .group-name{display:none}.topic-map .participants .user{border:1px solid #e9e9e9;border-radius:0.25em;padding:0;margin:0.125em 0.25em 0.125em 0;display:flex;align-items:center;height:26px}.topic-map .participants .user .user-link,.topic-map .participants .user .group-link{color:#646464}.topic-map .participants .user .user-link:hover,.topic-map .participants .user .group-link:hover{color:#222}.topic-map .participants .user .avatar,.topic-map .participants .user .d-icon-users{margin-left:0.25em;margin-right:0.25em}.topic-map .participants .user .username,.topic-map .participants .user .group-name{margin-right:0.25em}.topic-map .participants .user:last-child{margin-right:0}.topic-map .participants .user .remove-invited{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0 0.25em 0.25em 0;padding-top:0;padding-bottom:0;height:100%}.topic-map .add-remove-participant-btn .d-icon{margin-left:0.25em}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.user-card-avatar .avatar-flair,.topic-map .poster .avatar-flair,.user-profile-avatar .avatar-flair,.user-image .avatar-flair{display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;background-position:center;position:absolute;bottom:0;right:-6px}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.collapsed-info .user-profile-avatar .avatar-flair,.user-image .avatar-flair{background-size:20px 20px;width:20px;height:20px}.topic-avatar .avatar-flair.rounded,.avatar-flair-preview .avatar-flair.rounded,.collapsed-info .user-profile-avatar .avatar-flair.rounded,.user-image .avatar-flair.rounded{background-size:18px 18px;border-radius:12px;width:24px;height:24px;bottom:-2px;right:-8px}.user-card-avatar .avatar-flair,.user-profile-avatar .avatar-flair{background-size:40px 40px;width:40px;height:40px}.user-card-avatar .avatar-flair.rounded,.user-profile-avatar .avatar-flair.rounded{background-size:30px 30px;border-radius:24px;width:40px;height:40px;bottom:-2px;right:-4px}.user-card-avatar .avatar-flair .fa,.user-profile-avatar .avatar-flair .fa{font-size:1.7511em}.topic-map .poster .avatar-flair{right:0;background-size:12px 12px;width:16px;height:16px;bottom:-3px;color:#222}.topic-map .poster .avatar-flair.rounded{background-size:12px 12px;border-radius:8px;width:16px;height:16px;bottom:-2px;right:0}.topic-map .poster .avatar-flair .d-icon{font-size:.7579em}.topic-avatar .poster-avatar-extra{display:none}.map:first-of-type{display:flex}.map:first-of-type .buttons{margin-left:auto;order:15}.map:first-of-type .buttons .btn{height:100%}.topic-body .cooked{overflow:hidden}.topic-body.highlighted{animation:background-fade-highlight 2.5s ease-out}.post-info{flex:0 0 auto;margin-right:0.5em}.post-info.post-date{margin-right:0}.post-info.via-email .d-icon,.post-info.whisper .d-icon,.post-info.post-locked .d-icon{font-size:1em}.post-info .wiki,.post-info .last-wiki-edit{color:green}.post-info.via-email{color:#bdbdbd}.post-info.raw-email{cursor:pointer}pre code{word-wrap:normal;display:block;padding:0.5em;color:#222;background:#f9f9f9;max-height:500px}kbd{background-color:#fff;border:1px solid #e9e9e9;border-radius:3px;box-shadow:0 2px 0 rgba(0,0,0,0.2),0 0 0 1px #fff inset;background:#fafafa;border:1px solid #ccc;border-bottom:medium none #fff;color:#222;display:inline-block;font-size:.8706em;line-height:1.4;margin:0 0.1em;padding:0.1em 0.6em}kbd * * *{display:none}blockquote>*:first-child{margin-top:0 !important}blockquote>*:last-child{margin-bottom:0 !important}.gap{padding:0.25em 0 0.5em 56px;color:#919191;cursor:pointer;text-transform:uppercase;font-weight:bold;font-size:.8706em}.who-liked,.who-read{transition:height 0.5s}.who-liked a,.who-read a{margin:0 0.25em 0.5em 0;display:inline-block}.cooked table thead th,.d-editor-preview table thead th{text-align:left;padding-bottom:2px;font-weight:bold;color:#222}.cooked table td,.d-editor-preview table td{padding:3px 3px 3px 0.5em}.small-action{display:flex;align-items:center;max-width:758px;border-top:1px solid #e9e9e9}.small-action .topic-avatar{align-self:flex-start;padding:0.7em 0;border-top:none;margin-right:11px;flex:0 0 auto}.small-action .topic-avatar .d-icon{font-size:2em;width:45px;text-align:center;color:#bdbdbd}.small-action .small-action.deleted{background-color:rgba(242,171,154,0.7)}.small-action .small-action-desc.timegap{color:#919191}.small-action .small-action-desc{display:flex;flex-wrap:wrap;flex:1 1 100%;align-items:center;padding:1em 0;text-transform:uppercase;font-weight:bold;font-size:.8706em;color:#919191;min-width:0}.small-action .small-action-desc .custom-message{flex:1 1 100%;text-transform:none;font-weight:normal;font-size:1.1487em;order:12;word-break:break-word;min-width:0}.small-action .small-action-desc .custom-message p{margin-bottom:0}.small-action .small-action-desc a.trigger-user-card{align-self:stretch}.small-action .small-action-desc .avatar{margin-right:0.8em;float:left}.small-action .small-action-desc>p{margin:0;line-height:1.2;flex:1 1}.small-action button{background:transparent;border:0;order:9}.small-action button:last-of-type{margin-left:auto;order:8}.whisper .post-info.whisper{margin-left:0.5em}.whisper .topic-body .cooked{font-style:italic;color:#919191}a.mention,a.mention-group{padding:2px 4px;color:#646464;background:#e9e9e9;border-radius:8px;font-weight:bold;font-size:0.93em}.popup-menu h3{margin-top:0}.suggested-topics .topics{padding-bottom:15px}.suggested-topics .suggested-topics-message .badge-wrapper{margin-right:0}.large-image-placeholder>a.link{margin-right:10px}.large-image-placeholder>a>*{overflow:hidden;vertical-align:middle}.large-image-placeholder>a>.d-icon{color:#919191;margin-right:6px;font-size:1em;line-height:1.4}.large-image-placeholder>a>span.url{display:inline-block;max-width:300px;margin-right:6px;text-overflow:ellipsis;white-space:nowrap}.large-image-placeholder>a>span.help{display:inline-block;color:#919191;font-size:.8706em;font-style:italic;line-height:1.4;margin-bottom:1px}.large-image-placeholder>a>span.badge-notification{vertical-align:unset}.broken-image,.large-image{color:#bdbdbd;border:1px solid #e9e9e9;font-size:2em;padding:16px}.reply-to-tab{display:flex;align-items:center;margin-right:2em}.reply-to-tab img{margin:0 0.25em}.topic-post.selected article.boxed .select-posts button.select-post{background-color:#08c;color:#fff;border-color:#08c}.topic-post.selected article.boxed .topic-body .contents:after{display:none}.topic-post article.boxed{position:relative}.topic-post article.boxed .select-posts{position:absolute;right:5em;z-index:300;top:0.5em;height:100px}.topic-post article.boxed .select-posts button{margin-left:8px;background-color:#e9e9e9;color:#222;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}@media all and (max-width: 767px){.reply-to-tab span{display:none}.user-title{float:left;clear:left}}.signup-cta a{float:right;text-decoration:underline}.signup-cta .buttons{margin-bottom:1em}.post-notice{align-items:center;background-color:#d1f0ff;border-top:1px solid #e9e9e9;display:flex;max-width:calc( 690px + (11px * 2) + 45px - (0.8em * 2));padding:0.8em}.post-notice.old{background-color:unset;color:#919191}.post-notice.old .d-icon{color:#919191}.post-notice p{margin:0}.post-notice .d-icon{font-size:2em;color:#646464;margin-right:0.65em}#topic-footer-buttons .reason{color:#646464;display:inline;margin:0 0 0 8px;line-height:1.2}@keyframes button-jump-up{0%{margin-bottom:-60px}50%{margin-bottom:10px}65%{margin-bottom:0px}77%{margin-bottom:5px}100%{margin-bottom:0px}}.progress-back-container{z-index:300;margin-right:0;animation-duration:0.5s;animation-name:button-jump-up;width:145px;text-align:center;margin-bottom:0px;position:absolute;right:0;top:-2em}.progress-back-container .btn{margin:0}#topic-progress-wrapper{display:flex}#topic-progress-wrapper .topic-admin-menu-button-container{display:flex}#topic-progress-wrapper .topic-admin-menu-button-container>span{display:flex}#topic-progress-wrapper .topic-admin-popup-menu.right-side{position:absolute;bottom:0;right:0;left:auto;transition:bottom 0.5s;transform:translateZ(0)}#topic-progress-wrapper.docked .topic-admin-popup-menu.right-side{bottom:-150px}.title-wrapper{display:flex;flex-wrap:wrap}.title-wrapper button{margin:0 0.5em 0 0}.title-wrapper a.topic-featured-link{display:inline-block}.title-wrapper .topic-statuses{line-height:1.2em;margin-right:0.15em}.title-wrapper .topic-statuses .d-icon{color:#919191}h1{margin:0 0 4px 0}a.badge-category{margin-top:5px}#topic-title .title-wrapper{display:flex;flex-wrap:wrap;width:90%}#topic-title .title-wrapper a.topic-featured-link{display:inline-block}#topic-title h1{margin:0 0 4px 0;width:100%}#topic-title a.badge-category{margin-top:5px}#topic-title a.edit-topic .d-icon{font-size:0.8em}#topic-title .edit-topic-title{display:flex;flex-wrap:wrap;box-sizing:border-box;max-width:758px}#topic-title .edit-topic-title #edit-title{flex:1 1 auto}#topic-title .edit-topic-title .private-message-glyph{margin:5px 5px 0 0}#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 49%;margin:0 0 9px 0}@media all and (max-width: 500px){#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 100%}}#topic-title .edit-topic-title .mini-tag-chooser{margin-left:2%}@media all and (max-width: 500px){#topic-title .edit-topic-title .mini-tag-chooser{margin-left:0}}.private-message-glyph{color:#bdbdbd;margin-right:5px}.archetype-private_message #topic-title .edit-topic-title .tag-chooser{margin-left:19px}.private_message #topic-title .edit-topic-title #edit-title{width:calc(100% - 50px)}.topic-title-outlet{clear:both}.has-pending-posts{display:flex;justify-content:space-between;padding:0.5em;background-color:#ffffa6;margin-top:1em;max-width:757px}.suggested-topics-wrapper.related-messages-wrapper .suggested-topics:nth-of-type(n+2) thead{display:none}.suggested-topics h3 .badge-wrapper.bullet span.badge-category,.suggested-topics h3 .badge-wrapper.box span,.suggested-topics h3 .badge-wrapper.bar span{display:inline}.suggested-topics h3 .badge-wrapper.bullet span.badge-category{vertical-align:baseline;line-height:1.2}.suggested-topics h3 .badge-wrapper.bullet,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg{line-height:0.8}.suggested-topics .badge-wrapper.bullet span.badge-category,.suggested-topics .badge-wrapper.bar span.badge-category{max-width:150px}.suggested-topics .suggested-topics-title{display:flex;align-items:center}.post-links-container{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both}.post-links-container .post-links{margin-top:1em;padding-top:1em;border-top:1px solid #e9e9e9}.post-links-container .post-links li:last-of-type{margin-bottom:1em}.post-links-container .expand-links{color:#919191}.post-links-container .track-link{display:flex;align-items:center}.post-links-container .track-link span:not(.badge){overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.post-links-container ul{margin:0;list-style:none}.post-links-container ul li{margin-bottom:0.5em}.post-links-container ul li a[href]{color:#919191}.post-links-container ul li .clicks{margin-left:0.5em;flex:0 0 auto}.post-links-container ul li .d-icon{font-size:.7579em;margin:0 0.5em 0 0}.post-links-container a.reply-new .d-icon{background:#fff;border-radius:20px;transition:all linear 0.15s}.post-links-container a.reply-new:hover{color:#08c}.post-links-container a.reply-new:hover .d-icon{background:#d1f0ff}a.topic-featured-link{display:inline-block;text-transform:lowercase;color:#919191;font-size:0.875rem}a.topic-featured-link .d-icon{margin-right:3px}.topic-area .pending-posts{max-width:calc( 690px + 45px + 22px)}.topic-area .pending-posts .reviewable-item .post-body{max-height:unset}#request-access{width:325px;margin:0 auto}#request-access input[type="text"]{width:320px;height:30px;font-size:1.5157em}#request-access input[type="submit"]{font-size:1.5157em;padding:10px}.hljs{display:block;padding:0.5em;color:#333}.hljs-comment,.hljs-doctag{color:#998;font-style:italic}.hljs-keyword,.javascript .hljs-title,.nginx .hljs-title,.hljs-subst,.hljs-request,.hljs-status{color:#333;font-weight:bold}.hljs-number,.ruby .hljs-constant{color:#099}.hljs-string,.hljs-tag .hljs-string,.tex .hljs-formula{color:#d14}.hljs-title,.hljs-name,.coffeescript .hljs-params,.scss .hljs-meta{color:#d14;font-weight:bold}.javascript .hljs-title,.lisp .hljs-title,.clojure .hljs-title,.hljs-subst{font-weight:normal}.hljs-class .hljs-title,.haskell .hljs-type,.vhdl .hljs-literal,.tex .hljs-command{color:#458;font-weight:bold}.hljs-tag,.hljs-tag .hljs-title,.django .hljs-tag .hljs-keyword{color:navy;font-weight:normal}.hljs-attribute,.css .hljs-keyword,.hljs-variable,.lisp .hljs-body{color:teal}.hljs-regexp{color:#090}.hljs-symbol,.ruby .hljs-symbol .hljs-string,.lisp .hljs-keyword,.tex .hljs-special,.hljs-prompt{color:#990073}.hljs-built_in,.lisp .hljs-title,.clojure .hljs-built_in,.hljs-builtin-name{color:#0aadff}.meta{color:#919191;font-weight:bold}.hljs-deletion{background:#fbe6e1}.hljs-addition{background:#b8ffb8}.diff .hljs-meta{color:#e9e9e9}p>code,li>code,pre>code{color:#333;background:#f8f8f8}#discourse-tooltip{background-color:#fff;position:absolute;z-index:600;border:1px solid #919191;max-width:400px;margin-top:25px;overflow-wrap:break-word;display:none;font-size:1em;font-weight:500}#discourse-tooltip.retina{border:0.5px solid #919191}#discourse-tooltip .tooltip-pointer{position:relative;background:#fff}#discourse-tooltip .tooltip-pointer:before,#discourse-tooltip .tooltip-pointer:after{position:absolute;pointer-events:none;border:solid transparent;bottom:100%;content:"";height:0;width:0}#discourse-tooltip .tooltip-pointer:after{border-bottom-color:#fff;border-width:8px;left:50%;margin-left:-8px;margin-bottom:-0.5px}#discourse-tooltip .tooltip-pointer:before{border-bottom-color:#919191;border-width:9px;left:50%;margin-left:-9px;margin-bottom:-0.5px}#discourse-tooltip .tooltip-content{padding:1em;max-width:250px;font-size:.8706em;color:#222;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);line-height:1.4em}.page-not-found{margin:0 0 40px 0}.page-not-found h1.title{font-size:2em;line-height:1.2}.page-not-found-search{margin-top:20px}.page-not-found-topics{display:flex}@media screen and (max-width: 600px){.page-not-found-topics{flex-wrap:wrap}}.popular-topics,.recent-topics{box-sizing:border-box;width:50%;max-width:400px;margin-bottom:40px;padding-right:20px}@media screen and (max-width: 600px){.popular-topics,.recent-topics{width:100%}}.popular-topics h2,.recent-topics h2{margin-bottom:10px}.not-found-topic{display:flex;flex-wrap:wrap;align-items:baseline;margin-bottom:15px}@media screen and (max-width: 600px){.not-found-topic:nth-of-type(n+6){display:none}}.not-found-topic a:not(.badge-wrapper){flex-basis:100%}.modal-outer-container{width:100%;height:100%}.modal-middle-container{display:flex;height:100%;align-items:center}.modal-inner-container{box-sizing:border-box;flex:0 1 auto;margin:0 auto;max-width:700px;background-color:#fff;box-shadow:0 8px 60px rgba(0,0,0,0.6)}.modal-inner-container .select-kit{width:220px}.modal-inner-container .select-kit.tag-chooser{width:100%}.modal-open .dropdown-menu{z-index:1400}.modal-open .popover{z-index:1500}.modal-open .tooltip{z-index:1600}.bootbox.modal{position:fixed;z-index:1300;overflow:auto;height:auto;background-color:#fff;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-clip:padding-box}.input-hint-text{margin-left:0.5em;color:#a6a6a6}.modal-header{display:flex;padding:10px 15px;border-bottom:1px solid #e9e9e9;align-items:center}.modal-header .title h3{margin-bottom:0}.modal-header .title p{margin:0}.modal-header .modal-close{align-self:flex-start;order:2;margin-left:auto;padding-left:2em}.modal-header .modal-close .close{color:#646464}.modal-backdrop{position:fixed;top:0;right:0;bottom:0;left:0;z-index:1200;background-color:#111}.modal-backdrop.fade{opacity:0}.modal-backdrop,.modal-backdrop.fade.in{animation:fade 0.3s;opacity:0.9;filter:alpha(opacity=90)}@keyframes fade{from{opacity:0}to{opacity:0.9}}@keyframes slidein{from{transform:translateY(-20%)}to{transform:translateY(0)}}.create-account.in .modal-inner-container,.login-modal.in .modal-inner-container{animation:slidein 0.3s}.inline-modal .modal-inner-container{border:1px solid gray}.fixed-modal{position:fixed;top:0;width:100%;height:100%;z-index:1300;overflow:auto}.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:80vh !important}@media screen and (max-height: 500px){.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:65vh !important}}.modal-form{margin-bottom:0}.modal-footer{padding:14px 15px 10px;border-top:1px solid #e9e9e9}.modal-footer .btn{margin:0 5px 5px 0}.modal.edit-category-modal .modal-body textarea{height:10em}@media screen and (min-width: 524px){.modal.edit-category-modal .modal-inner-container{min-width:525px}}.modal .nav{padding:10px 30px 10px 15px;background-color:#fff;border-bottom:1px solid #e9e9e9}.modal .nav li>a{font-size:1em}.modal.hidden{display:none}.modal .modal-body{box-sizing:border-box;width:100%;overflow-y:auto;max-height:400px}.modal .modal-body.full-height-modal{max-height:calc(100vh - 150px)}.modal .modal-body.insert-link{overflow-y:visible}.modal .modal-body.insert-link input{min-width:300px}.modal .modal-body.insert-link .inputs{position:relative}.modal .modal-body.insert-link .inputs .spinner{position:absolute;right:8px;top:-15px;width:10px;height:10px}.modal .modal-body.insert-link .inputs .internal-link-results{position:absolute;top:70%;padding:5px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:5;background-color:#fff;max-height:150px;width:90%;overflow-y:auto}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link{padding:6px;border-bottom:1px solid #e9e9e9;cursor:pointer;display:block}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:hover,.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:focus{background-color:#ffffa6}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .search-category{display:flex;align-items:center}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .discourse-tags{display:inline-block;font-size:.8706em}.modal .modal-body textarea{width:99%;height:80px}.modal .modal-body p{font-size:1em}.modal .modal-body .archetype-option{margin-bottom:20px}.modal .modal-body .warning{color:#e45735 !important}.modal .password-confirmation{display:none}.modal section.field{padding:0.25em 0;margin-bottom:5px}.modal section.field.with-items{display:flex;align-items:flex-start}.modal section.field .field-item{display:inline-block;margin-right:10px}.modal .modal-body.forgot-password-modal p{font-size:1em}.modal pre code{white-space:pre-wrap;max-width:700px}.reply-where-modal .modal-footer a{display:block}.reply-where-modal .modal-footer .d-modal-cancel{margin:1em 0 0.5em}.reply-where-modal .modal-footer .btn{text-align:left;font-size:1.3195em;line-height:1.2;margin-bottom:10px;font-weight:bold}.reply-where-modal .modal-footer .btn .topic-title{font-weight:normal}.d-modal-cancel{margin-left:1em;color:#919191}.d-modal-cancel:hover{color:#e45735}.delete-user-modal .modal-footer .btn{line-height:1.2}.delete-posts-progress .progress-bar{height:15px;position:relative;background:#bdbdbd;border-radius:25px;overflow:hidden;margin:30px 0 20px}.delete-posts-progress .progress-bar span{display:block;width:0%;height:100%;background-color:#08c;position:relative;transition:width 0.6s linear}.permission-list{list-style:none;margin:0 0 30px;padding:0}.permission-list .name{margin-right:20px;display:inline-block;min-width:100px}.permission-list .permission{margin-left:20px}.permission-list .d-icon-times-circle{margin-left:5px;color:#e45735}.permission-list li{margin-bottom:10px}.edit-category-modal input:not([type="checkbox"]),.edit-category-modal .controls{display:block;margin-bottom:0.5em}.edit-category-modal .disable_info_wrap{position:relative;display:inline-block;float:right}.edit-category-modal .disable_info_wrap .cannot_delete_reason{position:absolute;background:#222;color:#fff;text-align:center;border-radius:2px;padding:12px 8px}.edit-category-modal .disable_info_wrap .cannot_delete_reason::after{top:100%;left:57%;border:solid transparent;content:" ";position:absolute;border-top-color:#222;border-width:8px}.edit-category-modal .permission-selector{margin-right:0.25em}.edit-category-modal .pending-permission-change-alert{margin-left:auto;max-width:250px;background:#434343;color:#fff;margin-top:10px;padding:5px 10px;position:relative}.edit-category-modal .pending-permission-change-alert .arrow-div{border:solid transparent;content:" ";position:absolute;border-bottom-color:#434343;border-width:7px;top:-13px;left:200px}.edit-category-modal .add-permission{position:relative;top:0.1em}.edit-category-modal .edit-category-tab-settings>section{margin-bottom:1.5em}.edit-category-modal .edit-category-tab-settings input[type="number"],.edit-category-modal .edit-category-tab-settings input[type="text"],.edit-category-modal .edit-category-tab-settings .select-kit{width:280px}.edit-category-modal .edit-category-tab-settings label{max-width:280px}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label{flex-wrap:wrap}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label a{margin-left:1.3em}.edit-category-modal #category-min-tags-from-group{width:100px}.incoming-email-modal .btn{transition:none;background-color:transparent;margin-right:5px}.incoming-email-modal .btn:hover,.incoming-email-modal .btn.active{color:#222}.incoming-email-modal .btn.active{font-weight:bold}.incoming-email-modal .btn:focus{outline:2px solid #e9e9e9}.incoming-email-modal .incoming-email-tabs{margin-bottom:15px}.incoming-email-modal .incoming-email-content{height:300px;max-width:700px;width:90vw}.incoming-email-modal .incoming-email-content textarea,.incoming-email-modal .incoming-email-content .incoming-email-html-part{height:95%;border:none;border-top:1px solid #e9e9e9;padding-top:10px}.incoming-email-modal .incoming-email-content textarea{font-family:monospace;resize:none;border-radius:0;box-shadow:none}.incoming-email-modal .incoming-email-content .incoming-email-html-part{padding:10px 4px 4px 4px}.modal .modal-body.change-timestamp #date-container .pika-single{width:100%;box-sizing:border-box;display:flex;justify-content:center}.modal .modal-body.change-timestamp form{display:flex}.modal .modal-body.change-timestamp form .date-picker-wrapper,.modal .modal-body.change-timestamp form input[type="time"]{width:50%}.modal .modal-body.change-timestamp form .date-picker-wrapper{display:flex;flex:1}.modal .modal-body.change-timestamp form .date-picker-wrapper .date-picker{flex:1}.modal .modal-body.change-timestamp form input.date-picker,.modal .modal-body.change-timestamp form input[type="time"]{text-align:left;margin:0}.change-timestamp{max-width:420px}.change-timestamp #date-container .pika-single,.poll-ui-builder #date-container .pika-single{position:relative !important;display:inline-block;margin-top:0.5em}.change-timestamp .date-picker-wrapper,.poll-ui-builder .date-picker-wrapper{min-width:130px;margin-right:0.5em}.change-timestamp input[type="time"],.poll-ui-builder input[type="time"]{width:130px}.change-timestamp form,.poll-ui-builder form{margin:0}.flag-modal{max-height:450px}.flag-modal .flag-action-type-details{width:100%;max-width:500px;line-height:1.4}.flag-message{margin:0}.custom-message-length{color:#919191;font-size:.8706em}.jump-to-post-modal .modal-inner-container{max-width:350px}.jump-to-post-modal .modal-body{overflow-y:visible}.jump-to-post-modal .modal-body #post-jump,.jump-to-post-modal .modal-body .date-picker{margin:0;width:100px}.jump-to-post-modal .modal-body .input-hint-text{color:#222}.jump-to-post-modal .modal-body .jump-to-post-control .index{color:#919191}.jump-to-post-modal .modal-body .jump-to-date-control .input-hint-text{margin-left:0}.jump-to-post-modal .modal-body .separator{display:flex;align-items:center;margin:0.5em auto}.jump-to-post-modal .modal-body .separator hr{flex:1 0 0px}.jump-to-post-modal .modal-body .separator .text{margin:0 0.5em 0 0;color:#919191}.move-to-modal .existing-topic .radio{flex-wrap:wrap}.move-to-modal .existing-topic .topic-title{max-width:90%}.move-to-modal .existing-topic .topic-categories{width:100%}.modal:not(.has-tabs) .modal-tab{position:absolute;width:95%}.modal.has-tabs .modal-tabs{display:inline-flex;flex-wrap:wrap;width:calc(100% - 20px);flex:1 0 auto;margin:0}.modal.has-tabs .modal-tabs .modal-tab{list-style:none;padding:4px 8px;margin-right:4px;cursor:pointer}.modal.has-tabs .modal-tabs .modal-tab.is-active{color:#fff;background:#e45735}.modal.has-tabs .modal-tabs .modal-tab.is-active.single-tab{background:none;color:#222;padding:4px 0}.groups-header{display:flex;flex-wrap:wrap;margin-bottom:1em}.groups-header .groups-header-new{order:2;margin-bottom:0.5em}.groups-header-filters{display:flex;flex-wrap:wrap}.groups-header-filters .groups-header-filters-name,.groups-header-filters .groups-header-filters-type{margin-right:5px;margin-bottom:0.5em}.groups-header-filters:last-child{margin-right:auto}.groups-boxes{margin:1em 0;width:100%;display:flex;flex-wrap:wrap;justify-content:space-between}@supports (display: grid){.groups-boxes{display:grid;grid-template-columns:repeat(4, 24%);grid-column-gap:1.333%;grid-row-gap:1em}@media screen and (max-width: 768px){.groups-boxes{grid-template-columns:repeat(3, 32%);grid-column-gap:2%}}@media screen and (max-width: 450px){.groups-boxes{grid-template-columns:100%}}}.groups-boxes .group-box{flex:1 1 24%;margin:1%;display:flex;box-sizing:border-box;cursor:pointer;border:1px solid #e9e9e9;color:#222}@media screen and (max-width: 450px){.groups-boxes .group-box{margin:0}}.discourse-no-touch .groups-boxes .group-box{transition:all 0.25s}.discourse-no-touch .groups-boxes .group-box:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15)}.groups-boxes .group-box .group-membership{color:#919191;margin-top:auto;padding-top:1em}.groups-boxes .group-box .group-membership .is-group-owner,.groups-boxes .group-box .group-membership .is-group-member{color:#090}.groups-boxes .group-box .group-box-inner{padding:1em;width:100%;display:flex;flex-direction:column;box-sizing:border-box}.groups-boxes .group-box .group-box-inner .group-info-wrapper{display:flex;overflow:hidden;flex:0 1 auto}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-avatar-flair{margin-top:0.2em;margin-right:8px;flex:0 0 auto}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info{flex:1 0 auto;margin-bottom:1em;width:70%}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info span{width:100%;word-break:break-word;line-height:1.2}.groups-boxes .group-box .group-box-inner .group-user-count{display:flex;align-items:center;color:#646464}.groups-boxes .group-box .group-box-inner .group-user-count .d-icon{margin-right:0.25em;font-size:0.8em;color:#919191}.groups-boxes .group-box .group-box-inner .group-description{color:#646464;word-wrap:break-word}.groups-boxes .group-box .groups-info-name{font-size:1.1487em;font-weight:bold;color:#222}.groups-boxes .group-box .group-avatar-flair{display:inline-block;color:#222}.groups-boxes .group-box .group-avatar-flair .avatar-flair{background-size:40px;height:40px;width:40px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat}.groups-boxes .group-box .group-avatar-flair .avatar-flair .d-icon{height:22.22222px;width:22.22222px}.groups-boxes .group-box .avatar-flair-image{width:40px}.caps-lock-warning{color:#e45735;font-size:.8706em;font-weight:bold}.discourse-no-touch #login-form{margin:0}.discourse-touch .caps-lock-warning{display:none}#login-form table{width:100%}#login-form a{color:#646464}#login-form td{padding-right:5px}#login-form #credentials tr:first-of-type{margin-bottom:0.75em}#new-account-link{cursor:pointer}.login-modal tr,.create-account tr{border:none}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:10px 0 0 0}.login-modal td label,.login-modal td input,.create-account td label,.create-account td input{margin-bottom:0;width:100%}.login-modal .modal-footer .inline-spinner,.create-account .modal-footer .inline-spinner{display:inline-flex}.login-modal.awaiting-approval,.create-account.awaiting-approval{display:none}.create-account .disclaimer{color:#919191;margin-top:0.5em}.create-account .user-field>label{margin-top:0.75em;margin-bottom:0;padding-top:5px}.create-account .user-field:first-of-type>label{margin-top:0}.create-account .user-field input[type="text"]{margin-bottom:0;width:100%}.create-account .user-field .select-kit{width:100%}.create-account .user-field .controls{padding-top:5px}.create-account .user-field .controls label{width:auto;text-align:left;font-weight:normal}.create-account .user-field .controls .instructions{margin-top:0.15em;color:#919191;line-height:1.2}.password-reset .instructions label{color:#919191}.invites-show .two-col{position:relative;display:flex}.invites-show .col-image{position:relative;margin-right:20px}@media screen and (max-width: 600px){.invites-show .col-image{display:none}}.invites-show form{margin-top:24px}.invites-show form button.btn-primary{margin-top:10px}.invites-show form label:not(.checkbox-label){font-weight:bold}.invites-show form .controls,.invites-show form .input{margin-bottom:10px}.invites-show form .instructions{color:#919191;margin:0;font-size:.8706em;font-weight:normal;line-height:1.2}.auth-message{padding:0 15px 15px 15px}.auth-message:empty{padding:0}.modal tr.instructions{display:flex;flex-direction:column;margin-top:0.15em}.modal tr.instructions label{color:#919191}button#login-link,button#new-account-link{background:transparent;color:#646464}#security-key{display:flex;flex-wrap:wrap;align-items:center}#security-key button{margin-right:1.5em}#security-key p{margin:0;font-size:1em}#security-key a{display:inline-block;padding:1em 0.5em 1em 0;color:#08c}.menu-panel.slide-in{position:fixed;right:0;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25)}.menu-panel.slide-in.animate{transition:right 0.2s ease-out, left 0.2s ease-out}.menu-panel.slide-in .panel-body{position:absolute;top:3px;bottom:37px;width:97%}.header-cloak{display:none}.menu-panel.drop-down{position:absolute;top:100%;right:-10px}.menu-panel{border:1px solid #e9e9e9;box-shadow:0 12px 12px rgba(0,0,0,0.15);background-color:#fff;z-index:1000;padding:0.5em;width:300px}.menu-panel hr{margin:3px 0}.menu-panel .panel-header{position:absolute;right:20px}.menu-panel ul{list-style:none;margin:0;padding:0}.menu-panel .panel-body{touch-action:pan-y pinch-zoom;overflow-y:auto;overflow-x:hidden;max-height:100vh}.menu-panel .badge-notification{vertical-align:text-bottom}.menu-links.columned li{width:50%;float:left}.menu-panel li a.widget-link,.menu-panel li.heading a.widget-link{padding:0.25em 0.5em;display:block}.menu-panel li a.widget-link:hover,.menu-panel li a.widget-link:focus,.menu-panel li.heading a.widget-link:hover,.menu-panel li.heading a.widget-link:focus{background-color:#ffffa6;outline:none}.menu-panel li .new,.menu-panel li.heading .new{font-size:.8706em;margin-left:0.5em;color:#919191}.menu-panel .categories-link{display:block;padding:0.25em 0.5em}.menu-panel li.category-link{float:left;background-color:transparent;display:inline-flex;align-items:center;padding:0.25em 0.5em;width:50%;box-sizing:border-box}.menu-panel li.category-link a{display:inline-flex}.menu-panel li.category-link a:hover,.menu-panel li.category-link a:focus{background:transparent}.menu-panel li.category-link .badge-notification{color:#919191;background-color:transparent;display:inline;padding:0;font-size:.8706em;line-height:1.4}.menu-panel li.category-link .badge-wrapper.bar,.menu-panel li.category-link .badge-wrapper.bullet{color:#222;padding:0 0 0 0.15em}.menu-panel li.category-link .badge-wrapper.box{color:#fff}.menu-panel li.category-link .badge-wrapper.box+a.badge.badge-notification{padding-top:2px}.menu-panel li.category-link .badge-wrapper.box span{z-index:-1}.menu-panel b.topics-count{color:#919191;font-weight:normal;font-size:.8706em}.menu-panel span.badge-category{max-width:100px}.menu-panel div.discourse-tags{font-size:.8706em}.user-menu .quick-access-panel{width:100%;display:table;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}.user-menu .quick-access-panel h3{padding:0 0.4em;font-weight:bold;margin:0.5em 0}.user-menu .quick-access-panel .d-icon,.user-menu .quick-access-panel:hover .d-icon{color:#919191}.user-menu .quick-access-panel .icon{color:#646464}.user-menu .quick-access-panel li{background-color:#d1f0ff}.user-menu .quick-access-panel li div .fa{display:none}.user-menu .quick-access-panel li span:first-child{color:#222}.user-menu .quick-access-panel li:hover,.user-menu .quick-access-panel li:focus{background-color:#ffffa6;outline:none}.user-menu .quick-access-panel li a{padding:0}.user-menu .quick-access-panel li a>div{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical}.user-menu .quick-access-panel li p{margin:0;overflow:hidden}.user-menu .quick-access-panel li:not(.show-all){padding:0.25em 0.5em}.user-menu .quick-access-panel li:not(.show-all) .d-icon{float:left;margin-right:5px;padding-top:0.2em}.user-menu .quick-access-panel .is-warning .d-icon-far-envelope{color:#e45735}.user-menu .quick-access-panel .read{background-color:#fff}.user-menu .quick-access-panel .none{padding-top:5px}.user-menu .quick-access-panel .spinner-container{min-height:2em}.user-menu .quick-access-panel .spinner{width:20px;height:20px;border-width:2px;margin:0 auto}.user-menu .quick-access-panel .show-all a{width:100%;display:flex;justify-content:center;align-items:center;min-height:30px;color:#919191;background:#f9f9f9}.user-menu .quick-access-panel .show-all a:hover{color:#222;background:#e9e9e9}.user-menu .dismiss-link{display:inline-block;float:right}div.menu-links-header{width:100%;display:table;border-collapse:separate;border-spacing:0 0.5em}div.menu-links-header .menu-links-row{border-bottom:1px solid #e9e9e9;display:flex;padding:0 4px}div.menu-links-header .menu-links-row li{display:inline-flex;align-items:center;flex-wrap:wrap}div.menu-links-header .menu-links-row li.user{margin-right:auto}div.menu-links-header .menu-links-row li.glyphs{flex-wrap:wrap;text-align:right;max-width:65%}div.menu-links-header .menu-links-row li.glyphs a{padding-left:0.6em;padding-right:0.6em}div.menu-links-header .menu-links-row li a{border:1px solid transparent;border-bottom:0}div.menu-links-header .menu-links-row li a.active{border:1px solid #e9e9e9;border-bottom:0;position:relative}div.menu-links-header .menu-links-row li a.active:after{display:block;position:absolute;top:100%;left:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #fff}div.menu-links-header .menu-links-row li a.active:focus,div.menu-links-header .menu-links-row li a.active:hover{background-color:inherit}div.menu-links-header a:hover,div.menu-links-header a:focus{background-color:#ffffa6;outline:none}div.menu-links-header a{padding:0.3em 0.5em}div.menu-links-header a.user-activity-link{align-items:center;display:flex;margin:-0.5em 0;max-width:130px;overflow:visible}div.menu-links-header a.user-activity-link span.d-label{display:block;max-width:130px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}@media screen and (max-width: 350px){div.menu-links-header a.user-activity-link{max-width:125px}}div.menu-links-header li{display:table-cell;width:auto;text-align:center}div.menu-links-header li:first-child{text-align:left}div.menu-links-header li:last-child{text-align:right}div.menu-links-header .fa,div.menu-links-header a{color:#919191}div.menu-links-header .d-icon-user{margin-right:0.475em}.request-group-membership-form label{font-weight:bold}.group-add-membership-request-template{width:98%}.d-editor-container{display:flex;flex-grow:1;max-width:100%}.d-editor{display:flex;flex-grow:1;min-height:0}.d-editor-textarea-wrapper,.d-editor-preview-wrapper{flex:1}.d-editor-textarea-wrapper{display:flex;flex-direction:column;background-color:#fff;position:relative;border:1px solid #919191}.d-editor-textarea-wrapper textarea{background:transparent}.d-editor-textarea-wrapper.disabled{cursor:not-allowed}.d-editor-textarea-wrapper.disabled .d-editor-button-bar{visibility:hidden}.d-editor-preview-wrapper{max-width:49%;margin-left:1%;display:flex;flex-direction:column}.d-editor-button-bar{display:flex;align-items:center;min-height:30px;border-bottom:1px solid #e9e9e9}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{background-color:transparent;display:inline-block}.d-editor-button-bar .btn .d-icon,.d-editor-button-bar .btn-default .d-icon{color:#919191}.d-editor-button-bar .btn svg,.d-editor-button-bar .btn-default svg{-webkit-transform:translate3d(0, 0, 0)}.d-editor-button-bar .d-editor-spacer{height:1em;display:inline-block;border-left:1px solid #bdbdbd}.d-editor-button-bar .btn:not(.no-text){font-size:1.1487em}.d-editor-button-bar .btn.bold{font-weight:bolder}.d-editor-button-bar .btn.italic{font-style:italic}.d-editor-preview-wrapper{overflow:auto;cursor:default;-webkit-overflow-scrolling:touch}.d-editor-input,.d-editor-preview{box-sizing:border-box;flex:1 1 100%;width:100%;margin:0;min-height:auto;word-wrap:break-word;-webkit-appearance:none;border-radius:0}.d-editor-input:focus,.d-editor-preview:focus{box-shadow:none;border:0;outline:0}.d-editor-input{border:0;padding:10px;height:100%;overflow-x:hidden;resize:none}.d-editor-preview{height:auto}.d-editor-plugin{display:flex;flex:1 1;overflow:auto}.composing-whisper .d-editor-preview{font-style:italic;color:#919191 !important}.d-editor-preview>*:first-child{margin-top:0}.hide-preview .d-editor-preview-wrapper{display:none;flex:0}.user-preferences .bio-composer textarea,.group-form-bio textarea,.edit-category-tab-topic-template textarea{width:100%;height:100%;min-height:10em}.user-preferences .bio-composer .d-editor-container,.group-form-bio .d-editor-container,.edit-category-tab-topic-template .d-editor-container{display:block}.user-preferences .bio-composer .d-editor-textarea-wrapper,.group-form-bio .d-editor-textarea-wrapper,.edit-category-tab-topic-template .d-editor-textarea-wrapper{border:1px solid #e9e9e9}.user-preferences .bio-composer .d-editor-preview-wrapper,.group-form-bio .d-editor-preview-wrapper,.edit-category-tab-topic-template .d-editor-preview-wrapper{max-width:100%;margin:10px 0 0 0}.user-preferences .bio-composer .d-editor-preview,.group-form-bio .d-editor-preview,.edit-category-tab-topic-template .d-editor-preview{background-color:#f8f8f8;padding:5px}.user-preferences .bio-composer .d-editor-preview:empty,.group-form-bio .d-editor-preview:empty,.edit-category-tab-topic-template .d-editor-preview:empty{padding:0}.user-preferences .bio-composer,.group-form-bio{padding:10px;border:1px solid #e9e9e9}.d-editor-preview img{padding-bottom:1.4em}.d-editor-preview img.emoji,.d-editor-preview img.avatar,.d-editor-preview img.site-icon{padding-bottom:0}.d-editor-preview .image-wrapper{position:relative;display:inline-block;padding-bottom:1.4em}.d-editor-preview .image-wrapper img{padding-bottom:0}.d-editor-preview .image-wrapper:hover .button-wrapper{opacity:0.9}.d-editor-preview .image-wrapper .button-wrapper{opacity:0;position:absolute;transition:all 0.25s;display:flex;align-items:center;bottom:0;left:0}.d-editor-preview .image-wrapper .button-wrapper .separator{color:#bdbdbd}.d-editor-preview .image-wrapper .button-wrapper .scale-btn{color:#08c;padding:0 0.4em}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:first-of-type{padding-left:0}.d-editor-preview .image-wrapper .button-wrapper .scale-btn.active{font-weight:bold;color:#222}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:not(.active):hover{text-decoration:underline;cursor:pointer}.mobile-view .d-editor-preview .image-wrapper .button-wrapper{opacity:1}.d-editor-button-bar{margin:0.25em}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{padding:0 0.5em}.d-editor-button-bar .d-editor-spacer{margin:0 0.25em}@media screen and (max-width: 450px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.4em}}@media screen and (max-width: 350px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.3em}.text-size-smaller .d-editor-button-bar .d-editor-spacer{margin:0 0.25em}}@media screen and (max-width: 450px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.35em}}@media screen and (max-width: 350px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.25em}}@media screen and (max-width: 450px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.3em}}@media screen and (max-width: 350px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.2em}}.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{font-size:.8706em}@media screen and (max-width: 450px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.3em}}@media screen and (max-width: 350px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.2em}}.timeline-loading{width:900px}.timeline-container{box-sizing:border-box;z-index:100;margin-left:757px;position:fixed;-webkit-transform:translate3d(0, 0, 0)}@media screen and (min-width: 1140px){.timeline-container{margin-left:820px}}@media all and (min-width: 1250px){.timeline-container{margin-left:900px}}.timeline-container.timeline-docked{position:absolute}.timeline-container.timeline-docked-bottom .timeline-footer-controls{opacity:0;pointer-events:none;cursor:default}.timeline-container.timeline-fullscreen.show{max-height:700px;transition:max-height 0.4s ease-out}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen.show{max-height:75vh}}.timeline-container.timeline-fullscreen.show .topic-timeline .timeline-footer-controls{display:inherit}.timeline-container.timeline-fullscreen.show .timeline-controls{display:table-cell;vertical-align:top}.timeline-container.timeline-fullscreen{max-height:0;transition:max-height 0.3s ease-in;position:fixed;margin-left:0;background-color:#fff;bottom:0;left:0;right:0;border-top:1px solid #e9e9e9;box-shadow:0 -1px 40px rgba(0,0,0,0.12);padding-top:20px;z-index:1150}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen{padding-top:10px}}.timeline-container.timeline-fullscreen .back-button{display:none}.timeline-container.timeline-fullscreen .topic-timeline{width:100%;table-layout:fixed;margin-left:0;margin-right:0;display:table;touch-action:none}.timeline-container.timeline-fullscreen .topic-timeline .timeline-date-wrapper{float:right;text-align:right}.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{max-width:650px;max-height:165px;line-height:1.4;overflow:hidden;word-wrap:break-word;text-overflow:ellipsis;display:block;display:-webkit-box;-webkit-line-clamp:8;-webkit-box-orient:vertical}@media screen and (max-height: 425px){.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{-webkit-line-clamp:5}}.timeline-container.timeline-fullscreen .topic-timeline .username{color:#646464;word-wrap:break-word;font-weight:bold}.timeline-container.timeline-fullscreen .topic-timeline .title{margin-top:0;padding-left:1em;display:table-cell;vertical-align:top;width:100%}.timeline-container.timeline-fullscreen .topic-timeline .title h2{margin-top:0;display:block;display:-webkit-box;-webkit-line-clamp:4;-webkit-box-orient:vertical;max-height:110px;line-height:1.2;word-wrap:break-word;text-overflow:ellipsis;overflow:hidden;font-size:1.3195em}.timeline-container.timeline-fullscreen .topic-timeline .title a{color:#222}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read{right:0;margin-left:0}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read .progress{display:none}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls{display:none;position:absolute;bottom:10px;left:10px}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls button,.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls .btn-group{float:none;display:inline-block;margin-bottom:0;margin-right:15px;position:static}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea-wrapper{display:table-cell;padding-bottom:20px;padding-right:1.5em;width:100px}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea{border-left:0;border-right-style:solid;border-right-width:1px;max-width:120px;float:right}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller{position:relative;margin-right:-1.5em;padding-right:1.5em;justify-content:flex-end}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-scroller-content{text-align:right;padding-left:0;padding-right:1em}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-handle{float:none;width:11px;position:relative;right:-6px}.timeline-container.timeline-fullscreen .timeline-scrollarea-wrapper::after{content:"";display:table;clear:both}.timeline-container .topic-timeline{margin-left:3em;transition:opacity 0.2s ease-in;touch-action:none}.timeline-container .topic-timeline .timeline-controls{margin-bottom:1em}.timeline-container .topic-timeline .timeline-controls button{margin-right:0.5em}.timeline-container .topic-timeline .timeline-footer-controls{margin-top:1.5em;transition:opacity 0.2s ease-in;display:flex}.timeline-container .topic-timeline .timeline-footer-controls button{margin-right:0.5em}.timeline-container .topic-timeline .timeline-footer-controls button:last-child{margin-right:0}.timeline-container .topic-timeline .start-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;color:#919191}.timeline-container .topic-timeline .timeline-scrollarea{margin-top:0.5em;margin-left:0.5em;border-left:1px solid;border-color:#d1f0ff;position:relative;-webkit-transform:translate3d(0, 0, 0)}.timeline-container .topic-timeline .timeline-padding{transition:height 0.15s ease-out;cursor:pointer}.widget-dragging .timeline-container .topic-timeline .timeline-padding{transition:none}.timeline-container .topic-timeline .timeline-handle{border-radius:0.8em;width:0.35em;background-color:#d1f0ff;height:100%;float:left;z-index:2}.timeline-container .topic-timeline .timeline-scroller-content{padding-left:1em}.timeline-container .topic-timeline .timeline-ago{color:#919191}.timeline-container .topic-timeline .timeline-scroller{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;margin-left:-0.19em;cursor:ns-resize;display:flex;align-items:center}.timeline-container .topic-timeline .timeline-scroller .back-button{margin-top:1em}.timeline-container .topic-timeline .timeline-replies{font-weight:bold}.timeline-container .topic-timeline .timeline-last-read{position:absolute;margin-left:-0.35em;z-index:3}.timeline-container .topic-timeline .timeline-last-read .progress{font-size:0.8em;color:#08c;margin-right:1em}.timeline-container .topic-timeline .back-button{min-height:unset;padding:2px 5px}.timeline-container .topic-timeline .now-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;display:inline-block;color:#919191;margin-top:0.5em}h3 .top-title-buttons button{margin-top:0.5em}.alert.alert-info{margin:0}.alert.alert-info.clickable{padding:1em}#banner{margin:0 -10px;max-height:180px}@media all and (max-height: 499px){#banner{max-height:100px}}.composer-popup-container{display:none !important}.composer-popup{display:none !important}#reply-control{z-index:1100}#reply-control .reply-area{padding:0 10px;padding-bottom:env(safe-area-inset-bottom);flex-grow:1}@media screen and (max-width: 374px){#reply-control .reply-area{padding:0 5px}}#reply-control.open{height:250px}#reply-control.open.edit-title{height:100%}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh, 1vh) * 100)}body.ios-safari-composer-hacks #reply-control.open .reply-area{padding-bottom:0px}#reply-control .reply-to{margin:5px 0}#reply-control .reply-to .reply-details{max-width:calc(100% - 75px)}@media screen and (max-width: 320px){#reply-control .reply-to .reply-details{flex-wrap:wrap}#reply-control .reply-to .display-edit-reason{margin-top:0.5em}#reply-control .reply-to .composer-controls{align-self:flex-start}}#reply-control .toggler{margin-left:-5px}#reply-control .toggler .d-icon-chevron-down{vertical-align:text-top}#reply-control.draft{padding-bottom:env(safe-area-inset-bottom)}#reply-control.draft .toggle-toolbar,#reply-control.draft .toggler{top:8px}#reply-control.draft .draft-text{width:calc(100% - 40px);overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#reply-control #reply-title{width:calc(100% - 20px)}#reply-control .category-input{margin-bottom:5px}#reply-control .category-input .category-chooser{width:100% !important}#reply-control .submit-panel{margin-bottom:5px;align-items:baseline}#reply-control .submit-panel .save-or-cancel{flex:1 1 auto}#reply-control .submit-panel .save-or-cancel #draft-status,#reply-control .submit-panel .save-or-cancel #file-uploading{margin-left:6px}#reply-control .submit-panel .save-or-cancel .cancel{font-size:1.4em;color:#bdbdbd;margin-left:0.6em;padding:3px 6px}#reply-control .submit-panel .mobile-file-upload:not(.hidden),#reply-control .submit-panel .mobile-preview{display:inline-flex}#reply-control .submit-panel .mobile-file-upload.hidden+.mobile-preview{display:none}#reply-control .submit-panel .mobile-preview{margin-left:0.25em}#reply-control .d-editor-textarea-wrapper{width:100%}#reply-control.show-preview .d-editor-preview-wrapper{position:fixed;z-index:1150;top:0;bottom:0;left:0;right:0;background-color:#fff;max-width:100%;margin:0;padding:10px;overflow:auto}#reply-control.show-preview .d-editor-preview-wrapper .d-editor-preview{margin-bottom:40px}#reply-control.show-preview .btn.hide-preview{position:fixed;right:5px;bottom:5px;z-index:1151}#reply-control.hide-preview .d-editor-preview-wrapper{display:none}#reply-control .d-editor-button-bar{display:none}#reply-control .toolbar-visible .d-editor-button-bar{display:flex}#reply-control .d-editor-button-bar .btn.preview{margin:0}#reply-control #mobile-uploader{display:none}#reply-control .title-and-category,#reply-control .user-selector{margin:0}#reply-control .title-and-category .users-input,#reply-control .user-selector .users-input{margin-bottom:5px}#reply-control .with-tags .category-input{flex-basis:auto;flex:1 0 0px;margin:0;width:45%;margin-bottom:5px}#reply-control .with-tags .mini-tag-chooser{width:50%;flex:1 0 0px;margin-left:5px;margin-bottom:5px;z-index:1}#reply-control .title-input,#reply-control .category-input,#reply-control .users-input,#reply-control .add-warning{width:100%}#reply-control .add-warning{margin:0 0 5px 5px}#reply-control .whisper{margin-right:5px}body{background-color:#fff}.ios-device textarea{background-color:#fff;font-size:1.07em}.ios-device input[type="text"],.ios-device input[type="password"],.ios-device input[type="datetime"],.ios-device input[type="datetime-local"],.ios-device input[type="date"],.ios-device input[type="month"],.ios-device input[type="time"],.ios-device input[type="week"],.ios-device input[type="number"],.ios-device input[type="email"],.ios-device input[type="url"],.ios-device input[type="search"],.ios-device input[type="tel"],.ios-device input[type="color"]{font-size:1.07em}blockquote{padding:10px 8px 10px 13px}blockquote p{margin:0 0 10px 0}blockquote p:last-of-type{margin-bottom:0}.wrap{padding:0 10px}.boxed .contents{padding:10px 0 0 0}.control-group{margin-bottom:9px}.badge-wrapper{font-weight:normal}.mobile-nav{margin:0;padding:0;list-style:none;overflow:visible;position:relative;border:1px solid #919191;min-height:37px}.mobile-nav a{color:#222}.mobile-nav a .d-icon{margin-right:0.25em;color:#919191}.mobile-nav>li>a{display:flex;align-items:center;padding:8px 10px;height:100%;width:100%;box-sizing:border-box}.mobile-nav .expander .d-icon:last-of-type{margin-left:auto;margin-right:0}.mobile-nav .drop{display:none}.mobile-nav .drop.expanded{left:0;display:block;position:absolute;z-index:300;background-color:#fff;width:100%;list-style:none;margin:0;padding:5px;border:1px solid #e9e9e9;box-sizing:border-box}.mobile-nav .drop.expanded li{margin:5px 0;padding:0}.mobile-nav .drop.expanded li a{height:100%;display:block;padding:5px 8px}.form-vertical .control-group{margin-bottom:12px}#main{position:relative}#simple-container{width:90%}[data-user-card]:focus .avatar,[data-user-card]:focus+.avatar-flair{animation:wave 0.75s infinite;animation-delay:0.5s}[data-user-card]:focus .avatar{position:relative}.d-header{height:3.66em}.d-header .title{max-width:75%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;-webkit-animation:fadein 0.5s;animation:fadein 0.5s;min-width:36px}.d-header .title a{display:block;width:100%}.d-header #site-logo{max-height:2.4em;max-width:100%}.d-header #site-text-logo{margin:0;font-size:1.1487em}.d-header .extra-info-wrapper .extra-info:not(.two-rows){min-height:2.25em}.d-header .extra-info-wrapper .extra-info .header-title{font-size:1em;margin:0 0 0.35em 0}.archetype-private_message .d-header .extra-info-wrapper .extra-info .header-title{margin:0 0 0.15em 0}.d-header .extra-info-wrapper .extra-info .private-message-glyph-wrapper{float:left}.d-header button.sign-up-button{display:none}.d-header .extra-info-wrapper+.panel .header-buttons,.d-header .extra-info-wrapper+.panel .d-header-icons{display:none}.d-header .panel{animation:fadein 0.5s}.d-header .d-header-icons{-webkit-transform:translateZ(0)}.d-header-icons .d-icon{line-height:1.2}.d-header-icons .active .icon:after{margin-top:-1px}#main-outlet{padding-top:4.2857em}.search-link .badge-category{display:none}.login-modal .modal-inner-container,.create-account .modal-inner-container{max-width:350px}.login-modal .close,.create-account .close{padding:0}.login-modal #login-buttons:not(.hidden),.create-account #login-buttons:not(.hidden){display:flex;flex-wrap:wrap;justify-content:center;width:102%;padding-bottom:10px;margin-left:-2%}.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{flex:1 1 47%;max-width:70%;margin:1% 0 1% 2%;font-size:1em;white-space:nowrap}@media screen and (max-width: 360px){.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{font-size:1em}}.login-modal #login-buttons:not(.hidden)+#login-form,.create-account #login-buttons:not(.hidden)+#login-form{border-top:1px solid #e9e9e9}.login-modal form,.create-account form{display:flex;justify-content:center;flex-direction:column}.login-modal table,.create-account table{width:100%}.login-modal tr.input td label,.create-account tr.input td label{margin-top:0.75em}.login-modal tr td label,.create-account tr td label{max-width:280px;display:block;overflow:hidden;word-wrap:break-word}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:2px 0 0 0}.login-modal tr:not(.password-confirmation),.create-account tr:not(.password-confirmation){display:flex;flex-direction:column}.login-modal .tip:not(:empty)+td,.create-account .tip:not(:empty)+td{display:none}.login-modal .modal-body input[type="text"],.login-modal .modal-body input[type="email"],.login-modal .modal-body input[type="password"],.login-modal .modal-body input[type="tel"],.create-account .modal-body input[type="text"],.create-account .modal-body input[type="email"],.create-account .modal-body input[type="password"],.create-account .modal-body input[type="tel"]{margin-top:0;width:100%;box-sizing:border-box}.login-modal .modal-footer,.create-account .modal-footer{box-sizing:border-box;margin:0 auto;font-size:.8706em}.login-modal .alert.alert-error,.create-account .alert.alert-error{padding:0.5em 1em;margin:0}.login-modal #new-account-link,.create-account #new-account-link{white-space:nowrap}.d-modal.login-modal #credentials{width:100%}.d-modal.login-modal #credentials tr{display:flex;flex-direction:column}.d-modal.login-modal #login-form{margin-bottom:0.75em}.d-modal.login-modal #login-form td{padding:0;width:100%;margin:0 auto}.d-modal.login-modal #login-form label{float:left;display:block}.d-modal.login-modal #login-form textarea,.d-modal.login-modal #login-form input,.d-modal.login-modal #login-form select{font-size:1.1487em;clear:left;margin-top:0}.d-modal.login-modal tr td label{margin-top:0.75em;padding:4px 0}.create-account .modal-body{display:flex;flex-direction:column}.create-account .modal-body tr.instructions label{color:#919191}.create-account .modal-body #login-buttons{border-bottom:1px solid #e9e9e9}.create-account .modal-body .login-form{margin-bottom:0.75em}.create-account .user-fields{display:flex;flex-direction:column}.create-account .user-field{display:flex;flex-direction:column}.create-account .user-field>label{width:auto}.create-account .user-field .controls{margin-left:0}.create-account .user-field .controls label{line-height:1.2}.password-reset,.email-login,.invites-show{margin-top:30px}.password-reset .col-image,.email-login .col-image,.invites-show .col-image{padding-top:12px}.password-reset .password-reset-img,.email-login .password-reset-img,.invites-show .password-reset-img{width:50px;height:50px}.password-reset .col-form,.email-login .col-form,.invites-show .col-form{padding-left:8px}.password-reset h2,.email-login h2,.invites-show h2{margin-bottom:12px}.password-reset .tip,.email-login .tip,.invites-show .tip{display:block;margin:6px 0}.password-reset .tip{max-width:180px}.discourse-touch .password-reset .instructions{margin-bottom:16px}.invites-show .col-image{display:none}.modal-open #main{overflow:hidden}.modal-middle-container{max-width:100%;margin-bottom:30px}.bootbox.modal{top:10%;width:100%}.modal.fade{transition:opacity 0.3s linear, top 0.3s ease-out;top:-25%}.modal.fade.in{top:50%}.modal-body{padding:10px}.modal-footer{padding:10px}.modal-header{padding:10px}.modal-header h3{font-size:1.3195em}.close{font-size:1.7511em}#move-selected p{margin-top:0}#move-selected input[type="radio"]{margin-right:10px}#move-selected .category-chooser{margin-bottom:9px}#move-selected button{margin-top:10px;display:block;width:300px}#move-selected form{margin-top:20px}#move-selected form input:not(.filter-input)[type="text"]{box-sizing:border-box;width:100%}@media only screen and (max-device-width: 568px){.modal .flag-modal .flag-message{height:3em}}.edit-category-modal .modal-body{position:relative;height:350px}.edit-category-modal.small .modal-body{height:310px}.edit-category-modal .disable_info_wrap .cannot_delete_reason{top:-114px;right:8px;min-width:200px}.modal-inner-container{margin-bottom:20px}.fixed-modal .modal-middle-container{margin-bottom:0}.fixed-modal .modal-inner-container{max-height:90vh;overflow:auto}.list-controls{margin:10px -3px 5px -3px}.list-controls .category-breadcrumb.hidden{display:none}.list-controls .container{display:flex;flex-wrap:wrap;align-items:center}.list-controls .container #create-topic{box-sizing:border-box;display:flex;align-self:stretch;align-items:center;margin:0 3px 10px 3px;order:10}.list-controls .dropdown-select-box-header{display:flex;height:100%}.list-controls .navigation-container{display:flex;flex-wrap:wrap;width:100%;margin:5px 0}.list-controls .navigation-container button{margin:0 3px}.list-controls .navigation-container button.select-kit-header{display:flex;height:100%;flex:1 1 auto}.list-controls .select-kit:not(.is-hidden){display:flex;align-self:stretch;margin-bottom:10px}.list-controls .btn:not(.select-kit-header){margin-bottom:10px}.list-controls .categories-admin-dropdown,.list-controls .tag-notifications-button{order:2}.list-controls .category-navigation{display:flex;flex-wrap:wrap;width:100%}.list-controls .category-navigation .edit-category .d-icon{margin:0}@media screen and (max-width: 374px){.list-controls .category-navigation .edit-category .d-button-label{display:none}}.list-controls .nav-pills{display:flex;flex:1 1 auto;margin:0 3px 5px 3px;position:relative}.list-controls .nav-pills .navigation-toggle{flex:0 1 auto;margin-bottom:5px}.list-controls .nav-pills>li{margin-right:0;font-size:.8706em;border:1px solid #919191}.list-controls .nav-pills>li>a{line-height:1.4;display:flex;align-items:center}.list-controls .nav-pills>li>a .d-icon{margin-left:5px}.list-controls .nav-pills .drop{border:1px solid #e9e9e9;position:absolute;z-index:299;background-color:#fff;padding:0 10px 10px 10px;width:150px;top:100%;margin:0;left:0}.list-controls .nav-pills .drop li{list-style-type:none;margin-left:0;margin-top:5px;padding-top:10px}.list-controls .nav-pills .drop li a{width:100%;display:inline-block}.list-container .full-width{margin-left:0}.topic-list .right{margin-left:55px}.topic-list th,.topic-list td{padding:7px 0;max-width:300px}.topic-list .main-link{line-height:1.2;position:relative;z-index:2}.topic-list .main-link a.title{color:#222;padding:0.5em 0 1.2em 0}.topic-list .main-link .topic-statuses a{line-height:0.8;color:#919191}.topic-list .badge-notification,.topic-list .category-topic-link td.num .badge-notification{position:relative;display:inline-block;top:-1px;font-size:1em;line-height:1;padding:0.15em 0.4em 0.2em 0.4em}.topic-list .badge-notification .d-icon,.topic-list .category-topic-link td.num .badge-notification .d-icon{color:#fff}.topic-list .badge-notification.new-topic::before,.topic-list .category-topic-link td.num .badge-notification.new-topic::before{margin-right:0}.topic-list .badge-notification.new-topic,.topic-list .category-topic-link td.num .badge-notification.new-topic{padding:0}.topic-list .category-topic-link td.num .badge-notification.new-posts,.topic-list .category-topic-link td.num .badge-notification.unread-posts{color:#fff}.topic-list .topic-item-stats{position:relative;margin-top:0.25em;z-index:1}.topic-list .topic-item-stats .category,.topic-list .topic-item-stats .num,.topic-list .topic-item-stats .last-poster{float:left}.topic-list .topic-item-stats .category a{max-width:160px}.topic-list .topic-item-stats .num .fa,.topic-list .topic-item-stats a,.topic-list .topic-item-stats a:visited{color:#919191}.topic-list .age{white-space:nowrap}.topic-list .age a{color:#bdbdbd !important}.categories-list .category-list{margin-left:-10px;margin-bottom:2em}.categories-list .category-list td{padding:12px 5px;color:#919191;vertical-align:top}.categories-list .category-list th{padding:10px 0 0}.categories-list .category-list td:first-of-type{padding-left:10px}.categories-list .category-list tbody .category{border-left:6px solid}.category-list-item.category{box-sizing:border-box}.category-list-item.category tr:first-of-type{border:none}.category-list-item.category *,.category-list-item.category *:before,.category-list-item.category *:after{box-sizing:inherit}.category-list-item.category .posts{width:10%;vertical-align:top}.category-list-item.category .age{margin-left:5px}tr.category-topic-link{border-bottom:1px solid #e9e9e9}tr.category-topic-link:last-of-type{border-bottom:none}.category-list-item{padding:5px 0 2px;border-left:6px solid;border-top:1px solid}.category-list-item h3{max-width:100%;font-size:1.3195em;padding:0 0 0 10px}.category-list-item h3 .d-icon{margin-right:5px}.category-list-item h3 a[href]{color:#222}.category-list-item .category-name{max-width:80vw}.category-list-item .category-topic-link .main-link,.category-list-item .subcategories-list td,.category-list-item .category-description td{padding-left:10px}.category-list-item .category-topic-link .main-link .age{font-size:.8706em}.category-list-item .category-description td{padding-top:0;padding-bottom:15px}.category-list-item .subcategories-list td{padding-top:15px}.category-list-item .topic-list>tbody>tr:nth-child(odd){background-color:#fff}.category-list-item .topic-list>tbody>tr:nth-child(even){background-color:#fff}.category-list-item th .badge-category{margin:0}.category-list-item .category-topic-link .num{white-space:nowrap}.category-list-item .category-topic-link .topic-excerpt{width:110%}.category-list-item .posters{float:left}.category-list-item>footer{border-top:1px solid #e9e9e9;padding:7px 10px}.category-list-item>footer figure{float:left;margin:3px 7px 0 0;color:#222;font-weight:bold;font-size:.8706em}.category-list-item>footer figcaption{display:inline;font-weight:normal}.category-list-item>footer .btn{float:right;margin-left:7px}.category-box h3{margin:0 0 0.5em 0}.topic-list-bottom{margin:20px 0 0 0}.btn-group .dropdown-toggle:active,.btn-group.open .dropdown-toggle{outline:0}.dropdown{position:relative}.dropdown-toggle:active,.open .dropdown-toggle{outline:0}.caret{display:inline-block;width:0;height:0;vertical-align:middle;border-top:4px solid #222;border-right:4px solid transparent;border-left:4px solid transparent;content:"";margin-left:5px}.dropdown-menu{position:relative;top:100%;left:0;z-index:300;display:none;float:left;width:280px;padding:4px 0;list-style:none;background-color:#fff;border:1px solid rgba(0,0,0,0.2);border-radius:5px;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);background-clip:padding-box;margin:1px 0 20px}.dropdown-menu .title{font-weight:bold;display:block}.dropdown-menu a{display:block;padding:3px 15px;clear:both;font-weight:normal;line-height:1.2;color:#222}.dropdown-menu li>a:hover,.dropdown-menu .active>a,.dropdown-menu .active>a:hover{color:#08c;text-decoration:none;background-color:#d1f0ff}.open>.dropdown-menu{display:block;clear:both}.fade{opacity:0;transition:opacity linear 0.15s}.fade.in{opacity:1}ol.category-breadcrumb{margin:0 0 5px 0;display:flex;flex-wrap:wrap;flex:1 1 100%}ol.category-breadcrumb li.select-kit{flex:1 1 33%;margin:0 3px 5px 3px}ol.category-breadcrumb li.select-kit .select-kit-header .selected-name{max-width:80vw}ol.category-breadcrumb li.select-kit .select-kit-header .selected-name .badge-wrapper{max-width:100%}.top-lists h2{margin-left:10px}.top-lists .topic-list{padding-bottom:10px}.top-lists .btn-default.pull-right{margin-right:10px}.tags-admin-menu{display:none}.staff.tags-page #create-topic{clear:right}.topic-list-bottom h3{clear:both;padding-top:10px}.category-logo.aspect-image{display:block;margin:8px 0}.category-logo.aspect-image img{width:auto;max-width:100%;max-height:150px}@supports (--custom: property){.category-logo.aspect-image{--max-height: 150px;max-height:var(--max-height);width:calc(var(--max-height) * var(--aspect-ratio));max-width:100%;height:auto}.category-logo.aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial}}button.dismiss-read{margin-right:10px}td .main-link{width:78%;display:inline-block}td .main-link a.title{padding:5px 10px 5px 0;word-wrap:break-word}.topic-list .posts-map{font-size:1.1487em}.topic-list .topic-excerpt{padding-right:0;width:120%}.category-list.with-topics .category-list-item .category-description{display:none}.time-gap+.topic-post article{border-top:none}.time-gap .topic-avatar{display:none}.topic-post article{border-top:1px solid #e9e9e9;padding:15px 0 8px 0}.post-stream{padding-bottom:30px}span.badge-posts{margin-right:5px}.show-replies{display:none}.topic-post nav.post-controls{color:#bdbdbd}.topic-post nav.post-controls .actions{display:flex}.topic-post nav.post-controls .double-button{display:flex;flex:0 1 auto}.topic-post nav.post-controls .double-button button.like,.topic-post nav.post-controls .double-button button.read-indicator,.topic-post nav.post-controls .double-button button.create-flag{flex:1 1 auto}.topic-post nav.post-controls .double-button button.button-count{padding:8px 4px 8px 8px}.topic-post nav.post-controls .double-button button.button-count+.toggle-like,.topic-post nav.post-controls .double-button button.button-count+.create-flag{padding:8px 8px 8px 4px}.topic-post nav.post-controls .double-button button.button-count.my-likes,.topic-post nav.post-controls .double-button button.button-count.regular-likes{display:flex;max-width:unset;padding:8px}.topic-post nav.post-controls .double-button button.button-count.my-likes .d-icon,.topic-post nav.post-controls .double-button button.button-count.regular-likes .d-icon{padding-left:8px}.topic-post nav.post-controls .d-icon{opacity:1}.topic-post nav.post-controls button{border:none;font-size:1.1487em;padding:10px 8px;background:transparent;flex:1 1 auto;max-width:45px}.topic-post nav.post-controls button.hidden{display:none}.topic-post nav.post-controls button.admin{position:relative}.topic-post nav.post-controls button.expand-post{margin:10px 0 10px 0}.topic-post nav.post-controls button.reply{margin-left:auto}.topic-post nav.post-controls button.reply .d-icon{color:#646464}.topic-post nav.post-controls button.has-like .d-icon{color:#fa6c8d}.topic-post nav.post-controls button.bookmarked .d-icon{color:#08c}.post-admin-menu{display:inline-flex;flex-direction:column;box-sizing:border-box;background-color:#fff;width:auto;max-width:320px;padding:10px;border:1px solid #e9e9e9;position:absolute;text-align:left;bottom:-50px;left:135px;z-index:300}@media screen and (max-width: 374px){.post-admin-menu{left:50px}}.post-admin-menu h3{margin-top:0;color:#222;font-size:1em}.post-admin-menu ul{list-style:none;margin:10px 0 0 0}.post-admin-menu li{margin-bottom:5px}.post-admin-menu li .d-icon{width:14px;margin-right:10px}.embedded-posts .topic-meta-data h5 a{margin-left:10px}.post-action{float:right;margin-right:10px;clear:right}.post-action .relative-date{margin-left:5px}a.reply-to-tab{z-index:2;color:#919191;margin-right:0.5em}.topic-post .boxed .contents{clear:both}.topic-map{margin:10px 0}.topic-map h4{line-height:1.2}.topic-map .user{float:left;margin-right:10px}.topic-map .map-collapsed .secondary{display:none}.topic-map .map li{float:left;padding:7px 8px}.topic-map .map li:last-of-type{border-right:0}.topic-map .map .number{line-height:1.2}.topic-map .map .number,.topic-map .map .d-icon{color:#646464;font-size:1.1487em}.topic-map .map .avatar+a{float:left}.topic-map li.avatars{display:none}.topic-map .links,.topic-map .information,.topic-map .avatars{padding:10px;color:#222;overflow:auto}.topic-map .information p{margin:0 0 10px 0}.topic-map .buttons .btn{border:0;padding:0 15px;color:#919191;background:#f9f9f9;border-left:1px solid #e9e9e9}.topic-map .buttons .btn .fa{margin:0;font-size:1.3195em;line-height:52px}.topic-map .link-summary .btn{color:#919191;background:#f9f9f9;width:100%}#topic-footer-buttons{padding:20px 0 0 0}#topic-footer-buttons:before,#topic-footer-buttons:after{content:"";display:table}#topic-footer-buttons:after{clear:both}#topic-footer-buttons .d-icon-bookmark.bookmarked{color:#08c}#topic-footer-buttons .combobox{margin-right:0.5em;width:160px;margin-bottom:0.5em}#topic-footer-buttons .topic-notifications-button,#topic-footer-buttons .pinned-button{display:flex;align-items:center}@media screen and (max-width: 350px){#topic-footer-buttons .topic-notifications-button,#topic-footer-buttons .pinned-button{display:inline-block}#topic-footer-buttons .topic-notifications-button .reason,#topic-footer-buttons .pinned-button .reason{display:block;margin:0.5em 0 0 0}}#topic-footer-button{width:100px;margin:0 auto}.suggested-topics{clear:left;padding:20px 0 15px 0}.suggested-topics th.views,.suggested-topics td.views,.suggested-topics td.activity,.suggested-topics th.activity,.suggested-topics th.likes,.suggested-topics td.likes{display:none}.suggested-topics a.badge-category,.suggested-topics a.badge-category-parent{font-size:.8706em;vertical-align:top}span.post-count{background:#222;color:#fff;opacity:0.8}#topic-footer-buttons .btn{margin-bottom:0.5em;margin-right:0.5em}#topic-title{z-index:2;margin:0 0 0 0 !important;padding:15px 0}.topic-body{overflow:visible}.topic-body .cooked{overflow:visible}[class*="archetype-"] #main-outlet{overflow:hidden}.quote-button.visible{display:block;z-index:600}iframe{max-width:100%}.open>.dropdown-menu{display:block}.dropdown-menu li{margin:5px 0}.dropdown-menu li .fa{float:left;margin-right:5px;padding-top:1px}.dropdown-menu li span{color:#919191}.dropdown-menu li span.title{color:#222}.btn-group{margin-top:25px;position:relative}.dropdown-toggle{float:left;position:relative}.selected-posts{padding:0.1em 0.7em}.select-posts button{display:none}button.select-post{display:inline-block}.deleted .topic-body{background-color:rgba(242,171,154,0.7)}.deleted-user-avatar{font-size:2em}span.btn-text{display:none}blockquote{clear:both;margin-left:0;margin-right:0}.gap{padding:0.25em 0}.posts-wrapper{position:relative}span.highlighted{background-color:#ffffca}.topic-avatar{float:left;margin-right:10px;z-index:2}.topic-meta-data{margin-left:50px;font-size:.8706em}.topic-meta-data .names{line-height:1.2;display:flex;flex-wrap:wrap}.topic-meta-data .names .full-name{font-weight:bold}.topic-meta-data .names .first{order:1}.topic-meta-data .names .poster-icon{order:2}.topic-meta-data .names .second{order:3;flex-basis:100%}.topic-meta-data .names .user-title{order:4;flex-basis:100%}.topic-meta-data .names span{margin-right:4px}.username.new-user a{color:#bdbdbd}.user-title{color:#919191;overflow:hidden;margin-right:50px}.read-state{display:none}.signup-cta{margin-left:auto;margin-right:auto;width:calc(100% - 50px)}.signup-cta a{margin-top:7px}.signup-cta button{margin-right:7px}.popup-menu h3{margin-bottom:0}.post-notice{margin-bottom:1em}.post-notice.old{border-top:none;padding-top:0}.post-info a{color:#919191}.topic-meta-data-inside{float:right;margin-top:-38px;margin-right:5px}.post-info{display:inline-block}#topic-title{margin:0 60px 10px 0}#topic-title h1{font-size:1.5157em;line-height:1.2}#topic-title h1 a{color:#222;vertical-align:middle;word-wrap:break-word}#topic-title .title-category-wrapper{margin-top:5px}#topic-title .private-message-glyph{display:none}.private_message #topic-title .private-message-glyph{display:inline}.topic-status-info{padding-left:10px;border-top:1px solid #e9e9e9;padding-top:10px}.topic-status-info h3{margin:0;display:flex}.topic-status-info h3 button{align-self:flex-start}#topic-progress-wrapper{position:fixed;right:0;bottom:0;z-index:100}#topic-progress-wrapper:not(.docked){margin-bottom:env(safe-area-inset-bottom)}#topic-progress-expanded{border:1px solid #e9e9e9;padding:5px;background:#fff;position:absolute;bottom:34px;width:135px}#topic-progress-expanded button.full{width:100%;margin-bottom:5px}#topic-progress-expanded button.full .d-icon{display:block;margin-top:2px;margin-bottom:2px;font-size:1.3195em}#topic-progress-expanded .jump-form input[type="text"]{float:left;width:45px;height:20px;text-align:center;font-size:1.1487em}#topic-progress-expanded .jump-form button.btn{float:right !important;width:55px}#topic-progress-expanded button.btn.jump-prompt{margin:0}#topic-progress-expanded button.btn.jump-bottom{margin-top:5px;margin-bottom:0}#topic-progress{position:relative;background-color:#fff;color:#08c;border:1px solid #d1f0ff;width:145px;height:42px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}#topic-progress.hidden{display:none}#topic-progress .nums{position:relative;top:12px;width:100%;text-align:center;z-index:1}#topic-progress h4{display:inline;font-size:1.3195em;line-height:1}#topic-progress .d-icon{position:absolute;right:8px;bottom:9px;z-index:1}#topic-progress .bg{position:absolute;top:0;bottom:0;width:0;border-right:1px solid #d1f0ff;background-color:#d1f0ff;transition:width 0.75s}.topic-error,.topic-notice{padding:18px;width:90%;margin-left:auto;margin-right:auto;font-size:1.7511em;line-height:1.2}.topic-error .topic-retry,.topic-error .topic-join-group,.topic-notice .topic-retry,.topic-notice .topic-join-group{display:block;margin-top:20px;margin-left:auto;margin-right:auto}#topic-progress-wrapper.docked{position:absolute}.topic-post:last-of-type{padding-bottom:40px}sup sup,sub sup,sup sub,sub sub{top:0}#topic-title .title-wrapper{position:relative;float:none;width:100%}#topic-title .title-wrapper input#edit-title{width:100%}#topic-title .title-wrapper .select-kit.combo-box.category-chooser{width:100%;margin-top:0}#topic-title .title-wrapper .topic-statuses{line-height:1}.topic-timeline .start-date,.topic-timeline .now-date{font-size:1.1487em;padding:5px}.topic-timeline .topic-category{margin-bottom:0.5rem}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -10px -10px -10px;padding:10px}.edit-topic-timer-modal .btn.pull-right{margin-right:0}.topic-footer-main-buttons{display:flex;align-items:center;flex-wrap:wrap}.upload-selector input[type="text"]{width:calc(100% - 20px)}.upload-selector input[type="file"]{font-size:1em;line-height:1.2}.upload-selector .description{color:#919191}.upload-selector .radios{display:flex;flex-wrap:wrap;align-items:center}.upload-selector .radios:first-of-type{margin-bottom:1em}.upload-selector .radios input,.upload-selector .radios label{min-height:20px;line-height:1.2;margin:0}.upload-selector .radios .radio{padding-left:5px}.upload-selector .radios .inputs{margin-top:10px;width:100%}.uploaded-image-preview{height:150px}.user-content-wrapper{display:grid;grid-template-columns:1fr 1fr;grid-template-rows:auto auto auto;grid-row-gap:20px;grid-column-gap:16px}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-row-start:1;grid-column-end:2}.user-content-wrapper .user-secondary-navigation{grid-column-start:2;grid-row-start:1}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:1}.user-content-wrapper .user-additional-controls{grid-column-start:1;grid-row-start:2}.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:3;grid-column-start:1}.user-main{margin-top:12px}.user-main .user-content{box-sizing:border-box;background-color:#fff}.user-main .user-content table{width:100%;margin-top:12px}.user-main .about{margin-bottom:0;color:#fff}.user-main .about .secondary dl{padding:8px 0}.user-main .about .details{margin-bottom:12px}.user-main .about .details h1{line-height:1}.user-main .about .details h2{line-height:1.2}.user-main .about .details .user-profile-avatar{display:block;float:none;margin:8px auto}.user-main .about .details .user-profile-avatar .avatar-flair{right:2px}.user-main .about .details .user-profile-avatar img.avatar{float:none}.user-main .about .details .user-profile-names{text-align:center}.user-main .about .details .location-and-website{display:flex;flex-wrap:wrap;justify-content:center;font-size:1em}.user-main .about .details .location-and-website .d-icon{width:0.8em;height:0.8em;margin-right:0.25em}.user-main .about .details .location-and-website a{text-decoration:underline}.user-main .about .details .user-profile-location{margin-right:1em}.user-main .about .details .user-profile-location,.user-main .about .details .user-profile-website{justify-content:center;display:flex;align-items:center}.user-main .about .primary{display:flex;flex-wrap:wrap;color:#222}.user-main .about .primary .avatar{margin:0 0 12px}.user-main .about .primary .primary-textual{flex:1 1 100%;word-break:break-word;margin:0;max-width:100%}.user-main .about .primary .bio{color:#222;margin:0 auto 8px;max-width:700px;text-align:center}.user-main .about.has-background .user-profile-image{height:200px}.user-main .about.has-background .user-profile-avatar{margin-top:-60px}.user-main .about .controls{order:3;flex:1 1 25%;margin-left:auto}.user-main .about .controls ul{margin:0;display:flex;flex:1 1 auto;flex-wrap:wrap;margin-left:-1em}.user-main .about .controls ul li,.user-main .about .controls ul>span{display:flex;flex:1 1 45%;margin-left:1em}.user-main .about .controls ul li button,.user-main .about .controls ul li a,.user-main .about .controls ul>span button,.user-main .about .controls ul>span a{width:100%}.user-main .about .controls ul li .select-kit.dropdown-select-box.user-notifications-dropdown,.user-main .about .controls ul>span .select-kit.dropdown-select-box.user-notifications-dropdown{width:100%}.user-main .about .controls ul li .select-kit.dropdown-select-box.user-notifications-dropdown li,.user-main .about .controls ul>span .select-kit.dropdown-select-box.user-notifications-dropdown li{flex:1 1 100%;margin-left:0}.user-main .about .controls .user-profile-controls-outlet{margin:0 0 0 1em}.user-main .about .controls .user-profile-controls-outlet li{margin:0}.user-main .about .controls a{flex:1 1 auto;min-width:120px}.user-main .user-field label{width:auto;text-align:left;font-weight:bold}.user-main .collapsed-info.about.has-background{background-image:none !important}.user-main .collapsed-info.about.has-background .details{margin-top:0}.user-main .collapsed-info.about .details{display:flex}.user-main .collapsed-info.about .details .user-profile-avatar{margin:0;flex:0 0 auto;align-self:flex-start}.user-main .collapsed-info.about .details .primary .primary-textual{flex:1 0 80%;margin:0}.user-main .collapsed-info.about .details .user-profile-names{text-align:left}.form-horizontal .control-group.category{margin-top:18px}.paginated-topics-list{margin-top:20px}.stats-section li{margin:0 15px 10px 0;padding:0}.stats-section li.linked-stat a{padding:0}.badge-card.medium{width:100%}.user-badges{margin-bottom:2em}.user-preferences{padding-bottom:2em}.user-preferences .instructions{margin-top:4px}.user-preferences .controls-dropdown{margin-bottom:16px}.user-preferences .delete-account{overflow:hidden}.user-preferences .checkbox-label{display:flex;overflow:auto;width:100%;padding:5px 0}.user-preferences .checkbox-label input{margin-right:5px;flex:0 0 auto}.user-preferences .apps .controls button{float:right}.user-right>.alert:first-child,.user-right>.user-stream>.alert:first-child{margin-top:20px}.user-invites-page .admin-controls{flex-wrap:wrap}.user-invites-page .admin-controls .pull-right{flex:1 1 100%;font-size:.8706em;padding:0}.user-invites-page table tr:first-of-type{display:none}.user-invites-page table tr{display:flex;flex-wrap:wrap;margin-bottom:1em}.user-invites-page table td:first-of-type{margin-right:1em}.user-invites-page table td:nth-of-type(n+3){display:block;width:50%;padding:0.25em 0 1em 0}.user-invites-page .user-invite-none{margin-top:1em}.modal.history-modal button{float:none}.modal.history-modal .modal-body{height:62vh}.modal.history-modal .modal-inner-container{min-height:400px}.modal.history-modal #revisions{max-width:90vw}.modal.history-modal #display-modes{display:none}.modal.history-modal #revision-numbers{line-height:1.4}.modal.history-modal img{max-width:95%;height:auto}.modal.history-modal .revision-content table{table-layout:fixed;width:100%;word-wrap:break-word}.modal.history-modal .modal-footer{text-align:center}.modal.history-modal #revision-controls{margin-bottom:5px}.lightbox .meta,.lightbox:hover .meta{opacity:0.7;transition:none}.meta{align-items:center;background:#fff;color:#646464;height:25px;width:25px;bottom:0;right:0}.meta .filename,.meta .informations,.meta .d-icon-far-image{display:none}.meta .d-icon-discourse-expand{color:#646464}.directory .select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{font-size:1.1487em;margin-bottom:0.25em}.directory .filter-name{float:left}.directory .total-rows{color:#919191;padding:5px}.directory .user{border-top:1px solid #e9e9e9;padding:1em;display:flex;flex-wrap:wrap}.directory .user .user-info{width:100%;margin-bottom:1em}.directory .user .user-stat{flex:1 1 50%}.directory .user .user-stat .value{font-weight:bold}.directory .user .user-stat .label{margin-left:0.2em;color:#919191}.directory .user .user-stat .d-icon-heart{color:#fa6c8d}.search-container{flex-direction:column;margin-top:0.5em}.search-container .search-advanced{order:1;width:100%}.search-container .search-advanced .search-info{flex-direction:column;align-items:left;justify-content:center}.search-container .search-advanced .search-info .sort-by{display:flex;align-items:center;margin-top:0.5em;margin-left:0;width:100%}.search-container .search-advanced .search-info .sort-by .select-kit{flex:1 1 auto}.search-container .search-notice{margin-top:1em}.search-container .search-advanced-sidebar{order:0;width:100%;margin:0}.search-container .search-advanced-sidebar .tag-chooser{width:100%}.fps-topic{max-width:75%}.emoji-picker{max-height:280px;border:none}.emoji-picker .category-icon{margin:2px}.ring{top:-7px !important}.ring-first-notification{top:40px}.group{margin-top:15px}.group-name{margin:5px 0 0 0}.group-nav{width:100%}.group-activity,.group-manage{position:relative}.group-members .group-member{border-top:1px solid #e9e9e9}.group-members .group-member .user-info{margin:0;padding:0.5em;width:98%}.group-members .group-member .btn-group{margin-top:0}.group-members .group-member .group-member-info{color:#919191}.group-members .group-member .group-member-info label{margin-bottom:0;font-weight:bold;display:inline-block}.dashboard .activity-metrics .counters-list,.dashboard-next .activity-metrics .counters-list{font-size:.8706em}.dashboard .navigation a.navigation-link,.dashboard-next .navigation a.navigation-link{padding:0.5em}.mobile-view .admin-badges .badges{margin:0 0.25em}.mobile-view .admin-badges .badges .content-list{flex:0 0 100%}.mobile-view .admin-badges .badges .content-list .admin-badge-list{max-height:40vh;margin-right:0}.mobile-view .admin-badges .badge-intro{flex:0 1 75%}.mobile-view .admin-badges .current-badge{margin:20px 0;width:100%}.mobile-view .admin-badges .current-badge textarea{width:100%}.mobile-view .admin-badges input[type="text"]{width:100%}.admin-customize .show-current-style{padding:0;width:100%}.admin-customize .themes-list{width:100%;margin-bottom:1em}.admin-customize .form-horizontal.theme.settings .setting-label,.admin-customize .admin-container .select-kit{width:100%}.admin-customize .admin-container{display:flex;flex-wrap:wrap}.admin-reports .admin-report .body{flex-direction:column}.admin-reports .admin-report .body .filters{order:0;margin:0;width:100%}.admin-reports .admin-report .body .main{order:2}.admin-reports .admin-report .body .report-alert{margin:0;order:1;flex:1 0 0px;padding:1em}.admin-report.post-edits .admin-report-table .report-table thead tr th.edit_reason,.admin-report.post-edits .admin-report-table .report-table tbody tr td.edit_reason{width:auto}.admin-report.trending-search .admin-report-table .report-table thead tr th.term,.admin-report.trending-search .admin-report-table .report-table tbody tr td.term{width:50%}.admin-report-table .table{font-size:.8706em}.admin-report-table .table .admin-report-table-header{font-weight:500;border-right:1px solid #e9e9e9;padding:auto}.admin-report-table .table .admin-report-table-header .title{writing-mode:vertical-rl;text-orientation:mixed;text-align:right;transform:rotate(180deg)}.admin-report-table .table .admin-report-table-header .sort-btn{display:none}.admin-report-table .table tbody tr td.user .username{display:none}.counters-list .counters-header .counters-cell{font-weight:normal}.hamburger-panel .menu-panel.slide-in{left:0}.header-cloak{height:100vh;width:100vw;position:fixed;background-color:black;opacity:0.5;top:0;left:0;display:none;touch-action:pan-y pinch-zoom}.header-cloak.animate{transition:opacity 0.2s ease-out}.reviewable .reviewable-container{flex-direction:column}.reviewable .reviewable-container .reviewable-list{order:2;width:100%;padding-bottom:4em}.reviewable .reviewable-container .reviewable-filters{order:1;margin:0;padding:0.5em;width:100%}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin:0 0 0.5em 0}.reviewable .reviewable-scores{width:100%}.reviewable-filters{background-color:#f8f8f8;padding:0.5em 1em 1em 1em;margin-bottom:1em}.reviewable-filters .reviewable-filters-actions{display:flex;justify-content:space-between}.reviewable-filters .reviewable-filter{margin:0 0 0.5em 0}.reviewable-filters .reviewable-filter .filter-label{margin:0}.reviewable-contents .reviewable-post-header,.reviewable-contents .post-body{max-width:100%}.reviewable-contents .reviewable-post-header p,.reviewable-contents .post-body p{overflow-x:scroll}.reviewable-actions{margin-right:-0.5em}.reviewable-actions>div,.reviewable-actions>button{flex:0 1 47%;margin-right:0.25em;margin-bottom:0.5em}.reviewable-actions .reviewable-action,.reviewable-actions .reviewable-action-dropdown .dropdown-select-box-header{display:flex;align-items:center;justify-content:center}.reviewable-actions .reviewable-action .d-icon,.reviewable-actions .reviewable-action-dropdown .dropdown-select-box-header .d-icon{margin:0 0.15 0 0}.reviewable-scores-and-history table{width:100%}.topic-footer-mobile-dropdown .select-kit-row.bookmarked .d-icon{color:#08c}#user-card,#group-card{position:fixed;z-index:1102;max-width:95vw;margin:0 2.5vw;max-height:90vh}#user-card .first-row,#group-card .first-row{flex-wrap:wrap}#user-card .first-row .names,#group-card .first-row .names{flex:1 1 calc(100% - 120px);box-sizing:border-box}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{display:flex;flex:1;margin-top:1em;max-width:100%}#user-card .first-row .usercard-controls li,#group-card .first-row .usercard-controls li{flex:1;min-width:0}#user-card .first-row .usercard-controls li:nth-child(2),#group-card .first-row .usercard-controls li:nth-child(2){border-left:0.5em solid transparent}#user-card .first-row .usercard-controls li button,#group-card .first-row .usercard-controls li button{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}#user-card h1,#group-card h1{font-size:1.5157em}#user-card h1 .d-icon,#group-card h1 .d-icon{font-size:.7579em}#user-card h2,#group-card h2{font-size:1em}#user-card h3,#group-card h3{font-size:.8706em}#user-card .sixth-row .badge-section{flex-wrap:wrap}#user-card .sixth-row .badge-section>span{display:flex;flex:0 1 50%;max-width:50%;padding:2px 0;box-sizing:border-box}#user-card .sixth-row .badge-section>span:nth-of-type(1),#user-card .sixth-row .badge-section>span:nth-of-type(3){padding-right:4px}#user-card .sixth-row .badge-section>span a{width:100%;display:flex}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{display:flex;margin:0;width:100%}.card-cloak{position:fixed;top:0;left:0;z-index:1101;height:100vh;width:100vw;background-color:rgba(0,0,0,0.5);animation:fadein 0.2s}.user-stream .item,.user-stream .user-stream-item{padding:20px 0 15px 0}.user-stream .name{vertical-align:middle}.user-stream .notification.unread{background-color:#d1f0ff}.user-stream .group-member-info .name{vertical-align:inherit}.select-kit.combo-box.tag-drop .tag-drop-header{font-size:1em}.select-kit.combo-box.tag-drop .tag-drop-header .d-icon{font-size:1em}.select-kit.combo-box.tag-drop .select-kit-row{font-weight:normal}.select-kit.combo-box.category-drop .category-drop-header{font-size:1em}.select-kit.combo-box.category-drop .category-drop-header .d-icon{font-size:1em}.select-kit.combo-box.category-drop .select-kit-row{font-weight:normal}.select-kit.dropdown-select-box .select-kit-collection{max-height:200px;overflow-y:auto}\n\n/*# sourceMappingURL=mobile_8dd8907530e55eba0dabcfa8beb165c07e36c1d3.css.map */	2019-12-05 04:06:38.065324	2019-12-05 04:06:38.065324	-1	{\n\t"version": 3,\n\t"file": "mobile.css",\n\t"sources": [\n\t\t"mobile.scss",\n\t\t"app/assets/stylesheets/common.scss",\n\t\t"app/assets/stylesheets/vendor/normalize.scss",\n\t\t"app/assets/stylesheets/vendor/pikaday.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/helpers.scss",\n\t\t"app/assets/stylesheets/common/foundation/base.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/spacing.scss",\n\t\t"app/assets/stylesheets/common/select-kit/categories-admin-dropdown.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-drop.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-row.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-selector.scss",\n\t\t"app/assets/stylesheets/common/select-kit/combo-box.scss",\n\t\t"app/assets/stylesheets/common/select-kit/composer-actions.scss",\n\t\t"app/assets/stylesheets/common/select-kit/dropdown-select-box.scss",\n\t\t"app/assets/stylesheets/common/select-kit/future-date-input-selector.scss",\n\t\t"app/assets/stylesheets/common/select-kit/list-setting.scss",\n\t\t"app/assets/stylesheets/common/select-kit/mini-tag-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/multi-select.scss",\n\t\t"app/assets/stylesheets/common/select-kit/notifications-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/period-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/pinned-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/select-kit.scss",\n\t\t"app/assets/stylesheets/common/select-kit/tag-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/tag-drop.scss",\n\t\t"app/assets/stylesheets/common/select-kit/toolbar-popup-menu-options.scss",\n\t\t"app/assets/stylesheets/common/select-kit/topic-notifications-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/user-notifications-dropdown.scss",\n\t\t"app/assets/stylesheets/common/select-kit/color-palettes.scss",\n\t\t"app/assets/stylesheets/common/components/svg.scss",\n\t\t"app/assets/stylesheets/common/components/date-time-input-range.scss",\n\t\t"app/assets/stylesheets/common/components/navs.scss",\n\t\t"app/assets/stylesheets/common/components/buttons.scss",\n\t\t"app/assets/stylesheets/common/components/keyboard_shortcuts.scss",\n\t\t"app/assets/stylesheets/common/components/date-time-input.scss",\n\t\t"app/assets/stylesheets/common/components/group-member-dropdown.scss",\n\t\t"app/assets/stylesheets/common/components/banner.scss",\n\t\t"app/assets/stylesheets/common/components/ignored-user-list.scss",\n\t\t"app/assets/stylesheets/common/components/date-input.scss",\n\t\t"app/assets/stylesheets/common/components/time-input.scss",\n\t\t"app/assets/stylesheets/common/components/groups-form-membership-fields.scss",\n\t\t"app/assets/stylesheets/common/components/conditional-loading-section.scss",\n\t\t"app/assets/stylesheets/common/components/hashtag.scss",\n\t\t"app/assets/stylesheets/common/components/convert-to-public-topic-modal.scss",\n\t\t"app/assets/stylesheets/common/components/date-picker.scss",\n\t\t"app/assets/stylesheets/common/components/user-card.scss",\n\t\t"app/assets/stylesheets/common/components/footer-nav.scss",\n\t\t"app/assets/stylesheets/common/components/share-and-invite-modal.scss",\n\t\t"app/assets/stylesheets/common/components/user-stream-item.scss",\n\t\t"app/assets/stylesheets/common/components/badges.scss",\n\t\t"app/assets/stylesheets/common/components/user-info.scss",\n\t\t"app/assets/stylesheets/common/components/user-stream.scss",\n\t\t"app/assets/stylesheets/common/input_tip.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/topic-entrance.scss",\n\t\t"app/assets/stylesheets/common/printer-friendly.scss",\n\t\t"app/assets/stylesheets/common/base/about.scss",\n\t\t"app/assets/stylesheets/common/base/faqs.scss",\n\t\t"app/assets/stylesheets/common/base/crawler_layout.scss",\n\t\t"app/assets/stylesheets/common/base/composer-user-selector.scss",\n\t\t"app/assets/stylesheets/common/base/discourse.scss",\n\t\t"app/assets/stylesheets/common/base/exception.scss",\n\t\t"app/assets/stylesheets/common/base/category-list.scss",\n\t\t"app/assets/stylesheets/common/base/share_link.scss",\n\t\t"app/assets/stylesheets/common/base/ember-select.scss",\n\t\t"app/assets/stylesheets/common/base/upload.scss",\n\t\t"app/assets/stylesheets/common/base/search.scss",\n\t\t"app/assets/stylesheets/common/base/onebox.scss",\n\t\t"app/assets/stylesheets/common/base/header.scss",\n\t\t"app/assets/stylesheets/common/base/bbcode.scss",\n\t\t"app/assets/stylesheets/common/base/activation.scss",\n\t\t"app/assets/stylesheets/common/base/topic-admin-menu.scss",\n\t\t"app/assets/stylesheets/common/base/lightbox.scss",\n\t\t"app/assets/stylesheets/common/base/cat_reorder.scss",\n\t\t"app/assets/stylesheets/common/base/edit-topic-status-update-modal.scss",\n\t\t"app/assets/stylesheets/common/base/redirection.scss",\n\t\t"app/assets/stylesheets/common/base/rtl.scss",\n\t\t"app/assets/stylesheets/common/base/search-menu.scss",\n\t\t"app/assets/stylesheets/common/base/user-badges.scss",\n\t\t"app/assets/stylesheets/common/base/reviewables.scss",\n\t\t"app/assets/stylesheets/common/base/shared-drafts.scss",\n\t\t"app/assets/stylesheets/common/base/explain-reviewable.scss",\n\t\t"app/assets/stylesheets/common/base/colorpicker.scss",\n\t\t"app/assets/stylesheets/common/base/history.scss",\n\t\t"app/assets/stylesheets/common/base/d-popover.scss",\n\t\t"app/assets/stylesheets/common/base/username_tagsinput.scss",\n\t\t"app/assets/stylesheets/common/base/d-icon.scss",\n\t\t"app/assets/stylesheets/common/base/directory.scss",\n\t\t"app/assets/stylesheets/common/base/alert.scss",\n\t\t"app/assets/stylesheets/common/base/group.scss",\n\t\t"app/assets/stylesheets/common/base/emoji.scss",\n\t\t"app/assets/stylesheets/common/base/_topic-list.scss",\n\t\t"app/assets/stylesheets/common/base/user.scss",\n\t\t"app/assets/stylesheets/common/base/tagging.scss",\n\t\t"app/assets/stylesheets/common/base/compose.scss",\n\t\t"app/assets/stylesheets/common/base/magnific-popup.scss",\n\t\t"app/assets/stylesheets/common/base/topic-post.scss",\n\t\t"app/assets/stylesheets/common/base/topic.scss",\n\t\t"app/assets/stylesheets/common/base/request_access.scss",\n\t\t"app/assets/stylesheets/common/base/code_highlighting.scss",\n\t\t"app/assets/stylesheets/common/base/tooltip.scss",\n\t\t"app/assets/stylesheets/common/base/not-found.scss",\n\t\t"app/assets/stylesheets/common/base/modal.scss",\n\t\t"app/assets/stylesheets/common/base/groups.scss",\n\t\t"app/assets/stylesheets/common/base/login.scss",\n\t\t"app/assets/stylesheets/common/base/menu-panel.scss",\n\t\t"app/assets/stylesheets/common/base/request-group-membership-form.scss",\n\t\t"app/assets/stylesheets/common/d-editor.scss",\n\t\t"app/assets/stylesheets/common/topic-timeline.scss",\n\t\t"app/assets/stylesheets/mobile/buttons.scss",\n\t\t"app/assets/stylesheets/mobile/alert.scss",\n\t\t"app/assets/stylesheets/mobile/banner.scss",\n\t\t"app/assets/stylesheets/mobile/compose.scss",\n\t\t"app/assets/stylesheets/mobile/discourse.scss",\n\t\t"app/assets/stylesheets/mobile/header.scss",\n\t\t"app/assets/stylesheets/mobile/login.scss",\n\t\t"app/assets/stylesheets/mobile/modal.scss",\n\t\t"app/assets/stylesheets/mobile/topic-list.scss",\n\t\t"app/assets/stylesheets/mobile/topic-post.scss",\n\t\t"app/assets/stylesheets/mobile/topic.scss",\n\t\t"app/assets/stylesheets/mobile/upload.scss",\n\t\t"app/assets/stylesheets/mobile/user.scss",\n\t\t"app/assets/stylesheets/mobile/history.scss",\n\t\t"app/assets/stylesheets/mobile/lightbox.scss",\n\t\t"app/assets/stylesheets/mobile/directory.scss",\n\t\t"app/assets/stylesheets/mobile/search.scss",\n\t\t"app/assets/stylesheets/mobile/emoji.scss",\n\t\t"app/assets/stylesheets/mobile/ring.scss",\n\t\t"app/assets/stylesheets/mobile/group.scss",\n\t\t"app/assets/stylesheets/mobile/dashboard.scss",\n\t\t"app/assets/stylesheets/mobile/admin_badges.scss",\n\t\t"app/assets/stylesheets/mobile/admin_customize.scss",\n\t\t"app/assets/stylesheets/mobile/admin_reports.scss",\n\t\t"app/assets/stylesheets/mobile/admin_report.scss",\n\t\t"app/assets/stylesheets/mobile/admin_report_table.scss",\n\t\t"app/assets/stylesheets/mobile/admin_report_counters.scss",\n\t\t"app/assets/stylesheets/mobile/menu-panel.scss",\n\t\t"app/assets/stylesheets/mobile/reviewables.scss",\n\t\t"app/assets/stylesheets/mobile/components/topic-footer-mobile-dropdown.scss",\n\t\t"app/assets/stylesheets/mobile/components/user-card.scss",\n\t\t"app/assets/stylesheets/mobile/components/user-stream-item.scss",\n\t\t"app/assets/stylesheets/mobile/select-kit/tag-drop.scss",\n\t\t"app/assets/stylesheets/mobile/select-kit/category-drop.scss",\n\t\t"app/assets/stylesheets/mobile/select-kit/dropdown-select-box.scss",\n\t\t"category_background.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common\\";\\n\\n/* @import \\"mobile/*\\"; TODO: get this working again */\\n\\n@import \\"mobile/buttons\\";\\n@import \\"mobile/alert\\";\\n@import \\"mobile/banner\\";\\n@import \\"mobile/compose\\";\\n@import \\"mobile/discourse\\";\\n@import \\"mobile/header\\";\\n@import \\"mobile/login\\";\\n@import \\"mobile/modal\\";\\n@import \\"mobile/topic-list\\";\\n@import \\"mobile/topic-post\\";\\n@import \\"mobile/topic\\";\\n@import \\"mobile/upload\\";\\n@import \\"mobile/user\\";\\n@import \\"mobile/history\\";\\n@import \\"mobile/lightbox\\";\\n@import \\"mobile/directory\\";\\n@import \\"mobile/search\\";\\n@import \\"mobile/emoji\\";\\n@import \\"mobile/ring\\";\\n@import \\"mobile/group\\";\\n@import \\"mobile/dashboard\\";\\n@import \\"mobile/admin_badges\\";\\n@import \\"mobile/admin_customize\\";\\n@import \\"mobile/admin_reports\\";\\n@import \\"mobile/admin_report\\";\\n@import \\"mobile/admin_report_table\\";\\n@import \\"mobile/admin_report_counters\\";\\n@import \\"mobile/menu-panel\\";\\n@import \\"mobile/reviewables\\";\\n\\n// Import all component-specific files\\n@import \\"mobile/components/*\\";\\n\\n@import \\"mobile/select-kit/*\\";\\n\\n/* These files doesn't actually exist, they are injected by Stylesheet::Compiler. */\\n\\n@import \\"category_backgrounds\\";\\n",\n\t\t"@import \\"vendor/normalize\\";\\n@import \\"vendor/pikaday\\";\\n@import \\"common/foundation/helpers\\";\\n@import \\"common/foundation/base\\";\\n@import \\"common/foundation/mixins\\";\\n@import \\"common/foundation/variables\\";\\n@import \\"common/foundation/spacing\\";\\n@import \\"common/select-kit/categories-admin-dropdown\\";\\n@import \\"common/select-kit/category-chooser\\";\\n@import \\"common/select-kit/category-drop\\";\\n@import \\"common/select-kit/category-row\\";\\n@import \\"common/select-kit/category-selector\\";\\n@import \\"common/select-kit/combo-box\\";\\n@import \\"common/select-kit/composer-actions\\";\\n@import \\"common/select-kit/dropdown-select-box\\";\\n@import \\"common/select-kit/future-date-input-selector\\";\\n@import \\"common/select-kit/list-setting\\";\\n@import \\"common/select-kit/mini-tag-chooser\\";\\n@import \\"common/select-kit/multi-select\\";\\n@import \\"common/select-kit/notifications-button\\";\\n@import \\"common/select-kit/period-chooser\\";\\n@import \\"common/select-kit/pinned-button\\";\\n@import \\"common/select-kit/select-kit\\";\\n@import \\"common/select-kit/tag-chooser\\";\\n@import \\"common/select-kit/tag-drop\\";\\n@import \\"common/select-kit/toolbar-popup-menu-options\\";\\n@import \\"common/select-kit/topic-notifications-button\\";\\n@import \\"common/select-kit/user-notifications-dropdown\\";\\n@import \\"common/select-kit/color-palettes\\";\\n@import \\"common/components/*\\";\\n@import \\"common/input_tip\\";\\n@import \\"common/topic-entrance\\";\\n@import \\"common/printer-friendly\\";\\n@import \\"common/base/*\\";\\n@import \\"common/d-editor\\";\\n@import \\"common/topic-timeline\\";\\n",\n\t\t"/*! normalize.css v3.0.1 | MIT License | git.io/normalize */\\n\\n/**\\n * 1. Set default font family to sans-serif.\\n * 2. Prevent iOS text size adjust after orientation change, without disabling\\n *    user zoom.\\n */\\n\\nhtml {\\n  font-family: sans-serif; /* 1 */\\n  -ms-text-size-adjust: 100%; /* 2 */\\n  -webkit-text-size-adjust: 100%; /* 2 */\\n}\\n\\n/**\\n * Remove default margin.\\n */\\n\\nbody {\\n  margin: 0;\\n}\\n\\n/* HTML5 display definitions\\n   ========================================================================== */\\n\\n/**\\n * Correct `block` display not defined for any HTML5 element in IE 8/9.\\n * Correct `block` display not defined for `details` or `summary` in IE 10/11 and Firefox.\\n * Correct `block` display not defined for `main` in IE 11.\\n */\\n\\narticle,\\naside,\\ndetails,\\nfigcaption,\\nfigure,\\nfooter,\\nheader,\\nhgroup,\\nmain,\\nnav,\\nsection,\\nsummary {\\n  display: block;\\n}\\n\\n/**\\n * 1. Correct `inline-block` display not defined in IE 8/9.\\n * 2. Normalize vertical alignment of `progress` in Chrome, Firefox, and Opera.\\n */\\n\\naudio,\\ncanvas,\\nprogress,\\nvideo {\\n  display: inline-block; /* 1 */\\n  vertical-align: baseline; /* 2 */\\n}\\n\\n/**\\n * Prevent modern browsers from displaying `audio` without controls.\\n * Remove excess height in iOS 5 devices.\\n */\\n\\naudio:not([controls]) {\\n  display: none;\\n  height: 0;\\n}\\n\\n/**\\n * Address `[hidden]` styling not present in IE 8/9/10.\\n * Hide the `template` element in IE 8/9/11, Safari, and Firefox < 22.\\n */\\n\\n[hidden],\\ntemplate {\\n  display: none;\\n}\\n\\n/* Links\\n   ========================================================================== */\\n\\n/**\\n * Remove the gray background color from active links in IE 10.\\n */\\n\\na {\\n  background: transparent;\\n}\\n\\n/**\\n * Improve readability when focused and also mouse hovered in all browsers.\\n */\\n\\na:active,\\na:hover {\\n  outline: 0;\\n}\\n\\n/* Text-level semantics\\n   ========================================================================== */\\n\\n/**\\n * Address styling not present in IE 8/9/10/11 & Edge\\n */\\n\\n abbr[title], acronym[title] {\\n  text-decoration: underline;\\n  text-decoration-style: dotted; \\n}\\n\\n/**\\n * Address style set to `bolder` in Firefox 4+, Safari, and Chrome.\\n */\\n\\nb,\\nstrong {\\n  font-weight: bold;\\n}\\n\\n/**\\n * Address styling not present in Safari and Chrome.\\n */\\n\\ndfn {\\n  font-style: italic;\\n}\\n\\n/**\\n * Address variable `h1` font-size and margin within `section` and `article`\\n * contexts in Firefox 4+, Safari, and Chrome.\\n */\\n\\nh1 {\\n  font-size: 1.7511em;\\n  margin: 0.67em 0;\\n}\\n\\n/**\\n * Address styling not present in IE 8/9.\\n */\\n\\nmark {\\n  background: #ff0;\\n  color: #000;\\n}\\n\\n/**\\n * Address inconsistent and variable font size in all browsers.\\n */\\n\\nsmall {\\n  font-size: 80%;\\n}\\n\\n/**\\n * Prevent `sub` and `sup` affecting `line-height` in all browsers.\\n */\\n\\nsub,\\nsup {\\n  font-size: 75%;\\n  line-height: 0;\\n  position: relative;\\n  vertical-align: baseline;\\n}\\n\\nsup {\\n  top: -0.5em;\\n}\\n\\nsub {\\n  bottom: -0.25em;\\n}\\n\\n/* Embedded content\\n   ========================================================================== */\\n\\n/**\\n * Remove border when inside `a` element in IE 8/9/10.\\n */\\n\\nimg {\\n  border: 0;\\n}\\n\\n/* Grouping content\\n   ========================================================================== */\\n\\n/**\\n * Address margin not present in IE 8/9 and Safari.\\n */\\n\\nfigure {\\n  margin: 1em 40px;\\n}\\n\\n/**\\n * Address differences between Firefox and other browsers.\\n */\\n\\nhr {\\n  -moz-box-sizing: content-box;\\n  box-sizing: content-box;\\n  height: 0;\\n}\\n\\n/**\\n * Contain overflow in all browsers.\\n */\\n\\npre {\\n  overflow: auto;\\n}\\n\\n/**\\n * Address odd `em`-unit font size rendering in all browsers.\\n */\\n\\ncode,\\nkbd,\\npre,\\nsamp {\\n  font-family: monospace, monospace;\\n  font-size: 1em;\\n}\\n\\n/* Forms\\n   ========================================================================== */\\n\\n/**\\n * Known limitation: by default, Chrome and Safari on OS X allow very limited\\n * styling of `select`, unless a `border` property is set.\\n */\\n\\n/**\\n * 1. Correct color not being inherited.\\n *    Known issue: affects color of disabled elements.\\n * 2. Correct font properties not being inherited.\\n * 3. Address margins set differently in Firefox 4+, Safari, and Chrome.\\n */\\n\\nbutton,\\ninput,\\noptgroup,\\nselect,\\ntextarea {\\n  color: inherit; /* 1 */\\n  font: inherit; /* 2 */\\n  margin: 0; /* 3 */\\n}\\n\\n/**\\n * Address `overflow` set to `hidden` in IE 8/9/10/11.\\n */\\n\\nbutton {\\n  overflow: visible;\\n}\\n\\n/**\\n * Address inconsistent `text-transform` inheritance for `button` and `select`.\\n * All other form control elements do not inherit `text-transform` values.\\n * Correct `button` style inheritance in Firefox, IE 8/9/10/11, and Opera.\\n * Correct `select` style inheritance in Firefox.\\n */\\n\\nbutton,\\nselect {\\n  text-transform: none;\\n}\\n\\n/**\\n * 1. Avoid the WebKit bug in Android 4.0.* where (2) destroys native `audio`\\n *    and `video` controls.\\n * 2. Correct inability to style clickable `input` types in iOS.\\n * 3. Improve usability and consistency of cursor style between image-type\\n *    `input` and others.\\n */\\n\\nbutton,\\nhtml input[type=\\"button\\"], /* 1 */\\ninput[type=\\"reset\\"],\\ninput[type=\\"submit\\"] {\\n  -webkit-appearance: button; /* 2 */\\n  cursor: pointer; /* 3 */\\n}\\n\\n/**\\n * Re-set default cursor for disabled elements.\\n */\\n\\nbutton[disabled],\\nhtml input[disabled] {\\n  cursor: default;\\n}\\n\\n/**\\n * Remove inner padding and border in Firefox 4+.\\n */\\n\\nbutton::-moz-focus-inner,\\ninput::-moz-focus-inner {\\n  border: 0;\\n  padding: 0;\\n}\\n\\n/**\\n * Address Firefox 4+ setting `line-height` on `input` using `!important` in\\n * the UA stylesheet.\\n */\\n\\ninput {\\n  line-height: normal;\\n}\\n\\n/**\\n * It's recommended that you don't attempt to style these elements.\\n * Firefox's implementation doesn't respect box-sizing, padding, or width.\\n *\\n * 1. Address box sizing set to `content-box` in IE 8/9/10.\\n * 2. Remove excess padding in IE 8/9/10.\\n */\\n\\ninput[type=\\"checkbox\\"],\\ninput[type=\\"radio\\"] {\\n  box-sizing: border-box; /* 1 */\\n  padding: 0; /* 2 */\\n}\\n\\n/**\\n * Fix the cursor style for Chrome's increment/decrement buttons. For certain\\n * `font-size` values of the `input`, it causes the cursor style of the\\n * decrement button to change from `default` to `text`.\\n */\\n\\ninput[type=\\"number\\"]::-webkit-inner-spin-button,\\ninput[type=\\"number\\"]::-webkit-outer-spin-button {\\n  height: auto;\\n}\\n\\n/**\\n * 1. Address `appearance` set to `searchfield` in Safari and Chrome.\\n * 2. Address `box-sizing` set to `border-box` in Safari and Chrome\\n *    (include `-moz` to future-proof).\\n */\\n\\ninput[type=\\"search\\"] {\\n  -webkit-appearance: textfield; /* 1 */\\n  -moz-box-sizing: content-box;\\n  -webkit-box-sizing: content-box; /* 2 */\\n  box-sizing: content-box;\\n}\\n\\n/**\\n * Remove inner padding and search cancel button in Safari and Chrome on OS X.\\n * Safari (but not Chrome) clips the cancel button when the search input has\\n * padding (and `textfield` appearance).\\n */\\n\\ninput[type=\\"search\\"]::-webkit-search-cancel-button,\\ninput[type=\\"search\\"]::-webkit-search-decoration {\\n  -webkit-appearance: none;\\n}\\n\\n/**\\n * Define consistent border, margin, and padding.\\n */\\n\\nfieldset {\\n  border: 1px solid #c0c0c0;\\n  margin: 0 2px;\\n  padding: 0.35em 0.625em 0.75em;\\n}\\n\\n/**\\n * 1. Correct `color` not being inherited in IE 8/9/10/11.\\n * 2. Remove padding so people aren't caught out if they zero out fieldsets.\\n */\\n\\nlegend {\\n  border: 0; /* 1 */\\n  padding: 0; /* 2 */\\n}\\n\\n/**\\n * Remove default vertical scrollbar in IE 8/9/10/11.\\n */\\n\\ntextarea {\\n  overflow: auto;\\n}\\n\\n/**\\n * Don't inherit the `font-weight` (applied by a rule above).\\n * NOTE: the default cannot safely be changed in Chrome and Safari on OS X.\\n */\\n\\noptgroup {\\n  font-weight: bold;\\n}\\n\\n/* Tables\\n   ========================================================================== */\\n\\n/**\\n * Remove most spacing between table cells.\\n */\\n\\ntable {\\n  border-collapse: collapse;\\n  border-spacing: 0;\\n}\\n\\ntd,\\nth {\\n  padding: 0;\\n}\\n",\n\t\t"@import \\"common/foundation/variables\\";\\n\\n/*!\\n * Pikaday\\n * Copyright © 2014 David Bushell | BSD & MIT license | http://dbushell.com/\\n */\\n\\n// Variables\\n// Declare any of these variables before importing this SCSS file to easily override defaults\\n// Variables are namespaced with the pd (pikaday) prefix\\n\\n// Colours\\n$pd-text-color: $primary !default;\\n$pd-title-color: $primary !default;\\n$pd-title-bg: $secondary !default;\\n$pd-picker-bg: $secondary !default;\\n$pd-picker-border: $primary-low !default;\\n$pd-picker-border-bottom: $primary-low !default;\\n$pd-picker-shadow: rgba(0,0,0,.5) !default;\\n$pd-th-color: $primary !default;\\n$pd-day-color: $primary !default;\\n$pd-day-bg: $secondary !default;\\n$pd-day-hover-color: $primary !default;\\n$pd-day-hover-bg: $tertiary-low !default;\\n$pd-day-today-color: $tertiary !default;\\n$pd-day-selected-color: $secondary !default;\\n$pd-day-selected-bg: $tertiary !default;\\n$pd-day-selected-shadow: $tertiary-low !default;\\n$pd-day-disabled-color: $primary !default;\\n$pd-week-color: $primary !default;\\n\\n// Font\\n$pd-font-family: \\"Helvetica Neue\\", Helvetica, Arial, sans-serif !default;\\n\\n\\n.pika-single {\\n    z-index: 9999;\\n    display: block;\\n    position: relative;\\n    color: $pd-text-color;\\n    background: $pd-picker-bg;\\n    border: 1px solid $pd-picker-border;\\n    border-bottom-color: $pd-picker-border-bottom;\\n    font-family: $pd-font-family;\\n\\n    &.is-hidden {\\n        display: none;\\n    }\\n\\n    &.is-bound {\\n        position: absolute;\\n        box-shadow: 0 5px 15px -5px $pd-picker-shadow;\\n    }\\n}\\n\\n// clear child float (pika-lendar), using the famous micro clearfix hack\\n// http://nicolasgallagher.com/micro-clearfix-hack/\\n.pika-single {\\n    &:before,\\n    &:after {\\n        content: \\" \\";\\n        display: table;\\n    }\\n\\n    &:after { clear: both }\\n}\\n\\n.pika-lendar {\\n    float: left;\\n    width: 240px;\\n    margin: 8px;\\n}\\n\\n.pika-title {\\n    position: relative;\\n    text-align: center;\\n\\n    select {\\n        cursor: pointer;\\n        position: absolute;\\n        z-index: 9998;\\n        margin: 0;\\n        left: 0;\\n        top: 5px;\\n        filter: alpha(opacity=0);\\n        opacity: 0;\\n    }\\n}\\n\\n.pika-label {\\n    display: inline-block;\\n    position: relative;\\n    z-index: 9999;\\n    overflow: hidden;\\n    margin: 0;\\n    padding: 5px 3px;\\n    font-size: 14px;\\n    line-height: 20px;\\n    font-weight: bold;\\n    color: $pd-title-color;\\n    background-color: $pd-title-bg;\\n}\\n\\n.pika-prev,\\n.pika-next {\\n    display: block;\\n    cursor: pointer;\\n    position: relative;\\n    outline: none;\\n    border: 0;\\n    padding: 0;\\n    width: 20px;\\n    height: 30px;\\n    text-indent: 20px; // hide text using text-indent trick, using width value (it's enough)\\n    white-space: nowrap;\\n    overflow: hidden;\\n    background-color: transparent;\\n    background-position: center center;\\n    background-repeat: no-repeat;\\n    background-size: 75% 75%;\\n    opacity: .5;\\n    @if (lightness($secondary) < 50) { // invert the black png if the background is dark\\n        filter: invert(1); \\n    } \\n\\n    &:hover {\\n        opacity: 1;\\n    }\\n\\n    &.is-disabled {\\n        cursor: default;\\n        opacity: .2;\\n    }\\n}\\n\\n.pika-prev,\\n.is-rtl .pika-next {\\n    float: left;\\n    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==');\\n}\\n\\n.pika-next,\\n.is-rtl .pika-prev {\\n    float: right;\\n    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=');\\n}\\n\\n.pika-select {\\n    display: inline-block;\\n}\\n\\n.pika-table {\\n    width: 100%;\\n    border-collapse: collapse;\\n    border-spacing: 0;\\n    border: 0;\\n\\n    th,\\n    td {\\n        width: 14.285714285714286%;\\n        padding: 0;\\n    }\\n\\n    th {\\n        color: $pd-th-color;\\n        font-size: 12px;\\n        line-height: 25px;\\n        font-weight: bold;\\n        text-align: center;\\n    }\\n\\n    abbr {\\n        border-bottom: none;\\n        cursor: help;\\n    }\\n}\\n\\n.pika-button {\\n    cursor: pointer;\\n    display: block;\\n    -moz-box-sizing: border-box;\\n    box-sizing: border-box;\\n    outline: none;\\n    border: 0;\\n    margin: 0;\\n    width: 100%;\\n    padding: 5px;\\n    color: $pd-day-color;\\n    font-size: 12px;\\n    line-height: 15px;\\n    text-align: right;\\n    background: $pd-day-bg;\\n\\n    .is-today & {\\n        color: $pd-day-today-color;\\n        font-weight: bold;\\n    }\\n\\n    .is-selected & {\\n        color: $pd-day-selected-color;\\n        font-weight: bold;\\n        background: $pd-day-selected-bg;\\n        box-shadow: inset 0 1px 3px $pd-day-selected-shadow;\\n        border-radius: 3px;\\n    }\\n\\n    .is-disabled &,\\n    .is-outside-current-month & {\\n        pointer-events: none;\\n        cursor: default;\\n        color: $pd-day-disabled-color;\\n        opacity: .3;\\n    }\\n\\n    &:hover {\\n        color: $pd-day-hover-color;\\n        background: $pd-day-hover-bg;\\n        box-shadow: none;\\n        border-radius: 3px;\\n    }\\n}\\n\\n.pika-week {\\n    font-size: 11px;\\n    color: $pd-week-color;\\n}\\n\\n.is-inrange .pika-button {\\n    background: #D5E9F7;\\n}\\n\\n.is-startrange .pika-button {\\n    color: $secondary;\\n    background: #6CB31D;\\n    box-shadow: none;\\n    border-radius: 3px;\\n}\\n\\n.is-endrange .pika-button {\\n    color: $secondary;\\n    background: $tertiary;\\n    box-shadow: none;\\n    border-radius: 3px;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Generic helper classes\\n// --------------------------------------------------\\n\\n// Floats\\n// --------------------------------------------------\\n\\n.pull-left {\\n  float: left;\\n}\\n\\n.pull-right {\\n  float: right;\\n}\\n\\n// Element visibility\\n// --------------------------------------------------\\n\\n.show {\\n  display: block;\\n}\\n\\n.hide,\\n.hidden {\\n  display: none;\\n}\\n\\n.invisible {\\n  visibility: hidden;\\n}\\n\\n.sr-only {\\n  position: absolute;\\n  width: 1px;\\n  height: 1px;\\n  padding: 0;\\n  margin: -1px;\\n  overflow: hidden;\\n  clip: rect(0, 0, 0, 0);\\n  border: 0;\\n}\\n\\n// Affix\\n// --------------------------------------------------\\n\\n.affix {\\n  position: fixed;\\n}\\n\\n// Contain floats\\n// --------------------------------------------------\\n\\n.clearfix {\\n  &:before,\\n  &:after {\\n    display: table;\\n    content: \\" \\";\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n// Overflow\\n// --------------------------------------------------\\n\\n.overflow-ellipsis {\\n  white-space: nowrap;\\n  overflow: hidden;\\n  text-overflow: ellipsis;\\n}\\n\\n// Clickable elements\\n// --------------------------------------------------\\n\\n.clickable {\\n  cursor: pointer;\\n}\\n\\n// Buttons\\n// ---------------------------------------------------\\n.disable-no-hover:hover {\\n  background: dark-light-choose($primary-low, $secondary-medium);\\n  color: $primary;\\n}\\n",\n\t\t"@import \\"./variables\\";\\n@import \\"./mixins\\";\\n\\n// --------------------------------------------------\\n// Base styles for HTML elements\\n// --------------------------------------------------\\n\\nhtml {\\n  color: $primary;\\n  font-family: $base-font-family;\\n  font-size: $base-font-size;\\n  line-height: $line-height-large;\\n  background-color: $secondary;\\n  overflow-y: scroll;\\n  direction: ltr;\\n\\n  &.text-size-smaller {\\n    font-size: $base-font-size-smaller;\\n  }\\n\\n  &.text-size-larger {\\n    font-size: $base-font-size-larger;\\n  }\\n\\n  &.text-size-largest {\\n    font-size: $base-font-size-largest;\\n  }\\n}\\n\\n// Links\\n// --------------------------------------------------\\n\\na {\\n  color: $tertiary;\\n  text-decoration: none;\\n  cursor: pointer;\\n  &:visited {\\n    color: $tertiary;\\n  }\\n  &:hover {\\n    color: $tertiary;\\n  }\\n  &:active {\\n    color: $tertiary;\\n  }\\n}\\n\\n// Typography\\n// --------------------------------------------------\\n\\nhr {\\n  display: block;\\n  height: 1px;\\n  margin: 1em 0;\\n  border: 0;\\n  border-top: 1px solid $primary-low;\\n  padding: 0;\\n}\\n\\n// Lists\\n// --------------------------------------------------\\n\\nul,\\ndd {\\n  margin: 0 0 9px 25px;\\n  padding: 0;\\n}\\n\\n.cooked ul,\\n.cooked ol,\\n.cooked dd {\\n  clear: both;\\n}\\n\\n.cooked ul,\\n.d-editor-preview ul {\\n  margin: 0;\\n  padding-left: 40px;\\n}\\n\\nli {\\n  > ul,\\n  > ol {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n// Embedded content\\n// --------------------------------------------------\\n\\nimg {\\n  vertical-align: middle;\\n}\\n\\n// Forms\\n// --------------------------------------------------\\n\\nfieldset {\\n  margin: 0;\\n  border: 0;\\n  padding: 0;\\n}\\n\\npre code {\\n  overflow: auto;\\n  tab-size: 4;\\n}\\n\\n// TODO figure out a clean place to put stuff like this\\n.row:before,\\n.row:after {\\n  display: table;\\n  content: \\"\\";\\n}\\n.row:after {\\n  clear: both;\\n}\\n\\n#offscreen-content {\\n  display: none;\\n}\\n\\n// Tables\\n// --------------------------------------------------\\n\\ntbody {\\n  border-top: 3px solid $primary-low;\\n}\\n\\ntr {\\n  border-bottom: 1px solid $primary-low;\\n  &.highlighted {\\n    animation: background-fade-highlight 2.5s ease-out;\\n  }\\n}\\n\\n// https://en.wikipedia.org/wiki/Ruby_character\\nruby > rt {\\n  font-size: 72%; // ~10px with 14px base\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"$base-space: 4px;\\n\\n@function s(\\n  $sizes: (\\n    0\\n  )\\n) {\\n  $spaces: ();\\n  @each $size in $sizes {\\n    @if ($size == 0) {\\n      // Strip units if 0\\n      $size: $size * $base-space;\\n      $size: $size / ($size * 0 + 1);\\n    } @else if ($size == auto) {\\n      $size: auto;\\n    } @else {\\n      $size: $size * $base-space;\\n    }\\n\\n    $spaces: append($spaces, $size);\\n  }\\n  @return $spaces;\\n}\\n",\n\t\t".select-kit {\\n  &.categories-admin-dropdown {\\n    .select-kit-body {\\n      min-width: auto;\\n      width: 250px;\\n    }\\n\\n    .select-kit-header .d-icon {\\n      justify-content: space-between;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-chooser {\\n      width: 300px;\\n\\n      .select-kit-row {\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        -webkit-box-align: flex-start;\\n        -ms-flex-align: flex-start;\\n        align-items: flex-start;\\n        -webkit-box-orient: vertical;\\n        -webkit-box-direction: normal;\\n        -ms-flex-direction: column;\\n        flex-direction: column;\\n\\n        &.none {\\n          .topic-count {\\n            display: none;\\n          }\\n        }\\n\\n        .topic-count {\\n          font-size: $font-down-2;\\n          color: $primary;\\n          white-space: nowrap;\\n        }\\n\\n        .category-status {\\n          color: $primary;\\n          line-height: $line-height-large;\\n          -webkit-box-flex: 0;\\n          -ms-flex: 1 1 auto;\\n          flex: 1 1 auto;\\n        }\\n\\n        .category-desc {\\n          -webkit-box-flex: 0;\\n          -ms-flex: 1 1 auto;\\n          flex: 1 1 auto;\\n          color: #919191;\\n          font-size: $font-down-1;\\n          line-height: $line-height-large;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-drop {\\n      .badge-wrapper {\\n        font-size: $font-0;\\n        font-weight: normal;\\n\\n        &.box {\\n          margin: 0;\\n\\n          span.badge-category {\\n            margin: 0;\\n          }\\n        }\\n      }\\n\\n      &.bar.has-selection .category-drop-header {\\n        padding: 0 5px 0 10px;\\n      }\\n\\n      &.box.has-selection .category-drop-header {\\n        .badge-wrapper.box {\\n          padding: 0;\\n        }\\n      }\\n\\n      .category-drop-header {\\n        &.is-none .selected-name {\\n          color: inherit;\\n        }\\n\\n        .badge-wrapper {\\n          margin-right: 0;\\n        }\\n      }\\n\\n      .select-kit-body {\\n        min-width: 300px;\\n      }\\n\\n      .select-kit-row {\\n        flex-direction: column;\\n        align-items: flex-start;\\n\\n        &[data-value=\\"all-categories\\"],\\n        &[data-value=\\"no-categories\\"] {\\n          color: $tertiary;\\n          font-weight: 700;\\n        }\\n\\n        .category-desc {\\n          font-weight: normal;\\n          color: $primary-medium;\\n          margin-top: 2px;\\n        }\\n\\n        .category-status {\\n          align-items: center;\\n        }\\n\\n        .topic-count {\\n          margin-left: 5px;\\n          font-weight: normal;\\n        }\\n\\n        .badge-wrapper {\\n          margin: 0;\\n          font-weight: bold;\\n\\n          &:nth-child(2) {\\n            margin-left: 10px;\\n          }\\n        }\\n      }\\n\\n      &.is-expanded .select-kit-wrapper,\\n      .select-kit-wrapper {\\n        display: none;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  .category-row {\\n    .category-status {\\n      display: flex;\\n      flex-wrap: wrap;\\n      align-items: center;\\n      max-width: 100%;\\n      -webkit-box-flex: 0;\\n      -ms-flex: 1 1 auto;\\n      flex: 1 1 auto;\\n    }\\n    .category-desc {\\n      max-width: 100%; // needed for IE11\\n    }\\n    .category-status {\\n      .badge-wrapper.box {\\n        margin-bottom: 1px;\\n        margin-top: 1px;\\n      }\\n    }\\n    .topic-count {\\n      white-space: nowrap;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit,\\n.select-kit-box {\\n  &.category-selector {\\n    .selected-name {\\n      .badge-wrapper {\\n        &.box {\\n          margin: 2px;\\n          padding: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    min-width: auto;\\n    .select-kit-body {\\n      width: 100%;\\n      min-width: 150px;\\n      border-radius: 0;\\n      box-shadow: shadow(\\"dropdown\\");\\n    }\\n\\n    .select-kit-row {\\n      margin: 0;\\n      min-height: 1px;\\n      padding: 6px 10px;\\n      &.no-content {\\n        font-weight: normal;\\n      }\\n    }\\n\\n    .select-kit-filter {\\n      padding: $input-padding;\\n      border-top: 1px solid $primary-low;\\n      border-bottom: 1px solid $primary-low;\\n\\n      .spinner {\\n        flex: 0 0 auto;\\n      }\\n\\n      .filter-input,\\n      .filter-input:focus,\\n      .filter-input:active {\\n        flex: 0 0 auto;\\n        width: 90%; // Firefox quirk\\n      }\\n\\n      .filter-icon {\\n        padding-left: 5px;\\n      }\\n    }\\n\\n    .select-kit-header {\\n      background: $secondary;\\n      border: 1px solid $primary-medium;\\n      padding: 0 5px 0 10px;\\n      font-weight: 500;\\n      font-size: $font-0;\\n\\n      &.is-focused {\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    .select-kit-collection {\\n      display: flex;\\n      flex-direction: column;\\n      padding: 0;\\n      min-width: 100px;\\n      max-height: 200px;\\n      max-width: 32em;\\n\\n      .collection-header {\\n        a {\\n          white-space: nowrap;\\n          color: $primary;\\n          line-height: $line-height-medium;\\n          font-weight: bold;\\n          display: block;\\n          padding: 6px 10px;\\n          color: $tertiary;\\n\\n          &:hover {\\n            text-decoration: underline;\\n          }\\n        }\\n      }\\n    }\\n\\n    &.is-disabled {\\n      .select-kit-header {\\n        background: $primary-low;\\n        border-color: $primary-low-mid;\\n        color: $primary-medium;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n\\n    &.is-highlighted {\\n      .select-kit-header {\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded {\\n      .select-kit-wrapper {\\n        display: block;\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded.is-above {\\n      .select-kit-header {\\n        border-radius: 0 0 3px 3px;\\n      }\\n\\n      .select-kit-body {\\n        border-radius: 3px 3px 0 0;\\n      }\\n    }\\n\\n    &.tag-drop,\\n    &.group-dropdown {\\n      min-width: auto;\\n      .select-kit-row {\\n        font-weight: bold;\\n      }\\n    }\\n\\n    &.is-expanded .select-kit-wrapper,\\n    .select-kit-wrapper {\\n      display: none;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.composer-actions {\\n      margin: 0;\\n      .select-kit-header {\\n        background: none;\\n        outline: none;\\n        padding: 0;\\n        margin-right: 5px;\\n        border: 1px solid $primary-low;\\n        min-height: unset;\\n        .d-icon {\\n          padding: 5px 6px;\\n        }\\n        &:hover,\\n        &:focus {\\n          background: $primary-low;\\n        }\\n      }\\n      .d-icon {\\n        margin: 0 !important;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    display: -webkit-inline-box;\\n    display: -ms-inline-flexbox;\\n    display: inline-flex;\\n    min-width: auto;\\n    border: none;\\n\\n    &.is-expanded {\\n      .select-kit-collection,\\n      .select-kit-body {\\n        border-radius: 0;\\n      }\\n    }\\n\\n    .select-kit-body {\\n      border: 1px solid $primary-low;\\n      background-clip: padding-box;\\n      box-shadow: shadow(\\"dropdown\\");\\n      max-width: 300px;\\n      width: 300px;\\n    }\\n\\n    .select-kit-row {\\n      margin: 0;\\n      padding: 10px 5px;\\n\\n      .icons {\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        flex: 0 0 auto;\\n        -webkit-box-align: start;\\n        -ms-flex-align: start;\\n        align-items: flex-start;\\n        -webkit-box-pack: center;\\n        -ms-flex-pack: center;\\n        justify-content: center;\\n        -ms-flex-item-align: start;\\n        align-self: flex-start;\\n        margin-right: 0.357em;\\n        margin-top: 2px;\\n        width: 30px;\\n\\n        .d-icon {\\n          font-size: $font-up-2;\\n          -ms-flex-item-align: center;\\n          align-self: center;\\n          margin-right: 0;\\n          opacity: 1;\\n        }\\n      }\\n\\n      .texts {\\n        width: 0; //IE11\\n        line-height: $line-height-large;\\n        -webkit-box-flex: 1;\\n        -ms-flex: 1;\\n        flex: 1 1 0%;\\n        -webkit-box-align: start;\\n        -ms-flex-align: start;\\n        align-items: flex-start;\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        -ms-flex-wrap: wrap;\\n        flex-wrap: wrap;\\n        -webkit-box-orient: vertical;\\n        -webkit-box-direction: normal;\\n        -ms-flex-direction: column;\\n        flex-direction: column;\\n\\n        .name {\\n          -webkit-box-flex: 1;\\n          -ms-flex: 1;\\n          flex: 1 1 auto;\\n          font-weight: bold;\\n          font-size: $font-0;\\n          color: $primary;\\n          padding: 0;\\n          @include ellipsis;\\n          max-width: 100%;\\n        }\\n\\n        .desc {\\n          -webkit-box-flex: 1;\\n          -ms-flex: 1;\\n          flex: 1 1 auto;\\n          width: 100%; //IE11\\n          font-size: $font-down-1;\\n          font-weight: normal;\\n          color: $primary-medium;\\n          white-space: normal;\\n        }\\n      }\\n    }\\n\\n    .select-kit-collection {\\n      padding: 0;\\n      max-height: 100%;\\n    }\\n\\n    .dropdown-select-box-header {\\n      -webkit-box-sizing: border-box;\\n      -moz-box-sizing: border-box;\\n      box-sizing: border-box;\\n      border: 0;\\n\\n      -webkit-box-align: center;\\n      -ms-flex-align: center;\\n      align-items: center;\\n      -webkit-box-pack: justify;\\n      -ms-flex-pack: justify;\\n      justify-content: space-between;\\n      -webkit-box-orient: horizontal;\\n      -webkit-box-direction: normal;\\n      -ms-flex-direction: row;\\n      flex-direction: row;\\n      display: -webkit-inline-box;\\n      display: -ms-inline-flexbox;\\n      display: inline-flex;\\n\\n      .d-icon + .d-icon {\\n        margin-left: 5px;\\n      }\\n\\n      &.is-focused {\\n        outline-style: auto;\\n        outline-color: $tertiary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combobox {\\n    &.future-date-input-selector {\\n      min-width: 50%;\\n\\n      .future-date-input-selector-header {\\n        .btn-clear {\\n          line-height: $line-height-large;\\n        }\\n      }\\n\\n      .future-date-input-selector-datetime {\\n        color: lighten($primary, 40%);\\n        margin-left: 5px;\\n        white-space: nowrap;\\n      }\\n\\n      .future-date-input-selector-icons {\\n        margin-right: 5px;\\n      }\\n\\n      .btn-clear {\\n        padding: 0;\\n        margin-left: 5px;\\n      }\\n\\n      .future-date-input-selector-row {\\n        .future-date-input-selector-icons {\\n          color: lighten($primary, 40%);\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    &.list-setting {\\n      .select-kit-row.create {\\n        .square {\\n          width: 12px;\\n          height: 12px;\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.mini-tag-chooser {\\n      margin-bottom: 5px;\\n      margin-left: 5px;\\n\\n      &.is-expanded {\\n        .select-kit-header {\\n          border: 1px solid $tertiary;\\n        }\\n      }\\n\\n      &.no-tags {\\n        .select-kit-header .selected-name {\\n          color: $primary-medium;\\n        }\\n      }\\n\\n      .select-kit-body {\\n        max-width: 32em;\\n      }\\n\\n      .select-kit-header {\\n        height: 30px;\\n\\n        .selected-name {\\n          margin: 0;\\n          border: 0;\\n          padding: 0;\\n          outline: none;\\n          box-shadow: none;\\n          cursor: pointer;\\n          max-width: 250px;\\n        }\\n      }\\n\\n      .select-kit-filter {\\n        border-top: 0;\\n      }\\n\\n      &.is-expanded .select-kit-wrapper,\\n      .select-kit-wrapper {\\n        display: none;\\n      }\\n\\n      .select-kit-row {\\n        &.is-selected {\\n          background: none;\\n        }\\n\\n        &.is-highlighted.is-selected {\\n          background: $tertiary-low;\\n        }\\n\\n        .discourse-tag-count {\\n          margin-left: 5px;\\n        }\\n      }\\n\\n      .select-kit-collection {\\n        .collection-header {\\n          max-height: 125px;\\n          overflow: hidden;\\n          flex: 1 0 auto;\\n          border-bottom: 1px solid $primary-low;\\n\\n          .selected-tags {\\n            display: flex;\\n            padding: 4px;\\n            flex-wrap: wrap;\\n            margin: -2px;\\n            overflow: hidden;\\n          }\\n\\n          .selected-tag {\\n            background: $primary-low;\\n            padding: 2px 4px;\\n            margin: 2px;\\n            border: 0;\\n\\n            &.is-highlighted {\\n              box-shadow: 0 0 2px $danger, 0 1px 0 rgba(0, 0, 0, 0.05);\\n            }\\n\\n            .d-icon {\\n              color: $primary-low-mid;\\n              vertical-align: middle;\\n            }\\n\\n            &:hover .d-icon {\\n              color: $danger;\\n            }\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    width: 300px;\\n    background: $secondary;\\n    border-radius: 0;\\n\\n    .select-kit-body {\\n      width: 100%;\\n    }\\n\\n    .select-kit-row {\\n      margin: 5px;\\n      min-height: 1px;\\n      padding: 5px;\\n      border-radius: 0;\\n    }\\n\\n    .select-kit-filter {\\n      border: 0;\\n      flex: 1 0 0px;\\n      margin: 1px;\\n    }\\n\\n    .multi-select-header {\\n      background: $secondary;\\n      border: 1px solid $primary-medium;\\n\\n      &.is-focused {\\n        box-shadow: shadow(\\"focus\\");\\n        border-radius: 0;\\n      }\\n    }\\n\\n    &.is-disabled {\\n      .multi-select-header {\\n        background: $primary-low;\\n        border-color: $primary-low-mid;\\n        color: $primary-medium;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n\\n    &.is-highlighted {\\n      .multi-select-header {\\n        border-radius: 0;\\n        border-bottom: 1px solid transparent;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded {\\n      .select-kit-wrapper {\\n        display: block;\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n        border-radius: 0;\\n      }\\n\\n      .multi-select-header {\\n        border-radius: 0;\\n        box-shadow: none;\\n      }\\n\\n      .select-kit-body {\\n        border-radius: 0;\\n      }\\n    }\\n\\n    .choices {\\n      margin: 0 2px;\\n      box-sizing: border-box;\\n      display: flex;\\n      justify-content: flex-start;\\n      flex-wrap: wrap;\\n      width: 100%;\\n\\n      .choice {\\n        display: inline-flex;\\n        box-sizing: border-box;\\n        align-items: center;\\n        justify-content: space-between;\\n        flex-wrap: wrap;\\n        flex-direction: row;\\n        margin: 1px 0px 2px 2px;\\n      }\\n\\n      .filter {\\n        align-items: center;\\n        justify-content: flex-start;\\n        white-space: nowrap;\\n        min-width: 50px;\\n        padding: 0;\\n        outline: none;\\n        flex: 1 0 0px;\\n\\n        .filter-input,\\n        .filter-input:focus {\\n          border: none;\\n          background: none;\\n          display: inline-block;\\n          width: 100%;\\n          outline: none;\\n          min-width: auto;\\n          padding: 0;\\n          margin: 0;\\n          outline: 0;\\n          border: 0;\\n          box-shadow: none;\\n          border-radius: 0;\\n          min-height: unset; // overrides input defaults\\n        }\\n      }\\n\\n      .selected-color {\\n        .selected-color-wrapper {\\n          display: flex;\\n          flex: 1 0 0px;\\n          flex-direction: column;\\n        }\\n\\n        .color-preview {\\n          height: 5px;\\n          margin: 0 2px 2px 0px;\\n          display: flex;\\n          width: 100%;\\n        }\\n      }\\n\\n      .selected-category {\\n        .body {\\n          display: flex;\\n          align-items: center;\\n        }\\n        .badge-wrapper {\\n          &.bullet {\\n            margin-right: 2.5px;\\n          }\\n\\n          padding: 2px 4px;\\n          line-height: $line-height-medium;\\n          display: flex;\\n          flex: 1 0 0px;\\n          align-items: center;\\n        }\\n      }\\n\\n      .selected-name {\\n        .footer {\\n          display: flex;\\n          width: 100%;\\n        }\\n\\n        .body {\\n          background: $primary-low;\\n          padding: 4px;\\n        }\\n\\n        .d-icon {\\n          color: $primary-low-mid;\\n          vertical-align: middle;\\n        }\\n        &:hover .d-icon:last-child {\\n          color: $danger;\\n        }\\n\\n        &.is-highlighted {\\n          box-shadow: 0 0 2px $danger, 0 1px 0 rgba(0, 0, 0, 0.05);\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.notifications-button {\\n      .select-kit-body {\\n        min-width: 550px;\\n        max-width: 550px;\\n      }\\n\\n      .select-kit-row {\\n        .icons {\\n          -ms-flex-item-align: start;\\n          align-self: flex-start;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.period-chooser {\\n      display: inline-flex;\\n      position: relative;\\n\\n      .select-kit-collection {\\n        padding: 5px;\\n      }\\n\\n      .period-chooser-header {\\n        background: none;\\n        border: none;\\n        justify-content: flex-start;\\n        width: auto;\\n        height: auto;\\n        padding: 0;\\n\\n        h2.selected-name {\\n          color: $secondary;\\n          display: inline-block;\\n          box-sizing: border-box;\\n\\n          .date-section {\\n            color: $primary;\\n            margin-right: 5px;\\n          }\\n\\n          .top-date-string {\\n            font-size: $font-down-1;\\n            color: dark-light-choose($primary-medium, $secondary-high);\\n            font-weight: normal;\\n            text-transform: uppercase;\\n          }\\n        }\\n\\n        .d-icon {\\n          color: $primary;\\n          opacity: 1;\\n          margin: 5px 0 10px 5px;\\n          font-size: $font-up-3;\\n        }\\n\\n        &.is-focused,\\n        &:hover {\\n          background: none;\\n          border: none;\\n          outline: none;\\n        }\\n      }\\n\\n      .period-chooser-row {\\n        font-weight: bold;\\n        padding: 5px;\\n        font-size: $font-up-1;\\n        align-items: center;\\n        display: flex;\\n\\n        .period-title {\\n          flex: 1 0 0px;\\n        }\\n\\n        .date-section {\\n          color: $primary;\\n        }\\n\\n        .top-date-string {\\n          font-weight: normal;\\n          font-size: $font-down-1;\\n          color: dark-light-choose($primary-medium, $secondary-high);\\n          text-transform: uppercase;\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#topic-footer-buttons {\\n  .pinned-button {\\n    min-width: auto;\\n    margin: 1em 0;\\n\\n    &.is-hidden {\\n      display: none;\\n    }\\n\\n    .btn {\\n      margin: 0;\\n    }\\n\\n    .reason {\\n      display: inline;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.pinned-button {\\n  margin: 0;\\n  min-width: auto;\\n\\n  .pinned-options {\\n    display: inline;\\n\\n    .select-kit-body {\\n      min-width: unset;\\n      max-width: unset;\\n      width: 550px;\\n    }\\n  }\\n}\\n",\n\t\t".mobile-view .select-kit.is-expanded {\\n  z-index: z(\\"dropdown\\");\\n}\\n\\n.select-kit {\\n  border: none;\\n  min-width: 220px;\\n  box-sizing: border-box;\\n  display: inline-block;\\n  flex-direction: column;\\n  position: relative;\\n  vertical-align: middle;\\n  user-select: none;\\n\\n  &.is-hidden {\\n    display: none;\\n  }\\n\\n  &.is-disabled {\\n    pointer-events: none;\\n  }\\n\\n  &.is-expanded {\\n    z-index: z(\\"dropdown\\");\\n\\n    .select-kit-body {\\n      display: flex;\\n      flex-direction: column;\\n      left: 0;\\n      position: absolute;\\n      top: 0;\\n    }\\n\\n    .select-kit-collection {\\n      border-radius: inherit;\\n    }\\n  }\\n\\n  &.is-above {\\n    .select-kit-body {\\n      bottom: 0;\\n      top: auto;\\n    }\\n\\n    .select-kit-filter {\\n      border-top: 0;\\n    }\\n\\n    .select-kit-wrapper {\\n      bottom: 0;\\n      top: auto;\\n    }\\n  }\\n\\n  .d-icon {\\n    color: $primary-high;\\n  }\\n\\n  .select-kit-header {\\n    box-sizing: border-box;\\n    overflow: hidden;\\n    transition: all 0.25s;\\n    cursor: pointer;\\n    outline: none;\\n    display: flex;\\n    align-items: center;\\n    flex-direction: row;\\n    min-height: 30px;\\n\\n    .selected-name {\\n      text-align: left;\\n      flex: 0 1 auto;\\n      padding: 1px 0;\\n      @include ellipsis;\\n      color: inherit;\\n    }\\n\\n    .btn-clear {\\n      padding: 0 10px;\\n      border: 0;\\n      background: none;\\n    }\\n\\n    .icon {\\n      margin-right: 5px;\\n    }\\n\\n    .caret-icon {\\n      margin-left: auto;\\n      padding-left: 5px;\\n      pointer-events: none;\\n    }\\n\\n    .d-button-label {\\n      display: flex;\\n      align-items: center;\\n      white-space: nowrap;\\n      overflow: hidden;\\n      line-height: $line-height-medium;\\n\\n      .d-icon {\\n        margin-left: 5px;\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n\\n  .select-kit-body {\\n    display: none;\\n    background: $secondary;\\n    box-sizing: border-box;\\n  }\\n\\n  .select-kit-row {\\n    cursor: pointer;\\n    line-height: $line-height-medium;\\n    outline: none;\\n    display: flex;\\n    flex: 1 0 auto;\\n    box-sizing: border-box;\\n    align-items: center;\\n    justify-content: flex-start;\\n\\n    .name {\\n      margin: 0;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      flex: 1 1 0%;\\n    }\\n\\n    .d-icon {\\n      margin-right: 5px;\\n    }\\n\\n    &.is-highlighted {\\n      background: $tertiary-low;\\n    }\\n\\n    &.is-selected {\\n      background: $highlight-medium;\\n    }\\n\\n    &.is-selected.is-highlighted {\\n      background: $tertiary-low;\\n    }\\n\\n    .discourse-tag,\\n    .discourse-tag-count {\\n      color: $primary;\\n    }\\n  }\\n\\n  .select-kit-collection {\\n    background: $secondary;\\n    overflow-x: hidden;\\n    overflow-y: auto;\\n    border-radius: inherit;\\n    -webkit-overflow-scrolling: touch;\\n    margin: 0;\\n    padding: 0;\\n    max-height: 200px;\\n\\n    .validation-message {\\n      white-space: nowrap;\\n      color: $danger;\\n      flex: 1 0 auto;\\n      margin: 5px;\\n      padding: 0 2px;\\n    }\\n\\n    .select-kit-collection {\\n      padding: 0;\\n      margin: 0;\\n\\n      &:hover .select-kit-row.is-highlighted:hover {\\n        background: $tertiary-low;\\n      }\\n    }\\n\\n    &::-webkit-scrollbar {\\n      -webkit-appearance: none;\\n      width: 10px;\\n    }\\n\\n    &::-webkit-scrollbar-thumb {\\n      cursor: pointer;\\n      border-radius: 5px;\\n      background: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    &::-webkit-scrollbar-track {\\n      background: transparent;\\n      border-radius: 0;\\n    }\\n  }\\n\\n  .select-kit-filter {\\n    display: flex;\\n    box-sizing: border-box;\\n    align-items: center;\\n    justify-content: space-between;\\n\\n    .filter-input,\\n    .filter-input:focus,\\n    .filter-input:active {\\n      background: none;\\n      margin: 0;\\n      padding: 0;\\n      flex: 1 0 0px;\\n      outline: none;\\n      border: 0;\\n      border-radius: 0;\\n      box-shadow: none;\\n      width: 100%;\\n    }\\n\\n    &.is-hidden {\\n      width: 1px;\\n      height: 1px;\\n      border: 0;\\n      margin: -1px;\\n      padding: 0;\\n      overflow: hidden;\\n      position: fixed;\\n      outline: 0;\\n      left: 0;\\n      top: 0;\\n    }\\n  }\\n\\n  .select-kit-wrapper {\\n    position: absolute;\\n    top: 0;\\n    left: 0;\\n    background: none;\\n    display: none;\\n    box-sizing: border-box;\\n    pointer-events: none;\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    &.tag-chooser {\\n      .select-kit-row {\\n        display: flex;\\n        align-items: center;\\n\\n        .discourse-tag-count {\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.tag-drop {\\n      .select-kit-row {\\n        &[data-value=\\"all-tags\\"],\\n        &[data-value=\\"no-tags\\"] {\\n          color: $tertiary;\\n          font-weight: 700;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.toolbar-popup-menu-options {\\n      .select-kit-body {\\n        box-shadow: none;\\n        padding: 10px 10px 5px 10px;\\n        width: 230px;\\n      }\\n\\n      .select-kit-row {\\n        margin-bottom: 5px;\\n        padding: 6px 3px;\\n        background: $primary-low;\\n        transition: all 0.25s;\\n\\n        .name,\\n        .d-icon {\\n          font-size: $font-0;\\n          font-weight: normal;\\n          color: $primary;\\n        }\\n\\n        .d-icon {\\n          opacity: 0.7;\\n        }\\n\\n        &.is-highlighted {\\n          background: $primary-medium;\\n\\n          .name,\\n          .d-icon {\\n            color: $secondary;\\n          }\\n        }\\n\\n        &:hover {\\n          background: $primary-medium;\\n          color: $secondary;\\n        }\\n\\n        &.is-selected {\\n          color: $primary;\\n          background: $primary-low;\\n        }\\n\\n        &.is-selected.is-highlighted {\\n          background: $primary-medium;\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#topic-footer-buttons {\\n  .topic-notifications-button {\\n    min-width: auto;\\n    margin: 1em 0;\\n\\n    .btn {\\n      margin: 0;\\n    }\\n\\n    .reason {\\n      display: inline;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.topic-notifications-button .topic-notifications-options {\\n  min-width: auto;\\n}\\n\\n.topic-notifications-button {\\n  margin: 0;\\n\\n  .topic-notifications-options {\\n    display: inline-flex;\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.user-notifications-dropdown {\\n      text-align: left;\\n\\n      .select-kit-body {\\n        width: 485px;\\n        max-width: 485px;\\n      }\\n\\n      .select-kit-header {\\n        justify-content: center;\\n      }\\n\\n      .dropdown-select-box-header {\\n        align-items: center;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.color-palettes {\\n      .color-palettes-row {\\n        .palettes {\\n          display: flex;\\n          align-items: center;\\n          margin-left: 0.5em;\\n          flex: 1 0 0;\\n\\n          .palette {\\n            height: 15px;\\n            width: 15px;\\n            display: block;\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".svg-icon,\\n.svg-icon-title {\\n  height: 1em;\\n  width: 1em;\\n  line-height: 1;\\n  display: inline-flex;\\n  position: relative;\\n  vertical-align: -0.125em;\\n  fill: currentColor;\\n  flex-shrink: 0; // Prevent the icon from shrinking if it's in a flexbox\\n  overflow: visible;\\n}\\n\\n// Fixes Edge bug with SVG elements not triggering click event\\nsvg > use {\\n  pointer-events: none;\\n}\\n\\n// Stacked Icons\\n// Usage:\\n// <span class=\\"fa-stack\\">\\n//    <svg class=\\"... d-icon-icon1 fa-stack-1x ...\\" xmlns=\\"http://www.w3.org/2000/svg\\"><use xlink:href=\\"#icon1\\"></use></svg>\\n//    <svg class=\\"... d-icon-icon2 fa-stack-2x ...\\" xmlns=\\"http://www.w3.org/2000/svg\\"><use xlink:href=\\"#icon2\\"></use></svg>\\n// </span>\\n// -------------------------\\n\\n.fa-stack {\\n  position: relative;\\n  width: 1em;\\n  height: 1em;\\n  display: inline-block;\\n\\n  .fa-stack-1x,\\n  .fa-stack-2x {\\n    left: 0px;\\n    top: 0px;\\n    position: absolute;\\n  }\\n\\n  .fa-stack-2x {\\n    height: 1.5em;\\n    width: 1.5em;\\n    margin-top: -0.25em;\\n    margin-left: -0.25em;\\n  }\\n}\\n",\n\t\t".d-date-time-input-range {\\n  padding: 0.5em;\\n  background: whitesmole;\\n  border: 1px solid $primary-low;\\n  width: 300px;\\n  display: flex;\\n  flex-direction: column;\\n\\n  .panels {\\n    display: inline-flex;\\n    list-style: none;\\n    margin: 0 0 0.5em 0;\\n    flex: 1;\\n\\n    &.from {\\n      .from-panel {\\n        background: $danger;\\n        color: $secondary;\\n      }\\n    }\\n\\n    &.to {\\n      .to-panel {\\n        background: $danger;\\n        color: $secondary;\\n      }\\n    }\\n\\n    .btn {\\n      margin-right: 0.5em;\\n    }\\n  }\\n\\n  .panel {\\n    display: none;\\n    flex: 1;\\n\\n    &.visible {\\n      display: flex;\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Navigation menus\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n%nav {\\n  margin-left: 0;\\n  list-style: none;\\n  li a {\\n    display: block;\\n    text-decoration: none;\\n  }\\n}\\n\\n// Pill nav\\n// --------------------------------------------------\\n\\n.nav-pills {\\n  @extend %nav;\\n  @extend .clearfix;\\n\\n  > li {\\n    float: left;\\n    margin-right: 5px;\\n\\n    > a {\\n      border: none;\\n      padding: 6px 12px;\\n      color: $primary;\\n      font-size: $font-up-1;\\n      line-height: $line-height-small;\\n      box-sizing: border-box;\\n      min-height: 30px;\\n      display: flex;\\n      align-items: center;\\n      transition: background 0.15s;\\n\\n      .d-icon {\\n        margin-right: 5px;\\n        opacity: 0.65;\\n      }\\n\\n      &:hover {\\n        color: $quaternary;\\n        background-color: $quaternary-low;\\n      }\\n    }\\n\\n    a.active {\\n      color: $secondary;\\n      background-color: $quaternary;\\n\\n      .d-icon {\\n        opacity: 1;\\n      }\\n    }\\n  }\\n}\\n\\n// Stacked nav\\n// --------------------------------------------------\\n\\n.nav-stacked {\\n  @extend %nav;\\n  padding: 0;\\n  overflow: hidden;\\n  background: $primary-low;\\n\\n  li {\\n    border-bottom: 1px solid $primary-low;\\n    position: relative;\\n\\n    &:last-of-type {\\n      border-bottom: 0;\\n    }\\n\\n    &.indent {\\n      padding-left: 15px;\\n    }\\n  }\\n\\n  a {\\n    margin: 0;\\n    padding: 13px;\\n    font-size: $font-up-1;\\n    line-height: $line-height-small;\\n    cursor: pointer;\\n    color: $primary;\\n\\n    &.active {\\n      color: $secondary;\\n      background-color: $quaternary;\\n\\n      &::after {\\n        left: 90%;\\n        top: 33%;\\n        content: \\" \\";\\n        position: absolute;\\n        border: 8px solid transparent;\\n        border-left-color: $secondary;\\n      }\\n    }\\n  }\\n\\n  .count {\\n    font-size: $font-down-1;\\n  }\\n\\n  .glyph {\\n    font-size: $font-down-1;\\n    width: 1.25em;\\n    text-align: center;\\n    margin-right: 0.25em;\\n    line-height: $line-height-large;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Buttons\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n.btn {\\n  display: inline-block;\\n  margin: 0;\\n  padding: 6px 12px;\\n  font-weight: 500;\\n  font-size: $font-0;\\n  line-height: $line-height-small;\\n  text-align: center;\\n  cursor: pointer;\\n  transition: all 0.25s;\\n  box-sizing: border-box;\\n  min-height: 30px;\\n  .d-icon {\\n    transition: color 0.25s;\\n  }\\n  &:active,\\n  &.btn-active {\\n    text-shadow: none;\\n  }\\n  &[disabled],\\n  &.disabled {\\n    cursor: default;\\n    opacity: 0.4;\\n  }\\n  .d-icon {\\n    margin-right: 7px;\\n  }\\n  &.no-text {\\n    .d-icon {\\n      margin-right: 0;\\n    }\\n  }\\n}\\n\\n.btn.hidden {\\n  display: none;\\n}\\n\\n// Default button\\n// --------------------------------------------------\\n\\n.btn {\\n  border: none;\\n  color: $primary;\\n  font-weight: normal;\\n  background: $primary-low;\\n  .d-icon {\\n    color: $primary-high;\\n  }\\n\\n  &[href] {\\n    color: $primary;\\n    min-height: unset; // ovverides button defaults\\n  }\\n  @include hover {\\n    background: $primary-medium;\\n    color: $secondary;\\n    .d-icon {\\n      color: $secondary-very-high;\\n    }\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $primary-low;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n    &:hover {\\n      color: dark-light-choose($primary-low-mid, $secondary-high);\\n      .d-icon {\\n        color: $primary-low-mid;\\n      }\\n    }\\n    cursor: not-allowed;\\n  }\\n\\n  .d-icon {\\n    line-height: $line-height-medium; // Match button text line-height\\n  }\\n}\\n\\n// Primary button\\n// --------------------------------------------------\\n\\n.btn-primary {\\n  border: none;\\n  font-weight: normal;\\n  color: $secondary;\\n  background: $tertiary;\\n  .d-icon {\\n    color: currentColor;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  @include hover {\\n    background: dark-light-choose(\\n      scale-color($tertiary, $lightness: -20%),\\n      scale-color($tertiary, $lightness: 20%)\\n    );\\n    .d-icon {\\n      color: currentColor;\\n    }\\n  }\\n  &:active,\\n  &.btn-active {\\n    @include linear-gradient(\\n      scale-color($tertiary, $lightness: -20%),\\n      $tertiary\\n    );\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $tertiary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n  }\\n}\\n\\n// Danger button\\n// --------------------------------------------------\\n\\n.btn-danger {\\n  color: $secondary;\\n  font-weight: normal;\\n  background: $danger;\\n  .d-icon {\\n    color: $danger-low;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  @include hover {\\n    background: dark-light-choose(\\n      scale-color($danger, $lightness: -20%),\\n      scale-color($danger, $lightness: 20%)\\n    );\\n    .d-icon {\\n      color: $danger-low;\\n    }\\n  }\\n  &:active,\\n  &.btn-active {\\n    @include linear-gradient(scale-color($danger, $lightness: -20%), $danger);\\n  }\\n  &[disabled],\\n  &.disabled {\\n    background: $danger;\\n    .d-icon {\\n      color: $danger-low;\\n    }\\n  }\\n}\\n\\n// Social buttons\\n// --------------------------------------------------\\n\\n.btn-social {\\n  .d-icon {\\n    color: #fff;\\n  }\\n  color: #fff;\\n  background: #666;\\n  &:hover {\\n    color: #fff;\\n  }\\n  &[href] {\\n    color: $secondary;\\n  }\\n  &:before {\\n    margin-right: 9px;\\n    font-size: $font-0;\\n  }\\n  &.google_oauth2 {\\n    background: $google;\\n    color: #333;\\n    border: 1px solid $primary-low;\\n    // non-FA SVG icon for Google in login-buttons.hbs\\n    .d-icon {\\n      opacity: 0.9;\\n    }\\n    &:hover {\\n      color: currentColor;\\n      background: darken($google, 5%);\\n    }\\n  }\\n  &.instagram {\\n    background: $instagram;\\n    &:hover {\\n      background: darken($instagram, 15%);\\n    }\\n  }\\n  &.facebook {\\n    background: $facebook;\\n    &:hover {\\n      background: darken($facebook, 15%);\\n    }\\n  }\\n  &.cas {\\n    background: $cas;\\n  }\\n  &.twitter {\\n    background: $twitter;\\n    &:hover {\\n      background: darken($twitter, 10%);\\n    }\\n  }\\n  &.github {\\n    background: $github;\\n    &:hover {\\n      background: lighten($github, 20%);\\n    }\\n  }\\n  &.discord {\\n    background: $discord;\\n    &:hover {\\n      background: darken($discord, 10%);\\n    }\\n  }\\n}\\n\\n// Button Sizes\\n// --------------------------------------------------\\n\\n// Small\\n\\n.btn-small {\\n  padding: 3px 6px;\\n  font-size: $font-down-1;\\n}\\n\\n// Large\\n\\n.btn-large {\\n  padding: 9px 18px;\\n  font-size: $font-up-1;\\n  line-height: $line-height-small;\\n}\\n\\n.btn-flat {\\n  background: transparent;\\n  border: 0;\\n  outline: 0;\\n  line-height: $line-height-small;\\n  transition: color 0.25s, background 0.25s;\\n  .d-icon {\\n    color: $primary-low-mid;\\n  }\\n  @include hover {\\n    .d-icon {\\n      color: $primary;\\n    }\\n  }\\n  &.close {\\n    padding: 0;\\n    min-height: unset;\\n    background: transparent;\\n    font-size: $font-up-3;\\n    .d-icon {\\n      color: $primary-high;\\n    }\\n    @include hover {\\n      background: transparent;\\n      .d-icon {\\n        color: $primary;\\n      }\\n    }\\n  }\\n}\\n\\n.btn-link {\\n  background: transparent;\\n  border: 0;\\n  outline: 0;\\n  padding: 0;\\n  color: $tertiary;\\n  &:focus {\\n    outline: 1px currentColor dotted;\\n  }\\n}\\n",\n\t\t".topic-list-item td:first-child,\\n.topic-post {\\n  border-left: 1px solid transparent;\\n}\\n\\n.topic-list tr.selected td:first-child,\\n.topic-list-item.selected td:first-child,\\n.latest-topic-list-item.selected {\\n  box-shadow: inset 3px 0 0 $danger; // needs to be inset for Edge\\n}\\n\\n.featured-topic.selected,\\n.topic-post.selected {\\n  box-shadow: -3px 0 0 $danger;\\n}\\n\\n.latest .featured-topic {\\n  padding-left: 4px;\\n}\\n\\n.topic-list-item.selected {\\n  background-color: inherit;\\n}\\n\\n.keyboard-shortcuts-modal .modal-body {\\n  max-height: 560px;\\n}\\n\\n#keyboard-shortcuts-help {\\n  div.row {\\n    width: 100%;\\n    div {\\n      float: left;\\n      width: 32%;\\n    }\\n  }\\n  ul {\\n    list-style: none;\\n    margin-left: 0;\\n\\n    li {\\n      margin: 5px 0;\\n    }\\n\\n    kbd {\\n      font-size: $base-font-size;\\n      font-family: $base-font-family;\\n      margin: 0;\\n      color: dark-light-choose(#444, #aaa);\\n      font-weight: bold;\\n      padding: 2px 6px;\\n      white-space: nowrap;\\n    }\\n  }\\n}\\n",\n\t\t".d-date-time-input {\\n  display: flex;\\n  align-items: center;\\n  border: 1px solid $primary-low;\\n  width: 258px;\\n  box-sizing: border-box;\\n  position: relative;\\n  flex: 1;\\n  justify-content: space-between;\\n\\n  .date-picker,\\n  .fields {\\n    border: 0;\\n  }\\n}\\n",\n\t\t".group-member-dropdown {\\n  text-align: left;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Banner\\n// --------------------------------------------------\\n\\n#banner {\\n  padding: 10px;\\n  background: $tertiary-low;\\n  color: $primary;\\n  z-index: z(\\"base\\") + 1;\\n  overflow: auto;\\n\\n  &.overlay {\\n    position: fixed;\\n  }\\n\\n  .close {\\n    margin-top: -5px;\\n    color: $primary-low-mid;\\n    padding-left: 5px;\\n    float: right;\\n  }\\n\\n  .meta {\\n    display: none;\\n  }\\n}\\n",\n\t\t".ignored-list {\\n  overflow: auto;\\n  max-height: 150px;\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  background-color: $secondary;\\n  min-height: 30px;\\n  box-sizing: border-box;\\n}\\n\\n.ignored-user-list-item {\\n  border: 1px solid $primary-medium;\\n  border-radius: 0.25em;\\n  padding: 0;\\n  display: flex;\\n  align-items: center;\\n  margin-right: 10px;\\n}\\n\\n.remove-ignored-user {\\n  display: flex;\\n  flex: 1 0 0px;\\n  align-items: center;\\n  justify-content: center;\\n  box-sizing: border-box;\\n  border-radius: 0 0.25em 0.25em 0;\\n  padding-top: 0;\\n  padding-bottom: 0;\\n  height: 100%;\\n}\\n\\n.ignored-user-name {\\n  padding-left: 10px;\\n  padding-right: 10px;\\n}\\n",\n\t\t".d-date-input {\\n  .date-picker {\\n    margin: 0;\\n    text-align: left;\\n    width: 100%;\\n    outline: none;\\n    box-shadow: none !important;\\n  }\\n\\n  .pika-single {\\n    margin-left: -1px;\\n  }\\n}\\n",\n\t\t".d-time-input {\\n  box-sizing: border-box;\\n\\n  .fields {\\n    display: flex;\\n    align-items: center;\\n    border: 1px solid $primary-low;\\n\\n    .field {\\n      text-align: center;\\n      width: auto;\\n      margin: 0;\\n      border: none;\\n      outline: none;\\n      box-shadow: none;\\n      width: 32px;\\n\\n      &.time {\\n        width: 100%;\\n        text-align: left;\\n      }\\n\\n      &.hours,\\n      &.minutes {\\n        text-align: center;\\n        width: 45px;\\n      }\\n\\n      &.hours {\\n        padding-right: 0;\\n      }\\n\\n      &.minutes {\\n        padding-left: 10px;\\n        width: 55px;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".group-form-automatic-membership-automatic,\\n.groups-form-grant-trust-level {\\n  margin-bottom: 10px;\\n}\\n",\n\t\t".conditional-loading-section {\\n  &.is-loading {\\n    padding: 2em;\\n    margin: 1em;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background: $primary-very-low;\\n    flex-direction: column;\\n\\n    .title {\\n      font-size: $font-up-1;\\n      font-weight: 700;\\n    }\\n  }\\n\\n  &:not(.is-loading) {\\n    animation: fadein 0.5s;\\n    -webkit-animation: fadein 0.5s;\\n  }\\n\\n  @keyframes fadein {\\n    from {\\n      opacity: 0;\\n    }\\n    to {\\n      opacity: 1;\\n    }\\n  }\\n\\n  @-webkit-keyframes fadein {\\n    from {\\n      opacity: 0;\\n    }\\n    to {\\n      opacity: 1;\\n    }\\n  }\\n}\\n",\n\t\t"a.hashtag {\\n  color: dark-light-choose($primary, $primary-low-mid);\\n  font-weight: bold;\\n\\n  &:visited,\\n  &:hover {\\n    color: dark-light-choose($primary, $primary-low-mid);\\n  }\\n\\n  &:hover {\\n    span {\\n      text-decoration: underline;\\n    }\\n  }\\n}\\n",\n\t\t".convert-to-public-topic .modal-body {\\n  .instructions {\\n    margin-bottom: 1em;\\n  }\\n}\\n",\n\t\t".pika-table {\\n  th,\\n  td {\\n    padding: 0 !important;\\n    border-top: none !important;\\n    border-bottom: none !important;\\n  }\\n}\\n\\n.date-picker-wrapper {\\n  position: relative;\\n  display: inline-block;\\n}\\n\\n.date-picker {\\n  text-align: center;\\n  width: 8em;\\n  margin: 0;\\n}\\n\\n.pika-single {\\n  position: absolute !important;\\n}\\n",\n\t\t"$card_width: 580px;\\n$avatar_width: 120px;\\n$avatar_margin: -50px; // negative margin makes avatars extend above cards\\n\\n.animated-placeholder {\\n  height: 20px;\\n  position: relative;\\n}\\n\\n.card-avatar-placeholder {\\n  width: $avatar_width;\\n  height: $avatar_width;\\n  border-radius: 100%;\\n  position: relative;\\n  overflow: hidden;\\n  &:before {\\n    animation: placeHolderShimmer 4s linear infinite forwards;\\n    position: absolute;\\n    left: 0;\\n    content: \\"\\";\\n    background: linear-gradient(\\n      to right,\\n      $primary-very-low 10%,\\n      $primary-low 18%,\\n      $primary-very-low 33%\\n    );\\n    height: $avatar_width;\\n    width: $card_width;\\n  }\\n}\\n\\n// shared styles for user and group cards\\n#user-card,\\n#group-card {\\n  width: $card_width;\\n  box-shadow: shadow(\\"card\\");\\n  color: $primary;\\n  background: $secondary center center;\\n  background-size: cover;\\n  transition: opacity 0.2s, transform 0.2s;\\n  -webkit-transition: opacity 0.2s, -webkit-transform 0.2s;\\n  opacity: 0;\\n  @include transform(scale(0.9));\\n  &.show {\\n    opacity: 1;\\n    @include transform(scale(1));\\n  }\\n  .card-content {\\n    padding: 10px;\\n    background: rgba($secondary, 0.85);\\n    margin-top: 80px;\\n    &:after {\\n      content: \\"\\";\\n      display: block;\\n      clear: both;\\n    }\\n    a.card-huge-avatar {\\n      outline: none;\\n    }\\n  }\\n  &.no-bg {\\n    .card-content {\\n      margin-top: 0;\\n    }\\n  }\\n  .card-row:not(.first-row) {\\n    margin-top: 0.5em;\\n  }\\n  // avatar - names - controls\\n  .first-row {\\n    .names {\\n      padding-left: 1.25em;\\n\\n      .user-profile-link {\\n        display: flex;\\n        align-items: center;\\n      }\\n\\n      .d-icon {\\n        margin: 0 0.25em;\\n      }\\n\\n      .name-username-wrapper {\\n        margin-right: 0;\\n        flex: 0 1 auto;\\n      }\\n      span {\\n        display: block;\\n      }\\n    }\\n    .usercard-controls {\\n      list-style-type: none;\\n      margin: 0;\\n      button {\\n        width: 100%;\\n      }\\n    }\\n  }\\n  .btn {\\n    margin-bottom: 5px;\\n  }\\n  h1 {\\n    line-height: $line-height-medium;\\n    .d-icon {\\n      color: $primary;\\n    }\\n  }\\n  h3 {\\n    display: inline;\\n    margin-right: 0.5em;\\n    color: $primary;\\n    &.email,\\n    .desc,\\n    a {\\n      color: $primary-high;\\n    }\\n  }\\n  h1,\\n  h2,\\n  h3 {\\n    margin: 0;\\n    @include ellipsis;\\n  }\\n  h1,\\n  h2 {\\n    a {\\n      color: $primary;\\n    }\\n  }\\n  h2,\\n  h3 {\\n    font-weight: normal;\\n  }\\n  p {\\n    margin: 0 0 5px 0;\\n  }\\n}\\n\\n// styles for user cards only\\n#user-card {\\n  // avatar - names - controls\\n  .first-row {\\n    display: flex;\\n    .avatar-placeholder {\\n      width: $avatar_width;\\n      height: $avatar_width;\\n    }\\n    .user-card-avatar {\\n      margin-top: $avatar_margin;\\n    }\\n    .new-user a {\\n      color: $primary-low-mid;\\n    }\\n  }\\n  // user bio - suspension reason\\n  .second-row {\\n    max-height: 150px;\\n    overflow: auto;\\n    .bio {\\n      a {\\n        color: $primary;\\n        text-decoration: underline;\\n      }\\n      a.mention {\\n        text-decoration: none;\\n      }\\n      .overflow {\\n        max-height: 60px;\\n        overflow: hidden;\\n      }\\n    }\\n    .suspended {\\n      color: $danger;\\n      .suspension-reason-title,\\n      .suspension-date {\\n        font-weight: bold;\\n      }\\n    }\\n    .profile-hidden {\\n      font-size: $font-up-1;\\n      margin-top: 0.5em;\\n    }\\n  }\\n  // location and website\\n  .third-row {\\n    .location-and-website {\\n      display: flex;\\n      flex-wrap: wrap;\\n      width: 100%;\\n      align-items: center;\\n      .location,\\n      .website-name {\\n        display: flex;\\n        overflow: hidden;\\n        align-items: center;\\n        .d-icon {\\n          margin-right: 0.25em;\\n        }\\n      }\\n      .website-name a,\\n      .location span {\\n        @include ellipsis;\\n        color: $primary;\\n      }\\n      .location {\\n        margin-right: 0.5em;\\n      }\\n      .website-name a {\\n        text-decoration: underline;\\n      }\\n    }\\n  }\\n  // custom user fields\\n  .fifth-row {\\n    .public-user-fields {\\n      margin: 0;\\n    }\\n  }\\n  // badges\\n  .sixth-row {\\n    .badge-section {\\n      display: flex;\\n      align-items: flex-start;\\n      .user-badge {\\n        @include ellipsis;\\n        background: $primary-very-low;\\n        border: 1px solid $primary-low;\\n        color: $primary;\\n      }\\n      .more-user-badges {\\n        a {\\n          @extend .user-badge;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// styles for group cards only\\n#group-card {\\n  // avatar - names and controls\\n  .first-row {\\n    display: flex;\\n    .group-card-avatar {\\n      margin-top: $avatar_margin;\\n    }\\n    .avatar-flair {\\n      display: flex;\\n      background-size: contain;\\n      width: $avatar_width;\\n      height: $avatar_width;\\n      color: $primary;\\n      .d-icon {\\n        margin: auto;\\n        font-size: $avatar_width / 1.5;\\n      }\\n      &.rounded {\\n        border-radius: 50%;\\n      }\\n    }\\n  }\\n  // group bio\\n  .second-row {\\n    max-height: 150px;\\n    overflow: auto;\\n    .bio {\\n      a {\\n        color: $primary;\\n        text-decoration: underline;\\n      }\\n      img {\\n        max-width: 100%;\\n        height: auto;\\n      }\\n      a.mention {\\n        text-decoration: none;\\n      }\\n      .overflow {\\n        max-height: 60px;\\n        overflow: hidden;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Footer nav bar (displayed in DiscourseHub app and PWAs)\\n// --------------------------------------------------\\n\\n$footer-nav-height: 49px;\\n\\nbody.footer-nav-visible {\\n  #main-outlet {\\n    padding-bottom: $footer-nav-height + 15;\\n  }\\n\\n  #topic-progress-wrapper,\\n  #reply-control.draft {\\n    bottom: $footer-nav-height;\\n  }\\n\\n  #reply-control.draft {\\n    margin-bottom: env(safe-area-inset-bottom);\\n    padding-bottom: 0px;\\n  }\\n}\\n\\n.footer-nav {\\n  background-color: rgba($header_background, 0.9);\\n  box-shadow: shadow(\\"footer-nav\\");\\n  height: $footer-nav-height;\\n  position: fixed;\\n  bottom: -$footer-nav-height;\\n  left: 0;\\n  width: 100%;\\n  z-index: z(\\"footer-nav\\");\\n  transition: all linear 0.1s;\\n\\n  .d-icon {\\n    color: $header_primary-medium;\\n  }\\n\\n  &.visible {\\n    bottom: 0px;\\n  }\\n\\n  .footer-nav-widget {\\n    display: flex;\\n    justify-content: \\"space-evenly\\";\\n    @include unselectable;\\n    button {\\n      flex: 1;\\n      margin: 4px;\\n      border-radius: 2px;\\n      padding: 14px 18px;\\n      &:disabled {\\n        opacity: 0.6;\\n      }\\n    }\\n  }\\n}\\n\\n@supports (padding: max(0px)) {\\n  .footer-nav.visible {\\n    padding-bottom: unquote(\\"max(5px, env(safe-area-inset-bottom))\\");\\n  }\\n}\\n\\n@supports (-webkit-backdrop-filter: blur(10px)) {\\n  body:not(.footer-nav-ipad) .footer-nav {\\n    background-color: rgba($header_background, 0.7);\\n    -webkit-backdrop-filter: blur(20px);\\n  }\\n}\\n\\nbody.footer-nav-ipad {\\n  padding-top: $footer-nav-height;\\n  .footer-nav {\\n    bottom: auto;\\n    top: 0px;\\n    background-color: $header_background;\\n    z-index: z(\\"ipad-header-nav\\");\\n    padding-bottom: 0; // resets safe-area-inset-bottom\\n  }\\n\\n  #reply-control,\\n  #reply-control.fullscreen {\\n    z-index: z(\\"ipad-header-nav\\") + 1;\\n  }\\n\\n  &.docked .d-header {\\n    margin-top: $footer-nav-height;\\n  }\\n}\\n",\n\t\t".share-and-invite.modal {\\n  .modal-body {\\n    max-width: 475px;\\n    min-width: 320px;\\n  }\\n\\n  .modal-header {\\n    .modal-close {\\n      padding-left: 0;\\n    }\\n  }\\n}\\n\\n.share-and-invite.modal .share.modal-panel {\\n  .header {\\n    display: flex;\\n    flex-direction: row;\\n    align-items: center;\\n\\n    .title {\\n      font-size: $font-0;\\n      font-weight: normal;\\n      margin-bottom: s(2);\\n\\n      .post-date {\\n        color: $primary-medium;\\n        font-size: $font-down-1;\\n      }\\n    }\\n  }\\n\\n  .body {\\n    display: flex;\\n    flex-direction: column;\\n\\n    .topic-share-url {\\n      width: 100%;\\n      height: auto;\\n      box-sizing: border-box;\\n    }\\n\\n    .topic-share-url-for-touch {\\n      a {\\n        word-break: break-all;\\n        font-size: $font-up-1;\\n      }\\n    }\\n\\n    .topic-share-url-for-touch,\\n    .topic-share-url {\\n      margin-bottom: s(2);\\n    }\\n\\n    .sources {\\n      display: flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      flex-direction: row;\\n\\n      .social-link {\\n        font-size: $font-up-6;\\n        margin-right: s(2);\\n      }\\n    }\\n  }\\n}\\n\\n.share-and-invite.modal .invite.modal-panel {\\n  .error-message,\\n  .success-message {\\n    margin-bottom: s(2);\\n  }\\n\\n  .body {\\n    .invite-user-control,\\n    .group-access-control,\\n    .show-custom-message-control {\\n      margin-bottom: s(4);\\n    }\\n\\n    .instructions {\\n      margin-bottom: s(2);\\n    }\\n\\n    .email-or-username-input {\\n      width: 100%;\\n    }\\n  }\\n\\n  .footer {\\n    display: flex;\\n    align-items: center;\\n\\n    .btn-primary {\\n      margin-right: s(2);\\n\\n      &:last-child {\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Common styles for \\"user-stream-item\\" component\\n.user-stream {\\n  // DEPRECATED:\\n  // The \\".item\\" class should be removed because it's too generic.\\n  // Once \\".item\\" has been removed, \\".user-stream-item\\" can replace\\n  // \\".user-stream\\" as the top-level selector on this file as all other\\n  // selectors below are its children\\n  .item,\\n  .user-stream-item {\\n    background-color: $secondary;\\n    border-bottom: 1px solid $primary-low;\\n\\n    &.moderator-action {\\n      background-color: $highlight-medium;\\n    }\\n\\n    &.deleted {\\n      opacity: 0.8;\\n      background-color: dark-light-diff(\\n        rgba($danger, 0.7),\\n        $secondary,\\n        50%,\\n        -10%\\n      );\\n    }\\n\\n    &.hidden {\\n      display: block;\\n      opacity: 0.4;\\n    }\\n  }\\n\\n  .type,\\n  span.name {\\n    color: $primary;\\n  }\\n\\n  .time,\\n  .delete-info,\\n  .draft-type {\\n    display: block;\\n    float: right;\\n    color: $primary-medium;\\n    font-size: $font-down-2;\\n  }\\n\\n  .draft-type {\\n    clear: right;\\n  }\\n\\n  .delete-info .d-icon {\\n    font-size: $font-0;\\n  }\\n\\n  .expand-item,\\n  .collapse-item {\\n    float: right;\\n    margin-right: 0.5em;\\n    line-height: $line-height-small;\\n    color: $primary-medium;\\n  }\\n\\n  .avatar-link {\\n    float: left;\\n    margin-right: 4px;\\n  }\\n\\n  .title {\\n    @include ellipsis;\\n    display: block;\\n  }\\n\\n  .name {\\n    font-size: $font-0;\\n    max-width: 400px;\\n    @include ellipsis;\\n  }\\n\\n  .edit-reason {\\n    background-color: dark-light-choose(\\n      $highlight-medium,\\n      scale-color($highlight, $lightness: -50%)\\n    );\\n    padding: 3px 5px 5px 5px;\\n  }\\n\\n  .remove-bookmark,\\n  .remove-draft {\\n    float: right;\\n    margin-top: -4px;\\n  }\\n\\n  .notification {\\n    li {\\n      display: inline-block;\\n    }\\n\\n    p {\\n      display: inline-block;\\n\\n      span:first-child {\\n        color: $primary;\\n      }\\n    }\\n\\n    .time {\\n      display: inline-block;\\n      margin-left: 10px;\\n      float: none;\\n    }\\n\\n    // common/base/header.scss\\n    .fa,\\n    .icon {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      font-size: $font-up-4;\\n    }\\n  }\\n\\n  .excerpt {\\n    margin: 1em 0 0 0;\\n    font-size: $font-0;\\n    word-wrap: break-word;\\n    color: $primary;\\n    &:empty {\\n      display: none;\\n    }\\n    details.disabled {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  .group-member-info {\\n    display: flex;\\n  }\\n}\\n\\n.user-stream .child-actions, /* DEPRECATED: '.user-stream .child-actions' selector*/\\n.user-stream-item-actions,\\n.user-stream-item-draft-actions {\\n  margin-top: 8px;\\n\\n  .avatar-link {\\n    float: none;\\n    margin-right: 3px;\\n  }\\n\\n  .fa {\\n    width: 15px;\\n    display: inline-block;\\n    color: $primary;\\n    &.d-icon-heart {\\n      color: $love;\\n    }\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Badges\\n// --------------------------------------------------\\n\\n// Base\\n// --------------------------------------------------\\n\\n%badge {\\n  display: inline-block;\\n  font-weight: normal;\\n  white-space: nowrap;\\n  border-radius: 10px;\\n}\\n\\n// Category badges\\n// --------------------------------------------------\\n\\n.badge-wrapper {\\n  font-size: $font-down-1;\\n  font-weight: bold;\\n  white-space: nowrap;\\n  position: relative;\\n  display: inline-flex;\\n  align-items: baseline;\\n\\n  .badge-category {\\n    display: inline-flex;\\n    align-items: baseline;\\n    .category-name {\\n      text-overflow: ellipsis;\\n      overflow: hidden;\\n    }\\n    .d-icon {\\n      margin-right: 3px;\\n      width: 0.74em;\\n      height: 0.74em;\\n      color: inherit;\\n    }\\n  }\\n\\n  // ----- Bullet\\n\\n  &.bullet {\\n    margin-right: 12px;\\n    span.badge-category {\\n      color: $primary-high;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      .extra-info-wrapper & {\\n        color: $header-primary;\\n      }\\n    }\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      flex: 0 0 auto;\\n      width: 9px;\\n      height: 9px;\\n      margin-right: 5px;\\n      display: inline-block;\\n    }\\n    .badge-category-parent-bg {\\n      // Subcategories\\n      width: 5px;\\n      margin-right: 0;\\n      + .badge-category-bg {\\n        width: 5px;\\n      }\\n    }\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  // ----- Box\\n\\n  &.box {\\n    margin-right: 5px;\\n    padding: 2px 4px 2px 4px;\\n    display: inline-flex;\\n    span {\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      &.badge-category-bg,\\n      &.badge-category-parent-bg {\\n        position: absolute;\\n        top: 0;\\n        right: 0;\\n        bottom: 0;\\n        left: 0;\\n      }\\n\\n      &.badge-category-parent-bg {\\n        // Subcategories\\n        width: calc(100% - 5px);\\n        & + .badge-category-bg {\\n          left: 5px;\\n          width: calc(100% - 5px);\\n          & + .badge-category {\\n            margin-left: 5px;\\n          }\\n        }\\n      }\\n\\n      &.badge-category {\\n        position: relative;\\n      }\\n    }\\n    + .topic-header-extra {\\n      padding: 2px 4px 2px 4px;\\n    }\\n  }\\n\\n  // ----- Bar\\n\\n  &.bar {\\n    margin-right: 5px;\\n\\n    span.badge-category {\\n      color: $primary-high;\\n      padding: 1px 3px;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n\\n      .extra-info-wrapper & {\\n        color: $header-primary;\\n      }\\n    }\\n\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      // Subcategories\\n      display: inline-block;\\n      padding: 0 1px;\\n\\n      &:before {\\n        content: \\"\\\\a0\\";\\n      }\\n    }\\n  }\\n\\n  // ----- No category style\\n\\n  &.none {\\n    color: $primary-high;\\n    margin-right: 5px;\\n  }\\n}\\n\\n// Category badge dropdown\\n// --------------------------------------------------\\n\\n.list-controls {\\n  .category-breadcrumb {\\n    a.badge-category {\\n      display: inline-block;\\n      padding: 6px 8px;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n// Notification badge\\n// --------------------------------------------------\\n\\n.badge-notification {\\n  @extend %badge;\\n  padding: 0.21em 0.42em;\\n  min-width: 0.5em;\\n  color: $secondary;\\n  font-size: $font-down-2;\\n  line-height: $line-height-small;\\n  text-align: center;\\n  background-color: dark-light-choose($primary-low-mid, $secondary-low);\\n  &[href] {\\n    color: $secondary;\\n  }\\n\\n  &:hover {\\n    color: $secondary;\\n  }\\n\\n  // New posts\\n\\n  &.new-posts,\\n  &.unread-posts {\\n    background-color: dark-light-choose($tertiary-medium, $tertiary);\\n    color: dark-light-choose($secondary, $secondary);\\n    font-weight: dark-light-choose(normal, bold);\\n  }\\n\\n  &.new-topic {\\n    background-color: transparent;\\n    color: $tertiary-high;\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n  }\\n\\n  &.new-topic::before {\\n    content: \\"●\\";\\n    margin-right: 2px;\\n  }\\n\\n  // Click count\\n\\n  &.clicks {\\n    font-weight: normal;\\n    background-color: $primary-low;\\n    top: -1px;\\n    color: $primary-medium;\\n    position: relative;\\n    border: none;\\n  }\\n}\\n\\n// Posts badge\\n// --------------------------------------------------\\n\\n.badge-posts {\\n  font-weight: normal;\\n  font-size: $font-0;\\n  line-height: $line-height-small;\\n  &[href] {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n}\\n\\n// Group badge\\n// --------------------------------------------------\\n\\n.badge-group {\\n  @extend %badge;\\n  padding: 2px 5px;\\n  color: $primary;\\n  background-color: $primary-low;\\n  border-color: $primary-low;\\n  font-size: $font-down-1;\\n}\\n",\n\t\t"// Common styles for \\"user-info\\" component\\n.user-info {\\n  display: inline-block;\\n  clear: both;\\n  margin-bottom: 1em;\\n\\n  .user-image {\\n    float: left;\\n    padding-right: 4px;\\n    margin-right: 10px;\\n  }\\n\\n  .user-image-inner {\\n    position: relative;\\n    display: inline-block;\\n  }\\n\\n  .user-detail {\\n    float: left;\\n    width: 70%;\\n    padding-left: 5px;\\n    @media screen and (max-width: 600px) {\\n      font-size: $font-down-1;\\n    }\\n\\n    .name-line {\\n      @include ellipsis;\\n    }\\n\\n    .username a {\\n      font-weight: bold;\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n\\n    .name {\\n      margin-left: 5px;\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n\\n    .title {\\n      margin-top: 3px;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  &.small {\\n    width: 333px;\\n    @media screen and (max-width: $small-width) {\\n      width: auto;\\n      display: flex;\\n    }\\n    @media screen and (max-width: 600px) {\\n      width: 100%;\\n    }\\n  }\\n\\n  &.medium {\\n    min-height: 60px;\\n\\n    .username,\\n    .name {\\n      display: block;\\n    }\\n\\n    .name {\\n      margin-left: 0;\\n    }\\n\\n    &.badge-info {\\n      min-height: 80px;\\n      min-width: 250px;\\n\\n      .granted-on {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n\\n      .post-link {\\n        display: block;\\n        margin-top: 0.2em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".user-stream {\\n  &.filter-deleted {\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n    grid-row-start: 2;\\n  }\\n}\\n",\n\t\t"@import \\"foundation/variables\\";\\n@import \\"foundation/mixins\\";\\n\\n.popup-tip {\\n  position: absolute;\\n  display: block;\\n  padding: 5px 10px;\\n  z-index: z(\\"tooltip\\");\\n  &.bad {\\n    background: $danger-medium;\\n    color: white;\\n    box-shadow: shadow(\\"dropdown\\");\\n  }\\n  &.hide,\\n  &.good {\\n    display: none;\\n  }\\n  .close {\\n    float: right;\\n    color: $primary;\\n    opacity: 0.5;\\n    font-size: $font-0;\\n    margin: 0 0 0 4px;\\n    cursor: pointer;\\n  }\\n  .close:hover {\\n    opacity: 1;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"#topic-entrance {\\n  border: 1px solid $primary-low;\\n  padding: 5px;\\n  background: $secondary;\\n  box-shadow: shadow(\\"card\\");\\n  z-index: z(\\"dropdown\\");\\n\\n  position: absolute;\\n  width: 133px;\\n  @include unselectable;\\n\\n  button.full {\\n    width: 100%;\\n    margin-bottom: 5px;\\n\\n    .d-icon {\\n      display: block;\\n      margin: 2px auto;\\n      transform: rotate(90deg);\\n    }\\n  }\\n  button.btn.jump-bottom {\\n    margin: 5px 0 0 0;\\n  }\\n}\\n",\n\t\t"@media print {\\n  /* remove items N/A for print\\n  ** visual clutter etc. */\\n  .avatar,\\n  .topic-avatar,\\n  header,\\n  .topic-above-post-stream-outlet.topic-above-post-stream,\\n  .topic-map,\\n  .post-menu-area.clearfix,\\n  div#topic-footer-buttons,\\n  div.suggested-topics,\\n  div#progress-topic-wrapper,\\n  #topic-progress-wrapper,\\n  div.nums,\\n  ._flyout,\\n  .show-topic-admin,\\n  #topic-progress,\\n  .quote-controls,\\n  .topic-status-info,\\n  div.lazyYT,\\n  .post-info.edits,\\n  .post-action,\\n  .saving-text,\\n  .draft-text,\\n  .discourse-modal,\\n  div.read-state,\\n  div.read-state.read,\\n  .edit-topic,\\n  a.reply-to-tab,\\n  a.reply-new,\\n  div.time-gap,\\n  #bottom,\\n  #footer,\\n  .alert-info,\\n  .badge-category,\\n  .badge-category-bg,\\n  .badge-notification.clicks,\\n  .crawler-nav,\\n  .powered-by-link {\\n    display: none !important;\\n  }\\n  /* For readability */\\n  a,\\n  a:visited {\\n    color: #0088cc !important;\\n  }\\n  /* bottom border to help separate posts */\\n  div.row {\\n    border-top: 1px solid #aaa;\\n  }\\n  .cooked pre code {\\n    max-height: none;\\n  }\\n  #main-outlet {\\n    padding: 0 !important;\\n  }\\n  html,\\n  body {\\n    min-width: 0;\\n    height: auto;\\n  }\\n  .lightbox-wrapper img {\\n    max-width: 500px !important;\\n    height: auto !important;\\n  }\\n  .topic-body {\\n    width: auto;\\n    margin: 0;\\n    padding: 0;\\n    float: none;\\n  }\\n  .topic-post article.boxed .select-posts {\\n    width: auto;\\n    left: auto;\\n    right: 0;\\n  }\\n  .gap {\\n    width: auto;\\n  }\\n  /* restyle div#topic-title */\\n  #topic-title {\\n    margin: 0;\\n    padding: 0;\\n  }\\n  #topic-title div div h1 {\\n    margin: 2.5em 0 0 0;\\n    padding: 0;\\n    float: left;\\n    font-weight: normal;\\n    font-size: normal;\\n  }\\n  a,\\n  a:visited {\\n    color: #ddd;\\n    font-weight: bold;\\n  }\\n  /* localhost  - MOOT for production */\\n  .topic-category-outlet.show-topic-category-location,\\n  div.alert.alert-info.alert-emails-disabled,\\n  div.profiler-results.profiler-left.profiler-no-controls {\\n    display: none;\\n  }\\n}\\n",\n\t\t"section.about {\\n  margin-bottom: 40px;\\n\\n  h3 {\\n    margin-bottom: 15px;\\n  }\\n\\n  table {\\n    width: auto;\\n\\n    td {\\n      padding: 10px;\\n    }\\n\\n    td.title {\\n      width: 33%;\\n    }\\n  }\\n}\\n",\n\t\t".body-page {\\n  /* intended only for /about /faq, /guidelines, /tos, and /privacy */\\n  width: 100%;\\n  max-width: 700px;\\n  .about-page & {\\n    max-width: unset;\\n    section:not(.admins):not(.moderators):not(.category-moderators) {\\n      max-width: 700px;\\n    }\\n    .about.category-moderators {\\n      .badge-wrapper.bullet .badge-category {\\n        color: $primary;\\n      }\\n    }\\n  }\\n  .mobile-view & {\\n    font-size: $font-0;\\n    margin-top: 20px;\\n  }\\n  li {\\n    margin-bottom: 8px;\\n  }\\n  .nav-pills {\\n    margin-bottom: 20px;\\n  }\\n  ul:not(.nav-pills),\\n  ol:not(.nav-pills) {\\n    margin-left: 40px;\\n  }\\n}\\n",\n\t\t"body.crawler {\\n  > header {\\n    width: 100%;\\n    position: absolute;\\n    top: 0;\\n    z-index: z(\\"max\\");\\n    background-color: #fff;\\n    padding: 10px;\\n    box-shadow: none;\\n    border-bottom: 1px solid $primary-low-mid;\\n    box-sizing: border-box;\\n  }\\n\\n  div#main-outlet {\\n    div.post {\\n      word-break: break-word;\\n      img {\\n        max-width: 100%;\\n        height: auto;\\n      }\\n    }\\n  }\\n\\n  .raw-topic-link {\\n    display: block;\\n    font-weight: bold;\\n    margin-bottom: 0.25em;\\n  }\\n\\n  .topic-list {\\n    margin-bottom: 1em;\\n  }\\n\\n  footer {\\n    margin-top: 3em;\\n    border-top: 1px solid $primary-low-mid;\\n  }\\n}\\n\\n.crawler-topic-title {\\n  margin-top: 0.5em;\\n}\\n\\n.crawler-post {\\n  margin-top: 1em;\\n  margin-bottom: 2em;\\n  padding-top: 1.5em;\\n  border-top: 1px solid $primary-low;\\n}\\n\\n.crawler-post-meta {\\n  margin-bottom: 1em;\\n  .creator {\\n    word-break: break-all;\\n    a {\\n      font-weight: bold;\\n    }\\n    @include breakpoint(tablet) {\\n      display: inline-block;\\n      margin-bottom: 0.25em;\\n    }\\n  }\\n}\\n\\n.crawler-post-infos {\\n  color: $primary-high;\\n  display: inline-block;\\n  @include breakpoint(tablet, min-width) {\\n    float: right;\\n  }\\n  [itemprop=\\"position\\"] {\\n    float: left;\\n    margin-right: 0.5em;\\n  }\\n}\\n\\n#breadcrumbs {\\n  margin-bottom: 0.5em;\\n  font-size: $font-up-1;\\n  > div {\\n    margin-bottom: 0.15em;\\n  }\\n  .badge-category-bg {\\n    background-color: $secondary-high;\\n  }\\n  .category-title {\\n    color: $primary;\\n  }\\n}\\n\\n.crawler-tags-list {\\n  span {\\n    display: block;\\n    margin-bottom: 0.15em;\\n  }\\n}\\n\\n.crawler-linkback-list {\\n  margin-top: 1em;\\n  a {\\n    display: block;\\n    padding: 0.5em 0;\\n    border-top: 1px solid $primary-low;\\n  }\\n}\\n\\n.crawler-nav {\\n  margin: 1em 0;\\n  ul {\\n    margin: 0;\\n    list-style-type: none;\\n  }\\n  li {\\n    display: inline-block;\\n  }\\n  a {\\n    display: inline-block;\\n    padding: 0.5em 1em 0.5em 0;\\n  }\\n}\\n",\n\t\t"div.ac-wrap.composer-user-selector-limited {\\n  width: 400px;\\n  padding: 0 10px;\\n  margin-bottom: 5px;\\n  .btn-primary {\\n    margin-left: 0.5em;\\n    padding: 3px 6px 2px;\\n    font-size: $font-down-1;\\n    min-height: unset;\\n  }\\n}\\n",\n\t\t"// Common\\n// global styles that apply to the Discourse application specifically\\n// BEWARE: changing these styles implies they take effect anywhere they are seen\\n// throughout the Discourse application\\n\\n// Animation Keyframes\\n@keyframes ping {\\n  from {\\n    transform: scale(0.25);\\n    opacity: 1;\\n  }\\n  to {\\n    transform: scale(2);\\n    opacity: 0;\\n  }\\n}\\n\\n@keyframes rotate-forever {\\n  0% {\\n    transform: rotate(0deg);\\n  }\\n  100% {\\n    transform: rotate(360deg);\\n  }\\n}\\n\\n@keyframes background-fade-highlight {\\n  0% {\\n    background-color: $tertiary-low;\\n  }\\n  100% {\\n    background-color: transparent;\\n  }\\n}\\n\\n// placeholder\\n@keyframes placeHolderShimmer {\\n  0% {\\n    background-position: -1000px 0;\\n  }\\n  100% {\\n    background-position: 1100px 0;\\n  }\\n}\\n\\n.placeholder-animation {\\n  animation-duration: 4s;\\n  animation-fill-mode: forwards;\\n  animation-iteration-count: infinite;\\n  animation-name: placeHolderShimmer;\\n  animation-timing-function: linear;\\n  background: $primary-very-low;\\n  background: linear-gradient(\\n    to right,\\n    $primary-very-low 10%,\\n    $primary-low 18%,\\n    $primary-very-low 33%\\n  );\\n}\\n\\n// Base Elements\\nhtml {\\n  height: 100%;\\n}\\n\\nbody {\\n  background-attachment: fixed;\\n  background-size: cover;\\n  min-height: 100%;\\n\\n  @include clearfix;\\n}\\n\\n// setting a static limit on big and small prevents nesting abuse\\nbig {\\n  font-size: $font-up-5;\\n}\\nsmall {\\n  font-size: $font-down-2;\\n}\\n\\nblockquote {\\n  @include post-aside;\\n  clear: both;\\n}\\n\\nh1,\\nh2,\\nh3,\\nh4,\\nh5,\\nh6 {\\n  margin-top: 0;\\n  margin-bottom: 0.5rem;\\n}\\n\\nbutton {\\n  &.ok {\\n    background: $success;\\n    color: $secondary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n    @include hover {\\n      background: lighten($success, 10%);\\n      color: $secondary;\\n    }\\n  }\\n\\n  &.cancel {\\n    background: $danger;\\n    color: $secondary;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n    @include hover {\\n      background: lighten($danger, 10%);\\n      color: $secondary;\\n    }\\n  }\\n}\\n\\na.cancel {\\n  margin-left: 1.25em;\\n  line-height: normal;\\n  color: $primary-high;\\n  transition: color 250ms;\\n  &:hover {\\n    color: $danger;\\n  }\\n}\\n\\nul.breadcrumb {\\n  margin: 0 10px 0 10px;\\n}\\n\\na.no-href {\\n  cursor: pointer;\\n}\\n\\nimg.avatar {\\n  border-radius: 50%;\\n}\\n\\n// don't wrap relative dates; we want Jul 26, '15, not: Jul\\n//                                                      26,\\n//                                                      '15\\nspan.relative-date {\\n  white-space: nowrap;\\n}\\n\\nlabel {\\n  display: flex;\\n  margin-bottom: 5px;\\n  align-items: flex-start;\\n  > .d-icon {\\n    align-self: center;\\n    margin-right: 4px;\\n  }\\n}\\n\\ninput {\\n  &[type=\\"radio\\"],\\n  &[type=\\"checkbox\\"] {\\n    margin-top: 0.17em;\\n    margin-right: 0.43em;\\n    margin-left: 0.1em;\\n    line-height: $line-height-small;\\n    cursor: pointer;\\n    flex-shrink: 0; // Adding for safety, Safari will shrink checkboxes\\n  }\\n  &[type=\\"submit\\"],\\n  &[type=\\"reset\\"],\\n  &[type=\\"button\\"],\\n  &[type=\\"radio\\"],\\n  &[type=\\"checkbox\\"] {\\n    width: auto;\\n  }\\n\\n  &.invalid {\\n    background-color: dark-light-choose(\\n      $danger-low,\\n      scale-color($danger, $lightness: -60%)\\n    );\\n  }\\n\\n  .radio &[type=\\"radio\\"],\\n  .checkbox &[type=\\"checkbox\\"] {\\n    float: left;\\n    margin-left: -18px;\\n  }\\n}\\n\\ninput,\\nselect,\\ntextarea {\\n  color: $primary;\\n  caret-color: currentColor;\\n\\n  &[class*=\\"span\\"] {\\n    float: none;\\n    margin-left: 0;\\n  }\\n\\n  &[disabled],\\n  &[readonly] {\\n    cursor: not-allowed;\\n    background-color: $primary-low;\\n    border-color: $primary-low;\\n  }\\n\\n  &:focus:required:invalid {\\n    color: $danger;\\n    border-color: $danger;\\n  }\\n\\n  &:focus:required:invalid:focus {\\n    border-color: $danger;\\n    box-shadow: shadow(\\"focus-danger\\");\\n  }\\n}\\n\\ninput {\\n  &[type=\\"text\\"],\\n  &[type=\\"password\\"],\\n  &[type=\\"datetime\\"],\\n  &[type=\\"datetime-local\\"],\\n  &[type=\\"date\\"],\\n  &[type=\\"month\\"],\\n  &[type=\\"time\\"],\\n  &[type=\\"week\\"],\\n  &[type=\\"number\\"],\\n  &[type=\\"email\\"],\\n  &[type=\\"url\\"],\\n  &[type=\\"search\\"],\\n  &[type=\\"tel\\"],\\n  &[type=\\"color\\"] {\\n    @include appearance-none;\\n    display: inline-block;\\n    padding: $input-padding;\\n    margin-bottom: 9px;\\n    font-size: $font-0;\\n    line-height: $line-height-small;\\n    color: $primary;\\n    background-color: $secondary;\\n    border: 1px solid $primary-medium;\\n    border-radius: 0;\\n    box-sizing: border-box;\\n    min-height: 30px;\\n    &:focus {\\n      border-color: $tertiary;\\n      box-shadow: shadow(\\"focus\\");\\n      outline: 0;\\n    }\\n  }\\n}\\n\\n.input {\\n  &-prepend,\\n  &-append {\\n    margin-bottom: 5px;\\n    input[class*=\\"span\\"] {\\n      display: inline-block;\\n    }\\n    input,\\n    select {\\n      position: relative;\\n      margin-bottom: 0;\\n      vertical-align: middle;\\n      border-radius: 0;\\n      &:focus {\\n        z-index: z(\\"base\\") + 1;\\n      }\\n    }\\n    .add-on {\\n      display: inline-flex;\\n      align-items: center;\\n      width: auto;\\n      padding: 0 0.5em;\\n      height: 28px;\\n      background-color: $primary-low;\\n      border: 1px solid $primary-medium;\\n    }\\n    .add-on,\\n    .btn {\\n      &:first-child {\\n        margin-right: -1px;\\n      }\\n      &:last-child {\\n        margin-left: -1px;\\n        border-radius: 0 3px 3px 0;\\n      }\\n    }\\n  }\\n\\n  &-prepend {\\n    .add-on,\\n    .btn {\\n      margin-right: -1px;\\n    }\\n  }\\n}\\n\\ntextarea {\\n  height: auto;\\n  background-color: $secondary;\\n  border: 1px solid $primary-medium;\\n  &:focus {\\n    border-color: $tertiary;\\n    box-shadow: shadow(\\"focus\\");\\n    outline: 0;\\n  }\\n}\\n\\nselect {\\n  border: 1px solid $primary-low;\\n}\\n\\ntable {\\n  th {\\n    font-weight: normal;\\n    color: $primary-medium;\\n    text-align: left;\\n    padding: 0.5em;\\n  }\\n}\\n\\n// Common Classes\\n\\n.sortable {\\n  white-space: nowrap;\\n  cursor: pointer;\\n  .discourse-no-touch & {\\n    &:hover {\\n      background-color: $primary-low;\\n    }\\n  }\\n  .d-icon {\\n    margin-left: 0.25em;\\n  }\\n  @include unselectable;\\n}\\n\\n.radio,\\n.checkbox {\\n  min-height: 18px;\\n  padding-left: 18px;\\n\\n  .controls > &:first-child {\\n    padding-top: 5px;\\n  }\\n\\n  &.inline {\\n    display: inline-block;\\n    padding-top: 5px;\\n    margin-bottom: 0;\\n    vertical-align: middle;\\n  }\\n}\\n\\n.radio.inline .radio.inline,\\n.checkbox.inline .checkbox.inline {\\n  margin-left: 10px;\\n}\\n\\n.container {\\n  @extend .clearfix;\\n}\\n\\n.wrap {\\n  @extend .clearfix;\\n  margin-right: auto;\\n  margin-left: auto;\\n  padding: 0 8px;\\n\\n  .contents {\\n    position: relative;\\n  }\\n}\\n\\n.boxed {\\n  &.white {\\n    background-color: $secondary;\\n  }\\n}\\n\\n.full-width {\\n  margin-left: 12px;\\n}\\n\\n// the default for table cells in topic list\\n// is $primary-medium\\n// numbers get dimmer as they get colder\\n.coldmap {\\n  &-high {\\n    color: dark-light-choose($primary-low-mid, $secondary-high) !important;\\n  }\\n\\n  &-med {\\n    color: dark-light-choose($primary-medium, $secondary-high) !important;\\n  }\\n\\n  &-low {\\n    color: dark-light-choose($primary-medium, $secondary-medium) !important;\\n  }\\n}\\n\\n.top-space {\\n  margin-top: 10px;\\n}\\n\\n.message {\\n  border-radius: 8px;\\n  background-color: $secondary;\\n  padding: 14px;\\n\\n  h2 {\\n    margin-bottom: 20px;\\n  }\\n}\\n\\n.clear-transitions {\\n  transition: none !important;\\n}\\n\\n.tip {\\n  display: inline-block;\\n  &.good {\\n    color: $success;\\n  }\\n  &.bad {\\n    color: $danger;\\n  }\\n}\\n\\n.avatar-wrapper {\\n  background-color: $secondary;\\n  display: inline-block;\\n  border-radius: 50%;\\n}\\n\\n.profiler-results.profiler-left {\\n  top: 60px !important;\\n}\\n\\n.flex-center-align {\\n  display: flex;\\n  align-items: center;\\n}\\n\\n.unread-private-messages {\\n  color: $secondary;\\n  background: $success;\\n\\n  &.badge-notification[href] {\\n    color: $secondary;\\n  }\\n}\\n\\n.ring-backdrop-spotlight {\\n  position: absolute;\\n  width: 80px;\\n  height: 80px;\\n  top: -18px;\\n  right: -18px;\\n  background-image: radial-gradient(\\n    40px at 50% 50%,\\n    transparent 95%,\\n    $primary 100%\\n  );\\n  opacity: 0.85;\\n}\\n\\n.ring-backdrop {\\n  position: absolute;\\n  width: 80px;\\n  height: 80px;\\n  top: -18px !important;\\n  right: -18px !important;\\n  box-shadow: 0 0 0 9999px rgba($primary, 0.85);\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n}\\n\\n.ring-first-notification {\\n  position: absolute;\\n  color: $secondary;\\n  text-align: left;\\n  right: 70px;\\n  top: 60px;\\n  width: 230px;\\n  line-height: $line-height-medium;\\n}\\n\\n.ring {\\n  $gradient-start: transparent;\\n  $gradient-end: #090;\\n  background: -webkit-radial-gradient($gradient-start, $gradient-end);\\n  background: -o-radial-gradient($gradient-start, $gradient-end);\\n  background: -moz-radial-gradient($gradient-start, $gradient-end);\\n  background: radial-gradient($gradient-start, $gradient-end);\\n  top: -11px !important;\\n  right: 23.5px !important;\\n  border-radius: 100%;\\n  width: 20px;\\n  height: 20px;\\n  -moz-animation-iteration-count: infinite;\\n  -webkit-animation-iteration-count: infinite;\\n  -webkit-transform-origin: center;\\n  -moz-animation-duration: 3s;\\n  -webkit-animation-duration: 3s;\\n  -moz-animation-name: ping;\\n  -webkit-animation-name: ping;\\n}\\n\\n.fade {\\n  opacity: 0;\\n  transition: opacity 0.15s linear;\\n\\n  &.in {\\n    opacity: 1;\\n  }\\n}\\n\\n.inline-spinner {\\n  display: inline-block;\\n  margin: 0;\\n}\\n\\n.spinner {\\n  margin: 20px auto 20px auto;\\n  position: relative;\\n  -webkit-animation: rotate-forever 1s infinite linear;\\n  animation: rotate-forever 1s infinite linear;\\n  height: 30px;\\n  width: 30px;\\n  border: 4px solid blend-primary-secondary(50%);\\n  border-right-color: transparent;\\n  border-radius: 50%;\\n\\n  &.small {\\n    width: 10px;\\n    height: 10px;\\n    margin: 0;\\n    display: inline-block;\\n  }\\n}\\n\\n.content-list {\\n  h3 {\\n    color: $primary-medium;\\n    font-size: $font-up-1;\\n    padding-left: 5px;\\n    margin-bottom: 10px;\\n  }\\n\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n\\n    li {\\n      border-bottom: 1px solid $primary-low;\\n\\n      &:first-of-type {\\n        border-top: 1px solid $primary-low;\\n      }\\n\\n      a {\\n        display: block;\\n        padding: 10px;\\n        color: $primary;\\n\\n        &:hover {\\n          background-color: $primary-low;\\n          color: $primary;\\n        }\\n\\n        &.active {\\n          font-weight: bold;\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.form-vertical {\\n  input,\\n  textarea,\\n  select,\\n  .input-prepend,\\n  .input-append {\\n    display: inline-block;\\n    margin-bottom: 0;\\n    flex: 0 0 auto;\\n  }\\n\\n  .control-group {\\n    @include clearfix;\\n  }\\n\\n  .control-label {\\n    font-weight: bold;\\n    font-size: $font-up-2;\\n    line-height: $line-height-large;\\n  }\\n\\n  .controls {\\n    margin-left: 0;\\n  }\\n}\\n\\n// Special elements\\n// Special elements\\n#main {\\n  img.avatar {\\n    &.header {\\n      width: 45px;\\n      height: 45px;\\n    }\\n\\n    &.medium {\\n      width: 32px;\\n      height: 32px;\\n    }\\n\\n    &.small {\\n      width: 25px;\\n      height: 25px;\\n    }\\n\\n    &.tiny {\\n      width: 20px;\\n      height: 20px;\\n    }\\n  }\\n\\n  .user-list {\\n    .user {\\n      padding-bottom: 5px;\\n    }\\n  }\\n}\\n\\n#loading-message {\\n  position: absolute;\\n  font-size: $font-up-5;\\n  text-align: center;\\n  top: 120px;\\n  left: 500px;\\n  color: $primary;\\n}\\n\\n#footer {\\n  .container {\\n    height: 50px;\\n    .contents {\\n      padding-top: 10px;\\n      a[href] {\\n        color: $secondary;\\n      }\\n    }\\n  }\\n}\\n\\n.inline {\\n  display: inline;\\n}\\n\\n.pref-auth-tokens {\\n  .row {\\n    border-bottom: 1px solid #ddd;\\n    margin: 5px 0px;\\n    padding-bottom: 5px;\\n\\n    &:last-child {\\n      border-bottom: 0;\\n    }\\n  }\\n\\n  .auth-token-icon {\\n    color: $primary-medium;\\n    font-size: 2.25em;\\n    float: left;\\n    margin-right: 10px;\\n  }\\n\\n  .auth-token-first {\\n    font-size: 1.1em;\\n\\n    .auth-token-device {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .auth-token-second {\\n    color: $primary-medium;\\n\\n    .active {\\n      color: $success;\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .auth-token-dropdown {\\n    float: right;\\n\\n    .btn,\\n    .btn:hover {\\n      background: transparent;\\n\\n      .d-icon {\\n        color: $primary-high;\\n      }\\n    }\\n  }\\n\\n  .dropdown-menu {\\n    width: 120px;\\n\\n    & .icon {\\n      margin-top: auto;\\n    }\\n  }\\n}\\n\\n.topic-statuses {\\n  display: inline;\\n  float: left;\\n  margin-right: 0.15em;\\n  .topic-status {\\n    margin: 0;\\n    display: inline-flex;\\n    color: $primary-medium;\\n    .d-icon {\\n      height: 0.76em;\\n      width: 0.75em;\\n    }\\n    &:not(:last-child) {\\n      margin-right: 0.15em;\\n    }\\n  }\\n\\n  .d-icon-envelope {\\n    color: $danger;\\n  }\\n}\\n\\n.broken-theme-alert {\\n  font-size: $base-font-size;\\n  font-weight: bold;\\n  padding: 5px 0;\\n  background: $danger-medium;\\n  text-align: center;\\n  z-index: z(\\"max\\");\\n  color: $secondary;\\n}\\n",\n\t\t".error-page {\\n  text-align: center;\\n  padding-top: 2em;\\n\\n  .face {\\n    font-size: 4.286em;\\n  }\\n  .reason {\\n    font-size: $font-up-4;\\n  }\\n  .url {\\n    font-style: italic;\\n    font-size: $font-down-1;\\n  }\\n  .desc {\\n    margin-top: 16px;\\n    .d-icon-check-circle {\\n      color: $success;\\n    }\\n  }\\n  .buttons {\\n    display: inline-flex;\\n    margin-top: 15px;\\n\\n    button {\\n      margin: 0 20px;\\n    }\\n  }\\n}\\n",\n\t\t".category-list {\\n  table-layout: fixed;\\n  .category-text-title {\\n    display: flex;\\n    align-items: baseline;\\n  }\\n  .category-name {\\n    display: inline-block;\\n    max-width: 100%;\\n    @include ellipsis;\\n    vertical-align: text-top;\\n    line-height: $line-height-medium;\\n  }\\n}\\n\\n.category-boxes,\\n.category-boxes-with-topics {\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: flex-start;\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n  width: 100%;\\n\\n  .category-box {\\n    display: flex;\\n    flex-direction: row;\\n    align-content: flex-start;\\n    cursor: pointer;\\n\\n    box-sizing: border-box;\\n\\n    border-width: 0;\\n    border-left-width: 6px;\\n\\n    border-style: solid;\\n    border-color: $primary-low;\\n\\n    .mobile-view & {\\n      width: 100%;\\n    }\\n\\n    .logo.aspect-image img {\\n      display: block;\\n      width: auto;\\n      height: 40px;\\n      margin: 0 auto 1em auto;\\n    }\\n\\n    @supports (--custom: property) {\\n      .logo.aspect-image img {\\n        --height: 40px;\\n        width: calc(var(--height) * var(--aspect-ratio));\\n        max-width: 100%;\\n      }\\n    }\\n  }\\n\\n  .category-box-inner {\\n    box-sizing: border-box;\\n    width: 100%;\\n    padding: 0;\\n    display: flex;\\n    flex-direction: column;\\n\\n    border-width: 2px;\\n    border-left-width: 0;\\n\\n    border-style: solid;\\n    border-color: $primary-low;\\n  }\\n\\n  &.no-logos {\\n    .logo {\\n      display: none;\\n    }\\n  }\\n}\\n\\n.category-boxes {\\n  .category-box {\\n    width: 23%;\\n    margin: 0 1% 1.5em 1%;\\n    > a {\\n      width: 100%;\\n      padding: 0;\\n    }\\n    .category-box-inner {\\n      padding: 1em;\\n\\n      .category-logo {\\n        float: none;\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  &.no-logos {\\n    .category-box .category-box-inner > a {\\n      padding: 3em 1em;\\n    }\\n  }\\n\\n  .description {\\n    padding-bottom: 1em;\\n    text-align: center;\\n    font-size: $font-0;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n    .overflow {\\n      max-height: 6em;\\n    }\\n  }\\n\\n  h3 {\\n    font-size: $font-up-2;\\n    margin-bottom: 0.5em;\\n    margin-top: 0.25em;\\n    line-height: $line-height-medium;\\n    text-align: center;\\n    color: $primary;\\n    overflow: hidden;\\n  }\\n\\n  .subcategories {\\n    display: flex;\\n    flex-flow: wrap;\\n    .subcategory {\\n      display: flex;\\n      align-items: center;\\n      @include ellipsis;\\n      margin-right: 1em;\\n      margin-bottom: 0.6em;\\n      .subcategory-image-placeholder {\\n        display: inline-block;\\n        margin-right: 0.6em;\\n      }\\n      .subcategory-link {\\n        min-width: 0;\\n        @include ellipsis;\\n      }\\n      .logo img {\\n        display: inline-block;\\n        height: 20px;\\n        width: 20px;\\n        margin: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.category-boxes-with-topics {\\n  .category-box {\\n    width: 31%;\\n    margin: 0 1% 1.5em 1%;\\n    padding: 0;\\n  }\\n\\n  h3 {\\n    font-size: $font-up-2;\\n    text-align: center;\\n    overflow: hidden;\\n  }\\n\\n  .category-box-heading {\\n    padding: 1em 1em 0.5em 1em;\\n    a[href] {\\n      width: 100%;\\n      color: $primary;\\n    }\\n  }\\n\\n  .featured-topics {\\n    padding: 0.5em 1em 1em 1em;\\n    ul {\\n      color: $primary-medium;\\n      list-style: none;\\n      padding: 0;\\n      margin: 0;\\n    }\\n    li {\\n      padding: 4px 0;\\n      display: flex;\\n      align-items: baseline;\\n      .overflow {\\n        max-height: 3em;\\n        overflow: hidden;\\n      }\\n      .d-icon {\\n        margin-right: 0.15em;\\n        width: 0.76em;\\n        height: 0.76em;\\n      }\\n    }\\n  }\\n}\\n\\n.categories-list .category {\\n  h3 .d-icon {\\n    color: $primary-medium;\\n    height: 0.76em;\\n    width: 0.76em;\\n    vertical-align: baseline;\\n    margin-right: 0.15em;\\n  }\\n}\\n\\n.category-boxes-with-topics,\\n.category-boxes {\\n  .category-box h3 .d-icon {\\n    margin-right: 0;\\n  }\\n}\\n",\n\t\t"// styles that apply to the \\"share\\" popup when sharing a link to a post or topic\\n\\n#share-link {\\n  position: absolute;\\n  left: 20px;\\n  z-index: z(\\"dropdown\\");\\n  box-shadow: shadow(\\"card\\");\\n  background-color: $secondary;\\n  padding: s(2 2 1 2);\\n  width: 300px;\\n  display: none;\\n  &.visible {\\n    display: block;\\n  }\\n  input[type=\\"text\\"] {\\n    width: 100%;\\n  }\\n  .share-for-touch .overflow-ellipsis {\\n    clear: both;\\n  }\\n  .share-for-touch {\\n    margin: 14px 0;\\n  }\\n\\n  .title {\\n    margin-bottom: s(1);\\n    align-items: center;\\n    display: flex;\\n    justify-content: space-between;\\n\\n    h3 {\\n      font-size: $font-0;\\n      margin: 0;\\n    }\\n\\n    .date {\\n      font-weight: normal;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  .copy-text {\\n    display: inline-block;\\n    position: absolute;\\n    margin: 5px 5px 5px 15px;\\n    color: $success;\\n    opacity: 1;\\n    transition: opacity 0.25s;\\n    font-size: $font-0;\\n    &:not(.success) {\\n      opacity: 0;\\n    }\\n  }\\n  .social-link {\\n    margin-right: s(2);\\n    font-size: $font-up-4;\\n    .d-icon {\\n      color: dark-light-choose($tertiary, white);\\n    }\\n    .d-icon-fab-facebook {\\n      // Adheres to Facebook brand guidelines\\n      color: dark-light-choose($facebook, white);\\n    }\\n    .d-icon-fab-twitter-square {\\n      // Adheres to Twitter brand guidelines\\n      color: dark-light-choose($twitter, white);\\n    }\\n  }\\n\\n  input[type=\\"text\\"] {\\n    font-size: $font-up-1;\\n    margin-bottom: 0;\\n  }\\n\\n  .actions {\\n    display: flex;\\n    align-items: flex-end;\\n    margin-top: s(2);\\n\\n    .sources {\\n      display: flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      flex-direction: row;\\n      max-width: 45%;\\n\\n      .social-link {\\n        margin-right: s(2);\\n      }\\n    }\\n\\n    .alt-actions {\\n      display: flex;\\n      align-items: center;\\n      flex: 1;\\n      justify-content: flex-end;\\n      height: 36px;\\n\\n      .close-share {\\n        font-size: $font-up-3;\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n\\n      .new-topic {\\n        margin-right: s(4);\\n      }\\n    }\\n  }\\n}\\n\\n.discourse-no-touch #share-link .share-for-touch {\\n  display: none;\\n}\\n\\n.discourse-touch #share-link input[type=\\"text\\"] {\\n  display: none;\\n}\\n",\n\t\t".ember-select {\\n  background-color: $secondary;\\n  color: $primary;\\n}\\n",\n\t\t".uploaded-image-preview {\\n  background: $primary center;\\n  background-size: cover;\\n  position: relative;\\n\\n  .placeholder-overlay {\\n    background-size: contain;\\n    background-repeat: no-repeat;\\n    background-position: center;\\n    position: absolute;\\n    top: 0;\\n    left: 0;\\n    width: 100%;\\n    height: 100%;\\n    opacity: 0.3;\\n  }\\n\\n  .image-upload-controls {\\n    position: relative;\\n    display: flex;\\n    padding: 10px;\\n\\n    .btn {\\n      margin-right: 5px;\\n      padding: 7px 10px;\\n    }\\n\\n    .image-uploader-lightbox-btn {\\n      background: none;\\n      margin-right: 0;\\n      margin-left: auto;\\n\\n      .d-icon {\\n        color: $primary-low;\\n      }\\n\\n      &:hover {\\n        background: none;\\n\\n        .d-icon {\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.image-uploader.no-repeat {\\n  .uploaded-image-preview {\\n    background-repeat: no-repeat;\\n  }\\n}\\n\\n.image-uploader.contain-image {\\n  .uploaded-image-preview {\\n    background-size: contain;\\n  }\\n}\\n\\n.hidden-upload-field {\\n  visibility: hidden;\\n  position: absolute;\\n}\\n",\n\t\t".search-container {\\n  display: flex;\\n  justify-content: space-between;\\n\\n  .warning {\\n    background-color: $danger-medium;\\n    padding: 5px 8px;\\n    color: $secondary;\\n  }\\n\\n  .search-bar {\\n    display: flex;\\n    justify-content: space-between;\\n    align-items: center;\\n    justify-content: space-between;\\n    margin-bottom: 1em;\\n\\n    .search-query {\\n      flex: 1 0 0px;\\n      margin: 0 0.5em 0 0;\\n    }\\n\\n    .search-cta {\\n      padding-bottom: 6.5px;\\n      padding-top: 6.5px;\\n    }\\n  }\\n\\n  .search-advanced {\\n    width: 70%;\\n    @include breakpoint(medium) {\\n      width: 65%;\\n    }\\n\\n    .search-actions,\\n    .search-notice,\\n    .search-results,\\n    .search-title,\\n    .search-bar {\\n      margin-bottom: 1em;\\n    }\\n\\n    .search-info {\\n      display: flex;\\n      flex-wrap: wrap;\\n      border-bottom: 3px solid $primary-low;\\n      padding-bottom: 0.5em;\\n      margin-bottom: 1em;\\n      flex-direction: row;\\n      align-items: center;\\n\\n      .result-count {\\n        display: flex;\\n\\n        .term {\\n          font-weight: bold;\\n        }\\n\\n        // spans can be in different orders depending of locale\\n        span + span {\\n          margin-left: 0.25em;\\n        }\\n      }\\n\\n      .sort-by {\\n        display: flex;\\n        margin-left: auto;\\n        align-items: center;\\n\\n        .desc {\\n          margin-right: 0.5em;\\n        }\\n\\n        .combo-box {\\n          min-width: 150px;\\n        }\\n      }\\n    }\\n\\n    .search-title {\\n      display: flex;\\n      justify-content: flex-start;\\n      align-items: center;\\n\\n      .bulk-select {\\n        margin-left: 0.5em;\\n      }\\n\\n      .fps-select a {\\n        margin-left: 0.5em;\\n        font-size: $font-down-1;\\n\\n        &:hover {\\n          text-decoration: underline;\\n        }\\n      }\\n    }\\n\\n    .search-notice {\\n      .fps-invalid {\\n        padding: 0.5em;\\n        background-color: $danger-low;\\n        border: 1px solid $danger-medium;\\n        color: $danger;\\n      }\\n    }\\n  }\\n\\n  .search-advanced-sidebar {\\n    width: 30%;\\n    @include breakpoint(medium) {\\n      width: 35%;\\n    }\\n    margin-left: 1em;\\n    display: flex;\\n    flex-direction: column;\\n\\n    #search-min-post-count,\\n    .date-picker,\\n    .combo-box,\\n    .ac-wrap,\\n    .control-group,\\n    .date-picker-wrapper,\\n    .search-advanced-category-chooser {\\n      box-sizing: border-box;\\n      width: 100%;\\n      min-width: 100%;\\n      input,\\n      .item {\\n        padding-left: 4px; // temporarily normalizing input padding for this section\\n      }\\n    }\\n\\n    .date-picker-wrapper {\\n      margin-top: 0.5em;\\n    }\\n\\n    .date-picker {\\n      box-sizing: border-box;\\n      text-align: left;\\n      padding: 4px;\\n      margin-bottom: 0;\\n    }\\n\\n    .search-advanced-title {\\n      background: $primary-low;\\n      padding: 0.358em 1em;\\n      @include breakpoint(medium) {\\n        padding: 0.358em 0.5em;\\n      }\\n      font-weight: 700;\\n      text-align: left;\\n      font-weight: bold;\\n\\n      &.btn {\\n        background: $primary-low;\\n      }\\n\\n      .d-icon {\\n        margin: 0;\\n      }\\n    }\\n\\n    .search-advanced-filters {\\n      background: $primary-very-low;\\n      padding: 1em;\\n      .control-group {\\n        margin-bottom: 15px;\\n      }\\n      section.field {\\n        margin-top: 5px;\\n      }\\n      @include breakpoint(medium) {\\n        padding: 0.75em 0.5em;\\n        .ac-wrap,\\n        .choices,\\n        .select-kit.multi-select {\\n          // overriding inline width from JS\\n          width: 100% !important;\\n        }\\n        .select-kit {\\n          min-width: unset;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.fps-invalid {\\n  margin-bottom: 1em;\\n}\\n\\n.fps-result {\\n  display: flex;\\n  .author {\\n    display: inline-block;\\n    vertical-align: top;\\n  }\\n\\n  .like-count {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    .fa {\\n      color: $love;\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  .badge-wrapper span.badge-category {\\n    max-width: inherit;\\n  }\\n\\n  .search-category {\\n    padding-top: 3px;\\n  }\\n\\n  margin-bottom: 28px;\\n  max-width: 780px;\\n  .topic {\\n    padding-bottom: 2px;\\n    max-width: 700px;\\n  }\\n  .avatar {\\n    margin-right: 14px;\\n  }\\n  a.search-link:visited .topic-title {\\n    color: $tertiary-high;\\n  }\\n  .search-link {\\n    .topic-title {\\n      font-size: $font-up-2;\\n      line-height: $line-height-medium;\\n    }\\n    .topic-statuses {\\n      display: inline-block;\\n      font-size: 1.3em;\\n      line-height: $line-height-medium;\\n      color: $primary-medium;\\n      span {\\n        line-height: 1;\\n      }\\n    }\\n  }\\n  .blurb {\\n    font-size: $font-0;\\n    line-height: $line-height-large;\\n    word-wrap: break-word;\\n    max-width: 640px;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    .date {\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n    }\\n\\n    .search-highlight {\\n      color: dark-light-choose($primary, $secondary-low);\\n    }\\n  }\\n\\n  .discourse-tag {\\n    font-size: $font-down-1;\\n  }\\n}\\n\\n.fps-topic {\\n  display: inline-block;\\n}\\n\\n.no-results-suggestion {\\n  margin-top: 30px;\\n}\\n.search-footer {\\n  margin-bottom: 30px;\\n}\\n\\n.panel-body-contents .search-context label {\\n  float: left;\\n}\\n\\n.google-search-form {\\n  margin-top: 2em;\\n}\\n",\n\t\t"a.loading-onebox {\\n  &:before {\\n    content: \\"\\";\\n    display: inline-flex;\\n    float: left;\\n    margin: 3px 5px 0 0;\\n    position: relative;\\n    height: 10px;\\n    width: 10px;\\n    border: 2px solid $primary-low-mid;\\n    border-right-color: transparent;\\n    border-radius: 50%;\\n    -webkit-animation: rotate-forever 1s infinite linear;\\n    animation: rotate-forever 1s infinite linear;\\n  }\\n}\\n\\n.onebox-result {\\n  @include post-aside;\\n\\n  margin-top: 15px;\\n  padding: 12px;\\n  font-size: $font-0;\\n  > .source {\\n    margin-bottom: 12px;\\n    margin-right: 10px;\\n    display: block;\\n    color: $primary;\\n    position: relative;\\n    height: 20px;\\n    .info {\\n      a {\\n        color: black;\\n        text-decoration: none;\\n        padding-right: 10px;\\n      }\\n      position: absolute;\\n      font-size: $font-0;\\n      img.favicon {\\n        margin-right: 3px;\\n      }\\n    }\\n  }\\n\\n  .onebox-result-body {\\n    padding-top: 5px;\\n    img {\\n      max-height: 80%;\\n      max-width: 25%;\\n      height: auto;\\n      float: left;\\n      margin-right: 10px;\\n    }\\n    h3,\\n    h4 {\\n      margin: 0;\\n    }\\n    code {\\n      max-height: 400px;\\n    }\\n    .metrics {\\n      clear: both;\\n      padding-bottom: 25px;\\n      .metric {\\n        display: inline-block;\\n        padding-left: 33px;\\n        float: left;\\n      }\\n    }\\n  }\\n}\\n\\n// RottenTomatoes Onebox\\n.onebox-result {\\n  .onebox-result-body {\\n    img.verdict {\\n      float: none;\\n      margin-right: 7px;\\n    }\\n    img.popcorn {\\n      float: none;\\n      margin-left: 20px;\\n      margin-right: 5px;\\n    }\\n  }\\n}\\n\\n@mixin onebox-favicon($class, $image) {\\n  &.#{$class} .source {\\n    background: image-url(\\"favicons/#{$image}.png\\") no-repeat 0% 50%;\\n    background-size: 16px 16px;\\n    padding-left: 20px;\\n  }\\n}\\n\\naside.onebox {\\n  border: 5px solid $primary-low;\\n  margin-bottom: 1em;\\n  padding: 12px 25px 12px 12px;\\n  font-size: $font-0;\\n\\n  header {\\n    margin-bottom: 8px;\\n    a[href] {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      text-decoration: none;\\n    }\\n  }\\n\\n  @include onebox-favicon(\\"stackexchange\\", \\"stackexchange\\");\\n  @include onebox-favicon(\\"twitterstatus\\", \\"twitter\\");\\n  @include onebox-favicon(\\"wikipedia\\", \\"wikipedia\\");\\n  @include onebox-favicon(\\"githubblob\\", \\"github\\");\\n  @include onebox-favicon(\\"githubcommit\\", \\"github\\");\\n  @include onebox-favicon(\\"githubpullrequest\\", \\"github\\");\\n  @include onebox-favicon(\\"githubissue\\", \\"github\\");\\n  @include onebox-favicon(\\"githubgist\\", \\"github\\");\\n  @include onebox-favicon(\\"amazon\\", \\"amazon\\");\\n  @include onebox-favicon(\\"instagram\\", \\"instagram\\");\\n  @include onebox-favicon(\\"googledocs\\", \\"google_branding/logo_drive_48px\\");\\n  @include onebox-favicon(\\"googledrive\\", \\"google_branding/logo_drive_48px\\");\\n\\n  .onebox-body {\\n    clear: both;\\n\\n    h3,\\n    h4 {\\n      font-size: $font-up-1;\\n      margin: 0 0 10px 0;\\n    }\\n\\n    a[href] {\\n      color: dark-light-choose($tertiary, $tertiary);\\n      text-decoration: none;\\n    }\\n\\n    a[href]:visited {\\n      color: dark-light-choose($tertiary, $tertiary);\\n    }\\n\\n    img {\\n      max-height: 170px;\\n      max-width: 20%;\\n      @media all and (max-width: 600px) {\\n        max-width: 35%;\\n      }\\n      height: auto;\\n      width: auto;\\n      float: left;\\n      margin-right: 10px;\\n      &.onebox-full-image {\\n        max-height: none;\\n        max-width: none;\\n        width: initial;\\n        height: initial;\\n      }\\n    }\\n\\n    [style*=\\"--aspect-ratio\\"] > :first-child {\\n      width: 100%;\\n    }\\n    [style*=\\"--aspect-ratio\\"] > img {\\n      height: auto;\\n    }\\n\\n    // this allows us to load all onebox images without jiggle\\n    // see: http://cssmojo.com/aspect-ratio-using-custom-properties-and-calc/\\n    @supports (--custom: property) {\\n      .aspect-image {\\n        max-height: 170px;\\n        --magic-ratio: calc(var(--aspect-ratio) + 0.15);\\n        width: calc(128px * var(--magic-ratio));\\n        max-width: 20%;\\n        float: left;\\n        margin-right: 10px;\\n        height: auto;\\n\\n        img {\\n          width: 100%;\\n          height: inherit;\\n          max-width: initial;\\n          max-height: initial;\\n          float: none;\\n          margin-right: none;\\n        }\\n      }\\n\\n      // full size images for instagram, twitter, etc.\\n      .aspect-image-full-size {\\n        max-height: 500px;\\n        width: calc(500px * var(--aspect-ratio));\\n        max-width: 100%;\\n\\n        img {\\n          width: 100%;\\n          height: inherit;\\n          max-width: initial;\\n          max-height: initial;\\n          float: none;\\n          padding: 5px 5px 5px 5px;\\n        }\\n      }\\n\\n      [style*=\\"--aspect-ratio\\"] {\\n        position: relative;\\n      }\\n      [style*=\\"--aspect-ratio\\"]::before {\\n        content: \\"\\";\\n        display: block;\\n        padding-bottom: calc(100% / (var(--aspect-ratio)));\\n      }\\n      [style*=\\"--aspect-ratio\\"] > :first-child {\\n        position: absolute;\\n        top: 0;\\n        left: 0;\\n        height: 100%;\\n      }\\n    }\\n\\n    // tighten bottom margin on last para\\n    p:last-child {\\n      margin-bottom: 4px;\\n    }\\n\\n    // twitter fixes\\n    .tweet-images {\\n      display: block;\\n      clear: both;\\n\\n      img.tweet-image {\\n        margin-top: 1em;\\n        max-width: 100%;\\n        max-height: 100%;\\n        float: none;\\n      }\\n\\n      @include breakpoint(mobile-extra-large) {\\n        // Prevent twitter embeds from being taller than the mobile viewport\\n        iframe {\\n          max-height: 70vh;\\n        }\\n      }\\n    }\\n\\n    &.user-onebox {\\n      .fa {\\n        margin-right: 5px;\\n      }\\n      .full-name,\\n      .location {\\n        margin-right: 10px;\\n      }\\n    }\\n\\n    // instagram + reddit fixes\\n    .instagram-images,\\n    .scale-images {\\n      clear: both;\\n      position: relative;\\n\\n      .instagram-image,\\n      .scale-image {\\n        padding: 5px 5px 5px 5px;\\n        max-width: 100%;\\n        max-height: 100%;\\n        float: none;\\n      }\\n    }\\n\\n    .instagram-video-icon {\\n      &:before {\\n        opacity: 0.8;\\n        // ideally, the SVG used here should be in HTML and reference the SVG sprite\\n        content: svg-uri(\\n          '<svg xmlns=\\"http://www.w3.org/2000/svg\\" width=\\"32px\\" height=\\"32px\\" viewBox=\\"0 0 512 512\\" fill=\\"white\\"><path d=\\"M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z\\"></path></svg>'\\n        );\\n      }\\n      bottom: 10px;\\n      right: 10px;\\n      position: absolute;\\n    }\\n  }\\n}\\n\\n@mixin gdocs-logo($type) {\\n  &.g-#{$type}-logo {\\n    background: image-url(\\"favicons/google_branding/logo_#{$type}_48px.png\\")\\n      no-repeat;\\n  }\\n}\\n\\n.googledocs-onebox-logo {\\n  width: 60px;\\n  height: 50px;\\n  float: left;\\n  @include gdocs-logo(\\"docs\\");\\n  @include gdocs-logo(\\"forms\\");\\n  @include gdocs-logo(\\"sheets\\");\\n  @include gdocs-logo(\\"slides\\");\\n  @include gdocs-logo(\\"calendar\\");\\n  @include gdocs-logo(\\"drive\\");\\n}\\n\\n// Google Calendar Placeholder\\n.gdocs-onebox-splash {\\n  background-color: blend-primary-secondary(30%);\\n  color: $primary;\\n  border: 1px inset $primary;\\n  .gdocs-onebox-logo {\\n    display: inline-block;\\n    width: 128px;\\n    height: 128px;\\n    &.g-calendar-logo {\\n      background: image-url(\\"favicons/google_branding/logo_calendar_128px.png\\")\\n        no-repeat;\\n    }\\n  }\\n}\\n\\naside.onebox .onebox-body .onebox-avatar {\\n  max-height: none;\\n  max-width: none;\\n  height: 60px;\\n  width: 60px;\\n}\\n\\nblockquote {\\n  aside.onebox {\\n    @include post-aside;\\n  }\\n}\\n\\n// -- Onebox Github Code Blob --\\npre.onebox code ol.lines li:before {\\n  position: absolute;\\n  display: inline-block;\\n  width: 35px;\\n  left: -40px;\\n  color: #afafaf;\\n  text-align: right;\\n  padding-right: 5px;\\n  font-size: $font-down-1;\\n  line-height: $line-height-large;\\n  content: counter(li-counter);\\n  counter-increment: li-counter;\\n}\\n\\npre.onebox code ol {\\n  margin-left: 0;\\n  line-height: $line-height-large;\\n}\\npre.onebox code {\\n  background-color: dark-light-choose(#fff, #000);\\n}\\npre.onebox code li {\\n  padding-left: 5px;\\n}\\n\\npre.onebox code ol.lines {\\n  position: relative;\\n  margin: 0 0 0 40px;\\n}\\n\\npre.onebox code ol.lines li {\\n  list-style-type: none;\\n  padding-left: 5px;\\n  margin-left: 0;\\n  border-left: 1px solid #cfcfcf;\\n  min-height: 1.5em; //show empty li lines\\n  white-space: pre;\\n}\\n\\npre.onebox code li.selected {\\n  background-color: dark-light-choose(#f8eec7, #541);\\n}\\n\\npre.onebox code {\\n  white-space: normal;\\n}\\n\\n// Onebox - Github - PR, Commit & Issue\\n.onebox.githubpullrequest,\\n.onebox.githubcommit,\\n.onebox.githubissue {\\n  .onebox-body {\\n    h4 {\\n      margin-bottom: 5px;\\n    }\\n\\n    > .github-icon {\\n      // For backwards compatibility with old onebox\\n      float: left;\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  .github-row {\\n    display: flex;\\n  }\\n\\n  .github-icon-container {\\n    display: flex;\\n    align-items: flex-start;\\n    margin-right: 5px;\\n  }\\n\\n  .github-icon {\\n    fill: $primary-high;\\n    width: 40px;\\n    height: 40px;\\n  }\\n\\n  .branches {\\n    font-size: $font-down-1;\\n    code {\\n      word-break: break-all;\\n    }\\n  }\\n\\n  .github-info-container {\\n    width: 100%;\\n  }\\n\\n  .github-info {\\n    display: flex;\\n    align-items: center;\\n    flex-wrap: wrap;\\n    width: 100%;\\n\\n    > div {\\n      margin: 2.5px 0;\\n    }\\n\\n    > div:not(:last-child) {\\n      margin-right: 15px;\\n    }\\n\\n    .lines {\\n      font-weight: bold;\\n\\n      .added {\\n        color: $success;\\n      }\\n      .removed {\\n        color: $danger;\\n      }\\n    }\\n  }\\n\\n  .onebox-avatar-inline {\\n    height: 20px;\\n    width: 20px;\\n    border-radius: 2px;\\n    float: none;\\n    margin: 0;\\n    padding: 0;\\n    vertical-align: middle;\\n    max-width: none;\\n  }\\n\\n  .github-content {\\n    margin: 5px 0 0 0;\\n  }\\n\\n  .labels span {\\n    // !important required to override inline style attribute\\n    background-color: $primary-medium !important;\\n    color: $secondary !important;\\n    padding: 2px 4px !important;\\n  }\\n}\\n\\n//Onebox - Github - Pull request\\n.onebox-body .github-commit-status {\\n  background: #f5f5f5;\\n  border-radius: 5px;\\n  margin: 0 0 5px 100px;\\n  padding: 10px;\\n}\\n\\n.onebox-body .status_tag {\\n  display: inline-block;\\n  color: #fff;\\n  padding: 1px 4px;\\n  border-radius: 3px;\\n  font-weight: bold;\\n  margin-bottom: 5px;\\n  text-transform: capitalize;\\n}\\n\\n.onebox-body .build_status {\\n  padding: 2px;\\n  font-size: $font-down-1;\\n}\\n\\n.onebox-body .status_tag.open {\\n  background-color: #6cc644;\\n}\\n.onebox-body .status_tag.merged {\\n  background-color: #6e5494;\\n}\\n.onebox-body .status_tag.closed {\\n  background-color: #bd2c00;\\n}\\n\\n.onebox-body .github-content-right {\\n  margin-left: 100px;\\n}\\n\\n//Onebox - Twitter - Status\\naside.onebox.twitterstatus .onebox-body {\\n  h4 {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n// thumbnail, oddly, ONLY applies to twitter avatar\\n.onebox.twitterstatus {\\n  .thumbnail {\\n    width: 48px;\\n    height: 48px;\\n  }\\n  p,\\n  .tweet {\\n    white-space: pre-line;\\n    padding-top: 3px;\\n    margin-left: 70px;\\n\\n    .quoted {\\n      border: 1px solid $primary-low;\\n      padding: 0px 14px 0px 12px;\\n      white-space: normal;\\n      margin-top: 15px;\\n\\n      .quoted-link {\\n        color: inherit;\\n      }\\n\\n      .quoted-title {\\n        font-weight: bold;\\n        margin: 5px 2px;\\n\\n        span {\\n          font-weight: lighter;\\n          color: $primary-medium;\\n        }\\n      }\\n\\n      div {\\n        margin-bottom: 5px;\\n      }\\n    }\\n  }\\n  .date {\\n    clear: left;\\n  }\\n}\\n\\n// Onebox - Imgur/Flickr - Album\\n.onebox.imgur-album,\\n.onebox.flickr-album {\\n  .outer-box {\\n    position: absolute;\\n    z-index: z(\\"base\\");\\n    font-size: $font-down-1;\\n    color: #fff;\\n    background-color: rgba(0, 0, 0, 0.6);\\n    @include ellipsis;\\n    max-width: 690px;\\n    padding: 5px 0;\\n\\n    .inner-box {\\n      padding-left: 10px;\\n      padding-right: 10px;\\n      overflow: hidden;\\n      @include ellipsis;\\n\\n      .album-title {\\n        width: 100%;\\n        font-size: $font-up-1;\\n        line-height: $line-height-large;\\n        color: #ccc;\\n        text-decoration: none;\\n      }\\n    }\\n  }\\n}\\n\\n// resize stackexchange onebox image\\naside.onebox.stackexchange .onebox-body {\\n  img:not(.onebox-avatar) {\\n    max-height: 60%;\\n    max-width: 10%;\\n  }\\n\\n  .tags {\\n    color: gray;\\n  }\\n}\\n\\n.onebox-metadata {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n}\\n\\n.onebox.xkcd .onebox-body {\\n  img {\\n    max-width: 100% !important;\\n    float: none !important;\\n  }\\n}\\n\\n// pdf onebox\\n.onebox.pdf .onebox-body {\\n  .pdf-onebox-logo {\\n    width: 60px;\\n    height: 50px;\\n    float: left;\\n    background: image-url(\\"favicons/pdf_64px.png\\") no-repeat;\\n    background-size: 48px 48px;\\n    display: inline-block;\\n  }\\n  .filesize {\\n    color: gray;\\n  }\\n}\\n\\n// whitelistedgeneric twitter labels\\n.onebox.whitelistedgeneric {\\n  .label1,\\n  .label2 {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .label1 {\\n    float: left;\\n  }\\n  .label2 {\\n    float: right;\\n  }\\n}\\n\\n.onebox {\\n  &.whitelistedgeneric,\\n  &.gfycat {\\n    .site-icon {\\n      width: 16px;\\n      height: 16px;\\n      margin-right: 3px;\\n    }\\n  }\\n}\\n\\n.onebox.gfycat p {\\n  span.label1 a {\\n    white-space: nowrap;\\n  }\\n}\\n\\n.onebox.instagram {\\n  div.instagram-description {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    padding-top: 10px;\\n  }\\n}\\n\\n.onebox.githubcommit {\\n  pre.message {\\n    padding: 0;\\n  }\\n}\\n\\n.onebox.twitterstatus {\\n  .like,\\n  .retweet {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    padding-left: 10px;\\n    svg {\\n      fill: currentColor;\\n      vertical-align: middle;\\n    }\\n  }\\n}\\n\\n// mobile specific style\\n.mobile-view article.onebox-body {\\n  border-top: none;\\n}\\n\\n// Google Photos Album\\n.onebox.google-photos-album {\\n  @extend .imgur-album;\\n}\\n\\n// Force oneboxed videos to 16:9 aspect ratio\\n.onebox.video-onebox {\\n  position: relative;\\n  padding: 0 0 56.25% 0;\\n  width: 100%;\\n\\n  video {\\n    position: absolute;\\n    width: 100%;\\n    height: 100%;\\n  }\\n}\\n\\n.onebox-placeholder-container {\\n  position: relative;\\n  width: 100%;\\n  padding: 0 0 48.25% 0;\\n  background-color: $primary-low;\\n\\n  .placeholder-icon {\\n    position: absolute;\\n    width: 100%;\\n    height: 100%;\\n    display: flex;\\n    justify-content: center;\\n    align-items: center;\\n\\n    &.video {\\n      &:before {\\n        opacity: 0.8;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 576 512\\"><path fill=\\"grey\\" d=\\"M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z\\"></path></svg>'\\n        );\\n      }\\n    }\\n    &.audio {\\n      &:before {\\n        opacity: 0.4;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 512 512\\"><path fill=\\"currentColor\\" d=\\"M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z\\"></path></svg>'\\n        );\\n      }\\n    }\\n    &.generic {\\n      &:before {\\n        opacity: 0.4;\\n        content: svg-uri(\\n          '<svg width=\\"128px\\" height=\\"128px\\" xmlns=\\"http://www.w3.org/2000/svg\\" viewBox=\\"0 0 384 512\\"><path fill=\\"currentColor\\" d=\\"M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z\\"></path></svg>'\\n        );\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".d-header {\\n  display: flex;\\n  align-items: center;\\n  width: 100%;\\n  position: absolute;\\n  top: 0;\\n  z-index: z(\\"header\\");\\n  background-color: $header_background;\\n  box-shadow: shadow(\\"header\\");\\n\\n  > .wrap {\\n    width: calc(100% - 16px); // accommodates for 8px vertical padding\\n    height: 100%;\\n    .contents {\\n      display: flex;\\n      align-items: center;\\n      height: 100%;\\n\\n      .header-row {\\n        width: 100%;\\n\\n        .logo-wrapper {\\n          float: left;\\n        }\\n        .auth-buttons {\\n          float: right;\\n          margin-top: 0.4em;\\n\\n          .login-button,\\n          .signup-button {\\n            padding: 8px 14px;\\n          }\\n        }\\n      }\\n    }\\n  }\\n\\n  .docked & {\\n    position: fixed;\\n    backface-visibility: hidden; /** do magic for scrolling performance **/\\n  }\\n\\n  .title {\\n    display: flex;\\n    align-items: center;\\n    height: 100%;\\n    a,\\n    a:visited {\\n      color: $header_primary;\\n    }\\n  }\\n\\n  #site-logo {\\n    width: auto;\\n  }\\n\\n  .d-icon-home {\\n    font-size: $font-up-6;\\n  }\\n\\n  .panel {\\n    position: relative;\\n    display: flex;\\n    flex: 0 0 auto;\\n    margin-left: auto;\\n    align-items: center;\\n  }\\n\\n  .hamburger-panel,\\n  .user-menu,\\n  .search-menu {\\n    width: 0; // Flexbox fix for Safari\\n  }\\n\\n  .header-buttons {\\n    display: flex;\\n    align-items: center;\\n    margin-top: 0.2em;\\n  }\\n\\n  .login-button,\\n  button.sign-up-button {\\n    padding: 6px 10px;\\n    .fa {\\n      margin-right: 3px;\\n    }\\n  }\\n\\n  button.login-button {\\n    margin-left: 7px;\\n  }\\n}\\n\\n.header-dropdown-toggle,\\n.drop-down,\\n.panel-body {\\n  .flagged-posts,\\n  .reviewables {\\n    background: $danger;\\n    min-width: 6px;\\n  }\\n}\\n\\n.d-header-icons {\\n  text-align: center;\\n  margin: 0 0 0 5px;\\n  list-style: none;\\n\\n  > li {\\n    float: left;\\n  }\\n  .icon {\\n    position: relative;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    width: 2.2857em;\\n    height: 2.2857em;\\n    padding: 0.2143em;\\n    text-decoration: none;\\n    cursor: pointer;\\n    border-top: 1px solid transparent;\\n    border-left: 1px solid transparent;\\n    border-right: 1px solid transparent;\\n    transition: all linear 0.15s;\\n    outline: none;\\n    img.avatar {\\n      width: 2.1333em;\\n      height: 2.1333em;\\n    }\\n    &:hover,\\n    &:focus {\\n      background-color: $primary-low;\\n      border-top: 1px solid transparent;\\n      border-left: 1px solid transparent;\\n      border-right: 1px solid transparent;\\n      .d-icon {\\n        color: $primary-medium;\\n      }\\n    }\\n    &:active {\\n      color: $primary;\\n      background-color: $primary-low;\\n    }\\n  }\\n  .drop-down-mode & {\\n    .active .icon {\\n      position: relative;\\n      background-color: $secondary;\\n      cursor: default;\\n      border-top: 1px solid $primary-low;\\n      border-left: 1px solid $primary-low;\\n      border-right: 1px solid $primary-low;\\n      .d-icon {\\n        color: $primary-medium;\\n      }\\n      &:after {\\n        display: block;\\n        position: absolute;\\n        top: 100%;\\n        left: 0;\\n        z-index: z(\\"header\\") + 1; // Higher than .menu-panel\\n        width: 100%;\\n        height: 0;\\n        content: \\"\\";\\n        border-top: 1px solid $secondary;\\n      }\\n      &:hover {\\n        border-bottom: none;\\n      }\\n    }\\n  }\\n\\n  .d-icon {\\n    width: 100%;\\n    font-size: $font-up-4;\\n    line-height: $line-height-large;\\n    display: inline-block;\\n    color: $header_primary-low-mid;\\n  }\\n  .notifications {\\n    position: relative;\\n  }\\n  .ring {\\n    position: absolute;\\n    top: -9px;\\n    z-index: z(\\"base\\");\\n    margin-left: 0;\\n  }\\n  .header-dropdown-toggle {\\n    position: relative;\\n  }\\n  .badge-notification {\\n    position: absolute;\\n    z-index: z(\\"base\\");\\n    left: 0;\\n    top: -4px;\\n    min-width: 0.6em;\\n  }\\n  .unread-notifications {\\n    left: auto;\\n    right: -3px;\\n    background-color: dark-light-choose($tertiary-medium, $tertiary);\\n  }\\n  .unread-private-messages,\\n  .ring {\\n    left: auto;\\n    right: 25px;\\n  }\\n}\\n\\n.highlight-strong {\\n  background-color: $highlight-medium;\\n}\\n\\n.search-highlight {\\n  font-weight: bold;\\n}\\n\\n#search-help table td {\\n  padding-right: 10px;\\n}\\n\\n// we don't need this X to clear field\\n#search-term::-ms-clear {\\n  display: none;\\n}\\n\\n// topic info in the header\\n.extra-info-wrapper {\\n  display: flex;\\n  align-items: center;\\n  flex: 1 1 0%; // unit on flex-basis is required for IE11\\n  height: 100%;\\n  line-height: $line-height-medium;\\n  padding: 0 1.5em 0 0.5em;\\n  // we need to hide overflow in both to truncate the title in a flexbox\\n  overflow: hidden;\\n  .extra-info {\\n    overflow: hidden;\\n    width: 100%;\\n    -webkit-animation: fadein 0.5s;\\n    animation: fadein 0.5s;\\n  }\\n  .topic-link {\\n    color: $header_primary;\\n    display: block;\\n    @include ellipsis;\\n  }\\n  .topic-statuses {\\n    .d-icon {\\n      color: $header_primary-medium;\\n    }\\n    .d-icon-envelope {\\n      color: $danger;\\n    }\\n  }\\n  .header-title {\\n    margin: 0 0 0.15em 0;\\n    .archetype-private_message & {\\n      // PMs might have participant avatars in the header\\n      margin: 0;\\n    }\\n    font-size: $font-up-3;\\n    width: 100%;\\n  }\\n  .categories-wrapper {\\n    display: inline-flex;\\n    align-items: center;\\n    // Protection against a very rare edge case in mobile header for topics with\\n    // very long category names and lots of tags at the same time\\n    max-width: 80%;\\n    flex: 0 1 auto;\\n    min-width: 1px;\\n    .badge-wrapper {\\n      @include ellipsis;\\n    }\\n  }\\n  .badge-wrapper {\\n    margin-right: 8px;\\n  }\\n  .badge-wrapper.bullet {\\n    .badge-category-parent-bg,\\n    .badge-category-bg {\\n      min-width: 5px;\\n    }\\n  }\\n  .badge-wrapper {\\n    &.bullet,\\n    &.bar,\\n    &.none {\\n      span.badge-category {\\n        color: $header_primary-high;\\n      }\\n    }\\n  }\\n  .topic-header-extra {\\n    display: inline-flex;\\n    align-items: center;\\n    max-width: 100%;\\n    flex: 1 0 0%; // unit on flex-basis is required for IE11\\n    .discourse-tags {\\n      color: $header_primary-high;\\n      @include ellipsis;\\n      .discourse-tag {\\n        display: inline; // tags need to stay inline in order for them to truncate\\n      }\\n    }\\n  }\\n  // the tag container should shrink\\n  .topic-header-extra {\\n    min-width: 1px; // 1px value is needed to avoid IE11 flexbox bug\\n  }\\n}\\n\\n// PM header participants\\n\\n$avatar-height: 1.641em;\\n$mobile-avatar-height: 1.532em;\\n\\n.topic-header-participants {\\n  display: flex;\\n  align-items: center;\\n  overflow: hidden;\\n  font-size: $font-down-1;\\n  &:not(:first-child) {\\n    margin-left: 5px;\\n  }\\n  .trigger-user-card,\\n  .trigger-group-card {\\n    &:not(:last-of-type) {\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  .trigger-user-card {\\n    .icon {\\n      height: $avatar-height;\\n      .mobile-view & {\\n        height: $mobile-avatar-height;\\n      }\\n      display: inline-block;\\n      img {\\n        height: 100%;\\n        width: auto;\\n      }\\n    }\\n  }\\n\\n  .trigger-group-card {\\n    padding: 0 5px;\\n    border: 1px solid $primary-low;\\n    border-radius: 0.25em;\\n    @include ellipsis;\\n\\n    .icon {\\n      display: flex;\\n      align-items: center;\\n      height: $avatar-height;\\n      .mobile-view & {\\n        height: $mobile-avatar-height;\\n      }\\n      color: $primary-high;\\n\\n      .d-icon {\\n        margin-right: 5px;\\n      }\\n    }\\n\\n    span {\\n      @include ellipsis;\\n    }\\n  }\\n\\n  .more-participants {\\n    color: $header_primary-high;\\n    margin-left: 5px;\\n  }\\n}\\n",\n\t\t"// Support for BBCode styles like colors and font sizes\\n\\nspan {\\n  &.bbcode-b {\\n    font-weight: bold;\\n  }\\n  &.bbcode-i {\\n    font-style: italic;\\n  }\\n  &.bbcode-u {\\n    text-decoration: underline;\\n  }\\n  &.bbcode-s {\\n    text-decoration: line-through;\\n  }\\n}\\n",\n\t\t"// Styles used before the user is logged into discourse. For example, activating their\\n// account or changing their email.\\n\\n#simple-container {\\n  border-radius: 10px;\\n  background-color: $secondary;\\n  padding: 20px;\\n  width: 550px;\\n  margin: 0 auto;\\n\\n  .account-created {\\n    .ac-message {\\n      font-size: $font-up-1;\\n      line-height: $line-height-large;\\n    }\\n\\n    .activation-controls {\\n      button {\\n        margin-right: 0.5em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for the topic admin menu\\n\\n.show-topic-admin {\\n  position: fixed;\\n  top: 120px;\\n  right: 10px;\\n  z-index: z(\\"dropdown\\");\\n  height: 35px;\\n}\\n\\n.popup-menu {\\n  background-color: $secondary;\\n  width: 215px;\\n  padding: 10px;\\n  border: 1px solid $primary-low;\\n  z-index: z(\\"dropdown\\");\\n  box-shadow: shadow(\\"card\\");\\n\\n  ul {\\n    list-style: none;\\n    margin: 10px 0 0 0;\\n  }\\n\\n  .btn {\\n    text-align: left;\\n  }\\n\\n  button {\\n    width: 100%;\\n    margin-bottom: 5px;\\n  }\\n}\\n\\n.modal-body.feature-topic {\\n  padding: 5px;\\n  max-height: 500px;\\n  input.date-picker {\\n    margin: 0;\\n  }\\n  hr {\\n    margin: 10px 0;\\n  }\\n  .feature-section {\\n    display: block;\\n    .badge-wrapper {\\n      margin-right: 0;\\n    }\\n    .desc {\\n      display: inline-block;\\n      vertical-align: middle;\\n      margin-left: 10px;\\n      p:first-of-type {\\n        margin: 0;\\n      }\\n      p {\\n        margin: 10px 0 0;\\n      }\\n    }\\n    .with-validation {\\n      position: relative;\\n    }\\n  }\\n}\\n\\n.desktop-view .feature-topic-modal {\\n  .feature-topic {\\n    overflow: visible;\\n  }\\n\\n  .modal-inner-container {\\n    min-width: 700px;\\n  }\\n\\n  .pin-until {\\n    position: relative;\\n    display: inline-block;\\n  }\\n}\\n\\n.mobile-view .feature-topic .feature-section {\\n  .desc {\\n    display: block;\\n    clear: both;\\n    max-width: 90%;\\n    margin: 0 10px;\\n  }\\n}\\n\\n// Select posts\\n\\n.selected-posts {\\n  border: 1px solid $tertiary-medium;\\n  background-color: $tertiary-low;\\n  .btn {\\n    border: none;\\n    color: $secondary;\\n    font-weight: normal;\\n    margin-bottom: 10px;\\n    &:not(.btn-danger) {\\n      background: $tertiary;\\n      border-color: $tertiary;\\n      &[href] {\\n        color: $secondary;\\n      }\\n      &:hover {\\n        color: $secondary;\\n        background: $tertiary-high;\\n      }\\n      &:active {\\n        @include linear-gradient(\\n          darken($tertiary, 18%),\\n          darken($tertiary, 12%)\\n        );\\n        color: $secondary;\\n      }\\n    }\\n    &[disabled] {\\n      text-shadow: 0 1px 0 rgba($primary, 0.2);\\n      @include linear-gradient($tertiary, darken($tertiary, 20%));\\n      box-shadow: inset 0 1px 0 rgba(0, 0, 0, 0.33);\\n    }\\n  }\\n}\\n",\n\t\t"$meta-element-margin: 6px;\\n\\n.lightbox-wrapper .lightbox {\\n  position: relative;\\n  display: inline-block;\\n  overflow: hidden;\\n  &:hover .meta {\\n    opacity: 0.9;\\n    transition: opacity 0.5s;\\n  }\\n}\\n\\n.d-lazyload-hidden {\\n  box-sizing: border-box;\\n}\\n\\n.onebox img.d-lazyload-hidden {\\n  border: 1px solid $primary-low;\\n}\\n\\n.cooked img.d-lazyload {\\n  transition: opacity 0.4s 0.75s ease;\\n}\\n\\n.lightbox-wrapper {\\n  display: inline-block;\\n  img {\\n    object-fit: cover;\\n    object-position: top;\\n  }\\n  &,\\n  * {\\n    outline: 0;\\n  }\\n}\\n\\n.meta {\\n  position: absolute;\\n  bottom: 0;\\n  width: 100%;\\n  color: $secondary;\\n  background: $primary;\\n  opacity: 0;\\n  transition: opacity 0.2s;\\n  display: flex;\\n  align-items: center;\\n\\n  .filename {\\n    margin: $meta-element-margin;\\n    @include ellipsis;\\n  }\\n\\n  .d-icon {\\n    margin: $meta-element-margin;\\n    opacity: 0.8;\\n    color: $secondary;\\n    + .filename {\\n      margin-left: 0px;\\n    }\\n  }\\n\\n  .informations {\\n    margin: $meta-element-margin;\\n    padding-right: 20px;\\n    color: $secondary-high;\\n    font-size: $font-0;\\n    flex-shrink: 0;\\n    flex-grow: 3;\\n  }\\n}\\n\\n.mfp-preloader .spinner {\\n  margin: auto;\\n}\\n\\n.discourse-no-touch {\\n  @if is-light-color-scheme() {\\n    a.lightbox {\\n      -webkit-transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);\\n      transition: all 0.6s cubic-bezier(0.165, 0.84, 0.44, 1);\\n    }\\n\\n    a.lightbox:hover {\\n      border-radius: 5px;\\n      box-shadow: 0 2px 5px 0 rgba($primary, 0.2),\\n        0 2px 10px 0 rgba($primary, 0.2);\\n    }\\n  }\\n}\\n",\n\t\t".reorder-categories {\\n  thead {\\n    th {\\n      padding-bottom: 0.5em;\\n    }\\n  }\\n  input {\\n    width: 4em;\\n    @include breakpoint(mobile-extra-large) {\\n      width: 2em;\\n    }\\n  }\\n  table {\\n    width: 100%;\\n    padding-bottom: 150px;\\n    td {\\n      padding: 0.5em 0.5em 0.5em 0;\\n      @include breakpoint(mobile, min-width) {\\n        min-width: 15em;\\n      }\\n    }\\n  }\\n  .badge-wrapper span.badge-category {\\n    max-width: 20em;\\n    @include breakpoint(mobile-extra-large) {\\n      max-width: 30vw;\\n    }\\n  }\\n}\\n\\n.reorder-categories-sub-cat {\\n  margin-left: 20px;\\n}\\n",\n\t\t".edit-topic-timer-modal {\\n  .modal-body {\\n    max-height: none;\\n    overflow: visible !important; /* inline JS styles */\\n  }\\n  .control-group {\\n    display: flex;\\n    align-items: center;\\n\\n    > .d-icon {\\n      margin-right: 5px;\\n    }\\n  }\\n  input.date-picker,\\n  input[type=\\"time\\"] {\\n    width: 200px;\\n    text-align: left;\\n  }\\n  .radios {\\n    margin-bottom: 10px;\\n  }\\n  label {\\n    display: inline-flex;\\n    padding-right: 5px;\\n    margin-bottom: 0;\\n    align-items: center;\\n    input {\\n      margin-top: 0;\\n    }\\n  }\\n  .btn.pull-right {\\n    margin-right: 10px;\\n  }\\n  .future-date-input {\\n    input {\\n      margin: 0;\\n    }\\n    .alert-info {\\n      margin: 0 -15px -15px -15px;\\n    }\\n    .btn-clear {\\n      display: none;\\n    }\\n    .topic-status-info {\\n      border: none;\\n      padding: 0;\\n      h3 {\\n        font-weight: normal;\\n        font-size: $font-up-1;\\n      }\\n    }\\n\\n    input[disabled] {\\n      background: $primary-low;\\n    }\\n  }\\n  .pika-single {\\n    position: absolute !important; /* inline JS styles */\\n  }\\n}\\n\\n// mobile styles\\n.mobile-view .edit-topic-timer-modal {\\n  .select-kit.combo-box {\\n    flex: 1 0 0px;\\n  }\\n}\\n",\n\t\t".redirection-warning {\\n  margin: 0 auto;\\n  text-align: center;\\n  font-size: $font-up-4;\\n  line-height: $line-height-medium;\\n}\\n",\n\t\t"// Right to left styles.\\n// *** These styles are all going to be flipped by the r2 gem ***\\n// Adding the !important declaration to a rule prevents it from being flipped.\\n\\n// This is used to flip the .d-icon-caret-right\\n@mixin rotate($degrees) {\\n  -webkit-transform: rotate(#{$degrees}deg);\\n  -moz-transform: rotate(#{$degrees}deg);\\n  -ms-transform: rotate(#{$degrees}deg);\\n  -o-transform: rotate(#{$degrees}deg);\\n  transform: rotate(#{$degrees}deg);\\n\\n  filter: \\"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=#{cos($degrees)}, M12=-#{sin($degrees)}, M21=#{sin($degrees)}, M22=#{cos($degrees)})\\";\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand', M11=#{cos($degrees)}, M12=-#{sin($degrees)}, M21=#{sin($degrees)}, M22=#{cos($degrees)})\\";\\n  zoom: 1;\\n}\\n\\n// Get the right caret to point left\\n.rtl .d-icon-caret-right {\\n  @include rotate(180);\\n}\\n\\n// Changes the triangle arrow direction in .nav-stacked .active\\n// The 'left' and 'right' in these selectors is not being flipped by r2.\\n.rtl .nav-stacked a.active::after {\\n  border-left-color: transparent !important;\\n  border-right-color: $secondary !important;\\n}\\n.rtl code {\\n  direction: ltr !important;\\n  text-align: left !important;\\n}\\n.rtl .pull-left {\\n  float: right !important;\\n}\\n.rtl .autocomplete {\\n  left: 27px;\\n}\\n\\n.rtl .admin-customize .current-style .toggle-mobile {\\n  position: static !important;\\n  float: left !important;\\n}\\n.rtl .admin-customize .current-style .toggle-maximize {\\n  position: static !important;\\n  float: left !important;\\n}\\n.rtl .dashboard-left {\\n  float: right !important;\\n}\\n.rtl .dashboard-right {\\n  float: left !important;\\n}\\n\\n// This is for the support_mixed_text_direction setting\\n.cooked ul[dir=\\"ltr\\"],\\n.d-editor-preview ul[dir=\\"ltr\\"],\\n.cooked ul[dir=\\"rtl\\"],\\n.d-editor-preview ul[dir=\\"rtl\\"] {\\n  padding-right: 40px;\\n  padding-left: 40px;\\n}\\n\\n// Fixes github oneboxes for RTL sites\\n.rtl aside.onebox.githubblob {\\n  padding: 12px 25px 12px 12px !important;\\n  direction: ltr !important;\\n}\\n\\n.rtl aside.onebox.githubblob .source {\\n  background-position: 0 50% !important;\\n  padding-right: 20px;\\n}\\n\\n.rtl pre.onebox code ol.lines {\\n  margin: 0 0 0 40px !important;\\n}\\n\\n.rtl pre.onebox code ol.lines li:before {\\n  right: -40px;\\n  padding-left: 5px;\\n  padding-right: 0;\\n  text-align: right !important;\\n}\\n\\n.rtl pre.onebox code ol.lines li {\\n  padding-right: 5px;\\n  padding-left: 0;\\n  margin-right: 0;\\n  border-right: 1px solid #cfcfcf;\\n  border-left: none !important;\\n}\\n",\n\t\t".search-menu {\\n  .search-input {\\n    position: relative;\\n    padding: 0.5em 3px;\\n  }\\n\\n  .search-context .show-help {\\n    float: right;\\n  }\\n\\n  .heading {\\n    padding: 5px 0 5px 5px;\\n    .filter {\\n      padding: 0 5px;\\n    }\\n  }\\n\\n  input[type=\\"text\\"] {\\n    box-sizing: border-box;\\n    width: calc(100% - 6px);\\n    height: 32px;\\n  }\\n\\n  .search-context {\\n    padding: 0 5px;\\n\\n    label {\\n      margin-bottom: 0;\\n    }\\n  }\\n\\n  .search-context + .results {\\n    margin-top: 5px;\\n  }\\n\\n  .results {\\n    display: flex;\\n    flex-direction: row;\\n\\n    .list {\\n      min-width: 100px;\\n\\n      .item {\\n        .blurb {\\n          // https://css-tricks.com/snippets/css/prevent-long-urls-from-breaking-out-of-container/\\n          overflow-wrap: break-word;\\n          word-wrap: break-word;\\n          -ms-word-break: break-all;\\n          word-break: break-all;\\n          word-break: break-word;\\n          -ms-hyphens: auto;\\n          -moz-hyphens: auto;\\n          -webkit-hyphens: auto;\\n          hyphens: auto;\\n          margin-top: 0.25em;\\n        }\\n      }\\n    }\\n\\n    .search-result-topic {\\n      .second-line {\\n        display: flex;\\n        flex-wrap: wrap;\\n        align-items: center;\\n\\n        .discourse-tags {\\n          flex-wrap: wrap;\\n          display: contents;\\n        }\\n      }\\n    }\\n\\n    .main-results {\\n      display: flex;\\n      flex: 1 1 auto;\\n      .topic-statuses {\\n        color: $primary-medium;\\n      }\\n    }\\n\\n    .main-results + .secondary-results {\\n      border-left: 1px solid $primary-low;\\n      margin-left: 1em;\\n      padding-left: 1em;\\n      max-width: 33%;\\n    }\\n\\n    .secondary-results {\\n      display: flex;\\n      flex-direction: column;\\n      flex: 1 1 auto;\\n\\n      .separator {\\n        margin-bottom: 1em;\\n        margin-top: 1em;\\n        height: 1px;\\n        background: $primary-low;\\n      }\\n\\n      .search-result-tag {\\n        .discourse-tag {\\n          font-size: $font-down-1;\\n        }\\n      }\\n\\n      .search-result-category {\\n        .widget-link {\\n          margin-bottom: 0;\\n        }\\n      }\\n\\n      .search-result-group {\\n        .search-link {\\n          color: $primary-high;\\n\\n          &:hover {\\n            color: $primary;\\n          }\\n        }\\n\\n        .group-result {\\n          display: flex;\\n          align-items: center;\\n\\n          .d-icon,\\n          .avatar-flair {\\n            min-width: 25px;\\n            margin-right: 0.5em;\\n\\n            .d-icon {\\n              margin-right: 0;\\n            }\\n          }\\n\\n          .avatar-flair-image {\\n            background-repeat: no-repeat;\\n            background-size: 100% 100%;\\n            min-height: 25px;\\n          }\\n\\n          .group-names {\\n            display: flex;\\n            flex-direction: column;\\n            overflow: auto;\\n            line-height: $line-height-medium;\\n\\n            &:hover {\\n              .name,\\n              .slug {\\n                color: $primary-high;\\n              }\\n            }\\n\\n            .name,\\n            .slug {\\n              @include ellipsis;\\n            }\\n\\n            .name {\\n              font-weight: 700;\\n            }\\n\\n            .slug {\\n              font-size: $font-down-1;\\n              color: $primary-high;\\n            }\\n          }\\n        }\\n      }\\n\\n      .search-result-category,\\n      .search-result-user,\\n      .search-result-group,\\n      .search-result-tag {\\n        .list {\\n          display: block;\\n\\n          .item {\\n            .widget-link.search-link {\\n              flex: 1;\\n              font-size: $font-0;\\n              padding: 5px;\\n            }\\n          }\\n        }\\n      }\\n\\n      .search-result-user {\\n        .user-result {\\n          display: flex;\\n          flex-direction: row;\\n          align-items: center;\\n\\n          .avatar {\\n            margin-right: 0.5em;\\n            display: block;\\n            min-width: 25px;\\n          }\\n\\n          .user-titles {\\n            display: flex;\\n            flex-direction: column;\\n            overflow: auto;\\n            line-height: $line-height-medium;\\n\\n            .username,\\n            .name {\\n              @include ellipsis;\\n            }\\n\\n            .username {\\n              color: dark-light-choose($primary-high, $secondary-low);\\n              font-size: $font-down-1;\\n            }\\n\\n            .name {\\n              color: dark-light-choose($primary-high, $secondary-low);\\n              font-size: $font-0;\\n              font-weight: 700;\\n            }\\n          }\\n        }\\n      }\\n    }\\n\\n    .show-more {\\n      padding: 5px;\\n    }\\n  }\\n\\n  .searching {\\n    position: absolute;\\n    top: 1.15em;\\n    right: 1em;\\n\\n    .spinner {\\n      width: 10px;\\n      height: 10px;\\n      border-width: 2px;\\n      margin: 0;\\n    }\\n  }\\n\\n  .no-results {\\n    padding: 5px;\\n  }\\n\\n  .filter {\\n    padding: 0;\\n    &:hover {\\n      background: transparent;\\n    }\\n  }\\n\\n  .search-link {\\n    margin-bottom: 0.25em;\\n\\n    .badge-category-parent {\\n      line-height: $line-height-small;\\n    }\\n\\n    .topic {\\n      display: inline-block;\\n      line-height: $line-height-medium;\\n    }\\n\\n    .topic-title {\\n      margin-right: 0.25em;\\n    }\\n  }\\n}\\n",\n\t\t"/* Default badge styles. */\\n.user-badge {\\n  padding: 3px 8px;\\n  color: $primary;\\n  border: 1px solid $primary-low;\\n  line-height: $line-height-large;\\n  display: inline-flex;\\n  align-items: center;\\n  background-color: $secondary;\\n  margin: 0 0 3px;\\n\\n  img {\\n    height: 16px;\\n    width: 16px;\\n  }\\n\\n  .badge-display-name {\\n    margin-left: 0.25em;\\n  }\\n\\n  &.badge-type-gold .fa {\\n    color: $gold !important;\\n  }\\n\\n  &.badge-type-silver .fa {\\n    color: $silver !important;\\n  }\\n\\n  &.badge-type-bronze .fa {\\n    color: $bronze !important;\\n  }\\n\\n  &.disabled {\\n    color: $primary-medium;\\n    background-color: $primary-very-low;\\n    .fa {\\n      opacity: 0.4;\\n    }\\n  }\\n}\\n\\n@media all and (max-width: 750px) {\\n  .show-badge .user-badge-with-posts .badge-user a.post-link {\\n    width: auto;\\n  }\\n  .show-badge div.badge-user {\\n    padding: 0;\\n  }\\n  .badges-listing {\\n    display: block;\\n\\n    .info,\\n    .grant-count {\\n      text-align: left;\\n    }\\n\\n    .row > div.info {\\n      display: none;\\n    }\\n\\n    .row {\\n      display: block;\\n      > div {\\n        display: block;\\n        margin-top: 10px;\\n      }\\n    }\\n  }\\n}\\n\\n.show-badge .badge-user-info {\\n  .earned {\\n    font-size: $font-up-2;\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.show-badge .single-user {\\n  margin-left: 2%;\\n  padding-bottom: 20px;\\n  .load-more {\\n    padding-top: 30px;\\n    display: block;\\n    font-size: $font-up-2;\\n  }\\n}\\n\\n.show-badge .single-user .badge-user {\\n  padding-left: 0;\\n\\n  text-align: left;\\n  display: block;\\n  margin: 20px 0;\\n  .badge-info {\\n    display: none;\\n  }\\n  .date {\\n    display: inline-block;\\n    font-size: $font-up-1;\\n    margin-left: 10px;\\n  }\\n  .post-link {\\n    font-size: $font-up-2;\\n    width: 500px;\\n    margin: 0;\\n    padding: 0;\\n  }\\n  width: 800px;\\n\\n  &:after {\\n    content: \\"\\";\\n    clear: both;\\n    display: table;\\n  }\\n}\\n\\n.long-description.banner {\\n  width: 88%;\\n  margin-bottom: 15px;\\n  margin-top: 15px;\\n}\\n\\n.badge-card {\\n  position: relative;\\n  display: inline-block;\\n  background-color: $primary-very-low;\\n  border: 1px solid $primary-low;\\n  margin-bottom: 2vh;\\n  transition: box-shadow 0.25s;\\n\\n  .check-display {\\n    position: absolute;\\n    left: 5px;\\n    top: 5px;\\n  }\\n\\n  .grant-count {\\n    position: absolute;\\n    right: 5px;\\n    top: 5px;\\n    font-weight: bold;\\n    color: $primary-medium;\\n    font-size: $font-up-2;\\n  }\\n\\n  .badge-contents {\\n    display: flex;\\n    min-height: 128px;\\n    height: 100%;\\n    padding: 0 10%;\\n\\n    .badge-link {\\n      color: $primary;\\n    }\\n\\n    .badge-icon {\\n      display: flex;\\n      flex: 0 0 auto;\\n      width: 1.23em;\\n      margin-right: 5%;\\n      align-items: center;\\n      justify-content: center;\\n      font-size: 3.5em;\\n      a {\\n        width: 100%;\\n      }\\n      img {\\n        width: 100%;\\n        max-width: 65px;\\n        max-height: 80px;\\n      }\\n\\n      &.badge-type-gold .fa {\\n        color: rgb(231, 195, 0) !important;\\n      }\\n\\n      &.badge-type-silver .fa {\\n        color: #c0c0c0 !important;\\n      }\\n\\n      &.badge-type-bronze .fa {\\n        color: #cd7f32 !important;\\n      }\\n    }\\n\\n    .badge-info {\\n      display: flex;\\n      flex: 1 1 auto;\\n      align-items: center;\\n      padding: 1em 1.5em 1em 0;\\n      color: $primary;\\n      @media screen and (max-width: 600px) {\\n        padding-right: 0;\\n      }\\n\\n      h3 {\\n        margin-bottom: 0.25em;\\n        font-size: $font-up-1;\\n        @media screen and (min-width: 900px) {\\n          font-size: $font-up-2;\\n        }\\n      }\\n    }\\n  }\\n\\n  &.medium {\\n    flex: 0 0 auto;\\n    width: 32%;\\n    margin-right: 1.63%;\\n    @media screen and (min-width: 851px) {\\n      &:nth-of-type(3n) {\\n        margin-right: 0;\\n      }\\n    }\\n    @include breakpoint(medium) {\\n      width: 48.5%;\\n      &:nth-of-type(2n) {\\n        margin-right: 0;\\n      }\\n    }\\n    @include breakpoint(mobile-extra-large) {\\n      flex: 0 0 100%;\\n    }\\n    &:hover {\\n      box-shadow: shadow(\\"card\\");\\n    }\\n    &:active {\\n      box-shadow: none;\\n    }\\n  }\\n  &.large {\\n    width: 100%;\\n    align-self: flex-start;\\n    @media screen and (min-width: 767px) {\\n      max-width: calc(#{$large-width} / 2);\\n      margin-right: 1.5em;\\n    }\\n    .badge-contents {\\n      padding: 0 5%;\\n      h3 {\\n        font-size: $font-up-3;\\n      }\\n    }\\n  }\\n}\\n\\n.badges-granted {\\n  display: flex;\\n  flex-wrap: wrap;\\n  @media screen and (max-width: $small-width) {\\n    justify-content: space-between;\\n  }\\n}\\n\\n.badge-groups {\\n  margin: 20px 0;\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  h3 {\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.badge-title {\\n  .user-content {\\n    padding: 0;\\n  }\\n}\\n\\n.badge-group-list {\\n  margin-bottom: 1.5em;\\n  display: flex;\\n  flex-wrap: wrap;\\n  @include breakpoint(medium) {\\n    justify-content: space-between;\\n  }\\n\\n  .title {\\n    width: 100%;\\n    font-size: $font-up-1;\\n  }\\n}\\n\\n.show-badge-details {\\n  display: flex;\\n  flex-wrap: wrap;\\n  flex-direction: row;\\n  margin-bottom: 2em;\\n  margin-top: 1em;\\n\\n  .badge-grant-info {\\n    &.hidden {\\n      display: none;\\n    }\\n  }\\n\\n  .grant-info-item {\\n    margin-bottom: 1em;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    &:first-of-type {\\n      margin-right: 10px;\\n    }\\n  }\\n\\n  .badge-set-title {\\n    padding: 1.5em;\\n    border: 1px solid $primary-low;\\n\\n    .user-content {\\n      padding: 0;\\n      .control-group {\\n        margin-bottom: 1em;\\n      }\\n    }\\n  }\\n\\n  .badge-title .form-horizontal .controls {\\n    margin-left: 0;\\n  }\\n\\n  .form-horizontal {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n.check-display {\\n  display: inline-block;\\n  padding: 0 0.25em;\\n  border-radius: 10px;\\n  text-align: center;\\n  .fa {\\n    font-size: 0.9em;\\n    color: $secondary;\\n  }\\n}\\n\\n.check-display.status-checked {\\n  background-color: $success;\\n}\\n\\n.check-display.status-unchecked {\\n  background-color: $danger;\\n}\\n\\n.hyperlink {\\n  cursor: pointer;\\n}\\n",\n\t\t".reviewable {\\n  .flagged-post-header {\\n    width: 100%;\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n\\n  .status {\\n    color: $primary-medium;\\n    span.approved {\\n      color: $success;\\n      .d-icon {\\n        color: currentColor;\\n      }\\n    }\\n    span.rejected {\\n      color: $danger;\\n      .d-icon {\\n        color: currentColor;\\n      }\\n    }\\n  }\\n  .explain {\\n    margin-left: 0.5em;\\n  }\\n\\n  .nav-pills {\\n    margin-bottom: 1em;\\n  }\\n\\n  .reviewable-container {\\n    display: flex;\\n    flex-direction: row;\\n    margin-top: 1em;\\n\\n    .reviewable-list {\\n      flex: 1;\\n      box-sizing: border-box;\\n      max-width: 760px; // Match topic post width\\n      min-width: 0;\\n      margin-right: auto;\\n    }\\n\\n    .reviewable-filters {\\n      width: 250px;\\n      height: 100%;\\n      box-sizing: border-box;\\n    }\\n\\n    .reviewable-list + .reviewable-filters {\\n      margin-left: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-settings {\\n  h4 {\\n    margin-top: 1em;\\n    margin-bottom: 1em;\\n  }\\n\\n  .saved {\\n    margin-left: 0.5em;\\n  }\\n  .reviewable-score-type {\\n    display: flex;\\n    margin-bottom: 0.5em;\\n\\n    .select-kit {\\n      min-width: 10em;\\n    }\\n    .title {\\n      width: 30%;\\n    }\\n  }\\n}\\n\\n.reviewable-user-info {\\n  margin: 0.5em 0;\\n  .reviewable-user-fields {\\n    margin-bottom: 2em;\\n  }\\n\\n  .reviewable-user-details {\\n    border-bottom: 1px solid $primary-low;\\n    padding-bottom: 0.25em;\\n\\n    display: flex;\\n    .name {\\n      width: 8em;\\n      font-weight: bold;\\n      margin-right: 1em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.no-review {\\n  margin-top: 1em;\\n}\\n\\n.reviewable-filters {\\n  background-color: $primary-very-low;\\n  padding: 1em;\\n  margin-bottom: 1em;\\n\\n  .reviewable-filter {\\n    display: flex;\\n    flex-direction: column;\\n    margin: 0 0 1em 0;\\n\\n    .filter-label {\\n      margin: 0 0 0.5em 0;\\n    }\\n\\n    .score-filter {\\n      margin: 0;\\n      width: 100%;\\n    }\\n\\n    .category-chooser {\\n      width: 100%;\\n    }\\n\\n    .d-date-time-input-range {\\n      width: inherit;\\n      border: none;\\n      padding: 0;\\n\\n      .d-date-input {\\n        flex: 1 1 auto;\\n        border: 1px solid $primary-medium;\\n      }\\n    }\\n  }\\n}\\n\\n.reviewable-claimed-topic {\\n  display: flex;\\n  align-items: center;\\n  .btn-small {\\n    margin-left: 0.5em;\\n  }\\n}\\n\\n.reviewable-actions .claimed-actions {\\n  display: flex;\\n  width: 100%;\\n  justify-content: space-between;\\n  align-items: center;\\n  margin-bottom: 0.5em;\\n}\\n\\n.claimed-by {\\n  display: flex;\\n  align-items: center;\\n  .claimed-username {\\n    margin-left: 0.5em;\\n  }\\n}\\n\\n.reviewable-topics {\\n  width: 100%;\\n\\n  tbody {\\n    td {\\n      padding: 0.5em;\\n    }\\n  }\\n\\n  .reviewable-details {\\n    display: flex;\\n    justify-content: flex-end;\\n\\n    .btn {\\n      display: flex;\\n      align-items: center;\\n      margin-left: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-filters {\\n  .topic-filter .btn {\\n    display: flex;\\n    width: auto;\\n  }\\n\\n  .refresh {\\n    height: 1em;\\n    display: flex;\\n  }\\n\\n  .score-filter {\\n    width: 5em;\\n  }\\n}\\n.user-flag-percentage {\\n  display: flex;\\n  align-items: center;\\n  margin-left: 0.5em;\\n\\n  .percentage-label {\\n    margin-right: 0.25em;\\n    &.agreed {\\n      color: $success;\\n      + .d-icon {\\n        color: $success;\\n      }\\n    }\\n    &.disagreed {\\n      color: $danger;\\n      + .d-icon {\\n        color: $danger;\\n      }\\n    }\\n    &.ignored {\\n      color: $primary-medium;\\n    }\\n  }\\n  .d-icon {\\n    font-size: 0.9em;\\n  }\\n}\\n\\n.reviewable-item {\\n  padding-top: 2em;\\n  border-top: 1px solid dark-light-choose($primary-low, $secondary-low);\\n\\n  .topic-statuses {\\n    font-size: $font-up-2;\\n  }\\n\\n  .reviewable-meta-data {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    display: flex;\\n    width: 100%;\\n    margin-bottom: 0.5em;\\n    font-size: $font-down-1;\\n    align-items: baseline;\\n    .reviewable-type {\\n      margin-right: 0.25em;\\n    }\\n    .reply-count {\\n      margin-left: 1em;\\n    }\\n    .created-at {\\n      margin-left: 1em;\\n      margin-right: auto;\\n      a {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n    }\\n    .score {\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  .reviewable-contents {\\n    display: flex;\\n    flex-wrap: wrap;\\n    margin-bottom: 2em;\\n  }\\n\\n  .reviewable-actions {\\n    display: flex;\\n    flex-wrap: wrap;\\n\\n    button {\\n      white-space: nowrap;\\n    }\\n\\n    .reviewable-action,\\n    .reviewable-action-dropdown {\\n      margin-right: 0.5em;\\n    }\\n  }\\n  padding-bottom: 1em;\\n}\\n\\n.reviewable-histories {\\n  margin-top: 1em;\\n}\\n\\n.reviewable-scores {\\n  min-width: 50%;\\n  color: $primary-high;\\n\\n  .reviewed-by {\\n    .date {\\n      margin-left: 0.5em;\\n    }\\n  }\\n  .user,\\n  .reviewed-by {\\n    display: flex;\\n    align-items: center;\\n  }\\n\\n  .user-flag-percentage {\\n    margin-left: 0.5em;\\n  }\\n\\n  .d-icon {\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n  }\\n\\n  .badge-notification {\\n    line-height: $line-height-medium;\\n    vertical-align: text-top;\\n  }\\n\\n  tbody {\\n    border-width: 1px;\\n    td {\\n      white-space: nowrap;\\n      vertical-align: baseline;\\n      &.user a,\\n      &.reviewed-by a {\\n        max-width: 150px;\\n        @include ellipsis;\\n      }\\n    }\\n\\n    td:last-of-type {\\n      width: 100%;\\n      white-space: normal;\\n    }\\n    > tr > th {\\n      text-align: left;\\n    }\\n    > tr > th,\\n    > tr > td {\\n      &:not(:empty) {\\n        padding: 0.5em 1em 0.5em 0;\\n      }\\n      @include breakpoint(\\"mobile-large\\") {\\n        @include ellipsis;\\n        padding-right: 0.5em;\\n      }\\n    }\\n    .reviewable-score-spacer {\\n      padding-right: 1em;\\n    }\\n  }\\n}\\n\\n.reviewable-score-reason {\\n  margin: 0.5em 0;\\n  max-width: $topic-body-width;\\n  margin-bottom: 0.5em;\\n}\\n\\n.reviewable-conversation {\\n  margin: 0.5em 0;\\n\\n  .reviewable-conversation-post {\\n    max-width: $topic-body-width;\\n    margin-bottom: 0.5em;\\n\\n    .username {\\n      font-weight: bold;\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .controls {\\n    margin-top: 0.25em;\\n  }\\n}\\n\\n.reviewable-item {\\n  .show-raw-email {\\n    color: $primary-medium;\\n    font-size: $font-down-2;\\n  }\\n  .post-title {\\n    background-color: yellow;\\n  }\\n  .created-by {\\n    margin-right: 1em;\\n    padding-top: 0.35em;\\n    @include breakpoint(\\"mobile-large\\") {\\n      float: left;\\n      margin-bottom: 1em;\\n    }\\n  }\\n\\n  .names {\\n    font-weight: bold;\\n  }\\n\\n  .post-contents-wrapper {\\n    width: 100%;\\n    margin-top: 1em;\\n    min-width: 275px;\\n    word-break: break-word;\\n    @include breakpoint(\\"mobile-large\\", min-width) {\\n      display: flex;\\n    }\\n  }\\n  .reviewable-post-header {\\n    display: flex;\\n    justify-content: space-between;\\n    max-width: $topic-body-width;\\n    width: $topic-body-width;\\n    align-items: center;\\n\\n    .reviewable-reply-to {\\n      display: flex;\\n      align-items: center;\\n      color: $primary-medium;\\n      font-size: 0.9em;\\n      .d-icon {\\n        margin-right: 0.5em;\\n      }\\n    }\\n  }\\n\\n  .post-contents {\\n    width: 100%;\\n    min-width: 0; // Flexbox fix\\n  }\\n\\n  .post-body {\\n    max-width: $topic-body-width;\\n    max-height: 300px;\\n    margin-top: 0.5em;\\n    overflow-y: auto;\\n\\n    p,\\n    aside {\\n      margin: 0 0 1em 0;\\n    }\\n\\n    pre,\\n    code {\\n      word-break: break-all;\\n    }\\n  }\\n\\n  .post-topic {\\n    width: 100%;\\n    color: $primary-medium;\\n    margin-bottom: 0.75em;\\n    .title-text {\\n      font-weight: bold;\\n      color: $primary;\\n      display: block;\\n      font-size: $font-up-2;\\n      margin-right: 0.75em;\\n    }\\n    .topic-statuses {\\n      &:empty {\\n        display: none;\\n      }\\n    }\\n  }\\n}\\n\\n.editable-fields {\\n  .editable-created-by {\\n    display: flex;\\n    .avatar {\\n      margin-right: 0.25em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n\\n  width: 100%;\\n  .editable-field {\\n    .mini-tag-chooser {\\n      margin: 0;\\n    }\\n\\n    .reviewable-input-text {\\n      width: 100%;\\n      margin-bottom: 0;\\n    }\\n\\n    .reviewable-input-textarea {\\n      width: 100%;\\n      height: 10em;\\n    }\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n@media screen and (max-width: 1000px) {\\n  table.reviewable-scores {\\n    width: 100%;\\n    display: block;\\n    tbody {\\n      width: calc(100% - 5px);\\n      display: block;\\n      clear: both;\\n    }\\n  }\\n  tr.reviewable-score {\\n    display: grid;\\n    grid-template-columns: auto auto 1fr;\\n  }\\n  td.reviewable-score-spacer {\\n    display: none;\\n  }\\n}\\n\\n@include breakpoint(\\"mobile-large\\") {\\n  tr.reviewable-score {\\n    grid-template-columns: auto auto auto;\\n  }\\n}\\n",\n\t\t".shared-draft-controls {\\n  background-color: $tertiary-low;\\n  padding: 1em;\\n\\n  .publish-field {\\n    margin-top: 1em;\\n  }\\n\\n  clear: both;\\n}\\n",\n\t\t".explain-reviewable {\\n  min-width: 500px;\\n\\n  .thresholds {\\n    margin-top: 1em;\\n  }\\n  table {\\n    width: 100%;\\n  }\\n  table td {\\n    padding: 0.5em;\\n  }\\n  td.sum {\\n    text-align: right;\\n  }\\n  td.sum.total {\\n    font-weight: bold;\\n  }\\n  tr.total {\\n    td {\\n      background-color: $primary-low;\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .op {\\n    font-weight: bold;\\n  }\\n\\n  .score-value-type {\\n    color: $primary-medium;\\n  }\\n\\n  .op:last-of-type {\\n    display: none;\\n  }\\n}\\n",\n\t\t"// styles for the category badge color picker\\n\\n.category-color-editor {\\n  input {\\n    width: 5.5em;\\n    margin-right: 1em;\\n  }\\n\\n  .color-title {\\n    display: block;\\n    margin: 1em 0 0.25em;\\n  }\\n\\n  .colorpicker-wrapper {\\n    display: flex;\\n    align-items: center;\\n    input,\\n    .add-on {\\n      align-self: flex-start;\\n      margin-bottom: 0.125em;\\n    }\\n  }\\n\\n  .colors-container {\\n    display: inline-flex;\\n    flex-wrap: wrap;\\n\\n    .colorpicker {\\n      position: relative;\\n      margin: 0 0.125em 0.25em;\\n      border: 1px solid $primary-medium;\\n      width: 1.25em;\\n      height: 1.2em;\\n      padding: 0;\\n      flex: 0 0 auto;\\n      color: white;\\n      svg {\\n        display: none;\\n      }\\n      &.used-color svg {\\n        display: inline-flex;\\n        opacity: 0.8;\\n        max-width: 70%;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// styles that apply to the popup that appears when you show the edit history of a post\\n\\n.modal.history-modal {\\n  #revision-numbers {\\n    display: inline-block;\\n    min-width: 96px;\\n    text-align: center;\\n  }\\n\\n  #revision {\\n    overflow: auto;\\n    border-bottom: 3px solid $primary-low;\\n  }\\n\\n  table.markdown > tbody > tr > td,\\n  .revision-content {\\n    width: 47.5%;\\n    float: left;\\n\\n    &:nth-of-type(2) {\\n      margin-left: 5%;\\n    }\\n  }\\n\\n  #revision-details {\\n    padding: 5px;\\n  }\\n\\n  #revisions .row:first-of-type {\\n    margin-top: 10px;\\n  }\\n  ins,\\n  .diff-ins {\\n    code,\\n    img {\\n      border: 2px solid $success;\\n    }\\n    img {\\n      opacity: 0.75;\\n      filter: alpha(opacity=75);\\n    }\\n    a {\\n      color: $success;\\n      text-decoration: none;\\n    }\\n  }\\n  img.diff-ins,\\n  code.diff-ins {\\n    border: 2px solid $success;\\n  }\\n  img.diff-ins {\\n    opacity: 0.75;\\n    filter: alpha(opacity=75);\\n  }\\n  .diff-ins {\\n    color: $primary;\\n    background: $success-low;\\n  }\\n  ins {\\n    color: $primary;\\n    background: $success-low;\\n    text-decoration: none;\\n  }\\n  del,\\n  .diff-del {\\n    code,\\n    img {\\n      border: 2px solid $danger;\\n    }\\n    img {\\n      opacity: 0.5;\\n      filter: alpha(opacity=50);\\n    }\\n    a {\\n      color: $danger;\\n      text-decoration: none;\\n    }\\n  }\\n  img.diff-del,\\n  code.diff-del {\\n    border: 2px solid $danger;\\n  }\\n  img.diff-del {\\n    opacity: 0.5;\\n    filter: alpha(opacity=50);\\n  }\\n  .diff-del {\\n    color: $primary;\\n    background: $danger-low;\\n    text-decoration: none;\\n  }\\n  del {\\n    color: $primary;\\n    background: $danger-low;\\n    text-decoration: none;\\n  }\\n  span.date {\\n    font-weight: bold;\\n  }\\n  span.edit-reason {\\n    background-color: $highlight-medium;\\n    padding: 3px 5px 5px 5px;\\n  }\\n  .d-icon-ban {\\n    color: #f00;\\n  }\\n  .hidden-revision-either {\\n    opacity: 0.5;\\n  }\\n  .hidden-revision-previous .row {\\n    div:nth-of-type(1),\\n    td:nth-of-type(1) {\\n      opacity: 0.5;\\n    }\\n  }\\n  .hidden-revision-current .row {\\n    div:nth-of-type(2),\\n    td:nth-of-type(2) {\\n      opacity: 0.5;\\n    }\\n  }\\n}\\n",\n\t\t"$d-popover-background: $secondary;\\n$d-popover-border: $primary-medium;\\n\\n@-webkit-keyframes popoverFadeIn {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n@keyframes popoverFadeIn {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 1;\\n  }\\n}\\n\\n#d-popover {\\n  background-color: $d-popover-background;\\n  position: absolute;\\n  z-index: z(\\"modal\\", \\"tooltip\\");\\n  border-color: $d-popover-border;\\n  border-style: solid;\\n  border-width: 1px;\\n  max-width: 300px;\\n  -webkit-animation: popoverFadeIn 0.5s;\\n  animation: popoverFadeIn 0.5s;\\n  background-clip: padding-box;\\n  display: block;\\n  box-shadow: shadow(\\"dropdown\\");\\n  border-radius: 2px;\\n\\n  &.is-under {\\n    margin-top: 0px;\\n\\n    .d-popover-top-arrow {\\n      display: block;\\n    }\\n\\n    .d-popover-bottom-arrow {\\n      display: none;\\n    }\\n  }\\n\\n  &.is-above {\\n    margin-top: 0px;\\n\\n    .d-popover-bottom-arrow {\\n      display: block;\\n    }\\n\\n    .d-popover-top-arrow {\\n      display: none;\\n    }\\n  }\\n\\n  &.retina {\\n    border-width: 0.5px;\\n  }\\n\\n  .d-popover-content {\\n    padding: 0.5em;\\n    font-size: $font-down-1;\\n    overflow-wrap: break-word;\\n    -webkit-animation: popoverFadeIn 0.5s;\\n    animation: popoverFadeIn 0.5s;\\n  }\\n\\n  .d-popover-arrow {\\n    border-style: solid;\\n    color: transparent;\\n    content: \\"\\";\\n    position: absolute;\\n    z-index: calc(z(\\"tooltip\\") - 100);\\n  }\\n\\n  .d-popover-top-arrow {\\n    border-color: transparent transparent $d-popover-border;\\n    top: 8px;\\n    transform: translate(0, -15px);\\n    border-width: 0 8px 8px;\\n\\n    &:after {\\n      border-color: transparent transparent $d-popover-background;\\n      border-style: solid;\\n      border-width: 0 7px 7px;\\n      bottom: -8px;\\n      margin-left: -7px;\\n      position: absolute;\\n      content: \\"\\";\\n    }\\n  }\\n\\n  .d-popover-bottom-arrow {\\n    border-color: $d-popover-border transparent transparent;\\n    top: calc(100% + 16px);\\n    transform: translate(0, -16px);\\n    border-width: 8px 8px 0;\\n\\n    &:after {\\n      position: absolute;\\n      content: \\"\\";\\n      border-color: $d-popover-background transparent transparent;\\n      border-style: solid;\\n      border-width: 7px 7px 0;\\n      bottom: 2px;\\n      transform: translate(-7px, 0);\\n    }\\n  }\\n}\\n",\n\t\t"div.tagsinput {\\n  border: 1px solid #ccc;\\n  background: #fff;\\n  padding: 5px 5px 0;\\n  width: 584px;\\n  height: 100px;\\n  overflow-y: auto;\\n  border-radius: 4px;\\n}\\n\\ndiv.tagsinput span.tag {\\n  border: 1px solid #a5d24a;\\n  border-radius: 2px;\\n  display: block;\\n  float: left;\\n  padding: 1px 5px;\\n  text-decoration: none;\\n  background: #cde69c;\\n  color: #638421;\\n  margin-right: 5px;\\n  margin-bottom: 5px;\\n  font-family: helvetica;\\n  font-size: $font-down-1;\\n}\\n\\ndiv.tagsinput span.tag a {\\n  font-weight: bold;\\n  color: #82ad2b;\\n  text-decoration: none;\\n  font-size: $font-down-2;\\n}\\ndiv.tagsinput input {\\n  width: 80px;\\n  font-family: helvetica;\\n  font-size: $font-down-1;\\n  border: 1px solid transparent;\\n  padding: 2px 5px;\\n  background: transparent;\\n  color: #000;\\n  outline: 0;\\n  margin: 0 5px 5px 0;\\n}\\ndiv.tagsinput div {\\n  display: block;\\n  float: left;\\n}\\n.tags_clear {\\n  clear: both;\\n  width: 100%;\\n  height: 0;\\n}\\n.not_valid {\\n  background: #fbd8db !important;\\n  color: #90111a !important;\\n}\\n",\n\t\t".d-icon.d-icon-d-regular,\\n.d-icon.d-icon-d-muted,\\n.d-icon.d-icon-d-watching-first,\\n.d-icon.d-icon-d-watching-first-post {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n}\\n\\n.d-icon.d-icon-d-tracking,\\n.d-icon.d-icon-d-watching {\\n  color: $tertiary;\\n}\\n",\n\t\t".directory {\\n  margin-bottom: 100px;\\n\\n  .user-info {\\n    margin-bottom: 0;\\n  }\\n\\n  .period-chooser {\\n    float: left;\\n  }\\n  .filter-name {\\n    float: right;\\n  }\\n  .spinner {\\n    clear: both;\\n  }\\n\\n  table {\\n    width: 100%;\\n    margin-bottom: 1em;\\n\\n    td,\\n    th {\\n      padding: 0.5em;\\n      text-align: left;\\n      border-bottom: 1px solid $primary-low;\\n      @media screen and (max-width: $small-width) {\\n        padding: 0.5em 0.25em;\\n      }\\n\\n      .number,\\n      .time-read {\\n        font-size: $font-up-3;\\n        color: $primary-medium;\\n        @media screen and (max-width: $small-width) {\\n          font-size: $font-up-1;\\n        }\\n      }\\n      .time-read {\\n        white-space: nowrap;\\n      }\\n    }\\n\\n    th.sortable {\\n      width: 13%;\\n      .d-icon-heart {\\n        color: $love;\\n        margin: 0 0.25em 0 0;\\n      }\\n    }\\n  }\\n  .me {\\n    background-color: dark-light-choose($highlight-low, $highlight-medium);\\n    .username a,\\n    .name,\\n    .title,\\n    .number,\\n    .time-read {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n",\n\t\t".alert {\\n  padding: 8px 32px 8px 16px;\\n  background-color: $danger-low;\\n  color: $primary;\\n  position: relative;\\n\\n  .close {\\n    position: absolute;\\n    top: 8px;\\n    right: 8px;\\n    font-size: $font-up-3;\\n    .d-icon {\\n      color: $primary-low-mid;\\n    }\\n  }\\n\\n  &.alert-success {\\n    background-color: $success-low;\\n    color: $primary;\\n  }\\n  &.alert-error {\\n    background-color: $danger-low;\\n    color: $primary;\\n  }\\n  &.alert-info {\\n    background-color: $tertiary-low;\\n    color: $primary;\\n    &.clickable {\\n      color: $tertiary;\\n    }\\n  }\\n}\\n",\n\t\t"// We should try to reuse the user page HTML for groups when possible\\n// To style group content differently, use the existing classes with a .group parent class.\\n// For example: .group .user-secondary-navigation\\n\\n.group-details-container {\\n  background: $primary-very-low;\\n  padding: 20px;\\n  margin-bottom: 15px;\\n  position: relative;\\n}\\n\\n.group-outlet {\\n  position: relative;\\n}\\n\\n.group-members-actions {\\n  display: flex;\\n  flex-wrap: wrap;\\n  width: 100%;\\n\\n  input + .group-members-manage {\\n    margin-left: auto;\\n  }\\n\\n  .group-username-filter {\\n    margin: 0 0 5px 0;\\n    vertical-align: middle;\\n  }\\n}\\n\\n.group-info {\\n  width: 100%;\\n\\n  .group-info-name {\\n    font-size: $font-up-3;\\n    font-weight: bold;\\n    color: $primary;\\n  }\\n\\n  .group-info-full-name {\\n    font-size: $font-up-2;\\n    color: dark-light-choose($primary-high, $secondary-low);\\n  }\\n\\n  span {\\n    display: inline-block;\\n    vertical-align: middle;\\n  }\\n\\n  $size: 50px;\\n  $icon-size: $size / 1.8;\\n\\n  .avatar-flair-image {\\n    width: $size;\\n  }\\n\\n  .avatar-flair {\\n    background-size: $size;\\n    height: $size;\\n    width: $size;\\n    border-radius: 50%;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background-repeat: no-repeat;\\n\\n    .d-icon {\\n      height: $icon-size;\\n      width: $icon-size;\\n    }\\n  }\\n}\\n\\n.group-manage-logs-filter {\\n  margin-right: 10px;\\n\\n  &:hover {\\n    background-color: $danger;\\n  }\\n}\\n\\ntable.group-manage-logs {\\n  width: 100%;\\n\\n  td {\\n    padding: 0.5em;\\n  }\\n\\n  .group-manage-logs-expand-details {\\n    cursor: pointer;\\n\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\ntable.group-members {\\n  width: 100%;\\n  table-layout: fixed;\\n\\n  th:first-child {\\n    width: 30%;\\n    text-align: left;\\n  }\\n\\n  th:last-child {\\n    width: 5%;\\n  }\\n\\n  th.group-members-actions {\\n    width: 5%;\\n  }\\n\\n  th {\\n    text-align: center;\\n  }\\n\\n  tr {\\n    .user-info {\\n      display: block;\\n      .avatar-flair {\\n        color: $primary;\\n      }\\n    }\\n\\n    td:first-child {\\n      text-align: left;\\n    }\\n\\n    td {\\n      text-align: center;\\n      color: $primary-medium;\\n      padding: 0.8em 0;\\n    }\\n  }\\n}\\n\\n.group-owner-label {\\n  color: $primary;\\n}\\n\\n.form-vertical {\\n  .group-flair-inputs {\\n    display: inline-block;\\n  }\\n\\n  .avatar-flair-preview {\\n    position: relative;\\n    width: 45px;\\n\\n    .avatar-wrapper {\\n      background-color: #f4f4f4;\\n    }\\n  }\\n}\\n\\n.group-form-save {\\n  margin-right: 20px;\\n}\\n\\n.group-add-members {\\n  .group-add-members-make-owner {\\n    label {\\n      display: inline;\\n      vertical-align: middle;\\n    }\\n\\n    input[type=\\"checkbox\\"] {\\n      vertical-align: middle;\\n    }\\n  }\\n}\\n",\n\t\t"img.emoji {\\n  width: 20px;\\n  height: 20px;\\n  vertical-align: middle;\\n}\\n\\nsmall img.emoji,\\nsub img.emoji,\\nsup img.emoji {\\n  height: 1.1em;\\n  width: 1.1em;\\n}\\n\\n.emoji-picker {\\n  background-clip: padding-box;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  position: fixed;\\n  display: none;\\n  flex-direction: row;\\n  height: 320px;\\n  color: $primary;\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n}\\n\\n.emoji-picker .categories-column {\\n  display: flex;\\n  flex-direction: column;\\n  flex: 1 0 0px;\\n  align-items: center;\\n  justify-content: space-between;\\n  border-right: 1px solid $primary-low;\\n  min-width: 36px;\\n}\\n\\n.emoji-picker .category-icon {\\n  display: block;\\n  margin: 4px auto;\\n  -webkit-filter: grayscale(100%);\\n  filter: grayscale(100%);\\n\\n  button.emoji {\\n    margin: 0;\\n    padding: 0;\\n  }\\n}\\n\\n.emoji-picker .category-icon.current,\\n.emoji-picker .category-icon:hover {\\n  -webkit-filter: grayscale(0%);\\n  filter: grayscale(0%);\\n}\\n\\n.emoji-picker .main-column {\\n  display: flex;\\n  flex-direction: column;\\n  flex: 20;\\n}\\n\\n.emoji-picker .list {\\n  overflow-y: scroll;\\n  -webkit-overflow-scrolling: touch;\\n  padding: 0;\\n  flex: 1 0 0px;\\n  flex-direction: column;\\n}\\n\\n.emoji-picker .section-header {\\n  padding: 8px;\\n  margin-top: 2px;\\n  margin-bottom: 0px;\\n  padding-bottom: 0px;\\n  justify-content: space-between;\\n  display: flex;\\n  align-items: center;\\n  font-weight: bold;\\n}\\n\\n.emoji-picker .section-header .title {\\n  color: $primary;\\n}\\n\\n.emoji-picker .section-header .clear-recent .fa {\\n  margin: 0;\\n  padding: 0;\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n\\n  &:hover {\\n    color: $primary;\\n  }\\n}\\n\\n.emoji-picker .section-group {\\n  flex-wrap: wrap;\\n  display: flex;\\n  align-items: center;\\n  justify-content: flex-start;\\n  padding: 4px;\\n}\\n\\n.emoji-picker .footer {\\n  align-items: center;\\n  display: flex;\\n  justify-content: space-between;\\n  border-top: 1px solid $primary-low;\\n}\\n\\n.emoji-picker .info {\\n  @include ellipsis;\\n  padding-left: 8px;\\n  font-weight: 700;\\n  max-width: 125px;\\n}\\n\\n.emoji-picker .diversity-picker {\\n  display: flex;\\n  justify-content: flex-end;\\n  padding: 8px;\\n}\\n\\n.emoji-picker .diversity-picker .diversity-scale {\\n  width: 20px;\\n  height: 20px;\\n  margin-left: 5px;\\n  border: 0;\\n  border-radius: 3px;\\n  display: flex;\\n  align-items: center;\\n  justify-content: center;\\n  cursor: pointer;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.default {\\n  background: #ffcc4d;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.light {\\n  background: #f7dece;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium-light {\\n  background: #f3d2a2;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium {\\n  background: #d5ab88;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.medium-dark {\\n  background: #af7e57;\\n}\\n.emoji-picker .diversity-picker .diversity-scale.dark {\\n  background: #7c533e;\\n}\\n\\n.emoji-picker .diversity-picker .diversity-scale.selected .d-icon {\\n  display: block;\\n}\\n\\n.emoji-picker .diversity-picker .d-icon {\\n  display: none;\\n}\\n\\n.emoji-picker .diversity-picker .d-icon {\\n  color: #fff;\\n  font-size: $font-0;\\n  filter: drop-shadow(0.5px 1.5px 0 rgba(0, 0, 0, 0.3));\\n}\\n\\n.emoji-picker button.emoji {\\n  background: transparent;\\n  background-position: center;\\n  background-repeat: no-repeat;\\n  border-radius: 0;\\n  background-size: 20px 20px;\\n  -moz-box-sizing: content-box;\\n  box-sizing: content-box;\\n  height: 20px;\\n  border: 0;\\n  vertical-align: top;\\n  width: 20px;\\n  outline: none;\\n  padding: 3px;\\n  margin: 2px;\\n}\\n\\n.emoji-picker .section-group button.emoji:hover,\\n.emoji-picker .results button.emoji:hover {\\n  display: inline-block;\\n  vertical-align: top;\\n  border-radius: 2px;\\n  background-color: lighten($tertiary, 40%);\\n}\\n\\n.emoji-picker-modal.fadeIn {\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n  position: fixed;\\n  left: 0;\\n  top: 0;\\n  width: 100%;\\n  height: 100%;\\n  opacity: 0.8;\\n  background-color: black;\\n}\\n\\n.emoji-picker .filter {\\n  background-color: none;\\n  border-bottom: 1px solid $primary-low;\\n  padding: 5px;\\n  display: flex;\\n  position: relative;\\n  align-items: center;\\n\\n  input[type=\\"text\\"] {\\n    width: auto !important;\\n  }\\n}\\n\\n.emoji-picker .filter .d-icon-search {\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n  font-size: $font-up-1;\\n  margin-left: 5px;\\n  margin-right: 5px;\\n}\\n\\n.emoji-picker .filter input {\\n  height: 24px;\\n  margin: 0;\\n  flex: 1 0 0px;\\n  border: none;\\n  box-shadow: none;\\n  padding-right: 24px;\\n  outline: none;\\n  color: $primary;\\n  background: $secondary;\\n\\n  &:focus {\\n    border: none;\\n    box-shadow: none;\\n  }\\n}\\n\\n.emoji-picker .filter input::-ms-clear {\\n  display: none;\\n}\\n\\n.emoji-picker .results {\\n  display: none;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  justify-content: flex-start;\\n  padding: 4px;\\n  flex: 1 0 0px;\\n}\\n\\n.emoji-picker .filter .clear-filter {\\n  position: absolute;\\n  right: 5px;\\n  top: 12px;\\n  border: 0;\\n  background: none;\\n  color: dark-light-choose($header_primary-medium, $header_primary);\\n  outline: none;\\n  display: none;\\n\\n  &:hover {\\n    color: $primary;\\n  }\\n}\\n",\n\t\t".topic-list.shared-drafts {\\n  margin-bottom: 1.5em;\\n}\\n\\n.show-more {\\n  width: 100%;\\n  z-index: z(\\"base\\");\\n  &.has-topics {\\n    position: absolute;\\n    top: 7px;\\n  }\\n}\\n\\n.list-controls {\\n  clear: both;\\n  margin-bottom: 5px;\\n  .combo-box .combo-box-header {\\n    background: $secondary;\\n    color: $primary;\\n    border: 1px solid $primary-medium;\\n    font-size: $font-0;\\n    transition: none;\\n    height: 10px; // IE11 needs any height here for vertical centering, overriden elsewhere by min-height\\n  }\\n  .select-kit {\\n    align-self: center;\\n    .select-kit-collection {\\n      font-size: $font-down-1;\\n      max-height: 40vh;\\n      .texts,\\n      .icons {\\n        font-size: $font-up-1;\\n      }\\n    }\\n    &.categories-admin-dropdown,\\n    &.tags-admin-dropdown,\\n    &.category-notifications-button,\\n    &.tag-notifications-button {\\n      float: right;\\n      button {\\n        display: inline-block;\\n      }\\n    }\\n  }\\n  .category-heading {\\n    max-width: 100%;\\n  }\\n}\\n\\n.topic-list-item.visited,\\n.latest-topic-list-item.visited,\\n.category-topic-link.visited {\\n  a.title:not(.badge-notification) {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.topic-list-main-link {\\n  font-size: $font-up-1;\\n  a.title {\\n    padding: 15px 0;\\n    word-break: break-word;\\n    color: $primary;\\n  }\\n\\n  .anon & {\\n    a.title:visited:not(.badge-notification) {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  a.title.visited:not(.badge-notification) {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.topic-list {\\n  width: 100%;\\n  border-collapse: collapse;\\n\\n  > tbody > tr {\\n    &.has-excerpt .star {\\n      vertical-align: top;\\n      margin-top: 2px;\\n    }\\n\\n    &.last-visit {\\n      border-bottom: none;\\n    }\\n\\n    .topic-list-separator {\\n      text-align: center;\\n    }\\n  }\\n\\n  .topic-list-item-separator {\\n    border: none;\\n\\n    td {\\n      border-bottom: 1px solid $danger-medium;\\n      line-height: 0.1em;\\n      padding: 0;\\n      text-align: center;\\n    }\\n\\n    td span {\\n      background-color: $secondary;\\n      color: $danger-medium;\\n      padding: 0 8px;\\n      font-size: $font-down-1;\\n    }\\n  }\\n\\n  th,\\n  td {\\n    line-height: $line-height-large;\\n    text-align: left;\\n    vertical-align: middle;\\n  }\\n  th {\\n    button .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n  td {\\n    color: $primary-medium;\\n    font-size: $font-0;\\n  }\\n\\n  .main-link {\\n    @extend .topic-list-main-link;\\n\\n    .raw-topic-link > * {\\n      pointer-events: none;\\n    }\\n  }\\n\\n  .unread-indicator {\\n    &.read {\\n      display: none;\\n    }\\n    .d-icon {\\n      vertical-align: middle;\\n      font-size: $font-down-5;\\n    }\\n  }\\n\\n  .link-bottom-line {\\n    font-size: $font-down-1;\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n    .discourse-tags {\\n      flex-wrap: wrap;\\n      // IE11 is being very stubborn but this is only protection for topics with\\n      // a very excessive number of extra long tags - edge case.\\n      -ms-flex: 1 0 0px;\\n    }\\n    a.badge-wrapper.box,\\n    a.discourse-tag.box {\\n      padding-top: 0;\\n      padding-bottom: 0;\\n    }\\n    .discourse-tag.simple:after,\\n    .discourse-tag.box {\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .topic-featured-link {\\n    padding-left: 5px;\\n  }\\n\\n  .topic-excerpt {\\n    font-size: $font-down-1;\\n    margin-top: 5px;\\n    color: $primary-high;\\n    word-wrap: break-word;\\n    line-height: $line-height-large;\\n    padding-right: 20px;\\n  }\\n  .topic-statuses:empty {\\n    display: none;\\n  }\\n\\n  .num {\\n    text-align: center;\\n    a:not(.badge-posts) {\\n      color: inherit;\\n    }\\n    a.badge-posts {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .num.posts {\\n    a {\\n      padding: 15px 5px;\\n    }\\n  }\\n\\n  .num.activity {\\n    a {\\n      padding: 15px 5px;\\n    }\\n  }\\n}\\n\\n.heatmap-high,\\n.heatmap-high a {\\n  color: #fe7a15 !important;\\n}\\n.heatmap-med,\\n.heatmap-med a {\\n  color: #cf7721 !important;\\n}\\n.heatmap-low,\\n.heatmap-low a {\\n  color: #9b764f !important;\\n}\\n\\n.loading .topic-list {\\n  border: 0;\\n  box-shadow: none;\\n  tr {\\n    background-color: transparent;\\n  }\\n}\\n\\n#list-area {\\n  margin-bottom: 100px;\\n  .empty-topic-list {\\n    padding: 10px;\\n  }\\n  .unseen {\\n    background-color: transparent;\\n    padding: 0;\\n    border: 0;\\n    color: $danger-medium;\\n    font-size: $font-0;\\n    cursor: default;\\n  }\\n}\\n\\n.topic-list {\\n  .alert {\\n    margin-bottom: 0;\\n    font-size: $font-0;\\n  }\\n  .spinner {\\n    margin-top: 40px;\\n  }\\n}\\n\\nol.category-breadcrumb.hidden {\\n  display: none;\\n}\\n\\nol.category-breadcrumb {\\n  display: block;\\n  float: left;\\n  list-style: none;\\n  margin: 0 10px 10px 0;\\n  padding: 0;\\n\\n  li {\\n    float: left;\\n    margin-right: 5px;\\n  }\\n\\n  .bread-crumbs-right-outlet {\\n    float: left;\\n  }\\n}\\n\\n.d-icon-thumbtack.unpinned {\\n  @include fa-rotate(180deg, 1);\\n}\\n\\n.top-title-buttons {\\n  display: inline;\\n\\n  button {\\n    margin-right: 0.5em;\\n  }\\n}\\n\\ndiv.education {\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  .badge-notification.new-posts {\\n    vertical-align: text-bottom;\\n  }\\n}\\n\\n.list-cell {\\n  padding: 12px 5px;\\n  color: dark-light-choose($primary-medium, $secondary-high);\\n}\\n\\n.table-heading {\\n  @extend .list-cell;\\n  border-bottom: 3px solid $primary-low;\\n}\\n\\n// This is not what we want:\\n//\\n//     This is an overly-long topic title that would break just right\\n//     *\\n//\\n// Instead, we want the line to break like this:\\n//\\n//     This is an overly-long topic title that would break just\\n//     right *\\n.topic-post-badges {\\n  white-space: nowrap;\\n  align-self: center;\\n  line-height: $line-height-medium;\\n}\\n",\n\t\t"// Common styles for \\"/user\\" section\\n// These styles are also used for \\"/groups\\" — test those pages if making significant changes\\n\\n.user-content-wrapper {\\n  // Grid layout\\n  width: 100%;\\n  display: grid;\\n  grid-template-columns: 1fr 5fr;\\n  grid-template-rows: auto auto 1fr auto;\\n  grid-row-gap: s(5);\\n  .user-primary-navigation {\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n    grid-row-start: 1;\\n    grid-row-end: 2;\\n  }\\n  .user-secondary-navigation {\\n    grid-column-start: 1;\\n    grid-column-end: 2;\\n    grid-row-start: 2;\\n    grid-row-end: 3;\\n  }\\n  .solo-preference,\\n  .user-content,\\n  .spinner {\\n    grid-row-start: 2;\\n    grid-row-end: 4;\\n    grid-column-start: 1;\\n    grid-column-end: 3;\\n  }\\n  .user-content {\\n    min-width: 100%;\\n  }\\n  .user-additional-controls + .user-content,\\n  .user-secondary-navigation + .user-content {\\n    grid-column-start: 2;\\n    grid-column-end: 3;\\n  }\\n  .user-additional-controls {\\n    grid-row-start: 3;\\n    align-self: start;\\n    justify-self: start;\\n  }\\n}\\n\\n.user-content-wrapper {\\n  // IE11 Support\\n  display: -ms-grid;\\n  -ms-grid-columns: 1fr 5fr;\\n  -ms-grid-rows: auto auto 1fr auto;\\n  .user-primary-navigation {\\n    -ms-grid-row: 1;\\n    -ms-grid-column: 1;\\n    -ms-grid-column-span: 2;\\n  }\\n  .user-secondary-navigation {\\n    -ms-grid-row: 2;\\n    -ms-grid-column: 1;\\n  }\\n  .solo-preference,\\n  .user-content,\\n  .spinner {\\n    -ms-grid-row: 2;\\n    -ms-grid-column: 2;\\n    -ms-grid-column-span: 2;\\n  }\\n  .user-secondary-navigation + .user-content {\\n    -ms-grid-column: 2;\\n    -ms-grid-column-span: 1;\\n  }\\n  .user-additional-controls {\\n    -ms-grid-row: 3;\\n    -ms-grid-column-align: start;\\n    -ms-grid-row-align: start;\\n  }\\n}\\n\\n.user-content {\\n  .list-actions {\\n    display: flex;\\n    margin-bottom: s(3);\\n\\n    .btn {\\n      margin-right: s(3);\\n    }\\n  }\\n\\n  .paginated-topics-list {\\n    position: relative;\\n  }\\n\\n  .show-mores {\\n    width: 100%;\\n  }\\n\\n  .d-icon-heart {\\n    color: $love;\\n  }\\n}\\n\\n.user-main {\\n  .about {\\n    width: 100%;\\n    margin-bottom: 15px;\\n\\n    &.has-background {\\n      .user-profile-image {\\n        background-size: cover;\\n        background-position: center center;\\n        background-repeat: no-repeat;\\n      }\\n      .staff-counters {\\n        margin-bottom: 0;\\n      }\\n    }\\n\\n    .secondary {\\n      display: inline-block;\\n      width: 100%;\\n      border-top: 1px solid $primary-low;\\n\\n      .btn {\\n        padding: 4px 12px;\\n      }\\n\\n      dl {\\n        margin: 0;\\n        padding: 5px 10px;\\n        div {\\n          display: inline-flex;\\n          align-items: baseline;\\n          margin-right: 15px;\\n          margin: 4px 0;\\n        }\\n      }\\n\\n      dt,\\n      dd {\\n        display: inline-flex;\\n        align-items: center;\\n      }\\n\\n      dd {\\n        padding: 0;\\n        margin: 0 15px 0 0;\\n        color: $primary;\\n\\n        &.groups {\\n          span:not(:last-of-type) {\\n            margin-right: 0.25em;\\n          }\\n          span:after {\\n            content: \\",\\";\\n          }\\n          span:last-of-type:after {\\n            content: \\"\\";\\n          }\\n        }\\n      }\\n\\n      dt {\\n        color: $secondary-medium;\\n        margin-right: 5px;\\n        display: inline-block;\\n      }\\n    }\\n\\n    .details {\\n      background: rgba($secondary, 0.8);\\n      border-bottom: 1px solid $primary-low;\\n\\n      h1 {\\n        font-size: $font-up-5;\\n        font-weight: normal;\\n        .d-icon {\\n          font-size: 0.8em;\\n        }\\n      }\\n\\n      h2 {\\n        font-weight: normal;\\n        max-width: 100%;\\n        @include ellipsis;\\n      }\\n\\n      h3 {\\n        font-weight: normal;\\n        margin-bottom: 0.5em;\\n        .d-icon:not(:first-of-type) {\\n          margin-left: 10px;\\n        }\\n      }\\n\\n      .groups {\\n        margin-left: 10px;\\n        display: inline;\\n      }\\n\\n      img.avatar {\\n        float: left;\\n      }\\n\\n      .suspended {\\n        color: $danger;\\n      }\\n\\n      .primary {\\n        width: 100%;\\n        position: relative;\\n\\n        h1 {\\n          font-weight: bold;\\n        }\\n\\n        .bio {\\n          max-height: 300px;\\n          overflow: auto;\\n\\n          a[href] {\\n            text-decoration: underline;\\n          }\\n\\n          img {\\n            max-width: 100%;\\n          }\\n        }\\n      }\\n\\n      .user-profile-avatar {\\n        position: relative;\\n        float: left;\\n        .avatar-flair {\\n          bottom: 8px;\\n          right: 16px;\\n        }\\n      }\\n    }\\n\\n    .controls {\\n      ul {\\n        list-style-type: none;\\n      }\\n\\n      .btn {\\n        margin-bottom: 10px;\\n        line-height: $line-height-medium;\\n      }\\n    }\\n\\n    &.collapsed-info {\\n      .details {\\n        margin-top: 0;\\n        background: rgba($secondary, 0.8);\\n\\n        .bio {\\n          display: none;\\n        }\\n\\n        .primary {\\n          width: 100%;\\n\\n          .avatar {\\n            margin-right: 10px;\\n            width: 45px;\\n            height: 45px;\\n          }\\n\\n          h1 {\\n            font-size: $font-up-3;\\n          }\\n\\n          h2 {\\n            font-size: $font-up-1;\\n          }\\n          h3,\\n          h3.location-and-website {\\n            display: none;\\n          }\\n        }\\n      }\\n\\n      .user-profile-avatar {\\n        .avatar-flair {\\n          bottom: 8px;\\n          right: 2px;\\n          .d-icon {\\n            font-size: $font-0;\\n          }\\n        }\\n      }\\n    }\\n  }\\n\\n  .staff-counters {\\n    background: $primary;\\n    color: $secondary;\\n    display: flex;\\n    padding: 10px;\\n    margin-bottom: s(4);\\n    > div,\\n    > div a {\\n      display: flex;\\n      align-items: baseline;\\n      flex: 0 1 auto;\\n      margin: 0 10px 0 0;\\n      color: $secondary;\\n\\n      span {\\n        padding: 0 7px 1px;\\n        border-radius: 10px;\\n        margin-right: 5px;\\n      }\\n    }\\n\\n    .active {\\n      font-weight: bold;\\n    }\\n  }\\n\\n  .helpful-flags {\\n    background-color: $success;\\n  }\\n\\n  .flagged-posts {\\n    background-color: #e49735;\\n  }\\n\\n  .warnings-received {\\n    background-color: $danger-medium;\\n  }\\n\\n  .deleted-posts {\\n    background-color: $danger-medium;\\n  }\\n\\n  .suspensions {\\n    background-color: $danger;\\n  }\\n\\n  .user-field {\\n    margin-bottom: 10px;\\n\\n    .controls {\\n      label {\\n        width: auto;\\n        text-align: left;\\n        font-weight: normal;\\n      }\\n\\n      .instructions {\\n        color: $primary-medium;\\n        margin-top: 5px;\\n        margin-bottom: 10px;\\n        font-size: $font-down-1;\\n      }\\n    }\\n  }\\n  .user-content {\\n    .admin-controls nav {\\n      margin: 0;\\n      .nav-pills {\\n        overflow-x: auto;\\n      }\\n    }\\n  }\\n}\\n\\n.user-field {\\n  .required {\\n    vertical-align: top;\\n    color: $danger;\\n    font-weight: bold;\\n    margin-left: 0.25em;\\n  }\\n}\\n\\n.public-user-fields {\\n  margin-top: 8px;\\n  margin-bottom: 8px;\\n\\n  .user-field-name {\\n    font-weight: bold;\\n  }\\n\\n  .collapsed-info & {\\n    display: none;\\n  }\\n}\\n\\n.avatar-selector {\\n  .avatar-choice {\\n    display: grid;\\n    grid-template-columns: 2em 1fr auto;\\n    grid-template-rows: auto auto;\\n    align-items: center;\\n    &:not(:last-of-type) {\\n      margin-bottom: 0.75em;\\n    }\\n    span {\\n      word-break: break-word; // Prevents long emails from breaking the modal width\\n    }\\n    input[type=\\"radio\\"] {\\n      margin-top: 0;\\n    }\\n    button {\\n      margin-left: auto;\\n    }\\n  }\\n  $label-max-width: 300px;\\n  label.radio {\\n    display: flex;\\n    align-items: center;\\n    max-width: $label-max-width;\\n    margin: 0 0.5em 0 0;\\n    padding: 0;\\n    .avatar {\\n      flex: 0 0 auto;\\n      margin: 0 0.75em 0 0;\\n    }\\n  }\\n  .error {\\n    color: $danger;\\n    margin: 0;\\n    max-width: calc(#{$label-max-width} - 20px);\\n    grid-column-start: 2;\\n    grid-column-end: 3;\\n  }\\n\\n  // IE11 Support\\n  .avatar-choice {\\n    display: -ms-grid;\\n    -ms-grid-columns: 2em 1fr auto;\\n    -ms-grid-rows: auto auto;\\n    input[type=\\"radio\\"] {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 1;\\n    }\\n    label.radio {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 2;\\n    }\\n    span.avatar-uploader {\\n      -ms-grid-row: 1;\\n      -ms-grid-column: 3;\\n    }\\n    .error {\\n      -ms-grid-row: 2;\\n      -ms-grid-column-span: 3;\\n    }\\n  }\\n}\\n\\n.top-section {\\n  @include clearfix();\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n  }\\n}\\n\\n.top-section,\\n.top-sub-section {\\n  margin-bottom: 20px;\\n  &.badges-section {\\n    display: flex;\\n    flex-wrap: wrap;\\n  }\\n}\\n\\n.stats-title {\\n  text-transform: uppercase;\\n  margin-bottom: 10px;\\n  width: 100%;\\n}\\n\\n.stats-section {\\n  ul {\\n    margin: 10px 0;\\n  }\\n\\n  li {\\n    display: inline-block;\\n    padding: 10px 14px 10px 0;\\n    margin: 0 10px 10px 0;\\n\\n    &.linked-stat {\\n      // This makes the entire \\"box\\" (the li) clickable instead of a narrow area.\\n      padding: 0;\\n      a {\\n        padding: 10px 14px 10px 0;\\n        width: 100%;\\n        height: 100%;\\n        display: block;\\n        color: $primary;\\n      }\\n    }\\n  }\\n\\n  .value {\\n    font-weight: bold;\\n    font-size: $font-up-2;\\n  }\\n\\n  .label {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.top-sub-section {\\n  width: 50%;\\n\\n  ul {\\n    max-width: 95%;\\n  }\\n\\n  li {\\n    border-left: $primary-low solid 2px;\\n    padding: 5px 8px;\\n    margin: 10px 0;\\n  }\\n\\n  .topic-info {\\n    color: $primary-medium;\\n  }\\n\\n  @media all and (max-width: 600px) {\\n    float: none;\\n    width: 100%;\\n  }\\n}\\n\\n.replies-section,\\n.topics-section,\\n.links-section {\\n  li {\\n    word-wrap: break-word;\\n  }\\n}\\n\\n.links-section {\\n  .domain {\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n  }\\n}\\n\\n.top-categories-section {\\n  table {\\n    max-width: 95%;\\n    tr {\\n      border: none;\\n    }\\n    td,\\n    th {\\n      padding: 0.5em;\\n      &.topic-count,\\n      &.reply-count {\\n        text-align: center;\\n      }\\n    }\\n  }\\n}\\n\\n.summary-user-list {\\n  li {\\n    height: 45px;\\n  }\\n}\\n\\n.groups {\\n  .group-link {\\n    color: $tertiary;\\n  }\\n}\\n\\n.user-preferences {\\n  textarea {\\n    height: 100px;\\n  }\\n\\n  .tracking-controls {\\n    label {\\n      align-items: center;\\n      display: inline-block;\\n      .d-icon {\\n        margin-right: 3px;\\n      }\\n    }\\n    .select-kit.multi-select {\\n      @include breakpoint(mobile-extra-large) {\\n        width: 100%;\\n      }\\n    }\\n    .show-tracking {\\n      float: right;\\n    }\\n  }\\n\\n  .static {\\n    color: $primary;\\n    display: inline-block;\\n  }\\n\\n  .instructions {\\n    color: $primary-medium;\\n    margin-bottom: 10px;\\n    font-size: $font-down-1;\\n    line-height: $line-height-large;\\n\\n    a[href] {\\n      color: $tertiary;\\n    }\\n  }\\n\\n  .avatar {\\n    margin-left: 3px;\\n  }\\n\\n  .warning {\\n    background-color: $danger-medium;\\n    padding: 5px 8px;\\n    color: $secondary;\\n    width: 520px;\\n  }\\n\\n  .warning-wrap {\\n    height: 30px;\\n    margin-bottom: 10px;\\n  }\\n\\n  .tracking-controls {\\n    margin-top: 24px;\\n  }\\n\\n  &.second-factor-backup-preferences {\\n    padding-left: 0;\\n\\n    .second-factor-token-input {\\n      margin-right: 10px;\\n    }\\n\\n    .form-horizontal .instructions {\\n      margin-left: 0;\\n    }\\n\\n    .backup-codes {\\n      margin: 2em 0;\\n\\n      .wrapper {\\n        display: inline-block;\\n        position: relative;\\n        padding: 10px;\\n        border-radius: 3px;\\n        border: 1px solid $primary-low;\\n      }\\n\\n      .backup-codes-area {\\n        resize: none;\\n        padding: 0;\\n        height: auto;\\n        text-align: center;\\n        width: 250px;\\n        background: white;\\n        border: 0;\\n        cursor: auto;\\n        overflow: hidden;\\n        outline: none;\\n        font-family: monospace;\\n\\n        &:focus {\\n          box-shadow: none;\\n          border-color: $primary-low;\\n        }\\n      }\\n\\n      .backup-codes-copy-btn,\\n      .backup-codes-download-btn {\\n        right: 5px;\\n        position: absolute;\\n      }\\n\\n      .backup-codes-copy-btn {\\n        top: 5px;\\n      }\\n\\n      .backup-codes-download-btn {\\n        top: 40px;\\n      }\\n    }\\n  }\\n\\n  .pref-associated-accounts table {\\n    td {\\n      padding: 8px;\\n    }\\n  }\\n}\\n\\n.paginated-topics-list {\\n  .user-content {\\n    width: 100%;\\n    margin-top: 0;\\n  }\\n}\\n\\n.large-notification {\\n  display: flex;\\n  align-items: center;\\n\\n  a {\\n    display: flex;\\n    align-items: center;\\n\\n    .d-icon {\\n      margin-right: 0.5em;\\n    }\\n\\n    span:first-child {\\n      color: $primary;\\n    }\\n\\n    // Can remove this once other languages have removed html from i18n values\\n    div {\\n      .fa {\\n        display: none;\\n      }\\n      p {\\n        margin: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.qr-code-container {\\n  display: flex;\\n  .qr-code {\\n    padding: 5px 5px 0 5px;\\n    background-color: white;\\n  }\\n}\\n\\n.second-factor {\\n  &.instructions {\\n    color: $primary-medium;\\n    margin-top: 5px;\\n    margin-bottom: 10px;\\n    font-size: $font-down-1;\\n  }\\n  .second-factor-item {\\n    margin-top: 0.75em;\\n  }\\n  .btn.edit {\\n    min-height: auto;\\n  }\\n}\\n\\n.primary-textual .staged,\\n#user-card .staged {\\n  font-style: italic;\\n}\\n\\n.selectable-avatars {\\n  max-height: 350px;\\n  margin-bottom: 1em;\\n  text-align: justify;\\n  .selectable-avatar {\\n    margin: 5px;\\n    display: inline-block;\\n    .avatar {\\n      cursor: pointer;\\n      width: 60px;\\n      height: 60px;\\n      &:hover {\\n        box-shadow: 0 0 10px $primary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".topic-title-outlet.choose-tags {\\n  margin-left: 25px;\\n  margin-top: 3px;\\n}\\n\\n.tag-list {\\n  margin-top: 2em;\\n  padding-bottom: 1em;\\n  border-bottom: 1px solid $primary-low;\\n}\\n\\n#list-area .tag-list h3 {\\n  margin-bottom: 20px;\\n}\\n\\n.tag-list .tag-box {\\n  display: inline-block;\\n  width: 300px;\\n  margin-bottom: 1em;\\n  float: left;\\n  vertical-align: middle;\\n\\n  .discourse-tag {\\n    font-size: $font-0;\\n  }\\n\\n  .tag-count {\\n    font-size: $font-down-1;\\n    vertical-align: middle;\\n    line-height: $line-height-small;\\n  }\\n}\\n\\n.tag-show-heading {\\n  display: inline-flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  white-space: nowrap;\\n  overflow: hidden;\\n  text-overflow: hidden;\\n  @include breakpoint(mobile-large) {\\n    width: 100%;\\n  }\\n  .d-icon {\\n    margin: 0 0.25em;\\n  }\\n}\\n\\n.topic-category {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n\\n  .topic-header-extra {\\n    display: inline-flex;\\n    align-items: center;\\n  }\\n\\n  .badge-wrapper {\\n    margin-top: 0;\\n  }\\n}\\n\\n$tag-color: $primary-medium;\\n\\n.discourse-tag-count {\\n  font-size: $font-down-1;\\n  color: $tag-color;\\n  line-height: $line-height-small;\\n  vertical-align: middle;\\n}\\n\\n.discourse-tag {\\n  max-width: 14em;\\n  display: inline-block;\\n  @include ellipsis;\\n  vertical-align: middle;\\n}\\n\\n.discourse-tag {\\n  margin: 0;\\n  color: $tag-color;\\n\\n  &:visited,\\n  &:hover {\\n    color: $tag-color;\\n  }\\n\\n  .extra-info-wrapper & {\\n    color: $header-primary_high !important;\\n  }\\n\\n  &.large {\\n    font-size: $font-up-2;\\n  }\\n\\n  &.box {\\n    background-color: $primary-low;\\n    color: $primary-high;\\n    padding: 2px 8px;\\n    .extra-info-wrapper & {\\n      background-color: $header_primary-low;\\n      color: $header_primary-medium;\\n    }\\n  }\\n\\n  &.simple,\\n  &.simple:visited,\\n  &.simple:hover {\\n    margin-right: 0;\\n    color: $primary-high;\\n  }\\n\\n  &.bullet {\\n    margin-right: 0.5em;\\n    display: inline-flex;\\n    align-items: center;\\n    &:before {\\n      background: $primary-low-mid;\\n      margin-right: 5px;\\n      position: relative;\\n      width: 9px;\\n      height: 9px;\\n      display: inline-block;\\n      content: \\"\\";\\n    }\\n    &.large:before {\\n      width: 13px;\\n      height: 13px;\\n    }\\n  }\\n}\\n\\n.discourse-tags,\\n.list-tags {\\n  .discourse-tag.simple:not(:last-child):after {\\n    content: \\", \\";\\n    margin-left: 1px;\\n  }\\n}\\n\\n.d-header .topic-header-extra {\\n  .discourse-tags {\\n    display: inline-block;\\n    font-size: $font-down-1;\\n  }\\n  .discourse-tags + .topic-featured-link {\\n    margin-left: 8px;\\n  }\\n}\\n\\n.fps-result .add-full-page-tags {\\n  display: inline-block;\\n}\\n\\n.topic-list-item .discourse-tags {\\n  display: inline-flex;\\n  font-weight: normal;\\n  font-size: $font-down-1;\\n}\\n\\n.categories-list .topic-list-latest .discourse-tags {\\n  display: inline-block;\\n}\\n\\n.mobile-view .topic-list-item .discourse-tags {\\n  display: inline-flex;\\n  flex-wrap: wrap;\\n  font-size: $font-down-1;\\n  margin-top: 0;\\n  .discourse-tag {\\n    margin-right: 0.2em;\\n  }\\n  .discourse-tag.box {\\n    position: relative;\\n    top: 0;\\n  }\\n}\\n\\nheader .discourse-tag {\\n  color: $tag-color;\\n}\\n\\n.list-tags {\\n  display: inline-block;\\n  margin-right: 3px;\\n  font-size: $font-down-1;\\n}\\n\\n.tag-chooser {\\n  width: 100%;\\n  max-width: 100%;\\n}\\n\\n.title-wrapper .tag-chooser {\\n  width: 500px;\\n}\\n\\n.tag-sort-options {\\n  margin-bottom: 20px;\\n  a {\\n    text-decoration: underline;\\n  }\\n  span.active a {\\n    font-weight: bold;\\n  }\\n}\\n\\n.autocomplete {\\n  .d-icon-tag {\\n    color: dark-light-choose($primary, $primary-low-mid);\\n    padding-right: 5px;\\n  }\\n\\n  a {\\n    color: $tag-color;\\n  }\\n}\\n\\n.tags-admin-menu {\\n  margin-top: 20px;\\n  ul {\\n    width: 320px;\\n  }\\n}\\n\\n.tag-groups-container {\\n  margin-top: 20px;\\n  .content-list {\\n    width: 20%;\\n    float: left;\\n    margin: 20px 0;\\n    ul {\\n      margin-bottom: 10px;\\n    }\\n    .btn {\\n      margin-left: 10px;\\n    }\\n  }\\n  .tag-group-content {\\n    width: 75%;\\n    float: right;\\n    section {\\n      margin-bottom: 20px;\\n    }\\n    label {\\n      font-size: $font-0;\\n      display: inline-block;\\n      margin-right: 10px;\\n    }\\n    .btn {\\n      margin-right: 10px;\\n    }\\n    h1 input {\\n      width: 100%;\\n    }\\n  }\\n  .group-tags-list .tag-chooser {\\n    width: 100%;\\n  }\\n  .saving {\\n    margin-left: 20px;\\n  }\\n  .parent-tag-section {\\n    .tag-chooser {\\n      width: 200px;\\n      margin-right: 10px;\\n    }\\n  }\\n}\\n\\n.tag-info {\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n\\n  .delete-tag {\\n    float: right;\\n  }\\n  .synonyms-list,\\n  .add-synonyms,\\n  .tag-associations {\\n    margin-top: 1em;\\n  }\\n  .tag-list {\\n    border: none;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n  .field {\\n    margin-bottom: 5px;\\n  }\\n}\\n",\n\t\t"#reply-control {\\n  position: fixed;\\n  display: flex;\\n  flex-direction: column;\\n  bottom: 0;\\n  height: 0;\\n  right: 0;\\n  left: 0;\\n  margin-left: auto;\\n  margin-right: auto;\\n  max-width: 1475px;\\n  width: 100%;\\n  &.hide-preview {\\n    max-width: 740px;\\n  }\\n  @media screen and (max-width: 1200px) {\\n    min-width: 0;\\n  }\\n  z-index: z(\\"composer\\", \\"content\\");\\n  transition: height 250ms ease, background 250ms ease, transform 250ms ease,\\n    max-width 250ms ease;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"composer\\");\\n\\n  .reply-area {\\n    display: flex;\\n    flex-direction: column;\\n  }\\n\\n  .saving-text,\\n  .draft-text {\\n    display: none;\\n    padding-left: 10px;\\n    .spinner {\\n      margin-left: 5px;\\n      border-color: $secondary;\\n      border-right-color: transparent;\\n    }\\n    .d-icon {\\n      color: $secondary;\\n    }\\n  }\\n\\n  &.open {\\n    height: 300px;\\n    &.edit-title {\\n      height: 400px; // more room when editing the title\\n    }\\n  }\\n\\n  &.closed {\\n    height: 0 !important;\\n  }\\n\\n  &.draft,\\n  &.saving {\\n    height: 40px !important;\\n    align-items: center;\\n    background: $tertiary;\\n    color: $secondary;\\n    flex-direction: row;\\n    width: 100%;\\n    .composer-controls {\\n      margin-left: auto;\\n      display: flex;\\n      padding-right: 5px;\\n      .toggle-toolbar {\\n        display: none;\\n      }\\n      .d-icon {\\n        color: $secondary;\\n      }\\n    }\\n  }\\n\\n  &.draft {\\n    cursor: pointer;\\n    display: flex;\\n    .draft-text {\\n      display: block;\\n    }\\n    .grippie,\\n    .saving-text {\\n      display: none;\\n    }\\n    .toggler {\\n      order: 2;\\n    }\\n  }\\n\\n  &.saving .saving-text {\\n    display: flex;\\n  }\\n\\n  .reply-to {\\n    color: $primary-high;\\n    margin: 5px 0 10px 0;\\n    display: flex;\\n    align-items: center;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n    .reply-details {\\n      max-width: calc(100% - 175px);\\n      flex: 1 1 auto;\\n      display: flex;\\n      align-items: center;\\n      white-space: nowrap;\\n\\n      .d-icon {\\n        opacity: 0.8;\\n      }\\n    }\\n    .composer-action-title {\\n      display: inline-flex;\\n      align-items: center;\\n      width: auto;\\n      max-width: 100%;\\n\\n      .avatar {\\n        width: 20px;\\n      }\\n\\n      .action-title {\\n        @include ellipsis;\\n      }\\n\\n      .topic-link,\\n      .user-link,\\n      .post-link {\\n        margin-right: 5px;\\n      }\\n\\n      .username {\\n        margin-right: 5px;\\n        max-width: 100px;\\n        @include ellipsis;\\n        @media screen and (max-width: 500px) {\\n          display: none;\\n        }\\n      }\\n\\n      .d-icon {\\n        margin-right: 5px;\\n      }\\n\\n      img.avatar {\\n        margin-right: 3px;\\n      }\\n    }\\n    .composer-controls {\\n      display: flex;\\n      margin-left: auto;\\n      button {\\n        padding: 5px 7px;\\n        &.toggler {\\n          order: 2;\\n        }\\n      }\\n    }\\n  }\\n\\n  .whisper,\\n  .display-edit-reason {\\n    font-style: italic;\\n  }\\n\\n  .whisper {\\n    margin-right: 0.25em;\\n  }\\n\\n  .display-edit-reason {\\n    display: inline-flex;\\n    a {\\n      display: inline-flex;\\n    }\\n    .d-icon {\\n      padding: 0.3em 0.5em;\\n      color: $tertiary;\\n    }\\n  }\\n\\n  #edit-reason {\\n    margin: 0 4px;\\n  }\\n\\n  .user-selector,\\n  .title-and-category {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 100%;\\n    align-items: center;\\n    margin-bottom: 5px;\\n    position: relative;\\n    &.with-preview {\\n      width: 50%;\\n    }\\n  }\\n\\n  .title-input {\\n    position: relative;\\n    display: flex;\\n    flex: 1 1 50%;\\n\\n    input {\\n      flex-grow: 1;\\n    }\\n  }\\n\\n  .with-tags {\\n    .title-input {\\n      flex: 1 1 100%;\\n    }\\n  }\\n\\n  .category-input {\\n    display: flex;\\n    flex: 1 0 35%;\\n    margin: 0 0 5px 10px;\\n    @media screen and (max-width: 955px) {\\n      flex: 1 0 100%;\\n      margin-left: 0;\\n    }\\n    .category-chooser {\\n      display: flex;\\n      flex: 1 0 auto;\\n      width: auto;\\n    }\\n  }\\n\\n  .with-tags {\\n    .category-input {\\n      flex-basis: 25%;\\n      margin-left: 0;\\n      margin-right: 5px;\\n      @media screen and (max-width: 920px) {\\n        flex-basis: 100%;\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n\\n  .add-warning {\\n    margin-left: 0.75em;\\n    margin-bottom: 0;\\n    display: flex;\\n    input {\\n      margin-right: 5px;\\n    }\\n  }\\n\\n  #reply-title {\\n    margin: 0 0 5px 0;\\n    flex-basis: 50%;\\n  }\\n\\n  .mini-tag-chooser {\\n    flex: 1 1 25%;\\n    margin: 0 0 5px 0;\\n    background: $secondary;\\n    z-index: z(\\"composer\\", \\"dropdown\\");\\n    @media all and (max-width: 900px) {\\n      margin: 0;\\n      flex: 1 1 100%;\\n    }\\n  }\\n\\n  .popup-tip {\\n    z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  }\\n\\n  .wmd-controls {\\n    position: relative;\\n    display: flex;\\n    flex-direction: column;\\n    flex-grow: 1;\\n    min-height: 0;\\n  }\\n\\n  .submit-panel {\\n    display: flex;\\n    flex-shrink: 0;\\n    margin: 7px 0 3px 0;\\n  }\\n\\n  .save-or-cancel {\\n    flex-basis: 50%;\\n    display: flex;\\n    align-items: center;\\n    margin-right: auto;\\n    button {\\n      flex: 0 0 auto;\\n    }\\n    .cancel {\\n      margin-left: 1.25em;\\n      line-height: normal;\\n      color: $primary-high;\\n      transition: color 250ms;\\n      &:hover {\\n        color: $danger;\\n      }\\n    }\\n    #draft-status,\\n    #file-uploading {\\n      margin-left: 25px;\\n    }\\n    #file-uploading {\\n      display: flex;\\n      align-items: center;\\n      a {\\n        margin-left: 5px;\\n        color: $primary-high;\\n      }\\n      .spinner {\\n        margin-right: 5px;\\n      }\\n    }\\n    #draft-status .d-icon-user-edit {\\n      color: $danger;\\n      font-size: 20px;\\n      vertical-align: -5.5px;\\n    }\\n  }\\n\\n  #draft-status,\\n  #file-uploading {\\n    color: $primary-high;\\n  }\\n}\\n\\n.cooked > *:first-child {\\n  margin-top: 0;\\n}\\n\\n.autocomplete {\\n  z-index: z(\\"composer\\", \\"dropdown\\") + 1;\\n  position: absolute;\\n  width: 240px;\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n  ul {\\n    list-style: none;\\n    padding: 0;\\n    margin: 0;\\n\\n    li {\\n      .d-icon-users {\\n        color: lighten($primary, 40%);\\n        padding: 0 2px;\\n      }\\n\\n      border-bottom: 1px solid $primary-low;\\n\\n      a {\\n        padding: 5px;\\n        display: block;\\n        @include ellipsis;\\n\\n        span.username {\\n          color: $primary;\\n        }\\n        span.name {\\n          font-size: $font-down-1;\\n          vertical-align: middle;\\n        }\\n        &.selected {\\n          background-color: $tertiary-low;\\n        }\\n        @include hover {\\n          background-color: $highlight-low;\\n          text-decoration: none;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\ndiv.ac-wrap.disabled {\\n  input {\\n    display: none;\\n  }\\n  .item a {\\n    display: none;\\n  }\\n}\\n\\ndiv.ac-wrap div.item a.remove,\\n.remove-link {\\n  margin-left: 4px;\\n  font-size: $font-down-1;\\n  line-height: $line-height-small;\\n  padding: 1px 3.5px;\\n  border-radius: 12px;\\n  box-sizing: border-box;\\n  border: 1px solid $primary-low;\\n  &:hover {\\n    background-color: $danger-low;\\n    border: 1px solid $danger-medium;\\n    text-decoration: none;\\n    color: $danger;\\n  }\\n}\\n\\ndiv.ac-wrap {\\n  overflow: auto;\\n  max-height: 150px;\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  background-color: $secondary;\\n  border: 1px solid $primary-medium;\\n  min-height: 30px;\\n  box-sizing: border-box;\\n  div.item {\\n    float: left;\\n    padding: 4px 10px;\\n    line-height: $line-height-large;\\n    span {\\n      display: inline-block;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n\\n  .ac-collapsed-button {\\n    float: left;\\n    border-radius: 20px;\\n    position: relative;\\n    top: -2px;\\n    margin-right: 10px;\\n  }\\n\\n  input[type=\\"text\\"] {\\n    float: left;\\n    display: block;\\n    box-shadow: none;\\n    border: 0;\\n    margin: 0;\\n    background: transparent;\\n    min-height: unset;\\n    &.fullwidth-input {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.future-date-input {\\n  .examples {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.md-table {\\n  overflow-y: auto;\\n  margin: 1em 0;\\n  .mobile-view & {\\n    table {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.save-animation {\\n  -webkit-animation: transformer 5s forwards;\\n  animation: transformer 5s forwards;\\n}\\n\\n@-webkit-keyframes transformer {\\n  90% {\\n    -webkit-filter: opacity(1);\\n  }\\n  100% {\\n    -webkit-filter: opacity(0);\\n  }\\n}\\n@keyframes transformer {\\n  90% {\\n    opacity: 1;\\n  }\\n  100% {\\n    opacity: 0;\\n  }\\n}\\n\\nbody.ios-safari-composer-hacks {\\n  #main-outlet,\\n  header,\\n  .grippie,\\n  html:not(.fullscreen-composer) & .toggle-fullscreen {\\n    display: none;\\n  }\\n\\n  #reply-control {\\n    top: 0px;\\n    &.open {\\n      height: calc(var(--composer-vh, 1vh) * 100);\\n    }\\n  }\\n}\\n",\n\t\t"/* Magnific Popup CSS */\\n\\n////////////////////////\\n//\\n// Contents:\\n//\\n// 1. Default Settings\\n// 2. General styles\\n//    - Transluscent overlay\\n//    - Containers, wrappers\\n//    - Cursors\\n//    - Helper classes\\n// 3. Appearance\\n//    - Preloader & text that displays error messages\\n//    - CSS reset for buttons\\n//    - Close icon\\n//    - \\"1 of X\\" counter\\n//    - Navigation (left/right) arrows\\n//    - Iframe content type styles\\n//    - Image content type styles\\n//    - Media query where size of arrows is reduced\\n//    - IE7 support\\n//\\n////////////////////////\\n\\n////////////////////////\\n// 1. Default Settings\\n////////////////////////\\n\\n$overlay-color: #0b0b0b !default;\\n$overlay-opacity: 0.8 !default;\\n$shadow: 0 0 8px rgba(0, 0, 0, 0.6) !default; // shadow on image or iframe\\n$popup-padding-left: 8px !default; // Padding from left and from right side\\n$popup-padding-left-mobile: 6px !default; // Same as above, but is applied when width of window is less than 800px\\n\\n$z-index-base: 1040 !default; // Base z-index of popup\\n$include-arrows: true !default; // include styles for nav arrows\\n$controls-opacity: 0.65 !default;\\n$controls-color: #fff !default;\\n$inner-close-icon-color: #333 !default;\\n$controls-text-color: #ccc !default; // Color of preloader and \\"1 of X\\" indicator\\n$controls-text-color-hover: #fff !default;\\n$IE7support: true !default; // Very basic IE7 support\\n\\n// Iframe-type options\\n$include-iframe-type: true !default;\\n$iframe-padding-top: 40px !default;\\n$iframe-background: #000 !default;\\n$iframe-max-width: 900px !default;\\n$iframe-ratio: 9/16 !default;\\n\\n// Image-type options\\n$include-image-type: true !default;\\n$image-background: linear-gradient(45deg, #111 0%, #333 100%) !default;\\n$image-padding-top: 40px !default;\\n$image-padding-bottom: 40px !default;\\n$include-mobile-layout-for-image: true !default; // Removes paddings from top and bottom\\n\\n// Image caption options\\n$caption-title-color: #f3f3f3 !default;\\n$caption-subtitle-color: #bdbdbd !default;\\n\\n// A11y\\n$use-visuallyhidden: false !default; // Hide content from browsers, but make it available for screen readers\\n\\n////////////////////////\\n// 2. General styles\\n////////////////////////\\n\\n// Transluscent overlay\\n.mfp-bg {\\n  top: 0;\\n  left: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: $z-index-base + 2;\\n  overflow: hidden;\\n  position: fixed;\\n\\n  background: $overlay-color;\\n  opacity: $overlay-opacity;\\n  @if $IE7support {\\n    filter: unquote(\\"alpha(opacity=#{$overlay-opacity*100})\\");\\n  }\\n}\\n\\n// Wrapper for popup\\n.mfp-wrap {\\n  top: 0;\\n  left: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: $z-index-base + 3;\\n  position: fixed;\\n  outline: 0 !important;\\n  -webkit-backface-visibility: hidden; // fixes webkit bug that can cause \\"false\\" scrollbar\\n}\\n\\n// Root container\\n.mfp-container {\\n  text-align: center;\\n  position: absolute;\\n  width: 100%;\\n  height: 100%;\\n  left: 0;\\n  top: 0;\\n  padding: 0 $popup-padding-left;\\n  -webkit-box-sizing: border-box;\\n  -moz-box-sizing: border-box;\\n  box-sizing: border-box;\\n}\\n\\n// Vertical centerer helper\\n.mfp-container {\\n  &:before {\\n    content: \\"\\";\\n    display: inline-block;\\n    height: 100%;\\n    vertical-align: middle;\\n  }\\n}\\n\\n// Remove vertical centering when popup has class `mfp-align-top`\\n.mfp-align-top {\\n  .mfp-container {\\n    &:before {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// Popup content holder\\n.mfp-content {\\n  position: relative;\\n  display: inline-block;\\n  vertical-align: middle;\\n  margin: 0 auto;\\n  text-align: left;\\n  z-index: $z-index-base + 5;\\n}\\n.mfp-inline-holder,\\n.mfp-ajax-holder {\\n  .mfp-content {\\n    width: 100%;\\n    cursor: auto;\\n  }\\n}\\n\\n// Cursors\\n.mfp-ajax-cur {\\n  cursor: progress;\\n}\\n.mfp-zoom-out-cur {\\n  &,\\n  .mfp-image-holder .mfp-close {\\n    cursor: -moz-zoom-out;\\n    cursor: -webkit-zoom-out;\\n    cursor: zoom-out;\\n  }\\n}\\n.mfp-zoom {\\n  cursor: pointer;\\n  cursor: -webkit-zoom-in;\\n  cursor: -moz-zoom-in;\\n  cursor: zoom-in;\\n}\\n.mfp-auto-cursor {\\n  .mfp-content {\\n    cursor: auto;\\n  }\\n}\\n\\n.mfp-close,\\n.mfp-arrow,\\n.mfp-preloader,\\n.mfp-counter {\\n  -webkit-user-select: none;\\n  -moz-user-select: none;\\n  user-select: none;\\n}\\n\\n// Hide the image during the loading\\n.mfp-loading {\\n  &.mfp-figure {\\n    display: none;\\n  }\\n}\\n\\n// Helper class that hides stuff\\n@if $use-visuallyhidden {\\n  // From HTML5 Boilerplate https://github.com/h5bp/html5-boilerplate/blob/v4.2.0/doc/css.md#visuallyhidden\\n  .mfp-hide {\\n    border: 0 !important;\\n    clip: rect(0 0 0 0) !important;\\n    height: 1px !important;\\n    margin: -1px !important;\\n    overflow: hidden !important;\\n    padding: 0 !important;\\n    position: absolute !important;\\n    width: 1px !important;\\n  }\\n} @else {\\n  .mfp-hide {\\n    display: none !important;\\n  }\\n}\\n\\n////////////////////////\\n// 3. Appearance\\n////////////////////////\\n\\n// Preloader and text that displays error messages\\n.mfp-preloader {\\n  color: $controls-text-color;\\n  position: absolute;\\n  top: 50%;\\n  width: auto;\\n  text-align: center;\\n  margin-top: -0.8em;\\n  left: 8px;\\n  right: 8px;\\n  z-index: $z-index-base + 4;\\n  a {\\n    color: $controls-text-color;\\n    &:hover {\\n      color: $controls-text-color-hover;\\n    }\\n  }\\n}\\n\\n// Hide preloader when content successfully loaded\\n.mfp-s-ready {\\n  .mfp-preloader {\\n    display: none;\\n  }\\n}\\n\\n// Hide content when it was not loaded\\n.mfp-s-error {\\n  .mfp-content {\\n    display: none;\\n  }\\n}\\n\\n// CSS-reset for buttons\\nbutton {\\n  &.mfp-close,\\n  &.mfp-arrow {\\n    overflow: visible;\\n    cursor: pointer;\\n    background: transparent;\\n    border: 0;\\n    -webkit-appearance: none;\\n    display: block;\\n    padding: 0;\\n    z-index: $z-index-base + 6;\\n    -webkit-box-shadow: none;\\n    box-shadow: none;\\n  }\\n  &::-moz-focus-inner {\\n    padding: 0;\\n    border: 0;\\n  }\\n}\\n\\n// Close icon\\n.mfp-close {\\n  width: 44px;\\n  height: 44px;\\n  line-height: $line-height-large;\\n  position: absolute;\\n  right: 0;\\n  top: 0;\\n  text-decoration: none;\\n  text-align: center;\\n  opacity: $controls-opacity;\\n  @if $IE7support {\\n    filter: unquote(\\"alpha(opacity=#{$controls-opacity*100})\\");\\n  }\\n  padding: 0 0 18px 10px;\\n  color: $controls-color;\\n  font-style: normal;\\n  font-size: $font-up-5;\\n  font-family: Arial, Baskerville, monospace;\\n\\n  &:hover,\\n  &:focus {\\n    opacity: 1;\\n    outline: 0;\\n    @if $IE7support {\\n      filter: unquote(\\"alpha(opacity=#{1*100})\\");\\n    }\\n  }\\n\\n  &:active {\\n    top: 1px;\\n  }\\n}\\n.mfp-close-btn-in {\\n  .mfp-close {\\n    color: $inner-close-icon-color;\\n  }\\n}\\n.mfp-image-holder,\\n.mfp-iframe-holder {\\n  .mfp-close {\\n    color: $controls-color;\\n    right: -6px;\\n    text-align: right;\\n    padding-right: 6px;\\n    width: 100%;\\n  }\\n}\\n\\n// \\"1 of X\\" counter\\n.mfp-counter {\\n  position: absolute;\\n  top: 0;\\n  right: 0;\\n  color: $controls-text-color;\\n  font-size: $font-down-1;\\n  line-height: $line-height-medium;\\n}\\n\\n// Navigation arrows\\n@if $include-arrows {\\n  .mfp-arrow {\\n    position: absolute;\\n    opacity: $controls-opacity;\\n    @if $IE7support {\\n      filter: unquote(\\"alpha(opacity=#{$controls-opacity*100})\\");\\n    }\\n    top: 50%;\\n    margin: -55px 0 0;\\n    padding: 0;\\n    width: 90px;\\n    height: 110px;\\n    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);\\n    &:active {\\n      margin-top: -54px;\\n    }\\n    &:hover,\\n    &:focus {\\n      outline: 0;\\n      opacity: 1;\\n      @if $IE7support {\\n        filter: unquote(\\"alpha(opacity=#{1*100})\\");\\n      }\\n    }\\n    &:before,\\n    &:after,\\n    .mfp-b,\\n    .mfp-a {\\n      content: \\"\\";\\n      display: block;\\n      width: 0;\\n      height: 0;\\n      position: absolute;\\n      left: 0;\\n      top: 0;\\n      margin-top: 35px;\\n      margin-left: 35px;\\n      border: medium inset transparent;\\n    }\\n\\n    &:after,\\n    .mfp-a {\\n      border-top-width: 13px;\\n      border-bottom-width: 13px;\\n      top: 8px;\\n    }\\n\\n    &:before,\\n    .mfp-b {\\n      border-top-width: 21px;\\n      border-bottom-width: 21px;\\n    }\\n  }\\n\\n  .mfp-arrow-left {\\n    left: 0;\\n\\n    &:after,\\n    .mfp-a {\\n      border-right: 17px solid #fff;\\n      margin-left: 31px;\\n    }\\n    &:before,\\n    .mfp-b {\\n      margin-left: 25px;\\n      border-right: 27px solid #3f3f3f;\\n    }\\n  }\\n\\n  .mfp-arrow-right {\\n    right: 0;\\n    &:after,\\n    .mfp-a {\\n      border-left: 17px solid #fff;\\n      margin-left: 39px;\\n    }\\n    &:before,\\n    .mfp-b {\\n      border-left: 27px solid #3f3f3f;\\n    }\\n  }\\n}\\n\\n// Iframe content type\\n@if $include-iframe-type {\\n  .mfp-iframe-holder {\\n    padding-top: $iframe-padding-top;\\n    padding-bottom: $iframe-padding-top;\\n    .mfp-content {\\n      line-height: 0;\\n      width: 100%;\\n      max-width: $iframe-max-width;\\n    }\\n    .mfp-close {\\n      top: -40px;\\n    }\\n  }\\n  .mfp-iframe-scaler {\\n    width: 100%;\\n    height: 0;\\n    overflow: hidden;\\n    padding-top: $iframe-ratio * 100%;\\n    iframe {\\n      position: absolute;\\n      display: block;\\n      top: 0;\\n      left: 0;\\n      width: 100%;\\n      height: 100%;\\n      box-shadow: $shadow;\\n      background: $iframe-background;\\n    }\\n  }\\n}\\n\\n// Image content type\\n@if $include-image-type {\\n  /* Main image in popup */\\n  img {\\n    &.mfp-img {\\n      width: auto;\\n      max-width: 100%;\\n      height: auto;\\n      display: block;\\n      line-height: 0;\\n      -webkit-box-sizing: border-box;\\n      -moz-box-sizing: border-box;\\n      box-sizing: border-box;\\n      padding: $image-padding-top 0 $image-padding-bottom;\\n      margin: 0 auto;\\n    }\\n  }\\n\\n  /* The shadow behind the image */\\n  .mfp-figure {\\n    line-height: 0;\\n    &:after {\\n      content: \\"\\";\\n      position: absolute;\\n      left: 0;\\n      top: $image-padding-top;\\n      bottom: $image-padding-bottom;\\n      display: block;\\n      right: 0;\\n      width: auto;\\n      height: auto;\\n      z-index: -1;\\n      box-shadow: $shadow;\\n      background: $image-background;\\n    }\\n    small {\\n      color: $caption-subtitle-color;\\n      display: block;\\n      font-size: $font-down-1;\\n      line-height: $line-height-medium;\\n    }\\n    figure {\\n      margin: 0;\\n    }\\n  }\\n  .mfp-bottom-bar {\\n    margin-top: -$image-padding-bottom + 4;\\n    position: absolute;\\n    top: 100%;\\n    left: 0;\\n    width: 100%;\\n    cursor: auto;\\n  }\\n  .mfp-title {\\n    text-align: left;\\n    line-height: $line-height-medium;\\n    color: $caption-title-color;\\n    word-wrap: break-word;\\n    padding-right: 36px; // leave some space for counter at right side\\n\\n    // add the download icon\\n    a.image-source-link .d-icon {\\n      padding-right: 5px;\\n    }\\n  }\\n\\n  .mfp-image-holder {\\n    .mfp-content {\\n      max-width: 100%;\\n    }\\n  }\\n\\n  .mfp-gallery {\\n    .mfp-image-holder {\\n      .mfp-figure {\\n        cursor: pointer;\\n      }\\n    }\\n  }\\n\\n  @if $include-mobile-layout-for-image {\\n    @media all and (max-width: 800px) and (orientation: landscape),\\n      screen and (max-height: 300px) {\\n      /**\\n       * Remove all paddings around the image on small screen\\n       */\\n      .mfp-img-mobile {\\n        .mfp-image-holder {\\n          padding-left: 0;\\n          padding-right: 0;\\n        }\\n        img {\\n          &.mfp-img {\\n            padding: 0;\\n          }\\n        }\\n        .mfp-figure {\\n          /* The shadow behind the image */\\n          &:after {\\n            top: 0;\\n            bottom: 0;\\n          }\\n          small {\\n            display: inline;\\n            margin-left: 5px;\\n          }\\n        }\\n        .mfp-bottom-bar {\\n          background: rgba(0, 0, 0, 0.6);\\n          bottom: 0;\\n          margin: 0;\\n          top: auto;\\n          padding: 3px 5px;\\n          position: fixed;\\n          -webkit-box-sizing: border-box;\\n          -moz-box-sizing: border-box;\\n          box-sizing: border-box;\\n          &:empty {\\n            padding: 0;\\n          }\\n        }\\n        .mfp-counter {\\n          right: 5px;\\n          top: 3px;\\n        }\\n        .mfp-close {\\n          top: 0;\\n          right: 0;\\n          width: 35px;\\n          height: 35px;\\n          line-height: $line-height-large;\\n          background: rgba(0, 0, 0, 0.6);\\n          position: fixed;\\n          text-align: center;\\n          padding: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// Scale navigation arrows and reduce padding from sides\\n@media all and (max-width: 900px) {\\n  .mfp-arrow {\\n    @include transform(scale(0.75));\\n  }\\n  .mfp-arrow-left {\\n    transform-origin: 0;\\n    -webkit-transform-origin: 0;\\n  }\\n  .mfp-arrow-right {\\n    transform-origin: 100%;\\n    -webkit-transform-origin: 100%;\\n  }\\n  .mfp-container {\\n    padding-left: $popup-padding-left-mobile;\\n    padding-right: $popup-padding-left-mobile;\\n  }\\n}\\n\\n// IE7 support\\n// Styles that make popup look nicier in old IE\\n@if $IE7support {\\n  .mfp-ie7 {\\n    .mfp-img {\\n      padding: 0;\\n    }\\n    .mfp-bottom-bar {\\n      width: 600px;\\n      left: 50%;\\n      margin-left: -300px;\\n      margin-top: 5px;\\n      padding-bottom: 5px;\\n    }\\n    .mfp-container {\\n      padding: 0;\\n    }\\n    .mfp-content {\\n      padding-top: 44px;\\n    }\\n    .mfp-close {\\n      top: 0;\\n      right: 0;\\n      padding-top: 0;\\n    }\\n  }\\n}\\n\\n.mfp-zoom-in {\\n  /* start state */\\n  .mfp-content {\\n    opacity: 0;\\n    transition: all 0.2s;\\n    -webkit-transform: scale(0.8);\\n    -ms-transform: scale(0.8);\\n    transform: scale(0.8);\\n  }\\n\\n  &.mfp-bg {\\n    opacity: 0;\\n    transition: all 0.3s ease-out;\\n  }\\n\\n  /* animate in */\\n  &.mfp-ready {\\n    .mfp-content {\\n      opacity: 1;\\n      @include transform(scale(1));\\n    }\\n    &.mfp-bg {\\n      opacity: 0.8;\\n    }\\n  }\\n\\n  /* animate out */\\n  &.mfp-removing {\\n    .mfp-content {\\n      @include transform(scale(0.8));\\n      opacity: 0;\\n    }\\n    &.mfp-bg {\\n      opacity: 0;\\n    }\\n  }\\n}\\n\\n.mfp-force-scrollbars {\\n  &.mfp-wrap {\\n    overflow-y: auto !important;\\n    overflow-x: auto !important;\\n  }\\n  .mfp-img {\\n    max-width: none;\\n  }\\n}\\n",\n\t\t".button-count.has-pending {\\n  span {\\n    background-color: $danger;\\n    color: $secondary;\\n    border-radius: 10px;\\n    padding: 0.25em 0.5em;\\n    display: inline-block;\\n    font-size: 0.8em;\\n  }\\n}\\n\\n.placeholder-avatar {\\n  display: inline-block;\\n  width: 45px;\\n  height: 45px;\\n  border-radius: 50%;\\n  position: relative;\\n  overflow: hidden;\\n  &:before {\\n    animation: placeHolderShimmer 4s linear infinite forwards;\\n    position: absolute;\\n    left: 0;\\n    content: \\"\\";\\n    background: linear-gradient(\\n      to right,\\n      $primary-very-low 10%,\\n      $primary-low 28%,\\n      $primary-very-low 43%\\n    );\\n    height: 45px;\\n    width: 700px;\\n  }\\n}\\n\\n.placeholder-text {\\n  margin-left: 11px;\\n  display: inline-block;\\n  width: calc(100% - 11px);\\n  height: 1.5em;\\n  margin-bottom: 0.6em;\\n}\\n\\n.names {\\n  flex: 1 1 auto;\\n  overflow: hidden;\\n  span.first {\\n    display: flex;\\n    align-items: baseline;\\n    font-weight: bold;\\n  }\\n\\n  span {\\n    font-size: $font-0;\\n    margin-right: 8px;\\n    display: inline-block;\\n    @include ellipsis;\\n    vertical-align: middle;\\n    a {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n    }\\n  }\\n  .fa {\\n    font-size: $font-down-1;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .svg-icon-title {\\n    margin-left: 3px;\\n    margin-right: 0px;\\n  }\\n  .new_user a,\\n  .user-title,\\n  .user-title a {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n}\\n\\n// global styles for the cooked HTML content in posts (and preview)\\n.cooked,\\n.d-editor-preview {\\n  word-wrap: break-word;\\n  line-height: $line-height-large;\\n  h1,\\n  h2,\\n  h3,\\n  h4,\\n  h5,\\n  h6 {\\n    margin: 30px 0 10px;\\n    line-height: $line-height-medium;\\n  }\\n\\n  h1 {\\n    font-size: $font-up-3;\\n  }\\n\\n  h2 {\\n    font-size: $font-up-2;\\n  }\\n\\n  h3 {\\n    font-size: $font-up-1;\\n  }\\n\\n  h4 {\\n    font-size: $font-0;\\n  }\\n\\n  h5 {\\n    font-size: $font-down-1;\\n  }\\n\\n  h6 {\\n    font-size: $font-down-2;\\n  }\\n\\n  a {\\n    word-wrap: break-word;\\n  }\\n  ins {\\n    background-color: dark-light-choose(\\n      $success-low,\\n      scale-color($success, $lightness: -60%)\\n    );\\n  }\\n  del {\\n    background-color: dark-light-choose(\\n      $danger-low,\\n      scale-color($danger, $lightness: -60%)\\n    );\\n  }\\n  // Prevents users from breaking posts with tag nesting\\n  big {\\n    font-size: 1.5rem;\\n  }\\n  small {\\n    font-size: 0.75rem;\\n  }\\n  small small {\\n    font-size: 0.75em;\\n  }\\n  big big {\\n    font-size: 1em;\\n  }\\n  sub sub sub {\\n    bottom: 0;\\n  }\\n  sup sup sup {\\n    top: 0;\\n  }\\n}\\n\\n.cooked,\\n.d-editor-preview {\\n  video {\\n    max-width: 100%;\\n  }\\n  sup sup {\\n    top: 0;\\n  }\\n}\\n\\n// add staff color\\n.moderator {\\n  .regular > .cooked {\\n    background-color: dark-light-choose($highlight-low, $highlight-medium);\\n    padding: 10px;\\n    img:not(.thumbnail) {\\n      max-width: 100%;\\n      height: auto;\\n    }\\n  }\\n  .clearfix > .topic-meta-data > .names {\\n    span.user-title {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n      a {\\n        background-color: dark-light-choose($highlight-low, $highlight-medium);\\n        padding-left: 4px;\\n        padding-right: 4px;\\n      }\\n    }\\n  }\\n}\\n\\n.topic-meta-data {\\n  display: flex;\\n  align-items: flex-start;\\n\\n  .names {\\n    margin-right: auto;\\n  }\\n\\n  .post-infos {\\n    display: flex;\\n    flex: 0 0 auto;\\n    align-items: center;\\n  }\\n}\\n\\n// we use aside to hold expandable quotes (versus, say, static blockquotes)\\naside.quote {\\n  margin-top: 1em;\\n  margin-bottom: 1em;\\n\\n  .badge-wrapper {\\n    margin-left: 5px;\\n  }\\n\\n  .title {\\n    @include post-aside;\\n\\n    color: dark-light-choose($primary-high, $secondary-low);\\n    // IE will screw up the blockquote underneath if bottom padding is 0px\\n    padding: 12px 12px 1px 12px;\\n    // blockquote is underneath this and has top margin\\n    .avatar {\\n      margin-right: 7px;\\n    }\\n    img {\\n      margin-top: -4px;\\n    }\\n    @include unselectable;\\n  }\\n\\n  // blockquote is docked within aside for content\\n  blockquote {\\n    margin-top: 0;\\n  }\\n}\\n\\nblockquote {\\n  // due to #image-sizing-hack large images and lightboxes extend past the\\n  // limits blockquotes. Since #image-sizing-hack is inline, we need to use\\n  // !important here otherwise it won't work.\\n  img {\\n    max-width: 100% !important;\\n  }\\n}\\n\\n.quote-controls,\\n.quote-controls .d-icon {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n}\\n\\n.cooked .highlight {\\n  background-color: $tertiary-low;\\n  padding: 2px;\\n  margin: -2px;\\n}\\n\\n.post-ignored {\\n  font-style: italic;\\n}\\n\\n.post-action {\\n  color: $primary-medium;\\n  .undo-action,\\n  .act-action {\\n    margin-left: 5px;\\n  }\\n}\\n\\n.post-hidden {\\n  opacity: 0.5; // opacity sets a new z-index context,\\n  position: relative; // so the positioning is required,\\n  z-index: z(\\"base\\"); // otherwise post controls are stacked too low\\n}\\n\\n.topic-post.staged {\\n  opacity: 0.4;\\n}\\n\\n.quote-controls {\\n  float: right;\\n  display: flex;\\n  align-items: center;\\n  a {\\n    margin-left: 0.3em;\\n  }\\n}\\n\\n.quote-button {\\n  display: none;\\n  position: absolute;\\n  background-color: blend-primary-secondary(50%);\\n  color: dark-light-choose($secondary, $primary);\\n  padding: 10px;\\n  z-index: z(\\"dropdown\\");\\n  opacity: 0.9;\\n\\n  .d-icon {\\n    display: inline-block;\\n  }\\n\\n  &:hover {\\n    background-color: $primary-medium;\\n    cursor: pointer;\\n  }\\n}\\n\\n.topic-avatar,\\n.user-card-avatar {\\n  position: relative;\\n}\\n\\n.topic-map {\\n  background: $primary-very-low;\\n  border: 1px solid $primary-low;\\n  border-top: none; // would cause double top border\\n\\n  .avatars {\\n    > div {\\n      float: left;\\n      position: relative;\\n      margin: 3px 0;\\n    }\\n    .post-count {\\n      position: absolute;\\n      right: 0;\\n      border-radius: 100px;\\n      padding: 3px 5px;\\n      text-align: center;\\n      font-weight: normal;\\n      font-size: $font-down-2;\\n      line-height: $line-height-small;\\n    }\\n  }\\n\\n  .avatar {\\n    float: left;\\n    margin-right: 4px;\\n  }\\n\\n  section {\\n    border-top: 1px solid $primary-low;\\n  }\\n\\n  ul {\\n    margin: 0;\\n    list-style: none;\\n  }\\n\\n  h3 {\\n    margin-bottom: 4px;\\n    color: $primary;\\n    line-height: $line-height-large;\\n    font-weight: normal;\\n    font-size: $font-0;\\n  }\\n\\n  h4 {\\n    margin: 1px 0 2px 0;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n    line-height: $line-height-small;\\n  }\\n\\n  span.domain {\\n    font-size: $font-down-2;\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n\\n  td {\\n    vertical-align: top;\\n    padding: 1px;\\n  }\\n\\n  .topic-links {\\n    tr {\\n      border: none;\\n    }\\n    .badge-notification {\\n      margin: 1px 5px 2px 0;\\n    }\\n  }\\n\\n  .controls {\\n    display: flex;\\n    align-items: center;\\n\\n    .btn {\\n      margin-right: 0.5em;\\n\\n      &:last-child {\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  .participants {\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n\\n    & + .controls {\\n      margin-top: 0.5em;\\n    }\\n\\n    &.hide-names .user {\\n      .username,\\n      .group-name {\\n        display: none;\\n      }\\n    }\\n\\n    .user {\\n      border: 1px solid $primary-low;\\n      border-radius: 0.25em;\\n      padding: 0;\\n      margin: 0.125em 0.25em 0.125em 0;\\n      display: flex;\\n      align-items: center;\\n      height: 26px;\\n\\n      .user-link,\\n      .group-link {\\n        color: $primary-high;\\n\\n        &:hover {\\n          color: $primary;\\n        }\\n      }\\n\\n      .avatar,\\n      .d-icon-users {\\n        margin-left: 0.25em;\\n        margin-right: 0.25em;\\n      }\\n\\n      .username,\\n      .group-name {\\n        margin-right: 0.25em;\\n      }\\n\\n      &:last-child {\\n        margin-right: 0;\\n      }\\n\\n      .remove-invited {\\n        display: flex;\\n        flex: 1 0 0px;\\n        align-items: center;\\n        justify-content: center;\\n        box-sizing: border-box;\\n        border-radius: 0 0.25em 0.25em 0;\\n        padding-top: 0;\\n        padding-bottom: 0;\\n        height: 100%;\\n      }\\n    }\\n  }\\n\\n  .add-remove-participant-btn {\\n    .d-icon {\\n      margin-left: 0.25em;\\n    }\\n  }\\n}\\n\\n.topic-avatar,\\n.avatar-flair-preview,\\n.user-card-avatar,\\n.topic-map .poster,\\n.user-profile-avatar,\\n.user-image {\\n  .avatar-flair {\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    background-repeat: no-repeat;\\n    background-position: center;\\n    position: absolute;\\n    bottom: 0;\\n    right: -6px;\\n  }\\n}\\n.topic-avatar .avatar-flair,\\n.avatar-flair-preview .avatar-flair,\\n.collapsed-info .user-profile-avatar .avatar-flair,\\n.user-image .avatar-flair {\\n  background-size: 20px 20px;\\n  width: 20px;\\n  height: 20px;\\n  &.rounded {\\n    background-size: 18px 18px;\\n    border-radius: 12px;\\n    width: 24px;\\n    height: 24px;\\n    bottom: -2px;\\n    right: -8px;\\n  }\\n}\\n.user-card-avatar .avatar-flair,\\n.user-profile-avatar .avatar-flair {\\n  background-size: 40px 40px;\\n  width: 40px;\\n  height: 40px;\\n  &.rounded {\\n    background-size: 30px 30px;\\n    border-radius: 24px;\\n    width: 40px;\\n    height: 40px;\\n    bottom: -2px;\\n    right: -4px;\\n  }\\n  .fa {\\n    font-size: $font-up-4;\\n  }\\n}\\n.topic-map .poster .avatar-flair {\\n  right: 0;\\n  background-size: 12px 12px;\\n  width: 16px;\\n  height: 16px;\\n  bottom: -3px;\\n  color: $primary;\\n  &.rounded {\\n    background-size: 12px 12px;\\n    border-radius: 8px;\\n    width: 16px;\\n    height: 16px;\\n    bottom: -2px;\\n    right: 0;\\n  }\\n  .d-icon {\\n    font-size: $font-down-2;\\n  }\\n}\\n.topic-avatar .poster-avatar-extra {\\n  display: none;\\n}\\n\\n.map {\\n  &:first-of-type {\\n    display: flex;\\n    .buttons {\\n      margin-left: auto;\\n      order: 15;\\n      .btn {\\n        height: 100%;\\n      }\\n    }\\n  }\\n}\\n\\n.topic-body {\\n  // this is necessary for ANYTHING that extends past the right edge of\\n  // the post body, such as an image in a deeply nested list, image in\\n  // a deeply nested blockquote, and so on.. you get the idea.\\n  .cooked {\\n    overflow: hidden;\\n  }\\n  &.highlighted {\\n    animation: background-fade-highlight 2.5s ease-out;\\n  }\\n}\\n\\n.post-info {\\n  flex: 0 0 auto;\\n  margin-right: 0.5em;\\n\\n  &.post-date {\\n    margin-right: 0;\\n  }\\n  &.via-email,\\n  &.whisper,\\n  &.post-locked {\\n    .d-icon {\\n      font-size: $font-0;\\n    }\\n  }\\n\\n  .wiki,\\n  .last-wiki-edit {\\n    color: $wiki;\\n  }\\n\\n  &.via-email {\\n    color: dark-light-choose($primary-low-mid, $secondary-high);\\n  }\\n  &.raw-email {\\n    cursor: pointer;\\n  }\\n}\\n\\npre {\\n  code {\\n    word-wrap: normal;\\n    display: block;\\n    padding: 0.5em;\\n    color: $primary;\\n    background: blend-primary-secondary(5%);\\n    max-height: 500px;\\n  }\\n}\\n\\nkbd {\\n  background-color: $secondary;\\n  border: 1px solid $primary-low;\\n  border-radius: 3px;\\n  box-shadow: shadow(\\"kbd\\");\\n  background: dark-light-choose(#fafafa, #333);\\n  border: 1px solid dark-light-choose(#ccc, #555);\\n  border-bottom: medium none dark-light-choose(#fff, #000);\\n\\n  color: $primary;\\n  display: inline-block;\\n  font-size: $font-down-1;\\n  line-height: $line-height-large;\\n  margin: 0 0.1em;\\n  padding: 0.1em 0.6em;\\n\\n  // don't allow more than 3 nested elements to prevent FF from crashing\\n  // cf. http://what.thedailywtf.com/t/nested-elements/7927\\n  // 3 levels are needed to prevent highlighted words being hidden\\n  // cf. https://meta.discourse.org/t/word-disappears-when-searched-and-in-details-summary-kbd-b/25741\\n  * * * {\\n    display: none;\\n  }\\n}\\n\\n// we assume blockquotes have their own margins, so all blockquotes\\n// will remove margins from first (top) and last (bottom) child elements\\nblockquote > *:first-child {\\n  margin-top: 0 !important;\\n}\\nblockquote > *:last-child {\\n  margin-bottom: 0 !important;\\n}\\n\\n.gap {\\n  padding: 0.25em 0 0.5em 56px; // 45px (topic avatar) + 11px (margin) = 56px\\n  color: dark-light-choose($primary-medium, $secondary-high);\\n  cursor: pointer;\\n  text-transform: uppercase;\\n  font-weight: bold;\\n  font-size: $font-down-1;\\n}\\n\\n.who-liked,\\n.who-read {\\n  transition: height 0.5s;\\n  a {\\n    margin: 0 0.25em 0.5em 0;\\n    display: inline-block;\\n  }\\n}\\n\\n.cooked table,\\n.d-editor-preview table {\\n  thead {\\n    th {\\n      text-align: left;\\n      padding-bottom: 2px;\\n      font-weight: bold;\\n      color: $primary;\\n    }\\n  }\\n\\n  td {\\n    padding: 3px 3px 3px 0.5em;\\n  }\\n}\\n\\n.small-action {\\n  display: flex;\\n  align-items: center;\\n  max-width: 758px;\\n  border-top: 1px solid $primary-low;\\n  .topic-avatar {\\n    align-self: flex-start;\\n    padding: 0.7em 0;\\n    border-top: none;\\n    margin-right: 11px;\\n    flex: 0 0 auto;\\n    .d-icon {\\n      font-size: 2em;\\n      width: 45px;\\n      text-align: center;\\n      color: $primary-low-mid;\\n    }\\n  }\\n\\n  .small-action.deleted {\\n    background-color: dark-light-diff(\\n      rgba($danger, 0.7),\\n      $secondary,\\n      50%,\\n      -60%\\n    );\\n  }\\n\\n  .small-action-desc.timegap {\\n    color: $primary-medium;\\n  }\\n\\n  .small-action-desc {\\n    display: flex;\\n    flex-wrap: wrap;\\n    flex: 1 1 100%;\\n    align-items: center;\\n    padding: 1em 0;\\n    text-transform: uppercase;\\n    font-weight: bold;\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n    min-width: 0; // Allows flex container to shrink\\n\\n    .custom-message {\\n      flex: 1 1 100%;\\n      text-transform: none;\\n      font-weight: normal;\\n      font-size: $font-up-1;\\n      order: 12;\\n      word-break: break-word;\\n      min-width: 0; // Allows content like oneboxes to shrink\\n      p {\\n        margin-bottom: 0;\\n      }\\n    }\\n    a.trigger-user-card {\\n      align-self: stretch;\\n    }\\n    .avatar {\\n      margin-right: 0.8em;\\n      float: left;\\n    }\\n\\n    > p {\\n      margin: 0;\\n      line-height: $line-height-medium;\\n      flex: 1 1;\\n    }\\n  }\\n\\n  button {\\n    background: transparent;\\n    border: 0;\\n    order: 9;\\n    &:last-of-type {\\n      margin-left: auto;\\n      order: 8;\\n    }\\n  }\\n}\\n\\n.whisper {\\n  .post-info.whisper {\\n    margin-left: 0.5em;\\n  }\\n  .topic-body {\\n    .cooked {\\n      font-style: italic;\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\na.mention,\\na.mention-group {\\n  padding: 2px 4px;\\n  color: dark-light-choose($primary-high, $secondary-low);\\n  background: $primary-low;\\n  border-radius: 8px;\\n  font-weight: bold;\\n  font-size: 0.93em;\\n}\\n\\n.popup-menu {\\n  h3 {\\n    margin-top: 0;\\n  }\\n}\\n\\n.suggested-topics {\\n  .topics {\\n    padding-bottom: 15px;\\n  }\\n  .suggested-topics-message {\\n    .badge-wrapper {\\n      margin-right: 0;\\n    }\\n  }\\n}\\n\\n.large-image-placeholder {\\n  > a {\\n    &.link {\\n      margin-right: 10px;\\n    }\\n\\n    > * {\\n      overflow: hidden;\\n      vertical-align: middle;\\n    }\\n\\n    > .d-icon {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      margin-right: 6px;\\n      font-size: $font-0;\\n      line-height: $line-height-large;\\n    }\\n\\n    > span.url {\\n      display: inline-block;\\n      max-width: 300px;\\n      margin-right: 6px;\\n      text-overflow: ellipsis;\\n      white-space: nowrap;\\n    }\\n\\n    > span.help {\\n      display: inline-block;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      font-size: $font-down-1;\\n      font-style: italic;\\n      line-height: $line-height-large;\\n      margin-bottom: 1px;\\n    }\\n\\n    > span.badge-notification {\\n      vertical-align: unset;\\n    }\\n  }\\n}\\n\\n.broken-image,\\n.large-image {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n  border: 1px solid $primary-low;\\n  font-size: $font-up-5;\\n  padding: 16px;\\n}\\n\\n/* below standard tablet portrait ----------- */\\n\\n.reply-to-tab {\\n  display: flex;\\n  align-items: center;\\n  margin-right: 2em;\\n\\n  img {\\n    margin: 0 0.25em;\\n  }\\n}\\n\\n// Select posts\\n\\n.topic-post {\\n  &.selected {\\n    article.boxed {\\n      .select-posts {\\n        button.select-post {\\n          background-color: $tertiary;\\n          color: $secondary;\\n          border-color: $tertiary;\\n        }\\n      }\\n      .topic-body {\\n        .contents:after {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n  article.boxed {\\n    position: relative;\\n    .select-posts {\\n      position: absolute;\\n      right: 5em;\\n      z-index: z(\\"dropdown\\");\\n      top: 0.5em;\\n      height: 100px;\\n      button {\\n        margin-left: 8px;\\n        background-color: $primary-low;\\n        color: $primary;\\n        box-shadow: shadow(\\"dropdown\\");\\n      }\\n    }\\n  }\\n}\\n\\n@media all and (max-width: 767px) {\\n  .reply-to-tab {\\n    span {\\n      display: none;\\n    }\\n  }\\n  .user-title {\\n    float: left;\\n    clear: left;\\n  }\\n}\\n\\n.signup-cta {\\n  a {\\n    float: right;\\n    text-decoration: underline;\\n  }\\n  .buttons {\\n    margin-bottom: 1em;\\n  }\\n}\\n\\n.post-notice {\\n  align-items: center;\\n  background-color: $tertiary-low;\\n  border-top: 1px solid $primary-low;\\n  display: flex;\\n  max-width: calc(\\n    #{$topic-body-width} + (#{$topic-body-width-padding} * 2) + #{$topic-avatar-width} -\\n      (0.8em * 2)\\n  );\\n  padding: 0.8em;\\n\\n  &.old {\\n    background-color: unset;\\n    color: $primary-medium;\\n\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  p {\\n    margin: 0;\\n  }\\n\\n  .d-icon {\\n    font-size: 2em;\\n    color: $primary-high;\\n    margin-right: 0.65em;\\n  }\\n}\\n\\n#topic-footer-buttons {\\n  .reason {\\n    color: $primary-high;\\n    display: inline;\\n    margin: 0 0 0 8px;\\n    line-height: $line-height-medium;\\n  }\\n}\\n",\n\t\t"@keyframes button-jump-up {\\n  0% {\\n    margin-bottom: -60px;\\n  }\\n  50% {\\n    margin-bottom: 10px;\\n  }\\n  65% {\\n    margin-bottom: 0px;\\n  }\\n  77% {\\n    margin-bottom: 5px;\\n  }\\n  100% {\\n    margin-bottom: 0px;\\n  }\\n}\\n\\n.progress-back-container {\\n  z-index: z(\\"dropdown\\");\\n  margin-right: 0;\\n  animation-duration: 0.5s;\\n  animation-name: button-jump-up;\\n  width: 145px;\\n  text-align: center;\\n  margin-bottom: 0px;\\n  position: absolute;\\n  right: 0;\\n  top: -2em;\\n  .btn {\\n    margin: 0;\\n  }\\n}\\n\\n#topic-progress-wrapper {\\n  display: flex;\\n  .topic-admin-menu-button-container {\\n    display: flex;\\n    > span {\\n      display: flex;\\n    }\\n  }\\n  .topic-admin-popup-menu.right-side {\\n    position: absolute;\\n    bottom: 0;\\n    right: 0;\\n    left: auto;\\n    transition: bottom 0.5s;\\n    transform: translateZ(\\n      0\\n    ); // iOS11 Rendering bug https://meta.discourse.org/t/wrench-menu-not-disappearing-on-ios/94297\\n  }\\n}\\n\\n#topic-progress-wrapper.docked {\\n  .topic-admin-popup-menu.right-side {\\n    bottom: -150px; // Prevents menu from being too high when a topic is very short\\n  }\\n}\\n\\n.title-wrapper {\\n  display: flex;\\n  flex-wrap: wrap;\\n  button {\\n    margin: 0 0.5em 0 0;\\n  }\\n  a.topic-featured-link {\\n    display: inline-block;\\n  }\\n  .topic-statuses {\\n    line-height: 1.2em;\\n    margin-right: 0.15em;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\nh1 {\\n  margin: 0 0 4px 0;\\n}\\n\\na.badge-category {\\n  margin-top: 5px;\\n}\\n\\n#topic-title {\\n  .title-wrapper {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 90%;\\n    a.topic-featured-link {\\n      display: inline-block;\\n    }\\n  }\\n  h1 {\\n    margin: 0 0 4px 0;\\n    width: 100%;\\n  }\\n  a.badge-category {\\n    margin-top: 5px;\\n  }\\n  a.edit-topic .d-icon {\\n    font-size: 0.8em;\\n  }\\n  .edit-topic-title {\\n    display: flex;\\n    flex-wrap: wrap;\\n    box-sizing: border-box;\\n    max-width: 758px;\\n    #edit-title {\\n      flex: 1 1 auto;\\n    }\\n    .private-message-glyph {\\n      margin: 5px 5px 0 0;\\n    }\\n    .category-chooser,\\n    .mini-tag-chooser {\\n      flex: 1 1 49%;\\n      margin: 0 0 9px 0;\\n      @media all and (max-width: 500px) {\\n        flex: 1 1 100%;\\n      }\\n    }\\n    .mini-tag-chooser {\\n      margin-left: 2%;\\n      @media all and (max-width: 500px) {\\n        margin-left: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.private-message-glyph {\\n  color: dark-light-choose($primary-low-mid, $secondary-high);\\n  margin-right: 5px;\\n}\\n\\n.archetype-private_message #topic-title .edit-topic-title .tag-chooser {\\n  margin-left: 19px;\\n}\\n\\n.private_message {\\n  #topic-title {\\n    .edit-topic-title {\\n      #edit-title {\\n        width: calc(100% - 50px);\\n      }\\n    }\\n  }\\n}\\n\\n.topic-title-outlet {\\n  clear: both;\\n}\\n\\n.has-pending-posts {\\n  display: flex;\\n  justify-content: space-between;\\n\\n  padding: 0.5em;\\n  background-color: $highlight-medium;\\n  margin-top: 1em;\\n  max-width: 757px;\\n}\\n\\n.suggested-topics-wrapper.related-messages-wrapper {\\n  .suggested-topics:nth-of-type(n + 2) {\\n    thead {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// Target the .badge-category text, the bullet icon needs to maintain `display: block`\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category,\\n.suggested-topics h3 .badge-wrapper.box span,\\n.suggested-topics h3 .badge-wrapper.bar span {\\n  display: inline;\\n}\\n\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category {\\n  // Override vertical-align: text-top from `badges.css.scss`\\n  vertical-align: baseline;\\n  line-height: $line-height-medium;\\n}\\n\\n.suggested-topics h3 .badge-wrapper.bullet,\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,\\n.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg {\\n  // Top of bullet aligns with top of line - adjust line height to vertically align bullet.\\n  line-height: 0.8;\\n}\\n\\n.suggested-topics .badge-wrapper.bullet span.badge-category,\\n.suggested-topics .badge-wrapper.bar span.badge-category {\\n  max-width: 150px;\\n}\\n\\n.suggested-topics .suggested-topics-title {\\n  display: flex;\\n  align-items: center;\\n}\\n\\n.post-links-container {\\n  @include unselectable;\\n  clear: both;\\n  .post-links {\\n    margin-top: 1em;\\n    padding-top: 1em;\\n    border-top: 1px solid $primary-low;\\n    li:last-of-type {\\n      margin-bottom: 1em;\\n    }\\n  }\\n  .expand-links {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  .track-link {\\n    display: flex;\\n    align-items: center;\\n    span:not(.badge) {\\n      @include ellipsis;\\n    }\\n  }\\n  ul {\\n    margin: 0;\\n    list-style: none;\\n    li {\\n      margin-bottom: 0.5em;\\n      a[href] {\\n        color: dark-light-choose($primary-medium, $secondary-medium);\\n      }\\n      .clicks {\\n        margin-left: 0.5em;\\n        flex: 0 0 auto;\\n      }\\n      .d-icon {\\n        font-size: $font-down-2;\\n        margin: 0 0.5em 0 0;\\n      }\\n    }\\n  }\\n  a.reply-new {\\n    .d-icon {\\n      background: $secondary;\\n      border-radius: 20px;\\n      transition: all linear 0.15s;\\n    }\\n    &:hover {\\n      color: $tertiary;\\n      .d-icon {\\n        background: $tertiary-low;\\n      }\\n    }\\n  }\\n}\\n\\na.topic-featured-link {\\n  display: inline-block;\\n  text-transform: lowercase;\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  font-size: 0.875rem;\\n  .d-icon {\\n    margin-right: 3px;\\n  }\\n}\\n\\n.topic-area {\\n  .pending-posts {\\n    max-width: calc(\\n      #{$topic-body-width} + #{$topic-avatar-width} + #{$topic-body-width-padding *\\n        2}\\n    );\\n    .reviewable-item {\\n      .post-body {\\n        max-height: unset;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"#request-access {\\n  width: 325px;\\n  margin: 0 auto;\\n  input[type=\\"text\\"] {\\n    width: 320px;\\n    height: 30px;\\n    font-size: $font-up-3;\\n  }\\n  input[type=\\"submit\\"] {\\n    font-size: $font-up-3;\\n    padding: 10px;\\n  }\\n}\\n",\n\t\t"/*\\n\\ngithub.com style (c) Vasily Polovnyov <vast@whiteants.net>\\n\\n*/\\n\\n.hljs {\\n  display: block;\\n  padding: 0.5em;\\n  color: dark-light-choose(#333, #f8f8f8);\\n}\\n\\n.hljs-comment,\\n.hljs-doctag {\\n  color: dark-light-choose(#998, #bba);\\n  font-style: italic;\\n}\\n\\n.hljs-keyword,\\n.javascript .hljs-title,\\n.nginx .hljs-title,\\n.hljs-subst,\\n.hljs-request,\\n.hljs-status {\\n  color: dark-light-choose(#333, #f8f8f8);\\n  font-weight: bold;\\n}\\n\\n.hljs-number,\\n.ruby .hljs-constant {\\n  color: dark-light-choose(#099, #aff);\\n}\\n\\n.hljs-string,\\n.hljs-tag .hljs-string,\\n.tex .hljs-formula {\\n  color: dark-light-choose(#d14, #f99);\\n}\\n\\n.hljs-title,\\n.hljs-name,\\n.coffeescript .hljs-params,\\n.scss .hljs-meta {\\n  color: dark-light-choose(#d14, #f99);\\n  font-weight: bold;\\n}\\n\\n.javascript .hljs-title,\\n.lisp .hljs-title,\\n.clojure .hljs-title,\\n.hljs-subst {\\n  font-weight: normal;\\n}\\n\\n.hljs-class .hljs-title,\\n.haskell .hljs-type,\\n.vhdl .hljs-literal,\\n.tex .hljs-command {\\n  color: dark-light-choose(#458, #9ae);\\n  font-weight: bold;\\n}\\n\\n.hljs-tag,\\n.hljs-tag .hljs-title,\\n.django .hljs-tag .hljs-keyword {\\n  color: dark-light-choose(#000080, #99f);\\n  font-weight: normal;\\n}\\n\\n.hljs-attribute,\\n.css .hljs-keyword,\\n.hljs-variable,\\n.lisp .hljs-body {\\n  color: dark-light-choose(#008080, #0ee);\\n}\\n\\n.hljs-regexp {\\n  color: $success;\\n}\\n\\n.hljs-symbol,\\n.ruby .hljs-symbol .hljs-string,\\n.lisp .hljs-keyword,\\n.tex .hljs-special,\\n.hljs-prompt {\\n  color: dark-light-choose(#990073, #fbe);\\n}\\n\\n.hljs-built_in,\\n.lisp .hljs-title,\\n.clojure .hljs-built_in,\\n.hljs-builtin-name {\\n  color: $tertiary-high;\\n}\\n\\n.meta {\\n  color: $primary-medium;\\n  font-weight: bold;\\n}\\n\\n.hljs-deletion {\\n  background: $danger-low;\\n}\\n\\n.hljs-addition {\\n  background: $success-low;\\n}\\n\\n.diff .hljs-meta {\\n  color: $primary-low;\\n}\\n\\n/*\\n--------------------------------------------------------------------------------\\n|                       SHOULD NOT BE REMOVED                                  |\\n--------------------------------------------------------------------------------\\n*/\\n\\np > code,\\nli > code,\\npre > code {\\n  color: dark-light-choose(#333, #f8f8f8);\\n  background: dark-light-choose(#f8f8f8, #333);\\n}\\n\\n// removed some unnecessary styles here\\n",\n\t\t"$discourse-tooltip-background: $secondary;\\n$discourse-tooltip-border: $primary-medium;\\n\\n#discourse-tooltip {\\n  background-color: $discourse-tooltip-background;\\n  position: absolute;\\n  z-index: z(\\"tooltip\\");\\n  border: 1px solid $discourse-tooltip-border;\\n  max-width: 400px;\\n  margin-top: 25px;\\n  overflow-wrap: break-word;\\n  display: none;\\n  font-size: $font-0;\\n  font-weight: 500;\\n\\n  &.retina {\\n    border: 0.5px solid $discourse-tooltip-border;\\n  }\\n\\n  .tooltip-pointer {\\n    position: relative;\\n    background: $discourse-tooltip-background;\\n  }\\n\\n  .tooltip-pointer:before,\\n  .tooltip-pointer:after {\\n    position: absolute;\\n    pointer-events: none;\\n    border: solid transparent;\\n    bottom: 100%;\\n    content: \\"\\";\\n    height: 0;\\n    width: 0;\\n  }\\n\\n  .tooltip-pointer:after {\\n    border-bottom-color: $discourse-tooltip-background;\\n    border-width: 8px;\\n    left: 50%;\\n    margin-left: -8px;\\n    margin-bottom: -0.5px;\\n  }\\n\\n  .tooltip-pointer:before {\\n    border-bottom-color: $discourse-tooltip-border;\\n    border-width: 9px;\\n    left: 50%;\\n    margin-left: -9px;\\n    margin-bottom: -0.5px;\\n  }\\n\\n  .tooltip-content {\\n    padding: 1em;\\n    max-width: 250px;\\n    font-size: $font-down-1;\\n    color: $primary;\\n    box-shadow: shadow(\\"dropdown\\");\\n    line-height: 1.4em;\\n  }\\n}\\n",\n\t\t"// Page not found styles\\n\\n.page-not-found {\\n  margin: 0 0 40px 0;\\n\\n  h1.title {\\n    font-size: $font-up-5;\\n    line-height: $line-height-medium;\\n  }\\n\\n  &-search {\\n    margin-top: 20px;\\n  }\\n}\\n\\n.page-not-found-topics {\\n  display: flex;\\n  @media screen and (max-width: 600px) {\\n    flex-wrap: wrap;\\n  }\\n}\\n\\n.popular-topics,\\n.recent-topics {\\n  box-sizing: border-box;\\n  width: 50%;\\n  max-width: 400px;\\n  margin-bottom: 40px;\\n  padding-right: 20px;\\n  @media screen and (max-width: 600px) {\\n    width: 100%;\\n  }\\n  h2 {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.not-found-topic {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: baseline;\\n  margin-bottom: 15px;\\n  @media screen and (max-width: 600px) {\\n    &:nth-of-type(n + 6) {\\n      display: none;\\n    }\\n  }\\n  a:not(.badge-wrapper) {\\n    flex-basis: 100%;\\n  }\\n}\\n",\n\t\t"// Modal wrappers\\n\\n.modal-outer-container {\\n  width: 100%;\\n  height: 100%;\\n}\\n\\n.modal-middle-container {\\n  display: flex;\\n  height: 100%;\\n  align-items: center;\\n}\\n\\n.modal-inner-container {\\n  box-sizing: border-box;\\n  flex: 0 1 auto;\\n  margin: 0 auto;\\n  max-width: 700px;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"modal\\");\\n\\n  .select-kit {\\n    width: 220px;\\n\\n    &.tag-chooser {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.modal-open {\\n  .dropdown-menu {\\n    z-index: z(\\"modal\\", \\"dropdown\\");\\n  }\\n  .popover {\\n    z-index: z(\\"modal\\", \\"popover\\");\\n  }\\n  .tooltip {\\n    z-index: z(\\"modal\\", \\"tooltip\\");\\n  }\\n}\\n\\n.bootbox.modal {\\n  position: fixed;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  overflow: auto;\\n  height: auto;\\n  background-color: $secondary;\\n  box-shadow: shadow(\\"card\\");\\n  background-clip: padding-box;\\n}\\n\\n.input-hint-text {\\n  margin-left: 0.5em;\\n  color: $secondary-high;\\n}\\n\\n.modal-header {\\n  display: flex;\\n  padding: 10px 15px;\\n  border-bottom: 1px solid $primary-low;\\n  align-items: center;\\n\\n  .title {\\n    h3 {\\n      margin-bottom: 0;\\n    }\\n\\n    p {\\n      margin: 0;\\n    }\\n  }\\n\\n  .modal-close {\\n    align-self: flex-start;\\n    order: 2;\\n    margin-left: auto;\\n    padding-left: 2em;\\n    .close {\\n      color: $primary-high;\\n    }\\n  }\\n}\\n\\n.modal-backdrop {\\n  position: fixed;\\n  top: 0;\\n  right: 0;\\n  bottom: 0;\\n  left: 0;\\n  z-index: z(\\"modal\\", \\"overlay\\");\\n  background-color: #111;\\n  &.fade {\\n    opacity: 0;\\n  }\\n}\\n\\n.modal-backdrop,\\n.modal-backdrop.fade.in {\\n  animation: fade 0.3s;\\n  opacity: 0.9;\\n  filter: alpha(opacity=90);\\n}\\n\\n// fade in\\n@keyframes fade {\\n  from {\\n    opacity: 0;\\n  }\\n  to {\\n    opacity: 0.9;\\n  }\\n}\\n\\n// slide in\\n@keyframes slidein {\\n  from {\\n    transform: translateY(-20%);\\n  }\\n  to {\\n    transform: translateY(0);\\n  }\\n}\\n\\n.create-account.in .modal-inner-container,\\n.login-modal.in .modal-inner-container {\\n  animation: slidein 0.3s;\\n}\\n\\n.inline-modal {\\n  .modal-inner-container {\\n    border: 1px solid $secondary-medium;\\n  }\\n}\\n\\n.fixed-modal {\\n  position: fixed;\\n  top: 0;\\n  width: 100%;\\n  height: 100%;\\n  z-index: z(\\"modal\\", \\"content\\");\\n  overflow: auto;\\n\\n  &:not(.history-modal) {\\n    .modal-body:not(.reorder-categories):not(.poll-ui-builder) {\\n      max-height: 80vh !important;\\n      @media screen and (max-height: 500px) {\\n        max-height: 65vh !important;\\n      }\\n    }\\n  }\\n}\\n\\n.modal-form {\\n  margin-bottom: 0;\\n}\\n\\n.modal-footer {\\n  padding: 14px 15px 10px;\\n  border-top: 1px solid $primary-low;\\n  .btn {\\n    margin: 0 5px 5px 0;\\n  }\\n}\\n\\n.modal.edit-category-modal {\\n  .modal-body {\\n    textarea {\\n      height: 10em;\\n    }\\n  }\\n  @media screen and (min-width: 524px) {\\n    .modal-inner-container {\\n      min-width: 525px;\\n    }\\n  }\\n}\\n\\n.modal {\\n  .nav {\\n    padding: 10px 30px 10px 15px;\\n    background-color: $secondary;\\n    li > a {\\n      font-size: $font-0;\\n    }\\n    border-bottom: 1px solid $primary-low;\\n  }\\n\\n  &.hidden {\\n    display: none;\\n  }\\n\\n  .modal-body {\\n    box-sizing: border-box;\\n    width: 100%;\\n    overflow-y: auto;\\n    max-height: 400px;\\n\\n    &.full-height-modal {\\n      max-height: calc(100vh - 150px);\\n    }\\n\\n    &.insert-link {\\n      overflow-y: visible;\\n      input {\\n        min-width: 300px;\\n      }\\n\\n      .inputs {\\n        position: relative;\\n        .spinner {\\n          position: absolute;\\n          right: 8px;\\n          top: -15px;\\n          width: 10px;\\n          height: 10px;\\n        }\\n        .internal-link-results {\\n          position: absolute;\\n          top: 70%;\\n          padding: 5px 10px;\\n          box-shadow: shadow(\\"card\\");\\n          z-index: 5;\\n          background-color: $secondary;\\n          max-height: 150px;\\n          width: 90%;\\n          overflow-y: auto;\\n          > .search-link {\\n            padding: 6px;\\n            border-bottom: 1px solid $primary-low;\\n            cursor: pointer;\\n            display: block;\\n            &:hover,\\n            &:focus {\\n              background-color: $highlight-medium;\\n            }\\n            .search-category {\\n              display: flex;\\n              align-items: center;\\n            }\\n            .discourse-tags {\\n              display: inline-block;\\n              font-size: $font-down-1;\\n            }\\n          }\\n        }\\n      }\\n    }\\n    textarea {\\n      width: 99%;\\n      height: 80px;\\n    }\\n    p {\\n      font-size: $font-0;\\n    }\\n    .archetype-option {\\n      margin-bottom: 20px;\\n    }\\n    .warning {\\n      color: $danger !important;\\n    }\\n  }\\n\\n  .password-confirmation {\\n    display: none;\\n  }\\n\\n  section.field {\\n    padding: 0.25em 0;\\n    margin-bottom: 5px;\\n    &.with-items {\\n      display: flex;\\n      align-items: flex-start;\\n    }\\n    .field-item {\\n      display: inline-block;\\n      margin-right: 10px;\\n    }\\n  }\\n\\n  // password reset modal\\n  .modal-body.forgot-password-modal p {\\n    font-size: $font-0;\\n  }\\n\\n  pre code {\\n    white-space: pre-wrap;\\n    max-width: 700px;\\n  }\\n}\\n\\n.reply-where-modal {\\n  .modal-footer {\\n    a {\\n      display: block;\\n    }\\n    .d-modal-cancel {\\n      margin: 1em 0 0.5em;\\n    }\\n    .btn {\\n      text-align: left;\\n      font-size: $font-up-2;\\n      line-height: $line-height-medium;\\n      margin-bottom: 10px;\\n      font-weight: bold;\\n      .topic-title {\\n        font-weight: normal;\\n      }\\n    }\\n  }\\n}\\n\\n.d-modal-cancel {\\n  margin-left: 1em;\\n  color: $primary-medium;\\n  &:hover {\\n    color: $danger;\\n  }\\n}\\n\\n.delete-user-modal {\\n  .modal-footer {\\n    .btn {\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.delete-posts-progress {\\n  .progress-bar {\\n    height: 15px;\\n    position: relative;\\n    background: $primary-low-mid;\\n    border-radius: 25px;\\n    overflow: hidden;\\n    margin: 30px 0 20px;\\n    span {\\n      display: block;\\n      width: 0%;\\n      height: 100%;\\n      background-color: $tertiary;\\n      position: relative;\\n      transition: width 0.6s linear;\\n    }\\n  }\\n}\\n\\n.permission-list {\\n  // Category security tab\\n  list-style: none;\\n  margin: 0 0 30px;\\n  padding: 0;\\n  .name {\\n    margin-right: 20px;\\n    display: inline-block;\\n    min-width: 100px;\\n  }\\n  .permission {\\n    margin-left: 20px;\\n  }\\n  .d-icon-times-circle {\\n    margin-left: 5px;\\n    color: $danger;\\n  }\\n  li {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.edit-category-modal {\\n  input:not([type=\\"checkbox\\"]),\\n  .controls {\\n    display: block;\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .disable_info_wrap {\\n    position: relative;\\n    display: inline-block;\\n    float: right;\\n\\n    .cannot_delete_reason {\\n      position: absolute;\\n      background: $primary;\\n      color: $secondary;\\n      text-align: center;\\n      border-radius: 2px;\\n      padding: 12px 8px;\\n\\n      &::after {\\n        top: 100%;\\n        left: 57%;\\n        border: solid transparent;\\n        content: \\" \\";\\n        position: absolute;\\n        border-top-color: $primary;\\n        border-width: 8px;\\n      }\\n    }\\n  }\\n\\n  .permission-selector {\\n    margin-right: 0.25em;\\n  }\\n\\n  .pending-permission-change-alert {\\n    margin-left: auto;\\n    max-width: 250px;\\n    background: $primary-very-high;\\n    color: $secondary;\\n    margin-top: 10px;\\n    padding: 5px 10px;\\n    position: relative;\\n    .arrow-div {\\n      border: solid transparent;\\n      content: \\" \\";\\n      position: absolute;\\n      border-bottom-color: $primary-very-high;\\n      border-width: 7px;\\n      top: -13px;\\n      left: 200px;\\n    }\\n  }\\n\\n  .add-permission {\\n    position: relative;\\n    top: 0.1em;\\n  }\\n\\n  .edit-category-tab-settings {\\n    $category-settings-width: 280px; // Consistent width makes this all easier to read\\n    > section {\\n      margin-bottom: 1.5em;\\n    }\\n    input[type=\\"number\\"],\\n    input[type=\\"text\\"],\\n    .select-kit {\\n      width: $category-settings-width;\\n    }\\n    label {\\n      max-width: $category-settings-width;\\n    }\\n    .category-email-in-outlet {\\n      label {\\n        flex-wrap: wrap; // Todo: fix all multi-element labels\\n        a {\\n          margin-left: 1.3em;\\n        }\\n      }\\n    }\\n  }\\n  #category-min-tags-from-group {\\n    width: 100px;\\n  }\\n}\\n\\n.incoming-email-modal {\\n  .btn {\\n    transition: none;\\n    background-color: transparent;\\n    margin-right: 5px;\\n    &:hover,\\n    &.active {\\n      color: $primary;\\n    }\\n    &.active {\\n      font-weight: bold;\\n    }\\n    &:focus {\\n      outline: 2px solid $primary-low;\\n    }\\n  }\\n  .incoming-email-tabs {\\n    margin-bottom: 15px;\\n  }\\n  .incoming-email-content {\\n    height: 300px;\\n    max-width: 700px;\\n    width: 90vw; // forcing textarea wider\\n    textarea,\\n    .incoming-email-html-part {\\n      height: 95%;\\n      border: none;\\n      border-top: 1px solid $primary-low;\\n      padding-top: 10px;\\n    }\\n    textarea {\\n      font-family: monospace;\\n      resize: none;\\n      border-radius: 0;\\n      box-shadow: none;\\n    }\\n    .incoming-email-html-part {\\n      padding: 10px 4px 4px 4px;\\n    }\\n  }\\n}\\n\\n.modal .modal-body.change-timestamp {\\n  #date-container {\\n    .pika-single {\\n      width: 100%;\\n      box-sizing: border-box;\\n      display: flex;\\n      justify-content: center;\\n    }\\n  }\\n\\n  form {\\n    display: flex;\\n\\n    .date-picker-wrapper,\\n    input[type=\\"time\\"] {\\n      width: 50%;\\n    }\\n\\n    .date-picker-wrapper {\\n      display: flex;\\n      flex: 1;\\n\\n      .date-picker {\\n        flex: 1;\\n      }\\n    }\\n\\n    input.date-picker,\\n    input[type=\\"time\\"] {\\n      text-align: left;\\n      margin: 0;\\n    }\\n  }\\n}\\n\\n.change-timestamp {\\n  max-width: 420px;\\n}\\n\\n.change-timestamp,\\n.poll-ui-builder {\\n  #date-container {\\n    .pika-single {\\n      position: relative !important; // overriding another important\\n      display: inline-block;\\n      margin-top: 0.5em;\\n    }\\n  }\\n\\n  .date-picker-wrapper {\\n    min-width: 130px;\\n    margin-right: 0.5em;\\n  }\\n\\n  input[type=\\"time\\"] {\\n    width: 130px;\\n  }\\n\\n  form {\\n    margin: 0;\\n  }\\n}\\n\\n.flag-modal {\\n  max-height: 450px;\\n  .flag-action-type-details {\\n    width: 100%;\\n    max-width: 500px;\\n    line-height: $line-height-large;\\n  }\\n}\\n\\n.flag-message {\\n  margin: 0;\\n}\\n\\n.custom-message-length {\\n  color: $primary-medium;\\n  font-size: $font-down-1;\\n}\\n\\n.jump-to-post-modal {\\n  .modal-inner-container {\\n    max-width: 350px;\\n  }\\n  .modal-body {\\n    overflow-y: visible;\\n    #post-jump,\\n    .date-picker {\\n      margin: 0;\\n      width: 100px;\\n    }\\n\\n    .input-hint-text {\\n      color: $primary;\\n    }\\n\\n    .jump-to-post-control .index {\\n      color: $primary-medium;\\n    }\\n\\n    .jump-to-date-control .input-hint-text {\\n      margin-left: 0;\\n    }\\n\\n    .separator {\\n      display: flex;\\n      align-items: center;\\n      margin: 0.5em auto;\\n\\n      hr {\\n        flex: 1 0 0px;\\n      }\\n\\n      .text {\\n        margin: 0 0.5em 0 0;\\n        color: $primary-medium;\\n      }\\n    }\\n  }\\n}\\n\\n// move-to topic modal\\n.move-to-modal {\\n  // move to existing topic\\n  .existing-topic {\\n    .radio {\\n      flex-wrap: wrap;\\n    }\\n    .topic-title {\\n      max-width: 90%;\\n    }\\n    .topic-categories {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.modal:not(.has-tabs) {\\n  .modal-tab {\\n    position: absolute;\\n    width: 95%;\\n  }\\n}\\n\\n.modal {\\n  &.has-tabs {\\n    .modal-tabs {\\n      display: inline-flex;\\n      flex-wrap: wrap;\\n      width: calc(100% - 20px);\\n      flex: 1 0 auto;\\n      margin: 0;\\n\\n      .modal-tab {\\n        list-style: none;\\n        padding: s(1 2);\\n        margin-right: s(1);\\n        cursor: pointer;\\n\\n        &.is-active {\\n          color: $secondary;\\n          background: $danger;\\n\\n          &.single-tab {\\n            background: none;\\n            color: $primary;\\n            padding: s(1 0);\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".groups-header {\\n  display: flex;\\n  flex-wrap: wrap;\\n  margin-bottom: 1em;\\n  .groups-header-new {\\n    order: 2;\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.groups-header-filters {\\n  display: flex;\\n  flex-wrap: wrap;\\n\\n  .groups-header-filters-name,\\n  .groups-header-filters-type {\\n    margin-right: 5px;\\n    margin-bottom: 0.5em;\\n  }\\n\\n  &:last-child {\\n    margin-right: auto;\\n  }\\n}\\n\\n.groups-boxes {\\n  margin: 1em 0;\\n  width: 100%;\\n  // IE11 falls back to flexbox\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: space-between;\\n  // Everything that's not IE11 uses grid\\n  @supports (display: grid) {\\n    display: grid;\\n    grid-template-columns: repeat(4, 24%);\\n    grid-column-gap: 1.333%;\\n    grid-row-gap: 1em;\\n    @include breakpoint(\\"tablet\\") {\\n      grid-template-columns: repeat(3, 32%);\\n      grid-column-gap: 2%;\\n    }\\n    @include breakpoint(\\"mobile-large\\") {\\n      grid-template-columns: 100%;\\n    }\\n  }\\n\\n  .group-box {\\n    // Flex and margin are for IE11\\n    flex: 1 1 24%;\\n    margin: 1%;\\n    @include breakpoint(\\"mobile-large\\") {\\n      margin: 0;\\n    }\\n    display: flex;\\n    box-sizing: border-box;\\n    cursor: pointer;\\n    border: 1px solid $primary-low;\\n    color: $primary;\\n    .discourse-no-touch & {\\n      transition: all 0.25s;\\n      &:hover {\\n        box-shadow: shadow(\\"card\\");\\n      }\\n    }\\n    .group-membership {\\n      color: $primary-medium;\\n      margin-top: auto;\\n      padding-top: 1em;\\n      .is-group-owner,\\n      .is-group-member {\\n        color: $success;\\n      }\\n    }\\n    .group-box-inner {\\n      padding: 1em;\\n      width: 100%;\\n      display: flex;\\n      flex-direction: column;\\n      box-sizing: border-box;\\n      .group-info-wrapper {\\n        display: flex;\\n        overflow: hidden;\\n        flex: 0 1 auto;\\n        .group-avatar-flair {\\n          margin-top: 0.2em;\\n          margin-right: 8px;\\n          flex: 0 0 auto;\\n        }\\n        .group-info {\\n          flex: 1 0 auto;\\n          margin-bottom: 1em;\\n          width: 70%;\\n\\n          span {\\n            width: 100%;\\n            word-break: break-word;\\n            line-height: $line-height-medium;\\n          }\\n        }\\n      }\\n      .group-user-count {\\n        display: flex;\\n        align-items: center;\\n        color: $primary-high;\\n        .d-icon {\\n          margin-right: 0.25em;\\n          font-size: 0.8em;\\n          color: $primary-medium;\\n        }\\n      }\\n      .group-description {\\n        color: $primary-high;\\n        word-wrap: break-word;\\n      }\\n    }\\n\\n    .groups-info-name {\\n      font-size: $font-up-1;\\n      font-weight: bold;\\n      color: $primary;\\n    }\\n\\n    $size: 40px;\\n    $icon-size: $size / 1.8;\\n\\n    .group-avatar-flair {\\n      display: inline-block;\\n      color: $primary;\\n\\n      .avatar-flair {\\n        background-size: $size;\\n        height: $size;\\n        width: $size;\\n        border-radius: 50%;\\n        display: flex;\\n        align-items: center;\\n        justify-content: center;\\n        background-repeat: no-repeat;\\n\\n        .d-icon {\\n          height: $icon-size;\\n          width: $icon-size;\\n        }\\n      }\\n    }\\n    .avatar-flair-image {\\n      width: $size;\\n    }\\n  }\\n}\\n",\n\t\t".caps-lock-warning {\\n  color: $danger;\\n  font-size: $font-down-1;\\n  font-weight: bold;\\n}\\n\\n.discourse-no-touch #login-form {\\n  margin: 0;\\n}\\n\\n.discourse-touch .caps-lock-warning {\\n  display: none;\\n}\\n\\n#login-form {\\n  table {\\n    width: 100%;\\n  }\\n  a {\\n    color: $primary-high;\\n  }\\n  td {\\n    padding-right: 5px;\\n  }\\n  #credentials {\\n    tr:first-of-type {\\n      margin-bottom: 0.75em;\\n    }\\n  }\\n}\\n\\n#new-account-link {\\n  cursor: pointer;\\n}\\n\\n.login-modal,\\n.create-account {\\n  tr {\\n    border: none;\\n  }\\n  tr:not(.instructions) {\\n    td {\\n      padding: 10px 0 0 0;\\n    }\\n  }\\n  td {\\n    label,\\n    input {\\n      margin-bottom: 0;\\n      width: 100%;\\n    }\\n  }\\n  .modal-footer {\\n    .inline-spinner {\\n      display: inline-flex;\\n    }\\n  }\\n  &.awaiting-approval {\\n    display: none;\\n  }\\n}\\n\\n.create-account {\\n  .disclaimer {\\n    color: $primary-medium;\\n    margin-top: 0.5em;\\n  }\\n\\n  .user-field {\\n    > label {\\n      margin-top: 0.75em;\\n      margin-bottom: 0;\\n      padding-top: 5px;\\n    }\\n    &:first-of-type > label {\\n      margin-top: 0;\\n    }\\n\\n    input[type=\\"text\\"] {\\n      margin-bottom: 0;\\n      width: 100%;\\n    }\\n\\n    .select-kit {\\n      width: 100%;\\n    }\\n\\n    .controls {\\n      padding-top: 5px;\\n      label {\\n        width: auto;\\n        text-align: left;\\n        font-weight: normal;\\n      }\\n      .instructions {\\n        margin-top: 0.15em;\\n        color: $primary-medium;\\n        line-height: $line-height-medium;\\n      }\\n    }\\n  }\\n}\\n\\n.password-reset {\\n  .instructions {\\n    label {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\n.invites-show {\\n  .two-col {\\n    position: relative;\\n    display: flex;\\n  }\\n\\n  .col-image {\\n    position: relative;\\n    margin-right: 20px;\\n    @media screen and (max-width: 600px) {\\n      display: none;\\n    }\\n  }\\n\\n  form {\\n    margin-top: 24px;\\n    button.btn-primary {\\n      margin-top: 10px;\\n    }\\n    label:not(.checkbox-label) {\\n      font-weight: bold;\\n    }\\n    .controls,\\n    .input {\\n      margin-bottom: 10px;\\n    }\\n    .instructions {\\n      color: $primary-medium;\\n      margin: 0;\\n      font-size: $font-down-1;\\n      font-weight: normal;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.auth-message {\\n  padding: 0 15px 15px 15px;\\n  &:empty {\\n    padding: 0;\\n  }\\n}\\n\\n.modal tr.instructions {\\n  display: flex;\\n  flex-direction: column;\\n  margin-top: 0.15em;\\n  label {\\n    color: $primary-medium;\\n  }\\n}\\n\\n// alternate login / create new account buttons should be de-emphasized\\n\\nbutton#login-link,\\nbutton#new-account-link {\\n  background: transparent;\\n  color: $primary-high;\\n}\\n\\n#security-key {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: center;\\n  button {\\n    margin-right: 1.5em;\\n  }\\n  p {\\n    margin: 0;\\n    font-size: $font-0;\\n  }\\n  a {\\n    display: inline-block;\\n    padding: 1em 0.5em 1em 0;\\n    color: $tertiary;\\n  }\\n}\\n",\n\t\t".menu-panel.slide-in {\\n  position: fixed;\\n  right: 0;\\n  box-shadow: shadow(\\"header\\");\\n  &.animate {\\n    transition: right 0.2s ease-out, left 0.2s ease-out;\\n  }\\n\\n  .panel-body {\\n    position: absolute;\\n    top: 3px;\\n    bottom: 37px;\\n    width: 97%;\\n  }\\n}\\n.header-cloak {\\n  display: none;\\n}\\n\\n.menu-panel.drop-down {\\n  position: absolute;\\n  // positions are relative to the .d-header .panel div\\n  top: 100%; // directly underneath .panel\\n  right: -10px; // 10px to the right of .panel - adjust as needed\\n}\\n\\n.menu-panel {\\n  border: 1px solid $primary-low;\\n  box-shadow: shadow(\\"menu-panel\\");\\n  background-color: $secondary;\\n  z-index: z(\\"header\\");\\n  padding: 0.5em;\\n  width: 300px;\\n\\n  hr {\\n    margin: 3px 0;\\n  }\\n\\n  .panel-header {\\n    position: absolute;\\n    right: 20px;\\n  }\\n\\n  ul {\\n    list-style: none;\\n    margin: 0;\\n    padding: 0;\\n  }\\n\\n  .panel-body {\\n    touch-action: pan-y pinch-zoom;\\n    overflow-y: auto;\\n    overflow-x: hidden;\\n    max-height: 100vh;\\n  }\\n\\n  .badge-notification {\\n    vertical-align: text-bottom;\\n  }\\n}\\n\\n.menu-links.columned {\\n  li {\\n    width: 50%;\\n    float: left;\\n  }\\n}\\n\\n.menu-panel {\\n  li,\\n  li.heading {\\n    a.widget-link {\\n      padding: 0.25em 0.5em;\\n      display: block;\\n      &:hover,\\n      &:focus {\\n        background-color: $highlight-medium;\\n        outline: none;\\n      }\\n    }\\n\\n    .new {\\n      font-size: $font-down-1;\\n      margin-left: 0.5em;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  .categories-link {\\n    display: block;\\n    padding: 0.25em 0.5em;\\n  }\\n\\n  li.category-link {\\n    float: left;\\n    background-color: transparent;\\n    display: inline-flex;\\n    align-items: center;\\n    padding: 0.25em 0.5em;\\n    width: 50%;\\n    box-sizing: border-box;\\n    a {\\n      display: inline-flex;\\n      &:hover,\\n      &:focus {\\n        background: transparent;\\n      }\\n    }\\n    .badge-notification {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      background-color: transparent;\\n      display: inline;\\n      padding: 0;\\n      font-size: $font-down-1;\\n      line-height: $line-height-large;\\n    }\\n    .badge-wrapper {\\n      &.bar,\\n      &.bullet {\\n        color: $primary;\\n        padding: 0 0 0 0.15em;\\n      }\\n      &.box {\\n        color: $secondary;\\n        + a.badge.badge-notification {\\n          padding-top: 2px;\\n        }\\n        span {\\n          z-index: z(\\"base\\") * -1;\\n        }\\n      }\\n    }\\n  }\\n\\n  // note these topic counts only appear for anons in the category hamburger drop down\\n  b.topics-count {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n    font-weight: normal;\\n    font-size: $font-down-1;\\n  }\\n\\n  span.badge-category {\\n    max-width: 100px;\\n  }\\n\\n  div.discourse-tags {\\n    font-size: $font-down-1;\\n  }\\n}\\n\\n.user-menu {\\n  .quick-access-panel {\\n    width: 100%;\\n    display: table;\\n\\n    h3 {\\n      padding: 0 0.4em;\\n      font-weight: bold;\\n      margin: 0.5em 0;\\n    }\\n\\n    .d-icon,\\n    &:hover .d-icon {\\n      color: $primary-medium;\\n    }\\n    .icon {\\n      color: $primary-high;\\n    }\\n    li {\\n      background-color: $tertiary-low;\\n\\n      // This is until other languages remove the HTML from within\\n      // notifications. It can then be removed\\n      div .fa {\\n        display: none;\\n      }\\n\\n      span:first-child {\\n        color: $primary;\\n      }\\n\\n      &:hover,\\n      &:focus {\\n        background-color: $highlight-medium;\\n        outline: none;\\n      }\\n\\n      a {\\n        padding: 0;\\n        > div {\\n          overflow: hidden; // clears the text from wrapping below icons\\n\\n          // Truncate items with more than 2 lines.\\n          display: -webkit-box;\\n          -webkit-line-clamp: 2;\\n          -webkit-box-orient: vertical;\\n        }\\n      }\\n\\n      p {\\n        margin: 0;\\n        overflow: hidden;\\n      }\\n    }\\n    li:not(.show-all) {\\n      padding: 0.25em 0.5em;\\n      .d-icon {\\n        float: left;\\n        margin-right: 5px;\\n        padding-top: 0.2em;\\n      }\\n    }\\n    .is-warning {\\n      .d-icon-far-envelope {\\n        color: $danger;\\n      }\\n    }\\n    .read {\\n      background-color: $secondary;\\n    }\\n    .none {\\n      padding-top: 5px;\\n    }\\n    .spinner-container {\\n      min-height: 2em;\\n    }\\n    .spinner {\\n      width: 20px;\\n      height: 20px;\\n      border-width: 2px;\\n      margin: 0 auto;\\n    }\\n    .show-all a {\\n      width: 100%;\\n      display: flex;\\n      justify-content: center;\\n      align-items: center;\\n      min-height: 30px;\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n      background: blend-primary-secondary(5%);\\n      &:hover {\\n        color: $primary;\\n        background: dark-light-diff($primary, $secondary, 90%, -80%);\\n      }\\n    }\\n    /* as a big ol' click target, don't let text inside be selected */\\n    @include unselectable;\\n  }\\n\\n  .dismiss-link {\\n    display: inline-block;\\n    float: right;\\n  }\\n}\\n\\ndiv.menu-links-header {\\n  width: 100%;\\n  display: table;\\n  border-collapse: separate;\\n  border-spacing: 0 0.5em;\\n  .menu-links-row {\\n    border-bottom: 1px solid dark-light-choose($primary-low, $secondary-medium);\\n    display: flex;\\n\\n    // Tabs should have \\"ears\\".\\n    padding: 0 4px;\\n\\n    li {\\n      display: inline-flex;\\n      align-items: center;\\n      flex-wrap: wrap;\\n      &.user {\\n        margin-right: auto;\\n      }\\n      &.glyphs {\\n        flex-wrap: wrap;\\n        text-align: right;\\n        max-width: 65%; //IE11\\n\\n        a {\\n          // Expand the click area a bit.\\n          padding-left: 0.6em;\\n          padding-right: 0.6em;\\n        }\\n      }\\n\\n      a {\\n        // This is to make sure active and inactive tab icons have the same\\n        // size. `box-sizing` does not work and I have no idea why.\\n        border: 1px solid transparent;\\n        border-bottom: 0;\\n      }\\n\\n      a.active {\\n        border: 1px solid dark-light-choose($primary-low, $secondary-medium);\\n        border-bottom: 0;\\n        position: relative;\\n\\n        &:after {\\n          display: block;\\n          position: absolute;\\n          top: 100%;\\n          left: 0;\\n          z-index: z(\\"header\\") + 1; // Higher than .menu-panel\\n          width: 100%;\\n          height: 0;\\n          content: \\"\\";\\n          border-top: 1px solid $secondary;\\n        }\\n\\n        &:focus,\\n        &:hover {\\n          background-color: inherit;\\n        }\\n      }\\n    }\\n  }\\n  a:hover,\\n  a:focus {\\n    background-color: $highlight-medium;\\n    outline: none;\\n  }\\n  a {\\n    padding: 0.3em 0.5em;\\n  }\\n  a.user-activity-link {\\n    align-items: center;\\n    display: flex;\\n    margin: -0.5em 0;\\n    max-width: 130px;\\n\\n    // `overflow: hidden` on `.user-activity-link` would hide the `::after`\\n    // pseudo element (used to create the tab-looking effect). Sets `overflow:\\n    // hidden` on the child username label instead.\\n    overflow: visible;\\n\\n    span.d-label {\\n      display: block;\\n      max-width: 130px;\\n      @include ellipsis;\\n    }\\n\\n    @include breakpoint(mobile-medium) {\\n      max-width: 125px;\\n    }\\n  }\\n  li {\\n    display: table-cell;\\n    width: auto;\\n    text-align: center;\\n  }\\n  li:first-child {\\n    text-align: left;\\n  }\\n\\n  li:last-child {\\n    text-align: right;\\n  }\\n  .fa,\\n  a {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n\\n  .d-icon-user {\\n    margin-right: 0.475em;\\n  }\\n}\\n",\n\t\t".request-group-membership-form {\\n  label {\\n    font-weight: bold;\\n  }\\n}\\n\\n.group-add-membership-request-template {\\n  width: 98%;\\n}\\n",\n\t\t".d-editor-container {\\n  display: flex;\\n  flex-grow: 1;\\n  max-width: 100%;\\n}\\n\\n.d-editor {\\n  display: flex;\\n  flex-grow: 1;\\n  min-height: 0;\\n}\\n\\n.d-editor-textarea-wrapper,\\n.d-editor-preview-wrapper {\\n  flex: 1;\\n}\\n\\n.d-editor-textarea-wrapper {\\n  display: flex;\\n  flex-direction: column;\\n  background-color: $secondary;\\n  position: relative;\\n  border: 1px solid $primary-medium;\\n\\n  textarea {\\n    background: transparent;\\n  }\\n\\n  &.disabled {\\n    cursor: not-allowed;\\n    .d-editor-button-bar {\\n      visibility: hidden;\\n    }\\n  }\\n}\\n\\n.d-editor-preview-wrapper {\\n  max-width: 49%;\\n  margin-left: 1%;\\n  display: flex;\\n  flex-direction: column;\\n}\\n\\n.d-editor-button-bar {\\n  display: flex;\\n  align-items: center;\\n  min-height: 30px;\\n  border-bottom: 1px solid $primary-low;\\n\\n  .btn,\\n  .btn-default {\\n    background-color: transparent;\\n    display: inline-block;\\n    .d-icon {\\n      color: $primary-medium;\\n    }\\n\\n    svg {\\n      -webkit-transform: translate3d(\\n        0,\\n        0,\\n        0\\n      ); // Hack: Reduces composer icon jitter while scrolling in Safari on iOS12\\n    }\\n  }\\n\\n  .d-editor-spacer {\\n    height: 1em;\\n    display: inline-block;\\n    border-left: 1px solid $primary-low-mid;\\n  }\\n\\n  .btn:not(.no-text) {\\n    font-size: $font-up-1;\\n  }\\n\\n  .btn.bold {\\n    font-weight: bolder;\\n  }\\n\\n  .btn.italic {\\n    font-style: italic;\\n  }\\n}\\n\\n.d-editor-preview-wrapper {\\n  overflow: auto;\\n  cursor: default;\\n  -webkit-overflow-scrolling: touch;\\n}\\n\\n.d-editor-input,\\n.d-editor-preview {\\n  box-sizing: border-box;\\n  flex: 1 1 100%;\\n  width: 100%;\\n  margin: 0;\\n  min-height: auto;\\n  word-wrap: break-word;\\n  -webkit-appearance: none;\\n  border-radius: 0;\\n  &:focus {\\n    box-shadow: none;\\n    border: 0;\\n    outline: 0;\\n  }\\n}\\n\\n.d-editor-input {\\n  border: 0;\\n  padding: 10px;\\n  height: 100%;\\n  overflow-x: hidden;\\n  resize: none;\\n}\\n\\n.d-editor-preview {\\n  height: auto;\\n}\\n\\n.d-editor-plugin {\\n  display: flex;\\n  flex: 1 1;\\n  overflow: auto;\\n}\\n\\n.composing-whisper .d-editor-preview {\\n  font-style: italic;\\n  color: $primary-medium !important;\\n}\\n\\n.d-editor-preview > *:first-child {\\n  margin-top: 0;\\n}\\n\\n.hide-preview .d-editor-preview-wrapper {\\n  display: none;\\n  flex: 0;\\n}\\n\\n.user-preferences .bio-composer,\\n.group-form-bio,\\n.edit-category-tab-topic-template {\\n  textarea {\\n    width: 100%;\\n    height: 100%;\\n    min-height: 10em;\\n  }\\n  .d-editor-container {\\n    display: block;\\n  }\\n  .d-editor-textarea-wrapper {\\n    border: 1px solid $primary-low;\\n  }\\n  .d-editor-preview-wrapper {\\n    max-width: 100%;\\n    margin: 10px 0 0 0;\\n  }\\n  .d-editor-preview {\\n    background-color: $primary-very-low;\\n    padding: 5px;\\n    &:empty {\\n      padding: 0;\\n    }\\n  }\\n}\\n\\n.user-preferences .bio-composer,\\n.group-form-bio {\\n  padding: 10px;\\n  border: 1px solid $primary-low;\\n}\\n\\n.d-editor-preview img {\\n  padding-bottom: 1.4em;\\n  &.emoji,\\n  &.avatar,\\n  &.site-icon {\\n    padding-bottom: 0;\\n  }\\n}\\n\\n.d-editor-preview .image-wrapper {\\n  position: relative;\\n  display: inline-block;\\n  padding-bottom: 1.4em;\\n\\n  img {\\n    padding-bottom: 0;\\n  }\\n\\n  &:hover {\\n    .button-wrapper {\\n      opacity: 0.9;\\n    }\\n  }\\n  .button-wrapper {\\n    opacity: 0;\\n    position: absolute;\\n    transition: all 0.25s;\\n    display: flex;\\n    align-items: center;\\n    bottom: 0;\\n    left: 0;\\n    .separator {\\n      color: $primary-low-mid;\\n    }\\n\\n    .scale-btn {\\n      color: $tertiary;\\n      padding: 0 0.4em;\\n      &:first-of-type {\\n        padding-left: 0;\\n      }\\n\\n      &.active {\\n        font-weight: bold;\\n        color: $primary;\\n      }\\n\\n      &:not(.active):hover {\\n        text-decoration: underline;\\n        cursor: pointer;\\n      }\\n    }\\n  }\\n}\\n\\n.mobile-view .d-editor-preview .image-wrapper .button-wrapper {\\n  opacity: 1;\\n}\\n\\n// d-editor bar button sizing for all editors - this is kept seprate to keep\\n// everything in one place\\n.d-editor-button-bar {\\n  margin: 0.25em;\\n\\n  // shared styles for all font sizes\\n  .btn,\\n  .btn-default {\\n    padding: 0 0.5em;\\n  }\\n  .d-editor-spacer {\\n    margin: 0 0.25em;\\n  }\\n\\n  // small text size\\n  .text-size-smaller & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.4em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n      .d-editor-spacer {\\n        margin: 0 0.25em;\\n      }\\n    }\\n  }\\n\\n  // normal text size\\n  .text-size-normal & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.35em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.25em;\\n      }\\n    }\\n  }\\n\\n  // larger text size\\n  .text-size-larger & {\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.2em;\\n      }\\n    }\\n  }\\n\\n  // largest text size\\n  .text-size-largest & {\\n    .btn,\\n    .btn-default {\\n      font-size: $font-down-1;\\n    }\\n\\n    @include breakpoint(mobile-large) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.3em;\\n      }\\n    }\\n    @include breakpoint(mobile-medium) {\\n      .btn,\\n      .btn-default {\\n        padding: 0 0.2em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".timeline-loading {\\n  width: 900px;\\n}\\n\\n.timeline-container {\\n  box-sizing: border-box;\\n  z-index: z(\\"timeline\\");\\n  margin-left: 757px;\\n\\n  @include breakpoint(extra-large, min-width) {\\n    margin-left: 820px;\\n  }\\n  @media all and (min-width: 1250px) {\\n    margin-left: 900px;\\n  }\\n\\n  position: fixed;\\n  -webkit-transform: translate3d(0, 0, 0);\\n\\n  &.timeline-docked {\\n    position: absolute;\\n  }\\n\\n  &.timeline-docked-bottom {\\n    .timeline-footer-controls {\\n      opacity: 0;\\n      pointer-events: none;\\n      cursor: default;\\n    }\\n  }\\n\\n  &.timeline-fullscreen.show {\\n    max-height: 700px;\\n    transition: max-height 0.4s ease-out;\\n    @media screen and (max-height: 425px) {\\n      max-height: 75vh;\\n    }\\n    .topic-timeline {\\n      .timeline-footer-controls {\\n        display: inherit;\\n      }\\n    }\\n    .timeline-controls {\\n      display: table-cell;\\n      vertical-align: top;\\n    }\\n  }\\n\\n  &.timeline-fullscreen {\\n    max-height: 0;\\n    transition: max-height 0.3s ease-in;\\n    position: fixed;\\n    margin-left: 0;\\n    background-color: $secondary;\\n    bottom: 0;\\n    left: 0;\\n    right: 0;\\n    border-top: 1px solid dark-light-choose($primary-low, $secondary-low);\\n    box-shadow: shadow(\\"composer\\");\\n    padding-top: 20px;\\n    z-index: z(\\"fullscreen\\");\\n    @media screen and (max-height: 425px) {\\n      padding-top: 10px;\\n    }\\n    .back-button {\\n      display: none;\\n    }\\n    .topic-timeline {\\n      width: 100%;\\n      table-layout: fixed;\\n      margin-left: 0;\\n      margin-right: 0;\\n      display: table;\\n      touch-action: none;\\n\\n      .timeline-date-wrapper {\\n        float: right;\\n        text-align: right;\\n      }\\n      .post-excerpt {\\n        max-width: 650px;\\n        max-height: 165px;\\n        line-height: $line-height-large;\\n        overflow: hidden;\\n        word-wrap: break-word;\\n        text-overflow: ellipsis;\\n        display: block;\\n        display: -webkit-box;\\n        -webkit-line-clamp: 8;\\n        @media screen and (max-height: 425px) {\\n          -webkit-line-clamp: 5;\\n        }\\n        -webkit-box-orient: vertical;\\n      }\\n      .username {\\n        color: dark-light-choose($primary-high, $secondary-low);\\n        word-wrap: break-word;\\n        font-weight: bold;\\n      }\\n      .title {\\n        margin-top: 0;\\n        padding-left: 1em;\\n        display: table-cell;\\n        vertical-align: top;\\n        width: 100%;\\n        h2 {\\n          margin-top: 0;\\n          display: block;\\n          display: -webkit-box;\\n          -webkit-line-clamp: 4;\\n          -webkit-box-orient: vertical;\\n          max-height: 110px;\\n          line-height: $line-height-medium;\\n          word-wrap: break-word;\\n          text-overflow: ellipsis;\\n          overflow: hidden;\\n          font-size: $font-up-2;\\n        }\\n        a {\\n          color: $primary;\\n        }\\n      }\\n      .timeline-last-read {\\n        right: 0;\\n        margin-left: 0;\\n        .progress {\\n          display: none;\\n        }\\n      }\\n      .timeline-footer-controls {\\n        display: none;\\n        position: absolute;\\n        bottom: 10px;\\n        left: 10px;\\n\\n        button,\\n        .btn-group {\\n          float: none;\\n          display: inline-block;\\n          margin-bottom: 0;\\n          margin-right: 15px;\\n          position: static;\\n        }\\n      }\\n      .timeline-scrollarea-wrapper {\\n        display: table-cell;\\n        padding-bottom: 20px;\\n        padding-right: 1.5em;\\n        width: 100px;\\n      }\\n      .timeline-scrollarea {\\n        border-left: 0;\\n        border-right-style: solid;\\n        border-right-width: 1px;\\n        max-width: 120px;\\n        float: right;\\n\\n        .timeline-scroller {\\n          position: relative;\\n          margin-right: -1.5em;\\n          padding-right: 1.5em;\\n          justify-content: flex-end;\\n          .timeline-scroller-content {\\n            text-align: right;\\n            padding-left: 0;\\n            padding-right: 1em;\\n          }\\n          .timeline-handle {\\n            float: none;\\n            width: 11px;\\n            position: relative;\\n            right: -6px;\\n          }\\n        }\\n      }\\n    }\\n\\n    .timeline-scrollarea-wrapper::after {\\n      content: \\"\\";\\n      display: table;\\n      clear: both;\\n    }\\n  }\\n\\n  .topic-timeline {\\n    margin-left: 3em;\\n    transition: opacity 0.2s ease-in;\\n    touch-action: none;\\n\\n    .timeline-controls {\\n      margin-bottom: 1em;\\n\\n      button {\\n        margin-right: 0.5em;\\n      }\\n    }\\n\\n    .timeline-footer-controls {\\n      margin-top: 1.5em;\\n      transition: opacity 0.2s ease-in;\\n      display: flex;\\n\\n      button {\\n        margin-right: 0.5em;\\n      }\\n\\n      button:last-child {\\n        margin-right: 0;\\n      }\\n    }\\n\\n    .start-date {\\n      @include unselectable;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    .timeline-scrollarea {\\n      margin-top: 0.5em;\\n      margin-left: 0.5em;\\n      border-left: 1px solid;\\n      border-color: dark-light-choose($tertiary-low, $tertiary-high);\\n      position: relative;\\n      -webkit-transform: translate3d(0, 0, 0);\\n    }\\n\\n    .timeline-padding {\\n      transition: height 0.15s ease-out;\\n      cursor: pointer;\\n      .widget-dragging & {\\n        transition: none;\\n      }\\n    }\\n\\n    .timeline-handle {\\n      border-radius: 0.8em;\\n      width: 0.35em;\\n      background-color: dark-light-choose($tertiary-low, $tertiary-high);\\n      height: 100%;\\n      float: left;\\n      z-index: z(\\"base\\") + 1;\\n    }\\n\\n    .timeline-scroller-content {\\n      padding-left: 1em;\\n    }\\n\\n    .timeline-ago {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    .timeline-scroller {\\n      @include unselectable;\\n      margin-left: -0.19em;\\n      cursor: ns-resize;\\n      display: flex;\\n      align-items: center;\\n\\n      .back-button {\\n        margin-top: 1em;\\n      }\\n    }\\n\\n    .timeline-replies {\\n      font-weight: bold;\\n    }\\n\\n    .timeline-last-read {\\n      position: absolute;\\n      margin-left: -0.35em;\\n      .progress {\\n        font-size: 0.8em;\\n        color: $tertiary;\\n        margin-right: 1em;\\n      }\\n      z-index: z(\\"base\\") + 2; // above timeline-handle\\n    }\\n\\n    .back-button {\\n      min-height: unset;\\n      padding: 2px 5px;\\n    }\\n\\n    .now-date {\\n      @include unselectable;\\n      display: inline-block;\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n      margin-top: 0.5em;\\n    }\\n  }\\n}\\n",\n\t\t"h3 .top-title-buttons button {\\n  margin-top: 0.5em;\\n}\\n",\n\t\t"// there are (n) new or updated topics, click to show\\n.alert.alert-info {\\n  margin: 0;\\n  &.clickable {\\n    padding: 1em;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Banner\\n// --------------------------------------------------\\n\\n#banner {\\n  // go full width on mobile, by extending into the 10px wrap\\n  // borders on left and right\\n  margin: 0 -10px;\\n  max-height: 180px;\\n  @media all and (max-height: 499px) {\\n    max-height: 100px;\\n  }\\n}\\n",\n\t\t".composer-popup-container {\\n  display: none !important; // can be removed if inline JS CSS is removed from composer-popup\\n}\\n\\n.composer-popup {\\n  display: none !important; // can be removed if inline JS CSS is removed from composer-popup\\n}\\n\\n#reply-control {\\n  z-index: z(\\"mobile-composer\\");\\n  .reply-area {\\n    padding: 0 10px;\\n    padding-bottom: env(safe-area-inset-bottom);\\n    @media screen and (max-width: 374px) {\\n      padding: 0 5px;\\n    }\\n    flex-grow: 1;\\n  }\\n\\n  &.open {\\n    height: 250px;\\n    &.edit-title {\\n      height: 100%;\\n    }\\n  }\\n\\n  body.ios-safari-composer-hacks &.open {\\n    height: calc(var(--composer-vh, 1vh) * 100);\\n    .reply-area {\\n      padding-bottom: 0px;\\n    }\\n  }\\n\\n  .reply-to {\\n    margin: 5px 0;\\n    .reply-details {\\n      max-width: calc(100% - 75px);\\n    }\\n\\n    // Protection for languages with long strings on very small screens. This\\n    // has no effect on most users but we need it for some cases. If this is\\n    // not added, \\"add edit reason\\" will overlap with the composer controls\\n    @include breakpoint(mobile-small) {\\n      .reply-details {\\n        flex-wrap: wrap;\\n      }\\n\\n      .display-edit-reason {\\n        margin-top: 0.5em;\\n      }\\n\\n      .composer-controls {\\n        align-self: flex-start;\\n      }\\n    }\\n  }\\n\\n  .toggler {\\n    margin-left: -5px;\\n    .d-icon-chevron-down {\\n      vertical-align: text-top;\\n    }\\n  }\\n\\n  &.draft {\\n    padding-bottom: env(safe-area-inset-bottom);\\n\\n    .toggle-toolbar,\\n    .toggler {\\n      top: 8px;\\n    }\\n    .draft-text {\\n      width: calc(100% - 40px);\\n      @include ellipsis;\\n    }\\n  }\\n\\n  #reply-title {\\n    width: calc(100% - 20px);\\n  }\\n\\n  .category-input {\\n    margin-bottom: 5px;\\n    .category-chooser {\\n      width: 100% !important;\\n    }\\n  }\\n\\n  .submit-panel {\\n    margin-bottom: 5px;\\n    align-items: baseline;\\n    .save-or-cancel {\\n      flex: 1 1 auto;\\n      #draft-status,\\n      #file-uploading {\\n        margin-left: 6px;\\n      }\\n      .cancel {\\n        font-size: 1.4em;\\n        color: $primary-low-mid;\\n        margin-left: 0.6em;\\n        padding: 3px 6px;\\n      }\\n    }\\n    .mobile-file-upload:not(.hidden),\\n    .mobile-preview {\\n      // Alignment fix, remove if converted to buttons\\n      display: inline-flex;\\n    }\\n    .mobile-file-upload {\\n      &.hidden + .mobile-preview {\\n        // Hide preview button while file is uploading to make room for upload progress\\n        display: none;\\n      }\\n    }\\n\\n    .mobile-preview {\\n      margin-left: 0.25em;\\n    }\\n  }\\n\\n  .d-editor-textarea-wrapper {\\n    width: 100%;\\n  }\\n\\n  &.show-preview {\\n    .d-editor-preview-wrapper {\\n      position: fixed;\\n      z-index: z(\\"fullscreen\\");\\n      top: 0;\\n      bottom: 0;\\n      left: 0;\\n      right: 0;\\n      background-color: $secondary;\\n      max-width: 100%;\\n      margin: 0;\\n      padding: 10px;\\n      overflow: auto;\\n      .d-editor-preview {\\n        margin-bottom: 40px;\\n      }\\n    }\\n    .btn.hide-preview {\\n      position: fixed;\\n      right: 5px;\\n      bottom: 5px;\\n      z-index: z(\\"fullscreen\\") + 1;\\n    }\\n  }\\n\\n  &.hide-preview {\\n    .d-editor-preview-wrapper {\\n      display: none;\\n    }\\n  }\\n\\n  .d-editor-button-bar {\\n    display: none;\\n  }\\n\\n  .toolbar-visible .d-editor-button-bar {\\n    display: flex;\\n  }\\n\\n  .d-editor-button-bar .btn {\\n    &.preview {\\n      margin: 0;\\n    }\\n  }\\n\\n  #mobile-uploader {\\n    display: none;\\n  }\\n\\n  .title-and-category,\\n  .user-selector {\\n    margin: 0;\\n    .users-input {\\n      margin-bottom: 5px;\\n    }\\n  }\\n\\n  .with-tags {\\n    .category-input {\\n      flex-basis: auto;\\n      flex: 1 0 0px;\\n      margin: 0;\\n      width: 45%;\\n      margin-bottom: 5px;\\n    }\\n\\n    .mini-tag-chooser {\\n      width: 50%;\\n      flex: 1 0 0px;\\n      margin-left: 5px;\\n      margin-bottom: 5px;\\n      z-index: z(\\"base\\");\\n    }\\n  }\\n\\n  .title-input,\\n  .category-input,\\n  .users-input,\\n  .add-warning {\\n    width: 100%;\\n  }\\n\\n  .add-warning {\\n    margin: 0 0 5px 5px;\\n  }\\n\\n  .whisper {\\n    margin-right: 5px;\\n  }\\n}\\n",\n\t\t"// Mobile\\n// global styles that apply to the Discourse application specifically\\n// BEWARE: changing these styles implies they take effect anywhere they are seen\\n// throughout the Discourse application\\n\\n// Base Elements\\n\\nbody {\\n  background-color: $secondary;\\n}\\n\\n.ios-device {\\n  textarea {\\n    background-color: $secondary;\\n    font-size: $font-size-ios-input;\\n  }\\n\\n  input {\\n    &[type=\\"text\\"],\\n    &[type=\\"password\\"],\\n    &[type=\\"datetime\\"],\\n    &[type=\\"datetime-local\\"],\\n    &[type=\\"date\\"],\\n    &[type=\\"month\\"],\\n    &[type=\\"time\\"],\\n    &[type=\\"week\\"],\\n    &[type=\\"number\\"],\\n    &[type=\\"email\\"],\\n    &[type=\\"url\\"],\\n    &[type=\\"search\\"],\\n    &[type=\\"tel\\"],\\n    &[type=\\"color\\"] {\\n      font-size: $font-size-ios-input;\\n    }\\n  }\\n}\\n\\nblockquote {\\n  /* 13px left is intentional here to properly align with post quotes */\\n  padding: 10px 8px 10px 13px;\\n\\n  p {\\n    margin: 0 0 10px 0;\\n\\n    &:last-of-type {\\n      margin-bottom: 0;\\n    }\\n  }\\n}\\n\\n// Common classes\\n.wrap {\\n  padding: 0 10px;\\n}\\n\\n.boxed {\\n  .contents {\\n    padding: 10px 0 0 0;\\n  }\\n}\\n\\n.control-group {\\n  margin-bottom: 9px;\\n}\\n\\n// categories should not be bold on mobile; they fight with the topic title too much\\n.badge-wrapper {\\n  font-weight: normal;\\n}\\n\\n.mobile-nav {\\n  margin: 0;\\n  padding: 0;\\n  list-style: none;\\n  overflow: visible;\\n  position: relative;\\n  border: 1px solid $primary-medium;\\n  // Prevents the dropdowns from collapsing while content loads, so they look more like placeholders and less like dark 2px lines\\n  min-height: 37px;\\n\\n  a {\\n    color: $primary;\\n    .d-icon {\\n      margin-right: 0.25em;\\n      color: $primary-medium;\\n    }\\n  }\\n\\n  > li > a {\\n    display: flex;\\n    align-items: center;\\n    padding: 8px 10px;\\n    height: 100%;\\n    width: 100%;\\n    box-sizing: border-box;\\n  }\\n\\n  .expander .d-icon {\\n    &:last-of-type {\\n      margin-left: auto;\\n      margin-right: 0;\\n    }\\n  }\\n\\n  .drop {\\n    display: none;\\n    &.expanded {\\n      left: 0;\\n      display: block;\\n      position: absolute;\\n      z-index: z(\\"dropdown\\");\\n      background-color: $secondary;\\n      width: 100%;\\n      list-style: none;\\n      margin: 0;\\n      padding: 5px;\\n      border: 1px solid $primary-low;\\n      box-sizing: border-box;\\n\\n      li {\\n        margin: 5px 0;\\n        padding: 0;\\n\\n        a {\\n          height: 100%;\\n          display: block;\\n          padding: 5px 8px;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.form-vertical {\\n  .control-group {\\n    margin-bottom: 12px;\\n  }\\n}\\n\\n// Special elements\\n#main {\\n  position: relative;\\n}\\n\\n// Styles used before the user is logged into discourse. For example, activating\\n// their account or changing their email.\\n#simple-container {\\n  width: 90%;\\n}\\n\\n// this is used to provide visual feedback that indicates that the user / group\\n// cards are loading after the user clicks on an avatar. It's mostly for very slow\\n// connections. Users on good connections won't notice it.\\n[data-user-card]:focus {\\n  .avatar,\\n  + .avatar-flair {\\n    animation: wave 0.75s infinite;\\n    animation-delay: 0.5s;\\n  }\\n  .avatar {\\n    position: relative;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Discourse header\\n// --------------------------------------------------\\n\\n.d-header {\\n  height: 3.66em;\\n\\n  // some protection for text-only site titles\\n  .title {\\n    max-width: 75%;\\n    @include ellipsis;\\n    -webkit-animation: fadein 0.5s;\\n    animation: fadein 0.5s;\\n    // This acts as a placeholder if for some reason the small logo takes a while\\n    // to load - prevents topic title from shifting after the small logo loads.\\n    // It's hardcoded to 36px because that's the width we use inline for the small\\n    // logo in the home-logo widget.\\n    min-width: 36px;\\n    a {\\n      display: block;\\n      width: 100%;\\n    }\\n  }\\n\\n  #site-logo {\\n    max-height: 2.4em;\\n    max-width: 100%;\\n  }\\n  #site-text-logo {\\n    margin: 0;\\n    font-size: $font-up-1;\\n  }\\n  .extra-info-wrapper {\\n    .extra-info {\\n      // header title should not be centered if there's no tags / categories\\n      &:not(.two-rows) {\\n        min-height: 2.25em;\\n      }\\n      .header-title {\\n        font-size: $font-0;\\n        margin: 0 0 0.35em 0;\\n        .archetype-private_message & {\\n          // PMs might have participant avatars in the header\\n          margin: 0 0 0.15em 0;\\n        }\\n      }\\n      .private-message-glyph-wrapper {\\n        float: left;\\n      }\\n    }\\n  }\\n  button.sign-up-button {\\n    display: none;\\n  }\\n\\n  // Hide header avatar + icons while topic title is visible in mobile header\\n  .extra-info-wrapper + .panel {\\n    .header-buttons,\\n    .d-header-icons {\\n      display: none;\\n    }\\n  }\\n  // Fade in header avatar + icons if topic title is not visible in mobile header\\n  .panel {\\n    animation: fadein 0.5s;\\n  }\\n  // A rendering bug in safari causes header SVGs to jitter after animations.\\n  // translateZ() forces gpu rendering which fixes the issue.\\n  .d-header-icons {\\n    -webkit-transform: translateZ(0);\\n  }\\n}\\n\\n.d-header-icons {\\n  .d-icon {\\n    line-height: $line-height-medium;\\n  }\\n  .active .icon {\\n    &:after {\\n      margin-top: -1px;\\n    }\\n  }\\n}\\n\\n#main-outlet {\\n  padding-top: 4.2857em;\\n}\\n\\n.search-link .badge-category {\\n  display: none;\\n}\\n",\n\t\t"// shared styles\\n// used in both login and\\n// create account modals\\n.login-modal,\\n.create-account {\\n  .modal-inner-container {\\n    max-width: 350px;\\n  }\\n\\n  .close {\\n    padding: 0;\\n  }\\n\\n  #login-buttons:not(.hidden) {\\n    display: flex;\\n    flex-wrap: wrap;\\n    justify-content: center;\\n    width: 102%;\\n    padding-bottom: 10px;\\n    margin-left: -2%;\\n\\n    button {\\n      flex: 1 1 47%;\\n      max-width: 70%;\\n      margin: 1% 0 1% 2%;\\n      font-size: $font-0;\\n      white-space: nowrap;\\n      @media screen and (max-width: 360px) {\\n        font-size: $font-0;\\n      }\\n    }\\n\\n    + #login-form {\\n      border-top: 1px solid $primary-low;\\n    }\\n  }\\n\\n  form {\\n    display: flex;\\n    justify-content: center;\\n    flex-direction: column;\\n  }\\n\\n  table {\\n    width: 100%;\\n  }\\n\\n  tr {\\n    &.input td label {\\n      margin-top: 0.75em;\\n    }\\n\\n    td label {\\n      max-width: 280px;\\n      display: block;\\n      overflow: hidden;\\n      word-wrap: break-word;\\n    }\\n\\n    &:not(.instructions) td {\\n      padding: 2px 0 0 0;\\n    }\\n\\n    &:not(.password-confirmation) {\\n      display: flex;\\n      flex-direction: column;\\n    }\\n  }\\n\\n  .tip {\\n    &:not(:empty) + td {\\n      display: none;\\n    }\\n  }\\n\\n  .modal-body input[type=\\"text\\"],\\n  .modal-body input[type=\\"email\\"],\\n  .modal-body input[type=\\"password\\"],\\n  .modal-body input[type=\\"tel\\"] {\\n    margin-top: 0;\\n    width: 100%;\\n    box-sizing: border-box;\\n  }\\n\\n  .modal-footer {\\n    box-sizing: border-box;\\n    margin: 0 auto;\\n    font-size: $font-down-1;\\n  }\\n\\n  .alert.alert-error {\\n    padding: 0.5em 1em;\\n    margin: 0;\\n  }\\n\\n  #new-account-link {\\n    white-space: nowrap;\\n  }\\n}\\n\\n// Styles for the\\n// login modal only\\n.d-modal.login-modal {\\n  #credentials {\\n    width: 100%;\\n    tr {\\n      display: flex;\\n      flex-direction: column;\\n    }\\n  }\\n\\n  #login-form {\\n    margin-bottom: 0.75em;\\n    td {\\n      padding: 0;\\n      width: 100%;\\n      margin: 0 auto;\\n    }\\n\\n    label {\\n      float: left;\\n      display: block;\\n    }\\n    textarea,\\n    input,\\n    select {\\n      font-size: $font-up-1;\\n      clear: left;\\n      margin-top: 0;\\n    }\\n  }\\n\\n  tr {\\n    td label {\\n      margin-top: 0.75em;\\n      padding: 4px 0;\\n    }\\n  }\\n}\\n\\n// styles for the\\n// create account\\n// modal only\\n.create-account .modal-body {\\n  display: flex;\\n  flex-direction: column;\\n  tr.instructions {\\n    label {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  #login-buttons {\\n    border-bottom: 1px solid $primary-low;\\n  }\\n\\n  .login-form {\\n    margin-bottom: 0.75em;\\n  }\\n}\\n\\n.create-account {\\n  .user-fields {\\n    display: flex;\\n    flex-direction: column;\\n  }\\n\\n  .user-field {\\n    display: flex;\\n    flex-direction: column;\\n\\n    > label {\\n      width: auto;\\n    }\\n    .controls {\\n      margin-left: 0;\\n      label {\\n        line-height: $line-height-medium;\\n      }\\n    }\\n  }\\n}\\n\\n.password-reset,\\n.email-login,\\n.invites-show {\\n  margin-top: 30px;\\n  .col-image {\\n    padding-top: 12px;\\n  }\\n  .password-reset-img {\\n    width: 50px;\\n    height: 50px;\\n  }\\n  .col-form {\\n    padding-left: 8px;\\n  }\\n  h2 {\\n    margin-bottom: 12px;\\n  }\\n  .tip {\\n    display: block;\\n    margin: 6px 0;\\n  }\\n}\\n\\n.password-reset .tip {\\n  max-width: 180px;\\n}\\n\\n.discourse-touch .password-reset {\\n  .instructions {\\n    margin-bottom: 16px;\\n  }\\n}\\n\\n.invites-show {\\n  .col-image {\\n    display: none;\\n  }\\n}\\n",\n\t\t"// base styles for every modal popup used in Discourse\\n\\n.modal-open #main {\\n  overflow: hidden;\\n}\\n\\n.modal-middle-container {\\n  max-width: 100%;\\n  margin-bottom: 30px; // For iOS Safari issues\\n}\\n\\n// Hardcode to be the same as before for now. I would recommend not using bootbox, or finding a way so the html structure can be the same\\n.bootbox.modal {\\n  top: 10%;\\n  width: 100%;\\n}\\n\\n.modal.fade {\\n  transition: opacity 0.3s linear, top 0.3s ease-out;\\n  top: -25%;\\n}\\n.modal.fade.in {\\n  top: 50%;\\n}\\n.modal-body {\\n  padding: 10px;\\n}\\n\\n// we need a little extra room on mobile for the\\n// stuff inside the footer to fit\\n.modal-footer {\\n  padding: 10px;\\n}\\n\\n.modal-header {\\n  padding: 10px;\\n  h3 {\\n    font-size: $font-up-2;\\n  }\\n}\\n\\n.close {\\n  font-size: $font-up-4;\\n}\\n\\n#move-selected {\\n  p {\\n    margin-top: 0;\\n  }\\n\\n  input[type=\\"radio\\"] {\\n    margin-right: 10px;\\n  }\\n\\n  .category-chooser {\\n    margin-bottom: 9px;\\n  }\\n\\n  button {\\n    margin-top: 10px;\\n    display: block;\\n    width: 300px;\\n  }\\n\\n  form {\\n    margin-top: 20px;\\n    input:not(.filter-input)[type=\\"text\\"] {\\n      box-sizing: border-box;\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n@media only screen and (max-device-width: 568px) {\\n  .modal .flag-modal .flag-message {\\n    height: 3em;\\n  }\\n}\\n\\n.edit-category-modal {\\n  .modal-body {\\n    position: relative;\\n    height: 350px;\\n  }\\n  &.small .modal-body {\\n    height: 310px;\\n  }\\n\\n  .disable_info_wrap .cannot_delete_reason {\\n    top: -114px;\\n    right: 8px;\\n    min-width: 200px;\\n  }\\n}\\n\\n/* fixes for the new account confirm dialog on mobile */\\n\\n.modal-inner-container {\\n  margin-bottom: 20px;\\n}\\n\\n/* fix for tall modals */\\n\\n.fixed-modal {\\n  .modal-middle-container {\\n    margin-bottom: 0;\\n  }\\n  .modal-inner-container {\\n    max-height: 90vh;\\n    overflow: auto;\\n  }\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Topic lists\\n// --------------------------------------------------\\n\\n// List controls\\n// --------------------------------------------------\\n\\n.list-controls {\\n  margin: 10px -3px 5px -3px;\\n  .category-breadcrumb.hidden {\\n    display: none;\\n  }\\n\\n  .container {\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n    #create-topic {\\n      box-sizing: border-box;\\n      display: flex;\\n      align-self: stretch;\\n      align-items: center;\\n      margin: 0 3px 10px 3px;\\n      order: 10; // always last for consistent placement\\n    }\\n  }\\n\\n  .dropdown-select-box-header {\\n    display: flex;\\n    height: 100%;\\n  }\\n\\n  .navigation-container {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 100%;\\n    margin: 5px 0;\\n\\n    button {\\n      margin: 0 3px;\\n\\n      &.select-kit-header {\\n        display: flex;\\n        height: 100%;\\n        flex: 1 1 auto;\\n      }\\n    }\\n  }\\n\\n  .select-kit:not(.is-hidden) {\\n    display: flex;\\n    align-self: stretch;\\n    margin-bottom: 10px;\\n  }\\n\\n  .btn:not(.select-kit-header) {\\n    margin-bottom: 10px;\\n  }\\n\\n  .categories-admin-dropdown,\\n  .tag-notifications-button {\\n    order: 2; // after main nav\\n  }\\n\\n  .category-navigation {\\n    display: flex;\\n    flex-wrap: wrap;\\n    width: 100%;\\n    .edit-category {\\n      .d-icon {\\n        margin: 0;\\n      }\\n      @media screen and (max-width: 374px) {\\n        // Hide edit label on very tiny screens\\n        .d-button-label {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n\\n  .nav-pills {\\n    display: flex;\\n    flex: 1 1 auto;\\n    margin: 0 3px 5px 3px;\\n    position: relative;\\n    .navigation-toggle {\\n      flex: 0 1 auto;\\n      margin-bottom: 5px;\\n    }\\n    > li {\\n      margin-right: 0;\\n      font-size: $font-down-1;\\n      border: 1px solid $primary-medium;\\n    }\\n    > li > a {\\n      line-height: $line-height-large;\\n      display: flex;\\n      align-items: center;\\n      .d-icon {\\n        margin-left: 5px;\\n      }\\n    }\\n    .drop {\\n      border: 1px solid $primary-low;\\n      position: absolute;\\n      z-index: z(\\"dropdown\\") - 1;\\n      background-color: $secondary;\\n      padding: 0 10px 10px 10px;\\n      width: 150px;\\n      top: 100%;\\n      margin: 0;\\n      left: 0; // iOS6 alignment\\n      li {\\n        list-style-type: none;\\n        margin-left: 0;\\n        margin-top: 5px;\\n        padding-top: 10px;\\n        a {\\n          width: 100%;\\n          display: inline-block;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.list-container .full-width {\\n  margin-left: 0;\\n}\\n\\n// Base list\\n// --------------------------------------------------\\n\\n.topic-list {\\n  .right {\\n    margin-left: 55px;\\n  }\\n\\n  th,\\n  td {\\n    padding: 7px 0;\\n    max-width: 300px;\\n  }\\n\\n  .main-link {\\n    line-height: $line-height-medium;\\n    position: relative;\\n    z-index: z(\\"base\\") + 1; // Intentionally overlapping category to create bigger tap target\\n    a.title {\\n      color: $primary;\\n      padding: 0.5em 0 1.2em 0;\\n    }\\n    .topic-statuses {\\n      a {\\n        line-height: 0.8;\\n        color: $primary-medium;\\n      }\\n    }\\n  }\\n\\n  .badge-notification,\\n  .category-topic-link td.num .badge-notification {\\n    position: relative;\\n    display: inline-block;\\n    top: -1px;\\n    font-size: $font-0;\\n    line-height: $line-height-small;\\n    padding: 0.15em 0.4em 0.2em 0.4em;\\n    .d-icon {\\n      color: $secondary;\\n    }\\n\\n    &.new-topic::before {\\n      margin-right: 0;\\n    }\\n    &.new-topic {\\n      padding: 0;\\n    }\\n  }\\n\\n  .category-topic-link td.num .badge-notification {\\n    &.new-posts,\\n    &.unread-posts {\\n      color: dark-light-choose($secondary, $secondary);\\n    }\\n  }\\n\\n  .topic-item-stats {\\n    position: relative;\\n    margin-top: 0.25em;\\n    z-index: z(\\"base\\");\\n    .category,\\n    .num,\\n    .last-poster {\\n      float: left;\\n    }\\n    .category a {\\n      max-width: 160px;\\n    }\\n    .num .fa,\\n    a,\\n    a:visited {\\n      color: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n  }\\n\\n  .age {\\n    white-space: nowrap;\\n    a {\\n      // let's make all ages dim on mobile so we're not\\n      // overwhelming people with info about each topic\\n      color: dark-light-choose($primary-low-mid, $secondary-high) !important;\\n    }\\n  }\\n}\\n\\n// Category list\\n// --------------------------------------------------\\n.categories-list .category-list {\\n  margin-left: -10px;\\n  margin-bottom: 2em;\\n\\n  td {\\n    padding: 12px 5px;\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n    vertical-align: top;\\n  }\\n\\n  th {\\n    padding: 10px 0 0;\\n  }\\n\\n  td:first-of-type {\\n    padding-left: 10px;\\n  }\\n\\n  tbody {\\n    .category {\\n      border-left: 6px solid;\\n    }\\n  }\\n}\\n\\n.category-list-item.category {\\n  tr:first-of-type {\\n    border: none;\\n  }\\n  // Allow percentage widths on table cells to include their padding\\n  box-sizing: border-box;\\n  *,\\n  *:before,\\n  *:after {\\n    box-sizing: inherit;\\n  }\\n\\n  .posts {\\n    width: 10%;\\n    vertical-align: top;\\n  }\\n\\n  .age {\\n    margin-left: 5px;\\n  }\\n}\\n\\ntr.category-topic-link {\\n  border-bottom: 1px solid $primary-low;\\n  &:last-of-type {\\n    border-bottom: none;\\n  }\\n}\\n\\n.category-list-item {\\n  padding: 5px 0 2px;\\n  border-left: 6px solid;\\n  border-top: 1px solid;\\n\\n  h3 {\\n    max-width: 100%;\\n    font-size: $font-up-2;\\n    padding: 0 0 0 10px;\\n    .d-icon {\\n      margin-right: 5px;\\n    }\\n    a[href] {\\n      color: $primary;\\n    }\\n  }\\n\\n  .category-name {\\n    max-width: 80vw;\\n  }\\n\\n  .category-topic-link .main-link,\\n  .subcategories-list td,\\n  .category-description td {\\n    padding-left: 10px;\\n  }\\n\\n  .category-topic-link .main-link .age {\\n    font-size: $font-down-1;\\n  }\\n\\n  .category-description td {\\n    padding-top: 0;\\n    padding-bottom: 15px;\\n  }\\n\\n  .subcategories-list td {\\n    padding-top: 15px;\\n  }\\n\\n  .topic-list > tbody > tr {\\n    &:nth-child(odd) {\\n      background-color: $secondary;\\n    }\\n    &:nth-child(even) {\\n      background-color: $secondary;\\n    }\\n  }\\n\\n  th .badge-category {\\n    margin: 0;\\n  }\\n\\n  .category-topic-link {\\n    .num {\\n      white-space: nowrap;\\n    }\\n    .topic-excerpt {\\n      width: 110%;\\n    }\\n  }\\n\\n  .posters {\\n    float: left;\\n  }\\n  > footer {\\n    border-top: 1px solid $primary-low;\\n    padding: 7px 10px;\\n    figure {\\n      float: left;\\n      margin: 3px 7px 0 0;\\n      color: dark-light-choose($primary, $secondary-low);\\n      font-weight: bold;\\n      font-size: $font-down-1;\\n    }\\n    figcaption {\\n      display: inline;\\n      font-weight: normal;\\n    }\\n    .btn {\\n      float: right;\\n      margin-left: 7px;\\n    }\\n  }\\n}\\n\\n.category-box {\\n  h3 {\\n    margin: 0 0 0.5em 0;\\n  }\\n}\\n\\n.topic-list-bottom {\\n  margin: 20px 0 0 0;\\n}\\n\\n// Misc. stuff\\n// --------------------------------------------------\\n.btn-group .dropdown-toggle:active,\\n.btn-group.open .dropdown-toggle {\\n  outline: 0;\\n}\\n\\n.dropdown {\\n  position: relative;\\n}\\n.dropdown-toggle:active,\\n.open .dropdown-toggle {\\n  outline: 0;\\n}\\n.caret {\\n  display: inline-block;\\n  width: 0;\\n  height: 0;\\n  vertical-align: middle;\\n  border-top: 4px solid $primary;\\n  border-right: 4px solid transparent;\\n  border-left: 4px solid transparent;\\n  content: \\"\\";\\n  margin-left: 5px;\\n}\\n.dropdown-menu {\\n  position: relative;\\n  top: 100%;\\n  left: 0;\\n  z-index: z(\\"dropdown\\");\\n  display: none;\\n  float: left;\\n  width: 280px;\\n  padding: 4px 0;\\n  list-style: none;\\n  background-color: $secondary;\\n  border: 1px solid dark-light-choose(rgba(0, 0, 0, 0.2), $primary);\\n  border-radius: 5px;\\n  box-shadow: shadow(\\"dropdown\\");\\n  background-clip: padding-box;\\n  margin: 1px 0 20px;\\n  .title {\\n    font-weight: bold;\\n    display: block;\\n  }\\n}\\n.dropdown-menu a {\\n  display: block;\\n  padding: 3px 15px;\\n  clear: both;\\n  font-weight: normal;\\n  line-height: $line-height-medium;\\n  color: $primary;\\n}\\n.dropdown-menu li > a:hover,\\n.dropdown-menu .active > a,\\n.dropdown-menu .active > a:hover {\\n  color: $tertiary;\\n  text-decoration: none;\\n  background-color: $tertiary-low;\\n}\\n.open > .dropdown-menu {\\n  display: block;\\n  clear: both;\\n}\\n.fade {\\n  opacity: 0;\\n  transition: opacity linear 0.15s;\\n}\\n.fade.in {\\n  opacity: 1;\\n}\\n\\nol.category-breadcrumb {\\n  margin: 0 0 5px 0;\\n  display: flex;\\n  flex-wrap: wrap;\\n  flex: 1 1 100%;\\n  li.select-kit {\\n    flex: 1 1 33%;\\n    margin: 0 3px 5px 3px;\\n    .select-kit-header .selected-name {\\n      max-width: 80vw;\\n      .badge-wrapper {\\n        max-width: 100%;\\n      }\\n    }\\n  }\\n}\\n\\n.top-lists {\\n  h2 {\\n    margin-left: 10px;\\n  }\\n  .topic-list {\\n    padding-bottom: 10px;\\n  }\\n  .btn-default.pull-right {\\n    margin-right: 10px;\\n  }\\n}\\n\\n.tags-admin-menu {\\n  display: none;\\n}\\n\\n.staff.tags-page #create-topic {\\n  clear: right;\\n}\\n\\n.topic-list-bottom h3 {\\n  clear: both;\\n  padding-top: 10px;\\n}\\n\\n.category-logo.aspect-image {\\n  display: block;\\n  margin: 8px 0;\\n\\n  img {\\n    width: auto;\\n    max-width: 100%;\\n    max-height: 150px;\\n  }\\n}\\n\\n@supports (--custom: property) {\\n  .category-logo.aspect-image {\\n    --max-height: 150px;\\n    max-height: var(--max-height);\\n    width: calc(var(--max-height) * var(--aspect-ratio));\\n    max-width: 100%;\\n    height: auto;\\n\\n    img {\\n      width: 100%;\\n      height: inherit;\\n      max-width: initial;\\n      max-height: initial;\\n    }\\n  }\\n}\\n\\nbutton.dismiss-read {\\n  margin-right: 10px;\\n}\\n\\n// base defines extra padding for easier click/top of title field\\n// this is a bit too much for mobile\\ntd .main-link {\\n  width: 78%;\\n  display: inline-block;\\n  a.title {\\n    padding: 5px 10px 5px 0;\\n    word-wrap: break-word;\\n  }\\n}\\n.topic-list {\\n  .posts-map {\\n    font-size: $font-up-1;\\n  }\\n  // so the topic excerpt is full width\\n  // as the containing div is 80%\\n  .topic-excerpt {\\n    padding-right: 0;\\n    width: 120%;\\n  }\\n}\\n\\n.category-list.with-topics .category-list-item .category-description {\\n  display: none;\\n}\\n",\n\t\t"/* hide the reply border above the time gap notices */\\n.time-gap + .topic-post article {\\n  border-top: none;\\n}\\n\\n.time-gap {\\n  .topic-avatar {\\n    display: none;\\n  }\\n}\\n\\n.topic-post article {\\n  border-top: 1px solid $primary-low;\\n  padding: 15px 0 8px 0;\\n}\\n\\n.post-stream {\\n  padding-bottom: 30px;\\n}\\n\\nspan.badge-posts {\\n  margin-right: 5px;\\n}\\n\\n.show-replies {\\n  display: none;\\n}\\n\\n.topic-post {\\n  nav.post-controls {\\n    color: dark-light-choose($primary-low-mid, $secondary-high);\\n    .actions {\\n      display: flex;\\n    }\\n    // Handles the like and flag buttons in the post menu.\\n    .double-button {\\n      display: flex;\\n      flex: 0 1 auto;\\n      button {\\n        &.like,\\n        &.read-indicator,\\n        &.create-flag {\\n          flex: 1 1 auto;\\n        }\\n        &.button-count {\\n          padding: s(2 1 2 2);\\n          + .toggle-like,\\n          + .create-flag {\\n            padding: s(2 2 2 1);\\n          }\\n          &.my-likes,\\n          &.regular-likes {\\n            display: flex;\\n            max-width: unset;\\n            padding: s(2);\\n            .d-icon {\\n              padding-left: s(2);\\n            }\\n          }\\n        }\\n      }\\n    }\\n    .d-icon {\\n      opacity: 1;\\n    }\\n    button {\\n      border: none;\\n      font-size: $font-up-1;\\n      padding: 10px 8px;\\n      background: transparent;\\n      flex: 1 1 auto;\\n      max-width: 45px;\\n      &.hidden {\\n        display: none;\\n      }\\n      &.admin {\\n        position: relative;\\n      }\\n      &.expand-post {\\n        margin: 10px 0 10px 0;\\n      }\\n      &.reply {\\n        .d-icon {\\n          color: $primary-high;\\n        }\\n        margin-left: auto;\\n      }\\n      &.has-like {\\n        .d-icon {\\n          color: $love;\\n        }\\n      }\\n      &.bookmarked {\\n        .d-icon {\\n          color: $tertiary;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.post-admin-menu {\\n  display: inline-flex;\\n  flex-direction: column;\\n  box-sizing: border-box;\\n  background-color: $secondary;\\n  width: auto;\\n  max-width: 320px;\\n  padding: 10px;\\n  border: 1px solid $primary-low;\\n  position: absolute;\\n  text-align: left;\\n  bottom: -50px;\\n  left: 135px;\\n  @media screen and (max-width: 374px) {\\n    left: 50px;\\n  }\\n  z-index: z(\\"dropdown\\");\\n  h3 {\\n    margin-top: 0;\\n    color: $primary;\\n    font-size: $font-0;\\n  }\\n  ul {\\n    list-style: none;\\n    margin: 10px 0 0 0;\\n  }\\n  li {\\n    margin-bottom: 5px;\\n    .d-icon {\\n      width: 14px;\\n      margin-right: 10px;\\n    }\\n  }\\n}\\n\\n.embedded-posts {\\n  .topic-meta-data h5 a {\\n    margin-left: 10px;\\n  }\\n}\\n\\n.post-actions {\\n  /* overriding display: here was causing hidden element to take up space */\\n}\\n\\n.post-action {\\n  float: right;\\n  margin-right: 10px;\\n  clear: right;\\n}\\n\\n.post-action .relative-date {\\n  margin-left: 5px;\\n}\\n\\na.reply-to-tab {\\n  z-index: z(\\"base\\") + 1;\\n  color: dark-light-choose($primary-medium, $secondary-medium);\\n  margin-right: 0.5em;\\n}\\n\\n.topic-post .boxed .contents {\\n  clear: both;\\n}\\n\\n.topic-map {\\n  margin: 10px 0;\\n  h4 {\\n    line-height: $line-height-medium;\\n  }\\n  .user {\\n    float: left;\\n    margin-right: 10px;\\n  }\\n  .map-collapsed {\\n    .secondary {\\n      display: none;\\n    }\\n  }\\n  .map {\\n    li {\\n      float: left;\\n      padding: 7px 8px;\\n      &:last-of-type {\\n        border-right: 0;\\n      }\\n    }\\n    .number {\\n      line-height: $line-height-medium;\\n    }\\n    .number,\\n    .d-icon {\\n      color: dark-light-choose($primary-high, $secondary-low);\\n      font-size: $font-up-1;\\n    }\\n    .avatar + a {\\n      float: left;\\n    }\\n  }\\n  li.avatars {\\n    display: none;\\n  }\\n  .links,\\n  .information,\\n  .avatars {\\n    padding: 10px;\\n    color: $primary;\\n    overflow: auto;\\n  }\\n  .information {\\n    p {\\n      margin: 0 0 10px 0;\\n    }\\n  }\\n  .buttons {\\n    .btn {\\n      border: 0;\\n      padding: 0 15px;\\n      color: dark-light-choose($primary-medium, $secondary-high);\\n      background: blend-primary-secondary(5%);\\n      border-left: 1px solid $primary-low;\\n      .fa {\\n        margin: 0;\\n        font-size: $font-up-2;\\n        line-height: 52px;\\n      }\\n    }\\n  }\\n  .link-summary .btn {\\n    color: dark-light-choose($primary-medium, $secondary-high);\\n    background: blend-primary-secondary(5%);\\n    width: 100%;\\n  }\\n}\\n\\n#topic-footer-buttons {\\n  @include clearfix;\\n  padding: 20px 0 0 0;\\n  .d-icon-bookmark.bookmarked {\\n    color: $tertiary;\\n  }\\n  .combobox {\\n    margin-right: 0.5em;\\n    width: 160px;\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n#topic-footer-buttons {\\n  .topic-notifications-button,\\n  .pinned-button {\\n    display: flex;\\n    align-items: center;\\n    @include breakpoint(mobile-medium) {\\n      display: inline-block;\\n      .reason {\\n        display: block;\\n        margin: 0.5em 0 0 0;\\n      }\\n    }\\n  }\\n}\\n\\n#topic-footer-button {\\n  width: 100px;\\n  margin: 0 auto;\\n}\\n\\n.suggested-topics {\\n  clear: left;\\n  padding: 20px 0 15px 0;\\n  th.views,\\n  td.views,\\n  td.activity,\\n  th.activity,\\n  th.likes,\\n  td.likes {\\n    display: none;\\n  }\\n  a.badge-category,\\n  a.badge-category-parent {\\n    font-size: $font-down-1;\\n    vertical-align: top;\\n  }\\n}\\n\\nspan.post-count {\\n  background: $primary;\\n  color: $secondary;\\n  opacity: 0.8;\\n}\\n\\n#topic-footer-buttons {\\n  .btn {\\n    margin-bottom: 0.5em;\\n    margin-right: 0.5em;\\n  }\\n}\\n\\n#topic-title {\\n  z-index: z(\\"base\\") + 1;\\n  margin: 0 0 0 0 !important;\\n  padding: 15px 0;\\n}\\n\\n// mobile has no fixed width on topic-body so overflow: hidden causes problems\\n.topic-body {\\n  overflow: visible;\\n  .cooked {\\n    overflow: visible;\\n  }\\n}\\n\\n// instead, for mobile we set overflow hidden on the post's #main-outlet\\n// this prevents image overflow on deeply nested blockquotes, lists, etc\\n[class*=\\"archetype-\\"] #main-outlet {\\n  overflow: hidden;\\n}\\n\\n.quote-button.visible {\\n  display: block;\\n  z-index: z(\\"tooltip\\");\\n}\\n\\niframe {\\n  max-width: 100%;\\n}\\n\\n.open > .dropdown-menu {\\n  display: block;\\n}\\n\\n.dropdown-menu li {\\n  margin: 5px 0;\\n  .fa {\\n    float: left;\\n    margin-right: 5px;\\n    padding-top: 1px;\\n  }\\n  span {\\n    color: dark-light-choose($primary-medium, $secondary-medium);\\n  }\\n  span.title {\\n    color: $primary;\\n  }\\n}\\n\\n.btn-group {\\n  margin-top: 25px;\\n  position: relative;\\n}\\n\\n.dropdown-toggle {\\n  float: left;\\n  position: relative;\\n}\\n\\n.selected-posts {\\n  padding: 0.1em 0.7em;\\n}\\n\\n// hide the full set of selection buttons on mobile\\n.select-posts button {\\n  display: none;\\n}\\n\\n// unhide the simple \\"select just this post\\" button\\nbutton.select-post {\\n  display: inline-block;\\n}\\n\\n.deleted {\\n  .topic-body {\\n    background-color: dark-light-diff(\\n      rgba($danger, 0.7),\\n      $secondary,\\n      50%,\\n      -60%\\n    );\\n  }\\n}\\n\\n.deleted-user-avatar {\\n  font-size: $font-up-5;\\n}\\n\\nspan.btn-text {\\n  display: none;\\n}\\n\\nblockquote {\\n  clear: both;\\n  /* leave browser defaults for top and bottom here */\\n  margin-left: 0;\\n  margin-right: 0;\\n}\\n\\n.gap {\\n  padding: 0.25em 0;\\n}\\n\\n.posts-wrapper {\\n  position: relative;\\n}\\n\\nspan.highlighted {\\n  background-color: $highlight-low;\\n}\\n\\n.topic-avatar {\\n  float: left;\\n  margin-right: 10px;\\n  z-index: z(\\"base\\") + 1;\\n  /* must render on top of topic-body + topic-meta-data, otherwise not tappable */\\n}\\n\\n.topic-meta-data {\\n  margin-left: 50px;\\n  font-size: $font-down-1;\\n  .names {\\n    line-height: $line-height-medium;\\n    display: flex;\\n    flex-wrap: wrap;\\n\\n    .full-name {\\n      font-weight: bold;\\n    }\\n\\n    .first {\\n      order: 1;\\n    }\\n\\n    .poster-icon {\\n      order: 2;\\n    }\\n\\n    .second {\\n      order: 3;\\n      flex-basis: 100%;\\n    }\\n\\n    .user-title {\\n      order: 4;\\n      flex-basis: 100%;\\n    }\\n    span {\\n      margin-right: 4px;\\n    }\\n  }\\n}\\n\\n.username.new-user a {\\n  color: $primary-low-mid;\\n}\\n\\n.user-title {\\n  color: $primary-medium;\\n  overflow: hidden;\\n  margin-right: 50px;\\n}\\n\\n.read-state {\\n  display: none;\\n}\\n\\n.signup-cta {\\n  margin-left: auto;\\n  margin-right: auto;\\n  width: calc(100% - 50px);\\n  a {\\n    margin-top: 7px;\\n  }\\n  button {\\n    margin-right: 7px;\\n  }\\n}\\n\\n.popup-menu {\\n  h3 {\\n    margin-bottom: 0;\\n  }\\n}\\n\\n.post-notice {\\n  margin-bottom: 1em;\\n  &.old {\\n    border-top: none;\\n    padding-top: 0;\\n  }\\n}\\n",\n\t\t".post-info a {\\n  color: $primary-medium;\\n}\\n\\n.topic-meta-data-inside {\\n  float: right;\\n  margin-top: -38px;\\n  margin-right: 5px;\\n}\\n\\n.post-info {\\n  display: inline-block;\\n}\\n\\n#topic-title {\\n  margin: 0 60px 10px 0;\\n  h1 {\\n    font-size: $font-up-3;\\n    line-height: $line-height-medium;\\n    a {\\n      color: $primary;\\n      vertical-align: middle;\\n      word-wrap: break-word;\\n    }\\n  }\\n  .title-category-wrapper {\\n    margin-top: 5px;\\n  }\\n  .private-message-glyph {\\n    display: none;\\n  }\\n}\\n\\n.private_message #topic-title .private-message-glyph {\\n  display: inline;\\n}\\n\\n.topic-status-info {\\n  padding-left: 10px;\\n  border-top: 1px solid $primary-low;\\n  padding-top: 10px;\\n  h3 {\\n    margin: 0;\\n    display: flex;\\n    button {\\n      align-self: flex-start;\\n    }\\n  }\\n}\\n\\n#topic-progress-wrapper {\\n  position: fixed;\\n  right: 0;\\n  bottom: 0;\\n  z-index: z(\\"timeline\\");\\n  &:not(.docked) {\\n    margin-bottom: env(safe-area-inset-bottom);\\n  }\\n}\\n\\n#topic-progress-expanded {\\n  border: 1px solid $primary-low;\\n  padding: 5px;\\n  background: $secondary;\\n\\n  position: absolute;\\n  bottom: 34px;\\n  width: 135px;\\n\\n  button.full {\\n    width: 100%;\\n    margin-bottom: 5px;\\n    .d-icon {\\n      display: block;\\n      margin-top: 2px;\\n      margin-bottom: 2px;\\n      font-size: $font-up-2;\\n    }\\n  }\\n  .jump-form {\\n    input[type=\\"text\\"] {\\n      float: left;\\n      width: 45px;\\n      height: 20px;\\n      text-align: center;\\n      font-size: $font-up-1;\\n    }\\n    button.btn {\\n      float: right !important;\\n      width: 55px;\\n    }\\n  }\\n  button.btn.jump-prompt {\\n    margin: 0;\\n  }\\n  button.btn.jump-bottom {\\n    margin-top: 5px;\\n    margin-bottom: 0;\\n  }\\n}\\n\\n#topic-progress {\\n  position: relative;\\n  &.hidden {\\n    display: none;\\n  }\\n  background-color: $secondary;\\n  color: $tertiary;\\n  border: 1px solid $tertiary-low;\\n  width: 145px;\\n  height: 42px;\\n\\n  /* as a big ol' click target, don't let text inside be selected */\\n  @include unselectable;\\n\\n  .nums {\\n    position: relative;\\n    top: 12px;\\n    width: 100%;\\n    text-align: center;\\n    z-index: z(\\"base\\");\\n  }\\n  h4 {\\n    display: inline;\\n    font-size: $font-up-2;\\n    line-height: $line-height-small;\\n  }\\n  .d-icon {\\n    position: absolute;\\n    right: 8px;\\n    bottom: 9px;\\n    z-index: z(\\"base\\");\\n  }\\n  .bg {\\n    position: absolute;\\n    top: 0;\\n    bottom: 0;\\n    width: 0;\\n    border-right: 1px solid $tertiary-low;\\n    background-color: $tertiary-low;\\n    transition: width 0.75s;\\n  }\\n}\\n\\n.topic-error,\\n.topic-notice {\\n  padding: 18px;\\n  width: 90%;\\n  margin-left: auto;\\n  margin-right: auto;\\n  font-size: $font-up-4;\\n  line-height: $line-height-medium;\\n\\n  .topic-retry,\\n  .topic-join-group {\\n    display: block;\\n    margin-top: 20px;\\n    margin-left: auto;\\n    margin-right: auto;\\n  }\\n}\\n\\n#topic-progress-wrapper.docked {\\n  position: absolute;\\n}\\n\\n.topic-post:last-of-type {\\n  padding-bottom: 40px;\\n}\\n\\nsup sup,\\nsub sup,\\nsup sub,\\nsub sub {\\n  top: 0;\\n}\\n\\n// inline editing of title on mobile\\n#topic-title .title-wrapper {\\n  position: relative;\\n  float: none;\\n  width: 100%;\\n\\n  input#edit-title {\\n    width: 100%;\\n  }\\n\\n  .select-kit.combo-box.category-chooser {\\n    width: 100%;\\n    margin-top: 0;\\n  }\\n\\n  .topic-statuses {\\n    line-height: $line-height-small;\\n  }\\n}\\n\\n// make mobile timeline top and bottom dates easier to select\\n.topic-timeline {\\n  .start-date,\\n  .now-date {\\n    font-size: $font-up-1;\\n    padding: 5px;\\n  }\\n  .topic-category {\\n    margin-bottom: 0.5rem;\\n  }\\n}\\n\\n.edit-topic-timer-modal {\\n  .future-date-input {\\n    .alert-info {\\n      margin: 0 -10px -10px -10px;\\n      padding: 10px;\\n    }\\n  }\\n  .btn.pull-right {\\n    margin-right: 0;\\n  }\\n}\\n\\n.topic-footer-main-buttons {\\n  display: flex;\\n  align-items: center;\\n  flex-wrap: wrap;\\n}\\n",\n\t\t".upload-selector {\\n  input[type=\\"text\\"] {\\n    width: calc(100% - 20px);\\n  }\\n  input[type=\\"file\\"] {\\n    font-size: $font-0;\\n    line-height: $line-height-medium;\\n  }\\n  .description {\\n    color: $primary-medium;\\n  }\\n  .radios {\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n    &:first-of-type {\\n      margin-bottom: 1em;\\n    }\\n    input,\\n    label {\\n      min-height: 20px;\\n      line-height: $line-height-medium;\\n      margin: 0;\\n    }\\n    .radio {\\n      padding-left: 5px;\\n    }\\n    .inputs {\\n      margin-top: 10px;\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.uploaded-image-preview {\\n  height: 150px;\\n}\\n",\n\t\t"// Mobile styles for \\"/user\\" section\\n\\n.user-content-wrapper {\\n  display: grid;\\n  grid-template-columns: 1fr 1fr;\\n  grid-template-rows: auto auto auto;\\n  grid-row-gap: s(5);\\n  grid-column-gap: s(4);\\n  .user-primary-navigation {\\n    grid-column-start: 1;\\n    grid-row-start: 1;\\n    grid-column-end: 2;\\n  }\\n  .user-secondary-navigation {\\n    grid-column-start: 2;\\n    grid-row-start: 1;\\n  }\\n  .user-additional-controls + .user-content,\\n  .user-secondary-navigation + .user-content {\\n    grid-column-start: 1;\\n  }\\n  .user-additional-controls {\\n    grid-column-start: 1;\\n    grid-row-start: 2;\\n  }\\n  .user-content,\\n  .spinner {\\n    grid-row-start: 3;\\n    grid-column-start: 1;\\n  }\\n}\\n\\n.user-main {\\n  margin-top: s(3);\\n\\n  .user-content {\\n    box-sizing: border-box;\\n    background-color: $secondary;\\n    table {\\n      width: 100%;\\n      margin-top: s(3);\\n    }\\n  }\\n\\n  .about {\\n    margin-bottom: 0;\\n    color: $secondary;\\n\\n    .secondary {\\n      dl {\\n        padding: s(2) 0;\\n      }\\n    }\\n\\n    .details {\\n      margin-bottom: s(3);\\n\\n      h1 {\\n        line-height: $line-height-small;\\n      }\\n\\n      h2 {\\n        line-height: $line-height-medium;\\n      }\\n\\n      .user-profile-avatar {\\n        .avatar-flair {\\n          right: 2px;\\n        }\\n        display: block;\\n        float: none;\\n        margin: s(2 auto);\\n        img.avatar {\\n          float: none;\\n        }\\n      }\\n\\n      .user-profile-names {\\n        text-align: center;\\n      }\\n\\n      .location-and-website {\\n        display: flex;\\n        flex-wrap: wrap;\\n        justify-content: center;\\n        font-size: $font-0;\\n        .d-icon {\\n          width: 0.8em;\\n          height: 0.8em;\\n          margin-right: 0.25em;\\n        }\\n        a {\\n          text-decoration: underline;\\n        }\\n      }\\n\\n      .user-profile-location {\\n        margin-right: 1em;\\n      }\\n\\n      .user-profile-location,\\n      .user-profile-website {\\n        justify-content: center;\\n        display: flex;\\n        align-items: center;\\n      }\\n    }\\n\\n    .primary {\\n      display: flex;\\n      flex-wrap: wrap;\\n      color: $primary;\\n\\n      .avatar {\\n        margin: 0 0 s(3);\\n      }\\n\\n      .primary-textual {\\n        flex: 1 1 100%;\\n        word-break: break-word;\\n        margin: 0;\\n        max-width: 100%;\\n      }\\n\\n      .bio {\\n        color: $primary;\\n        margin: 0 auto s(2);\\n        max-width: 700px;\\n        text-align: center;\\n      }\\n    }\\n\\n    &.has-background {\\n      .user-profile-image {\\n        height: 200px;\\n      }\\n      .user-profile-avatar {\\n        margin-top: s(-15);\\n      }\\n    }\\n\\n    .controls {\\n      order: 3;\\n      flex: 1 1 25%;\\n      margin-left: auto;\\n\\n      ul {\\n        margin: 0;\\n        display: flex;\\n        flex: 1 1 auto;\\n        flex-wrap: wrap;\\n        margin-left: -1em;\\n        li,\\n        > span {\\n          display: flex;\\n          flex: 1 1 45%;\\n          margin-left: 1em;\\n          button,\\n          a {\\n            width: 100%;\\n          }\\n          .select-kit.dropdown-select-box.user-notifications-dropdown {\\n            width: 100%;\\n            li {\\n              flex: 1 1 100%;\\n              margin-left: 0;\\n            }\\n          }\\n        }\\n      }\\n\\n      .user-profile-controls-outlet {\\n        margin: 0 0 0 1em;\\n        li {\\n          margin: 0;\\n        }\\n      }\\n\\n      a {\\n        flex: 1 1 auto;\\n        min-width: 120px;\\n      }\\n    }\\n  }\\n\\n  .user-field {\\n    label {\\n      width: auto;\\n      text-align: left;\\n      font-weight: bold;\\n    }\\n  }\\n}\\n\\n.user-main .collapsed-info.about.has-background {\\n  background-image: none !important; // todo: make changes to behavior to remove this\\n  .details {\\n    margin-top: 0;\\n  }\\n}\\n\\n.user-main .collapsed-info.about .details {\\n  display: flex;\\n  .user-profile-avatar {\\n    margin: 0;\\n    flex: 0 0 auto;\\n    align-self: flex-start;\\n  }\\n  .primary .primary-textual {\\n    flex: 1 0 80%;\\n    margin: 0;\\n  }\\n  .user-profile-names {\\n    text-align: left;\\n  }\\n}\\n\\n.form-horizontal .control-group.category {\\n  margin-top: 18px;\\n}\\n\\n.paginated-topics-list {\\n  margin-top: 20px;\\n}\\n\\n.stats-section {\\n  li {\\n    margin: 0 15px 10px 0;\\n    padding: 0;\\n    &.linked-stat {\\n      a {\\n        padding: 0;\\n      }\\n    }\\n  }\\n}\\n\\n.badge-card.medium {\\n  width: 100%;\\n}\\n\\n.user-badges {\\n  margin-bottom: 2em;\\n}\\n\\n.user-preferences {\\n  padding-bottom: 2em;\\n\\n  .instructions {\\n    margin-top: s(1);\\n  }\\n\\n  .controls-dropdown {\\n    margin-bottom: s(4);\\n  }\\n\\n  .delete-account {\\n    overflow: hidden;\\n  }\\n\\n  .checkbox-label {\\n    display: flex;\\n    overflow: auto;\\n    width: 100%;\\n    padding: 5px 0;\\n    input {\\n      margin-right: 5px;\\n      flex: 0 0 auto;\\n    }\\n  }\\n\\n  .apps .controls button {\\n    float: right;\\n  }\\n}\\n\\n.user-right {\\n  &,\\n  > .user-stream {\\n    > .alert:first-child {\\n      margin-top: 20px;\\n    }\\n  }\\n}\\n\\n.user-invites-page {\\n  .admin-controls {\\n    flex-wrap: wrap;\\n    .pull-right {\\n      flex: 1 1 100%;\\n      font-size: $font-down-1;\\n      padding: 0;\\n    }\\n  }\\n  table {\\n    tr:first-of-type {\\n      display: none;\\n    }\\n    tr {\\n      display: flex;\\n      flex-wrap: wrap;\\n      margin-bottom: 1em;\\n    }\\n    td:first-of-type {\\n      margin-right: 1em;\\n    }\\n    td:nth-of-type(n + 3) {\\n      display: block;\\n      width: 50%;\\n      padding: 0.25em 0 1em 0;\\n    }\\n  }\\n  .user-invite-none {\\n    margin-top: 1em;\\n  }\\n}\\n",\n\t\t".modal.history-modal {\\n  button {\\n    float: none;\\n  }\\n  .modal-body {\\n    height: 62vh;\\n  }\\n  .modal-inner-container {\\n    min-height: 400px;\\n  }\\n  #revisions {\\n    max-width: 90vw;\\n  }\\n  #display-modes {\\n    display: none;\\n  }\\n  #revision-numbers {\\n    line-height: $line-height-large;\\n  }\\n  img {\\n    max-width: 95%;\\n    height: auto;\\n  }\\n  .revision-content {\\n    table {\\n      table-layout: fixed;\\n      width: 100%;\\n      word-wrap: break-word;\\n    }\\n  }\\n\\n  .modal-footer {\\n    text-align: center;\\n  }\\n\\n  #revision-controls {\\n    margin-bottom: 5px;\\n  }\\n\\n  #revision-footer-buttons {\\n    button {\\n      @extend .btn-small;\\n    }\\n  }\\n}\\n",\n\t\t".lightbox .meta,\\n.lightbox:hover .meta {\\n  opacity: 0.7;\\n  transition: none;\\n}\\n\\n.meta {\\n  align-items: center;\\n  background: $secondary;\\n  color: $primary-high;\\n  height: 25px;\\n  width: 25px;\\n  bottom: 0;\\n  right: 0;\\n\\n  .filename,\\n  .informations,\\n  .d-icon-far-image {\\n    display: none;\\n  }\\n\\n  .d-icon-discourse-expand {\\n    color: $primary-high;\\n  }\\n}\\n",\n\t\t".directory {\\n  .select-kit.dropdown-select-box.period-chooser\\n    .period-chooser-header\\n    h2.selected-name {\\n    font-size: $font-up-1;\\n    margin-bottom: 0.25em;\\n  }\\n\\n  .filter-name {\\n    float: left;\\n  }\\n\\n  .total-rows {\\n    color: $primary-medium;\\n    padding: 5px;\\n  }\\n\\n  .user {\\n    border-top: 1px solid $primary-low;\\n    padding: 1em;\\n    display: flex;\\n    flex-wrap: wrap;\\n\\n    .user-info {\\n      width: 100%;\\n      margin-bottom: 1em;\\n    }\\n\\n    .user-stat {\\n      flex: 1 1 50%;\\n      .value {\\n        font-weight: bold;\\n      }\\n      .label {\\n        margin-left: 0.2em;\\n        color: $primary-medium;\\n      }\\n      .d-icon-heart {\\n        color: $love;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".search-container {\\n  flex-direction: column;\\n  margin-top: 0.5em;\\n\\n  .search-advanced {\\n    order: 1;\\n    width: 100%;\\n\\n    .search-info {\\n      flex-direction: column;\\n      align-items: left;\\n      justify-content: center;\\n\\n      .sort-by {\\n        display: flex;\\n        align-items: center;\\n        margin-top: 0.5em;\\n        margin-left: 0;\\n        width: 100%;\\n\\n        .select-kit {\\n          flex: 1 1 auto;\\n        }\\n      }\\n    }\\n  }\\n\\n  .search-notice {\\n    margin-top: 1em;\\n  }\\n\\n  .search-advanced-sidebar {\\n    order: 0;\\n    width: 100%;\\n    margin: 0;\\n\\n    .tag-chooser {\\n      width: 100%;\\n    }\\n  }\\n}\\n\\n.fps-topic {\\n  max-width: 75%;\\n}\\n",\n\t\t".emoji-picker {\\n  max-height: 280px;\\n  border: none;\\n}\\n\\n.emoji-picker .category-icon {\\n  margin: 2px;\\n}\\n",\n\t\t".ring {\\n  top: -7px !important;\\n}\\n\\n.ring-first-notification {\\n  top: 40px;\\n}\\n",\n\t\t".group {\\n  margin-top: 15px;\\n}\\n\\n.group-name {\\n  margin: 5px 0 0 0;\\n}\\n\\n.group-nav {\\n  width: 100%;\\n}\\n\\n.group-activity,\\n.group-manage {\\n  position: relative;\\n}\\n\\n.group-members {\\n  .group-member {\\n    border-top: 1px solid $primary-low;\\n\\n    .user-info {\\n      margin: 0;\\n      padding: 0.5em;\\n      width: 98%;\\n    }\\n\\n    .btn-group {\\n      margin-top: 0;\\n    }\\n\\n    .group-member-info {\\n      color: $primary-medium;\\n\\n      label {\\n        margin-bottom: 0;\\n        font-weight: bold;\\n        display: inline-block;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".dashboard,\\n.dashboard-next {\\n  .activity-metrics .counters-list {\\n    font-size: $font-down-1;\\n  }\\n  .navigation a.navigation-link {\\n    padding: 0.5em;\\n  }\\n}\\n",\n\t\t".mobile-view {\\n  .admin-badges {\\n    .badges {\\n      margin: 0 0.25em;\\n      .content-list {\\n        flex: 0 0 100%;\\n        .admin-badge-list {\\n          max-height: 40vh;\\n          margin-right: 0;\\n        }\\n      }\\n    }\\n    .badge-intro {\\n      flex: 0 1 75%;\\n    }\\n    .current-badge {\\n      margin: 20px 0;\\n      width: 100%;\\n      textarea {\\n        width: 100%;\\n      }\\n    }\\n    input[type=\\"text\\"] {\\n      width: 100%;\\n    }\\n  }\\n}\\n",\n\t\t".admin-customize {\\n  .show-current-style {\\n    padding: 0;\\n    width: 100%;\\n  }\\n\\n  .themes-list {\\n    width: 100%;\\n    margin-bottom: 1em;\\n  }\\n  .form-horizontal.theme.settings .setting-label,\\n  .admin-container .select-kit {\\n    width: 100%;\\n  }\\n\\n  .admin-container {\\n    display: flex;\\n    flex-wrap: wrap;\\n  }\\n}\\n",\n\t\t".admin-reports {\\n  .admin-report {\\n    .body {\\n      flex-direction: column;\\n\\n      .filters {\\n        order: 0;\\n        margin: 0;\\n        width: 100%;\\n      }\\n\\n      .main {\\n        order: 2;\\n      }\\n\\n      .report-alert {\\n        margin: 0;\\n        order: 1;\\n        flex: 1 0 0px;\\n        padding: 1em;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".admin-report.post-edits {\\n  .admin-report-table {\\n    .report-table {\\n      thead tr th.edit_reason,\\n      tbody tr td.edit_reason {\\n        width: auto;\\n      }\\n    }\\n  }\\n}\\n\\n.admin-report.trending-search {\\n  .admin-report-table {\\n    .report-table {\\n      thead tr th.term,\\n      tbody tr td.term {\\n        width: 50%;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".admin-report-table {\\n  .table {\\n    font-size: $font-down-1;\\n  }\\n\\n  .table .admin-report-table-header {\\n    font-weight: 500;\\n    border-right: 1px solid $primary-low;\\n    padding: auto;\\n\\n    .title {\\n      writing-mode: vertical-rl;\\n      text-orientation: mixed;\\n      text-align: right;\\n      transform: rotate(180deg);\\n    }\\n\\n    .sort-btn {\\n      display: none;\\n    }\\n  }\\n\\n  .table tbody tr td {\\n    &.user .username {\\n      display: none;\\n    }\\n  }\\n}\\n",\n\t\t".counters-list {\\n  .counters-header .counters-cell {\\n    font-weight: normal;\\n  }\\n}\\n",\n\t\t".hamburger-panel .menu-panel.slide-in {\\n  left: 0;\\n}\\n.header-cloak {\\n  height: 100vh;\\n  width: 100vw;\\n  position: fixed;\\n  background-color: black;\\n  opacity: 0.5;\\n  top: 0;\\n  left: 0;\\n  display: none;\\n  touch-action: pan-y pinch-zoom;\\n  &.animate {\\n    transition: opacity 0.2s ease-out;\\n  }\\n}\\n",\n\t\t".reviewable {\\n  .reviewable-container {\\n    flex-direction: column;\\n\\n    .reviewable-list {\\n      order: 2;\\n      width: 100%;\\n      padding-bottom: 4em;\\n    }\\n\\n    .reviewable-filters {\\n      order: 1;\\n      margin: 0;\\n      padding: 0.5em;\\n      width: 100%;\\n    }\\n\\n    .reviewable-list + .reviewable-filters {\\n      margin: 0 0 0.5em 0;\\n    }\\n  }\\n\\n  .reviewable-scores {\\n    width: 100%;\\n  }\\n}\\n\\n.reviewable-filters {\\n  background-color: $primary-very-low;\\n  padding: 0.5em 1em 1em 1em;\\n  margin-bottom: 1em;\\n\\n  .reviewable-filters-actions {\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n\\n  .reviewable-filter {\\n    margin: 0 0 0.5em 0;\\n\\n    .filter-label {\\n      margin: 0;\\n    }\\n  }\\n}\\n\\n.reviewable-contents {\\n  .reviewable-post-header,\\n  .post-body {\\n    max-width: 100%;\\n\\n    p {\\n      overflow-x: scroll;\\n    }\\n  }\\n}\\n\\n.reviewable-actions {\\n  margin-right: -0.5em;\\n\\n  > div,\\n  > button {\\n    flex: 0 1 47%;\\n    margin-right: 0.25em;\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .reviewable-action,\\n  .reviewable-action-dropdown .dropdown-select-box-header {\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n\\n    .d-icon {\\n      margin: 0 0.15 0 0;\\n    }\\n  }\\n}\\n\\n.reviewable-scores-and-history table {\\n  width: 100%;\\n}\\n",\n\t\t".topic-footer-mobile-dropdown {\\n  .select-kit-row {\\n    &.bookmarked {\\n      .d-icon {\\n        color: $tertiary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"$avatar_width: 120px;\\n\\n// shared styles for user and group cards\\n#user-card,\\n#group-card {\\n  position: fixed;\\n  // mobile cards should always be on top of everything - 1102\\n  z-index: z(\\"mobile-composer\\") + 2;\\n  max-width: 95vw;\\n  margin: 0 2.5vw;\\n  max-height: 90vh;\\n  // avatar - names - controls\\n  .first-row {\\n    flex-wrap: wrap;\\n    .names {\\n      flex: 1 1 calc(100% - #{$avatar_width});\\n      box-sizing: border-box;\\n    }\\n    .usercard-controls {\\n      display: flex;\\n      flex: 1;\\n      margin-top: 1em;\\n      max-width: 100%;\\n      li {\\n        flex: 1;\\n        min-width: 0;\\n        &:nth-child(2) {\\n          border-left: 0.5em solid transparent;\\n        }\\n        button {\\n          @include ellipsis;\\n        }\\n      }\\n    }\\n  }\\n  h1 {\\n    font-size: $font-up-3;\\n    .d-icon {\\n      font-size: $font-down-2;\\n    }\\n  }\\n  h2 {\\n    font-size: $font-0;\\n  }\\n  h3 {\\n    font-size: $font-down-1;\\n  }\\n}\\n\\n// styles for user cards only\\n#user-card {\\n  // badges\\n  .sixth-row {\\n    .badge-section {\\n      flex-wrap: wrap;\\n      > span {\\n        display: flex;\\n        flex: 0 1 50%;\\n        max-width: 50%; // for text ellipsis\\n        padding: 2px 0;\\n        box-sizing: border-box;\\n        &:nth-of-type(1),\\n        &:nth-of-type(3) {\\n          padding-right: 4px;\\n        }\\n        a {\\n          width: 100%;\\n          display: flex;\\n        }\\n      }\\n      .user-badge {\\n        display: flex;\\n        margin: 0;\\n        width: 100%;\\n      }\\n    }\\n  }\\n}\\n\\n// mobile card cloak\\n.card-cloak {\\n  position: fixed;\\n  top: 0;\\n  left: 0;\\n  z-index: z(\\"mobile-composer\\") + 1; // 1101\\n  height: 100vh;\\n  width: 100vw;\\n  background-color: rgba(black, 0.5);\\n  animation: fadein 0.2s;\\n}\\n",\n\t\t"// Mobile styles for \\"user-stream-item\\" component\\n.user-stream {\\n  // DEPRECATION:\\n  // The \\".item\\" class should be eventually removed because it's too generic.\\n  // Once \\".item\\" has been removed, \\".user-stream-item\\" can replace\\n  // \\".user-stream\\" as the top-level selector on this file as all other\\n  // selectors below are its children\\n  .item,\\n  .user-stream-item {\\n    padding: 20px 0 15px 0;\\n  }\\n\\n  .name {\\n    vertical-align: middle;\\n  }\\n\\n  .notification {\\n    &.unread {\\n      background-color: dark-light-choose(\\n        $tertiary-low,\\n        srgb-scale($tertiary, $secondary, 15%)\\n      );\\n    }\\n  }\\n\\n  .group-member-info {\\n    .name {\\n      vertical-align: inherit;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.tag-drop {\\n      .tag-drop-header {\\n        font-size: $font-0;\\n\\n        .d-icon {\\n          font-size: $font-0;\\n        }\\n      }\\n\\n      .select-kit-row {\\n        font-weight: normal;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-drop {\\n      .category-drop-header {\\n        font-size: $font-0;\\n\\n        .d-icon {\\n          font-size: $font-0;\\n        }\\n      }\\n\\n      .select-kit-row {\\n        font-weight: normal;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    .select-kit-collection {\\n      max-height: 200px;\\n      overflow-y: auto;\\n    }\\n  }\\n}\\n",\n\t\t""\n\t],\n\t"names": [],\n\t"mappings": "AEAA,4DAA4D,AAQ5D,AAAA,IAAI,AAAC,CACH,WAAW,CAAE,UAAU,CACvB,oBAAoB,CAAE,IAAI,CAC1B,wBAAwB,CAAE,IAAI,CAC/B,AAMD,AAAA,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAWD,AAAA,OAAO,CACP,KAAK,CACL,OAAO,CACP,UAAU,CACV,MAAM,CACN,MAAM,CACN,MAAM,CACN,MAAM,CACN,IAAI,CACJ,GAAG,CACH,OAAO,CACP,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACf,AAOD,AAAA,KAAK,CACL,MAAM,CACN,QAAQ,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,QAAQ,CACzB,AAOD,AAAA,KAAK,AAAA,IAAK,EAAA,AAAA,QAAC,AAAA,EAAW,CACpB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACV,CAOD,AAAA,AAAA,MAAC,AAAA,EACD,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AASD,AAAA,CAAC,AAAC,CACA,UAAU,CAAE,WAAW,CACxB,AAMD,AAAA,CAAC,AAAA,OAAO,CACR,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AASA,AAAA,IAAI,CAAA,AAAA,KAAC,AAAA,EAAQ,OAAO,CAAA,AAAA,KAAC,AAAA,CAAO,CAC3B,eAAe,CAAE,SAAS,CAC1B,qBAAqB,CAAE,MAAM,CAC9B,AAMD,AAAA,CAAC,CACD,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAMD,AAAA,GAAG,AAAC,CACF,UAAU,CAAE,MAAM,CACnB,AAOD,AAAA,EAAE,AAAC,CACD,SAAS,CAAE,QAAQ,CACnB,MAAM,CAAE,QAAQ,CACjB,AAMD,AAAA,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AAMD,AAAA,KAAK,AAAC,CACJ,SAAS,CAAE,GAAG,CACf,AAMD,AAAA,GAAG,CACH,GAAG,AAAC,CACF,SAAS,CAAE,GAAG,CACd,WAAW,CAAE,CAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACzB,AAED,AAAA,GAAG,AAAC,CACF,GAAG,CAAE,MAAM,CACZ,AAED,AAAA,GAAG,AAAC,CACF,MAAM,CAAE,OAAO,CAChB,AASD,AAAA,GAAG,AAAC,CACF,MAAM,CAAE,CAAC,CACV,AASD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,QAAQ,CACjB,AAMD,AAAA,EAAE,AAAC,CACD,eAAe,CAAE,WAAW,CAC5B,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,GAAG,AAAC,CACF,QAAQ,CAAE,IAAI,CACf,AAMD,AAAA,IAAI,CACJ,GAAG,CACH,GAAG,CACH,IAAI,AAAC,CACH,WAAW,CAAE,oBAAoB,CACjC,SAAS,CAAE,GAAG,CACf,AAiBD,AAAA,MAAM,CACN,KAAK,CACL,QAAQ,CACR,MAAM,CACN,QAAQ,AAAC,CACP,KAAK,CAAE,OAAO,CACd,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,OAAO,CAClB,AASD,AAAA,MAAM,CACN,MAAM,AAAC,CACL,cAAc,CAAE,IAAI,CACrB,AAUD,AAAA,MAAM,CACN,IAAI,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,EACX,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EACN,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,kBAAkB,CAAE,MAAM,CAC1B,MAAM,CAAE,OAAO,CAChB,AAMD,AAAA,MAAM,CAAA,AAAA,QAAC,AAAA,EACP,IAAI,CAAC,KAAK,CAAA,AAAA,QAAC,AAAA,CAAU,CACnB,MAAM,CAAE,OAAO,CAChB,AAMD,AAAA,MAAM,AAAA,kBAAkB,CACxB,KAAK,AAAA,kBAAkB,AAAC,CACtB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAOD,AAAA,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACpB,AAUD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EACN,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,CAAC,CACX,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,CAC/C,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,AAAC,CAC9C,MAAM,CAAE,IAAI,CACb,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,kBAAkB,CAAE,SAAS,CAC7B,eAAe,CAAE,WAAW,CAC5B,kBAAkB,CAAE,WAAW,CAC/B,UAAU,CAAE,WAAW,CACxB,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,8BAA8B,CAClD,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,AAAC,CAC9C,kBAAkB,CAAE,IAAI,CACzB,AAMD,AAAA,QAAQ,AAAC,CACP,MAAM,CAAE,iBAAiB,CACzB,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,qBAAqB,CAC/B,AAOD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAMD,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,IAAI,CACf,AAOD,AAAA,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AASD,AAAA,KAAK,AAAC,CACJ,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CAClB,AAED,AAAA,EAAE,CACF,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACX,AC/ZD;;;GAGG,AA8BH,AAAA,YAAY,AAAC,CACT,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,KAAK,CEvCC,IAAO,CFwCb,UAAU,CEvCF,IAAO,CFwCf,MAAM,CAAE,GAAG,CAAC,KAAK,CCyJT,OAAoD,CDxJ5D,mBAAmB,CCwJX,OAAoD,CDvJ5D,WAAW,CAXE,gBAAgB,CAAE,SAAS,CAAE,KAAK,CAAE,UAAU,CAqB9D,AAlBD,AAUI,YAVQ,AAUP,UAAU,AAAC,CACR,OAAO,CAAE,IAAI,CAChB,AAZL,AAcI,YAdQ,AAcP,SAAS,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,CAAC,CAAC,GAAG,CAAC,IAAI,CAAE,IAAG,CAjChB,eAAc,CAkC5B,AAKL,AACI,YADQ,AACP,OAAO,CADZ,YAAY,AAEP,MAAM,AAAC,CACJ,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,KAAK,CACjB,AALL,AAOI,YAPQ,AAOP,MAAM,AAAC,CAAE,KAAK,CAAE,IAAK,CAAE,AAG5B,AAAA,YAAY,AAAC,CACT,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,GAAG,CACd,AAED,AAAA,WAAW,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,MAAM,CAYrB,AAdD,AAII,WAJO,CAIP,MAAM,AAAC,CACH,MAAM,CAAE,OAAO,CACf,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,gBAAgB,CACxB,OAAO,CAAE,CAAC,CACb,AAGL,AAAA,WAAW,AAAC,CACR,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,OAAO,CAChB,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,IAAI,CACjB,KAAK,CEnGC,IAAO,CFoGb,gBAAgB,CEnGR,IAAO,CFoGlB,AAED,AAAA,UAAU,CACV,UAAU,AAAC,CACP,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,OAAO,CACf,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,gBAAgB,CAAE,WAAW,CAC7B,mBAAmB,CAAE,aAAa,CAClC,iBAAiB,CAAE,SAAS,CAC5B,eAAe,CAAE,OAAO,CACxB,OAAO,CAAE,EAAE,CAad,AA9BD,AAsBI,UAtBM,AAsBL,MAAM,CArBX,UAAU,AAqBL,MAAM,AAAC,CACJ,OAAO,CAAE,CAAC,CACb,AAxBL,AA0BI,UA1BM,AA0BL,YAAY,CAzBjB,UAAU,AAyBL,YAAY,AAAC,CACV,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,EAAE,CACd,AAGL,AAAA,UAAU,CACV,OAAO,CAAC,UAAU,AAAC,CACf,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,yNAAyN,CAC9O,AAED,AAAA,UAAU,CACV,OAAO,CAAC,UAAU,AAAC,CACf,KAAK,CAAE,KAAK,CACZ,gBAAgB,CAAE,yNAAyN,CAC9O,AAED,AAAA,YAAY,AAAC,CACT,OAAO,CAAE,YAAY,CACxB,AAED,AAAA,WAAW,AAAC,CACR,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,CAAC,CAoBZ,AAxBD,AAMI,WANO,CAMP,EAAE,CANN,WAAW,CAOP,EAAE,AAAC,CACC,KAAK,CAAE,mBAAmB,CAC1B,OAAO,CAAE,CAAC,CACb,AAVL,AAYI,WAZO,CAYP,EAAE,AAAC,CACC,KAAK,CEpKH,IAAO,CFqKT,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,MAAM,CACrB,AAlBL,AAoBI,WApBO,CAoBP,IAAI,AAAC,CACD,aAAa,CAAE,IAAI,CACnB,MAAM,CAAE,IAAI,CACf,AAGL,AAAA,YAAY,AAAC,CACT,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,GAAG,CACZ,KAAK,CE3LC,IAAO,CF4Lb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,KAAK,CACjB,UAAU,CE9LF,IAAO,CF2NlB,AA3BG,AAAA,SAAS,CAhBb,YAAY,AAgBI,CACR,KAAK,CEhMF,IAAO,CFiMV,WAAW,CAAE,IAAI,CACpB,AAED,AAAA,YAAY,CArBhB,YAAY,AAqBO,CACX,KAAK,CEtMD,IAAO,CFuMX,WAAW,CAAE,IAAI,CACjB,UAAU,CEvMP,IAAO,CFwMV,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,GAAG,CCRvB,OAAoD,CDSxD,aAAa,CAAE,GAAG,CACrB,AAED,AAAA,YAAY,CA7BhB,YAAY,CA8BR,yBAAyB,CA9B7B,YAAY,AA8BoB,CACxB,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,OAAO,CACf,KAAK,CElNH,IAAO,CFmNT,OAAO,CAAE,EAAE,CACd,AAnCL,AAqCI,YArCQ,AAqCP,MAAM,AAAC,CACJ,KAAK,CEvNH,IAAO,CFwNT,UAAU,CCtBN,OAAoD,CDuBxD,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AAGL,AAAA,UAAU,AAAC,CACP,SAAS,CAAE,IAAI,CACf,KAAK,CEhOC,IAAO,CFiOhB,AAED,AAAA,WAAW,CAAC,YAAY,AAAC,CACrB,UAAU,CAAE,OAAO,CACtB,AAED,AAAA,cAAc,CAAC,YAAY,AAAC,CACxB,KAAK,CEvOG,IAAO,CFwOf,UAAU,CAAE,OAAO,CACnB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AAED,AAAA,YAAY,CAAC,YAAY,AAAC,CACtB,KAAK,CE9OG,IAAO,CF+Of,UAAU,CE9OH,IAAO,CF+Od,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACrB,AK5OD,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAKD,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACf,AAED,AAAA,KAAK,CACL,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAED,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,gBAAgB,CACtB,MAAM,CAAE,CAAC,CACV,AAKD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,KAAK,CAChB,AAKD,AACE,SADO,AACN,OAAO,CqClCV,UAAU,ArCkCP,OAAO,CsEwTV,UAAU,AtExTP,OAAO,CsE4TV,KAAK,AtE5TF,OAAO,CADV,SAAS,AAEN,MAAM,CqCnCT,UAAU,ArCmCP,MAAM,CsEuTT,UAAU,AtEvTP,MAAM,CsE2TT,KAAK,AtE3TF,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACb,AALH,AAME,SANO,AAEN,MAAM,CqCnCT,UAAU,ArCmCP,MAAM,CsEuTT,UAAU,AtEvTP,MAAM,CsE2TT,KAAK,AtE3TF,MAAM,AAIC,CACN,KAAK,CAAE,IAAI,CACZ,AAMH,AAAA,kBAAkB,AAAC,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACxB,AAKD,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CAChB,AAID,AAAA,iBAAiB,AAAA,MAAM,AAAC,CACtB,UAAU,CJgHA,OAAoD,CI/G9D,KAAK,CHnFG,IAAO,CGoFhB,AN5ED,AAAA,IAAI,AODC,CACH,KAAK,CJRG,IAAO,CISf,WAAW,CLgCM,SAAS,CAAE,KAAK,CAAE,UAAU,CK/B7C,SAAS,CL4BM,IAAI,CK3BnB,WAAW,CLsDO,GAAG,CKrDrB,gBAAgB,CJXN,IAAO,CIYjB,UAAU,CAAE,MAAM,CAClB,SAAS,CAAE,GAAG,CAaf,AApBD,AASE,IATE,AASD,kBAAkB,AAAC,CAClB,SAAS,CLoBY,IAAI,CKnB1B,AAXH,AAaE,IAbE,AAaD,iBAAiB,AAAC,CACjB,SAAS,CLkBW,IAAI,CKjBzB,AAfH,AAiBE,IAjBE,AAiBD,kBAAkB,AAAC,CAClB,SAAS,CLeY,IAAI,CKd1B,AP4DH,AAAA,CAAC,AOtDC,CACA,KAAK,CJ/BI,IAAO,CIgChB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,OAAO,CAUhB,AAbD,AAIE,CAJD,AAIE,QAAQ,AAAC,CACR,KAAK,CJnCE,IAAO,CIoCf,AANH,AAOE,CAPD,AAOE,MAAM,AAAC,CACN,KAAK,CJtCE,IAAO,CIuCf,AATH,AAUE,CAVD,AAUE,OAAO,AAAC,CACP,KAAK,CJzCE,IAAO,CI0Cf,AP6JH,AAAA,EAAE,AOvJC,CACD,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,KAAK,CACb,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CAAC,KAAK,CL2IX,OAAoD,CK1I9D,OAAO,CAAE,CAAC,CACX,AAKD,AAAA,EAAE,CACF,EAAE,AAAC,CACD,MAAM,CAAE,YAAY,CACpB,OAAO,CAAE,CAAC,CACX,AAED,AAAA,OAAO,CAAC,EAAE,CACV,OAAO,CAAC,EAAE,CACV,OAAO,CAAC,EAAE,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,OAAO,CAAC,EAAE,CACV,iBAAiB,CAAC,EAAE,AAAC,CACnB,MAAM,CAAE,CAAC,CACT,YAAY,CAAE,IAAI,CACnB,AAED,AACE,EADA,CACE,EAAE,CADN,EAAE,CAEE,EAAE,AAAC,CACH,aAAa,CAAE,CAAC,CACjB,APkGH,AAAA,GAAG,AO5FC,CACF,cAAc,CAAE,MAAM,CACvB,APqRD,AAAA,QAAQ,AOhRC,CACP,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAED,AAAA,GAAG,CAAC,IAAI,AAAC,CACP,QAAQ,CAAE,IAAI,CACd,QAAQ,CAAE,CAAC,CACZ,AAGD,AAAA,IAAI,AAAA,OAAO,CACX,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,EAAE,CACZ,AACD,AAAA,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAKD,AAAA,KAAK,AAAC,CACJ,UAAU,CAAE,GAAG,CAAC,KAAK,CLoEX,OAAoD,CKnE/D,AAED,AAAA,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CLgEd,OAAoD,CK5D/D,AALD,AAEE,EAFA,AAEC,YAAY,AAAC,CACZ,SAAS,CAAE,uCAAuC,CACnD,AAIH,AAAA,IAAI,CAAG,EAAE,AAAC,CACR,SAAS,CAAE,GAAG,CACf,AY3ID,AAEI,WAFO,AACR,0BAA0B,CACzB,gBAAgB,AAAC,CACf,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,KAAK,CACb,AALL,AAOI,WAPO,AACR,0BAA0B,CAMzB,kBAAkB,CAAC,OAAO,AAAC,CACzB,eAAe,CAAE,aAAa,CAC/B,ACTL,AAEI,WAFO,AACR,UAAU,AACR,iBAAiB,AAAC,CACjB,KAAK,CAAE,KAAK,CA2Cb,AA9CL,AAKM,WALK,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,iBAAiB,CAAE,UAAU,CAC7B,cAAc,CAAE,UAAU,CAC1B,WAAW,CAAE,UAAU,CACvB,kBAAkB,CAAE,QAAQ,CAC5B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,MAAM,CAC1B,cAAc,CAAE,MAAM,CA8BvB,AA7CP,AAkBU,WAlBC,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,AAYZ,KAAK,CACJ,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AApBX,AAuBQ,WAvBG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAkBb,YAAY,AAAC,CACX,SAAS,ClB4BL,OAAQ,CkB3BZ,KAAK,CjBzBL,IAAO,CiB0BP,WAAW,CAAE,MAAM,CACpB,AA3BT,AA6BQ,WA7BG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAwBb,gBAAgB,AAAC,CACf,KAAK,CjB9BL,IAAO,CiB+BP,WAAW,ClBkCD,GAAG,CkBjCb,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACf,AAnCT,AAqCQ,WArCG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAgCb,cAAc,AAAC,CACb,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,OAAO,CACd,SAAS,ClBSL,OAAQ,CkBRZ,WAAW,ClBsBD,GAAG,CkBrBd,AC5CT,AAGM,WAHK,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAAC,CACb,SAAS,CnB8CR,GAAG,CmB7CJ,WAAW,CAAE,MAAM,CASpB,AAdP,AAOQ,WAPG,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAIX,IAAI,AAAC,CACJ,MAAM,CAAE,CAAC,CAKV,AAbT,AAUU,WAVC,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAIX,IAAI,CAGH,IAAI,AAAA,eAAe,AAAC,CAClB,MAAM,CAAE,CAAC,CACV,AAZX,AAgBM,WAhBK,AACR,UAAU,AACR,cAAc,AAcZ,IAAI,AAAA,cAAc,CAAC,qBAAqB,AAAC,CACxC,OAAO,CAAE,YAAY,CACtB,AAlBP,AAqBQ,WArBG,AACR,UAAU,AACR,cAAc,AAkBZ,IAAI,AAAA,cAAc,CAAC,qBAAqB,CACvC,cAAc,AAAA,IAAI,AAAC,CACjB,OAAO,CAAE,CAAC,CACX,AAvBT,AA2BQ,WA3BG,AACR,UAAU,AACR,cAAc,CAwBb,qBAAqB,AAClB,QAAQ,CAAC,cAAc,AAAC,CACvB,KAAK,CAAE,OAAO,CACf,AA7BT,AA+BQ,WA/BG,AACR,UAAU,AACR,cAAc,CAwBb,qBAAqB,CAKnB,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAjCT,AAoCM,WApCK,AACR,UAAU,AACR,cAAc,CAkCb,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CACjB,AAtCP,AAwCM,WAxCK,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,AAAC,CACd,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,UAAU,CA+BxB,AAzEP,AA4CQ,WA5CG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAIZ,AAAA,UAAC,CAAW,gBAAgB,AAA3B,EA5CV,WAAW,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAKZ,AAAA,UAAC,CAAW,eAAe,AAA1B,CAA4B,CAC5B,KAAK,ClB5CJ,IAAO,CkB6CR,WAAW,CAAE,GAAG,CACjB,AAhDT,AAkDQ,WAlDG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAUb,cAAc,AAAC,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CnB8IH,OAAoD,CmB7ItD,UAAU,CAAE,GAAG,CAChB,AAtDT,AAwDQ,WAxDG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAgBb,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACpB,AA1DT,AA4DQ,WA5DG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAoBb,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,MAAM,CACpB,AA/DT,AAiEQ,WAjEG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAyBb,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,WAAW,CAAE,IAAI,CAKlB,AAxET,AAqEU,WArEC,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAyBb,cAAc,AAIX,UAAW,CAAA,CAAC,CAAE,CACb,WAAW,CAAE,IAAI,CAClB,AAvEX,AA2EM,WA3EK,AACR,UAAU,AACR,cAAc,AAyEZ,YAAY,CAAC,mBAAmB,CA3EvC,WAAW,AACR,UAAU,AACR,cAAc,CA0Eb,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AC9EP,AAEI,WAFO,CACT,aAAa,CACX,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACf,AAVL,AAWI,WAXO,CACT,aAAa,CAUX,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAChB,AAbL,AAeM,WAfK,CACT,aAAa,CAaX,gBAAgB,CACd,cAAc,AAAA,IAAI,AAAC,CACjB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CAChB,AAlBP,AAoBI,WApBO,CACT,aAAa,CAmBX,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,ACtBL,AAKQ,WALG,AAER,kBAAkB,CACjB,cAAc,CACZ,cAAc,AACX,IAAI,CAJb,eAAe,AACZ,kBAAkB,CACjB,cAAc,CACZ,cAAc,AACX,IAAI,AAAC,CACJ,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACX,ACRT,AACE,WADS,AACR,UAAU,AAAC,CACV,SAAS,CAAE,IAAI,CA4HhB,AA9HH,AAGI,WAHO,AACR,UAAU,CAET,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,aAAa,CAAE,CAAC,CAChB,UAAU,CtBiIF,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CsBhIvC,AARL,AAUI,WAVO,AACR,UAAU,CAST,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,QAAQ,CAIlB,AAjBL,AAcM,WAdK,AACR,UAAU,CAST,eAAe,AAIZ,WAAW,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,AAhBP,AAmBI,WAnBO,AACR,UAAU,CAkBT,kBAAkB,AAAC,CACjB,OAAO,CtBTG,GAAG,CAAC,IAAI,CsBUlB,UAAU,CAAE,GAAG,CAAC,KAAK,CtB6Kf,OAAoD,CsB5K1D,aAAa,CAAE,GAAG,CAAC,KAAK,CtB4KlB,OAAoD,CsB5J3D,AAtCL,AAwBM,WAxBK,AACR,UAAU,CAkBT,kBAAkB,CAKhB,QAAQ,AAAC,CACP,IAAI,CAAE,QAAQ,CACf,AA1BP,AA4BM,WA5BK,AACR,UAAU,CAkBT,kBAAkB,CAShB,aAAa,CA5BnB,WAAW,AACR,UAAU,CAkBT,kBAAkB,CAUhB,aAAa,AAAA,MAAM,CA7BzB,WAAW,AACR,UAAU,CAkBT,kBAAkB,CAWhB,aAAa,AAAA,OAAO,AAAC,CACnB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACX,AAjCP,AAmCM,WAnCK,AACR,UAAU,CAkBT,kBAAkB,CAgBhB,YAAY,AAAC,CACX,YAAY,CAAE,GAAG,CAClB,AArCP,AAwCI,WAxCO,AACR,UAAU,CAuCT,kBAAkB,AAAC,CACjB,UAAU,CrBxCJ,IAAO,CqByCb,MAAM,CAAE,GAAG,CAAC,KAAK,CtBwJX,OAAoD,CsBvJ1D,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,SAAS,CtBKN,GAAG,CsBCP,AAnDL,AA+CM,WA/CK,AACR,UAAU,CAuCT,kBAAkB,AAOf,WAAW,AAAC,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CrB9Cd,IAAO,CqB+CV,UAAU,CtB8FP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,CqBgDX,AAlDP,AAqDI,WArDO,AACR,UAAU,CAoDT,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,IAAI,CAiBhB,AA5EL,AA8DQ,WA9DG,AACR,UAAU,CAoDT,sBAAsB,CAQpB,kBAAkB,CAChB,CAAC,AAAC,CACA,WAAW,CAAE,MAAM,CACnB,KAAK,CrBhEL,IAAO,CqBiEP,WAAW,CtBDA,GAAG,CsBEd,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,KAAK,CrBnEJ,IAAO,CqBwET,AA1ET,AAuEU,WAvEC,AACR,UAAU,CAoDT,sBAAsB,CAQpB,kBAAkB,CAChB,CAAC,AASE,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AAzEX,AA+EM,WA/EK,AACR,UAAU,AA6ER,YAAY,CACX,kBAAkB,AAAC,CACjB,UAAU,CtBkHN,OAAoD,CsBjHxD,YAAY,CtBiHR,OAAoD,CsBhHxD,KAAK,CtBgHD,OAAoD,CsB5GzD,AAtFP,AAmFQ,WAnFG,AACR,UAAU,AA6ER,YAAY,CACX,kBAAkB,CAIhB,OAAO,AAAC,CACN,KAAK,CtB8GH,OAAoD,CsB7GvD,AArFT,AA0FM,WA1FK,AACR,UAAU,AAwFR,eAAe,CACd,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CrBzFd,IAAO,CqB0FV,UAAU,CtBmDP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,CqB2FX,AA7FP,AAiGM,WAjGK,AACR,UAAU,AA+FR,YAAY,CACX,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CrBjGd,IAAO,CqBkGV,UAAU,CtB2CP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,CqBmGX,AArGP,AAyGM,WAzGK,AACR,UAAU,AAuGR,YAAY,AAAA,SAAS,CACpB,kBAAkB,AAAC,CACjB,aAAa,CAAE,WAAW,CAC3B,AA3GP,AA6GM,WA7GK,AACR,UAAU,AAuGR,YAAY,AAAA,SAAS,CAKpB,gBAAgB,AAAC,CACf,aAAa,CAAE,WAAW,CAC3B,AA/GP,AAkHI,WAlHO,AACR,UAAU,AAiHR,SAAS,CAlHd,WAAW,AACR,UAAU,AAkHR,eAAe,AAAC,CACf,SAAS,CAAE,IAAI,CAIhB,AAxHL,AAqHM,WArHK,AACR,UAAU,AAiHR,SAAS,CAGR,eAAe,CArHrB,WAAW,AACR,UAAU,AAkHR,eAAe,CAEd,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAvHP,AA0HI,WA1HO,AACR,UAAU,AAyHR,YAAY,CAAC,mBAAmB,CA1HrC,WAAW,AACR,UAAU,CA0HT,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AC7HL,AAEI,WAFO,AACR,oBAAoB,AAClB,iBAAiB,AAAC,CACjB,MAAM,CAAE,CAAC,CAmBV,AAtBL,AAIM,WAJK,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAAC,CACjB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,CAAC,CACV,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CvByLb,OAAoD,CuBxLxD,UAAU,CAAE,KAAK,CAQlB,AAlBP,AAWQ,WAXG,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,CAOhB,OAAO,AAAC,CACN,OAAO,CAAE,OAAO,CACjB,AAbT,AAcQ,WAdG,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAUf,MAAM,CAdf,WAAW,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAWf,MAAM,AAAC,CACN,UAAU,CvBkLR,OAAoD,CuBjLvD,AAjBT,AAmBM,WAnBK,AACR,oBAAoB,AAClB,iBAAiB,CAiBhB,OAAO,AAAC,CACN,MAAM,CAAE,YAAY,CACrB,ACrBP,AACE,WADS,AACR,oBAAoB,AAAC,CACpB,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CA6Hb,AAnIH,AASM,WATK,AACR,oBAAoB,AAOlB,YAAY,CACX,sBAAsB,CAT5B,WAAW,AACR,oBAAoB,AAOlB,YAAY,CAEX,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAZP,AAeI,WAfO,AACR,oBAAoB,CAcnB,gBAAgB,AAAC,CACf,MAAM,CAAE,GAAG,CAAC,KAAK,CxBkLX,OAAoD,CwBjL1D,eAAe,CAAE,WAAW,CAC5B,UAAU,CxBsHF,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CwBrHtC,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CACb,AArBL,AAuBI,WAvBO,AACR,oBAAoB,CAsBnB,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CAsElB,AA/FL,AA2BM,WA3BK,AACR,oBAAoB,CAsBnB,eAAe,CAIb,MAAM,AAAC,CACL,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,iBAAiB,CAAE,KAAK,CACxB,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,UAAU,CACvB,gBAAgB,CAAE,MAAM,CACxB,aAAa,CAAE,MAAM,CACrB,eAAe,CAAE,MAAM,CACvB,mBAAmB,CAAE,KAAK,CAC1B,UAAU,CAAE,UAAU,CACtB,YAAY,CAAE,OAAO,CACrB,UAAU,CAAE,GAAG,CACf,KAAK,CAAE,IAAI,CASZ,AAnDP,AA4CQ,WA5CG,AACR,oBAAoB,CAsBnB,eAAe,CAIb,MAAM,CAiBJ,OAAO,AAAC,CACN,SAAS,CxBGP,QAAQ,CwBFV,mBAAmB,CAAE,MAAM,CAC3B,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,CAAC,CACX,AAlDT,AAqDM,WArDK,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,AAAC,CACL,KAAK,CAAE,CAAC,CACR,WAAW,CxBUC,GAAG,CwBTf,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,MAAM,CACZ,iBAAiB,CAAE,KAAK,CACxB,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,UAAU,CACvB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,IAAI,CACf,kBAAkB,CAAE,QAAQ,CAC5B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,MAAM,CAC1B,cAAc,CAAE,MAAM,CAwBvB,AA9FP,AAwEQ,WAxEG,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,CAmBJ,KAAK,AAAC,CACJ,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,IAAI,CACjB,SAAS,CxB3BV,GAAG,CwB4BF,KAAK,CvB9EL,IAAO,CuB+EP,OAAO,CAAE,CAAC,CdnBlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CcmBf,SAAS,CAAE,IAAI,CAChB,AAlFT,AAoFQ,WApFG,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,CA+BJ,KAAK,AAAC,CACJ,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CxBtCL,OAAQ,CwBuCZ,WAAW,CAAE,MAAM,CACnB,KAAK,CxBuGH,OAAoD,CwBtGtD,WAAW,CAAE,MAAM,CACpB,AA7FT,AAiGI,WAjGO,AACR,oBAAoB,CAgGnB,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CACjB,AApGL,AAsGI,WAtGO,AACR,oBAAoB,CAqGnB,2BAA2B,AAAC,CAC1B,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,CAAC,CAET,iBAAiB,CAAE,MAAM,CACzB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,MAAM,CACnB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,OAAO,CACtB,eAAe,CAAE,aAAa,CAC9B,kBAAkB,CAAE,UAAU,CAC9B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,GAAG,CACvB,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,WAAW,CAUrB,AAlIL,AA0HM,WA1HK,AACR,oBAAoB,CAqGnB,2BAA2B,CAoBzB,OAAO,CAAG,OAAO,AAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AA5HP,AA8HM,WA9HK,AACR,oBAAoB,CAqGnB,2BAA2B,AAwBxB,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACnB,aAAa,CvB9HV,IAAO,CuB+HX,ACjIP,AAEI,WAFO,AACR,SAAS,AACP,2BAA2B,AAAC,CAC3B,SAAS,CAAE,GAAG,CA4Bf,AA/BL,AAMQ,WANG,AACR,SAAS,AACP,2BAA2B,CAG1B,kCAAkC,CAChC,UAAU,AAAC,CACT,WAAW,CzB0DD,GAAG,CyBzDd,AART,AAWM,WAXK,AACR,SAAS,AACP,2BAA2B,CAS1B,oCAAoC,AAAC,CACnC,KAAK,CAAE,IAAsB,CAC7B,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,MAAM,CACpB,AAfP,AAiBM,WAjBK,AACR,SAAS,AACP,2BAA2B,CAe1B,iCAAiC,AAAC,CAChC,YAAY,CAAE,GAAG,CAClB,AAnBP,AAqBM,WArBK,AACR,SAAS,AACP,2BAA2B,CAmB1B,UAAU,AAAC,CACT,OAAO,CAAE,CAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAxBP,AA2BQ,WA3BG,AACR,SAAS,AACP,2BAA2B,CAwB1B,+BAA+B,CAC7B,iCAAiC,AAAC,CAChC,KAAK,CAAE,IAAsB,CAC9B,AC7BT,AAIQ,WAJG,AACR,aAAa,AACX,aAAa,CACZ,eAAe,AAAA,OAAO,CACpB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CACjB,ACRT,AAEI,WAFO,AACR,UAAU,AACR,iBAAiB,AAAC,CACjB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,GAAG,CA2FjB,AA/FL,AAOQ,WAPG,AACR,UAAU,AACR,iBAAiB,AAIf,YAAY,CACX,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,C1BNhB,IAAO,C0BOT,AATT,AAaQ,WAbG,AACR,UAAU,AACR,iBAAiB,AAUf,QAAQ,CACP,kBAAkB,CAAC,cAAc,AAAC,CAChC,KAAK,C3BoLH,OAAoD,C2BnLvD,AAfT,AAkBM,WAlBK,AACR,UAAU,AACR,iBAAiB,CAgBhB,gBAAgB,AAAC,CACf,SAAS,CAAE,IAAI,CAChB,AApBP,AAsBM,WAtBK,AACR,UAAU,AACR,iBAAiB,CAoBhB,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CAWb,AAlCP,AAyBQ,WAzBG,AACR,UAAU,AACR,iBAAiB,CAoBhB,kBAAkB,CAGhB,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,KAAK,CACjB,AAjCT,AAoCM,WApCK,AACR,UAAU,AACR,iBAAiB,CAkChB,kBAAkB,AAAC,CACjB,UAAU,CAAE,CAAC,CACd,AAtCP,AAwCM,WAxCK,AACR,UAAU,AACR,iBAAiB,AAsCf,YAAY,CAAC,mBAAmB,CAxCvC,WAAW,AACR,UAAU,AACR,iBAAiB,CAuChB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AA3CP,AA8CQ,WA9CG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,AACZ,YAAY,AAAC,CACZ,UAAU,CAAE,IAAI,CACjB,AAhDT,AAkDQ,WAlDG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,AAKZ,eAAe,AAAA,YAAY,AAAC,CAC3B,UAAU,C3B+IR,OAAoD,C2B9IvD,AApDT,AAsDQ,WAtDG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,CASb,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CACjB,AAxDT,AA4DQ,WA5DG,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,AAAC,CACjB,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,C3BkItB,OAAoD,C2BrGvD,AA7FT,AAkEU,WAlEC,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAMhB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CACjB,AAxEX,AA0EU,WA1EC,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAAC,CACZ,UAAU,C3BuHV,OAAoD,C2BtHpD,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,CAAC,CAcV,AA5FX,AAgFY,WAhFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAMV,eAAe,AAAC,CACf,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,C1B1ExB,OAAO,C0B0E2B,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CACzD,AAlFb,AAoFY,WApFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,CAUX,OAAO,AAAC,CACN,KAAK,C3B6GP,OAAoD,C2B5GlD,cAAc,CAAE,MAAM,CACvB,AAvFb,AAyFY,WAzFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAeV,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,C1BnFV,OAAO,C0BoFH,AC3Fb,AACE,WADS,AACR,aAAa,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,C3BFF,IAAO,C2BGf,aAAa,CAAE,CAAC,CAwKjB,AA5KH,AAMI,WANO,AACR,aAAa,CAKZ,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AARL,AAUI,WAVO,AACR,aAAa,CASZ,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CACX,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,CAAC,CACjB,AAfL,AAiBI,WAjBO,AACR,aAAa,CAgBZ,kBAAkB,AAAC,CACjB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,GAAG,CACZ,AArBL,AAuBI,WAvBO,AACR,aAAa,CAsBZ,oBAAoB,AAAC,CACnB,UAAU,C3BvBJ,IAAO,C2BwBb,MAAM,CAAE,GAAG,CAAC,KAAK,C5ByKX,OAAoD,C4BnK3D,AA/BL,AA2BM,WA3BK,AACR,aAAa,CAsBZ,oBAAoB,AAIjB,WAAW,AAAC,CACX,UAAU,C5BmHP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,C2B2BV,aAAa,CAAE,CAAC,CACjB,AA9BP,AAkCM,WAlCK,AACR,aAAa,AAgCX,YAAY,CACX,oBAAoB,AAAC,CACnB,UAAU,C5B+JN,OAAoD,C4B9JxD,YAAY,C5B8JR,OAAoD,C4B7JxD,KAAK,C5B6JD,OAAoD,C4BzJzD,AAzCP,AAsCQ,WAtCG,AACR,aAAa,AAgCX,YAAY,CACX,oBAAoB,CAIlB,OAAO,AAAC,CACN,KAAK,C5B2JH,OAAoD,C4B1JvD,AAxCT,AA6CM,WA7CK,AACR,aAAa,AA2CX,eAAe,CACd,oBAAoB,AAAC,CACnB,aAAa,CAAE,CAAC,CAChB,aAAa,CAAE,qBAAqB,CACpC,UAAU,C5B+FP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,C2B+CX,AAjDP,AAqDM,WArDK,AACR,aAAa,AAmDX,YAAY,CACX,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C3BrDd,IAAO,C2BsDV,UAAU,C5BuFP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,C2BuDV,aAAa,CAAE,CAAC,CACjB,AA1DP,AA4DM,WA5DK,AACR,aAAa,AAmDX,YAAY,CAQX,oBAAoB,AAAC,CACnB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CACjB,AA/DP,AAiEM,WAjEK,AACR,aAAa,AAmDX,YAAY,CAaX,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAnEP,AAsEI,WAtEO,AACR,aAAa,CAqEZ,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,UAAU,CAC3B,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CA+FZ,AA3KL,AA8EM,WA9EK,AACR,aAAa,CAqEZ,QAAQ,CAQN,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,eAAe,CACxB,AAtFP,AAwFM,WAxFK,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CAkBd,AAjHP,AAiGQ,WAjGG,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,CASL,aAAa,CAjGrB,WAAW,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,CAUL,aAAa,AAAA,MAAM,AAAC,CAClB,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,KAAK,CAClB,AAhHT,AAoHQ,WApHG,AACR,aAAa,CAqEZ,QAAQ,CA6CN,eAAe,CACb,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CACvB,AAxHT,AA0HQ,WA1HG,AACR,aAAa,CAqEZ,QAAQ,CA6CN,eAAe,CAOb,cAAc,AAAC,CACb,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AA/HT,AAmIQ,WAnIG,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAChB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAtIT,AAuIQ,WAvIG,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAKhB,cAAc,AAAC,CAKb,OAAO,CAAE,OAAO,CAChB,WAAW,C5B7EA,GAAG,C4B8Ed,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACpB,AAjJT,AAwIU,WAxIC,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAKhB,cAAc,AACX,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACpB,AA1IX,AAqJQ,WArJG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CACZ,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AAxJT,AA0JQ,WA1JG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CAMZ,KAAK,AAAC,CACJ,UAAU,C5BuCR,OAAoD,C4BtCtD,OAAO,CAAE,GAAG,CACb,AA7JT,AA+JQ,WA/JG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CAWZ,OAAO,AAAC,CACN,KAAK,C5BkCH,OAAoD,C4BjCtD,cAAc,CAAE,MAAM,CACvB,AAlKT,AAmKQ,WAnKG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,AAeX,MAAM,CAAC,OAAO,AAAA,WAAW,AAAC,CACzB,KAAK,C3B7JN,OAAO,C2B8JP,AArKT,AAuKQ,WAvKG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,AAmBX,eAAe,AAAC,CACf,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,C3BjKpB,OAAO,C2BiKuB,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CACzD,ACzKT,AAGM,WAHK,AACR,oBAAoB,AAClB,qBAAqB,CACpB,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AANP,AASQ,WATG,AACR,oBAAoB,AAClB,qBAAqB,CAMpB,eAAe,CACb,MAAM,AAAC,CACL,mBAAmB,CAAE,KAAK,CAC1B,UAAU,CAAE,UAAU,CACvB,ACZT,AAEI,WAFO,AACR,oBAAoB,AAClB,eAAe,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAsEnB,AA1EL,AAMM,WANK,AACR,oBAAoB,AAClB,eAAe,CAId,sBAAsB,AAAC,CACrB,OAAO,CAAE,GAAG,CACb,AARP,AAUM,WAVK,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,eAAe,CAAE,UAAU,CAC3B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAiCX,AAjDP,AAkBQ,WAlBG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,AAAC,CACf,KAAK,C7BlBH,IAAO,C6BmBT,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,UAAU,CAavB,AAlCT,AAuBU,WAvBC,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,CAKd,aAAa,AAAC,CACZ,KAAK,C7BxBP,IAAO,C6ByBL,YAAY,CAAE,GAAG,CAClB,AA1BX,AA4BU,WA5BC,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,CAUd,gBAAgB,AAAC,CACf,SAAS,C9BsBP,OAAQ,C8BrBV,KAAK,C9BoKL,OAAoD,C8BnKpD,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,SAAS,CAC1B,AAjCX,AAoCQ,WApCG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CA0BpB,OAAO,AAAC,CACN,KAAK,C7BrCL,IAAO,C6BsCP,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,cAAc,CACtB,SAAS,C9BOP,QAAQ,C8BNX,AAzCT,AA2CQ,WA3CG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAiCnB,WAAW,CA3CpB,WAAW,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAkCnB,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACd,AAhDT,AAmDM,WAnDK,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,AAAC,CAClB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,GAAG,CACZ,SAAS,C9BLL,QAAQ,C8BMZ,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CAiBd,AAzEP,AA0DQ,WA1DG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAOjB,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACd,AA5DT,AA8DQ,WA9DG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAWjB,aAAa,AAAC,CACZ,KAAK,C7B/DL,IAAO,C6BgER,AAhET,AAkEQ,WAlEG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAejB,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACnB,SAAS,C9BjBL,OAAQ,C8BkBZ,KAAK,C9B6HH,OAAoD,C8B5HtD,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,GAAG,CACjB,ACxET,AACE,qBADmB,CACnB,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,KAAK,CAcd,AAjBH,AAKI,qBALiB,CACnB,cAAc,AAIX,UAAU,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAPL,AASI,qBATiB,CACnB,cAAc,CAQZ,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAXL,AAaI,qBAbiB,CACnB,cAAc,CAYZ,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CACf,WAAW,C/BiDI,GAAG,C+BhDnB,AAIL,AAAA,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,IAAI,CAWhB,AAbD,AAIE,cAJY,CAIZ,eAAe,AAAC,CACd,OAAO,CAAE,MAAM,CAOhB,AAZH,AAOI,cAPU,CAIZ,eAAe,CAGb,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CACb,AC/BL,AAAA,YAAY,CAAC,WAAW,AAAA,YAAY,AAAC,CACnC,OAAO,ChCiGK,GAAG,CgChGhB,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CAmOlB,AA3OD,AAUE,WAVS,AAUR,UAAU,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,WAdS,AAcR,YAAY,AAAC,CACZ,cAAc,CAAE,IAAI,CACrB,AAhBH,AAkBE,WAlBS,AAkBR,YAAY,AAAC,CACZ,OAAO,ChC2EG,GAAG,CgC9Dd,AAhCH,AAqBI,WArBO,AAkBR,YAAY,CAGX,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,CAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACP,AA3BL,AA6BI,WA7BO,AAkBR,YAAY,CAWX,sBAAsB,AAAC,CACrB,aAAa,CAAE,OAAO,CACvB,AA/BL,AAmCI,WAnCO,AAkCR,SAAS,CACR,gBAAgB,AAAC,CACf,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACV,AAtCL,AAwCI,WAxCO,AAkCR,SAAS,CAMR,kBAAkB,AAAC,CACjB,UAAU,CAAE,CAAC,CACd,AA1CL,AA4CI,WA5CO,AAkCR,SAAS,CAUR,mBAAmB,AAAC,CAClB,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACV,AA/CL,AAkDE,WAlDS,CAkDT,OAAO,AAAC,CACN,KAAK,ChC2IG,OAAoD,CgC1I7D,AApDH,AAsDE,WAtDS,CAsDT,kBAAkB,AAAC,CACjB,UAAU,CAAE,UAAU,CACtB,QAAQ,CAAE,MAAM,CAChB,UAAU,CAAE,SAAS,CACrB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,IAAI,CAsCjB,AArGH,AAiEI,WAjEO,CAsDT,kBAAkB,CAWhB,cAAc,AAAC,CACb,UAAU,CAAE,IAAI,CAChB,IAAI,CAAE,QAAQ,CACd,OAAO,CAAE,KAAK,CtBZlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CsBYnB,KAAK,CAAE,OAAO,CACf,AAvEL,AAyEI,WAzEO,CAsDT,kBAAkB,CAmBhB,UAAU,AAAC,CACT,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AA7EL,AA+EI,WA/EO,CAsDT,kBAAkB,CAyBhB,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAjFL,AAmFI,WAnFO,CAsDT,kBAAkB,CA6BhB,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CACjB,cAAc,CAAE,IAAI,CACrB,AAvFL,AAyFI,WAzFO,CAsDT,kBAAkB,CAmChB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,WAAW,ChClCI,GAAG,CgCwCnB,AApGL,AAgGM,WAhGK,CAsDT,kBAAkB,CAmChB,eAAe,CAOb,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,CAAC,CAChB,AAnGP,AAuGE,WAvGS,CAuGT,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,UAAU,C/B5GF,IAAO,C+B6Gf,UAAU,CAAE,UAAU,CACvB,AA3GH,AA6GE,WA7GS,CA6GT,eAAe,AAAC,CACd,MAAM,CAAE,OAAO,CACf,WAAW,ChCnDM,GAAG,CgCoDpB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CA6B5B,AAlJH,AAuHI,WAvHO,CA6GT,eAAe,CAUb,KAAK,AAAC,CACJ,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACvB,IAAI,CAAE,MAAM,CACb,AA5HL,AA8HI,WA9HO,CA6GT,eAAe,CAiBb,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAhIL,AAkII,WAlIO,CA6GT,eAAe,AAqBZ,eAAe,AAAC,CACf,UAAU,ChC2DJ,OAAoD,CgC1D3D,AApIL,AAsII,WAtIO,CA6GT,eAAe,AAyBZ,YAAY,AAAC,CACZ,UAAU,ChCuDJ,OAAoD,CgCtD3D,AAxIL,AA0II,WA1IO,CA6GT,eAAe,AA6BZ,YAAY,AAAA,eAAe,AAAC,CAC3B,UAAU,ChCmDJ,OAAoD,CgClD3D,AA5IL,AA8II,WA9IO,CA6GT,eAAe,CAiCb,cAAc,CA9IlB,WAAW,CA6GT,eAAe,CAkCb,oBAAoB,AAAC,CACnB,KAAK,C/BpJD,IAAO,C+BqJZ,AAjJL,AAoJE,WApJS,CAoJT,sBAAsB,AAAC,CACrB,UAAU,C/BxJF,IAAO,C+ByJf,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,OAAO,CACtB,0BAA0B,CAAE,KAAK,CACjC,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,KAAK,CAkClB,AA9LH,AA8JI,WA9JO,CAoJT,sBAAsB,CAUpB,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACnB,KAAK,C/B7JF,OAAO,C+B8JV,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,KAAK,CACf,AApKL,AAsKI,WAtKO,CAoJT,sBAAsB,CAkBpB,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CAKV,AA7KL,AA0KM,WA1KK,CAoJT,sBAAsB,CAkBpB,sBAAsB,AAInB,MAAM,CAAC,eAAe,AAAA,eAAe,AAAA,MAAM,AAAC,CAC3C,UAAU,ChCmBN,OAAoD,CgClBzD,AA5KP,AA+KI,WA/KO,CAoJT,sBAAsB,AA2BnB,mBAAmB,AAAC,CACnB,kBAAkB,CAAE,IAAI,CACxB,KAAK,CAAE,IAAI,CACZ,AAlLL,AAoLI,WApLO,CAoJT,sBAAsB,AAgCnB,yBAAyB,AAAC,CACzB,MAAM,CAAE,OAAO,CACf,aAAa,CAAE,GAAG,CAClB,UAAU,ChCOJ,OAAoD,CgCN3D,AAxLL,AA0LI,WA1LO,CAoJT,sBAAsB,AAsCnB,yBAAyB,AAAC,CACzB,UAAU,CAAE,WAAW,CACvB,aAAa,CAAE,CAAC,CACjB,AA7LL,AAgME,WAhMS,CAgMT,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CA4B/B,AAhOH,AAsMI,WAtMO,CAgMT,kBAAkB,CAMhB,aAAa,CAtMjB,WAAW,CAgMT,kBAAkB,CAOhB,aAAa,AAAA,MAAM,CAvMvB,WAAW,CAgMT,kBAAkB,CAQhB,aAAa,AAAA,OAAO,AAAC,CACnB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACb,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AAlNL,AAoNI,WApNO,CAgMT,kBAAkB,AAoBf,UAAU,AAAC,CACV,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,MAAM,CAChB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACP,AA/NL,AAkOE,WAlOS,CAkOT,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,cAAc,CAAE,IAAI,CACrB,AC9OH,AAGM,WAHK,AACR,aAAa,AACX,YAAY,CACX,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAVP,AAOQ,WAPG,AACR,aAAa,AACX,YAAY,CACX,eAAe,CAIb,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CACjB,ACTT,AAIQ,WAJG,AACR,UAAU,AACR,SAAS,CACR,eAAe,CACZ,AAAA,UAAC,CAAW,UAAU,AAArB,EAJV,WAAW,AACR,UAAU,AACR,SAAS,CACR,eAAe,CAEZ,AAAA,UAAC,CAAW,SAAS,AAApB,CAAsB,CACtB,KAAK,CjCJJ,IAAO,CiCKR,WAAW,CAAE,GAAG,CACjB,ACRT,AAGM,WAHK,AACR,oBAAoB,AAClB,2BAA2B,CAC1B,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,kBAAkB,CAC3B,KAAK,CAAE,KAAK,CACb,AAPP,AASM,WATK,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,OAAO,CAChB,UAAU,CnCsLN,OAAoD,CmCrLxD,UAAU,CAAE,SAAS,CAoCtB,AAjDP,AAeQ,WAfG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAMb,KAAK,CAfb,WAAW,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAOb,OAAO,AAAC,CACN,SAAS,CnCiCV,GAAG,CmChCF,WAAW,CAAE,MAAM,CACnB,KAAK,ClCnBL,IAAO,CkCoBR,AApBT,AAsBQ,WAtBG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAab,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AAxBT,AA0BQ,WA1BG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,AAAC,CACf,UAAU,CnCuKR,OAAoD,CmCjKvD,AAjCT,AA6BU,WA7BC,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,CAGd,KAAK,CA7Bf,WAAW,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,CAId,OAAO,AAAC,CACN,KAAK,ClC9BL,IAAO,CkC+BR,AAhCX,AAmCQ,WAnCG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AA0BZ,MAAM,AAAC,CACN,UAAU,CnC8JR,OAAoD,CmC7JtD,KAAK,ClCpCH,IAAO,CkCqCV,AAtCT,AAwCQ,WAxCG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AA+BZ,YAAY,AAAC,CACZ,KAAK,ClCzCL,IAAO,CkC0CP,UAAU,CnCwJR,OAAoD,CmCvJvD,AA3CT,AA6CQ,WA7CG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAoCZ,YAAY,AAAA,eAAe,AAAC,CAC3B,UAAU,CnCoJR,OAAoD,CmCnJtD,KAAK,ClC/CL,IAAO,CkCgDR,AChDT,AACE,qBADmB,CACnB,2BAA2B,AAAC,CAC1B,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,KAAK,CAUd,AAbH,AAKI,qBALiB,CACnB,2BAA2B,CAIzB,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAPL,AASI,qBATiB,CACnB,2BAA2B,CAQzB,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CACf,WAAW,CpCqDI,GAAG,CoCpDnB,AAIL,AAAA,2BAA2B,CAAC,4BAA4B,AAAC,CACvD,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,2BAA2B,AAAC,CAC1B,MAAM,CAAE,CAAC,CAKV,AAVD,AAAA,2BAA2B,CAAC,4BAA4B,AAOzB,CAC3B,OAAO,CAAE,WAAW,CACrB,ACzBH,AAEI,WAFO,AACR,oBAAoB,AAClB,4BAA4B,AAAC,CAC5B,UAAU,CAAE,IAAI,CAcjB,AAjBL,AAKM,WALK,AACR,oBAAoB,AAClB,4BAA4B,CAG3B,gBAAgB,AAAC,CACf,KAAK,CAAE,KAAK,CACZ,SAAS,CAAE,KAAK,CACjB,AARP,AAUM,WAVK,AACR,oBAAoB,AAClB,4BAA4B,CAQ3B,kBAAkB,AAAC,CACjB,eAAe,CAAE,MAAM,CACxB,AAZP,AAcM,WAdK,AACR,oBAAoB,AAClB,4BAA4B,CAY3B,2BAA2B,AAAC,CAC1B,WAAW,CAAE,MAAM,CACpB,AChBP,AAIQ,WAJG,AACR,UAAU,AACR,eAAe,CACd,mBAAmB,CACjB,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,KAAK,CAOZ,AAfT,AAUU,WAVC,AACR,UAAU,AACR,eAAe,CACd,mBAAmB,CACjB,SAAS,CAMP,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,ACdX,AAAA,SAAS,CACT,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,CAAC,CACd,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACxB,IAAI,CAAE,YAAY,CAClB,WAAW,CAAE,CAAC,CACd,QAAQ,CAAE,OAAO,CAClB,AAGD,AAAA,GAAG,CAAG,GAAG,AAAC,CACR,cAAc,CAAE,IAAI,CACrB,AAUD,AAAA,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CAetB,AAnBD,AAME,SANO,CAMP,YAAY,CANd,SAAS,CAOP,YAAY,AAAC,CACX,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,QAAQ,CAAE,QAAQ,CACnB,AAXH,AAaE,SAbO,CAaP,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,OAAO,CACnB,WAAW,CAAE,OAAO,CACrB,AC5CH,AAAA,wBAAwB,AAAC,CACvB,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,CxC+LP,OAAoD,CwC9L9D,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAmCvB,AAzCD,AAQE,wBARsB,CAQtB,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,WAAW,CACnB,IAAI,CAAE,CAAC,CAmBR,AA/BH,AAeM,wBAfkB,CAQtB,OAAO,AAMJ,KAAK,CACJ,WAAW,AAAC,CACV,UAAU,CvCTT,OAAO,CuCUR,KAAK,CvChBD,IAAO,CuCiBZ,AAlBP,AAsBM,wBAtBkB,CAQtB,OAAO,AAaJ,GAAG,CACF,SAAS,AAAC,CACR,UAAU,CvChBT,OAAO,CuCiBR,KAAK,CvCvBD,IAAO,CuCwBZ,AAzBP,AA4BI,wBA5BoB,CAQtB,OAAO,CAoBL,IAAI,AAAC,CACH,YAAY,CAAE,KAAK,CACpB,AA9BL,AAiCE,wBAjCsB,CAiCtB,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CAKR,AAxCH,AAqCI,wBArCoB,CAiCtB,MAAM,AAIH,QAAQ,AAAC,CACR,OAAO,CAAE,IAAI,CACd,ACpBL,AAZA,UAYU,CA6CV,YAAY,AAzDP,CACH,WAAW,CAAE,CAAC,CACd,UAAU,CAAE,IAAI,CAKjB,AAKD,AATE,UASQ,CATR,EAAE,CAAC,CAAC,CAsDN,YAAY,CAtDV,EAAE,CAAC,CAAC,AAAC,CACH,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,IAAI,CACtB,AAMH,AAIE,UAJQ,CAIN,EAAE,AAAC,CACH,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAiClB,AAvCH,AAQI,UARM,CAIN,EAAE,CAIA,CAAC,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,QAAQ,CACjB,KAAK,CxC9BD,IAAO,CwC+BX,SAAS,CzCkBH,QAAQ,CyCjBd,WAAW,CzC+BG,CAAC,CyC9Bf,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,gBAAgB,CAW7B,AA7BL,AAoBM,UApBI,CAIN,EAAE,CAIA,CAAC,CAYD,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,IAAI,CACd,AAvBP,AAyBM,UAzBI,CAIN,EAAE,CAIA,CAAC,AAiBA,MAAM,AAAC,CACN,KAAK,CxC1CA,OAAO,CwC2CZ,gBAAgB,CzCoJZ,OAAoD,CyCnJzD,AA5BP,AA+BI,UA/BM,CAIN,EAAE,CA2BF,CAAC,AAAA,OAAO,AAAC,CACP,KAAK,CxClDC,IAAO,CwCmDb,gBAAgB,CxCjDT,OAAO,CwCsDf,AAtCL,AAmCM,UAnCI,CAIN,EAAE,CA2BF,CAAC,AAAA,OAAO,CAIN,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAQP,AAAA,YAAY,AAAC,CAEX,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,MAAM,CAChB,UAAU,CzC8HA,OAAoD,CyC7E/D,AArDD,AAME,YANU,CAMV,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CzC2HhB,OAAoD,CyC1H5D,QAAQ,CAAE,QAAQ,CASnB,AAjBH,AAUI,YAVQ,CAMV,EAAE,AAIC,aAAa,AAAC,CACb,aAAa,CAAE,CAAC,CACjB,AAZL,AAcI,YAdQ,CAMV,EAAE,AAQC,OAAO,AAAC,CACP,YAAY,CAAE,IAAI,CACnB,AAhBL,AAmBE,YAnBU,CAmBV,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,SAAS,CzCrCD,QAAQ,CyCsChB,WAAW,CzCxBK,CAAC,CyCyBjB,MAAM,CAAE,OAAO,CACf,KAAK,CxCzFC,IAAO,CwCwGd,AAxCH,AA2BI,YA3BQ,CAmBV,CAAC,AAQE,OAAO,AAAC,CACP,KAAK,CxC3FC,IAAO,CwC4Fb,gBAAgB,CxC1FT,OAAO,CwCoGf,AAvCL,AA+BM,YA/BM,CAmBV,CAAC,AAQE,OAAO,AAIL,OAAO,AAAC,CACP,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,qBAAqB,CAC7B,iBAAiB,CxCpGb,IAAO,CwCqGZ,AAtCP,AA0CE,YA1CU,CA0CV,MAAM,AAAC,CACL,SAAS,CzCxDC,OAAQ,CyCyDnB,AA5CH,AA8CE,YA9CU,CA8CV,MAAM,AAAC,CACL,SAAS,CzC5DC,OAAQ,CyC6DlB,KAAK,CAAE,MAAM,CACb,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,MAAM,CACpB,WAAW,CzClDK,GAAG,CyCmDpB,AC7GH,AAAA,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CACjB,WAAW,CAAE,GAAG,CAChB,SAAS,C1CsCF,GAAG,C0CrCV,WAAW,C1CkDO,CAAC,C0CjDnB,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,SAAS,CACrB,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAqBjB,AAhCD,AAYE,IAZE,CAYF,OAAO,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AAdH,AAeE,IAfE,AAeD,OAAO,CAfV,IAAI,AAgBD,WAAW,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAlBH,AAmBE,IAnBE,CAmBD,AAAA,QAAC,AAAA,EAnBJ,IAAI,AAoBD,SAAS,AAAC,CACT,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,GAAG,CACb,AAvBH,AAYE,IAZE,CAYF,OAAO,AAYC,CACN,YAAY,CAAE,GAAG,CAClB,AA1BH,AA4BI,IA5BA,AA2BD,QAAQ,CACP,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CAChB,AAIL,AAAA,IAAI,AAAA,OAAO,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AApCD,AAAA,IAAI,AAyCC,CACH,MAAM,CAAE,IAAI,CACZ,KAAK,CzClDG,IAAO,CyCmDf,WAAW,CAAE,MAAM,CACnB,UAAU,C1C8IA,OAAoD,C0C5G/D,AA/ED,AAYE,IAZE,CAYF,OAAO,AAkCC,CACN,KAAK,C1C4IG,OAAoD,C0C3I7D,AAPH,AASE,IATE,CASD,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzC1DC,IAAO,CyC2Db,UAAU,CAAE,KAAK,CAClB,AhCTD,AACE,mBADiB,CgCHrB,IAAI,AhCIC,MAAM,CADT,mBAAmB,CgCHrB,IAAI,AhCKC,UAAU,AAAC,CgCSZ,UAAU,C1CoIF,OAAoD,C0CnI5D,KAAK,CzC9DG,IAAO,CSsDd,AAJH,AgCaE,mBhCbiB,CgCHrB,IAAI,AhCIC,MAAM,CgCYP,OAAO,ChCbT,mBAAmB,CgCHrB,IAAI,AhCKC,UAAU,CgCWX,OAAO,AAAC,CACN,KAAK,C1CmIC,OAAmD,C0ClI1D,AA3DL,AAmBE,IAnBE,CAmBD,AAAA,QAAC,AAAA,EAnBJ,IAAI,AAoBD,SAAS,AA0CC,CACT,UAAU,C1C4HF,OAAoD,C0ClH5D,MAAM,CAAE,WAAW,CACpB,AAjCH,AAuBI,IAvBA,CAoBD,AAAA,QAAC,AAAA,EAGA,OAAO,CAvBX,IAAI,AAqBD,SAAS,CAER,OAAO,AAAC,CACN,KAAK,C1C0HC,OAAoD,C0CzH3D,AAzBL,AA0BI,IA1BA,CAoBD,AAAA,QAAC,AAAA,CAMC,MAAM,CA1BX,IAAI,AAqBD,SAAS,AAKP,MAAM,AAAC,CACN,KAAK,C1CuHC,OAAoD,C0CnH3D,AA/BL,AA4BM,IA5BF,CAoBD,AAAA,QAAC,AAAA,CAMC,MAAM,CAEL,OAAO,CA5Bb,IAAI,AAqBD,SAAS,AAKP,MAAM,CAEL,OAAO,AAAC,CACN,KAAK,C1CqHD,OAAoD,C0CpHzD,AAvEP,AAYE,IAZE,CAYF,OAAO,AAgEC,CACN,WAAW,C1CpBM,GAAG,C0CqBrB,AAMH,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,MAAM,CACnB,KAAK,CzC7FK,IAAO,CyC8FjB,UAAU,CzC7FD,IAAO,CyC2HjB,AAlCD,AAKE,YALU,CAKV,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAPH,AAQE,YARU,CAQT,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzCnGG,IAAO,CyCoGhB,AhClDD,AACE,mBADiB,CgCwCrB,YAAY,AhCvCP,MAAM,CADT,mBAAmB,CgCwCrB,YAAY,AhCtCP,UAAU,AAAC,CgCkDZ,UAAU,CACR,OAAwC,ChCjDzC,AAJH,AgCwDE,mBhCxDiB,CgCwCrB,YAAY,AhCvCP,MAAM,CgCuDP,OAAO,ChCxDT,mBAAmB,CgCwCrB,YAAY,AhCtCP,UAAU,CgCsDX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAlBL,AAoBE,YApBU,AAoBT,OAAO,CApBV,YAAY,AAqBT,WAAW,AAAC,ChCtEb,gBAAgB,CgCwEZ,OAAwC,ChCvE5C,gBAAgB,CAAE,yCAAoD,CgC0ErE,AA1BH,AA2BE,YA3BU,CA2BT,AAAA,QAAC,AAAA,EA3BJ,YAAY,AA4BT,SAAS,AAAC,CACT,UAAU,CzCtHH,IAAO,CyC0Hf,AAjCH,AA8BI,YA9BQ,CA2BT,AAAA,QAAC,AAAA,EAGA,OAAO,CA9BX,YAAY,AA4BT,SAAS,CAER,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAOL,AAAA,WAAW,AAAC,CACV,KAAK,CzClIK,IAAO,CyCmIjB,WAAW,CAAE,MAAM,CACnB,UAAU,CzC9HH,OAAO,CyCyJf,AA9BD,AAIE,WAJS,CAIT,OAAO,AAAC,CACN,KAAK,C1C2DG,OAAoD,C0C1D7D,AANH,AAOE,WAPS,CAOR,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzCzIG,IAAO,CyC0IhB,AhCxFD,AACE,mBADiB,CgC+ErB,WAAW,AhC9EN,MAAM,CADT,mBAAmB,CgC+ErB,WAAW,AhC7EN,UAAU,AAAC,CgCwFZ,UAAU,CACR,OAAsC,ChCvFvC,AAJH,AgC8FE,mBhC9FiB,CgC+ErB,WAAW,AhC9EN,MAAM,CgC6FP,OAAO,ChC9FT,mBAAmB,CgC+ErB,WAAW,AhC7EN,UAAU,CgC4FX,OAAO,AAAC,CACN,KAAK,C1CgDC,OAAoD,C0C/C3D,AAjBL,AAmBE,WAnBS,AAmBR,OAAO,CAnBV,WAAW,AAoBR,WAAW,AAAC,ChC5Gb,gBAAgB,CgC6GW,OAAsC,ChC5GjE,gBAAgB,CAAE,4CAAoD,CgC6GrE,AAtBH,AAuBE,WAvBS,CAuBR,AAAA,QAAC,AAAA,EAvBJ,WAAW,AAwBR,SAAS,AAAC,CACT,UAAU,CzCpJL,OAAO,CyCwJb,AA7BH,AA0BI,WA1BO,CAuBR,AAAA,QAAC,AAAA,EAGA,OAAO,CA1BX,WAAW,AAwBR,SAAS,CAER,OAAO,AAAC,CACN,KAAK,C1CqCC,OAAoD,C0CpC3D,AAOL,AAAA,WAAW,AAAC,CAIV,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAyDjB,AA9DD,AACE,WADS,CACT,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAHH,AAME,WANS,AAMR,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AARH,AASE,WATS,CASR,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzC9KG,IAAO,CyC+KhB,AAXH,AAYE,WAZS,AAYR,OAAO,AAAC,CACP,YAAY,CAAE,GAAG,CACjB,SAAS,C1CjIJ,GAAG,C0CkIT,AAfH,AAgBE,WAhBS,AAgBR,cAAc,AAAC,CACd,UAAU,C1CnKL,IAAO,C0CoKZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,C1CUT,OAAoD,C0CD7D,AA5BH,AAqBI,WArBO,AAgBR,cAAc,CAKb,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AAvBL,AAwBI,WAxBO,AAgBR,cAAc,AAQZ,MAAM,AAAC,CACN,KAAK,CAAE,YAAY,CACnB,UAAU,CAAE,OAAmB,CAChC,AA3BL,AA6BE,WA7BS,AA6BR,UAAU,AAAC,CACV,UAAU,C1C/KF,OAAO,C0CmLhB,AAlCH,AA+BI,WA/BO,AA6BR,UAAU,AAER,MAAM,AAAC,CACN,UAAU,CAAE,OAAuB,CACpC,AAjCL,AAmCE,WAnCS,AAmCR,SAAS,AAAC,CACT,UAAU,C1CpLH,OAAO,C0CwLf,AAxCH,AAqCI,WArCO,AAmCR,SAAS,AAEP,MAAM,AAAC,CACN,UAAU,CAAE,OAAsB,CACnC,AAvCL,AAyCE,WAzCS,AAyCR,IAAI,AAAC,CACJ,UAAU,C1CzLR,OAAO,C0C0LV,AA3CH,AA4CE,WA5CS,AA4CR,QAAQ,AAAC,CACR,UAAU,C1C3LJ,OAAO,C0C+Ld,AAjDH,AA8CI,WA9CO,AA4CR,QAAQ,AAEN,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AAhDL,AAkDE,WAlDS,AAkDR,OAAO,AAAC,CACP,UAAU,C1ChML,OAAO,C0CoMb,AAvDH,AAoDI,WApDO,AAkDR,OAAO,AAEL,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AAtDL,AAwDE,WAxDS,AAwDR,QAAQ,AAAC,CACR,UAAU,C1CrMJ,OAAO,C0CyMd,AA7DH,AA0DI,WA1DO,AAwDR,QAAQ,AAEN,MAAM,AAAC,CACN,UAAU,CAAE,OAAqB,CAClC,AASL,AAAA,UAAU,C8F1OV,MAAM,AAAA,cAAc,CAuClB,wBAAwB,CACtB,MAAM,A9FkMC,CACT,OAAO,CAAE,OAAO,CAChB,SAAS,C1CzLG,OAAQ,C0C0LrB,AAID,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,QAAQ,CACjB,SAAS,C1ClMC,QAAQ,C0CmMlB,WAAW,C1CrLO,CAAC,C0CsLpB,AAED,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,WAAW,C1C5LO,CAAC,C0C6LnB,UAAU,CAAE,6BAA6B,CAwB1C,AA7BD,AAME,SANO,CAMP,OAAO,AAAC,CACN,KAAK,C1C5DG,OAAoD,C0C6D7D,AhC5MD,AgC8ME,mBhC9MiB,CgCoMrB,SAAS,AhCnMJ,MAAM,CgC6MP,OAAO,ChC9MT,mBAAmB,CgCoMrB,SAAS,AhClMJ,UAAU,CgC4MX,OAAO,AAAC,CACN,KAAK,CzClQD,IAAO,CyCmQZ,AAZL,AAcE,SAdO,AAcN,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,WAAW,CACvB,SAAS,C1C1ND,QAAQ,C0CoOjB,AA5BH,AAmBI,SAnBK,AAcN,MAAM,CAKL,OAAO,AAAC,CACN,KAAK,C1CzEC,OAAoD,C0C0E3D,AhCzNH,AACE,mBADiB,CgCoMrB,SAAS,AAcN,MAAM,AhCjNJ,MAAM,CADT,mBAAmB,CgCoMrB,SAAS,AAcN,MAAM,AhChNJ,UAAU,AAAC,CgCyNV,UAAU,CAAE,WAAW,ChCvNxB,AAJH,AgC4NI,mBhC5Ne,CgCoMrB,SAAS,AAcN,MAAM,AhCjNJ,MAAM,CgC2NL,OAAO,ChC5NX,mBAAmB,CgCoMrB,SAAS,AAcN,MAAM,AhChNJ,UAAU,CgC0NT,OAAO,AAAC,CACN,KAAK,CzChRH,IAAO,CyCiRV,AAKP,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CACV,KAAK,CzCzRI,IAAO,CyC6RjB,AATD,AAME,SANO,AAMN,MAAM,AAAC,CACN,OAAO,CAAE,uBAAuB,CACjC,AC9RH,AAAA,gBAAgB,CAAC,EAAE,AAAA,YAAY,CAC/B,WAAW,AAAC,CACV,WAAW,CAAE,qBAAqB,CACnC,AAED,AAAA,WAAW,CAAC,EAAE,AAAA,SAAS,CAAC,EAAE,AAAA,YAAY,CACtC,gBAAgB,AAAA,SAAS,CAAC,EAAE,AAAA,YAAY,CACxC,uBAAuB,AAAA,SAAS,AAAC,CAC/B,UAAU,CAAE,KAAK,CAAC,GAAG,CAAC,CAAC,CAAC,CAAC,C1CDlB,OAAO,C0CEf,AAED,AAAA,eAAe,AAAA,SAAS,CACxB,WAAW,AAAA,SAAS,AAAC,CACnB,UAAU,CAAG,IAAG,CAAC,CAAC,CAAC,CAAC,C1CNb,OAAO,C0COf,AAED,AAAA,OAAO,CAAC,eAAe,AAAC,CACtB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,gBAAgB,AAAA,SAAS,AAAC,CACxB,gBAAgB,CAAE,OAAO,CAC1B,AAED,AAAA,yBAAyB,CAAC,WAAW,AAAC,CACpC,UAAU,CAAE,KAAK,CAClB,AAED,AACE,wBADsB,CACtB,GAAG,AAAA,IAAI,AAAC,CACN,KAAK,CAAE,IAAI,CAKZ,AAPH,AAGI,wBAHoB,CACtB,GAAG,AAAA,IAAI,CAEL,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACX,AANL,AAQE,wBARsB,CAQtB,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAef,AAzBH,AAYI,wBAZoB,CAQtB,EAAE,CAIA,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACd,AAdL,AAgBI,wBAhBoB,CAQtB,EAAE,CAQA,GAAG,AAAC,CACF,SAAS,C3CPE,IAAI,C2CQf,WAAW,C3CLE,SAAS,CAAE,KAAK,CAAE,UAAU,C2CMzC,MAAM,CAAE,CAAC,CACT,KAAK,CAAoB,IAAI,CAC7B,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,OAAO,CAChB,WAAW,CAAE,MAAM,CACpB,ACpDL,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,GAAG,CAAC,KAAK,C5C+LP,OAAoD,C4C9L9D,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,UAAU,CACtB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,eAAe,CAAE,aAAa,CAM/B,AAdD,AAUE,kBAVgB,CAUhB,YAAY,CAVd,kBAAkB,CAWhB,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,ACbH,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CACjB,ACED,AAAA,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,UAAU,C9C4LA,OAAoD,C8C3L9D,KAAK,C7CPG,IAAO,C6CQf,OAAO,C9C6FC,CAAC,C8C5FT,QAAQ,CAAE,IAAI,CAgBf,AArBD,AAOE,OAPK,AAOJ,QAAQ,AAAC,CACR,QAAQ,CAAE,KAAK,CAChB,AATH,AAWE,OAXK,CAWL,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CAChB,KAAK,C9CiLG,OAAoD,C8ChL5D,YAAY,CAAE,GAAG,CACjB,KAAK,CAAE,KAAK,CACb,AAhBH,AAkBE,OAlBK,CAkBL,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,ACxBH,AAAA,aAAa,AAAC,CACZ,QAAQ,CAAE,IAAI,CACd,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,gBAAgB,C9CLN,IAAO,C8CMjB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,UAAU,CACvB,AAED,AAAA,uBAAuB,AAAC,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,C/CsLP,OAAoD,C+CrL9D,aAAa,CAAE,MAAM,CACrB,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,IAAI,CACnB,AAED,AAAA,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,iBAAiB,CAChC,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,kBAAkB,AAAC,CACjB,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,IAAI,CACpB,ACnCD,AACE,aADW,CACX,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,eAAe,CAC5B,AAPH,AASE,aATW,CASX,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,ACXH,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CAqCvB,AAtCD,AAGE,aAHW,CAGX,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,GAAG,CAAC,KAAK,CjD4LT,OAAoD,CiD7J7D,AArCH,AAQI,aARS,CAGX,OAAO,CAKL,MAAM,AAAC,CACL,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CAqBZ,AApCL,AAiBM,aAjBO,CAGX,OAAO,CAKL,MAAM,AASH,KAAK,AAAC,CACL,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CACjB,AApBP,AAsBM,aAtBO,CAGX,OAAO,CAKL,MAAM,AAcH,MAAM,CAtBb,aAAa,CAGX,OAAO,CAKL,MAAM,AAeH,QAAQ,AAAC,CACR,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,IAAI,CACZ,AA1BP,AA4BM,aA5BO,CAGX,OAAO,CAKL,MAAM,AAoBH,MAAM,AAAC,CACN,aAAa,CAAE,CAAC,CACjB,AA9BP,AAgCM,aAhCO,CAGX,OAAO,CAKL,MAAM,AAwBH,QAAQ,AAAC,CACR,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACZ,ACnCP,AAAA,0CAA0C,CAC1C,8BAA8B,AAAC,CAC7B,aAAa,CAAE,IAAI,CACpB,ACHD,AACE,4BAD0B,AACzB,WAAW,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CnD2LF,OAAoD,CmD1L5D,cAAc,CAAE,MAAM,CAMvB,AAdH,AAUI,4BAVwB,AACzB,WAAW,CASV,MAAM,AAAC,CACL,SAAS,CnDsCH,QAAQ,CmDrCd,WAAW,CAAE,GAAG,CACjB,AAbL,AAgBE,4BAhB0B,AAgBzB,IAAK,CAAA,WAAW,CAAE,CACjB,SAAS,CAAE,WAAW,CACtB,iBAAiB,CAAE,WAAW,CAC/B,AAED,UAAU,CAAV,MAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,kBAAkB,CAAlB,MAAkB,CAChB,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,ECnChB,AAAA,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CnDDG,IAAO,CmDEf,WAAW,CAAE,IAAI,CAYlB,AAdD,AAIE,CAJD,AAAA,QAAQ,AAIN,QAAQ,CAJX,CAAC,AAAA,QAAQ,AAKN,MAAM,AAAC,CACN,KAAK,CnDNC,IAAO,CmDOd,AAPH,AAUI,CAVH,AAAA,QAAQ,AASN,MAAM,CACL,IAAI,AAAC,CACH,eAAe,CAAE,SAAS,CAC3B,ACZL,AACE,wBADsB,CAAC,WAAW,CAClC,aAAa,AAAC,CACZ,aAAa,CAAE,GAAG,CACnB,AtDoJH,AAMI,WANO,CAMP,EAAE,CANN,WAAW,CAOP,EAAE,AuD5JD,CACD,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,eAAe,CAC3B,aAAa,CAAE,eAAe,CAC/B,AAGH,AAAA,oBAAoB,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,YAAY,AAAC,CACX,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,CAAC,CACV,AvDiBD,AAAA,YAAY,AuDfC,CACX,QAAQ,CAAE,mBAAmB,CAC9B,AClBD,AAAA,qBAAqB,AAAC,CACpB,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,wBAAwB,AAAC,CACvB,KAAK,CATQ,KAAK,CAUlB,MAAM,CAVO,KAAK,CAWlB,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CAClB,QAAQ,CAAE,MAAM,CAejB,AApBD,AAME,wBANsB,AAMrB,OAAO,AAAC,CACP,SAAS,CAAE,8CAA8C,CACzD,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,gEAKX,CACD,MAAM,CAzBK,KAAK,CA0BhB,KAAK,CA3BI,KAAK,CA4Bf,AAIH,AAAA,UAAU,CACV,WAAW,AAAC,CACV,KAAK,CAlCM,KAAK,CAmChB,UAAU,CvDoGF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CuDnGtC,KAAK,CtDpCG,IAAO,CsDqCf,UAAU,CtDpCA,IAAO,CsDoCM,MAAM,CAAC,MAAM,CACpC,eAAe,CAAE,KAAK,CACtB,UAAU,CAAE,4BAA4B,CACxC,kBAAkB,CAAE,oCAAoC,CACxD,OAAO,CAAE,CAAC,C7C+CV,iBAAiB,C6C9CE,UAAU,C7C+C7B,SAAS,C6C/CU,UAAU,CA8F9B,AAxGD,AAWE,UAXQ,AAWP,KAAK,CAVR,WAAW,AAUR,KAAK,AAAC,CACL,OAAO,CAAE,CAAC,C7C4CZ,iBAAiB,C6C3CI,QAAQ,C7C4C7B,SAAS,C6C5CY,QAAQ,CAC5B,AAdH,AAeE,UAfQ,CAeR,aAAa,CAdf,WAAW,CAcT,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,UAAU,CtDhDF,sBAAO,CsDiDf,UAAU,CAAE,IAAI,CASjB,AA3BH,AAmBI,UAnBM,CAeR,aAAa,AAIV,MAAM,CAlBX,WAAW,CAcT,aAAa,AAIV,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAvBL,AAwBI,UAxBM,CAeR,aAAa,CASX,CAAC,AAAA,iBAAiB,CAvBtB,WAAW,CAcT,aAAa,CASX,CAAC,AAAA,iBAAiB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AA1BL,AA6BI,UA7BM,AA4BP,MAAM,CACL,aAAa,CA5BjB,WAAW,AA2BR,MAAM,CACL,aAAa,AAAC,CACZ,UAAU,CAAE,CAAC,CACd,AA/BL,AAiCE,UAjCQ,CAiCR,SAAS,AAAA,IAAK,CAAA,UAAU,EAhC1B,WAAW,CAgCT,SAAS,AAAA,IAAK,CAAA,UAAU,CAAE,CACxB,UAAU,CAAE,KAAK,CAClB,AAnCH,AAsCI,UAtCM,CAqCR,UAAU,CACR,MAAM,CArCV,WAAW,CAoCT,UAAU,CACR,MAAM,AAAC,CACL,YAAY,CAAE,MAAM,CAkBrB,AAzDL,AAyCM,UAzCI,CAqCR,UAAU,CACR,MAAM,CAGJ,kBAAkB,CAxCxB,WAAW,CAoCT,UAAU,CACR,MAAM,CAGJ,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AA5CP,AA8CM,UA9CI,CAqCR,UAAU,CACR,MAAM,CAQJ,OAAO,CA7Cb,WAAW,CAoCT,UAAU,CACR,MAAM,CAQJ,OAAO,AAAC,CACN,MAAM,CAAE,QAAQ,CACjB,AAhDP,AAkDM,UAlDI,CAqCR,UAAU,CACR,MAAM,CAYJ,sBAAsB,CAjD5B,WAAW,CAoCT,UAAU,CACR,MAAM,CAYJ,sBAAsB,AAAC,CACrB,YAAY,CAAE,CAAC,CACf,IAAI,CAAE,QAAQ,CACf,AArDP,AAsDM,UAtDI,CAqCR,UAAU,CACR,MAAM,CAgBJ,IAAI,CArDV,WAAW,CAoCT,UAAU,CACR,MAAM,CAgBJ,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACf,AAxDP,AA0DI,UA1DM,CAqCR,UAAU,CAqBR,kBAAkB,CAzDtB,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,AAAC,CACjB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,CAAC,CAIV,AAhEL,AA6DM,UA7DI,CAqCR,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,CA5DZ,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,CAGhB,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AA/DP,AAkEE,UAlEQ,CAkER,IAAI,CAjEN,WAAW,CAiET,IAAI,AAAC,CACH,aAAa,CAAE,GAAG,CACnB,AApEH,AAqEE,UArEQ,CAqER,EAAE,CApEJ,WAAW,CAoET,EAAE,AAAC,CACD,WAAW,CvDtCM,GAAG,CuD0CrB,AA1EH,AAuEI,UAvEM,CAqER,EAAE,CAEA,OAAO,CAtEX,WAAW,CAoET,EAAE,CAEA,OAAO,AAAC,CACN,KAAK,CtDxGD,IAAO,CsDyGZ,AAzEL,AA2EE,UA3EQ,CA2ER,EAAE,CA1EJ,WAAW,CA0ET,EAAE,AAAC,CACD,OAAO,CAAE,MAAM,CACf,YAAY,CAAE,KAAK,CACnB,KAAK,CtD9GC,IAAO,CsDoHd,AApFH,AA+EI,UA/EM,CA2ER,EAAE,AAIC,MAAM,CA/EX,UAAU,CA2ER,EAAE,CAKA,KAAK,CAhFT,UAAU,CA2ER,EAAE,CAMA,CAAC,CAhFL,WAAW,CA0ET,EAAE,AAIC,MAAM,CA9EX,WAAW,CA0ET,EAAE,CAKA,KAAK,CA/ET,WAAW,CA0ET,EAAE,CAMA,CAAC,AAAC,CACA,KAAK,CvDgFC,OAAoD,CuD/E3D,AAnFL,AAqFE,UArFQ,CAqFR,EAAE,CArFJ,UAAU,CAsFR,EAAE,CAtFJ,UAAU,CAuFR,EAAE,CAtFJ,WAAW,CAoFT,EAAE,CApFJ,WAAW,CAqFT,EAAE,CArFJ,WAAW,CAsFT,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,C7C5DX,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6C4DtB,AA1FH,AA6FI,UA7FM,CA2FR,EAAE,CAEA,CAAC,CA7FL,UAAU,CA4FR,EAAE,CACA,CAAC,CA5FL,WAAW,CA0FT,EAAE,CAEA,CAAC,CA5FL,WAAW,CA2FT,EAAE,CACA,CAAC,AAAC,CACA,KAAK,CtD9HD,IAAO,CsD+HZ,AA/FL,AAiGE,UAjGQ,CAiGR,EAAE,CAjGJ,UAAU,CAkGR,EAAE,CAjGJ,WAAW,CAgGT,EAAE,CAhGJ,WAAW,CAiGT,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACpB,AApGH,AAqGE,UArGQ,CAqGR,CAAC,CApGH,WAAW,CAoGT,CAAC,AAAC,CACA,MAAM,CAAE,SAAS,CAClB,AAIH,AAEE,UAFQ,CAER,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CAWd,AAdH,AAII,UAJM,CAER,UAAU,CAER,mBAAmB,AAAC,CAClB,KAAK,CA/II,KAAK,CAgJd,MAAM,CAhJG,KAAK,CAiJf,AAPL,AAQI,UARM,CAER,UAAU,CAMR,iBAAiB,AAAC,CAChB,UAAU,CAlJC,KAAI,CAmJhB,AAVL,AAWI,UAXM,CAER,UAAU,CASR,SAAS,CAAC,CAAC,AAAC,CACV,KAAK,CvD2CC,OAAoD,CuD1C3D,AAbL,AAgBE,UAhBQ,CAgBR,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CAyBf,AA3CH,AAoBM,UApBI,CAgBR,WAAW,CAGT,IAAI,CACF,CAAC,AAAC,CACA,KAAK,CtDhKH,IAAO,CsDiKT,eAAe,CAAE,SAAS,CAC3B,AAvBP,AAwBM,UAxBI,CAgBR,WAAW,CAGT,IAAI,CAKF,CAAC,AAAA,QAAQ,AAAC,CACR,eAAe,CAAE,IAAI,CACtB,AA1BP,AA2BM,UA3BI,CAgBR,WAAW,CAGT,IAAI,CAQF,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,MAAM,CACjB,AA9BP,AAgCI,UAhCM,CAgBR,WAAW,CAgBT,UAAU,AAAC,CACT,KAAK,CtDrKF,OAAO,CsD0KX,AAtCL,AAkCM,UAlCI,CAgBR,WAAW,CAgBT,UAAU,CAER,wBAAwB,CAlC9B,UAAU,CAgBR,WAAW,CAgBT,UAAU,CAGR,gBAAgB,AAAC,CACf,WAAW,CAAE,IAAI,CAClB,AArCP,AAuCI,UAvCM,CAgBR,WAAW,CAuBT,eAAe,AAAC,CACd,SAAS,CvDlIH,QAAQ,CuDmId,UAAU,CAAE,KAAK,CAClB,AA1CL,AA8CI,UA9CM,CA6CR,UAAU,CACR,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CAqBpB,AAvEL,AAmDM,UAnDI,CA6CR,UAAU,CACR,qBAAqB,CAKnB,SAAS,CAnDf,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAMnB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CAIpB,AA3DP,AAwDQ,UAxDE,CA6CR,UAAU,CACR,qBAAqB,CAKnB,SAAS,CAKP,OAAO,CAxDf,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAMnB,aAAa,CAIX,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AA1DT,AA4DM,UA5DI,CA6CR,UAAU,CACR,qBAAqB,CAcnB,aAAa,CAAC,CAAC,CA5DrB,UAAU,CA6CR,UAAU,CACR,qBAAqB,CAenB,SAAS,CAAC,IAAI,AAAC,C7C5InB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6C4IjB,KAAK,CtD1MH,IAAO,CsD2MV,AAhEP,AAiEM,UAjEI,CA6CR,UAAU,CACR,qBAAqB,CAmBnB,SAAS,AAAC,CACR,YAAY,CAAE,KAAK,CACpB,AAnEP,AAoEM,UApEI,CA6CR,UAAU,CACR,qBAAqB,CAsBnB,aAAa,CAAC,CAAC,AAAC,CACd,eAAe,CAAE,SAAS,CAC3B,AAtEP,AA2EI,UA3EM,CA0ER,UAAU,CACR,mBAAmB,AAAC,CAClB,MAAM,CAAE,CAAC,CACV,AA7EL,AAiFI,UAjFM,CAgFR,UAAU,CACR,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CAYxB,AA/FL,AAoFM,UApFI,CAgFR,UAAU,CACR,cAAc,CAGZ,WAAW,CApFjB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AAPS,C7CnKhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6CmKjB,UAAU,CvD/BN,OAAoD,CuDgCxD,MAAM,CAAE,GAAG,CAAC,KAAK,CvDhCb,OAAoD,CuDiCxD,KAAK,CtDnOH,IAAO,CsDoOV,AAWP,AAEE,WAFS,CAET,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CAkBd,AArBH,AAII,WAJO,CAET,UAAU,CAER,kBAAkB,AAAC,CACjB,UAAU,CAlPC,KAAI,CAmPhB,AANL,AAOI,WAPO,CAET,UAAU,CAKR,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,OAAO,CACxB,KAAK,CAxPI,KAAK,CAyPd,MAAM,CAzPG,KAAK,CA0Pd,KAAK,CtD3PD,IAAO,CsDmQZ,AApBL,AAaM,WAbK,CAET,UAAU,CAKR,aAAa,CAMX,OAAO,AAAC,CACN,MAAM,CAAE,IAAI,CACZ,SAAS,CAAE,IAAmB,CAC/B,AAhBP,AAiBM,WAjBK,CAET,UAAU,CAKR,aAAa,AAUV,QAAQ,AAAC,CACR,aAAa,CAAE,GAAG,CACnB,AAnBP,AAuBE,WAvBS,CAuBT,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CAkBf,AA3CH,AA2BM,WA3BK,CAuBT,WAAW,CAGT,IAAI,CACF,CAAC,AAAC,CACA,KAAK,CtD3QH,IAAO,CsD4QT,eAAe,CAAE,SAAS,CAC3B,AA9BP,AA+BM,WA/BK,CAuBT,WAAW,CAGT,IAAI,CAKF,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAlCP,AAmCM,WAnCK,CAuBT,WAAW,CAGT,IAAI,CASF,CAAC,AAAA,QAAQ,AAAC,CACR,eAAe,CAAE,IAAI,CACtB,AArCP,AAsCM,WAtCK,CAuBT,WAAW,CAGT,IAAI,CAYF,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,MAAM,CACjB,AClRP,AACE,IADE,AAAA,mBAAmB,CACrB,YAAY,AAAC,CACX,cAAc,CAAE,IAAuB,CACxC,AAHH,AAKE,IALE,AAAA,mBAAmB,CAKrB,uBAAuB,CALzB,IAAI,AAAA,mBAAmB,CAMrB,cAAc,AAAA,MAAM,AAAC,CACnB,MAAM,CATU,IAAI,CAUrB,AARH,AAUE,IAVE,AAAA,mBAAmB,CAUrB,cAAc,AAAA,MAAM,AAAC,CACnB,aAAa,CAAE,2BAA2B,CAC1C,cAAc,CAAE,GAAG,CACpB,AAGH,AAAA,WAAW,AAAC,CACV,gBAAgB,CvDnBE,qBAAO,CuDoBzB,UAAU,CxDkHI,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CwDjH3C,MAAM,CArBY,IAAI,CAsBtB,QAAQ,CAAE,KAAK,CACf,MAAM,CAvBY,KAAI,CAwBtB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,OAAO,CxD4DO,GAAG,CwD3DjB,UAAU,CAAE,eAAe,CAwB5B,AAjCD,AAWE,WAXS,CAWT,OAAO,AAAC,CACN,KAAK,CxDgKG,IAAoD,CwD/J7D,AAbH,AAeE,WAfS,AAeR,QAAQ,AAAC,CACR,MAAM,CAAE,GAAG,CACZ,AAjBH,AAmBE,WAnBS,CAmBT,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,cAAc,C9C4BjC,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C8CvBxB,AAhCH,AAuBI,WAvBO,CAmBT,kBAAkB,CAIhB,MAAM,AAAC,CACL,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,GAAG,CACX,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,SAAS,CAInB,AA/BL,AA4BM,WA5BK,CAmBT,kBAAkB,CAIhB,MAAM,AAKH,SAAS,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AAKsB,SAAC,EAAnB,OAAO,EAAM,GAAG,EAnC3B,AAeE,WAfS,AAeR,QAAQ,AAqBW,CAClB,cAAc,CAAE,qCAAgD,CACjE,CAG4C,SAAC,EAArC,uBAAuB,EAAE,UAAU,EAC5C,AAAA,IAAI,AAAA,IAAK,CAAA,gBAAgB,EAAE,WAAW,AAAC,CACrC,gBAAgB,CvD7DA,qBAAO,CuD8DvB,uBAAuB,CAAE,UAAU,CACpC,CAGH,AAAA,IAAI,AAAA,gBAAgB,AAAC,CACnB,WAAW,CAnEO,IAAI,CAoFvB,AAlBD,AAEE,IAFE,AAAA,gBAAgB,CAElB,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,GAAG,CACR,gBAAgB,CvDvEA,IAAO,CuDwEvB,OAAO,CxDYU,IAAI,CwDXrB,cAAc,CAAE,CAAC,CAClB,AARH,AAUE,IAVE,AAAA,gBAAgB,CAUlB,cAAc,CAVhB,IAAI,AAAA,gBAAgB,CAWlB,cAAc,AAAA,WAAW,AAAC,CACxB,OAAO,CxDMU,IAAI,CwDLtB,AAbH,AAeE,IAfE,AAAA,gBAAgB,AAejB,OAAO,CAAC,SAAS,AAAC,CACjB,UAAU,CAlFM,IAAI,CAmFrB,ACvFH,AACE,iBADe,AAAA,MAAM,CACrB,WAAW,AAAC,CACV,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AAJH,AAOI,iBAPa,AAAA,MAAM,CAMrB,aAAa,CACX,YAAY,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,AAIL,AACE,iBADe,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CAYpB,AAhBH,AAMI,iBANa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,CAKL,MAAM,AAAC,CACL,SAAS,CzD8BN,GAAG,CyD7BN,WAAW,CAAE,MAAM,CACnB,aAAa,CzCNN,GAAmB,CyCY3B,AAfL,AAWM,iBAXW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CACxC,OAAO,CAKL,MAAM,CAKJ,UAAU,AAAC,CACT,KAAK,CzDyKD,OAAoD,CyDxKxD,SAAS,CzDyBH,OAAQ,CyDxBf,AAdP,AAkBE,iBAlBe,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CA+BvB,AAnDH,AAsBI,iBAtBa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAIH,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACvB,AA1BL,AA6BM,iBA7BW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAUH,0BAA0B,CACxB,CAAC,AAAC,CACA,UAAU,CAAE,SAAS,CACrB,SAAS,CzDKL,QAAQ,CyDJb,AAhCP,AAmCI,iBAnCa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAiBH,0BAA0B,CAnC9B,iBAAiB,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAkBH,gBAAgB,AAAC,CACf,aAAa,CzClCN,GAAmB,CyCmC3B,AAtCL,AAwCI,iBAxCa,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAsBH,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CAMpB,AAlDL,AA8CM,iBA9CW,AAAA,MAAM,CAAC,MAAM,AAAA,YAAY,CAkBxC,KAAK,CAsBH,QAAQ,CAMN,YAAY,AAAC,CACX,SAAS,CzDhBL,OAAO,CyDiBX,YAAY,CzC7CP,GAAmB,CyC8CzB,AAKP,AACE,iBADe,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CACzC,cAAc,CADhB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAEzC,gBAAgB,AAAC,CACf,aAAa,CzCtDJ,GAAmB,CyCuD7B,AAJH,AAOI,iBAPa,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CACH,oBAAoB,CAPxB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAEH,qBAAqB,CARzB,iBAAiB,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAGH,4BAA4B,AAAC,CAC3B,aAAa,CzC7DN,IAAmB,CyC8D3B,AAXL,AAaI,iBAba,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAOH,aAAa,AAAC,CACZ,aAAa,CzCjEN,GAAmB,CyCkE3B,AAfL,AAiBI,iBAjBa,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAMzC,KAAK,CAWH,wBAAwB,AAAC,CACvB,KAAK,CAAE,IAAI,CACZ,AAnBL,AAsBE,iBAtBe,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CASpB,AAjCH,AA0BI,iBA1Ba,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,CAIL,YAAY,AAAC,CACX,YAAY,CzC9EL,GAAmB,CyCmF3B,AAhCL,AA6BM,iBA7BW,AAAA,MAAM,CAAC,OAAO,AAAA,YAAY,CAsBzC,OAAO,CAIL,YAAY,AAGT,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,ACjGP,AAME,YANU,CAMV,KAAK,CANP,YAAY,CAOV,iBAAiB,AAAC,CAChB,gBAAgB,CzDRR,IAAO,CyDSf,aAAa,CAAE,GAAG,CAAC,KAAK,C1DwLhB,OAAoD,C0DpK7D,AA7BH,AAWI,YAXQ,CAMV,KAAK,AAKF,iBAAiB,CAXtB,YAAY,CAOV,iBAAiB,AAId,iBAAiB,AAAC,CACjB,gBAAgB,C1DqLV,OAAoD,C0DpL3D,AAbL,AAeI,YAfQ,CAMV,KAAK,AASF,QAAQ,CAfb,YAAY,CAOV,iBAAiB,AAQd,QAAQ,AAAC,CACR,OAAO,CAAE,GAAG,CACZ,gBAAgB,C1DgLV,qBAAoD,C0D1K3D,AAvBL,AAyBI,YAzBQ,CAMV,KAAK,AAmBF,OAAO,CAzBZ,YAAY,CAOV,iBAAiB,AAkBd,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACb,AA5BL,AA+BE,YA/BU,CA+BV,KAAK,CA/BP,YAAY,CAgCV,IAAI,AAAA,KAAK,AAAC,CACR,KAAK,CzDlCC,IAAO,CyDmCd,AAlCH,AAoCE,YApCU,CAoCV,KAAK,CApCP,YAAY,CAqCV,YAAY,CArCd,YAAY,CAsCV,WAAW,AAAC,CACV,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CACZ,KAAK,C1DwJG,OAAoD,C0DvJ5D,SAAS,C1DSC,OAAQ,C0DRnB,AA3CH,AA6CE,YA7CU,CA6CV,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AA/CH,AAiDE,YAjDU,CAiDV,YAAY,CAAC,OAAO,AAAC,CACnB,SAAS,C1DDJ,GAAG,C0DET,AAnDH,AAqDE,YArDU,CAqDV,YAAY,CArDd,YAAY,CAsDV,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,KAAK,CACnB,WAAW,C1DKK,CAAC,C0DJjB,KAAK,C1DuIG,OAAoD,C0DtI7D,AA3DH,AA6DE,YA7DU,CA6DV,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAhEH,AAkEE,YAlEU,CAkEV,MAAM,AAAC,ChDPP,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgDOrB,OAAO,CAAE,KAAK,CACf,AArEH,AAuEE,YAvEU,CAuEV,KAAK,AAAC,CACJ,SAAS,C1DvBJ,GAAG,C0DwBR,SAAS,CAAE,KAAK,ChDdlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgDctB,AA3EH,AA6EE,YA7EU,CA6EV,YAAY,AAAC,CACX,gBAAgB,C1DmHR,OAAoD,C0D/G5D,OAAO,CAAE,eAAe,CACzB,AAnFH,AAqFE,YArFU,CAqFV,gBAAgB,CArFlB,YAAY,CAsFV,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CACjB,AAzFH,AA4FI,YA5FQ,CA2FV,aAAa,CACX,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACtB,AA9FL,AAgGI,YAhGQ,CA2FV,aAAa,CAKX,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CAKtB,AAtGL,AAmGM,YAnGM,CA2FV,aAAa,CAKX,CAAC,CAGC,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CzDrGH,IAAO,CyDsGV,AArGP,AAwGI,YAxGQ,CA2FV,aAAa,CAaX,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACZ,AA5GL,AA+GI,YA/GQ,CA2FV,aAAa,CAoBX,GAAG,CA/GP,YAAY,CA2FV,aAAa,CAqBX,KAAK,AAAC,CACJ,KAAK,C1DgFC,OAAoD,C0D/E1D,SAAS,C1DrEH,QAAQ,C0DsEf,AAnHL,AAsHE,YAtHU,CAsHV,QAAQ,AAAC,CACP,MAAM,CAAE,SAAS,CACjB,SAAS,C1DvEJ,GAAG,C0DwER,SAAS,CAAE,UAAU,CACrB,KAAK,CzD3HC,IAAO,CyDkId,AAjIH,AA2HI,YA3HQ,CAsHV,QAAQ,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AA7HL,AA8HI,YA9HQ,CAsHV,QAAQ,CAQN,OAAO,AAAA,SAAS,AAAC,CACf,KAAK,C1DkEC,OAAoD,C0DjE3D,AAhIL,AAmIE,YAnIU,CAmIV,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,YAAY,CAAC,cAAc,CAC3B,yBAAyB,CACzB,+BAA+B,AAAC,CAC9B,UAAU,CAAE,GAAG,CAehB,AAlBD,AAKE,YALU,CAAC,cAAc,CAKzB,YAAY,CAJd,yBAAyB,CAIvB,YAAY,CAHd,+BAA+B,CAG7B,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AARH,AAUE,YAVU,CAAC,cAAc,CAUzB,GAAG,CATL,yBAAyB,CASvB,GAAG,CARL,+BAA+B,CAQ7B,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,KAAK,CzDtJC,IAAO,CyD0Jd,AAjBH,AAcI,YAdQ,CAAC,cAAc,CAUzB,GAAG,AAIA,aAAa,CAblB,yBAAyB,CASvB,GAAG,AAIA,aAAa,CAZlB,+BAA+B,CAQ7B,GAAG,AAIA,aAAa,AAAC,CACb,KAAK,CzD/IJ,OAAO,CyDgJT,ACWL,AA7JA,mBA6JmB,CAiEnB,YAAY,AA9NL,CACL,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,IAAI,CACpB,AAKD,AAAA,cAAc,AAAC,CACb,SAAS,C3DiCG,OAAQ,C2DhCpB,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CA2HtB,AAjID,AAQE,cARY,CAQZ,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CAWtB,AArBH,AAWI,cAXU,CAQZ,eAAe,CAGb,cAAc,AAAC,CACb,aAAa,CAAE,QAAQ,CACvB,QAAQ,CAAE,MAAM,CACjB,AAdL,AAeI,cAfU,CAQZ,eAAe,CAOb,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CACjB,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,OAAO,CACf,AApBL,AAyBE,cAzBY,AAyBX,OAAO,AAAC,CACP,YAAY,CAAE,IAAI,CA4BnB,AAtDH,AA2BI,cA3BU,AAyBX,OAAO,CAEN,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,C3DqJC,OAAoD,C2DpJ1D,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAIxB,AAHC,AAAA,mBAAmB,CA/BzB,cAAc,AAyBX,OAAO,CAEN,IAAI,AAAA,eAAe,AAIK,CACpB,KAAK,C1D5CI,IAAO,C0D6CjB,AAjCP,AAmCI,cAnCU,AAyBX,OAAO,CAUN,yBAAyB,CAnC7B,cAAc,AAyBX,OAAO,CAWN,kBAAkB,AAAC,CACjB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CACtB,AA1CL,AA2CI,cA3CU,AAyBX,OAAO,CAkBN,yBAAyB,AAAC,CAExB,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,CAAC,CAIhB,AAlDL,AA+CM,cA/CQ,AAyBX,OAAO,CAkBN,yBAAyB,CAIrB,kBAAkB,AAAC,CACnB,KAAK,CAAE,GAAG,CACX,AAjDP,AAmDI,cAnDU,AAyBX,OAAO,CA0BN,OAAO,AAAC,CACN,KAAK,C3D6HC,OAAoD,C2D5H3D,AArDL,AA0DE,cA1DY,AA0DX,IAAI,AAAC,CACJ,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,eAAe,CACxB,OAAO,CAAE,WAAW,CAgCrB,AA7FH,AA8DI,cA9DU,AA0DX,IAAI,CAIH,IAAI,AAAC,CACH,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAyBxB,AAzFL,AAiEM,cAjEQ,AA0DX,IAAI,CAIH,IAAI,AAGD,kBAAkB,CAjEzB,cAAc,AA0DX,IAAI,CAIH,IAAI,AAID,yBAAyB,AAAC,CACzB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACR,AAxEP,AA0EM,cA1EQ,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,AAAC,CAEzB,KAAK,CAAE,gBAAgB,CAQxB,AApFP,AA6EQ,cA7EM,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,CAGpB,kBAAkB,AAAC,CACrB,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,gBAAgB,CAIxB,AAnFT,AAgFU,cAhFI,AA0DX,IAAI,CAIH,IAAI,AAYD,yBAAyB,CAGpB,kBAAkB,CAGhB,eAAe,AAAC,CAClB,WAAW,CAAE,GAAG,CACjB,AAlFX,AAsFM,cAtFQ,AA0DX,IAAI,CAIH,IAAI,AAwBD,eAAe,AAAC,CACf,QAAQ,CAAE,QAAQ,CACnB,AAxFP,AA0FI,cA1FU,AA0DX,IAAI,CAgCD,mBAAmB,AAAC,CACpB,OAAO,CAAE,eAAe,CACzB,AA5FL,AAiGE,cAjGY,AAiGX,IAAI,AAAC,CACJ,YAAY,CAAE,GAAG,CAuBlB,AAzHH,AAoGI,cApGU,AAiGX,IAAI,CAGH,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,C3D4EC,OAAoD,C2D3E1D,OAAO,CAAE,OAAO,CAChB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CAKxB,AAHC,AAAA,mBAAmB,CA1GzB,cAAc,AAiGX,IAAI,CAGH,IAAI,AAAA,eAAe,AAMK,CACpB,KAAK,C1DvHI,IAAO,C0DwHjB,AA5GP,AA+GI,cA/GU,AAiGX,IAAI,CAcH,yBAAyB,CA/G7B,cAAc,AAiGX,IAAI,CAeH,kBAAkB,AAAC,CAEjB,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,KAAK,CAKf,AAxHL,AAqHM,cArHQ,AAiGX,IAAI,CAcH,yBAAyB,AAMtB,OAAO,CArHd,cAAc,AAiGX,IAAI,CAeH,kBAAkB,AAKf,OAAO,AAAC,CACP,OAAO,CAAE,KAAK,CACf,AAvHP,AA6HE,cA7HY,AA6HX,KAAK,AAAC,CACL,KAAK,C3DmDG,OAAoD,C2DlD5D,YAAY,CAAE,GAAG,CAClB,AAMH,AAEI,cAFU,CACZ,oBAAoB,CAClB,CAAC,AAAA,eAAe,AAAC,CACf,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,OAAO,CAChB,WAAW,C3D5FI,GAAG,C2D6FnB,AAOL,AAAA,mBAAmB,AAAC,CAElB,OAAO,CAAE,aAAa,CACtB,SAAS,CAAE,KAAK,CAChB,KAAK,C1DvKK,IAAO,C0DwKjB,SAAS,C3DrHG,OAAQ,C2DsHpB,WAAW,C3D3GO,CAAC,C2D4GnB,UAAU,CAAE,MAAM,CAClB,gBAAgB,C3DsBN,OAAoD,C2DkB/D,AAhDD,AASE,mBATiB,CAShB,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C1D7KG,IAAO,C0D8KhB,AAXH,AAaE,mBAbiB,AAahB,MAAM,AAAC,CACN,KAAK,C1DjLG,IAAO,C0DkLhB,AAfH,AAmBE,mBAnBiB,AAmBhB,UAAU,CAnBb,mBAAmB,AAoBhB,aAAa,AAAC,CACb,gBAAgB,C3DSR,IAAoD,C2DR5D,KAAK,C1DzLG,IAAO,C0D0Lf,WAAW,CAAoB,MAAM,CACtC,AAxBH,AA0BE,mBA1BiB,AA0BhB,UAAU,AAAC,CACV,gBAAgB,CAAE,WAAW,CAC7B,KAAK,C3DEG,OAAoD,C2DD5D,WAAW,CAAE,MAAM,CACnB,SAAS,C3D/IC,OAAQ,C2DgJnB,AA/BH,AAiCE,mBAjCiB,AAiChB,UAAU,AAAA,QAAQ,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,YAAY,CAAE,GAAG,CAClB,AApCH,AAwCE,mBAxCiB,AAwChB,OAAO,AAAC,CACP,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3DZR,OAAoD,C2Da5D,GAAG,CAAE,IAAI,CACT,KAAK,C3DdG,OAAoD,C2De5D,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACb,AAMH,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,SAAS,C3DzKF,GAAG,C2D0KV,WAAW,C3D7JO,CAAC,C2DiKpB,AAPD,AAIE,YAJU,CAIT,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C3D5BG,OAAoD,C2D6B7D,AAMH,AAAA,YAAY,AAAC,CAEX,OAAO,CAAE,OAAO,CAChB,KAAK,C1DxOG,IAAO,C0DyOf,gBAAgB,C3DvCN,OAAoD,C2DwC9D,YAAY,C3DxCF,OAAoD,C2DyC9D,SAAS,C3DxLG,OAAQ,C2DyLrB,AC3OD,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CA8EnB,AAjFD,AAKE,UALQ,CAKR,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,IAAI,CACnB,AATH,AAWE,UAXQ,CAWR,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAdH,AAgBE,UAhBQ,CAgBR,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,GAAG,CAuBlB,AAtBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EApBvC,AAgBE,UAhBQ,CAgBR,YAAY,AAAC,CAKT,SAAS,C5D6BD,OAAQ,C4DRnB,CA1CH,AAwBI,UAxBM,CAgBR,YAAY,CAQV,UAAU,AAAC,ClDmCb,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkDnCpB,AA1BL,AA4BI,UA5BM,CAgBR,YAAY,CAYV,SAAS,CAAC,CAAC,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,KAAK,C5DmKC,OAAoD,C4DlK3D,AA/BL,AAiCI,UAjCM,CAgBR,YAAY,CAiBV,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CAChB,KAAK,C5D8JC,OAAoD,C4D7J3D,AApCL,AAsCI,UAtCM,CAgBR,YAAY,CAsBV,MAAM,AAAC,CACL,UAAU,CAAE,GAAG,CACf,KAAK,C5DyJC,OAAoD,C4DxJ3D,AAzCL,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CACN,KAAK,CAAE,KAAK,CAQb,AAPC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA9CvC,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CAGJ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CAKhB,CAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAlDvC,AA4CE,UA5CQ,AA4CP,MAAM,AAAC,CAOJ,KAAK,CAAE,IAAI,CAEd,CArDH,AAuDE,UAvDQ,AAuDP,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CAwBjB,AAhFH,AA0DI,UA1DM,AAuDP,OAAO,CAGN,SAAS,CA1Db,UAAU,AAuDP,OAAO,CAIN,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACf,AA7DL,AA+DI,UA/DM,AAuDP,OAAO,CAQN,KAAK,AAAC,CACJ,WAAW,CAAE,CAAC,CACf,AAjEL,AAmEI,UAnEM,AAuDP,OAAO,AAYL,WAAW,AAAC,CACX,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,KAAK,CAUjB,AA/EL,AAuEM,UAvEI,AAuDP,OAAO,AAYL,WAAW,CAIV,WAAW,AAAC,CACV,KAAK,C5DyHD,OAAoD,C4DxHzD,AAzEP,AA2EM,UA3EI,AAuDP,OAAO,AAYL,WAAW,CAQV,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,KAAK,CAClB,AC/EP,AACE,YADU,AACT,eAAe,AAAC,CACf,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CAClB,ACFH,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,OAAO,C9DoFI,GAAG,C8D/Df,AAzBD,AAKE,UALQ,AAKP,IAAI,AAAC,CACJ,UAAU,C9DyLF,OAAoD,C8DxL5D,KAAK,CAAE,KAAK,CACZ,UAAU,C9D6HA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,C8D5HzC,AATH,AAUE,UAVQ,AAUP,KAAK,CAVR,UAAU,AAWP,KAAK,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AAbH,AAcE,UAdQ,CAcR,MAAM,AAAC,CACL,KAAK,CAAE,KAAK,CACZ,KAAK,C7DnBC,IAAO,C6DoBb,OAAO,CAAE,GAAG,CACZ,SAAS,C9D6BJ,GAAG,C8D5BR,MAAM,CAAE,SAAS,CACjB,MAAM,CAAE,OAAO,CAChB,AArBH,AAsBE,UAtBQ,CAsBR,MAAM,AAAA,MAAM,AAAC,CACX,OAAO,CAAE,CAAC,CACX,AM3BH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CpEiMP,OAAoD,CoEhM9D,OAAO,CAAE,GAAG,CACZ,UAAU,CnEFA,IAAO,CmEGjB,UAAU,CpEmIF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoElItC,OAAO,CpE6FK,GAAG,CoE3Ff,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,KAAK,C1D+DZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C0DrD1B,AAxBD,AAWE,eAXa,CAWb,MAAM,AAAA,KAAK,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAOnB,AApBH,AAeI,eAfW,CAWb,MAAM,AAAA,KAAK,CAIT,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,QAAQ,CAChB,SAAS,CAAE,aAAa,CACzB,AAnBL,AAqBE,eArBa,CAqBb,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,MAAM,CAAE,SAAS,CAClB,ACvBH,MAAM,CAAC,KAAK,CAGV,AAAA,OAAO,CACP,aAAa,CACb,MAAM,CACN,+BAA+B,AAAA,wBAAwB,CACvD,UAAU,CACV,eAAe,AAAA,SAAS,CAAxB,eAAe,A5BWjB,UAAU,C4BXR,eAAe,AKqWjB,UAAU,CLrWR,eAAe,AKyWjB,KAAK,CLxWH,GAAG,AAAA,qBAAqB,CACxB,GAAG,AAAA,iBAAiB,CACpB,GAAG,AAAA,uBAAuB,CAC1B,uBAAuB,CACvB,GAAG,AAAA,KAAK,CACR,QAAQ,CACR,iBAAiB,CACjB,eAAe,CACf,eAAe,CACf,kBAAkB,CAClB,GAAG,AAAA,OAAO,CACV,UAAU,AAAA,MAAM,CAChB,YAAY,CACZ,YAAY,CACZ,WAAW,CACX,gBAAgB,CAChB,GAAG,AAAA,WAAW,CACd,GAAG,AAAA,WAAW,AAAA,KAAK,CACnB,WAAW,CACX,CAAC,AAAA,aAAa,CACd,CAAC,AAAA,UAAU,CACX,GAAG,AAAA,SAAS,CACZ,OAAO,CACP,OAAO,CACP,WAAW,CACX,eAAe,CACf,kBAAkB,CAClB,mBAAmB,AAAA,OAAO,CAC1B,YAAY,CACZ,gBAAgB,AAAC,CACf,OAAO,CAAE,eAAe,CACzB,AAED,AAAA,CAAC,CACD,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CAAE,kBAAkB,CAC1B,AAED,AAAA,GAAG,AAAA,IAAI,AAAC,CACN,UAAU,CAAE,cAAc,CAC3B,AACD,AAAA,OAAO,CAAC,GAAG,CAAC,IAAI,AAAC,CACf,UAAU,CAAE,IAAI,CACjB,AACD,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CACtB,AACD,AAAA,IAAI,CACJ,IAAI,AAAC,CACH,SAAS,CAAE,CAAC,CACZ,MAAM,CAAE,IAAI,CACb,AACD,AAAA,iBAAiB,CAAC,GAAG,AAAC,CACpB,SAAS,CAAE,gBAAgB,CAC3B,MAAM,CAAE,eAAe,CACxB,AACD,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,CAAC,OAAO,AAAA,MAAM,CAAC,aAAa,AAAC,CACtC,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,CAAC,CACT,AACD,AAAA,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AACD,AAAA,YAAY,CAAC,GAAG,CAAC,GAAG,CAAC,EAAE,AAAC,CACtB,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,MAAM,CAClB,AAhDD,AAAA,CAAC,CACD,CAAC,AAAA,QAAQ,AAiDC,CACR,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,sBAAsB,AAAA,6BAA6B,CACnD,GAAG,AAAA,MAAM,AAAA,WAAW,AAAA,sBAAsB,CAC1C,GAAG,AAAA,iBAAiB,AAAA,cAAc,AAAA,qBAAqB,AAAC,CACtD,OAAO,CAAE,IAAI,CACd,CCrGH,AAAA,OAAO,AAAA,MAAM,AAAC,CACZ,aAAa,CAAE,IAAI,CAiBpB,AAlBD,AAGE,OAHK,AAAA,MAAM,CAGX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AALH,AAOE,OAPK,AAAA,MAAM,CAOX,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CASZ,AAjBH,AAUI,OAVG,AAAA,MAAM,CAOX,KAAK,CAGH,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACd,AAZL,AAcI,OAdG,AAAA,MAAM,CAOX,KAAK,CAOH,EAAE,AAAA,MAAM,AAAC,CACP,KAAK,CAAE,GAAG,CACX,AChBL,AAAA,UAAU,AAAC,CAET,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CA0BjB,AAzBC,AAAA,WAAW,CAJb,UAAU,AAIM,CACZ,SAAS,CAAE,KAAK,CASjB,AAVD,AAEE,WAFS,CAJb,UAAU,CAMN,OAAO,AAAA,IAAK,CAAA,OAAO,CAAC,IAAK,CAAA,WAAW,CAAC,IAAK,CAAA,oBAAoB,CAAE,CAC9D,SAAS,CAAE,KAAK,CACjB,AAJH,AAMI,WANO,CAJb,UAAU,CASN,MAAM,AAAA,oBAAoB,CACxB,cAAc,AAAA,OAAO,CAAC,eAAe,AAAC,CACpC,KAAK,CtEXH,IAAO,CsEYV,AAGL,AAAA,YAAY,CAfd,UAAU,AAeO,CACb,SAAS,CvEkCJ,GAAG,CuEjCR,UAAU,CAAE,IAAI,CACjB,AAlBH,AAmBE,UAnBQ,CAmBR,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AArBH,AAsBE,UAtBQ,CAsBR,UAAU,AAAC,CACT,aAAa,CAAE,IAAI,CACpB,AAxBH,AAyBE,UAzBQ,CAyBR,EAAE,AAAA,IAAK,CAAA,UAAU,EAzBnB,UAAU,CA0BR,EAAE,AAAA,IAAK,CADA,UAAU,CACE,CACjB,WAAW,CAAE,IAAI,CAClB,AC5BH,AACE,IADE,AAAA,QAAQ,CACR,MAAM,AAAC,CACP,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,OAAO,CxEyEF,IAAI,CwExET,gBAAgB,CAAE,IAAI,CACtB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CxEyLhB,OAAoD,CwExL5D,UAAU,CAAE,UAAU,CACvB,AAXH,AAcI,IAdA,AAAA,QAAQ,CAaV,GAAG,AAAA,YAAY,CACb,GAAG,AAAA,KAAK,AAAC,CACP,UAAU,CAAE,UAAU,CAKvB,AApBL,AAgBM,IAhBF,AAAA,QAAQ,CAaV,GAAG,AAAA,YAAY,CACb,GAAG,AAAA,KAAK,CAEN,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAnBP,AAuBE,IAvBE,AAAA,QAAQ,CAuBV,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CACd,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AA3BH,AA6BE,IA7BE,AAAA,QAAQ,CA6BV,WAAW,AAAC,CACV,aAAa,CAAE,GAAG,CACnB,AA/BH,AAiCE,IAjCE,AAAA,QAAQ,CAiCV,MAAM,AAAC,CACL,UAAU,CAAE,GAAG,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,CxE+Jb,OAAoD,CwE9J7D,AAGH,AAAA,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CAClB,AAED,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,KAAK,CAClB,UAAU,CAAE,GAAG,CAAC,KAAK,CxEmJX,OAAoD,CwElJ/D,AAED,AAAA,kBAAkB,AAAC,CACjB,aAAa,CAAE,GAAG,CAWnB,AAZD,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CACP,UAAU,CAAE,SAAS,CAQtB,AAXH,AAII,kBAJc,CAEhB,QAAQ,CAEN,CAAC,AAAC,CACA,WAAW,CAAE,IAAI,CAClB,A9DrCH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E8D+BrC,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CAML,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,MAAM,CAExB,CAGH,AAAA,mBAAmB,AAAC,CAClB,KAAK,CxEiIK,OAAoD,CwEhI9D,OAAO,CAAE,YAAY,CAQtB,A9DvDC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E8D6CrC,AAAA,mBAAmB,AAAC,CAIhB,KAAK,CAAE,KAAK,CAMf,CAVD,AAME,mBANiB,EAMjB,AAAA,QAAC,CAAS,UAAU,AAAnB,CAAqB,CACpB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CACpB,AAGH,AAAA,YAAY,AAAC,CACX,aAAa,CAAE,KAAK,CACpB,SAAS,CxE7BC,QAAQ,CwEuCnB,AAZD,AAGE,YAHU,CAGR,GAAG,AAAC,CACJ,aAAa,CAAE,MAAM,CACtB,AALH,AAME,YANU,CAMV,kBAAkB,AAAC,CACjB,gBAAgB,CxEiHR,OAAmD,CwEhH5D,AARH,AASE,YATU,CASV,eAAe,AAAC,CACd,KAAK,CvEtFC,IAAO,CuEuFd,AAGH,AACE,kBADgB,CAChB,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,MAAM,CACtB,AAGH,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,GAAG,CAMhB,AAPD,AAEE,sBAFoB,CAEpB,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,CxE4Fb,OAAoD,CwE3F7D,AAGH,AAAA,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CAYd,AAbD,AAEE,YAFU,CAEV,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,eAAe,CAAE,IAAI,CACtB,AALH,AAME,YANU,CAMV,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACtB,AARH,AASE,YATU,CASV,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,iBAAiB,CAC3B,ACtHH,AAAA,GAAG,AAAA,QAAQ,AAAA,+BAA+B,AAAC,CACzC,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,MAAM,CACf,aAAa,CAAE,GAAG,CAOnB,AAVD,AAIE,GAJC,AAAA,QAAQ,AAAA,+BAA+B,CAIxC,YAAY,AAAC,CACX,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,WAAW,CACpB,SAAS,CzE4CC,OAAQ,CyE3ClB,UAAU,CAAE,KAAK,CAClB,ACHH,UAAU,CAAV,IAAU,CACR,IAAI,CACF,SAAS,CAAE,WAAW,CACtB,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,SAAS,CAAE,QAAQ,CACnB,OAAO,CAAE,CAAC,EAId,UAAU,CAAV,cAAU,CACR,EAAE,CACA,SAAS,CAAE,YAAY,CAEzB,IAAI,CACF,SAAS,CAAE,cAAc,EAI7B,UAAU,CAAV,yBAAU,CACR,EAAE,CACA,gBAAgB,C1EsKR,OAAoD,C0EpK9D,IAAI,CACF,gBAAgB,CAAE,WAAW,EAKjC,UAAU,CAAV,kBAAU,CACR,EAAE,CACA,mBAAmB,CAAE,SAAS,CAEhC,IAAI,CACF,mBAAmB,CAAE,QAAQ,EAIjC,AAAA,sBAAsB,AAAC,CACrB,kBAAkB,CAAE,EAAE,CACtB,mBAAmB,CAAE,QAAQ,CAC7B,yBAAyB,CAAE,QAAQ,CACnC,cAAc,CAAE,kBAAkB,CAClC,yBAAyB,CAAE,MAAM,CACjC,UAAU,C1E+IA,OAAoD,C0E9I9D,UAAU,CAAE,gEAKX,CACF,A5ElDD,AAAA,IAAI,A4EqDC,CACH,MAAM,CAAE,IAAI,CACb,A5E7CD,AAAA,IAAI,A4E+CC,CACH,qBAAqB,CAAE,KAAK,CAC5B,eAAe,CAAE,KAAK,CACtB,UAAU,CAAE,IAAI,CAGjB,AAND,AhEnCE,IgEmCE,AhEnCD,OAAO,CgEmCV,IAAI,AhElCD,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgE+BH,AhE9BE,IgE8BE,AhE9BD,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgEqCH,AAAA,GAAG,AAAC,CACF,SAAS,C1E9BC,GAAG,C0E+Bd,A5E2ED,AAAA,KAAK,A4E1EC,CACJ,SAAS,C1E1BG,OAAQ,C0E2BrB,AAED,AAAA,UAAU,AAAC,ChECT,WAAW,CAAE,GAAG,CAAC,KAAK,CVgHZ,OAAoD,CU/G9D,gBAAgB,CV8FR,OAAqB,C0E9F7B,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,CACF,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,aAAa,CAAE,MAAM,CACtB,AAED,AACE,MADI,AACH,GAAG,AAAC,CACH,UAAU,CzE1FJ,IAAO,CyE2Fb,KAAK,CzElGG,IAAO,CyE0GhB,AAXH,AAII,MAJE,AACH,GAAG,CAGF,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AhEnDH,AACE,mBADiB,CgE6CrB,MAAM,AACH,GAAG,AhE7CD,MAAM,CADT,mBAAmB,CgE6CrB,MAAM,AACH,GAAG,AhE5CD,UAAU,AAAC,CgEmDV,UAAU,CAAE,IAAsB,CAClC,KAAK,CzExGC,IAAO,CSsDd,AgEyCL,AAaE,MAbI,AAaH,OAAO,AAAC,CACP,UAAU,CzEvGL,OAAO,CyEwGZ,KAAK,CzE9GG,IAAO,CyEsHhB,AAvBH,AAgBI,MAhBE,AAaH,OAAO,CAGN,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AhE/DH,AACE,mBADiB,CgE6CrB,MAAM,AAaH,OAAO,AhEzDL,MAAM,CADT,mBAAmB,CgE6CrB,MAAM,AAaH,OAAO,AhExDL,UAAU,AAAC,CgE+DV,UAAU,CAAE,OAAqB,CACjC,KAAK,CzEpHC,IAAO,CSsDd,AgEmEL,AAAA,CAAC,AAAA,OAAO,AAAC,CACP,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,KAAK,C1EqEK,OAAoD,C0EpE9D,UAAU,CAAE,WAAW,CAIxB,AARD,AAKE,CALD,AAAA,OAAO,AAKL,MAAM,AAAC,CACN,KAAK,CzEzHA,OAAO,CyE0Hb,AAGH,AAAA,EAAE,AAAA,WAAW,AAAC,CACZ,MAAM,CAAE,aAAa,CACtB,AAED,AAAA,CAAC,AAAA,QAAQ,AAAC,CACR,MAAM,CAAE,OAAO,CAChB,AAED,AAAA,GAAG,AAAA,OAAO,AAAC,CACT,aAAa,CAAE,GAAG,CACnB,AAKD,AAAA,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,UAAU,CAKxB,AARD,AAIE,KAJG,CAID,OAAO,AAAC,CACR,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,KADG,CACF,AAAA,IAAC,CAAK,OAAO,AAAZ,EADJ,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACjB,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,MAAM,CACpB,WAAW,CAAE,KAAK,CAClB,WAAW,C1ExGK,CAAC,C0EyGjB,MAAM,CAAE,OAAO,CACf,WAAW,CAAE,CAAC,CACf,AATH,AAUE,KAVG,CAUF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAVJ,KAAK,CAWF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAXJ,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAZJ,KAAK,CAaF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAbJ,KAAK,CAcF,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACjB,KAAK,CAAE,IAAI,CACZ,AAhBH,AAkBE,KAlBG,AAkBF,QAAQ,AAAC,CACR,gBAAgB,C1EcR,OAAoD,C0EV7D,AAED,AAAA,MAAM,CAzBR,KAAK,CAyBK,AAAA,IAAC,CAAK,OAAO,AAAZ,EACT,SAAS,CA1BX,KAAK,CA0BQ,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CAC3B,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,KAAK,CACL,MAAM,CACN,QAAQ,AAAC,CACP,KAAK,CzEpMG,IAAO,CyEqMf,WAAW,CAAE,YAAY,CAuB1B,AA3BD,AAME,KANG,CAMF,AAAA,KAAC,EAAO,MAAM,AAAb,EALJ,MAAM,CAKH,AAAA,KAAC,EAAO,MAAM,AAAb,EAJJ,QAAQ,CAIL,AAAA,KAAC,EAAO,MAAM,AAAb,CAAe,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,CAAC,CACf,AATH,AAWE,KAXG,CAWF,AAAA,QAAC,AAAA,EAXJ,KAAK,CAYF,AAAA,QAAC,AAAA,EAXJ,MAAM,CAUH,AAAA,QAAC,AAAA,EAVJ,MAAM,CAWH,AAAA,QAAC,AAAA,EAVJ,QAAQ,CASL,AAAA,QAAC,AAAA,EATJ,QAAQ,CAUL,AAAA,QAAC,AAAA,CAAU,CACV,MAAM,CAAE,WAAW,CACnB,gBAAgB,C1EbR,OAAoD,C0Ec5D,YAAY,C1EdJ,OAAoD,C0Ee7D,AAhBH,AAkBE,KAlBG,AAkBF,MAAM,AAAA,SAAS,AAAA,QAAQ,CAjB1B,MAAM,AAiBH,MAAM,AAAA,SAAS,AAAA,QAAQ,CAhB1B,QAAQ,AAgBL,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAC,CACvB,KAAK,CzE7MA,OAAO,CyE8MZ,YAAY,CzE9MP,OAAO,CyE+Mb,AArBH,AAuBE,KAvBG,AAuBF,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,CAtBhC,MAAM,AAsBH,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,CArBhC,QAAQ,AAqBL,MAAM,AAAA,SAAS,AAAA,QAAQ,AAAA,MAAM,AAAC,CAC7B,YAAY,CzElNP,OAAO,CyEmNZ,UAAU,C1E1EI,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CCzIlB,OAAO,CyEoNb,AAGH,AACE,KADG,CACF,AAAA,IAAC,CAAK,MAAM,AAAX,EADJ,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,EAFJ,KAAK,CAGF,AAAA,IAAC,CAAK,UAAU,AAAf,EAHJ,KAAK,CAIF,AAAA,IAAC,CAAK,gBAAgB,AAArB,EAJJ,KAAK,CAKF,AAAA,IAAC,CAAK,MAAM,AAAX,EALJ,KAAK,CAMF,AAAA,IAAC,CAAK,OAAO,AAAZ,EANJ,KAAK,CAOF,AAAA,IAAC,CAAK,MAAM,AAAX,EAPJ,KAAK,CAQF,AAAA,IAAC,CAAK,MAAM,AAAX,EARJ,KAAK,CASF,AAAA,IAAC,CAAK,QAAQ,AAAb,EATJ,KAAK,CAUF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAVJ,KAAK,CAWF,AAAA,IAAC,CAAK,KAAK,AAAV,EAXJ,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAZJ,KAAK,CAaF,AAAA,IAAC,CAAK,KAAK,AAAV,EAbJ,KAAK,CAcF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,ChE9IhB,kBAAkB,CAAE,IAAI,CACxB,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,IAAI,CgE8Id,OAAO,CAAE,YAAY,CACrB,OAAO,C1EpOK,GAAG,CAAC,IAAI,C0EqOpB,aAAa,CAAE,GAAG,CAClB,SAAS,C1E/LJ,GAAG,C0EgMR,WAAW,C1EnLK,CAAC,C0EoLjB,KAAK,CzEnPC,IAAO,CyEoPb,gBAAgB,CzEnPR,IAAO,CyEoPf,MAAM,CAAE,GAAG,CAAC,KAAK,C1EnDT,OAAoD,C0EoD5D,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAMjB,AAhCH,AA2BI,KA3BC,CACF,AAAA,IAAC,CAAK,MAAM,AAAX,CA0BC,MAAM,CA3BX,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,CAyBC,MAAM,CA3BX,KAAK,CAGF,AAAA,IAAC,CAAK,UAAU,AAAf,CAwBC,MAAM,CA3BX,KAAK,CAIF,AAAA,IAAC,CAAK,gBAAgB,AAArB,CAuBC,MAAM,CA3BX,KAAK,CAKF,AAAA,IAAC,CAAK,MAAM,AAAX,CAsBC,MAAM,CA3BX,KAAK,CAMF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAqBC,MAAM,CA3BX,KAAK,CAOF,AAAA,IAAC,CAAK,MAAM,AAAX,CAoBC,MAAM,CA3BX,KAAK,CAQF,AAAA,IAAC,CAAK,MAAM,AAAX,CAmBC,MAAM,CA3BX,KAAK,CASF,AAAA,IAAC,CAAK,QAAQ,AAAb,CAkBC,MAAM,CA3BX,KAAK,CAUF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAiBC,MAAM,CA3BX,KAAK,CAWF,AAAA,IAAC,CAAK,KAAK,AAAV,CAgBC,MAAM,CA3BX,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,CAeC,MAAM,CA3BX,KAAK,CAaF,AAAA,IAAC,CAAK,KAAK,AAAV,CAcC,MAAM,CA3BX,KAAK,CAcF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAaC,MAAM,AAAC,CACN,YAAY,CzExPP,IAAO,CyEyPZ,UAAU,C1E5GL,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,CyE0PZ,OAAO,CAAE,CAAC,CACX,AAKF,AAAD,cAAS,CACR,aAAO,AAAC,CACP,aAAa,CAAE,GAAG,CAiCnB,AAnCA,AAGC,cAHO,CAGP,KAAK,CAAA,AAAA,KAAC,EAAO,MAAM,AAAb,EAFP,aAAO,CAEN,KAAK,CAAA,AAAA,KAAC,EAAO,MAAM,AAAb,CAAe,CACnB,OAAO,CAAE,YAAY,CACtB,AALF,AAMC,cANO,CAMP,KAAK,CANN,cAAQ,CAOP,MAAM,CANP,aAAO,CAKN,KAAK,CALN,aAAO,CAMN,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,aAAa,CAAE,CAAC,CAChB,cAAc,CAAE,MAAM,CACtB,aAAa,CAAE,CAAC,CAIjB,AAfF,AAYG,cAZK,CAMP,KAAK,AAMF,MAAM,CAZV,cAAQ,CAOP,MAAM,AAKH,MAAM,CAXV,aAAO,CAKN,KAAK,AAMF,MAAM,CAXV,aAAO,CAMN,MAAM,AAKH,MAAM,AAAC,CACN,OAAO,C1E1KL,CAAC,C0E2KJ,AAdJ,AAgBC,cAhBO,CAgBP,OAAO,CAfR,aAAO,CAeN,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,IAAI,CACZ,gBAAgB,C1EtFV,OAAoD,C0EuF1D,MAAM,CAAE,GAAG,CAAC,KAAK,C1EvFX,OAAoD,C0EwF3D,AAxBF,AA2BG,cA3BK,CAyBP,OAAO,AAEJ,YAAY,CA3BhB,cAAQ,CA0BP,IAAI,AACD,YAAY,CA1BhB,aAAO,CAwBN,OAAO,AAEJ,YAAY,CA1BhB,aAAO,CAyBN,IAAI,AACD,YAAY,AAAC,CACZ,YAAY,CAAE,IAAI,CACnB,AA7BJ,AA8BG,cA9BK,CAyBP,OAAO,AAKJ,WAAW,CA9Bf,cAAQ,CA0BP,IAAI,AAID,WAAW,CA7Bf,aAAO,CAwBN,OAAO,AAKJ,WAAW,CA7Bf,aAAO,CAyBN,IAAI,AAID,WAAW,AAAC,CACX,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,WAAW,CAC3B,AAIJ,AACC,cADO,CACP,OAAO,CADR,cAAQ,CAEP,IAAI,AAAC,CACH,YAAY,CAAE,IAAI,CACnB,A5E0FL,AAAA,QAAQ,A4EtFC,CACP,MAAM,CAAE,IAAI,CACZ,gBAAgB,CzEhTN,IAAO,CyEiTjB,MAAM,CAAE,GAAG,CAAC,KAAK,C1EhHP,OAAoD,C0EsH/D,AATD,AAIE,QAJM,AAIL,MAAM,AAAC,CACN,YAAY,CzElTL,IAAO,CyEmTd,UAAU,C1EtKH,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CC7IT,IAAO,CyEoTd,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,GAAG,CAAC,KAAK,C1EzHP,OAAoD,C0E0H/D,AAED,AACE,KADG,CACH,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,KAAK,C1E/HG,OAAoD,C0EgI5D,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACf,AAKH,AAAA,SAAS,AAAC,CACR,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,OAAO,ChEpQf,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgEwQ1B,AATC,AACE,mBADiB,CAHrB,SAAS,AAIJ,MAAM,AAAC,CACN,gBAAgB,C1E5IV,OAAoD,C0E6I3D,AANL,AAQE,SARO,CAQP,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACpB,AAIH,AAAA,MAAM,CACN,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,IAAI,CAYnB,AAVC,AAAA,SAAS,CALX,MAAM,AAKS,YAAY,CAAzB,SAAS,CAJX,SAAS,AAIM,YAAY,AAAC,CACxB,WAAW,CAAE,GAAG,CACjB,AAPH,AASE,MATI,AASH,OAAO,CARV,SAAS,AAQN,OAAO,AAAC,CACP,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,aAAa,CAAE,CAAC,CAChB,cAAc,CAAE,MAAM,CACvB,AAGH,AAAA,MAAM,AAAA,OAAO,CAAC,MAAM,AAAA,OAAO,CAC3B,SAAS,AAAA,OAAO,CAAC,SAAS,AAAA,OAAO,AAAC,CAChC,WAAW,CAAE,IAAI,CAClB,AAMD,AAAA,KAAK,AAAC,CAEJ,YAAY,CAAE,IAAI,CAClB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CAKf,AATD,AAME,KANG,CAMH,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CACnB,AAGH,AACE,MADI,AACH,MAAM,AAAC,CACN,gBAAgB,CzE7XR,IAAO,CyE8XhB,AAGH,AAAA,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CAClB,AAME,AAAD,aAAM,AAAC,CACL,KAAK,C1EzMG,OAAoD,C0EyMA,UAAU,CACvE,AAEA,AAAD,YAAK,AAAC,CACJ,KAAK,C1E7MG,OAAoD,C0E6MD,UAAU,CACtE,AAEA,AAAD,YAAK,AAAC,CACJ,KAAK,C1EjNG,OAAoD,C0EiNC,UAAU,CACxE,AAGH,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,QAAQ,AAAC,CACP,aAAa,CAAE,GAAG,CAClB,gBAAgB,CzE5ZN,IAAO,CyE6ZjB,OAAO,CAAE,IAAI,CAKd,AARD,AAKE,QALM,CAKN,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,kBAAkB,AAAC,CACjB,UAAU,CAAE,eAAe,CAC5B,AAED,AAAA,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CAOtB,AARD,AAEE,IAFE,AAED,KAAK,AAAC,CACL,KAAK,CzEpaC,IAAO,CyEqad,AAJH,AAKE,IALE,AAKD,IAAI,AAAC,CACJ,KAAK,CzExaA,OAAO,CyEyab,AAGH,AAAA,eAAe,AAAC,CACd,gBAAgB,CzEnbN,IAAO,CyEobjB,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,iBAAiB,AAAA,cAAc,AAAC,CAC9B,GAAG,CAAE,eAAe,CACrB,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,wBAAwB,AAAC,CACvB,KAAK,CzElcK,IAAO,CyEmcjB,UAAU,CzE5bF,IAAO,CyEichB,AAPD,AAIE,wBAJsB,AAIrB,mBAAmB,CAAA,AAAA,IAAC,AAAA,CAAM,CACzB,KAAK,CzEtcG,IAAO,CyEuchB,AAGH,AAAA,wBAAwB,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,KAAK,CACZ,gBAAgB,CAAE,4DAIjB,CACD,OAAO,CAAE,IAAI,CACd,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,gBAAgB,CACrB,KAAK,CAAE,gBAAgB,CACvB,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,MAAM,CzE/dhB,mBAAO,CyEgef,OAAO,C1E5YM,IAAI,C0E6YlB,AAED,AAAA,wBAAwB,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CzEpeK,IAAO,CyEqejB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,KAAK,CACZ,WAAW,C1E1aQ,GAAG,C0E2avB,AAED,AAAA,KAAK,AAAC,CAGJ,UAAU,CAAE,0CAAuD,CACnE,UAAU,CAAE,qCAAkD,CAC9D,UAAU,CAAE,uCAAoD,CAChE,UAAU,CAAE,kCAA+C,CAC3D,GAAG,CAAE,gBAAgB,CACrB,KAAK,CAAE,iBAAiB,CACxB,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,8BAA8B,CAAE,QAAQ,CACxC,iCAAiC,CAAE,QAAQ,CAC3C,wBAAwB,CAAE,MAAM,CAChC,uBAAuB,CAAE,EAAE,CAC3B,0BAA0B,CAAE,EAAE,CAC9B,mBAAmB,CAAE,IAAI,CACzB,sBAAsB,CAAE,IAAI,CAC7B,AAED,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,oBAAoB,CAKjC,AAPD,AAIE,KAJG,AAIF,GAAG,AAAC,CACH,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,CAAC,CACV,AAED,AAAA,QAAQ,AAAC,CACP,MAAM,CAAE,mBAAmB,CAC3B,QAAQ,CAAE,QAAQ,CAClB,iBAAiB,CAAE,iCAAiC,CACpD,SAAS,CAAE,iCAAiC,CAC5C,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,C1EtWT,OAAqB,C0EuW7B,kBAAkB,CAAE,WAAW,CAC/B,aAAa,CAAE,GAAG,CAQnB,AAjBD,AAWE,QAXM,AAWL,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,YAAY,CACtB,AAGH,AACE,aADW,CACX,EAAE,AAAC,CACD,KAAK,C1EnWG,OAAoD,C0EoW5D,SAAS,C1ErfD,QAAQ,C0EsfhB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,IAAI,CACpB,AANH,AAQE,aARW,CAQX,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CAyBV,AAnCH,AAYI,aAZS,CAQX,EAAE,CAIA,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,C1E9WlB,OAAoD,C0EmY3D,AAlCL,AAeM,aAfO,CAQX,EAAE,CAIA,EAAE,AAGC,cAAc,AAAC,CACd,UAAU,CAAE,GAAG,CAAC,KAAK,C1EjXjB,OAAoD,C0EkXzD,AAjBP,AAmBM,aAnBO,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,IAAI,CACb,KAAK,CzEzjBH,IAAO,CyEokBV,AAjCP,AAwBQ,aAxBK,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAKE,MAAM,AAAC,CACN,gBAAgB,C1E1Xd,OAAoD,C0E2XtD,KAAK,CzE7jBL,IAAO,CyE8jBR,AA3BT,AA6BQ,aA7BK,CAQX,EAAE,CAIA,EAAE,CAOA,CAAC,AAUE,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CzElkBL,IAAO,CyEmkBR,AAMT,AACE,cADY,CACZ,KAAK,CADP,cAAc,CAEZ,QAAQ,CAFV,cAAc,CAGZ,MAAM,CAHR,cAAc,CAIZ,cAAc,CAJhB,cAAc,CAKZ,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,CAAC,CAChB,IAAI,CAAE,QAAQ,CACf,AATH,AhE3iBE,cgE2iBY,CAWZ,cAAc,AhEtjBb,OAAO,CgE2iBV,cAAc,CAWZ,cAAc,AhErjBb,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgEuiBH,AhEtiBE,cgEsiBY,CAWZ,cAAc,AhEjjBb,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgEoiBH,AAeE,cAfY,CAeZ,cAAc,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,SAAS,C1E1iBD,QAAQ,C0E2iBhB,WAAW,C1E1hBK,GAAG,C0E2hBpB,AAnBH,AAqBE,cArBY,CAqBZ,SAAS,AAAC,CACR,WAAW,CAAE,CAAC,CACf,AAKH,AAEI,KAFC,CACH,GAAG,AAAA,OAAO,AACP,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AALL,AAOI,KAPC,CACH,GAAG,AAAA,OAAO,AAMP,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAVL,AAYI,KAZC,CACH,GAAG,AAAA,OAAO,AAWP,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAfL,AAiBI,KAjBC,CACH,GAAG,AAAA,OAAO,AAgBP,KAAK,AAAC,CACL,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AApBL,AAwBI,KAxBC,CAuBH,UAAU,CACR,KAAK,AAAC,CACJ,cAAc,CAAE,GAAG,CACpB,AAIL,AAAA,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CAClB,SAAS,C1ExlBC,GAAG,C0EylBb,UAAU,CAAE,MAAM,CAClB,GAAG,CAAE,KAAK,CACV,IAAI,CAAE,KAAK,CACX,KAAK,CzEzoBG,IAAO,CyE0oBhB,AAED,AACE,OADK,CACL,UAAU,AAAC,CACT,MAAM,CAAE,IAAI,CAOb,AATH,AAGI,OAHG,CACL,UAAU,CAER,SAAS,AAAC,CACR,WAAW,CAAE,IAAI,CAIlB,AARL,AAKM,OALC,CACL,UAAU,CAER,SAAS,CAEP,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzEjpBD,IAAO,CyEkpBZ,AAKP,AAAA,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CAChB,AAED,AACE,iBADe,CACf,IAAI,AAAC,CACH,aAAa,CAAE,cAAc,CAC7B,MAAM,CAAE,OAAO,CACf,cAAc,CAAE,GAAG,CAKpB,AATH,AAMI,iBANa,CACf,IAAI,AAKD,WAAW,AAAC,CACX,aAAa,CAAE,CAAC,CACjB,AARL,AAWE,iBAXe,CAWf,gBAAgB,AAAC,CACf,KAAK,C1EteG,OAAoD,C0Eue5D,SAAS,CAAE,MAAM,CACjB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAhBH,AAkBE,iBAlBe,CAkBf,iBAAiB,AAAC,CAChB,SAAS,CAAE,KAAK,CAKjB,AAxBH,AAqBI,iBArBa,CAkBf,iBAAiB,CAGf,kBAAkB,AAAC,CACjB,WAAW,CAAE,IAAI,CAClB,AAvBL,AA0BE,iBA1Be,CA0Bf,kBAAkB,AAAC,CACjB,KAAK,C1ErfG,OAAoD,C0E2f7D,AAjCH,AA6BI,iBA7Ba,CA0Bf,kBAAkB,CAGhB,OAAO,AAAC,CACN,KAAK,CzElrBD,IAAO,CyEmrBX,WAAW,CAAE,IAAI,CAClB,AAhCL,AAmCE,iBAnCe,CAmCf,oBAAoB,AAAC,CACnB,KAAK,CAAE,KAAK,CAUb,AA9CH,AAsCI,iBAtCa,CAmCf,oBAAoB,CAGlB,IAAI,CAtCR,iBAAiB,CAmCf,oBAAoB,CAIlB,IAAI,AAAA,MAAM,AAAC,CACT,UAAU,CAAE,WAAW,CAKxB,AA7CL,AA0CM,iBA1CW,CAmCf,oBAAoB,CAGlB,IAAI,CAIF,OAAO,CA1Cb,iBAAiB,CAmCf,oBAAoB,CAIlB,IAAI,AAAA,MAAM,CAGR,OAAO,AAAC,CACN,KAAK,C1ErgBD,OAAoD,C0EsgBzD,AA5CP,AAgDE,iBAhDe,CAgDf,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CAKb,AAtDH,AAmDI,iBAnDa,CAgDf,cAAc,CAGV,KAAK,AAAC,CACN,UAAU,CAAE,IAAI,CACjB,AAIL,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,MAAM,CACf,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,MAAM,CAiBrB,AApBD,AAIE,eAJa,CAIb,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,WAAW,CACpB,KAAK,C1E1hBG,OAAoD,C0EkiB7D,AAfH,AAQI,eARW,CAIb,aAAa,CAIX,OAAO,AAAC,CACN,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,MAAM,CACd,AAXL,AAYI,eAZW,CAIb,aAAa,AAQV,IAAK,CAAA,WAAW,CAAE,CACjB,YAAY,CAAE,MAAM,CACrB,AAdL,AAiBE,eAjBa,CAiBb,gBAAgB,AAAC,CACf,KAAK,CzEhuBA,OAAO,CyEiuBb,AAGH,AAAA,mBAAmB,AAAC,CAClB,SAAS,C1EtsBM,IAAI,C0EusBnB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,UAAU,C1E7iBA,OAAoD,C0E8iB9D,UAAU,CAAE,MAAM,CAClB,OAAO,C1EnqBA,IAAI,C0EoqBX,KAAK,CzEjvBK,IAAO,CyEkvBlB,ACnvBD,AAAA,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,GAAG,CA0BjB,AA5BD,AAIE,WAJS,CAIT,KAAK,AAAC,CACJ,SAAS,CAAE,OAAO,CACnB,AANH,AAOE,WAPS,CAOT,OAAO,AAAC,CACN,SAAS,C3EsCD,QAAQ,C2ErCjB,AATH,AAUE,WAVS,CAUT,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CAClB,SAAS,C3EuCC,OAAQ,C2EtCnB,AAbH,AAcE,WAdS,CAcT,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CAIjB,AAnBH,AAgBI,WAhBO,CAcT,KAAK,CAEH,oBAAoB,AAAC,CACnB,KAAK,C1ETD,IAAO,C0EUZ,AAlBL,AAoBE,WApBS,CAoBT,QAAQ,AAAC,CACP,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,IAAI,CAKjB,AA3BH,AAwBI,WAxBO,CAoBT,QAAQ,CAIN,MAAM,AAAC,CACL,MAAM,CAAE,MAAM,CACf,AC1BL,AAAA,cAAc,AAAC,CACb,YAAY,CAAE,KAAK,CAYpB,AAbD,AAEE,cAFY,CAEZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACtB,AALH,AAME,cANY,CAMZ,cAAc,AAAC,CACb,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,IAAI,ClEoDjB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkEpDrB,cAAc,CAAE,QAAQ,CACxB,WAAW,C5EqDM,GAAG,C4EpDrB,AAGH,AAAA,eAAe,CACf,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CAuDZ,AA9DD,AASE,eATa,CASb,aAAa,CARf,2BAA2B,CAQzB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,UAAU,CACzB,MAAM,CAAE,OAAO,CAEf,UAAU,CAAE,UAAU,CAEtB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,GAAG,CAEtB,YAAY,CAAE,KAAK,CACnB,YAAY,C5E8JJ,OAAoD,C4E1I7D,AAlBC,AAAA,YAAY,CAvBhB,eAAe,CASb,aAAa,CAcX,YAAY,CAtBhB,2BAA2B,CAQzB,aAAa,AAcI,CACb,KAAK,CAAE,IAAI,CACZ,AAzBL,AA2BI,eA3BW,CASb,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,CA1B1B,2BAA2B,CAQzB,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,eAAe,CACxB,AAE6B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAlCjC,AA2BI,eA3BW,CASb,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,CA1B1B,2BAA2B,CAQzB,aAAa,CAkBX,KAAK,AAAA,aAAa,CAAC,GAAG,AAQG,CACrB,QAAQ,CAAA,KAAC,CACT,KAAK,CAAE,yCAAyC,CAChD,SAAS,CAAE,IAAI,CAChB,CAvCP,AA2CE,eA3Ca,CA2Cb,mBAAmB,CA1CrB,2BAA2B,CA0CzB,mBAAmB,AAAC,CAClB,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAEtB,YAAY,CAAE,GAAG,CACjB,iBAAiB,CAAE,CAAC,CAEpB,YAAY,CAAE,KAAK,CACnB,YAAY,C5E6HJ,OAAoD,C4E5H7D,AAvDH,AA0DI,eA1DW,AAyDZ,SAAS,CACR,KAAK,CAzDT,2BAA2B,AAwDxB,SAAS,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAIL,AACE,eADa,CACb,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,aAAa,CAatB,AAhBH,AAII,eAJW,CACb,aAAa,CAGT,CAAC,AAAC,CACF,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACX,AAPL,AAQI,eARW,CACb,aAAa,CAOX,mBAAmB,AAAC,CAClB,OAAO,CAAE,GAAG,CAMb,AAfL,AAWM,eAXS,CACb,aAAa,CAOX,mBAAmB,CAGjB,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAdP,AAmBI,eAnBW,AAkBZ,SAAS,CACR,aAAa,CAAC,mBAAmB,CAAG,CAAC,AAAC,CACpC,OAAO,CAAE,OAAO,CACjB,AArBL,AAwBE,eAxBa,CAwBb,YAAY,AAAC,CACX,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,MAAM,CAClB,SAAS,C5ExDJ,GAAG,C4EyDR,KAAK,C5EuFG,OAAoD,C4EnF7D,AAhCH,AA6BI,eA7BW,CAwBb,YAAY,CAKV,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CAChB,AA/BL,AAkCE,eAlCa,CAkCb,EAAE,AAAC,CACD,SAAS,C5ElED,QAAQ,C4EmEhB,aAAa,CAAE,KAAK,CACpB,UAAU,CAAE,MAAM,CAClB,WAAW,C5ErDM,GAAG,C4EsDpB,UAAU,CAAE,MAAM,CAClB,KAAK,C3EvHC,IAAO,C2EwHb,QAAQ,CAAE,MAAM,CACjB,AA1CH,AA4CE,eA5Ca,CA4Cb,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAsBhB,AApEH,AA+CI,eA/CW,CA4Cb,cAAc,CAGZ,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,ClEpEvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkEoEnB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,KAAK,CAerB,AAnEL,AAqDM,eArDS,CA4Cb,cAAc,CAGZ,YAAY,CAMV,8BAA8B,AAAC,CAC7B,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,KAAK,CACpB,AAxDP,AAyDM,eAzDS,CA4Cb,cAAc,CAGZ,YAAY,CAUV,iBAAiB,AAAC,CAChB,SAAS,CAAE,CAAC,ClE7ElB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkE6ElB,AA5DP,AA6DM,eA7DS,CA4Cb,cAAc,CAGZ,YAAY,CAcV,KAAK,CAAC,GAAG,AAAC,CACR,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAKP,AACE,2BADyB,CACzB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,CAAC,CACX,AALH,AAOE,2BAPyB,CAOzB,EAAE,AAAC,CACD,SAAS,C5E9GD,QAAQ,C4E+GhB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,MAAM,CACjB,AAXH,AAaE,2BAbyB,CAazB,qBAAqB,AAAC,CACpB,OAAO,CAAE,iBAAiB,CAK3B,AAnBH,AAeI,2BAfuB,CAazB,qBAAqB,CAEnB,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CAAE,IAAI,CACX,KAAK,C3EvKD,IAAO,C2EwKZ,AAlBL,AAqBE,2BArByB,CAqBzB,gBAAgB,AAAC,CACf,OAAO,CAAE,iBAAiB,CAqB3B,AA3CH,AAuBI,2BAvBuB,CAqBzB,gBAAgB,CAEd,EAAE,AAAC,CACD,KAAK,C5EoBC,OAAoD,C4EnB1D,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACV,AA5BL,AA6BI,2BA7BuB,CAqBzB,gBAAgB,CAQd,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CAUtB,AA1CL,AAiCM,2BAjCqB,CAqBzB,gBAAgB,CAQd,EAAE,CAIA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,QAAQ,CAAE,MAAM,CACjB,AApCP,AAqCM,2BArCqB,CAqBzB,gBAAgB,CAQd,EAAE,CAQA,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,MAAM,CACf,AAKP,AACE,gBADc,CAAC,SAAS,CACxB,EAAE,CAAC,OAAO,AAAC,CACT,KAAK,C5EJG,OAAoD,C4EK5D,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,MAAM,CACb,cAAc,CAAE,QAAQ,CACxB,YAAY,CAAE,MAAM,CACrB,AAGH,AAEE,2BAFyB,CAEzB,aAAa,CAAC,EAAE,CAAC,OAAO,CAD1B,eAAe,CACb,aAAa,CAAC,EAAE,CAAC,OAAO,AAAC,CACvB,YAAY,CAAE,CAAC,CAChB,AChNH,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,IAAI,CACV,OAAO,C7E6FK,GAAG,C6E5Ff,UAAU,C7EiIF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,C6EhItC,gBAAgB,C5ENN,IAAO,C4EOjB,OAAO,C7DQI,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,C6DP9B,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CAkGd,AA1GD,AASE,WATS,AASR,QAAQ,AAAC,CACR,OAAO,CAAE,KAAK,CACf,AAXH,AAYE,WAZS,CAYT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACZ,AAdH,AAeE,WAfS,CAeT,gBAAgB,CAAC,kBAAkB,AAAC,CAClC,KAAK,CAAE,IAAI,CACZ,AAjBH,AAkBE,WAlBS,CAkBT,gBAAgB,AAAC,CACf,MAAM,CAAE,MAAM,CACf,AApBH,AAsBE,WAtBS,CAsBT,MAAM,AAAC,CACL,aAAa,C7DTJ,GAAmB,C6DU5B,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAW/B,AArCH,AA4BI,WA5BO,CAsBT,MAAM,CAMJ,EAAE,AAAC,CACD,SAAS,C7EmBN,GAAG,C6ElBN,MAAM,CAAE,CAAC,CACV,AA/BL,AAiCI,WAjCO,CAsBT,MAAM,CAWJ,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACnB,KAAK,C7E6JC,OAAoD,C6E5J3D,AApCL,AAuCE,WAvCS,CAuCT,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,gBAAgB,CACxB,KAAK,C5ErCC,IAAO,C4EsCb,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,aAAa,CACzB,SAAS,C7EEJ,GAAG,C6EET,AAlDH,AA+CI,WA/CO,CAuCT,UAAU,AAQP,IAAK,CAAA,QAAQ,CAAE,CACd,OAAO,CAAE,CAAC,CACX,AAjDL,AAmDE,WAnDS,CAmDT,YAAY,AAAC,CACX,YAAY,C7DtCH,GAAmB,C6DuC5B,SAAS,C7ETD,QAAQ,C6EqBjB,AAjEH,AAsDI,WAtDO,CAmDT,YAAY,CAGV,OAAO,AAAC,CACN,KAAK,C5EvDA,IAAO,C4EwDb,AAxDL,AAyDI,WAzDO,CAmDT,YAAY,CAMV,oBAAoB,AAAC,CAEnB,KAAK,C7ExCA,OAAO,C6EyCb,AA5DL,AA6DI,WA7DO,CAmDT,YAAY,CAUV,0BAA0B,AAAC,CAEzB,KAAK,C7E1CD,OAAO,C6E2CZ,AAhEL,AAYE,WAZS,CAYT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAuDa,CACjB,SAAS,C7ErBD,QAAQ,C6EsBhB,aAAa,CAAE,CAAC,CACjB,AAtEH,AAwEE,WAxES,CAwET,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,UAAU,C7D7DD,GAAmB,C6D2F7B,AAzGH,AA6EI,WA7EO,CAwET,QAAQ,CAKN,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,GAAG,CAKf,AAvFL,AAoFM,WApFK,CAwET,QAAQ,CAKN,QAAQ,CAON,YAAY,AAAC,CACX,YAAY,C7DvEP,GAAmB,C6DwEzB,AAtFP,AAyFI,WAzFO,CAwET,QAAQ,CAiBN,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,IAAI,CAAE,CAAC,CACP,eAAe,CAAE,QAAQ,CACzB,MAAM,CAAE,IAAI,CAUb,AAxGL,AAgGM,WAhGK,CAwET,QAAQ,CAiBN,YAAY,CAOV,YAAY,AAAC,CACX,SAAS,C7EpDL,QAAQ,C6EqDZ,KAAK,C7E8FD,OAAoD,C6E7FzD,AAnGP,AAqGM,WArGK,CAwET,QAAQ,CAiBN,YAAY,CAYV,UAAU,AAAC,CACT,YAAY,C7DxFP,IAAmB,C6DyFzB,AAKP,AAAA,mBAAmB,CAAC,WAAW,CAAC,gBAAgB,AAAC,CAC/C,OAAO,CAAE,IAAI,CACd,AAED,AAAA,gBAAgB,CAAC,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CAC9C,OAAO,CAAE,IAAI,CACd,ACpHD,AAAA,aAAa,AAAC,CACZ,gBAAgB,C7EAN,IAAO,C6ECjB,KAAK,C7EFG,IAAO,C6EGhB,ACHD,AAAA,uBAAuB,AAAC,CACtB,UAAU,C9EDF,IAAO,C8ECM,MAAM,CAC3B,eAAe,CAAE,KAAK,CACtB,QAAQ,CAAE,QAAQ,CA0CnB,AA7CD,AAKE,uBALqB,CAKrB,oBAAoB,AAAC,CACnB,eAAe,CAAE,OAAO,CACxB,iBAAiB,CAAE,SAAS,CAC5B,mBAAmB,CAAE,MAAM,CAC3B,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,GAAG,CACb,AAfH,AAiBE,uBAjBqB,CAiBrB,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CAwBd,AA5CH,AAsBI,uBAtBmB,CAiBrB,sBAAsB,CAKpB,IAAI,AAAC,CACH,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,QAAQ,CAClB,AAzBL,AA2BI,uBA3BmB,CAiBrB,sBAAsB,CAUpB,4BAA4B,AAAC,CAC3B,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,CAAC,CACf,WAAW,CAAE,IAAI,CAalB,AA3CL,AAgCM,uBAhCiB,CAiBrB,sBAAsB,CAUpB,4BAA4B,CAK1B,OAAO,AAAC,CACN,KAAK,C/EiKD,OAAoD,C+EhKzD,AAlCP,AAoCM,uBApCiB,CAiBrB,sBAAsB,CAUpB,4BAA4B,AASzB,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAKjB,AA1CP,AAuCQ,uBAvCe,CAiBrB,sBAAsB,CAUpB,4BAA4B,AASzB,MAAM,CAGL,OAAO,AAAC,CACN,KAAK,C9ExCL,IAAO,C8EyCR,AAMT,AACE,eADa,AAAA,UAAU,CACvB,uBAAuB,AAAC,CACtB,iBAAiB,CAAE,SAAS,CAC7B,AAGH,AACE,eADa,AAAA,cAAc,CAC3B,uBAAuB,AAAC,CACtB,eAAe,CAAE,OAAO,CACzB,AAGH,AAAA,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CACnB,AC9DD,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAwL/B,AA1LD,AAIE,iBAJe,CAIf,QAAQ,AAAC,CACP,gBAAgB,ChF6LR,OAAoD,CgF5L5D,OAAO,CAAE,OAAO,CAChB,KAAK,C/ENG,IAAO,C+EOhB,AARH,AAUE,iBAVe,CAUf,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,aAAa,CAAE,GAAG,CAWnB,AA1BH,AAiBI,iBAjBa,CAUf,WAAW,CAOT,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,WAAW,CACpB,AApBL,AAsBI,iBAtBa,CAUf,WAAW,CAYT,WAAW,AAAC,CACV,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,KAAK,CACnB,AAzBL,AA4BE,iBA5Be,CA4Bf,gBAAgB,AAAC,CACf,KAAK,CAAE,GAAG,CA6EX,AtEvFD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AA4BE,iBA5Be,CA4Bf,gBAAgB,AAAC,CAGb,KAAK,CAAE,GAAG,CA2Eb,CA1GH,AAkCI,iBAlCa,CA4Bf,gBAAgB,CAMd,eAAe,CAlCnB,iBAAiB,CA4Bf,gBAAgB,CAOd,cAAc,CAnClB,iBAAiB,CA4Bf,gBAAgB,CAQd,eAAe,CApCnB,iBAAiB,CA4Bf,gBAAgB,CASd,aAAa,CArCjB,iBAAiB,CA4Bf,gBAAgB,CAUd,WAAW,AAAC,CACV,aAAa,CAAE,GAAG,CACnB,AAxCL,AA0CI,iBA1Ca,CA4Bf,gBAAgB,CAcd,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CAAC,KAAK,ChFqJlB,OAAoD,CgFpJ1D,cAAc,CAAE,KAAK,CACrB,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CA4BpB,AA7EL,AAmDM,iBAnDW,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CAUd,AA9DP,AAsDQ,iBAtDS,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,CAGX,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CAClB,AAxDT,AA2DQ,iBA3DS,CA4Bf,gBAAgB,CAcd,YAAY,CASV,aAAa,CAQX,IAAI,CAAG,IAAI,AAAC,CACV,WAAW,CAAE,MAAM,CACpB,AA7DT,AAgEM,iBAhEW,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CASpB,AA5EP,AAqEQ,iBArES,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,CAKN,KAAK,AAAC,CACJ,YAAY,CAAE,KAAK,CACpB,AAvET,AAyEQ,iBAzES,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,CASN,UAAU,AAAC,CACT,SAAS,CAAE,KAAK,CACjB,AA3ET,AA+EI,iBA/Ea,CA4Bf,gBAAgB,CAmDd,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,MAAM,CAcpB,AAhGL,AAoFM,iBApFW,CA4Bf,gBAAgB,CAmDd,aAAa,CAKX,YAAY,AAAC,CACX,WAAW,CAAE,KAAK,CACnB,AAtFP,AAwFM,iBAxFW,CA4Bf,gBAAgB,CAmDd,aAAa,CASX,WAAW,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,KAAK,CAClB,SAAS,ChFvCH,OAAQ,CgF4Cf,AA/FP,AA4FQ,iBA5FS,CA4Bf,gBAAgB,CAmDd,aAAa,CASX,WAAW,CAAC,CAAC,AAIV,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AA9FT,AAmGM,iBAnGW,CA4Bf,gBAAgB,CAsEd,cAAc,CACZ,YAAY,AAAC,CACX,OAAO,CAAE,KAAK,CACd,gBAAgB,ChF6FZ,OAAoD,CgF5FxD,MAAM,CAAE,GAAG,CAAC,KAAK,ChF4Fb,OAAoD,CgF3FxD,KAAK,C/EhGJ,OAAO,C+EiGT,AAxGP,AA4GE,iBA5Ge,CA4Gf,wBAAwB,AAAC,CACvB,KAAK,CAAE,GAAG,CAIV,WAAW,CAAE,GAAG,CAChB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAsEvB,AtEtKD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AA4GE,iBA5Ge,CA4Gf,wBAAwB,AAAC,CAGrB,KAAK,CAAE,GAAG,CA0Eb,CAzLH,AAqHI,iBArHa,CA4Gf,wBAAwB,CAStB,sBAAsB,CArH1B,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CAtHhB,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CAvHd,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAxHZ,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAzHlB,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CA1HxB,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,AAAC,CAChC,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAKhB,AAnIL,AA+HM,iBA/HW,CA4Gf,wBAAwB,CAStB,sBAAsB,CAUpB,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAStB,sBAAsB,CAWpB,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CASV,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAUtB,YAAY,CAUV,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CAQR,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAWtB,UAAU,CASR,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAON,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAYtB,QAAQ,CAQN,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAMZ,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAatB,cAAc,CAOZ,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CAKlB,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CActB,oBAAoB,CAMlB,KAAK,CAhIX,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,CAI/B,KAAK,CA/HX,iBAAiB,CA4Gf,wBAAwB,CAetB,iCAAiC,CAK/B,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAlIP,AAqII,iBArIa,CA4Gf,wBAAwB,CAyBtB,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CAClB,AAvIL,AAyII,iBAzIa,CA4Gf,wBAAwB,CA6BtB,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,CAAC,CACjB,AA9IL,AAgJI,iBAhJa,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAAC,CACrB,UAAU,ChFiDJ,OAAoD,CgFhD1D,OAAO,CAAE,WAAW,CAIpB,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CASlB,AtE9IH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AAgJI,iBAhJa,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAAC,CAInB,OAAO,CAAE,aAAa,CAazB,CAjKL,AA0JM,iBA1JW,CA4Gf,wBAAwB,CAoCtB,sBAAsB,AAUnB,IAAI,AAAC,CACJ,UAAU,ChFuCN,OAAoD,CgFtCzD,AA5JP,AA8JM,iBA9JW,CA4Gf,wBAAwB,CAoCtB,sBAAsB,CAcpB,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,AAhKP,AAmKI,iBAnKa,CA4Gf,wBAAwB,CAuDtB,wBAAwB,AAAC,CACvB,UAAU,ChF8BJ,OAAoD,CgF7B1D,OAAO,CAAE,GAAG,CAmBb,AAxLL,AAsKM,iBAtKW,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAGtB,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAxKP,AAyKM,iBAzKW,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAMtB,OAAO,AAAA,MAAM,AAAC,CACZ,UAAU,CAAE,GAAG,CAChB,AtExJL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EsEnBrC,AAmKI,iBAnKa,CA4Gf,wBAAwB,CAuDtB,wBAAwB,AAAC,CAUrB,OAAO,CAAE,YAAY,CAWxB,AAxLL,AA8KQ,iBA9KS,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAWpB,QAAQ,CA9KhB,iBAAiB,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAYpB,QAAQ,CA/KhB,iBAAiB,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAapB,WAAW,AAAA,aAAa,AAAC,CAEvB,KAAK,CAAE,eAAe,CACvB,AAnLT,AAoLQ,iBApLS,CA4Gf,wBAAwB,CAuDtB,wBAAwB,CAiBpB,WAAW,AAAC,CACV,SAAS,CAAE,KAAK,CACjB,CAMT,AAAA,YAAY,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CAsBb,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,KAAK,CA4CjB,AApED,AAEE,WAFS,CAET,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACpB,AALH,AAOE,WAPS,CAOT,WAAW,AAAC,CACV,KAAK,ChFNG,OAAoD,CgFW7D,AAbH,AASI,WATO,CAOT,WAAW,CAET,GAAG,AAAC,CACF,KAAK,C/EjMJ,OAAO,C+EkMR,SAAS,ChFxJD,OAAQ,CgFyJjB,AAZL,AAeE,WAfS,CAeT,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CACjC,SAAS,CAAE,OAAO,CACnB,AAjBH,AAmBE,WAnBS,CAmBT,gBAAgB,AAAC,CACf,WAAW,CAAE,GAAG,CACjB,AArBH,AAyBE,WAzBS,CAyBT,MAAM,AAAC,CACL,cAAc,CAAE,GAAG,CACnB,SAAS,CAAE,KAAK,CACjB,AA5BH,AA6BE,WA7BS,CA6BT,OAAO,AAAC,CACN,YAAY,CAAE,IAAI,CACnB,AA/BH,AAgCE,WAhCS,CAgCT,CAAC,AAAA,YAAY,AAAA,QAAQ,CAAC,YAAY,AAAC,CACjC,KAAK,ChF/BG,OAAoD,CgFgC7D,AAlCH,AAoCI,WApCO,CAmCT,YAAY,CACV,YAAY,AAAC,CACX,SAAS,ChFrLH,QAAQ,CgFsLd,WAAW,ChFtKI,GAAG,CgFuKnB,AAvCL,AAwCI,WAxCO,CAmCT,YAAY,CAKV,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CAChB,WAAW,ChF3KI,GAAG,CgF4KlB,KAAK,ChF1CC,OAAoD,CgF8C3D,AAhDL,AA6CM,WA7CK,CAmCT,YAAY,CAKV,eAAe,CAKb,IAAI,AAAC,CACH,WAAW,CAAE,CAAC,CACf,AA/CP,AAkDE,WAlDS,CAkDT,MAAM,AAAC,CACL,SAAS,ChFjMJ,GAAG,CgFkMR,WAAW,ChFnLK,GAAG,CgFoLnB,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,KAAK,CAChB,KAAK,ChFrDG,OAAoD,CgF6D7D,AA/DH,AAwDI,WAxDO,CAkDT,MAAM,CAMJ,KAAK,AAAC,CACJ,KAAK,ChFvDC,OAAoD,CgFwD3D,AA1DL,AA4DI,WA5DO,CAkDT,MAAM,CAUJ,iBAAiB,AAAC,CAChB,KAAK,C/E7PD,IAAO,C+E8PZ,AA9DL,AAiEE,WAjES,CAiET,cAAc,AAAC,CACb,SAAS,ChF/MC,OAAQ,CgFgNnB,AAGH,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CACjB,AACD,AAAA,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,oBAAoB,CAAC,eAAe,CAAC,KAAK,AAAC,CACzC,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,GAAG,CAChB,ACvRD,AACE,CADD,AAAA,eAAe,AACb,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,WAAW,CACpB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,WAAW,CACnB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CjFyLT,OAAoD,CiFxL5D,kBAAkB,CAAE,WAAW,CAC/B,aAAa,CAAE,GAAG,CAClB,iBAAiB,CAAE,iCAAiC,CACpD,SAAS,CAAE,iCAAiC,CAC7C,AAGH,AAAA,cAAc,AAAC,CvEiEb,WAAW,CAAE,GAAG,CAAC,KAAK,CVgHZ,OAAoD,CU/G9D,gBAAgB,CV8FR,OAAqB,CiF7J7B,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,SAAS,CjF4BF,GAAG,CiFoBX,AArDD,AAME,cANY,CAMV,OAAO,AAAC,CACR,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,IAAI,CAClB,OAAO,CAAE,KAAK,CACd,KAAK,ChF3BC,IAAO,CgF4Bb,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CAab,AAzBH,AAaI,cAbU,CAMV,OAAO,CAOP,KAAK,AAAC,CAMJ,QAAQ,CAAE,QAAQ,CAClB,SAAS,CjFaN,GAAG,CiFTP,AAxBL,AAcM,cAdQ,CAMV,OAAO,CAOP,KAAK,CACH,CAAC,AAAC,CACA,KAAK,CAAE,KAAK,CACZ,eAAe,CAAE,IAAI,CACrB,aAAa,CAAE,IAAI,CACpB,AAlBP,AAqBM,cArBQ,CAMV,OAAO,CAOP,KAAK,CAQH,GAAG,AAAA,QAAQ,AAAC,CACV,YAAY,CAAE,GAAG,CAClB,AAvBP,AA2BE,cA3BY,CA2BZ,mBAAmB,AAAC,CAClB,WAAW,CAAE,GAAG,CAwBjB,AApDH,AA6BI,cA7BU,CA2BZ,mBAAmB,CAEjB,GAAG,AAAC,CACF,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAnCL,AAoCI,cApCU,CA2BZ,mBAAmB,CASjB,EAAE,CApCN,cAAc,CA2BZ,mBAAmB,CAUjB,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AAvCL,AAwCI,cAxCU,CA2BZ,mBAAmB,CAajB,IAAI,AAAC,CACH,UAAU,CAAE,KAAK,CAClB,AA1CL,AA2CI,cA3CU,CA2BZ,mBAAmB,CAgBjB,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,IAAI,CAMrB,AAnDL,AA8CM,cA9CQ,CA2BZ,mBAAmB,CAgBjB,QAAQ,CAGN,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACZ,AAMP,AAEI,cAFU,CACZ,mBAAmB,CACjB,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AALL,AAMI,cANU,CACZ,mBAAmB,CAKjB,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAClB,AAYL,AAAA,KAAK,AAAA,OAAO,AAAC,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CjFkGP,OAAoD,CiFjG9D,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,mBAAmB,CAC5B,SAAS,CjFjDF,GAAG,CiFwOX,AA3LD,AAME,KANG,AAAA,OAAO,CAMV,MAAM,AAAC,CACL,aAAa,CAAE,GAAG,CAKnB,AAZH,AAQI,KARC,AAAA,OAAO,CAMV,MAAM,CAEJ,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CjF0FC,OAAoD,CiFzF1D,eAAe,CAAE,IAAI,CACtB,AAXL,AAPE,KAOG,AAAA,OAAO,AAPT,cAAc,CAAC,OAAO,AAAH,CAClB,UAAU,CAAE,0GAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,cAAc,CAAC,OAAO,AAAH,CAClB,UAAU,CAAE,oGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,UAAU,CAAC,OAAO,AAAC,CAClB,UAAU,CAAE,sGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,aAAa,CAAC,OAAO,AAAF,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,kBAAkB,CAAC,OAAO,AAAP,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,YAAY,CAAC,OAAO,AAAD,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,OAAO,CAAC,OAAO,AAAI,CAClB,UAAU,CAAE,mGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,UAAU,CAAC,OAAO,AAAC,CAClB,UAAU,CAAE,sGAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,WAAW,CAAC,OAAO,AAAA,CAClB,UAAU,CAAE,4HAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AAPE,KAOG,AAAA,OAAO,AAPT,YAAY,CAAC,OAAO,AAAD,CAClB,UAAU,CAAE,4HAAmC,CAAC,SAAS,CAAC,EAAE,CAAC,GAAG,CAChE,eAAe,CAAE,SAAS,CAC1B,YAAY,CAAE,IAAI,CACnB,AAGH,AA2BE,KA3BG,AAAA,OAAO,CA2BV,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CA8JZ,AA1LH,AA8BI,KA9BC,AAAA,OAAO,CA2BV,YAAY,CAGV,EAAE,CA9BN,KAAK,AAAA,OAAO,CA2BV,YAAY,CAIV,EAAE,AAAC,CACD,SAAS,CjF9EH,QAAQ,CiF+Ed,MAAM,CAAE,UAAU,CACnB,AAlCL,AAoCI,KApCC,AAAA,OAAO,CA2BV,YAAY,CASV,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,ChFlIA,IAAO,CgFmIZ,eAAe,CAAE,IAAI,CACtB,AAvCL,AAyCI,KAzCC,AAAA,OAAO,CA2BV,YAAY,CAcV,CAAC,CAAA,AAAA,IAAC,AAAA,CAAK,QAAQ,AAAC,CACd,KAAK,ChFvIA,IAAO,CgFwIb,AA3CL,AA6CI,KA7CC,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAAC,CACF,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,GAAG,CAId,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CAOnB,AAbC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAhDtC,AA6CI,KA7CC,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAAC,CAIA,SAAS,CAAE,GAAG,CAYjB,CA7DL,AAuDM,KAvDD,AAAA,OAAO,CA2BV,YAAY,CAkBV,GAAG,AAUA,kBAAkB,AAAC,CAClB,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,OAAO,CACd,MAAM,CAAE,OAAO,CAChB,AA5DP,AA+DI,KA/DC,AAAA,OAAO,CA2BV,YAAY,EAoCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,YAAY,AAAC,CACvC,KAAK,CAAE,IAAI,CACZ,AAjEL,AAkEI,KAlEC,AAAA,OAAO,CA2BV,YAAY,EAuCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,GAAG,AAAC,CAC9B,MAAM,CAAE,IAAI,CACb,AAI6B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAxEjC,AAyEM,KAzED,AAAA,OAAO,CA2BV,YAAY,CA8CR,aAAa,AAAC,CACZ,UAAU,CAAE,KAAK,CACjB,aAAa,CAAA,iCAAC,CACd,KAAK,CAAE,gCAAgC,CACvC,SAAS,CAAE,GAAG,CACd,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CAClB,MAAM,CAAE,IAAI,CAUb,AA1FP,AAkFQ,KAlFH,AAAA,OAAO,CA2BV,YAAY,CA8CR,aAAa,CASX,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAzFT,AA6FM,KA7FD,AAAA,OAAO,CA2BV,YAAY,CAkER,uBAAuB,AAAC,CACtB,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,iCAAiC,CACxC,SAAS,CAAE,IAAI,CAUhB,AA1GP,AAkGQ,KAlGH,AAAA,OAAO,CA2BV,YAAY,CAkER,uBAAuB,CAKrB,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,eAAe,CACzB,AAzGT,AA4GM,KA5GD,AAAA,OAAO,CA2BV,YAAY,EAiFR,AAAA,KAAC,EAAO,gBAAgB,AAAvB,CAAyB,CACxB,QAAQ,CAAE,QAAQ,CACnB,AA9GP,AA+GM,KA/GD,AAAA,OAAO,CA2BV,YAAY,EAoFR,AAAA,KAAC,EAAO,gBAAgB,AAAvB,CAAwB,QAAQ,AAAC,CAChC,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,cAAc,CAAE,kCAAkC,CACnD,AAnHP,AA+DI,KA/DC,AAAA,OAAO,CA2BV,YAAY,EAoCV,AAAA,KAAC,EAAO,gBAAgB,AAAvB,EAA2B,YAAY,AAqDG,CACvC,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,IAAI,CACb,CAzHP,AA6HI,KA7HC,AAAA,OAAO,CA2BV,YAAY,CAkGV,CAAC,AAAA,WAAW,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AA/HL,AAkII,KAlIC,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,AAAC,CACZ,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CAeZ,AAnJL,AAsIM,KAtID,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,CAIX,GAAG,AAAA,YAAY,AAAC,CACd,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AvEvNL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EuE4ErC,AA+IQ,KA/IH,AAAA,OAAO,CA2BV,YAAY,CAuGV,aAAa,CAaT,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CACjB,CAjJT,AAsJM,KAtJD,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CACX,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AAxJP,AAyJM,KAzJD,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CAIX,UAAU,CAzJhB,KAAK,AAAA,OAAO,CA2BV,YAAY,AA0HT,YAAY,CAKX,SAAS,AAAC,CACR,YAAY,CAAE,IAAI,CACnB,AA5JP,AAgKI,KAhKC,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAhKrB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CASnB,AA5KL,AAqKM,KArKD,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAKf,gBAAgB,CArKtB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAqIV,iBAAiB,CAMf,YAAY,CAtKlB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,CAIX,gBAAgB,CArKtB,KAAK,AAAA,OAAO,CA2BV,YAAY,CAsIV,aAAa,CAKX,YAAY,AAAC,CACX,OAAO,CAAE,eAAe,CACxB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AA3KP,AA8KI,KA9KC,AAAA,OAAO,CA2BV,YAAY,CAmJV,qBAAqB,AAAC,CAQpB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CACnB,AAzLL,AA+KM,KA/KD,AAAA,OAAO,CA2BV,YAAY,CAmJV,qBAAqB,AAClB,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CAEZ,OAAO,CvE9IL,oSAAkD,CuEiJrD,AAeP,AAAA,uBAAuB,AAAC,CACtB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CAOZ,AAVD,AANE,uBAMqB,AANpB,YAAY,AAAK,CAChB,UAAU,CAAE,2HAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,aAAa,AAAI,CAChB,UAAU,CAAE,4HAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,cAAc,AAAG,CAChB,UAAU,CAAE,6HAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,cAAc,AAAG,CAChB,UAAU,CAAE,6HAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,gBAAgB,AAAC,CAChB,UAAU,CAAE,+HAA4D,CACtE,SAAS,CACZ,AAGH,AANE,uBAMqB,AANpB,aAAa,AAAI,CAChB,UAAU,CAAE,4HAA4D,CACtE,SAAS,CACZ,AAgBH,AAAA,oBAAoB,AAAC,CACnB,gBAAgB,CjFhIR,OAAqB,CiFiI7B,KAAK,ChFlTG,IAAO,CgFmTf,MAAM,CAAE,GAAG,CAAC,KAAK,ChFnTT,IAAO,CgF6ThB,AAbD,AAIE,oBAJkB,CAIlB,kBAAkB,AAAC,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CAKd,AAZH,AAQI,oBARgB,CAIlB,kBAAkB,AAIf,gBAAgB,AAAC,CAChB,UAAU,CAAE,gIAA6D,CACvE,SAAS,CACZ,AAIL,AAAA,KAAK,AAAA,OAAO,CAAC,YAAY,CAAC,cAAc,AAAC,CACvC,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAED,AACE,UADQ,CACR,KAAK,AAAA,OAAO,AAAC,CvErPb,WAAW,CAAE,GAAG,CAAC,KAAK,CVgHZ,OAAoD,CU/G9D,gBAAgB,CV8FR,OAAqB,CiFwJ5B,AAIH,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAA,OAAO,AAAC,CACjC,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,KAAK,CACX,KAAK,CAAE,OAAO,CACd,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,SAAS,CjFlSG,OAAQ,CiFmSpB,WAAW,CjFrRO,GAAG,CiFsRrB,OAAO,CAAE,mBAAmB,CAC5B,iBAAiB,CAAE,UAAU,CAC9B,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAC,CACjB,WAAW,CAAE,CAAC,CACd,WAAW,CjF5RO,GAAG,CiF6RtB,AACD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,AAAC,CACd,gBAAgB,CAAoB,IAAI,CACzC,AACD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAC,CACjB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,UAAU,CACnB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAC,CAC1B,eAAe,CAAE,IAAI,CACrB,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,CAAC,CACd,WAAW,CAAE,iBAAiB,CAC9B,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,SAAS,AAAC,CAC1B,gBAAgB,CAAoB,OAAO,CAC5C,AAvBD,AAAA,GAAG,AAAA,OAAO,CAAC,IAAI,AAyBC,CACd,WAAW,CAAE,MAAM,CACpB,AAGD,AAII,OAJG,AAAA,kBAAkB,CAGvB,YAAY,CACV,EAAE,CAHN,OAAO,AAAA,aAAa,CAElB,YAAY,CACV,EAAE,CAFN,OAAO,AAAA,YAAY,CACjB,YAAY,CACV,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AANL,AAQI,OARG,AAAA,kBAAkB,CAGvB,YAAY,CAKR,YAAY,CAPlB,OAAO,AAAA,aAAa,CAElB,YAAY,CAKR,YAAY,CANlB,OAAO,AAAA,YAAY,CACjB,YAAY,CAKR,YAAY,AAAC,CAEb,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAZL,AAeE,OAfK,AAAA,kBAAkB,CAevB,WAAW,CAdb,OAAO,AAAA,aAAa,CAclB,WAAW,CAbb,OAAO,AAAA,YAAY,CAajB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAjBH,AAmBE,OAnBK,AAAA,kBAAkB,CAmBvB,sBAAsB,CAlBxB,OAAO,AAAA,aAAa,CAkBlB,sBAAsB,CAjBxB,OAAO,AAAA,YAAY,CAiBjB,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CACvB,YAAY,CAAE,GAAG,CAClB,AAvBH,AAyBE,OAzBK,AAAA,kBAAkB,CAyBvB,YAAY,CAxBd,OAAO,AAAA,aAAa,CAwBlB,YAAY,CAvBd,OAAO,AAAA,YAAY,CAuBjB,YAAY,AAAC,CACX,IAAI,CjFrNI,OAAoD,CiFsN5D,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AA7BH,AA+BE,OA/BK,AAAA,kBAAkB,CA+BvB,SAAS,CA9BX,OAAO,AAAA,aAAa,CA8BlB,SAAS,CA7BX,OAAO,AAAA,YAAY,CA6BjB,SAAS,AAAC,CACR,SAAS,CjF1WC,OAAQ,CiF8WnB,AApCH,AAiCI,OAjCG,AAAA,kBAAkB,CA+BvB,SAAS,CAEP,IAAI,CAhCR,OAAO,AAAA,aAAa,CA8BlB,SAAS,CAEP,IAAI,CA/BR,OAAO,AAAA,YAAY,CA6BjB,SAAS,CAEP,IAAI,AAAC,CACH,UAAU,CAAE,SAAS,CACtB,AAnCL,AAsCE,OAtCK,AAAA,kBAAkB,CAsCvB,sBAAsB,CArCxB,OAAO,AAAA,aAAa,CAqClB,sBAAsB,CApCxB,OAAO,AAAA,YAAY,CAoCjB,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACZ,AAxCH,AA0CE,OA1CK,AAAA,kBAAkB,CA0CvB,YAAY,CAzCd,OAAO,AAAA,aAAa,CAyClB,YAAY,CAxCd,OAAO,AAAA,YAAY,CAwCjB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CAoBZ,AAlEH,AAgDI,OAhDG,AAAA,kBAAkB,CA0CvB,YAAY,CAMR,GAAG,CA/CT,OAAO,AAAA,aAAa,CAyClB,YAAY,CAMR,GAAG,CA9CT,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAMR,GAAG,AAAC,CACJ,MAAM,CAAE,OAAO,CAChB,AAlDL,AAoDI,OApDG,AAAA,kBAAkB,CA0CvB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,EOnWrB,OAAO,AAAA,aAAa,CAyClB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,EOlWrB,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAUR,GAAG,AAAA,IAAK,CPgTJ,WAAW,COhTM,CACrB,YAAY,CAAE,IAAI,CACnB,AAtDL,AAwDI,OAxDG,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAvDV,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAtDV,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAQlB,AAjEL,AA2DM,OA3DC,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAGJ,MAAM,CA1DZ,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAGJ,MAAM,CAzDZ,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,CAGJ,MAAM,AAAC,CACL,KAAK,ChFjbH,IAAO,CgFkbV,AA7DP,AA8DM,OA9DC,AAAA,kBAAkB,CA0CvB,YAAY,CAcV,MAAM,CAMJ,QAAQ,CA7Dd,OAAO,AAAA,aAAa,CAyClB,YAAY,CAcV,MAAM,CAMJ,QAAQ,CA5Dd,OAAO,AAAA,YAAY,CAwCjB,YAAY,CAcV,MAAM,CAMJ,QAAQ,AAAC,CACP,KAAK,ChFrbJ,OAAO,CgFsbT,AAhEP,AAoEE,OApEK,AAAA,kBAAkB,CAoEvB,qBAAqB,CAnEvB,OAAO,AAAA,aAAa,CAmElB,qBAAqB,CAlEvB,OAAO,AAAA,YAAY,CAkEjB,qBAAqB,AAAC,CACpB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,IAAI,CAChB,AA7EH,AA+EE,OA/EK,AAAA,kBAAkB,CA+EvB,eAAe,CA9EjB,OAAO,AAAA,aAAa,CA8ElB,eAAe,CA7EjB,OAAO,AAAA,YAAY,CA6EjB,eAAe,AAAC,CACd,MAAM,CAAE,SAAS,CAClB,AAjFH,AAmFE,OAnFK,AAAA,kBAAkB,CAmFvB,OAAO,CAAC,IAAI,CAlFd,OAAO,AAAA,aAAa,CAkFlB,OAAO,CAAC,IAAI,CAjFd,OAAO,AAAA,YAAY,CAiFjB,OAAO,CAAC,IAAI,AAAC,CAEX,gBAAgB,CjFhRR,OAAoD,CiFgR1B,UAAU,CAC5C,KAAK,ChFldG,IAAO,CgFkdG,UAAU,CAC5B,OAAO,CAAE,kBAAkB,CAC5B,AAIH,AAAA,YAAY,CAAC,qBAAqB,AAAC,CACjC,UAAU,CAAE,OAAO,CACnB,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACd,AAED,AAAA,YAAY,CAAC,WAAW,AAAC,CACvB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,UAAU,CAC3B,AAED,AAAA,YAAY,CAAC,aAAa,AAAC,CACzB,OAAO,CAAE,GAAG,CACZ,SAAS,CjFzbG,OAAQ,CiF0brB,AAED,AAAA,YAAY,CAAC,WAAW,AAAA,KAAK,AAAC,CAC5B,gBAAgB,CAAE,OAAO,CAC1B,AACD,AAAA,YAAY,CAAC,WAAW,AAAA,OAAO,AAAC,CAC9B,gBAAgB,CAAE,OAAO,CAC1B,AACD,AAAA,YAAY,CAAC,WAAW,AAAA,OAAO,AAAC,CAC9B,gBAAgB,CAAE,OAAO,CAC1B,AAED,AAAA,YAAY,CAAC,qBAAqB,AAAC,CACjC,WAAW,CAAE,KAAK,CACnB,AAGD,AACE,KADG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CACrC,EAAE,AAAC,CACD,aAAa,CAAE,CAAC,CACjB,AAIH,AACE,OADK,AAAA,cAAc,CACnB,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAJH,AAKE,OALK,AAAA,cAAc,CAKnB,CAAC,CALH,OAAO,AAAA,cAAc,CAMnB,MAAM,AAAC,CACL,WAAW,CAAE,QAAQ,CACrB,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,IAAI,CA0BlB,AAnCH,AAWI,OAXG,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAXX,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,AAAC,CACN,MAAM,CAAE,GAAG,CAAC,KAAK,CjF/UX,OAAoD,CiFgV1D,OAAO,CAAE,iBAAiB,CAC1B,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAmBjB,AAlCL,AAiBM,OAjBC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAML,YAAY,CAjBlB,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAML,YAAY,AAAC,CACX,KAAK,CAAE,OAAO,CACf,AAnBP,AAqBM,OArBC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAUL,aAAa,CArBnB,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAUL,aAAa,AAAC,CACZ,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,OAAO,CAMhB,AA7BP,AAyBQ,OAzBD,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAUL,aAAa,CAIX,IAAI,CAzBZ,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAUL,aAAa,CAIX,IAAI,AAAC,CACH,WAAW,CAAE,OAAO,CACpB,KAAK,CjF9VH,OAAoD,CiF+VvD,AA5BT,AA+BM,OA/BC,AAAA,cAAc,CAKnB,CAAC,CAMC,OAAO,CAoBL,GAAG,CA/BT,OAAO,AAAA,cAAc,CAMnB,MAAM,CAKJ,OAAO,CAoBL,GAAG,AAAC,CACF,aAAa,CAAE,GAAG,CACnB,AAjCP,AAoCE,OApCK,AAAA,cAAc,CAoCnB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAIH,AAEE,OAFK,AAAA,YAAY,CAEjB,UAAU,CAFZ,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CADZ,OAAO,AAAA,aAAa,CAClB,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CjF9cD,CAAC,CiF+cP,SAAS,CjFjgBC,OAAQ,CiFkgBlB,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,eAAkB,CvE1ftC,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CuE0frB,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,KAAK,CAgBf,AA1BH,AAYI,OAZG,AAAA,YAAY,CAEjB,UAAU,CAUR,UAAU,CAZd,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CAUR,UAAU,CAXd,OAAO,AAAA,aAAa,CAClB,UAAU,CAUR,UAAU,AAAC,CACT,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,MAAM,CvElgBpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CuE0gBpB,AAzBL,AAkBM,OAlBC,AAAA,YAAY,CAEjB,UAAU,CAUR,UAAU,CAMR,YAAY,CAlBlB,OAAO,AAiIA,oBAAoB,CA/HzB,UAAU,CAUR,UAAU,CAMR,YAAY,CAjBlB,OAAO,AAAA,aAAa,CAClB,UAAU,CAUR,UAAU,CAMR,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,SAAS,CjFlhBL,QAAQ,CiFmhBZ,WAAW,CjFngBC,GAAG,CiFogBf,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,IAAI,CACtB,AAMP,AACE,KADG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CACrC,GAAG,AAAA,IAAK,CAAA,cAAc,CAAE,CACtB,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,GAAG,CACf,AAJH,AAME,KANG,AAAA,OAAO,AAAA,cAAc,CAAC,YAAY,CAMrC,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CjFvZK,OAAoD,CiFwZ/D,AAED,AACE,OADK,AAAA,KAAK,CAAC,YAAY,CACvB,GAAG,AAAC,CACF,SAAS,CAAE,eAAe,CAC1B,KAAK,CAAE,eAAe,CACvB,AAIH,AACE,OADK,AAAA,IAAI,CAAC,YAAY,CACtB,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,qGAAkC,CAAC,SAAS,CACxD,eAAe,CAAE,SAAS,CAC1B,OAAO,CAAE,YAAY,CACtB,AARH,AASE,OATK,AAAA,IAAI,CAAC,YAAY,CAStB,SAAS,AAAC,CACR,KAAK,CAAE,IAAI,CACZ,AAIH,AACE,OADK,AAAA,mBAAmB,CACxB,OAAO,CADT,OAAO,AAAA,mBAAmB,CAExB,OAAO,AAAC,CACN,KAAK,CjFpbG,OAAoD,CiFqb7D,AAJH,AAKE,OALK,AAAA,mBAAmB,CAKxB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAPH,AAQE,OARK,AAAA,mBAAmB,CAQxB,OAAO,AAAC,CACN,KAAK,CAAE,KAAK,CACb,AAGH,AAGI,OAHG,AACJ,mBAAmB,CAElB,UAAU,CAHd,OAAO,AAEJ,OAAO,CACN,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CAClB,AAIL,AACE,OADK,AAAA,OAAO,CAAC,CAAC,CACd,IAAI,AAAA,OAAO,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,MAAM,CACpB,AAGH,AACE,OADK,AAAA,UAAU,CACf,GAAG,AAAA,sBAAsB,AAAC,CACxB,KAAK,CjFjdG,OAAoD,CiFkd5D,WAAW,CAAE,IAAI,CAClB,AAGH,AACE,OADK,AAAA,aAAa,CAClB,GAAG,AAAA,QAAQ,AAAC,CACV,OAAO,CAAE,CAAC,CACX,AAGH,AACE,OADK,AAAA,cAAc,CACnB,KAAK,CADP,OAAO,AAAA,cAAc,CAEnB,QAAQ,AAAC,CACP,KAAK,CjF/dG,OAAoD,CiFge5D,YAAY,CAAE,IAAI,CAKnB,AATH,AAKI,OALG,AAAA,cAAc,CACnB,KAAK,CAIH,GAAG,CALP,OAAO,AAAA,cAAc,CAEnB,QAAQ,CAGN,GAAG,AAAC,CACF,IAAI,CAAE,YAAY,CAClB,cAAc,CAAE,MAAM,CACvB,AAKL,AAAA,YAAY,CAAC,OAAO,AAAA,YAAY,AAAC,CAC/B,UAAU,CAAE,IAAI,CACjB,AAQD,AAAA,OAAO,AAAA,aAAa,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CAOZ,AAVD,AAKE,OALK,AAAA,aAAa,CAKlB,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAGH,AAAA,6BAA6B,AAAC,CAC5B,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,gBAAgB,CjFngBN,OAAoD,CiFsiB/D,AAvCD,AAME,6BAN2B,CAM3B,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,WAAW,CAAE,MAAM,CA0BpB,AAtCH,AAeM,6BAfuB,CAM3B,iBAAiB,AAQd,MAAM,AACJ,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvE/kBL,kaAAkD,CuEklBrD,AApBP,AAuBM,6BAvBuB,CAM3B,iBAAiB,AAgBd,MAAM,AACJ,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvEvlBL,oeAAkD,CuE0lBrD,AA5BP,AA+BM,6BA/BuB,CAM3B,iBAAiB,AAwBd,QAAQ,AACN,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,OAAO,CvE/lBL,4mBAAkD,CuEkmBrD,ACruBP,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,OAAO,ClFmFG,IAAI,CkFlFd,gBAAgB,CjFHE,IAAO,CiFIzB,UAAU,ClFiIA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAE,IAAG,CAAC,gBAAmB,CkF9C7C,AA3FD,AAUE,SAVO,CAUL,KAAK,AAAC,CACN,KAAK,CAAE,iBAAiB,CACxB,MAAM,CAAE,IAAI,CAuBb,AAnCH,AAaI,SAbK,CAUL,KAAK,CAGL,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAkBb,AAlCL,AAkBM,SAlBG,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CAcZ,AAjCP,AAqBQ,SArBC,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAGT,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AAvBT,AAwBQ,SAxBC,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAMlB,AAhCT,AA4BU,SA5BD,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,CAIX,aAAa,CA5BvB,SAAS,CAUL,KAAK,CAGL,SAAS,CAKP,WAAW,CAMT,aAAa,CAKX,cAAc,AAAC,CACb,OAAO,CAAE,QAAQ,CAClB,AAMT,AAAA,OAAO,CArCT,SAAS,AAqCG,CACR,QAAQ,CAAE,KAAK,CACf,mBAAmB,CAAE,MAAM,CAC5B,AAxCH,AA0CE,SA1CO,CA0CP,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAKb,AAlDH,AA8CI,SA9CK,CA0CP,MAAM,CAIJ,CAAC,CA9CL,SAAS,CA0CP,MAAM,CAKJ,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CjF3CM,IAAO,CiF4CnB,AAjDL,AAoDE,SApDO,CAoDP,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAtDH,AAwDE,SAxDO,CAwDP,YAAY,AAAC,CACX,SAAS,ClFbD,OAAO,CkFchB,AA1DH,AA4DE,SA5DO,CA4DP,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACpB,AAlEH,AAoEE,SApEO,CAoEP,gBAAgB,CApElB,SAAS,CAqEP,UAAU,CArEZ,SAAS,CAsEP,YAAY,AAAC,CACX,KAAK,CAAE,CAAC,CACT,AAxEH,AA0EE,SA1EO,CA0EP,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,KAAK,CAClB,AA9EH,AAgFE,SAhFO,CAgFP,aAAa,CAhFf,SAAS,CAiFP,MAAM,AAAA,eAAe,AAAC,CACpB,OAAO,CAAE,QAAQ,CAIlB,AAtFH,AAmFI,SAnFK,CAgFP,aAAa,CAGX,GAAG,CAnFP,SAAS,CAiFP,MAAM,AAAA,eAAe,CAEnB,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AArFL,AAwFE,SAxFO,CAwFP,MAAM,AAAA,aAAa,AAAC,CAClB,WAAW,CAAE,GAAG,CACjB,AAGH,AAGE,uBAHqB,CAGrB,cAAc,CAHhB,uBAAuB,CAIrB,YAAY,CAHd,UAAU,CAER,cAAc,CAFhB,UAAU,CAGR,YAAY,CAFd,WAAW,CACT,cAAc,CADhB,WAAW,CAET,YAAY,AAAC,CACX,UAAU,CjF3FL,OAAO,CiF4FZ,SAAS,CAAE,GAAG,CACf,AAGH,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,SAAS,CACjB,UAAU,CAAE,IAAI,CAuGjB,AA1GD,AAKE,eALa,CAKX,EAAE,AAAC,CACH,KAAK,CAAE,IAAI,CACZ,AAPH,AAQE,eARa,CAQb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,KAAK,CAAE,QAAQ,CACf,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,QAAQ,CACjB,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,qBAAqB,CACjC,WAAW,CAAE,qBAAqB,CAClC,YAAY,CAAE,qBAAqB,CACnC,UAAU,CAAE,gBAAgB,CAC5B,OAAO,CAAE,IAAI,CAmBd,AAzCH,AAuBI,eAvBW,CAQb,KAAK,CAeH,GAAG,AAAA,OAAO,AAAC,CACT,KAAK,CAAE,QAAQ,CACf,MAAM,CAAE,QAAQ,CACjB,AA1BL,AA2BI,eA3BW,CAQb,KAAK,AAmBF,MAAM,CA3BX,eAAe,CAQb,KAAK,AAoBF,MAAM,AAAC,CACN,gBAAgB,ClF8DV,OAAoD,CkF7D1D,UAAU,CAAE,qBAAqB,CACjC,WAAW,CAAE,qBAAqB,CAClC,YAAY,CAAE,qBAAqB,CAIpC,AApCL,AAiCM,eAjCS,CAQb,KAAK,AAmBF,MAAM,CAML,OAAO,CAjCb,eAAe,CAQb,KAAK,AAoBF,MAAM,CAKL,OAAO,AAAC,CACN,KAAK,ClFyDD,OAAoD,CkFxDzD,AAnCP,AAqCI,eArCW,CAQb,KAAK,AA6BF,OAAO,AAAC,CACP,KAAK,CjF7ID,IAAO,CiF8IX,gBAAgB,ClFoDV,OAAoD,CkFnD3D,AAEH,AACE,eADa,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,CjFnJV,IAAO,CiFoJb,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,ClF4Cf,OAAoD,CkF3C1D,WAAW,CAAE,GAAG,CAAC,KAAK,ClF2ChB,OAAoD,CkF1C1D,YAAY,CAAE,GAAG,CAAC,KAAK,ClF0CjB,OAAoD,CkFxB3D,AAzBH,AAQI,eARW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,CAOX,OAAO,AAAC,CACN,KAAK,ClFwCD,OAAoD,CkFvCzD,AAVL,AAWI,eAXW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAUV,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,OAAO,ClFxEH,IAAI,CkFyER,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,CjFpKjB,IAAO,CiFqKZ,AArBL,AAsBI,eAtBW,CA1CjB,eAAe,CA2CX,OAAO,CAAC,KAAK,AAqBV,MAAM,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AAlEP,AAsEE,eAtEa,CAsEb,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,SAAS,ClFjID,QAAQ,CkFkIhB,WAAW,ClF/GK,GAAG,CkFgHnB,OAAO,CAAE,YAAY,CACrB,KAAK,ClFgBG,OAAoD,CkFf7D,AA5EH,AA6EE,eA7Ea,CA6Eb,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CACnB,AA/EH,AAgFE,eAhFa,CAgFb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,OAAO,ClFrFD,CAAC,CkFsFP,WAAW,CAAE,CAAC,CACf,AArFH,AAsFE,eAtFa,CAsFb,uBAAuB,AAAC,CACtB,QAAQ,CAAE,QAAQ,CACnB,AAxFH,AAyFE,eAzFa,CAyFb,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClF7FD,CAAC,CkF8FP,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,IAAI,CACT,SAAS,CAAE,KAAK,CACjB,AA/FH,AAgGE,eAhGa,CAgGb,qBAAqB,AAAC,CACpB,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CACX,gBAAgB,ClFRR,IAAoD,CkFS7D,AApGH,AAqGE,eArGa,CAqGb,wBAAwB,CArG1B,eAAe,CAsGb,KAAK,AAAC,CACJ,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,iBAAiB,AAAC,CAChB,gBAAgB,ClFlBN,OAAoD,CkFmB/D,AAED,AAAA,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,YAAY,CAAC,KAAK,CAAC,EAAE,AAAC,CACpB,aAAa,CAAE,IAAI,CACpB,AAGD,AAAA,YAAY,AAAA,WAAW,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAGD,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,IAAI,CAAE,MAAM,CACZ,MAAM,CAAE,IAAI,CACZ,WAAW,ClF1KQ,GAAG,CkF2KtB,OAAO,CAAE,eAAe,CAExB,QAAQ,CAAE,MAAM,CA4EjB,AApFD,AASE,mBATiB,CASjB,WAAW,AAAC,CACV,QAAQ,CAAE,MAAM,CAChB,KAAK,CAAE,IAAI,CACX,iBAAiB,CAAE,WAAW,CAC9B,SAAS,CAAE,WAAW,CACvB,AAdH,AAeE,mBAfiB,CAejB,WAAW,AAAC,CACV,KAAK,CjFhPQ,IAAO,CiFiPpB,OAAO,CAAE,KAAK,CxE1LhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwE0LtB,AAnBH,AAqBI,mBArBe,CAoBjB,eAAe,CACb,OAAO,AAAC,CACN,KAAK,ClFzDC,IAAoD,CkF0D3D,AAvBL,AAwBI,mBAxBe,CAoBjB,eAAe,CAIb,gBAAgB,AAAC,CACf,KAAK,CjFvPF,OAAO,CiFwPX,AA1BL,AA4BE,mBA5BiB,CA4BjB,aAAa,AAAC,CACZ,MAAM,CAAE,YAAY,CAKpB,SAAS,ClFxND,QAAQ,CkFyNhB,KAAK,CAAE,IAAI,CACZ,AANC,AAAA,0BAA0B,CA9B9B,mBAAmB,CA4BjB,aAAa,AAEkB,CAE3B,MAAM,CAAE,CAAC,CACV,AAjCL,AAqCE,mBArCiB,CAqCjB,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CAGnB,SAAS,CAAE,GAAG,CACd,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,GAAG,CAIf,AAhDH,AA6CI,mBA7Ce,CAqCjB,mBAAmB,CAQjB,cAAc,AAAC,CxEtNjB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEsNpB,AA/CL,AAiDE,mBAjDiB,CAiDjB,cAAc,AAAC,CACb,YAAY,CAAE,GAAG,CAClB,AAnDH,AAqDI,mBArDe,CAoDjB,cAAc,AAAA,OAAO,CACnB,yBAAyB,CArD7B,mBAAmB,CAoDjB,cAAc,AAAA,OAAO,CAEnB,kBAAkB,AAAC,CACjB,SAAS,CAAE,GAAG,CACf,AAxDL,AA8DM,mBA9Da,CA0DjB,cAAc,AACX,OAAO,CAGN,IAAI,AAAA,eAAe,CA9DzB,mBAAmB,CA0DjB,cAAc,AAEX,IAAI,CAEH,IAAI,AAAA,eAAe,CA9DzB,mBAAmB,CA0DjB,cAAc,AAGX,KAAK,CACJ,IAAI,AAAA,eAAe,AAAC,CAClB,KAAK,ClFlGD,OAAoD,CkFmGzD,AAhEP,AAmEE,mBAnEiB,CAmEjB,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,MAAM,CAQb,AA/EH,AAwEI,mBAxEe,CAmEjB,mBAAmB,CAKjB,eAAe,AAAC,CACd,KAAK,ClF5GC,OAAoD,CUtI9D,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEqPpB,AA9EL,AA2EM,mBA3Ea,CAmEjB,mBAAmB,CAKjB,eAAe,CAGb,cAAc,AAAC,CACb,OAAO,CAAE,MAAM,CAChB,AA7EP,AAmEE,mBAnEiB,CAmEjB,mBAAmB,AAcC,CAClB,SAAS,CAAE,GAAG,CACf,AAQH,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,SAAS,ClFjRG,OAAQ,CkFuUrB,AA1DD,AAKE,0BALwB,AAKvB,IAAK,CAAA,YAAY,CAAE,CAClB,WAAW,CAAE,GAAG,CACjB,AAPH,AAUI,0BAVsB,CAQxB,kBAAkB,AAEf,IAAK,CAAA,aAAa,EAVvB,0BAA0B,CASxB,mBAAmB,AAChB,IAAK,CAAA,aAAa,CAAE,CACnB,YAAY,CAAE,GAAG,CAClB,AAZL,AAgBI,0BAhBsB,CAexB,kBAAkB,CAChB,KAAK,AAAC,CACJ,MAAM,CApBI,OAAO,CAwBjB,OAAO,CAAE,YAAY,CAKtB,AARC,AAAA,YAAY,CAlBlB,0BAA0B,CAexB,kBAAkB,CAChB,KAAK,AAEY,CACb,MAAM,CArBS,OAAO,CAsBvB,AApBP,AAsBM,0BAtBoB,CAexB,kBAAkB,CAChB,KAAK,CAMH,GAAG,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAzBP,AA6BE,0BA7BwB,CA6BxB,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,ClF7JT,OAAoD,CkF8J5D,aAAa,CAAE,MAAM,CxEpSvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEsTtB,AApDH,AAmCI,0BAnCsB,CA6BxB,mBAAmB,CAMjB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAzCI,OAAO,CA6CjB,KAAK,ClFxKC,OAAoD,CkF6K3D,AARC,AAAA,YAAY,CAvClB,0BAA0B,CA6BxB,mBAAmB,CAMjB,KAAK,AAIY,CACb,MAAM,CA1CS,OAAO,CA2CvB,AAzCP,AA4CM,0BA5CoB,CA6BxB,mBAAmB,CAMjB,KAAK,CASH,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AA9CP,AAiDI,0BAjDsB,CA6BxB,mBAAmB,CAoBjB,IAAI,AAAC,CxErTP,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CwEqTpB,AAnDL,AAsDE,0BAtDwB,CAsDxB,kBAAkB,AAAC,CACjB,KAAK,ClFrLG,OAAoD,CkFsL5D,WAAW,CAAE,GAAG,CACjB,ACvXH,AACE,IADE,AACD,SAAS,AAAC,CACT,WAAW,CAAE,IAAI,CAClB,AAHH,AAIE,IAJE,AAID,SAAS,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AANH,AAOE,IAPE,AAOD,SAAS,AAAC,CACT,eAAe,CAAE,SAAS,CAC3B,AATH,AAUE,IAVE,AAUD,SAAS,AAAC,CACT,eAAe,CAAE,YAAY,CAC9B,ACXH,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CACnB,gBAAgB,CnFJN,IAAO,CmFKjB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,MAAM,CAcf,AAnBD,AAQI,iBARa,CAOf,gBAAgB,CACd,WAAW,AAAC,CACV,SAAS,CpFqCH,QAAQ,CoFpCd,WAAW,CpFoDG,GAAG,CoFnDlB,AAXL,AAcM,iBAdW,CAOf,gBAAgB,CAMd,oBAAoB,CAClB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,ACjBP,AAAA,iBAAiB,AAAC,CAChB,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,IAAI,CACX,OAAO,CrF4FK,GAAG,CqF3Ff,MAAM,CAAE,IAAI,CACb,AAED,AAAA,WAAW,AAAC,CACV,gBAAgB,CpFVN,IAAO,CoFWjB,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CrFoLP,OAAoD,CqFnL9D,OAAO,CrFmFK,GAAG,CqFlFf,UAAU,CrFuHF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CqFxGvC,AArBD,AAQE,WARS,CAQT,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,UAAU,CACnB,AAXH,AAaE,WAbS,CAaT,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CACjB,AAfH,AAiBE,WAjBS,CAiBT,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,WAAW,AAAA,cAAc,AAAC,CACxB,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,KAAK,CA2BlB,AA7BD,AAGE,WAHS,AAAA,cAAc,CAGvB,KAAK,AAAA,YAAY,AAAC,CAChB,MAAM,CAAE,CAAC,CACV,AALH,AAME,WANS,AAAA,cAAc,CAMvB,EAAE,AAAC,CACD,MAAM,CAAE,MAAM,CACf,AARH,AASE,WATS,AAAA,cAAc,CASvB,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CAkBf,AA5BH,AAWI,WAXO,AAAA,cAAc,CASvB,gBAAgB,CAEd,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAbL,AAcI,WAdO,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CAOlB,AAxBL,AAkBM,WAlBK,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,CAIH,CAAC,AAAA,cAAc,AAAC,CACd,MAAM,CAAE,CAAC,CACV,AApBP,AAqBM,WArBK,AAAA,cAAc,CASvB,gBAAgB,CAKd,KAAK,CAOH,CAAC,AAAC,CACA,MAAM,CAAE,QAAQ,CACjB,AAvBP,AAyBI,WAzBO,AAAA,cAAc,CASvB,gBAAgB,CAgBd,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CACnB,AAIL,AACE,aADW,CAAC,oBAAoB,CAChC,cAAc,AAAC,CACb,QAAQ,CAAE,OAAO,CAClB,AAHH,AAKE,aALW,CAAC,oBAAoB,CAKhC,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,AAPH,AASE,aATW,CAAC,oBAAoB,CAShC,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACtB,AAGH,AACE,YADU,CAAC,cAAc,CAAC,gBAAgB,CAC1C,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,MAAM,CACf,AAKH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CrFuGP,IAAoD,CqFtG9D,gBAAgB,CrFsGN,OAAoD,CqFxE/D,AAhCD,AAGE,eAHa,CAGb,IAAI,AAAC,CACH,MAAM,CAAE,IAAI,CACZ,KAAK,CpF9FG,IAAO,CoF+Ff,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,IAAI,CAwBpB,AA/BH,AAQI,eARW,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2ChCY,CACjB,UAAU,CpFjGL,IAAO,CoFkGZ,YAAY,CpFlGP,IAAO,CoFiHb,AAzBL,AAWM,eAXS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,E2C7BJ,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CpFrGD,IAAO,CoFsGZ,AAbP,AAcM,eAdS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2C1BJ,MAAM,AAAC,CACN,KAAK,CpFxGD,IAAO,CoFyGX,UAAU,CrFwFN,OAAoD,CqFvFzD,AAjBP,AAkBM,eAlBS,CAGb,IAAI,AAKD,IAAK,C3CgCV,WAAW,C2CtBJ,OAAO,AAAC,C3ElEb,gBAAgB,C2EoER,OAAsB,C3EnE9B,gBAAgB,CAAE,4CAAoD,C2EsEhE,KAAK,CpFhHD,IAAO,CoFiHZ,AAxBP,AA0BI,eA1BW,CAGb,IAAI,CAuBD,AAAA,QAAC,AAAA,CAAU,CACV,WAAW,CAAE,CAAC,CAAC,GAAG,CAAC,CAAC,CpFrHhB,kBAAO,CS0Cf,gBAAgB,CTxCP,IAAO,CSyChB,gBAAgB,CAAE,sCAAoD,C2E4ElE,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CAC9C,ACtHL,AAAA,iBAAiB,CAAC,SAAS,AAAC,CAC1B,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,MAAM,CAKjB,AARD,AAIE,iBAJe,CAAC,SAAS,AAIxB,MAAM,CAAC,KAAK,AAAC,CACZ,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,YAAY,CACzB,AAGH,AAAA,kBAAkB,AAAC,CACjB,UAAU,CAAE,UAAU,CACvB,AAED,AAAA,OAAO,CAAC,GAAG,AAAA,kBAAkB,AAAC,CAC5B,MAAM,CAAE,GAAG,CAAC,KAAK,CtFiLP,OAAoD,CsFhL/D,AAED,AAAA,OAAO,CAAC,GAAG,AAAA,WAAW,AAAC,CACrB,UAAU,CAAE,uBAAuB,CACpC,AAED,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,YAAY,CAStB,AjB2BC,AAAA,iBAAiB,CAAC,GAAG,AiBnCjB,CACF,UAAU,CAAE,KAAK,CACjB,eAAe,CAAE,GAAG,CACrB,AALH,AAME,iBANe,CAAjB,iBAAiB,CAOf,CAAC,AAAC,CACA,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACX,KAAK,CrFvCK,IAAO,CqFwCjB,UAAU,CrFzCF,IAAO,CqF0Cf,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,YAAY,CACxB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAwBpB,AAjCD,AAWE,KAXG,CAWH,SAAS,AAAC,CACR,MAAM,CAhDY,GAAG,C5E4DvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C4EZtB,AAdH,AAgBE,KAhBG,CAgBH,OAAO,AAAC,CACN,MAAM,CArDY,GAAG,CAsDrB,OAAO,CAAE,GAAG,CACZ,KAAK,CrFtDG,IAAO,CqF0DhB,AAvBH,AAoBI,KApBC,CAgBH,OAAO,CAIH,SAAS,AAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAtBL,AAyBE,KAzBG,CAyBH,aAAa,AAAC,CACZ,MAAM,CA9DY,GAAG,CA+DrB,aAAa,CAAE,IAAI,CACnB,KAAK,CtFoIG,OAAmD,CsFnI3D,SAAS,CtFfJ,GAAG,CsFgBR,WAAW,CAAE,CAAC,CACd,SAAS,CAAE,CAAC,CACb,AAGH,AAAA,cAAc,CAAC,QAAQ,AAAC,CACtB,MAAM,CAAE,IAAI,CACb,AAED,AAEI,mBAFe,CAEf,CAAC,AAAA,SAAS,AAAC,CACT,kBAAkB,CAAE,GAAG,CAAC,IAAI,CAAC,kCAAkC,CAC/D,UAAU,CAAE,GAAG,CAAC,IAAI,CAAC,kCAAkC,CACxD,AALL,AAOI,mBAPe,CAOf,CAAC,AAAA,SAAS,AAAA,MAAM,AAAC,CACf,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CrFpFnB,kBAAO,CqFqFT,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,CAAC,CrFrFV,kBAAO,CqFsFZ,ACtFL,AAEI,mBAFe,CACjB,KAAK,CACH,EAAE,AAAC,CACD,cAAc,CAAE,KAAK,CACtB,AAJL,AAME,mBANiB,CAMjB,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CAIX,A7EQD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6EnBrC,AAME,mBANiB,CAMjB,KAAK,AAAC,CAGF,KAAK,CAAE,GAAG,CAEb,CAXH,AAYE,mBAZiB,CAYjB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,KAAK,CAOtB,AArBH,AAeI,mBAfe,CAYjB,KAAK,CAGH,EAAE,AAAC,CACD,OAAO,CAAE,mBAAmB,CAI7B,A7EDH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,IAAI,E6EnBpC,AAeI,mBAfe,CAYjB,KAAK,CAGH,EAAE,AAAC,CAGC,SAAS,CAAE,IAAI,CAElB,CApBL,AAsBE,mBAtBiB,CAsBjB,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CACjC,SAAS,CAAE,IAAI,CAIhB,A7ERD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6EnBrC,AAsBE,mBAtBiB,CAsBjB,cAAc,CAAC,IAAI,AAAA,eAAe,AAAC,CAG/B,SAAS,CAAE,IAAI,CAElB,CAGH,AAAA,2BAA2B,AAAC,CAC1B,WAAW,CAAE,IAAI,CAClB,AChCD,AACE,uBADqB,CACrB,WAAW,AAAC,CACV,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,kBAAkB,CAC7B,AAJH,AAKE,uBALqB,CAKrB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAZH,AASI,uBATmB,CAKrB,cAAc,CAIV,OAAO,AAAC,CACR,YAAY,CAAE,GAAG,CAClB,AAXL,AAaE,uBAbqB,CAarB,KAAK,AAAA,YAAY,CAbnB,uBAAuB,CAcrB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CACjB,AAjBH,AAkBE,uBAlBqB,CAkBrB,OAAO,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AApBH,AAqBE,uBArBqB,CAqBrB,KAAK,AAAC,CACJ,OAAO,CAAE,WAAW,CACpB,aAAa,CAAE,GAAG,CAClB,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,MAAM,CAIpB,AA7BH,AA0BI,uBA1BmB,CAqBrB,KAAK,CAKH,KAAK,AAAC,CACJ,UAAU,CAAE,CAAC,CACd,AA5BL,AA8BE,uBA9BqB,CA8BrB,IAAI,AAAA,WAAW,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AAhCH,AAkCI,uBAlCmB,CAiCrB,kBAAkB,CAChB,KAAK,AAAC,CACJ,MAAM,CAAE,CAAC,CACV,AApCL,AAqCI,uBArCmB,CAiCrB,kBAAkB,CAIhB,WAAW,AAAC,CACV,MAAM,CAAE,mBAAmB,CAC5B,AAvCL,AAwCI,uBAxCmB,CAiCrB,kBAAkB,CAOhB,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACd,AA1CL,AA2CI,uBA3CmB,CAiCrB,kBAAkB,CAUhB,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAKX,AAlDL,AA8CM,uBA9CiB,CAiCrB,kBAAkB,CAUhB,kBAAkB,CAGhB,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,SAAS,CxFCL,QAAQ,CwFAb,AAjDP,AAoDI,uBApDmB,CAiCrB,kBAAkB,CAmBhB,KAAK,CAAA,AAAA,QAAC,AAAA,CAAU,CACd,UAAU,CxF6IJ,OAAoD,CwF5I3D,AAtDL,AAwDE,uBAxDqB,CAwDrB,YAAY,AAAC,CACX,QAAQ,CAAE,mBAAmB,CAC9B,AAIH,AACE,YADU,CAAC,uBAAuB,CAClC,WAAW,AAAA,UAAU,AAAC,CACpB,IAAI,CAAE,OAAO,CACd,ACjEH,AAAA,oBAAoB,AAAC,CACnB,MAAM,CAAE,MAAM,CACd,UAAU,CAAE,MAAM,CAClB,SAAS,CzF2CC,QAAQ,CyF1ClB,WAAW,CzF4DQ,GAAG,CyF3DvB,ACaD,AAAA,IAAI,CAAC,mBAAmB,AAAC,CAZvB,iBAAiB,CAAE,cAAyB,CAC5C,cAAc,CAAE,cAAyB,CACzC,aAAa,CAAE,cAAyB,CACxC,YAAY,CAAE,cAAyB,CACvC,SAAS,CAAE,cAAyB,CAEpC,MAAM,CAAE,+HAA+J,CACvK,UAAU,CAAE,+HAA+J,CAC3K,IAAI,CAAE,CAAC,CAMR,AAID,AAAA,IAAI,CAAC,YAAY,CAAC,CAAC,AAAA,OAAO,AAAA,OAAO,AAAC,CAChC,iBAAiB,CAAE,sBAAsB,CACzC,kBAAkB,CzFzBR,IAAO,CyFyBc,UAAU,CAC1C,AACD,AAAA,IAAI,CAAC,IAAI,AAAC,CACR,SAAS,CAAE,cAAc,CACzB,UAAU,CAAE,eAAe,CAC5B,AACD,AAAA,IAAI,CAAC,UAAU,AAAC,CACd,KAAK,CAAE,gBAAgB,CACxB,AACD,AAAA,IAAI,CAAC,aAAa,AAAC,CACjB,IAAI,CAAE,IAAI,CACX,AAED,AAAA,IAAI,CAAC,gBAAgB,CAAC,cAAc,CAAC,cAAc,AAAC,CAClD,QAAQ,CAAE,iBAAiB,CAC3B,KAAK,CAAE,eAAe,CACvB,AACD,AAAA,IAAI,CAAC,gBAAgB,CAAC,cAAc,CAAC,gBAAgB,AAAC,CACpD,QAAQ,CAAE,iBAAiB,CAC3B,KAAK,CAAE,eAAe,CACvB,AACD,AAAA,IAAI,CAAC,eAAe,AAAC,CACnB,KAAK,CAAE,gBAAgB,CACxB,AACD,AAAA,IAAI,CAAC,gBAAgB,AAAC,CACpB,KAAK,CAAE,eAAe,CACvB,AAGD,AAAA,OAAO,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACX,iBAAiB,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACrB,OAAO,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,EACX,iBAAiB,CAAC,EAAE,CAAA,AAAA,GAAC,CAAI,KAAK,AAAT,CAAW,CAC9B,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,IAAI,CACnB,AAGD,AAAA,IAAI,CAAC,KAAK,AAAA,OAAO,AAAA,WAAW,AAAC,CAC3B,OAAO,CAAE,8BAA8B,CACvC,SAAS,CAAE,cAAc,CAC1B,AAED,AAAA,IAAI,CAAC,KAAK,AAAA,OAAO,AAAA,WAAW,CAAC,OAAO,AAAC,CACnC,mBAAmB,CAAE,gBAAgB,CACrC,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,AAAC,CAC5B,MAAM,CAAE,qBAAqB,CAC9B,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAA,OAAO,AAAC,CACtC,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,gBAAgB,CAC7B,AAED,AAAA,IAAI,CAAC,GAAG,AAAA,OAAO,CAAC,IAAI,CAAC,EAAE,AAAA,MAAM,CAAC,EAAE,AAAC,CAC/B,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,CAAC,CACf,YAAY,CAAE,CAAC,CACf,YAAY,CAAE,iBAAiB,CAC/B,WAAW,CAAE,eAAe,CAC7B,AC3FD,AACE,YADU,CACV,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,SAAS,CACnB,AAJH,AAME,YANU,CAMV,eAAe,CAAC,UAAU,AAAC,CACzB,KAAK,CAAE,KAAK,CACb,AARH,AAUE,YAVU,CAUV,QAAQ,AAAC,CACP,OAAO,CAAE,aAAa,CAIvB,AAfH,AAYI,YAZQ,CAUV,QAAQ,CAEN,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACf,AAdL,AAiBE,YAjBU,CAiBV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,gBAAgB,CACvB,MAAM,CAAE,IAAI,CACb,AArBH,AAuBE,YAvBU,CAuBV,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CAKf,AA7BH,AA0BI,YA1BQ,CAuBV,eAAe,CAGb,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AA5BL,AA+BE,YA/BU,CA+BV,eAAe,CAAG,QAAQ,AAAC,CACzB,UAAU,CAAE,GAAG,CAChB,AAjCH,AAmCE,YAnCU,CAmCV,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CA+LpB,AApOH,AAuCI,YAvCQ,CAmCV,QAAQ,CAIN,KAAK,AAAC,CACJ,SAAS,CAAE,KAAK,CAiBjB,AAzDL,AA2CQ,YA3CI,CAmCV,QAAQ,CAIN,KAAK,CAGH,KAAK,CACH,MAAM,AAAC,CAEL,aAAa,CAAE,UAAU,CACzB,SAAS,CAAE,UAAU,CACrB,cAAc,CAAE,SAAS,CACzB,UAAU,CAAE,SAAS,CACrB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,eAAe,CAAE,IAAI,CACrB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,MAAM,CACnB,AAvDT,AA4DM,YA5DM,CAmCV,QAAQ,CAwBN,oBAAoB,CAClB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAMpB,AArEP,AAiEQ,YAjEI,CAmCV,QAAQ,CAwBN,oBAAoB,CAClB,YAAY,CAKV,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,QAAQ,CAClB,AApET,AAwEI,YAxEQ,CAmCV,QAAQ,CAqCN,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CAIf,AA9EL,AA2EM,YA3EM,CAmCV,QAAQ,CAqCN,aAAa,CAGX,eAAe,AAAC,CACd,KAAK,C3FsHD,OAAoD,C2FrHzD,AA7EP,AAgFI,YAhFQ,CAmCV,QAAQ,CA6CN,aAAa,CAAG,kBAAkB,AAAC,CACjC,WAAW,CAAE,GAAG,CAAC,KAAK,C3FiHhB,OAAoD,C2FhH1D,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,GAAG,CACf,AArFL,AAuFI,YAvFQ,CAmCV,QAAQ,CAoDN,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,QAAQ,CAqIf,AA/NL,AA4FM,YA5FM,CAmCV,QAAQ,CAoDN,kBAAkB,CAKhB,UAAU,AAAC,CACT,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CACf,MAAM,CAAE,GAAG,CACX,UAAU,C3FkGN,OAAoD,C2FjGzD,AAjGP,AAoGQ,YApGI,CAmCV,QAAQ,CAoDN,kBAAkB,CAYhB,kBAAkB,CAChB,cAAc,AAAC,CACb,SAAS,C3FlDL,OAAQ,C2FmDb,AAtGT,AA0GQ,YA1GI,CAmCV,QAAQ,CAoDN,kBAAkB,CAkBhB,uBAAuB,CACrB,YAAY,AAAC,CACX,aAAa,CAAE,CAAC,CACjB,AA5GT,AAgHQ,YAhHI,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CAClB,YAAY,AAAC,CACX,KAAK,C3FiFH,OAAoD,C2F5EvD,AAtHT,AAmHU,YAnHE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CAClB,YAAY,AAGT,MAAM,AAAC,CACN,KAAK,C1FpHP,IAAO,C0FqHN,AArHX,AAwHQ,YAxHI,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CA6CpB,AAvKT,AA4HU,YA5HE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAIX,OAAO,CA5HjB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAKX,aAAa,AAAC,CACZ,SAAS,CAAE,IAAI,CACf,YAAY,CAAE,KAAK,CAKpB,AApIX,AAiIY,YAjIA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAIX,OAAO,CAKL,OAAO,CAjInB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAKX,aAAa,CAIX,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CAChB,AAnIb,AAsIU,YAtIE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAcX,mBAAmB,AAAC,CAClB,iBAAiB,CAAE,SAAS,CAC5B,eAAe,CAAE,SAAS,CAC1B,UAAU,CAAE,IAAI,CACjB,AA1IX,AA4IU,YA5IE,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,IAAI,CACd,WAAW,C3FhFF,GAAG,C2FsGb,AAtKX,AAmJc,YAnJF,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAMT,MAAM,CACL,KAAK,CAnJnB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,AAMT,MAAM,CAEL,KAAK,AAAC,CACJ,KAAK,C3F6CT,OAAoD,C2F5CjD,AAtJf,AAyJY,YAzJA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAaV,KAAK,CAzJjB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAcV,KAAK,AAAC,CjF9FhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiF8FZ,AA5Jb,AA8JY,YA9JA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAkBV,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CACjB,AAhKb,AAkKY,YAlKA,CAmCV,QAAQ,CAoDN,kBAAkB,CAwBhB,oBAAoB,CASlB,aAAa,CAoBX,YAAY,CAsBV,KAAK,AAAC,CACJ,SAAS,C3FhHT,OAAQ,C2FiHR,KAAK,C3F8BP,OAAoD,C2F7BnD,AArKb,AA8KQ,YA9KI,CAmCV,QAAQ,CAoDN,kBAAkB,CAmFhB,uBAAuB,CAIrB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoFhB,mBAAmB,CAGjB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAqFhB,oBAAoB,CAElB,KAAK,CA9Kb,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAsFhB,kBAAkB,CAChB,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CASf,AAxLT,AAkLY,YAlLA,CAmCV,QAAQ,CAoDN,kBAAkB,CAmFhB,uBAAuB,CAIrB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoFhB,mBAAmB,CAGjB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAqFhB,oBAAoB,CAElB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,CAlLpC,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAsFhB,kBAAkB,CAChB,KAAK,CAGH,KAAK,CACH,YAAY,AAAA,YAAY,AAAC,CACvB,IAAI,CAAE,CAAC,CACP,SAAS,C3FlId,GAAG,C2FmIE,OAAO,CAAE,GAAG,CACb,AAtLb,AA4LQ,YA5LI,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CA8BpB,AA7NT,AAiMU,YAjME,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAKV,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACnB,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,IAAI,CAChB,AArMX,AAuMU,YAvME,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,IAAI,CACd,WAAW,C3F3IF,GAAG,C2F4Jb,AA5NX,AA6MY,YA7MA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAMV,SAAS,CA7MrB,YAAY,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAOV,KAAK,AAAC,CjFlJhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiFkJZ,AAhNb,AAkNY,YAlNA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAWV,SAAS,AAAC,CACR,KAAK,C3FjBP,OAAoD,C2FkBlD,SAAS,C3FjKT,OAAQ,C2FkKT,AArNb,AAuNY,YAvNA,CAmCV,QAAQ,CAoDN,kBAAkB,CAoGhB,mBAAmB,CACjB,YAAY,CAWV,YAAY,CAgBV,KAAK,AAAC,CACJ,KAAK,C3FtBP,OAAoD,C2FuBlD,SAAS,C3FvKd,GAAG,C2FwKE,WAAW,CAAE,GAAG,CACjB,AA3Nb,AAiOI,YAjOQ,CAmCV,QAAQ,CA8LN,UAAU,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AAnOL,AAsOE,YAtOU,CAsOV,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,MAAM,CACX,KAAK,CAAE,GAAG,CAQX,AAjPH,AA2OI,YA3OQ,CAsOV,UAAU,CAKR,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,CAAC,CACV,AAhPL,AAmPE,YAnPU,CAmPV,WAAW,AAAC,CACV,OAAO,CAAE,GAAG,CACb,AArPH,AAuPE,YAvPU,CAuPV,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CAIX,AA5PH,AAyPI,YAzPQ,CAuPV,OAAO,AAEJ,MAAM,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AA3PL,AA8PE,YA9PU,CA8PV,YAAY,AAAC,CACX,aAAa,CAAE,MAAM,CActB,AA7QH,AAiQI,YAjQQ,CA8PV,YAAY,CAGV,sBAAsB,AAAC,CACrB,WAAW,C3FnMG,CAAC,C2FoMhB,AAnQL,AAqQI,YArQQ,CA8PV,YAAY,CAOV,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACrB,WAAW,C3FvMI,GAAG,C2FwMnB,AAxQL,AA0QI,YA1QQ,CA8PV,YAAY,CAYV,YAAY,AAAC,CACX,YAAY,CAAE,MAAM,CACrB,AC3QL,AAAA,WAAW,CrC0IX,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCrOG,CACV,OAAO,CAAE,OAAO,CAChB,KAAK,C3FHG,IAAO,C2FIf,MAAM,CAAE,GAAG,CAAC,KAAK,C5F8LP,OAAoD,C4F7L9D,WAAW,C5F4DO,GAAG,C4F3DrB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3FPN,IAAO,C2FQjB,MAAM,CAAE,OAAO,CA8BhB,AAtCD,AAUE,WAVS,CAUT,GAAG,CrCgIL,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,CqC3NP,GAAG,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAbH,AAeE,WAfS,CAeT,mBAAmB,CrC2HrB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,CqCtNP,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACpB,AAjBH,AAmBE,WAnBS,AAmBR,gBAAgB,CAAC,GAAG,CrCuHvB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqClNN,gBAAgB,CAAC,GAAG,AAAC,CACpB,KAAK,C5FSF,OAAgB,C4FTN,UAAU,CACxB,AArBH,AAuBE,WAvBS,AAuBR,kBAAkB,CAAC,GAAG,CrCmHzB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqC9MN,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,C5FMA,MAAO,C4FNG,UAAU,CAC1B,AAzBH,AA2BE,WA3BS,AA2BR,kBAAkB,CAAC,GAAG,CrC+GzB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqC1MN,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,C5FGA,OAAO,C4FHG,UAAU,CAC1B,AA7BH,AA+BE,WA/BS,AA+BR,SAAS,CrC2GZ,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCtMN,SAAS,AAAC,CACT,KAAK,C5FiKG,OAAoD,C4FhK5D,gBAAgB,C5FgKR,OAAoD,C4F5J7D,AArCH,AAkCI,WAlCO,AA+BR,SAAS,CAGR,GAAG,CrCwGP,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AqCtMN,SAAS,CAGR,GAAG,AAAC,CACF,OAAO,CAAE,GAAG,CACb,AAIL,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AAAA,WAAW,CAAC,sBAAsB,CAAC,WAAW,CAAC,CAAC,AAAA,UAAU,AAAC,CACzD,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,CAAC,GAAG,AAAA,WAAW,AAAC,CACzB,OAAO,CAAE,CAAC,CACX,AACD,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CAkBf,AAnBD,AAGE,eAHa,CAGb,KAAK,CAHP,eAAe,CAIb,YAAY,AAAC,CACX,UAAU,CAAE,IAAI,CACjB,AANH,AAQE,eARa,CAQb,IAAI,CAAG,GAAG,AAAA,KAAK,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AAVH,AAYE,eAZa,CAYb,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CAKf,AAlBH,AAcI,eAdW,CAYb,IAAI,CAEA,GAAG,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CACjB,CAKP,AACE,WADS,CAAC,gBAAgB,CAC1B,OAAO,AAAC,CACN,SAAS,C5FxBD,QAAQ,C4FyBhB,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,WAAW,CAAC,YAAY,AAAC,CACvB,WAAW,CAAE,EAAE,CACf,cAAc,CAAE,IAAI,CAMrB,AARD,AAGE,WAHS,CAAC,YAAY,CAGtB,UAAU,AAAC,CACT,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,SAAS,C5FnCD,QAAQ,C4FoCjB,AAGH,AAAA,WAAW,CAAC,YAAY,CAAC,WAAW,AAAC,CACnC,YAAY,CAAE,CAAC,CAEf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,MAAM,CAed,KAAK,CAAE,KAAK,CAOb,AA3BD,AAME,WANS,CAAC,YAAY,CAAC,WAAW,CAMlC,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AARH,AASE,WATS,CAAC,YAAY,CAAC,WAAW,CASlC,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,SAAS,C5FjDD,QAAQ,C4FkDhB,WAAW,CAAE,IAAI,CAClB,AAbH,AAcE,WAdS,CAAC,YAAY,CAAC,WAAW,CAclC,UAAU,AAAC,CACT,SAAS,C5FtDD,QAAQ,C4FuDhB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAnBH,AAsBE,WAtBS,CAAC,YAAY,CAAC,WAAW,AAsBjC,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,AAGH,AAAA,iBAAiB,AAAA,OAAO,AAAC,CACvB,KAAK,CAAE,GAAG,CACV,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,gBAAgB,C5FqEN,OAAoD,C4FpE9D,MAAM,CAAE,GAAG,CAAC,KAAK,C5FoEP,OAAoD,C4FnE9D,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,gBAAgB,CAoH7B,AA1HD,AAQE,WARS,CAQT,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACT,AAZH,AAcE,WAdS,CAcT,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,GAAG,CACR,WAAW,CAAE,IAAI,CACjB,KAAK,C5FqDG,OAAoD,C4FpD5D,SAAS,C5F9FD,QAAQ,C4F+FjB,AArBH,AAuBE,WAvBS,CAuBT,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CAsDf,AAjFH,AA6BI,WA7BO,CAuBT,eAAe,CAMb,WAAW,AAAC,CACV,KAAK,C3FxJD,IAAO,C2FyJZ,AA/BL,AAiCI,WAjCO,CAuBT,eAAe,CAUb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,MAAM,CACb,YAAY,CAAE,EAAE,CAChB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,SAAS,CAAE,KAAK,CAqBjB,AA7DL,AAyCM,WAzCK,CAuBT,eAAe,CAUb,WAAW,CAQT,CAAC,AAAC,CACA,KAAK,CAAE,IAAI,CACZ,AA3CP,AA4CM,WA5CK,CAuBT,eAAe,CAUb,WAAW,CAWT,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,IAAI,CACjB,AAhDP,AAkDM,WAlDK,CAuBT,eAAe,CAUb,WAAW,AAiBR,gBAAgB,CAAC,GAAG,AAAC,CACpB,KAAK,CAAE,OAAgB,CAAC,UAAU,CACnC,AApDP,AAsDM,WAtDK,CAuBT,eAAe,CAUb,WAAW,AAqBR,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,CAAE,kBAAkB,CAC1B,AAxDP,AA0DM,WA1DK,CAuBT,eAAe,CAUb,WAAW,AAyBR,kBAAkB,CAAC,GAAG,AAAC,CACtB,KAAK,CAAE,kBAAkB,CAC1B,AA5DP,AA+DI,WA/DO,CAuBT,eAAe,CAwCb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,eAAe,CACxB,KAAK,C3F9LD,IAAO,C2F0MZ,AAXC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EArEzC,AA+DI,WA/DO,CAuBT,eAAe,CAwCb,WAAW,AAAC,CAOR,aAAa,CAAE,CAAC,CAUnB,CAhFL,AAyEM,WAzEK,CAuBT,eAAe,CAwCb,WAAW,CAUT,EAAE,AAAC,CACD,aAAa,CAAE,MAAM,CACrB,SAAS,C5FpJL,QAAQ,C4FwJb,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA5E3C,AAyEM,WAzEK,CAuBT,eAAe,CAwCb,WAAW,CAUT,EAAE,AAAC,CAIC,SAAS,C5FvJP,QAAQ,C4FyJb,CA/EP,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CACP,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACV,YAAY,CAAE,KAAK,CAqBpB,AApBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAvFvC,AAwFM,WAxFK,AAmFR,OAAO,AAKH,YAAa,CAAA,EAAE,CAAE,CAChB,YAAY,CAAE,CAAC,CAChB,ClFjML,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFuGrC,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CAUL,KAAK,CAAE,KAAK,CAcf,AA3GH,AA8FM,WA9FK,AAmFR,OAAO,AAWH,YAAa,CAAA,EAAE,CAAE,CAChB,YAAY,CAAE,CAAC,CAChB,ClFvML,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFuGrC,AAmFE,WAnFS,AAmFR,OAAO,AAAC,CAgBL,IAAI,CAAE,QAAQ,CAQjB,CA3GH,AAqGI,WArGO,AAmFR,OAAO,AAkBL,MAAM,AAAC,CACN,UAAU,C5FzFN,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,C4F0FnC,AAvGL,AAwGI,WAxGO,AAmFR,OAAO,AAqBL,OAAO,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AA1GL,AA4GE,WA5GS,AA4GR,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CAWvB,AAVC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA/GvC,AA4GE,WA5GS,AA4GR,MAAM,AAAC,CAIJ,SAAS,CAAE,gBAAyB,CACpC,YAAY,CAAE,KAAK,CAQtB,CAzHH,AAmHI,WAnHO,AA4GR,MAAM,CAOL,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CAId,AAxHL,AAqHM,WArHK,AA4GR,MAAM,CAOL,eAAe,CAEb,EAAE,AAAC,CACD,SAAS,C5FjML,QAAQ,C4FkMb,AAKP,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAIhB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAHrC,AAAA,eAAe,AAAC,CAIZ,eAAe,CAAE,aAAa,CAEjC,CAED,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,MAAM,CACd,KAAK,C5F9DK,OAAoD,C4FkE/D,AAND,AAGE,aAHW,CAGX,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AAGH,AACE,YADU,CACV,aAAa,AAAC,CACZ,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAShB,AlFrQC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkFyPrC,AAAA,iBAAiB,AAAC,CAKd,eAAe,CAAE,aAAa,CAOjC,CAZD,AAQE,iBARe,CAQf,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,SAAS,C5FrOD,QAAQ,C4FsOjB,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CAmChB,AAxCD,AAQI,mBARe,CAOjB,iBAAiB,AACd,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAVL,AAaE,mBAbiB,CAajB,gBAAgB,AAAC,CACf,aAAa,CAAE,GAAG,CAClB,KAAK,C5FvGG,OAAoD,C4F2G7D,AAnBH,AAgBI,mBAhBe,CAajB,gBAAgB,AAGb,cAAc,AAAC,CACd,YAAY,CAAE,IAAI,CACnB,AAlBL,AAqBE,mBArBiB,CAqBjB,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C5F/GT,OAAoD,C4FuH7D,AA/BH,AAyBI,mBAzBe,CAqBjB,gBAAgB,CAId,aAAa,AAAC,CACZ,OAAO,CAAE,CAAC,CAIX,AA9BL,AA2BM,mBA3Ba,CAqBjB,gBAAgB,CAId,aAAa,CAEX,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CACnB,AA7BP,AAiCE,mBAjCiB,CAiCjB,YAAY,CAAC,gBAAgB,CAAC,SAAS,AAAC,CACtC,WAAW,CAAE,CAAC,CACf,AAnCH,AAqCE,mBArCiB,CAqCjB,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,MAAM,CAKnB,AATD,AAKE,cALY,CAKZ,GAAG,AAAC,CACF,SAAS,CAAE,KAAK,CAChB,KAAK,C3F1UG,IAAO,C2F2UhB,AAGH,AAAA,cAAc,AAAA,eAAe,AAAC,CAC5B,gBAAgB,C3FxUR,IAAO,C2FyUhB,AAED,AAAA,cAAc,AAAA,iBAAiB,AAAC,CAC9B,gBAAgB,C3F7UT,OAAO,C2F8Uf,AAED,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CAChB,ACzVD,AACE,WADS,CACT,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,AALH,AAOE,WAPS,CAOT,OAAO,AAAC,CACN,KAAK,C7F0LG,OAAoD,C6F7K7D,AArBH,AASI,WATO,CAOT,OAAO,CAEL,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C5FFD,IAAO,C4FMZ,AAdL,AAWM,WAXK,CAOT,OAAO,CAEL,IAAI,AAAA,SAAS,CAEX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAbP,AAeI,WAfO,CAOT,OAAO,CAQL,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C5FTF,OAAO,C4FaX,AApBL,AAiBM,WAjBK,CAOT,OAAO,CAQL,IAAI,AAAA,SAAS,CAEX,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAnBP,AAsBE,WAtBS,CAsBT,QAAQ,AAAC,CACP,WAAW,CAAE,KAAK,CACnB,AAxBH,AA0BE,WA1BS,CA0BT,UAAU,AAAC,CACT,aAAa,CAAE,GAAG,CACnB,AA5BH,AA8BE,WA9BS,CA8BT,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,GAAG,CAmBhB,AApDH,AAmCI,WAnCO,CA8BT,qBAAqB,CAKnB,gBAAgB,AAAC,CACf,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,CAAC,CACZ,YAAY,CAAE,IAAI,CACnB,AAzCL,AA2CI,WA3CO,CA8BT,qBAAqB,CAanB,mBAAmB,AAAC,CAClB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACvB,AA/CL,AAiDI,WAjDO,CA8BT,qBAAqB,CAmBnB,gBAAgB,CAAG,mBAAmB,AAAC,CACrC,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,oBADkB,CAClB,EAAE,AAAC,CACD,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,oBANkB,CAMlB,MAAM,AAAC,CACL,WAAW,CAAE,KAAK,CACnB,AARH,AASE,oBATkB,CASlB,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,KAAK,CAQrB,AAnBH,AAaI,oBAbgB,CASlB,sBAAsB,CAIpB,WAAW,AAAC,CACV,SAAS,CAAE,IAAI,CAChB,AAfL,AAgBI,oBAhBgB,CASlB,sBAAsB,CAOpB,MAAM,AAAC,CACL,KAAK,CAAE,GAAG,CACX,AAIL,AAAA,qBAAqB,AAAC,CACpB,MAAM,CAAE,OAAO,CAiBhB,AAlBD,AAEE,qBAFmB,CAEnB,uBAAuB,AAAC,CACtB,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,qBANmB,CAMnB,wBAAwB,AAAC,CACvB,aAAa,CAAE,GAAG,CAAC,KAAK,C7F8GhB,OAAoD,C6F7G5D,cAAc,CAAE,MAAM,CAEtB,OAAO,CAAE,IAAI,CAMb,aAAa,CAAE,KAAK,CACrB,AAjBH,AAWI,qBAXiB,CAMnB,wBAAwB,CAKtB,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAClB,AAKL,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,mBAAmB,AAAC,CAClB,gBAAgB,C7F4FN,OAAoD,C6F3F9D,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CA+BnB,AAlCD,AAKE,mBALiB,CAKjB,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,SAAS,CAyBlB,AAjCH,AAUI,mBAVe,CAKjB,kBAAkB,CAKhB,aAAa,AAAC,CACZ,MAAM,CAAE,WAAW,CACpB,AAZL,AAcI,mBAde,CAKjB,kBAAkB,CAShB,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAjBL,AAmBI,mBAnBe,CAKjB,kBAAkB,CAchB,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AArBL,AAuBI,mBAvBe,CAKjB,kBAAkB,CAkBhB,wBAAwB,AAAC,CACvB,KAAK,CAAE,OAAO,CACd,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAMX,AAhCL,AA4BM,mBA5Ba,CAKjB,kBAAkB,CAkBhB,wBAAwB,CAKtB,aAAa,AAAC,CACZ,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,C7F+Db,OAAoD,C6F9DzD,AAKP,AAAA,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAND,AAGE,yBAHuB,CAGvB,UAAU,CAHZ,yBAAyB,C2CzIzB,MAAM,AAAA,cAAc,CAuClB,wBAAwB,CACtB,MAAM,CAxCV,MAAM,AAAA,cAAc,CAuClB,wBAAwB,C3CkG1B,yBAAyB,C2CjGrB,MAAM,A3CoGG,CACT,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,mBAAmB,CAAC,gBAAgB,AAAC,CACnC,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAND,AAGE,WAHS,CAGT,iBAAiB,AAAC,CAChB,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CAkBZ,AAnBD,AAII,kBAJc,CAGhB,KAAK,CACH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACf,AANL,AASE,kBATgB,CAShB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,QAAQ,CAO1B,AAlBH,AAaI,kBAbc,CAShB,mBAAmB,CAIjB,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,mBADiB,CACjB,aAAa,CAAC,IAAI,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AAJH,AAME,mBANiB,CAMjB,QAAQ,AAAC,CACP,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,IAAI,CACd,AATH,AAWE,mBAXiB,CAWjB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACX,AAEH,AAAA,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,KAAK,CAuBnB,AA1BD,AAKE,qBALmB,CAKnB,iBAAiB,AAAC,CAChB,YAAY,CAAE,MAAM,CAgBrB,AAtBH,AAOI,qBAPiB,CAKnB,iBAAiB,AAEd,OAAO,AAAC,CACP,KAAK,C5FrMD,IAAO,C4FyMZ,AAZL,AASM,qBATe,CAKnB,iBAAiB,AAEd,OAAO,CAEJ,OAAO,AAAC,CACR,KAAK,C5FvMH,IAAO,C4FwMV,AAXP,AAaI,qBAbiB,CAKnB,iBAAiB,AAQd,UAAU,AAAC,CACV,KAAK,C5F5MF,OAAO,C4FgNX,AAlBL,AAeM,qBAfe,CAKnB,iBAAiB,AAQd,UAAU,CAEP,OAAO,AAAC,CACR,KAAK,C5F9MJ,OAAO,C4F+MT,AAjBP,AAmBI,qBAnBiB,CAKnB,iBAAiB,AAcd,QAAQ,AAAC,CACR,KAAK,C7FvBC,OAAoD,C6FwB3D,AArBL,AAuBE,qBAvBmB,CAuBnB,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CACjB,AAGH,AAAA,gBAAgB,AAAC,CACf,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C7FjCX,OAAoD,C6FmF9D,cAAc,CAAE,GAAG,CACpB,AArDD,AAIE,gBAJc,CAId,eAAe,AAAC,CACd,SAAS,C7FtLD,QAAQ,C6FuLjB,AANH,AAQE,gBARc,CAQd,qBAAqB,AAAC,CACpB,KAAK,C7FxCG,OAAoD,C6FyC5D,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,KAAK,CACpB,SAAS,C7F3LC,OAAQ,C6F4LlB,WAAW,CAAE,QAAQ,CAiBtB,AA/BH,AAeI,gBAfY,CAQd,qBAAqB,CAOnB,gBAAgB,AAAC,CACf,YAAY,CAAE,MAAM,CACrB,AAjBL,AAkBI,gBAlBY,CAQd,qBAAqB,CAUnB,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CACjB,AApBL,AAqBI,gBArBY,CAQd,qBAAqB,CAanB,WAAW,AAAC,CACV,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,IAAI,CAInB,AA3BL,AAwBM,gBAxBU,CAQd,qBAAqB,CAanB,WAAW,CAGT,CAAC,AAAC,CACA,KAAK,C7FxDD,OAAoD,C6FyDzD,AA1BP,AA4BI,gBA5BY,CAQd,qBAAqB,CAoBnB,MAAM,AAAC,CACL,SAAS,C7F3MD,OAAQ,C6F4MjB,AA9BL,AAiCE,gBAjCc,CAiCd,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CACnB,AArCH,AAuCE,gBAvCc,CAuCd,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAUhB,AAnDH,AA2CI,gBA3CY,CAuCd,mBAAmB,CAIjB,MAAM,AAAC,CACL,WAAW,CAAE,MAAM,CACpB,AA7CL,AA+CI,gBA/CY,CAuCd,mBAAmB,CAQjB,kBAAkB,CA/CtB,gBAAgB,CAuCd,mBAAmB,CASjB,2BAA2B,AAAC,CAC1B,YAAY,CAAE,KAAK,CACpB,AAKL,AAAA,qBAAqB,AAAC,CACpB,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,kBAAkB,AAAC,CACjB,SAAS,CAAE,GAAG,CACd,KAAK,C7F5FK,OAAoD,C6FwJ/D,AA9DD,AAKI,kBALc,CAIhB,YAAY,CACV,KAAK,AAAC,CACJ,WAAW,CAAE,KAAK,CACnB,AAPL,AASE,kBATgB,CAShB,KAAK,CATP,kBAAkB,CAUhB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAbH,AAeE,kBAfgB,CAehB,qBAAqB,AAAC,CACpB,WAAW,CAAE,KAAK,CACnB,AAjBH,AAmBE,kBAnBgB,CAmBhB,OAAO,AAAC,CACN,SAAS,C7F7PC,OAAQ,C6F8PlB,KAAK,C7F/GG,OAAoD,C6FgH7D,AAtBH,AAwBE,kBAxBgB,CAwBhB,mBAAmB,AAAC,CAClB,WAAW,C7FrPM,GAAG,C6FsPpB,cAAc,CAAE,QAAQ,CACzB,AA3BH,AA6BE,kBA7BgB,CA6BhB,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CA+BlB,AA7DH,AA+BI,kBA/Bc,CA6BhB,KAAK,CAEH,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,QAAQ,CAMzB,AAvCL,AAkCM,kBAlCY,CA6BhB,KAAK,CAEH,EAAE,AAGC,KAAK,CAAC,CAAC,CAlCd,kBAAkB,CA6BhB,KAAK,CAEH,EAAE,AAIC,YAAY,CAAC,CAAC,AAAC,CACd,SAAS,CAAE,KAAK,CnFpQtB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmFoQlB,AAtCP,AAyCI,kBAzCc,CA6BhB,KAAK,CAYH,EAAE,AAAA,aAAa,AAAC,CACd,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACpB,AA5CL,AA6CI,kBA7Cc,CA6BhB,KAAK,CAgBD,EAAE,CAAG,EAAE,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AA/CL,AAkDM,kBAlDY,CA6BhB,KAAK,CAmBD,EAAE,CAAG,EAAE,AAEN,IAAK,CAAA,MAAM,EAlDlB,kBAAkB,CA6BhB,KAAK,CAoBD,EAAE,CAAG,EAAE,AACN,IAAK,CAAA,MAAM,CAAE,CACZ,OAAO,CAAE,iBAAiB,CAC3B,AnF7TL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFyQrC,AAgDI,kBAhDc,CA6BhB,KAAK,CAmBD,EAAE,CAAG,EAAE,CAhDb,kBAAkB,CA6BhB,KAAK,CAoBD,EAAE,CAAG,EAAE,AAAC,CnFjRZ,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmFqRjB,aAAa,CAAE,KAAK,CAEvB,CAzDL,AA0DI,kBA1Dc,CA6BhB,KAAK,CA6BH,wBAAwB,AAAC,CACvB,aAAa,CAAE,GAAG,CACnB,AAIL,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,OAAO,CACf,SAAS,C7FlVQ,KAAK,C6FmVtB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,OAAO,CAehB,AAhBD,AAGE,wBAHsB,CAGtB,6BAA6B,AAAC,CAC5B,SAAS,C7F1VM,KAAK,C6F2VpB,aAAa,CAAE,KAAK,CAMrB,AAXH,AAOI,wBAPoB,CAGtB,6BAA6B,CAI3B,SAAS,AAAC,CACR,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,MAAM,CACrB,AAVL,AAaE,wBAbsB,CAatB,SAAS,AAAC,CACR,UAAU,CAAE,MAAM,CACnB,AAGH,AACE,gBADc,CACd,eAAe,AAAC,CACd,KAAK,C7FpLG,OAAoD,C6FqL5D,SAAS,C7FnUC,OAAQ,C6FoUnB,AAJH,AAKE,gBALc,CAKd,WAAW,AAAC,CACV,gBAAgB,CAAE,MAAM,CACzB,AAPH,AAQE,gBARc,CAQd,WAAW,AAAC,CACV,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,MAAM,CAKpB,AnFhXD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFiWrC,AAQE,gBARc,CAQd,WAAW,AAAC,CAIR,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAErB,CAfH,AAiBE,gBAjBc,CAiBd,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAnBH,AAqBE,gBArBc,CAqBd,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,UAAU,CAIvB,AnF9XD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFiWrC,AAqBE,gBArBc,CAqBd,sBAAsB,AAAC,CAMnB,OAAO,CAAE,IAAI,CAEhB,CA7BH,AA8BE,gBA9Bc,CA8Bd,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,SAAS,C7FzYM,KAAK,C6F0YpB,KAAK,C7F1YU,KAAK,C6F2YpB,WAAW,CAAE,MAAM,CAWpB,AA9CH,AAqCI,gBArCY,CA8Bd,uBAAuB,CAOrB,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,C7F1NC,OAAoD,C6F2N1D,SAAS,CAAE,KAAK,CAIjB,AA7CL,AA0CM,gBA1CU,CA8Bd,uBAAuB,CAOrB,oBAAoB,CAKlB,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACpB,AA5CP,AAgDE,gBAhDc,CAgDd,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,CAAC,CACb,AAnDH,AAqDE,gBArDc,CAqDd,UAAU,AAAC,CACT,SAAS,C7F9ZM,KAAK,C6F+ZpB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,IAAI,CAWjB,AApEH,AA2DI,gBA3DY,CAqDd,UAAU,CAMR,CAAC,CA3DL,gBAAgB,CAqDd,UAAU,CAOR,KAAK,AAAC,CACJ,MAAM,CAAE,SAAS,CAClB,AA9DL,AAgEI,gBAhEY,CAqDd,UAAU,CAWR,GAAG,CAhEP,gBAAgB,CAqDd,UAAU,CAYR,IAAI,AAAC,CACH,UAAU,CAAE,SAAS,CACtB,AAnEL,AAsEE,gBAtEc,CAsEd,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,C7F1PG,OAAoD,C6F2P5D,aAAa,CAAE,MAAM,CAatB,AAtFH,AA0EI,gBA1EY,CAsEd,WAAW,CAIT,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,KAAK,C5FhcD,IAAO,C4FicX,OAAO,CAAE,KAAK,CACd,SAAS,C7FlZH,QAAQ,C6FmZd,YAAY,CAAE,MAAM,CACrB,AAhFL,AAkFM,gBAlFU,CAsEd,WAAW,CAWT,eAAe,AACZ,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAKP,AAAA,gBAAgB,AAAC,CASf,KAAK,CAAE,IAAI,CAiBZ,AA1BD,AACE,gBADc,CACd,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CAIb,aAAa,CAAE,KAAK,CACrB,AAPH,AAGI,gBAHY,CACd,oBAAoB,CAElB,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AALL,AAUE,gBAVc,CAUd,eAAe,AAAC,CAcd,aAAa,CAAE,KAAK,CACrB,AAzBH,AAWI,gBAXY,CAUd,eAAe,CACb,iBAAiB,AAAC,CAChB,MAAM,CAAE,CAAC,CACV,AAbL,AAeI,gBAfY,CAUd,eAAe,CAKb,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,CAAC,CACjB,AAlBL,AAoBI,gBApBY,CAUd,eAAe,CAUb,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAKL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EAClC,AAAA,KAAK,AAAA,kBAAkB,AAAC,CACtB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CAMf,AARD,AAGE,KAHG,AAAA,kBAAkB,CAGrB,KAAK,AAAC,CACJ,KAAK,CAAE,gBAAgB,CACvB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,EAAE,AAAA,iBAAiB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,aAAa,CACrC,AACD,AAAA,EAAE,AAAA,wBAAwB,AAAC,CACzB,OAAO,CAAE,IAAI,CACd,CnFteD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EmFgenC,AAAA,EAAE,AAAA,iBAAiB,AAUC,CAClB,qBAAqB,CAAE,cAAc,CACtC,CC/fH,AAAA,sBAAsB,AAAC,CACrB,gBAAgB,C9FiMN,OAAoD,C8FhM9D,OAAO,CAAE,GAAG,CAMZ,KAAK,CAAE,IAAI,CACZ,AATD,AAIE,sBAJoB,CAIpB,cAAc,AAAC,CACb,UAAU,CAAE,GAAG,CAChB,ACNH,AAAA,mBAAmB,AAAC,CAClB,SAAS,CAAE,KAAK,CAmCjB,AApCD,AAGE,mBAHiB,CAGjB,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CAChB,AALH,AAME,mBANiB,CAMjB,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AARH,AASE,mBATiB,CASjB,KAAK,CAAC,EAAE,AAAC,CACP,OAAO,CAAE,KAAK,CACf,AAXH,AAYE,mBAZiB,CAYjB,EAAE,AAAA,IAAI,AAAC,CACL,UAAU,CAAE,KAAK,CAClB,AAdH,AAeE,mBAfiB,CAejB,EAAE,AAAA,IAAI,AAAA,MAAM,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAjBH,AAmBI,mBAnBe,CAkBjB,EAAE,AAAA,MAAM,CACN,EAAE,AAAC,CACD,gBAAgB,C/F8KV,OAAoD,C+F7K1D,WAAW,CAAE,IAAI,CAClB,AAtBL,AAyBE,mBAzBiB,CAyBjB,GAAG,AAAC,CACF,WAAW,CAAE,IAAI,CAClB,AA3BH,AA6BE,mBA7BiB,CA6BjB,iBAAiB,AAAC,CAChB,KAAK,C/FoKG,OAAoD,C+FnK7D,AA/BH,AAiCE,mBAjCiB,CAiCjB,GAAG,AAAA,aAAa,AAAC,CACf,OAAO,CAAE,IAAI,CACd,ACjCH,AACE,sBADoB,CACpB,KAAK,AAAC,CACJ,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,GAAG,CAClB,AAJH,AAME,sBANoB,CAMpB,YAAY,AAAC,CACX,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,YAAY,CACrB,AATH,AAWE,sBAXoB,CAWpB,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAMpB,AAnBH,AAcI,sBAdkB,CAWpB,oBAAoB,CAGlB,KAAK,CAdT,sBAAsB,CAWpB,oBAAoB,CAIlB,OAAO,AAAC,CACN,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,OAAO,CACvB,AAlBL,AAqBE,sBArBoB,CAqBpB,iBAAiB,AAAC,CAChB,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CAoBhB,AA3CH,AAyBI,sBAzBkB,CAqBpB,iBAAiB,CAIf,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,gBAAgB,CACxB,MAAM,CAAE,GAAG,CAAC,KAAK,ChGoKX,OAAoD,CgGnK1D,KAAK,CAAE,MAAM,CACb,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,KAAK,CASb,AA1CL,AAkCM,sBAlCgB,CAqBpB,iBAAiB,CAIf,YAAY,CASV,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACd,AApCP,AAqCM,sBArCgB,CAqBpB,iBAAiB,CAIf,YAAY,AAYT,WAAW,CAAC,GAAG,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,GAAG,CACf,ACzCP,AACE,MADI,AAAA,cAAc,CAClB,iBAAiB,AAAC,CAChB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,MAAM,CACnB,AALH,AAOE,MAPI,AAAA,cAAc,CAOlB,SAAS,AAAC,CACR,QAAQ,CAAE,IAAI,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,CjGuLhB,OAAoD,CiGtL7D,AAVH,AAYE,MAZI,AAAA,cAAc,CAYlB,KAAK,AAAA,SAAS,CAAG,KAAK,CAAG,EAAE,CAAG,EAAE,CAZlC,MAAM,AAAA,cAAc,CAalB,iBAAiB,AAAC,CAChB,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CAKZ,AApBH,AAiBI,MAjBE,AAAA,cAAc,CAYlB,KAAK,AAAA,SAAS,CAAG,KAAK,CAAG,EAAE,CAAG,EAAE,AAK7B,YAAa,C9EkDI,CAAC,E8EnEvB,MAAM,AAAA,cAAc,CAalB,iBAAiB,AAId,YAAa,C9EkDI,CAAC,C8ElDF,CACf,WAAW,CAAE,EAAE,CAChB,AAnBL,AAsBE,MAtBI,AAAA,cAAc,CAsBlB,iBAAiB,AAAC,CAChB,OAAO,CAAE,GAAG,CACb,AAxBH,AA0BE,MA1BI,AAAA,cAAc,CA0BlB,UAAU,CAAC,IAAI,AAAA,cAAc,AAAC,CAC5B,UAAU,CAAE,IAAI,CACjB,AA5BH,AA+BI,MA/BE,AAAA,cAAc,CA6BlB,GAAG,CAED,IAAI,CA/BR,MAAM,AAAA,cAAc,CA6BlB,GAAG,CAGD,GAAG,CAhCP,MAAM,AAAA,cAAc,CA8BlB,SAAS,CACP,IAAI,CA/BR,MAAM,AAAA,cAAc,CA8BlB,SAAS,CAEP,GAAG,AAAC,CACF,MAAM,CAAE,GAAG,CAAC,KAAK,ChG3Bb,IAAO,CgG4BZ,AAlCL,AAmCI,MAnCE,AAAA,cAAc,CA6BlB,GAAG,CAMD,GAAG,CAnCP,MAAM,AAAA,cAAc,CA8BlB,SAAS,CAKP,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,iBAAiB,CAC1B,AAtCL,AAuCI,MAvCE,AAAA,cAAc,CA6BlB,GAAG,CAUD,CAAC,CAvCL,MAAM,AAAA,cAAc,CA8BlB,SAAS,CASP,CAAC,AAAC,CACA,KAAK,ChGlCD,IAAO,CgGmCX,eAAe,CAAE,IAAI,CACtB,AA1CL,AA4CE,MA5CI,AAAA,cAAc,CA4ClB,GAAG,AAAA,SAAS,CA5Cd,MAAM,AAAA,cAAc,CA6ClB,IAAI,AAAA,SAAS,AAAC,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,ChGxCX,IAAO,CgGyCd,AA/CH,AAgDE,MAhDI,AAAA,cAAc,CAgDlB,GAAG,AAAA,SAAS,AAAC,CACX,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,iBAAiB,CAC1B,AAnDH,AAoDE,MApDI,AAAA,cAAc,CAoDlB,SAAS,AAAC,CACR,KAAK,ChGvDC,IAAO,CgGwDb,UAAU,CjG0IF,OAAoD,CiGzI7D,AAvDH,AAwDE,MAxDI,AAAA,cAAc,CAwDlB,GAAG,AAAC,CACF,KAAK,ChG3DC,IAAO,CgG4Db,UAAU,CjGsIF,OAAoD,CiGrI5D,eAAe,CAAE,IAAI,CACtB,AA5DH,AA+DI,MA/DE,AAAA,cAAc,CA6DlB,GAAG,CAED,IAAI,CA/DR,MAAM,AAAA,cAAc,CA6DlB,GAAG,CAGD,GAAG,CAhEP,MAAM,AAAA,cAAc,CA8DlB,SAAS,CACP,IAAI,CA/DR,MAAM,AAAA,cAAc,CA8DlB,SAAS,CAEP,GAAG,AAAC,CACF,MAAM,CAAE,GAAG,CAAC,KAAK,ChG5Dd,OAAO,CgG6DX,AAlEL,AAmEI,MAnEE,AAAA,cAAc,CA6DlB,GAAG,CAMD,GAAG,CAnEP,MAAM,AAAA,cAAc,CA8DlB,SAAS,CAKP,GAAG,AAAC,CACF,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAtEL,AAuEI,MAvEE,AAAA,cAAc,CA6DlB,GAAG,CAUD,CAAC,CAvEL,MAAM,AAAA,cAAc,CA8DlB,SAAS,CASP,CAAC,AAAC,CACA,KAAK,ChGnEF,OAAO,CgGoEV,eAAe,CAAE,IAAI,CACtB,AA1EL,AA4EE,MA5EI,AAAA,cAAc,CA4ElB,GAAG,AAAA,SAAS,CA5Ed,MAAM,AAAA,cAAc,CA6ElB,IAAI,AAAA,SAAS,AAAC,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,ChGzEZ,OAAO,CgG0Eb,AA/EH,AAgFE,MAhFI,AAAA,cAAc,CAgFlB,GAAG,AAAA,SAAS,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAnFH,AAoFE,MApFI,AAAA,cAAc,CAoFlB,SAAS,AAAC,CACR,KAAK,ChGvFC,IAAO,CgGwFb,UAAU,CjG0GF,OAAoD,CiGzG5D,eAAe,CAAE,IAAI,CACtB,AAxFH,AAyFE,MAzFI,AAAA,cAAc,CAyFlB,GAAG,AAAC,CACF,KAAK,ChG5FC,IAAO,CgG6Fb,UAAU,CjGqGF,OAAoD,CiGpG5D,eAAe,CAAE,IAAI,CACtB,AA7FH,AA8FE,MA9FI,AAAA,cAAc,CA8FlB,IAAI,AAAA,KAAK,AAAC,CACR,WAAW,CAAE,IAAI,CAClB,AAhGH,AAiGE,MAjGI,AAAA,cAAc,CAiGlB,IAAI,AAAA,YAAY,AAAC,CACf,gBAAgB,CjG8FR,OAAoD,CiG7F5D,OAAO,CAAE,eAAe,CACzB,AApGH,AAqGE,MArGI,AAAA,cAAc,CAqGlB,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAvGH,AAwGE,MAxGI,AAAA,cAAc,CAwGlB,uBAAuB,AAAC,CACtB,OAAO,CAAE,GAAG,CACb,AA1GH,AA4GI,MA5GE,AAAA,cAAc,CA2GlB,yBAAyB,CAAC,IAAI,CAC5B,GAAG,AAAA,YAAa,CAAA,CAAC,EA5GrB,MAAM,AAAA,cAAc,CA2GlB,yBAAyB,CAAC,IAAI,CAE5B,EAAE,AAAA,YAAa,CADC,CAAC,CACC,CAChB,OAAO,CAAE,GAAG,CACb,AA/GL,AAkHI,MAlHE,AAAA,cAAc,CAiHlB,wBAAwB,CAAC,IAAI,CAC3B,GAAG,AAAA,YAAa,C9E/CE,CAAC,E8EnEvB,MAAM,AAAA,cAAc,CAiHlB,wBAAwB,CAAC,IAAI,CAE3B,EAAE,AAAA,YAAa,C9EhDG,CAAC,C8EgDD,CAChB,OAAO,CAAE,GAAG,CACb,ACpHL,kBAAkB,CAAlB,aAAkB,CAChB,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,UAAU,CAAV,aAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,CAAC,EAId,AAAA,UAAU,AAAC,CACT,gBAAgB,CjGrBN,IAAO,CiGsBjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClGwDM,IAAI,CkGvDjB,YAAY,ClGyKF,OAAoD,CkGxK9D,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,KAAK,CAChB,iBAAiB,CAAE,kBAAkB,CACrC,SAAS,CAAE,kBAAkB,CAC7B,eAAe,CAAE,WAAW,CAC5B,OAAO,CAAE,KAAK,CACd,UAAU,ClGuGE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CkGtG1C,aAAa,CAAE,GAAG,CA+EnB,AA5FD,AAeE,UAfQ,AAeP,SAAS,AAAC,CACT,UAAU,CAAE,GAAG,CAShB,AAzBH,AAkBI,UAlBM,AAeP,SAAS,CAGR,oBAAoB,AAAC,CACnB,OAAO,CAAE,KAAK,CACf,AApBL,AAsBI,UAtBM,AAeP,SAAS,CAOR,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAxBL,AA2BE,UA3BQ,AA2BP,SAAS,AAAC,CACT,UAAU,CAAE,GAAG,CAShB,AArCH,AA8BI,UA9BM,AA2BP,SAAS,CAGR,uBAAuB,AAAC,CACtB,OAAO,CAAE,KAAK,CACf,AAhCL,AAkCI,UAlCM,AA2BP,SAAS,CAOR,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACd,AApCL,AAuCE,UAvCQ,AAuCP,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACpB,AAzCH,AA2CE,UA3CQ,CA2CR,kBAAkB,AAAC,CACjB,OAAO,CAAE,KAAK,CACd,SAAS,ClGfC,OAAQ,CkGgBlB,aAAa,CAAE,UAAU,CACzB,iBAAiB,CAAE,kBAAkB,CACrC,SAAS,CAAE,kBAAkB,CAC9B,AAjDH,AAmDE,UAnDQ,CAmDR,gBAAgB,AAAC,CACf,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,WAAW,CAClB,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,wBAAwB,CAClC,AAzDH,AA2DE,UA3DQ,CA2DR,oBAAoB,AAAC,CACnB,YAAY,CAAE,WAAW,CAAC,WAAW,ClGiH7B,OAAoD,CkGhH5D,GAAG,CAAE,GAAG,CACR,SAAS,CAAE,mBAAmB,CAC9B,YAAY,CAAE,SAAS,CAWxB,AA1EH,AAiEI,UAjEM,CA2DR,oBAAoB,AAMjB,MAAM,AAAC,CACN,YAAY,CAAE,WAAW,CAAC,WAAW,CjGtF/B,IAAO,CiGuFb,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,SAAS,CACvB,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,IAAI,CACjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,EAAE,CACZ,AAzEL,AA4EE,UA5EQ,CA4ER,uBAAuB,AAAC,CACtB,YAAY,ClGgGJ,OAAoD,CkGhG5B,WAAW,CAAC,WAAW,CACvD,GAAG,CAAE,iBAAiB,CACtB,SAAS,CAAE,mBAAmB,CAC9B,YAAY,CAAE,SAAS,CAWxB,AA3FH,AAkFI,UAlFM,CA4ER,uBAAuB,AAMpB,MAAM,AAAC,CACN,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,EAAE,CACX,YAAY,CjGzGN,IAAO,CiGyGuB,WAAW,CAAC,WAAW,CAC3D,YAAY,CAAE,KAAK,CACnB,YAAY,CAAE,SAAS,CACvB,MAAM,CAAE,GAAG,CACX,SAAS,CAAE,kBAAkB,CAC9B,AC/GL,AAAA,GAAG,AAAA,UAAU,AAAC,CACZ,MAAM,CAAE,cAAc,CACtB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,SAAS,CAClB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,GAAG,AAAA,UAAU,CAAC,IAAI,AAAA,IAAI,AAAC,CACrB,MAAM,CAAE,iBAAiB,CACzB,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAChB,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,OAAO,CACd,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,SAAS,CACtB,SAAS,CnG6BG,OAAQ,CmG5BrB,AAED,AAAA,GAAG,AAAA,UAAU,CAAC,IAAI,AAAA,IAAI,CAAC,CAAC,AAAC,CACvB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,OAAO,CACd,eAAe,CAAE,IAAI,CACrB,SAAS,CnGuBG,OAAQ,CmGtBrB,AACD,AAAA,GAAG,AAAA,UAAU,CAAC,KAAK,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,SAAS,CACtB,SAAS,CnGiBG,OAAQ,CmGhBpB,MAAM,CAAE,qBAAqB,CAC7B,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,WAAW,CACvB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,WAAW,CACpB,AACD,AAAA,GAAG,AAAA,UAAU,CAAC,GAAG,AAAC,CAChB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AACD,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,kBAAkB,CAC9B,KAAK,CAAE,kBAAkB,CAC1B,ACtDD,AAAA,OAAO,AAAA,iBAAiB,CACxB,OAAO,AAAA,eAAe,CACtB,OAAO,AAAA,wBAAwB,CAC/B,OAAO,AAAA,6BAA6B,AAAC,CACnC,KAAK,CpG8LK,OAAoD,CoG7L/D,AAED,AAAA,OAAO,AAAA,kBAAkB,CACzB,OAAO,AAAA,kBAAkB,AAAC,CACxB,KAAK,CnGPI,IAAO,CmGQjB,ACVD,AAAA,UAAU,AAAC,CACT,aAAa,CAAE,KAAK,CA4DrB,AA7DD,AAGE,UAHQ,CAGR,UAAU,AAAC,CACT,aAAa,CAAE,CAAC,CACjB,AALH,AAOE,UAPQ,CAOR,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACZ,AATH,AAUE,UAVQ,CAUR,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACb,AAZH,AAaE,UAbQ,CAaR,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AAfH,AAiBE,UAjBQ,CAiBR,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CA+BnB,AAlDH,AAqBI,UArBM,CAiBR,KAAK,CAIH,EAAE,CArBN,UAAU,CAiBR,KAAK,CAKH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CrGyKlB,OAAoD,CqGzJ3D,AAfC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA1BzC,AAqBI,UArBM,CAiBR,KAAK,CAIH,EAAE,CArBN,UAAU,CAiBR,KAAK,CAKH,EAAE,AAAC,CAKC,OAAO,CAAE,YAAY,CAcxB,CAzCL,AA8BM,UA9BI,CAiBR,KAAK,CAIH,EAAE,CASA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAIH,EAAE,CAUA,UAAU,CA/BhB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAQA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAKH,EAAE,CASA,UAAU,AAAC,CACT,SAAS,CrGeL,QAAQ,CqGdZ,KAAK,CrGiKD,OAAoD,CqG7JzD,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAlC3C,AA8BM,UA9BI,CAiBR,KAAK,CAIH,EAAE,CASA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAIH,EAAE,CAUA,UAAU,CA/BhB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAQA,OAAO,CA9Bb,UAAU,CAiBR,KAAK,CAKH,EAAE,CASA,UAAU,AAAC,CAIP,SAAS,CrGcP,QAAQ,CqGZb,CArCP,AAsCM,UAtCI,CAiBR,KAAK,CAIH,EAAE,CAiBA,UAAU,CAtChB,UAAU,CAiBR,KAAK,CAKH,EAAE,CAgBA,UAAU,AAAC,CACT,WAAW,CAAE,MAAM,CACpB,AAxCP,AA2CI,UA3CM,CAiBR,KAAK,CA0BH,EAAE,AAAA,SAAS,AAAC,CACV,KAAK,CAAE,GAAG,CAKX,AAjDL,AA6CM,UA7CI,CAiBR,KAAK,CA0BH,EAAE,AAAA,SAAS,CAET,aAAa,AAAC,CACZ,KAAK,CpGrCN,OAAO,CoGsCN,MAAM,CAAE,YAAY,CACrB,AAhDP,AAmDE,UAnDQ,CAmDR,GAAG,AAAC,CACF,gBAAgB,CrG8IR,OAAoD,CqGtI7D,AA5DH,AAqDI,UArDM,CAmDR,GAAG,CAED,SAAS,CAAC,CAAC,CArDf,UAAU,CAmDR,GAAG,CAGD,KAAK,CAtDT,UAAU,CAmDR,GAAG,CAID,MAAM,CAvDV,UAAU,CAmDR,GAAG,CAKD,OAAO,CAxDX,UAAU,CAmDR,GAAG,CAMD,UAAU,AAAC,CACT,KAAK,CrGwIC,OAAoD,CqGvI3D,AC3DL,AAAA,MAAM,AAAC,CACL,OAAO,CAAE,iBAAiB,CAC1B,gBAAgB,CtGgMN,OAAoD,CsG/L9D,KAAK,CrGHG,IAAO,CqGIf,QAAQ,CAAE,QAAQ,CA2BnB,AA/BD,AAME,MANI,CAMJ,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,GAAG,CACV,SAAS,CtGqCD,QAAQ,CsGjCjB,AAdH,AAWI,MAXE,CAMJ,MAAM,CAKJ,OAAO,AAAC,CACN,KAAK,CtGsLC,OAAoD,CsGrL3D,AAbL,AAgBE,MAhBI,AAgBH,cAAc,AAAC,CACd,gBAAgB,CtGiLR,OAAoD,CsGhL5D,KAAK,CrGlBC,IAAO,CqGmBd,AAnBH,AAoBE,MApBI,AAoBH,YAAY,AAAC,CACZ,gBAAgB,CtG6KR,OAAoD,CsG5K5D,KAAK,CrGtBC,IAAO,CqGuBd,AAvBH,AAwBE,MAxBI,AAwBH,WAAW,AAAC,CACX,gBAAgB,CtGyKR,OAAoD,CsGxK5D,KAAK,CrG1BC,IAAO,CqG8Bd,AA9BH,AA2BI,MA3BE,AAwBH,WAAW,AAGT,UAAU,AAAC,CACV,KAAK,CrG1BA,IAAO,CqG2Bb,ACzBL,AAAA,wBAAwB,AAAC,CACvB,UAAU,CvG6LA,OAAoD,CuG5L9D,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CAUZ,AAbD,AAKE,sBALoB,CAKpB,KAAK,CAAG,qBAAqB,AAAC,CAC5B,WAAW,CAAE,IAAI,CAClB,AAPH,AASE,sBAToB,CASpB,sBAAsB,AAAC,CACrB,MAAM,CAAE,SAAS,CACjB,cAAc,CAAE,MAAM,CACvB,AAGH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CAwCZ,AAzCD,AAGE,WAHS,CAGT,gBAAgB,AAAC,CACf,SAAS,CvGaD,QAAQ,CuGZhB,WAAW,CAAE,IAAI,CACjB,KAAK,CtGpCC,IAAO,CsGqCd,AAPH,AASE,WATS,CAST,qBAAqB,AAAC,CACpB,SAAS,CvGQD,QAAQ,CuGPhB,KAAK,CvGyJG,OAAoD,CuGxJ7D,AAZH,AAcE,WAdS,CAcT,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACvB,AAjBH,AAsBE,WAtBS,CAsBT,mBAAmB,AAAC,CAClB,KAAK,CAJA,IAAI,CAKV,AAxBH,AA0BE,WA1BS,CA0BT,aAAa,AAAC,CACZ,eAAe,CARV,IAAI,CAST,MAAM,CATD,IAAI,CAUT,KAAK,CAVA,IAAI,CAWT,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAM7B,AAxCH,AAoCI,WApCO,CA0BT,aAAa,CAUX,OAAO,AAAC,CACN,MAAM,CAjBE,UAAW,CAkBnB,KAAK,CAlBG,UAAW,CAmBpB,AAIL,AAAA,yBAAyB,AAAC,CACxB,YAAY,CAAE,IAAI,CAKnB,AAND,AAGE,yBAHuB,AAGtB,MAAM,AAAC,CACN,gBAAgB,CtGtEX,OAAO,CsGuEb,AAGH,AAAA,KAAK,AAAA,kBAAkB,AAAC,CACtB,KAAK,CAAE,IAAI,CAaZ,AAdD,AAGE,KAHG,AAAA,kBAAkB,CAGrB,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACf,AALH,AAOE,KAPG,AAAA,kBAAkB,CAOrB,iCAAiC,AAAC,CAChC,MAAM,CAAE,OAAO,CAKhB,AAbH,AAUI,KAVC,AAAA,kBAAkB,CAOrB,iCAAiC,CAG/B,OAAO,AAAC,CACN,KAAK,CvGsGC,OAAoD,CuGrG3D,AAIL,AAAA,KAAK,AAAA,cAAc,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CAqCpB,AAvCD,AAIE,KAJG,AAAA,cAAc,CAIjB,EAAE,AAAA,YAAY,AAAC,CACb,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,IAAI,CACjB,AAPH,AASE,KATG,AAAA,cAAc,CASjB,EAAE,AAAA,WAAW,AAAC,CACZ,KAAK,CAAE,EAAE,CACV,AAXH,AAaE,KAbG,AAAA,cAAc,CAajB,EAAE,AAAA,sBAAsB,AAAC,CACvB,KAAK,CAAE,EAAE,CACV,AAfH,AAiBE,KAjBG,AAAA,cAAc,CAiBjB,EAAE,AAAC,CACD,UAAU,CAAE,MAAM,CACnB,AAnBH,AAsBI,KAtBC,AAAA,cAAc,CAqBjB,EAAE,CACA,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CAIf,AA3BL,AAwBM,KAxBD,AAAA,cAAc,CAqBjB,EAAE,CACA,UAAU,CAER,aAAa,AAAC,CACZ,KAAK,CtG1HH,IAAO,CsG2HV,AA1BP,AA6BI,KA7BC,AAAA,cAAc,CAqBjB,EAAE,CAQA,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,IAAI,CACjB,AA/BL,AAiCI,KAjCC,AAAA,cAAc,CAqBjB,EAAE,CAYA,EAAE,AAAC,CACD,UAAU,CAAE,MAAM,CAClB,KAAK,CvG8DC,OAAoD,CuG7D1D,OAAO,CAAE,OAAO,CACjB,AAIL,AAAA,kBAAkB,AAAC,CACjB,KAAK,CtG3IG,IAAO,CsG4IhB,AAED,AACE,cADY,CACZ,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACtB,AAHH,AAKE,cALY,CAKZ,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CAKZ,AAZH,AASI,cATU,CAKZ,qBAAqB,CAInB,eAAe,AAAC,CACd,gBAAgB,CAAE,OAAO,CAC1B,AAIL,AAAA,gBAAgB,AAAC,CACf,YAAY,CAAE,IAAI,CACnB,AAED,AAEI,kBAFc,CAChB,6BAA6B,CAC3B,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,cAAc,CAAE,MAAM,CACvB,AALL,AAOI,kBAPc,CAChB,6BAA6B,CAM3B,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,CAAiB,CACrB,cAAc,CAAE,MAAM,CACvB,AC1KL,AAAA,GAAG,AAAA,MAAM,AAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,KAAK,CAAC,GAAG,AAAA,MAAM,CACf,GAAG,CAAC,GAAG,AAAA,MAAM,CACb,GAAG,CAAC,GAAG,AAAA,MAAM,AAAC,CACZ,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACb,AAED,AAAA,aAAa,AAAC,CACZ,eAAe,CAAE,WAAW,CAC5B,OAAO,CxGoEM,IAAI,CwGnEjB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,KAAK,CACb,KAAK,CvGpBG,IAAO,CuGqBf,gBAAgB,CvGpBN,IAAO,CuGqBjB,MAAM,CAAE,GAAG,CAAC,KAAK,CxG4KP,OAAoD,CwG3K/D,AAED,AAAA,aAAa,CAAC,kBAAkB,AAAC,CAC/B,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,YAAY,CAAE,GAAG,CAAC,KAAK,CxGmKb,OAAoD,CwGlK9D,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,aAAa,CAAC,cAAc,AAAC,CAC3B,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,QAAQ,CAChB,cAAc,CAAE,eAAe,CAC/B,MAAM,CAAE,eAAe,CAMxB,AAVD,AAME,aANW,CAAC,cAAc,CAM1B,MAAM,AAAA,MAAM,AAAC,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,aAAa,CAAC,cAAc,AAAA,QAAQ,CACpC,aAAa,CAAC,cAAc,AAAA,MAAM,AAAC,CACjC,cAAc,CAAE,aAAa,CAC7B,MAAM,CAAE,aAAa,CACtB,AAED,AAAA,aAAa,CAAC,YAAY,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,EAAE,CACT,AAED,AAAA,aAAa,CAAC,KAAK,AAAC,CAClB,UAAU,CAAE,MAAM,CAClB,0BAA0B,CAAE,KAAK,CACjC,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,aAAa,CAAC,eAAe,AAAC,CAC5B,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,GAAG,CACnB,eAAe,CAAE,aAAa,CAC9B,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,aAAa,CAAC,eAAe,CAAC,MAAM,AAAC,CACnC,KAAK,CvG/EG,IAAO,CuGgFhB,AAED,AAAA,aAAa,CAAC,eAAe,CAAC,aAAa,CAAC,GAAG,AAAC,CAC9C,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CxG6GK,IAAoD,CwGxG/D,AARD,AAKE,aALW,CAAC,eAAe,CAAC,aAAa,CAAC,GAAG,AAK5C,MAAM,AAAC,CACN,KAAK,CvGxFC,IAAO,CuGyFd,AAGH,AAAA,aAAa,CAAC,cAAc,AAAC,CAC3B,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,OAAO,CAAE,GAAG,CACb,AAED,AAAA,aAAa,CAAC,OAAO,AAAC,CACpB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,UAAU,CAAE,GAAG,CAAC,KAAK,CxG0FX,OAAoD,CwGzF/D,AAED,AAAA,aAAa,CAAC,KAAK,AAAC,C9F/ClB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C8F+CvB,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,GAAG,CAChB,SAAS,CAAE,KAAK,CACjB,AAED,AAAA,aAAa,CAAC,iBAAiB,AAAC,CAC9B,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,QAAQ,CACzB,OAAO,CAAE,GAAG,CACb,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAC,CAC/C,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CAChB,MAAM,CAAE,CAAC,CACT,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,MAAM,CAAE,OAAO,CAChB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,QAAQ,AAAC,CACvD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,MAAM,AAAC,CACrD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,aAAa,AAAC,CAC5D,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,OAAO,AAAC,CACtD,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,YAAY,AAAC,CAC3D,UAAU,CAAE,OAAO,CACpB,AACD,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,KAAK,AAAC,CACpD,UAAU,CAAE,OAAO,CACpB,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,gBAAgB,AAAA,SAAS,CAAC,OAAO,AAAC,CAChE,OAAO,CAAE,KAAK,CACf,AAED,AAAA,aAAa,CAAC,iBAAiB,CAAC,OAAO,AAAC,CACtC,OAAO,CAAE,IAAI,CACd,AAFD,AAAA,aAAa,CAAC,iBAAiB,CAAC,OAAO,AAIC,CACtC,KAAK,CAAE,IAAI,CACX,SAAS,CxG9GF,GAAG,CwG+GV,MAAM,CAAE,0CAA6C,CACtD,AAED,AAAA,aAAa,CAAC,MAAM,AAAA,MAAM,AAAC,CACzB,UAAU,CAAE,WAAW,CACvB,mBAAmB,CAAE,MAAM,CAC3B,iBAAiB,CAAE,SAAS,CAC5B,aAAa,CAAE,CAAC,CAChB,eAAe,CAAE,SAAS,CAC1B,eAAe,CAAE,WAAW,CAC5B,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CACZ,AAED,AAAA,aAAa,CAAC,cAAc,CAAC,MAAM,AAAA,MAAM,AAAA,MAAM,CAC/C,aAAa,CAAC,QAAQ,CAAC,MAAM,AAAA,MAAM,AAAA,MAAM,AAAC,CACxC,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAClB,gBAAgB,CAAE,IAAuB,CAC1C,AAED,AAAA,mBAAmB,AAAA,OAAO,AAAC,CACzB,OAAO,CxG1GM,IAAI,CwG2GjB,QAAQ,CAAE,KAAK,CACf,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,GAAG,CACZ,gBAAgB,CAAE,KAAK,CACxB,AAED,AAAA,aAAa,CAAC,OAAO,AAAC,CACpB,gBAAgB,CAAE,IAAI,CACtB,aAAa,CAAE,GAAG,CAAC,KAAK,CxGRd,OAAoD,CwGS9D,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,WAAW,CAAE,MAAM,CAKpB,AAXD,AAQE,aARW,CAAC,OAAO,CAQnB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,eAAe,CACvB,AAGH,AAAA,aAAa,CAAC,OAAO,CAAC,cAAc,AAAC,CACnC,KAAK,CxGpBK,IAAoD,CwGqB9D,SAAS,CxGtKC,QAAQ,CwGuKlB,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,aAAa,CAAC,OAAO,CAAC,KAAK,AAAC,CAC1B,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,IAAI,CACb,KAAK,CvGpOG,IAAO,CuGqOf,UAAU,CvGpOA,IAAO,CuG0OlB,AAfD,AAWE,aAXW,CAAC,OAAO,CAAC,KAAK,AAWxB,MAAM,AAAC,CACN,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,aAAa,CAAC,OAAO,CAAC,KAAK,AAAA,WAAW,AAAC,CACrC,OAAO,CAAE,IAAI,CACd,AAED,AAAA,aAAa,CAAC,QAAQ,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,OAAO,CAAE,GAAG,CACZ,IAAI,CAAE,OAAO,CACd,AAED,AAAA,aAAa,CAAC,OAAO,CAAC,aAAa,AAAC,CAClC,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,KAAK,CxG9DK,IAAoD,CwG+D9D,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CAKd,AAbD,AAUE,aAVW,CAAC,OAAO,CAAC,aAAa,AAUhC,MAAM,AAAC,CACN,KAAK,CvGrQC,IAAO,CuGsQd,ACtQH,AAAA,WAAW,AAAA,cAAc,AAAC,CACxB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CzG+FC,CAAC,CyG1FV,AAPD,AAGE,UAHQ,AAGP,WAAW,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACT,AAGH,AAAA,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAgCnB,AAlCD,AAGE,cAHY,CAGZ,UAAU,CAAC,iBAAiB,AAAC,CAC3B,UAAU,CxGhBF,IAAO,CwGiBf,KAAK,CxGlBC,IAAO,CwGmBb,MAAM,CAAE,GAAG,CAAC,KAAK,CzG+KT,OAAoD,CyG9K5D,SAAS,CzG8BJ,GAAG,CyG7BR,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACb,AAVH,AAWE,cAXY,CAWZ,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CAkBnB,AA9BH,AAaI,cAbU,CAWZ,WAAW,CAET,sBAAsB,AAAC,CACrB,SAAS,CzGwBD,OAAQ,CyGvBhB,UAAU,CAAE,IAAI,CAKjB,AApBL,AAgBM,cAhBQ,CAWZ,WAAW,CAET,sBAAsB,CAGpB,MAAM,CAhBZ,cAAc,CAWZ,WAAW,CAET,sBAAsB,CAIpB,MAAM,AAAC,CACL,SAAS,CzGkBL,QAAQ,CyGjBb,AAnBP,AAqBI,cArBU,CAWZ,WAAW,AAUR,0BAA0B,CArB/B,cAAc,CAWZ,WAAW,AAWR,oBAAoB,CAtBzB,cAAc,CAWZ,WAAW,AAYR,8BAA8B,CAvBnC,cAAc,CAWZ,WAAW,AAaR,yBAAyB,AAAC,CACzB,KAAK,CAAE,KAAK,CAIb,AA7BL,AA0BM,cA1BQ,CAWZ,WAAW,AAUR,0BAA0B,CAKzB,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAWR,oBAAoB,CAInB,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAYR,8BAA8B,CAG7B,MAAM,CA1BZ,cAAc,CAWZ,WAAW,AAaR,yBAAyB,CAExB,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACtB,AA5BP,AA+BE,cA/BY,CA+BZ,iBAAiB,AAAC,CAChB,SAAS,CAAE,IAAI,CAChB,AAGH,AAGE,gBAHc,AAAA,QAAQ,CAGtB,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,E8ClHnB,uBAAuB,AAAA,QAAQ,CAE7B,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,E8CjHnB,oBAAoB,AAAA,QAAQ,CAC1B,CAAC,AAAA,MAAM,AAAA,IAAK,C9CgHd,mBAAmB,C8ChHgB,CAC/B,KAAK,CzG6IG,OAAoD,CyG5I7D,AAGH,AAAA,qBAAqB,CAmBrB,WAAW,CAqDT,UAAU,AAxEU,CACpB,SAAS,CzGTC,QAAQ,CyGyBnB,AAjBD,AAEE,qBAFmB,CAEnB,CAAC,AAAA,MAAM,CAiBT,WAAW,CAqDT,UAAU,CAtEV,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,UAAU,CACtB,KAAK,CxG9DC,IAAO,CwG+Dd,AAED,AACE,KADG,CARP,qBAAqB,CASjB,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,E8CnGjB,KAAK,CAWP,WAAW,CAqDT,UAAU,CA/DR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,E8CxFnB,WAAW,CAXT,KAAK,CAgEL,UAAU,CA/DR,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9CkGxB,mBAAmB,C8ClG0B,CACvC,KAAK,CzG+HC,OAAoD,CyG9H3D,AAXL,AAcE,qBAdmB,CAcnB,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9C6FtB,mBAAmB,E8CxFnB,WAAW,CAqDT,UAAU,CA1DV,CAAC,AAAA,MAAM,AAAA,QAAQ,AAAA,IAAK,C9C6FtB,mBAAmB,C8C7FwB,CACvC,KAAK,CzG0HG,OAAoD,CyGzH7D,AAGH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,QAAQ,CAgI1B,AAlID,AAKI,WALO,CAIP,KAAK,CAAG,EAAE,AACT,YAAY,CAAC,KAAK,AAAC,CAClB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,GAAG,CAChB,AARL,AAUI,WAVO,CAIP,KAAK,CAAG,EAAE,AAMT,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACpB,AAZL,AAcI,WAdO,CAIP,KAAK,CAAG,EAAE,CAUV,qBAAqB,AAAC,CACpB,UAAU,CAAE,MAAM,CACnB,AAhBL,AAmBE,WAnBS,CAmBT,0BAA0B,AAAC,CACzB,MAAM,CAAE,IAAI,CAeb,AAnCH,AAsBI,WAtBO,CAmBT,0BAA0B,CAGxB,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAAC,KAAK,CzG+FlB,OAAoD,CyG9F1D,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,MAAM,CACnB,AA3BL,AA6BI,WA7BO,CAmBT,0BAA0B,CAUxB,EAAE,CAAC,IAAI,AAAC,CACN,gBAAgB,CxGzGV,IAAO,CwG0Gb,KAAK,CzGuFC,OAAoD,CyGtF1D,OAAO,CAAE,KAAK,CACd,SAAS,CzG1DD,OAAQ,CyG2DjB,AAlCL,AAqCE,WArCS,CAqCT,EAAE,CArCJ,WAAW,CAsCT,EAAE,AAAC,CACD,WAAW,CzGlDK,GAAG,CyGmDnB,UAAU,CAAE,IAAI,CAChB,cAAc,CAAE,MAAM,CACvB,AA1CH,AA4CI,WA5CO,CA2CT,EAAE,CACA,MAAM,CAAC,OAAO,AAAC,CACb,KAAK,CzGyEC,OAAoD,CyGxE3D,AA9CL,AAgDE,WAhDS,CAgDT,EAAE,AAAC,CACD,KAAK,CzGqEG,OAAoD,CyGpE5D,SAAS,CzG5EJ,GAAG,CyG6ET,AAnDH,AAwDI,WAxDO,CAqDT,UAAU,CAGR,eAAe,CAAG,CAAC,AAAC,CAClB,cAAc,CAAE,IAAI,CACrB,AA1DL,AA8DI,WA9DO,CA6DT,iBAAiB,AACd,KAAK,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AAhEL,AAiEI,WAjEO,CA6DT,iBAAiB,CAIf,OAAO,AAAC,CACN,cAAc,CAAE,MAAM,CACtB,SAAS,CzGxFD,IAAK,CyGyFd,AApEL,AAuEE,WAvES,CAuET,iBAAiB,AAAC,CAChB,SAAS,CzGjGC,OAAQ,CyGkGlB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAgBpB,AA3FH,AA4EI,WA5EO,CAuET,iBAAiB,CAKf,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CAGf,QAAQ,CAAE,OAAO,CAClB,AAjFL,AAkFI,WAlFO,CAuET,iBAAiB,CAWf,CAAC,AAAA,cAAc,AAAA,IAAI,CAlFvB,WAAW,CAuET,iBAAiB,CAYf,CAAC,AAAA,cAAc,AAAA,IAAI,AAAC,CAClB,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CAClB,AAtFL,AAuFI,WAvFO,CAuET,iBAAiB,CAgBf,cAAc,AAAA,OAAO,AAAA,MAAM,CAvF/B,WAAW,CAuET,iBAAiB,CAiBf,cAAc,AAAA,IAAI,AAAC,CACjB,YAAY,CAAE,MAAM,CACrB,AA1FL,AA6FE,WA7FS,CA6FT,oBAAoB,AAAC,CACnB,YAAY,CAAE,GAAG,CAClB,AA/FH,AAiGE,WAjGS,CAiGT,cAAc,AAAC,CACb,SAAS,CzG3HC,OAAQ,CyG4HlB,UAAU,CAAE,GAAG,CACf,KAAK,CzGkBG,OAAoD,CyGjB5D,SAAS,CAAE,UAAU,CACrB,WAAW,CzGjHK,GAAG,CyGkHnB,aAAa,CAAE,IAAI,CACpB,AAxGH,AAyGE,WAzGS,CAyGT,eAAe,AAAA,MAAM,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AA3GH,AA6GE,WA7GS,CA6GT,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CAOnB,AArHH,AA+GI,WA/GO,CA6GT,IAAI,CAEF,CAAC,AAAA,IAAK,C9C8BV,YAAY,C8C9BY,CAClB,KAAK,CAAE,OAAO,CACf,AAjHL,AAkHI,WAlHO,CA6GT,IAAI,CAKF,CAAC,AAAA,YAAY,AAAC,CACZ,WAAW,CAAE,IAAI,CAClB,AApHL,AAwHI,WAxHO,CAuHT,IAAI,AAAA,MAAM,CACR,CAAC,AAAC,CACA,OAAO,CAAE,QAAQ,CAClB,AA1HL,AA8HI,WA9HO,CA6HT,IAAI,AAAA,SAAS,CACX,CAAC,AAAC,CACA,OAAO,CAAE,QAAQ,CAClB,AAIL,AAAA,aAAa,CACb,aAAa,CAAC,CAAC,AAAC,CACd,KAAK,CAAE,kBAAkB,CAC1B,AACD,AAAA,YAAY,CACZ,YAAY,CAAC,CAAC,AAAC,CACb,KAAK,CAAE,kBAAkB,CAC1B,AACD,AAAA,YAAY,CACZ,YAAY,CAAC,CAAC,AAAC,CACb,KAAK,CAAE,kBAAkB,CAC1B,AAED,AAAA,QAAQ,CAAC,WAAW,AAAC,CACnB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAIjB,AAND,AAGE,QAHM,CAAC,WAAW,CAGlB,EAAE,AAAC,CACD,gBAAgB,CAAE,WAAW,CAC9B,AAGH,AAAA,UAAU,AAAC,CACT,aAAa,CAAE,KAAK,CAYrB,AAbD,AAEE,UAFQ,CAER,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACd,AAJH,AAKE,UALQ,CAKR,OAAO,AAAC,CACN,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,KAAK,CzG5CG,OAAoD,CyG6C5D,SAAS,CzG7LJ,GAAG,CyG8LR,MAAM,CAAE,OAAO,CAChB,AAGH,AACE,WADS,CACT,MAAM,AAAC,CACL,aAAa,CAAE,CAAC,CAChB,SAAS,CzGrMJ,GAAG,CyGsMT,AAJH,AAKE,WALS,CAKT,QAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,EAAE,AAAA,oBAAoB,AAAA,OAAO,AAAC,CAC5B,OAAO,CAAE,IAAI,CACd,AAED,AAAA,EAAE,AAAA,oBAAoB,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,CAAC,CAUX,AAfD,AAOE,EAPA,AAAA,oBAAoB,CAOpB,EAAE,AAAC,CACD,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AAVH,AAYE,EAZA,AAAA,oBAAoB,CAYpB,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,iBAAiB,AAAA,SAAS,AAAC,C/F/KzB,UAAU,CAAE,0DAAqE,CACjF,iBAAiB,CAAE,cAAgB,CACnC,aAAa,CAAE,cAAgB,CAC/B,SAAS,CAAE,cAAgB,C+F8K5B,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,MAAM,CAKhB,AAND,AAGE,kBAHgB,CAGhB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AAGH,AAAA,GAAG,AAAA,UAAU,AAAC,CACZ,KAAK,CzG9FK,OAAoD,CyGkG/D,AALD,AAEE,GAFC,AAAA,UAAU,CAEX,mBAAmB,AAAA,UAAU,AAAC,CAC5B,cAAc,CAAE,WAAW,CAC5B,AAGH,AAAA,UAAU,CAKV,cAAc,AALH,CACT,OAAO,CAAE,QAAQ,CACjB,KAAK,CzGtGK,OAAoD,CyGuG/D,AAED,AAAA,cAAc,AAAC,CAEb,aAAa,CAAE,GAAG,CAAC,KAAK,CzG3Gd,OAAoD,CyG4G/D,AAWD,AAAA,kBAAkB,AAAC,CACjB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,MAAM,CAClB,WAAW,CzG5PQ,GAAG,CyG6PvB,AC1TD,AAAA,qBAAqB,AAAC,CAEpB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,OAAO,CAC9B,kBAAkB,CAAE,kBAAkB,CACtC,YAAY,C1FOD,IAAmB,C0F2B/B,AAxCD,AAOE,qBAPmB,CAOnB,wBAAwB,AAAC,CACvB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AAZH,AAaE,qBAbmB,CAanB,0BAA0B,AAAC,CACzB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AAlBH,AAmBE,qBAnBmB,CAmBnB,gBAAgB,CAnBlB,qBAAqB,CAoBnB,aAAa,CApBf,qBAAqB,CAqBnB,QAAQ,AAAC,CACP,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AA1BH,AA2BE,qBA3BmB,CA2BnB,aAAa,AAAC,CACZ,SAAS,CAAE,IAAI,CAChB,AA7BH,AA8BE,qBA9BmB,CA8BnB,yBAAyB,CAAG,aAAa,CA9B3C,qBAAqB,CA+BnB,0BAA0B,CAAG,aAAa,AAAC,CACzC,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AAlCH,AAmCE,qBAnCmB,CAmCnB,yBAAyB,AAAC,CACxB,cAAc,CAAE,CAAC,CACjB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,KAAK,CACpB,AAvCH,AAAA,qBAAqB,AA0CC,CAEpB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,kBAAkB,CA0BlC,AAxED,AAOE,qBAPmB,CAOnB,wBAAwB,AAwCC,CACvB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAnDH,AAaE,qBAbmB,CAanB,0BAA0B,AAuCC,CACzB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvDH,AAmBE,qBAnBmB,CAmBnB,gBAAgB,CAnBlB,qBAAqB,CAoBnB,aAAa,CApBf,qBAAqB,CAqBnB,QAAQ,AAqCC,CACP,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AApBH,AAqBE,qBArBmB,CAqBnB,0BAA0B,CAAG,aAAa,AAAC,CACzC,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAlEH,AAmCE,qBAnCmB,CAmCnB,yBAAyB,AAgCC,CACxB,YAAY,CAAE,CAAC,CACf,qBAAqB,CAAE,KAAK,CAC5B,kBAAkB,CAAE,KAAK,CAC1B,AAGH,AACE,aADW,CACX,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,aAAa,C1FhEJ,IAAmB,C0FqE7B,AARH,AAKI,aALS,CACX,aAAa,CAIX,IAAI,AAAC,CACH,YAAY,C1FnEL,IAAmB,C0FoE3B,AAPL,AAUE,aAVW,CAUX,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CACnB,AAZH,AAcE,aAdW,CAcX,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAhBH,AAkBE,aAlBW,CAkBX,aAAa,AAAC,CACZ,KAAK,CzGvFF,OAAO,CyGwFX,AAGH,AACE,UADQ,CACR,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,IAAI,CA4LpB,AA/LH,AAMM,UANI,CACR,MAAM,AAIH,eAAe,CACd,mBAAmB,AAAC,CAClB,eAAe,CAAE,KAAK,CACtB,mBAAmB,CAAE,aAAa,CAClC,iBAAiB,CAAE,SAAS,CAC7B,AAVP,AAWM,UAXI,CACR,MAAM,AAIH,eAAe,CAMd,eAAe,AAAC,CACd,aAAa,CAAE,CAAC,CACjB,AAbP,AAgBI,UAhBM,CACR,MAAM,CAeJ,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,C1G2Ef,OAAoD,C0G7B3D,AAjEL,AAqBM,UArBI,CACR,MAAM,CAeJ,UAAU,CAKR,IAAI,AAAC,CACH,OAAO,CAAE,QAAQ,CAClB,AAvBP,AAyBM,UAzBI,CACR,MAAM,CAeJ,UAAU,CASR,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CAOlB,AAlCP,AA4BQ,UA5BE,CACR,MAAM,CAeJ,UAAU,CASR,EAAE,CAGA,GAAG,AAAC,CACF,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,QAAQ,CACrB,YAAY,CAAE,IAAI,CAClB,MAAM,CAAE,KAAK,CACd,AAjCT,AAoCM,UApCI,CACR,MAAM,CAeJ,UAAU,CAoBR,EAAE,CApCR,UAAU,CACR,MAAM,CAeJ,UAAU,CAqBR,EAAE,AAAC,CACD,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACpB,AAxCP,AA0CM,UA1CI,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,UAAU,CAClB,KAAK,CzGjJH,IAAO,CyG8JV,AA1DP,AAgDU,UAhDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CACN,IAAI,AAAA,IAAK,CxBsLT,aAAa,CwBtLW,CACtB,YAAY,CAAE,MAAM,CACrB,AAlDX,AAmDU,UAnDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CAIN,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,GAAG,CACb,AArDX,AAsDU,UAtDA,CACR,MAAM,CAeJ,UAAU,CA0BR,EAAE,AAKC,OAAO,CAON,IAAI,AAAA,aAAa,AAAA,MAAM,AAAC,CACtB,OAAO,CAAE,EAAE,CACZ,AAxDX,AA4DM,UA5DI,CACR,MAAM,CAeJ,UAAU,CA4CR,EAAE,AAAC,CACD,KAAK,C1GmCD,IAAmD,C0GlCvD,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CACtB,AAhEP,AAmEI,UAnEM,CACR,MAAM,CAkEJ,QAAQ,AAAC,CACP,UAAU,CzGvKJ,qBAAO,CyGwKb,aAAa,CAAE,GAAG,CAAC,KAAK,C1GyBlB,OAAoD,C0G0C3D,AAxIL,AAuEM,UAvEI,CACR,MAAM,CAkEJ,QAAQ,CAIN,EAAE,AAAC,CACD,SAAS,C1G/HL,GAAG,C0GgIP,WAAW,CAAE,MAAM,CAIpB,AA7EP,AA0EQ,UA1EE,CACR,MAAM,CAkEJ,QAAQ,CAIN,EAAE,CAGA,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CACjB,AA5ET,AA+EM,UA/EI,CACR,MAAM,CAkEJ,QAAQ,CAYN,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,ChGzHrB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgGyHlB,AAnFP,AAqFM,UArFI,CACR,MAAM,CAkEJ,QAAQ,CAkBN,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,KAAK,CAIrB,AA3FP,AAwFQ,UAxFE,CACR,MAAM,CAkEJ,QAAQ,CAkBN,EAAE,CAGA,OAAO,AAAA,IAAK,CAAA,cAAc,CAAE,CAC1B,WAAW,CAAE,IAAI,CAClB,AA1FT,AA6FM,UA7FI,CACR,MAAM,CAkEJ,QAAQ,CA0BN,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,MAAM,CAChB,AAhGP,AAkGM,UAlGI,CACR,MAAM,CAkEJ,QAAQ,CA+BN,GAAG,AAAA,OAAO,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AApGP,AAsGM,UAtGI,CACR,MAAM,CAkEJ,QAAQ,CAmCN,UAAU,AAAC,CACT,KAAK,CzGpMJ,OAAO,CyGqMT,AAxGP,AA0GM,UA1GI,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAkBnB,AA9HP,AA8GQ,UA9GE,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAIN,EAAE,AAAC,CACD,WAAW,CAAE,IAAI,CAClB,AAhHT,AAkHQ,UAlHE,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,AAAC,CACH,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CASf,AA7HT,AAsHU,UAtHA,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,CAIF,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,eAAe,CAAE,SAAS,CAC3B,AAxHX,AA0HU,UA1HA,CACR,MAAM,CAkEJ,QAAQ,CAuCN,QAAQ,CAQN,IAAI,CAQF,GAAG,AAAC,CACF,SAAS,CAAE,IAAI,CAChB,AA5HX,AAgIM,UAhII,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,AAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CAKZ,AAvIP,AAmIQ,UAnIE,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,CAGlB,aAAa,AAAC,CACZ,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,IAAI,CACZ,AAtIT,AA2IM,UA3II,CACR,MAAM,CAyIJ,SAAS,CACP,EAAE,AAAC,CACD,eAAe,CAAE,IAAI,CACtB,AA7IP,AA+IM,UA/II,CACR,MAAM,CAyIJ,SAAS,CAKP,IAAI,AAAC,CACH,aAAa,CAAE,IAAI,CACnB,WAAW,C1GrLE,GAAG,C0GsLjB,AAlJP,AAsJM,UAtJI,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,AAAC,CACP,UAAU,CAAE,CAAC,CACb,UAAU,CzG3PN,qBAAO,CyGsRZ,AAnLP,AA0JQ,UA1JE,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAIN,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACd,AA5JT,AA8JQ,UA9JE,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CAmBZ,AAlLT,AAiKU,UAjKA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAGN,OAAO,AAAC,CACN,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AArKX,AAuKU,UAvKA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CASN,EAAE,AAAC,CACD,SAAS,C1G7NT,QAAQ,C0G8NT,AAzKX,AA2KU,UA3KA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAaN,EAAE,AAAC,CACD,SAAS,C1G/NT,QAAQ,C0GgOT,AA7KX,AA8KU,UA9KA,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAgBN,EAAE,CA9KZ,UAAU,CACR,MAAM,AAoJH,eAAe,CACd,QAAQ,CAQN,QAAQ,CAiBN,EAAE,AAAA,qBAAqB,AAAC,CACtB,OAAO,CAAE,IAAI,CACd,AAjLX,AAsLQ,UAtLE,CACR,MAAM,AAoJH,eAAe,CAgCd,oBAAoB,CAClB,aAAa,AAAC,CACZ,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,GAAG,CAIX,AA5LT,AAyLU,UAzLA,CACR,MAAM,AAoJH,eAAe,CAgCd,oBAAoB,CAClB,aAAa,CAGX,OAAO,AAAC,CACN,SAAS,C1G5OZ,GAAG,C0G6OD,AA3LX,AAiME,UAjMQ,CAiMR,eAAe,AAAC,CACd,UAAU,CzGtSJ,IAAO,CyGuSb,KAAK,CzGtSG,IAAO,CyGuSf,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,aAAa,C1F1RJ,IAAmB,C0F6S7B,AAzNH,AAuMI,UAvMM,CAiMR,eAAe,CAMX,GAAG,CAvMT,UAAU,CAiMR,eAAe,CAOX,GAAG,CAAC,CAAC,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,UAAU,CAClB,KAAK,CzGhTC,IAAO,CyGuTd,AApNL,AA+MM,UA/MI,CAiMR,eAAe,CAMX,GAAG,CAQH,IAAI,CA/MV,UAAU,CAiMR,eAAe,CAOX,GAAG,CAAC,CAAC,CAOL,IAAI,AAAC,CACH,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,IAAI,CACnB,YAAY,CAAE,GAAG,CAClB,AAnNP,AAsNI,UAtNM,CAiMR,eAAe,CAqBb,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CAClB,AAxNL,AA2NE,UA3NQ,CA2NR,cAAc,AAAC,CACb,gBAAgB,CzGxTV,IAAO,CyGyTd,AA7NH,AA+NE,UA/NQ,CA+NR,cAAc,AAAC,CACb,gBAAgB,CAAE,OAAO,CAC1B,AAjOH,AAmOE,UAnOQ,CAmOR,kBAAkB,AAAC,CACjB,gBAAgB,C1GtIR,OAAoD,C0GuI7D,AArOH,AAuOE,UAvOQ,CAuOR,cAAc,AAAC,CACb,gBAAgB,C1G1IR,OAAoD,C0G2I7D,AAzOH,AA2OE,UA3OQ,CA2OR,YAAY,AAAC,CACX,gBAAgB,CzGzUX,OAAO,CyG0Ub,AA7OH,AA+OE,UA/OQ,CA+OR,WAAW,AAAC,CACV,aAAa,CAAE,IAAI,CAgBpB,AAhQH,AAmPM,UAnPI,CA+OR,WAAW,CAGT,SAAS,CACP,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,MAAM,CACpB,AAvPP,AAyPM,UAzPI,CA+OR,WAAW,CAGT,SAAS,CAOP,aAAa,AAAC,CACZ,KAAK,C1G5JD,OAAoD,C0G6JxD,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,IAAI,CACnB,SAAS,C1G9SH,OAAQ,C0G+Sf,AA9PP,AAkQI,UAlQM,CAiQR,aAAa,CACX,eAAe,CAAC,GAAG,AAAC,CAClB,MAAM,CAAE,CAAC,CAIV,AAvQL,AAoQM,UApQI,CAiQR,aAAa,CACX,eAAe,CAAC,GAAG,CAEjB,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAKP,AACE,WADS,CACT,SAAS,AAAC,CACR,cAAc,CAAE,GAAG,CACnB,KAAK,CzG3WA,OAAO,CyG4WZ,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,MAAM,CACpB,AAGH,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CASnB,AAXD,AAIE,mBAJiB,CAIjB,gBAAgB,AAAC,CACf,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,eAAe,CARjB,mBAAmB,AAQC,CAChB,OAAO,CAAE,IAAI,CACd,AAGH,AACE,gBADc,CACd,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,YAAY,CACnC,kBAAkB,CAAE,SAAS,CAC7B,WAAW,CAAE,MAAM,CAapB,AAlBH,AAMI,gBANY,CACd,cAAc,AAKX,IAAK,CxBjEA,aAAa,CwBiEE,CACnB,aAAa,CAAE,MAAM,CACtB,AARL,AASI,gBATY,CACd,cAAc,CAQZ,IAAI,AAAC,CACH,UAAU,CAAE,UAAU,CACvB,AAXL,AAYI,gBAZY,CACd,cAAc,CAWZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,UAAU,CAAE,CAAC,CACd,AAdL,AAeI,gBAfY,CACd,cAAc,CAcZ,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAjBL,AAoBE,gBApBc,CAoBd,KAAK,AAAA,MAAM,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAJO,KAAK,CAKrB,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,CAAC,CAKX,AA9BH,AA0BI,gBA1BY,CAoBd,KAAK,AAAA,MAAM,CAMT,OAAO,AAAC,CACN,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,YAAY,CACrB,AA7BL,AA+BE,gBA/Bc,CA+Bd,MAAM,AAAC,CACL,KAAK,CzG9ZA,OAAO,CyG+ZZ,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,kBAAgC,CAC3C,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AArCH,AACE,gBADc,CACd,cAAc,AAuCC,CACb,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,YAAY,CAC9B,aAAa,CAAE,SAAS,CAiBzB,AA5DH,AAYI,gBAZY,CACd,cAAc,CAWZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAgCc,CAClB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA/CL,AAgDI,gBAhDY,CAwCd,cAAc,CAQZ,KAAK,AAAA,MAAM,AAAC,CACV,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAnDL,AAoDI,gBApDY,CAwCd,cAAc,CAYZ,IAAI,AAAA,gBAAgB,AAAC,CACnB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvDL,AAwDI,gBAxDY,CAwCd,cAAc,CAgBZ,MAAM,AAAC,CACL,YAAY,CAAE,CAAC,CACf,oBAAoB,CAAE,CAAC,CACxB,AAIL,AhGtaE,YgGsaU,AhGtaT,OAAO,CgGsaV,YAAY,AhGraT,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AgGkaH,AhGjaE,YgGiaU,AhGjaT,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AgG+ZH,AAEE,YAFU,CAEV,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,YAAY,CACZ,gBAAgB,AAAC,CACf,aAAa,CAAE,IAAI,CAKpB,AAPD,AAGE,YAHU,AAGT,eAAe,CAFlB,gBAAgB,AAEb,eAAe,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAChB,AAGH,AAAA,YAAY,AAAC,CACX,cAAc,CAAE,SAAS,CACzB,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACZ,AAED,AACE,cADY,CACZ,EAAE,AAAC,CACD,MAAM,CAAE,MAAM,CACf,AAHH,AAKE,cALY,CAKZ,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,gBAAgB,CACzB,MAAM,CAAE,aAAa,CAatB,AArBH,AAUI,cAVU,CAKZ,EAAE,AAKC,YAAY,AAAC,CAEZ,OAAO,CAAE,CAAC,CAQX,AApBL,AAaM,cAbQ,CAKZ,EAAE,AAKC,YAAY,CAGX,CAAC,AAAC,CACA,OAAO,CAAE,gBAAgB,CACzB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CACd,KAAK,CzG7eH,IAAO,CyG8eV,AAnBP,AAuBE,cAvBY,CAuBZ,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,SAAS,C1GpcD,QAAQ,C0GqcjB,AA1BH,AA4BE,cA5BY,CA4BZ,MAAM,AAAC,CACL,KAAK,C1GtTG,OAAoD,C0GuT7D,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,GAAG,CAoBX,AArBD,AAGE,gBAHc,CAGd,EAAE,AAAC,CACD,SAAS,CAAE,GAAG,CACf,AALH,AAOE,gBAPc,CAOd,EAAE,AAAC,CACD,WAAW,C1GlUH,OAAoD,C0GkUlC,KAAK,CAAC,GAAG,CACnC,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,MAAM,CACf,AAXH,AAaE,gBAbc,CAad,WAAW,AAAC,CACV,KAAK,C1GxUG,OAAoD,C0GyU7D,AAED,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAjBlC,AAAA,gBAAgB,AAAC,CAkBb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CAEd,CAED,AAGE,gBAHc,CAGd,EAAE,CAFJ,eAAe,CAEb,EAAE,CADJ,cAAc,CACZ,EAAE,AAAC,CACD,SAAS,CAAE,UAAU,CACtB,AAGH,AACE,cADY,CACZ,OAAO,AAAC,CACN,SAAS,C1G1eC,OAAQ,C0G2elB,KAAK,C1G5VG,OAAoD,C0G6V7D,AAGH,AACE,uBADqB,CACrB,KAAK,AAAC,CACJ,SAAS,CAAE,GAAG,CAYf,AAdH,AAGI,uBAHmB,CACrB,KAAK,CAEH,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AALL,AAMI,uBANmB,CACrB,KAAK,CAKH,EAAE,CANN,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CAKf,AAbL,AASM,uBATiB,CACrB,KAAK,CAKH,EAAE,AAGC,YAAY,CATnB,uBAAuB,CACrB,KAAK,CAKH,EAAE,AAIC,YAAY,CAVnB,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAEC,YAAY,CATnB,uBAAuB,CACrB,KAAK,CAMH,EAAE,AAGC,YAAY,AAAC,CACZ,UAAU,CAAE,MAAM,CACnB,AAKP,AACE,kBADgB,CAChB,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAGH,AACE,OADK,CACL,WAAW,AAAC,CACV,KAAK,CzGzjBE,IAAO,CyG0jBf,AAGH,AACE,iBADe,CACf,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACd,AAHH,AAMI,iBANa,CAKf,kBAAkB,CAChB,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,YAAY,CAItB,AAZL,AASM,iBATW,CAKf,kBAAkB,CAChB,KAAK,CAGH,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AhGvjBL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EgG4iBrC,AAaI,iBAba,CAKf,kBAAkB,CAQhB,WAAW,AAAA,aAAa,AAAC,CAErB,KAAK,CAAE,IAAI,CAEd,CAjBL,AAkBI,iBAlBa,CAKf,kBAAkB,CAahB,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACb,AApBL,AAuBE,iBAvBe,CAuBf,OAAO,AAAC,CACN,KAAK,CzGvlBC,IAAO,CyGwlBb,OAAO,CAAE,YAAY,CACtB,AA1BH,AA4BE,iBA5Be,CA4Bf,aAAa,AAAC,CACZ,KAAK,C1G1ZG,OAAoD,C0G2Z5D,aAAa,CAAE,IAAI,CACnB,SAAS,C1G3iBC,OAAQ,C0G4iBlB,WAAW,C1G9hBK,GAAG,C0GmiBpB,AArCH,AAkCI,iBAlCa,CA4Bf,aAAa,CAMX,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,CzGhmBA,IAAO,CyGimBb,AApCL,AAuCE,iBAvCe,CAuCf,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AAzCH,AA2CE,iBA3Ce,CA2Cf,QAAQ,AAAC,CACP,gBAAgB,C1GzaR,OAAoD,C0G0a5D,OAAO,CAAE,OAAO,CAChB,KAAK,CzG5mBG,IAAO,CyG6mBf,KAAK,CAAE,KAAK,CACb,AAhDH,AAkDE,iBAlDe,CAkDf,aAAa,AAAC,CACZ,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,IAAI,CACpB,AArDH,AAuDE,iBAvDe,CAuDf,kBAAkB,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,AAzDH,AA2DE,iBA3De,AA2Dd,iCAAiC,AAAC,CACjC,YAAY,CAAE,CAAC,CAsDhB,AAlHH,AA8DI,iBA9Da,AA2Dd,iCAAiC,CAGhC,0BAA0B,AAAC,CACzB,YAAY,CAAE,IAAI,CACnB,AAhEL,AAkEI,iBAlEa,AA2Dd,iCAAiC,CAOhC,gBAAgB,CAAC,aAAa,AAAC,CAC7B,WAAW,CAAE,CAAC,CACf,AApEL,AAsEI,iBAtEa,AA2Dd,iCAAiC,CAWhC,aAAa,AAAC,CACZ,MAAM,CAAE,KAAK,CA0Cd,AAjHL,AAyEM,iBAzEW,AA2Dd,iCAAiC,CAWhC,aAAa,CAGX,QAAQ,AAAC,CACP,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,C1G3cb,OAAoD,C0G4czD,AA/EP,AAiFM,iBAjFW,AA2Dd,iCAAiC,CAWhC,aAAa,CAWX,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,SAAS,CAMvB,AAlGP,AA8FQ,iBA9FS,AA2Dd,iCAAiC,CAWhC,aAAa,CAWX,kBAAkB,AAaf,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,YAAY,C1G7dV,OAAoD,C0G8dvD,AAjGT,AAoGM,iBApGW,AA2Dd,iCAAiC,CAWhC,aAAa,CA8BX,sBAAsB,CApG5B,iBAAiB,AA2Dd,iCAAiC,CAWhC,aAAa,CA+BX,0BAA0B,AAAC,CACzB,KAAK,CAAE,GAAG,CACV,QAAQ,CAAE,QAAQ,CACnB,AAxGP,AA0GM,iBA1GW,AA2Dd,iCAAiC,CAWhC,aAAa,CAoCX,sBAAsB,AAAC,CACrB,GAAG,CAAE,GAAG,CACT,AA5GP,AA8GM,iBA9GW,AA2Dd,iCAAiC,CAWhC,aAAa,CAwCX,0BAA0B,AAAC,CACzB,GAAG,CAAE,IAAI,CACV,AAhHP,AAqHI,iBArHa,CAoHf,yBAAyB,CAAC,KAAK,CAC7B,EAAE,AAAC,CACD,OAAO,CAAE,GAAG,CACb,AAIL,AACE,sBADoB,CACpB,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,CAAC,CACd,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAwBpB,AA1BD,AAIE,mBAJiB,CAIjB,CAAC,AAAC,CACA,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAmBpB,AAzBH,AAQI,mBARe,CAIjB,CAAC,CAIC,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACpB,AAVL,AAYI,mBAZe,CAIjB,CAAC,CAQC,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CzG9sBD,IAAO,CyG+sBZ,AAdL,AAkBM,mBAlBa,CAIjB,CAAC,CAaC,GAAG,CACD,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACd,AApBP,AAqBM,mBArBa,CAIjB,CAAC,CAaC,GAAG,CAID,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAKP,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CAKd,AAND,AAEE,kBAFgB,CAEhB,QAAQ,AAAC,CACP,OAAO,CAAE,aAAa,CACtB,gBAAgB,CAAE,KAAK,CACxB,AAGH,AACE,cADY,AACX,aAAa,AAAC,CACb,KAAK,C1GriBG,OAAoD,C0GsiB5D,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,IAAI,CACnB,SAAS,C1GvrBC,OAAQ,C0GwrBnB,AANH,AAOE,cAPY,CAOZ,mBAAmB,AAAC,CAClB,UAAU,CAAE,MAAM,CACnB,AATH,AAUE,cAVY,CAUZ,IAAI,AAAA,KAAK,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,gBAAgB,CAAC,OAAO,CACxB,UAAU,CAAC,OAAO,AAAC,CACjB,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,OAAO,CAapB,AAhBD,AAIE,mBAJiB,CAIjB,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CAStB,AAfH,AAOI,mBAPe,CAIjB,kBAAkB,CAGhB,OAAO,AAAC,CACN,MAAM,CAAE,OAAO,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CAIb,AAdL,AAWM,mBAXa,CAIjB,kBAAkB,CAGhB,OAAO,AAIJ,MAAM,AAAC,CACN,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,IAAI,CzGrwBlB,IAAO,CyGswBV,ACtwBP,AAAA,mBAAmB,AAAA,YAAY,AAAC,CAC9B,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,GAAG,CAChB,AAED,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,cAAc,CAAE,GAAG,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,C3G0Ld,OAAoD,C2GzL/D,AAED,AAAA,UAAU,CAAC,SAAS,CAAC,EAAE,AAAC,CACtB,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,SAAS,CAAC,QAAQ,AAAC,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACZ,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,MAAM,CAWvB,AAhBD,AAOE,SAPO,CAAC,QAAQ,CAOhB,cAAc,AAAC,CACb,SAAS,C3G2BJ,GAAG,C2G1BT,AATH,AAWE,SAXO,CAAC,QAAQ,CAWhB,UAAU,AAAC,CACT,SAAS,C3GwBC,OAAQ,C2GvBlB,cAAc,CAAE,MAAM,CACtB,WAAW,C3GkCK,CAAC,C2GjClB,AAGH,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,MAAM,CAOtB,AjG3BC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EiGcrC,AAAA,iBAAiB,AAAC,CAQd,KAAK,CAAE,IAAI,CAKd,CAbD,AAUE,iBAVe,CAUf,OAAO,AAAC,CACN,MAAM,CAAE,QAAQ,CACjB,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAUpB,AAbD,AAKE,eALa,CAKb,mBAAmB,AAAC,CAClB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACpB,AARH,AAUE,eAVa,CAUb,cAAc,AAAC,CACb,UAAU,CAAE,CAAC,CACd,AAKH,AAAA,oBAAoB,AAAC,CACnB,SAAS,C3GfG,OAAQ,C2GgBpB,KAAK,C3G+HK,OAAoD,C2G9H9D,WAAW,C3GLO,CAAC,C2GMnB,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,YAAY,CjGdrB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CiGcvB,cAAc,CAAE,MAAM,CACvB,AALD,AAAA,cAAc,AAOC,CACb,MAAM,CAAE,CAAC,CACT,KAAK,C3GiHK,OAAoD,C2G/D/D,AApDD,AAIE,cAJY,AAIX,QAAQ,CAJX,cAAc,AAKX,MAAM,AAAC,CACN,KAAK,C3G6GG,OAAoD,C2G5G7D,AAED,AAAA,mBAAmB,CATrB,cAAc,AASU,CACpB,KAAK,C3GyGG,OAAoD,C2GzGhC,UAAU,CACvC,AAXH,AAaE,cAbY,AAaX,MAAM,AAAC,CACN,SAAS,C3G7CD,QAAQ,C2G8CjB,AAfH,AAiBE,cAjBY,AAiBX,IAAI,AAAC,CACJ,gBAAgB,C3GiGR,OAAoD,C2GhG5D,KAAK,C3GgGG,OAAoD,C2G/F5D,OAAO,CAAE,OAAO,CAKjB,AAJC,AAAA,mBAAmB,CArBvB,cAAc,AAiBX,IAAI,AAImB,CACpB,gBAAgB,C3G6FV,OAAoD,C2G5F1D,KAAK,C3G4FC,IAAoD,C2G3F3D,AAxBL,AA2BE,cA3BY,AA2BX,OAAO,CA3BV,cAAc,AA4BX,OAAO,AAAA,QAAQ,CA5BlB,cAAc,AA6BX,OAAO,AAAA,MAAM,AAAC,CACb,YAAY,CAAE,CAAC,CACf,KAAK,C3GoFG,OAAoD,C2GnF7D,AAhCH,AAkCE,cAlCY,AAkCX,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACnB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CAcpB,AAnDH,AAsCI,cAtCU,AAkCX,OAAO,AAIL,OAAO,AAAC,CACP,UAAU,C3G4EJ,OAAoD,C2G3E1D,YAAY,CAAE,GAAG,CACjB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,EAAE,CACZ,AA9CL,AA+CI,cA/CU,AAkCX,OAAO,AAaL,MAAM,AAAA,OAAO,AAAC,CACb,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAIL,AAEE,eAFa,CAEb,cAAc,AAAA,OAAO,AAAA,IAAK,CjC0lBlB,WAAW,CiC1lBmB,MAAM,CAD9C,UAAU,CACR,cAAc,AAAA,OAAO,AAAA,IAAK,CjC0lBlB,WAAW,CiC1lBmB,MAAM,AAAC,CAC3C,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,GAAG,CACjB,AAGH,AACE,SADO,CAAC,mBAAmB,CAC3B,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,C3G7FC,OAAQ,C2G8FnB,AAJH,AAKE,SALO,CAAC,mBAAmB,CAK3B,eAAe,CAAG,oBAAoB,AAAC,CACrC,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,WAAW,CAAC,mBAAmB,AAAC,CAC9B,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,gBAAgB,CAAC,eAAe,AAAC,CAC/B,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,C3G3GG,OAAQ,C2G4GrB,AAED,AAAA,gBAAgB,CAAC,kBAAkB,CAAC,eAAe,AAAC,CAClD,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,YAAY,CAAC,gBAAgB,CAAC,eAAe,AAAC,CAC5C,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,SAAS,C3GrHG,OAAQ,C2GsHpB,UAAU,CAAE,CAAC,CAQd,AAZD,AAKE,YALU,CAAC,gBAAgB,CAAC,eAAe,CAK3C,cAAc,AAAC,CACb,YAAY,CAAE,KAAK,CACpB,AAPH,AAQE,YARU,CAAC,gBAAgB,CAAC,eAAe,CAQ3C,cAAc,AAAA,IAAI,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACP,AAGH,AAAA,MAAM,CAAC,cAAc,AAAC,CACpB,KAAK,C3GcK,OAAoD,C2Gb/D,AAED,AAAA,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,GAAG,CACjB,SAAS,C3GvIG,OAAQ,C2GwIrB,AAED,AAAA,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,cAAc,CAAC,YAAY,AAAC,CAC1B,KAAK,CAAE,KAAK,CACb,AAED,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CAOpB,AARD,AAEE,iBAFe,CAEf,CAAC,AAAC,CACA,eAAe,CAAE,SAAS,CAC3B,AAJH,AAKE,iBALe,CAKf,IAAI,AAAA,OAAO,CAAC,CAAC,AAAC,CACZ,WAAW,CAAE,IAAI,CAClB,AAGH,AACE,aADW,CACX,WAAW,AAAC,CACV,KAAK,C1GlNC,IAAO,C0GmNb,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,aANW,CAMX,CAAC,AAAC,CACA,KAAK,C3GrBG,OAAoD,C2GsB7D,AAGH,AAAA,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAIjB,AALD,AAEE,gBAFc,CAEd,EAAE,AAAC,CACD,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,qBAAqB,AAAC,CACpB,UAAU,CAAE,IAAI,CA0CjB,AA3CD,AAEE,qBAFmB,CAEnB,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,MAAM,CAOf,AAZH,AAMI,qBANiB,CAEnB,aAAa,CAIX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AARL,AASI,qBATiB,CAEnB,aAAa,CAOX,IAAI,AAAC,CACH,WAAW,CAAE,IAAI,CAClB,AAXL,AAaE,qBAbmB,CAanB,kBAAkB,AAAC,CACjB,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,KAAK,CAeb,AA9BH,AAgBI,qBAhBiB,CAanB,kBAAkB,CAGhB,OAAO,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AAlBL,AAmBI,qBAnBiB,CAanB,kBAAkB,CAMhB,KAAK,AAAC,CACJ,SAAS,C3GpMN,GAAG,C2GqMN,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAvBL,AAwBI,qBAxBiB,CAanB,kBAAkB,CAWhB,IAAI,AAAC,CACH,YAAY,CAAE,IAAI,CACnB,AA1BL,AA2BI,qBA3BiB,CAanB,kBAAkB,CAchB,EAAE,CAAC,KAAK,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AA7BL,AA+BE,qBA/BmB,CA+BnB,gBAAgB,CAAC,YAAY,AAAC,CAC5B,KAAK,CAAE,IAAI,CACZ,AAjCH,AAkCE,qBAlCmB,CAkCnB,OAAO,AAAC,CACN,WAAW,CAAE,IAAI,CAClB,AApCH,AAsCI,qBAtCiB,CAqCnB,mBAAmB,CACjB,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CACnB,AAIL,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAmBnB,AArBD,AAIE,SAJO,CAIP,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AANH,AAOE,SAPO,CAOP,cAAc,CAPhB,SAAS,CAQP,aAAa,CARf,SAAS,CASP,iBAAiB,AAAC,CAChB,UAAU,CAAE,GAAG,CAChB,AAXH,AAYE,SAZO,CAYP,SAAS,AAAC,CACR,MAAM,CAAE,IAAI,CAIb,AAjBH,AAcI,SAdK,CAYP,SAAS,CAEP,OAAO,AAAC,CACN,KAAK,C3G5FC,OAAoD,C2G6F3D,AAhBL,AAkBE,SAlBO,CAkBP,MAAM,AAAC,CACL,aAAa,CAAE,GAAG,CACnB,ACnSH,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,CAAC,CACP,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,SAAS,CAAE,MAAM,CACjB,KAAK,CAAE,IAAI,CAOX,OAAO,C5G8EM,GAAG,C4G7EhB,UAAU,CAAE,oFACU,CACtB,gBAAgB,C3GpBN,IAAO,C2GqBjB,UAAU,C5G+GE,CAAC,CAAE,IAAG,CAAC,IAAI,CAAC,gBAAmB,C4GmM5C,AAxUD,AAYE,cAZY,AAYX,aAAa,AAAC,CACb,SAAS,CAAE,KAAK,CACjB,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EAftC,AAAA,cAAc,AAAC,CAgBX,SAAS,CAAE,CAAC,CAwTf,CAxUD,AAwBE,cAxBY,CAwBZ,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AA3BH,AA6BE,cA7BY,CA6BZ,YAAY,CA7Bd,cAAc,CA8BZ,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,YAAY,CAAE,IAAI,CASnB,AAzCH,AAiCI,cAjCU,CA6BZ,YAAY,CAIV,QAAQ,CAjCZ,cAAc,CA8BZ,WAAW,CAGT,QAAQ,AAAC,CACP,WAAW,CAAE,GAAG,CAChB,YAAY,C3GlCN,IAAO,C2GmCb,kBAAkB,CAAE,WAAW,CAChC,AArCL,AAsCI,cAtCU,CA6BZ,YAAY,CASV,OAAO,CAtCX,cAAc,CA8BZ,WAAW,CAQT,OAAO,AAAC,CACN,KAAK,C3GtCC,IAAO,C2GuCd,AAxCL,AA2CE,cA3CY,AA2CX,KAAK,AAAC,CACL,MAAM,CAAE,KAAK,CAId,AAhDH,AA6CI,cA7CU,AA2CX,KAAK,AAEH,WAAW,AAAC,CACX,MAAM,CAAE,KAAK,CACd,AA/CL,AAkDE,cAlDY,AAkDX,OAAO,AAAC,CACP,MAAM,CAAE,YAAY,CACrB,AApDH,AAsDE,cAtDY,AAsDX,MAAM,CAtDT,cAAc,AAuDX,OAAO,AAAC,CACP,MAAM,CAAE,eAAe,CACvB,WAAW,CAAE,MAAM,CACnB,UAAU,C3GxDH,IAAO,C2GyDd,KAAK,C3G1DG,IAAO,C2G2Df,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CAYZ,AAzEH,AA8DI,cA9DU,AAsDX,MAAM,CAQL,kBAAkB,CA9DtB,cAAc,AAuDX,OAAO,CAON,kBAAkB,AAAC,CACjB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAOnB,AAxEL,AAkEM,cAlEQ,AAsDX,MAAM,CAQL,kBAAkB,CAIhB,eAAe,CAlErB,cAAc,AAuDX,OAAO,CAON,kBAAkB,CAIhB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AApEP,AAqEM,cArEQ,AAsDX,MAAM,CAQL,kBAAkB,CAOhB,OAAO,CArEb,cAAc,AAuDX,OAAO,CAON,kBAAkB,CAOhB,OAAO,AAAC,CACN,KAAK,C3GrED,IAAO,C2GsEZ,AAvEP,AA2EE,cA3EY,AA2EX,MAAM,AAAC,CACN,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,IAAI,CAWd,AAxFH,AA8EI,cA9EU,AA2EX,MAAM,CAGL,WAAW,AAAC,CACV,OAAO,CAAE,KAAK,CACf,AAhFL,AAiFI,cAjFU,AA2EX,MAAM,CAML,QAAQ,CAjFZ,cAAc,AA2EX,MAAM,CAOL,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AApFL,AAqFI,cArFU,AA2EX,MAAM,CAUL,QAAQ,AAAC,CACP,KAAK,CAAE,CAAC,CACT,AAvFL,AA0FE,cA1FY,AA0FX,OAAO,CAAC,YAAY,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AA5FH,AA8FE,cA9FY,CA8FZ,SAAS,AAAC,CACR,KAAK,C5GmGG,OAAoD,C4GlG5D,MAAM,CAAE,YAAY,CACpB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CA8DpB,AAhKH,AAmGI,cAnGU,CA8FZ,SAAS,CAKP,OAAO,AAAC,CACN,KAAK,C5G8FC,OAAoD,C4G7F3D,AArGL,AAsGI,cAtGU,CA8FZ,SAAS,CAQP,cAAc,AAAC,CACb,SAAS,CAAE,kBAAkB,CAC7B,IAAI,CAAE,QAAQ,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CAKpB,AAhHL,AA6GM,cA7GQ,CA8FZ,SAAS,CAQP,cAAc,CAOZ,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AA/GP,AAiHI,cAjHU,CA8FZ,SAAS,CAmBP,sBAAsB,AAAC,CACrB,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAgChB,AArJL,AAuHM,cAvHQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAMpB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAzHP,AA2HM,cA3HQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAUpB,aAAa,AAAC,ClG/DlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkG+DlB,AA7HP,AA+HM,cA/HQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAcpB,WAAW,CA/HjB,cAAc,CA8FZ,SAAS,CAmBP,sBAAsB,CAepB,UAAU,CAhIhB,cAAc,CA8FZ,SAAS,CAmBP,sBAAsB,CAgBpB,UAAU,AAAC,CACT,YAAY,CAAE,GAAG,CAClB,AAnIP,AAqIM,cArIQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAoBpB,SAAS,AAAC,CACR,YAAY,CAAE,GAAG,CACjB,SAAS,CAAE,KAAK,ClG3EtB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkG8ElB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAzI3C,AAqIM,cArIQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAoBpB,SAAS,AAAC,CAKN,OAAO,CAAE,IAAI,CAEhB,CA5IP,AA8IM,cA9IQ,CA8FZ,SAAS,CAmBP,sBAAsB,CA6BpB,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAhJP,AAkJM,cAlJQ,CA8FZ,SAAS,CAmBP,sBAAsB,CAiCpB,GAAG,AAAA,OAAO,AAAC,CACT,YAAY,CAAE,GAAG,CAClB,AApJP,AAsJI,cAtJU,CA8FZ,SAAS,CAwDP,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,IAAI,CAOlB,AA/JL,AAyJM,cAzJQ,CA8FZ,SAAS,CAwDP,kBAAkB,CAGhB,MAAM,AAAC,CACL,OAAO,CAAE,OAAO,CAIjB,AA9JP,AA2JQ,cA3JM,CA8FZ,SAAS,CAwDP,kBAAkB,CAGhB,MAAM,AAEH,QAAQ,AAAC,CACR,KAAK,CAAE,CAAC,CACT,AA7JT,AAkKE,cAlKY,CAkKZ,QAAQ,CAlKV,cAAc,CAmKZ,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CACnB,AArKH,AAuKE,cAvKY,CAuKZ,QAAQ,AAAC,CACP,YAAY,CAAE,MAAM,CACrB,AAzKH,AA2KE,cA3KY,CA2KZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,WAAW,CAQrB,AApLH,AA6KI,cA7KU,CA2KZ,oBAAoB,CAElB,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CACrB,AA/KL,AAgLI,cAhLU,CA2KZ,oBAAoB,CAKlB,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,KAAK,C3GhLA,IAAO,C2GiLb,AAnLL,AAsLE,cAtLY,CAsLZ,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CACd,AAxLH,AA0LE,cA1LY,CA0LZ,cAAc,CA1LhB,cAAc,CA2LZ,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAInB,AArMH,AAkMI,cAlMU,CA0LZ,cAAc,AAQX,aAAa,CAlMlB,cAAc,CA2LZ,mBAAmB,AAOhB,aAAa,AAAC,CACb,KAAK,CAAE,GAAG,CACX,AApML,AAuME,cAvMY,CAuMZ,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CAKd,AA/MH,AA4MI,cA5MU,CAuMZ,YAAY,CAKV,KAAK,AAAC,CACJ,SAAS,CAAE,CAAC,CACb,AA9ML,AAkNI,cAlNU,CAiNZ,UAAU,CACR,YAAY,AAAC,CACX,IAAI,CAAE,QAAQ,CACf,AApNL,AAuNE,cAvNY,CAuNZ,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,YAAY,CAUrB,AATC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA3NvC,AAuNE,cAvNY,CAuNZ,eAAe,AAAC,CAKZ,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,CAAC,CAOjB,CApOH,AA+NI,cA/NU,CAuNZ,eAAe,CAQb,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACZ,AAnOL,AAuOI,cAvOU,CAsOZ,UAAU,CACR,eAAe,AAAC,CACd,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,GAAG,CAKlB,AAJC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA3OzC,AAuOI,cAvOU,CAsOZ,UAAU,CACR,eAAe,AAAC,CAKZ,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,CAAC,CAElB,CA/OL,AAkPE,cAlPY,CAkPZ,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,CAAC,CAChB,OAAO,CAAE,IAAI,CAId,AAzPH,AAsPI,cAtPU,CAkPZ,YAAY,CAIV,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAxPL,AA2PE,cA3PY,CA2PZ,YAAY,AAAC,CACX,MAAM,CAAE,SAAS,CACjB,UAAU,CAAE,GAAG,CAChB,AA9PH,AAgQE,cAhQY,CAgQZ,iBAAiB,AAAC,CAChB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,SAAS,CACjB,UAAU,C3GlQF,IAAO,C2GmQf,OAAO,C5GvKK,GAAG,C4G4KhB,AAJC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EArQpC,AAgQE,cAhQY,CAgQZ,iBAAiB,AAAC,CAMd,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,QAAQ,CAEjB,CAzQH,AA2QE,cA3QY,CA2QZ,UAAU,AAAC,CACT,OAAO,C5G/KK,GAAG,C4GgLhB,AA7QH,AA+QE,cA/QY,CA+QZ,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,CAAC,CACd,AArRH,AAuRE,cAvRY,CAuRZ,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,CAAC,CACd,MAAM,CAAE,WAAW,CACpB,AA3RH,AA6RE,cA7RY,CA6RZ,eAAe,AAAC,CACd,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,IAAI,CAiCnB,AAlUH,AAkSI,cAlSU,CA6RZ,eAAe,CAKb,MAAM,AAAC,CACL,IAAI,CAAE,QAAQ,CACf,AApSL,AAqSI,cArSU,CA6RZ,eAAe,CAQb,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,KAAK,C5GtGC,OAAoD,C4GuG1D,UAAU,CAAE,WAAW,CAIxB,AA7SL,AA0SM,cA1SQ,CA6RZ,eAAe,CAQb,OAAO,AAKJ,MAAM,AAAC,CACN,KAAK,C3GpSJ,OAAO,C2GqST,AA5SP,AA8SI,cA9SU,CA6RZ,eAAe,CAiBb,aAAa,CA9SjB,cAAc,CA6RZ,eAAe,CAkBb,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAjTL,AAkTI,cAlTU,CA6RZ,eAAe,CAqBb,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAQpB,AA5TL,AAqTM,cArTQ,CA6RZ,eAAe,CAqBb,eAAe,CAGb,CAAC,AAAC,CACA,WAAW,CAAE,GAAG,CAChB,KAAK,C5GrHD,OAAoD,C4GsHzD,AAxTP,AAyTM,cAzTQ,CA6RZ,eAAe,CAqBb,eAAe,CAOb,QAAQ,AAAC,CACP,YAAY,CAAE,GAAG,CAClB,AA3TP,AA6TI,cA7TU,CA6RZ,eAAe,CAgCb,aAAa,CAAC,iBAAiB,AAAC,CAC9B,KAAK,C3GvTF,OAAO,C2GwTV,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,MAAM,CACvB,AAjUL,AAoUE,cApUY,CAoUZ,aAAa,CApUf,cAAc,CAqUZ,eAAe,AAAC,CACd,KAAK,C5GpIG,OAAoD,C4GqI7D,AAGH,AAAA,OAAO,CAAG,CAAC,AAAA,YAAY,AAAC,CACtB,UAAU,CAAE,CAAC,CACd,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,C5GlPO,GAAG,C4GmPjB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,KAAK,CACZ,gBAAgB,C3GjVN,IAAO,C2GkVjB,MAAM,CAAE,GAAG,CAAC,KAAK,C5GjJP,OAAoD,C4GqL/D,AAzCD,AAME,aANW,CAMX,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CA+BV,AAxCH,AAWI,aAXS,CAMX,EAAE,CAKA,EAAE,AAAC,CAMD,aAAa,CAAE,GAAG,CAAC,KAAK,C5G7JlB,OAAoD,C4GmL3D,AAvCL,AAYM,aAZO,CAMX,EAAE,CAKA,EAAE,CACA,aAAa,AAAC,CACZ,KAAK,CAAE,IAAsB,CAC7B,OAAO,CAAE,KAAK,CACf,AAfP,AAmBM,aAnBO,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AAAC,CACA,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,KAAK,ClGvSpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CkGsTlB,AAtCP,AAwBQ,aAxBK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,CAKC,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,C3GvWL,IAAO,C2GwWR,AA1BT,AA2BQ,aA3BK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,CAQC,IAAI,AAAA,KAAK,AAAC,CACR,SAAS,C5GvTL,OAAQ,C4GwTZ,cAAc,CAAE,MAAM,CACvB,AA9BT,AA+BQ,aA/BK,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AAYE,SAAS,AAAC,CACT,gBAAgB,C5G5Kd,OAAoD,C4G6KvD,AlG5TP,AACE,mBADiB,CkG2RrB,aAAa,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AlG7SF,MAAM,CADT,mBAAmB,CkG2RrB,aAAa,CAMX,EAAE,CAKA,EAAE,CAQA,CAAC,AlG5SF,UAAU,AAAC,CkG4TN,gBAAgB,C5G/Kd,OAAoD,C4GgLtD,eAAe,CAAE,IAAI,ClG3T1B,AkGkUL,AACE,GADC,AAAA,QAAQ,AAAA,SAAS,CAClB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAHH,AAIE,GAJC,AAAA,QAAQ,AAAA,SAAS,CAIlB,KAAK,CAAC,CAAC,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,GAAG,AAAA,QAAQ,CAAC,GAAG,AAAA,KAAK,CAAC,CAAC,AAAA,OAAO,CAC7B,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CAChB,SAAS,C5GlVG,OAAQ,C4GmVpB,WAAW,C5GvUO,CAAC,C4GwUnB,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,GAAG,CAAC,KAAK,C5GxMP,OAAoD,C4G+M/D,AAfD,AASE,GATC,AAAA,QAAQ,CAAC,GAAG,AAAA,KAAK,CAAC,CAAC,AAAA,OAAO,AAS1B,MAAM,CART,YAAY,AAQT,MAAM,AAAC,CACN,gBAAgB,C5G1MR,OAAoD,C4G2M5D,MAAM,CAAE,GAAG,CAAC,KAAK,C5G3MT,OAAoD,C4G4M5D,eAAe,CAAE,IAAI,CACrB,KAAK,C3GxYA,OAAO,C2GyYb,AAGH,AAAA,GAAG,AAAA,QAAQ,AAAC,CACV,QAAQ,CAAE,IAAI,CACd,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,gBAAgB,C3GxZN,IAAO,C2GyZjB,MAAM,CAAE,GAAG,CAAC,KAAK,C5GxNP,OAAoD,C4GyN9D,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,UAAU,CA+BvB,AAxCD,AAUE,GAVC,AAAA,QAAQ,CAUT,GAAG,AAAA,KAAK,AAAC,CACP,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,QAAQ,CACjB,WAAW,C5G/VK,GAAG,C4GoWpB,AAlBH,AAcI,GAdD,AAAA,QAAQ,CAUT,GAAG,AAAA,KAAK,CAIN,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,WAAW,C5GnWI,GAAG,C4GoWnB,AAjBL,AAoBE,GApBC,AAAA,QAAQ,CAoBT,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,YAAY,CAAE,IAAI,CACnB,AA1BH,AA4BE,GA5BC,AAAA,QAAQ,CA4BT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,WAAW,CACvB,UAAU,CAAE,KAAK,CAIlB,AAvCH,AAoCI,GApCD,AAAA,QAAQ,CA4BT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAQH,gBAAgB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,kBADgB,CAChB,SAAS,AAAC,CACR,KAAK,C5G7PG,OAAoD,C4G8P7D,AAGH,AAAA,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,KAAK,CAMd,AALC,AACE,YADU,CAHd,SAAS,CAIL,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAIL,AAAA,eAAe,AAAC,CACd,iBAAiB,CAAE,uBAAuB,CAC1C,SAAS,CAAE,uBAAuB,CACnC,AAED,kBAAkB,CAAlB,WAAkB,CAChB,GAAG,CACD,cAAc,CAAE,UAAU,CAE5B,IAAI,CACF,cAAc,CAAE,UAAU,EAG9B,UAAU,CAAV,WAAU,CACR,GAAG,CACD,OAAO,CAAE,CAAC,CAEZ,IAAI,CACF,OAAO,CAAE,CAAC,EAId,AACE,IADE,AAAA,0BAA0B,CAC5B,YAAY,CADd,IAAI,AAAA,0BAA0B,CAE5B,MAAM,CAFR,IAAI,AAAA,0BAA0B,CAG5B,QAAQ,CACR,IAAI,AAAA,IAAK,CAAA,oBAAoB,EAJ/B,IAAI,AAAA,0BAA0B,CAIK,kBAAkB,AAAC,CAClD,OAAO,CAAE,IAAI,CACd,AANH,AAQE,IARE,AAAA,0BAA0B,CAQ5B,cAAc,AAAC,CACb,GAAG,CAAE,GAAG,CAIT,AAbH,AAUI,IAVA,AAAA,0BAA0B,CAQ5B,cAAc,AAEX,KAAK,AAAC,CACL,MAAM,CAAE,mCAAmC,CAC5C,ACzaL,AAAA,OAAO,AAAC,CACN,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAxCM,IAAI,CAyCjB,QAAQ,CAAE,MAAM,CAChB,QAAQ,CAAE,KAAK,CAEf,UAAU,CAlDI,OAAO,CAmDrB,OAAO,CAlDS,EAAG,CAoDjB,MAAM,CAAE,iBAAiD,CAE5D,AAGD,AAAA,SAAS,AAAC,CACR,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAzDM,IAAI,CA0DjB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,YAAY,CACrB,2BAA2B,CAAE,MAAM,CACpC,AAGD,AAAA,cAAc,AAAC,CACb,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,OAAO,CAAE,CAAC,CA1ES,GAAG,CA2EtB,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACvB,AAGD,AACE,cADY,AACX,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,IAAI,CACZ,cAAc,CAAE,MAAM,CACvB,AAIH,AAEI,cAFU,CACZ,cAAc,AACX,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAKL,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,MAAM,CAAE,MAAM,CACd,UAAU,CAAE,IAAI,CAChB,OAAO,CAvGM,IAAI,CAwGlB,AACD,AAEE,kBAFgB,CAEhB,YAAY,CADd,gBAAgB,CACd,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAIH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,QAAQ,CACjB,AACD,AACE,iBADe,CAAjB,iBAAiB,CAEf,iBAAiB,CAAC,UAAU,AAAC,CAC3B,MAAM,CAAE,aAAa,CACrB,MAAM,CAAE,gBAAgB,CACxB,MAAM,CAAE,QAAQ,CACjB,AAEH,AAAA,SAAS,AAAC,CACR,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,eAAe,CACvB,MAAM,CAAE,YAAY,CACpB,MAAM,CAAE,OAAO,CAChB,AACD,AACE,gBADc,CACd,YAAY,AAAC,CACX,MAAM,CAAE,IAAI,CACb,AAGH,AAAA,UAAU,CACV,UAAU,CACV,cAAc,CACd,YAAY,AAAC,CACX,mBAAmB,CAAE,IAAI,CACzB,gBAAgB,CAAE,IAAI,CACtB,WAAW,CAAE,IAAI,CAClB,AAGD,AACE,YADU,AACT,WAAW,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AAiBD,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,eAAe,CACzB,AAQH,AAAA,cAAc,AAAC,CACb,KAAK,CA7Ke,IAAI,CA8KxB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,MAAM,CAClB,IAAI,CAAE,GAAG,CACT,KAAK,CAAE,GAAG,CACV,OAAO,CA1LM,IAAI,CAiMlB,AAhBD,AAUE,cAVY,CAUZ,CAAC,AAAC,CACA,KAAK,CAvLa,IAAI,CA2LvB,AAfH,AAYI,cAZU,CAUZ,CAAC,AAEE,MAAM,AAAC,CACN,KAAK,CAxLiB,IAAI,CAyL3B,AAKL,AACE,YADU,CACV,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACd,AAIH,AACE,YADU,CACV,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AAIH,AACE,MADI,AACH,UAAU,CADb,MAAM,AAEH,UAAU,AAAC,CACV,QAAQ,CAAE,OAAO,CACjB,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,kBAAkB,CAAE,IAAI,CACxB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,CAAC,CACV,OAAO,CA5NI,IAAI,CA6Nf,kBAAkB,CAAE,IAAI,CACxB,UAAU,CAAE,IAAI,CACjB,AAbH,AAcE,MAdI,AAcH,kBAAkB,AAAC,CAClB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACV,AAIH,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,C7G5MO,GAAG,C6G6MrB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,MAAM,CAClB,OAAO,CA9OU,GAAI,CAgPnB,MAAM,CAAE,iBAAkD,CAE5D,OAAO,CAAE,aAAa,CACtB,KAAK,CAlPU,IAAI,CAmPnB,UAAU,CAAE,MAAM,CAClB,SAAS,C7G7OC,GAAG,C6G8Ob,WAAW,CAAE,6BAA6B,CAc3C,AA/BD,AAmBE,UAnBQ,AAmBP,MAAM,CAnBT,UAAU,AAoBP,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CAER,MAAM,CAAE,kBAAkC,CAE7C,AA1BH,AA4BE,UA5BQ,AA4BP,OAAO,AAAC,CACP,GAAG,CAAE,GAAG,CACT,AAEH,AACE,iBADe,CACf,UAAU,AAAC,CACT,KAAK,CArQgB,IAAI,CAsQ1B,AAEH,AAEE,iBAFe,CAEf,UAAU,CADZ,kBAAkB,CAChB,UAAU,AAAC,CACT,KAAK,CA5QQ,IAAI,CA6QjB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACZ,AAIH,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,KAAK,CAvRe,IAAI,CAwRxB,SAAS,C7G7QG,OAAQ,C6G8QpB,WAAW,C7GjQQ,GAAG,C6GkQvB,AAIC,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAnSQ,GAAI,CAqSjB,MAAM,CAAE,iBAAkD,CAE5D,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CACb,2BAA2B,CAAE,WAAgB,CAwC9C,AAnDD,AAYE,UAZQ,AAYP,OAAO,AAAC,CACP,UAAU,CAAE,KAAK,CAClB,AAdH,AAeE,UAfQ,AAeP,MAAM,CAfT,UAAU,AAgBP,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,CAAC,CAER,MAAM,CAAE,kBAAkC,CAE7C,AAtBH,AAuBE,UAvBQ,AAuBP,OAAO,CAvBV,UAAU,AAwBP,MAAM,CAxBT,UAAU,CAyBR,MAAM,CAzBR,UAAU,CA0BR,MAAM,AAAC,CACL,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACN,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,wBAAwB,CACjC,AArCH,AAuCE,UAvCQ,AAuCP,MAAM,CAvCT,UAAU,CAwCR,MAAM,AAAC,CACL,gBAAgB,CAAE,IAAI,CACtB,mBAAmB,CAAE,IAAI,CACzB,GAAG,CAAE,GAAG,CACT,AA5CH,AA8CE,UA9CQ,AA8CP,OAAO,CA9CV,UAAU,CA+CR,MAAM,AAAC,CACL,gBAAgB,CAAE,IAAI,CACtB,mBAAmB,CAAE,IAAI,CAC1B,AAGH,AAAA,eAAe,AAAC,CACd,IAAI,CAAE,CAAC,CAYR,AAbD,AAGE,eAHa,AAGZ,MAAM,CAHT,eAAe,CAIb,MAAM,AAAC,CACL,YAAY,CAAE,eAAe,CAC7B,WAAW,CAAE,IAAI,CAClB,AAPH,AAQE,eARa,AAQZ,OAAO,CARV,eAAe,CASb,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,kBAAkB,CACjC,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,CAAC,CAUT,AAXD,AAEE,gBAFc,AAEb,MAAM,CAFT,gBAAgB,CAGd,MAAM,AAAC,CACL,WAAW,CAAE,eAAe,CAC5B,WAAW,CAAE,IAAI,CAClB,AANH,AAOE,gBAPc,AAOb,OAAO,CAPV,gBAAgB,CAQd,MAAM,AAAC,CACL,WAAW,CAAE,kBAAkB,CAChC,AAMH,AAAA,kBAAkB,AAAC,CACjB,WAAW,CA7WM,IAAI,CA8WrB,cAAc,CA9WG,IAAI,CAuXtB,AAXD,AAGE,kBAHgB,CAGhB,YAAY,AAAC,CACX,WAAW,CAAE,CAAC,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CAhXI,KAAK,CAiXnB,AAPH,AAQE,kBARgB,CAQhB,UAAU,AAAC,CACT,GAAG,CAAE,KAAK,CACX,AAEH,AAAA,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAoB,CAWlC,AAfD,AAKE,kBALgB,CAKhB,MAAM,AAAC,CACL,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,KAAK,CACd,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAnZP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,eAAkB,CAoZ7B,UAAU,CApYI,IAAI,CAqYnB,AAOH,AACE,GADC,AACA,QAAQ,AAAC,CACR,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CACd,WAAW,CAAE,CAAC,CACd,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,OAAO,CA/YO,IAAI,CA+YU,CAAC,CA9YZ,IAAI,CA+YrB,MAAM,CAAE,MAAM,CACf,AAIH,AAAA,WAAW,AAAC,CACV,WAAW,CAAE,CAAC,CAwBf,AAzBD,AAEE,WAFS,AAER,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,GAAG,CA3ZW,IAAI,CA4ZlB,MAAM,CA3ZW,IAAI,CA4ZrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,EAAE,CACX,UAAU,CAzbP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,eAAkB,CA0b7B,UAAU,CApaG,0CAA0C,CAqaxD,AAfH,AAgBE,WAhBS,CAgBT,KAAK,AAAC,CACJ,KAAK,CAhac,OAAO,CAia1B,OAAO,CAAE,KAAK,CACd,SAAS,C7G3aD,OAAQ,C6G4ahB,WAAW,C7G/ZI,GAAG,C6GganB,AArBH,AAsBE,WAtBS,CAsBT,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACV,AAEH,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,KAA0B,CACtC,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AACD,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CAChB,WAAW,C7G/aM,GAAG,C6GgbpB,KAAK,CArba,OAAO,CAsbzB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,IAAI,CAMpB,AAXD,AAQE,UARQ,CAQR,CAAC,AAAA,kBAAkB,CAAC,OAAO,AAAC,CAC1B,aAAa,CAAE,GAAG,CACnB,AAGH,AACE,iBADe,CACf,YAAY,AAAC,CACX,SAAS,CAAE,IAAI,CAChB,AAGH,AAEI,YAFQ,CACV,iBAAiB,CACf,WAAW,AAAC,CACV,MAAM,CAAE,OAAO,CAChB,AAKH,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,OAAO,WAAW,EAAE,SAAS,GAAE,MAAM,MAAM,UAAU,EAAE,KAAK,EAK1F,AACE,eADa,CACb,iBAAiB,AAAC,CAChB,YAAY,CAAE,CAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAJH,AAMI,eANW,CAKb,GAAG,AACA,QAAQ,AAAC,CACR,OAAO,CAAE,CAAC,CACX,AARL,AAYI,eAZW,CAUb,WAAW,AAER,MAAM,AAAC,CACN,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AAfL,AAgBI,eAhBW,CAUb,WAAW,CAMT,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,WAAW,CAAE,GAAG,CACjB,AAnBL,AAqBE,eArBa,CAqBb,eAAe,AAAC,CACd,UAAU,CAAE,eAAkB,CAC9B,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACT,OAAO,CAAE,OAAO,CAChB,QAAQ,CAAE,KAAK,CACf,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CAIvB,AAlCH,AA+BI,eA/BW,CAqBb,eAAe,AAUZ,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAjCL,AAmCE,eAnCa,CAmCb,YAAY,AAAC,CACX,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,GAAG,CACT,AAtCH,AAuCE,eAvCa,CAuCb,UAAU,AAAC,CACT,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,C7GzfD,GAAG,C6G0fb,UAAU,CAAE,eAAkB,CAC9B,QAAQ,CAAE,KAAK,CACf,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,CAAC,CACX,CAOT,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAhQ9B,AAAA,UAAU,AAiQC,CnG/eX,iBAAiB,CmGgfI,WAAW,CnG/ehC,SAAS,CmG+eY,WAAW,CAC/B,AA9MD,AAAA,eAAe,AA+MC,CACd,gBAAgB,CAAE,CAAC,CACnB,wBAAwB,CAAE,CAAC,CAC5B,AAnMD,AAAA,gBAAgB,AAoMC,CACf,gBAAgB,CAAE,IAAI,CACtB,wBAAwB,CAAE,IAAI,CAC/B,AA9eH,AAAA,cAAc,AA+eG,CACb,YAAY,CAljBY,GAAG,CAmjB3B,aAAa,CAnjBW,GAAG,CAojB5B,CAMD,AACE,QADM,CACN,QAAQ,AAAC,CACP,OAAO,CAAE,CAAC,CACX,AAHH,AAIE,QAJM,CAIN,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,GAAG,CACf,cAAc,CAAE,GAAG,CACpB,AAVH,AAWE,QAXM,CAWN,cAAc,AAAC,CACb,OAAO,CAAE,CAAC,CACX,AAbH,AAcE,QAdM,CAcN,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAhBH,AAiBE,QAjBM,CAiBN,UAAU,AAAC,CACT,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,CAAC,CACf,AAIL,AAEE,YAFU,CAEV,YAAY,AAAC,CACX,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,QAAQ,CACpB,iBAAiB,CAAE,UAAU,CAC7B,aAAa,CAAE,UAAU,CACzB,SAAS,CAAE,UAAU,CACtB,AARH,AAUE,YAVU,AAUT,OAAO,AAAC,CACP,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,iBAAiB,CAC9B,AAbH,AAiBI,YAjBQ,AAgBT,UAAU,CACT,YAAY,AAAC,CACX,OAAO,CAAE,CAAC,CnG9iBd,iBAAiB,CmG+iBM,QAAQ,CnG9iB/B,SAAS,CmG8iBc,QAAQ,CAC5B,AApBL,AAqBI,YArBQ,AAgBT,UAAU,AAKR,OAAO,AAAC,CACP,OAAO,CAAE,GAAG,CACb,AAvBL,AA4BI,YA5BQ,AA2BT,aAAa,CACZ,YAAY,AAAC,CnGxjBf,iBAAiB,CmGyjBM,UAAU,CnGxjBjC,SAAS,CmGwjBc,UAAU,CAC7B,OAAO,CAAE,CAAC,CACX,AA/BL,AAgCI,YAhCQ,AA2BT,aAAa,AAKX,OAAO,AAAC,CACP,OAAO,CAAE,CAAC,CACX,AAIL,AACE,qBADmB,AAClB,SAAS,AAAC,CACT,UAAU,CAAE,eAAe,CAC3B,UAAU,CAAE,eAAe,CAC5B,AAJH,AAKE,qBALmB,CAKnB,QAAQ,AAAC,CACP,SAAS,CAAE,IAAI,CAChB,ACjqBH,AACE,aADW,AAAA,YAAY,CACvB,IAAI,AAAC,CACH,gBAAgB,C7GKX,OAAO,C6GJZ,KAAK,C7GFG,IAAO,C6GGf,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CACjB,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,QAAQ,CAAE,MAAM,CAejB,AArBD,AAOE,mBAPiB,AAOhB,OAAO,AAAC,CACP,SAAS,CAAE,8CAA8C,CACzD,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,gEAKX,CACD,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,iBAAiB,CACxB,MAAM,CAAE,KAAK,CACb,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,MAAM,AAAC,CACL,IAAI,CAAE,QAAQ,CACd,QAAQ,CAAE,MAAM,CA8BjB,AAhCD,AAGE,MAHI,CAGJ,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CACrB,WAAW,CAAE,IAAI,CAClB,AAPH,AASE,MATI,CASJ,IAAI,AAAC,CACH,SAAS,C9GFJ,GAAG,C8GGR,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,YAAY,CpGMvB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CoGNrB,cAAc,CAAE,MAAM,CAIvB,AAlBH,AAeI,MAfE,CASJ,IAAI,CAMF,CAAC,AAAC,CACA,KAAK,C9GwIC,OAAoD,C8GvI3D,AAjBL,AAmBE,MAnBI,CAmBJ,GAAG,AAAC,CACF,SAAS,C9GXC,OAAQ,C8GYlB,KAAK,C9GmIG,OAAoD,C8GlI7D,AAtBH,AAuBE,MAvBI,CAuBJ,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAClB,AA1BH,AA2BE,MA3BI,CA2BJ,SAAS,CAAC,CAAC,CA3Bb,MAAM,CA4BJ,WAAW,CA5Bb,MAAM,CA6BJ,WAAW,CAAC,CAAC,AAAC,CACZ,KAAK,C9G0HG,OAAoD,C8GzH7D,AAIH,AAAA,OAAO,CACP,iBAAiB,AAAC,CAChB,SAAS,CAAE,UAAU,CACrB,WAAW,C9GfO,GAAG,C8GoFtB,AAxED,AAIE,OAJK,CAIL,EAAE,CAJJ,OAAO,CAKL,EAAE,CALJ,OAAO,CAML,EAAE,CANJ,OAAO,CAOL,EAAE,CAPJ,OAAO,CAQL,EAAE,CARJ,OAAO,CASL,EAAE,CARJ,iBAAiB,CAGf,EAAE,CAHJ,iBAAiB,CAIf,EAAE,CAJJ,iBAAiB,CAKf,EAAE,CALJ,iBAAiB,CAMf,EAAE,CANJ,iBAAiB,CAOf,EAAE,CAPJ,iBAAiB,CAQf,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACnB,WAAW,C9GxBM,GAAG,C8GyBrB,AAZH,AAcE,OAdK,CAcL,EAAE,CAbJ,iBAAiB,CAaf,EAAE,AAAC,CACD,SAAS,C9G7CD,QAAQ,C8G8CjB,AAhBH,AAkBE,OAlBK,CAkBL,EAAE,CAjBJ,iBAAiB,CAiBf,EAAE,AAAC,CACD,SAAS,C9GhDD,QAAQ,C8GiDjB,AApBH,AAsBE,OAtBK,CAsBL,EAAE,CArBJ,iBAAiB,CAqBf,EAAE,AAAC,CACD,SAAS,C9GnDD,QAAQ,C8GoDjB,AAxBH,AA0BE,OA1BK,CA0BL,EAAE,CAzBJ,iBAAiB,CAyBf,EAAE,AAAC,CACD,SAAS,C9GtDJ,GAAG,C8GuDT,AA5BH,AA8BE,OA9BK,CA8BL,EAAE,CA7BJ,iBAAiB,CA6Bf,EAAE,AAAC,CACD,SAAS,C9GzDC,OAAQ,C8G0DnB,AAhCH,AAkCE,OAlCK,CAkCL,EAAE,CAjCJ,iBAAiB,CAiCf,EAAE,AAAC,CACD,SAAS,C9G5DC,OAAQ,C8G6DnB,AApCH,AAsCE,OAtCK,CAsCL,CAAC,CArCH,iBAAiB,CAqCf,CAAC,AAAC,CACA,SAAS,CAAE,UAAU,CACtB,AAxCH,AAyCE,OAzCK,CAyCL,GAAG,CAxCL,iBAAiB,CAwCf,GAAG,AAAC,CACF,gBAAgB,C9G2ER,OAAoD,C8GvE7D,AA9CH,AA+CE,OA/CK,CA+CL,GAAG,CA9CL,iBAAiB,CA8Cf,GAAG,AAAC,CACF,gBAAgB,C9GqER,OAAoD,C8GjE7D,AApDH,AAsDE,OAtDK,CAsDL,GAAG,CArDL,iBAAiB,CAqDf,GAAG,AAAC,CACF,SAAS,CAAE,MAAM,CAClB,AAxDH,AAyDE,OAzDK,CAyDL,KAAK,CAxDP,iBAAiB,CAwDf,KAAK,AAAC,CACJ,SAAS,CAAE,OAAO,CACnB,AA3DH,AA4DE,OA5DK,CA4DL,KAAK,CAAC,KAAK,CA3Db,iBAAiB,CA2Df,KAAK,CAAC,KAAK,AAAC,CACV,SAAS,CAAE,MAAM,CAClB,AA9DH,AA+DE,OA/DK,CA+DL,GAAG,CAAC,GAAG,CA9DT,iBAAiB,CA8Df,GAAG,CAAC,GAAG,AAAC,CACN,SAAS,CAAE,GAAG,CACf,AAjEH,AAkEE,OAlEK,CAkEL,GAAG,CAAC,GAAG,CAAC,GAAG,CAjEb,iBAAiB,CAiEf,GAAG,CAAC,GAAG,CAAC,GAAG,AAAC,CACV,MAAM,CAAE,CAAC,CACV,AApEH,AAqEE,OArEK,CAqEL,GAAG,CAAC,GAAG,CAAC,GAAG,CApEb,iBAAiB,CAoEf,GAAG,CAAC,GAAG,CAAC,GAAG,AAAC,CACV,GAAG,CAAE,CAAC,CACP,AAGH,AAEE,OAFK,CAEL,KAAK,CADP,iBAAiB,CACf,KAAK,AAAC,CACJ,SAAS,CAAE,IAAI,CAChB,AAJH,AAKE,OALK,CAKL,GAAG,CAAC,GAAG,CAJT,iBAAiB,CAIf,GAAG,CAAC,GAAG,AAAC,CACN,GAAG,CAAE,CAAC,CACP,AAIH,AACE,UADQ,CACR,QAAQ,CAAG,OAAO,AAAC,CACjB,gBAAgB,C9G8BR,OAAoD,C8G7B5D,OAAO,CAAE,IAAI,CAKd,AARH,AAII,UAJM,CACR,QAAQ,CAAG,OAAO,CAGhB,GAAG,AAAA,IAAK,CAAA,UAAU,CAAE,CAClB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACb,AAPL,AAUI,UAVM,CASR,SAAS,CAAG,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CrE/IV,UAAU,CqEwJI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CpC2MV,UAAU,CoClMI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAVnB,UAAU,CpC+MV,KAAK,CoCtMS,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,AAAC,CACd,KAAK,C9GqBC,OAAoD,C8Gf3D,AAjBL,AAYM,UAZI,CASR,SAAS,CAAG,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CrE/IV,UAAU,CqEwJI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CpC2MV,UAAU,CoClMI,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,CAZP,UAAU,CpC+MV,KAAK,CoCtMS,gBAAgB,CAAG,MAAM,CACnC,IAAI,AAAA,WAAW,CAEb,CAAC,AAAC,CACA,gBAAgB,C9GmBZ,OAAoD,C8GlBxD,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,GAAG,CACnB,AAKP,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CAWxB,AAbD,AAIE,gBAJc,CAId,MAAM,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AANH,AAQE,gBARc,CAQd,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACpB,AAIH,AAAA,KAAK,AAAA,MAAM,AAAC,CACV,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CA0BnB,AA5BD,AAIE,KAJG,AAAA,MAAM,CAIT,cAAc,AAAC,CACb,WAAW,CAAE,GAAG,CACjB,AANH,AAQE,KARG,AAAA,MAAM,CAQT,MAAM,AAAC,CpG7HP,WAAW,CAAE,GAAG,CAAC,KAAK,CVgHZ,OAAoD,CU/G9D,gBAAgB,CV8FR,OAAqB,C8GiC3B,KAAK,C9GhBG,OAAoD,C8GkB5D,OAAO,CAAE,kBAAkB,CpG7I7B,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CoGgJxB,AAtBH,AAeI,KAfC,AAAA,MAAM,CAQT,MAAM,CAOJ,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAjBL,AAkBI,KAlBC,AAAA,MAAM,CAQT,MAAM,CAUJ,GAAG,AAAC,CACF,UAAU,CAAE,IAAI,CACjB,AApBL,AAyBE,KAzBG,AAAA,MAAM,CAyBT,UAAU,AAAC,CACT,UAAU,CAAE,CAAC,CACd,AAGH,AAIE,UAJQ,CAIR,GAAG,AAAC,CACF,SAAS,CAAE,eAAe,CAC3B,AAGH,AAAA,eAAe,CACf,eAAe,CAAC,OAAO,AAAC,CACtB,KAAK,C9G9CK,OAAoD,C8G+C/D,AAED,AAAA,OAAO,CAAC,UAAU,AAAC,CACjB,gBAAgB,C9GlDN,OAAoD,C8GmD9D,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,IAAI,CACb,AAED,AAAA,aAAa,AAAC,CACZ,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,YAAY,AAAC,CACX,KAAK,C9G5DK,OAAoD,C8GiE/D,AAND,AAEE,YAFU,CAEV,YAAY,CAFd,YAAY,CAGV,WAAW,AAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,OAAO,C9GnKC,CAAC,C8GoKV,AAED,AAAA,WAAW,AAAA,OAAO,AAAC,CACjB,OAAO,CAAE,GAAG,CACb,AAED,AAAA,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AAPD,AAIE,eAJa,CAIb,CAAC,AAAC,CACA,WAAW,CAAE,KAAK,CACnB,AAGH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,C9G1GR,OAAqB,C8G2G7B,KAAK,C7G3RK,IAAO,C6G4RjB,OAAO,CAAE,IAAI,CACb,OAAO,C9G5LK,GAAG,C8G6Lf,OAAO,CAAE,GAAG,CAUb,AAjBD,AASE,aATW,CASX,OAAO,AAAC,CACN,OAAO,CAAE,YAAY,CACtB,AAXH,AAaE,aAbW,AAaV,MAAM,AAAC,CACN,gBAAgB,C9GpGR,OAAoD,C8GqG5D,MAAM,CAAE,OAAO,CAChB,AAGH,AAAA,aAAa,CACb,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,UAAU,AAAC,CACT,UAAU,C9G/GA,OAAoD,C8GgH9D,MAAM,CAAE,GAAG,CAAC,KAAK,C9GhHP,OAAoD,C8GiH9D,UAAU,CAAE,IAAI,CAsJjB,AAzJD,AAMI,UANM,CAKR,QAAQ,CACJ,GAAG,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AAVL,AAWI,UAXM,CAKR,QAAQ,CAMN,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,MAAM,CACnB,SAAS,C9G9QD,OAAQ,C8G+QhB,WAAW,C9GpQG,CAAC,C8GqQhB,AApBL,AAuBE,UAvBQ,CAuBR,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAClB,AA1BH,AA4BE,UA5BQ,CA4BR,OAAO,AAAC,CACN,UAAU,CAAE,GAAG,CAAC,KAAK,C9G3Ib,OAAoD,C8G4I7D,AA9BH,AAgCE,UAhCQ,CAgCR,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAnCH,AAqCE,UArCQ,CAqCR,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAClB,KAAK,C7GvVC,IAAO,C6GwVb,WAAW,C9GvRK,GAAG,C8GwRnB,WAAW,CAAE,MAAM,CACnB,SAAS,C9GxSJ,GAAG,C8GyST,AA3CH,AA6CE,UA7CQ,CA6CR,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACnB,KAAK,C9G7JG,OAAoD,C8G8J5D,WAAW,CAAE,MAAM,CACnB,SAAS,C9G9SC,OAAQ,C8G+SlB,WAAW,C9GnSK,CAAC,C8GoSlB,AAnDH,AAqDE,UArDQ,CAqDR,IAAI,AAAA,OAAO,AAAC,CACV,SAAS,C9GlTC,OAAQ,C8GmTlB,KAAK,C9GrKG,OAAoD,C8GsK7D,AAxDH,AA0DE,UA1DQ,CA0DR,EAAE,AAAC,CACD,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,GAAG,CACb,AA7DH,AAgEI,UAhEM,CA+DR,YAAY,CACV,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAlEL,AAmEI,UAnEM,CA+DR,YAAY,CAIV,mBAAmB,AAAC,CAClB,MAAM,CAAE,aAAa,CACtB,AArEL,AAwEE,UAxEQ,CAwER,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CASpB,AAnFH,AA4EI,UA5EM,CAwER,SAAS,CAIP,IAAI,AAAC,CACH,YAAY,CAAE,KAAK,CAKpB,AAlFL,AA+EM,UA/EI,CAwER,SAAS,CAIP,IAAI,AAGD,WAAW,AAAC,CACX,MAAM,CAAE,CAAC,CACV,AAjFP,AAqFE,UArFQ,CAqFR,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CA0DpB,AAlJH,AA0FI,UA1FM,CAqFR,aAAa,CAKP,SAAS,AAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AA5FL,AA+FM,UA/FI,CAqFR,aAAa,AASV,WAAW,CAAC,KAAK,CAChB,SAAS,CA/Ff,UAAU,CAqFR,aAAa,AASV,WAAW,CAAC,KAAK,CAEhB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAlGP,AAqGI,UArGM,CAqFR,aAAa,CAgBX,KAAK,AAAC,CACJ,MAAM,CAAE,GAAG,CAAC,KAAK,C9GpNX,OAAoD,C8GqN1D,aAAa,CAAE,MAAM,CACrB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,wBAAwB,CAChC,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,IAAI,CAqCb,AAjJL,AA8GM,UA9GI,CAqFR,aAAa,CAgBX,KAAK,CASH,UAAU,CA9GhB,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAUH,WAAW,AAAC,CACV,KAAK,C9G9ND,OAAoD,C8GmOzD,AArHP,AAkHQ,UAlHE,CAqFR,aAAa,CAgBX,KAAK,CASH,UAAU,AAIP,MAAM,CAlHf,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAUH,WAAW,AAGR,MAAM,AAAC,CACN,KAAK,C7GnaL,IAAO,C6GoaR,AApHT,AAuHM,UAvHI,CAqFR,aAAa,CAgBX,KAAK,CAkBH,OAAO,CAvHb,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAmBH,aAAa,AAAC,CACZ,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,MAAM,CACrB,AA3HP,AA6HM,UA7HI,CAqFR,aAAa,CAgBX,KAAK,CAwBH,SAAS,CA7Hf,UAAU,CAqFR,aAAa,CAgBX,KAAK,CAyBH,WAAW,AAAC,CACV,YAAY,CAAE,MAAM,CACrB,AAhIP,AAkIM,UAlII,CAqFR,aAAa,CAgBX,KAAK,AA6BF,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CAChB,AApIP,AAsIM,UAtII,CAqFR,aAAa,CAgBX,KAAK,CAiCH,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,iBAAiB,CAChC,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,CAAC,CACjB,MAAM,CAAE,IAAI,CACb,AAhJP,AAqJI,UArJM,CAoJR,2BAA2B,CACzB,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACpB,AAIL,AAME,aANW,CAMX,aAAa,CALf,qBAAqB,CAKnB,aAAa,CAJf,iBAAiB,CAIf,aAAa,CAHf,UAAU,CAAC,OAAO,CAGhB,aAAa,CAFf,oBAAoB,CAElB,aAAa,CADf,WAAW,CACT,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAC5B,mBAAmB,CAAE,MAAM,CAC3B,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,aAAa,CAAC,aAAa,CAC3B,qBAAqB,CAAC,aAAa,CACnC,eAAe,CAAC,oBAAoB,CAAC,aAAa,CAClD,WAAW,CAAC,aAAa,AAAC,CACxB,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CASb,AAfD,AAOE,aAPW,CAAC,aAAa,AAOxB,QAAQ,CANX,qBAAqB,CAAC,aAAa,AAMhC,QAAQ,CALX,eAAe,CAAC,oBAAoB,CAAC,aAAa,AAK/C,QAAQ,CAJX,WAAW,CAAC,aAAa,AAItB,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAEH,AAAA,iBAAiB,CAAC,aAAa,CAC/B,oBAAoB,CAAC,aAAa,AAAC,CACjC,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CAYb,AAhBD,AAKE,iBALe,CAAC,aAAa,AAK5B,QAAQ,CAJX,oBAAoB,CAAC,aAAa,AAI/B,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACZ,AAZH,AAaE,iBAbe,CAAC,aAAa,CAa7B,GAAG,CAZL,oBAAoB,CAAC,aAAa,CAYhC,GAAG,AAAC,CACF,SAAS,C9G5cD,QAAQ,C8G6cjB,AAEH,AAAA,UAAU,CAAC,OAAO,CAAC,aAAa,AAAC,CAC/B,KAAK,CAAE,CAAC,CACR,eAAe,CAAE,SAAS,CAC1B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,C7GngBG,IAAO,C6G+gBhB,AAlBD,AAOE,UAPQ,CAAC,OAAO,CAAC,aAAa,AAO7B,QAAQ,AAAC,CACR,eAAe,CAAE,SAAS,CAC1B,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,CAAC,CACT,AAdH,AAeE,UAfQ,CAAC,OAAO,CAAC,aAAa,CAe9B,OAAO,AAAC,CACN,SAAS,C9GzdC,OAAQ,C8G0dnB,AAEH,AAAA,aAAa,CAAC,oBAAoB,AAAC,CACjC,OAAO,CAAE,IAAI,CACd,AAED,AACE,IADE,AACD,cAAc,AAAC,CACd,OAAO,CAAE,IAAI,CAQd,AAVH,AAGI,IAHA,AACD,cAAc,CAEb,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,EAAE,CAIV,AATL,AAMM,IANF,AACD,cAAc,CAEb,QAAQ,CAGN,IAAI,AAAC,CACH,MAAM,CAAE,IAAI,CACb,AAKP,AAIE,WAJS,CAIT,OAAO,AAAC,CACN,QAAQ,CAAE,MAAM,CACjB,AANH,AAOE,WAPS,AAOR,YAAY,AAAC,CACZ,SAAS,CAAE,uCAAuC,CACnD,AAGH,AAAA,UAAU,AAAC,CACT,IAAI,CAAE,QAAQ,CACd,YAAY,CAAE,KAAK,CAwBpB,AA1BD,AAIE,UAJQ,AAIP,UAAU,AAAC,CACV,YAAY,CAAE,CAAC,CAChB,AANH,AAUI,UAVM,AAOP,UAAU,CAGT,OAAO,CAVX,UAAU,AAQP,QAAQ,CAEP,OAAO,CAVX,UAAU,AASP,YAAY,CACX,OAAO,AAAC,CACN,SAAS,C9GtgBN,GAAG,C8GugBP,AAZL,AAeE,UAfQ,CAeR,KAAK,CAfP,UAAU,CAgBR,eAAe,AAAC,CACd,KAAK,C3GlfF,KAAK,C2GmfT,AAlBH,AAoBE,UApBQ,AAoBP,UAAU,AAAC,CACV,KAAK,C9GhYG,OAAoD,C8GiY7D,AAtBH,AAuBE,UAvBQ,AAuBP,UAAU,AAAC,CACV,MAAM,CAAE,OAAO,CAChB,AzG/dH,AAAA,GAAG,CAAC,IAAI,AyGmeD,CACH,SAAS,CAAE,MAAM,CACjB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,KAAK,CACd,KAAK,C7G9kBC,IAAO,C6G+kBb,UAAU,C9G9ZJ,OAAqB,C8G+Z3B,UAAU,CAAE,KAAK,CAClB,AAGH,AAAA,GAAG,AAAC,CACF,gBAAgB,C7GplBN,IAAO,C6GqlBjB,MAAM,CAAE,GAAG,CAAC,KAAK,C9GpZP,OAAoD,C8GqZ9D,aAAa,CAAE,GAAG,CAClB,UAAU,C9G5cR,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CAC1B,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG,CAAmB,IAAI,CAAQ,KAAK,C8G4c/C,UAAU,CAAoB,OAAO,CACrC,MAAM,CAAE,GAAG,CAAC,KAAK,CAAmB,IAAI,CACxC,aAAa,CAAE,MAAM,CAAC,IAAI,CAAmB,IAAI,CAEjD,KAAK,C7G7lBG,IAAO,C6G8lBf,OAAO,CAAE,YAAY,CACrB,SAAS,C9G5iBG,OAAQ,C8G6iBpB,WAAW,C9G/hBO,GAAG,C8GgiBrB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,WAAW,CASrB,AAvBD,AAoBE,GApBC,CAoBD,CAAC,CAAC,CAAC,CAAC,CAAC,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAKH,AAAA,UAAU,CAAG,CAAC,AAAA,YAAY,AAAC,CACzB,UAAU,CAAE,YAAY,CACzB,AACD,AAAA,UAAU,CAAG,CAAC,AAAA,WAAW,AAAC,CACxB,aAAa,CAAE,YAAY,CAC5B,AzCxiBC,AAAA,IAAI,AyC0iBD,CACH,OAAO,CAAE,mBAAmB,CAC5B,KAAK,C9GtbK,OAAoD,C8Gub9D,MAAM,CAAE,OAAO,CACf,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,IAAI,CACjB,SAAS,C9GzkBG,OAAQ,C8G0kBrB,AAED,AAAA,UAAU,CACV,SAAS,AAAC,CACR,UAAU,CAAE,WAAW,CAKxB,AAPD,AAGE,UAHQ,CAGR,CAAC,CAFH,SAAS,CAEP,CAAC,AAAC,CACA,MAAM,CAAE,gBAAgB,CACxB,OAAO,CAAE,YAAY,CACtB,AAGH,AAGI,OAHG,CAAC,KAAK,CAEX,KAAK,CACH,EAAE,CAFN,iBAAiB,CAAC,KAAK,CACrB,KAAK,CACH,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,IAAI,CACjB,KAAK,C7G/oBD,IAAO,C6GgpBZ,AARL,AAWE,OAXK,CAAC,KAAK,CAWX,EAAE,CAVJ,iBAAiB,CAAC,KAAK,CAUrB,EAAE,AAAC,CACD,OAAO,CAAE,iBAAiB,CAC3B,AAGH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C9G1dX,OAAoD,C8GsiB/D,AAhFD,AAKE,aALW,CAKX,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,IAAI,CAClB,IAAI,CAAE,QAAQ,CAOf,AAjBH,AAWI,aAXS,CAKX,aAAa,CAMX,OAAO,AAAC,CACN,SAAS,CAAE,GAAG,CACd,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,KAAK,C9GreC,OAAoD,C8Gse3D,AAhBL,AAmBE,aAnBW,CAmBX,aAAa,AAAA,QAAQ,AAAC,CACpB,gBAAgB,C9G1eR,qBAAoD,C8Ggf7D,AA1BH,AA4BE,aA5BW,CA4BX,kBAAkB,AAAA,QAAQ,AAAC,CACzB,KAAK,C9GnfG,OAAoD,C8Gof7D,AA9BH,AAgCE,aAhCW,CAgCX,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACd,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,IAAI,CACjB,SAAS,C9G7oBC,OAAQ,C8G8oBlB,KAAK,C9G/fG,OAAoD,C8GggB5D,SAAS,CAAE,CAAC,CA2Bb,AArEH,AA4CI,aA5CS,CAgCX,kBAAkB,CAYhB,eAAe,AAAC,CACd,IAAI,CAAE,QAAQ,CACd,cAAc,CAAE,IAAI,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,C9GvpBH,QAAQ,C8GwpBd,KAAK,CAAE,EAAE,CACT,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,CAAC,CAIb,AAvDL,AAoDM,aApDO,CAgCX,kBAAkB,CAYhB,eAAe,CAQb,CAAC,AAAC,CACA,aAAa,CAAE,CAAC,CACjB,AAtDP,AAwDI,aAxDS,CAgCX,kBAAkB,CAwBhB,CAAC,AAAA,kBAAkB,AAAC,CAClB,UAAU,CAAE,OAAO,CACpB,AA1DL,AA2DI,aA3DS,CAgCX,kBAAkB,CA2BhB,OAAO,AAAC,CACN,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,IAAI,CACZ,AA9DL,AAgEI,aAhES,CAgCX,kBAAkB,CAgCd,CAAC,AAAC,CACF,MAAM,CAAE,CAAC,CACT,WAAW,C9G1pBI,GAAG,C8G2pBlB,IAAI,CAAE,GAAG,CACV,AApEL,AAuEE,aAvEW,CAuEX,MAAM,AAAC,CACL,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CAKT,AA/EH,AA2EI,aA3ES,CAuEX,MAAM,AAIH,aAAa,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,CAAC,CACT,AAIL,AACE,QADM,CACN,UAAU,AAAA,QAAQ,AAAC,CACjB,WAAW,CAAE,KAAK,CACnB,AAHH,AAKI,QALI,CAIN,WAAW,CACT,OAAO,AAAC,CACN,UAAU,CAAE,MAAM,CAClB,KAAK,C9G/iBC,OAAoD,C8GgjB3D,AAIL,AAAA,CAAC,AAAA,QAAQ,CACT,CAAC,AAAA,cAAc,AAAC,CACd,OAAO,CAAE,OAAO,CAChB,KAAK,C9GvjBK,OAAoD,C8GwjB9D,UAAU,C9GxjBA,OAAoD,C8GyjB9D,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,SAAS,CAAE,MAAM,CAClB,AAED,AACE,WADS,CACT,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACd,AAGH,AACE,iBADe,CACf,OAAO,AAAC,CACN,cAAc,CAAE,IAAI,CACrB,AAHH,AAKI,iBALa,CAIf,yBAAyB,CACvB,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAIL,AAEI,wBAFoB,CACpB,CAAC,AACA,KAAK,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AAJL,AAMI,wBANoB,CACpB,CAAC,CAKC,CAAC,AAAC,CACF,QAAQ,CAAE,MAAM,CAChB,cAAc,CAAE,MAAM,CACvB,AATL,AAWI,wBAXoB,CACpB,CAAC,CAUC,OAAO,AAAC,CACR,KAAK,C9G3lBC,OAAoD,C8G4lB1D,YAAY,CAAE,GAAG,CACjB,SAAS,C9G7uBN,GAAG,C8G8uBN,WAAW,C9G/tBG,GAAG,C8GguBlB,AAhBL,AAkBI,wBAlBoB,CACpB,CAAC,CAiBC,IAAI,AAAA,IAAI,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CAChB,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,QAAQ,CACvB,WAAW,CAAE,MAAM,CACpB,AAxBL,AA0BI,wBA1BoB,CACpB,CAAC,CAyBC,IAAI,AAAA,KAAK,AAAC,CACV,OAAO,CAAE,YAAY,CACrB,KAAK,C9G3mBC,OAAoD,C8G4mB1D,SAAS,C9G3vBD,OAAQ,C8G4vBhB,UAAU,CAAE,MAAM,CAClB,WAAW,C9G/uBG,GAAG,C8GgvBjB,aAAa,CAAE,GAAG,CACnB,AAjCL,AAmCI,wBAnCoB,CACpB,CAAC,CAkCC,IAAI,AAAA,mBAAmB,AAAC,CACxB,cAAc,CAAE,KAAK,CACtB,AAIL,AAAA,aAAa,CACb,YAAY,AAAC,CACX,KAAK,C9G1nBK,OAAoD,C8G2nB9D,MAAM,CAAE,GAAG,CAAC,KAAK,C9G3nBP,OAAoD,C8G4nB9D,SAAS,C9GjxBC,GAAG,C8GkxBb,OAAO,CAAE,IAAI,CACd,AAID,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,YAAY,CAAE,GAAG,CAKlB,AARD,AAKE,aALW,CAKX,GAAG,AAAC,CACF,MAAM,CAAE,QAAQ,CACjB,AAKH,AAIQ,WAJG,AACR,SAAS,CACR,OAAO,AAAA,MAAM,CACX,aAAa,CACX,MAAM,AAAA,YAAY,AAAC,CACjB,gBAAgB,C7Gn1Bf,IAAO,C6Go1BR,KAAK,C7Gr1BH,IAAO,C6Gs1BT,YAAY,C7Gr1BX,IAAO,C6Gs1BT,AART,AAWQ,WAXG,AACR,SAAS,CACR,OAAO,AAAA,MAAM,CAQX,WAAW,CACT,SAAS,AAAA,MAAM,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AAbT,AAiBE,WAjBS,CAiBT,OAAO,AAAA,MAAM,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAcnB,AzCzyBD,AAAA,WAAW,CAAC,OAAO,AAAA,MAAM,CAAC,aAAa,AyC4xBvB,CACZ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,OAAO,C9GpwBC,GAAG,C8GqwBX,GAAG,CAAE,KAAK,CACV,MAAM,CAAE,KAAK,CAOd,AA/BL,AAyBM,WAzBK,CAiBT,OAAO,AAAA,MAAM,CAEX,aAAa,CAMX,MAAM,AAAC,CACL,WAAW,CAAE,GAAG,CAChB,gBAAgB,C9GzqBZ,OAAoD,C8G0qBxD,KAAK,C7G52BH,IAAO,C6G62BT,UAAU,C9GruBJ,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,C8GsuBrC,AAKP,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AACE,aADW,CACX,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACd,AAEH,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACZ,CAGH,AACE,WADS,CACT,CAAC,AAAC,CACA,KAAK,CAAE,KAAK,CACZ,eAAe,CAAE,SAAS,CAC3B,AAJH,AAKE,WALS,CAKT,QAAQ,AAAC,CACP,aAAa,CAAE,GAAG,CACnB,AAGH,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACnB,gBAAgB,C9GzsBN,OAAoD,C8G0sB9D,UAAU,CAAE,GAAG,CAAC,KAAK,C9G1sBX,OAAoD,C8G2sB9D,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,8CAGV,CACD,OAAO,CAAE,KAAK,CAoBf,AA7BD,AAWE,YAXU,AAWT,IAAI,AAAC,CACJ,gBAAgB,CAAE,KAAK,CACvB,KAAK,C9GptBG,OAAoD,C8GytB7D,AAlBH,AAeI,YAfQ,AAWT,IAAI,CAIH,OAAO,AAAC,CACN,KAAK,C9GvtBC,OAAoD,C8GwtB3D,AAjBL,AAoBE,YApBU,CAoBV,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAtBH,AAwBE,YAxBU,CAwBV,OAAO,AAAC,CACN,SAAS,CAAE,GAAG,CACd,KAAK,C9GjuBG,OAAoD,C8GkuB5D,YAAY,CAAE,MAAM,CACrB,AAGH,AACE,qBADmB,CACnB,OAAO,AAAC,CACN,KAAK,C9GxuBG,OAAoD,C8GyuB5D,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,SAAS,CACjB,WAAW,C9G72BM,GAAG,C8G82BrB,AC96BH,UAAU,CAAV,cAAU,CACR,EAAE,CACA,aAAa,CAAE,KAAK,CAEtB,GAAG,CACD,aAAa,CAAE,IAAI,CAErB,GAAG,CACD,aAAa,CAAE,GAAG,CAEpB,GAAG,CACD,aAAa,CAAE,GAAG,CAEpB,IAAI,CACF,aAAa,CAAE,GAAG,EAItB,AAAA,wBAAwB,AAAC,CACvB,OAAO,C/G+EK,GAAG,C+G9Ef,YAAY,CAAE,CAAC,CACf,kBAAkB,CAAE,IAAI,CACxB,cAAc,CAAE,cAAc,CAC9B,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,IAAI,CAIV,AAdD,AAWE,wBAXsB,CAWtB,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CAiBd,AAlBD,AAEE,uBAFqB,CAErB,kCAAkC,AAAC,CACjC,OAAO,CAAE,IAAI,CAId,AAPH,AAII,uBAJmB,CAErB,kCAAkC,CAE9B,IAAI,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AANL,AAQE,uBARqB,CAQrB,uBAAuB,AAAA,WAAW,AAAC,CACjC,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,IAAI,CACV,UAAU,CAAE,WAAW,CACvB,SAAS,CAAE,aAEV,CACF,AAGH,AACE,uBADqB,AAAA,OAAO,CAC5B,uBAAuB,AAAA,WAAW,AAAC,CACjC,MAAM,CAAE,MAAM,CACf,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAchB,AAhBD,AAGE,cAHY,CAGZ,MAAM,AAAC,CACL,MAAM,CAAE,WAAW,CACpB,AALH,AAME,cANY,CAMZ,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACtB,AARH,AASE,cATY,CASZ,eAAe,AAAC,CACd,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,MAAM,CAIrB,AAfH,AAYI,cAZU,CASZ,eAAe,CAGb,OAAO,AAAC,CACN,KAAK,C/GyHC,OAAoD,C+GxH3D,AjH2DL,AAAA,EAAE,AiHvDC,CACD,MAAM,CAAE,SAAS,CAClB,AAED,AAAA,CAAC,AAAA,eAAe,AAAC,CACf,UAAU,CAAE,GAAG,CAChB,AAED,AACE,YADU,CACV,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,GAAG,CAIX,AARH,AAKI,YALQ,CACV,cAAc,CAIZ,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACtB,AAPL,AASE,YATU,CASV,EAAE,AAAC,CACD,MAAM,CAAE,SAAS,CACjB,KAAK,CAAE,IAAI,CACZ,AAZH,AAaE,YAbU,CAaV,CAAC,AAAA,eAAe,AAAC,CACf,UAAU,CAAE,GAAG,CAChB,AAfH,AAgBE,YAhBU,CAgBV,CAAC,AAAA,WAAW,CAAC,OAAO,AAAC,CACnB,SAAS,CAAE,KAAK,CACjB,AAlBH,AAmBE,YAnBU,CAmBV,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,UAAU,CACtB,SAAS,CAAE,KAAK,CAqBjB,AA5CH,AAwBI,YAxBQ,CAmBV,iBAAiB,CAKf,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACf,AA1BL,AA2BI,YA3BQ,CAmBV,iBAAiB,CAQf,sBAAsB,AAAC,CACrB,MAAM,CAAE,WAAW,CACpB,AA7BL,AA8BI,YA9BQ,CAmBV,iBAAiB,CAWf,iBAAiB,CA9BrB,YAAY,CAmBV,iBAAiB,CAYf,iBAAiB,AAAC,CAChB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,SAAS,CAIlB,AAHC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAlCtC,AA8BI,YA9BQ,CAmBV,iBAAiB,CAWf,iBAAiB,CA9BrB,YAAY,CAmBV,iBAAiB,CAYf,iBAAiB,AAAC,CAId,IAAI,CAAE,QAAQ,CAEjB,CArCL,AAsCI,YAtCQ,CAmBV,iBAAiB,CAmBf,iBAAiB,AAAC,CAChB,WAAW,CAAE,EAAE,CAIhB,AAHC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAxCtC,AAsCI,YAtCQ,CAmBV,iBAAiB,CAmBf,iBAAiB,AAAC,CAGd,WAAW,CAAE,CAAC,CAEjB,CAIL,AAAA,sBAAsB,AAAC,CACrB,KAAK,C/G4DK,OAAoD,C+G3D9D,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,0BAA0B,CAAC,YAAY,CAAC,iBAAiB,CAAC,YAAY,AAAC,CACrE,WAAW,CAAE,IAAI,CAClB,AAED,AAGM,gBAHU,CACd,YAAY,CACV,iBAAiB,CACf,WAAW,AAAC,CACV,KAAK,CAAE,iBAAiB,CACzB,AAKP,AAAA,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAE9B,OAAO,CAAE,KAAK,CACd,gBAAgB,C/GiCN,OAAoD,C+GhC9D,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,KAAK,CACjB,AAED,AAEI,yBAFqB,AAAA,yBAAyB,CAChD,iBAAiB,AAAA,YAAa,CAAA,GAAK,EACjC,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAKL,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,CAC9D,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,CAC5C,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,AAAC,CAC3C,OAAO,CAAE,MAAM,CAChB,AAED,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,AAAC,CAE7D,cAAc,CAAE,QAAQ,CACxB,WAAW,C/GxHQ,GAAG,C+GyHvB,AAED,AAAA,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAC1C,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,yBAAyB,CACxE,iBAAiB,CAAC,EAAE,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,kBAAkB,AAAC,CAEhE,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,iBAAiB,CAAC,cAAc,AAAA,OAAO,CAAC,IAAI,AAAA,eAAe,CAC3D,iBAAiB,CAAC,cAAc,AAAA,IAAI,CAAC,IAAI,AAAA,eAAe,AAAC,CACvD,SAAS,CAAE,KAAK,CACjB,AAED,AAAA,iBAAiB,CAAC,uBAAuB,AAAC,CACxC,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,qBAAqB,AAAC,CrGrIpB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CqGiIzB,KAAK,CAAE,IAAI,CAkDZ,AApDD,AAGE,qBAHmB,CAGnB,WAAW,AAAC,CACV,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,GAAG,CAAC,KAAK,C/GhBb,OAAoD,C+GoB7D,AAVH,AAOI,qBAPiB,CAGnB,WAAW,CAIT,EAAE,AAAA,aAAa,AAAC,CACd,aAAa,CAAE,GAAG,CACnB,AATL,AAWE,qBAXmB,CAWnB,aAAa,AAAC,CACZ,KAAK,C/GtBG,OAAoD,C+GuB7D,AAbH,AAcE,qBAdmB,CAcnB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AApBH,AAiBI,qBAjBiB,CAcnB,WAAW,CAGT,IAAI,AAAA,IAAK,CAAA,MAAM,CAAE,CrGjKnB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CqGiKpB,AAnBL,AAqBE,qBArBmB,CAqBnB,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAejB,AAtCH,AAwBI,qBAxBiB,CAqBnB,EAAE,CAGA,EAAE,AAAC,CACD,aAAa,CAAE,KAAK,CAYrB,AArCL,AA0BM,qBA1Be,CAqBnB,EAAE,CAGA,EAAE,CAEA,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,C/GrCD,OAAoD,C+GsCzD,AA5BP,AA6BM,qBA7Be,CAqBnB,EAAE,CAGA,EAAE,CAKA,OAAO,AAAC,CACN,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,QAAQ,CACf,AAhCP,AAiCM,qBAjCe,CAqBnB,EAAE,CAGA,EAAE,CASA,OAAO,AAAC,CACN,SAAS,C/G1LH,OAAQ,C+G2Ld,MAAM,CAAE,WAAW,CACpB,AApCP,AAwCI,qBAxCiB,CAuCnB,CAAC,AAAA,UAAU,CACT,OAAO,AAAC,CACN,UAAU,C9GpPJ,IAAO,C8GqPb,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,gBAAgB,CAC7B,AA5CL,AA6CI,qBA7CiB,CAuCnB,CAAC,AAAA,UAAU,AAMR,MAAM,AAAC,CACN,KAAK,C9GxPA,IAAO,C8G4Pb,AAlDL,AA+CM,qBA/Ce,CAuCnB,CAAC,AAAA,UAAU,AAMR,MAAM,CAEL,OAAO,AAAC,CACN,UAAU,C/G1DN,OAAoD,C+G2DzD,AAKP,AAAA,CAAC,AAAA,oBAAoB,AAAC,CACpB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,SAAS,CACzB,KAAK,C/GnEK,OAAoD,C+GoE9D,SAAS,CAAE,QAAQ,CAIpB,AARD,AAKE,CALD,AAAA,oBAAoB,CAKnB,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,WADS,CACT,cAAc,AAAC,CACb,SAAS,CAAE,0BAGV,CAMF,AAXH,AAOM,WAPK,CACT,cAAc,CAKZ,gBAAgB,CACd,UAAU,AAAC,CACT,UAAU,CAAE,KAAK,CAClB,ACrRP,AAAA,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,MAAM,CAUf,AAZD,AAGE,eAHa,CAGb,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CACZ,SAAS,ChHyCD,QAAQ,CgHxCjB,AAPH,AAQE,eARa,CAQb,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,SAAS,ChHsCD,QAAQ,CgHrChB,OAAO,CAAE,IAAI,CACd,ACLH,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,KAAK,CACd,KAAK,CAAoB,IAAI,CAC9B,AAED,AAAA,aAAa,CACb,YAAY,AAAC,CACX,KAAK,CAAoB,IAAI,CAC7B,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,aAAa,CACb,WAAW,CAAC,WAAW,CACvB,MAAM,CAAC,WAAW,CAClB,WAAW,CACX,aAAa,CACb,YAAY,AAAC,CACX,KAAK,CAAoB,IAAI,CAC7B,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,YAAY,CACZ,KAAK,CAAC,cAAc,AAAC,CACnB,KAAK,CAAoB,IAAI,CAC9B,AAED,AAAA,YAAY,CACZ,SAAS,CAAC,YAAY,CACtB,IAAI,CAAC,aAAa,AAAC,CACjB,KAAK,CAAoB,IAAI,CAC9B,AAED,AAAA,WAAW,CACX,UAAU,CACV,aAAa,CAAC,YAAY,CAC1B,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CAAoB,IAAI,CAC7B,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,WAAW,CAAC,WAAW,CACvB,KAAK,CAAC,WAAW,CACjB,QAAQ,CAAC,WAAW,CACpB,WAAW,AAAC,CACV,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,WAAW,CAAC,WAAW,CACvB,QAAQ,CAAC,UAAU,CACnB,KAAK,CAAC,aAAa,CACnB,IAAI,CAAC,aAAa,AAAC,CACjB,KAAK,CAAoB,IAAI,CAC7B,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,SAAS,CACT,SAAS,CAAC,WAAW,CACrB,OAAO,CAAC,SAAS,CAAC,aAAa,AAAC,CAC9B,KAAK,CAAoB,IAAO,CAChC,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,eAAe,CACf,IAAI,CAAC,aAAa,CAClB,cAAc,CACd,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CAAoB,IAAO,CACjC,AAED,AAAA,YAAY,AAAC,CACX,KAAK,ChHrEG,IAAO,CgHsEhB,AAED,AAAA,YAAY,CACZ,KAAK,CAAC,YAAY,CAAC,YAAY,CAC/B,KAAK,CAAC,aAAa,CACnB,IAAI,CAAC,aAAa,CAClB,YAAY,AAAC,CACX,KAAK,CAAoB,OAAO,CACjC,AAED,AAAA,cAAc,CACd,KAAK,CAAC,WAAW,CACjB,QAAQ,CAAC,cAAc,CACvB,kBAAkB,AAAC,CACjB,KAAK,CjHsGK,OAAoD,CiHrG/D,A3BzDD,AAAA,KAAK,A2B2DC,CACJ,KAAK,CjHkGK,OAAoD,CiHjG9D,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,cAAc,AAAC,CACb,UAAU,CjH6FA,OAAoD,CiH5F/D,AAED,AAAA,cAAc,AAAC,CACb,UAAU,CjHyFA,OAAoD,CiHxF/D,AAED,AAAA,KAAK,CAAC,UAAU,AAAC,CACf,KAAK,CjHqFK,OAAoD,CiHpF/D,AAQD,AAAA,CAAC,CAAG,IAAI,CACR,EAAE,CAAG,IAAI,CACT,GAAG,CAAG,IAAI,AAAC,CACT,KAAK,CAAoB,IAAI,CAC7B,UAAU,CAAoB,OAAO,CACtC,ACxHD,AAAA,kBAAkB,AAAC,CACjB,gBAAgB,CjHHN,IAAO,CiHIjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,ClHqFI,GAAG,CkHpFd,MAAM,CAAE,GAAG,CAAC,KAAK,ClH2LP,OAAoD,CkH1L9D,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,UAAU,CACzB,OAAO,CAAE,IAAI,CACb,SAAS,ClHsCF,GAAG,CkHrCV,WAAW,CAAE,GAAG,CA8CjB,AAxDD,AAYE,kBAZgB,AAYf,OAAO,AAAC,CACP,MAAM,CAAE,KAAK,CAAC,KAAK,ClHkLX,OAAoD,CkHjL7D,AAdH,AAgBE,kBAhBgB,CAgBhB,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CAClB,UAAU,CjHpBF,IAAO,CiHqBhB,AAnBH,AAqBE,kBArBgB,CAqBhB,gBAAgB,AAAA,OAAO,CArBzB,kBAAkB,CAsBhB,gBAAgB,AAAA,MAAM,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,iBAAiB,CACzB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,EAAE,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACT,AA9BH,AAgCE,kBAhCgB,CAgChB,gBAAgB,AAAA,MAAM,AAAC,CACrB,mBAAmB,CjHnCX,IAAO,CiHoCf,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AAtCH,AAwCE,kBAxCgB,CAwChB,gBAAgB,AAAA,OAAO,AAAC,CACtB,mBAAmB,ClHsJX,OAAoD,CkHrJ5D,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,MAAM,CACtB,AA9CH,AAgDE,kBAhDgB,CAgDhB,gBAAgB,AAAC,CACf,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,KAAK,CAChB,SAAS,ClHHC,OAAQ,CkHIlB,KAAK,CjHvDC,IAAO,CiHwDb,UAAU,ClHgFA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CkH/ExC,WAAW,CAAE,KAAK,CACnB,ACxDH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,UAAU,CAUnB,AAXD,AAGE,eAHa,CAGb,EAAE,AAAA,MAAM,AAAC,CACP,SAAS,CnHuCD,GAAG,CmHtCX,WAAW,CnHyDM,GAAG,CmHxDrB,AAEA,AAAD,sBAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CAId,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAFrC,AAAA,sBAAsB,AAAC,CAGnB,SAAS,CAAE,IAAI,CAElB,CAED,AAAA,eAAe,CACf,cAAc,AAAC,CACb,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,KAAK,CAChB,aAAa,CAAE,IAAI,CACnB,aAAa,CAAE,IAAI,CAOpB,AANC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAPrC,AAAA,eAAe,CACf,cAAc,AAAC,CAOX,KAAK,CAAE,IAAI,CAKd,CAbD,AAUE,eAVa,CAUb,EAAE,CATJ,cAAc,CASZ,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,QAAQ,CACrB,aAAa,CAAE,IAAI,CASpB,AARC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EALrC,AAMI,gBANY,AAMX,YAAa,CAAA,GAAK,CAAE,CACnB,OAAO,CAAE,IAAI,CACd,CARL,AAUE,gBAVc,CAUd,CAAC,AAAA,IAAK,CxD9BR,cAAc,CwD8BU,CACpB,UAAU,CAAE,IAAI,CACjB,AC/CH,AAAA,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAED,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,MAAM,CACd,SAAS,CAAE,KAAK,CAChB,gBAAgB,CnHjBN,IAAO,CmHkBjB,UAAU,CpHiHD,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,eAAkB,CoHxGvC,AAfD,AAQE,sBARoB,CAQpB,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CAKb,AAdH,AAWI,sBAXkB,CAQpB,WAAW,AAGR,YAAY,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,WADS,CACT,cAAc,AAAC,CACb,OAAO,CpHkDK,IAAI,CoHjDjB,AAHH,AAIE,WAJS,CAIT,QAAQ,AAAC,CACP,OAAO,CpH8CI,IAAI,CoH7ChB,AANH,AAOE,WAPS,CAOT,QAAQ,AAAC,CACP,OAAO,CpH0CI,IAAI,CoHzChB,AAGH,AAAA,QAAQ,AAAA,MAAM,AAAC,CACb,QAAQ,CAAE,KAAK,CACf,OAAO,CpHuCM,IAAI,CoHtCjB,QAAQ,CAAE,IAAI,CACd,MAAM,CAAE,IAAI,CACZ,gBAAgB,CnH9CN,IAAO,CmH+CjB,UAAU,CpHuFF,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoHtFtC,eAAe,CAAE,WAAW,CAC7B,AAED,AAAA,gBAAgB,AAAC,CACf,WAAW,CAAE,KAAK,CAClB,KAAK,CpH8IK,OAAmD,CoH7I9D,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,SAAS,CAClB,aAAa,CAAE,GAAG,CAAC,KAAK,CpHsId,OAAoD,CoHrI9D,WAAW,CAAE,MAAM,CAqBpB,AAzBD,AAOI,aAPS,CAMX,MAAM,CACJ,EAAE,AAAC,CACD,aAAa,CAAE,CAAC,CACjB,AATL,AAWI,aAXS,CAMX,MAAM,CAKJ,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAbL,AAgBE,aAhBW,CAgBX,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CAIlB,AAxBH,AAqBI,aArBS,CAgBX,YAAY,CAKV,MAAM,AAAC,CACL,KAAK,CpHmHC,OAAoD,CoHlH3D,AAIL,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CpHNM,IAAI,CoHOjB,gBAAgB,CAAE,IAAI,CAIvB,AAXD,AAQE,eARa,AAQZ,KAAK,AAAC,CACL,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,CACf,eAAe,AAAA,KAAK,AAAA,GAAG,AAAC,CACtB,SAAS,CAAE,SAAS,CACpB,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,iBAAiB,CAC1B,AAGD,UAAU,CAAV,IAAU,CACR,IAAI,CACF,OAAO,CAAE,CAAC,CAEZ,EAAE,CACA,OAAO,CAAE,GAAG,EAKhB,UAAU,CAAV,OAAU,CACR,IAAI,CACF,SAAS,CAAE,gBAAgB,CAE7B,EAAE,CACA,SAAS,CAAE,aAAa,EAI5B,AAAA,eAAe,AAAA,GAAG,CAAC,sBAAsB,CACzC,YAAY,AAAA,GAAG,CAAC,sBAAsB,AAAC,CACrC,SAAS,CAAE,YAAY,CACxB,AAED,AACE,aADW,CACX,sBAAsB,AAAC,CACrB,MAAM,CAAE,GAAG,CAAC,KAAK,CpHiET,IAAmD,CoHhE5D,AAGH,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CpHzDM,IAAI,CoH0DjB,QAAQ,CAAE,IAAI,CAUf,AAhBD,AASI,YATQ,AAQT,IAAK,CAAA,cAAc,EAClB,WAAW,AAAA,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,gBAAgB,CAAE,CACzD,UAAU,CAAE,eAAe,CAI5B,AAHC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EAX1C,AASI,YATQ,AAQT,IAAK,CAAA,cAAc,EAClB,WAAW,AAAA,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,gBAAgB,CAAE,CAGvD,UAAU,CAAE,eAAe,CAE9B,CAIL,AAAA,WAAW,AAAC,CACV,aAAa,CAAE,CAAC,CACjB,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,cAAc,CACvB,UAAU,CAAE,GAAG,CAAC,KAAK,CpHmCX,OAAoD,CoH/B/D,AAND,AAGE,aAHW,CAGX,IAAI,AAAC,CACH,MAAM,CAAE,WAAW,CACpB,AAGH,AAEI,MAFE,AAAA,oBAAoB,CACxB,WAAW,CACT,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACb,AAEH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EANrC,AAOI,MAPE,AAAA,oBAAoB,CAOtB,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,CAIL,AACE,MADI,CACJ,IAAI,AAAC,CACH,OAAO,CAAE,mBAAmB,CAC5B,gBAAgB,CnHpLR,IAAO,CmHwLf,aAAa,CAAE,GAAG,CAAC,KAAK,CpHShB,OAAoD,CoHR7D,AARH,AAII,MAJE,CACJ,IAAI,CAGF,EAAE,CAAG,CAAC,AAAC,CACL,SAAS,CpHrIN,GAAG,CoHsIP,AANL,AAUE,MAVI,AAUH,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,MAdI,CAcJ,WAAW,AAAC,CACV,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,KAAK,CAiElB,AAnFH,AAoBI,MApBE,CAcJ,WAAW,AAMR,kBAAkB,AAAC,CAClB,UAAU,CAAE,mBAAmB,CAChC,AAtBL,AAwBI,MAxBE,CAcJ,WAAW,AAUR,YAAY,AAAC,CACZ,UAAU,CAAE,OAAO,CA4CpB,AArEL,AA0BM,MA1BA,CAcJ,WAAW,AAUR,YAAY,CAEX,KAAK,AAAC,CACJ,SAAS,CAAE,KAAK,CACjB,AA5BP,AA8BM,MA9BA,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CAqCnB,AApEP,AAgCQ,MAhCF,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CAEL,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,KAAK,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAtCT,AAuCQ,MAvCF,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,OAAO,CAAE,QAAQ,CACjB,UAAU,CpHtFV,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CoHuF9B,OAAO,CAAE,CAAC,CACV,gBAAgB,CnH9Nd,IAAO,CmH+NT,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,IAAI,CAmBjB,AAnET,AAiDU,MAjDJ,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAAC,CACb,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CAAC,KAAK,CpHnCxB,OAAoD,CoHoCpD,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,KAAK,CAaf,AAlEX,AAsDY,MAtDN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAKX,MAAM,CAtDnB,MAAM,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,AAMX,MAAM,AAAC,CACN,gBAAgB,CpHxClB,OAAoD,CoHyCnD,AAzDb,AA0DY,MA1DN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,CASZ,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AA7Db,AA8DY,MA9DN,CAcJ,WAAW,AAUR,YAAY,CAMX,OAAO,CASL,sBAAsB,CAUlB,YAAY,CAaZ,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,SAAS,CpH/LT,OAAQ,CoHgMT,AAjEb,AAsEI,MAtEE,CAcJ,WAAW,CAwDT,QAAQ,AAAC,CACP,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,IAAI,CACb,AAzEL,AA0EI,MA1EE,CAcJ,WAAW,CA4DT,CAAC,AAAC,CACA,SAAS,CpH3MN,GAAG,CoH4MP,AA5EL,AA6EI,MA7EE,CAcJ,WAAW,CA+DT,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CACpB,AA/EL,AAgFI,MAhFE,CAcJ,WAAW,CAkET,QAAQ,AAAC,CACP,KAAK,CnH5PF,OAAO,CmH4PK,UAAU,CAC1B,AAlFL,AAqFE,MArFI,CAqFJ,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACd,AAvFH,AAyFE,MAzFI,CAyFJ,OAAO,AAAA,MAAM,AAAC,CACZ,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,GAAG,CASnB,AApGH,AA4FI,MA5FE,CAyFJ,OAAO,AAAA,MAAM,AAGV,WAAW,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,UAAU,CACxB,AA/FL,AAgGI,MAhGE,CAyFJ,OAAO,AAAA,MAAM,CAOX,WAAW,AAAC,CACV,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAnGL,AAuGE,MAvGI,CAuGJ,WAAW,AAAA,sBAAsB,CAAC,CAAC,AAAC,CAClC,SAAS,CpHxOJ,GAAG,CoHyOT,AAzGH,AA2GE,MA3GI,CA2GJ,GAAG,CAAC,IAAI,AAAC,CACP,WAAW,CAAE,QAAQ,CACrB,SAAS,CAAE,KAAK,CACjB,AAGH,AAEI,kBAFc,CAChB,aAAa,CACX,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACf,AAJL,AAKI,kBALc,CAChB,aAAa,CAIX,eAAe,AAAC,CACd,MAAM,CAAE,WAAW,CACpB,AAPL,AAQI,kBARc,CAChB,aAAa,CAOX,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,SAAS,CpH7PH,QAAQ,CoH8Pd,WAAW,CpH9OI,GAAG,CoH+OlB,aAAa,CAAE,IAAI,CACnB,WAAW,CAAE,IAAI,CAIlB,AAjBL,AAcM,kBAdY,CAChB,aAAa,CAOX,IAAI,CAMF,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,AAKP,AAAA,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,KAAK,CpHxHK,OAAoD,CoH4H/D,AAND,AAGE,eAHa,AAGZ,MAAM,AAAC,CACN,KAAK,CnHrTA,OAAO,CmHsTb,AAGH,AAEI,kBAFc,CAChB,aAAa,CACX,IAAI,AAAC,CACH,WAAW,CpHnQI,GAAG,CoHoQnB,AAIL,AACE,sBADoB,CACpB,aAAa,AAAC,CACZ,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,QAAQ,CAClB,UAAU,CpH1IF,OAAoD,CoH2I5D,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,MAAM,CAChB,MAAM,CAAE,WAAW,CASpB,AAhBH,AAQI,sBARkB,CACpB,aAAa,CAOX,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,EAAE,CACT,MAAM,CAAE,IAAI,CACZ,gBAAgB,CnHlVX,IAAO,CmHmVZ,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,iBAAiB,CAC9B,AAIL,AAAA,gBAAgB,AAAC,CAEf,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,CAAC,CAgBX,AApBD,AAKE,gBALc,CAKd,KAAK,AAAC,CACJ,YAAY,CAAE,IAAI,CAClB,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,KAAK,CACjB,AATH,AAUE,gBAVc,CAUd,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CAClB,AAZH,AAaE,gBAbc,CAad,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CAChB,KAAK,CnHnWA,OAAO,CmHoWb,AAhBH,AAiBE,gBAjBc,CAiBd,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAGH,AACE,oBADkB,CAClB,KAAK,AAAA,IAAK,EAAA,AAAA,IAAC,CAAK,UAAU,AAAf,GADb,oBAAoB,CAElB,SAAS,AAAC,CACR,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,KAAK,CACrB,AALH,AAOE,oBAPkB,CAOlB,kBAAkB,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CAoBb,AA9BH,AAYI,oBAZgB,CAOlB,kBAAkB,CAKhB,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAClB,UAAU,CnH/XN,IAAO,CmHgYX,KAAK,CnH/XC,IAAO,CmHgYb,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,QAAQ,CAWlB,AA7BL,AAoBM,oBApBc,CAOlB,kBAAkB,CAKhB,qBAAqB,AAQlB,OAAO,AAAC,CACP,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,GAAG,CACT,MAAM,CAAE,iBAAiB,CACzB,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,gBAAgB,CnH3Yd,IAAO,CmH4YT,YAAY,CAAE,GAAG,CAClB,AA5BP,AAgCE,oBAhCkB,CAgClB,oBAAoB,AAAC,CACnB,YAAY,CAAE,MAAM,CACrB,AAlCH,AAoCE,oBApCkB,CAoClB,gCAAgC,AAAC,CAC/B,WAAW,CAAE,IAAI,CACjB,SAAS,CAAE,KAAK,CAChB,UAAU,CpHtNF,OAAoD,CoHuN5D,KAAK,CnHxZG,IAAO,CmHyZf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,QAAQ,CACjB,QAAQ,CAAE,QAAQ,CAUnB,AArDH,AA4CI,oBA5CgB,CAoClB,gCAAgC,CAQ9B,UAAU,AAAC,CACT,MAAM,CAAE,iBAAiB,CACzB,OAAO,CAAE,GAAG,CACZ,QAAQ,CAAE,QAAQ,CAClB,mBAAmB,CpH/Nb,OAAoD,CoHgO1D,YAAY,CAAE,GAAG,CACjB,GAAG,CAAE,KAAK,CACV,IAAI,CAAE,KAAK,CACZ,AApDL,AAuDE,oBAvDkB,CAuDlB,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,KAAK,CACX,AA1DH,AA8DI,oBA9DgB,CA4DlB,2BAA2B,CAEvB,OAAO,AAAC,CACR,aAAa,CAAE,KAAK,CACrB,AAhEL,AAiEI,oBAjEgB,CA4DlB,2BAA2B,CAKzB,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,EAjEV,oBAAoB,CA4DlB,2BAA2B,CAMzB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAlEV,oBAAoB,CA4DlB,2BAA2B,CAOzB,WAAW,AAAC,CACV,KAAK,CAPmB,KAAK,CAQ9B,AArEL,AAsEI,oBAtEgB,CA4DlB,2BAA2B,CAUzB,KAAK,AAAC,CACJ,SAAS,CAVe,KAAK,CAW9B,AAxEL,AA0EM,oBA1Ec,CA4DlB,2BAA2B,CAazB,yBAAyB,CACvB,KAAK,AAAC,CACJ,SAAS,CAAE,IAAI,CAIhB,AA/EP,AA4EQ,oBA5EY,CA4DlB,2BAA2B,CAazB,yBAAyB,CACvB,KAAK,CAEH,CAAC,AAAC,CACA,WAAW,CAAE,KAAK,CACnB,AA9ET,AAkFE,oBAlFkB,CAkFlB,6BAA6B,AAAC,CAC5B,KAAK,CAAE,KAAK,CACb,AAGH,AACE,qBADmB,CACnB,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,gBAAgB,CAAE,WAAW,CAC7B,YAAY,CAAE,GAAG,CAWlB,AAfH,AAKI,qBALiB,CACnB,IAAI,AAID,MAAM,CALX,qBAAqB,CACnB,IAAI,AAKD,OAAO,AAAC,CACP,KAAK,CnH/cD,IAAO,CmHgdZ,AARL,AASI,qBATiB,CACnB,IAAI,AAQD,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AAXL,AAYI,qBAZiB,CACnB,IAAI,AAWD,MAAM,AAAC,CACN,OAAO,CAAE,GAAG,CAAC,KAAK,CpHnRZ,OAAoD,CoHoR3D,AAdL,AAgBE,qBAhBmB,CAgBnB,oBAAoB,AAAC,CACnB,aAAa,CAAE,IAAI,CACpB,AAlBH,AAmBE,qBAnBmB,CAmBnB,uBAAuB,AAAC,CACtB,MAAM,CAAE,KAAK,CACb,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,IAAI,CAiBZ,AAvCH,AAuBI,qBAvBiB,CAmBnB,uBAAuB,CAIrB,QAAQ,CAvBZ,qBAAqB,CAmBnB,uBAAuB,CAKrB,yBAAyB,AAAC,CACxB,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,CpHjSf,OAAoD,CoHkS1D,WAAW,CAAE,IAAI,CAClB,AA7BL,AA8BI,qBA9BiB,CAmBnB,uBAAuB,CAWrB,QAAQ,AAAC,CACP,WAAW,CAAE,SAAS,CACtB,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CACjB,AAnCL,AAoCI,qBApCiB,CAmBnB,uBAAuB,CAiBrB,yBAAyB,AAAC,CACxB,OAAO,CAAE,gBAAgB,CAC1B,AAIL,AAEI,MAFE,CAAC,WAAW,AAAA,iBAAiB,CACjC,eAAe,CACb,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACxB,AAPL,AAUE,MAVI,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CAqBd,AAhCH,AAaI,MAbE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAGF,oBAAoB,CAbxB,MAAM,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAIF,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACX,AAhBL,AAkBI,MAlBE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAQF,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CAKR,AAzBL,AAsBM,MAtBA,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAQF,oBAAoB,CAIlB,YAAY,AAAC,CACX,IAAI,CAAE,CAAC,CACR,AAxBP,AA2BI,MA3BE,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAiBF,KAAK,AAAA,YAAY,CA3BrB,MAAM,CAAC,WAAW,AAAA,iBAAiB,CAUjC,IAAI,CAkBF,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACV,AAIL,AAAA,iBAAiB,AAAC,CAChB,SAAS,CAAE,KAAK,CACjB,AAED,AAGI,iBAHa,CAEf,eAAe,CACb,YAAY,CAFhB,gBAAgB,CACd,eAAe,CACb,YAAY,AAAC,CACX,QAAQ,CAAE,mBAAmB,CAC7B,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,KAAK,CAClB,AAPL,AAUE,iBAVe,CAUf,oBAAoB,CATtB,gBAAgB,CASd,oBAAoB,AAAC,CACnB,SAAS,CAAE,KAAK,CAChB,YAAY,CAAE,KAAK,CACpB,AAbH,AAeE,iBAfe,CAef,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAdR,gBAAgB,CAcd,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACb,AAjBH,AAmBE,iBAnBe,CAmBf,IAAI,CAlBN,gBAAgB,CAkBd,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAGH,AAAA,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CAMlB,AAPD,AAEE,WAFS,CAET,yBAAyB,AAAC,CACxB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,WAAW,CpHrfK,GAAG,CoHsfpB,AAGH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACV,AAED,AAAA,sBAAsB,AAAC,CACrB,KAAK,CpH7XK,OAAoD,CoH8X9D,SAAS,CpH7gBG,OAAQ,CoH8gBrB,AAED,AACE,mBADiB,CACjB,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,AAHH,AAIE,mBAJiB,CAIjB,WAAW,AAAC,CACV,UAAU,CAAE,OAAO,CAiCpB,AAtCH,AAMI,mBANe,CAIjB,WAAW,CAET,UAAU,CANd,mBAAmB,CAIjB,WAAW,CAGT,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,KAAK,CACb,AAVL,AAYI,mBAZe,CAIjB,WAAW,CAQT,gBAAgB,AAAC,CACf,KAAK,CnHhlBD,IAAO,CmHilBZ,AAdL,AAgBI,mBAhBe,CAIjB,WAAW,CAYT,qBAAqB,CAAC,MAAM,AAAC,CAC3B,KAAK,CpHlZC,OAAoD,CoHmZ3D,AAlBL,AAoBI,mBApBe,CAIjB,WAAW,CAgBT,qBAAqB,CAAC,gBAAgB,AAAC,CACrC,WAAW,CAAE,CAAC,CACf,AAtBL,AAwBI,mBAxBe,CAIjB,WAAW,CAoBT,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,UAAU,CAUnB,AArCL,AA6BM,mBA7Ba,CAIjB,WAAW,CAoBT,UAAU,CAKR,EAAE,AAAC,CACD,IAAI,CAAE,OAAO,CACd,AA/BP,AAiCM,mBAjCa,CAIjB,WAAW,CAoBT,UAAU,CASR,KAAK,AAAC,CACJ,MAAM,CAAE,WAAW,CACnB,KAAK,CpHpaD,OAAoD,CoHqazD,AAMP,AAGI,cAHU,CAEZ,eAAe,CACb,MAAM,AAAC,CACL,SAAS,CAAE,IAAI,CAChB,AALL,AAMI,cANU,CAEZ,eAAe,CAIb,YAAY,AAAC,CACX,SAAS,CAAE,GAAG,CACf,AARL,AASI,cATU,CAEZ,eAAe,CAOb,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,MADI,AAAA,IAAK,CAAA,SAAS,EAClB,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACX,AAGH,AAEI,MAFE,AACH,SAAS,CACR,WAAW,AAAC,CACV,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,iBAAiB,CACxB,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,CAAC,CAmBV,AA1BL,AASM,MATA,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CAChB,OAAO,CpG9nBF,GAAmB,CAAnB,GAAmB,CoG+nBxB,YAAY,CpG/nBP,GAAmB,CoGgoBxB,MAAM,CAAE,OAAO,CAYhB,AAzBP,AAeQ,MAfF,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAMP,UAAU,AAAC,CACV,KAAK,CnHlpBH,IAAO,CmHmpBT,UAAU,CnH7oBX,OAAO,CmHopBP,AAxBT,AAmBU,MAnBJ,AACH,SAAS,CACR,WAAW,CAOT,UAAU,AAMP,UAAU,AAIR,WAAW,AAAC,CACX,UAAU,CAAE,IAAI,CAChB,KAAK,CnHxpBP,IAAO,CmHypBL,OAAO,CpGzoBN,GAAmB,CAJnB,CAAuB,CoG8oBzB,AC1pBX,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CAKnB,AARD,AAIE,cAJY,CAIZ,kBAAkB,AAAC,CACjB,KAAK,CAAE,CAAC,CACR,aAAa,CAAE,KAAK,CACrB,AAGH,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAWhB,AAbD,AAIE,sBAJoB,CAIpB,2BAA2B,CAJ7B,sBAAsB,CAKpB,2BAA2B,AAAC,CAC1B,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,KAAK,CACrB,AARH,AAUE,sBAVoB,AAUnB,WAAW,AAAC,CACX,YAAY,CAAE,IAAI,CACnB,AAGH,AAAA,aAAa,AAAC,CACZ,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,IAAI,CAEX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,aAAa,CAuH/B,AArH0B,SAAC,EAAf,OAAO,EAAE,IAAI,EAR1B,AAAA,aAAa,AAAC,CASV,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,cAAc,CACrC,eAAe,CAAE,MAAM,CACvB,YAAY,CAAE,GAAG,CAiHpB,A3GnIC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAAA,aAAa,AAAC,CAcR,qBAAqB,CAAE,cAAc,CACrC,eAAe,CAAE,EAAE,CA8GxB,C3GnIC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAAA,aAAa,AAAC,CAkBR,qBAAqB,CAAE,IAAI,CA2GhC,EA7HD,AAsBE,aAtBW,CAsBX,UAAU,AAAC,CAET,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,EAAE,CAIV,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,GAAG,CAAC,KAAK,CrHyIT,OAAoD,CqHxI5D,KAAK,CpH1DC,IAAO,CoHqJd,A3GlID,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E2GMrC,AAsBE,aAtBW,CAsBX,UAAU,AAAC,CAKP,MAAM,CAAE,CAAC,CAiGZ,CA1FC,AAAA,mBAAmB,CAlCvB,aAAa,CAsBX,UAAU,AAYc,CACpB,UAAU,CAAE,SAAS,CAItB,AALD,AAEE,mBAFiB,CAlCvB,aAAa,CAsBX,UAAU,AAcL,MAAM,AAAC,CACN,UAAU,CrHyER,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CqHxEjC,AAtCP,AAwCI,aAxCS,CAsBX,UAAU,CAkBR,iBAAiB,AAAC,CAChB,KAAK,CrHgIC,OAAoD,CqH/H1D,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,GAAG,CAKjB,AAhDL,AA4CM,aA5CO,CAsBX,UAAU,CAkBR,iBAAiB,CAIf,eAAe,CA5CrB,aAAa,CAsBX,UAAU,CAkBR,iBAAiB,CAKf,gBAAgB,AAAC,CACf,KAAK,CpH/DH,IAAO,CoHgEV,AA/CP,AAiDI,aAjDS,CAsBX,UAAU,CA2BR,gBAAgB,AAAC,CACf,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,UAAU,CAoCvB,AA1FL,AAuDM,aAvDO,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CAiBf,AA3EP,AA2DQ,aA3DK,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CAIjB,mBAAmB,AAAC,CAClB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,QAAQ,CACf,AA/DT,AAgEQ,aAhEK,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CASjB,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,GAAG,CAOX,AA1ET,AAqEU,aArEG,CAsBX,UAAU,CA2BR,gBAAgB,CAMd,mBAAmB,CASjB,WAAW,CAKT,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,WAAW,CrHjCF,GAAG,CqHkCb,AAzEX,AA4EM,aA5EO,CAsBX,UAAU,CA2BR,gBAAgB,CA2Bd,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CrH0FD,OAAoD,CqHpFzD,AArFP,AAgFQ,aAhFK,CAsBX,UAAU,CA2BR,gBAAgB,CA2Bd,iBAAiB,CAIf,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,SAAS,CAAE,KAAK,CAChB,KAAK,CrHsFH,OAAoD,CqHrFvD,AApFT,AAsFM,aAtFO,CAsBX,UAAU,CA2BR,gBAAgB,CAqCd,kBAAkB,AAAC,CACjB,KAAK,CrHkFD,OAAoD,CqHjFxD,SAAS,CAAE,UAAU,CACtB,AAzFP,AA4FI,aA5FS,CAsBX,UAAU,CAsER,iBAAiB,AAAC,CAChB,SAAS,CrHrEH,QAAQ,CqHsEd,WAAW,CAAE,IAAI,CACjB,KAAK,CpHxHD,IAAO,CoHyHZ,AAhGL,AAqGI,aArGS,CAsBX,UAAU,CA+ER,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CpHhID,IAAO,CoHiJZ,AAxHL,AAyGM,aAzGO,CAsBX,UAAU,CA+ER,mBAAmB,CAIjB,aAAa,AAAC,CACZ,eAAe,CARZ,IAAI,CASP,MAAM,CATH,IAAI,CAUP,KAAK,CAVF,IAAI,CAWP,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,iBAAiB,CAAE,SAAS,CAM7B,AAvHP,AAmHQ,aAnHK,CAsBX,UAAU,CA+ER,mBAAmB,CAIjB,aAAa,CAUX,OAAO,AAAC,CACN,MAAM,CAjBA,UAAW,CAkBjB,KAAK,CAlBC,UAAW,CAmBlB,AAtHT,AAyHI,aAzHS,CAsBX,UAAU,CAmGR,mBAAmB,AAAC,CAClB,KAAK,CAxBA,IAAI,CAyBV,ACpJL,AAAA,kBAAkB,AAAC,CACjB,KAAK,CrHME,OAAO,CqHLd,SAAS,CtHiDG,OAAQ,CsHhDpB,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,mBAAmB,CAAC,WAAW,AAAC,CAC9B,MAAM,CAAE,CAAC,CACV,AAED,AAAA,gBAAgB,CAAC,kBAAkB,AAAC,CAClC,OAAO,CAAE,IAAI,CACd,AAED,AACE,WADS,CACT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAHH,AAIE,WAJS,CAIT,CAAC,AAAC,CACA,KAAK,CtH+KG,OAAoD,CsH9K7D,AANH,AAOE,WAPS,CAOT,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,AATH,AAWI,WAXO,CAUT,YAAY,CACV,EAAE,AAAA,cAAc,AAAC,CACf,aAAa,CAAE,MAAM,CACtB,AAIL,AAAA,iBAAiB,AAAC,CAChB,MAAM,CAAE,OAAO,CAChB,AAED,AAEE,YAFU,CAEV,EAAE,CADJ,eAAe,CACb,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAJH,AAMI,YANQ,CAKV,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,CALN,eAAe,CAIb,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,AAAC,CACD,OAAO,CAAE,UAAU,CACpB,AARL,AAWI,YAXQ,CAUV,EAAE,CACA,KAAK,CAXT,YAAY,CAUV,EAAE,CAEA,KAAK,CAXT,eAAe,CASb,EAAE,CACA,KAAK,CAVT,eAAe,CASb,EAAE,CAEA,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAfL,AAkBI,YAlBQ,CAiBV,aAAa,CACX,eAAe,CAjBnB,eAAe,CAgBb,aAAa,CACX,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACrB,AApBL,AAsBE,YAtBU,AAsBT,kBAAkB,CArBrB,eAAe,AAqBZ,kBAAkB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AAGH,AACE,eADa,CACb,WAAW,AAAC,CACV,KAAK,CtHkIG,OAAoD,CsHjI5D,UAAU,CAAE,KAAK,CAClB,AAJH,AAOI,eAPW,CAMb,WAAW,CACP,KAAK,AAAC,CACN,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AAXL,AAYI,eAZW,CAMb,WAAW,AAMR,cAAc,CAAG,KAAK,AAAC,CACtB,UAAU,CAAE,CAAC,CACd,AAdL,AAgBI,eAhBW,CAMb,WAAW,CAUT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAnBL,AAqBI,eArBW,CAMb,WAAW,CAeT,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAvBL,AAyBI,eAzBW,CAMb,WAAW,CAmBT,SAAS,AAAC,CACR,WAAW,CAAE,GAAG,CAWjB,AArCL,AA2BM,eA3BS,CAMb,WAAW,CAmBT,SAAS,CAEP,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,MAAM,CACpB,AA/BP,AAgCM,eAhCS,CAMb,WAAW,CAmBT,SAAS,CAOP,aAAa,AAAC,CACZ,UAAU,CAAE,MAAM,CAClB,KAAK,CtHkGD,OAAoD,CsHjGxD,WAAW,CtHjCE,GAAG,CsHkCjB,AAKP,AAEI,eAFW,CACb,aAAa,CACX,KAAK,AAAC,CACJ,KAAK,CtHwFC,OAAoD,CsHvF3D,AAIL,AACE,aADW,CACX,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACd,AAJH,AAME,aANW,CAMX,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,YAAY,CAAE,IAAI,CAInB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EATvC,AAME,aANW,CAMX,UAAU,AAAC,CAIP,OAAO,CAAE,IAAI,CAEhB,CAZH,AAcE,aAdW,CAcX,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAkBjB,AAjCH,AAgBI,aAhBS,CAcX,IAAI,CAEF,MAAM,AAAA,YAAY,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,AAlBL,AAmBI,aAnBS,CAcX,IAAI,CAKF,KAAK,AAAA,IAAK,CAAA,eAAe,CAAE,CACzB,WAAW,CAAE,IAAI,CAClB,AArBL,AAsBI,aAtBS,CAcX,IAAI,CAQF,SAAS,CAtBb,aAAa,CAcX,IAAI,CASF,MAAM,AAAC,CACL,aAAa,CAAE,IAAI,CACpB,AAzBL,AA0BI,aA1BS,CAcX,IAAI,CAYF,aAAa,AAAC,CACZ,KAAK,CtHwDC,OAAoD,CsHvD1D,MAAM,CAAE,CAAC,CACT,SAAS,CtHzFD,OAAQ,CsH0FhB,WAAW,CAAE,MAAM,CACnB,WAAW,CtH9EI,GAAG,CsH+EnB,AAIL,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,gBAAgB,CAI1B,AALD,AAEE,aAFW,AAEV,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,MAAM,CAAC,EAAE,AAAA,aAAa,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,MAAM,CAInB,AAPD,AAIE,MAJI,CAAC,EAAE,AAAA,aAAa,CAIpB,KAAK,AAAC,CACJ,KAAK,CtHmCG,OAAoD,CsHlC7D,AAKH,AAAA,MAAM,AAAA,WAAW,CACjB,MAAM,AAAA,iBAAiB,AAAC,CACtB,UAAU,CAAE,WAAW,CACvB,KAAK,CtH0BK,OAAoD,CsHzB/D,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAapB,AAhBD,AAIE,aAJW,CAIX,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AANH,AAOE,aAPW,CAOX,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,SAAS,CtHlIJ,GAAG,CsHmIT,AAVH,AAWE,aAXW,CAWX,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,eAAe,CACxB,KAAK,CrHvLE,IAAO,CqHwLf,AC1LH,AAAA,WAAW,AAAA,SAAS,AAAC,CACnB,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,CAAC,CACR,UAAU,CvHsIA,CAAC,CAAC,GAAG,CAAC,GAAG,CAAE,IAAG,CAAC,gBAAmB,CuH3H7C,AAdD,AAIE,WAJS,AAAA,SAAS,AAIjB,QAAQ,AAAC,CACR,UAAU,CAAE,uCAAuC,CACpD,AANH,AAQE,WARS,AAAA,SAAS,CAQlB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,GAAG,CACX,AAEH,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACd,AAED,AAAA,WAAW,AAAA,UAAU,AAAC,CACpB,QAAQ,CAAE,QAAQ,CAElB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,KAAK,CACb,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,GAAG,CAAC,KAAK,CvHuKP,OAAoD,CuHtK9D,UAAU,CvH0GI,CAAC,CAAC,IAAI,CAAC,IAAI,CAAC,gBAAmB,CuHzG7C,gBAAgB,CtH5BN,IAAO,CsH6BjB,OAAO,CvH2DG,IAAI,CuH1Dd,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CA2Bb,AAjCD,AAQE,WARS,CAQT,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACd,AAVH,AAYE,WAZS,CAYT,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACZ,AAfH,AAiBE,WAjBS,CAiBT,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AArBH,AAuBE,WAvBS,CAuBT,WAAW,AAAC,CACV,YAAY,CAAE,gBAAgB,CAC9B,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,KAAK,CAClB,AA5BH,AA8BE,WA9BS,CA8BT,mBAAmB,AAAC,CAClB,cAAc,CAAE,WAAW,CAC5B,AAGH,AACE,WADS,AAAA,SAAS,CAClB,EAAE,AAAC,CACD,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACZ,AAGH,AAGI,WAHO,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,CAHjB,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,KAAK,CAMf,AAXL,AAMM,WANK,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,AAGV,MAAM,CANb,WAAW,CACT,EAAE,CAEA,CAAC,AAAA,YAAY,AAIV,MAAM,CAPb,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAGV,MAAM,CANb,WAAW,CAET,EAAE,AAAA,QAAQ,CACR,CAAC,AAAA,YAAY,AAIV,MAAM,AAAC,CACN,gBAAgB,CvHsHZ,OAAoD,CuHrHxD,OAAO,CAAE,IAAI,CACd,AAVP,AAaI,WAbO,CACT,EAAE,CAYA,IAAI,CAbR,WAAW,CAET,EAAE,AAAA,QAAQ,CAWR,IAAI,AAAC,CACH,SAAS,CvH/BD,OAAQ,CuHgChB,WAAW,CAAE,KAAK,CAClB,KAAK,CvH8GC,OAAoD,CuH7G3D,AAjBL,AAoBE,WApBS,CAoBT,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,YAAY,CACtB,AAvBH,AAyBE,WAzBS,CAyBT,EAAE,AAAA,cAAc,AAAC,CACf,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,UAAU,CAgCvB,AAhEH,AAiCI,WAjCO,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CAKrB,AAvCL,AAmCM,WAnCK,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAEE,MAAM,CAnCb,WAAW,CAyBT,EAAE,AAAA,cAAc,CAQd,CAAC,AAGE,MAAM,AAAC,CACN,UAAU,CAAE,WAAW,CACxB,AAtCP,AAwCI,WAxCO,CAyBT,EAAE,AAAA,cAAc,CAed,mBAAmB,AAAC,CAClB,KAAK,CvHqFC,OAAoD,CuHpF1D,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,MAAM,CACf,OAAO,CAAE,CAAC,CACV,SAAS,CvH9DD,OAAQ,CuH+DhB,WAAW,CvHjDG,GAAG,CuHkDlB,AA/CL,AAiDM,WAjDK,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AACX,IAAI,CAjDX,WAAW,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAEX,OAAO,AAAC,CACP,KAAK,CtHvHH,IAAO,CsHwHT,OAAO,CAAE,YAAY,CACtB,AArDP,AAsDM,WAtDK,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,AAAC,CACJ,KAAK,CtH1HD,IAAO,CsHiIZ,AA9DP,AAwDQ,WAxDG,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,CAED,CAAC,AAAA,MAAM,AAAA,mBAAmB,AAAC,CAC3B,WAAW,CAAE,GAAG,CACjB,AA1DT,AA2DQ,WA3DG,CAyBT,EAAE,AAAA,cAAc,CAuBd,cAAc,AAMX,IAAI,CAKH,IAAI,AAAC,CACH,OAAO,CvH3BP,EAAC,CuH4BF,AA7DT,AAmEE,WAnES,CAmET,CAAC,AAAA,aAAa,AAAC,CACb,KAAK,CvH0DG,OAAoD,CuHzD5D,WAAW,CAAE,MAAM,CACnB,SAAS,CvHvFC,OAAQ,CuHwFnB,AAvEH,AAyEE,WAzES,CAyET,IAAI,AAAA,eAAe,AAAC,CAClB,SAAS,CAAE,KAAK,CACjB,AA3EH,AA6EE,WA7ES,CA6ET,GAAG,AAAA,eAAe,AAAC,CACjB,SAAS,CvH/FC,OAAQ,CuHgGnB,AAGH,AACE,UADQ,CACR,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,C7GlFhB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C6G0KxB,AAjGH,AAKI,UALM,CACR,mBAAmB,CAIjB,EAAE,AAAC,CACD,OAAO,CAAE,OAAO,CAChB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,OAAO,CAChB,AATL,AAWI,UAXM,CACR,mBAAmB,CAUjB,OAAO,CAXX,UAAU,CACR,mBAAmB,AAWhB,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,CvH+BC,OAAoD,CuH9B3D,AAdL,AAeI,UAfM,CACR,mBAAmB,CAcjB,KAAK,AAAC,CACJ,KAAK,CvH4BC,OAAoD,CuH3B3D,AAjBL,AAkBI,UAlBM,CACR,mBAAmB,CAiBjB,EAAE,AAAC,CACD,gBAAgB,CvHyBV,OAAoD,CuHS3D,AArDL,AAuBM,UAvBI,CACR,mBAAmB,CAiBjB,EAAE,CAKA,GAAG,CAAC,GAAG,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAzBP,AA2BM,UA3BI,CACR,mBAAmB,CAiBjB,EAAE,CASA,IAAI,AAAA,YAAY,AAAC,CACf,KAAK,CtHlLH,IAAO,CsHmLV,AA7BP,AA+BM,UA/BI,CACR,mBAAmB,CAiBjB,EAAE,AAaC,MAAM,CA/Bb,UAAU,CACR,mBAAmB,CAiBjB,EAAE,AAcC,MAAM,AAAC,CACN,gBAAgB,CvHWZ,OAAoD,CuHVxD,OAAO,CAAE,IAAI,CACd,AAnCP,AAqCM,UArCI,CACR,mBAAmB,CAiBjB,EAAE,CAmBA,CAAC,AAAC,CACA,OAAO,CAAE,CAAC,CASX,AA/CP,AAuCQ,UAvCE,CACR,mBAAmB,CAiBjB,EAAE,CAmBA,CAAC,CAEG,GAAG,AAAC,CACJ,QAAQ,CAAE,MAAM,CAGhB,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CACrB,kBAAkB,CAAE,QAAQ,CAC7B,AA9CT,AAiDM,UAjDI,CACR,mBAAmB,CAiBjB,EAAE,CA+BA,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CACjB,AApDP,AAsDI,UAtDM,CACR,mBAAmB,CAqDjB,EAAE,AAAA,IAAK,CAAA,SAAS,CAAE,CAChB,OAAO,CAAE,YAAY,CAMtB,AA7DL,AAwDM,UAxDI,CACR,mBAAmB,CAqDjB,EAAE,AAAA,IAAK,CAAA,SAAS,EAEd,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,KAAK,CACnB,AA5DP,AA+DM,UA/DI,CACR,mBAAmB,CA6DjB,WAAW,CACT,oBAAoB,AAAC,CACnB,KAAK,CtH/MJ,OAAO,CsHgNT,AAjEP,AAmEI,UAnEM,CACR,mBAAmB,CAkEjB,KAAK,AAAC,CACJ,gBAAgB,CtHzNV,IAAO,CsH0Nd,AArEL,AAsEI,UAtEM,CACR,mBAAmB,CAqEjB,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CACjB,AAxEL,AAyEI,UAzEM,CACR,mBAAmB,CAwEjB,kBAAkB,AAAC,CACjB,UAAU,CAAE,GAAG,CAChB,AA3EL,AA4EI,UA5EM,CACR,mBAAmB,CA2EjB,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,MAAM,CACf,AAjFL,AAkFI,UAlFM,CACR,mBAAmB,CAiFjB,SAAS,CAAC,CAAC,AAAC,CACV,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAChB,KAAK,CvH5CC,OAAoD,CuH6C1D,UAAU,CvH9DN,OAAqB,CuHmE1B,AA9FL,AA0FM,UA1FI,CACR,mBAAmB,CAiFjB,SAAS,CAAC,CAAC,AAQR,MAAM,AAAC,CACN,KAAK,CtHjPH,IAAO,CsHkPT,UAAU,CvHhDN,OAAoD,CuHiDzD,AA7FP,AAmGE,UAnGQ,CAmGR,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,GAAG,AAAA,kBAAkB,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACd,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,OAAO,CA2GxB,AA/GD,AAKE,GALC,AAAA,kBAAkB,CAKnB,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,CvHnEhB,OAAoD,CuHoE5D,OAAO,CAAE,IAAI,CAGb,OAAO,CAAE,KAAK,CAmDf,AA7DH,AAYI,GAZD,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAAC,CACD,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CA6ChB,AA5DL,AAgBM,GAhBH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAIC,KAAK,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AAlBP,AAmBM,GAnBH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAOC,OAAO,AAAC,CACP,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,GAAG,CAOf,AA7BP,AAwBQ,GAxBL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,AAOC,OAAO,CAKN,CAAC,AAAC,CAEA,YAAY,CAAE,KAAK,CACnB,aAAa,CAAE,KAAK,CACrB,AA5BT,AA+BM,GA/BH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CAmBA,CAAC,AAAC,CAGA,MAAM,CAAE,qBAAqB,CAC7B,aAAa,CAAE,CAAC,CACjB,AApCP,AAsCM,GAtCH,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAAC,CACP,MAAM,CAAE,GAAG,CAAC,KAAK,CvHpGb,OAAoD,CuHqGxD,aAAa,CAAE,CAAC,CAChB,QAAQ,CAAE,QAAQ,CAkBnB,AA3DP,AA2CQ,GA3CL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAKL,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CvHtNL,IAAI,CuHuNN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,EAAE,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,CtHlTnB,IAAO,CsHmTV,AArDT,AAuDQ,GAvDL,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAiBL,MAAM,CAvDf,GAAG,AAAA,kBAAkB,CAKnB,eAAe,CAOb,EAAE,CA0BA,CAAC,AAAA,OAAO,AAkBL,MAAM,AAAC,CACN,gBAAgB,CAAE,OAAO,CAC1B,AA1DT,AA8DE,GA9DC,AAAA,kBAAkB,CA8DnB,CAAC,AAAA,MAAM,CA9DT,GAAG,AAAA,kBAAkB,CA+DnB,CAAC,AAAA,MAAM,AAAC,CACN,gBAAgB,CvH7HR,OAAoD,CuH8H5D,OAAO,CAAE,IAAI,CACd,AAlEH,AAmEE,GAnEC,AAAA,kBAAkB,CAmEnB,CAAC,AAAC,CACA,OAAO,CAAE,WAAW,CACrB,AArEH,AAsEE,GAtEC,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,AAAC,CACnB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,QAAQ,CAChB,SAAS,CAAE,KAAK,CAKhB,QAAQ,CAAE,OAAO,CAWlB,AA1FH,AAiFI,GAjFD,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,CAWlB,IAAI,AAAA,QAAQ,AAAC,CACX,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,KAAK,C7GtRpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C6GsRpB,A7GjUH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E6G4OrC,AAsEE,GAtEC,AAAA,kBAAkB,CAsEnB,CAAC,AAAA,mBAAmB,AAAC,CAkBjB,SAAS,CAAE,KAAK,CAEnB,CA1FH,AA2FE,GA3FC,AAAA,kBAAkB,CA2FnB,EAAE,AAAC,CACD,OAAO,CAAE,UAAU,CACnB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CACnB,AA/FH,AAgGE,GAhGC,AAAA,kBAAkB,CAgGnB,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,IAAI,CACjB,AAlGH,AAoGE,GApGC,AAAA,kBAAkB,CAoGnB,EAAE,AAAA,WAAW,AAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AAtGH,AAuGE,GAvGC,AAAA,kBAAkB,CAuGnB,GAAG,CAvGL,GAAG,AAAA,kBAAkB,CAwGnB,CAAC,AAAC,CACA,KAAK,CvHtKG,OAAoD,CuHuK7D,AA1GH,AA4GE,GA5GC,AAAA,kBAAkB,CA4GnB,YAAY,AAAC,CACX,YAAY,CAAE,OAAO,CACtB,AC7WH,AACE,8BAD4B,CAC5B,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,sCAAsC,AAAC,CACrC,KAAK,CAAE,GAAG,CACX,ACRD,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,CAAC,CACZ,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,CAAC,CACd,AAED,AAAA,0BAA0B,CAC1B,yBAAyB,AAAC,CACxB,IAAI,CAAE,CAAC,CACR,AAED,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,gBAAgB,CxHnBN,IAAO,CwHoBjB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,CzH4KP,OAAoD,CyHhK/D,AAjBD,AAOE,0BAPwB,CAOxB,QAAQ,AAAC,CACP,UAAU,CAAE,WAAW,CACxB,AATH,AAWE,0BAXwB,AAWvB,SAAS,AAAC,CACT,MAAM,CAAE,WAAW,CAIpB,AAhBH,AAaI,0BAbsB,AAWvB,SAAS,CAER,oBAAoB,AAAC,CACnB,UAAU,CAAE,MAAM,CACnB,AAIL,AAAA,yBAAyB,AAAC,CACxB,SAAS,CAAE,GAAG,CACd,WAAW,CAAE,EAAE,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AAED,AAAA,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,GAAG,CAAC,KAAK,CzHmJd,OAAoD,CyH/G/D,AAxCD,AAME,oBANkB,CAMlB,IAAI,CANN,oBAAoB,CAOlB,YAAY,AAAC,CACX,gBAAgB,CAAE,WAAW,CAC7B,OAAO,CAAE,YAAY,CAYtB,AArBH,AAUI,oBAVgB,CAMlB,IAAI,CAIF,OAAO,CAVX,oBAAoB,CAOlB,YAAY,CAGV,OAAO,AAAC,CACN,KAAK,CzH4IC,OAAoD,CyH3I3D,AAZL,AAcI,oBAdgB,CAMlB,IAAI,CAQF,GAAG,CAdP,oBAAoB,CAOlB,YAAY,CAOV,GAAG,AAAC,CACF,iBAAiB,CAAE,oBAIlB,CACF,AApBL,AAuBE,oBAvBkB,CAuBlB,gBAAgB,AAAC,CACf,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAAC,KAAK,CzH6Hd,OAAoD,CyH5H7D,AA3BH,AA6BE,oBA7BkB,CA6BlB,IAAI,AAAA,IAAK,CAAA,QAAQ,CAAE,CACjB,SAAS,CzHxBD,QAAQ,CyHyBjB,AA/BH,AAiCE,oBAjCkB,CAiClB,IAAI,AAAA,KAAK,AAAC,CACR,WAAW,CAAE,MAAM,CACpB,AAnCH,AAqCE,oBArCkB,CAqClB,IAAI,AAAA,OAAO,AAAC,CACV,UAAU,CAAE,MAAM,CACnB,AA9CH,AAAA,yBAAyB,AAiDC,CACxB,QAAQ,CAAE,IAAI,CACd,MAAM,CAAE,OAAO,CACf,0BAA0B,CAAE,KAAK,CAClC,AAED,AAAA,eAAe,CACf,iBAAiB,AAAC,CAChB,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,UAAU,CACrB,kBAAkB,CAAE,IAAI,CACxB,aAAa,CAAE,CAAC,CAMjB,AAfD,AAUE,eAVa,AAUZ,MAAM,CATT,iBAAiB,AASd,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAGH,AAAA,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,iBAAiB,AAAC,CAChB,MAAM,CAAE,IAAI,CACb,AAED,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,GAAG,CACT,QAAQ,CAAE,IAAI,CACf,AAED,AAAA,kBAAkB,CAAC,iBAAiB,AAAC,CACnC,UAAU,CAAE,MAAM,CAClB,KAAK,CzHkEK,OAAoD,CyHlEvC,UAAU,CAClC,AAED,AAAA,iBAAiB,CAAG,CAAC,AAAA,YAAY,AAAC,CAChC,UAAU,CAAE,CAAC,CACd,AAED,AAAA,aAAa,CAAC,yBAAyB,AAAC,CACtC,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CACR,AAED,AAGE,iBAHe,CAAC,aAAa,CAG7B,QAAQ,CAFV,eAAe,CAEb,QAAQ,CADV,iCAAiC,CAC/B,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CACjB,AAPH,AAQE,iBARe,CAAC,aAAa,CAQ7B,mBAAmB,CAPrB,eAAe,CAOb,mBAAmB,CANrB,iCAAiC,CAM/B,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACf,AAVH,AAWE,iBAXe,CAAC,aAAa,CAW7B,0BAA0B,CAV5B,eAAe,CAUb,0BAA0B,CAT5B,iCAAiC,CAS/B,0BAA0B,AAAC,CACzB,MAAM,CAAE,GAAG,CAAC,KAAK,CzH0CT,OAAoD,CyHzC7D,AAbH,AAcE,iBAde,CAAC,aAAa,CAc7B,yBAAyB,CAb3B,eAAe,CAab,yBAAyB,CAZ3B,iCAAiC,CAY/B,yBAAyB,AAAC,CACxB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,UAAU,CACnB,AAjBH,AAkBE,iBAlBe,CAAC,aAAa,CAkB7B,iBAAiB,CAjBnB,eAAe,CAiBb,iBAAiB,CAhBnB,iCAAiC,CAgB/B,iBAAiB,AAAC,CAChB,gBAAgB,CzHmCR,OAAoD,CyHlC5D,OAAO,CAAE,GAAG,CAIb,AAxBH,AAqBI,iBArBa,CAAC,aAAa,CAkB7B,iBAAiB,AAGd,MAAM,CApBX,eAAe,CAiBb,iBAAiB,AAGd,MAAM,CAnBX,iCAAiC,CAgB/B,iBAAiB,AAGd,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AAIL,AAAA,iBAAiB,CAAC,aAAa,CAC/B,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CzHwBP,OAAoD,CyHvB/D,AAED,AAAA,iBAAiB,CAAC,GAAG,AAAC,CACpB,cAAc,CAAE,KAAK,CAMtB,AAPD,AAEE,iBAFe,CAAC,GAAG,AAElB,MAAM,CAFT,iBAAiB,CAAC,GAAG,AAGlB,OAAO,CAHV,iBAAiB,CAAC,GAAG,AAIlB,UAAU,AAAC,CACV,cAAc,CAAE,CAAC,CAClB,AAGH,AAAA,iBAAiB,CAAC,cAAc,AAAC,CAC/B,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,KAAK,CAyCtB,AA5CD,AAKE,iBALe,CAAC,cAAc,CAK9B,GAAG,AAAC,CACF,cAAc,CAAE,CAAC,CAClB,AAPH,AAUI,iBAVa,CAAC,cAAc,AAS7B,MAAM,CACL,eAAe,AAAC,CACd,OAAO,CAAE,GAAG,CACb,AAZL,AAcE,iBAde,CAAC,cAAc,CAc9B,eAAe,AAAC,CACd,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,SAAS,CACrB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CAsBR,AA3CH,AAsBI,iBAtBa,CAAC,cAAc,CAc9B,eAAe,CAQb,UAAU,AAAC,CACT,KAAK,CzHXC,OAAoD,CyHY3D,AAxBL,AA0BI,iBA1Ba,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAAC,CACT,KAAK,CxH/MA,IAAO,CwHgNZ,OAAO,CAAE,OAAO,CAcjB,AA1CL,AA6BM,iBA7BW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAGP,cAAc,AAAC,CACd,YAAY,CAAE,CAAC,CAChB,AA/BP,AAiCM,iBAjCW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAOP,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CxHzNH,IAAO,CwH0NV,AApCP,AAsCM,iBAtCW,CAAC,cAAc,CAc9B,eAAe,CAYb,UAAU,AAYP,IAAK,CAAA,OAAO,CAAC,MAAM,AAAC,CACnB,eAAe,CAAE,SAAS,CAC1B,MAAM,CAAE,OAAO,CAChB,AAKP,AAAA,YAAY,CAAC,iBAAiB,CAAC,cAAc,CAAC,eAAe,AAAC,CAC5D,OAAO,CAAE,CAAC,CACX,AA3LD,AAAA,oBAAoB,AA+LC,CACnB,MAAM,CAAE,MAAM,CAkFf,AAlRD,AAME,oBANkB,CAMlB,IAAI,CANN,oBAAoB,CAOlB,YAAY,AA6LC,CACX,OAAO,CAAE,OAAO,CACjB,AAtMH,AAuBE,oBAvBkB,CAuBlB,gBAAgB,AAgLC,CACf,MAAM,CAAE,QAAQ,CACjB,A/GjOD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GoOnC,AAEI,kBAFc,CAbpB,oBAAoB,CAed,IAAI,CAFR,kBAAkB,CAbpB,oBAAoB,CAgBd,YAAY,AAAC,CACX,OAAO,CAAE,OAAO,CACjB,C/GzOL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GoOnC,AAEI,kBAFc,CAbpB,oBAAoB,CAed,IAAI,CAFR,kBAAkB,CAbpB,oBAAoB,CAgBd,YAAY,AAMC,CACX,OAAO,CAAE,OAAO,CACjB,AAXL,AAYI,kBAZc,CAbpB,oBAAoB,CAyBd,gBAAgB,AAAC,CACf,MAAM,CAAE,QAAQ,CACjB,C/GlPL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuPnC,AAEI,iBAFa,CAhCnB,oBAAoB,CAkCd,IAAI,CAFR,iBAAiB,CAhCnB,oBAAoB,CAmCd,YAAY,AAAC,CACX,OAAO,CAAE,QAAQ,CAClB,C/G5PL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuPnC,AAEI,iBAFa,CAhCnB,oBAAoB,CAkCd,IAAI,CAFR,iBAAiB,CAhCnB,oBAAoB,CAmCd,YAAY,AAMC,CACX,OAAO,CAAE,QAAQ,CAClB,C/GlQL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuQnC,AAEI,iBAFa,CAhDnB,oBAAoB,CAkDd,IAAI,CAFR,iBAAiB,CAhDnB,oBAAoB,CAmDd,YAAY,AAAC,CACX,OAAO,CAAE,OAAO,CACjB,C/G5QL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuQnC,AAEI,iBAFa,CAhDnB,oBAAoB,CAkDd,IAAI,CAFR,iBAAiB,CAhDnB,oBAAoB,CAmDd,YAAY,AAMC,CACX,OAAO,CAAE,OAAO,CACjB,CAKL,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAAC,CACX,SAAS,CzH1PD,OAAQ,CyH2PjB,A/G3RH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuRnC,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAMG,CACX,OAAO,CAAE,OAAO,CACjB,C/GjSL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E+GuRnC,AACE,kBADgB,CAhEpB,oBAAoB,CAiEhB,IAAI,CADN,kBAAkB,CAhEpB,oBAAoB,CAkEhB,YAAY,AAYG,CACX,OAAO,CAAE,OAAO,CACjB,CC1TP,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,KAAK,CACb,AAED,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,UAAU,CACtB,OAAO,C1H8FK,GAAG,C0H7Ff,WAAW,CAAE,KAAK,CASlB,QAAQ,CAAE,KAAK,CACf,iBAAiB,CAAE,oBAAoB,CAgRxC,AhH9QC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,MAAM,EgHftC,AAAA,mBAAmB,AAAC,CAMhB,WAAW,CAAE,KAAK,CAuRrB,CArRC,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,MAAM,EARnC,AAAA,mBAAmB,AAAC,CAShB,WAAW,CAAE,KAAK,CAoRrB,CA7RD,AAeE,mBAfiB,AAehB,gBAAgB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CACnB,AAjBH,AAoBI,mBApBe,AAmBhB,uBAAuB,CACtB,yBAAyB,AAAC,CACxB,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,IAAI,CACpB,MAAM,CAAE,OAAO,CAChB,AAxBL,AA2BE,mBA3BiB,AA2BhB,oBAAoB,AAAA,KAAK,AAAC,CACzB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,wBAAwB,CAarC,AAZC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EA9BxC,AA2BE,mBA3BiB,AA2BhB,oBAAoB,AAAA,KAAK,AAAC,CAIvB,UAAU,CAAE,IAAI,CAWnB,CA1CH,AAkCM,mBAlCa,AA2BhB,oBAAoB,AAAA,KAAK,CAMxB,eAAe,CACb,yBAAyB,AAAC,CACxB,OAAO,CAAE,OAAO,CACjB,AApCP,AAsCI,mBAtCe,AA2BhB,oBAAoB,AAAA,KAAK,CAWxB,kBAAkB,AAAC,CACjB,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,GAAG,CACpB,AAzCL,AA4CE,mBA5CiB,AA4ChB,oBAAoB,AAAC,CACpB,UAAU,CAAE,CAAC,CACb,UAAU,CAAE,uBAAuB,CACnC,QAAQ,CAAE,KAAK,CACf,WAAW,CAAE,CAAC,CACd,gBAAgB,CzHpDR,IAAO,CyHqDf,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,UAAU,CAAE,GAAG,CAAC,KAAK,C1HyIb,OAAoD,C0HxI5D,UAAU,C1H2EA,CAAC,CAAE,IAAG,CAAC,IAAI,CAAC,gBAAmB,C0H1EzC,WAAW,CAAE,IAAI,CACjB,OAAO,C1H0BK,IAAI,C0HgGjB,AAzHC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EAzDxC,AA4CE,mBA5CiB,AA4ChB,oBAAoB,AAAC,CAclB,WAAW,CAAE,IAAI,CAwHpB,CAlLH,AA4DI,mBA5De,AA4ChB,oBAAoB,CAgBnB,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AA9DL,AA+DI,mBA/De,AA4ChB,oBAAoB,CAmBnB,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,KAAK,CACnB,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,KAAK,CACd,YAAY,CAAE,IAAI,CAsGnB,AA3KL,AAuEM,mBAvEa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAQb,sBAAsB,AAAC,CACrB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAClB,AA1EP,AA2EM,mBA3Ea,AA4ChB,oBAAoB,CAmBnB,eAAe,CAYb,aAAa,AAAC,CACZ,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,KAAK,CACjB,WAAW,C1HjBC,GAAG,C0HkBf,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,QAAQ,CACvB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CAIrB,kBAAkB,CAAE,QAAQ,CAC7B,AAJC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EArF5C,AA2EM,mBA3Ea,AA4ChB,oBAAoB,CAmBnB,eAAe,CAYb,aAAa,AAAC,CAWV,kBAAkB,CAAE,CAAC,CAGxB,CAzFP,AA0FM,mBA1Fa,AA4ChB,oBAAoB,CAmBnB,eAAe,CA2Bb,SAAS,AAAC,CACR,KAAK,C1HmGD,OAAoD,C0HlGxD,SAAS,CAAE,UAAU,CACrB,WAAW,CAAE,IAAI,CAClB,AA9FP,AA+FM,mBA/Fa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,AAAC,CACL,UAAU,CAAE,CAAC,CACb,YAAY,CAAE,GAAG,CACjB,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,IAAI,CAiBZ,AArHP,AAqGQ,mBArGW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,CAMJ,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,WAAW,CACpB,kBAAkB,CAAE,CAAC,CACrB,kBAAkB,CAAE,QAAQ,CAC5B,UAAU,CAAE,KAAK,CACjB,WAAW,C1HhDA,GAAG,C0HiDd,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,QAAQ,CACvB,QAAQ,CAAE,MAAM,CAChB,SAAS,C1HpEP,QAAQ,C0HqEX,AAjHT,AAkHQ,mBAlHW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAgCb,MAAM,CAmBJ,CAAC,AAAC,CACA,KAAK,CzHvHL,IAAO,CyHwHR,AApHT,AAsHM,mBAtHa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAuDb,mBAAmB,AAAC,CAClB,KAAK,CAAE,CAAC,CACR,WAAW,CAAE,CAAC,CAIf,AA5HP,AAyHQ,mBAzHW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAuDb,mBAAmB,CAGjB,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACd,AA3HT,AA6HM,mBA7Ha,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,IAAI,CAUX,AA3IP,AAmIQ,mBAnIW,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,CAMvB,MAAM,CAnId,mBAAmB,AA4ChB,oBAAoB,CAmBnB,eAAe,CA8Db,yBAAyB,CAOvB,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACrB,aAAa,CAAE,CAAC,CAChB,YAAY,CAAE,IAAI,CAClB,QAAQ,CAAE,MAAM,CACjB,AA1IT,AA4IM,mBA5Ia,AA4ChB,oBAAoB,CAmBnB,eAAe,CA6Eb,4BAA4B,AAAC,CAC3B,OAAO,CAAE,UAAU,CACnB,cAAc,CAAE,IAAI,CACpB,aAAa,CAAE,KAAK,CACpB,KAAK,CAAE,KAAK,CACb,AAjJP,AAkJM,mBAlJa,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,AAAC,CACnB,WAAW,CAAE,CAAC,CACd,kBAAkB,CAAE,KAAK,CACzB,kBAAkB,CAAE,GAAG,CACvB,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CAmBb,AA1KP,AAyJQ,mBAzJW,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,YAAY,CAAE,MAAM,CACpB,aAAa,CAAE,KAAK,CACpB,eAAe,CAAE,QAAQ,CAY1B,AAzKT,AA8JU,mBA9JS,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,CAKhB,0BAA0B,AAAC,CACzB,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,CAAC,CACf,aAAa,CAAE,GAAG,CACnB,AAlKX,AAmKU,mBAnKS,AA4ChB,oBAAoB,CAmBnB,eAAe,CAmFb,oBAAoB,CAOlB,kBAAkB,CAUhB,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACZ,AAxKX,AA6KI,mBA7Ke,AA4ChB,oBAAoB,CAiInB,4BAA4B,AAAA,OAAO,AAAC,CAClC,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AAjLL,AAoLE,mBApLiB,CAoLjB,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,oBAAoB,CAChC,YAAY,CAAE,IAAI,CAqGnB,AA5RH,AAyLI,mBAzLe,CAoLjB,eAAe,CAKb,kBAAkB,AAAC,CACjB,aAAa,CAAE,GAAG,CAKnB,AA/LL,AA4LM,mBA5La,CAoLjB,eAAe,CAKb,kBAAkB,CAGhB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AA9LP,AAiMI,mBAjMe,CAoLjB,eAAe,CAab,yBAAyB,AAAC,CACxB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,oBAAoB,CAChC,OAAO,CAAE,IAAI,CASd,AA7ML,AAsMM,mBAtMa,CAoLjB,eAAe,CAab,yBAAyB,CAKvB,MAAM,AAAC,CACL,YAAY,CAAE,KAAK,CACpB,AAxMP,AA0MM,mBA1Ma,CAoLjB,eAAe,CAab,yBAAyB,CASvB,MAAM,AAAA,WAAW,AAAC,CAChB,YAAY,CAAE,CAAC,CAChB,AA5MP,AA+MI,mBA/Me,CAoLjB,eAAe,CA2Bb,WAAW,AAAC,ChH5Id,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgHwIrB,KAAK,C1HnBC,OAAoD,C0HoB3D,AAlNL,AAoNI,mBApNe,CAoLjB,eAAe,CAgCb,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,KAAK,CAClB,WAAW,CAAE,SAAS,CACtB,YAAY,C1H1BN,OAAoD,C0H2B1D,QAAQ,CAAE,QAAQ,CAClB,iBAAiB,CAAE,oBAAoB,CACxC,AA3NL,AA6NI,mBA7Ne,CAoLjB,eAAe,CAyCb,iBAAiB,AAAC,CAChB,UAAU,CAAE,qBAAqB,CACjC,MAAM,CAAE,OAAO,CAIhB,AAHC,AAAA,gBAAgB,CAhOtB,mBAAmB,CAoLjB,eAAe,CAyCb,iBAAiB,AAGI,CACjB,UAAU,CAAE,IAAI,CACjB,AAlOP,AAqOI,mBArOe,CAoLjB,eAAe,CAiDb,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CACpB,KAAK,CAAE,MAAM,CACb,gBAAgB,C1H1CV,OAAoD,C0H2C1D,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,C1H1IH,CAAC,C0H2IN,AA5OL,AA8OI,mBA9Oe,CAoLjB,eAAe,CA0Db,0BAA0B,AAAC,CACzB,YAAY,CAAE,GAAG,CAClB,AAhPL,AAkPI,mBAlPe,CAoLjB,eAAe,CA8Db,aAAa,AAAC,CACZ,KAAK,C1HrDC,OAAoD,C0HsD3D,AApPL,AAsPI,mBAtPe,CAoLjB,eAAe,CAkEb,kBAAkB,AAAC,ChHnLrB,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgH+KrB,WAAW,CAAE,OAAO,CACpB,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAhQL,AA6PM,mBA7Pa,CAoLjB,eAAe,CAkEb,kBAAkB,CAOhB,YAAY,AAAC,CACX,UAAU,CAAE,GAAG,CAChB,AA/PP,AAkQI,mBAlQe,CAoLjB,eAAe,CA8Eb,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CAClB,AApQL,AAsQI,mBAtQe,CAoLjB,eAAe,CAkFb,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,WAAW,CAAE,OAAO,CAMpB,OAAO,C1H7KH,CAAC,C0H8KN,AA/QL,AAyQM,mBAzQa,CAoLjB,eAAe,CAkFb,mBAAmB,CAGjB,SAAS,AAAC,CACR,SAAS,CAAE,KAAK,CAChB,KAAK,CzH7QF,IAAO,CyH8QV,YAAY,CAAE,GAAG,CAClB,AA7QP,AAiRI,mBAjRe,CAoLjB,eAAe,CA6Fb,YAAY,AAAC,CACX,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,OAAO,CACjB,AApRL,AAsRI,mBAtRe,CAoLjB,eAAe,CAkGb,SAAS,AAAC,ChHnNZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CgH+MrB,OAAO,CAAE,YAAY,CACrB,KAAK,C1H3FC,OAAoD,C0H4F1D,UAAU,CAAE,KAAK,CAClB,AC/RL,AAAA,EAAE,CAAC,kBAAkB,CAAC,MAAM,AAAC,CAC3B,UAAU,CAAE,KAAK,CAClB,ArBFD,AAwBE,MAxBI,AAwBH,WAAW,AsBvBI,CAChB,MAAM,CAAE,CAAC,CAIV,AtBND,AA2BI,MA3BE,AAwBH,WAAW,AAGT,UAAU,AsBxBD,CACV,OAAO,CAAE,GAAG,CACb,A9EDH,AAAA,OAAO,A+EAC,CAGN,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,KAAK,CAIlB,AAHC,MAAM,CAAC,GAAG,MAAM,UAAU,EAAE,KAAK,E/ELnC,AAAA,OAAO,A+EAC,CAMJ,UAAU,CAAE,KAAK,CAEpB,CCZD,AAAA,yBAAyB,AAAC,CACxB,OAAO,CAAE,eAAe,CACzB,AAED,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,eAAe,CACzB,AlBND,AAAA,cAAc,AkBQC,CACb,OAAO,C9H8EY,IAAI,C8H+HxB,AlBtND,AAwBE,cAxBY,CAwBZ,WAAW,AkBdC,CACV,OAAO,CAAE,MAAM,CACf,cAAc,CAAE,2BAA2B,CAI3C,SAAS,CAAE,CAAC,CACb,AAJC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ElBbvC,AAwBE,cAxBY,CAwBZ,WAAW,AkBdC,CAIR,OAAO,CAAE,KAAK,CAGjB,ClBjBH,AA2CE,cA3CY,AA2CX,KAAK,AkBxBC,CACL,MAAM,CAAE,KAAK,CAId,AlBxBH,AA6CI,cA7CU,AA2CX,KAAK,AAEH,WAAW,AkBxBC,CACX,MAAM,CAAE,IAAI,CACb,AlB4cL,AAUI,IAVA,AAAA,0BAA0B,CAQ5B,cAAc,AAEX,KAAK,AkBnd8B,CACpC,MAAM,CAAE,mCAAmC,CAI5C,AALD,AAEE,IAFE,AAAA,0BAA0B,CAlBhC,cAAc,AAkBoB,KAAK,CAEnC,WAAW,AAAC,CACV,cAAc,CAAE,GAAG,CACpB,AlB9BL,AA8FE,cA9FY,CA8FZ,SAAS,AkB7DC,CACR,MAAM,CAAE,KAAK,CAqBd,AlBvDH,AAsGI,cAtGU,CA8FZ,SAAS,CAQP,cAAc,AkBnEC,CACb,SAAS,CAAE,iBAAiB,CAC7B,ApHlBH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EkGnBrC,AAsGI,cAtGU,CA8FZ,SAAS,CAQP,cAAc,AkB3DG,CACb,SAAS,CAAE,IAAI,CAChB,AArCP,AAuCM,cAvCQ,CAyBZ,SAAS,CAcL,oBAAoB,AAAC,CACnB,UAAU,CAAE,KAAK,CAClB,AlBjDP,AAsJI,cAtJU,CA8FZ,SAAS,CAwDP,kBAAkB,AkBnGG,CACjB,UAAU,CAAE,UAAU,CACvB,CA7CP,AAiDE,cAjDY,CAiDZ,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CAIlB,AAtDH,AAmDI,cAnDU,CAiDZ,QAAQ,CAEN,oBAAoB,AAAC,CACnB,cAAc,CAAE,QAAQ,CACzB,AlB7DL,AA2EE,cA3EY,AA2EX,MAAM,AkBXC,CACN,cAAc,CAAE,2BAA2B,CAU5C,AAnEH,AA2DI,cA3DU,AAwDX,MAAM,CAGL,eAAe,CA3DnB,cAAc,AAwDX,MAAM,CAIL,QAAQ,AAAC,CACP,GAAG,CAAE,GAAG,CACT,AlBtEL,AA8EI,cA9EU,AA2EX,MAAM,CAGL,WAAW,AkBPC,CACV,KAAK,CAAE,iBAAiB,CpHZ5B,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CoHYpB,AlB1EL,AA2PE,cA3PY,CA2PZ,YAAY,AkB9KC,CACX,KAAK,CAAE,iBAAiB,CACzB,AlB/EH,AAuNE,cAvNY,CAuNZ,eAAe,AkBtIC,CACd,aAAa,CAAE,GAAG,CAInB,AlBtFH,AA+NI,cA/NU,CAuNZ,eAAe,CAQb,iBAAiB,AkB5IC,CAChB,KAAK,CAAE,eAAe,CACvB,AlBrFL,AAuRE,cAvRY,CAuRZ,aAAa,AkB/LC,CACZ,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,QAAQ,CA6BtB,AA/GH,AAmFI,cAnFU,CAgFZ,aAAa,CAGX,eAAe,AAAC,CACd,IAAI,CAAE,QAAQ,CAWf,AA/FL,AAqFM,cArFQ,CAgFZ,aAAa,CAGX,eAAe,CAEb,aAAa,CArFnB,cAAc,CAgFZ,aAAa,CAGX,eAAe,CAGb,eAAe,AAAC,CACd,WAAW,CAAE,GAAG,CACjB,AAxFP,AAyFM,cAzFQ,CAgFZ,aAAa,CAGX,eAAe,CAMb,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CAChB,KAAK,C9H+FD,OAAoD,C8H9FxD,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,OAAO,CACjB,AA9FP,AAgGI,cAhGU,CAgFZ,aAAa,CAgBX,mBAAmB,AAAA,IAAK,CAAA,OAAO,EAhGnC,cAAc,CAgFZ,aAAa,CAiBX,eAAe,AAAC,CAEd,OAAO,CAAE,WAAW,CACrB,AApGL,AAsGM,cAtGQ,CAgFZ,aAAa,CAqBX,mBAAmB,AAChB,OAAO,CAAG,eAAe,AAAC,CAEzB,OAAO,CAAE,IAAI,CACd,AAzGP,AA4GI,cA5GU,CAgFZ,aAAa,CA4BX,eAAe,AAAC,CACd,WAAW,CAAE,MAAM,CACpB,AA9GL,AAiHE,cAjHY,CAiHZ,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACZ,AAnHH,AAsHI,cAtHU,AAqHX,aAAa,CACZ,yBAAyB,AAAC,CACxB,QAAQ,CAAE,KAAK,CACf,OAAO,C9H1CG,IAAI,C8H2Cd,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,gBAAgB,C7HpIV,IAAO,C6HqIb,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,IAAI,CAIf,AArIL,AAkIM,cAlIQ,AAqHX,aAAa,CACZ,yBAAyB,CAYvB,iBAAiB,AAAC,CAChB,aAAa,CAAE,IAAI,CACpB,AApIP,AAsII,cAtIU,AAqHX,aAAa,CAiBZ,IAAI,AAAA,aAAa,AAAC,CAChB,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,C9H5DG,IAAI,C8H6Df,AA3IL,AA+II,cA/IU,AA8IX,aAAa,CACZ,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACd,AAjJL,AAoJE,cApJY,CAoJZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACd,AAtJH,AAwJE,cAxJY,CAwJZ,gBAAgB,CAAC,oBAAoB,AAAC,CACpC,OAAO,CAAE,IAAI,CACd,AA1JH,AA6JI,cA7JU,CA4JZ,oBAAoB,CAAC,IAAI,AACtB,QAAQ,AAAC,CACR,MAAM,CAAE,CAAC,CACV,AA/JL,AAkKE,cAlKY,CAkKZ,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACd,AApKH,AAsKE,cAtKY,CAsKZ,mBAAmB,CAtKrB,cAAc,CAuKZ,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CAIV,AA5KH,AAyKI,cAzKU,CAsKZ,mBAAmB,CAGjB,YAAY,CAzKhB,cAAc,CAuKZ,cAAc,CAEZ,YAAY,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AlBnLL,AAuOI,cAvOU,CAsOZ,UAAU,CACR,eAAe,AkBhDC,CACd,UAAU,CAAE,IAAI,CAChB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,GAAG,CACV,aAAa,CAAE,GAAG,CACnB,AArLL,AAuLI,cAvLU,CA8KZ,UAAU,CASR,iBAAiB,AAAC,CAChB,KAAK,CAAE,GAAG,CACV,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,GAAG,CAChB,aAAa,CAAE,GAAG,CAClB,OAAO,C9H/FH,CAAC,C8HgGN,AA7LL,AAgME,cAhMY,CAgMZ,YAAY,CAhMd,cAAc,CAiMZ,eAAe,CAjMjB,cAAc,CAkMZ,YAAY,CAlMd,cAAc,CAmMZ,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACZ,AlB7MH,AAkPE,cAlPY,CAkPZ,YAAY,AkBnCC,CACX,MAAM,CAAE,WAAW,CACpB,AlBjNH,AAuKE,cAvKY,CAuKZ,QAAQ,AkB4CC,CACP,YAAY,CAAE,GAAG,CAClB,AhInMH,AAAA,IAAI,AiIXC,CACH,gBAAgB,C9HPN,IAAO,C8HQlB,AAED,AACE,WADS,CACT,QAAQ,AAAC,CACP,gBAAgB,C9HZR,IAAO,C8Haf,SAAS,C/H8CS,MAAM,C+H7CzB,AAJH,AAOI,WAPO,CAMT,KAAK,CACF,AAAA,IAAC,CAAK,MAAM,AAAX,EAPN,WAAW,CAMT,KAAK,CAEF,AAAA,IAAC,CAAK,UAAU,AAAf,EARN,WAAW,CAMT,KAAK,CAGF,AAAA,IAAC,CAAK,UAAU,AAAf,EATN,WAAW,CAMT,KAAK,CAIF,AAAA,IAAC,CAAK,gBAAgB,AAArB,EAVN,WAAW,CAMT,KAAK,CAKF,AAAA,IAAC,CAAK,MAAM,AAAX,EAXN,WAAW,CAMT,KAAK,CAMF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAZN,WAAW,CAMT,KAAK,CAOF,AAAA,IAAC,CAAK,MAAM,AAAX,EAbN,WAAW,CAMT,KAAK,CAQF,AAAA,IAAC,CAAK,MAAM,AAAX,EAdN,WAAW,CAMT,KAAK,CASF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAfN,WAAW,CAMT,KAAK,CAUF,AAAA,IAAC,CAAK,OAAO,AAAZ,EAhBN,WAAW,CAMT,KAAK,CAWF,AAAA,IAAC,CAAK,KAAK,AAAV,EAjBN,WAAW,CAMT,KAAK,CAYF,AAAA,IAAC,CAAK,QAAQ,AAAb,EAlBN,WAAW,CAMT,KAAK,CAaF,AAAA,IAAC,CAAK,KAAK,AAAV,EAnBN,WAAW,CAMT,KAAK,CAcF,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CACd,SAAS,C/H4BO,MAAM,C+H3BvB,ArDgDL,AAAA,UAAU,AqD5CC,CAET,OAAO,CAAE,kBAAkB,CAS5B,AAXD,AAIE,UAJQ,CAIR,CAAC,AAAC,CACA,MAAM,CAAE,UAAU,CAKnB,AAVH,AAOI,UAPM,CAIR,CAAC,AAGE,aAAa,AAAC,CACb,aAAa,CAAE,CAAC,CACjB,ArDmUL,AAAA,KAAK,AqD9TC,CACJ,OAAO,CAAE,MAAM,CAChB,AAED,AACE,MADI,CACJ,SAAS,AAAC,CACR,OAAO,CAAE,UAAU,CACpB,AAGH,AAAA,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CACnB,ApE9CD,AAAA,cAAc,AoEiDC,CACb,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,OAAO,CACjB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,C/HsHP,OAAoD,C+HpH9D,UAAU,CAAE,IAAI,CAqDjB,AA7DD,AAUE,WAVS,CAUT,CAAC,AAAC,CACA,KAAK,C9HjFC,IAAO,C8HsFd,AAhBH,AAYI,WAZO,CAUT,CAAC,CAEC,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,KAAK,C/H8GC,OAAoD,C+H7G3D,AAfL,AAkBE,WAlBS,CAkBP,EAAE,CAAG,CAAC,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,QAAQ,CACjB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACvB,AAzBH,AA4BI,WA5BO,CA2BT,SAAS,CAAC,OAAO,AACd,aAAa,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,CAAC,CAChB,AA/BL,AAkCE,WAlCS,CAkCT,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CAyBd,AA5DH,AAoCI,WApCO,CAkCT,KAAK,AAEF,SAAS,AAAC,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,QAAQ,CAClB,OAAO,C/HZC,GAAG,C+HaX,gBAAgB,C9H9GV,IAAO,C8H+Gb,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,C/H8EX,OAAoD,C+H7E1D,UAAU,CAAE,UAAU,CAYvB,AA3DL,AAiDM,WAjDK,CAkCT,KAAK,AAEF,SAAS,CAaR,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,CAAC,CAOX,AA1DP,AAqDQ,WArDG,CAkCT,KAAK,AAEF,SAAS,CAaR,EAAE,CAIA,CAAC,AAAC,CACA,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,OAAO,CACjB,AAMT,AACE,cADY,CACZ,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAIH,AAAA,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CACnB,A3C3ID,AAAA,iBAAiB,A2C+IC,CAChB,KAAK,CAAE,GAAG,CACX,CAKD,AAAA,AACE,cADD,AAAA,CAAe,MAAM,CACpB,OAAO,EADT,AAAA,cAAC,AAAA,CAAe,MAAM,CAElB,aAAa,AAAC,CACd,SAAS,CAAE,mBAAmB,CAC9B,eAAe,CAAE,IAAI,CACtB,CALH,AAAA,AAME,cAND,AAAA,CAAe,MAAM,CAMpB,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CACnB,A7CjKH,AAAA,SAAS,A8CIC,CACR,MAAM,CAAE,MAAM,CAkEf,A9CvED,AA0CE,SA1CO,CA0CP,MAAM,A8ClCC,CACL,SAAS,CAAE,GAAG,CtHmDhB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CsHnDrB,iBAAiB,CAAE,WAAW,CAC9B,SAAS,CAAE,WAAW,CAKtB,SAAS,CAAE,IAAI,CAKhB,AAlBH,AAcI,SAdK,CAIP,MAAM,CAUJ,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,A9CrBL,AAoDE,SApDO,CAoDP,UAAU,A8C5BC,CACT,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,IAAI,CAChB,AAvBH,AAwBE,SAxBO,CAwBP,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,SAAS,ChImBD,QAAQ,CgIlBjB,AA3BH,AA+BM,SA/BG,CA4BP,mBAAmB,CACjB,WAAW,AAER,IAAK,CAAA,SAAS,CAAE,CACf,UAAU,CAAE,MAAM,CACnB,AAjCP,AAkCM,SAlCG,CA4BP,mBAAmB,CACjB,WAAW,CAKT,aAAa,AAAC,CACZ,SAAS,ChIWR,GAAG,CgIVJ,MAAM,CAAE,YAAY,CAKrB,AAJC,AAAA,0BAA0B,CArClC,SAAS,CA4BP,mBAAmB,CACjB,WAAW,CAKT,aAAa,AAGkB,CAE3B,MAAM,CAAE,YAAY,CACrB,AAxCT,AA0CM,SA1CG,CA4BP,mBAAmB,CACjB,WAAW,CAaT,8BAA8B,AAAC,CAC7B,KAAK,CAAE,IAAI,CACZ,AA5CP,AA+CE,SA/CO,CA+CP,MAAM,AAAA,eAAe,AAAC,CACpB,OAAO,CAAE,IAAI,CACd,AAjDH,AAqDI,SArDK,CAoDP,mBAAmB,CAAG,MAAM,CAC1B,eAAe,CArDnB,SAAS,CAoDP,mBAAmB,CAAG,MAAM,CAE1B,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACd,A9C5DL,AA4DE,SA5DO,CA4DP,MAAM,A8CGC,CACL,SAAS,CAAE,WAAW,CACvB,AA7DH,AAgEE,SAhEO,CAgEP,eAAe,AAAC,CACd,iBAAiB,CAAE,aAAa,CACjC,A9CiCH,AAsEE,eAtEa,CAsEb,OAAO,A8CnGC,CACN,WAAW,ChIXM,GAAG,CgIYrB,AAHH,AAKI,eALW,CAIb,OAAO,CAAC,KAAK,AACV,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CACjB,A3D3BH,AAAA,YAAY,A2D+BD,CACX,WAAW,CAAE,QAAQ,CACtB,AAED,AAAA,YAAY,CAAC,eAAe,AAAC,CAC3B,OAAO,CAAE,IAAI,CACd,ACvFD,AAEE,YAFU,CAEV,sBAAsB,CADxB,eAAe,CACb,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CACjB,AAJH,AAME,YANU,CAMV,MAAM,CALR,eAAe,CAKb,MAAM,AAAC,CACL,OAAO,CAAE,CAAC,CACX,AARH,AAUE,YAVU,CAUV,cAAc,AAAA,IAAK,CH2FO,OAAO,EGpGnC,eAAe,CASb,cAAc,AAAA,IAAK,CH2FO,OAAO,CG3FL,CAC1B,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,MAAM,CACvB,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,IAAI,CACpB,WAAW,CAAE,GAAG,CAgBjB,AAhCH,AAkBI,YAlBQ,CAUV,cAAc,AAAA,IAAK,CH2FO,OAAO,EGnF/B,MAAM,CAjBV,eAAe,CASb,cAAc,AAAA,IAAK,CH2FO,OAAO,EGnF/B,MAAM,AAAC,CACL,IAAI,CAAE,OAAO,CACb,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,UAAU,CAClB,SAAS,CjIyBN,GAAG,CiIxBN,WAAW,CAAE,MAAM,CAIpB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAxBzC,AAkBI,YAlBQ,CAUV,cAAc,AAAA,IAAK,CH2FO,OAAO,EGnF/B,MAAM,CAjBV,eAAe,CASb,cAAc,AAAA,IAAK,CH2FO,OAAO,EGnF/B,MAAM,AAAC,CAOH,SAAS,CjIsBR,GAAG,CiIpBP,CA3BL,AA6BI,YA7BQ,CAUV,cAAc,AAAA,IAAK,CH2FO,OAAO,EGxE7B,WAAW,CA5BjB,eAAe,CASb,cAAc,AAAA,IAAK,CH2FO,OAAO,EGxE7B,WAAW,AAAC,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,CjIiKf,OAAoD,CiIhK3D,AA/BL,AAkCE,YAlCU,CAkCV,IAAI,CAjCN,eAAe,CAiCb,IAAI,AAAC,CACH,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,cAAc,CAAE,MAAM,CACvB,AAtCH,AAwCE,YAxCU,CAwCV,KAAK,CAvCP,eAAe,CAuCb,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AA1CH,AA6CI,YA7CQ,CA4CV,EAAE,AACC,MAAM,CAAC,EAAE,CAAC,KAAK,CA5CpB,eAAe,CA2Cb,EAAE,AACC,MAAM,CAAC,EAAE,CAAC,KAAK,AAAC,CACf,UAAU,CAAE,MAAM,CACnB,AA/CL,AAiDI,YAjDQ,CA4CV,EAAE,CAKA,EAAE,CAAC,KAAK,CAhDZ,eAAe,CA2Cb,EAAE,CAKA,EAAE,CAAC,KAAK,AAAC,CACP,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,KAAK,CACd,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,UAAU,CACtB,AXtBL,AAMI,YANQ,CAKV,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,CALN,eAAe,CAIb,EAAE,AAAA,IAAK,CAAA,aAAa,EAClB,EAAE,AWkBsB,CACtB,OAAO,CAAE,SAAS,CACnB,AA1DL,AA4DI,YA5DQ,CA4CV,EAAE,AAgBC,IAAK,CAAA,sBAAsB,EA3DhC,eAAe,CA2Cb,EAAE,AAgBC,IAAK,CAAA,sBAAsB,CAAE,CAC5B,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AA/DL,AAmEI,YAnEQ,CAkEV,IAAI,AACD,IAAK,CpCwQE,MAAM,EoCxQE,EAAE,CAlEtB,eAAe,CAiEb,IAAI,AACD,IAAK,CpCwQE,MAAM,EoCxQE,EAAE,AAAC,CACjB,OAAO,CAAE,IAAI,CACd,AArEL,AAwEE,YAxEU,CAwEV,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAxEpB,YAAY,CAyEV,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EAzEpB,YAAY,CA0EV,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EA1EpB,YAAY,CA2EV,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,KAAK,AAAV,EA1EpB,eAAe,CAuEb,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAvEpB,eAAe,CAwEb,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EAxEpB,eAAe,CAyEb,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EAzEpB,eAAe,CA0Eb,WAAW,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,KAAK,AAAV,CAAY,CAC5B,UAAU,CAAE,CAAC,CACb,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACvB,AA/EH,AAiFE,YAjFU,CAiFV,aAAa,CAhFf,eAAe,CAgFb,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,MAAM,CACd,SAAS,CjIpCC,OAAQ,CiIqCnB,AArFH,AAuFE,YAvFU,CAuFV,MAAM,AAAA,YAAY,CAtFpB,eAAe,CAsFb,MAAM,AAAA,YAAY,AAAC,CACjB,OAAO,CAAE,SAAS,CAClB,MAAM,CAAE,CAAC,CACV,AA1FH,AA4FE,YA5FU,CA4FV,iBAAiB,CA3FnB,eAAe,CA2Fb,iBAAiB,AAAC,CAChB,WAAW,CAAE,MAAM,CACpB,AAKH,AACE,QADM,AAAA,YAAY,CAClB,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CAKZ,AAPH,AAGI,QAHI,AAAA,YAAY,CAClB,YAAY,CAEV,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AANL,AASE,QATM,AAAA,YAAY,CASlB,WAAW,AAAC,CACV,aAAa,CAAE,MAAM,CAkBtB,AA5BH,AAWI,QAXI,AAAA,YAAY,CASlB,WAAW,CAET,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,MAAM,CACf,AAfL,AAiBI,QAjBI,AAAA,YAAY,CASlB,WAAW,CAQT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,AApBL,AAqBI,QArBI,AAAA,YAAY,CASlB,WAAW,CAYT,QAAQ,CArBZ,QAAQ,AAAA,YAAY,CASlB,WAAW,CAaT,KAAK,CAtBT,QAAQ,AAAA,YAAY,CASlB,WAAW,CAcT,MAAM,AAAC,CACL,SAAS,CjI7EH,QAAQ,CiI8Ed,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,CAAC,CACd,AA3BL,AA+BI,QA/BI,AAAA,YAAY,CA8BlB,EAAE,CACA,EAAE,CAAC,KAAK,AAAC,CACP,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,KAAK,CACf,AAOL,AAAA,eAAe,CAAC,WAAW,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAcvB,AAhBD,AAII,eAJW,CAAC,WAAW,CAGzB,EAAE,AAAA,aAAa,CACb,KAAK,AAAC,CACJ,KAAK,CjI8CC,OAAoD,CiI7C3D,AANL,AASE,eATa,CAAC,WAAW,CASzB,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CAAC,KAAK,CjIyChB,OAAoD,CiIxC7D,AAXH,AAaE,eAba,CAAC,WAAW,CAazB,WAAW,AAAC,CACV,aAAa,CAAE,MAAM,CACtB,AAGH,AACE,eADa,CACb,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AAJH,AAME,eANa,CAMb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CAWvB,AXtHH,AAOI,eAPW,CAMb,WAAW,CACP,KAAK,AWsGC,CACN,KAAK,CAAE,IAAI,CACZ,AX/GL,AAyBI,eAzBW,CAMb,WAAW,CAmBT,SAAS,AWuFC,CACR,WAAW,CAAE,CAAC,CAIf,AXrHL,AA2BM,eA3BS,CAMb,WAAW,CAmBT,SAAS,CAEP,KAAK,AWuFC,CACJ,WAAW,CjIjHE,GAAG,CiIkHjB,AAKP,AAAA,eAAe,CACf,YAAY,CACZ,aAAa,AAAC,CACZ,UAAU,CAAE,IAAI,CAkBjB,AArBD,AAIE,eAJa,CAIb,UAAU,CAHZ,YAAY,CAGV,UAAU,CAFZ,aAAa,CAEX,UAAU,AAAC,CACT,WAAW,CAAE,IAAI,CAClB,AANH,AAOE,eAPa,CAOb,mBAAmB,CANrB,YAAY,CAMV,mBAAmB,CALrB,aAAa,CAKX,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAVH,AAWE,eAXa,CAWb,SAAS,CAVX,YAAY,CAUV,SAAS,CATX,aAAa,CASX,SAAS,AAAC,CACR,YAAY,CAAE,GAAG,CAClB,AAbH,AAcE,eAda,CAcb,EAAE,CAbJ,YAAY,CAaV,EAAE,CAZJ,aAAa,CAYX,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAhBH,AAiBE,eAjBa,CAiBb,IAAI,CAhBN,YAAY,CAgBV,IAAI,CAfN,aAAa,CAeX,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,KAAK,CACd,AAGH,AAAA,eAAe,CAAC,IAAI,AAAC,CACnB,SAAS,CAAE,KAAK,CACjB,AAED,AACE,gBADc,CAAC,eAAe,CAC9B,aAAa,AAAC,CACZ,aAAa,CAAE,IAAI,CACpB,AXtGH,AAME,aANW,CAMX,UAAU,AWoGC,CACT,OAAO,CAAE,IAAI,CACd,ACzNH,AAAA,WAAW,CAAC,KAAK,AAAC,CAChB,QAAQ,CAAE,MAAM,CACjB,AdGD,AAAA,uBAAuB,AcDC,CACtB,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,IAAI,CACpB,AdiCD,AAAA,QAAQ,AAAA,MAAM,Ac9BC,CACb,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,MAAM,AAAA,KAAK,AAAC,CACV,UAAU,CAAE,sCAAsC,CAClD,GAAG,CAAE,IAAI,CACV,AACD,AAAA,MAAM,AAAA,KAAK,AAAA,GAAG,AAAC,CACb,GAAG,CAAE,GAAG,CACT,AACD,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AdmID,AAAA,aAAa,Ac/HC,CACZ,OAAO,CAAE,IAAI,CACd,AdyBD,AAAA,aAAa,AcvBC,CACZ,OAAO,CAAE,IAAI,CAId,AALD,AAEE,aAFW,CAEX,EAAE,AAAC,CACD,SAAS,ClIWD,QAAQ,CkIVjB,AAGH,AAAA,MAAM,AAAC,CACL,SAAS,ClIIC,QAAQ,CkIHnB,AAED,AACE,cADY,CACZ,CAAC,AAAC,CACA,UAAU,CAAE,CAAC,CACd,AAHH,AAKE,cALY,CAKZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,YAAY,CAAE,IAAI,CACnB,AAPH,AASE,cATY,CASZ,iBAAiB,AAAC,CAChB,aAAa,CAAE,GAAG,CACnB,AAXH,AAaE,cAbY,CAaZ,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,KAAK,CACb,AAjBH,AAmBE,cAnBY,CAmBZ,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAKjB,AAzBH,AAqBI,cArBU,CAmBZ,IAAI,CAEF,KAAK,AAAA,IAAK,CAAA,aAAa,EAAC,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACpC,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACZ,AAIL,MAAM,MAAM,MAAM,MAAM,gBAAgB,EAAE,KAAK,EAC7C,AAAA,MAAM,CAAC,WAAW,CAAC,aAAa,AAAC,CAC/B,MAAM,CAAE,GAAG,CACZ,CAGH,AACE,oBADkB,CAClB,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AAJH,AAKE,oBALkB,AAKjB,MAAM,CAAC,WAAW,AAAC,CAClB,MAAM,CAAE,KAAK,CACd,Ad2RH,AAYI,oBAZgB,CAOlB,kBAAkB,CAKhB,qBAAqB,AcrSkB,CACvC,GAAG,CAAE,MAAM,CACX,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,KAAK,CACjB,Ad/EH,AAAA,sBAAsB,AcoFC,CACrB,aAAa,CAAE,IAAI,CACpB,AAID,AACE,YADU,CACV,uBAAuB,AAAC,CACtB,aAAa,CAAE,CAAC,CACjB,AAHH,AAIE,YAJU,CAIV,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,IAAI,CACf,AzBjGH,AAAA,cAAc,A0BNC,CACb,MAAM,CAAE,kBAAkB,CAqH3B,AAtHD,AAEE,cAFY,CAEZ,oBAAoB,AAAA,OAAO,AAAC,CAC1B,OAAO,CAAE,IAAI,CACd,AAJH,AAME,cANY,CAMZ,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CASpB,AAlBH,AAUI,cAVU,CAMZ,UAAU,CAIR,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,OAAO,CACnB,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,cAAc,CACtB,KAAK,CAAE,EAAE,CACV,AAjBL,AAoBE,cApBY,CAoBZ,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACb,AAvBH,AAyBE,cAzBY,CAyBZ,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CAWd,AAxCH,AA+BI,cA/BU,CAyBZ,qBAAqB,CAMnB,MAAM,AAAC,CACL,MAAM,CAAE,KAAK,CAOd,AAvCL,AAkCM,cAlCQ,CAyBZ,qBAAqB,CAMnB,MAAM,AAGH,kBAAkB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,QAAQ,CACf,AAtCP,AA0CE,cA1CY,CA0CZ,WAAW,AAAA,IAAK,CAAA,UAAU,CAAE,CAC1B,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,OAAO,CACnB,aAAa,CAAE,IAAI,CACpB,AA9CH,AAgDE,cAhDY,CAgDZ,IAAI,AAAA,IAAK,CAAA,kBAAkB,CAAE,CAC3B,aAAa,CAAE,IAAI,CACpB,AAlDH,AAoDE,cApDY,CAoDZ,0BAA0B,CApD5B,cAAc,CAqDZ,yBAAyB,AAAC,CACxB,KAAK,CAAE,CAAC,CACT,AAvDH,AAyDE,cAzDY,CAyDZ,oBAAoB,AAAC,CACnB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CAYZ,AAxEH,AA8DM,cA9DQ,CAyDZ,oBAAoB,CAIlB,cAAc,CACZ,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAjEzC,AAmEQ,cAnEM,CAyDZ,oBAAoB,CAIlB,cAAc,CAMV,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACd,CArET,AA0EE,cA1EY,CA0EZ,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,aAAa,CACrB,QAAQ,CAAE,QAAQ,CAuCnB,AArHH,AA+EI,cA/EU,CA0EZ,UAAU,CAKR,kBAAkB,AAAC,CACjB,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CACnB,AAlFL,AAmFI,cAnFU,CA0EZ,UAAU,CASN,EAAE,AAAC,CACH,YAAY,CAAE,CAAC,CACf,SAAS,CnIzCD,OAAQ,CmI0ChB,MAAM,CAAE,GAAG,CAAC,KAAK,CnIqGX,OAAoD,CmIpG3D,AAvFL,AAwFI,cAxFU,CA0EZ,UAAU,CAcN,EAAE,CAAG,CAAC,AAAC,CACP,WAAW,CnI/BG,GAAG,CmIgCjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AA/FL,AA4FM,cA5FQ,CA0EZ,UAAU,CAcN,EAAE,CAAG,CAAC,CAIN,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AA9FP,AAgGI,cAhGU,CA0EZ,UAAU,CAsBR,KAAK,AAAC,CACJ,MAAM,CAAE,GAAG,CAAC,KAAK,CnI0FX,OAAoD,CmIzF1D,QAAQ,CAAE,QAAQ,CAClB,OAAO,CnIRC,GAAG,CmISX,gBAAgB,ClI1GV,IAAO,CkI2Gb,OAAO,CAAE,gBAAgB,CACzB,KAAK,CAAE,KAAK,CACZ,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CAWR,AApHL,AA0GM,cA1GQ,CA0EZ,UAAU,CAsBR,KAAK,CAUH,EAAE,AAAC,CACD,eAAe,CAAE,IAAI,CACrB,WAAW,CAAE,CAAC,CACd,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,IAAI,CAKlB,AAnHP,AA+GQ,cA/GM,CA0EZ,UAAU,CAsBR,KAAK,CAUH,EAAE,CAKA,CAAC,AAAC,CACA,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CACtB,AAMT,AAAA,eAAe,CAAC,WAAW,AAAC,CAC1B,WAAW,CAAE,CAAC,CACf,AAKD,AACE,WADS,CACT,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,A1B7DH,AAqCE,WArCS,CAqCT,EAAE,CArCJ,WAAW,CAsCT,EAAE,A0B0BC,CACD,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,KAAK,CACjB,AATH,AAWE,WAXS,CAWT,UAAU,AAAC,CACT,WAAW,CnIlFM,GAAG,CmImFpB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CnI/CD,CAAC,CmI0DR,AAzBH,AAeI,WAfO,CAWT,UAAU,CAIR,CAAC,AAAA,MAAM,AAAC,CACN,KAAK,ClItJD,IAAO,CkIuJX,OAAO,CAAE,eAAe,CACzB,AAlBL,AAoBM,WApBK,CAWT,UAAU,CAQR,eAAe,CACb,CAAC,AAAC,CACA,WAAW,CAAE,GAAG,CAChB,KAAK,CnIsCD,OAAoD,CmIrCzD,AAvBP,AA2BE,WA3BS,CA2BT,mBAAmB,CA3BrB,WAAW,CA4BT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,AAAC,CAC9C,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CACrB,GAAG,CAAE,IAAI,CACT,SAAS,CnIpHJ,GAAG,CmIqHR,WAAW,CnIxGK,CAAC,CmIyGjB,OAAO,CAAE,wBAAwB,CAWlC,AA7CH,AAmCI,WAnCO,CA2BT,mBAAmB,CAQjB,OAAO,CAnCX,WAAW,CA4BT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,CAO7C,OAAO,AAAC,CACN,KAAK,ClIzKC,IAAO,CkI0Kd,AArCL,AAuCI,WAvCO,CA2BT,mBAAmB,AAYhB,UAAU,AAAA,QAAQ,CAvCvB,WAAW,CA4BT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,AAW5C,UAAU,AAAA,QAAQ,AAAC,CAClB,YAAY,CAAE,CAAC,CAChB,AAzCL,AA0CI,WA1CO,CA2BT,mBAAmB,AAehB,UAAU,CA1Cf,WAAW,CA4BT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,AAc5C,UAAU,AAAC,CACV,OAAO,CAAE,CAAC,CACX,AA5CL,AAgDI,WAhDO,CA+CT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,AAC5C,UAAU,CAhDf,WAAW,CA+CT,oBAAoB,CAAC,EAAE,AAAA,IAAI,CAAC,mBAAmB,AAE5C,aAAa,AAAC,CACb,KAAK,ClIvLC,IAAO,CkIwLd,AAnDL,AAsDE,WAtDS,CAsDT,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,MAAM,CAClB,OAAO,CnI1FD,CAAC,CmIwGR,AAvEH,AA0DI,WA1DO,CAsDT,iBAAiB,CAIf,SAAS,CA1Db,WAAW,CAsDT,iBAAiB,CAKf,IAAI,CA3DR,WAAW,CAsDT,iBAAiB,CAMf,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACZ,AA9DL,AA+DI,WA/DO,CAsDT,iBAAiB,CASf,SAAS,CAAC,CAAC,AAAC,CACV,SAAS,CAAE,KAAK,CACjB,AAjEL,AAkEI,WAlEO,CAsDT,iBAAiB,CAYf,IAAI,CAAC,GAAG,CAlEZ,WAAW,CAsDT,iBAAiB,CAaf,CAAC,CAnEL,WAAW,CAsDT,iBAAiB,CAcf,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CnITC,OAAoD,CmIU3D,AAtEL,AAyEE,WAzES,CAyET,IAAI,AAAC,CACH,WAAW,CAAE,MAAM,CAMpB,AAhFH,AA2EI,WA3EO,CAyET,IAAI,CAEF,CAAC,AAAC,CAGA,KAAK,CnIlBC,OAAoD,CmIkBE,UAAU,CACvE,AAML,AAAA,gBAAgB,CAAC,cAAc,AAAC,CAC9B,WAAW,CAAE,KAAK,CAClB,aAAa,CAAE,GAAG,CAqBnB,AAvBD,AAIE,gBAJc,CAAC,cAAc,CAI7B,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,KAAK,CnI/BG,OAAoD,CmIgC5D,cAAc,CAAE,GAAG,CACpB,AARH,AAUE,gBAVc,CAAC,cAAc,CAU7B,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CAClB,AAZH,AAcE,gBAdc,CAAC,cAAc,CAc7B,EAAE,AAAA,cAAc,AAAC,CACf,YAAY,CAAE,IAAI,CACnB,AAhBH,AAmBI,gBAnBY,CAAC,cAAc,CAkB7B,KAAK,CACH,SAAS,AAAC,CACR,WAAW,CAAE,SAAS,CACvB,AAIL,AAAA,mBAAmB,AAAA,SAAS,AAAC,CAK3B,UAAU,CAAE,UAAU,CAevB,AApBD,AACE,mBADiB,AAAA,SAAS,CAC1B,EAAE,AAAA,cAAc,AAAC,CACf,MAAM,CAAE,IAAI,CACb,AAHH,AAME,mBANiB,AAAA,SAAS,CAM1B,CAAC,CANH,mBAAmB,AAAA,SAAS,CAO1B,CAAC,AAAA,OAAO,CAPV,mBAAmB,AAAA,SAAS,CAQ1B,CAAC,AAAA,MAAM,AAAC,CACN,UAAU,CAAE,OAAO,CACpB,AAVH,AAYE,mBAZiB,AAAA,SAAS,CAY1B,MAAM,AAAC,CACL,KAAK,CAAE,GAAG,CACV,cAAc,CAAE,GAAG,CACpB,AAfH,AAiBE,mBAjBiB,AAAA,SAAS,CAiB1B,IAAI,AAAC,CACH,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,EAAE,AAAA,oBAAoB,AAAC,CACrB,aAAa,CAAE,GAAG,CAAC,KAAK,CnIzEd,OAAoD,CmI6E/D,AALD,AAEE,EAFA,AAAA,oBAAoB,AAEnB,aAAa,AAAC,CACb,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,SAAS,CAClB,WAAW,CAAE,SAAS,CACtB,UAAU,CAAE,SAAS,CAiFtB,AApFD,AAKE,mBALiB,CAKjB,EAAE,AAAC,CACD,SAAS,CAAE,IAAI,CACf,SAAS,CnIxOD,QAAQ,CmIyOhB,OAAO,CAAE,UAAU,CAOpB,AAfH,AASI,mBATe,CAKjB,EAAE,CAIA,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAXL,AAYI,mBAZe,CAKjB,EAAE,CAOA,CAAC,CAAA,AAAA,IAAC,AAAA,CAAM,CACN,KAAK,ClI9RD,IAAO,CkI+RZ,AAdL,AAiBE,mBAjBiB,CAiBjB,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAChB,AAnBH,AAqBE,mBArBiB,CAqBjB,oBAAoB,CAAC,UAAU,CArBjC,mBAAmB,CAsBjB,mBAAmB,CAAC,EAAE,CAtBxB,mBAAmB,CAuBjB,qBAAqB,CAAC,EAAE,AAAC,CACvB,YAAY,CAAE,IAAI,CACnB,AAzBH,AA2BE,mBA3BiB,CA2BjB,oBAAoB,CAAC,UAAU,CAAC,IAAI,AAAC,CACnC,SAAS,CnI1PC,OAAQ,CmI2PnB,AA7BH,AA+BE,mBA/BiB,CA+BjB,qBAAqB,CAAC,EAAE,AAAC,CACvB,WAAW,CAAE,CAAC,CACd,cAAc,CAAE,IAAI,CACrB,AAlCH,AAoCE,mBApCiB,CAoCjB,mBAAmB,CAAC,EAAE,AAAC,CACrB,WAAW,CAAE,IAAI,CAClB,AAtCH,AAyCI,mBAzCe,CAwCjB,WAAW,CAAG,KAAK,CAAG,EAAE,AACrB,UAAW,CAAA,GAAG,CAAE,CACf,gBAAgB,ClI1TV,IAAO,CkI2Td,AA3CL,AA4CI,mBA5Ce,CAwCjB,WAAW,CAAG,KAAK,CAAG,EAAE,AAIrB,UAAW,CAAA,IAAI,CAAE,CAChB,gBAAgB,ClI7TV,IAAO,CkI8Td,AA9CL,AAiDE,mBAjDiB,CAiDjB,EAAE,CAAC,eAAe,AAAC,CACjB,MAAM,CAAE,CAAC,CACV,AAnDH,AAsDI,mBAtDe,CAqDjB,oBAAoB,CAClB,IAAI,AAAC,CACH,WAAW,CAAE,MAAM,CACpB,AAxDL,AAyDI,mBAzDe,CAqDjB,oBAAoB,CAIlB,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACZ,AA3DL,AA8DE,mBA9DiB,CA8DjB,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AAhEH,AAiEE,mBAjEiB,CAiEf,MAAM,AAAC,CACP,UAAU,CAAE,GAAG,CAAC,KAAK,CnIjJb,OAAoD,CmIkJ5D,OAAO,CAAE,QAAQ,CAgBlB,AAnFH,AAoEI,mBApEe,CAiEf,MAAM,CAGN,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,WAAW,CACnB,KAAK,ClIxVD,IAAO,CkIyVX,WAAW,CAAE,IAAI,CACjB,SAAS,CnIvSD,OAAQ,CmIwSjB,AA1EL,AA2EI,mBA3Ee,CAiEf,MAAM,CAUN,UAAU,AAAC,CACT,OAAO,CAAE,MAAM,CACf,WAAW,CAAE,MAAM,CACpB,AA9EL,AA+EI,mBA/Ee,CAiEf,MAAM,CAcN,IAAI,AAAC,CACH,KAAK,CAAE,KAAK,CACZ,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,aADW,CACX,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CACpB,AAGH,AAAA,kBAAkB,AAAC,CACjB,MAAM,CAAE,UAAU,CACnB,AAID,AAAA,UAAU,CAAC,gBAAgB,AAAA,OAAO,CAClC,UAAU,AAAA,KAAK,CAAC,gBAAgB,AAAC,CAC/B,OAAO,CAAE,CAAC,CACX,AAED,AAAA,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CACnB,AACD,AAAA,gBAAgB,AAAA,OAAO,CACvB,KAAK,CAAC,gBAAgB,AAAC,CACrB,OAAO,CAAE,CAAC,CACX,AACD,AAAA,MAAM,AAAC,CACL,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,GAAG,CAAC,KAAK,ClIpYb,IAAO,CkIqYf,YAAY,CAAE,qBAAqB,CACnC,WAAW,CAAE,qBAAqB,CAClC,OAAO,CAAE,EAAE,CACX,WAAW,CAAE,GAAG,CACjB,AACD,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,CAAC,CACP,OAAO,CnI5SK,GAAG,CmI6Sf,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,gBAAgB,ClInZN,IAAO,CkIoZjB,MAAM,CAAE,GAAG,CAAC,KAAK,CAAmB,eAAkB,CACtD,aAAa,CAAE,GAAG,CAClB,UAAU,CnI/QE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CmIgR1C,eAAe,CAAE,WAAW,CAC5B,MAAM,CAAE,UAAU,CAKnB,AApBD,AAgBE,cAhBY,CAgBZ,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACf,AAEH,AAAA,cAAc,CAAC,CAAC,AAAC,CACf,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CACnB,WAAW,CnIpWQ,GAAG,CmIqWtB,KAAK,ClIraG,IAAO,CkIsahB,AACD,AAAA,cAAc,CAAC,EAAE,CAAG,CAAC,AAAA,MAAM,CAC3B,cAAc,CAAC,OAAO,CAAG,CAAC,CAC1B,cAAc,CAAC,OAAO,CAAG,CAAC,AAAA,MAAM,AAAC,CAC/B,KAAK,ClIxaI,IAAO,CkIyahB,eAAe,CAAE,IAAI,CACrB,gBAAgB,CnI1ON,OAAoD,CmI2O/D,AACD,AAAA,KAAK,CAAG,cAAc,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,AzDiFD,AAAA,KAAK,AyDhFC,CACJ,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,oBAAoB,CACjC,AzD6ED,AAIE,KAJG,AAIF,GAAG,AyDhFG,CACP,OAAO,CAAE,CAAC,CACX,A1BtLD,AAAA,EAAE,AAAA,oBAAoB,A0BwLC,CACrB,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,QAAQ,CAWf,AAfD,AAKE,EALA,AAAA,oBAAoB,CAKpB,EAAE,AAAA,WAAW,AAAC,CACZ,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,aAAa,CAOtB,AAdH,AAQI,EARF,AAAA,oBAAoB,CAKpB,EAAE,AAAA,WAAW,CAGX,kBAAkB,CAAC,cAAc,AAAC,CAChC,SAAS,CAAE,IAAI,CAIhB,AAbL,AAUM,EAVJ,AAAA,oBAAoB,CAKpB,EAAE,AAAA,WAAW,CAGX,kBAAkB,CAAC,cAAc,CAE/B,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAChB,AAKP,AACE,UADQ,CACR,EAAE,AAAC,CACD,WAAW,CAAE,IAAI,CAClB,AAHH,AAIE,UAJQ,CAIR,WAAW,AAAC,CACV,cAAc,CAAE,IAAI,CACrB,AANH,AAOE,UAPQ,CAOR,YAAY,AAAA,WAAW,AAAC,CACtB,YAAY,CAAE,IAAI,CACnB,AxBzPH,AAAA,gBAAgB,AwB4PC,CACf,OAAO,CAAE,IAAI,CACd,AAED,AAAA,MAAM,AAAA,UAAU,CAAC,aAAa,AAAC,CAC7B,KAAK,CAAE,KAAK,CACb,AAED,AAAA,kBAAkB,CAAC,EAAE,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAClB,AAED,AAAA,cAAc,AAAA,aAAa,AAAC,CAC1B,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,KAAK,CAOd,AATD,AAIE,cAJY,AAAA,aAAa,CAIzB,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CAClB,AAG2B,SAAC,EAApB,QAAQ,EAAE,QAAQ,EAX7B,AAAA,cAAc,AAAA,aAAa,AAYG,CAC1B,YAAY,CAAA,MAAC,CACb,UAAU,CAAE,iBAAiB,CAC7B,KAAK,CAAE,6CAA6C,CACpD,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CAQb,AAzBH,AAIE,cAJY,AAAA,aAAa,CAIzB,GAAG,AAeG,CACF,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,OAAO,CAClB,UAAU,CAAE,OAAO,CACpB,CAIL,AAAA,MAAM,AAAA,aAAa,AAAC,CAClB,YAAY,CAAE,IAAI,CACnB,AAID,AAAA,EAAE,CAAC,UAAU,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,OAAO,CAAE,YAAY,CAKtB,AAPD,AAGE,EAHA,CAAC,UAAU,CAGX,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,cAAc,CACvB,SAAS,CAAE,UAAU,CACtB,AAEH,AACE,WADS,CACT,UAAU,AAAC,CACT,SAAS,CnI/dD,QAAQ,CmIgejB,A1BrcH,AAiGE,WAjGS,CAiGT,cAAc,A0BuWC,CACb,aAAa,CAAE,CAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,cAAc,AAAA,YAAY,CAAC,mBAAmB,CAAC,qBAAqB,AAAC,CACnE,OAAO,CAAE,IAAI,CACd,AC3hBD,AAAA,SAAS,CAAG,WAAW,CAAC,OAAO,AAAC,CAC9B,UAAU,CAAE,IAAI,CACjB,AAED,AACE,SADO,CACP,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,WAAW,CAAC,OAAO,AAAC,CAClB,UAAU,CAAE,GAAG,CAAC,KAAK,CpIsLX,OAAoD,CoIrL9D,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,YAAY,AAAC,CACX,cAAc,CAAE,IAAI,CACrB,AAED,AAAA,IAAI,AAAA,YAAY,AAAC,CACf,YAAY,CAAE,GAAG,CAClB,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACd,AAED,AACE,WADS,CACT,GAAG,AAAA,cAAc,AAAC,CAChB,KAAK,CpIoKG,OAAoD,CoIhG7D,AAtEH,AAGI,WAHO,CACT,GAAG,AAAA,cAAc,CAEf,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AALL,AAOI,WAPO,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CAwBf,AAjCL,AAWQ,WAXG,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AACH,KAAK,CAXd,WAAW,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAEH,eAAe,CAZxB,WAAW,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAGH,YAAY,AAAC,CACZ,IAAI,CAAE,QAAQ,CACf,AAfT,AAgBQ,WAhBG,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,AAAC,CACb,OAAO,CpH7BJ,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CoH2CvB,AA/BT,AAkBU,WAlBC,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,CAEV,YAAY,CAlBxB,WAAW,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,CAGV,YAAY,AAAC,CACb,OAAO,CpHhCN,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CAAnB,GAAmB,CoHiCrB,AArBX,AAsBU,WAtBC,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,AAMX,SAAS,CAtBpB,WAAW,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,AAOX,cAAc,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,KAAK,CAChB,OAAO,CpHtCN,GAAmB,CoH0CrB,AA9BX,AA2BY,WA3BD,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,AAMX,SAAS,CAKR,OAAO,CA3BnB,WAAW,CACT,GAAG,AAAA,cAAc,CAMf,cAAc,CAGZ,MAAM,AAMH,aAAa,AAOX,cAAc,CAIb,OAAO,AAAC,CACN,YAAY,CpHxCb,GAAmB,CoHyCnB,AA7Bb,AAkCI,WAlCO,CACT,GAAG,AAAA,cAAc,CAiCf,OAAO,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AApCL,AAqCI,WArCO,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAAC,CACL,MAAM,CAAE,IAAI,CACZ,SAAS,CpIlBH,QAAQ,CoImBd,OAAO,CAAE,QAAQ,CACjB,UAAU,CAAE,WAAW,CACvB,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,IAAI,CA0BhB,AArEL,AA4CM,WA5CK,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAOH,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AA9CP,AA+CM,WA/CK,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAUH,MAAM,AAAC,CACN,QAAQ,CAAE,QAAQ,CACnB,AAjDP,AAkDM,WAlDK,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAaH,YAAY,AAAC,CACZ,MAAM,CAAE,aAAa,CACtB,AApDP,AAqDM,WArDK,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAgBH,MAAM,AAAC,CAIN,WAAW,CAAE,IAAI,CAClB,AA1DP,AAsDQ,WAtDG,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAgBH,MAAM,CACL,OAAO,AAAC,CACN,KAAK,CpI+GH,OAAoD,CoI9GvD,AAxDT,AA4DQ,WA5DG,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AAsBH,SAAS,CACR,OAAO,AAAC,CACN,KAAK,CnIhFR,OAAO,CmIiFL,AA9DT,AAiEQ,WAjEG,CACT,GAAG,AAAA,cAAc,CAoCf,MAAM,AA2BH,WAAW,CACV,OAAO,AAAC,CACN,KAAK,CnI5FJ,IAAO,CmI6FT,AAMT,AAAA,gBAAgB,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,UAAU,CACtB,gBAAgB,CnIxGN,IAAO,CmIyGjB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CpIqFP,OAAoD,CoIpF9D,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,KAAK,CACb,IAAI,CAAE,KAAK,CAIX,OAAO,CpInBK,GAAG,CoIoChB,AApBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAbrC,AAAA,gBAAgB,AAAC,CAcb,IAAI,CAAE,IAAI,CAmBb,CAjCD,AAiBE,gBAjBc,CAiBd,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,KAAK,CnIxHC,IAAO,CmIyHb,SAAS,CpIvEJ,GAAG,CoIwET,AArBH,AAsBE,gBAtBc,CAsBd,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,UAAU,CACnB,AAzBH,AA0BE,gBA1Bc,CA0Bd,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAKnB,AAhCH,AA4BI,gBA5BY,CA0Bd,EAAE,CAEA,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AAIL,AACE,eADa,CACb,gBAAgB,CAAC,EAAE,CAAC,CAAC,AAAC,CACpB,WAAW,CAAE,IAAI,CAClB,AtBkHH,AAAA,YAAY,AsB3GC,CACX,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,KAAK,CACb,AAED,AAAA,YAAY,CAAC,cAAc,AAAC,CAC1B,WAAW,CAAE,GAAG,CACjB,AAED,AAAA,CAAC,AAAA,aAAa,AAAC,CACb,OAAO,CpIxDC,CAAC,CoIyDT,KAAK,CpIoCK,OAAoD,CoInC9D,YAAY,CAAE,KAAK,CACpB,AAED,AAAA,WAAW,CAAC,MAAM,CAAC,SAAS,AAAC,CAC3B,KAAK,CAAE,IAAI,CACZ,AtB4ID,AAAA,UAAU,AsB1IC,CACT,MAAM,CAAE,MAAM,CAmEf,AtBsED,AA6CE,UA7CQ,CA6CR,EAAE,AsBrLC,CACD,WAAW,CpIzGM,GAAG,CoI0GrB,AAJH,AAKE,UALQ,CAKR,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CACnB,AARH,AAUI,UAVM,CASR,cAAc,CACZ,UAAU,AAAC,CACT,OAAO,CAAE,IAAI,CACd,AAZL,AAeI,UAfM,CAcR,IAAI,CACF,EAAE,AAAC,CACD,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAIjB,AArBL,AAkBM,UAlBI,CAcR,IAAI,CACF,EAAE,AAGC,aAAa,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AApBP,AAsBI,UAtBM,CAcR,IAAI,CAQF,OAAO,AAAC,CACN,WAAW,CpI7HI,GAAG,CoI8HnB,AAxBL,AAyBI,UAzBM,CAcR,IAAI,CAWF,OAAO,CAzBX,UAAU,CAcR,IAAI,CAYF,OAAO,AAAC,CACN,KAAK,CpICC,OAAoD,CoIA1D,SAAS,CpIjJH,QAAQ,CoIkJf,AA7BL,AA8BI,UA9BM,CAcR,IAAI,CAgBF,OAAO,CAAG,CAAC,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAhCL,AAkCE,UAlCQ,CAkCR,EAAE,AAAA,QAAQ,AAAC,CACT,OAAO,CAAE,IAAI,CACd,AApCH,AAqCE,UArCQ,CAqCR,MAAM,CArCR,UAAU,CAsCR,YAAY,CAtCd,UAAU,CAuCR,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,KAAK,CnI/MC,IAAO,CmIgNb,QAAQ,CAAE,IAAI,CACf,AA3CH,AA6CI,UA7CM,CA4CR,YAAY,CACV,CAAC,AAAC,CACA,MAAM,CAAE,UAAU,CACnB,AA/CL,AAkDI,UAlDM,CAiDR,QAAQ,CACN,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,MAAM,CACf,KAAK,CpIzBC,OAAoD,CoI0B1D,UAAU,CpI3CN,OAAqB,CoI4CzB,WAAW,CAAE,GAAG,CAAC,KAAK,CpI3BhB,OAAoD,CoIiC3D,AA7DL,AAwDM,UAxDI,CAiDR,QAAQ,CACN,IAAI,CAMF,GAAG,AAAC,CACF,MAAM,CAAE,CAAC,CACT,SAAS,CpIhLL,QAAQ,CoIiLZ,WAAW,CAAE,IAAI,CAClB,AA5DP,AA+DE,UA/DQ,CA+DR,aAAa,CAAC,IAAI,AAAC,CACjB,KAAK,CpIpCG,OAAoD,CoIqC5D,UAAU,CpItDJ,OAAqB,CoIuD3B,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,qBAAqB,AAAC,CAEpB,OAAO,CAAE,UAAU,CASpB,AAXD,A1H9ME,qB0H8MmB,A1H9MlB,OAAO,C0H8MV,qBAAqB,A1H7MlB,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,A0H0MH,A1HzME,qB0HyMmB,A1HzMlB,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,A0HuMH,AAGE,qBAHmB,CAGnB,gBAAgB,AAAA,WAAW,AAAC,CAC1B,KAAK,CnI9OE,IAAO,CmI+Of,AALH,AAME,qBANmB,CAMnB,SAAS,AAAC,CACR,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,KAAK,CACZ,aAAa,CAAE,KAAK,CACrB,AAGH,AACE,qBADmB,CACnB,2BAA2B,CAD7B,qBAAqB,CAEnB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAQpB,A1HlPD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,E0HsOrC,AACE,qBADmB,CACnB,2BAA2B,CAD7B,qBAAqB,CAEnB,cAAc,AAAC,CAIX,OAAO,CAAE,YAAY,CAMxB,AAZH,AAOM,qBAPe,CACnB,2BAA2B,CAMvB,OAAO,CAPb,qBAAqB,CAEnB,cAAc,CAKV,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,WAAW,CACpB,CAKP,AAAA,oBAAoB,AAAC,CACnB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,MAAM,CACf,AAED,AAAA,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,aAAa,CAcvB,AAhBD,AAGE,iBAHe,CAGf,EAAE,AAAA,MAAM,CAHV,iBAAiB,CAIf,EAAE,AAAA,MAAM,CAJV,iBAAiB,CAKf,EAAE,AAAA,SAAS,CALb,iBAAiB,CAMf,EAAE,AAAA,SAAS,CANb,iBAAiB,CAOf,EAAE,AAAA,MAAM,CAPV,iBAAiB,CAQf,EAAE,AAAA,MAAM,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAVH,AAWE,iBAXe,CAWf,CAAC,AAAA,eAAe,CAXlB,iBAAiB,CAYf,CAAC,AAAA,sBAAsB,AAAC,CACtB,SAAS,CpIvOC,OAAQ,CoIwOlB,cAAc,CAAE,GAAG,CACpB,AAGH,AAAA,IAAI,AAAA,WAAW,AAAC,CACd,UAAU,CnIhSF,IAAO,CmIiSf,KAAK,CnIhSK,IAAO,CmIiSjB,OAAO,CAAE,GAAG,CACb,AAED,AACE,qBADmB,CACnB,IAAI,AAAC,CACH,aAAa,CAAE,KAAK,CACpB,YAAY,CAAE,KAAK,CACpB,A/DzND,AAAA,YAAY,A+D4ND,CACX,OAAO,CpIxMC,CAAC,CoIyMT,MAAM,CAAE,kBAAkB,CAC1B,OAAO,CAAE,MAAM,CAChB,A/D/OC,AAAA,WAAW,A+DkPD,CACV,QAAQ,CAAE,OAAO,CAIlB,AtByOD,AAIE,WAJS,CAIT,OAAO,AsBhPC,CACN,QAAQ,CAAE,OAAO,CAClB,CAKH,AAAA,AAAA,KAAC,EAAO,YAAY,AAAnB,EAAqB,YAAY,AAAC,CACjC,QAAQ,CAAE,MAAM,CACjB,AAED,AAAA,aAAa,AAAA,QAAQ,AAAC,CACpB,OAAO,CAAE,KAAK,CACd,OAAO,CpIvOI,GAAG,CoIwOf,AAED,AAAA,MAAM,AAAC,CACL,SAAS,CAAE,IAAI,CAChB,ADuGD,AAAA,KAAK,CAAG,cAAc,ACrGC,CACrB,OAAO,CAAE,KAAK,CACf,AAED,AAAA,cAAc,CAAC,EAAE,AAAC,CAChB,MAAM,CAAE,KAAK,CAYd,AAbD,AAEE,cAFY,CAAC,EAAE,CAEf,GAAG,AAAC,CACF,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,GAAG,CACjB,AANH,AAOE,cAPY,CAAC,EAAE,CAOf,IAAI,AAAC,CACH,KAAK,CpInJG,OAAoD,CoIoJ7D,AATH,AAUE,cAVY,CAAC,EAAE,CAUf,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CnIxVC,IAAO,CmIyVd,AAGH,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,QAAQ,CAAE,QAAQ,CACnB,A/C1QD,AAAA,eAAe,A+C4QC,CACd,OAAO,CAAE,WAAW,CACrB,AAGD,AAAA,aAAa,CAAC,MAAM,AAAC,CACnB,OAAO,CAAE,IAAI,CACd,AAGD,AAAA,MAAM,AAAA,YAAY,AAAC,CACjB,OAAO,CAAE,YAAY,CACtB,AAED,AACE,QADM,CACN,WAAW,AAAC,CACV,gBAAgB,CpIpLR,qBAAoD,CoI0L7D,AAGH,AAAA,oBAAoB,AAAC,CACnB,SAAS,CpInVC,GAAG,CoIoVd,AAED,AAAA,IAAI,AAAA,SAAS,AAAC,CACZ,OAAO,CAAE,IAAI,CACd,A1DpTD,AAAA,UAAU,A0DsTC,CACT,KAAK,CAAE,IAAI,CAEX,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CAChB,A/DhUC,AAAA,IAAI,A+DkUD,CACH,OAAO,CAAE,QAAQ,CAClB,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,IAAI,AAAA,YAAY,AAAC,CACf,gBAAgB,CpIrNN,OAAoD,CoIsN/D,AAED,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,IAAI,CAClB,OAAO,CpIxTC,CAAC,CoI0TV,AtBxOD,AAAA,gBAAgB,AsB0OC,CACf,WAAW,CAAE,IAAI,CACjB,SAAS,CpIhXG,OAAQ,CoI+YrB,AtB3QD,AAIE,gBAJc,CAId,MAAM,AsByOC,CACL,WAAW,CpIrWM,GAAG,CoIsWpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CA0BhB,AAhCH,AAQI,gBARY,CAGd,MAAM,CAKJ,UAAU,AAAC,CACT,WAAW,CAAE,IAAI,CAClB,AAVL,AAYI,gBAZY,CAGd,MAAM,CASJ,MAAM,AAAC,CACL,KAAK,CAAE,CAAC,CACT,AAdL,AAgBI,gBAhBY,CAGd,MAAM,CAaJ,YAAY,AAAC,CACX,KAAK,CAAE,CAAC,CACT,AAlBL,AAoBI,gBApBY,CAGd,MAAM,CAiBJ,OAAO,AAAC,CACN,KAAK,CAAE,CAAC,CACR,UAAU,CAAE,IAAI,CACjB,AAvBL,AAyBI,gBAzBY,CAGd,MAAM,CAsBJ,WAAW,AAAC,CACV,KAAK,CAAE,CAAC,CACR,UAAU,CAAE,IAAI,CACjB,AA5BL,AA6BI,gBA7BY,CAGd,MAAM,CA0BJ,IAAI,AAAC,CACH,YAAY,CAAE,GAAG,CAClB,AAIL,AAAA,SAAS,AAAA,SAAS,CAAC,CAAC,AAAC,CACnB,KAAK,CpInQK,OAAoD,CoIoQ/D,AtBmbC,AAAA,WAAW,AsBjbD,CACV,KAAK,CpIvQK,OAAoD,CoIwQ9D,QAAQ,CAAE,MAAM,CAChB,YAAY,CAAE,IAAI,CACnB,AAED,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAED,AAAA,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,KAAK,CAAE,iBAAiB,CAOzB,AtBmaD,AACE,WADS,CACT,CAAC,AsB1aC,CACA,UAAU,CAAE,GAAG,CAChB,AANH,AAOE,WAPS,CAOT,MAAM,AAAC,CACL,YAAY,CAAE,GAAG,CAClB,AtBqSH,AACE,WADS,CACT,EAAE,AsBlSC,CACD,aAAa,CAAE,CAAC,CACjB,AtBwaH,AAAA,YAAY,AsBraC,CACX,aAAa,CAAE,GAAG,CAKnB,AtB+ZD,AAWE,YAXU,AAWT,IAAI,AsB9aC,CACJ,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CACf,ACzeH,AAAA,UAAU,CAAC,CAAC,AAAC,CACX,KAAK,CrIiMK,OAAoD,CqIhM/D,AAED,AAAA,uBAAuB,AAAC,CACtB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,YAAY,CAAE,GAAG,CAClB,AvBqiBD,AAAA,UAAU,AuBniBC,CACT,OAAO,CAAE,YAAY,CACtB,AhEoEC,AAAA,YAAY,AgElED,CACX,MAAM,CAAE,aAAa,CAgBtB,AtBuDD,AASE,YATU,CASV,EAAE,AsB/EC,CACD,SAAS,CrI8BD,QAAQ,CqI7BhB,WAAW,CrI8CM,GAAG,CqIxCrB,AAVH,AAKI,YALQ,CAEV,EAAE,CAGA,CAAC,AAAC,CACA,KAAK,CpIpBD,IAAO,CoIqBX,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,UAAU,CACtB,AATL,AAWE,YAXU,CAWV,uBAAuB,AAAC,CACtB,UAAU,CAAE,GAAG,CAChB,AAbH,AAcE,YAdU,CAcV,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACd,AAGH,AAAA,gBAAgB,CAAC,YAAY,CAAC,sBAAsB,AAAC,CACnD,OAAO,CAAE,MAAM,CAChB,AAED,AAAA,kBAAkB,AAAC,CACjB,YAAY,CAAE,IAAI,CAClB,UAAU,CAAE,GAAG,CAAC,KAAK,CrI2JX,OAAoD,CqI1J9D,WAAW,CAAE,IAAI,CAQlB,AAXD,AAIE,kBAJgB,CAIhB,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CAId,AAVH,AAOI,kBAPc,CAIhB,EAAE,CAGA,MAAM,AAAC,CACL,UAAU,CAAE,UAAU,CACvB,AtBZL,AAAA,uBAAuB,AsBgBC,CACtB,QAAQ,CAAE,KAAK,CACf,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,OAAO,CrI8CK,GAAG,CqI1ChB,AARD,AAKE,uBALqB,AAKpB,IAAK,CAAA,OAAO,CAAE,CACb,aAAa,CAAE,2BAA2B,CAC3C,AAGH,AAAA,wBAAwB,AAAC,CACvB,MAAM,CAAE,GAAG,CAAC,KAAK,CrIqIP,OAAoD,CqIpI9D,OAAO,CAAE,GAAG,CACZ,UAAU,CpI9DA,IAAO,CoIgEjB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,KAAK,CAgCb,AAvCD,AASE,wBATsB,CAStB,MAAM,AAAA,KAAK,AAAC,CACV,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAOnB,AAlBH,AAYI,wBAZoB,CAStB,MAAM,AAAA,KAAK,CAGT,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAClB,SAAS,CrI5BH,QAAQ,CqI6Bf,AAjBL,AAoBI,wBApBoB,CAmBtB,UAAU,CACR,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,SAAS,CrIpCH,QAAQ,CqIqCf,AA1BL,AA2BI,wBA3BoB,CAmBtB,UAAU,CAQR,MAAM,AAAA,IAAI,AAAC,CACT,KAAK,CAAE,gBAAgB,CACvB,KAAK,CAAE,IAAI,CACZ,AA9BL,AAgCE,wBAhCsB,CAgCtB,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,MAAM,CAAE,CAAC,CACV,AAlCH,AAmCE,wBAnCsB,CAmCtB,MAAM,AAAA,IAAI,AAAA,YAAY,AAAC,CACrB,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,CAAC,CACjB,AAGH,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAIlB,gBAAgB,CpIzGN,IAAO,CoI0GjB,KAAK,CpIzGI,IAAO,CoI0GhB,MAAM,CAAE,GAAG,CAAC,KAAK,CrIsFP,OAAoD,CqIrF9D,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,C3HvCZ,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,C2HiE1B,AAzCD,AAEE,eAFa,AAEZ,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAJH,AAcE,eAda,CAcb,KAAK,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CAClB,OAAO,CrInBD,CAAC,CqIoBR,AApBH,AAqBE,eArBa,CAqBb,EAAE,AAAC,CACD,OAAO,CAAE,MAAM,CACf,SAAS,CrI5ED,QAAQ,CqI6EhB,WAAW,CrI9DK,CAAC,CqI+DlB,AAzBH,AA0BE,eA1Ba,CA0Bb,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CrI9BD,CAAC,CqI+BR,AA/BH,AAgCE,eAhCa,CAgCb,GAAG,AAAC,CACF,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,YAAY,CAAE,GAAG,CAAC,KAAK,CrIwDf,OAAoD,CqIvD5D,gBAAgB,CrIuDR,OAAoD,CqItD5D,UAAU,CAAE,WAAW,CACxB,AAGH,AAAA,YAAY,CACZ,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CAClB,SAAS,CrIxGC,QAAQ,CqIyGlB,WAAW,CrIvFQ,GAAG,CqIgGvB,AAhBD,AASE,YATU,CASV,YAAY,CATd,YAAY,CAUV,iBAAiB,CATnB,aAAa,CAQX,YAAY,CARd,aAAa,CASX,iBAAiB,AAAC,CAChB,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,IAAI,CACnB,AAGH,AAAA,uBAAuB,AAAA,OAAO,AAAC,CAC7B,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,WAAW,AAAA,aAAa,AAAC,CACvB,cAAc,CAAE,IAAI,CACrB,AAED,AAAA,GAAG,CAAC,GAAG,CACP,GAAG,CAAC,GAAG,CACP,GAAG,CAAC,GAAG,CACP,GAAG,CAAC,GAAG,AAAC,CACN,GAAG,CAAE,CAAC,CACP,AtBzFD,AACE,YADU,CACV,cAAc,AsB2FY,CAC1B,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CAcZ,AAjBD,AAKE,YALU,CAAC,cAAc,CAKzB,KAAK,AAAA,WAAW,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AAPH,AASE,YATU,CAAC,cAAc,CASzB,WAAW,AAAA,UAAU,AAAA,iBAAiB,AAAC,CACrC,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,CAAC,CACd,AAZH,AAcE,YAdU,CAAC,cAAc,CAczB,eAAe,AAAC,CACd,WAAW,CrIlIK,CAAC,CqImIlB,AAIH,AACE,eADa,CACb,WAAW,CADb,eAAe,CAEb,SAAS,AAAC,CACR,SAAS,CrIxJD,QAAQ,CqIyJhB,OAAO,CAAE,GAAG,CACb,AALH,AAME,eANa,CAMb,eAAe,AAAC,CACd,aAAa,CAAE,MAAM,CACtB,A7C9MH,AAqCI,uBArCmB,CAiCrB,kBAAkB,CAIhB,WAAW,A6C8KC,CACV,MAAM,CAAE,mBAAmB,CAC3B,OAAO,CAAE,IAAI,CACd,A7CtNL,AA8BE,uBA9BqB,CA8BrB,IAAI,AAAA,WAAW,A6C0LC,CACd,YAAY,CAAE,CAAC,CAChB,AAGH,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CAChB,ACjOD,AACE,gBADc,CACd,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,iBAAiB,CACzB,AAHH,AAIE,gBAJc,CAId,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,SAAS,CtI6CJ,GAAG,CsI5CR,WAAW,CtI0DM,GAAG,CsIzDrB,AAPH,AAQE,gBARc,CAQd,YAAY,AAAC,CACX,KAAK,CtIyLG,OAAoD,CsIxL7D,AAVH,AAWE,gBAXc,CAWd,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CAiBpB,AA/BH,AAeI,gBAfY,CAWd,OAAO,AAIJ,cAAc,AAAC,CACd,aAAa,CAAE,GAAG,CACnB,AAjBL,AAkBI,gBAlBY,CAWd,OAAO,CAOL,KAAK,CAlBT,gBAAgB,CAWd,OAAO,CAQL,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CAChB,WAAW,CtI2CI,GAAG,CsI1ClB,MAAM,CAAE,CAAC,CACV,AAvBL,AAwBI,gBAxBY,CAWd,OAAO,CAaL,MAAM,AAAC,CACL,YAAY,CAAE,GAAG,CAClB,AA1BL,AA2BI,gBA3BY,CAWd,OAAO,CAgBL,OAAO,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AvD9BL,AAAA,uBAAuB,AuDkCC,CACtB,MAAM,CAAE,KAAK,CACd,A5BjCD,AAAA,qBAAqB,A6BDC,CACpB,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,OAAO,CAC9B,kBAAkB,CAAE,cAAc,CAClC,YAAY,CvHUD,IAAmB,CuHT9B,eAAe,CvHSJ,IAAmB,CuHc/B,A7B3BD,AAOE,qBAPmB,CAOnB,wBAAwB,A6BFC,CACvB,iBAAiB,CAAE,CAAC,CACpB,cAAc,CAAE,CAAC,CACjB,eAAe,CAAE,CAAC,CACnB,A7BTH,AAaE,qBAbmB,CAanB,0BAA0B,A6BHC,CACzB,iBAAiB,CAAE,CAAC,CACpB,cAAc,CAAE,CAAC,CAClB,A7BbH,AA8BE,qBA9BmB,CA8BnB,yBAAyB,CAAG,aAAa,CA9B3C,qBAAqB,CA+BnB,0BAA0B,CAAG,aAAa,A6BhBC,CACzC,iBAAiB,CAAE,CAAC,CACrB,A7BjBH,AAmCE,qBAnCmB,CAmCnB,yBAAyB,A6BjBC,CACxB,iBAAiB,CAAE,CAAC,CACpB,cAAc,CAAE,CAAC,CAClB,AAtBH,AAuBE,qBAvBmB,CAuBnB,aAAa,CAvBf,qBAAqB,CAwBnB,QAAQ,AAAC,CACP,cAAc,CAAE,CAAC,CACjB,iBAAiB,CAAE,CAAC,CACrB,AAGH,AAAA,UAAU,AAAC,CACT,UAAU,CvHjBC,IAAmB,CuHgL/B,AAhKD,AAGE,UAHQ,CAGR,aAAa,AAAC,CACZ,UAAU,CAAE,UAAU,CACtB,gBAAgB,CtIpCR,IAAO,CsIyChB,AAVH,AAMI,UANM,CAGR,aAAa,CAGX,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CvHxBH,IAAmB,CuHyB3B,A7B2DL,AACE,UADQ,CACR,MAAM,A6BzDC,CACL,aAAa,CAAE,CAAC,CAChB,KAAK,CtI7CG,IAAO,CsIsLhB,A7BnFH,AAyBM,UAzBI,CACR,MAAM,CAeJ,UAAU,CASR,EAAE,A6B5EC,CACD,OAAO,CvHlCF,GAAmB,CuHkCV,CAAC,CAChB,A7BiDP,AAmEI,UAnEM,CACR,MAAM,CAkEJ,QAAQ,A6BjHC,CACP,aAAa,CvHvCN,IAAmB,CuH0F3B,A7BNL,AAuEM,UAvEI,CACR,MAAM,CAkEJ,QAAQ,CAIN,EAAE,A6BlHC,CACD,WAAW,CvIKC,CAAC,CuIJd,A7ByCP,AA+EM,UA/EI,CACR,MAAM,CAkEJ,QAAQ,CAYN,EAAE,A6BtHC,CACD,WAAW,CvIEE,GAAG,CuIDjB,A7BqCP,AAgIM,UAhII,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,A6BnKC,CAInB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CvHvDD,GAAmB,CAFnB,IAAI,CuH6DV,A7ByBP,AAmIQ,UAnIE,CACR,MAAM,CAkEJ,QAAQ,CA6DN,oBAAoB,CAGlB,aAAa,A6BrKC,CACZ,KAAK,CAAE,GAAG,CACX,AApCT,AAwCQ,UAxCE,CAYR,MAAM,CAUJ,QAAQ,CAWN,oBAAoB,CAOlB,GAAG,AAAA,OAAO,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AA1CT,AA6CM,UA7CI,CAYR,MAAM,CAUJ,QAAQ,CAuBN,mBAAmB,AAAC,CAClB,UAAU,CAAE,MAAM,CACnB,AA/CP,AAiDM,UAjDI,CAYR,MAAM,CAUJ,QAAQ,CA2BN,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,MAAM,CACvB,SAAS,CvInCR,GAAG,CuI4CL,AA9DP,AAsDQ,UAtDE,CAYR,MAAM,CAUJ,QAAQ,CA2BN,qBAAqB,CAKnB,OAAO,AAAC,CACN,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CACb,YAAY,CAAE,MAAM,CACrB,AA1DT,AA2DQ,UA3DE,CAYR,MAAM,CAUJ,QAAQ,CA2BN,qBAAqB,CAUnB,CAAC,AAAC,CACA,eAAe,CAAE,SAAS,CAC3B,AA7DT,AAgEM,UAhEI,CAYR,MAAM,CAUJ,QAAQ,CA0CN,sBAAsB,AAAC,CACrB,YAAY,CAAE,GAAG,CAClB,AAlEP,AAoEM,UApEI,CAYR,MAAM,CAUJ,QAAQ,CA8CN,sBAAsB,CApE5B,UAAU,CAYR,MAAM,CAUJ,QAAQ,CA+CN,qBAAqB,AAAC,CACpB,eAAe,CAAE,MAAM,CACvB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAzEP,AA4EI,UA5EM,CAYR,MAAM,CAgEJ,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,KAAK,CtI/GD,IAAO,CsIkIZ,AAlGL,AAiFM,UAjFI,CAYR,MAAM,CAgEJ,QAAQ,CAKN,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CAAC,CAAC,CvHlGN,IAAmB,CuHmGzB,AAnFP,AAqFM,UArFI,CAYR,MAAM,CAgEJ,QAAQ,CASN,gBAAgB,AAAC,CACf,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,IAAI,CAChB,AA1FP,AA4FM,UA5FI,CAYR,MAAM,CAgEJ,QAAQ,CAgBN,IAAI,AAAC,CACH,KAAK,CtI7HH,IAAO,CsI8HT,MAAM,CAAE,CAAC,CAAC,IAAI,CvH9GT,GAAmB,CuH+GxB,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,MAAM,CACnB,A7B7BP,AAMM,UANI,CACR,MAAM,AAIH,eAAe,CACd,mBAAmB,A6B2BC,CAClB,MAAM,CAAE,KAAK,CACd,AAvGP,AAwGM,UAxGI,CAYR,MAAM,AAwFH,eAAe,CAId,oBAAoB,AAAC,CACnB,UAAU,CvHzHL,KAAmB,CuH0HzB,AA1GP,AA6GI,UA7GM,CAYR,MAAM,CAiGJ,SAAS,AAAC,CACR,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,IAAI,CAsClB,A7BlFL,AA2IM,UA3II,CACR,MAAM,CAyIJ,SAAS,CACP,EAAE,A6B7FC,CACD,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CAkBlB,AAzIP,AAwHQ,UAxHE,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAMA,EAAE,CAxHV,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAOE,IAAI,AAAC,CACL,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,GAAG,CAYjB,AAxIT,AA6HU,UA7HA,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAMA,EAAE,CAKA,MAAM,CA7HhB,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAMA,EAAE,CAMA,CAAC,CA9HX,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAOE,IAAI,CAIJ,MAAM,CA7HhB,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAOE,IAAI,CAKJ,CAAC,AAAC,CACA,KAAK,CAAE,IAAI,CACZ,AAhIX,AAiIU,UAjIA,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAMA,EAAE,CASA,WAAW,AAAA,oBAAoB,AAAA,4BAA4B,CAjIrE,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAOE,IAAI,CAQJ,WAAW,AAAA,oBAAoB,AAAA,4BAA4B,AAAC,CAC1D,KAAK,CAAE,IAAI,CAKZ,AAvIX,AAmIY,UAnIF,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAMA,EAAE,CASA,WAAW,AAAA,oBAAoB,AAAA,4BAA4B,CAEzD,EAAE,CAnId,UAAU,CAYR,MAAM,CAiGJ,SAAS,CAKP,EAAE,CAOE,IAAI,CAQJ,WAAW,AAAA,oBAAoB,AAAA,4BAA4B,CAEzD,EAAE,AAAC,CACD,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,CAAC,CACf,AAtIb,AA2IM,UA3II,CAYR,MAAM,CAiGJ,SAAS,CA8BP,6BAA6B,AAAC,CAC5B,MAAM,CAAE,SAAS,CAIlB,AAhJP,AA6IQ,UA7IE,CAYR,MAAM,CAiGJ,SAAS,CA8BP,6BAA6B,CAE3B,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AA/IT,AAkJM,UAlJI,CAYR,MAAM,CAiGJ,SAAS,CAqCP,CAAC,AAAC,CACA,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,KAAK,CACjB,AArJP,AA0JI,UA1JM,CAyJR,WAAW,CACT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,IAAI,CAClB,AAIL,AAAA,UAAU,CAAC,eAAe,AAAA,MAAM,AAAA,eAAe,AAAC,CAC9C,gBAAgB,CAAE,eAAe,CAIlC,AALD,AAEE,UAFQ,CAAC,eAAe,AAAA,MAAM,AAAA,eAAe,CAE7C,QAAQ,AAAC,CACP,UAAU,CAAE,CAAC,CACd,AAGH,AAAA,UAAU,CAAC,eAAe,AAAA,MAAM,CAAC,QAAQ,AAAC,CACxC,OAAO,CAAE,IAAI,CAad,AAdD,AAEE,UAFQ,CAAC,eAAe,AAAA,MAAM,CAAC,QAAQ,CAEvC,oBAAoB,AAAC,CACnB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,UAAU,CACvB,AANH,AAOE,UAPQ,CAAC,eAAe,AAAA,MAAM,CAAC,QAAQ,CAOvC,QAAQ,CAAC,gBAAgB,AAAC,CACxB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,CAAC,CACV,AAVH,AAWE,UAXQ,CAAC,eAAe,AAAA,MAAM,CAAC,QAAQ,CAWvC,mBAAmB,AAAC,CAClB,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,gBAAgB,CAAC,cAAc,AAAA,SAAS,AAAC,CACvC,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CACjB,A7B4PD,AAKE,cALY,CAKZ,EAAE,A6B9PC,CACD,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,CAAC,CAMX,A7BiPH,AAaM,cAbQ,CAKZ,EAAE,AAKC,YAAY,CAGX,CAAC,A6BlQC,CACA,OAAO,CAAE,CAAC,CACX,A3C9GP,AAmFE,WAnFS,AAmFR,OAAO,A2CgCS,CACjB,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,YAAY,AAAC,CACX,aAAa,CAAE,GAAG,CACnB,AAED,AAAA,iBAAiB,AAAC,CAChB,cAAc,CAAE,GAAG,CA4BpB,A7B6SD,AA4BE,iBA5Be,CA4Bf,aAAa,A6BnWC,CACZ,UAAU,CvHzOD,GAAmB,CuH0O7B,AALH,AAOE,iBAPe,CAOf,kBAAkB,AAAC,CACjB,aAAa,CvH7OJ,IAAmB,CuH8O7B,AATH,AAWE,iBAXe,CAWf,eAAe,AAAC,CACd,QAAQ,CAAE,MAAM,CACjB,AAbH,AAeE,iBAfe,CAef,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,IAAI,CACd,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CAKf,AAxBH,AAoBI,iBApBa,CAef,eAAe,CAKb,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,QAAQ,CACf,AAvBL,AA0BE,iBA1Be,CA0Bf,KAAK,CAAC,SAAS,CAAC,MAAM,AAAC,CACrB,KAAK,CAAE,KAAK,CACb,AAGH,AAGI,WAHO,CAGL,MAAM,AAAA,YAAY,CAHxB,WAAW,CAEP,YAAY,CACV,MAAM,AAAA,YAAY,AAAC,CACnB,UAAU,CAAE,IAAI,CACjB,AAIL,AACE,kBADgB,CAChB,eAAe,AAAC,CACd,SAAS,CAAE,IAAI,CAMhB,AARH,AAGI,kBAHc,CAChB,eAAe,CAEb,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACd,SAAS,CvI/OD,OAAQ,CuIgPhB,OAAO,CAAE,CAAC,CACX,AAPL,AAUI,kBAVc,CAShB,KAAK,CACH,EAAE,AAAA,cAAc,AAAC,CACf,OAAO,CAAE,IAAI,CACd,AAZL,AAaI,kBAbc,CAShB,KAAK,CAIH,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CACnB,AAjBL,AAkBI,kBAlBc,CAShB,KAAK,CASH,EAAE,AAAA,cAAc,AAAC,CACf,YAAY,CAAE,GAAG,CAClB,AApBL,AAqBI,kBArBc,CAShB,KAAK,CAYH,EAAE,AAAA,YAAa,CAAA,GAAK,CAAE,CACpB,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,GAAG,CACV,OAAO,CAAE,cAAc,CACxB,AAzBL,AA2BE,kBA3BgB,CA2BhB,iBAAiB,AAAC,CAChB,UAAU,CAAE,GAAG,CAChB,AC1TH,AACE,MADI,AAAA,cAAc,CAClB,MAAM,AAAC,CACL,KAAK,CAAE,IAAI,CACZ,AAHH,AAIE,MAJI,AAAA,cAAc,CAIlB,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACb,AANH,AAOE,MAPI,AAAA,cAAc,CAOlB,sBAAsB,AAAC,CACrB,UAAU,CAAE,KAAK,CAClB,AATH,AAUE,MAVI,AAAA,cAAc,CAUlB,UAAU,AAAC,CACT,SAAS,CAAE,IAAI,CAChB,AAZH,AAaE,MAbI,AAAA,cAAc,CAalB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACd,AvCbH,AACE,MADI,AAAA,cAAc,CAClB,iBAAiB,AuCaC,CAChB,WAAW,CxIgDK,GAAG,CwI/CpB,AAlBH,AAmBE,MAnBI,AAAA,cAAc,CAmBlB,GAAG,AAAC,CACF,SAAS,CAAE,GAAG,CACd,MAAM,CAAE,IAAI,CACb,AAtBH,AAwBI,MAxBE,AAAA,cAAc,CAuBlB,iBAAiB,CACf,KAAK,AAAC,CACJ,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,UAAU,CACtB,AA5BL,AA+BE,MA/BI,AAAA,cAAc,CA+BlB,aAAa,AAAC,CACZ,UAAU,CAAE,MAAM,CACnB,AAjCH,AAmCE,MAnCI,AAAA,cAAc,CAmClB,kBAAkB,AAAC,CACjB,aAAa,CAAE,GAAG,CACnB,ACrCH,AAAA,SAAS,CAAC,KAAK,CACf,SAAS,AAAA,MAAM,CAAC,KAAK,AAAC,CACpB,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,IAAI,CACjB,AnDgCD,AAAA,KAAK,AmD9BC,CACJ,WAAW,CAAE,MAAM,CACnB,UAAU,CxIPA,IAAO,CwIQjB,KAAK,CzIyLK,OAAoD,CyIxL9D,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CAWT,AAlBD,AASE,KATG,CASH,SAAS,CATX,KAAK,CAUH,aAAa,CAVf,KAAK,CAWH,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACd,AAbH,AAeE,KAfG,CAeH,wBAAwB,AAAC,CACvB,KAAK,CzI4KG,OAAoD,CyI3K7D,ACvBH,AACE,UADQ,CACR,WAAW,AAAA,oBAAoB,AAAA,eAAe,CAC5C,sBAAsB,CACtB,EAAE,AAAA,cAAc,AAAC,CACjB,SAAS,C1I6CD,QAAQ,C0I5ChB,aAAa,CAAE,MAAM,CACtB,ArCNH,AAUE,UAVQ,CAUR,YAAY,AqCFC,CACX,KAAK,CAAE,IAAI,CACZ,AAVH,AAYE,UAZQ,CAYR,WAAW,AAAC,CACV,KAAK,C1IqLG,OAAoD,C0IpL5D,OAAO,CAAE,GAAG,CACb,AAfH,AAiBE,UAjBQ,CAiBR,KAAK,AAAC,CACJ,UAAU,CAAE,GAAG,CAAC,KAAK,C1IgLb,OAAoD,C0I/K5D,OAAO,CAAE,GAAG,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAoBhB,AAzCH,AAuBI,UAvBM,CAiBR,KAAK,CAMH,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AA1BL,AA4BI,UA5BM,CAiBR,KAAK,CAWH,UAAU,AAAC,CACT,IAAI,CAAE,OAAO,CAWd,AAxCL,AA8BM,UA9BI,CAiBR,KAAK,CAWH,UAAU,CAER,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAhCP,AAiCM,UAjCI,CAiBR,KAAK,CAWH,UAAU,CAKR,MAAM,AAAC,CACL,WAAW,CAAE,KAAK,CAClB,KAAK,C1I+JD,OAAoD,C0I9JzD,AApCP,AAqCM,UArCI,CAiBR,KAAK,CAWH,UAAU,CASR,aAAa,AAAC,CACZ,KAAK,CzI7BN,OAAO,CyI8BP,A1DvCP,AAAA,iBAAiB,A2DAC,CAChB,cAAc,CAAE,MAAM,CACtB,UAAU,CAAE,KAAK,CAsClB,A3DxCD,AA4BE,iBA5Be,CA4Bf,gBAAgB,A2DxBC,CACf,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CAmBZ,A3DzBH,AA0CI,iBA1Ca,CA4Bf,gBAAgB,CAcd,YAAY,A2DlCC,CACX,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CACjB,eAAe,CAAE,MAAM,CAaxB,A3DxBL,AAgEM,iBAhEW,CA4Bf,gBAAgB,CAcd,YAAY,CAsBV,QAAQ,A2DnDC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,CAAC,CACd,KAAK,CAAE,IAAI,CAKZ,AAvBP,AAoBQ,iBApBS,CAIf,gBAAgB,CAId,YAAY,CAKV,QAAQ,CAON,WAAW,AAAC,CACV,IAAI,CAAE,QAAQ,CACf,AAtBT,AA2BE,iBA3Be,CA2Bf,cAAc,AAAC,CACb,UAAU,CAAE,GAAG,CAChB,A3D7BH,AA4GE,iBA5Ge,CA4Gf,wBAAwB,A2D7EC,CACvB,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CAKV,AAvCH,AAoCI,iBApCa,CA+Bf,wBAAwB,CAKtB,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACZ,A3DgOL,AAAA,UAAU,A2D5NC,CACT,SAAS,CAAE,GAAG,CACf,AnC/BD,AAAA,aAAa,AoCbC,CACZ,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,IAAI,CACb,ApCgCD,AAAA,aAAa,CAAC,cAAc,AoC9BC,CAC3B,MAAM,CAAE,GAAG,CACZ,AlEseD,AAAA,KAAK,AmE7eC,CACJ,GAAG,CAAE,eAAe,CACrB,AnEieD,AAAA,wBAAwB,AmE/dC,CACvB,GAAG,CAAE,IAAI,CACV,ACND,AAAA,MAAM,AAAC,CACL,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,SAAS,CAClB,AAED,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,eAAe,CACf,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CACnB,AAED,AACE,cADY,CACZ,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,C9I+Kb,OAAoD,C8I1J7D,AAvBH,AAII,cAJU,CACZ,aAAa,CAGX,UAAU,AAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,GAAG,CACX,AARL,AAUI,cAVU,CACZ,aAAa,CASX,UAAU,AAAC,CACT,UAAU,CAAE,CAAC,CACd,AAZL,AAcI,cAdU,CACZ,aAAa,CAaX,kBAAkB,AAAC,CACjB,KAAK,C9IkKC,OAAoD,C8I3J3D,AAtBL,AAiBM,cAjBQ,CACZ,aAAa,CAaX,kBAAkB,CAGhB,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,YAAY,CACtB,ACtCP,AAEE,UAFQ,CAER,iBAAiB,CAAC,cAAc,CADlC,eAAe,CACb,iBAAiB,CAAC,cAAc,AAAC,CAC/B,SAAS,C/IgDC,OAAQ,C+I/CnB,AAJH,AAKE,UALQ,CAKR,WAAW,CAAC,CAAC,AAAA,gBAAgB,CAJ/B,eAAe,CAIb,WAAW,CAAC,CAAC,AAAA,gBAAgB,AAAC,CAC5B,OAAO,CAAE,KAAK,CACf,ACPH,AAEI,YAFQ,CACV,aAAa,CACX,OAAO,AAAC,CACN,MAAM,CAAE,QAAQ,CAQjB,AAXL,AAIM,YAJM,CACV,aAAa,CACX,OAAO,CAEL,aAAa,AAAC,CACZ,IAAI,CAAE,QAAQ,CAKf,AAVP,AAMQ,YANI,CACV,aAAa,CACX,OAAO,CAEL,aAAa,CAEX,iBAAiB,AAAC,CAChB,UAAU,CAAE,IAAI,CAChB,YAAY,CAAE,CAAC,CAChB,AATT,AAYI,YAZQ,CACV,aAAa,CAWX,YAAY,AAAC,CACX,IAAI,CAAE,OAAO,CACd,AAdL,AAeI,YAfQ,CACV,aAAa,CAcX,cAAc,AAAC,CACb,MAAM,CAAE,MAAM,CACd,KAAK,CAAE,IAAI,CAIZ,AArBL,AAkBM,YAlBM,CACV,aAAa,CAcX,cAAc,CAGZ,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACZ,AApBP,AAsBI,YAtBQ,CACV,aAAa,CAqBX,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,IAAI,CACZ,ACxBL,AACE,gBADc,CACd,mBAAmB,AAAC,CAClB,OAAO,CAAE,CAAC,CACV,KAAK,CAAE,IAAI,CACZ,AAJH,AAME,gBANc,CAMd,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AATH,AAUE,gBAVc,CAUd,gBAAgB,AAAA,MAAM,AAAA,SAAS,CAAC,cAAc,CAVhD,gBAAgB,CAWd,gBAAgB,CAAC,WAAW,AAAC,CAC3B,KAAK,CAAE,IAAI,CACZ,AAbH,AAeE,gBAfc,CAed,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAChB,AClBH,AAEI,cAFU,CACZ,aAAa,CACX,KAAK,AAAC,CACJ,cAAc,CAAE,MAAM,CAkBvB,AArBL,AAKM,cALQ,CACZ,aAAa,CACX,KAAK,CAGH,QAAQ,AAAC,CACP,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AATP,AAWM,cAXQ,CACZ,aAAa,CACX,KAAK,CASH,KAAK,AAAC,CACJ,KAAK,CAAE,CAAC,CACT,AAbP,AAeM,cAfQ,CACZ,aAAa,CACX,KAAK,CAaH,aAAa,AAAC,CACZ,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,OAAO,CACb,OAAO,CAAE,GAAG,CACb,ACpBP,AAGM,aAHO,AAAA,WAAW,CACtB,mBAAmB,CACjB,aAAa,CACX,KAAK,CAAC,EAAE,CAAC,EAAE,AAAA,YAAY,CAH7B,aAAa,AAAA,WAAW,CACtB,mBAAmB,CACjB,aAAa,CAEX,KAAK,CAAC,EAAE,CAAC,EAAE,AAAA,YAAY,AAAC,CACtB,KAAK,CAAE,IAAI,CACZ,AAKP,AAGM,aAHO,AAAA,gBAAgB,CAC3B,mBAAmB,CACjB,aAAa,CACX,KAAK,CAAC,EAAE,CAAC,EAAE,AAAA,KAAK,CAHtB,aAAa,AAAA,gBAAgB,CAC3B,mBAAmB,CACjB,aAAa,CAEX,KAAK,CAAC,EAAE,CAAC,EAAE,AAAA,KAAK,AAAC,CACf,KAAK,CAAE,GAAG,CACX,ACjBP,AACE,mBADiB,CACjB,MAAM,AAAC,CACL,SAAS,CpJiDC,OAAQ,CoJhDnB,AAHH,AAKE,mBALiB,CAKjB,MAAM,CAAC,0BAA0B,AAAC,CAChC,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAAC,KAAK,CpJ2Lf,OAAoD,CoJ1L5D,OAAO,CAAE,IAAI,CAYd,AApBH,AAUI,mBAVe,CAKjB,MAAM,CAAC,0BAA0B,CAK/B,MAAM,AAAC,CACL,YAAY,CAAE,WAAW,CACzB,gBAAgB,CAAE,KAAK,CACvB,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,cAAc,CAC1B,AAfL,AAiBI,mBAjBe,CAKjB,MAAM,CAAC,0BAA0B,CAY/B,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACd,AAnBL,AAuBI,mBAvBe,CAsBjB,MAAM,CAAC,KAAK,CAAC,EAAE,CAAC,EAAE,AACf,KAAK,CAAC,SAAS,AAAC,CACf,OAAO,CAAE,IAAI,CACd,ACzBL,AACE,cADY,CACZ,gBAAgB,CAAC,cAAc,AAAC,CAC9B,WAAW,CAAE,MAAM,CACpB,ACHH,AAAA,gBAAgB,CAAC,WAAW,AAAA,SAAS,AAAC,CACpC,IAAI,CAAE,CAAC,CACR,A/BaD,AAAA,aAAa,A+BZC,CACZ,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,QAAQ,CAAE,KAAK,CACf,gBAAgB,CAAE,KAAK,CACvB,OAAO,CAAE,GAAG,CACZ,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,IAAI,CACb,YAAY,CAAE,gBAAgB,CAI/B,AAbD,AAUE,aAVW,AAUV,QAAQ,AAAC,CACR,UAAU,CAAE,qBAAqB,CAClC,AzDfH,AA8BE,WA9BS,CA8BT,qBAAqB,A0D7BC,CACpB,cAAc,CAAE,MAAM,CAkBvB,A1DpBH,AAmCI,WAnCO,CA8BT,qBAAqB,CAKnB,gBAAgB,A0D/BC,CACf,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,cAAc,CAAE,GAAG,CACpB,A1DRL,AA2CI,WA3CO,CA8BT,qBAAqB,CAanB,mBAAmB,A0DjCC,CAClB,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACZ,A1DfL,AAiDI,WAjDO,CA8BT,qBAAqB,CAmBnB,gBAAgB,CAAG,mBAAmB,A0DhCC,CACrC,MAAM,CAAE,WAAW,CACpB,AAnBL,AAsBE,WAtBS,CAsBT,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACZ,A1D6EH,AAAA,mBAAmB,A0D1EC,CAClB,gBAAgB,CvJsKN,OAAoD,CuJrK9D,OAAO,CAAE,iBAAiB,CAC1B,aAAa,CAAE,GAAG,CAcnB,AAjBD,AAKE,mBALiB,CAKjB,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,A1DkEH,AAKE,mBALiB,CAKjB,kBAAkB,A0DrEC,CACjB,MAAM,CAAE,WAAW,CAKpB,A1D0DH,AAUI,mBAVe,CAKjB,kBAAkB,CAKhB,aAAa,A0DvEC,CACZ,MAAM,CAAE,CAAC,CACV,AAIL,AACE,oBADkB,CAClB,uBAAuB,CADzB,oBAAoB,CAElB,UAAU,AAAC,CACT,SAAS,CAAE,IAAI,CAKhB,AARH,AAKI,oBALgB,CAClB,uBAAuB,CAIrB,CAAC,CALL,oBAAoB,CAElB,UAAU,CAGR,CAAC,AAAC,CACA,UAAU,CAAE,MAAM,CACnB,AAIL,AAAA,mBAAmB,AAAC,CAClB,YAAY,CAAE,MAAM,CAmBrB,AApBD,AAGE,mBAHiB,CAGf,GAAG,CAHP,mBAAmB,CAIf,MAAM,AAAC,CACP,IAAI,CAAE,OAAO,CACb,YAAY,CAAE,MAAM,CACpB,aAAa,CAAE,KAAK,CACrB,AARH,AAUE,mBAViB,CAUjB,kBAAkB,CAVpB,mBAAmB,CAWjB,2BAA2B,CAAC,2BAA2B,AAAC,CACtD,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CAKxB,AAnBH,AAgBI,mBAhBe,CAUjB,kBAAkB,CAMhB,OAAO,CAhBX,mBAAmB,CAWjB,2BAA2B,CAAC,2BAA2B,CAKrD,OAAO,AAAC,CACN,MAAM,CAAE,UAAU,CACnB,AAIL,AAAA,8BAA8B,CAAC,KAAK,AAAC,CACnC,KAAK,CAAE,IAAI,CACZ,ACjFD,AAGM,6BAHuB,CAC3B,eAAe,AACZ,WAAW,CACV,OAAO,AAAC,CACN,KAAK,CvJFF,IAAO,CuJGX,AjG2BP,AAAA,UAAU,CACV,WAAW,AkG7BC,CACV,QAAQ,CAAE,KAAK,CAEf,OAAO,CzJgFY,IAAI,CyJ/EvB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,IAAI,CAqCjB,AA5CD,AASE,UATQ,CASR,UAAU,CARZ,WAAW,CAQT,UAAU,AAAC,CACT,SAAS,CAAE,IAAI,CAqBhB,AlGFH,AAsCI,UAtCM,CAqCR,UAAU,CACR,MAAM,CArCV,WAAW,CAoCT,UAAU,CACR,MAAM,AkGxDC,CACL,IAAI,CAAE,CAAC,CAAC,CAAC,CAAC,kBAA6B,CACvC,UAAU,CAAE,UAAU,CACvB,AlGeL,AA0DI,UA1DM,CAqCR,UAAU,CAqBR,kBAAkB,CAzDtB,WAAW,CAoCT,UAAU,CAqBR,kBAAkB,AkGxEC,CACjB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,IAAI,CAWhB,AA9BL,AAoBM,UApBI,CASR,UAAU,CAMR,kBAAkB,CAKhB,EAAE,CAnBR,WAAW,CAQT,UAAU,CAMR,kBAAkB,CAKhB,EAAE,AAAC,CACD,IAAI,CAAE,CAAC,CACP,SAAS,CAAE,CAAC,CAOb,AA7BP,AAuBQ,UAvBE,CASR,UAAU,CAMR,kBAAkB,CAKhB,EAAE,AAGC,UAAW,CtI2CE,CAAC,EsIjEvB,WAAW,CAQT,UAAU,CAMR,kBAAkB,CAKhB,EAAE,AAGC,UAAW,CtI2CE,CAAC,CsI3CA,CACb,WAAW,CAAE,uBAAuB,CACrC,AAzBT,AA0BQ,UA1BE,CASR,UAAU,CAMR,kBAAkB,CAKhB,EAAE,CAMA,MAAM,CAzBd,WAAW,CAQT,UAAU,CAMR,kBAAkB,CAKhB,EAAE,CAMA,MAAM,AAAC,C/I+Bb,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,C+I/BhB,AlGCT,AAqEE,UArEQ,CAqER,EAAE,CApEJ,WAAW,CAoET,EAAE,AkGlEC,CACD,SAAS,CzJWD,QAAQ,CyJPjB,AlGRH,AAuEI,UAvEM,CAqER,EAAE,CAEA,OAAO,CAtEX,WAAW,CAoET,EAAE,CAEA,OAAO,AkGlEC,CACN,SAAS,CzJcD,OAAQ,CyJbjB,AApCL,AAsCE,UAtCQ,CAsCR,EAAE,CArCJ,WAAW,CAqCT,EAAE,AAAC,CACD,SAAS,CzJQJ,GAAG,CyJPT,AlGXH,AA2EE,UA3EQ,CA2ER,EAAE,CA1EJ,WAAW,CA0ET,EAAE,AkG/DC,CACD,SAAS,CzJMC,OAAQ,CyJLnB,AlG6FH,AAiFI,UAjFM,CAgFR,UAAU,CACR,cAAc,AkGvKC,CACb,SAAS,CAAE,IAAI,CAqBhB,AAzBL,AAKM,UALI,CAER,UAAU,CACR,cAAc,CAEV,IAAI,AAAC,CACL,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,SAAS,CAAE,GAAG,CACd,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,UAAU,CASvB,AAnBP,AAWQ,UAXE,CAER,UAAU,CACR,cAAc,CAEV,IAAI,AAMH,YAAa,CxDiDF,CAAC,EwD5DrB,UAAU,CAER,UAAU,CACR,cAAc,CAEV,IAAI,AAOH,YAAa,CAAA,CAAC,CAAE,CACf,aAAa,CAAE,GAAG,CACnB,AAdT,AAeQ,UAfE,CAER,UAAU,CACR,cAAc,CAEV,IAAI,CAUJ,CAAC,AAAC,CACA,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACd,AlGuET,AAoFM,UApFI,CAgFR,UAAU,CACR,cAAc,CAGZ,WAAW,CApFjB,UAAU,CAgFR,UAAU,CACR,cAAc,CASZ,iBAAiB,CACf,CAAC,AkGhKS,CACV,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAMP,AAAA,WAAW,AAAC,CACV,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,OAAO,CzJGY,IAAI,CyJFvB,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,gBAAgB,CAAO,eAAK,CAC5B,SAAS,CAAE,WAAW,CACvB,A/FxFD,AAME,YANU,CAMV,KAAK,CANP,YAAY,CAOV,iBAAiB,AgGAC,CAChB,OAAO,CAAE,aAAa,CACvB,AhGTH,AAuEE,YAvEU,CAuEV,KAAK,AgG5DC,CACJ,cAAc,CAAE,MAAM,CACvB,AAbH,AAgBI,YAhBQ,CAeV,aAAa,AACV,OAAO,AAAC,CACP,gBAAgB,C1JgLV,OAAoD,C0J5K3D,AArBL,AAyBI,YAzBQ,CAwBV,kBAAkB,CAChB,KAAK,AAAC,CACJ,cAAc,CAAE,OAAO,CACxB,AC5BL,AAGM,WAHK,AACR,UAAU,AACR,SAAS,CACR,gBAAgB,AAAC,CACf,SAAS,C3J8CR,GAAG,C2JzCL,AATP,AAMQ,WANG,AACR,UAAU,AACR,SAAS,CACR,gBAAgB,CAGd,OAAO,AAAC,CACN,SAAS,C3J2CV,GAAG,C2J1CH,AART,AAWM,WAXK,AACR,UAAU,AACR,SAAS,CASR,eAAe,AAAC,CACd,WAAW,CAAE,MAAM,CACpB,ACbP,AAGM,WAHK,AACR,UAAU,AACR,cAAc,CACb,qBAAqB,AAAC,CACpB,SAAS,C5J8CR,GAAG,C4JzCL,AATP,AAMQ,WANG,AACR,UAAU,AACR,cAAc,CACb,qBAAqB,CAGnB,OAAO,AAAC,CACN,SAAS,C5J2CV,GAAG,C4J1CH,AzIRT,AAwCM,WAxCK,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,AyI7BC,CACd,WAAW,CAAE,MAAM,CACpB,ApIbP,AAiGI,WAjGO,AACR,oBAAoB,CAgGnB,sBAAsB,AqI/FC,CACrB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,IAAI,CACjB"\n}
20	desktop_rtl	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	﻿html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%;}body{margin:0;}article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary{display:block;}audio,canvas,progress,video{display:inline-block;vertical-align:baseline;}audio:not([controls]){display:none;height:0;}[hidden],template{display:none;}a{background:transparent;}a:active,a:hover{outline:0;}abbr[title],acronym[title]{text-decoration:underline;text-decoration-style:dotted;}b,strong{font-weight:bold;}dfn{font-style:italic;}h1{font-size:1.7511em;margin:0.67em 0;}mark{background:#ff0;color:#000;}small{font-size:80%;}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline;}sup{top:-0.5em;}sub{bottom:-0.25em;}img{border:0;}figure{margin:1em 40px;}hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0;}pre{overflow:auto;}code,kbd,pre,samp{font-family:monospace,monospace;font-size:1em;}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0;}button{overflow:visible;}button,select{text-transform:none;}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer;}button[disabled],html input[disabled]{cursor:default;}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0;}input{line-height:normal;}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0;}input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{height:auto;}input[type="search"]{-webkit-appearance:textfield;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box;}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none;}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em;}legend{border:0;padding:0;}textarea{overflow:auto;}optgroup{font-weight:bold;}table{border-collapse:collapse;border-spacing:0;}td,th{padding:0;}.pika-single{z-index:9999;display:block;position:relative;color:#222;background:#fff;border:1px solid #e9e9e9;border-bottom-color:#e9e9e9;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;}.pika-single.is-hidden{display:none;}.pika-single.is-bound{position:absolute;box-shadow:0 5px 15px -5px rgba(0,0,0,0.5);}.pika-single:before,.pika-single:after{content:" ";display:table;}.pika-single:after{clear:both;}.pika-lendar{float:right;width:240px;margin:8px;}.pika-title{position:relative;text-align:center;}.pika-title select{cursor:pointer;position:absolute;z-index:9998;margin:0;right:0;top:5px;filter:alpha(opacity=0);opacity:0;}.pika-label{display:inline-block;position:relative;z-index:9999;overflow:hidden;margin:0;padding:5px 3px;font-size:14px;line-height:20px;font-weight:bold;color:#222;background-color:#fff;}.pika-prev,.pika-next{display:block;cursor:pointer;position:relative;outline:none;border:0;padding:0;width:20px;height:30px;text-indent:20px;white-space:nowrap;overflow:hidden;background-color:transparent;background-position:center center;background-repeat:no-repeat;background-size:75% 75%;opacity:.5;}.pika-prev:hover,.pika-next:hover{opacity:1;}.pika-prev.is-disabled,.pika-next.is-disabled{cursor:default;opacity:.2;}.pika-prev,.is-rtl .pika-next{float:right;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==");}.pika-next,.is-rtl .pika-prev{float:left;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=");}.pika-select{display:inline-block;}.pika-table{width:100%;border-collapse:collapse;border-spacing:0;border:0;}.pika-table th,.pika-table td{width:14.285714285714286%;padding:0;}.pika-table th{color:#222;font-size:12px;line-height:25px;font-weight:bold;text-align:center;}.pika-table abbr{border-bottom:none;cursor:help;}.pika-button{cursor:pointer;display:block;-moz-box-sizing:border-box;box-sizing:border-box;outline:none;border:0;margin:0;width:100%;padding:5px;color:#222;font-size:12px;line-height:15px;text-align:left;background:#fff;}.is-today .pika-button{color:#08c;font-weight:bold;}.is-selected .pika-button{color:#fff;font-weight:bold;background:#08c;box-shadow:0 1px 3px #d1f0ff inset;border-radius:3px;}.is-disabled .pika-button,.is-outside-current-month .pika-button{pointer-events:none;cursor:default;color:#222;opacity:.3;}.pika-button:hover{color:#222;background:#d1f0ff;box-shadow:none;border-radius:3px;}.pika-week{font-size:11px;color:#222;}.is-inrange .pika-button{background:#D5E9F7;}.is-startrange .pika-button{color:#fff;background:#6CB31D;box-shadow:none;border-radius:3px;}.is-endrange .pika-button{color:#fff;background:#08c;box-shadow:none;border-radius:3px;}.pull-left{float:right;}.pull-right{float:left;}.show{display:block;}.hide,.hidden{display:none;}.invisible{visibility:hidden;}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);border:0;}.affix{position:fixed;}.clearfix:before,.nav-pills:before,.container:before,.wrap:before,.clearfix:after,.nav-pills:after,.container:after,.wrap:after{display:table;content:" ";}.clearfix:after,.nav-pills:after,.container:after,.wrap:after{clear:both;}.overflow-ellipsis{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}.clickable{cursor:pointer;}.disable-no-hover:hover{background:#e9e9e9;color:#222;}html{color:#222;font-family:Helvetica,Arial,sans-serif;font-size:15px;line-height:1.4;background-color:#fff;overflow-y:scroll;direction:rtl;}html.text-size-smaller{font-size:14px;}html.text-size-larger{font-size:17px;}html.text-size-largest{font-size:19px;}a{color:#08c;text-decoration:none;cursor:pointer;}a:visited{color:#08c;}a:hover{color:#08c;}a:active{color:#08c;}hr{display:block;height:1px;margin:1em 0;border:0;border-top:1px solid #e9e9e9;padding:0;}ul,dd{margin:0 25px 9px 0;padding:0;}.cooked ul,.cooked ol,.cooked dd{clear:both;}.cooked ul,.d-editor-preview ul{margin:0;padding-right:40px;}li>ul,li>ol{margin-bottom:0;}img{vertical-align:middle;}fieldset{margin:0;border:0;padding:0;}pre code{overflow:auto;tab-size:4;}.row:before,.row:after{display:table;content:"";}.row:after{clear:both;}#offscreen-content{display:none;}tbody{border-top:3px solid #e9e9e9;}tr{border-bottom:1px solid #e9e9e9;}tr.highlighted{animation:background-fade-highlight 2.5s ease-out;}ruby>rt{font-size:72%;}.select-kit.categories-admin-dropdown .select-kit-body{min-width:auto;width:250px;}.select-kit.categories-admin-dropdown .select-kit-header .d-icon{justify-content:space-between;}.select-kit.combo-box.category-chooser{width:300px;}.select-kit.combo-box.category-chooser .select-kit-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:flex-start;-ms-flex-align:flex-start;align-items:flex-start;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;}.select-kit.combo-box.category-chooser .select-kit-row.none .topic-count{display:none;}.select-kit.combo-box.category-chooser .select-kit-row .topic-count{font-size:.7579em;color:#222;white-space:nowrap;}.select-kit.combo-box.category-chooser .select-kit-row .category-status{color:#222;line-height:1.4;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;}.select-kit.combo-box.category-chooser .select-kit-row .category-desc{-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;color:#919191;font-size:.8706em;line-height:1.4;}.select-kit.combo-box.category-drop .badge-wrapper{font-size:1em;font-weight:normal;}.select-kit.combo-box.category-drop .badge-wrapper.box{margin:0;}.select-kit.combo-box.category-drop .badge-wrapper.box span.badge-category{margin:0;}.select-kit.combo-box.category-drop.bar.has-selection .category-drop-header{padding:0 10px 0 5px;}.select-kit.combo-box.category-drop.box.has-selection .category-drop-header .badge-wrapper.box{padding:0;}.select-kit.combo-box.category-drop .category-drop-header.is-none .selected-name{color:inherit;}.select-kit.combo-box.category-drop .category-drop-header .badge-wrapper{margin-left:0;}.select-kit.combo-box.category-drop .select-kit-body{min-width:300px;}.select-kit.combo-box.category-drop .select-kit-row{flex-direction:column;align-items:flex-start;}.select-kit.combo-box.category-drop .select-kit-row[data-value="all-categories"],.select-kit.combo-box.category-drop .select-kit-row[data-value="no-categories"]{color:#08c;font-weight:700;}.select-kit.combo-box.category-drop .select-kit-row .category-desc{font-weight:normal;color:#919191;margin-top:2px;}.select-kit.combo-box.category-drop .select-kit-row .category-status{align-items:center;}.select-kit.combo-box.category-drop .select-kit-row .topic-count{margin-right:5px;font-weight:normal;}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper{margin:0;font-weight:bold;}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper:nth-child(2){margin-right:10px;}.select-kit.combo-box.category-drop.is-expanded .select-kit-wrapper,.select-kit.combo-box.category-drop .select-kit-wrapper{display:none;}.select-kit .category-row .category-status{display:flex;flex-wrap:wrap;align-items:center;max-width:100%;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;}.select-kit .category-row .category-desc{max-width:100%;}.select-kit .category-row .category-status .badge-wrapper.box{margin-bottom:1px;margin-top:1px;}.select-kit .category-row .topic-count{white-space:nowrap;}.select-kit.category-selector .selected-name .badge-wrapper.box,.select-kit-box.category-selector .selected-name .badge-wrapper.box{margin:2px;padding:0;}.select-kit.combo-box{min-width:auto;}.select-kit.combo-box .select-kit-body{width:100%;min-width:150px;border-radius:0;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}.select-kit.combo-box .select-kit-row{margin:0;min-height:1px;padding:6px 10px;}.select-kit.combo-box .select-kit-row.no-content{font-weight:normal;}.select-kit.combo-box .select-kit-filter{padding:4px 10px;border-top:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9;}.select-kit.combo-box .select-kit-filter .spinner{flex:0 0 auto;}.select-kit.combo-box .select-kit-filter .filter-input,.select-kit.combo-box .select-kit-filter .filter-input:focus,.select-kit.combo-box .select-kit-filter .filter-input:active{flex:0 0 auto;width:90%;}.select-kit.combo-box .select-kit-filter .filter-icon{padding-right:5px;}.select-kit.combo-box .select-kit-header{background:#fff;border:1px solid #919191;padding:0 10px 0 5px;font-weight:500;font-size:1em;}.select-kit.combo-box .select-kit-header.is-focused{border:1px solid #08c;box-shadow:0 0 6px 0 #08c;}.select-kit.combo-box .select-kit-collection{display:flex;flex-direction:column;padding:0;min-width:100px;max-height:200px;max-width:32em;}.select-kit.combo-box .select-kit-collection .collection-header a{white-space:nowrap;color:#222;line-height:1.2;font-weight:bold;display:block;padding:6px 10px;color:#08c;}.select-kit.combo-box .select-kit-collection .collection-header a:hover{text-decoration:underline;}.select-kit.combo-box.is-disabled .select-kit-header{background:#e9e9e9;border-color:#bdbdbd;color:#919191;}.select-kit.combo-box.is-disabled .select-kit-header .d-icon{color:#919191;}.select-kit.combo-box.is-highlighted .select-kit-header{border:1px solid #08c;box-shadow:0 0 6px 0 #08c;}.select-kit.combo-box.is-expanded .select-kit-wrapper{display:block;border:1px solid #08c;box-shadow:0 0 6px 0 #08c;}.select-kit.combo-box.is-expanded.is-above .select-kit-header{border-radius:0 0 3px 3px;}.select-kit.combo-box.is-expanded.is-above .select-kit-body{border-radius:3px 3px 0 0;}.select-kit.combo-box.tag-drop,.select-kit.combo-box.group-dropdown{min-width:auto;}.select-kit.combo-box.tag-drop .select-kit-row,.select-kit.combo-box.group-dropdown .select-kit-row{font-weight:bold;}.select-kit.combo-box.is-expanded .select-kit-wrapper,.select-kit.combo-box .select-kit-wrapper{display:none;}.select-kit.dropdown-select-box.composer-actions{margin:0;}.select-kit.dropdown-select-box.composer-actions .select-kit-header{background:none;outline:none;padding:0;margin-left:5px;border:1px solid #e9e9e9;min-height:unset;}.select-kit.dropdown-select-box.composer-actions .select-kit-header .d-icon{padding:5px 6px;}.select-kit.dropdown-select-box.composer-actions .select-kit-header:hover,.select-kit.dropdown-select-box.composer-actions .select-kit-header:focus{background:#e9e9e9;}.select-kit.dropdown-select-box.composer-actions .d-icon{margin:0 !important;}.select-kit.dropdown-select-box{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;min-width:auto;border:none;}.select-kit.dropdown-select-box.is-expanded .select-kit-collection,.select-kit.dropdown-select-box.is-expanded .select-kit-body{border-radius:0;}.select-kit.dropdown-select-box .select-kit-body{border:1px solid #e9e9e9;background-clip:padding-box;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);max-width:300px;width:300px;}.select-kit.dropdown-select-box .select-kit-row{margin:0;padding:10px 5px;}.select-kit.dropdown-select-box .select-kit-row .icons{display:-webkit-box;display:-ms-flexbox;display:flex;flex:0 0 auto;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-item-align:start;align-self:flex-start;margin-left:0.357em;margin-top:2px;width:30px;}.select-kit.dropdown-select-box .select-kit-row .icons .d-icon{font-size:1.3195em;-ms-flex-item-align:center;align-self:center;margin-left:0;opacity:1;}.select-kit.dropdown-select-box .select-kit-row .texts{width:0;line-height:1.4;-webkit-box-flex:1;-ms-flex:1;flex:1 1 0%;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;}.select-kit.dropdown-select-box .select-kit-row .texts .name{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;font-weight:bold;font-size:1em;color:#222;padding:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100%;}.select-kit.dropdown-select-box .select-kit-row .texts .desc{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;width:100%;font-size:.8706em;font-weight:normal;color:#919191;white-space:normal;}.select-kit.dropdown-select-box .select-kit-collection{padding:0;max-height:100%;}.select-kit.dropdown-select-box .dropdown-select-box-header{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;border:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;}.select-kit.dropdown-select-box .dropdown-select-box-header .d-icon+.d-icon{margin-right:5px;}.select-kit.dropdown-select-box .dropdown-select-box-header.is-focused{outline-style:auto;outline-color:#08c;}.select-kit.combobox.future-date-input-selector{min-width:50%;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-header .btn-clear{line-height:1.4;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-datetime{color:#888;margin-right:5px;white-space:nowrap;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-icons{margin-left:5px;}.select-kit.combobox.future-date-input-selector .btn-clear{padding:0;margin-right:5px;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-row .future-date-input-selector-icons{color:#888;}.select-kit.multi-select.list-setting .select-kit-row.create .square{width:12px;height:12px;margin-right:5px;}.select-kit.combo-box.mini-tag-chooser{margin-bottom:5px;margin-right:5px;}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-header{border:1px solid #08c;}.select-kit.combo-box.mini-tag-chooser.no-tags .select-kit-header .selected-name{color:#919191;}.select-kit.combo-box.mini-tag-chooser .select-kit-body{max-width:32em;}.select-kit.combo-box.mini-tag-chooser .select-kit-header{height:30px;}.select-kit.combo-box.mini-tag-chooser .select-kit-header .selected-name{margin:0;border:0;padding:0;outline:none;box-shadow:none;cursor:pointer;max-width:250px;}.select-kit.combo-box.mini-tag-chooser .select-kit-filter{border-top:0;}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-wrapper,.select-kit.combo-box.mini-tag-chooser .select-kit-wrapper{display:none;}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-selected{background:none;}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-highlighted.is-selected{background:#d1f0ff;}.select-kit.combo-box.mini-tag-chooser .select-kit-row .discourse-tag-count{margin-right:5px;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header{max-height:125px;overflow:hidden;flex:1 0 auto;border-bottom:1px solid #e9e9e9;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tags{display:flex;padding:4px;flex-wrap:wrap;margin:-2px;overflow:hidden;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag{background:#e9e9e9;padding:2px 4px;margin:2px;border:0;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag.is-highlighted{box-shadow:0 0 2px #e45735, 0 1px 0 rgba(0,0,0,0.05);}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag .d-icon{color:#bdbdbd;vertical-align:middle;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag:hover .d-icon{color:#e45735;}.select-kit.multi-select{width:300px;background:#fff;border-radius:0;}.select-kit.multi-select .select-kit-body{width:100%;}.select-kit.multi-select .select-kit-row{margin:5px;min-height:1px;padding:5px;border-radius:0;}.select-kit.multi-select .select-kit-filter{border:0;flex:1 0 0px;margin:1px;}.select-kit.multi-select .multi-select-header{background:#fff;border:1px solid #919191;}.select-kit.multi-select .multi-select-header.is-focused{box-shadow:0 0 6px 0 #08c;border-radius:0;}.select-kit.multi-select.is-disabled .multi-select-header{background:#e9e9e9;border-color:#bdbdbd;color:#919191;}.select-kit.multi-select.is-disabled .multi-select-header .d-icon{color:#919191;}.select-kit.multi-select.is-highlighted .multi-select-header{border-radius:0;border-bottom:1px solid transparent;box-shadow:0 0 6px 0 #08c;}.select-kit.multi-select.is-expanded .select-kit-wrapper{display:block;border:1px solid #08c;box-shadow:0 0 6px 0 #08c;border-radius:0;}.select-kit.multi-select.is-expanded .multi-select-header{border-radius:0;box-shadow:none;}.select-kit.multi-select.is-expanded .select-kit-body{border-radius:0;}.select-kit.multi-select .choices{margin:0 2px;box-sizing:border-box;display:flex;justify-content:flex-start;flex-wrap:wrap;width:100%;}.select-kit.multi-select .choices .choice{display:inline-flex;box-sizing:border-box;align-items:center;justify-content:space-between;flex-wrap:wrap;flex-direction:row;margin:1px 2px 2px 0px;}.select-kit.multi-select .choices .filter{align-items:center;justify-content:flex-start;white-space:nowrap;min-width:50px;padding:0;outline:none;flex:1 0 0px;}.select-kit.multi-select .choices .filter .filter-input,.select-kit.multi-select .choices .filter .filter-input:focus{border:none;background:none;display:inline-block;width:100%;outline:none;min-width:auto;padding:0;margin:0;outline:0;border:0;box-shadow:none;border-radius:0;min-height:unset;}.select-kit.multi-select .choices .selected-color .selected-color-wrapper{display:flex;flex:1 0 0px;flex-direction:column;}.select-kit.multi-select .choices .selected-color .color-preview{height:5px;margin:0 0px 2px 2px;display:flex;width:100%;}.select-kit.multi-select .choices .selected-category .body{display:flex;align-items:center;}.select-kit.multi-select .choices .selected-category .badge-wrapper{padding:2px 4px;line-height:1.2;display:flex;flex:1 0 0px;align-items:center;}.select-kit.multi-select .choices .selected-category .badge-wrapper.bullet{margin-left:2.5px;}.select-kit.multi-select .choices .selected-name .footer{display:flex;width:100%;}.select-kit.multi-select .choices .selected-name .body{background:#e9e9e9;padding:4px;}.select-kit.multi-select .choices .selected-name .d-icon{color:#bdbdbd;vertical-align:middle;}.select-kit.multi-select .choices .selected-name:hover .d-icon:last-child{color:#e45735;}.select-kit.multi-select .choices .selected-name.is-highlighted{box-shadow:0 0 2px #e45735, 0 1px 0 rgba(0,0,0,0.05);}.select-kit.dropdown-select-box.notifications-button .select-kit-body{min-width:550px;max-width:550px;}.select-kit.dropdown-select-box.notifications-button .select-kit-row .icons{-ms-flex-item-align:start;align-self:flex-start;}.select-kit.dropdown-select-box.period-chooser{display:inline-flex;position:relative;}.select-kit.dropdown-select-box.period-chooser .select-kit-collection{padding:5px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header{background:none;border:none;justify-content:flex-start;width:auto;height:auto;padding:0;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{color:#fff;display:inline-block;box-sizing:border-box;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .date-section{color:#222;margin-left:5px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.8706em;color:#919191;font-weight:normal;text-transform:uppercase;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header .d-icon{color:#222;opacity:1;margin:5px 5px 10px 0;font-size:1.5157em;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header.is-focused,.select-kit.dropdown-select-box.period-chooser .period-chooser-header:hover{background:none;border:none;outline:none;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row{font-weight:bold;padding:5px;font-size:1.1487em;align-items:center;display:flex;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .period-title{flex:1 0 0px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .date-section{color:#222;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .top-date-string{font-weight:normal;font-size:.8706em;color:#919191;text-transform:uppercase;margin-right:5px;}#topic-footer-buttons .pinned-button{min-width:auto;margin:1em 0;}#topic-footer-buttons .pinned-button.is-hidden{display:none;}#topic-footer-buttons .pinned-button .btn{margin:0;}#topic-footer-buttons .pinned-button .reason{display:inline;line-height:1.2;}.pinned-button{margin:0;min-width:auto;}.pinned-button .pinned-options{display:inline;}.pinned-button .pinned-options .select-kit-body{min-width:unset;max-width:unset;width:550px;}.mobile-view .select-kit.is-expanded{z-index:300;}.select-kit{border:none;min-width:220px;box-sizing:border-box;display:inline-block;flex-direction:column;position:relative;vertical-align:middle;user-select:none;}.select-kit.is-hidden{display:none;}.select-kit.is-disabled{pointer-events:none;}.select-kit.is-expanded{z-index:300;}.select-kit.is-expanded .select-kit-body{display:flex;flex-direction:column;right:0;position:absolute;top:0;}.select-kit.is-expanded .select-kit-collection{border-radius:inherit;}.select-kit.is-above .select-kit-body{bottom:0;top:auto;}.select-kit.is-above .select-kit-filter{border-top:0;}.select-kit.is-above .select-kit-wrapper{bottom:0;top:auto;}.select-kit .d-icon{color:#646464;}.select-kit .select-kit-header{box-sizing:border-box;overflow:hidden;transition:all 0.25s;cursor:pointer;outline:none;display:flex;align-items:center;flex-direction:row;min-height:30px;}.select-kit .select-kit-header .selected-name{text-align:right;flex:0 1 auto;padding:1px 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:inherit;}.select-kit .select-kit-header .btn-clear{padding:0 10px;border:0;background:none;}.select-kit .select-kit-header .icon{margin-left:5px;}.select-kit .select-kit-header .caret-icon{margin-right:auto;padding-right:5px;pointer-events:none;}.select-kit .select-kit-header .d-button-label{display:flex;align-items:center;white-space:nowrap;overflow:hidden;line-height:1.2;}.select-kit .select-kit-header .d-button-label .d-icon{margin-right:5px;margin-left:0;}.select-kit .select-kit-body{display:none;background:#fff;box-sizing:border-box;}.select-kit .select-kit-row{cursor:pointer;line-height:1.2;outline:none;display:flex;flex:1 0 auto;box-sizing:border-box;align-items:center;justify-content:flex-start;}.select-kit .select-kit-row .name{margin:0;overflow:hidden;text-overflow:ellipsis;flex:1 1 0%;}.select-kit .select-kit-row .d-icon{margin-left:5px;}.select-kit .select-kit-row.is-highlighted{background:#d1f0ff;}.select-kit .select-kit-row.is-selected{background:#ffffa6;}.select-kit .select-kit-row.is-selected.is-highlighted{background:#d1f0ff;}.select-kit .select-kit-row .discourse-tag,.select-kit .select-kit-row .discourse-tag-count{color:#222;}.select-kit .select-kit-collection{background:#fff;overflow-x:hidden;overflow-y:auto;border-radius:inherit;-webkit-overflow-scrolling:touch;margin:0;padding:0;max-height:200px;}.select-kit .select-kit-collection .validation-message{white-space:nowrap;color:#e45735;flex:1 0 auto;margin:5px;padding:0 2px;}.select-kit .select-kit-collection .select-kit-collection{padding:0;margin:0;}.select-kit .select-kit-collection .select-kit-collection:hover .select-kit-row.is-highlighted:hover{background:#d1f0ff;}.select-kit .select-kit-collection::-webkit-scrollbar{-webkit-appearance:none;width:10px;}.select-kit .select-kit-collection::-webkit-scrollbar-thumb{cursor:pointer;border-radius:5px;background:#919191;}.select-kit .select-kit-collection::-webkit-scrollbar-track{background:transparent;border-radius:0;}.select-kit .select-kit-filter{display:flex;box-sizing:border-box;align-items:center;justify-content:space-between;}.select-kit .select-kit-filter .filter-input,.select-kit .select-kit-filter .filter-input:focus,.select-kit .select-kit-filter .filter-input:active{background:none;margin:0;padding:0;flex:1 0 0px;outline:none;border:0;border-radius:0;box-shadow:none;width:100%;}.select-kit .select-kit-filter.is-hidden{width:1px;height:1px;border:0;margin:-1px;padding:0;overflow:hidden;position:fixed;outline:0;right:0;top:0;}.select-kit .select-kit-wrapper{position:absolute;top:0;right:0;background:none;display:none;box-sizing:border-box;pointer-events:none;}.select-kit.multi-select.tag-chooser .select-kit-row{display:flex;align-items:center;}.select-kit.multi-select.tag-chooser .select-kit-row .discourse-tag-count{margin-right:5px;}.select-kit.combo-box.tag-drop .select-kit-row[data-value="all-tags"],.select-kit.combo-box.tag-drop .select-kit-row[data-value="no-tags"]{color:#08c;font-weight:700;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-body{box-shadow:none;padding:10px 10px 5px 10px;width:230px;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row{margin-bottom:5px;padding:6px 3px;background:#e9e9e9;transition:all 0.25s;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{font-size:1em;font-weight:normal;color:#222;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{opacity:0.7;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted{background:#919191;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .d-icon{color:#fff;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row:hover{background:#919191;color:#fff;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected{color:#222;background:#e9e9e9;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected.is-highlighted{background:#919191;color:#222;}#topic-footer-buttons .topic-notifications-button{min-width:auto;margin:1em 0;}#topic-footer-buttons .topic-notifications-button .btn{margin:0;}#topic-footer-buttons .topic-notifications-button .reason{display:inline;line-height:1.2;}.topic-notifications-button .topic-notifications-options{min-width:auto;}.topic-notifications-button{margin:0;}.topic-notifications-button .topic-notifications-options{display:inline-flex;}.select-kit.dropdown-select-box.user-notifications-dropdown{text-align:right;}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-body{width:485px;max-width:485px;}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-header{justify-content:center;}.select-kit.dropdown-select-box.user-notifications-dropdown .dropdown-select-box-header{align-items:center;}.select-kit.combo-box.color-palettes .color-palettes-row .palettes{display:flex;align-items:center;margin-right:0.5em;flex:1 0 0;}.select-kit.combo-box.color-palettes .color-palettes-row .palettes .palette{height:15px;width:15px;display:block;}.svg-icon,.svg-icon-title{height:1em;width:1em;line-height:1;display:inline-flex;position:relative;vertical-align:-0.125em;fill:currentColor;flex-shrink:0;overflow:visible;}svg>use{pointer-events:none;}.fa-stack{position:relative;width:1em;height:1em;display:inline-block;}.fa-stack .fa-stack-1x,.fa-stack .fa-stack-2x{right:0px;top:0px;position:absolute;}.fa-stack .fa-stack-2x{height:1.5em;width:1.5em;margin-top:-0.25em;margin-right:-0.25em;}.d-date-time-input-range{padding:0.5em;background:whitesmole;border:1px solid #e9e9e9;width:300px;display:flex;flex-direction:column;}.d-date-time-input-range .panels{display:inline-flex;list-style:none;margin:0 0 0.5em 0;flex:1;}.d-date-time-input-range .panels.from .from-panel{background:#e45735;color:#fff;}.d-date-time-input-range .panels.to .to-panel{background:#e45735;color:#fff;}.d-date-time-input-range .panels .btn{margin-left:0.5em;}.d-date-time-input-range .panel{display:none;flex:1;}.d-date-time-input-range .panel.visible{display:flex;}.nav-pills,.nav-stacked{margin-right:0;list-style:none;}.nav-pills li a,.nav-stacked li a{display:block;text-decoration:none;}.nav-pills>li{float:right;margin-left:5px;}.nav-pills>li>a{border:none;padding:6px 12px;color:#222;font-size:1.1487em;line-height:1;box-sizing:border-box;min-height:30px;display:flex;align-items:center;transition:background 0.15s;}.nav-pills>li>a .d-icon{margin-left:5px;opacity:0.65;}.nav-pills>li>a:hover{color:#e45735;background-color:#f7cdc2;}.nav-pills>li a.active{color:#fff;background-color:#e45735;}.nav-pills>li a.active .d-icon{opacity:1;}.nav-stacked{padding:0;overflow:hidden;background:#e9e9e9;}.nav-stacked li{border-bottom:1px solid #e9e9e9;position:relative;}.nav-stacked li:last-of-type{border-bottom:0;}.nav-stacked li.indent{padding-right:15px;}.nav-stacked a{margin:0;padding:13px;font-size:1.1487em;line-height:1;cursor:pointer;color:#222;}.nav-stacked a.active{color:#fff;background-color:#e45735;}.nav-stacked a.active::after{right:90%;top:33%;content:" ";position:absolute;border:8px solid transparent;border-left-color:#fff;}.nav-stacked .count{font-size:.8706em;}.nav-stacked .glyph{font-size:.8706em;width:1.25em;text-align:center;margin-left:0.25em;line-height:1.4;}.btn{display:inline-block;margin:0;padding:6px 12px;font-weight:500;font-size:1em;line-height:1;text-align:center;cursor:pointer;transition:all 0.25s;box-sizing:border-box;min-height:30px;}.btn .d-icon{transition:color 0.25s;}.btn:active,.btn.btn-active{text-shadow:none;}.btn[disabled],.btn.disabled{cursor:default;opacity:0.4;}.btn .d-icon{margin-left:7px;}.btn.no-text .d-icon{margin-left:0;}.btn.hidden{display:none;}.btn{border:none;color:#222;font-weight:normal;background:#e9e9e9;}.btn .d-icon{color:#646464;}.btn[href]{color:#222;min-height:unset;}.discourse-no-touch .btn:hover,.discourse-no-touch .btn.btn-hover{background:#919191;color:#fff;}.discourse-no-touch .btn:hover .d-icon,.discourse-no-touch .btn.btn-hover .d-icon{color:#ededed;}.btn[disabled],.btn.disabled{background:#e9e9e9;cursor:not-allowed;}.btn[disabled] .d-icon,.btn.disabled .d-icon{color:#919191;}.btn[disabled]:hover,.btn.disabled:hover{color:#bdbdbd;}.btn[disabled]:hover .d-icon,.btn.disabled:hover .d-icon{color:#bdbdbd;}.btn .d-icon{line-height:1.2;}.btn-primary{border:none;font-weight:normal;color:#fff;background:#08c;}.btn-primary .d-icon{color:currentColor;}.btn-primary[href]{color:#fff;}.discourse-no-touch .btn-primary:hover,.discourse-no-touch .btn-primary.btn-hover{background:#006da3;}.discourse-no-touch .btn-primary:hover .d-icon,.discourse-no-touch .btn-primary.btn-hover .d-icon{color:currentColor;}.btn-primary:active,.btn-primary.btn-active{background-color:#006da3;background-image:linear-gradient(to bottom,#006da3,#08c);}.btn-primary[disabled],.btn-primary.disabled{background:#08c;}.btn-primary[disabled] .d-icon,.btn-primary.disabled .d-icon{color:currentColor;}.btn-danger{color:#fff;font-weight:normal;background:#e45735;}.btn-danger .d-icon{color:#fbe6e1;}.btn-danger[href]{color:#fff;}.discourse-no-touch .btn-danger:hover,.discourse-no-touch .btn-danger.btn-hover{background:#c63c1b;}.discourse-no-touch .btn-danger:hover .d-icon,.discourse-no-touch .btn-danger.btn-hover .d-icon{color:#fbe6e1;}.btn-danger:active,.btn-danger.btn-active{background-color:#c63c1b;background-image:linear-gradient(to bottom,#c63c1b,#e45735);}.btn-danger[disabled],.btn-danger.disabled{background:#e45735;}.btn-danger[disabled] .d-icon,.btn-danger.disabled .d-icon{color:#fbe6e1;}.btn-social{color:#fff;background:#666;}.btn-social .d-icon{color:#fff;}.btn-social:hover{color:#fff;}.btn-social[href]{color:#fff;}.btn-social:before{margin-left:9px;font-size:1em;}.btn-social.google_oauth2{background:#fff;color:#333;border:1px solid #e9e9e9;}.btn-social.google_oauth2 .d-icon{opacity:0.9;}.btn-social.google_oauth2:hover{color:currentColor;background:#f2f2f2;}.btn-social.instagram{background:#e1306c;}.btn-social.instagram:hover{background:#ac194b;}.btn-social.facebook{background:#4267b2;}.btn-social.facebook:hover{background:#2d477a;}.btn-social.cas{background:#70ba61;}.btn-social.twitter{background:#1da1f2;}.btn-social.twitter:hover{background:#0c85d0;}.btn-social.github{background:#100e0f;}.btn-social.github:hover{background:#463e42;}.btn-social.discord{background:#7289da;}.btn-social.discord:hover{background:#4a67cf;}.btn-small{padding:3px 6px;font-size:.8706em;}.btn-large{padding:9px 18px;font-size:1.1487em;line-height:1;}.btn-flat{background:transparent;border:0;outline:0;line-height:1;transition:color 0.25s,background 0.25s;}.btn-flat .d-icon{color:#bdbdbd;}.discourse-no-touch .btn-flat:hover .d-icon,.discourse-no-touch .btn-flat.btn-hover .d-icon{color:#222;}.btn-flat.close{padding:0;min-height:unset;background:transparent;font-size:1.5157em;}.btn-flat.close .d-icon{color:#646464;}.discourse-no-touch .btn-flat.close:hover,.discourse-no-touch .btn-flat.close.btn-hover{background:transparent;}.discourse-no-touch .btn-flat.close:hover .d-icon,.discourse-no-touch .btn-flat.close.btn-hover .d-icon{color:#222;}.btn-link{background:transparent;border:0;outline:0;padding:0;color:#08c;}.btn-link:focus{outline:1px currentColor dotted;}.topic-list-item td:first-child,.topic-post{border-right:1px solid transparent;}.topic-list tr.selected td:first-child,.topic-list-item.selected td:first-child,.latest-topic-list-item.selected{box-shadow:-3px 0 0 #e45735 inset;}.featured-topic.selected,.topic-post.selected{box-shadow:3px 0 0 #e45735;}.latest .featured-topic{padding-right:4px;}.topic-list-item.selected{background-color:inherit;}.keyboard-shortcuts-modal .modal-body{max-height:560px;}#keyboard-shortcuts-help div.row{width:100%;}#keyboard-shortcuts-help div.row div{float:right;width:32%;}#keyboard-shortcuts-help ul{list-style:none;margin-right:0;}#keyboard-shortcuts-help ul li{margin:5px 0;}#keyboard-shortcuts-help ul kbd{font-size:15px;font-family:Helvetica,Arial,sans-serif;margin:0;color:#444;font-weight:bold;padding:2px 6px;white-space:nowrap;}.d-date-time-input{display:flex;align-items:center;border:1px solid #e9e9e9;width:258px;box-sizing:border-box;position:relative;flex:1;justify-content:space-between;}.d-date-time-input .date-picker,.d-date-time-input .fields{border:0;}.group-member-dropdown{text-align:right;}#banner{padding:10px;background:#d1f0ff;color:#222;z-index:2;overflow:auto;}#banner.overlay{position:fixed;}#banner .close{margin-top:-5px;color:#bdbdbd;padding-right:5px;float:left;}#banner .meta{display:none;}.ignored-list{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#fff;min-height:30px;box-sizing:border-box;}.ignored-user-list-item{border:1px solid #919191;border-radius:0.25em;padding:0;display:flex;align-items:center;margin-left:10px;}.remove-ignored-user{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0.25em 0 0 0.25em;padding-top:0;padding-bottom:0;height:100%;}.ignored-user-name{padding-right:10px;padding-left:10px;}.d-date-input .date-picker{margin:0;text-align:right;width:100%;outline:none;box-shadow:none !important;}.d-date-input .pika-single{margin-right:-1px;}.d-time-input{box-sizing:border-box;}.d-time-input .fields{display:flex;align-items:center;border:1px solid #e9e9e9;}.d-time-input .fields .field{text-align:center;width:auto;margin:0;border:none;outline:none;box-shadow:none;width:32px;}.d-time-input .fields .field.time{width:100%;text-align:right;}.d-time-input .fields .field.hours,.d-time-input .fields .field.minutes{text-align:center;width:45px;}.d-time-input .fields .field.hours{padding-left:0;}.d-time-input .fields .field.minutes{padding-right:10px;width:55px;}.group-form-automatic-membership-automatic,.groups-form-grant-trust-level{margin-bottom:10px;}.conditional-loading-section.is-loading{padding:2em;margin:1em;display:flex;align-items:center;justify-content:center;background:#f8f8f8;flex-direction:column;}.conditional-loading-section.is-loading .title{font-size:1.1487em;font-weight:700;}.conditional-loading-section:not(.is-loading){animation:fadein 0.5s;-webkit-animation:fadein 0.5s;}@keyframes fadein{from{opacity:0;}to{opacity:1;}}@-webkit-keyframes fadein{from{opacity:0;}to{opacity:1;}}a.hashtag{color:#222;font-weight:bold;}a.hashtag:visited,a.hashtag:hover{color:#222;}a.hashtag:hover span{text-decoration:underline;}.convert-to-public-topic .modal-body .instructions{margin-bottom:1em;}.pika-table th,.pika-table td{padding:0 !important;border-top:none !important;border-bottom:none !important;}.date-picker-wrapper{position:relative;display:inline-block;}.date-picker{text-align:center;width:8em;margin:0;}.pika-single{position:absolute !important;}.animated-placeholder{height:20px;position:relative;}.card-avatar-placeholder{width:120px;height:120px;border-radius:100%;position:relative;overflow:hidden;}.card-avatar-placeholder:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;right:0;content:"";background:linear-gradient(to left,#f8f8f8 10%,#e9e9e9 82% 33%);height:120px;width:580px;}#user-card,#group-card{width:580px;box-shadow:0 4px 14px rgba(0,0,0,0.15);color:#222;background:#fff center center;background-size:cover;transition:opacity 0.2s,transform 0.2s;-webkit-transition:opacity 0.2s,-webkit-transform 0.2s;opacity:0;-webkit-transform:scale(0.9);transform:scale(0.9);}#user-card.show,#group-card.show{opacity:1;-webkit-transform:scale(1);transform:scale(1);}#user-card .card-content,#group-card .card-content{padding:10px;background:rgba(255,255,255,0.85);margin-top:80px;}#user-card .card-content:after,#group-card .card-content:after{content:"";display:block;clear:both;}#user-card .card-content a.card-huge-avatar,#group-card .card-content a.card-huge-avatar{outline:none;}#user-card.no-bg .card-content,#group-card.no-bg .card-content{margin-top:0;}#user-card .card-row:not(.first-row),#group-card .card-row:not(.first-row){margin-top:0.5em;}#user-card .first-row .names,#group-card .first-row .names{padding-right:1.25em;}#user-card .first-row .names .user-profile-link,#group-card .first-row .names .user-profile-link{display:flex;align-items:center;}#user-card .first-row .names .d-icon,#group-card .first-row .names .d-icon{margin:0 0.25em;}#user-card .first-row .names .name-username-wrapper,#group-card .first-row .names .name-username-wrapper{margin-left:0;flex:0 1 auto;}#user-card .first-row .names span,#group-card .first-row .names span{display:block;}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{list-style-type:none;margin:0;}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{width:100%;}#user-card .btn,#group-card .btn{margin-bottom:5px;}#user-card h1,#group-card h1{line-height:1.2;}#user-card h1 .d-icon,#group-card h1 .d-icon{color:#222;}#user-card h3,#group-card h3{display:inline;margin-left:0.5em;color:#222;}#user-card h3.email,#user-card h3 .desc,#user-card h3 a,#group-card h3.email,#group-card h3 .desc,#group-card h3 a{color:#646464;}#user-card h1,#user-card h2,#user-card h3,#group-card h1,#group-card h2,#group-card h3{margin:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#user-card h1 a,#user-card h2 a,#group-card h1 a,#group-card h2 a{color:#222;}#user-card h2,#user-card h3,#group-card h2,#group-card h3{font-weight:normal;}#user-card p,#group-card p{margin:0 0 5px 0;}#user-card .first-row{display:flex;}#user-card .first-row .avatar-placeholder{width:120px;height:120px;}#user-card .first-row .user-card-avatar{margin-top:-50px;}#user-card .first-row .new-user a{color:#bdbdbd;}#user-card .second-row{max-height:150px;overflow:auto;}#user-card .second-row .bio a{color:#222;text-decoration:underline;}#user-card .second-row .bio a.mention{text-decoration:none;}#user-card .second-row .bio .overflow{max-height:60px;overflow:hidden;}#user-card .second-row .suspended{color:#e45735;}#user-card .second-row .suspended .suspension-reason-title,#user-card .second-row .suspended .suspension-date{font-weight:bold;}#user-card .second-row .profile-hidden{font-size:1.1487em;margin-top:0.5em;}#user-card .third-row .location-and-website{display:flex;flex-wrap:wrap;width:100%;align-items:center;}#user-card .third-row .location-and-website .location,#user-card .third-row .location-and-website .website-name{display:flex;overflow:hidden;align-items:center;}#user-card .third-row .location-and-website .location .d-icon,#user-card .third-row .location-and-website .website-name .d-icon{margin-left:0.25em;}#user-card .third-row .location-and-website .website-name a,#user-card .third-row .location-and-website .location span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:#222;}#user-card .third-row .location-and-website .location{margin-left:0.5em;}#user-card .third-row .location-and-website .website-name a{text-decoration:underline;}#user-card .fifth-row .public-user-fields{margin:0;}#user-card .sixth-row .badge-section{display:flex;align-items:flex-start;}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;background:#f8f8f8;border:1px solid #e9e9e9;color:#222;}#group-card .first-row{display:flex;}#group-card .first-row .group-card-avatar{margin-top:-50px;}#group-card .first-row .avatar-flair{display:flex;background-size:contain;width:120px;height:120px;color:#222;}#group-card .first-row .avatar-flair .d-icon{margin:auto;font-size:80px;}#group-card .first-row .avatar-flair.rounded{border-radius:50%;}#group-card .second-row{max-height:150px;overflow:auto;}#group-card .second-row .bio a{color:#222;text-decoration:underline;}#group-card .second-row .bio img{max-width:100%;height:auto;}#group-card .second-row .bio a.mention{text-decoration:none;}#group-card .second-row .bio .overflow{max-height:60px;overflow:hidden;}body.footer-nav-visible #main-outlet{padding-bottom:64px;}body.footer-nav-visible #topic-progress-wrapper,body.footer-nav-visible #reply-control.draft{bottom:49px;}body.footer-nav-visible #reply-control.draft{margin-bottom:env(safe-area-inset-bottom);padding-bottom:0px;}.footer-nav{background-color:rgba(255,255,255,0.9);box-shadow:0 0 2px 0 rgba(0,0,0,0.25);height:49px;position:fixed;bottom:-49px;right:0;width:100%;z-index:900;transition:all linear 0.1s;}.footer-nav .d-icon{color:#999;}.footer-nav.visible{bottom:0px;}.footer-nav .footer-nav-widget{display:flex;justify-content:"space-evenly";-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.footer-nav .footer-nav-widget button{flex:1;margin:4px;border-radius:2px;padding:14px 18px;}.footer-nav .footer-nav-widget button:disabled{opacity:0.6;}@supports (padding:0px){.footer-nav.visible{padding-bottom:max(5px,env(safe-area-inset-bottom));}}@supports (-webkit-backdrop-filter:blur(10px)){body:not(.footer-nav-ipad) .footer-nav{background-color:rgba(255,255,255,0.7);-webkit-backdrop-filter:blur(20px);}}body.footer-nav-ipad{padding-top:49px;}body.footer-nav-ipad .footer-nav{bottom:auto;top:0px;background-color:#fff;z-index:1020;padding-bottom:0;}body.footer-nav-ipad #reply-control,body.footer-nav-ipad #reply-control.fullscreen{z-index:1021;}body.footer-nav-ipad.docked .d-header{margin-top:49px;}.share-and-invite.modal .modal-body{max-width:475px;min-width:320px;}.share-and-invite.modal .modal-header .modal-close{padding-right:0;}.share-and-invite.modal .share.modal-panel .header{display:flex;flex-direction:row;align-items:center;}.share-and-invite.modal .share.modal-panel .header .title{font-size:1em;font-weight:normal;margin-bottom:8px;}.share-and-invite.modal .share.modal-panel .header .title .post-date{color:#919191;font-size:.8706em;}.share-and-invite.modal .share.modal-panel .body{display:flex;flex-direction:column;}.share-and-invite.modal .share.modal-panel .body .topic-share-url{width:100%;height:auto;box-sizing:border-box;}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch a{word-break:break-all;font-size:1.1487em;}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch,.share-and-invite.modal .share.modal-panel .body .topic-share-url{margin-bottom:8px;}.share-and-invite.modal .share.modal-panel .body .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;}.share-and-invite.modal .share.modal-panel .body .sources .social-link{font-size:2.296em;margin-left:8px;}.share-and-invite.modal .invite.modal-panel .error-message,.share-and-invite.modal .invite.modal-panel .success-message{margin-bottom:8px;}.share-and-invite.modal .invite.modal-panel .body .invite-user-control,.share-and-invite.modal .invite.modal-panel .body .group-access-control,.share-and-invite.modal .invite.modal-panel .body .show-custom-message-control{margin-bottom:16px;}.share-and-invite.modal .invite.modal-panel .body .instructions{margin-bottom:8px;}.share-and-invite.modal .invite.modal-panel .body .email-or-username-input{width:100%;}.share-and-invite.modal .invite.modal-panel .footer{display:flex;align-items:center;}.share-and-invite.modal .invite.modal-panel .footer .btn-primary{margin-left:8px;}.share-and-invite.modal .invite.modal-panel .footer .btn-primary:last-child{margin-left:0;}.user-stream .item,.user-stream .user-stream-item{background-color:#fff;border-bottom:1px solid #e9e9e9;}.user-stream .item.moderator-action,.user-stream .user-stream-item.moderator-action{background-color:#ffffa6;}.user-stream .item.deleted,.user-stream .user-stream-item.deleted{opacity:0.8;background-color:rgba(242,171,154,0.7);}.user-stream .item.hidden,.user-stream .user-stream-item.hidden{display:block;opacity:0.4;}.user-stream .type,.user-stream span.name{color:#222;}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{display:block;float:left;color:#919191;font-size:.7579em;}.user-stream .draft-type{clear:left;}.user-stream .delete-info .d-icon{font-size:1em;}.user-stream .expand-item,.user-stream .collapse-item{float:left;margin-left:0.5em;line-height:1;color:#919191;}.user-stream .avatar-link{float:right;margin-left:4px;}.user-stream .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:block;}.user-stream .name{font-size:1em;max-width:400px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-stream .edit-reason{background-color:#ffffa6;padding:3px 5px 5px 5px;}.user-stream .remove-bookmark,.user-stream .remove-draft{float:left;margin-top:-4px;}.user-stream .notification li{display:inline-block;}.user-stream .notification p{display:inline-block;}.user-stream .notification p span:first-child{color:#222;}.user-stream .notification .time{display:inline-block;margin-right:10px;float:none;}.user-stream .notification .fa,.user-stream .notification .icon{color:#919191;font-size:1.7511em;}.user-stream .excerpt{margin:1em 0 0 0;font-size:1em;word-wrap:break-word;color:#222;}.user-stream .excerpt:empty{display:none;}.user-stream .excerpt details.disabled{color:#919191;}.user-stream .group-member-info{display:flex;}.user-stream .child-actions,.user-stream-item-actions,.user-stream-item-draft-actions{margin-top:8px;}.user-stream .child-actions .avatar-link,.user-stream-item-actions .avatar-link,.user-stream-item-draft-actions .avatar-link{float:none;margin-left:3px;}.user-stream .child-actions .fa,.user-stream-item-actions .fa,.user-stream-item-draft-actions .fa{width:15px;display:inline-block;color:#222;}.user-stream .child-actions .fa.d-icon-heart,.user-stream-item-actions .fa.d-icon-heart,.user-stream-item-draft-actions .fa.d-icon-heart{color:#fa6c8d;}.badge-notification,.badge-group{display:inline-block;font-weight:normal;white-space:nowrap;border-radius:10px;}.badge-wrapper{font-size:.8706em;font-weight:bold;white-space:nowrap;position:relative;display:inline-flex;align-items:baseline;}.badge-wrapper .badge-category{display:inline-flex;align-items:baseline;}.badge-wrapper .badge-category .category-name{text-overflow:ellipsis;overflow:hidden;}.badge-wrapper .badge-category .d-icon{margin-left:3px;width:0.74em;height:0.74em;color:inherit;}.badge-wrapper.bullet{margin-left:12px;}.badge-wrapper.bullet span.badge-category{color:#646464;overflow:hidden;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper.bullet span.badge-category{color:#333;}.badge-wrapper.bullet .badge-category-parent-bg,.badge-wrapper.bullet .badge-category-bg{flex:0 0 auto;width:9px;height:9px;margin-left:5px;display:inline-block;}.badge-wrapper.bullet .badge-category-parent-bg{width:5px;margin-left:0;}.badge-wrapper.bullet .badge-category-parent-bg+.badge-category-bg{width:5px;}.badge-wrapper.bullet .d-icon{color:#919191;}.badge-wrapper.box{margin-left:5px;padding:2px 4px 2px 4px;display:inline-flex;}.badge-wrapper.box span{overflow:hidden;text-overflow:ellipsis;}.badge-wrapper.box span.badge-category-bg,.badge-wrapper.box span.badge-category-parent-bg{position:absolute;top:0;left:0;bottom:0;right:0;}.badge-wrapper.box span.badge-category-parent-bg{width:calc(100% - 5px);}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg{right:5px;width:calc(100% - 5px);}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg+.badge-category{margin-right:5px;}.badge-wrapper.box span.badge-category{position:relative;}.badge-wrapper.box+.topic-header-extra{padding:2px 4px 2px 4px;}.badge-wrapper.bar{margin-left:5px;}.badge-wrapper.bar span.badge-category{color:#646464;padding:1px 3px;overflow:hidden;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper.bar span.badge-category{color:#333;}.badge-wrapper.bar .badge-category-parent-bg,.badge-wrapper.bar .badge-category-bg{display:inline-block;padding:0 1px;}.badge-wrapper.bar .badge-category-parent-bg:before,.badge-wrapper.bar .badge-category-bg:before{content:"\\a0";}.badge-wrapper.none{color:#646464;margin-left:5px;}.list-controls .category-breadcrumb a.badge-category{display:inline-block;padding:6px 8px;line-height:1.2;}.badge-notification{padding:0.21em 0.42em;min-width:0.5em;color:#fff;font-size:.7579em;line-height:1;text-align:center;background-color:#bdbdbd;}.badge-notification[href]{color:#fff;}.badge-notification:hover{color:#fff;}.badge-notification.new-posts,.badge-notification.unread-posts{background-color:#6cf;color:#fff;font-weight:normal;}.badge-notification.new-topic{background-color:transparent;color:#0aadff;font-weight:normal;font-size:.8706em;}.badge-notification.new-topic::before{content:"●";margin-left:2px;}.badge-notification.clicks{font-weight:normal;background-color:#e9e9e9;top:-1px;color:#919191;position:relative;border:none;}.badge-posts{font-weight:normal;font-size:1em;line-height:1;}.badge-posts[href]{color:#919191;}.badge-group{padding:2px 5px;color:#222;background-color:#e9e9e9;border-color:#e9e9e9;font-size:.8706em;}.user-info{display:inline-block;clear:both;margin-bottom:1em;}.user-info .user-image{float:right;padding-left:4px;margin-left:10px;}.user-info .user-image-inner{position:relative;display:inline-block;}.user-info .user-detail{float:right;width:70%;padding-right:5px;}@media screen and (max-width:600px){.user-info .user-detail{font-size:.8706em;}}.user-info .user-detail .name-line{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-info .user-detail .username a{font-weight:bold;color:#646464;}.user-info .user-detail .name{margin-right:5px;color:#646464;}.user-info .user-detail .title{margin-top:3px;color:#919191;}.user-info.small{width:333px;}@media screen and (max-width:800px){.user-info.small{width:auto;display:flex;}}@media screen and (max-width:600px){.user-info.small{width:100%;}}.user-info.medium{min-height:60px;}.user-info.medium .username,.user-info.medium .name{display:block;}.user-info.medium .name{margin-right:0;}.user-info.medium.badge-info{min-height:80px;min-width:250px;}.user-info.medium.badge-info .granted-on{color:#919191;}.user-info.medium.badge-info .post-link{display:block;margin-top:0.2em;}.user-stream.filter-deleted{grid-column-start:1;grid-column-end:3;grid-row-start:2;}.popup-tip{position:absolute;display:block;padding:5px 10px;z-index:600;}.popup-tip.bad{background:#ec8972;color:white;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}.popup-tip.hide,.popup-tip.good{display:none;}.popup-tip .close{float:left;color:#222;opacity:0.5;font-size:1em;margin:0 4px 0 0;cursor:pointer;}.popup-tip .close:hover{opacity:1;}#topic-entrance{border:1px solid #e9e9e9;padding:5px;background:#fff;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:300;position:absolute;width:133px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}#topic-entrance button.full{width:100%;margin-bottom:5px;}#topic-entrance button.full .d-icon{display:block;margin:2px auto;transform:rotate(90deg);}#topic-entrance button.btn.jump-bottom{margin:5px 0 0 0;}@media print{.avatar,.topic-avatar,header,.topic-above-post-stream-outlet.topic-above-post-stream,.topic-map,.post-menu-area.clearfix,.post-menu-area.nav-pills,.post-menu-area.container,.post-menu-area.wrap,div#topic-footer-buttons,div.suggested-topics,div#progress-topic-wrapper,#topic-progress-wrapper,div.nums,._flyout,.show-topic-admin,#topic-progress,.quote-controls,.topic-status-info,div.lazyYT,.post-info.edits,.post-action,.saving-text,.draft-text,.discourse-modal,div.read-state,div.read-state.read,.edit-topic,a.reply-to-tab,a.reply-new,div.time-gap,#bottom,#footer,.alert-info,.badge-category,.badge-category-bg,.badge-notification.clicks,.crawler-nav,.powered-by-link{display:none !important;}a,a:visited{color:#0088cc !important;}div.row{border-top:1px solid #aaa;}.cooked pre code{max-height:none;}#main-outlet{padding:0 !important;}html,body{min-width:0;height:auto;}.lightbox-wrapper img{max-width:500px !important;height:auto !important;}.topic-body{width:auto;margin:0;padding:0;float:none;}.topic-post article.boxed .select-posts{width:auto;right:auto;left:0;}.gap{width:auto;}#topic-title{margin:0;padding:0;}#topic-title div div h1{margin:2.5em 0 0 0;padding:0;float:right;font-weight:normal;font-size:normal;}a,a:visited{color:#ddd;font-weight:bold;}.topic-category-outlet.show-topic-category-location,div.alert.alert-info.alert-emails-disabled,div.profiler-results.profiler-left.profiler-no-controls{display:none;}}section.about{margin-bottom:40px;}section.about h3{margin-bottom:15px;}section.about table{width:auto;}section.about table td{padding:10px;}section.about table td.title{width:33%;}.body-page{width:100%;max-width:700px;}.about-page .body-page{max-width:unset;}.about-page .body-page section:not(.admins):not(.moderators):not(.category-moderators){max-width:700px;}.about-page .body-page .about.category-moderators .badge-wrapper.bullet .badge-category{color:#222;}.mobile-view .body-page{font-size:1em;margin-top:20px;}.body-page li{margin-bottom:8px;}.body-page .nav-pills{margin-bottom:20px;}.body-page ul:not(.nav-pills),.body-page ol:not(.nav-pills){margin-right:40px;}body.crawler>header{width:100%;position:absolute;top:0;z-index:9999;background-color:#fff;padding:10px;box-shadow:none;border-bottom:1px solid #bdbdbd;box-sizing:border-box;}body.crawler div#main-outlet div.post{word-break:break-word;}body.crawler div#main-outlet div.post img{max-width:100%;height:auto;}body.crawler .raw-topic-link{display:block;font-weight:bold;margin-bottom:0.25em;}body.crawler .topic-list{margin-bottom:1em;}body.crawler footer{margin-top:3em;border-top:1px solid #bdbdbd;}.crawler-topic-title{margin-top:0.5em;}.crawler-post{margin-top:1em;margin-bottom:2em;padding-top:1.5em;border-top:1px solid #e9e9e9;}.crawler-post-meta{margin-bottom:1em;}.crawler-post-meta .creator{word-break:break-all;}.crawler-post-meta .creator a{font-weight:bold;}@media screen and (max-width:768px){.crawler-post-meta .creator{display:inline-block;margin-bottom:0.25em;}}.crawler-post-infos{color:#646464;display:inline-block;}@media screen and (min-width:768px){.crawler-post-infos{float:left;}}.crawler-post-infos [itemprop="position"]{float:right;margin-left:0.5em;}#breadcrumbs{margin-bottom:0.5em;font-size:1.1487em;}#breadcrumbs>div{margin-bottom:0.15em;}#breadcrumbs .badge-category-bg{background-color:#a6a6a6;}#breadcrumbs .category-title{color:#222;}.crawler-tags-list span{display:block;margin-bottom:0.15em;}.crawler-linkback-list{margin-top:1em;}.crawler-linkback-list a{display:block;padding:0.5em 0;border-top:1px solid #e9e9e9;}.crawler-nav{margin:1em 0;}.crawler-nav ul{margin:0;list-style-type:none;}.crawler-nav li{display:inline-block;}.crawler-nav a{display:inline-block;padding:0.5em 0 0.5em 1em;}div.ac-wrap.composer-user-selector-limited{width:400px;padding:0 10px;margin-bottom:5px;}div.ac-wrap.composer-user-selector-limited .btn-primary{margin-right:0.5em;padding:3px 6px 2px;font-size:.8706em;min-height:unset;}@keyframes ping{from{transform:scale(0.25);opacity:1;}to{transform:scale(2);opacity:0;}}@keyframes rotate-forever{0%{transform:rotate(0deg);}100%{transform:rotate(360deg);}}@keyframes background-fade-highlight{0%{background-color:#d1f0ff;}100%{background-color:transparent;}}@keyframes placeHolderShimmer{0%{background-position:right -1000px 0;}100%{background-position:right 1100px 0;}}.placeholder-animation{animation-duration:4s;animation-fill-mode:forwards;animation-iteration-count:infinite;animation-name:placeHolderShimmer;animation-timing-function:linear;background:#f8f8f8;background:linear-gradient(to left,#f8f8f8 10%,#e9e9e9 82% 33%);}html{height:100%;}body{background-attachment:fixed;background-size:cover;min-height:100%;}body:before,body:after{content:"";display:table;}body:after{clear:both;}big{font-size:2em;}small{font-size:.7579em;}blockquote{border-right:5px solid #e9e9e9;background-color:#f9f9f9;clear:both;}h1,h2,h3,h4,h5,h6{margin-top:0;margin-bottom:0.5rem;}button.ok{background:#090;color:#fff;}button.ok .d-icon{color:currentColor;}.discourse-no-touch button.ok:hover,.discourse-no-touch button.ok.btn-hover{background:#0c0;color:#fff;}button.cancel{background:#e45735;color:#fff;}button.cancel .d-icon{color:currentColor;}.discourse-no-touch button.cancel:hover,.discourse-no-touch button.cancel.btn-hover{background:#ea7c62;color:#fff;}a.cancel{margin-right:1.25em;line-height:normal;color:#646464;transition:color 250ms;}a.cancel:hover{color:#e45735;}ul.breadcrumb{margin:0 10px 0 10px;}a.no-href{cursor:pointer;}img.avatar{border-radius:50%;}span.relative-date{white-space:nowrap;}label{display:flex;margin-bottom:5px;align-items:flex-start;}label>.d-icon{align-self:center;margin-left:4px;}input[type="radio"],input[type="checkbox"]{margin-top:0.17em;margin-left:0.43em;margin-right:0.1em;line-height:1;cursor:pointer;flex-shrink:0;}input[type="submit"],input[type="reset"],input[type="button"],input[type="radio"],input[type="checkbox"]{width:auto;}input.invalid{background-color:#fbe6e1;}.radio input[type="radio"],.checkbox input[type="checkbox"]{float:right;margin-right:-18px;}input,select,textarea{color:#222;caret-color:currentColor;}input[class*="span"],select[class*="span"],textarea[class*="span"]{float:none;margin-right:0;}input[disabled],input[readonly],select[disabled],select[readonly],textarea[disabled],textarea[readonly]{cursor:not-allowed;background-color:#e9e9e9;border-color:#e9e9e9;}input:focus:required:invalid,select:focus:required:invalid,textarea:focus:required:invalid{color:#e45735;border-color:#e45735;}input:focus:required:invalid:focus,select:focus:required:invalid:focus,textarea:focus:required:invalid:focus{border-color:#e45735;box-shadow:0 0 6px 0 #e45735;}input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]{-webkit-appearance:none;-moz-appearance:none;appearance:none;display:inline-block;padding:4px 10px;margin-bottom:9px;font-size:1em;line-height:1;color:#222;background-color:#fff;border:1px solid #919191;border-radius:0;box-sizing:border-box;min-height:30px;}input[type="text"]:focus,input[type="password"]:focus,input[type="datetime"]:focus,input[type="datetime-local"]:focus,input[type="date"]:focus,input[type="month"]:focus,input[type="time"]:focus,input[type="week"]:focus,input[type="number"]:focus,input[type="email"]:focus,input[type="url"]:focus,input[type="search"]:focus,input[type="tel"]:focus,input[type="color"]:focus{border-color:#08c;box-shadow:0 0 6px 0 #08c;outline:0;}.input-prepend,.input-append{margin-bottom:5px;}.input-prepend input[class*="span"],.input-append input[class*="span"]{display:inline-block;}.input-prepend input,.input-prepend select,.input-append input,.input-append select{position:relative;margin-bottom:0;vertical-align:middle;border-radius:0;}.input-prepend input:focus,.input-prepend select:focus,.input-append input:focus,.input-append select:focus{z-index:2;}.input-prepend .add-on,.input-append .add-on{display:inline-flex;align-items:center;width:auto;padding:0 0.5em;height:28px;background-color:#e9e9e9;border:1px solid #919191;}.input-prepend .add-on:first-child,.input-prepend .btn:first-child,.input-append .add-on:first-child,.input-append .btn:first-child{margin-left:-1px;}.input-prepend .add-on:last-child,.input-prepend .btn:last-child,.input-append .add-on:last-child,.input-append .btn:last-child{margin-right:-1px;border-radius:3px 0 0 3px;}.input-prepend .add-on,.input-prepend .btn{margin-left:-1px;}textarea{height:auto;background-color:#fff;border:1px solid #919191;}textarea:focus{border-color:#08c;box-shadow:0 0 6px 0 #08c;outline:0;}select{border:1px solid #e9e9e9;}table th{font-weight:normal;color:#919191;text-align:right;padding:0.5em;}.sortable{white-space:nowrap;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.discourse-no-touch .sortable:hover{background-color:#e9e9e9;}.sortable .d-icon{margin-right:0.25em;}.radio,.checkbox{min-height:18px;padding-right:18px;}.controls>.radio:first-child,.controls>.checkbox:first-child{padding-top:5px;}.radio.inline,.checkbox.inline{display:inline-block;padding-top:5px;margin-bottom:0;vertical-align:middle;}.radio.inline .radio.inline,.checkbox.inline .checkbox.inline{margin-right:10px;}.wrap{margin-left:auto;margin-right:auto;padding:0 8px;}.wrap .contents{position:relative;}.boxed.white{background-color:#fff;}.full-width{margin-right:12px;}.coldmap-high{color:#bdbdbd !important;}.coldmap-med{color:#919191 !important;}.coldmap-low{color:#919191 !important;}.top-space{margin-top:10px;}.message{border-radius:8px;background-color:#fff;padding:14px;}.message h2{margin-bottom:20px;}.clear-transitions{transition:none !important;}.tip{display:inline-block;}.tip.good{color:#090;}.tip.bad{color:#e45735;}.avatar-wrapper{background-color:#fff;display:inline-block;border-radius:50%;}.profiler-results.profiler-left{top:60px !important;}.flex-center-align{display:flex;align-items:center;}.unread-private-messages{color:#fff;background:#090;}.unread-private-messages.badge-notification[href]{color:#fff;}.ring-backdrop-spotlight{position:absolute;width:80px;height:80px;top:-18px;left:-18px;background-image:radial-gradient(40px at 50% 50%,transparent 95%,#222 100%);opacity:0.85;}.ring-backdrop{position:absolute;width:80px;height:80px;top:-18px !important;left:-18px !important;box-shadow:0 0 0 9999px rgba(34,34,34,0.85);z-index:1200;}.ring-first-notification{position:absolute;color:#fff;text-align:right;left:70px;top:60px;width:230px;line-height:1.2;}.ring{background:-webkit-radial-gradient(transparent,#090);background:-o-radial-gradient(transparent,#090);background:-moz-radial-gradient(transparent,#090);background:radial-gradient(transparent,#090);top:-11px !important;left:23.5px !important;border-radius:100%;width:20px;height:20px;-moz-animation-iteration-count:infinite;-webkit-animation-iteration-count:infinite;-webkit-transform-origin:center;-moz-animation-duration:3s;-webkit-animation-duration:3s;-moz-animation-name:ping;-webkit-animation-name:ping;}.fade{opacity:0;transition:opacity 0.15s linear;}.fade.in{opacity:1;}.inline-spinner{display:inline-block;margin:0;}.spinner{margin:20px auto 20px auto;position:relative;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;height:30px;width:30px;border:4px solid #b6b6b6;border-right-color:transparent;border-radius:50%;}.spinner.small{width:10px;height:10px;margin:0;display:inline-block;}.content-list h3{color:#919191;font-size:1.1487em;padding-right:5px;margin-bottom:10px;}.content-list ul{list-style:none;margin:0;}.content-list ul li{border-bottom:1px solid #e9e9e9;}.content-list ul li:first-of-type{border-top:1px solid #e9e9e9;}.content-list ul li a{display:block;padding:10px;color:#222;}.content-list ul li a:hover{background-color:#e9e9e9;color:#222;}.content-list ul li a.active{font-weight:bold;color:#222;}.form-vertical input,.form-vertical textarea,.form-vertical select,.form-vertical .input-prepend,.form-vertical .input-append{display:inline-block;margin-bottom:0;flex:0 0 auto;}.form-vertical .control-group:before,.form-vertical .control-group:after{content:"";display:table;}.form-vertical .control-group:after{clear:both;}.form-vertical .control-label{font-weight:bold;font-size:1.3195em;line-height:1.4;}.form-vertical .controls{margin-right:0;}#main img.avatar.header{width:45px;height:45px;}#main img.avatar.medium{width:32px;height:32px;}#main img.avatar.small{width:25px;height:25px;}#main img.avatar.tiny{width:20px;height:20px;}#main .user-list .user{padding-bottom:5px;}#loading-message{position:absolute;font-size:2em;text-align:center;top:120px;right:500px;color:#222;}#footer .container{height:50px;}#footer .container .contents{padding-top:10px;}#footer .container .contents a[href]{color:#fff;}.inline{display:inline;}.pref-auth-tokens .row{border-bottom:1px solid #ddd;margin:5px 0px;padding-bottom:5px;}.pref-auth-tokens .row:last-child{border-bottom:0;}.pref-auth-tokens .auth-token-icon{color:#919191;font-size:2.25em;float:right;margin-left:10px;}.pref-auth-tokens .auth-token-first{font-size:1.1em;}.pref-auth-tokens .auth-token-first .auth-token-device{font-weight:bold;}.pref-auth-tokens .auth-token-second{color:#919191;}.pref-auth-tokens .auth-token-second .active{color:#090;font-weight:bold;}.pref-auth-tokens .auth-token-dropdown{float:left;}.pref-auth-tokens .auth-token-dropdown .btn,.pref-auth-tokens .auth-token-dropdown .btn:hover{background:transparent;}.pref-auth-tokens .auth-token-dropdown .btn .d-icon,.pref-auth-tokens .auth-token-dropdown .btn:hover .d-icon{color:#646464;}.pref-auth-tokens .dropdown-menu{width:120px;}.pref-auth-tokens .dropdown-menu .icon{margin-top:auto;}.topic-statuses{display:inline;float:right;margin-left:0.15em;}.topic-statuses .topic-status{margin:0;display:inline-flex;color:#919191;}.topic-statuses .topic-status .d-icon{height:0.76em;width:0.75em;}.topic-statuses .topic-status:not(:last-child){margin-left:0.15em;}.topic-statuses .d-icon-envelope{color:#e45735;}.broken-theme-alert{font-size:15px;font-weight:bold;padding:5px 0;background:#ec8972;text-align:center;z-index:9999;color:#fff;}.error-page{text-align:center;padding-top:2em;}.error-page .face{font-size:4.286em;}.error-page .reason{font-size:1.7511em;}.error-page .url{font-style:italic;font-size:.8706em;}.error-page .desc{margin-top:16px;}.error-page .desc .d-icon-check-circle{color:#090;}.error-page .buttons{display:inline-flex;margin-top:15px;}.error-page .buttons button{margin:0 20px;}.category-list{table-layout:fixed;}.category-list .category-text-title{display:flex;align-items:baseline;}.category-list .category-name{display:inline-block;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:text-top;line-height:1.2;}.category-boxes,.category-boxes-with-topics{display:flex;flex-wrap:wrap;justify-content:flex-start;margin-top:1em;margin-bottom:1em;width:100%;}.category-boxes .category-box,.category-boxes-with-topics .category-box{display:flex;flex-direction:row;align-content:flex-start;cursor:pointer;box-sizing:border-box;border-width:0;border-right-width:6px;border-style:solid;border-color:#e9e9e9;}.mobile-view .category-boxes .category-box,.mobile-view .category-boxes-with-topics .category-box{width:100%;}.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{display:block;width:auto;height:40px;margin:0 auto 1em auto;}@supports (--custom:property){.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{--height:40px;width:calc(var(--height) * var(--aspect-ratio));max-width:100%;}}.category-boxes .category-box-inner,.category-boxes-with-topics .category-box-inner{box-sizing:border-box;width:100%;padding:0;display:flex;flex-direction:column;border-width:2px;border-right-width:0;border-style:solid;border-color:#e9e9e9;}.category-boxes.no-logos .logo,.category-boxes-with-topics.no-logos .logo{display:none;}.category-boxes .category-box{width:23%;margin:0 1% 1.5em 1%;}.category-boxes .category-box>a{width:100%;padding:0;}.category-boxes .category-box .category-box-inner{padding:1em;}.category-boxes .category-box .category-box-inner .category-logo{float:none;margin:0;}.category-boxes.no-logos .category-box .category-box-inner>a{padding:3em 1em;}.category-boxes .description{padding-bottom:1em;text-align:center;font-size:1em;color:#919191;}.category-boxes .description .overflow{max-height:6em;}.category-boxes h3{font-size:1.3195em;margin-bottom:0.5em;margin-top:0.25em;line-height:1.2;text-align:center;color:#222;overflow:hidden;}.category-boxes .subcategories{display:flex;flex-flow:wrap;}.category-boxes .subcategories .subcategory{display:flex;align-items:center;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;margin-left:1em;margin-bottom:0.6em;}.category-boxes .subcategories .subcategory .subcategory-image-placeholder{display:inline-block;margin-left:0.6em;}.category-boxes .subcategories .subcategory .subcategory-link{min-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.category-boxes .subcategories .subcategory .logo img{display:inline-block;height:20px;width:20px;margin:0;}.category-boxes-with-topics .category-box{width:31%;margin:0 1% 1.5em 1%;padding:0;}.category-boxes-with-topics h3{font-size:1.3195em;text-align:center;overflow:hidden;}.category-boxes-with-topics .category-box-heading{padding:1em 1em 0.5em 1em;}.category-boxes-with-topics .category-box-heading a[href]{width:100%;color:#222;}.category-boxes-with-topics .featured-topics{padding:0.5em 1em 1em 1em;}.category-boxes-with-topics .featured-topics ul{color:#919191;list-style:none;padding:0;margin:0;}.category-boxes-with-topics .featured-topics li{padding:4px 0;display:flex;align-items:baseline;}.category-boxes-with-topics .featured-topics li .overflow{max-height:3em;overflow:hidden;}.category-boxes-with-topics .featured-topics li .d-icon{margin-left:0.15em;width:0.76em;height:0.76em;}.categories-list .category h3 .d-icon{color:#919191;height:0.76em;width:0.76em;vertical-align:baseline;margin-left:0.15em;}.category-boxes-with-topics .category-box h3 .d-icon,.category-boxes .category-box h3 .d-icon{margin-left:0;}#share-link{position:absolute;right:20px;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-color:#fff;padding:8px 8px 4px 8px;width:300px;display:none;}#share-link.visible{display:block;}#share-link input[type="text"]{width:100%;}#share-link .share-for-touch .overflow-ellipsis{clear:both;}#share-link .share-for-touch{margin:14px 0;}#share-link .title{margin-bottom:4px;align-items:center;display:flex;justify-content:space-between;}#share-link .title h3{font-size:1em;margin:0;}#share-link .title .date{font-weight:normal;color:#919191;}#share-link .copy-text{display:inline-block;position:absolute;margin:5px 15px 5px 5px;color:#090;opacity:1;transition:opacity 0.25s;font-size:1em;}#share-link .copy-text:not(.success){opacity:0;}#share-link .social-link{margin-left:8px;font-size:1.7511em;}#share-link .social-link .d-icon{color:#08c;}#share-link .social-link .d-icon-fab-facebook{color:#4267b2;}#share-link .social-link .d-icon-fab-twitter-square{color:#1da1f2;}#share-link input[type="text"]{font-size:1.1487em;margin-bottom:0;}#share-link .actions{display:flex;align-items:flex-end;margin-top:8px;}#share-link .actions .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;max-width:45%;}#share-link .actions .sources .social-link{margin-left:8px;}#share-link .actions .alt-actions{display:flex;align-items:center;flex:1;justify-content:flex-end;height:36px;}#share-link .actions .alt-actions .close-share{font-size:1.5157em;color:#919191;}#share-link .actions .alt-actions .new-topic{margin-left:16px;}.discourse-no-touch #share-link .share-for-touch{display:none;}.discourse-touch #share-link input[type="text"]{display:none;}.ember-select{background-color:#fff;color:#222;}.uploaded-image-preview{background:#222 center;background-size:cover;position:relative;}.uploaded-image-preview .placeholder-overlay{background-size:contain;background-repeat:no-repeat;background-position:center;position:absolute;top:0;right:0;width:100%;height:100%;opacity:0.3;}.uploaded-image-preview .image-upload-controls{position:relative;display:flex;padding:10px;}.uploaded-image-preview .image-upload-controls .btn{margin-left:5px;padding:7px 10px;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn{background:none;margin-left:0;margin-right:auto;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn .d-icon{color:#e9e9e9;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover{background:none;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover .d-icon{color:#222;}.image-uploader.no-repeat .uploaded-image-preview{background-repeat:no-repeat;}.image-uploader.contain-image .uploaded-image-preview{background-size:contain;}.hidden-upload-field{visibility:hidden;position:absolute;}.search-container{display:flex;justify-content:space-between;}.search-container .warning{background-color:#ec8972;padding:5px 8px;color:#fff;}.search-container .search-bar{display:flex;justify-content:space-between;align-items:center;justify-content:space-between;margin-bottom:1em;}.search-container .search-bar .search-query{flex:1 0 0px;margin:0 0 0 0.5em;}.search-container .search-bar .search-cta{padding-bottom:6.5px;padding-top:6.5px;}.search-container .search-advanced{width:70%;}@media screen and (max-width:850px){.search-container .search-advanced{width:65%;}}.search-container .search-advanced .search-actions,.search-container .search-advanced .search-notice,.search-container .search-advanced .search-results,.search-container .search-advanced .search-title,.search-container .search-advanced .search-bar{margin-bottom:1em;}.search-container .search-advanced .search-info{display:flex;flex-wrap:wrap;border-bottom:3px solid #e9e9e9;padding-bottom:0.5em;margin-bottom:1em;flex-direction:row;align-items:center;}.search-container .search-advanced .search-info .result-count{display:flex;}.search-container .search-advanced .search-info .result-count .term{font-weight:bold;}.search-container .search-advanced .search-info .result-count span+span{margin-right:0.25em;}.search-container .search-advanced .search-info .sort-by{display:flex;margin-right:auto;align-items:center;}.search-container .search-advanced .search-info .sort-by .desc{margin-left:0.5em;}.search-container .search-advanced .search-info .sort-by .combo-box{min-width:150px;}.search-container .search-advanced .search-title{display:flex;justify-content:flex-start;align-items:center;}.search-container .search-advanced .search-title .bulk-select{margin-right:0.5em;}.search-container .search-advanced .search-title .fps-select a{margin-right:0.5em;font-size:.8706em;}.search-container .search-advanced .search-title .fps-select a:hover{text-decoration:underline;}.search-container .search-advanced .search-notice .fps-invalid{padding:0.5em;background-color:#fbe6e1;border:1px solid #ec8972;color:#e45735;}.search-container .search-advanced-sidebar{width:30%;margin-right:1em;display:flex;flex-direction:column;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar{width:35%;}}.search-container .search-advanced-sidebar #search-min-post-count,.search-container .search-advanced-sidebar .date-picker,.search-container .search-advanced-sidebar .combo-box,.search-container .search-advanced-sidebar .ac-wrap,.search-container .search-advanced-sidebar .control-group,.search-container .search-advanced-sidebar .date-picker-wrapper,.search-container .search-advanced-sidebar .search-advanced-category-chooser{box-sizing:border-box;width:100%;min-width:100%;}.search-container .search-advanced-sidebar #search-min-post-count input,.search-container .search-advanced-sidebar #search-min-post-count .item,.search-container .search-advanced-sidebar .date-picker input,.search-container .search-advanced-sidebar .date-picker .item,.search-container .search-advanced-sidebar .combo-box input,.search-container .search-advanced-sidebar .combo-box .item,.search-container .search-advanced-sidebar .ac-wrap input,.search-container .search-advanced-sidebar .ac-wrap .item,.search-container .search-advanced-sidebar .control-group input,.search-container .search-advanced-sidebar .control-group .item,.search-container .search-advanced-sidebar .date-picker-wrapper input,.search-container .search-advanced-sidebar .date-picker-wrapper .item,.search-container .search-advanced-sidebar .search-advanced-category-chooser input,.search-container .search-advanced-sidebar .search-advanced-category-chooser .item{padding-right:4px;}.search-container .search-advanced-sidebar .date-picker-wrapper{margin-top:0.5em;}.search-container .search-advanced-sidebar .date-picker{box-sizing:border-box;text-align:right;padding:4px;margin-bottom:0;}.search-container .search-advanced-sidebar .search-advanced-title{background:#e9e9e9;padding:0.358em 1em;font-weight:700;text-align:right;font-weight:bold;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar .search-advanced-title{padding:0.358em 0.5em;}}.search-container .search-advanced-sidebar .search-advanced-title.btn{background:#e9e9e9;}.search-container .search-advanced-sidebar .search-advanced-title .d-icon{margin:0;}.search-container .search-advanced-sidebar .search-advanced-filters{background:#f8f8f8;padding:1em;}.search-container .search-advanced-sidebar .search-advanced-filters .control-group{margin-bottom:15px;}.search-container .search-advanced-sidebar .search-advanced-filters section.field{margin-top:5px;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar .search-advanced-filters{padding:0.75em 0.5em;}.search-container .search-advanced-sidebar .search-advanced-filters .ac-wrap,.search-container .search-advanced-sidebar .search-advanced-filters .choices,.search-container .search-advanced-sidebar .search-advanced-filters .select-kit.multi-select{width:100% !important;}.search-container .search-advanced-sidebar .search-advanced-filters .select-kit{min-width:unset;}}.fps-invalid{margin-bottom:1em;}.fps-result{display:flex;margin-bottom:28px;max-width:780px;}.fps-result .author{display:inline-block;vertical-align:top;}.fps-result .like-count{color:#919191;}.fps-result .like-count .fa{color:#fa6c8d;font-size:.8706em;}.fps-result .badge-wrapper span.badge-category{max-width:inherit;}.fps-result .search-category{padding-top:3px;}.fps-result .topic{padding-bottom:2px;max-width:700px;}.fps-result .avatar{margin-left:14px;}.fps-result a.search-link:visited .topic-title{color:#0aadff;}.fps-result .search-link .topic-title{font-size:1.3195em;line-height:1.2;}.fps-result .search-link .topic-statuses{display:inline-block;font-size:1.3em;line-height:1.2;color:#919191;}.fps-result .search-link .topic-statuses span{line-height:1;}.fps-result .blurb{font-size:1em;line-height:1.4;word-wrap:break-word;max-width:640px;color:#919191;}.fps-result .blurb .date{color:#919191;}.fps-result .blurb .search-highlight{color:#222;}.fps-result .discourse-tag{font-size:.8706em;}.fps-topic{display:inline-block;}.no-results-suggestion{margin-top:30px;}.search-footer{margin-bottom:30px;}.panel-body-contents .search-context label{float:right;}.google-search-form{margin-top:2em;}a.loading-onebox:before{content:"";display:inline-flex;float:right;margin:3px 0 0 5px;position:relative;height:10px;width:10px;border:2px solid #bdbdbd;border-right-color:transparent;border-radius:50%;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;}.onebox-result{border-right:5px solid #e9e9e9;background-color:#f9f9f9;margin-top:15px;padding:12px;font-size:1em;}.onebox-result>.source{margin-bottom:12px;margin-left:10px;display:block;color:#222;position:relative;height:20px;}.onebox-result>.source .info{position:absolute;font-size:1em;}.onebox-result>.source .info a{color:black;text-decoration:none;padding-left:10px;}.onebox-result>.source .info img.favicon{margin-left:3px;}.onebox-result .onebox-result-body{padding-top:5px;}.onebox-result .onebox-result-body img{max-height:80%;max-width:25%;height:auto;float:right;margin-left:10px;}.onebox-result .onebox-result-body h3,.onebox-result .onebox-result-body h4{margin:0;}.onebox-result .onebox-result-body code{max-height:400px;}.onebox-result .onebox-result-body .metrics{clear:both;padding-bottom:25px;}.onebox-result .onebox-result-body .metrics .metric{display:inline-block;padding-right:33px;float:right;}.onebox-result .onebox-result-body img.verdict{float:none;margin-left:7px;}.onebox-result .onebox-result-body img.popcorn{float:none;margin-right:20px;margin-left:5px;}aside.onebox{border:5px solid #e9e9e9;margin-bottom:1em;padding:12px 12px 12px 25px;font-size:1em;}aside.onebox header{margin-bottom:8px;}aside.onebox header a[href]{color:#919191;text-decoration:none;}aside.onebox.stackexchange .source{background:url('/assets/favicons/stackexchange-9e9f17242c6d44137d40a3e55c71129060b103bfa31b7fead4ca3f18358da29f.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.twitterstatus .source{background:url('/assets/favicons/twitter-4ff0f6e16c5f53ddd3b51eeeff8610ea0432d8ebafce89785d75c231386f80d7.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.wikipedia .source{background:url('/assets/favicons/wikipedia-8feddaf7544a35c824f2e4274227fe8e7e7af71ddfe26523fe5fe20497cf5799.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubblob .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubcommit .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubpullrequest .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubissue .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubgist .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.amazon .source{background:url('/assets/favicons/amazon-882adb9da23d489f1d53ba95c6ea4052536732d9caa57ec82a8f8d0f508e48ea.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.instagram .source{background:url('/assets/favicons/instagram-b10f04096a20e469f83a32ec24519d1f20ab473209a77a3c7dbfe767613c9e5f.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.googledocs .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.googledrive .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox .onebox-body{clear:both;}aside.onebox .onebox-body h3,aside.onebox .onebox-body h4{font-size:1.1487em;margin:0 0 10px 0;}aside.onebox .onebox-body a[href]{color:#08c;text-decoration:none;}aside.onebox .onebox-body a[href]:visited{color:#08c;}aside.onebox .onebox-body img{max-height:170px;max-width:20%;height:auto;width:auto;float:right;margin-left:10px;}@media all and (max-width:600px){aside.onebox .onebox-body img{max-width:35%;}}aside.onebox .onebox-body img.onebox-full-image{max-height:none;max-width:none;width:initial;height:initial;}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{width:100%;}aside.onebox .onebox-body [style*="--aspect-ratio"]>img{height:auto;}@supports (--custom:property){aside.onebox .onebox-body .aspect-image{max-height:170px;--magic-ratio:calc(var(--aspect-ratio) + 0.15);width:calc(128px * var(--magic-ratio));max-width:20%;float:right;margin-left:10px;height:auto;}aside.onebox .onebox-body .aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;margin-left:none;}aside.onebox .onebox-body .aspect-image-full-size{max-height:500px;width:calc(500px * var(--aspect-ratio));max-width:100%;}aside.onebox .onebox-body .aspect-image-full-size img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;padding:5px 5px 5px 5px;}aside.onebox .onebox-body [style*="--aspect-ratio"]{position:relative;}aside.onebox .onebox-body [style*="--aspect-ratio"]::before{content:"";display:block;padding-bottom:calc(100% / (var(--aspect-ratio)));}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{position:absolute;top:0;right:0;height:100%;}}aside.onebox .onebox-body p:last-child{margin-bottom:4px;}aside.onebox .onebox-body .tweet-images{display:block;clear:both;}aside.onebox .onebox-body .tweet-images img.tweet-image{margin-top:1em;max-width:100%;max-height:100%;float:none;}@media screen and (max-width:550px){aside.onebox .onebox-body .tweet-images iframe{max-height:70vh;}}aside.onebox .onebox-body.user-onebox .fa{margin-left:5px;}aside.onebox .onebox-body.user-onebox .full-name,aside.onebox .onebox-body.user-onebox .location{margin-left:10px;}aside.onebox .onebox-body .instagram-images,aside.onebox .onebox-body .scale-images{clear:both;position:relative;}aside.onebox .onebox-body .instagram-images .instagram-image,aside.onebox .onebox-body .instagram-images .scale-image,aside.onebox .onebox-body .scale-images .instagram-image,aside.onebox .onebox-body .scale-images .scale-image{padding:5px 5px 5px 5px;max-width:100%;max-height:100%;float:none;}aside.onebox .onebox-body .instagram-video-icon{bottom:10px;left:10px;position:absolute;}aside.onebox .onebox-body .instagram-video-icon:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32px' height='32px' viewBox='0 0 512 512' fill='white'%3E%3Cpath d='M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z'%3E%3C/path%3E%3C/svg%3E");}.googledocs-onebox-logo{width:60px;height:50px;float:right;}.googledocs-onebox-logo.g-docs-logo{background:url('/assets/favicons/google_branding/logo_docs_48px-ba6cf22f5336743da95749fb1172023f37e55e8783a2766de8d9097b4cc6b5b9.png') no-repeat;}.googledocs-onebox-logo.g-forms-logo{background:url('/assets/favicons/google_branding/logo_forms_48px-d64ec45f889caa62cd4c52bcff1475ef487b9662b5ed6104aa9fa6f8557b09fc.png') no-repeat;}.googledocs-onebox-logo.g-sheets-logo{background:url('/assets/favicons/google_branding/logo_sheets_48px-ca5da2b813ac5382a7b3a42d1327ddbced98467021466efe5494c25ca50f5a38.png') no-repeat;}.googledocs-onebox-logo.g-slides-logo{background:url('/assets/favicons/google_branding/logo_slides_48px-a752c1f8e690496c7b22265f77ebfbc2d584aa42b2e4392f72b1c5a144bbb95f.png') no-repeat;}.googledocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_48px-7e0f251c12ecc35f5260919fe00b3789c58257b76c4288d458a6718f12367145.png') no-repeat;}.googledocs-onebox-logo.g-drive-logo{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat;}.gdocs-onebox-splash{background-color:#d6d6d6;color:#222;border:1px inset #222;}.gdocs-onebox-splash .gdocs-onebox-logo{display:inline-block;width:128px;height:128px;}.gdocs-onebox-splash .gdocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_128px-231ebf870f91f296642eb4e881c76013c818b2f677aec3b1faaac33f72811f56.png') no-repeat;}aside.onebox .onebox-body .onebox-avatar{max-height:none;max-width:none;height:60px;width:60px;}blockquote aside.onebox{border-right:5px solid #e9e9e9;background-color:#f9f9f9;}pre.onebox code ol.lines li:before{position:absolute;display:inline-block;width:35px;right:-40px;color:#afafaf;text-align:left;padding-left:5px;font-size:.8706em;line-height:1.4;content:counter(li-counter);counter-increment:li-counter;}pre.onebox code ol{margin-right:0;line-height:1.4;}pre.onebox code{background-color:#fff;}pre.onebox code li{padding-right:5px;}pre.onebox code ol.lines{position:relative;margin:0 40px 0 0;}pre.onebox code ol.lines li{list-style-type:none;padding-right:5px;margin-right:0;border-right:1px solid #cfcfcf;min-height:1.5em;white-space:pre;}pre.onebox code li.selected{background-color:#f8eec7;}pre.onebox code{white-space:normal;}.onebox.githubpullrequest .onebox-body h4,.onebox.githubcommit .onebox-body h4,.onebox.githubissue .onebox-body h4{margin-bottom:5px;}.onebox.githubpullrequest .onebox-body>.github-icon,.onebox.githubcommit .onebox-body>.github-icon,.onebox.githubissue .onebox-body>.github-icon{float:right;margin-left:5px;}.onebox.githubpullrequest .github-row,.onebox.githubcommit .github-row,.onebox.githubissue .github-row{display:flex;}.onebox.githubpullrequest .github-icon-container,.onebox.githubcommit .github-icon-container,.onebox.githubissue .github-icon-container{display:flex;align-items:flex-start;margin-left:5px;}.onebox.githubpullrequest .github-icon,.onebox.githubcommit .github-icon,.onebox.githubissue .github-icon{fill:#646464;width:40px;height:40px;}.onebox.githubpullrequest .branches,.onebox.githubcommit .branches,.onebox.githubissue .branches{font-size:.8706em;}.onebox.githubpullrequest .branches code,.onebox.githubcommit .branches code,.onebox.githubissue .branches code{word-break:break-all;}.onebox.githubpullrequest .github-info-container,.onebox.githubcommit .github-info-container,.onebox.githubissue .github-info-container{width:100%;}.onebox.githubpullrequest .github-info,.onebox.githubcommit .github-info,.onebox.githubissue .github-info{display:flex;align-items:center;flex-wrap:wrap;width:100%;}.onebox.githubpullrequest .github-info>div,.onebox.githubcommit .github-info>div,.onebox.githubissue .github-info>div{margin:2.5px 0;}.onebox.githubpullrequest .github-info>div:not(:last-child),.onebox.githubcommit .github-info>div:not(:last-child),.onebox.githubissue .github-info>div:not(:last-child){margin-left:15px;}.onebox.githubpullrequest .github-info .lines,.onebox.githubcommit .github-info .lines,.onebox.githubissue .github-info .lines{font-weight:bold;}.onebox.githubpullrequest .github-info .lines .added,.onebox.githubcommit .github-info .lines .added,.onebox.githubissue .github-info .lines .added{color:#090;}.onebox.githubpullrequest .github-info .lines .removed,.onebox.githubcommit .github-info .lines .removed,.onebox.githubissue .github-info .lines .removed{color:#e45735;}.onebox.githubpullrequest .onebox-avatar-inline,.onebox.githubcommit .onebox-avatar-inline,.onebox.githubissue .onebox-avatar-inline{height:20px;width:20px;border-radius:2px;float:none;margin:0;padding:0;vertical-align:middle;max-width:none;}.onebox.githubpullrequest .github-content,.onebox.githubcommit .github-content,.onebox.githubissue .github-content{margin:5px 0 0 0;}.onebox.githubpullrequest .labels span,.onebox.githubcommit .labels span,.onebox.githubissue .labels span{background-color:#919191 !important;color:#fff !important;padding:2px 4px !important;}.onebox-body .github-commit-status{background:#f5f5f5;border-radius:5px;margin:0 100px 5px 0;padding:10px;}.onebox-body .status_tag{display:inline-block;color:#fff;padding:1px 4px;border-radius:3px;font-weight:bold;margin-bottom:5px;text-transform:capitalize;}.onebox-body .build_status{padding:2px;font-size:.8706em;}.onebox-body .status_tag.open{background-color:#6cc644;}.onebox-body .status_tag.merged{background-color:#6e5494;}.onebox-body .status_tag.closed{background-color:#bd2c00;}.onebox-body .github-content-right{margin-right:100px;}aside.onebox.twitterstatus .onebox-body h4{margin-bottom:0;}.onebox.twitterstatus .thumbnail{width:48px;height:48px;}.onebox.twitterstatus p,.onebox.twitterstatus .tweet{white-space:pre-line;padding-top:3px;margin-right:70px;}.onebox.twitterstatus p .quoted,.onebox.twitterstatus .tweet .quoted{border:1px solid #e9e9e9;padding:0px 12px 0px 14px;white-space:normal;margin-top:15px;}.onebox.twitterstatus p .quoted .quoted-link,.onebox.twitterstatus .tweet .quoted .quoted-link{color:inherit;}.onebox.twitterstatus p .quoted .quoted-title,.onebox.twitterstatus .tweet .quoted .quoted-title{font-weight:bold;margin:5px 2px;}.onebox.twitterstatus p .quoted .quoted-title span,.onebox.twitterstatus .tweet .quoted .quoted-title span{font-weight:lighter;color:#919191;}.onebox.twitterstatus p .quoted div,.onebox.twitterstatus .tweet .quoted div{margin-bottom:5px;}.onebox.twitterstatus .date{clear:right;}.onebox.imgur-album .outer-box,.onebox.google-photos-album .outer-box,.onebox.flickr-album .outer-box{position:absolute;z-index:1;font-size:.8706em;color:#fff;background-color:rgba(0,0,0,0.6);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:690px;padding:5px 0;}.onebox.imgur-album .outer-box .inner-box,.onebox.google-photos-album .outer-box .inner-box,.onebox.flickr-album .outer-box .inner-box{padding-right:10px;padding-left:10px;overflow:hidden;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.onebox.imgur-album .outer-box .inner-box .album-title,.onebox.google-photos-album .outer-box .inner-box .album-title,.onebox.flickr-album .outer-box .inner-box .album-title{width:100%;font-size:1.1487em;line-height:1.4;color:#ccc;text-decoration:none;}aside.onebox.stackexchange .onebox-body img:not(.onebox-avatar){max-height:60%;max-width:10%;}aside.onebox.stackexchange .onebox-body .tags{color:gray;}.onebox-metadata{color:#919191;}.onebox.xkcd .onebox-body img{max-width:100% !important;float:none !important;}.onebox.pdf .onebox-body .pdf-onebox-logo{width:60px;height:50px;float:right;background:url('/assets/favicons/pdf_64px-4e8a1bffc220412e7b3b299e56ef313353621a4c6bf05066d32d3b792e7820a7.png') no-repeat;background-size:48px 48px;display:inline-block;}.onebox.pdf .onebox-body .filesize{color:gray;}.onebox.whitelistedgeneric .label1,.onebox.whitelistedgeneric .label2{color:#919191;}.onebox.whitelistedgeneric .label1{float:right;}.onebox.whitelistedgeneric .label2{float:left;}.onebox.whitelistedgeneric .site-icon,.onebox.gfycat .site-icon{width:16px;height:16px;margin-left:3px;}.onebox.gfycat p span.label1 a{white-space:nowrap;}.onebox.instagram div.instagram-description{color:#919191;padding-top:10px;}.onebox.githubcommit pre.message{padding:0;}.onebox.twitterstatus .like,.onebox.twitterstatus .retweet{color:#919191;padding-right:10px;}.onebox.twitterstatus .like svg,.onebox.twitterstatus .retweet svg{fill:currentColor;vertical-align:middle;}.mobile-view article.onebox-body{border-top:none;}.onebox.video-onebox{position:relative;padding:0 0 56.25% 0;width:100%;}.onebox.video-onebox video{position:absolute;width:100%;height:100%;}.onebox-placeholder-container{position:relative;width:100%;padding:0 0 48.25% 0;background-color:#e9e9e9;}.onebox-placeholder-container .placeholder-icon{position:absolute;width:100%;height:100%;display:flex;justify-content:center;align-items:center;}.onebox-placeholder-container .placeholder-icon.video:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512'%3E%3Cpath fill='grey' d='M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z'%3E%3C/path%3E%3C/svg%3E");}.onebox-placeholder-container .placeholder-icon.audio:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath fill='currentColor' d='M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z'%3E%3C/path%3E%3C/svg%3E");}.onebox-placeholder-container .placeholder-icon.generic:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath fill='currentColor' d='M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z'%3E%3C/path%3E%3C/svg%3E");}.d-header{display:flex;align-items:center;width:100%;position:absolute;top:0;z-index:1000;background-color:#fff;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25);}.d-header>.wrap{width:calc(100% - 16px);height:100%;}.d-header>.wrap .contents{display:flex;align-items:center;height:100%;}.d-header>.wrap .contents .header-row{width:100%;}.d-header>.wrap .contents .header-row .logo-wrapper{float:right;}.d-header>.wrap .contents .header-row .auth-buttons{float:left;margin-top:0.4em;}.d-header>.wrap .contents .header-row .auth-buttons .login-button,.d-header>.wrap .contents .header-row .auth-buttons .signup-button{padding:8px 14px;}.docked .d-header{position:fixed;backface-visibility:hidden;}.d-header .title{display:flex;align-items:center;height:100%;}.d-header .title a,.d-header .title a:visited{color:#333;}.d-header #site-logo{width:auto;}.d-header .d-icon-home{font-size:2.296em;}.d-header .panel{position:relative;display:flex;flex:0 0 auto;margin-right:auto;align-items:center;}.d-header .hamburger-panel,.d-header .user-menu,.d-header .search-menu{width:0;}.d-header .header-buttons{display:flex;align-items:center;margin-top:0.2em;}.d-header .login-button,.d-header button.sign-up-button{padding:6px 10px;}.d-header .login-button .fa,.d-header button.sign-up-button .fa{margin-left:3px;}.d-header button.login-button{margin-right:7px;}.header-dropdown-toggle .flagged-posts,.header-dropdown-toggle .reviewables,.drop-down .flagged-posts,.drop-down .reviewables,.panel-body .flagged-posts,.panel-body .reviewables{background:#e45735;min-width:6px;}.d-header-icons{text-align:center;margin:0 5px 0 0;list-style:none;}.d-header-icons>li{float:right;}.d-header-icons .icon{position:relative;display:flex;align-items:center;justify-content:center;width:2.2857em;height:2.2857em;padding:0.2143em;text-decoration:none;cursor:pointer;border-top:1px solid transparent;border-right:1px solid transparent;border-left:1px solid transparent;transition:all linear 0.15s;outline:none;}.d-header-icons .icon img.avatar{width:2.1333em;height:2.1333em;}.d-header-icons .icon:hover,.d-header-icons .icon:focus{background-color:#e9e9e9;border-top:1px solid transparent;border-right:1px solid transparent;border-left:1px solid transparent;}.d-header-icons .icon:hover .d-icon,.d-header-icons .icon:focus .d-icon{color:#919191;}.d-header-icons .icon:active{color:#222;background-color:#e9e9e9;}.drop-down-mode .d-header-icons .active .icon{position:relative;background-color:#fff;cursor:default;border-top:1px solid #e9e9e9;border-right:1px solid #e9e9e9;border-left:1px solid #e9e9e9;}.drop-down-mode .d-header-icons .active .icon .d-icon{color:#919191;}.drop-down-mode .d-header-icons .active .icon:after{display:block;position:absolute;top:100%;right:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #fff;}.drop-down-mode .d-header-icons .active .icon:hover{border-bottom:none;}.d-header-icons .d-icon{width:100%;font-size:1.7511em;line-height:1.4;display:inline-block;color:#c2c2c2;}.d-header-icons .notifications{position:relative;}.d-header-icons .ring{position:absolute;top:-9px;z-index:1;margin-right:0;}.d-header-icons .header-dropdown-toggle{position:relative;}.d-header-icons .badge-notification{position:absolute;z-index:1;right:0;top:-4px;min-width:0.6em;}.d-header-icons .unread-notifications{right:auto;left:-3px;background-color:#6cf;}.d-header-icons .unread-private-messages,.d-header-icons .ring{right:auto;left:25px;}.highlight-strong{background-color:#ffffa6;}.search-highlight{font-weight:bold;}#search-help table td{padding-left:10px;}#search-term::-ms-clear{display:none;}.extra-info-wrapper{display:flex;align-items:center;flex:1 1 0%;height:100%;line-height:1.2;padding:0 0.5em 0 1.5em;overflow:hidden;}.extra-info-wrapper .extra-info{overflow:hidden;width:100%;-webkit-animation:fadein 0.5s;animation:fadein 0.5s;}.extra-info-wrapper .topic-link{color:#333;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .topic-statuses .d-icon{color:#999;}.extra-info-wrapper .topic-statuses .d-icon-envelope{color:#e45735;}.extra-info-wrapper .header-title{margin:0 0 0.15em 0;font-size:1.5157em;width:100%;}.archetype-private_message .extra-info-wrapper .header-title{margin:0;}.extra-info-wrapper .categories-wrapper{display:inline-flex;align-items:center;max-width:80%;flex:0 1 auto;min-width:1px;}.extra-info-wrapper .categories-wrapper .badge-wrapper{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper{margin-left:8px;}.extra-info-wrapper .badge-wrapper.bullet .badge-category-parent-bg,.extra-info-wrapper .badge-wrapper.bullet .badge-category-bg{min-width:5px;}.extra-info-wrapper .badge-wrapper.bullet span.badge-category,.extra-info-wrapper .badge-wrapper.bar span.badge-category,.extra-info-wrapper .badge-wrapper.none span.badge-category{color:#707070;}.extra-info-wrapper .topic-header-extra{display:inline-flex;align-items:center;max-width:100%;flex:1 0 0%;}.extra-info-wrapper .topic-header-extra .discourse-tags{color:#707070;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .topic-header-extra .discourse-tags .discourse-tag{display:inline;}.extra-info-wrapper .topic-header-extra{min-width:1px;}.topic-header-participants{display:flex;align-items:center;overflow:hidden;font-size:.8706em;}.topic-header-participants:not(:first-child){margin-right:5px;}.topic-header-participants .trigger-user-card:not(:last-of-type),.topic-header-participants .trigger-group-card:not(:last-of-type){margin-left:5px;}.topic-header-participants .trigger-user-card .icon{height:1.641em;display:inline-block;}.mobile-view .topic-header-participants .trigger-user-card .icon{height:1.532em;}.topic-header-participants .trigger-user-card .icon img{height:100%;width:auto;}.topic-header-participants .trigger-group-card{padding:0 5px;border:1px solid #e9e9e9;border-radius:0.25em;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.topic-header-participants .trigger-group-card .icon{display:flex;align-items:center;height:1.641em;color:#646464;}.mobile-view .topic-header-participants .trigger-group-card .icon{height:1.532em;}.topic-header-participants .trigger-group-card .icon .d-icon{margin-left:5px;}.topic-header-participants .trigger-group-card span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.topic-header-participants .more-participants{color:#707070;margin-right:5px;}span.bbcode-b{font-weight:bold;}span.bbcode-i{font-style:italic;}span.bbcode-u{text-decoration:underline;}span.bbcode-s{text-decoration:line-through;}#simple-container{border-radius:10px;background-color:#fff;padding:20px;width:550px;margin:0 auto;}#simple-container .account-created .ac-message{font-size:1.1487em;line-height:1.4;}#simple-container .account-created .activation-controls button{margin-left:0.5em;}.show-topic-admin{position:fixed;top:120px;left:10px;z-index:300;height:35px;}.popup-menu{background-color:#fff;width:215px;padding:10px;border:1px solid #e9e9e9;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);}.popup-menu ul{list-style:none;margin:10px 0 0 0;}.popup-menu .btn{text-align:right;}.popup-menu button{width:100%;margin-bottom:5px;}.modal-body.feature-topic{padding:5px;max-height:500px;}.modal-body.feature-topic input.date-picker{margin:0;}.modal-body.feature-topic hr{margin:10px 0;}.modal-body.feature-topic .feature-section{display:block;}.modal-body.feature-topic .feature-section .badge-wrapper{margin-left:0;}.modal-body.feature-topic .feature-section .desc{display:inline-block;vertical-align:middle;margin-right:10px;}.modal-body.feature-topic .feature-section .desc p:first-of-type{margin:0;}.modal-body.feature-topic .feature-section .desc p{margin:10px 0 0;}.modal-body.feature-topic .feature-section .with-validation{position:relative;}.desktop-view .feature-topic-modal .feature-topic{overflow:visible;}.desktop-view .feature-topic-modal .modal-inner-container{min-width:700px;}.desktop-view .feature-topic-modal .pin-until{position:relative;display:inline-block;}.mobile-view .feature-topic .feature-section .desc{display:block;clear:both;max-width:90%;margin:0 10px;}.selected-posts{border:1px solid #6cf;background-color:#d1f0ff;}.selected-posts .btn{border:none;color:#fff;font-weight:normal;margin-bottom:10px;}.selected-posts .btn:not(.btn-danger){background:#08c;border-color:#08c;}.selected-posts .btn:not(.btn-danger)[href]{color:#fff;}.selected-posts .btn:not(.btn-danger):hover{color:#fff;background:#0aadff;}.selected-posts .btn:not(.btn-danger):active{background-color:#004b70;background-image:linear-gradient(to bottom,#004b70,#005f8f);color:#fff;}.selected-posts .btn[disabled]{text-shadow:0 1px 0 rgba(34,34,34,0.2);background-color:#08c;background-image:linear-gradient(to bottom,#08c,#046);box-shadow:0 1px 0 rgba(0,0,0,0.33) inset;}.lightbox-wrapper .lightbox{position:relative;display:inline-block;overflow:hidden;}.lightbox-wrapper .lightbox:hover .meta{opacity:0.9;transition:opacity 0.5s;}.d-lazyload-hidden{box-sizing:border-box;}.onebox img.d-lazyload-hidden{border:1px solid #e9e9e9;}.cooked img.d-lazyload{transition:opacity 0.4s 0.75s ease;}.lightbox-wrapper{display:inline-block;}.lightbox-wrapper img{object-fit:cover;object-position:top;}.lightbox-wrapper,.lightbox-wrapper *{outline:0;}.meta{position:absolute;bottom:0;width:100%;color:#fff;background:#222;opacity:0;transition:opacity 0.2s;display:flex;align-items:center;}.meta .filename{margin:6px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.meta .d-icon{margin:6px;opacity:0.8;color:#fff;}.meta .d-icon+.filename{margin-right:0px;}.meta .informations{margin:6px;padding-left:20px;color:#a6a6a6;font-size:1em;flex-shrink:0;flex-grow:3;}.mfp-preloader .spinner{margin:auto;}.discourse-no-touch a.lightbox{-webkit-transition:all 0.6s cubic-bezier(0.165,0.84,0.44,1);transition:all 0.6s cubic-bezier(0.165,0.84,0.44,1);}.discourse-no-touch a.lightbox:hover{border-radius:5px;box-shadow:0 2px 5px 0 rgba(34,34,34,0.2), 0 2px 10px 0 rgba(34,34,34,0.2);}.reorder-categories thead th{padding-bottom:0.5em;}.reorder-categories input{width:4em;}@media screen and (max-width:550px){.reorder-categories input{width:2em;}}.reorder-categories table{width:100%;padding-bottom:150px;}.reorder-categories table td{padding:0.5em 0 0.5em 0.5em;}@media screen and (min-width:null){.reorder-categories table td{min-width:15em;}}.reorder-categories .badge-wrapper span.badge-category{max-width:20em;}@media screen and (max-width:550px){.reorder-categories .badge-wrapper span.badge-category{max-width:30vw;}}.reorder-categories-sub-cat{margin-right:20px;}.edit-topic-timer-modal .modal-body{max-height:none;overflow:visible !important;}.edit-topic-timer-modal .control-group{display:flex;align-items:center;}.edit-topic-timer-modal .control-group>.d-icon{margin-left:5px;}.edit-topic-timer-modal input.date-picker,.edit-topic-timer-modal input[type="time"]{width:200px;text-align:right;}.edit-topic-timer-modal .radios{margin-bottom:10px;}.edit-topic-timer-modal label{display:inline-flex;padding-left:5px;margin-bottom:0;align-items:center;}.edit-topic-timer-modal label input{margin-top:0;}.edit-topic-timer-modal .btn.pull-right{margin-left:10px;}.edit-topic-timer-modal .future-date-input input{margin:0;}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -15px -15px -15px;}.edit-topic-timer-modal .future-date-input .btn-clear{display:none;}.edit-topic-timer-modal .future-date-input .topic-status-info{border:none;padding:0;}.edit-topic-timer-modal .future-date-input .topic-status-info h3{font-weight:normal;font-size:1.1487em;}.edit-topic-timer-modal .future-date-input input[disabled]{background:#e9e9e9;}.edit-topic-timer-modal .pika-single{position:absolute !important;}.mobile-view .edit-topic-timer-modal .select-kit.combo-box{flex:1 0 0px;}.redirection-warning{margin:0 auto;text-align:center;font-size:1.7511em;line-height:1.2;}.rtl .d-icon-caret-right{-webkit-transform:rotate(180deg);-moz-transform:rotate(180deg);-ms-transform:rotate(180deg);-o-transform:rotate(180deg);transform:rotate(180deg);filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand',M11=cos(180),M12=-sin(180),M21=sin(180),M22=cos(180))";-ms-filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand',M11=cos(180),M12=-sin(180),M21=sin(180),M22=cos(180))";zoom:1;}.rtl .nav-stacked a.active::after{border-left-color:transparent !important;border-right-color:#fff !important;}.rtl code{direction:ltr !important;text-align:left !important;}.rtl .pull-left{float:right !important;}.rtl .autocomplete{right:27px;}.rtl .admin-customize .current-style .toggle-mobile{position:static !important;float:left !important;}.rtl .admin-customize .current-style .toggle-maximize{position:static !important;float:left !important;}.rtl .dashboard-left{float:right !important;}.rtl .dashboard-right{float:left !important;}.cooked ul[dir="ltr"],.d-editor-preview ul[dir="ltr"],.cooked ul[dir="rtl"],.d-editor-preview ul[dir="rtl"]{padding-left:40px;padding-right:40px;}.rtl aside.onebox.githubblob{padding:12px 25px 12px 12px !important;direction:ltr !important;}.rtl aside.onebox.githubblob .source{background-position:0 50% !important;padding-left:20px;}.rtl pre.onebox code ol.lines{margin:0 0 0 40px !important;}.rtl pre.onebox code ol.lines li:before{left:-40px;padding-right:5px;padding-left:0;text-align:right !important;}.rtl pre.onebox code ol.lines li{padding-left:5px;padding-right:0;margin-left:0;border-left:1px solid #cfcfcf;border-right:none !important;}.search-menu .search-input{position:relative;padding:0.5em 3px;}.search-menu .search-context .show-help{float:left;}.search-menu .heading{padding:5px 5px 5px 0;}.search-menu .heading .filter{padding:0 5px;}.search-menu input[type="text"]{box-sizing:border-box;width:calc(100% - 6px);height:32px;}.search-menu .search-context{padding:0 5px;}.search-menu .search-context label{margin-bottom:0;}.search-menu .search-context+.results{margin-top:5px;}.search-menu .results{display:flex;flex-direction:row;}.search-menu .results .list{min-width:100px;}.search-menu .results .list .item .blurb{overflow-wrap:break-word;word-wrap:break-word;-ms-word-break:break-all;word-break:break-all;word-break:break-word;-ms-hyphens:auto;-moz-hyphens:auto;-webkit-hyphens:auto;hyphens:auto;margin-top:0.25em;}.search-menu .results .search-result-topic .second-line{display:flex;flex-wrap:wrap;align-items:center;}.search-menu .results .search-result-topic .second-line .discourse-tags{flex-wrap:wrap;display:contents;}.search-menu .results .main-results{display:flex;flex:1 1 auto;}.search-menu .results .main-results .topic-statuses{color:#919191;}.search-menu .results .main-results+.secondary-results{border-right:1px solid #e9e9e9;margin-right:1em;padding-right:1em;max-width:33%;}.search-menu .results .secondary-results{display:flex;flex-direction:column;flex:1 1 auto;}.search-menu .results .secondary-results .separator{margin-bottom:1em;margin-top:1em;height:1px;background:#e9e9e9;}.search-menu .results .secondary-results .search-result-tag .discourse-tag{font-size:.8706em;}.search-menu .results .secondary-results .search-result-category .widget-link{margin-bottom:0;}.search-menu .results .secondary-results .search-result-group .search-link{color:#646464;}.search-menu .results .secondary-results .search-result-group .search-link:hover{color:#222;}.search-menu .results .secondary-results .search-result-group .group-result{display:flex;align-items:center;}.search-menu .results .secondary-results .search-result-group .group-result .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair{min-width:25px;margin-left:0.5em;}.search-menu .results .secondary-results .search-result-group .group-result .d-icon .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair .d-icon{margin-left:0;}.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair-image{background-repeat:no-repeat;background-size:100% 100%;min-height:25px;}.search-menu .results .secondary-results .search-result-group .group-result .group-names{display:flex;flex-direction:column;overflow:auto;line-height:1.2;}.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .slug{color:#646464;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name{font-weight:700;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{font-size:.8706em;color:#646464;}.search-menu .results .secondary-results .search-result-category .list,.search-menu .results .secondary-results .search-result-user .list,.search-menu .results .secondary-results .search-result-group .list,.search-menu .results .secondary-results .search-result-tag .list{display:block;}.search-menu .results .secondary-results .search-result-category .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-user .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-group .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-tag .list .item .widget-link.search-link{flex:1;font-size:1em;padding:5px;}.search-menu .results .secondary-results .search-result-user .user-result{display:flex;flex-direction:row;align-items:center;}.search-menu .results .secondary-results .search-result-user .user-result .avatar{margin-left:0.5em;display:block;min-width:25px;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles{display:flex;flex-direction:column;overflow:auto;line-height:1.2;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username,.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username{color:#646464;font-size:.8706em;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{color:#646464;font-size:1em;font-weight:700;}.search-menu .results .show-more{padding:5px;}.search-menu .searching{position:absolute;top:1.15em;left:1em;}.search-menu .searching .spinner{width:10px;height:10px;border-width:2px;margin:0;}.search-menu .no-results{padding:5px;}.search-menu .filter{padding:0;}.search-menu .filter:hover{background:transparent;}.search-menu .search-link{margin-bottom:0.25em;}.search-menu .search-link .badge-category-parent{line-height:1;}.search-menu .search-link .topic{display:inline-block;line-height:1.2;}.search-menu .search-link .topic-title{margin-left:0.25em;}.user-badge,#user-card .sixth-row .badge-section .more-user-badges a{padding:3px 8px;color:#222;border:1px solid #e9e9e9;line-height:1.4;display:inline-flex;align-items:center;background-color:#fff;margin:0 0 3px;}.user-badge img,#user-card .sixth-row .badge-section .more-user-badges a img{height:16px;width:16px;}.user-badge .badge-display-name,#user-card .sixth-row .badge-section .more-user-badges a .badge-display-name{margin-right:0.25em;}.user-badge.badge-type-gold .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-gold .fa{color:#e7c300 !important;}.user-badge.badge-type-silver .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-silver .fa{color:silver !important;}.user-badge.badge-type-bronze .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-bronze .fa{color:#cd7f32 !important;}.user-badge.disabled,#user-card .sixth-row .badge-section .more-user-badges a.disabled{color:#919191;background-color:#f8f8f8;}.user-badge.disabled .fa,#user-card .sixth-row .badge-section .more-user-badges a.disabled .fa{opacity:0.4;}@media all and (max-width:750px){.show-badge .user-badge-with-posts .badge-user a.post-link{width:auto;}.show-badge div.badge-user{padding:0;}.badges-listing{display:block;}.badges-listing .info,.badges-listing .grant-count{text-align:right;}.badges-listing .row>div.info{display:none;}.badges-listing .row{display:block;}.badges-listing .row>div{display:block;margin-top:10px;}}.show-badge .badge-user-info .earned{font-size:1.3195em;margin-bottom:1em;}.show-badge .single-user{margin-right:2%;padding-bottom:20px;}.show-badge .single-user .load-more{padding-top:30px;display:block;font-size:1.3195em;}.show-badge .single-user .badge-user{padding-right:0;text-align:right;display:block;margin:20px 0;width:800px;}.show-badge .single-user .badge-user .badge-info{display:none;}.show-badge .single-user .badge-user .date{display:inline-block;font-size:1.1487em;margin-right:10px;}.show-badge .single-user .badge-user .post-link{font-size:1.3195em;width:500px;margin:0;padding:0;}.show-badge .single-user .badge-user:after{content:"";clear:both;display:table;}.long-description.banner{width:88%;margin-bottom:15px;margin-top:15px;}.badge-card{position:relative;display:inline-block;background-color:#f8f8f8;border:1px solid #e9e9e9;margin-bottom:2vh;transition:box-shadow 0.25s;}.badge-card .check-display{position:absolute;right:5px;top:5px;}.badge-card .grant-count{position:absolute;left:5px;top:5px;font-weight:bold;color:#919191;font-size:1.3195em;}.badge-card .badge-contents{display:flex;min-height:128px;height:100%;padding:0 10%;}.badge-card .badge-contents .badge-link{color:#222;}.badge-card .badge-contents .badge-icon{display:flex;flex:0 0 auto;width:1.23em;margin-left:5%;align-items:center;justify-content:center;font-size:3.5em;}.badge-card .badge-contents .badge-icon a{width:100%;}.badge-card .badge-contents .badge-icon img{width:100%;max-width:65px;max-height:80px;}.badge-card .badge-contents .badge-icon.badge-type-gold .fa{color:#e7c300 !important;}.badge-card .badge-contents .badge-icon.badge-type-silver .fa{color:#c0c0c0 !important;}.badge-card .badge-contents .badge-icon.badge-type-bronze .fa{color:#cd7f32 !important;}.badge-card .badge-contents .badge-info{display:flex;flex:1 1 auto;align-items:center;padding:1em 0 1em 1.5em;color:#222;}@media screen and (max-width:600px){.badge-card .badge-contents .badge-info{padding-left:0;}}.badge-card .badge-contents .badge-info h3{margin-bottom:0.25em;font-size:1.1487em;}@media screen and (min-width:900px){.badge-card .badge-contents .badge-info h3{font-size:1.3195em;}}.badge-card.medium{flex:0 0 auto;width:32%;margin-left:1.63%;}@media screen and (min-width:851px){.badge-card.medium:nth-of-type(3n){margin-left:0;}}@media screen and (max-width:850px){.badge-card.medium{width:48.5%;}.badge-card.medium:nth-of-type(2n){margin-left:0;}}@media screen and (max-width:550px){.badge-card.medium{flex:0 0 100%;}}.badge-card.medium:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15);}.badge-card.medium:active{box-shadow:none;}.badge-card.large{width:100%;align-self:flex-start;}@media screen and (min-width:767px){.badge-card.large{max-width:calc(1110px / 2);margin-left:1.5em;}}.badge-card.large .badge-contents{padding:0 5%;}.badge-card.large .badge-contents h3{font-size:1.5157em;}.badges-granted{display:flex;flex-wrap:wrap;}@media screen and (max-width:800px){.badges-granted{justify-content:space-between;}}.badge-groups{margin:20px 0;color:#919191;}.badge-groups h3{margin-bottom:1em;}.badge-title .user-content{padding:0;}.badge-group-list{margin-bottom:1.5em;display:flex;flex-wrap:wrap;}@media screen and (max-width:850px){.badge-group-list{justify-content:space-between;}}.badge-group-list .title{width:100%;font-size:1.1487em;}.show-badge-details{display:flex;flex-wrap:wrap;flex-direction:row;margin-bottom:2em;margin-top:1em;}.show-badge-details .badge-grant-info.hidden{display:none;}.show-badge-details .grant-info-item{margin-bottom:1em;color:#919191;}.show-badge-details .grant-info-item:first-of-type{margin-left:10px;}.show-badge-details .badge-set-title{padding:1.5em;border:1px solid #e9e9e9;}.show-badge-details .badge-set-title .user-content{padding:0;}.show-badge-details .badge-set-title .user-content .control-group{margin-bottom:1em;}.show-badge-details .badge-title .form-horizontal .controls{margin-right:0;}.show-badge-details .form-horizontal{margin-bottom:0;}.check-display{display:inline-block;padding:0 0.25em;border-radius:10px;text-align:center;}.check-display .fa{font-size:0.9em;color:#fff;}.check-display.status-checked{background-color:#090;}.check-display.status-unchecked{background-color:#e45735;}.hyperlink{cursor:pointer;}.reviewable .flagged-post-header{width:100%;display:flex;justify-content:space-between;}.reviewable .status{color:#919191;}.reviewable .status span.approved{color:#090;}.reviewable .status span.approved .d-icon{color:currentColor;}.reviewable .status span.rejected{color:#e45735;}.reviewable .status span.rejected .d-icon{color:currentColor;}.reviewable .explain{margin-right:0.5em;}.reviewable .nav-pills{margin-bottom:1em;}.reviewable .reviewable-container{display:flex;flex-direction:row;margin-top:1em;}.reviewable .reviewable-container .reviewable-list{flex:1;box-sizing:border-box;max-width:760px;min-width:0;margin-left:auto;}.reviewable .reviewable-container .reviewable-filters{width:250px;height:100%;box-sizing:border-box;}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin-right:1em;}.reviewable-settings h4{margin-top:1em;margin-bottom:1em;}.reviewable-settings .saved{margin-right:0.5em;}.reviewable-settings .reviewable-score-type{display:flex;margin-bottom:0.5em;}.reviewable-settings .reviewable-score-type .select-kit{min-width:10em;}.reviewable-settings .reviewable-score-type .title{width:30%;}.reviewable-user-info{margin:0.5em 0;}.reviewable-user-info .reviewable-user-fields{margin-bottom:2em;}.reviewable-user-info .reviewable-user-details{border-bottom:1px solid #e9e9e9;padding-bottom:0.25em;display:flex;margin-bottom:0.5em;}.reviewable-user-info .reviewable-user-details .name{width:8em;font-weight:bold;margin-left:1em;}.no-review{margin-top:1em;}.reviewable-filters{background-color:#f8f8f8;padding:1em;margin-bottom:1em;}.reviewable-filters .reviewable-filter{display:flex;flex-direction:column;margin:0 0 1em 0;}.reviewable-filters .reviewable-filter .filter-label{margin:0 0 0.5em 0;}.reviewable-filters .reviewable-filter .score-filter{margin:0;width:100%;}.reviewable-filters .reviewable-filter .category-chooser{width:100%;}.reviewable-filters .reviewable-filter .d-date-time-input-range{width:inherit;border:none;padding:0;}.reviewable-filters .reviewable-filter .d-date-time-input-range .d-date-input{flex:1 1 auto;border:1px solid #919191;}.reviewable-claimed-topic{display:flex;align-items:center;}.reviewable-claimed-topic .btn-small{margin-right:0.5em;}.reviewable-actions .claimed-actions{display:flex;width:100%;justify-content:space-between;align-items:center;margin-bottom:0.5em;}.claimed-by{display:flex;align-items:center;}.claimed-by .claimed-username{margin-right:0.5em;}.reviewable-topics{width:100%;}.reviewable-topics tbody td{padding:0.5em;}.reviewable-topics .reviewable-details{display:flex;justify-content:flex-end;}.reviewable-topics .reviewable-details .btn{display:flex;align-items:center;margin-right:1em;}.reviewable-filters .topic-filter .btn{display:flex;width:auto;}.reviewable-filters .refresh{height:1em;display:flex;}.reviewable-filters .score-filter{width:5em;}.user-flag-percentage{display:flex;align-items:center;margin-right:0.5em;}.user-flag-percentage .percentage-label{margin-left:0.25em;}.user-flag-percentage .percentage-label.agreed{color:#090;}.user-flag-percentage .percentage-label.agreed+.d-icon{color:#090;}.user-flag-percentage .percentage-label.disagreed{color:#e45735;}.user-flag-percentage .percentage-label.disagreed+.d-icon{color:#e45735;}.user-flag-percentage .percentage-label.ignored{color:#919191;}.user-flag-percentage .d-icon{font-size:0.9em;}.reviewable-item{padding-top:2em;border-top:1px solid #e9e9e9;padding-bottom:1em;}.reviewable-item .topic-statuses{font-size:1.3195em;}.reviewable-item .reviewable-meta-data{color:#919191;display:flex;width:100%;margin-bottom:0.5em;font-size:.8706em;align-items:baseline;}.reviewable-item .reviewable-meta-data .reviewable-type{margin-left:0.25em;}.reviewable-item .reviewable-meta-data .reply-count{margin-right:1em;}.reviewable-item .reviewable-meta-data .created-at{margin-right:1em;margin-left:auto;}.reviewable-item .reviewable-meta-data .created-at a{color:#919191;}.reviewable-item .reviewable-meta-data .score{font-size:.8706em;}.reviewable-item .reviewable-contents{display:flex;flex-wrap:wrap;margin-bottom:2em;}.reviewable-item .reviewable-actions{display:flex;flex-wrap:wrap;}.reviewable-item .reviewable-actions button{white-space:nowrap;}.reviewable-item .reviewable-actions .reviewable-action,.reviewable-item .reviewable-actions .reviewable-action-dropdown{margin-left:0.5em;}.reviewable-histories{margin-top:1em;}.reviewable-scores{min-width:50%;color:#646464;}.reviewable-scores .reviewed-by .date{margin-right:0.5em;}.reviewable-scores .user,.reviewable-scores .reviewed-by{display:flex;align-items:center;}.reviewable-scores .user-flag-percentage{margin-right:0.5em;}.reviewable-scores .d-icon{font-size:.8706em;color:#919191;}.reviewable-scores .badge-notification{line-height:1.2;vertical-align:text-top;}.reviewable-scores tbody{border-width:1px;}.reviewable-scores tbody td{white-space:nowrap;vertical-align:baseline;}.reviewable-scores tbody td.user a,.reviewable-scores tbody td.reviewed-by a{max-width:150px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.reviewable-scores tbody td:last-of-type{width:100%;white-space:normal;}.reviewable-scores tbody>tr>th{text-align:right;}.reviewable-scores tbody>tr>th:not(:empty),.reviewable-scores tbody>tr>td:not(:empty){padding:0.5em 0 0.5em 1em;}@media screen and (max-width:450px){.reviewable-scores tbody>tr>th,.reviewable-scores tbody>tr>td{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-left:0.5em;}}.reviewable-scores tbody .reviewable-score-spacer{padding-left:1em;}.reviewable-score-reason{margin:0.5em 0;max-width:690px;margin-bottom:0.5em;}.reviewable-conversation{margin:0.5em 0;}.reviewable-conversation .reviewable-conversation-post{max-width:690px;margin-bottom:0.5em;}.reviewable-conversation .reviewable-conversation-post .username{font-weight:bold;margin-left:0.25em;}.reviewable-conversation .controls{margin-top:0.25em;}.reviewable-item .show-raw-email{color:#919191;font-size:.7579em;}.reviewable-item .post-title{background-color:yellow;}.reviewable-item .created-by{margin-left:1em;padding-top:0.35em;}@media screen and (max-width:450px){.reviewable-item .created-by{float:right;margin-bottom:1em;}}.reviewable-item .names{font-weight:bold;}.reviewable-item .post-contents-wrapper{width:100%;margin-top:1em;min-width:275px;word-break:break-word;}@media screen and (min-width:450px){.reviewable-item .post-contents-wrapper{display:flex;}}.reviewable-item .reviewable-post-header{display:flex;justify-content:space-between;max-width:690px;width:690px;align-items:center;}.reviewable-item .reviewable-post-header .reviewable-reply-to{display:flex;align-items:center;color:#919191;font-size:0.9em;}.reviewable-item .reviewable-post-header .reviewable-reply-to .d-icon{margin-left:0.5em;}.reviewable-item .post-contents{width:100%;min-width:0;}.reviewable-item .post-body{max-width:690px;max-height:300px;margin-top:0.5em;overflow-y:auto;}.reviewable-item .post-body p,.reviewable-item .post-body aside{margin:0 0 1em 0;}.reviewable-item .post-body pre,.reviewable-item .post-body code{word-break:break-all;}.reviewable-item .post-topic{width:100%;color:#919191;margin-bottom:0.75em;}.reviewable-item .post-topic .title-text{font-weight:bold;color:#222;display:block;font-size:1.3195em;margin-left:0.75em;}.reviewable-item .post-topic .topic-statuses:empty{display:none;}.editable-fields{width:100%;}.editable-fields .editable-created-by{display:flex;margin-bottom:0.5em;}.editable-fields .editable-created-by .avatar{margin-left:0.25em;}.editable-fields .editable-field{margin-bottom:0.5em;}.editable-fields .editable-field .mini-tag-chooser{margin:0;}.editable-fields .editable-field .reviewable-input-text{width:100%;margin-bottom:0;}.editable-fields .editable-field .reviewable-input-textarea{width:100%;height:10em;}@media screen and (max-width:1000px){table.reviewable-scores{width:100%;display:block;}table.reviewable-scores tbody{width:calc(100% - 5px);display:block;clear:both;}tr.reviewable-score{display:grid;grid-template-columns:auto auto 1fr;}td.reviewable-score-spacer{display:none;}}@media screen and (max-width:450px){tr.reviewable-score{grid-template-columns:auto auto auto;}}.shared-draft-controls{background-color:#d1f0ff;padding:1em;clear:both;}.shared-draft-controls .publish-field{margin-top:1em;}.explain-reviewable{min-width:500px;}.explain-reviewable .thresholds{margin-top:1em;}.explain-reviewable table{width:100%;}.explain-reviewable table td{padding:0.5em;}.explain-reviewable td.sum{text-align:left;}.explain-reviewable td.sum.total{font-weight:bold;}.explain-reviewable tr.total td{background-color:#e9e9e9;font-weight:bold;}.explain-reviewable .op{font-weight:bold;}.explain-reviewable .score-value-type{color:#919191;}.explain-reviewable .op:last-of-type{display:none;}.category-color-editor input{width:5.5em;margin-left:1em;}.category-color-editor .color-title{display:block;margin:1em 0 0.25em;}.category-color-editor .colorpicker-wrapper{display:flex;align-items:center;}.category-color-editor .colorpicker-wrapper input,.category-color-editor .colorpicker-wrapper .add-on{align-self:flex-start;margin-bottom:0.125em;}.category-color-editor .colors-container{display:inline-flex;flex-wrap:wrap;}.category-color-editor .colors-container .colorpicker{position:relative;margin:0 0.125em 0.25em;border:1px solid #919191;width:1.25em;height:1.2em;padding:0;flex:0 0 auto;color:white;}.category-color-editor .colors-container .colorpicker svg{display:none;}.category-color-editor .colors-container .colorpicker.used-color svg{display:inline-flex;opacity:0.8;max-width:70%;}.modal.history-modal #revision-numbers{display:inline-block;min-width:96px;text-align:center;}.modal.history-modal #revision{overflow:auto;border-bottom:3px solid #e9e9e9;}.modal.history-modal table.markdown>tbody>tr>td,.modal.history-modal .revision-content{width:47.5%;float:right;}.modal.history-modal table.markdown>tbody>tr>td:nth-of-type(2),.modal.history-modal .revision-content:nth-of-type(2){margin-right:5%;}.modal.history-modal #revision-details{padding:5px;}.modal.history-modal #revisions .row:first-of-type{margin-top:10px;}.modal.history-modal ins code,.modal.history-modal ins img,.modal.history-modal .diff-ins code,.modal.history-modal .diff-ins img{border:2px solid #090;}.modal.history-modal ins img,.modal.history-modal .diff-ins img{opacity:0.75;filter:alpha(opacity=75);}.modal.history-modal ins a,.modal.history-modal .diff-ins a{color:#090;text-decoration:none;}.modal.history-modal img.diff-ins,.modal.history-modal code.diff-ins{border:2px solid #090;}.modal.history-modal img.diff-ins{opacity:0.75;filter:alpha(opacity=75);}.modal.history-modal .diff-ins{color:#222;background:#b8ffb8;}.modal.history-modal ins{color:#222;background:#b8ffb8;text-decoration:none;}.modal.history-modal del code,.modal.history-modal del img,.modal.history-modal .diff-del code,.modal.history-modal .diff-del img{border:2px solid #e45735;}.modal.history-modal del img,.modal.history-modal .diff-del img{opacity:0.5;filter:alpha(opacity=50);}.modal.history-modal del a,.modal.history-modal .diff-del a{color:#e45735;text-decoration:none;}.modal.history-modal img.diff-del,.modal.history-modal code.diff-del{border:2px solid #e45735;}.modal.history-modal img.diff-del{opacity:0.5;filter:alpha(opacity=50);}.modal.history-modal .diff-del{color:#222;background:#fbe6e1;text-decoration:none;}.modal.history-modal del{color:#222;background:#fbe6e1;text-decoration:none;}.modal.history-modal span.date{font-weight:bold;}.modal.history-modal span.edit-reason{background-color:#ffffa6;padding:3px 5px 5px 5px;}.modal.history-modal .d-icon-ban{color:#f00;}.modal.history-modal .hidden-revision-either{opacity:0.5;}.modal.history-modal .hidden-revision-previous .row div:nth-of-type(1),.modal.history-modal .hidden-revision-previous .row td:nth-of-type(1){opacity:0.5;}.modal.history-modal .hidden-revision-current .row div:nth-of-type(2),.modal.history-modal .hidden-revision-current .row td:nth-of-type(2){opacity:0.5;}@-webkit-keyframes popoverFadeIn{from{opacity:0;}to{opacity:1;}}@keyframes popoverFadeIn{from{opacity:0;}to{opacity:1;}}#d-popover{background-color:#fff;position:absolute;z-index:1600;border-color:#919191;border-style:solid;border-width:1px;max-width:300px;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;background-clip:padding-box;display:block;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);border-radius:2px;}#d-popover.is-under{margin-top:0px;}#d-popover.is-under .d-popover-top-arrow{display:block;}#d-popover.is-under .d-popover-bottom-arrow{display:none;}#d-popover.is-above{margin-top:0px;}#d-popover.is-above .d-popover-bottom-arrow{display:block;}#d-popover.is-above .d-popover-top-arrow{display:none;}#d-popover.retina{border-width:0.5px;}#d-popover .d-popover-content{padding:0.5em;font-size:.8706em;overflow-wrap:break-word;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;}#d-popover .d-popover-arrow{border-style:solid;color:transparent;content:"";position:absolute;z-index:calc(z("tooltip") - 100);}#d-popover .d-popover-top-arrow{border-color:transparent transparent #919191;top:8px;transform:translate(0,-15px);border-width:0 8px 8px;}#d-popover .d-popover-top-arrow:after{border-color:transparent transparent #fff;border-style:solid;border-width:0 7px 7px;bottom:-8px;margin-right:-7px;position:absolute;content:"";}#d-popover .d-popover-bottom-arrow{border-color:#919191 transparent transparent;top:calc(100% + 16px);transform:translate(0,-16px);border-width:8px 8px 0;}#d-popover .d-popover-bottom-arrow:after{position:absolute;content:"";border-color:#fff transparent transparent;border-style:solid;border-width:7px 7px 0;bottom:2px;transform:translate(-7px,0);}div.tagsinput{border:1px solid #ccc;background:#fff;padding:5px 5px 0;width:584px;height:100px;overflow-y:auto;border-radius:4px;}div.tagsinput span.tag{border:1px solid #a5d24a;border-radius:2px;display:block;float:right;padding:1px 5px;text-decoration:none;background:#cde69c;color:#638421;margin-left:5px;margin-bottom:5px;font-family:helvetica;font-size:.8706em;}div.tagsinput span.tag a{font-weight:bold;color:#82ad2b;text-decoration:none;font-size:.7579em;}div.tagsinput input{width:80px;font-family:helvetica;font-size:.8706em;border:1px solid transparent;padding:2px 5px;background:transparent;color:#000;outline:0;margin:0 0 5px 5px;}div.tagsinput div{display:block;float:right;}.tags_clear{clear:both;width:100%;height:0;}.not_valid{background:#fbd8db !important;color:#90111a !important;}.d-icon.d-icon-d-regular,.d-icon.d-icon-d-muted,.d-icon.d-icon-d-watching-first,.d-icon.d-icon-d-watching-first-post{color:#919191;}.d-icon.d-icon-d-tracking,.d-icon.d-icon-d-watching{color:#08c;}.directory{margin-bottom:100px;}.directory .user-info{margin-bottom:0;}.directory .period-chooser{float:right;}.directory .filter-name{float:left;}.directory .spinner{clear:both;}.directory table{width:100%;margin-bottom:1em;}.directory table td,.directory table th{padding:0.5em;text-align:right;border-bottom:1px solid #e9e9e9;}@media screen and (max-width:800px){.directory table td,.directory table th{padding:0.5em 0.25em;}}.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.5157em;color:#919191;}@media screen and (max-width:800px){.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.1487em;}}.directory table td .time-read,.directory table th .time-read{white-space:nowrap;}.directory table th.sortable{width:13%;}.directory table th.sortable .d-icon-heart{color:#fa6c8d;margin:0 0 0 0.25em;}.directory .me{background-color:#ffffca;}.directory .me .username a,.directory .me .name,.directory .me .title,.directory .me .number,.directory .me .time-read{color:#919191;}.alert{padding:8px 16px 8px 32px;background-color:#fbe6e1;color:#222;position:relative;}.alert .close{position:absolute;top:8px;left:8px;font-size:1.5157em;}.alert .close .d-icon{color:#bdbdbd;}.alert.alert-success{background-color:#b8ffb8;color:#222;}.alert.alert-error{background-color:#fbe6e1;color:#222;}.alert.alert-info{background-color:#d1f0ff;color:#222;}.alert.alert-info.clickable{color:#08c;}.group-details-container{background:#f8f8f8;padding:20px;margin-bottom:15px;position:relative;}.group-outlet{position:relative;}.group-members-actions{display:flex;flex-wrap:wrap;width:100%;}.group-members-actions input+.group-members-manage{margin-right:auto;}.group-members-actions .group-username-filter{margin:0 0 5px 0;vertical-align:middle;}.group-info{width:100%;}.group-info .group-info-name{font-size:1.5157em;font-weight:bold;color:#222;}.group-info .group-info-full-name{font-size:1.3195em;color:#646464;}.group-info span{display:inline-block;vertical-align:middle;}.group-info .avatar-flair-image{width:50px;}.group-info .avatar-flair{background-size:50px;height:50px;width:50px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;}.group-info .avatar-flair .d-icon{height:27.77778px;width:27.77778px;}.group-manage-logs-filter{margin-left:10px;}.group-manage-logs-filter:hover{background-color:#e45735;}table.group-manage-logs{width:100%;}table.group-manage-logs td{padding:0.5em;}table.group-manage-logs .group-manage-logs-expand-details{cursor:pointer;}table.group-manage-logs .group-manage-logs-expand-details .d-icon{color:#919191;}table.group-members{width:100%;table-layout:fixed;}table.group-members th:first-child{width:30%;text-align:right;}table.group-members th:last-child{width:5%;}table.group-members th.group-members-actions{width:5%;}table.group-members th{text-align:center;}table.group-members tr .user-info{display:block;}table.group-members tr .user-info .avatar-flair{color:#222;}table.group-members tr td:first-child{text-align:right;}table.group-members tr td{text-align:center;color:#919191;padding:0.8em 0;}.group-owner-label{color:#222;}.form-vertical .group-flair-inputs{display:inline-block;}.form-vertical .avatar-flair-preview{position:relative;width:45px;}.form-vertical .avatar-flair-preview .avatar-wrapper{background-color:#f4f4f4;}.group-form-save{margin-left:20px;}.group-add-members .group-add-members-make-owner label{display:inline;vertical-align:middle;}.group-add-members .group-add-members-make-owner input[type="checkbox"]{vertical-align:middle;}img.emoji{width:20px;height:20px;vertical-align:middle;}small img.emoji,sub img.emoji,sup img.emoji{height:1.1em;width:1.1em;}.emoji-picker{background-clip:padding-box;z-index:1300;position:fixed;display:none;flex-direction:row;height:320px;color:#222;background-color:#fff;border:1px solid #e9e9e9;}.emoji-picker .categories-column{display:flex;flex-direction:column;flex:1 0 0px;align-items:center;justify-content:space-between;border-left:1px solid #e9e9e9;min-width:36px;}.emoji-picker .category-icon{display:block;margin:4px auto;-webkit-filter:grayscale(100%);filter:grayscale(100%);}.emoji-picker .category-icon button.emoji{margin:0;padding:0;}.emoji-picker .category-icon.current,.emoji-picker .category-icon:hover{-webkit-filter:grayscale(0%);filter:grayscale(0%);}.emoji-picker .main-column{display:flex;flex-direction:column;flex:20;}.emoji-picker .list{overflow-y:scroll;-webkit-overflow-scrolling:touch;padding:0;flex:1 0 0px;flex-direction:column;}.emoji-picker .section-header{padding:8px;margin-top:2px;margin-bottom:0px;padding-bottom:0px;justify-content:space-between;display:flex;align-items:center;font-weight:bold;}.emoji-picker .section-header .title{color:#222;}.emoji-picker .section-header .clear-recent .fa{margin:0;padding:0;color:#999;}.emoji-picker .section-header .clear-recent .fa:hover{color:#222;}.emoji-picker .section-group{flex-wrap:wrap;display:flex;align-items:center;justify-content:flex-start;padding:4px;}.emoji-picker .footer{align-items:center;display:flex;justify-content:space-between;border-top:1px solid #e9e9e9;}.emoji-picker .info{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-right:8px;font-weight:700;max-width:125px;}.emoji-picker .diversity-picker{display:flex;justify-content:flex-end;padding:8px;}.emoji-picker .diversity-picker .diversity-scale{width:20px;height:20px;margin-right:5px;border:0;border-radius:3px;display:flex;align-items:center;justify-content:center;cursor:pointer;}.emoji-picker .diversity-picker .diversity-scale.default{background:#ffcc4d;}.emoji-picker .diversity-picker .diversity-scale.light{background:#f7dece;}.emoji-picker .diversity-picker .diversity-scale.medium-light{background:#f3d2a2;}.emoji-picker .diversity-picker .diversity-scale.medium{background:#d5ab88;}.emoji-picker .diversity-picker .diversity-scale.medium-dark{background:#af7e57;}.emoji-picker .diversity-picker .diversity-scale.dark{background:#7c533e;}.emoji-picker .diversity-picker .diversity-scale.selected .d-icon{display:block;}.emoji-picker .diversity-picker .d-icon{display:none;}.emoji-picker .diversity-picker .d-icon{color:#fff;font-size:1em;filter:drop-shadow(0.5px 1.5px 0 rgba(0,0,0,0.3));}.emoji-picker button.emoji{background:transparent;background-position:center;background-repeat:no-repeat;border-radius:0;background-size:20px 20px;-moz-box-sizing:content-box;box-sizing:content-box;height:20px;border:0;vertical-align:top;width:20px;outline:none;padding:3px;margin:2px;}.emoji-picker .section-group button.emoji:hover,.emoji-picker .results button.emoji:hover{display:inline-block;vertical-align:top;border-radius:2px;background-color:#9df;}.emoji-picker-modal.fadeIn{z-index:1200;position:fixed;right:0;top:0;width:100%;height:100%;opacity:0.8;background-color:black;}.emoji-picker .filter{background-color:none;border-bottom:1px solid #e9e9e9;padding:5px;display:flex;position:relative;align-items:center;}.emoji-picker .filter input[type="text"]{width:auto !important;}.emoji-picker .filter .d-icon-search{color:#999;font-size:1.1487em;margin-right:5px;margin-left:5px;}.emoji-picker .filter input{height:24px;margin:0;flex:1 0 0px;border:none;box-shadow:none;padding-left:24px;outline:none;color:#222;background:#fff;}.emoji-picker .filter input:focus{border:none;box-shadow:none;}.emoji-picker .filter input::-ms-clear{display:none;}.emoji-picker .results{display:none;flex-wrap:wrap;align-items:center;justify-content:flex-start;padding:4px;flex:1 0 0px;}.emoji-picker .filter .clear-filter{position:absolute;left:5px;top:12px;border:0;background:none;color:#999;outline:none;display:none;}.emoji-picker .filter .clear-filter:hover{color:#222;}.topic-list.shared-drafts{margin-bottom:1.5em;}.show-more{width:100%;z-index:1;}.show-more.has-topics{position:absolute;top:7px;}.list-controls{clear:both;margin-bottom:5px;}.list-controls .combo-box .combo-box-header{background:#fff;color:#222;border:1px solid #919191;font-size:1em;transition:none;height:10px;}.list-controls .select-kit{align-self:center;}.list-controls .select-kit .select-kit-collection{font-size:.8706em;max-height:40vh;}.list-controls .select-kit .select-kit-collection .texts,.list-controls .select-kit .select-kit-collection .icons{font-size:1.1487em;}.list-controls .select-kit.categories-admin-dropdown,.list-controls .select-kit.tags-admin-dropdown,.list-controls .select-kit.category-notifications-button,.list-controls .select-kit.tag-notifications-button{float:left;}.list-controls .select-kit.categories-admin-dropdown button,.list-controls .select-kit.tags-admin-dropdown button,.list-controls .select-kit.category-notifications-button button,.list-controls .select-kit.tag-notifications-button button{display:inline-block;}.list-controls .category-heading{max-width:100%;}.topic-list-item.visited a.title:not(.badge-notification),.latest-topic-list-item.visited a.title:not(.badge-notification),.category-topic-link.visited a.title:not(.badge-notification){color:#919191;}.topic-list-main-link,.topic-list .main-link,.latest-topic-list-item .main-link{font-size:1.1487em;}.topic-list-main-link a.title,.topic-list .main-link a.title,.latest-topic-list-item .main-link a.title{padding:15px 0;word-break:break-word;color:#222;}.anon .topic-list-main-link a.title:visited:not(.badge-notification),.anon .topic-list .main-link a.title:visited:not(.badge-notification),.topic-list .anon .main-link a.title:visited:not(.badge-notification),.anon .latest-topic-list-item .main-link a.title:visited:not(.badge-notification),.latest-topic-list-item .anon .main-link a.title:visited:not(.badge-notification){color:#919191;}.topic-list-main-link a.title.visited:not(.badge-notification),.topic-list .main-link a.title.visited:not(.badge-notification),.latest-topic-list-item .main-link a.title.visited:not(.badge-notification){color:#919191;}.topic-list{width:100%;border-collapse:collapse;}.topic-list>tbody>tr.has-excerpt .star{vertical-align:top;margin-top:2px;}.topic-list>tbody>tr.last-visit{border-bottom:none;}.topic-list>tbody>tr .topic-list-separator{text-align:center;}.topic-list .topic-list-item-separator{border:none;}.topic-list .topic-list-item-separator td{border-bottom:1px solid #ec8972;line-height:0.1em;padding:0;text-align:center;}.topic-list .topic-list-item-separator td span{background-color:#fff;color:#ec8972;padding:0 8px;font-size:.8706em;}.topic-list th,.topic-list td{line-height:1.4;text-align:right;vertical-align:middle;}.topic-list th button .d-icon{color:#919191;}.topic-list td{color:#919191;font-size:1em;}.topic-list .main-link .raw-topic-link>*{pointer-events:none;}.topic-list .unread-indicator.read{display:none;}.topic-list .unread-indicator .d-icon{vertical-align:middle;font-size:.5em;}.topic-list .link-bottom-line{font-size:.8706em;display:flex;flex-wrap:wrap;align-items:center;}.topic-list .link-bottom-line .discourse-tags{flex-wrap:wrap;-ms-flex:1 0 0px;}.topic-list .link-bottom-line a.badge-wrapper.box,.topic-list .link-bottom-line a.discourse-tag.box{padding-top:0;padding-bottom:0;}.topic-list .link-bottom-line .discourse-tag.simple:after,.topic-list .link-bottom-line .discourse-tag.box{margin-left:0.25em;}.topic-list .topic-featured-link{padding-right:5px;}.topic-list .topic-excerpt{font-size:.8706em;margin-top:5px;color:#646464;word-wrap:break-word;line-height:1.4;padding-left:20px;}.topic-list .topic-statuses:empty{display:none;}.topic-list .num{text-align:center;}.topic-list .num a:not(.badge-posts){color:inherit;}.topic-list .num a.badge-posts{font-weight:bold;}.topic-list .num.posts a{padding:15px 5px;}.topic-list .num.activity a{padding:15px 5px;}.heatmap-high,.heatmap-high a{color:#fe7a15 !important;}.heatmap-med,.heatmap-med a{color:#cf7721 !important;}.heatmap-low,.heatmap-low a{color:#9b764f !important;}.loading .topic-list{border:0;box-shadow:none;}.loading .topic-list tr{background-color:transparent;}#list-area{margin-bottom:100px;}#list-area .empty-topic-list{padding:10px;}#list-area .unseen{background-color:transparent;padding:0;border:0;color:#ec8972;font-size:1em;cursor:default;}.topic-list .alert{margin-bottom:0;font-size:1em;}.topic-list .spinner{margin-top:40px;}ol.category-breadcrumb.hidden{display:none;}ol.category-breadcrumb{display:block;float:right;list-style:none;margin:0 0 10px 10px;padding:0;}ol.category-breadcrumb li{float:right;margin-left:5px;}ol.category-breadcrumb .bread-crumbs-right-outlet{float:right;}.d-icon-thumbtack.unpinned{-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=1)";-webkit-transform:rotate(180deg);-ms-transform:rotate(180deg);transform:rotate(180deg);}.top-title-buttons{display:inline;}.top-title-buttons button{margin-left:0.5em;}div.education{color:#919191;}div.education .badge-notification.new-posts{vertical-align:text-bottom;}.list-cell,.table-heading,.category-list td,.category-list th{padding:12px 5px;color:#919191;}.table-heading{border-bottom:3px solid #e9e9e9;}.topic-post-badges{white-space:nowrap;align-self:center;line-height:1.2;}.user-content-wrapper{width:100%;display:grid;grid-template-columns:1fr 5fr;grid-template-rows:auto auto 1fr auto;grid-row-gap:20px;}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-column-end:3;grid-row-start:1;grid-row-end:2;}.user-content-wrapper .user-secondary-navigation{grid-column-start:1;grid-column-end:2;grid-row-start:2;grid-row-end:3;}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:2;grid-row-end:4;grid-column-start:1;grid-column-end:3;}.user-content-wrapper .user-content{min-width:100%;}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:2;grid-column-end:3;}.user-content-wrapper .user-additional-controls{grid-row-start:3;align-self:start;justify-self:start;}.user-content-wrapper{display:-ms-grid;-ms-grid-columns:1fr 5fr;-ms-grid-rows:auto auto 1fr auto;}.user-content-wrapper .user-primary-navigation{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2;}.user-content-wrapper .user-secondary-navigation{-ms-grid-row:2;-ms-grid-column:1;}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:2;}.user-content-wrapper .user-secondary-navigation+.user-content{-ms-grid-column:2;-ms-grid-column-span:1;}.user-content-wrapper .user-additional-controls{-ms-grid-row:3;-ms-grid-column-align:start;-ms-grid-row-align:start;}.user-content .list-actions{display:flex;margin-bottom:12px;}.user-content .list-actions .btn{margin-left:12px;}.user-content .paginated-topics-list{position:relative;}.user-content .show-mores{width:100%;}.user-content .d-icon-heart{color:#fa6c8d;}.user-main .about{width:100%;margin-bottom:15px;}.user-main .about.has-background .user-profile-image{background-size:cover;background-position:center center;background-repeat:no-repeat;}.user-main .about.has-background .staff-counters{margin-bottom:0;}.user-main .about .secondary{display:inline-block;width:100%;border-top:1px solid #e9e9e9;}.user-main .about .secondary .btn{padding:4px 12px;}.user-main .about .secondary dl{margin:0;padding:5px 10px;}.user-main .about .secondary dl div{display:inline-flex;align-items:baseline;margin-left:15px;margin:4px 0;}.user-main .about .secondary dt,.user-main .about .secondary dd{display:inline-flex;align-items:center;}.user-main .about .secondary dd{padding:0;margin:0 0 0 15px;color:#222;}.user-main .about .secondary dd.groups span:not(:last-of-type){margin-left:0.25em;}.user-main .about .secondary dd.groups span:after{content:",";}.user-main .about .secondary dd.groups span:last-of-type:after{content:"";}.user-main .about .secondary dt{color:gray;margin-left:5px;display:inline-block;}.user-main .about .details{background:rgba(255,255,255,0.8);border-bottom:1px solid #e9e9e9;}.user-main .about .details h1{font-size:2em;font-weight:normal;}.user-main .about .details h1 .d-icon{font-size:0.8em;}.user-main .about .details h2{font-weight:normal;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-main .about .details h3{font-weight:normal;margin-bottom:0.5em;}.user-main .about .details h3 .d-icon:not(:first-of-type){margin-right:10px;}.user-main .about .details .groups{margin-right:10px;display:inline;}.user-main .about .details img.avatar{float:right;}.user-main .about .details .suspended{color:#e45735;}.user-main .about .details .primary{width:100%;position:relative;}.user-main .about .details .primary h1{font-weight:bold;}.user-main .about .details .primary .bio{max-height:300px;overflow:auto;}.user-main .about .details .primary .bio a[href]{text-decoration:underline;}.user-main .about .details .primary .bio img{max-width:100%;}.user-main .about .details .user-profile-avatar{position:relative;float:right;}.user-main .about .details .user-profile-avatar .avatar-flair{bottom:8px;left:16px;}.user-main .about .controls ul{list-style-type:none;}.user-main .about .controls .btn{margin-bottom:10px;line-height:1.2;}.user-main .about.collapsed-info .details{margin-top:0;background:rgba(255,255,255,0.8);}.user-main .about.collapsed-info .details .bio{display:none;}.user-main .about.collapsed-info .details .primary{width:100%;}.user-main .about.collapsed-info .details .primary .avatar{margin-left:10px;width:45px;height:45px;}.user-main .about.collapsed-info .details .primary h1{font-size:1.5157em;}.user-main .about.collapsed-info .details .primary h2{font-size:1.1487em;}.user-main .about.collapsed-info .details .primary h3,.user-main .about.collapsed-info .details .primary h3.location-and-website{display:none;}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair{bottom:8px;left:2px;}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair .d-icon{font-size:1em;}.user-main .staff-counters{background:#222;color:#fff;display:flex;padding:10px;margin-bottom:16px;}.user-main .staff-counters>div,.user-main .staff-counters>div a{display:flex;align-items:baseline;flex:0 1 auto;margin:0 0 0 10px;color:#fff;}.user-main .staff-counters>div span,.user-main .staff-counters>div a span{padding:0 7px 1px;border-radius:10px;margin-left:5px;}.user-main .staff-counters .active{font-weight:bold;}.user-main .helpful-flags{background-color:#090;}.user-main .flagged-posts{background-color:#e49735;}.user-main .warnings-received{background-color:#ec8972;}.user-main .deleted-posts{background-color:#ec8972;}.user-main .suspensions{background-color:#e45735;}.user-main .user-field{margin-bottom:10px;}.user-main .user-field .controls label{width:auto;text-align:right;font-weight:normal;}.user-main .user-field .controls .instructions{color:#919191;margin-top:5px;margin-bottom:10px;font-size:.8706em;}.user-main .user-content .admin-controls nav{margin:0;}.user-main .user-content .admin-controls nav .nav-pills{overflow-x:auto;}.user-field .required{vertical-align:top;color:#e45735;font-weight:bold;margin-right:0.25em;}.public-user-fields{margin-top:8px;margin-bottom:8px;}.public-user-fields .user-field-name{font-weight:bold;}.collapsed-info .public-user-fields{display:none;}.avatar-selector .avatar-choice{display:grid;grid-template-columns:2em 1fr auto;grid-template-rows:auto auto;align-items:center;}.avatar-selector .avatar-choice:not(:last-of-type){margin-bottom:0.75em;}.avatar-selector .avatar-choice span{word-break:break-word;}.avatar-selector .avatar-choice input[type="radio"]{margin-top:0;}.avatar-selector .avatar-choice button{margin-right:auto;}.avatar-selector label.radio{display:flex;align-items:center;max-width:300px;margin:0 0 0 0.5em;padding:0;}.avatar-selector label.radio .avatar{flex:0 0 auto;margin:0 0 0 0.75em;}.avatar-selector .error{color:#e45735;margin:0;max-width:calc(300px - 20px);grid-column-start:2;grid-column-end:3;}.avatar-selector .avatar-choice{display:-ms-grid;-ms-grid-columns:2em 1fr auto;-ms-grid-rows:auto auto;}.avatar-selector .avatar-choice input[type="radio"]{-ms-grid-row:1;-ms-grid-column:1;}.avatar-selector .avatar-choice label.radio{-ms-grid-row:1;-ms-grid-column:2;}.avatar-selector .avatar-choice span.avatar-uploader{-ms-grid-row:1;-ms-grid-column:3;}.avatar-selector .avatar-choice .error{-ms-grid-row:2;-ms-grid-column-span:3;}.top-section:before,.top-section:after{content:"";display:table;}.top-section:after{clear:both;}.top-section ul{list-style:none;margin:0;}.top-section,.top-sub-section{margin-bottom:20px;}.top-section.badges-section,.top-sub-section.badges-section{display:flex;flex-wrap:wrap;}.stats-title{text-transform:uppercase;margin-bottom:10px;width:100%;}.stats-section ul{margin:10px 0;}.stats-section li{display:inline-block;padding:10px 0 10px 14px;margin:0 0 10px 10px;}.stats-section li.linked-stat{padding:0;}.stats-section li.linked-stat a{padding:10px 0 10px 14px;width:100%;height:100%;display:block;color:#222;}.stats-section .value{font-weight:bold;font-size:1.3195em;}.stats-section .label{color:#919191;}.top-sub-section{width:50%;}.top-sub-section ul{max-width:95%;}.top-sub-section li{border-right:#e9e9e9 solid 2px;padding:5px 8px;margin:10px 0;}.top-sub-section .topic-info{color:#919191;}@media all and (max-width:600px){.top-sub-section{float:none;width:100%;}}.replies-section li,.topics-section li,.links-section li{word-wrap:break-word;}.links-section .domain{font-size:.8706em;color:#919191;}.top-categories-section table{max-width:95%;}.top-categories-section table tr{border:none;}.top-categories-section table td,.top-categories-section table th{padding:0.5em;}.top-categories-section table td.topic-count,.top-categories-section table td.reply-count,.top-categories-section table th.topic-count,.top-categories-section table th.reply-count{text-align:center;}.summary-user-list li{height:45px;}.groups .group-link{color:#08c;}.user-preferences textarea{height:100px;}.user-preferences .tracking-controls label{align-items:center;display:inline-block;}.user-preferences .tracking-controls label .d-icon{margin-left:3px;}@media screen and (max-width:550px){.user-preferences .tracking-controls .select-kit.multi-select{width:100%;}}.user-preferences .tracking-controls .show-tracking{float:left;}.user-preferences .static{color:#222;display:inline-block;}.user-preferences .instructions{color:#919191;margin-bottom:10px;font-size:.8706em;line-height:1.4;}.user-preferences .instructions a[href]{color:#08c;}.user-preferences .avatar{margin-right:3px;}.user-preferences .warning{background-color:#ec8972;padding:5px 8px;color:#fff;width:520px;}.user-preferences .warning-wrap{height:30px;margin-bottom:10px;}.user-preferences .tracking-controls{margin-top:24px;}.user-preferences.second-factor-backup-preferences{padding-right:0;}.user-preferences.second-factor-backup-preferences .second-factor-token-input{margin-left:10px;}.user-preferences.second-factor-backup-preferences .form-horizontal .instructions{margin-right:0;}.user-preferences.second-factor-backup-preferences .backup-codes{margin:2em 0;}.user-preferences.second-factor-backup-preferences .backup-codes .wrapper{display:inline-block;position:relative;padding:10px;border-radius:3px;border:1px solid #e9e9e9;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area{resize:none;padding:0;height:auto;text-align:center;width:250px;background:white;border:0;cursor:auto;overflow:hidden;outline:none;font-family:monospace;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area:focus{box-shadow:none;border-color:#e9e9e9;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn,.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{left:5px;position:absolute;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn{top:5px;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{top:40px;}.user-preferences .pref-associated-accounts table td{padding:8px;}.paginated-topics-list .user-content{width:100%;margin-top:0;}.large-notification{display:flex;align-items:center;}.large-notification a{display:flex;align-items:center;}.large-notification a .d-icon{margin-left:0.5em;}.large-notification a span:first-child{color:#222;}.large-notification a div .fa{display:none;}.large-notification a div p{margin:0;}.qr-code-container{display:flex;}.qr-code-container .qr-code{padding:5px 5px 0 5px;background-color:white;}.second-factor.instructions{color:#919191;margin-top:5px;margin-bottom:10px;font-size:.8706em;}.second-factor .second-factor-item{margin-top:0.75em;}.second-factor .btn.edit{min-height:auto;}.primary-textual .staged,#user-card .staged{font-style:italic;}.selectable-avatars{max-height:350px;margin-bottom:1em;text-align:justify;}.selectable-avatars .selectable-avatar{margin:5px;display:inline-block;}.selectable-avatars .selectable-avatar .avatar{cursor:pointer;width:60px;height:60px;}.selectable-avatars .selectable-avatar .avatar:hover{box-shadow:0 0 10px #222;}.topic-title-outlet.choose-tags{margin-right:25px;margin-top:3px;}.tag-list{margin-top:2em;padding-bottom:1em;border-bottom:1px solid #e9e9e9;}#list-area .tag-list h3{margin-bottom:20px;}.tag-list .tag-box{display:inline-block;width:300px;margin-bottom:1em;float:right;vertical-align:middle;}.tag-list .tag-box .discourse-tag{font-size:1em;}.tag-list .tag-box .tag-count{font-size:.8706em;vertical-align:middle;line-height:1;}.tag-show-heading{display:inline-flex;flex-wrap:wrap;align-items:center;white-space:nowrap;overflow:hidden;text-overflow:hidden;}@media screen and (max-width:450px){.tag-show-heading{width:100%;}}.tag-show-heading .d-icon{margin:0 0.25em;}.topic-category{display:flex;flex-wrap:wrap;align-items:center;}.topic-category .topic-header-extra{display:inline-flex;align-items:center;}.topic-category .badge-wrapper{margin-top:0;}.discourse-tag-count{font-size:.8706em;color:#919191;line-height:1;vertical-align:middle;}.discourse-tag{max-width:14em;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle;}.discourse-tag{margin:0;color:#919191;}.discourse-tag:visited,.discourse-tag:hover{color:#919191;}.extra-info-wrapper .discourse-tag{color:#707070 !important;}.discourse-tag.large{font-size:1.3195em;}.discourse-tag.box{background-color:#e9e9e9;color:#646464;padding:2px 8px;}.extra-info-wrapper .discourse-tag.box{background-color:#ebebeb;color:#999;}.discourse-tag.simple,.discourse-tag.simple:visited,.discourse-tag.simple:hover{margin-left:0;color:#646464;}.discourse-tag.bullet{margin-left:0.5em;display:inline-flex;align-items:center;}.discourse-tag.bullet:before{background:#bdbdbd;margin-left:5px;position:relative;width:9px;height:9px;display:inline-block;content:"";}.discourse-tag.bullet.large:before{width:13px;height:13px;}.discourse-tags .discourse-tag.simple:not(:last-child):after,.list-tags .discourse-tag.simple:not(:last-child):after{content:",";margin-right:1px;}.d-header .topic-header-extra .discourse-tags{display:inline-block;font-size:.8706em;}.d-header .topic-header-extra .discourse-tags+.topic-featured-link{margin-right:8px;}.fps-result .add-full-page-tags{display:inline-block;}.topic-list-item .discourse-tags{display:inline-flex;font-weight:normal;font-size:.8706em;}.categories-list .topic-list-latest .discourse-tags{display:inline-block;}.mobile-view .topic-list-item .discourse-tags{display:inline-flex;flex-wrap:wrap;font-size:.8706em;margin-top:0;}.mobile-view .topic-list-item .discourse-tags .discourse-tag{margin-left:0.2em;}.mobile-view .topic-list-item .discourse-tags .discourse-tag.box{position:relative;top:0;}header .discourse-tag{color:#919191;}.list-tags{display:inline-block;margin-left:3px;font-size:.8706em;}.tag-chooser{width:100%;max-width:100%;}.title-wrapper .tag-chooser{width:500px;}.tag-sort-options{margin-bottom:20px;}.tag-sort-options a{text-decoration:underline;}.tag-sort-options span.active a{font-weight:bold;}.autocomplete .d-icon-tag{color:#222;padding-left:5px;}.autocomplete a{color:#919191;}.tags-admin-menu{margin-top:20px;}.tags-admin-menu ul{width:320px;}.tag-groups-container{margin-top:20px;}.tag-groups-container .content-list{width:20%;float:right;margin:20px 0;}.tag-groups-container .content-list ul{margin-bottom:10px;}.tag-groups-container .content-list .btn{margin-right:10px;}.tag-groups-container .tag-group-content{width:75%;float:left;}.tag-groups-container .tag-group-content section{margin-bottom:20px;}.tag-groups-container .tag-group-content label{font-size:1em;display:inline-block;margin-left:10px;}.tag-groups-container .tag-group-content .btn{margin-left:10px;}.tag-groups-container .tag-group-content h1 input{width:100%;}.tag-groups-container .group-tags-list .tag-chooser{width:100%;}.tag-groups-container .saving{margin-right:20px;}.tag-groups-container .parent-tag-section .tag-chooser{width:200px;margin-left:10px;}.tag-info{margin-top:1em;margin-bottom:1em;}.tag-info .delete-tag{float:left;}.tag-info .synonyms-list,.tag-info .add-synonyms,.tag-info .tag-associations{margin-top:1em;}.tag-info .tag-list{border:none;}.tag-info .tag-list .d-icon{color:#919191;}.tag-info .field{margin-bottom:5px;}#reply-control{position:fixed;display:flex;flex-direction:column;bottom:0;height:0;left:0;right:0;margin-right:auto;margin-left:auto;max-width:1475px;width:100%;z-index:400;transition:height 250ms ease,background 250ms ease,transform 250ms ease,max-width 250ms ease;background-color:#fff;box-shadow:0 -1px 40px rgba(0,0,0,0.12);}#reply-control.hide-preview{max-width:740px;}@media screen and (max-width:1200px){#reply-control{min-width:0;}}#reply-control .reply-area{display:flex;flex-direction:column;}#reply-control .saving-text,#reply-control .draft-text{display:none;padding-right:10px;}#reply-control .saving-text .spinner,#reply-control .draft-text .spinner{margin-right:5px;border-color:#fff;border-right-color:transparent;}#reply-control .saving-text .d-icon,#reply-control .draft-text .d-icon{color:#fff;}#reply-control.open{height:300px;}#reply-control.open.edit-title{height:400px;}#reply-control.closed{height:0 !important;}#reply-control.draft,#reply-control.saving{height:40px !important;align-items:center;background:#08c;color:#fff;flex-direction:row;width:100%;}#reply-control.draft .composer-controls,#reply-control.saving .composer-controls{margin-right:auto;display:flex;padding-left:5px;}#reply-control.draft .composer-controls .toggle-toolbar,#reply-control.saving .composer-controls .toggle-toolbar{display:none;}#reply-control.draft .composer-controls .d-icon,#reply-control.saving .composer-controls .d-icon{color:#fff;}#reply-control.draft{cursor:pointer;display:flex;}#reply-control.draft .draft-text{display:block;}#reply-control.draft .grippie,#reply-control.draft .saving-text{display:none;}#reply-control.draft .toggler{order:2;}#reply-control.saving .saving-text{display:flex;}#reply-control .reply-to{color:#646464;margin:5px 0 10px 0;display:flex;align-items:center;}#reply-control .reply-to .d-icon{color:#919191;}#reply-control .reply-to .reply-details{max-width:calc(100% - 175px);flex:1 1 auto;display:flex;align-items:center;white-space:nowrap;}#reply-control .reply-to .reply-details .d-icon{opacity:0.8;}#reply-control .reply-to .composer-action-title{display:inline-flex;align-items:center;width:auto;max-width:100%;}#reply-control .reply-to .composer-action-title .avatar{width:20px;}#reply-control .reply-to .composer-action-title .action-title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#reply-control .reply-to .composer-action-title .topic-link,#reply-control .reply-to .composer-action-title .user-link,#reply-control .reply-to .composer-action-title .post-link{margin-left:5px;}#reply-control .reply-to .composer-action-title .username{margin-left:5px;max-width:100px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}@media screen and (max-width:500px){#reply-control .reply-to .composer-action-title .username{display:none;}}#reply-control .reply-to .composer-action-title .d-icon{margin-left:5px;}#reply-control .reply-to .composer-action-title img.avatar{margin-left:3px;}#reply-control .reply-to .composer-controls{display:flex;margin-right:auto;}#reply-control .reply-to .composer-controls button{padding:5px 7px;}#reply-control .reply-to .composer-controls button.toggler{order:2;}#reply-control .whisper,#reply-control .display-edit-reason{font-style:italic;}#reply-control .whisper{margin-left:0.25em;}#reply-control .display-edit-reason{display:inline-flex;}#reply-control .display-edit-reason a{display:inline-flex;}#reply-control .display-edit-reason .d-icon{padding:0.3em 0.5em;color:#08c;}#reply-control #edit-reason{margin:0 4px;}#reply-control .user-selector,#reply-control .title-and-category{display:flex;flex-wrap:wrap;width:100%;align-items:center;margin-bottom:5px;position:relative;}#reply-control .user-selector.with-preview,#reply-control .title-and-category.with-preview{width:50%;}#reply-control .title-input{position:relative;display:flex;flex:1 1 50%;}#reply-control .title-input input{flex-grow:1;}#reply-control .with-tags .title-input{flex:1 1 100%;}#reply-control .category-input{display:flex;flex:1 0 35%;margin:0 10px 5px 0;}@media screen and (max-width:955px){#reply-control .category-input{flex:1 0 100%;margin-right:0;}}#reply-control .category-input .category-chooser{display:flex;flex:1 0 auto;width:auto;}#reply-control .with-tags .category-input{flex-basis:25%;margin-right:0;margin-left:5px;}@media screen and (max-width:920px){#reply-control .with-tags .category-input{flex-basis:100%;margin-left:0;}}#reply-control .add-warning{margin-right:0.75em;margin-bottom:0;display:flex;}#reply-control .add-warning input{margin-left:5px;}#reply-control #reply-title{margin:0 0 5px 0;flex-basis:50%;}#reply-control .mini-tag-chooser{flex:1 1 25%;margin:0 0 5px 0;background:#fff;z-index:700;}@media all and (max-width:900px){#reply-control .mini-tag-chooser{margin:0;flex:1 1 100%;}}#reply-control .popup-tip{z-index:701;}#reply-control .wmd-controls{position:relative;display:flex;flex-direction:column;flex-grow:1;min-height:0;}#reply-control .submit-panel{display:flex;flex-shrink:0;margin:7px 0 3px 0;}#reply-control .save-or-cancel{flex-basis:50%;display:flex;align-items:center;margin-left:auto;}#reply-control .save-or-cancel button{flex:0 0 auto;}#reply-control .save-or-cancel .cancel{margin-right:1.25em;line-height:normal;color:#646464;transition:color 250ms;}#reply-control .save-or-cancel .cancel:hover{color:#e45735;}#reply-control .save-or-cancel #draft-status,#reply-control .save-or-cancel #file-uploading{margin-right:25px;}#reply-control .save-or-cancel #file-uploading{display:flex;align-items:center;}#reply-control .save-or-cancel #file-uploading a{margin-right:5px;color:#646464;}#reply-control .save-or-cancel #file-uploading .spinner{margin-left:5px;}#reply-control .save-or-cancel #draft-status .d-icon-user-edit{color:#e45735;font-size:20px;vertical-align:-5.5px;}#reply-control #draft-status,#reply-control #file-uploading{color:#646464;}.cooked>*:first-child{margin-top:0;}.autocomplete{z-index:701;position:absolute;width:240px;background-color:#fff;border:1px solid #e9e9e9;}.autocomplete ul{list-style:none;padding:0;margin:0;}.autocomplete ul li{border-bottom:1px solid #e9e9e9;}.autocomplete ul li .d-icon-users{color:#888;padding:0 2px;}.autocomplete ul li a{padding:5px;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.autocomplete ul li a span.username{color:#222;}.autocomplete ul li a span.name{font-size:.8706em;vertical-align:middle;}.autocomplete ul li a.selected{background-color:#d1f0ff;}.discourse-no-touch .autocomplete ul li a:hover,.discourse-no-touch .autocomplete ul li a.btn-hover{background-color:#ffffca;text-decoration:none;}div.ac-wrap.disabled input{display:none;}div.ac-wrap.disabled .item a{display:none;}div.ac-wrap div.item a.remove,.remove-link{margin-right:4px;font-size:.8706em;line-height:1;padding:1px 3.5px;border-radius:12px;box-sizing:border-box;border:1px solid #e9e9e9;}div.ac-wrap div.item a.remove:hover,.remove-link:hover{background-color:#fbe6e1;border:1px solid #ec8972;text-decoration:none;color:#e45735;}div.ac-wrap{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#fff;border:1px solid #919191;min-height:30px;box-sizing:border-box;}div.ac-wrap div.item{float:right;padding:4px 10px;line-height:1.4;}div.ac-wrap div.item span{display:inline-block;line-height:1.2;}div.ac-wrap .ac-collapsed-button{float:right;border-radius:20px;position:relative;top:-2px;margin-left:10px;}div.ac-wrap input[type="text"]{float:right;display:block;box-shadow:none;border:0;margin:0;background:transparent;min-height:unset;}div.ac-wrap input[type="text"].fullwidth-input{width:100%;}.future-date-input .examples{color:#919191;}.md-table{overflow-y:auto;margin:1em 0;}.mobile-view .md-table table{width:100%;}.save-animation{-webkit-animation:transformer 5s forwards;animation:transformer 5s forwards;}@-webkit-keyframes transformer{90%{-webkit-filter:opacity(1);}100%{-webkit-filter:opacity(0);}}@keyframes transformer{90%{opacity:1;}100%{opacity:0;}}body.ios-safari-composer-hacks #main-outlet,body.ios-safari-composer-hacks header,body.ios-safari-composer-hacks .grippie,html:not(.fullscreen-composer) body.ios-safari-composer-hacks .toggle-fullscreen{display:none;}body.ios-safari-composer-hacks #reply-control{top:0px;}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh,1vh) * 100);}.mfp-bg{top:0;right:0;width:100%;height:100%;z-index:1042;overflow:hidden;position:fixed;background:#0b0b0b;opacity:.8;filter:alpha(opacity=80);}.mfp-wrap{top:0;right:0;width:100%;height:100%;z-index:1043;position:fixed;outline:0 !important;-webkit-backface-visibility:hidden;}.mfp-container{text-align:center;position:absolute;width:100%;height:100%;right:0;top:0;padding:0 8px;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;}.mfp-container:before{content:"";display:inline-block;height:100%;vertical-align:middle;}.mfp-align-top .mfp-container:before{display:none;}.mfp-content{position:relative;display:inline-block;vertical-align:middle;margin:0 auto;text-align:right;z-index:1045;}.mfp-inline-holder .mfp-content,.mfp-ajax-holder .mfp-content{width:100%;cursor:auto;}.mfp-ajax-cur{cursor:progress;}.mfp-zoom-out-cur,.mfp-zoom-out-cur .mfp-image-holder .mfp-close{cursor:-moz-zoom-out;cursor:-webkit-zoom-out;cursor:zoom-out;}.mfp-zoom{cursor:pointer;cursor:-webkit-zoom-in;cursor:-moz-zoom-in;cursor:zoom-in;}.mfp-auto-cursor .mfp-content{cursor:auto;}.mfp-close,.mfp-arrow,.mfp-preloader,.mfp-counter{-webkit-user-select:none;-moz-user-select:none;user-select:none;}.mfp-loading.mfp-figure{display:none;}.mfp-hide{display:none !important;}.mfp-preloader{color:#ccc;position:absolute;top:50%;width:auto;text-align:center;margin-top:-0.8em;right:8px;left:8px;z-index:1044;}.mfp-preloader a{color:#ccc;}.mfp-preloader a:hover{color:#fff;}.mfp-s-ready .mfp-preloader{display:none;}.mfp-s-error .mfp-content{display:none;}button.mfp-close,button.mfp-arrow{overflow:visible;cursor:pointer;background:transparent;border:0;-webkit-appearance:none;display:block;padding:0;z-index:1046;-webkit-box-shadow:none;box-shadow:none;}button::-moz-focus-inner{padding:0;border:0;}.mfp-close{width:44px;height:44px;line-height:1.4;position:absolute;left:0;top:0;text-decoration:none;text-align:center;opacity:.65;filter:alpha(opacity=65);padding:0 10px 18px 0;color:#fff;font-style:normal;font-size:2em;font-family:Arial,Baskerville,monospace;}.mfp-close:hover,.mfp-close:focus{opacity:1;outline:0;filter:alpha(opacity=100);}.mfp-close:active{top:1px;}.mfp-close-btn-in .mfp-close{color:#333;}.mfp-image-holder .mfp-close,.mfp-iframe-holder .mfp-close{color:#fff;left:-6px;text-align:left;padding-left:6px;width:100%;}.mfp-counter{position:absolute;top:0;left:0;color:#ccc;font-size:.8706em;line-height:1.2;}.mfp-arrow{position:absolute;opacity:.65;filter:alpha(opacity=65);top:50%;margin:-55px 0 0;padding:0;width:90px;height:110px;-webkit-tap-highlight-color:transparent;}.mfp-arrow:active{margin-top:-54px;}.mfp-arrow:hover,.mfp-arrow:focus{outline:0;opacity:1;filter:alpha(opacity=100);}.mfp-arrow:before,.mfp-arrow:after,.mfp-arrow .mfp-b,.mfp-arrow .mfp-a{content:"";display:block;width:0;height:0;position:absolute;right:0;top:0;margin-top:35px;margin-right:35px;border:medium inset transparent;}.mfp-arrow:after,.mfp-arrow .mfp-a{border-top-width:13px;border-bottom-width:13px;top:8px;}.mfp-arrow:before,.mfp-arrow .mfp-b{border-top-width:21px;border-bottom-width:21px;}.mfp-arrow-left{right:0;}.mfp-arrow-left:after,.mfp-arrow-left .mfp-a{border-left:17px solid #fff;margin-right:31px;}.mfp-arrow-left:before,.mfp-arrow-left .mfp-b{margin-right:25px;border-left:27px solid #3f3f3f;}.mfp-arrow-right{left:0;}.mfp-arrow-right:after,.mfp-arrow-right .mfp-a{border-right:17px solid #fff;margin-right:39px;}.mfp-arrow-right:before,.mfp-arrow-right .mfp-b{border-right:27px solid #3f3f3f;}.mfp-iframe-holder{padding-top:40px;padding-bottom:40px;}.mfp-iframe-holder .mfp-content{line-height:0;width:100%;max-width:900px;}.mfp-iframe-holder .mfp-close{top:-40px;}.mfp-iframe-scaler{width:100%;height:0;overflow:hidden;padding-top:56.25%;}.mfp-iframe-scaler iframe{position:absolute;display:block;top:0;right:0;width:100%;height:100%;box-shadow:0 0 8px rgba(0,0,0,0.6);background:#000;}img.mfp-img{width:auto;max-width:100%;height:auto;display:block;line-height:0;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;padding:40px 0 40px;margin:0 auto;}.mfp-figure{line-height:0;}.mfp-figure:after{content:"";position:absolute;right:0;top:40px;bottom:40px;display:block;left:0;width:auto;height:auto;z-index:-1;box-shadow:0 0 8px rgba(0,0,0,0.6);background:linear-gradient(45deg,#111 100% 100%);}.mfp-figure small{color:#bdbdbd;display:block;font-size:.8706em;line-height:1.2;}.mfp-figure figure{margin:0;}.mfp-bottom-bar{margin-top:-36px;position:absolute;top:100%;right:0;width:100%;cursor:auto;}.mfp-title{text-align:right;line-height:1.2;color:#f3f3f3;word-wrap:break-word;padding-left:36px;}.mfp-title a.image-source-link .d-icon{padding-left:5px;}.mfp-image-holder .mfp-content{max-width:100%;}.mfp-gallery .mfp-image-holder .mfp-figure{cursor:pointer;}@media all and (max-width:800px) and (orientation:landscape),screen and (max-height:300px){.mfp-img-mobile .mfp-image-holder{padding-right:0;padding-left:0;}.mfp-img-mobile img.mfp-img{padding:0;}.mfp-img-mobile .mfp-figure:after{top:0;bottom:0;}.mfp-img-mobile .mfp-figure small{display:inline;margin-right:5px;}.mfp-img-mobile .mfp-bottom-bar{background:rgba(0,0,0,0.6);bottom:0;margin:0;top:auto;padding:3px 5px;position:fixed;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;}.mfp-img-mobile .mfp-bottom-bar:empty{padding:0;}.mfp-img-mobile .mfp-counter{left:5px;top:3px;}.mfp-img-mobile .mfp-close{top:0;left:0;width:35px;height:35px;line-height:1.4;background:rgba(0,0,0,0.6);position:fixed;text-align:center;padding:0;}}@media all and (max-width:900px){.mfp-arrow{-webkit-transform:scale(0.75);transform:scale(0.75);}.mfp-arrow-left{transform-origin:0;-webkit-transform-origin:0;}.mfp-arrow-right{transform-origin:100%;-webkit-transform-origin:100%;}.mfp-container{padding-right:6px;padding-left:6px;}}.mfp-ie7 .mfp-img{padding:0;}.mfp-ie7 .mfp-bottom-bar{width:600px;right:50%;margin-right:-300px;margin-top:5px;padding-bottom:5px;}.mfp-ie7 .mfp-container{padding:0;}.mfp-ie7 .mfp-content{padding-top:44px;}.mfp-ie7 .mfp-close{top:0;left:0;padding-top:0;}.mfp-zoom-in .mfp-content{opacity:0;transition:all 0.2s;-webkit-transform:scale(0.8);-ms-transform:scale(0.8);transform:scale(0.8);}.mfp-zoom-in.mfp-bg{opacity:0;transition:all 0.3s ease-out;}.mfp-zoom-in.mfp-ready .mfp-content{opacity:1;-webkit-transform:scale(1);transform:scale(1);}.mfp-zoom-in.mfp-ready.mfp-bg{opacity:0.8;}.mfp-zoom-in.mfp-removing .mfp-content{-webkit-transform:scale(0.8);transform:scale(0.8);opacity:0;}.mfp-zoom-in.mfp-removing.mfp-bg{opacity:0;}.mfp-force-scrollbars.mfp-wrap{overflow-y:auto !important;overflow-x:auto !important;}.mfp-force-scrollbars .mfp-img{max-width:none;}.button-count.has-pending span{background-color:#e45735;color:#fff;border-radius:10px;padding:0.25em 0.5em;display:inline-block;font-size:0.8em;}.placeholder-avatar{display:inline-block;width:45px;height:45px;border-radius:50%;position:relative;overflow:hidden;}.placeholder-avatar:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;right:0;content:"";background:linear-gradient(to left,#f8f8f8 10%,#e9e9e9 72% 43%);height:45px;width:700px;}.placeholder-text{margin-right:11px;display:inline-block;width:calc(100% - 11px);height:1.5em;margin-bottom:0.6em;}.names{flex:1 1 auto;overflow:hidden;}.names span.first{display:flex;align-items:baseline;font-weight:bold;}.names span{font-size:1em;margin-left:8px;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle;}.names span a{color:#646464;}.names .fa{font-size:.8706em;color:#919191;}.names .svg-icon-title{margin-right:3px;margin-left:0px;}.names .new_user a,.names .user-title,.names .user-title a{color:#919191;}.cooked,.d-editor-preview{word-wrap:break-word;line-height:1.4;}.cooked h1,.cooked h2,.cooked h3,.cooked h4,.cooked h5,.cooked h6,.d-editor-preview h1,.d-editor-preview h2,.d-editor-preview h3,.d-editor-preview h4,.d-editor-preview h5,.d-editor-preview h6{margin:30px 0 10px;line-height:1.2;}.cooked h1,.d-editor-preview h1{font-size:1.5157em;}.cooked h2,.d-editor-preview h2{font-size:1.3195em;}.cooked h3,.d-editor-preview h3{font-size:1.1487em;}.cooked h4,.d-editor-preview h4{font-size:1em;}.cooked h5,.d-editor-preview h5{font-size:.8706em;}.cooked h6,.d-editor-preview h6{font-size:.7579em;}.cooked a,.d-editor-preview a{word-wrap:break-word;}.cooked ins,.d-editor-preview ins{background-color:#b8ffb8;}.cooked del,.d-editor-preview del{background-color:#fbe6e1;}.cooked big,.d-editor-preview big{font-size:1.5rem;}.cooked small,.d-editor-preview small{font-size:0.75rem;}.cooked small small,.d-editor-preview small small{font-size:0.75em;}.cooked big big,.d-editor-preview big big{font-size:1em;}.cooked sub sub sub,.d-editor-preview sub sub sub{bottom:0;}.cooked sup sup sup,.d-editor-preview sup sup sup{top:0;}.cooked video,.d-editor-preview video{max-width:100%;}.cooked sup sup,.d-editor-preview sup sup{top:0;}.moderator .regular>.cooked{background-color:#ffffca;padding:10px;}.moderator .regular>.cooked img:not(.thumbnail){max-width:100%;height:auto;}.moderator .clearfix>.topic-meta-data>.names span.user-title,.moderator .nav-pills>.topic-meta-data>.names span.user-title,.moderator .container>.topic-meta-data>.names span.user-title,.moderator .wrap>.topic-meta-data>.names span.user-title{color:#646464;}.moderator .clearfix>.topic-meta-data>.names span.user-title a,.moderator .nav-pills>.topic-meta-data>.names span.user-title a,.moderator .container>.topic-meta-data>.names span.user-title a,.moderator .wrap>.topic-meta-data>.names span.user-title a{background-color:#ffffca;padding-right:4px;padding-left:4px;}.topic-meta-data{display:flex;align-items:flex-start;}.topic-meta-data .names{margin-left:auto;}.topic-meta-data .post-infos{display:flex;flex:0 0 auto;align-items:center;}aside.quote{margin-top:1em;margin-bottom:1em;}aside.quote .badge-wrapper{margin-right:5px;}aside.quote .title{border-right:5px solid #e9e9e9;background-color:#f9f9f9;color:#646464;padding:12px 12px 1px 12px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}aside.quote .title .avatar{margin-left:7px;}aside.quote .title img{margin-top:-4px;}aside.quote blockquote{margin-top:0;}blockquote img{max-width:100% !important;}.quote-controls,.quote-controls .d-icon{color:#bdbdbd;}.cooked .highlight{background-color:#d1f0ff;padding:2px;margin:-2px;}.post-ignored{font-style:italic;}.post-action{color:#919191;}.post-action .undo-action,.post-action .act-action{margin-right:5px;}.post-hidden{opacity:0.5;position:relative;z-index:1;}.topic-post.staged{opacity:0.4;}.quote-controls{float:left;display:flex;align-items:center;}.quote-controls a{margin-right:0.3em;}.quote-button{display:none;position:absolute;background-color:#b6b6b6;color:#fff;padding:10px;z-index:300;opacity:0.9;}.quote-button .d-icon{display:inline-block;}.quote-button:hover{background-color:#919191;cursor:pointer;}.topic-avatar,.user-card-avatar{position:relative;}.topic-map{background:#f8f8f8;border:1px solid #e9e9e9;border-top:none;}.topic-map .avatars>div{float:right;position:relative;margin:3px 0;}.topic-map .avatars .post-count{position:absolute;left:0;border-radius:100px;padding:3px 5px;text-align:center;font-weight:normal;font-size:.7579em;line-height:1;}.topic-map .avatar{float:right;margin-left:4px;}.topic-map section{border-top:1px solid #e9e9e9;}.topic-map ul{margin:0;list-style:none;}.topic-map h3{margin-bottom:4px;color:#222;line-height:1.4;font-weight:normal;font-size:1em;}.topic-map h4{margin:1px 0 2px 0;color:#919191;font-weight:normal;font-size:.8706em;line-height:1;}.topic-map span.domain{font-size:.7579em;color:#919191;}.topic-map td{vertical-align:top;padding:1px;}.topic-map .topic-links tr{border:none;}.topic-map .topic-links .badge-notification{margin:1px 0 2px 5px;}.topic-map .controls{display:flex;align-items:center;}.topic-map .controls .btn{margin-left:0.5em;}.topic-map .controls .btn:last-child{margin:0;}.topic-map .participants{display:flex;flex-wrap:wrap;align-items:center;}.topic-map .participants+.controls{margin-top:0.5em;}.topic-map .participants.hide-names .user .username,.topic-map .participants.hide-names .user .group-name{display:none;}.topic-map .participants .user{border:1px solid #e9e9e9;border-radius:0.25em;padding:0;margin:0.125em 0 0.125em 0.25em;display:flex;align-items:center;height:26px;}.topic-map .participants .user .user-link,.topic-map .participants .user .group-link{color:#646464;}.topic-map .participants .user .user-link:hover,.topic-map .participants .user .group-link:hover{color:#222;}.topic-map .participants .user .avatar,.topic-map .participants .user .d-icon-users{margin-right:0.25em;margin-left:0.25em;}.topic-map .participants .user .username,.topic-map .participants .user .group-name{margin-left:0.25em;}.topic-map .participants .user:last-child{margin-left:0;}.topic-map .participants .user .remove-invited{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0.25em 0 0 0.25em;padding-top:0;padding-bottom:0;height:100%;}.topic-map .add-remove-participant-btn .d-icon{margin-right:0.25em;}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.user-card-avatar .avatar-flair,.topic-map .poster .avatar-flair,.user-profile-avatar .avatar-flair,.user-image .avatar-flair{display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;background-position:center;position:absolute;bottom:0;left:-6px;}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.collapsed-info .user-profile-avatar .avatar-flair,.user-image .avatar-flair{background-size:20px 20px;width:20px;height:20px;}.topic-avatar .avatar-flair.rounded,.avatar-flair-preview .avatar-flair.rounded,.collapsed-info .user-profile-avatar .avatar-flair.rounded,.user-image .avatar-flair.rounded{background-size:18px 18px;border-radius:12px;width:24px;height:24px;bottom:-2px;left:-8px;}.user-card-avatar .avatar-flair,.user-profile-avatar .avatar-flair{background-size:40px 40px;width:40px;height:40px;}.user-card-avatar .avatar-flair.rounded,.user-profile-avatar .avatar-flair.rounded{background-size:30px 30px;border-radius:24px;width:40px;height:40px;bottom:-2px;left:-4px;}.user-card-avatar .avatar-flair .fa,.user-profile-avatar .avatar-flair .fa{font-size:1.7511em;}.topic-map .poster .avatar-flair{left:0;background-size:12px 12px;width:16px;height:16px;bottom:-3px;color:#222;}.topic-map .poster .avatar-flair.rounded{background-size:12px 12px;border-radius:8px;width:16px;height:16px;bottom:-2px;left:0;}.topic-map .poster .avatar-flair .d-icon{font-size:.7579em;}.topic-avatar .poster-avatar-extra{display:none;}.map:first-of-type{display:flex;}.map:first-of-type .buttons{margin-right:auto;order:15;}.map:first-of-type .buttons .btn{height:100%;}.topic-body .cooked{overflow:hidden;}.topic-body.highlighted{animation:background-fade-highlight 2.5s ease-out;}.post-info{flex:0 0 auto;margin-left:0.5em;}.post-info.post-date{margin-left:0;}.post-info.via-email .d-icon,.post-info.whisper .d-icon,.post-info.post-locked .d-icon{font-size:1em;}.post-info .wiki,.post-info .last-wiki-edit{color:green;}.post-info.via-email{color:#bdbdbd;}.post-info.raw-email{cursor:pointer;}pre code{word-wrap:normal;display:block;padding:0.5em;color:#222;background:#f9f9f9;max-height:500px;}kbd{background-color:#fff;border:1px solid #e9e9e9;border-radius:3px;box-shadow:0 2px 0 rgba(0,0,0,0.2), 0 0 0 1px #fff inset;background:#fafafa;border:1px solid #ccc;border-bottom:medium none #fff;color:#222;display:inline-block;font-size:.8706em;line-height:1.4;margin:0 0.1em;padding:0.1em 0.6em;}kbd * * *{display:none;}blockquote>*:first-child{margin-top:0 !important;}blockquote>*:last-child{margin-bottom:0 !important;}.gap{padding:0.25em 56px 0.5em 0;color:#919191;cursor:pointer;text-transform:uppercase;font-weight:bold;font-size:.8706em;}.who-liked,.who-read{transition:height 0.5s;}.who-liked a,.who-read a{margin:0 0 0.5em 0.25em;display:inline-block;}.cooked table thead th,.d-editor-preview table thead th{text-align:right;padding-bottom:2px;font-weight:bold;color:#222;}.cooked table td,.d-editor-preview table td{padding:3px 0.5em 3px 3px;}.small-action{display:flex;align-items:center;max-width:758px;border-top:1px solid #e9e9e9;}.small-action .topic-avatar{align-self:flex-start;padding:0.7em 0;border-top:none;margin-left:11px;flex:0 0 auto;}.small-action .topic-avatar .d-icon{font-size:2em;width:45px;text-align:center;color:#bdbdbd;}.small-action .small-action.deleted{background-color:rgba(242,171,154,0.7);}.small-action .small-action-desc.timegap{color:#919191;}.small-action .small-action-desc{display:flex;flex-wrap:wrap;flex:1 1 100%;align-items:center;padding:1em 0;text-transform:uppercase;font-weight:bold;font-size:.8706em;color:#919191;min-width:0;}.small-action .small-action-desc .custom-message{flex:1 1 100%;text-transform:none;font-weight:normal;font-size:1.1487em;order:12;word-break:break-word;min-width:0;}.small-action .small-action-desc .custom-message p{margin-bottom:0;}.small-action .small-action-desc a.trigger-user-card{align-self:stretch;}.small-action .small-action-desc .avatar{margin-left:0.8em;float:right;}.small-action .small-action-desc>p{margin:0;line-height:1.2;flex:1 1;}.small-action button{background:transparent;border:0;order:9;}.small-action button:last-of-type{margin-right:auto;order:8;}.whisper .post-info.whisper{margin-right:0.5em;}.whisper .topic-body .cooked{font-style:italic;color:#919191;}a.mention,a.mention-group{padding:2px 4px;color:#646464;background:#e9e9e9;border-radius:8px;font-weight:bold;font-size:0.93em;}.popup-menu h3{margin-top:0;}.suggested-topics .topics{padding-bottom:15px;}.suggested-topics .suggested-topics-message .badge-wrapper{margin-left:0;}.large-image-placeholder>a.link{margin-left:10px;}.large-image-placeholder>a>*{overflow:hidden;vertical-align:middle;}.large-image-placeholder>a>.d-icon{color:#919191;margin-left:6px;font-size:1em;line-height:1.4;}.large-image-placeholder>a>span.url{display:inline-block;max-width:300px;margin-left:6px;text-overflow:ellipsis;white-space:nowrap;}.large-image-placeholder>a>span.help{display:inline-block;color:#919191;font-size:.8706em;font-style:italic;line-height:1.4;margin-bottom:1px;}.large-image-placeholder>a>span.badge-notification{vertical-align:unset;}.broken-image,.large-image{color:#bdbdbd;border:1px solid #e9e9e9;font-size:2em;padding:16px;}.reply-to-tab{display:flex;align-items:center;margin-left:2em;}.reply-to-tab img{margin:0 0.25em;}.topic-post.selected article.boxed .select-posts button.select-post{background-color:#08c;color:#fff;border-color:#08c;}.topic-post.selected article.boxed .topic-body .contents:after{display:none;}.topic-post article.boxed{position:relative;}.topic-post article.boxed .select-posts{position:absolute;left:5em;z-index:300;top:0.5em;height:100px;}.topic-post article.boxed .select-posts button{margin-right:8px;background-color:#e9e9e9;color:#222;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}@media all and (max-width:767px){.reply-to-tab span{display:none;}.user-title{float:right;clear:right;}}.signup-cta a{float:left;text-decoration:underline;}.signup-cta .buttons{margin-bottom:1em;}.post-notice{align-items:center;background-color:#d1f0ff;border-top:1px solid #e9e9e9;display:flex;max-width:calc( 690px + (11px * 2) + 45px - (0.8em * 2));padding:0.8em;}.post-notice.old{background-color:unset;color:#919191;}.post-notice.old .d-icon{color:#919191;}.post-notice p{margin:0;}.post-notice .d-icon{font-size:2em;color:#646464;margin-left:0.65em;}#topic-footer-buttons .reason{color:#646464;display:inline;margin:0 8px 0 0;line-height:1.2;}@keyframes button-jump-up{0%{margin-bottom:-60px;}50%{margin-bottom:10px;}65%{margin-bottom:0px;}77%{margin-bottom:5px;}100%{margin-bottom:0px;}}.progress-back-container{z-index:300;margin-left:0;animation-duration:0.5s;animation-name:button-jump-up;width:145px;text-align:center;margin-bottom:0px;position:absolute;left:0;top:-2em;}.progress-back-container .btn{margin:0;}#topic-progress-wrapper{display:flex;}#topic-progress-wrapper .topic-admin-menu-button-container{display:flex;}#topic-progress-wrapper .topic-admin-menu-button-container>span{display:flex;}#topic-progress-wrapper .topic-admin-popup-menu.right-side{position:absolute;bottom:0;left:0;right:auto;transition:bottom 0.5s;transform:translateZ(0);}#topic-progress-wrapper.docked .topic-admin-popup-menu.right-side{bottom:-150px;}.title-wrapper{display:flex;flex-wrap:wrap;}.title-wrapper button{margin:0 0 0 0.5em;}.title-wrapper a.topic-featured-link{display:inline-block;}.title-wrapper .topic-statuses{line-height:1.2em;margin-left:0.15em;}.title-wrapper .topic-statuses .d-icon{color:#919191;}h1{margin:0 0 4px 0;}a.badge-category{margin-top:5px;}#topic-title .title-wrapper{display:flex;flex-wrap:wrap;width:90%;}#topic-title .title-wrapper a.topic-featured-link{display:inline-block;}#topic-title h1{margin:0 0 4px 0;width:100%;}#topic-title a.badge-category{margin-top:5px;}#topic-title a.edit-topic .d-icon{font-size:0.8em;}#topic-title .edit-topic-title{display:flex;flex-wrap:wrap;box-sizing:border-box;max-width:758px;}#topic-title .edit-topic-title #edit-title{flex:1 1 auto;}#topic-title .edit-topic-title .private-message-glyph{margin:5px 0 0 5px;}#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 49%;margin:0 0 9px 0;}@media all and (max-width:500px){#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 100%;}}#topic-title .edit-topic-title .mini-tag-chooser{margin-right:2%;}@media all and (max-width:500px){#topic-title .edit-topic-title .mini-tag-chooser{margin-right:0;}}.private-message-glyph{color:#bdbdbd;margin-left:5px;}.archetype-private_message #topic-title .edit-topic-title .tag-chooser{margin-right:19px;}.private_message #topic-title .edit-topic-title #edit-title{width:calc(100% - 50px);}.topic-title-outlet{clear:both;}.has-pending-posts{display:flex;justify-content:space-between;padding:0.5em;background-color:#ffffa6;margin-top:1em;max-width:757px;}.suggested-topics-wrapper.related-messages-wrapper .suggested-topics:nth-of-type(n+2) thead{display:none;}.suggested-topics h3 .badge-wrapper.bullet span.badge-category,.suggested-topics h3 .badge-wrapper.box span,.suggested-topics h3 .badge-wrapper.bar span{display:inline;}.suggested-topics h3 .badge-wrapper.bullet span.badge-category{vertical-align:baseline;line-height:1.2;}.suggested-topics h3 .badge-wrapper.bullet,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg{line-height:0.8;}.suggested-topics .badge-wrapper.bullet span.badge-category,.suggested-topics .badge-wrapper.bar span.badge-category{max-width:150px;}.suggested-topics .suggested-topics-title{display:flex;align-items:center;}.post-links-container{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both;}.post-links-container .post-links{margin-top:1em;padding-top:1em;border-top:1px solid #e9e9e9;}.post-links-container .post-links li:last-of-type{margin-bottom:1em;}.post-links-container .expand-links{color:#919191;}.post-links-container .track-link{display:flex;align-items:center;}.post-links-container .track-link span:not(.badge){overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.post-links-container ul{margin:0;list-style:none;}.post-links-container ul li{margin-bottom:0.5em;}.post-links-container ul li a[href]{color:#919191;}.post-links-container ul li .clicks{margin-right:0.5em;flex:0 0 auto;}.post-links-container ul li .d-icon{font-size:.7579em;margin:0 0 0 0.5em;}.post-links-container a.reply-new .d-icon{background:#fff;border-radius:20px;transition:all linear 0.15s;}.post-links-container a.reply-new:hover{color:#08c;}.post-links-container a.reply-new:hover .d-icon{background:#d1f0ff;}a.topic-featured-link{display:inline-block;text-transform:lowercase;color:#919191;font-size:0.875rem;}a.topic-featured-link .d-icon{margin-left:3px;}.topic-area .pending-posts{max-width:calc( 690px + 45px + 22px);}.topic-area .pending-posts .reviewable-item .post-body{max-height:unset;}#request-access{width:325px;margin:0 auto;}#request-access input[type="text"]{width:320px;height:30px;font-size:1.5157em;}#request-access input[type="submit"]{font-size:1.5157em;padding:10px;}.hljs{display:block;padding:0.5em;color:#333;}.hljs-comment,.hljs-doctag{color:#998;font-style:italic;}.hljs-keyword,.javascript .hljs-title,.nginx .hljs-title,.hljs-subst,.hljs-request,.hljs-status{color:#333;font-weight:bold;}.hljs-number,.ruby .hljs-constant{color:#099;}.hljs-string,.hljs-tag .hljs-string,.tex .hljs-formula{color:#d14;}.hljs-title,.hljs-name,.coffeescript .hljs-params,.scss .hljs-meta{color:#d14;font-weight:bold;}.javascript .hljs-title,.lisp .hljs-title,.clojure .hljs-title,.hljs-subst{font-weight:normal;}.hljs-class .hljs-title,.haskell .hljs-type,.vhdl .hljs-literal,.tex .hljs-command{color:#458;font-weight:bold;}.hljs-tag,.hljs-tag .hljs-title,.django .hljs-tag .hljs-keyword{color:navy;font-weight:normal;}.hljs-attribute,.css .hljs-keyword,.hljs-variable,.lisp .hljs-body{color:teal;}.hljs-regexp{color:#090;}.hljs-symbol,.ruby .hljs-symbol .hljs-string,.lisp .hljs-keyword,.tex .hljs-special,.hljs-prompt{color:#990073;}.hljs-built_in,.lisp .hljs-title,.clojure .hljs-built_in,.hljs-builtin-name{color:#0aadff;}.meta{color:#919191;font-weight:bold;}.hljs-deletion{background:#fbe6e1;}.hljs-addition{background:#b8ffb8;}.diff .hljs-meta{color:#e9e9e9;}p>code,li>code,pre>code{color:#333;background:#f8f8f8;}#discourse-tooltip{background-color:#fff;position:absolute;z-index:600;border:1px solid #919191;max-width:400px;margin-top:25px;overflow-wrap:break-word;display:none;font-size:1em;font-weight:500;}#discourse-tooltip.retina{border:0.5px solid #919191;}#discourse-tooltip .tooltip-pointer{position:relative;background:#fff;}#discourse-tooltip .tooltip-pointer:before,#discourse-tooltip .tooltip-pointer:after{position:absolute;pointer-events:none;border:solid transparent;bottom:100%;content:"";height:0;width:0;}#discourse-tooltip .tooltip-pointer:after{border-bottom-color:#fff;border-width:8px;right:50%;margin-right:-8px;margin-bottom:-0.5px;}#discourse-tooltip .tooltip-pointer:before{border-bottom-color:#919191;border-width:9px;right:50%;margin-right:-9px;margin-bottom:-0.5px;}#discourse-tooltip .tooltip-content{padding:1em;max-width:250px;font-size:.8706em;color:#222;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);line-height:1.4em;}.page-not-found{margin:0 0 40px 0;}.page-not-found h1.title{font-size:2em;line-height:1.2;}.page-not-found-search{margin-top:20px;}.page-not-found-topics{display:flex;}@media screen and (max-width:600px){.page-not-found-topics{flex-wrap:wrap;}}.popular-topics,.recent-topics{box-sizing:border-box;width:50%;max-width:400px;margin-bottom:40px;padding-left:20px;}@media screen and (max-width:600px){.popular-topics,.recent-topics{width:100%;}}.popular-topics h2,.recent-topics h2{margin-bottom:10px;}.not-found-topic{display:flex;flex-wrap:wrap;align-items:baseline;margin-bottom:15px;}@media screen and (max-width:600px){.not-found-topic:nth-of-type(n+6){display:none;}}.not-found-topic a:not(.badge-wrapper){flex-basis:100%;}.modal-outer-container{width:100%;height:100%;}.modal-middle-container{display:flex;height:100%;align-items:center;}.modal-inner-container{box-sizing:border-box;flex:0 1 auto;margin:0 auto;max-width:700px;background-color:#fff;box-shadow:0 8px 60px rgba(0,0,0,0.6);}.modal-inner-container .select-kit{width:220px;}.modal-inner-container .select-kit.tag-chooser{width:100%;}.modal-open .dropdown-menu{z-index:1400;}.modal-open .popover{z-index:1500;}.modal-open .tooltip{z-index:1600;}.bootbox.modal{position:fixed;z-index:1300;overflow:auto;height:auto;background-color:#fff;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-clip:padding-box;}.input-hint-text{margin-right:0.5em;color:#a6a6a6;}.modal-header{display:flex;padding:10px 15px;border-bottom:1px solid #e9e9e9;align-items:center;}.modal-header .title h3{margin-bottom:0;}.modal-header .title p{margin:0;}.modal-header .modal-close{align-self:flex-start;order:2;margin-right:auto;padding-right:2em;}.modal-header .modal-close .close{color:#646464;}.modal-backdrop{position:fixed;top:0;left:0;bottom:0;right:0;z-index:1200;background-color:#111;}.modal-backdrop.fade{opacity:0;}.modal-backdrop,.modal-backdrop.fade.in{animation:fade 0.3s;opacity:0.9;filter:alpha(opacity=90);}@keyframes fade{from{opacity:0;}to{opacity:0.9;}}@keyframes slidein{from{transform:translateY(-20%);}to{transform:translateY(0);}}.create-account.in .modal-inner-container,.login-modal.in .modal-inner-container{animation:slidein 0.3s;}.inline-modal .modal-inner-container{border:1px solid gray;}.fixed-modal{position:fixed;top:0;width:100%;height:100%;z-index:1300;overflow:auto;}.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:80vh !important;}@media screen and (max-height:500px){.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:65vh !important;}}.modal-form{margin-bottom:0;}.modal-footer{padding:14px 15px 10px;border-top:1px solid #e9e9e9;}.modal-footer .btn{margin:0 0 5px 5px;}.modal.edit-category-modal .modal-body textarea{height:10em;}@media screen and (min-width:524px){.modal.edit-category-modal .modal-inner-container{min-width:525px;}}.modal .nav{padding:10px 15px 10px 30px;background-color:#fff;border-bottom:1px solid #e9e9e9;}.modal .nav li>a{font-size:1em;}.modal.hidden{display:none;}.modal .modal-body{box-sizing:border-box;width:100%;overflow-y:auto;max-height:400px;}.modal .modal-body.full-height-modal{max-height:calc(100vh - 150px);}.modal .modal-body.insert-link{overflow-y:visible;}.modal .modal-body.insert-link input{min-width:300px;}.modal .modal-body.insert-link .inputs{position:relative;}.modal .modal-body.insert-link .inputs .spinner{position:absolute;left:8px;top:-15px;width:10px;height:10px;}.modal .modal-body.insert-link .inputs .internal-link-results{position:absolute;top:70%;padding:5px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:5;background-color:#fff;max-height:150px;width:90%;overflow-y:auto;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link{padding:6px;border-bottom:1px solid #e9e9e9;cursor:pointer;display:block;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:hover,.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:focus{background-color:#ffffa6;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .search-category{display:flex;align-items:center;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .discourse-tags{display:inline-block;font-size:.8706em;}.modal .modal-body textarea{width:99%;height:80px;}.modal .modal-body p{font-size:1em;}.modal .modal-body .archetype-option{margin-bottom:20px;}.modal .modal-body .warning{color:#e45735 !important;}.modal .password-confirmation{display:none;}.modal section.field{padding:0.25em 0;margin-bottom:5px;}.modal section.field.with-items{display:flex;align-items:flex-start;}.modal section.field .field-item{display:inline-block;margin-left:10px;}.modal .modal-body.forgot-password-modal p{font-size:1em;}.modal pre code{white-space:pre-wrap;max-width:700px;}.reply-where-modal .modal-footer a{display:block;}.reply-where-modal .modal-footer .d-modal-cancel{margin:1em 0 0.5em;}.reply-where-modal .modal-footer .btn{text-align:right;font-size:1.3195em;line-height:1.2;margin-bottom:10px;font-weight:bold;}.reply-where-modal .modal-footer .btn .topic-title{font-weight:normal;}.d-modal-cancel{margin-right:1em;color:#919191;}.d-modal-cancel:hover{color:#e45735;}.delete-user-modal .modal-footer .btn{line-height:1.2;}.delete-posts-progress .progress-bar{height:15px;position:relative;background:#bdbdbd;border-radius:25px;overflow:hidden;margin:30px 0 20px;}.delete-posts-progress .progress-bar span{display:block;width:0%;height:100%;background-color:#08c;position:relative;transition:width 0.6s linear;}.permission-list{list-style:none;margin:0 0 30px;padding:0;}.permission-list .name{margin-left:20px;display:inline-block;min-width:100px;}.permission-list .permission{margin-right:20px;}.permission-list .d-icon-times-circle{margin-right:5px;color:#e45735;}.permission-list li{margin-bottom:10px;}.edit-category-modal input:not([type="checkbox"]),.edit-category-modal .controls{display:block;margin-bottom:0.5em;}.edit-category-modal .disable_info_wrap{position:relative;display:inline-block;float:left;}.edit-category-modal .disable_info_wrap .cannot_delete_reason{position:absolute;background:#222;color:#fff;text-align:center;border-radius:2px;padding:12px 8px;}.edit-category-modal .disable_info_wrap .cannot_delete_reason::after{top:100%;right:57%;border:solid transparent;content:" ";position:absolute;border-top-color:#222;border-width:8px;}.edit-category-modal .permission-selector{margin-left:0.25em;}.edit-category-modal .pending-permission-change-alert{margin-right:auto;max-width:250px;background:#434343;color:#fff;margin-top:10px;padding:5px 10px;position:relative;}.edit-category-modal .pending-permission-change-alert .arrow-div{border:solid transparent;content:" ";position:absolute;border-bottom-color:#434343;border-width:7px;top:-13px;right:200px;}.edit-category-modal .add-permission{position:relative;top:0.1em;}.edit-category-modal .edit-category-tab-settings>section{margin-bottom:1.5em;}.edit-category-modal .edit-category-tab-settings input[type="number"],.edit-category-modal .edit-category-tab-settings input[type="text"],.edit-category-modal .edit-category-tab-settings .select-kit{width:280px;}.edit-category-modal .edit-category-tab-settings label{max-width:280px;}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label{flex-wrap:wrap;}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label a{margin-right:1.3em;}.edit-category-modal #category-min-tags-from-group{width:100px;}.incoming-email-modal .btn{transition:none;background-color:transparent;margin-left:5px;}.incoming-email-modal .btn:hover,.incoming-email-modal .btn.active{color:#222;}.incoming-email-modal .btn.active{font-weight:bold;}.incoming-email-modal .btn:focus{outline:2px solid #e9e9e9;}.incoming-email-modal .incoming-email-tabs{margin-bottom:15px;}.incoming-email-modal .incoming-email-content{height:300px;max-width:700px;width:90vw;}.incoming-email-modal .incoming-email-content textarea,.incoming-email-modal .incoming-email-content .incoming-email-html-part{height:95%;border:none;border-top:1px solid #e9e9e9;padding-top:10px;}.incoming-email-modal .incoming-email-content textarea{font-family:monospace;resize:none;border-radius:0;box-shadow:none;}.incoming-email-modal .incoming-email-content .incoming-email-html-part{padding:10px 4px 4px 4px;}.modal .modal-body.change-timestamp #date-container .pika-single{width:100%;box-sizing:border-box;display:flex;justify-content:center;}.modal .modal-body.change-timestamp form{display:flex;}.modal .modal-body.change-timestamp form .date-picker-wrapper,.modal .modal-body.change-timestamp form input[type="time"]{width:50%;}.modal .modal-body.change-timestamp form .date-picker-wrapper{display:flex;flex:1;}.modal .modal-body.change-timestamp form .date-picker-wrapper .date-picker{flex:1;}.modal .modal-body.change-timestamp form input.date-picker,.modal .modal-body.change-timestamp form input[type="time"]{text-align:right;margin:0;}.change-timestamp{max-width:420px;}.change-timestamp #date-container .pika-single,.poll-ui-builder #date-container .pika-single{position:relative !important;display:inline-block;margin-top:0.5em;}.change-timestamp .date-picker-wrapper,.poll-ui-builder .date-picker-wrapper{min-width:130px;margin-left:0.5em;}.change-timestamp input[type="time"],.poll-ui-builder input[type="time"]{width:130px;}.change-timestamp form,.poll-ui-builder form{margin:0;}.flag-modal{max-height:450px;}.flag-modal .flag-action-type-details{width:100%;max-width:500px;line-height:1.4;}.flag-message{margin:0;}.custom-message-length{color:#919191;font-size:.8706em;}.jump-to-post-modal .modal-inner-container{max-width:350px;}.jump-to-post-modal .modal-body{overflow-y:visible;}.jump-to-post-modal .modal-body #post-jump,.jump-to-post-modal .modal-body .date-picker{margin:0;width:100px;}.jump-to-post-modal .modal-body .input-hint-text{color:#222;}.jump-to-post-modal .modal-body .jump-to-post-control .index{color:#919191;}.jump-to-post-modal .modal-body .jump-to-date-control .input-hint-text{margin-right:0;}.jump-to-post-modal .modal-body .separator{display:flex;align-items:center;margin:0.5em auto;}.jump-to-post-modal .modal-body .separator hr{flex:1 0 0px;}.jump-to-post-modal .modal-body .separator .text{margin:0 0 0 0.5em;color:#919191;}.move-to-modal .existing-topic .radio{flex-wrap:wrap;}.move-to-modal .existing-topic .topic-title{max-width:90%;}.move-to-modal .existing-topic .topic-categories{width:100%;}.modal:not(.has-tabs) .modal-tab{position:absolute;width:95%;}.modal.has-tabs .modal-tabs{display:inline-flex;flex-wrap:wrap;width:calc(100% - 20px);flex:1 0 auto;margin:0;}.modal.has-tabs .modal-tabs .modal-tab{list-style:none;padding:4px 8px;margin-left:4px;cursor:pointer;}.modal.has-tabs .modal-tabs .modal-tab.is-active{color:#fff;background:#e45735;}.modal.has-tabs .modal-tabs .modal-tab.is-active.single-tab{background:none;color:#222;padding:4px 0;}.groups-header{display:flex;flex-wrap:wrap;margin-bottom:1em;}.groups-header .groups-header-new{order:2;margin-bottom:0.5em;}.groups-header-filters{display:flex;flex-wrap:wrap;}.groups-header-filters .groups-header-filters-name,.groups-header-filters .groups-header-filters-type{margin-left:5px;margin-bottom:0.5em;}.groups-header-filters:last-child{margin-left:auto;}.groups-boxes{margin:1em 0;width:100%;display:flex;flex-wrap:wrap;justify-content:space-between;}@supports (display:grid){.groups-boxes{display:grid;grid-template-columns:repeat(4,24%);grid-column-gap:1.333%;grid-row-gap:1em;}@media screen and (max-width:768px){.groups-boxes{grid-template-columns:repeat(3,32%);grid-column-gap:2%;}}@media screen and (max-width:450px){.groups-boxes{grid-template-columns:100%;}}}.groups-boxes .group-box{flex:1 1 24%;margin:1%;display:flex;box-sizing:border-box;cursor:pointer;border:1px solid #e9e9e9;color:#222;}@media screen and (max-width:450px){.groups-boxes .group-box{margin:0;}}.discourse-no-touch .groups-boxes .group-box{transition:all 0.25s;}.discourse-no-touch .groups-boxes .group-box:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15);}.groups-boxes .group-box .group-membership{color:#919191;margin-top:auto;padding-top:1em;}.groups-boxes .group-box .group-membership .is-group-owner,.groups-boxes .group-box .group-membership .is-group-member{color:#090;}.groups-boxes .group-box .group-box-inner{padding:1em;width:100%;display:flex;flex-direction:column;box-sizing:border-box;}.groups-boxes .group-box .group-box-inner .group-info-wrapper{display:flex;overflow:hidden;flex:0 1 auto;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-avatar-flair{margin-top:0.2em;margin-left:8px;flex:0 0 auto;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info{flex:1 0 auto;margin-bottom:1em;width:70%;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info span{width:100%;word-break:break-word;line-height:1.2;}.groups-boxes .group-box .group-box-inner .group-user-count{display:flex;align-items:center;color:#646464;}.groups-boxes .group-box .group-box-inner .group-user-count .d-icon{margin-left:0.25em;font-size:0.8em;color:#919191;}.groups-boxes .group-box .group-box-inner .group-description{color:#646464;word-wrap:break-word;}.groups-boxes .group-box .groups-info-name{font-size:1.1487em;font-weight:bold;color:#222;}.groups-boxes .group-box .group-avatar-flair{display:inline-block;color:#222;}.groups-boxes .group-box .group-avatar-flair .avatar-flair{background-size:40px;height:40px;width:40px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;}.groups-boxes .group-box .group-avatar-flair .avatar-flair .d-icon{height:22.22222px;width:22.22222px;}.groups-boxes .group-box .avatar-flair-image{width:40px;}.caps-lock-warning{color:#e45735;font-size:.8706em;font-weight:bold;}.discourse-no-touch #login-form{margin:0;}.discourse-touch .caps-lock-warning{display:none;}#login-form table{width:100%;}#login-form a{color:#646464;}#login-form td{padding-left:5px;}#login-form #credentials tr:first-of-type{margin-bottom:0.75em;}#new-account-link{cursor:pointer;}.login-modal tr,.create-account tr{border:none;}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:10px 0 0 0;}.login-modal td label,.login-modal td input,.create-account td label,.create-account td input{margin-bottom:0;width:100%;}.login-modal .modal-footer .inline-spinner,.create-account .modal-footer .inline-spinner{display:inline-flex;}.login-modal.awaiting-approval,.create-account.awaiting-approval{display:none;}.create-account .disclaimer{color:#919191;margin-top:0.5em;}.create-account .user-field>label{margin-top:0.75em;margin-bottom:0;padding-top:5px;}.create-account .user-field:first-of-type>label{margin-top:0;}.create-account .user-field input[type="text"]{margin-bottom:0;width:100%;}.create-account .user-field .select-kit{width:100%;}.create-account .user-field .controls{padding-top:5px;}.create-account .user-field .controls label{width:auto;text-align:right;font-weight:normal;}.create-account .user-field .controls .instructions{margin-top:0.15em;color:#919191;line-height:1.2;}.password-reset .instructions label{color:#919191;}.invites-show .two-col{position:relative;display:flex;}.invites-show .col-image{position:relative;margin-left:20px;}@media screen and (max-width:600px){.invites-show .col-image{display:none;}}.invites-show form{margin-top:24px;}.invites-show form button.btn-primary{margin-top:10px;}.invites-show form label:not(.checkbox-label){font-weight:bold;}.invites-show form .controls,.invites-show form .input{margin-bottom:10px;}.invites-show form .instructions{color:#919191;margin:0;font-size:.8706em;font-weight:normal;line-height:1.2;}.auth-message{padding:0 15px 15px 15px;}.auth-message:empty{padding:0;}.modal tr.instructions{display:flex;flex-direction:column;margin-top:0.15em;}.modal tr.instructions label{color:#919191;}button#login-link,button#new-account-link{background:transparent;color:#646464;}#security-key{display:flex;flex-wrap:wrap;align-items:center;}#security-key button{margin-left:1.5em;}#security-key p{margin:0;font-size:1em;}#security-key a{display:inline-block;padding:1em 0 1em 0.5em;color:#08c;}.menu-panel.slide-in{position:fixed;left:0;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25);}.menu-panel.slide-in.animate{transition:right 0.2s ease-out,left 0.2s ease-out;}.menu-panel.slide-in .panel-body{position:absolute;top:3px;bottom:37px;width:97%;}.header-cloak{display:none;}.menu-panel.drop-down{position:absolute;top:100%;left:-10px;}.menu-panel{border:1px solid #e9e9e9;box-shadow:0 12px 12px rgba(0,0,0,0.15);background-color:#fff;z-index:1000;padding:0.5em;width:300px;}.menu-panel hr{margin:3px 0;}.menu-panel .panel-header{position:absolute;left:20px;}.menu-panel ul{list-style:none;margin:0;padding:0;}.menu-panel .panel-body{touch-action:pan-y pinch-zoom;overflow-y:auto;overflow-x:hidden;max-height:100vh;}.menu-panel .badge-notification{vertical-align:text-bottom;}.menu-links.columned li{width:50%;float:right;}.menu-panel li a.widget-link,.menu-panel li.heading a.widget-link{padding:0.25em 0.5em;display:block;}.menu-panel li a.widget-link:hover,.menu-panel li a.widget-link:focus,.menu-panel li.heading a.widget-link:hover,.menu-panel li.heading a.widget-link:focus{background-color:#ffffa6;outline:none;}.menu-panel li .new,.menu-panel li.heading .new{font-size:.8706em;margin-right:0.5em;color:#919191;}.menu-panel .categories-link{display:block;padding:0.25em 0.5em;}.menu-panel li.category-link{float:right;background-color:transparent;display:inline-flex;align-items:center;padding:0.25em 0.5em;width:50%;box-sizing:border-box;}.menu-panel li.category-link a{display:inline-flex;}.menu-panel li.category-link a:hover,.menu-panel li.category-link a:focus{background:transparent;}.menu-panel li.category-link .badge-notification{color:#919191;background-color:transparent;display:inline;padding:0;font-size:.8706em;line-height:1.4;}.menu-panel li.category-link .badge-wrapper.bar,.menu-panel li.category-link .badge-wrapper.bullet{color:#222;padding:0 0.15em 0 0;}.menu-panel li.category-link .badge-wrapper.box{color:#fff;}.menu-panel li.category-link .badge-wrapper.box+a.badge.badge-notification{padding-top:2px;}.menu-panel li.category-link .badge-wrapper.box span{z-index:-1;}.menu-panel b.topics-count{color:#919191;font-weight:normal;font-size:.8706em;}.menu-panel span.badge-category{max-width:100px;}.menu-panel div.discourse-tags{font-size:.8706em;}.user-menu .quick-access-panel{width:100%;display:table;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.user-menu .quick-access-panel h3{padding:0 0.4em;font-weight:bold;margin:0.5em 0;}.user-menu .quick-access-panel .d-icon,.user-menu .quick-access-panel:hover .d-icon{color:#919191;}.user-menu .quick-access-panel .icon{color:#646464;}.user-menu .quick-access-panel li{background-color:#d1f0ff;}.user-menu .quick-access-panel li div .fa{display:none;}.user-menu .quick-access-panel li span:first-child{color:#222;}.user-menu .quick-access-panel li:hover,.user-menu .quick-access-panel li:focus{background-color:#ffffa6;outline:none;}.user-menu .quick-access-panel li a{padding:0;}.user-menu .quick-access-panel li a>div{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;}.user-menu .quick-access-panel li p{margin:0;overflow:hidden;}.user-menu .quick-access-panel li:not(.show-all){padding:0.25em 0.5em;}.user-menu .quick-access-panel li:not(.show-all) .d-icon{float:right;margin-left:5px;padding-top:0.2em;}.user-menu .quick-access-panel .is-warning .d-icon-far-envelope{color:#e45735;}.user-menu .quick-access-panel .read{background-color:#fff;}.user-menu .quick-access-panel .none{padding-top:5px;}.user-menu .quick-access-panel .spinner-container{min-height:2em;}.user-menu .quick-access-panel .spinner{width:20px;height:20px;border-width:2px;margin:0 auto;}.user-menu .quick-access-panel .show-all a{width:100%;display:flex;justify-content:center;align-items:center;min-height:30px;color:#919191;background:#f9f9f9;}.user-menu .quick-access-panel .show-all a:hover{color:#222;background:#e9e9e9;}.user-menu .dismiss-link{display:inline-block;float:left;}div.menu-links-header{width:100%;display:table;border-collapse:separate;border-spacing:0 0.5em;}div.menu-links-header .menu-links-row{border-bottom:1px solid #e9e9e9;display:flex;padding:0 4px;}div.menu-links-header .menu-links-row li{display:inline-flex;align-items:center;flex-wrap:wrap;}div.menu-links-header .menu-links-row li.user{margin-left:auto;}div.menu-links-header .menu-links-row li.glyphs{flex-wrap:wrap;text-align:left;max-width:65%;}div.menu-links-header .menu-links-row li.glyphs a{padding-right:0.6em;padding-left:0.6em;}div.menu-links-header .menu-links-row li a{border:1px solid transparent;border-bottom:0;}div.menu-links-header .menu-links-row li a.active{border:1px solid #e9e9e9;border-bottom:0;position:relative;}div.menu-links-header .menu-links-row li a.active:after{display:block;position:absolute;top:100%;right:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #fff;}div.menu-links-header .menu-links-row li a.active:focus,div.menu-links-header .menu-links-row li a.active:hover{background-color:inherit;}div.menu-links-header a:hover,div.menu-links-header a:focus{background-color:#ffffa6;outline:none;}div.menu-links-header a{padding:0.3em 0.5em;}div.menu-links-header a.user-activity-link{align-items:center;display:flex;margin:-0.5em 0;max-width:130px;overflow:visible;}div.menu-links-header a.user-activity-link span.d-label{display:block;max-width:130px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}@media screen and (max-width:350px){div.menu-links-header a.user-activity-link{max-width:125px;}}div.menu-links-header li{display:table-cell;width:auto;text-align:center;}div.menu-links-header li:first-child{text-align:right;}div.menu-links-header li:last-child{text-align:left;}div.menu-links-header .fa,div.menu-links-header a{color:#919191;}div.menu-links-header .d-icon-user{margin-left:0.475em;}.request-group-membership-form label{font-weight:bold;}.group-add-membership-request-template{width:98%;}.d-editor-container{display:flex;flex-grow:1;max-width:100%;}.d-editor{display:flex;flex-grow:1;min-height:0;}.d-editor-textarea-wrapper,.d-editor-preview-wrapper{flex:1;}.d-editor-textarea-wrapper{display:flex;flex-direction:column;background-color:#fff;position:relative;border:1px solid #919191;}.d-editor-textarea-wrapper textarea{background:transparent;}.d-editor-textarea-wrapper.disabled{cursor:not-allowed;}.d-editor-textarea-wrapper.disabled .d-editor-button-bar{visibility:hidden;}.d-editor-preview-wrapper{max-width:49%;margin-right:1%;display:flex;flex-direction:column;}.d-editor-button-bar{display:flex;align-items:center;min-height:30px;border-bottom:1px solid #e9e9e9;}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{background-color:transparent;display:inline-block;}.d-editor-button-bar .btn .d-icon,.d-editor-button-bar .btn-default .d-icon{color:#919191;}.d-editor-button-bar .btn svg,.d-editor-button-bar .btn-default svg{-webkit-transform:translate3d(0,0,0);}.d-editor-button-bar .d-editor-spacer{height:1em;display:inline-block;border-right:1px solid #bdbdbd;}.d-editor-button-bar .btn:not(.no-text){font-size:1.1487em;}.d-editor-button-bar .btn.bold{font-weight:bolder;}.d-editor-button-bar .btn.italic{font-style:italic;}.d-editor-preview-wrapper{overflow:auto;cursor:default;-webkit-overflow-scrolling:touch;}.d-editor-input,.d-editor-preview{box-sizing:border-box;flex:1 1 100%;width:100%;margin:0;min-height:auto;word-wrap:break-word;-webkit-appearance:none;border-radius:0;}.d-editor-input:focus,.d-editor-preview:focus{box-shadow:none;border:0;outline:0;}.d-editor-input{border:0;padding:10px;height:100%;overflow-x:hidden;resize:none;}.d-editor-preview{height:auto;}.d-editor-plugin{display:flex;flex:1 1;overflow:auto;}.composing-whisper .d-editor-preview{font-style:italic;color:#919191 !important;}.d-editor-preview>*:first-child{margin-top:0;}.hide-preview .d-editor-preview-wrapper{display:none;flex:0;}.user-preferences .bio-composer textarea,.group-form-bio textarea,.edit-category-tab-topic-template textarea{width:100%;height:100%;min-height:10em;}.user-preferences .bio-composer .d-editor-container,.group-form-bio .d-editor-container,.edit-category-tab-topic-template .d-editor-container{display:block;}.user-preferences .bio-composer .d-editor-textarea-wrapper,.group-form-bio .d-editor-textarea-wrapper,.edit-category-tab-topic-template .d-editor-textarea-wrapper{border:1px solid #e9e9e9;}.user-preferences .bio-composer .d-editor-preview-wrapper,.group-form-bio .d-editor-preview-wrapper,.edit-category-tab-topic-template .d-editor-preview-wrapper{max-width:100%;margin:10px 0 0 0;}.user-preferences .bio-composer .d-editor-preview,.group-form-bio .d-editor-preview,.edit-category-tab-topic-template .d-editor-preview{background-color:#f8f8f8;padding:5px;}.user-preferences .bio-composer .d-editor-preview:empty,.group-form-bio .d-editor-preview:empty,.edit-category-tab-topic-template .d-editor-preview:empty{padding:0;}.user-preferences .bio-composer,.group-form-bio{padding:10px;border:1px solid #e9e9e9;}.d-editor-preview img{padding-bottom:1.4em;}.d-editor-preview img.emoji,.d-editor-preview img.avatar,.d-editor-preview img.site-icon{padding-bottom:0;}.d-editor-preview .image-wrapper{position:relative;display:inline-block;padding-bottom:1.4em;}.d-editor-preview .image-wrapper img{padding-bottom:0;}.d-editor-preview .image-wrapper:hover .button-wrapper{opacity:0.9;}.d-editor-preview .image-wrapper .button-wrapper{opacity:0;position:absolute;transition:all 0.25s;display:flex;align-items:center;bottom:0;right:0;}.d-editor-preview .image-wrapper .button-wrapper .separator{color:#bdbdbd;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn{color:#08c;padding:0 0.4em;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:first-of-type{padding-right:0;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn.active{font-weight:bold;color:#222;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:not(.active):hover{text-decoration:underline;cursor:pointer;}.mobile-view .d-editor-preview .image-wrapper .button-wrapper{opacity:1;}.d-editor-button-bar{margin:0.25em;}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{padding:0 0.5em;}.d-editor-button-bar .d-editor-spacer{margin:0 0.25em;}@media screen and (max-width:450px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.4em;}}@media screen and (max-width:350px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.3em;}.text-size-smaller .d-editor-button-bar .d-editor-spacer{margin:0 0.25em;}}@media screen and (max-width:450px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.35em;}}@media screen and (max-width:350px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.25em;}}@media screen and (max-width:450px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.3em;}}@media screen and (max-width:350px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.2em;}}.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{font-size:.8706em;}@media screen and (max-width:450px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.3em;}}@media screen and (max-width:350px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.2em;}}.timeline-loading{width:900px;}.timeline-container{box-sizing:border-box;z-index:100;margin-right:757px;position:fixed;-webkit-transform:translate3d(0,0,0);}@media screen and (min-width:1140px){.timeline-container{margin-right:820px;}}@media all and (min-width:1250px){.timeline-container{margin-right:900px;}}.timeline-container.timeline-docked{position:absolute;}.timeline-container.timeline-docked-bottom .timeline-footer-controls{opacity:0;pointer-events:none;cursor:default;}.timeline-container.timeline-fullscreen.show{max-height:700px;transition:max-height 0.4s ease-out;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen.show{max-height:75vh;}}.timeline-container.timeline-fullscreen.show .topic-timeline .timeline-footer-controls{display:inherit;}.timeline-container.timeline-fullscreen.show .timeline-controls{display:table-cell;vertical-align:top;}.timeline-container.timeline-fullscreen{max-height:0;transition:max-height 0.3s ease-in;position:fixed;margin-right:0;background-color:#fff;bottom:0;right:0;left:0;border-top:1px solid #e9e9e9;box-shadow:0 -1px 40px rgba(0,0,0,0.12);padding-top:20px;z-index:1150;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen{padding-top:10px;}}.timeline-container.timeline-fullscreen .back-button{display:none;}.timeline-container.timeline-fullscreen .topic-timeline{width:100%;table-layout:fixed;margin-right:0;margin-left:0;display:table;touch-action:none;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-date-wrapper{float:left;text-align:left;}.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{max-width:650px;max-height:165px;line-height:1.4;overflow:hidden;word-wrap:break-word;text-overflow:ellipsis;display:block;display:-webkit-box;-webkit-line-clamp:8;-webkit-box-orient:vertical;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{-webkit-line-clamp:5;}}.timeline-container.timeline-fullscreen .topic-timeline .username{color:#646464;word-wrap:break-word;font-weight:bold;}.timeline-container.timeline-fullscreen .topic-timeline .title{margin-top:0;padding-right:1em;display:table-cell;vertical-align:top;width:100%;}.timeline-container.timeline-fullscreen .topic-timeline .title h2{margin-top:0;display:block;display:-webkit-box;-webkit-line-clamp:4;-webkit-box-orient:vertical;max-height:110px;line-height:1.2;word-wrap:break-word;text-overflow:ellipsis;overflow:hidden;font-size:1.3195em;}.timeline-container.timeline-fullscreen .topic-timeline .title a{color:#222;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read{left:0;margin-right:0;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read .progress{display:none;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls{display:none;position:absolute;bottom:10px;right:10px;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls button,.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls .btn-group{float:none;display:inline-block;margin-bottom:0;margin-left:15px;position:static;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea-wrapper{display:table-cell;padding-bottom:20px;padding-left:1.5em;width:100px;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea{border-right:0;border-right-style:solid;border-left-width:1px;max-width:120px;float:left;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller{position:relative;margin-left:-1.5em;padding-left:1.5em;justify-content:flex-end;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-scroller-content{text-align:left;padding-right:0;padding-left:1em;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-handle{float:none;width:11px;position:relative;left:-6px;}.timeline-container.timeline-fullscreen .timeline-scrollarea-wrapper::after{content:"";display:table;clear:both;}.timeline-container .topic-timeline{margin-right:3em;transition:opacity 0.2s ease-in;touch-action:none;}.timeline-container .topic-timeline .timeline-controls{margin-bottom:1em;}.timeline-container .topic-timeline .timeline-controls button{margin-left:0.5em;}.timeline-container .topic-timeline .timeline-footer-controls{margin-top:1.5em;transition:opacity 0.2s ease-in;display:flex;}.timeline-container .topic-timeline .timeline-footer-controls button{margin-left:0.5em;}.timeline-container .topic-timeline .timeline-footer-controls button:last-child{margin-left:0;}.timeline-container .topic-timeline .start-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;color:#919191;}.timeline-container .topic-timeline .timeline-scrollarea{margin-top:0.5em;margin-right:0.5em;border-right:1px solid;border-color:#d1f0ff;position:relative;-webkit-transform:translate3d(0,0,0);}.timeline-container .topic-timeline .timeline-padding{transition:height 0.15s ease-out;cursor:pointer;}.widget-dragging .timeline-container .topic-timeline .timeline-padding{transition:none;}.timeline-container .topic-timeline .timeline-handle{border-radius:0.8em;width:0.35em;background-color:#d1f0ff;height:100%;float:right;z-index:2;}.timeline-container .topic-timeline .timeline-scroller-content{padding-right:1em;}.timeline-container .topic-timeline .timeline-ago{color:#919191;}.timeline-container .topic-timeline .timeline-scroller{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;margin-right:-0.19em;cursor:ns-resize;display:flex;align-items:center;}.timeline-container .topic-timeline .timeline-scroller .back-button{margin-top:1em;}.timeline-container .topic-timeline .timeline-replies{font-weight:bold;}.timeline-container .topic-timeline .timeline-last-read{position:absolute;margin-right:-0.35em;z-index:3;}.timeline-container .topic-timeline .timeline-last-read .progress{font-size:0.8em;color:#08c;margin-left:1em;}.timeline-container .topic-timeline .back-button{min-height:unset;padding:2px 5px;}.timeline-container .topic-timeline .now-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;display:inline-block;color:#919191;margin-top:0.5em;}.alert{margin-bottom:15px;}#banner{margin-bottom:10px;max-width:1090px;max-height:250px;}#reply-control .reply-area{margin:0 auto;padding:5px 15px;box-sizing:border-box;height:calc(100% - 11px);width:100%;}#reply-control .reply-area .submit-panel{flex-wrap:wrap;align-items:center;}#reply-control #private-message-users{width:404px;}#reply-control .item+#private-message-users{width:150px;}#reply-control .select-kit.is-expanded{z-index:701;}.category-input{margin-right:10px;}.edit-title .d-editor-preview-wrapper{margin-top:-43px;}@media screen and (max-width:955px){.edit-title:not(.private-message) .d-editor-preview-wrapper{margin-top:-77px;}}.edit-title .with-tags .d-editor-preview-wrapper{margin-top:-77px;}@media screen and (max-width:900px){.edit-title .with-tags .d-editor-preview-wrapper{margin-top:-105px;}}.closed .grippie{display:none;}.open .grippie{cursor:row-resize;padding:4px 0;background:#08c;}.open .grippie:before{content:"";display:block;width:27px;margin:auto;border-top:3px double #fff;}.discourse-touch .open .grippie{padding:7px 0;}.composer-popup-container{max-width:1500px;margin-right:auto;margin-left:auto;}.composer-popup{position:absolute;width:calc(50% - 45px);max-width:724px;top:20px;bottom:10px;right:51%;overflow-y:auto;z-index:500;padding:10px 10px 35px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);background:#ffffa6;}.hide-preview .composer-popup{z-index:701;}.composer-popup.urgent{background:#fbe6e1;}.composer-popup.education-message{background-color:#d1f0ff;}.composer-popup h3{margin-bottom:10px;}.composer-popup p{margin-bottom:10px;}.composer-popup a.close{display:flex;align-items:center;position:absolute;left:10px;top:10px;color:#222;opacity:0.5;font-size:1.1487em;}.composer-popup a.close:before{content:"esc";font-size:.8706em;margin-left:0.5em;}.composer-popup a.close:hover{opacity:1;}.composer-popup ul{list-style:none;margin:0;padding:0;}.composer-popup ul li{font-weight:normal;margin-top:8px;}.composer-controls .d-chevron-down{vertical-align:text-top;}.custom-body{background-color:#d1f0ff;}.custom-body p{max-width:98%;}.similar-topics{background-color:#d1f0ff;}.similar-topics a[href]{color:#222;}.similar-topics .posts-count{background-color:#08c;}.similar-topics .search-link .topic-title{flex:0 1 auto;margin-left:0.5em;}.similar-topics .search-link .topic-statuses:empty{display:none;}.similar-topics .search-link span.badge-wrapper{margin-right:0;}.similar-topics .search-link .blurb{color:#646464;}.similar-topics .search-link .topic-title .d-icon,.similar-topics .search-link .blurb .d-icon{color:#646464;}.similar-topics .search-link span.topic{display:flex;flex-direction:column;}.similar-topics .search-link span.topic .first-line{flex:1;}.similar-topics .search-link span.topic .second-line{display:flex;flex-wrap:wrap;align-items:center;}.similar-topics .search-link span.topic .second-line .discourse-tags{flex-wrap:wrap;display:contents;font-size:.8706em;}.composer-popup:nth-of-type(2){margin-right:10px;width:calc(50% - 65px);}a.toggle-preview{color:#646464;}a.toggle-preview:hover{color:#08c;}#draft-status,#file-uploading{flex-grow:1;text-align:left;}.fullscreen-composer{overflow:hidden;}.fullscreen-composer .profiler-results{display:none;}.fullscreen-composer #reply-control.fullscreen{height:100vh !important;z-index:1001;}@supports (--custom:property){.fullscreen-composer #reply-control.fullscreen{height:calc(var(--composer-vh,1vh) * 100) !important;}}.fullscreen-composer #reply-control.fullscreen .d-editor-preview-wrapper{margin-top:1%;}.fullscreen-composer #reply-control.fullscreen .reply-to{border-bottom:1px solid #e9e9e9;padding-bottom:3px;margin:0;}.fullscreen-composer #reply-control.fullscreen .reply-to .composer-controls{margin-left:0;}.fullscreen-composer #reply-control.fullscreen .d-editor-textarea-wrapper{border:none;}.fullscreen-composer #reply-control.fullscreen.show-preview .d-editor-textarea-wrapper{border-left:1px solid #e9e9e9;}.fullscreen-composer #reply-control.fullscreen #draft-status,.fullscreen-composer #reply-control.fullscreen #file-uploading{margin-right:0;text-align:initial;}.fullscreen-composer #reply-control.fullscreen .composer-popup{top:30px;}.fullscreen-composer #reply-control.fullscreen:before{content:"";background:#fff;width:100%;height:100%;position:fixed;z-index:-1;right:0;}body.widget-dragging{cursor:ns-resize;}.boxed{height:100%;}.form-vertical .control-group{margin-bottom:1.25em;}.form-vertical .controls:not(.controls-dropdown)+.controls{margin-top:0.5em;}code,pre{font-family:Consolas,Menlo,Monaco,"Lucida Console","Liberation Mono","DejaVu Sans Mono","Bitstream Vera Sans Mono","Courier New",monospace;}h1+p,h2+p,h3+p,h4+p,h5+p,h6+p{margin-top:0;}form{margin:0 0 18px;}label,input,button,select,textarea{font-size:1em;font-weight:normal;line-height:1.2;}select,textarea{display:inline-block;padding:4px;margin-bottom:9px;font-size:1em;line-height:1.4;color:#222;}input,textarea{width:210px;}select,input[type="file"]{line-height:1.4;}select{width:220px;background:#fff;}select[multiple],select[size]{height:auto;}input,textarea{margin-right:0;}input[type="radio"][disabled],input[type="radio"][readonly],input[type="checkbox"][disabled],input[type="checkbox"][readonly]{background-color:transparent;}.input-xxlarge,.input-xxlarge+.control-instructions{width:530px;}.controls-dropdown{margin-bottom:10px;}.control-instructions{color:#919191;font-size:0.875rem;}.control-group{margin-bottom:9px;}.control-group.warning>label,.control-group.error>label{color:#e45735;}.control-group.warning .checkbox,.control-group.warning .radio,.control-group.warning input,.control-group.warning select,.control-group.warning textarea,.control-group.error .checkbox,.control-group.error .radio,.control-group.error input,.control-group.error select,.control-group.error textarea{color:#e45735;border-color:#e45735;}.control-group.warning .checkbox:focus,.control-group.warning .radio:focus,.control-group.warning input:focus,.control-group.warning select:focus,.control-group.warning textarea:focus,.control-group.error .checkbox:focus,.control-group.error .radio:focus,.control-group.error input:focus,.control-group.error select:focus,.control-group.error textarea:focus{border-color:#ae3417;box-shadow:0 0 6px 0 #e45735;}.control-group.warning .input-prepend .add-on,.control-group.warning .input-append .add-on{color:#e45735;background-color:#e45735;border-color:#e45735;}.control-group.error .input-prepend .add-on,.control-group.error .input-append .add-on{color:#e45735;background-color:#ec8972;border-color:#c63c1b;}.control-group.success>label{color:#090;}.control-group.success .checkbox,.control-group.success .radio,.control-group.success input,.control-group.success select,.control-group.success textarea{color:#090;border-color:#090;}.control-group.success .checkbox:focus,.control-group.success .radio:focus,.control-group.success input:focus,.control-group.success select:focus,.control-group.success textarea:focus{border-color:#090;box-shadow:0 0 6px 0 #08c;}.control-group.success .input-prepend .add-on,.control-group.success .input-append .add-on{color:#090;background-color:#b8ffb8;border-color:#090;}.form-horizontal .hide{display:none;}.form-horizontal input,.form-horizontal textarea,.form-horizontal select,.form-horizontal .input-prepend,.form-horizontal .input-append{display:inline-block;margin-bottom:0;}.form-horizontal .control-group{margin-bottom:18px;}.form-horizontal .control-group:before,.form-horizontal .control-group:after{content:"";display:table;}.form-horizontal .control-group:after{clear:both;}.form-horizontal .control-indent{margin-right:20px;margin-bottom:10px;}.form-horizontal .control-label{margin:6.5px;float:right;width:140px;text-align:left;font-weight:bold;}.form-horizontal .controls{margin-right:160px;}.bootbox.modal .modal-footer a.btn-primary{color:#fff;}.row:before,.row:after{content:"";display:table;}.row:after{clear:both;}.offset2{margin-right:116px;}.offset1{margin-right:64px;}@media all and (max-width:570px){body{min-width:0;}.wrap,.full-width{min-width:0;}}.d-header{right:0;height:4em;margin-bottom:15px;}.d-header #site-logo{height:2.667em;}.d-header #site-text-logo{font-size:1.5157em;margin:0;}.d-header .extra-info:not(.two-rows){min-height:2.75em;}@media all and (max-width:570px){.extra-info-wrapper{display:none;}}#main{position:relative;}#main-outlet{padding-top:5.8572em;}.search-link .blurb{color:#646464;display:block;word-wrap:break-word;font-size:.7579em;line-height:1.4;}.search-link .blurb .search-highlight{color:#646464;}.login-modal #login-buttons:not(.hidden),.create-account #login-buttons:not(.hidden){display:flex;flex:0 1 auto;flex-direction:column;align-items:stretch;min-height:75px;padding:0 24px;order:2;}.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{display:flex;text-align:right;margin:0.35em;white-space:nowrap;}.login-modal #login-buttons:not(.hidden) button:lang(zh_CN),.create-account #login-buttons:not(.hidden) button:lang(zh_CN){min-width:200px;}.login-modal #login-buttons:not(.hidden) button:first-of-type:last-of-type.oauth2_basic,.create-account #login-buttons:not(.hidden) button:first-of-type:last-of-type.oauth2_basic{margin-right:auto;margin-left:auto;justify-content:center;}.login-modal form,.create-account form{min-width:300px;max-width:100%;}.login-modal #modal-alert,.create-account #modal-alert{max-width:100%;padding:8px 16px;}.login-modal .login-modal #login-buttons:not(.hidden) button:first-of-type,.create-account .login-modal #login-buttons:not(.hidden) button:first-of-type{margin-top:2.8em;}.login-modal .login-modal #login-buttons:not(.hidden) button:last-of-type,.create-account .login-modal #login-buttons:not(.hidden) button:last-of-type{margin-bottom:3em;}.login-modal .create-account #login-buttons:not(.hidden),.create-account .create-account #login-buttons:not(.hidden){justify-content:flex-start;padding-top:2.7em;}.login-modal .create-account #login-buttons:not(.hidden)+.login-form,.create-account .create-account #login-buttons:not(.hidden)+.login-form{border-left:1px solid #e9e9e9;}.login-modal #login-form,.create-account #login-form{box-sizing:border-box;flex:1 0 auto;padding:0 24px;}.login-modal #login-form+#login-buttons,.create-account #login-form+#login-buttons{border-right:1px solid #e9e9e9;}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{display:flex;padding:5px 0 0 0;}.login-modal .tip,.login-modal td label,.create-account .tip,.create-account td label{display:block;overflow:hidden;word-wrap:break-word;margin-bottom:0;max-width:280px;}@media screen and (min-width:500px){.login-modal .tip,.login-modal td label,.create-account .tip,.create-account td label{max-width:400px;}}.has-alt-auth .tip,.has-alt-auth td label{max-width:250px;}.d-modal.login-modal .modal-body,.d-modal.login-modal #credentials{display:flex;align-items:center;padding:15px 0;}.d-modal.login-modal .modal-body tr,.d-modal.login-modal #credentials tr{display:flex;flex-direction:column;}.d-modal.login-modal .modal-body.hidden,.d-modal.login-modal #credentials.hidden{display:none;}.d-modal.create-account .modal-body{display:flex;padding:15px 0;}.d-modal.create-account .create-account-form tr{display:flex;flex-direction:column;}.d-modal.create-account .login-form{position:relative;display:flex;overflow:hidden;flex:1 1 auto;}.d-modal.create-account .login-form:after,.d-modal.create-account .login-form:before{content:"";display:block;position:absolute;width:100%;pointer-events:none;}.d-modal.create-account .login-form:after{bottom:0;height:35px;background-image:linear-gradient(to bottom,rgba(255,255,255,0) 0%,rgba(255,255,255,0.9) 100%);}@media screen and (max-height:650px){.d-modal.create-account .login-form:after{height:45px;}}.d-modal.create-account .login-form:before{top:0;height:25px;background-image:linear-gradient(to top,rgba(255,255,255,0) 0%,#fff 100%);}.d-modal.create-account .login-form form{box-sizing:border-box;padding:16px 24px;margin-bottom:0;max-height:475px;overflow-x:hidden;overflow-y:auto;}@media screen and (max-height:650px){.d-modal.create-account .login-form form{max-height:calc(65vh - 100px);}.d-modal.create-account .login-form form>*:last-child{margin-bottom:40px;}}.d-modal.create-account .login-form form,.d-modal.create-account .login-form table{width:100%;display:block;}.d-modal.create-account .login-form tr{display:flex;flex-direction:column;margin-top:0.15em;}.d-modal.create-account .login-form tr.password-confirmation{display:none;}.d-modal.create-account tr.input input,.d-modal.create-account tr.input label{margin-bottom:0;width:100%;}.d-modal.create-account tr.input .tip{max-width:340px;}.d-modal.create-account .user-fields{margin-bottom:20px;}.d-modal.create-account .user-field{display:flex;flex-direction:column;}.d-modal.create-account .user-field.confirm{margin-top:5px;}.d-modal.create-account .user-field>label{width:auto;}.d-modal.create-account .user-field .controls{margin-right:0;}.d-modal.create-account .invites-show{padding-top:20px;}.d-modal.create-account .invites-show .two-col{margin-top:30px;}.d-modal.create-account .invites-show .col-form{margin-right:200px;}.d-modal.create-account .invites-show .col-form .inline-invite-img{display:none;}.d-modal.create-account .invites-show form .controls,.d-modal.create-account .invites-show form .input{margin-right:20px;}.d-modal.create-account .invites-show form input,.d-modal.create-account .invites-show form label{margin-bottom:0;}.d-modal.create-account .invites-show form .user-field .control-label:not(.checkbox-label){margin-right:20px;}.d-modal.create-account .tos-agree{margin-bottom:12px;}.login-form .tip:not(:empty)+td{display:none;}.login-form .tip:not(:empty),.login-form .tip:empty+td{min-height:1.75em;}.login-form .tip:not(:empty).bad .svg-icon,.login-form .tip:empty+td.bad .svg-icon{vertical-align:middle;}.password-reset .col-form,.email-login .col-form,.invites-show .col-form{padding-right:20px;}.password-reset .col-image,.email-login .col-image,.invites-show .col-image{width:175px;}.password-reset .col-image img,.email-login .col-image img,.invites-show .col-image img{width:100%;}.password-reset h2,.email-login h2,.invites-show h2{margin-bottom:12px;}.password-reset .col-form,.email-login .col-form{padding-top:40px;}.bootbox.modal{top:50%;right:50%;width:610px;margin:-250px -305px 0 0;}.bootbox.modal .cancel{margin-right:1em;}.modal.in{-webkit-animation:fade 0.25s;animation:fade 0.25s;}.modal-body{padding:15px;}.modal-footer .btn.right{float:left;}.modal-header h3{font-size:1.5157em;}.close{font-size:1.5157em;text-decoration:none;cursor:pointer;}.close:visited{color:#646464;}.close:hover{color:#222;}.modal .category-chooser{width:50%;}.modal .modal-body.insert-link input{min-width:450px;}.edit-category-modal .modal-body{position:relative;height:420px;}.edit-category-modal .disable_info_wrap .cannot_delete_reason{top:-100px;left:4px;max-width:380px;min-width:300px;}.topic-bulk-actions-modal p{margin-top:0;}.topic-bulk-actions-modal.full .modal-body{height:400px;max-height:400px;}.topic-bulk-actions-modal .bulk-buttons{display:flex;flex-wrap:wrap;margin-left:-1%;}.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 0 30%;margin-bottom:1em;margin-left:1%;white-space:nowrap;overflow:hidden;max-width:33%;}@media screen and (max-width:767px){.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 0 48%;max-width:48%;}}@media screen and (max-width:550px){.topic-bulk-actions-modal .bulk-buttons .btn{flex:1 1 auto;min-width:49%;max-width:unset;}}.move-to-modal .modal-body{position:relative;height:350px;}.move-to-modal #move-selected{width:525px;}.move-to-modal #move-selected p{margin-top:0;}.move-to-modal #move-selected .radios{margin-bottom:10px;display:flex;flex-direction:row;}.move-to-modal #move-selected .radios .radio-label{display:inline-block;padding-left:15px;}.move-to-modal #move-selected button{margin-top:10px;display:block;width:300px;}.move-to-modal #move-selected .category-chooser{margin-bottom:9px;}.move-to-modal #move-selected form{width:95%;margin-top:20px;}.move-to-modal #move-selected form #split-topic-name,.move-to-modal #move-selected form #choose-topic-title,.move-to-modal #move-selected form #choose-message-title{width:100%;}.move-to-modal #move-selected form .participant-selector{width:100%;}.move-to-modal #move-selected form div.ac-wrap{width:100%;margin-bottom:9px;}.category-list{margin-bottom:10px;width:100%;}.category-list td{vertical-align:top;}.category-list th{vertical-align:middle;}.category-list td:first-of-type{padding-right:10px;}.category-list.with-topics{margin-right:3px;}.category-list.with-topics .category{width:45%;}.category-list .topics .badge-notification,.category-list .category .badge-notification{background-color:transparent;color:#919191;}.category-list .topics{width:80px;text-align:left;}.category-list .topics .value{font-size:1.1487em;}.category-list .topics .unit{font-size:.8706em;}.category-list .topics .badge-notification{display:block;text-align:left;padding-left:0;margin-top:5px;}.category-list .subcategories{margin-top:0.25em;clear:both;}.category-list .subcategories .subcategory{display:inline-flex;align-items:baseline;margin-left:0.3em;}.category-list .subcategories .badge-wrapper{margin-left:0.5em;}.category-list .subcategories .badge-notification.new-posts{display:block;padding:0;}.category-list .featured-topic{margin:10px 0 0;display:flex;align-items:baseline;}.category-list .featured-topic:first-of-type{margin-top:13px;}.category-list .featured-topic a.last-posted-at,.category-list .featured-topic a.last-posted-at:visited{font-size:.8706em;color:#919191;}.category-list .featured-topic .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;flex:0 1 auto;}.category-list .featured-topic .topic-statuses{margin-left:0.15em;}.category-list .featured-topic .topic-post-badges .badge.new-posts,.category-list .featured-topic .title{margin-left:5px;}.category-list tbody .category{border-right:6px solid;}.category-list tbody .category h3{font-size:1.3195em;line-height:1.2;}.category-list tbody .category h3 a[href]{color:#222;}.category-list tbody .latest{padding:0 10px 10px 0;}.categories-and-latest,.categories-and-top{display:flex;flex-flow:row wrap;}.categories-and-latest div.column,.categories-and-top div.column{flex:1 0 0px;flex-direction:row;min-width:300px;}@media all and (max-width:600px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-left:0;}}@media all and (min-width:600px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-left:1em;}}@media all and (min-width:700px){.categories-and-latest div.column.categories,.categories-and-top div.column.categories{margin-left:2em;}}.categories-and-latest .discourse-tags,.categories-and-top .discourse-tags{display:inline-block;}.categories-and-latest .discourse-tags .discourse-tag,.categories-and-top .discourse-tags .discourse-tag{font-size:.8706em;}.categories-and-latest .topic-featured-link,.categories-and-top .topic-featured-link{padding-right:8px;}.latest-topic-list .table-heading,.top-topic-list .table-heading{padding:12px 5px;color:#919191;}.latest-topic-list .no-topics,.latest-topic-list .more-topics,.top-topic-list .no-topics,.top-topic-list .more-topics{margin-top:1em;}.latest-topic-list-item{padding:1em;border-bottom:1px solid #e9e9e9;display:flex;align-items:center;}.latest-topic-list-item .topic-poster{width:60px;}.latest-topic-list-item .main-link{flex:0 1 auto;max-width:65%;font-size:1em;}.latest-topic-list-item .main-link .badge-wrapper{max-width:100%;}.latest-topic-list-item .main-link .badge-wrapper .badge-category-bg{flex-shrink:0;}.latest-topic-list-item .main-link .top-row{margin-bottom:0.1em;font-size:1.1487em;}.latest-topic-list-item .topic-stats{flex:1 0 0px;text-align:left;color:#919191;}.latest-topic-list-item .topic-last-activity a{color:#919191;}.list-controls .nav{float:right;margin-bottom:10px;}.list-controls .btn{float:left;margin-right:8px;margin-bottom:9px;font-size:1.1487em;font-weight:normal;}.list-controls .search .btn{float:none;}.list-controls a.badge-category{padding:3px 12px;font-size:1.1487em;}.topic-list-icons .d-icon-thumbtack,.latest-topic-list .d-icon-thumbtack,.top-topic-list .d-icon-thumbtack,.topic-list .d-icon-thumbtack{color:#919191;}.topic-list-icons .d-icon-thumbtack.unpinned,.latest-topic-list .d-icon-thumbtack.unpinned,.top-topic-list .d-icon-thumbtack.unpinned,.topic-list .d-icon-thumbtack.unpinned{color:#919191;}.topic-list-icons a.title,.latest-topic-list a.title,.top-topic-list a.title,.topic-list a.title{color:#222;}.topic-list-icons .d-icon-bookmark,.latest-topic-list .d-icon-bookmark,.top-topic-list .d-icon-bookmark,.topic-list .d-icon-bookmark{color:#919191;}.topic-list{margin:0 0 10px;}.topic-list th,.topic-list td{padding:12px 5px;}.topic-list th:first-of-type,.topic-list td:first-of-type{padding-right:10px;}.topic-list th:last-of-type,.topic-list td:last-of-type{padding-left:10px;}.topic-list th button .d-icon{color:#919191;}.topic-list button.bulk-select{padding:0;}.topic-list td.bulk-select{padding:10px;width:30px;}.topic-list td.bulk-select+.main-link{padding-right:0;}.topic-list .badge-notification{position:relative;top:-2px;}.topic-list .badge-notification.new-topic{top:-1px;padding-right:5px;}.topic-list .posters{width:146px;}.topic-list .posters>a{float:right;margin-left:4px;}.topic-list .posters>a:last-of-type{margin-left:0;}.topic-list .posters>a.posters-more-count{cursor:default;color:#919191;line-height:25px;font-size:.8706em;}.topic-list td.posters{height:29px;}.topic-list .posters a:first-child .avatar.latest:not(.single){box-shadow:0 0 3px 1px #81c3e4;border:2px solid #85c2e0;position:relative;top:-2px;right:-2px;}.topic-list .likes{width:65px;}.topic-list .views{width:65px;}.topic-list .posts{width:65px;}.topic-list .post-actions{clear:both;width:auto;color:#919191;text-align:right;font-size:.8706em;margin-top:5px;}.topic-list .post-actions .fa{margin-left:2px;}.topic-list .post-actions a{color:#919191;margin-left:3px;line-height:1.4;}.topic-list .activity{width:60px;}.topic-list .activity:lang(zh_CN){width:80px;}.topic-list .activity span{cursor:pointer;}.topic-list .age{width:60px;}.topic-list .with-year{white-space:nowrap;}.topic-list-bottom{margin:20px 0;}#list-area .top-lists h2{cursor:pointer;margin:5px 0 10px;}#list-area h2{margin:20px 0 10px;}#list-area .show-more.has-topics{top:0;}#list-area .show-more.has-topics .alert{padding:12px 14px 12px 35px;}#bulk-select{position:fixed;left:20px;top:130px;padding:5px;background-color:#fff;z-index:300;}button.dismiss-read{float:left;margin-bottom:5px;margin-right:10px;}.tags-admin-menu .dropdown-menu{left:0;top:30px;bottom:auto;right:auto;}.category-heading p{line-height:1.4;font-size:1.5157em;}.category-navigation{clear:both;}.category-logo.aspect-image{float:right;margin:0.25em 0 0.5em 1em;}.category-logo.aspect-image img{width:auto;max-height:150px;}@supports (--custom:property){.category-logo.aspect-image{--max-height:150px;max-height:var(--max-height);max-width:60%;height:auto;width:calc(var(--max-height) * var(--aspect-ratio));}.category-logo.aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;}}@media screen and (max-width:850px){.nav-pills>li>a{font-size:1em;padding:7px 10px;}button#create-topic span{display:none;}button#create-topic .d-icon{margin-left:0;}.topic-list th:first-of-type{padding:12px 5px;}.topic-list th,.topic-list td{padding:10px;font-size:1em;}.topic-list th.views{display:none;}.topic-list td.views{display:none;}.topic-list .posts{width:50px;}.topic-list .posters{width:30px;text-align:center;}.topic-list td.posters a:not(.latest){display:none;}.topic-list td.posters a.latest{width:100%;}.topic-list td.posters a.latest img{margin:0 auto;}}.wrap{max-width:1110px;}.full-width{margin-right:0;}.topic-body{padding:0;}.topic-body .regular{margin-top:15px;}.topic-body:first-of-type{border-top:none;}.topic-body .reply-to-tab{z-index:2;color:#919191;}.discourse-no-touch .topic-body .actions .fade-out{opacity:0.7;transition:background 0.25s,opacity 0.7s ease-in-out;}.discourse-touch .topic-body .actions .fade-out{opacity:1;}.topic-body:hover .actions .fade-out,.topic-body .selected .actions .fade-out{opacity:1;}section.post-menu-area{position:relative;padding-right:11px;}.post-links-container{margin-right:11px;}nav.post-controls{padding:0;}nav.post-controls .double-button{display:inline-flex;color:#bdbdbd;margin-left:0.15em;}nav.post-controls .double-button:hover button{background:#e9e9e9;color:#919191;}nav.post-controls .double-button button{margin-right:0;margin-left:0;}nav.post-controls .double-button button:active{box-shadow:none;}nav.post-controls .double-button button.my-likes .d-icon,nav.post-controls .double-button button.read-indicator .d-icon,nav.post-controls .double-button button.regular-likes .d-icon{color:#bdbdbd;padding-right:0.45em;}nav.post-controls .double-button button.like.d-hover{background:#fee9ee;}nav.post-controls .double-button button.like.d-hover .d-icon{color:#fa6c8d;}nav.post-controls .double-button button.has-like .d-icon{color:#fa6c8d;}nav.post-controls .double-button button.has-like.d-hover{background:#e9e9e9;}nav.post-controls .double-button button.has-like.d-hover .d-icon{color:#919191;}nav.post-controls .double-button button[disabled]{cursor:not-allowed;}nav.post-controls .double-button button.button-count:not(.my-likes){padding-left:0;}nav.post-controls .double-button button.button-count.d-hover{color:#222;}nav.post-controls .double-button button.button-count+.toggle-like{padding-right:0.45em;}nav.post-controls .double-button button.button-count+.toggle-like.d-hover{background:#e9e9e9;}nav.post-controls a,nav.post-controls button{color:#bdbdbd;margin-left:2px;display:inline-block;}nav.post-controls a .d-icon,nav.post-controls button .d-icon{opacity:1;}nav.post-controls a.toggle-likes{padding:8px 0;margin-left:-3px;}nav.post-controls span.badge-posts{margin-left:5px;transition:all linear 0.15s;}nav.post-controls .actions{text-align:left;float:left;display:inline-block;}nav.post-controls .actions .more-actions{display:none;overflow:hidden;}nav.post-controls .show-replies{margin-right:-10px;font-size:inherit;}nav.post-controls .show-replies span.badge-posts{color:#919191;}nav.post-controls .show-replies:hover{background:#e9e9e9;}nav.post-controls .show-replies:hover span.badge-posts{color:#222;}nav.post-controls .show-replies .d-icon{margin-right:5px;font-size:.8706em;}nav.post-controls button.create{margin-left:0;color:#646464;margin-right:10px;}nav.post-controls button.create .d-icon{color:#646464;}nav.post-controls .create .d-icon{margin-left:5px;}nav.post-controls button{font-size:1.1487em;padding:8px 10px;vertical-align:top;background:transparent;border:none;margin-right:3px;}nav.post-controls button.d-hover,nav.post-controls button:focus{background:#e9e9e9;color:#222;}nav.post-controls button:active{box-shadow:0 1px 3px rgba(0,0,0,0.4) inset;}nav.post-controls button.hidden{display:none;}nav.post-controls button.admin{position:relative;}nav.post-controls button.delete.d-hover,nav.post-controls button.delete:hover,nav.post-controls button.delete:focus{background:#e45735;color:#fff;}nav.post-controls button.delete.d-hover .d-icon,nav.post-controls button.delete:hover .d-icon,nav.post-controls button.delete:focus .d-icon{color:#fff;}nav.post-controls button.bookmark{padding:8px 11px;}nav.post-controls button.bookmark.bookmarked .d-icon{color:#08c;}nav.post-controls .post-admin-menu{display:inline-flex;flex-direction:column;box-sizing:border-box;background-color:#fff;width:auto;max-width:320px;padding:10px;border:1px solid #e9e9e9;position:absolute;text-align:right;bottom:-2px;left:15px;z-index:300;}nav.post-controls .post-admin-menu h3{margin-top:0;color:#222;font-size:1em;}nav.post-controls .post-admin-menu ul{list-style:none;margin:10px 0 0 0;}nav.post-controls .post-admin-menu li{margin-bottom:5px;}nav.post-controls .post-admin-menu li .d-icon{width:14px;margin-left:10px;}.embedded-posts{border:1px solid #e9e9e9;}.embedded-posts h1,.embedded-posts h2,.embedded-posts h3{margin:10px 0;}.embedded-posts .topic-body{box-sizing:border-box;width:calc(100% - 70px);overflow:hidden;}.embedded-posts .cooked{margin-top:15px;}.embedded-posts .topic-avatar{padding-right:25px;padding-top:15px;}.embedded-posts .collapse-down,.embedded-posts .collapse-up{position:absolute;color:#919191;background:#fff;border:1px solid #e9e9e9;padding:6px 9px 8px;z-index:99;}.embedded-posts .collapse-down .d-icon,.embedded-posts .collapse-up .d-icon{color:currentColor;}.discourse-no-touch .embedded-posts .collapse-down:hover,.discourse-no-touch .embedded-posts .collapse-up:hover{background:#e9e9e9;color:#646464;}.discourse-no-touch .embedded-posts .collapse-down:hover .d-icon,.discourse-no-touch .embedded-posts .collapse-up:hover .d-icon{color:currentColor;}.embedded-posts.bottom{border-top:none;margin-bottom:20px;margin-right:11px;}.embedded-posts.bottom.hidden{display:block;opacity:0;}.embedded-posts.bottom .collapse-up{transform:translate(-50%,-164%);}.embedded-posts.bottom .row{padding-bottom:0.5em;}.embedded-posts.bottom .row .topic-avatar,.embedded-posts.bottom .row .topic-body{border-top:1px solid #e9e9e9;}.embedded-posts.top{border-bottom:none;margin-right:56px;width:699px;}.embedded-posts.top .collapse-down{transform:translate(-50%,55%);}.embedded-posts.top .row{border-bottom:none;}.embedded-posts.top .row .topic-avatar,.embedded-posts.top .row .topic-body{border-top:1px solid #e9e9e9;}.embedded-posts.top.topic-body{padding:0;}.embedded-posts .post-date{color:#919191;}.embedded-posts .d-icon-arrow-up,.embedded-posts .d-icon-arrow-down{margin-right:5px;}.embedded-posts .reply:first-of-type .row{border-top:none;}.embedded-posts .topic-meta-data{position:relative;}.embedded-posts .topic-meta-data h5{position:absolute;z-index:1;font-size:.8706em;}.embedded-posts .topic-meta-data h5 a{font-weight:bold;color:#bdbdbd;}.embedded-posts .arrow{color:#919191;}.post-action .relative-date{margin-right:5px;}.post-action .avatar{margin-left:2px;}.topic-map{margin:20px 11px 20px 0;}.topic-map .map .secondary{text-align:center;}.topic-map .map li{float:right;padding:7px 10px;}.topic-map .map li:last-of-type{border-left:0;}.topic-map .map li:nth-child(3){text-align:center;}.topic-map .map .number{color:#646464;}.topic-map .map .number,.topic-map .map .d-icon{font-size:1.3195em;line-height:1.2;}.topic-map .map button .d-icon,.topic-map .map button:hover .d-icon{color:#646464;}.topic-map .map .avatar a{float:right;}.topic-map .map .topic-map-post{margin-top:6px;}.topic-map .avatars,.topic-map .links,.topic-map .information{padding:7px 10px 7px 10px;color:#222;}.topic-map .buttons{float:left;}.topic-map .buttons .btn{border:0;padding:0 23px;color:#919191;background:#f9f9f9;border-right:1px solid #e9e9e9;border-top:1px solid transparent;}.topic-map .buttons .btn:hover{color:#222;background:#e9e9e9;}.topic-map .buttons .btn.collapsed{padding-bottom:1px;}.topic-map .buttons .btn .fa{margin:0;font-size:1.3195em;line-height:52px;}.topic-map .link-summary .btn{color:#919191;background:#f9f9f9;width:100%;}.topic-map .link-summary .btn:hover{color:#222;background:#e9e9e9;}#topic-footer-buttons{padding:10px 0 0 10px;float:right;}#topic-footer-buttons .btn{margin-bottom:5px;margin-left:10px;}#topic-footer-buttons .btn .d-icon-bookmark.bookmarked{color:#08c;}#topic-footer-buttons .bookmark.bookmarked .d-icon-bookmark{color:#08c;}#topic-footer-button{width:757px;}.suggested-topics{clear:right;padding:20px 0 15px 0;}.suggested-topics table{margin-top:10px;}.suggested-topics .topic-statuses .topic-status{padding:0;}.suggested-topics .topic-statuses .topic-status .d-icon{font-size:1em;}span.post-count{background:#222;color:#fff;opacity:0.8;}button.expand-post{margin-top:10px;margin-right:11px;}.quote-button.visible{display:block;}iframe{max-width:100%;}video{max-height:500px;}.video{max-height:500px;}.video>video{max-height:unset;}@-webkit-keyframes fadein{from{opacity:0;}to{opacity:1;}}@keyframes fadein{from{opacity:0;}to{opacity:1;}}.open>.dropdown-menu{display:block;}.btn-group{position:relative;}.dropdown-toggle{float:right;position:relative;}.deleted .topic-body{background-color:rgba(242,171,154,0.7);}.post-select{float:left;margin-left:20px;margin-top:-20px;}.deleted-user-avatar{font-size:2.296em;}.info-line{margin:10px 0;color:#222;}blockquote{margin-right:0;margin-left:0;padding:12px;}.quote>blockquote .onebox-result{background-color:#f8f8f8;}.quote aside .quote,.quote aside .title,.quote aside blockquote,.quote aside .onebox,.quote aside .onebox-result{background:#f8f8f8;border-right:5px solid #e9e9e9;}.quote aside aside.quote>blockquote,.quote aside aside.quote>.title{border-right:0;}.topic-body{width:calc(690px + (11px * 2));float:right;position:relative;border-top:1px solid #e9e9e9;padding:12px 0 0 0;}.topic-body .topic-meta-data,.topic-body .cooked{padding:0 11px 0.25em 11px;}.topic-body a.expand-hidden{padding-right:11px;}.topic-avatar{border-top:1px solid #e9e9e9;padding-top:15px;width:45px;float:right;z-index:2;}.gap{width:calc( 45px + 690px + 2 * 11px);}.time-gap+.topic-post .topic-body,.time-gap+.topic-post .topic-avatar{border-top:none;}.time-gap+.topic-post .embedded-posts.top{border-bottom:1px solid #e9e9e9;}.posts-wrapper{position:relative;-webkit-font-smoothing:subpixel-antialiased;}.dropdown{position:relative;}.caret{display:inline-block;width:0;height:0;vertical-align:middle;border-top:4px solid #222;border-left:4px solid transparent;border-right:4px solid transparent;content:"";margin-right:5px;}.dropdown-menu{position:absolute;bottom:115%;right:0;z-index:300;display:none;float:right;width:550px;margin:1px 0 0;list-style:none;background-color:#fff;border:1px solid #e9e9e9;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);background-clip:padding-box;}.dropdown-menu span{font-size:.8706em;color:#919191;}.dropdown-menu span.title{font-weight:bold;display:block;font-size:1em;color:#222;}.dropdown-menu a{display:block;padding:9px;clear:both;font-weight:normal;line-height:1.2;color:#222;transition:all linear 0.15s;}.dropdown-menu a>div{margin-right:26px;}.dropdown-menu li>a:hover,.dropdown-menu .active>a,.dropdown-menu .active>a:hover{color:#222;text-decoration:none;background-color:#ffffa6;}.dropdown-menu .disabled>a,.dropdown-menu .disabled>a:hover{text-decoration:none;color:#222;background-color:#d1f0ff;cursor:default;}.dropdown-menu .icon{margin-top:3px;float:right;font-size:1.3195em;}.open>.dropdown-menu{display:block;clear:both;}.selected-posts{width:200px;position:fixed;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);padding:0.714em;margin-bottom:5px;left:10px;}@media screen and (min-width:1140px){.selected-posts{left:auto;margin-right:330px;right:50%;}}.selected-posts button{width:100%;margin:4px auto;display:inline-block;text-align:right;}.selected-posts.hidden{display:none;}.selected-posts .controls{margin-top:10px;}.selected-posts p{font-size:.8706em;margin:0 0 10px 0;}.selected-posts p.cancel{margin:10px 0 0 0;}.selected-posts h3{font-size:1.7511em;color:#222;margin-bottom:5px;}.selected-posts h3 .d-icon{margin-left:7px;}a.attachment:before{display:inline-block;margin-left:4px;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='14px' height='16px' viewBox='0 0 512 512' fill='%2308c'%3E%3Cpath d='M216 0h80c13.3 0 24 10.7 24 24v168h87.7c17.8 0 26.7 21.5 14.1 34.1L269.7 378.3c-7.5 7.5-19.8 7.5-27.3 0L90.1 226.1c-12.6-12.6-3.7-34.1 14.1-34.1H192V24c0-13.3 10.7-24 24-24zm296 376v112c0 13.3-10.7 24-24 24H24c-13.3 0-24-10.7-24-24V376c0-13.3 10.7-24 24-24h146.7l49 49c20.1 20.1 52.5 20.1 72.6 0l49-49H488c13.3 0 24 10.7 24 24zm-124 88c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20zm64 0c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20z'%3E%3C/path%3E%3C/svg%3E");vertical-align:middle;}.topic-meta-data{align-items:center;}.topic-meta-data .names{display:flex;align-items:center;}.topic-meta-data:after{visibility:hidden;display:block;font-size:0;content:" ";clear:both;height:0;}.topic-meta-data .post-info a{color:#919191;}.topic-meta-data .post-info a.wiki{color:green;}.who-liked,.who-read{margin-top:20px;margin-bottom:0;width:100%;text-align:left;}span.highlighted{background-color:#d1f0ff;}.first.new-user:not(.staff) a{color:#bdbdbd;}.read-state{position:absolute;align-self:center;color:#6cf;left:0;font-size:0.571em;}.read-state.read{visibility:hidden;opacity:0;transition:visibility 1s,opacity ease-out 1s;}.signup-cta{width:690px;}@media all and (max-width:775px){.topic-avatar{width:45px;}.topic-post .reply-to-tab{left:15%;}.topic-body{box-sizing:border-box;width:calc(100% - 47px);}.embedded-posts.top{width:calc(100% - 56px);}}.post-actions{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both;text-align:left;margin-bottom:10px;}.post-actions .post-action{display:inline-block;margin-right:10px;margin-top:10px;}.post-menu-area{margin:20px 0;}#topic-title{z-index:1;padding-top:14px;margin-bottom:10px;}#topic-title #edit-title,#topic-title .category-chooser,#topic-title .edit-controls{width:500px;}#topic-title h1{font-size:1.7511em;line-height:1.2;overflow:hidden;width:100%;}#topic-title h1 a{color:#222;}#topic-title .private-message-glyph{display:none;}#topic-title .remove-featured-link{float:left;text-transform:lowercase;color:#919191;font-size:0.857rem;}.private-message-glyph{float:right;}.private_message #topic-title .private-message-glyph{display:inline;}.topic-error,.topic-notice{padding:18px;width:60%;margin-right:auto;margin-left:auto;font-size:1.7511em;text-align:center;line-height:1.2;}.topic-error .topic-retry,.topic-error .topic-join-group,.topic-notice .topic-retry,.topic-notice .topic-join-group{display:block;margin-top:28px;margin-right:auto;margin-left:auto;}.topic-status-info{border-top:1px solid #e9e9e9;padding:10px 0;max-width:758px;}.topic-status-info .topic-timer-heading{display:flex;align-items:center;margin:0px;}.topic-status-info .topic-timer-remove{font-size:.7579em;background:transparent;margin-right:auto;}#topic-progress-wrapper{position:fixed;left:1em;bottom:0;z-index:100;}#topic-progress-wrapper.docked{position:absolute;bottom:-70px;}#topic-progress-expanded{border:1px solid #e9e9e9;padding:5px;background:#fff;position:relative;right:340px;width:135px;}#topic-progress-expanded button.full{width:100%;margin-bottom:5px;}#topic-progress-expanded button.full .d-icon{display:block;margin-top:2px;margin-bottom:2px;font-size:1.3195em;}#topic-progress-expanded .jump-form input[type="text"]{float:right;width:45px;height:20px;text-align:center;margin-bottom:0;font-size:1.1487em;}#topic-progress-expanded .jump-form button.btn{float:left;width:55px;}#topic-progress-expanded button.btn.jump-prompt{margin:0;}#topic-progress-expanded button.btn.jump-bottom{margin:5px 0 0 0;}#topic-progress{position:relative;right:340px;background-color:#fff;color:#08c;border:1px solid #d1f0ff;border-bottom:none;width:145px;height:34px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}#topic-progress.hidden{display:none;}#topic-progress:hover{cursor:pointer;}#topic-progress .nums{position:relative;top:9px;width:100%;text-align:center;z-index:1;}#topic-progress .d-icon{position:absolute;left:8px;bottom:9px;z-index:1;}#topic-progress h4{display:inline;font-size:1.3195em;line-height:1;}#topic-progress .bg{position:absolute;top:0;bottom:0;width:0;max-width:145px;border-left:1px solid #d1f0ff;background-color:#d1f0ff;transition:width 0.75s;}#topic-filter{background-color:#ffffa6;padding:8px;bottom:0;position:fixed;width:100%;font-size:1em;z-index:300;}@media all and (min-width:400px){#topic-progress,#topic-progress-expanded{left:0;right:0;}#topic-progress-wrapper{left:19vw;}#topic-progress-wrapper.docked{left:19vw;}#topic-footer-main-buttons{max-width:70%;}}@media all and (max-width:485px){#topic-progress-wrapper.docked{display:none;}#topic-footer-main-buttons{max-width:100%;}}.upload-selector label{display:inline-block;padding-right:10px;}.upload-selector .radios{min-height:60px;display:flex;align-items:flex-start;}.upload-selector .radios label{flex:1 0 auto;margin-left:1em;margin-top:1px;}.upload-selector .radios .inputs{width:100%;}.upload-selector .radios .inputs input{width:90%;margin:0 0 5px 0;}.upload-selector .radios .inputs input[type="file"]{font-size:1em;line-height:1.2;}.upload-selector .radios .inputs .description,.upload-selector .radios .inputs .hint{color:#919191;display:block;}.upload-selector .radios .inputs .hint{font-style:italic;margin:5px 0 0 0;}.upload-selector .radios .inputs .label{margin:0 0 5px 0;}.upload-selector .radios:last-child:not(:nth-child(2)){min-height:20px;}.uploaded-image-preview{height:270px;width:400px;max-height:150px;margin-bottom:10px;}.user-content-wrapper>.alert:first-child,.user-content-wrapper>.user-stream>.alert:first-child{margin-top:10px;}.user-content-wrapper .show-mores{position:absolute;}.form-horizontal .control-group.category{margin-top:18px;}.user-profile-hidden{font-size:1.5em;text-align:center;}.user-secondary-navigation{min-width:150px;}.user-secondary-navigation .nav-stacked{background-color:transparent;}.user-secondary-navigation .nav-stacked li{border-bottom:none;}.user-secondary-navigation .nav-stacked li.archive{padding-right:1.4em;}.user-secondary-navigation .nav-stacked a{color:#919191;}.user-secondary-navigation .nav-stacked a.active{color:#222;font-weight:bold;background-color:transparent;}.user-secondary-navigation .nav-stacked a.active:after{display:none;}.user-content{padding-bottom:12px;margin-bottom:12px;background-color:#fff;box-sizing:border-box;}.user-content.user-badges-list{display:flex;flex-wrap:wrap;}.user-content .btn.right{float:left;}.user-content h2{margin-bottom:10px;}.pref-avatar .avatar{max-width:90px;max-height:90px;}.pref-second-factor{margin-top:10px;}.user-invite-list{width:100%;margin-top:15px;}.user-invite-list tr td{padding:0.667em;}.user-invite-search{clear:both;margin:15px 0px -15px 0px;}.user-invite-none{padding:15px 0;}.user-main{margin-bottom:50px;}.user-main .about.group .details{padding:15px 0;margin:0;color:#3c3c3c;}.user-main .about .details img.avatar{margin:0 0 10px 20px;}.user-main .about .details .primary .primary-textual{padding:0 4px 4px;}.user-main .about .details .primary .primary-textual a[href]{text-decoration:underline;}.user-main .about .details .primary .primary-textual h1{max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-main .about .details .primary .primary-textual .location-and-website{display:flex;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-main .about .details .primary .primary-textual .location-and-website .user-profile-location{margin-left:1em;}.user-main .about .details .primary .bio{max-width:750px;}.user-main .about .details .primary .bio a.mention{text-decoration:none;}.user-main .about .details .secondary{margin-top:16px;}.user-main .about.has-background .user-profile-image{height:300px;}.user-main .about.has-background .details{box-sizing:border-box;width:100%;padding:15px 0 0 0;bottom:0;}.user-main .about .controls{padding:0 0 12px 0;float:left;text-align:left;}.user-main .about .controls .btn{min-width:140px;}.user-main .about.collapsed-info .user-profile-image{display:none;}.user-main .about.collapsed-info .controls{width:auto;}.user-main .about.collapsed-info .controls>ul{display:inline-flex;}.user-main .about.collapsed-info .controls>ul>li{display:inline;margin-right:12px;}.user-main .about.collapsed-info .controls>ul>li .d-button-label{line-height:1;}.user-main .about.collapsed-info .controls>ul a{margin-bottom:10px;width:auto;}.user-main .about.collapsed-info .details{position:relative;padding:0;margin-top:0;border-bottom:1px solid #e9e9e9;}.user-main .user-field input[type="text"]{width:530px;}.user-main .user-field .controls .instructions{display:block;}.user-main .public-user-fields{overflow:hidden;}.user-preferences{padding-top:10px;padding-right:30px;}.user-preferences .form-vertical{width:500px;max-width:100%;}.user-preferences h3{color:#222;margin:20px 0 10px 0;}.user-preferences .category-selector,.user-preferences .tag-chooser,.user-preferences textarea,.user-preferences input.user-selector{width:100%;}.user-preferences .instructions{display:inline-block;margin-top:4px;}.user-crawler .username{margin-right:5px;display:inline-block;}.modal.history-modal .modal-inner-container{max-width:1110px;}.modal.history-modal .modal-body{height:70vh;}.modal.history-modal #revision-controls .btn[disabled]{cursor:not-allowed;background-color:#e9e9e9;}.modal.history-modal #revision-controls .btn-danger[disabled]{background-color:#ec8972;}.modal.history-modal #revision{display:flex;justify-content:space-between;}.modal.history-modal #revisions{word-wrap:break-word;}.modal.history-modal #revisions table{margin-top:10px;}.modal.history-modal img{max-width:670px;height:auto;}.modal.history-modal .inline-diff{width:670px;}.modal.history-modal .markdown{font-family:monospace;font-size:.8706em;width:100%;border-collapse:collapse;border-spacing:0;}.modal.history-modal .markdown td{width:50%;vertical-align:top;max-width:440px;word-wrap:break-word;white-space:pre-wrap;}.modal.history-modal .revision-content img,.modal.history-modal .markdown img{max-width:100%;box-sizing:border-box;}.modal.history-modal .modal-header{height:42px;}.modal.history-modal .modal-footer{display:flex;justify-content:space-between;}.group-nav .group-dropdown{margin-left:10px;}.group-info{margin-bottom:20px;}.group-navigation{width:15%;background-color:transparent;}.group-navigation li{border:none;}.group-navigation li a{color:#919191;padding:8px 0;}.group-navigation li a.active{background-color:transparent;font-weight:bold;color:#222;}.group-navigation li a.active:after{display:none;}.group-activity-outlet,.group-messages-outlet,.group-manage-outlet{width:85%;}.group-manage .form-horizontal button{float:none;}.group-details-button{position:absolute;top:20px;left:20px;}.admin-customize .show-current-style{padding-right:2%;width:68%;}.admin-customize .show-current-style .title input{width:80%;}.admin-customize .themes-list{width:28%;}#user-card,#group-card{position:absolute;z-index:200;}#user-card.fixed,#group-card.fixed{position:fixed;z-index:401;}#user-card.docked-card,#group-card.docked-card{z-index:1001;}#user-card .first-row .names,#group-card .first-row .names{flex:1 1 auto;}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{min-width:150px;}#user-card h1 .d-icon,#group-card h1 .d-icon{font-size:.8706em;}#user-card h2,#group-card h2{font-size:1.1487em;}#user-card h3,#group-card h3{font-size:1em;}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{display:block;max-width:185px;margin:0 0 0 0.5em;}#user-card .sixth-row .badge-section .more-user-badges{max-width:125px;}.user-stream .item,.user-stream .user-stream-item{padding:1em 0.53em;}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{margin-left:8px;}.user-stream .notification.unread{background-color:#d1f0ff;}.user-info.medium{flex:0 0 32%;margin:0 0 4vh 2%;display:flex;}.user-info.medium:nth-of-type(3n){margin-left:0;}@media screen and (max-width:800px){.user-info.medium{flex:0 0 48%;margin-left:0;}}.user-info.medium .user-image{width:55px;margin-left:0;}	2019-12-05 04:06:38.635582	2019-12-05 04:06:38.635582	-1	\N
21	mobile_rtl	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	﻿html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%;}body{margin:0;}article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary{display:block;}audio,canvas,progress,video{display:inline-block;vertical-align:baseline;}audio:not([controls]){display:none;height:0;}[hidden],template{display:none;}a{background:transparent;}a:active,a:hover{outline:0;}abbr[title],acronym[title]{text-decoration:underline;text-decoration-style:dotted;}b,strong{font-weight:bold;}dfn{font-style:italic;}h1{font-size:1.7511em;margin:0.67em 0;}mark{background:#ff0;color:#000;}small{font-size:80%;}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline;}sup{top:-0.5em;}sub{bottom:-0.25em;}img{border:0;}figure{margin:1em 40px;}hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0;}pre{overflow:auto;}code,kbd,pre,samp{font-family:monospace,monospace;font-size:1em;}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0;}button{overflow:visible;}button,select{text-transform:none;}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer;}button[disabled],html input[disabled]{cursor:default;}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0;}input{line-height:normal;}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0;}input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{height:auto;}input[type="search"]{-webkit-appearance:textfield;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box;}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none;}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em;}legend{border:0;padding:0;}textarea{overflow:auto;}optgroup{font-weight:bold;}table{border-collapse:collapse;border-spacing:0;}td,th{padding:0;}.pika-single{z-index:9999;display:block;position:relative;color:#222;background:#fff;border:1px solid #e9e9e9;border-bottom-color:#e9e9e9;font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;}.pika-single.is-hidden{display:none;}.pika-single.is-bound{position:absolute;box-shadow:0 5px 15px -5px rgba(0,0,0,0.5);}.pika-single:before,.pika-single:after{content:" ";display:table;}.pika-single:after{clear:both;}.pika-lendar{float:right;width:240px;margin:8px;}.pika-title{position:relative;text-align:center;}.pika-title select{cursor:pointer;position:absolute;z-index:9998;margin:0;right:0;top:5px;filter:alpha(opacity=0);opacity:0;}.pika-label{display:inline-block;position:relative;z-index:9999;overflow:hidden;margin:0;padding:5px 3px;font-size:14px;line-height:20px;font-weight:bold;color:#222;background-color:#fff;}.pika-prev,.pika-next{display:block;cursor:pointer;position:relative;outline:none;border:0;padding:0;width:20px;height:30px;text-indent:20px;white-space:nowrap;overflow:hidden;background-color:transparent;background-position:center center;background-repeat:no-repeat;background-size:75% 75%;opacity:.5;}.pika-prev:hover,.pika-next:hover{opacity:1;}.pika-prev.is-disabled,.pika-next.is-disabled{cursor:default;opacity:.2;}.pika-prev,.is-rtl .pika-next{float:right;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAUklEQVR42u3VMQoAIBADQf8Pgj+OD9hG2CtONJB2ymQkKe0HbwAP0xucDiQWARITIDEBEnMgMQ8S8+AqBIl6kKgHiXqQqAeJepBo/z38J/U0uAHlaBkBl9I4GwAAAABJRU5ErkJggg==");}.pika-next,.is-rtl .pika-prev{float:left;background-image:url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAeCAYAAAAsEj5rAAAAU0lEQVR42u3VOwoAMAgE0dwfAnNjU26bYkBCFGwfiL9VVWoO+BJ4Gf3gtsEKKoFBNTCoCAYVwaAiGNQGMUHMkjGbgjk2mIONuXo0nC8XnCf1JXgArVIZAQh5TKYAAAAASUVORK5CYII=");}.pika-select{display:inline-block;}.pika-table{width:100%;border-collapse:collapse;border-spacing:0;border:0;}.pika-table th,.pika-table td{width:14.285714285714286%;padding:0;}.pika-table th{color:#222;font-size:12px;line-height:25px;font-weight:bold;text-align:center;}.pika-table abbr{border-bottom:none;cursor:help;}.pika-button{cursor:pointer;display:block;-moz-box-sizing:border-box;box-sizing:border-box;outline:none;border:0;margin:0;width:100%;padding:5px;color:#222;font-size:12px;line-height:15px;text-align:left;background:#fff;}.is-today .pika-button{color:#08c;font-weight:bold;}.is-selected .pika-button{color:#fff;font-weight:bold;background:#08c;box-shadow:0 1px 3px #d1f0ff inset;border-radius:3px;}.is-disabled .pika-button,.is-outside-current-month .pika-button{pointer-events:none;cursor:default;color:#222;opacity:.3;}.pika-button:hover{color:#222;background:#d1f0ff;box-shadow:none;border-radius:3px;}.pika-week{font-size:11px;color:#222;}.is-inrange .pika-button{background:#D5E9F7;}.is-startrange .pika-button{color:#fff;background:#6CB31D;box-shadow:none;border-radius:3px;}.is-endrange .pika-button{color:#fff;background:#08c;box-shadow:none;border-radius:3px;}.pull-left{float:right;}.pull-right{float:left;}.show{display:block;}.hide,.hidden{display:none;}.invisible{visibility:hidden;}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);border:0;}.affix{position:fixed;}.clearfix:before,.nav-pills:before,.container:before,.wrap:before,.clearfix:after,.nav-pills:after,.container:after,.wrap:after{display:table;content:" ";}.clearfix:after,.nav-pills:after,.container:after,.wrap:after{clear:both;}.overflow-ellipsis{white-space:nowrap;overflow:hidden;text-overflow:ellipsis;}.clickable{cursor:pointer;}.disable-no-hover:hover{background:#e9e9e9;color:#222;}html{color:#222;font-family:Helvetica,Arial,sans-serif;font-size:15px;line-height:1.4;background-color:#fff;overflow-y:scroll;direction:rtl;}html.text-size-smaller{font-size:14px;}html.text-size-larger{font-size:17px;}html.text-size-largest{font-size:19px;}a{color:#08c;text-decoration:none;cursor:pointer;}a:visited{color:#08c;}a:hover{color:#08c;}a:active{color:#08c;}hr{display:block;height:1px;margin:1em 0;border:0;border-top:1px solid #e9e9e9;padding:0;}ul,dd{margin:0 25px 9px 0;padding:0;}.cooked ul,.cooked ol,.cooked dd{clear:both;}.cooked ul,.d-editor-preview ul{margin:0;padding-right:40px;}li>ul,li>ol{margin-bottom:0;}img{vertical-align:middle;}fieldset{margin:0;border:0;padding:0;}pre code{overflow:auto;tab-size:4;}.row:before,.row:after{display:table;content:"";}.row:after{clear:both;}#offscreen-content{display:none;}tbody{border-top:3px solid #e9e9e9;}tr{border-bottom:1px solid #e9e9e9;}tr.highlighted{animation:background-fade-highlight 2.5s ease-out;}ruby>rt{font-size:72%;}.select-kit.categories-admin-dropdown .select-kit-body{min-width:auto;width:250px;}.select-kit.categories-admin-dropdown .select-kit-header .d-icon{justify-content:space-between;}.select-kit.combo-box.category-chooser{width:300px;}.select-kit.combo-box.category-chooser .select-kit-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:flex-start;-ms-flex-align:flex-start;align-items:flex-start;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;}.select-kit.combo-box.category-chooser .select-kit-row.none .topic-count{display:none;}.select-kit.combo-box.category-chooser .select-kit-row .topic-count{font-size:.7579em;color:#222;white-space:nowrap;}.select-kit.combo-box.category-chooser .select-kit-row .category-status{color:#222;line-height:1.4;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;}.select-kit.combo-box.category-chooser .select-kit-row .category-desc{-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;color:#919191;font-size:.8706em;line-height:1.4;}.select-kit.combo-box.category-drop .badge-wrapper{font-size:1em;font-weight:normal;}.select-kit.combo-box.category-drop .badge-wrapper.box{margin:0;}.select-kit.combo-box.category-drop .badge-wrapper.box span.badge-category{margin:0;}.select-kit.combo-box.category-drop.bar.has-selection .category-drop-header{padding:0 10px 0 5px;}.select-kit.combo-box.category-drop.box.has-selection .category-drop-header .badge-wrapper.box{padding:0;}.select-kit.combo-box.category-drop .category-drop-header.is-none .selected-name{color:inherit;}.select-kit.combo-box.category-drop .category-drop-header .badge-wrapper{margin-left:0;}.select-kit.combo-box.category-drop .select-kit-body{min-width:300px;}.select-kit.combo-box.category-drop .select-kit-row{flex-direction:column;align-items:flex-start;}.select-kit.combo-box.category-drop .select-kit-row[data-value="all-categories"],.select-kit.combo-box.category-drop .select-kit-row[data-value="no-categories"]{color:#08c;font-weight:700;}.select-kit.combo-box.category-drop .select-kit-row .category-desc{font-weight:normal;color:#919191;margin-top:2px;}.select-kit.combo-box.category-drop .select-kit-row .category-status{align-items:center;}.select-kit.combo-box.category-drop .select-kit-row .topic-count{margin-right:5px;font-weight:normal;}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper{margin:0;font-weight:bold;}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper:nth-child(2){margin-right:10px;}.select-kit.combo-box.category-drop.is-expanded .select-kit-wrapper,.select-kit.combo-box.category-drop .select-kit-wrapper{display:none;}.select-kit .category-row .category-status{display:flex;flex-wrap:wrap;align-items:center;max-width:100%;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;}.select-kit .category-row .category-desc{max-width:100%;}.select-kit .category-row .category-status .badge-wrapper.box{margin-bottom:1px;margin-top:1px;}.select-kit .category-row .topic-count{white-space:nowrap;}.select-kit.category-selector .selected-name .badge-wrapper.box,.select-kit-box.category-selector .selected-name .badge-wrapper.box{margin:2px;padding:0;}.select-kit.combo-box{min-width:auto;}.select-kit.combo-box .select-kit-body{width:100%;min-width:150px;border-radius:0;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}.select-kit.combo-box .select-kit-row{margin:0;min-height:1px;padding:6px 10px;}.select-kit.combo-box .select-kit-row.no-content{font-weight:normal;}.select-kit.combo-box .select-kit-filter{padding:4px 10px;border-top:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9;}.select-kit.combo-box .select-kit-filter .spinner{flex:0 0 auto;}.select-kit.combo-box .select-kit-filter .filter-input,.select-kit.combo-box .select-kit-filter .filter-input:focus,.select-kit.combo-box .select-kit-filter .filter-input:active{flex:0 0 auto;width:90%;}.select-kit.combo-box .select-kit-filter .filter-icon{padding-right:5px;}.select-kit.combo-box .select-kit-header{background:#fff;border:1px solid #919191;padding:0 10px 0 5px;font-weight:500;font-size:1em;}.select-kit.combo-box .select-kit-header.is-focused{border:1px solid #08c;box-shadow:0 0 6px 0 #08c;}.select-kit.combo-box .select-kit-collection{display:flex;flex-direction:column;padding:0;min-width:100px;max-height:200px;max-width:32em;}.select-kit.combo-box .select-kit-collection .collection-header a{white-space:nowrap;color:#222;line-height:1.2;font-weight:bold;display:block;padding:6px 10px;color:#08c;}.select-kit.combo-box .select-kit-collection .collection-header a:hover{text-decoration:underline;}.select-kit.combo-box.is-disabled .select-kit-header{background:#e9e9e9;border-color:#bdbdbd;color:#919191;}.select-kit.combo-box.is-disabled .select-kit-header .d-icon{color:#919191;}.select-kit.combo-box.is-highlighted .select-kit-header{border:1px solid #08c;box-shadow:0 0 6px 0 #08c;}.select-kit.combo-box.is-expanded .select-kit-wrapper{display:block;border:1px solid #08c;box-shadow:0 0 6px 0 #08c;}.select-kit.combo-box.is-expanded.is-above .select-kit-header{border-radius:0 0 3px 3px;}.select-kit.combo-box.is-expanded.is-above .select-kit-body{border-radius:3px 3px 0 0;}.select-kit.combo-box.tag-drop,.select-kit.combo-box.group-dropdown{min-width:auto;}.select-kit.combo-box.tag-drop .select-kit-row,.select-kit.combo-box.group-dropdown .select-kit-row{font-weight:bold;}.select-kit.combo-box.is-expanded .select-kit-wrapper,.select-kit.combo-box .select-kit-wrapper{display:none;}.select-kit.dropdown-select-box.composer-actions{margin:0;}.select-kit.dropdown-select-box.composer-actions .select-kit-header{background:none;outline:none;padding:0;margin-left:5px;border:1px solid #e9e9e9;min-height:unset;}.select-kit.dropdown-select-box.composer-actions .select-kit-header .d-icon{padding:5px 6px;}.select-kit.dropdown-select-box.composer-actions .select-kit-header:hover,.select-kit.dropdown-select-box.composer-actions .select-kit-header:focus{background:#e9e9e9;}.select-kit.dropdown-select-box.composer-actions .d-icon{margin:0 !important;}.select-kit.dropdown-select-box{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;min-width:auto;border:none;}.select-kit.dropdown-select-box.is-expanded .select-kit-collection,.select-kit.dropdown-select-box.is-expanded .select-kit-body{border-radius:0;}.select-kit.dropdown-select-box .select-kit-body{border:1px solid #e9e9e9;background-clip:padding-box;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);max-width:300px;width:300px;}.select-kit.dropdown-select-box .select-kit-row{margin:0;padding:10px 5px;}.select-kit.dropdown-select-box .select-kit-row .icons{display:-webkit-box;display:-ms-flexbox;display:flex;flex:0 0 auto;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-item-align:start;align-self:flex-start;margin-left:0.357em;margin-top:2px;width:30px;}.select-kit.dropdown-select-box .select-kit-row .icons .d-icon{font-size:1.3195em;-ms-flex-item-align:center;align-self:center;margin-left:0;opacity:1;}.select-kit.dropdown-select-box .select-kit-row .texts{width:0;line-height:1.4;-webkit-box-flex:1;-ms-flex:1;flex:1 1 0%;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column;}.select-kit.dropdown-select-box .select-kit-row .texts .name{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;font-weight:bold;font-size:1em;color:#222;padding:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100%;}.select-kit.dropdown-select-box .select-kit-row .texts .desc{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;width:100%;font-size:.8706em;font-weight:normal;color:#919191;white-space:normal;}.select-kit.dropdown-select-box .select-kit-collection{padding:0;max-height:100%;}.select-kit.dropdown-select-box .dropdown-select-box-header{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;border:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;}.select-kit.dropdown-select-box .dropdown-select-box-header .d-icon+.d-icon{margin-right:5px;}.select-kit.dropdown-select-box .dropdown-select-box-header.is-focused{outline-style:auto;outline-color:#08c;}.select-kit.combobox.future-date-input-selector{min-width:50%;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-header .btn-clear{line-height:1.4;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-datetime{color:#888;margin-right:5px;white-space:nowrap;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-icons{margin-left:5px;}.select-kit.combobox.future-date-input-selector .btn-clear{padding:0;margin-right:5px;}.select-kit.combobox.future-date-input-selector .future-date-input-selector-row .future-date-input-selector-icons{color:#888;}.select-kit.multi-select.list-setting .select-kit-row.create .square{width:12px;height:12px;margin-right:5px;}.select-kit.combo-box.mini-tag-chooser{margin-bottom:5px;margin-right:5px;}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-header{border:1px solid #08c;}.select-kit.combo-box.mini-tag-chooser.no-tags .select-kit-header .selected-name{color:#919191;}.select-kit.combo-box.mini-tag-chooser .select-kit-body{max-width:32em;}.select-kit.combo-box.mini-tag-chooser .select-kit-header{height:30px;}.select-kit.combo-box.mini-tag-chooser .select-kit-header .selected-name{margin:0;border:0;padding:0;outline:none;box-shadow:none;cursor:pointer;max-width:250px;}.select-kit.combo-box.mini-tag-chooser .select-kit-filter{border-top:0;}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-wrapper,.select-kit.combo-box.mini-tag-chooser .select-kit-wrapper{display:none;}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-selected{background:none;}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-highlighted.is-selected{background:#d1f0ff;}.select-kit.combo-box.mini-tag-chooser .select-kit-row .discourse-tag-count{margin-right:5px;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header{max-height:125px;overflow:hidden;flex:1 0 auto;border-bottom:1px solid #e9e9e9;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tags{display:flex;padding:4px;flex-wrap:wrap;margin:-2px;overflow:hidden;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag{background:#e9e9e9;padding:2px 4px;margin:2px;border:0;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag.is-highlighted{box-shadow:0 0 2px #e45735, 0 1px 0 rgba(0,0,0,0.05);}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag .d-icon{color:#bdbdbd;vertical-align:middle;}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag:hover .d-icon{color:#e45735;}.select-kit.multi-select{width:300px;background:#fff;border-radius:0;}.select-kit.multi-select .select-kit-body{width:100%;}.select-kit.multi-select .select-kit-row{margin:5px;min-height:1px;padding:5px;border-radius:0;}.select-kit.multi-select .select-kit-filter{border:0;flex:1 0 0px;margin:1px;}.select-kit.multi-select .multi-select-header{background:#fff;border:1px solid #919191;}.select-kit.multi-select .multi-select-header.is-focused{box-shadow:0 0 6px 0 #08c;border-radius:0;}.select-kit.multi-select.is-disabled .multi-select-header{background:#e9e9e9;border-color:#bdbdbd;color:#919191;}.select-kit.multi-select.is-disabled .multi-select-header .d-icon{color:#919191;}.select-kit.multi-select.is-highlighted .multi-select-header{border-radius:0;border-bottom:1px solid transparent;box-shadow:0 0 6px 0 #08c;}.select-kit.multi-select.is-expanded .select-kit-wrapper{display:block;border:1px solid #08c;box-shadow:0 0 6px 0 #08c;border-radius:0;}.select-kit.multi-select.is-expanded .multi-select-header{border-radius:0;box-shadow:none;}.select-kit.multi-select.is-expanded .select-kit-body{border-radius:0;}.select-kit.multi-select .choices{margin:0 2px;box-sizing:border-box;display:flex;justify-content:flex-start;flex-wrap:wrap;width:100%;}.select-kit.multi-select .choices .choice{display:inline-flex;box-sizing:border-box;align-items:center;justify-content:space-between;flex-wrap:wrap;flex-direction:row;margin:1px 2px 2px 0px;}.select-kit.multi-select .choices .filter{align-items:center;justify-content:flex-start;white-space:nowrap;min-width:50px;padding:0;outline:none;flex:1 0 0px;}.select-kit.multi-select .choices .filter .filter-input,.select-kit.multi-select .choices .filter .filter-input:focus{border:none;background:none;display:inline-block;width:100%;outline:none;min-width:auto;padding:0;margin:0;outline:0;border:0;box-shadow:none;border-radius:0;min-height:unset;}.select-kit.multi-select .choices .selected-color .selected-color-wrapper{display:flex;flex:1 0 0px;flex-direction:column;}.select-kit.multi-select .choices .selected-color .color-preview{height:5px;margin:0 0px 2px 2px;display:flex;width:100%;}.select-kit.multi-select .choices .selected-category .body{display:flex;align-items:center;}.select-kit.multi-select .choices .selected-category .badge-wrapper{padding:2px 4px;line-height:1.2;display:flex;flex:1 0 0px;align-items:center;}.select-kit.multi-select .choices .selected-category .badge-wrapper.bullet{margin-left:2.5px;}.select-kit.multi-select .choices .selected-name .footer{display:flex;width:100%;}.select-kit.multi-select .choices .selected-name .body{background:#e9e9e9;padding:4px;}.select-kit.multi-select .choices .selected-name .d-icon{color:#bdbdbd;vertical-align:middle;}.select-kit.multi-select .choices .selected-name:hover .d-icon:last-child{color:#e45735;}.select-kit.multi-select .choices .selected-name.is-highlighted{box-shadow:0 0 2px #e45735, 0 1px 0 rgba(0,0,0,0.05);}.select-kit.dropdown-select-box.notifications-button .select-kit-body{min-width:550px;max-width:550px;}.select-kit.dropdown-select-box.notifications-button .select-kit-row .icons{-ms-flex-item-align:start;align-self:flex-start;}.select-kit.dropdown-select-box.period-chooser{display:inline-flex;position:relative;}.select-kit.dropdown-select-box.period-chooser .select-kit-collection{padding:5px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header{background:none;border:none;justify-content:flex-start;width:auto;height:auto;padding:0;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{color:#fff;display:inline-block;box-sizing:border-box;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .date-section{color:#222;margin-left:5px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.8706em;color:#919191;font-weight:normal;text-transform:uppercase;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header .d-icon{color:#222;opacity:1;margin:5px 5px 10px 0;font-size:1.5157em;}.select-kit.dropdown-select-box.period-chooser .period-chooser-header.is-focused,.select-kit.dropdown-select-box.period-chooser .period-chooser-header:hover{background:none;border:none;outline:none;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row{font-weight:bold;padding:5px;font-size:1.1487em;align-items:center;display:flex;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .period-title{flex:1 0 0px;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .date-section{color:#222;}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .top-date-string{font-weight:normal;font-size:.8706em;color:#919191;text-transform:uppercase;margin-right:5px;}#topic-footer-buttons .pinned-button{min-width:auto;margin:1em 0;}#topic-footer-buttons .pinned-button.is-hidden{display:none;}#topic-footer-buttons .pinned-button .btn{margin:0;}#topic-footer-buttons .pinned-button .reason{display:inline;line-height:1.2;}.pinned-button{margin:0;min-width:auto;}.pinned-button .pinned-options{display:inline;}.pinned-button .pinned-options .select-kit-body{min-width:unset;max-width:unset;width:550px;}.mobile-view .select-kit.is-expanded{z-index:300;}.select-kit{border:none;min-width:220px;box-sizing:border-box;display:inline-block;flex-direction:column;position:relative;vertical-align:middle;user-select:none;}.select-kit.is-hidden{display:none;}.select-kit.is-disabled{pointer-events:none;}.select-kit.is-expanded{z-index:300;}.select-kit.is-expanded .select-kit-body{display:flex;flex-direction:column;right:0;position:absolute;top:0;}.select-kit.is-expanded .select-kit-collection{border-radius:inherit;}.select-kit.is-above .select-kit-body{bottom:0;top:auto;}.select-kit.is-above .select-kit-filter{border-top:0;}.select-kit.is-above .select-kit-wrapper{bottom:0;top:auto;}.select-kit .d-icon{color:#646464;}.select-kit .select-kit-header{box-sizing:border-box;overflow:hidden;transition:all 0.25s;cursor:pointer;outline:none;display:flex;align-items:center;flex-direction:row;min-height:30px;}.select-kit .select-kit-header .selected-name{text-align:right;flex:0 1 auto;padding:1px 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:inherit;}.select-kit .select-kit-header .btn-clear{padding:0 10px;border:0;background:none;}.select-kit .select-kit-header .icon{margin-left:5px;}.select-kit .select-kit-header .caret-icon{margin-right:auto;padding-right:5px;pointer-events:none;}.select-kit .select-kit-header .d-button-label{display:flex;align-items:center;white-space:nowrap;overflow:hidden;line-height:1.2;}.select-kit .select-kit-header .d-button-label .d-icon{margin-right:5px;margin-left:0;}.select-kit .select-kit-body{display:none;background:#fff;box-sizing:border-box;}.select-kit .select-kit-row{cursor:pointer;line-height:1.2;outline:none;display:flex;flex:1 0 auto;box-sizing:border-box;align-items:center;justify-content:flex-start;}.select-kit .select-kit-row .name{margin:0;overflow:hidden;text-overflow:ellipsis;flex:1 1 0%;}.select-kit .select-kit-row .d-icon{margin-left:5px;}.select-kit .select-kit-row.is-highlighted{background:#d1f0ff;}.select-kit .select-kit-row.is-selected{background:#ffffa6;}.select-kit .select-kit-row.is-selected.is-highlighted{background:#d1f0ff;}.select-kit .select-kit-row .discourse-tag,.select-kit .select-kit-row .discourse-tag-count{color:#222;}.select-kit .select-kit-collection{background:#fff;overflow-x:hidden;overflow-y:auto;border-radius:inherit;-webkit-overflow-scrolling:touch;margin:0;padding:0;max-height:200px;}.select-kit .select-kit-collection .validation-message{white-space:nowrap;color:#e45735;flex:1 0 auto;margin:5px;padding:0 2px;}.select-kit .select-kit-collection .select-kit-collection{padding:0;margin:0;}.select-kit .select-kit-collection .select-kit-collection:hover .select-kit-row.is-highlighted:hover{background:#d1f0ff;}.select-kit .select-kit-collection::-webkit-scrollbar{-webkit-appearance:none;width:10px;}.select-kit .select-kit-collection::-webkit-scrollbar-thumb{cursor:pointer;border-radius:5px;background:#919191;}.select-kit .select-kit-collection::-webkit-scrollbar-track{background:transparent;border-radius:0;}.select-kit .select-kit-filter{display:flex;box-sizing:border-box;align-items:center;justify-content:space-between;}.select-kit .select-kit-filter .filter-input,.select-kit .select-kit-filter .filter-input:focus,.select-kit .select-kit-filter .filter-input:active{background:none;margin:0;padding:0;flex:1 0 0px;outline:none;border:0;border-radius:0;box-shadow:none;width:100%;}.select-kit .select-kit-filter.is-hidden{width:1px;height:1px;border:0;margin:-1px;padding:0;overflow:hidden;position:fixed;outline:0;right:0;top:0;}.select-kit .select-kit-wrapper{position:absolute;top:0;right:0;background:none;display:none;box-sizing:border-box;pointer-events:none;}.select-kit.multi-select.tag-chooser .select-kit-row{display:flex;align-items:center;}.select-kit.multi-select.tag-chooser .select-kit-row .discourse-tag-count{margin-right:5px;}.select-kit.combo-box.tag-drop .select-kit-row[data-value="all-tags"],.select-kit.combo-box.tag-drop .select-kit-row[data-value="no-tags"]{color:#08c;font-weight:700;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-body{box-shadow:none;padding:10px 10px 5px 10px;width:230px;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row{margin-bottom:5px;padding:6px 3px;background:#e9e9e9;transition:all 0.25s;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{font-size:1em;font-weight:normal;color:#222;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{opacity:0.7;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted{background:#919191;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .d-icon{color:#fff;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row:hover{background:#919191;color:#fff;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected{color:#222;background:#e9e9e9;}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected.is-highlighted{background:#919191;color:#222;}#topic-footer-buttons .topic-notifications-button{min-width:auto;margin:1em 0;}#topic-footer-buttons .topic-notifications-button .btn{margin:0;}#topic-footer-buttons .topic-notifications-button .reason{display:inline;line-height:1.2;}.topic-notifications-button .topic-notifications-options{min-width:auto;}.topic-notifications-button{margin:0;}.topic-notifications-button .topic-notifications-options{display:inline-flex;}.select-kit.dropdown-select-box.user-notifications-dropdown{text-align:right;}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-body{width:485px;max-width:485px;}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-header{justify-content:center;}.select-kit.dropdown-select-box.user-notifications-dropdown .dropdown-select-box-header{align-items:center;}.select-kit.combo-box.color-palettes .color-palettes-row .palettes{display:flex;align-items:center;margin-right:0.5em;flex:1 0 0;}.select-kit.combo-box.color-palettes .color-palettes-row .palettes .palette{height:15px;width:15px;display:block;}.svg-icon,.svg-icon-title{height:1em;width:1em;line-height:1;display:inline-flex;position:relative;vertical-align:-0.125em;fill:currentColor;flex-shrink:0;overflow:visible;}svg>use{pointer-events:none;}.fa-stack{position:relative;width:1em;height:1em;display:inline-block;}.fa-stack .fa-stack-1x,.fa-stack .fa-stack-2x{right:0px;top:0px;position:absolute;}.fa-stack .fa-stack-2x{height:1.5em;width:1.5em;margin-top:-0.25em;margin-right:-0.25em;}.d-date-time-input-range{padding:0.5em;background:whitesmole;border:1px solid #e9e9e9;width:300px;display:flex;flex-direction:column;}.d-date-time-input-range .panels{display:inline-flex;list-style:none;margin:0 0 0.5em 0;flex:1;}.d-date-time-input-range .panels.from .from-panel{background:#e45735;color:#fff;}.d-date-time-input-range .panels.to .to-panel{background:#e45735;color:#fff;}.d-date-time-input-range .panels .btn{margin-left:0.5em;}.d-date-time-input-range .panel{display:none;flex:1;}.d-date-time-input-range .panel.visible{display:flex;}.nav-pills,.nav-stacked{margin-right:0;list-style:none;}.nav-pills li a,.nav-stacked li a{display:block;text-decoration:none;}.nav-pills>li{float:right;margin-left:5px;}.nav-pills>li>a{border:none;padding:6px 12px;color:#222;font-size:1.1487em;line-height:1;box-sizing:border-box;min-height:30px;display:flex;align-items:center;transition:background 0.15s;}.nav-pills>li>a .d-icon{margin-left:5px;opacity:0.65;}.nav-pills>li>a:hover{color:#e45735;background-color:#f7cdc2;}.nav-pills>li a.active{color:#fff;background-color:#e45735;}.nav-pills>li a.active .d-icon{opacity:1;}.nav-stacked{padding:0;overflow:hidden;background:#e9e9e9;}.nav-stacked li{border-bottom:1px solid #e9e9e9;position:relative;}.nav-stacked li:last-of-type{border-bottom:0;}.nav-stacked li.indent{padding-right:15px;}.nav-stacked a{margin:0;padding:13px;font-size:1.1487em;line-height:1;cursor:pointer;color:#222;}.nav-stacked a.active{color:#fff;background-color:#e45735;}.nav-stacked a.active::after{right:90%;top:33%;content:" ";position:absolute;border:8px solid transparent;border-left-color:#fff;}.nav-stacked .count{font-size:.8706em;}.nav-stacked .glyph{font-size:.8706em;width:1.25em;text-align:center;margin-left:0.25em;line-height:1.4;}.btn{display:inline-block;margin:0;padding:6px 12px;font-weight:500;font-size:1em;line-height:1;text-align:center;cursor:pointer;transition:all 0.25s;box-sizing:border-box;min-height:30px;}.btn .d-icon{transition:color 0.25s;}.btn:active,.btn.btn-active{text-shadow:none;}.btn[disabled],.btn.disabled{cursor:default;opacity:0.4;}.btn .d-icon{margin-left:7px;}.btn.no-text .d-icon{margin-left:0;}.btn.hidden{display:none;}.btn{border:none;color:#222;font-weight:normal;background:#e9e9e9;}.btn .d-icon{color:#646464;}.btn[href]{color:#222;min-height:unset;}.discourse-no-touch .btn:hover,.discourse-no-touch .btn.btn-hover{background:#919191;color:#fff;}.discourse-no-touch .btn:hover .d-icon,.discourse-no-touch .btn.btn-hover .d-icon{color:#ededed;}.btn[disabled],.btn.disabled{background:#e9e9e9;cursor:not-allowed;}.btn[disabled] .d-icon,.btn.disabled .d-icon{color:#919191;}.btn[disabled]:hover,.btn.disabled:hover{color:#bdbdbd;}.btn[disabled]:hover .d-icon,.btn.disabled:hover .d-icon{color:#bdbdbd;}.btn .d-icon{line-height:1.2;}.btn-primary{border:none;font-weight:normal;color:#fff;background:#08c;}.btn-primary .d-icon{color:currentColor;}.btn-primary[href]{color:#fff;}.discourse-no-touch .btn-primary:hover,.discourse-no-touch .btn-primary.btn-hover{background:#006da3;}.discourse-no-touch .btn-primary:hover .d-icon,.discourse-no-touch .btn-primary.btn-hover .d-icon{color:currentColor;}.btn-primary:active,.btn-primary.btn-active{background-color:#006da3;background-image:linear-gradient(to bottom,#006da3,#08c);}.btn-primary[disabled],.btn-primary.disabled{background:#08c;}.btn-primary[disabled] .d-icon,.btn-primary.disabled .d-icon{color:currentColor;}.btn-danger{color:#fff;font-weight:normal;background:#e45735;}.btn-danger .d-icon{color:#fbe6e1;}.btn-danger[href]{color:#fff;}.discourse-no-touch .btn-danger:hover,.discourse-no-touch .btn-danger.btn-hover{background:#c63c1b;}.discourse-no-touch .btn-danger:hover .d-icon,.discourse-no-touch .btn-danger.btn-hover .d-icon{color:#fbe6e1;}.btn-danger:active,.btn-danger.btn-active{background-color:#c63c1b;background-image:linear-gradient(to bottom,#c63c1b,#e45735);}.btn-danger[disabled],.btn-danger.disabled{background:#e45735;}.btn-danger[disabled] .d-icon,.btn-danger.disabled .d-icon{color:#fbe6e1;}.btn-social{color:#fff;background:#666;}.btn-social .d-icon{color:#fff;}.btn-social:hover{color:#fff;}.btn-social[href]{color:#fff;}.btn-social:before{margin-left:9px;font-size:1em;}.btn-social.google_oauth2{background:#fff;color:#333;border:1px solid #e9e9e9;}.btn-social.google_oauth2 .d-icon{opacity:0.9;}.btn-social.google_oauth2:hover{color:currentColor;background:#f2f2f2;}.btn-social.instagram{background:#e1306c;}.btn-social.instagram:hover{background:#ac194b;}.btn-social.facebook{background:#4267b2;}.btn-social.facebook:hover{background:#2d477a;}.btn-social.cas{background:#70ba61;}.btn-social.twitter{background:#1da1f2;}.btn-social.twitter:hover{background:#0c85d0;}.btn-social.github{background:#100e0f;}.btn-social.github:hover{background:#463e42;}.btn-social.discord{background:#7289da;}.btn-social.discord:hover{background:#4a67cf;}.btn-small,.modal.history-modal #revision-footer-buttons button{padding:3px 6px;font-size:.8706em;}.btn-large{padding:9px 18px;font-size:1.1487em;line-height:1;}.btn-flat{background:transparent;border:0;outline:0;line-height:1;transition:color 0.25s,background 0.25s;}.btn-flat .d-icon{color:#bdbdbd;}.discourse-no-touch .btn-flat:hover .d-icon,.discourse-no-touch .btn-flat.btn-hover .d-icon{color:#222;}.btn-flat.close{padding:0;min-height:unset;background:transparent;font-size:1.5157em;}.btn-flat.close .d-icon{color:#646464;}.discourse-no-touch .btn-flat.close:hover,.discourse-no-touch .btn-flat.close.btn-hover{background:transparent;}.discourse-no-touch .btn-flat.close:hover .d-icon,.discourse-no-touch .btn-flat.close.btn-hover .d-icon{color:#222;}.btn-link{background:transparent;border:0;outline:0;padding:0;color:#08c;}.btn-link:focus{outline:1px currentColor dotted;}.topic-list-item td:first-child,.topic-post{border-right:1px solid transparent;}.topic-list tr.selected td:first-child,.topic-list-item.selected td:first-child,.latest-topic-list-item.selected{box-shadow:-3px 0 0 #e45735 inset;}.featured-topic.selected,.topic-post.selected{box-shadow:3px 0 0 #e45735;}.latest .featured-topic{padding-right:4px;}.topic-list-item.selected{background-color:inherit;}.keyboard-shortcuts-modal .modal-body{max-height:560px;}#keyboard-shortcuts-help div.row{width:100%;}#keyboard-shortcuts-help div.row div{float:right;width:32%;}#keyboard-shortcuts-help ul{list-style:none;margin-right:0;}#keyboard-shortcuts-help ul li{margin:5px 0;}#keyboard-shortcuts-help ul kbd{font-size:15px;font-family:Helvetica,Arial,sans-serif;margin:0;color:#444;font-weight:bold;padding:2px 6px;white-space:nowrap;}.d-date-time-input{display:flex;align-items:center;border:1px solid #e9e9e9;width:258px;box-sizing:border-box;position:relative;flex:1;justify-content:space-between;}.d-date-time-input .date-picker,.d-date-time-input .fields{border:0;}.group-member-dropdown{text-align:right;}#banner{padding:10px;background:#d1f0ff;color:#222;z-index:2;overflow:auto;}#banner.overlay{position:fixed;}#banner .close{margin-top:-5px;color:#bdbdbd;padding-right:5px;float:left;}#banner .meta{display:none;}.ignored-list{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#fff;min-height:30px;box-sizing:border-box;}.ignored-user-list-item{border:1px solid #919191;border-radius:0.25em;padding:0;display:flex;align-items:center;margin-left:10px;}.remove-ignored-user{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0.25em 0 0 0.25em;padding-top:0;padding-bottom:0;height:100%;}.ignored-user-name{padding-right:10px;padding-left:10px;}.d-date-input .date-picker{margin:0;text-align:right;width:100%;outline:none;box-shadow:none !important;}.d-date-input .pika-single{margin-right:-1px;}.d-time-input{box-sizing:border-box;}.d-time-input .fields{display:flex;align-items:center;border:1px solid #e9e9e9;}.d-time-input .fields .field{text-align:center;width:auto;margin:0;border:none;outline:none;box-shadow:none;width:32px;}.d-time-input .fields .field.time{width:100%;text-align:right;}.d-time-input .fields .field.hours,.d-time-input .fields .field.minutes{text-align:center;width:45px;}.d-time-input .fields .field.hours{padding-left:0;}.d-time-input .fields .field.minutes{padding-right:10px;width:55px;}.group-form-automatic-membership-automatic,.groups-form-grant-trust-level{margin-bottom:10px;}.conditional-loading-section.is-loading{padding:2em;margin:1em;display:flex;align-items:center;justify-content:center;background:#f8f8f8;flex-direction:column;}.conditional-loading-section.is-loading .title{font-size:1.1487em;font-weight:700;}.conditional-loading-section:not(.is-loading){animation:fadein 0.5s;-webkit-animation:fadein 0.5s;}@keyframes fadein{from{opacity:0;}to{opacity:1;}}@-webkit-keyframes fadein{from{opacity:0;}to{opacity:1;}}a.hashtag{color:#222;font-weight:bold;}a.hashtag:visited,a.hashtag:hover{color:#222;}a.hashtag:hover span{text-decoration:underline;}.convert-to-public-topic .modal-body .instructions{margin-bottom:1em;}.pika-table th,.pika-table td{padding:0 !important;border-top:none !important;border-bottom:none !important;}.date-picker-wrapper{position:relative;display:inline-block;}.date-picker{text-align:center;width:8em;margin:0;}.pika-single{position:absolute !important;}.animated-placeholder{height:20px;position:relative;}.card-avatar-placeholder{width:120px;height:120px;border-radius:100%;position:relative;overflow:hidden;}.card-avatar-placeholder:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;right:0;content:"";background:linear-gradient(to left,#f8f8f8 10%,#e9e9e9 82% 33%);height:120px;width:580px;}#user-card,#group-card{width:580px;box-shadow:0 4px 14px rgba(0,0,0,0.15);color:#222;background:#fff center center;background-size:cover;transition:opacity 0.2s,transform 0.2s;-webkit-transition:opacity 0.2s,-webkit-transform 0.2s;opacity:0;-webkit-transform:scale(0.9);transform:scale(0.9);}#user-card.show,#group-card.show{opacity:1;-webkit-transform:scale(1);transform:scale(1);}#user-card .card-content,#group-card .card-content{padding:10px;background:rgba(255,255,255,0.85);margin-top:80px;}#user-card .card-content:after,#group-card .card-content:after{content:"";display:block;clear:both;}#user-card .card-content a.card-huge-avatar,#group-card .card-content a.card-huge-avatar{outline:none;}#user-card.no-bg .card-content,#group-card.no-bg .card-content{margin-top:0;}#user-card .card-row:not(.first-row),#group-card .card-row:not(.first-row){margin-top:0.5em;}#user-card .first-row .names,#group-card .first-row .names{padding-right:1.25em;}#user-card .first-row .names .user-profile-link,#group-card .first-row .names .user-profile-link{display:flex;align-items:center;}#user-card .first-row .names .d-icon,#group-card .first-row .names .d-icon{margin:0 0.25em;}#user-card .first-row .names .name-username-wrapper,#group-card .first-row .names .name-username-wrapper{margin-left:0;flex:0 1 auto;}#user-card .first-row .names span,#group-card .first-row .names span{display:block;}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{list-style-type:none;margin:0;}#user-card .first-row .usercard-controls button,#group-card .first-row .usercard-controls button{width:100%;}#user-card .btn,#group-card .btn{margin-bottom:5px;}#user-card h1,#group-card h1{line-height:1.2;}#user-card h1 .d-icon,#group-card h1 .d-icon{color:#222;}#user-card h3,#group-card h3{display:inline;margin-left:0.5em;color:#222;}#user-card h3.email,#user-card h3 .desc,#user-card h3 a,#group-card h3.email,#group-card h3 .desc,#group-card h3 a{color:#646464;}#user-card h1,#user-card h2,#user-card h3,#group-card h1,#group-card h2,#group-card h3{margin:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#user-card h1 a,#user-card h2 a,#group-card h1 a,#group-card h2 a{color:#222;}#user-card h2,#user-card h3,#group-card h2,#group-card h3{font-weight:normal;}#user-card p,#group-card p{margin:0 0 5px 0;}#user-card .first-row{display:flex;}#user-card .first-row .avatar-placeholder{width:120px;height:120px;}#user-card .first-row .user-card-avatar{margin-top:-50px;}#user-card .first-row .new-user a{color:#bdbdbd;}#user-card .second-row{max-height:150px;overflow:auto;}#user-card .second-row .bio a{color:#222;text-decoration:underline;}#user-card .second-row .bio a.mention{text-decoration:none;}#user-card .second-row .bio .overflow{max-height:60px;overflow:hidden;}#user-card .second-row .suspended{color:#e45735;}#user-card .second-row .suspended .suspension-reason-title,#user-card .second-row .suspended .suspension-date{font-weight:bold;}#user-card .second-row .profile-hidden{font-size:1.1487em;margin-top:0.5em;}#user-card .third-row .location-and-website{display:flex;flex-wrap:wrap;width:100%;align-items:center;}#user-card .third-row .location-and-website .location,#user-card .third-row .location-and-website .website-name{display:flex;overflow:hidden;align-items:center;}#user-card .third-row .location-and-website .location .d-icon,#user-card .third-row .location-and-website .website-name .d-icon{margin-left:0.25em;}#user-card .third-row .location-and-website .website-name a,#user-card .third-row .location-and-website .location span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:#222;}#user-card .third-row .location-and-website .location{margin-left:0.5em;}#user-card .third-row .location-and-website .website-name a{text-decoration:underline;}#user-card .fifth-row .public-user-fields{margin:0;}#user-card .sixth-row .badge-section{display:flex;align-items:flex-start;}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;background:#f8f8f8;border:1px solid #e9e9e9;color:#222;}#group-card .first-row{display:flex;}#group-card .first-row .group-card-avatar{margin-top:-50px;}#group-card .first-row .avatar-flair{display:flex;background-size:contain;width:120px;height:120px;color:#222;}#group-card .first-row .avatar-flair .d-icon{margin:auto;font-size:80px;}#group-card .first-row .avatar-flair.rounded{border-radius:50%;}#group-card .second-row{max-height:150px;overflow:auto;}#group-card .second-row .bio a{color:#222;text-decoration:underline;}#group-card .second-row .bio img{max-width:100%;height:auto;}#group-card .second-row .bio a.mention{text-decoration:none;}#group-card .second-row .bio .overflow{max-height:60px;overflow:hidden;}body.footer-nav-visible #main-outlet{padding-bottom:64px;}body.footer-nav-visible #topic-progress-wrapper,body.footer-nav-visible #reply-control.draft{bottom:49px;}body.footer-nav-visible #reply-control.draft{margin-bottom:env(safe-area-inset-bottom);padding-bottom:0px;}.footer-nav{background-color:rgba(255,255,255,0.9);box-shadow:0 0 2px 0 rgba(0,0,0,0.25);height:49px;position:fixed;bottom:-49px;right:0;width:100%;z-index:900;transition:all linear 0.1s;}.footer-nav .d-icon{color:#999;}.footer-nav.visible{bottom:0px;}.footer-nav .footer-nav-widget{display:flex;justify-content:"space-evenly";-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.footer-nav .footer-nav-widget button{flex:1;margin:4px;border-radius:2px;padding:14px 18px;}.footer-nav .footer-nav-widget button:disabled{opacity:0.6;}@supports (padding:0px){.footer-nav.visible{padding-bottom:max(5px,env(safe-area-inset-bottom));}}@supports (-webkit-backdrop-filter:blur(10px)){body:not(.footer-nav-ipad) .footer-nav{background-color:rgba(255,255,255,0.7);-webkit-backdrop-filter:blur(20px);}}body.footer-nav-ipad{padding-top:49px;}body.footer-nav-ipad .footer-nav{bottom:auto;top:0px;background-color:#fff;z-index:1020;padding-bottom:0;}body.footer-nav-ipad #reply-control,body.footer-nav-ipad #reply-control.fullscreen{z-index:1021;}body.footer-nav-ipad.docked .d-header{margin-top:49px;}.share-and-invite.modal .modal-body{max-width:475px;min-width:320px;}.share-and-invite.modal .modal-header .modal-close{padding-right:0;}.share-and-invite.modal .share.modal-panel .header{display:flex;flex-direction:row;align-items:center;}.share-and-invite.modal .share.modal-panel .header .title{font-size:1em;font-weight:normal;margin-bottom:8px;}.share-and-invite.modal .share.modal-panel .header .title .post-date{color:#919191;font-size:.8706em;}.share-and-invite.modal .share.modal-panel .body{display:flex;flex-direction:column;}.share-and-invite.modal .share.modal-panel .body .topic-share-url{width:100%;height:auto;box-sizing:border-box;}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch a{word-break:break-all;font-size:1.1487em;}.share-and-invite.modal .share.modal-panel .body .topic-share-url-for-touch,.share-and-invite.modal .share.modal-panel .body .topic-share-url{margin-bottom:8px;}.share-and-invite.modal .share.modal-panel .body .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;}.share-and-invite.modal .share.modal-panel .body .sources .social-link{font-size:2.296em;margin-left:8px;}.share-and-invite.modal .invite.modal-panel .error-message,.share-and-invite.modal .invite.modal-panel .success-message{margin-bottom:8px;}.share-and-invite.modal .invite.modal-panel .body .invite-user-control,.share-and-invite.modal .invite.modal-panel .body .group-access-control,.share-and-invite.modal .invite.modal-panel .body .show-custom-message-control{margin-bottom:16px;}.share-and-invite.modal .invite.modal-panel .body .instructions{margin-bottom:8px;}.share-and-invite.modal .invite.modal-panel .body .email-or-username-input{width:100%;}.share-and-invite.modal .invite.modal-panel .footer{display:flex;align-items:center;}.share-and-invite.modal .invite.modal-panel .footer .btn-primary{margin-left:8px;}.share-and-invite.modal .invite.modal-panel .footer .btn-primary:last-child{margin-left:0;}.user-stream .item,.user-stream .user-stream-item{background-color:#fff;border-bottom:1px solid #e9e9e9;}.user-stream .item.moderator-action,.user-stream .user-stream-item.moderator-action{background-color:#ffffa6;}.user-stream .item.deleted,.user-stream .user-stream-item.deleted{opacity:0.8;background-color:rgba(242,171,154,0.7);}.user-stream .item.hidden,.user-stream .user-stream-item.hidden{display:block;opacity:0.4;}.user-stream .type,.user-stream span.name{color:#222;}.user-stream .time,.user-stream .delete-info,.user-stream .draft-type{display:block;float:left;color:#919191;font-size:.7579em;}.user-stream .draft-type{clear:left;}.user-stream .delete-info .d-icon{font-size:1em;}.user-stream .expand-item,.user-stream .collapse-item{float:left;margin-left:0.5em;line-height:1;color:#919191;}.user-stream .avatar-link{float:right;margin-left:4px;}.user-stream .title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:block;}.user-stream .name{font-size:1em;max-width:400px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-stream .edit-reason{background-color:#ffffa6;padding:3px 5px 5px 5px;}.user-stream .remove-bookmark,.user-stream .remove-draft{float:left;margin-top:-4px;}.user-stream .notification li{display:inline-block;}.user-stream .notification p{display:inline-block;}.user-stream .notification p span:first-child{color:#222;}.user-stream .notification .time{display:inline-block;margin-right:10px;float:none;}.user-stream .notification .fa,.user-stream .notification .icon{color:#919191;font-size:1.7511em;}.user-stream .excerpt{margin:1em 0 0 0;font-size:1em;word-wrap:break-word;color:#222;}.user-stream .excerpt:empty{display:none;}.user-stream .excerpt details.disabled{color:#919191;}.user-stream .group-member-info{display:flex;}.user-stream .child-actions,.user-stream-item-actions,.user-stream-item-draft-actions{margin-top:8px;}.user-stream .child-actions .avatar-link,.user-stream-item-actions .avatar-link,.user-stream-item-draft-actions .avatar-link{float:none;margin-left:3px;}.user-stream .child-actions .fa,.user-stream-item-actions .fa,.user-stream-item-draft-actions .fa{width:15px;display:inline-block;color:#222;}.user-stream .child-actions .fa.d-icon-heart,.user-stream-item-actions .fa.d-icon-heart,.user-stream-item-draft-actions .fa.d-icon-heart{color:#fa6c8d;}.badge-notification,.badge-group{display:inline-block;font-weight:normal;white-space:nowrap;border-radius:10px;}.badge-wrapper{font-size:.8706em;font-weight:bold;white-space:nowrap;position:relative;display:inline-flex;align-items:baseline;}.badge-wrapper .badge-category{display:inline-flex;align-items:baseline;}.badge-wrapper .badge-category .category-name{text-overflow:ellipsis;overflow:hidden;}.badge-wrapper .badge-category .d-icon{margin-left:3px;width:0.74em;height:0.74em;color:inherit;}.badge-wrapper.bullet{margin-left:12px;}.badge-wrapper.bullet span.badge-category{color:#646464;overflow:hidden;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper.bullet span.badge-category{color:#333;}.badge-wrapper.bullet .badge-category-parent-bg,.badge-wrapper.bullet .badge-category-bg{flex:0 0 auto;width:9px;height:9px;margin-left:5px;display:inline-block;}.badge-wrapper.bullet .badge-category-parent-bg{width:5px;margin-left:0;}.badge-wrapper.bullet .badge-category-parent-bg+.badge-category-bg{width:5px;}.badge-wrapper.bullet .d-icon{color:#919191;}.badge-wrapper.box{margin-left:5px;padding:2px 4px 2px 4px;display:inline-flex;}.badge-wrapper.box span{overflow:hidden;text-overflow:ellipsis;}.badge-wrapper.box span.badge-category-bg,.badge-wrapper.box span.badge-category-parent-bg{position:absolute;top:0;left:0;bottom:0;right:0;}.badge-wrapper.box span.badge-category-parent-bg{width:calc(100% - 5px);}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg{right:5px;width:calc(100% - 5px);}.badge-wrapper.box span.badge-category-parent-bg+.badge-category-bg+.badge-category{margin-right:5px;}.badge-wrapper.box span.badge-category{position:relative;}.badge-wrapper.box+.topic-header-extra{padding:2px 4px 2px 4px;}.badge-wrapper.bar{margin-left:5px;}.badge-wrapper.bar span.badge-category{color:#646464;padding:1px 3px;overflow:hidden;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper.bar span.badge-category{color:#333;}.badge-wrapper.bar .badge-category-parent-bg,.badge-wrapper.bar .badge-category-bg{display:inline-block;padding:0 1px;}.badge-wrapper.bar .badge-category-parent-bg:before,.badge-wrapper.bar .badge-category-bg:before{content:"\\a0";}.badge-wrapper.none{color:#646464;margin-left:5px;}.list-controls .category-breadcrumb a.badge-category{display:inline-block;padding:6px 8px;line-height:1.2;}.badge-notification{padding:0.21em 0.42em;min-width:0.5em;color:#fff;font-size:.7579em;line-height:1;text-align:center;background-color:#bdbdbd;}.badge-notification[href]{color:#fff;}.badge-notification:hover{color:#fff;}.badge-notification.new-posts,.badge-notification.unread-posts{background-color:#6cf;color:#fff;font-weight:normal;}.badge-notification.new-topic{background-color:transparent;color:#0aadff;font-weight:normal;font-size:.8706em;}.badge-notification.new-topic::before{content:"●";margin-left:2px;}.badge-notification.clicks{font-weight:normal;background-color:#e9e9e9;top:-1px;color:#919191;position:relative;border:none;}.badge-posts{font-weight:normal;font-size:1em;line-height:1;}.badge-posts[href]{color:#919191;}.badge-group{padding:2px 5px;color:#222;background-color:#e9e9e9;border-color:#e9e9e9;font-size:.8706em;}.user-info{display:inline-block;clear:both;margin-bottom:1em;}.user-info .user-image{float:right;padding-left:4px;margin-left:10px;}.user-info .user-image-inner{position:relative;display:inline-block;}.user-info .user-detail{float:right;width:70%;padding-right:5px;}@media screen and (max-width:600px){.user-info .user-detail{font-size:.8706em;}}.user-info .user-detail .name-line{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-info .user-detail .username a{font-weight:bold;color:#646464;}.user-info .user-detail .name{margin-right:5px;color:#646464;}.user-info .user-detail .title{margin-top:3px;color:#919191;}.user-info.small{width:333px;}@media screen and (max-width:800px){.user-info.small{width:auto;display:flex;}}@media screen and (max-width:600px){.user-info.small{width:100%;}}.user-info.medium{min-height:60px;}.user-info.medium .username,.user-info.medium .name{display:block;}.user-info.medium .name{margin-right:0;}.user-info.medium.badge-info{min-height:80px;min-width:250px;}.user-info.medium.badge-info .granted-on{color:#919191;}.user-info.medium.badge-info .post-link{display:block;margin-top:0.2em;}.user-stream.filter-deleted{grid-column-start:1;grid-column-end:3;grid-row-start:2;}.popup-tip{position:absolute;display:block;padding:5px 10px;z-index:600;}.popup-tip.bad{background:#ec8972;color:white;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}.popup-tip.hide,.popup-tip.good{display:none;}.popup-tip .close{float:left;color:#222;opacity:0.5;font-size:1em;margin:0 4px 0 0;cursor:pointer;}.popup-tip .close:hover{opacity:1;}#topic-entrance{border:1px solid #e9e9e9;padding:5px;background:#fff;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:300;position:absolute;width:133px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}#topic-entrance button.full{width:100%;margin-bottom:5px;}#topic-entrance button.full .d-icon{display:block;margin:2px auto;transform:rotate(90deg);}#topic-entrance button.btn.jump-bottom{margin:5px 0 0 0;}@media print{.avatar,.topic-avatar,header,.topic-above-post-stream-outlet.topic-above-post-stream,.topic-map,.post-menu-area.clearfix,.post-menu-area.nav-pills,.post-menu-area.container,.post-menu-area.wrap,div#topic-footer-buttons,div.suggested-topics,div#progress-topic-wrapper,#topic-progress-wrapper,div.nums,._flyout,.show-topic-admin,#topic-progress,.quote-controls,.topic-status-info,div.lazyYT,.post-info.edits,.post-action,.saving-text,.draft-text,.discourse-modal,div.read-state,div.read-state.read,.edit-topic,a.reply-to-tab,a.reply-new,div.time-gap,#bottom,#footer,.alert-info,.badge-category,.badge-category-bg,.badge-notification.clicks,.crawler-nav,.powered-by-link{display:none !important;}a,a:visited{color:#0088cc !important;}div.row{border-top:1px solid #aaa;}.cooked pre code{max-height:none;}#main-outlet{padding:0 !important;}html,body{min-width:0;height:auto;}.lightbox-wrapper img{max-width:500px !important;height:auto !important;}.topic-body{width:auto;margin:0;padding:0;float:none;}.topic-post article.boxed .select-posts{width:auto;right:auto;left:0;}.gap{width:auto;}#topic-title{margin:0;padding:0;}#topic-title div div h1{margin:2.5em 0 0 0;padding:0;float:right;font-weight:normal;font-size:normal;}a,a:visited{color:#ddd;font-weight:bold;}.topic-category-outlet.show-topic-category-location,div.alert.alert-info.alert-emails-disabled,div.profiler-results.profiler-left.profiler-no-controls{display:none;}}section.about{margin-bottom:40px;}section.about h3{margin-bottom:15px;}section.about table{width:auto;}section.about table td{padding:10px;}section.about table td.title{width:33%;}.body-page{width:100%;max-width:700px;}.about-page .body-page{max-width:unset;}.about-page .body-page section:not(.admins):not(.moderators):not(.category-moderators){max-width:700px;}.about-page .body-page .about.category-moderators .badge-wrapper.bullet .badge-category{color:#222;}.mobile-view .body-page{font-size:1em;margin-top:20px;}.body-page li{margin-bottom:8px;}.body-page .nav-pills{margin-bottom:20px;}.body-page ul:not(.nav-pills),.body-page ol:not(.nav-pills){margin-right:40px;}body.crawler>header{width:100%;position:absolute;top:0;z-index:9999;background-color:#fff;padding:10px;box-shadow:none;border-bottom:1px solid #bdbdbd;box-sizing:border-box;}body.crawler div#main-outlet div.post{word-break:break-word;}body.crawler div#main-outlet div.post img{max-width:100%;height:auto;}body.crawler .raw-topic-link{display:block;font-weight:bold;margin-bottom:0.25em;}body.crawler .topic-list{margin-bottom:1em;}body.crawler footer{margin-top:3em;border-top:1px solid #bdbdbd;}.crawler-topic-title{margin-top:0.5em;}.crawler-post{margin-top:1em;margin-bottom:2em;padding-top:1.5em;border-top:1px solid #e9e9e9;}.crawler-post-meta{margin-bottom:1em;}.crawler-post-meta .creator{word-break:break-all;}.crawler-post-meta .creator a{font-weight:bold;}@media screen and (max-width:768px){.crawler-post-meta .creator{display:inline-block;margin-bottom:0.25em;}}.crawler-post-infos{color:#646464;display:inline-block;}@media screen and (min-width:768px){.crawler-post-infos{float:left;}}.crawler-post-infos [itemprop="position"]{float:right;margin-left:0.5em;}#breadcrumbs{margin-bottom:0.5em;font-size:1.1487em;}#breadcrumbs>div{margin-bottom:0.15em;}#breadcrumbs .badge-category-bg{background-color:#a6a6a6;}#breadcrumbs .category-title{color:#222;}.crawler-tags-list span{display:block;margin-bottom:0.15em;}.crawler-linkback-list{margin-top:1em;}.crawler-linkback-list a{display:block;padding:0.5em 0;border-top:1px solid #e9e9e9;}.crawler-nav{margin:1em 0;}.crawler-nav ul{margin:0;list-style-type:none;}.crawler-nav li{display:inline-block;}.crawler-nav a{display:inline-block;padding:0.5em 0 0.5em 1em;}div.ac-wrap.composer-user-selector-limited{width:400px;padding:0 10px;margin-bottom:5px;}div.ac-wrap.composer-user-selector-limited .btn-primary{margin-right:0.5em;padding:3px 6px 2px;font-size:.8706em;min-height:unset;}@keyframes ping{from{transform:scale(0.25);opacity:1;}to{transform:scale(2);opacity:0;}}@keyframes rotate-forever{0%{transform:rotate(0deg);}100%{transform:rotate(360deg);}}@keyframes background-fade-highlight{0%{background-color:#d1f0ff;}100%{background-color:transparent;}}@keyframes placeHolderShimmer{0%{background-position:right -1000px 0;}100%{background-position:right 1100px 0;}}.placeholder-animation{animation-duration:4s;animation-fill-mode:forwards;animation-iteration-count:infinite;animation-name:placeHolderShimmer;animation-timing-function:linear;background:#f8f8f8;background:linear-gradient(to left,#f8f8f8 10%,#e9e9e9 82% 33%);}html{height:100%;}body{background-attachment:fixed;background-size:cover;min-height:100%;}body:before,body:after{content:"";display:table;}body:after{clear:both;}big{font-size:2em;}small{font-size:.7579em;}blockquote{border-right:5px solid #e9e9e9;background-color:#f9f9f9;clear:both;}h1,h2,h3,h4,h5,h6{margin-top:0;margin-bottom:0.5rem;}button.ok{background:#090;color:#fff;}button.ok .d-icon{color:currentColor;}.discourse-no-touch button.ok:hover,.discourse-no-touch button.ok.btn-hover{background:#0c0;color:#fff;}button.cancel{background:#e45735;color:#fff;}button.cancel .d-icon{color:currentColor;}.discourse-no-touch button.cancel:hover,.discourse-no-touch button.cancel.btn-hover{background:#ea7c62;color:#fff;}a.cancel{margin-right:1.25em;line-height:normal;color:#646464;transition:color 250ms;}a.cancel:hover{color:#e45735;}ul.breadcrumb{margin:0 10px 0 10px;}a.no-href{cursor:pointer;}img.avatar{border-radius:50%;}span.relative-date{white-space:nowrap;}label{display:flex;margin-bottom:5px;align-items:flex-start;}label>.d-icon{align-self:center;margin-left:4px;}input[type="radio"],input[type="checkbox"]{margin-top:0.17em;margin-left:0.43em;margin-right:0.1em;line-height:1;cursor:pointer;flex-shrink:0;}input[type="submit"],input[type="reset"],input[type="button"],input[type="radio"],input[type="checkbox"]{width:auto;}input.invalid{background-color:#fbe6e1;}.radio input[type="radio"],.checkbox input[type="checkbox"]{float:right;margin-right:-18px;}input,select,textarea{color:#222;caret-color:currentColor;}input[class*="span"],select[class*="span"],textarea[class*="span"]{float:none;margin-right:0;}input[disabled],input[readonly],select[disabled],select[readonly],textarea[disabled],textarea[readonly]{cursor:not-allowed;background-color:#e9e9e9;border-color:#e9e9e9;}input:focus:required:invalid,select:focus:required:invalid,textarea:focus:required:invalid{color:#e45735;border-color:#e45735;}input:focus:required:invalid:focus,select:focus:required:invalid:focus,textarea:focus:required:invalid:focus{border-color:#e45735;box-shadow:0 0 6px 0 #e45735;}input[type="text"],input[type="password"],input[type="datetime"],input[type="datetime-local"],input[type="date"],input[type="month"],input[type="time"],input[type="week"],input[type="number"],input[type="email"],input[type="url"],input[type="search"],input[type="tel"],input[type="color"]{-webkit-appearance:none;-moz-appearance:none;appearance:none;display:inline-block;padding:4px 10px;margin-bottom:9px;font-size:1em;line-height:1;color:#222;background-color:#fff;border:1px solid #919191;border-radius:0;box-sizing:border-box;min-height:30px;}input[type="text"]:focus,input[type="password"]:focus,input[type="datetime"]:focus,input[type="datetime-local"]:focus,input[type="date"]:focus,input[type="month"]:focus,input[type="time"]:focus,input[type="week"]:focus,input[type="number"]:focus,input[type="email"]:focus,input[type="url"]:focus,input[type="search"]:focus,input[type="tel"]:focus,input[type="color"]:focus{border-color:#08c;box-shadow:0 0 6px 0 #08c;outline:0;}.input-prepend,.input-append{margin-bottom:5px;}.input-prepend input[class*="span"],.input-append input[class*="span"]{display:inline-block;}.input-prepend input,.input-prepend select,.input-append input,.input-append select{position:relative;margin-bottom:0;vertical-align:middle;border-radius:0;}.input-prepend input:focus,.input-prepend select:focus,.input-append input:focus,.input-append select:focus{z-index:2;}.input-prepend .add-on,.input-append .add-on{display:inline-flex;align-items:center;width:auto;padding:0 0.5em;height:28px;background-color:#e9e9e9;border:1px solid #919191;}.input-prepend .add-on:first-child,.input-prepend .btn:first-child,.input-append .add-on:first-child,.input-append .btn:first-child{margin-left:-1px;}.input-prepend .add-on:last-child,.input-prepend .btn:last-child,.input-append .add-on:last-child,.input-append .btn:last-child{margin-right:-1px;border-radius:3px 0 0 3px;}.input-prepend .add-on,.input-prepend .btn{margin-left:-1px;}textarea{height:auto;background-color:#fff;border:1px solid #919191;}textarea:focus{border-color:#08c;box-shadow:0 0 6px 0 #08c;outline:0;}select{border:1px solid #e9e9e9;}table th{font-weight:normal;color:#919191;text-align:right;padding:0.5em;}.sortable{white-space:nowrap;cursor:pointer;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.discourse-no-touch .sortable:hover{background-color:#e9e9e9;}.sortable .d-icon{margin-right:0.25em;}.radio,.checkbox{min-height:18px;padding-right:18px;}.controls>.radio:first-child,.controls>.checkbox:first-child{padding-top:5px;}.radio.inline,.checkbox.inline{display:inline-block;padding-top:5px;margin-bottom:0;vertical-align:middle;}.radio.inline .radio.inline,.checkbox.inline .checkbox.inline{margin-right:10px;}.wrap{margin-left:auto;margin-right:auto;padding:0 8px;}.wrap .contents{position:relative;}.boxed.white{background-color:#fff;}.full-width{margin-right:12px;}.coldmap-high{color:#bdbdbd !important;}.coldmap-med{color:#919191 !important;}.coldmap-low{color:#919191 !important;}.top-space{margin-top:10px;}.message{border-radius:8px;background-color:#fff;padding:14px;}.message h2{margin-bottom:20px;}.clear-transitions{transition:none !important;}.tip{display:inline-block;}.tip.good{color:#090;}.tip.bad{color:#e45735;}.avatar-wrapper{background-color:#fff;display:inline-block;border-radius:50%;}.profiler-results.profiler-left{top:60px !important;}.flex-center-align{display:flex;align-items:center;}.unread-private-messages{color:#fff;background:#090;}.unread-private-messages.badge-notification[href]{color:#fff;}.ring-backdrop-spotlight{position:absolute;width:80px;height:80px;top:-18px;left:-18px;background-image:radial-gradient(40px at 50% 50%,transparent 95%,#222 100%);opacity:0.85;}.ring-backdrop{position:absolute;width:80px;height:80px;top:-18px !important;left:-18px !important;box-shadow:0 0 0 9999px rgba(34,34,34,0.85);z-index:1200;}.ring-first-notification{position:absolute;color:#fff;text-align:right;left:70px;top:60px;width:230px;line-height:1.2;}.ring{background:-webkit-radial-gradient(transparent,#090);background:-o-radial-gradient(transparent,#090);background:-moz-radial-gradient(transparent,#090);background:radial-gradient(transparent,#090);top:-11px !important;left:23.5px !important;border-radius:100%;width:20px;height:20px;-moz-animation-iteration-count:infinite;-webkit-animation-iteration-count:infinite;-webkit-transform-origin:center;-moz-animation-duration:3s;-webkit-animation-duration:3s;-moz-animation-name:ping;-webkit-animation-name:ping;}.fade{opacity:0;transition:opacity 0.15s linear;}.fade.in{opacity:1;}.inline-spinner{display:inline-block;margin:0;}.spinner{margin:20px auto 20px auto;position:relative;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;height:30px;width:30px;border:4px solid #b6b6b6;border-right-color:transparent;border-radius:50%;}.spinner.small{width:10px;height:10px;margin:0;display:inline-block;}.content-list h3{color:#919191;font-size:1.1487em;padding-right:5px;margin-bottom:10px;}.content-list ul{list-style:none;margin:0;}.content-list ul li{border-bottom:1px solid #e9e9e9;}.content-list ul li:first-of-type{border-top:1px solid #e9e9e9;}.content-list ul li a{display:block;padding:10px;color:#222;}.content-list ul li a:hover{background-color:#e9e9e9;color:#222;}.content-list ul li a.active{font-weight:bold;color:#222;}.form-vertical input,.form-vertical textarea,.form-vertical select,.form-vertical .input-prepend,.form-vertical .input-append{display:inline-block;margin-bottom:0;flex:0 0 auto;}.form-vertical .control-group:before,.form-vertical .control-group:after{content:"";display:table;}.form-vertical .control-group:after{clear:both;}.form-vertical .control-label{font-weight:bold;font-size:1.3195em;line-height:1.4;}.form-vertical .controls{margin-right:0;}#main img.avatar.header{width:45px;height:45px;}#main img.avatar.medium{width:32px;height:32px;}#main img.avatar.small{width:25px;height:25px;}#main img.avatar.tiny{width:20px;height:20px;}#main .user-list .user{padding-bottom:5px;}#loading-message{position:absolute;font-size:2em;text-align:center;top:120px;right:500px;color:#222;}#footer .container{height:50px;}#footer .container .contents{padding-top:10px;}#footer .container .contents a[href]{color:#fff;}.inline{display:inline;}.pref-auth-tokens .row{border-bottom:1px solid #ddd;margin:5px 0px;padding-bottom:5px;}.pref-auth-tokens .row:last-child{border-bottom:0;}.pref-auth-tokens .auth-token-icon{color:#919191;font-size:2.25em;float:right;margin-left:10px;}.pref-auth-tokens .auth-token-first{font-size:1.1em;}.pref-auth-tokens .auth-token-first .auth-token-device{font-weight:bold;}.pref-auth-tokens .auth-token-second{color:#919191;}.pref-auth-tokens .auth-token-second .active{color:#090;font-weight:bold;}.pref-auth-tokens .auth-token-dropdown{float:left;}.pref-auth-tokens .auth-token-dropdown .btn,.pref-auth-tokens .auth-token-dropdown .btn:hover{background:transparent;}.pref-auth-tokens .auth-token-dropdown .btn .d-icon,.pref-auth-tokens .auth-token-dropdown .btn:hover .d-icon{color:#646464;}.pref-auth-tokens .dropdown-menu{width:120px;}.pref-auth-tokens .dropdown-menu .icon{margin-top:auto;}.topic-statuses{display:inline;float:right;margin-left:0.15em;}.topic-statuses .topic-status{margin:0;display:inline-flex;color:#919191;}.topic-statuses .topic-status .d-icon{height:0.76em;width:0.75em;}.topic-statuses .topic-status:not(:last-child){margin-left:0.15em;}.topic-statuses .d-icon-envelope{color:#e45735;}.broken-theme-alert{font-size:15px;font-weight:bold;padding:5px 0;background:#ec8972;text-align:center;z-index:9999;color:#fff;}.error-page{text-align:center;padding-top:2em;}.error-page .face{font-size:4.286em;}.error-page .reason{font-size:1.7511em;}.error-page .url{font-style:italic;font-size:.8706em;}.error-page .desc{margin-top:16px;}.error-page .desc .d-icon-check-circle{color:#090;}.error-page .buttons{display:inline-flex;margin-top:15px;}.error-page .buttons button{margin:0 20px;}.category-list{table-layout:fixed;}.category-list .category-text-title{display:flex;align-items:baseline;}.category-list .category-name{display:inline-block;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:text-top;line-height:1.2;}.category-boxes,.category-boxes-with-topics{display:flex;flex-wrap:wrap;justify-content:flex-start;margin-top:1em;margin-bottom:1em;width:100%;}.category-boxes .category-box,.category-boxes-with-topics .category-box{display:flex;flex-direction:row;align-content:flex-start;cursor:pointer;box-sizing:border-box;border-width:0;border-right-width:6px;border-style:solid;border-color:#e9e9e9;}.mobile-view .category-boxes .category-box,.mobile-view .category-boxes-with-topics .category-box{width:100%;}.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{display:block;width:auto;height:40px;margin:0 auto 1em auto;}@supports (--custom:property){.category-boxes .category-box .logo.aspect-image img,.category-boxes-with-topics .category-box .logo.aspect-image img{--height:40px;width:calc(var(--height) * var(--aspect-ratio));max-width:100%;}}.category-boxes .category-box-inner,.category-boxes-with-topics .category-box-inner{box-sizing:border-box;width:100%;padding:0;display:flex;flex-direction:column;border-width:2px;border-right-width:0;border-style:solid;border-color:#e9e9e9;}.category-boxes.no-logos .logo,.category-boxes-with-topics.no-logos .logo{display:none;}.category-boxes .category-box{width:23%;margin:0 1% 1.5em 1%;}.category-boxes .category-box>a{width:100%;padding:0;}.category-boxes .category-box .category-box-inner{padding:1em;}.category-boxes .category-box .category-box-inner .category-logo{float:none;margin:0;}.category-boxes.no-logos .category-box .category-box-inner>a{padding:3em 1em;}.category-boxes .description{padding-bottom:1em;text-align:center;font-size:1em;color:#919191;}.category-boxes .description .overflow{max-height:6em;}.category-boxes h3{font-size:1.3195em;margin-bottom:0.5em;margin-top:0.25em;line-height:1.2;text-align:center;color:#222;overflow:hidden;}.category-boxes .subcategories{display:flex;flex-flow:wrap;}.category-boxes .subcategories .subcategory{display:flex;align-items:center;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;margin-left:1em;margin-bottom:0.6em;}.category-boxes .subcategories .subcategory .subcategory-image-placeholder{display:inline-block;margin-left:0.6em;}.category-boxes .subcategories .subcategory .subcategory-link{min-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.category-boxes .subcategories .subcategory .logo img{display:inline-block;height:20px;width:20px;margin:0;}.category-boxes-with-topics .category-box{width:31%;margin:0 1% 1.5em 1%;padding:0;}.category-boxes-with-topics h3{font-size:1.3195em;text-align:center;overflow:hidden;}.category-boxes-with-topics .category-box-heading{padding:1em 1em 0.5em 1em;}.category-boxes-with-topics .category-box-heading a[href]{width:100%;color:#222;}.category-boxes-with-topics .featured-topics{padding:0.5em 1em 1em 1em;}.category-boxes-with-topics .featured-topics ul{color:#919191;list-style:none;padding:0;margin:0;}.category-boxes-with-topics .featured-topics li{padding:4px 0;display:flex;align-items:baseline;}.category-boxes-with-topics .featured-topics li .overflow{max-height:3em;overflow:hidden;}.category-boxes-with-topics .featured-topics li .d-icon{margin-left:0.15em;width:0.76em;height:0.76em;}.categories-list .category h3 .d-icon{color:#919191;height:0.76em;width:0.76em;vertical-align:baseline;margin-left:0.15em;}.category-boxes-with-topics .category-box h3 .d-icon,.category-boxes .category-box h3 .d-icon{margin-left:0;}#share-link{position:absolute;right:20px;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-color:#fff;padding:8px 8px 4px 8px;width:300px;display:none;}#share-link.visible{display:block;}#share-link input[type="text"]{width:100%;}#share-link .share-for-touch .overflow-ellipsis{clear:both;}#share-link .share-for-touch{margin:14px 0;}#share-link .title{margin-bottom:4px;align-items:center;display:flex;justify-content:space-between;}#share-link .title h3{font-size:1em;margin:0;}#share-link .title .date{font-weight:normal;color:#919191;}#share-link .copy-text{display:inline-block;position:absolute;margin:5px 15px 5px 5px;color:#090;opacity:1;transition:opacity 0.25s;font-size:1em;}#share-link .copy-text:not(.success){opacity:0;}#share-link .social-link{margin-left:8px;font-size:1.7511em;}#share-link .social-link .d-icon{color:#08c;}#share-link .social-link .d-icon-fab-facebook{color:#4267b2;}#share-link .social-link .d-icon-fab-twitter-square{color:#1da1f2;}#share-link input[type="text"]{font-size:1.1487em;margin-bottom:0;}#share-link .actions{display:flex;align-items:flex-end;margin-top:8px;}#share-link .actions .sources{display:flex;align-items:center;flex-wrap:wrap;flex-direction:row;max-width:45%;}#share-link .actions .sources .social-link{margin-left:8px;}#share-link .actions .alt-actions{display:flex;align-items:center;flex:1;justify-content:flex-end;height:36px;}#share-link .actions .alt-actions .close-share{font-size:1.5157em;color:#919191;}#share-link .actions .alt-actions .new-topic{margin-left:16px;}.discourse-no-touch #share-link .share-for-touch{display:none;}.discourse-touch #share-link input[type="text"]{display:none;}.ember-select{background-color:#fff;color:#222;}.uploaded-image-preview{background:#222 center;background-size:cover;position:relative;}.uploaded-image-preview .placeholder-overlay{background-size:contain;background-repeat:no-repeat;background-position:center;position:absolute;top:0;right:0;width:100%;height:100%;opacity:0.3;}.uploaded-image-preview .image-upload-controls{position:relative;display:flex;padding:10px;}.uploaded-image-preview .image-upload-controls .btn{margin-left:5px;padding:7px 10px;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn{background:none;margin-left:0;margin-right:auto;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn .d-icon{color:#e9e9e9;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover{background:none;}.uploaded-image-preview .image-upload-controls .image-uploader-lightbox-btn:hover .d-icon{color:#222;}.image-uploader.no-repeat .uploaded-image-preview{background-repeat:no-repeat;}.image-uploader.contain-image .uploaded-image-preview{background-size:contain;}.hidden-upload-field{visibility:hidden;position:absolute;}.search-container{display:flex;justify-content:space-between;}.search-container .warning{background-color:#ec8972;padding:5px 8px;color:#fff;}.search-container .search-bar{display:flex;justify-content:space-between;align-items:center;justify-content:space-between;margin-bottom:1em;}.search-container .search-bar .search-query{flex:1 0 0px;margin:0 0 0 0.5em;}.search-container .search-bar .search-cta{padding-bottom:6.5px;padding-top:6.5px;}.search-container .search-advanced{width:70%;}@media screen and (max-width:850px){.search-container .search-advanced{width:65%;}}.search-container .search-advanced .search-actions,.search-container .search-advanced .search-notice,.search-container .search-advanced .search-results,.search-container .search-advanced .search-title,.search-container .search-advanced .search-bar{margin-bottom:1em;}.search-container .search-advanced .search-info{display:flex;flex-wrap:wrap;border-bottom:3px solid #e9e9e9;padding-bottom:0.5em;margin-bottom:1em;flex-direction:row;align-items:center;}.search-container .search-advanced .search-info .result-count{display:flex;}.search-container .search-advanced .search-info .result-count .term{font-weight:bold;}.search-container .search-advanced .search-info .result-count span+span{margin-right:0.25em;}.search-container .search-advanced .search-info .sort-by{display:flex;margin-right:auto;align-items:center;}.search-container .search-advanced .search-info .sort-by .desc{margin-left:0.5em;}.search-container .search-advanced .search-info .sort-by .combo-box{min-width:150px;}.search-container .search-advanced .search-title{display:flex;justify-content:flex-start;align-items:center;}.search-container .search-advanced .search-title .bulk-select{margin-right:0.5em;}.search-container .search-advanced .search-title .fps-select a{margin-right:0.5em;font-size:.8706em;}.search-container .search-advanced .search-title .fps-select a:hover{text-decoration:underline;}.search-container .search-advanced .search-notice .fps-invalid{padding:0.5em;background-color:#fbe6e1;border:1px solid #ec8972;color:#e45735;}.search-container .search-advanced-sidebar{width:30%;margin-right:1em;display:flex;flex-direction:column;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar{width:35%;}}.search-container .search-advanced-sidebar #search-min-post-count,.search-container .search-advanced-sidebar .date-picker,.search-container .search-advanced-sidebar .combo-box,.search-container .search-advanced-sidebar .ac-wrap,.search-container .search-advanced-sidebar .control-group,.search-container .search-advanced-sidebar .date-picker-wrapper,.search-container .search-advanced-sidebar .search-advanced-category-chooser{box-sizing:border-box;width:100%;min-width:100%;}.search-container .search-advanced-sidebar #search-min-post-count input,.search-container .search-advanced-sidebar #search-min-post-count .item,.search-container .search-advanced-sidebar .date-picker input,.search-container .search-advanced-sidebar .date-picker .item,.search-container .search-advanced-sidebar .combo-box input,.search-container .search-advanced-sidebar .combo-box .item,.search-container .search-advanced-sidebar .ac-wrap input,.search-container .search-advanced-sidebar .ac-wrap .item,.search-container .search-advanced-sidebar .control-group input,.search-container .search-advanced-sidebar .control-group .item,.search-container .search-advanced-sidebar .date-picker-wrapper input,.search-container .search-advanced-sidebar .date-picker-wrapper .item,.search-container .search-advanced-sidebar .search-advanced-category-chooser input,.search-container .search-advanced-sidebar .search-advanced-category-chooser .item{padding-right:4px;}.search-container .search-advanced-sidebar .date-picker-wrapper{margin-top:0.5em;}.search-container .search-advanced-sidebar .date-picker{box-sizing:border-box;text-align:right;padding:4px;margin-bottom:0;}.search-container .search-advanced-sidebar .search-advanced-title{background:#e9e9e9;padding:0.358em 1em;font-weight:700;text-align:right;font-weight:bold;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar .search-advanced-title{padding:0.358em 0.5em;}}.search-container .search-advanced-sidebar .search-advanced-title.btn{background:#e9e9e9;}.search-container .search-advanced-sidebar .search-advanced-title .d-icon{margin:0;}.search-container .search-advanced-sidebar .search-advanced-filters{background:#f8f8f8;padding:1em;}.search-container .search-advanced-sidebar .search-advanced-filters .control-group{margin-bottom:15px;}.search-container .search-advanced-sidebar .search-advanced-filters section.field{margin-top:5px;}@media screen and (max-width:850px){.search-container .search-advanced-sidebar .search-advanced-filters{padding:0.75em 0.5em;}.search-container .search-advanced-sidebar .search-advanced-filters .ac-wrap,.search-container .search-advanced-sidebar .search-advanced-filters .choices,.search-container .search-advanced-sidebar .search-advanced-filters .select-kit.multi-select{width:100% !important;}.search-container .search-advanced-sidebar .search-advanced-filters .select-kit{min-width:unset;}}.fps-invalid{margin-bottom:1em;}.fps-result{display:flex;margin-bottom:28px;max-width:780px;}.fps-result .author{display:inline-block;vertical-align:top;}.fps-result .like-count{color:#919191;}.fps-result .like-count .fa{color:#fa6c8d;font-size:.8706em;}.fps-result .badge-wrapper span.badge-category{max-width:inherit;}.fps-result .search-category{padding-top:3px;}.fps-result .topic{padding-bottom:2px;max-width:700px;}.fps-result .avatar{margin-left:14px;}.fps-result a.search-link:visited .topic-title{color:#0aadff;}.fps-result .search-link .topic-title{font-size:1.3195em;line-height:1.2;}.fps-result .search-link .topic-statuses{display:inline-block;font-size:1.3em;line-height:1.2;color:#919191;}.fps-result .search-link .topic-statuses span{line-height:1;}.fps-result .blurb{font-size:1em;line-height:1.4;word-wrap:break-word;max-width:640px;color:#919191;}.fps-result .blurb .date{color:#919191;}.fps-result .blurb .search-highlight{color:#222;}.fps-result .discourse-tag{font-size:.8706em;}.fps-topic{display:inline-block;}.no-results-suggestion{margin-top:30px;}.search-footer{margin-bottom:30px;}.panel-body-contents .search-context label{float:right;}.google-search-form{margin-top:2em;}a.loading-onebox:before{content:"";display:inline-flex;float:right;margin:3px 0 0 5px;position:relative;height:10px;width:10px;border:2px solid #bdbdbd;border-right-color:transparent;border-radius:50%;-webkit-animation:rotate-forever 1s infinite linear;animation:rotate-forever 1s infinite linear;}.onebox-result{border-right:5px solid #e9e9e9;background-color:#f9f9f9;margin-top:15px;padding:12px;font-size:1em;}.onebox-result>.source{margin-bottom:12px;margin-left:10px;display:block;color:#222;position:relative;height:20px;}.onebox-result>.source .info{position:absolute;font-size:1em;}.onebox-result>.source .info a{color:black;text-decoration:none;padding-left:10px;}.onebox-result>.source .info img.favicon{margin-left:3px;}.onebox-result .onebox-result-body{padding-top:5px;}.onebox-result .onebox-result-body img{max-height:80%;max-width:25%;height:auto;float:right;margin-left:10px;}.onebox-result .onebox-result-body h3,.onebox-result .onebox-result-body h4{margin:0;}.onebox-result .onebox-result-body code{max-height:400px;}.onebox-result .onebox-result-body .metrics{clear:both;padding-bottom:25px;}.onebox-result .onebox-result-body .metrics .metric{display:inline-block;padding-right:33px;float:right;}.onebox-result .onebox-result-body img.verdict{float:none;margin-left:7px;}.onebox-result .onebox-result-body img.popcorn{float:none;margin-right:20px;margin-left:5px;}aside.onebox{border:5px solid #e9e9e9;margin-bottom:1em;padding:12px 12px 12px 25px;font-size:1em;}aside.onebox header{margin-bottom:8px;}aside.onebox header a[href]{color:#919191;text-decoration:none;}aside.onebox.stackexchange .source{background:url('/assets/favicons/stackexchange-9e9f17242c6d44137d40a3e55c71129060b103bfa31b7fead4ca3f18358da29f.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.twitterstatus .source{background:url('/assets/favicons/twitter-4ff0f6e16c5f53ddd3b51eeeff8610ea0432d8ebafce89785d75c231386f80d7.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.wikipedia .source{background:url('/assets/favicons/wikipedia-8feddaf7544a35c824f2e4274227fe8e7e7af71ddfe26523fe5fe20497cf5799.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubblob .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubcommit .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubpullrequest .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubissue .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.githubgist .source{background:url('/assets/favicons/github-399dde69546053c9b4b248be54bf45f0a16bbc690b05380fb0973c0208a9dbdb.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.amazon .source{background:url('/assets/favicons/amazon-882adb9da23d489f1d53ba95c6ea4052536732d9caa57ec82a8f8d0f508e48ea.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.instagram .source{background:url('/assets/favicons/instagram-b10f04096a20e469f83a32ec24519d1f20ab473209a77a3c7dbfe767613c9e5f.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.googledocs .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox.googledrive .source{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat 100% 50%;background-size:16px 16px;padding-right:20px;}aside.onebox .onebox-body{clear:both;}aside.onebox .onebox-body h3,aside.onebox .onebox-body h4{font-size:1.1487em;margin:0 0 10px 0;}aside.onebox .onebox-body a[href]{color:#08c;text-decoration:none;}aside.onebox .onebox-body a[href]:visited{color:#08c;}aside.onebox .onebox-body img{max-height:170px;max-width:20%;height:auto;width:auto;float:right;margin-left:10px;}@media all and (max-width:600px){aside.onebox .onebox-body img{max-width:35%;}}aside.onebox .onebox-body img.onebox-full-image{max-height:none;max-width:none;width:initial;height:initial;}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{width:100%;}aside.onebox .onebox-body [style*="--aspect-ratio"]>img{height:auto;}@supports (--custom:property){aside.onebox .onebox-body .aspect-image{max-height:170px;--magic-ratio:calc(var(--aspect-ratio) + 0.15);width:calc(128px * var(--magic-ratio));max-width:20%;float:right;margin-left:10px;height:auto;}aside.onebox .onebox-body .aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;margin-left:none;}aside.onebox .onebox-body .aspect-image-full-size{max-height:500px;width:calc(500px * var(--aspect-ratio));max-width:100%;}aside.onebox .onebox-body .aspect-image-full-size img{width:100%;height:inherit;max-width:initial;max-height:initial;float:none;padding:5px 5px 5px 5px;}aside.onebox .onebox-body [style*="--aspect-ratio"]{position:relative;}aside.onebox .onebox-body [style*="--aspect-ratio"]::before{content:"";display:block;padding-bottom:calc(100% / (var(--aspect-ratio)));}aside.onebox .onebox-body [style*="--aspect-ratio"]>:first-child{position:absolute;top:0;right:0;height:100%;}}aside.onebox .onebox-body p:last-child{margin-bottom:4px;}aside.onebox .onebox-body .tweet-images{display:block;clear:both;}aside.onebox .onebox-body .tweet-images img.tweet-image{margin-top:1em;max-width:100%;max-height:100%;float:none;}@media screen and (max-width:550px){aside.onebox .onebox-body .tweet-images iframe{max-height:70vh;}}aside.onebox .onebox-body.user-onebox .fa{margin-left:5px;}aside.onebox .onebox-body.user-onebox .full-name,aside.onebox .onebox-body.user-onebox .location{margin-left:10px;}aside.onebox .onebox-body .instagram-images,aside.onebox .onebox-body .scale-images{clear:both;position:relative;}aside.onebox .onebox-body .instagram-images .instagram-image,aside.onebox .onebox-body .instagram-images .scale-image,aside.onebox .onebox-body .scale-images .instagram-image,aside.onebox .onebox-body .scale-images .scale-image{padding:5px 5px 5px 5px;max-width:100%;max-height:100%;float:none;}aside.onebox .onebox-body .instagram-video-icon{bottom:10px;left:10px;position:absolute;}aside.onebox .onebox-body .instagram-video-icon:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='32px' height='32px' viewBox='0 0 512 512' fill='white'%3E%3Cpath d='M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z'%3E%3C/path%3E%3C/svg%3E");}.googledocs-onebox-logo{width:60px;height:50px;float:right;}.googledocs-onebox-logo.g-docs-logo{background:url('/assets/favicons/google_branding/logo_docs_48px-ba6cf22f5336743da95749fb1172023f37e55e8783a2766de8d9097b4cc6b5b9.png') no-repeat;}.googledocs-onebox-logo.g-forms-logo{background:url('/assets/favicons/google_branding/logo_forms_48px-d64ec45f889caa62cd4c52bcff1475ef487b9662b5ed6104aa9fa6f8557b09fc.png') no-repeat;}.googledocs-onebox-logo.g-sheets-logo{background:url('/assets/favicons/google_branding/logo_sheets_48px-ca5da2b813ac5382a7b3a42d1327ddbced98467021466efe5494c25ca50f5a38.png') no-repeat;}.googledocs-onebox-logo.g-slides-logo{background:url('/assets/favicons/google_branding/logo_slides_48px-a752c1f8e690496c7b22265f77ebfbc2d584aa42b2e4392f72b1c5a144bbb95f.png') no-repeat;}.googledocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_48px-7e0f251c12ecc35f5260919fe00b3789c58257b76c4288d458a6718f12367145.png') no-repeat;}.googledocs-onebox-logo.g-drive-logo{background:url('/assets/favicons/google_branding/logo_drive_48px-627c9c6fb138ae2f9ff0afd03ab703662c596f9a1a2d7f6de4a0038f9287827e.png') no-repeat;}.gdocs-onebox-splash{background-color:#d6d6d6;color:#222;border:1px inset #222;}.gdocs-onebox-splash .gdocs-onebox-logo{display:inline-block;width:128px;height:128px;}.gdocs-onebox-splash .gdocs-onebox-logo.g-calendar-logo{background:url('/assets/favicons/google_branding/logo_calendar_128px-231ebf870f91f296642eb4e881c76013c818b2f677aec3b1faaac33f72811f56.png') no-repeat;}aside.onebox .onebox-body .onebox-avatar{max-height:none;max-width:none;height:60px;width:60px;}blockquote aside.onebox{border-right:5px solid #e9e9e9;background-color:#f9f9f9;}pre.onebox code ol.lines li:before{position:absolute;display:inline-block;width:35px;right:-40px;color:#afafaf;text-align:left;padding-left:5px;font-size:.8706em;line-height:1.4;content:counter(li-counter);counter-increment:li-counter;}pre.onebox code ol{margin-right:0;line-height:1.4;}pre.onebox code{background-color:#fff;}pre.onebox code li{padding-right:5px;}pre.onebox code ol.lines{position:relative;margin:0 40px 0 0;}pre.onebox code ol.lines li{list-style-type:none;padding-right:5px;margin-right:0;border-right:1px solid #cfcfcf;min-height:1.5em;white-space:pre;}pre.onebox code li.selected{background-color:#f8eec7;}pre.onebox code{white-space:normal;}.onebox.githubpullrequest .onebox-body h4,.onebox.githubcommit .onebox-body h4,.onebox.githubissue .onebox-body h4{margin-bottom:5px;}.onebox.githubpullrequest .onebox-body>.github-icon,.onebox.githubcommit .onebox-body>.github-icon,.onebox.githubissue .onebox-body>.github-icon{float:right;margin-left:5px;}.onebox.githubpullrequest .github-row,.onebox.githubcommit .github-row,.onebox.githubissue .github-row{display:flex;}.onebox.githubpullrequest .github-icon-container,.onebox.githubcommit .github-icon-container,.onebox.githubissue .github-icon-container{display:flex;align-items:flex-start;margin-left:5px;}.onebox.githubpullrequest .github-icon,.onebox.githubcommit .github-icon,.onebox.githubissue .github-icon{fill:#646464;width:40px;height:40px;}.onebox.githubpullrequest .branches,.onebox.githubcommit .branches,.onebox.githubissue .branches{font-size:.8706em;}.onebox.githubpullrequest .branches code,.onebox.githubcommit .branches code,.onebox.githubissue .branches code{word-break:break-all;}.onebox.githubpullrequest .github-info-container,.onebox.githubcommit .github-info-container,.onebox.githubissue .github-info-container{width:100%;}.onebox.githubpullrequest .github-info,.onebox.githubcommit .github-info,.onebox.githubissue .github-info{display:flex;align-items:center;flex-wrap:wrap;width:100%;}.onebox.githubpullrequest .github-info>div,.onebox.githubcommit .github-info>div,.onebox.githubissue .github-info>div{margin:2.5px 0;}.onebox.githubpullrequest .github-info>div:not(:last-child),.onebox.githubcommit .github-info>div:not(:last-child),.onebox.githubissue .github-info>div:not(:last-child){margin-left:15px;}.onebox.githubpullrequest .github-info .lines,.onebox.githubcommit .github-info .lines,.onebox.githubissue .github-info .lines{font-weight:bold;}.onebox.githubpullrequest .github-info .lines .added,.onebox.githubcommit .github-info .lines .added,.onebox.githubissue .github-info .lines .added{color:#090;}.onebox.githubpullrequest .github-info .lines .removed,.onebox.githubcommit .github-info .lines .removed,.onebox.githubissue .github-info .lines .removed{color:#e45735;}.onebox.githubpullrequest .onebox-avatar-inline,.onebox.githubcommit .onebox-avatar-inline,.onebox.githubissue .onebox-avatar-inline{height:20px;width:20px;border-radius:2px;float:none;margin:0;padding:0;vertical-align:middle;max-width:none;}.onebox.githubpullrequest .github-content,.onebox.githubcommit .github-content,.onebox.githubissue .github-content{margin:5px 0 0 0;}.onebox.githubpullrequest .labels span,.onebox.githubcommit .labels span,.onebox.githubissue .labels span{background-color:#919191 !important;color:#fff !important;padding:2px 4px !important;}.onebox-body .github-commit-status{background:#f5f5f5;border-radius:5px;margin:0 100px 5px 0;padding:10px;}.onebox-body .status_tag{display:inline-block;color:#fff;padding:1px 4px;border-radius:3px;font-weight:bold;margin-bottom:5px;text-transform:capitalize;}.onebox-body .build_status{padding:2px;font-size:.8706em;}.onebox-body .status_tag.open{background-color:#6cc644;}.onebox-body .status_tag.merged{background-color:#6e5494;}.onebox-body .status_tag.closed{background-color:#bd2c00;}.onebox-body .github-content-right{margin-right:100px;}aside.onebox.twitterstatus .onebox-body h4{margin-bottom:0;}.onebox.twitterstatus .thumbnail{width:48px;height:48px;}.onebox.twitterstatus p,.onebox.twitterstatus .tweet{white-space:pre-line;padding-top:3px;margin-right:70px;}.onebox.twitterstatus p .quoted,.onebox.twitterstatus .tweet .quoted{border:1px solid #e9e9e9;padding:0px 12px 0px 14px;white-space:normal;margin-top:15px;}.onebox.twitterstatus p .quoted .quoted-link,.onebox.twitterstatus .tweet .quoted .quoted-link{color:inherit;}.onebox.twitterstatus p .quoted .quoted-title,.onebox.twitterstatus .tweet .quoted .quoted-title{font-weight:bold;margin:5px 2px;}.onebox.twitterstatus p .quoted .quoted-title span,.onebox.twitterstatus .tweet .quoted .quoted-title span{font-weight:lighter;color:#919191;}.onebox.twitterstatus p .quoted div,.onebox.twitterstatus .tweet .quoted div{margin-bottom:5px;}.onebox.twitterstatus .date{clear:right;}.onebox.imgur-album .outer-box,.onebox.google-photos-album .outer-box,.onebox.flickr-album .outer-box{position:absolute;z-index:1;font-size:.8706em;color:#fff;background-color:rgba(0,0,0,0.6);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:690px;padding:5px 0;}.onebox.imgur-album .outer-box .inner-box,.onebox.google-photos-album .outer-box .inner-box,.onebox.flickr-album .outer-box .inner-box{padding-right:10px;padding-left:10px;overflow:hidden;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.onebox.imgur-album .outer-box .inner-box .album-title,.onebox.google-photos-album .outer-box .inner-box .album-title,.onebox.flickr-album .outer-box .inner-box .album-title{width:100%;font-size:1.1487em;line-height:1.4;color:#ccc;text-decoration:none;}aside.onebox.stackexchange .onebox-body img:not(.onebox-avatar){max-height:60%;max-width:10%;}aside.onebox.stackexchange .onebox-body .tags{color:gray;}.onebox-metadata{color:#919191;}.onebox.xkcd .onebox-body img{max-width:100% !important;float:none !important;}.onebox.pdf .onebox-body .pdf-onebox-logo{width:60px;height:50px;float:right;background:url('/assets/favicons/pdf_64px-4e8a1bffc220412e7b3b299e56ef313353621a4c6bf05066d32d3b792e7820a7.png') no-repeat;background-size:48px 48px;display:inline-block;}.onebox.pdf .onebox-body .filesize{color:gray;}.onebox.whitelistedgeneric .label1,.onebox.whitelistedgeneric .label2{color:#919191;}.onebox.whitelistedgeneric .label1{float:right;}.onebox.whitelistedgeneric .label2{float:left;}.onebox.whitelistedgeneric .site-icon,.onebox.gfycat .site-icon{width:16px;height:16px;margin-left:3px;}.onebox.gfycat p span.label1 a{white-space:nowrap;}.onebox.instagram div.instagram-description{color:#919191;padding-top:10px;}.onebox.githubcommit pre.message{padding:0;}.onebox.twitterstatus .like,.onebox.twitterstatus .retweet{color:#919191;padding-right:10px;}.onebox.twitterstatus .like svg,.onebox.twitterstatus .retweet svg{fill:currentColor;vertical-align:middle;}.mobile-view article.onebox-body{border-top:none;}.onebox.video-onebox{position:relative;padding:0 0 56.25% 0;width:100%;}.onebox.video-onebox video{position:absolute;width:100%;height:100%;}.onebox-placeholder-container{position:relative;width:100%;padding:0 0 48.25% 0;background-color:#e9e9e9;}.onebox-placeholder-container .placeholder-icon{position:absolute;width:100%;height:100%;display:flex;justify-content:center;align-items:center;}.onebox-placeholder-container .placeholder-icon.video:before{opacity:0.8;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 576 512'%3E%3Cpath fill='grey' d='M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z'%3E%3C/path%3E%3C/svg%3E");}.onebox-placeholder-container .placeholder-icon.audio:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath fill='currentColor' d='M511.99 32.01c0-21.71-21.1-37.01-41.6-30.51L150.4 96c-13.3 4.2-22.4 16.5-22.4 30.5v261.42c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64V214.31l256-75.02v184.63c-10.05-2.38-20.72-3.92-32-3.92-53.02 0-96 28.65-96 64s42.98 64 96 64 96-28.65 96-64l-.01-351.99z'%3E%3C/path%3E%3C/svg%3E");}.onebox-placeholder-container .placeholder-icon.generic:before{opacity:0.4;content:url("data:image/svg+xml;charset=utf8,%3Csvg width='128px' height='128px' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath fill='currentColor' d='M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z'%3E%3C/path%3E%3C/svg%3E");}.d-header{display:flex;align-items:center;width:100%;position:absolute;top:0;z-index:1000;background-color:#fff;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25);}.d-header>.wrap{width:calc(100% - 16px);height:100%;}.d-header>.wrap .contents{display:flex;align-items:center;height:100%;}.d-header>.wrap .contents .header-row{width:100%;}.d-header>.wrap .contents .header-row .logo-wrapper{float:right;}.d-header>.wrap .contents .header-row .auth-buttons{float:left;margin-top:0.4em;}.d-header>.wrap .contents .header-row .auth-buttons .login-button,.d-header>.wrap .contents .header-row .auth-buttons .signup-button{padding:8px 14px;}.docked .d-header{position:fixed;backface-visibility:hidden;}.d-header .title{display:flex;align-items:center;height:100%;}.d-header .title a,.d-header .title a:visited{color:#333;}.d-header #site-logo{width:auto;}.d-header .d-icon-home{font-size:2.296em;}.d-header .panel{position:relative;display:flex;flex:0 0 auto;margin-right:auto;align-items:center;}.d-header .hamburger-panel,.d-header .user-menu,.d-header .search-menu{width:0;}.d-header .header-buttons{display:flex;align-items:center;margin-top:0.2em;}.d-header .login-button,.d-header button.sign-up-button{padding:6px 10px;}.d-header .login-button .fa,.d-header button.sign-up-button .fa{margin-left:3px;}.d-header button.login-button{margin-right:7px;}.header-dropdown-toggle .flagged-posts,.header-dropdown-toggle .reviewables,.drop-down .flagged-posts,.drop-down .reviewables,.panel-body .flagged-posts,.panel-body .reviewables{background:#e45735;min-width:6px;}.d-header-icons{text-align:center;margin:0 5px 0 0;list-style:none;}.d-header-icons>li{float:right;}.d-header-icons .icon{position:relative;display:flex;align-items:center;justify-content:center;width:2.2857em;height:2.2857em;padding:0.2143em;text-decoration:none;cursor:pointer;border-top:1px solid transparent;border-right:1px solid transparent;border-left:1px solid transparent;transition:all linear 0.15s;outline:none;}.d-header-icons .icon img.avatar{width:2.1333em;height:2.1333em;}.d-header-icons .icon:hover,.d-header-icons .icon:focus{background-color:#e9e9e9;border-top:1px solid transparent;border-right:1px solid transparent;border-left:1px solid transparent;}.d-header-icons .icon:hover .d-icon,.d-header-icons .icon:focus .d-icon{color:#919191;}.d-header-icons .icon:active{color:#222;background-color:#e9e9e9;}.drop-down-mode .d-header-icons .active .icon{position:relative;background-color:#fff;cursor:default;border-top:1px solid #e9e9e9;border-right:1px solid #e9e9e9;border-left:1px solid #e9e9e9;}.drop-down-mode .d-header-icons .active .icon .d-icon{color:#919191;}.drop-down-mode .d-header-icons .active .icon:after{display:block;position:absolute;top:100%;right:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #fff;}.drop-down-mode .d-header-icons .active .icon:hover{border-bottom:none;}.d-header-icons .d-icon{width:100%;font-size:1.7511em;line-height:1.4;display:inline-block;color:#c2c2c2;}.d-header-icons .notifications{position:relative;}.d-header-icons .ring{position:absolute;top:-9px;z-index:1;margin-right:0;}.d-header-icons .header-dropdown-toggle{position:relative;}.d-header-icons .badge-notification{position:absolute;z-index:1;right:0;top:-4px;min-width:0.6em;}.d-header-icons .unread-notifications{right:auto;left:-3px;background-color:#6cf;}.d-header-icons .unread-private-messages,.d-header-icons .ring{right:auto;left:25px;}.highlight-strong{background-color:#ffffa6;}.search-highlight{font-weight:bold;}#search-help table td{padding-left:10px;}#search-term::-ms-clear{display:none;}.extra-info-wrapper{display:flex;align-items:center;flex:1 1 0%;height:100%;line-height:1.2;padding:0 0.5em 0 1.5em;overflow:hidden;}.extra-info-wrapper .extra-info{overflow:hidden;width:100%;-webkit-animation:fadein 0.5s;animation:fadein 0.5s;}.extra-info-wrapper .topic-link{color:#333;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .topic-statuses .d-icon{color:#999;}.extra-info-wrapper .topic-statuses .d-icon-envelope{color:#e45735;}.extra-info-wrapper .header-title{margin:0 0 0.15em 0;font-size:1.5157em;width:100%;}.archetype-private_message .extra-info-wrapper .header-title{margin:0;}.extra-info-wrapper .categories-wrapper{display:inline-flex;align-items:center;max-width:80%;flex:0 1 auto;min-width:1px;}.extra-info-wrapper .categories-wrapper .badge-wrapper{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .badge-wrapper{margin-left:8px;}.extra-info-wrapper .badge-wrapper.bullet .badge-category-parent-bg,.extra-info-wrapper .badge-wrapper.bullet .badge-category-bg{min-width:5px;}.extra-info-wrapper .badge-wrapper.bullet span.badge-category,.extra-info-wrapper .badge-wrapper.bar span.badge-category,.extra-info-wrapper .badge-wrapper.none span.badge-category{color:#707070;}.extra-info-wrapper .topic-header-extra{display:inline-flex;align-items:center;max-width:100%;flex:1 0 0%;}.extra-info-wrapper .topic-header-extra .discourse-tags{color:#707070;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.extra-info-wrapper .topic-header-extra .discourse-tags .discourse-tag{display:inline;}.extra-info-wrapper .topic-header-extra{min-width:1px;}.topic-header-participants{display:flex;align-items:center;overflow:hidden;font-size:.8706em;}.topic-header-participants:not(:first-child){margin-right:5px;}.topic-header-participants .trigger-user-card:not(:last-of-type),.topic-header-participants .trigger-group-card:not(:last-of-type){margin-left:5px;}.topic-header-participants .trigger-user-card .icon{height:1.641em;display:inline-block;}.mobile-view .topic-header-participants .trigger-user-card .icon{height:1.532em;}.topic-header-participants .trigger-user-card .icon img{height:100%;width:auto;}.topic-header-participants .trigger-group-card{padding:0 5px;border:1px solid #e9e9e9;border-radius:0.25em;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.topic-header-participants .trigger-group-card .icon{display:flex;align-items:center;height:1.641em;color:#646464;}.mobile-view .topic-header-participants .trigger-group-card .icon{height:1.532em;}.topic-header-participants .trigger-group-card .icon .d-icon{margin-left:5px;}.topic-header-participants .trigger-group-card span{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.topic-header-participants .more-participants{color:#707070;margin-right:5px;}span.bbcode-b{font-weight:bold;}span.bbcode-i{font-style:italic;}span.bbcode-u{text-decoration:underline;}span.bbcode-s{text-decoration:line-through;}#simple-container{border-radius:10px;background-color:#fff;padding:20px;width:550px;margin:0 auto;}#simple-container .account-created .ac-message{font-size:1.1487em;line-height:1.4;}#simple-container .account-created .activation-controls button{margin-left:0.5em;}.show-topic-admin{position:fixed;top:120px;left:10px;z-index:300;height:35px;}.popup-menu{background-color:#fff;width:215px;padding:10px;border:1px solid #e9e9e9;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);}.popup-menu ul{list-style:none;margin:10px 0 0 0;}.popup-menu .btn{text-align:right;}.popup-menu button{width:100%;margin-bottom:5px;}.modal-body.feature-topic{padding:5px;max-height:500px;}.modal-body.feature-topic input.date-picker{margin:0;}.modal-body.feature-topic hr{margin:10px 0;}.modal-body.feature-topic .feature-section{display:block;}.modal-body.feature-topic .feature-section .badge-wrapper{margin-left:0;}.modal-body.feature-topic .feature-section .desc{display:inline-block;vertical-align:middle;margin-right:10px;}.modal-body.feature-topic .feature-section .desc p:first-of-type{margin:0;}.modal-body.feature-topic .feature-section .desc p{margin:10px 0 0;}.modal-body.feature-topic .feature-section .with-validation{position:relative;}.desktop-view .feature-topic-modal .feature-topic{overflow:visible;}.desktop-view .feature-topic-modal .modal-inner-container{min-width:700px;}.desktop-view .feature-topic-modal .pin-until{position:relative;display:inline-block;}.mobile-view .feature-topic .feature-section .desc{display:block;clear:both;max-width:90%;margin:0 10px;}.selected-posts{border:1px solid #6cf;background-color:#d1f0ff;}.selected-posts .btn{border:none;color:#fff;font-weight:normal;margin-bottom:10px;}.selected-posts .btn:not(.btn-danger){background:#08c;border-color:#08c;}.selected-posts .btn:not(.btn-danger)[href]{color:#fff;}.selected-posts .btn:not(.btn-danger):hover{color:#fff;background:#0aadff;}.selected-posts .btn:not(.btn-danger):active{background-color:#004b70;background-image:linear-gradient(to bottom,#004b70,#005f8f);color:#fff;}.selected-posts .btn[disabled]{text-shadow:0 1px 0 rgba(34,34,34,0.2);background-color:#08c;background-image:linear-gradient(to bottom,#08c,#046);box-shadow:0 1px 0 rgba(0,0,0,0.33) inset;}.lightbox-wrapper .lightbox{position:relative;display:inline-block;overflow:hidden;}.lightbox-wrapper .lightbox:hover .meta{opacity:0.9;transition:opacity 0.5s;}.d-lazyload-hidden{box-sizing:border-box;}.onebox img.d-lazyload-hidden{border:1px solid #e9e9e9;}.cooked img.d-lazyload{transition:opacity 0.4s 0.75s ease;}.lightbox-wrapper{display:inline-block;}.lightbox-wrapper img{object-fit:cover;object-position:top;}.lightbox-wrapper,.lightbox-wrapper *{outline:0;}.meta{position:absolute;bottom:0;width:100%;color:#fff;background:#222;opacity:0;transition:opacity 0.2s;display:flex;align-items:center;}.meta .filename{margin:6px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.meta .d-icon{margin:6px;opacity:0.8;color:#fff;}.meta .d-icon+.filename{margin-right:0px;}.meta .informations{margin:6px;padding-left:20px;color:#a6a6a6;font-size:1em;flex-shrink:0;flex-grow:3;}.mfp-preloader .spinner{margin:auto;}.discourse-no-touch a.lightbox{-webkit-transition:all 0.6s cubic-bezier(0.165,0.84,0.44,1);transition:all 0.6s cubic-bezier(0.165,0.84,0.44,1);}.discourse-no-touch a.lightbox:hover{border-radius:5px;box-shadow:0 2px 5px 0 rgba(34,34,34,0.2), 0 2px 10px 0 rgba(34,34,34,0.2);}.reorder-categories thead th{padding-bottom:0.5em;}.reorder-categories input{width:4em;}@media screen and (max-width:550px){.reorder-categories input{width:2em;}}.reorder-categories table{width:100%;padding-bottom:150px;}.reorder-categories table td{padding:0.5em 0 0.5em 0.5em;}@media screen and (min-width:null){.reorder-categories table td{min-width:15em;}}.reorder-categories .badge-wrapper span.badge-category{max-width:20em;}@media screen and (max-width:550px){.reorder-categories .badge-wrapper span.badge-category{max-width:30vw;}}.reorder-categories-sub-cat{margin-right:20px;}.edit-topic-timer-modal .modal-body{max-height:none;overflow:visible !important;}.edit-topic-timer-modal .control-group{display:flex;align-items:center;}.edit-topic-timer-modal .control-group>.d-icon{margin-left:5px;}.edit-topic-timer-modal input.date-picker,.edit-topic-timer-modal input[type="time"]{width:200px;text-align:right;}.edit-topic-timer-modal .radios{margin-bottom:10px;}.edit-topic-timer-modal label{display:inline-flex;padding-left:5px;margin-bottom:0;align-items:center;}.edit-topic-timer-modal label input{margin-top:0;}.edit-topic-timer-modal .btn.pull-right{margin-left:10px;}.edit-topic-timer-modal .future-date-input input{margin:0;}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -15px -15px -15px;}.edit-topic-timer-modal .future-date-input .btn-clear{display:none;}.edit-topic-timer-modal .future-date-input .topic-status-info{border:none;padding:0;}.edit-topic-timer-modal .future-date-input .topic-status-info h3{font-weight:normal;font-size:1.1487em;}.edit-topic-timer-modal .future-date-input input[disabled]{background:#e9e9e9;}.edit-topic-timer-modal .pika-single{position:absolute !important;}.mobile-view .edit-topic-timer-modal .select-kit.combo-box{flex:1 0 0px;}.redirection-warning{margin:0 auto;text-align:center;font-size:1.7511em;line-height:1.2;}.rtl .d-icon-caret-right{-webkit-transform:rotate(180deg);-moz-transform:rotate(180deg);-ms-transform:rotate(180deg);-o-transform:rotate(180deg);transform:rotate(180deg);filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand',M11=cos(180),M12=-sin(180),M21=sin(180),M22=cos(180))";-ms-filter:"progid:DXImageTransform.Microsoft.Matrix(sizingMethod='auto expand',M11=cos(180),M12=-sin(180),M21=sin(180),M22=cos(180))";zoom:1;}.rtl .nav-stacked a.active::after{border-left-color:transparent !important;border-right-color:#fff !important;}.rtl code{direction:ltr !important;text-align:left !important;}.rtl .pull-left{float:right !important;}.rtl .autocomplete{right:27px;}.rtl .admin-customize .current-style .toggle-mobile{position:static !important;float:left !important;}.rtl .admin-customize .current-style .toggle-maximize{position:static !important;float:left !important;}.rtl .dashboard-left{float:right !important;}.rtl .dashboard-right{float:left !important;}.cooked ul[dir="ltr"],.d-editor-preview ul[dir="ltr"],.cooked ul[dir="rtl"],.d-editor-preview ul[dir="rtl"]{padding-left:40px;padding-right:40px;}.rtl aside.onebox.githubblob{padding:12px 25px 12px 12px !important;direction:ltr !important;}.rtl aside.onebox.githubblob .source{background-position:0 50% !important;padding-left:20px;}.rtl pre.onebox code ol.lines{margin:0 0 0 40px !important;}.rtl pre.onebox code ol.lines li:before{left:-40px;padding-right:5px;padding-left:0;text-align:right !important;}.rtl pre.onebox code ol.lines li{padding-left:5px;padding-right:0;margin-left:0;border-left:1px solid #cfcfcf;border-right:none !important;}.search-menu .search-input{position:relative;padding:0.5em 3px;}.search-menu .search-context .show-help{float:left;}.search-menu .heading{padding:5px 5px 5px 0;}.search-menu .heading .filter{padding:0 5px;}.search-menu input[type="text"]{box-sizing:border-box;width:calc(100% - 6px);height:32px;}.search-menu .search-context{padding:0 5px;}.search-menu .search-context label{margin-bottom:0;}.search-menu .search-context+.results{margin-top:5px;}.search-menu .results{display:flex;flex-direction:row;}.search-menu .results .list{min-width:100px;}.search-menu .results .list .item .blurb{overflow-wrap:break-word;word-wrap:break-word;-ms-word-break:break-all;word-break:break-all;word-break:break-word;-ms-hyphens:auto;-moz-hyphens:auto;-webkit-hyphens:auto;hyphens:auto;margin-top:0.25em;}.search-menu .results .search-result-topic .second-line{display:flex;flex-wrap:wrap;align-items:center;}.search-menu .results .search-result-topic .second-line .discourse-tags{flex-wrap:wrap;display:contents;}.search-menu .results .main-results{display:flex;flex:1 1 auto;}.search-menu .results .main-results .topic-statuses{color:#919191;}.search-menu .results .main-results+.secondary-results{border-right:1px solid #e9e9e9;margin-right:1em;padding-right:1em;max-width:33%;}.search-menu .results .secondary-results{display:flex;flex-direction:column;flex:1 1 auto;}.search-menu .results .secondary-results .separator{margin-bottom:1em;margin-top:1em;height:1px;background:#e9e9e9;}.search-menu .results .secondary-results .search-result-tag .discourse-tag{font-size:.8706em;}.search-menu .results .secondary-results .search-result-category .widget-link{margin-bottom:0;}.search-menu .results .secondary-results .search-result-group .search-link{color:#646464;}.search-menu .results .secondary-results .search-result-group .search-link:hover{color:#222;}.search-menu .results .secondary-results .search-result-group .group-result{display:flex;align-items:center;}.search-menu .results .secondary-results .search-result-group .group-result .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair{min-width:25px;margin-left:0.5em;}.search-menu .results .secondary-results .search-result-group .group-result .d-icon .d-icon,.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair .d-icon{margin-left:0;}.search-menu .results .secondary-results .search-result-group .group-result .avatar-flair-image{background-repeat:no-repeat;background-size:100% 100%;min-height:25px;}.search-menu .results .secondary-results .search-result-group .group-result .group-names{display:flex;flex-direction:column;overflow:auto;line-height:1.2;}.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names:hover .slug{color:#646464;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name,.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .name{font-weight:700;}.search-menu .results .secondary-results .search-result-group .group-result .group-names .slug{font-size:.8706em;color:#646464;}.search-menu .results .secondary-results .search-result-category .list,.search-menu .results .secondary-results .search-result-user .list,.search-menu .results .secondary-results .search-result-group .list,.search-menu .results .secondary-results .search-result-tag .list{display:block;}.search-menu .results .secondary-results .search-result-category .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-user .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-group .list .item .widget-link.search-link,.search-menu .results .secondary-results .search-result-tag .list .item .widget-link.search-link{flex:1;font-size:1em;padding:5px;}.search-menu .results .secondary-results .search-result-user .user-result{display:flex;flex-direction:row;align-items:center;}.search-menu .results .secondary-results .search-result-user .user-result .avatar{margin-left:0.5em;display:block;min-width:25px;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles{display:flex;flex-direction:column;overflow:auto;line-height:1.2;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username,.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .username{color:#646464;font-size:.8706em;}.search-menu .results .secondary-results .search-result-user .user-result .user-titles .name{color:#646464;font-size:1em;font-weight:700;}.search-menu .results .show-more{padding:5px;}.search-menu .searching{position:absolute;top:1.15em;left:1em;}.search-menu .searching .spinner{width:10px;height:10px;border-width:2px;margin:0;}.search-menu .no-results{padding:5px;}.search-menu .filter{padding:0;}.search-menu .filter:hover{background:transparent;}.search-menu .search-link{margin-bottom:0.25em;}.search-menu .search-link .badge-category-parent{line-height:1;}.search-menu .search-link .topic{display:inline-block;line-height:1.2;}.search-menu .search-link .topic-title{margin-left:0.25em;}.user-badge,#user-card .sixth-row .badge-section .more-user-badges a{padding:3px 8px;color:#222;border:1px solid #e9e9e9;line-height:1.4;display:inline-flex;align-items:center;background-color:#fff;margin:0 0 3px;}.user-badge img,#user-card .sixth-row .badge-section .more-user-badges a img{height:16px;width:16px;}.user-badge .badge-display-name,#user-card .sixth-row .badge-section .more-user-badges a .badge-display-name{margin-right:0.25em;}.user-badge.badge-type-gold .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-gold .fa{color:#e7c300 !important;}.user-badge.badge-type-silver .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-silver .fa{color:silver !important;}.user-badge.badge-type-bronze .fa,#user-card .sixth-row .badge-section .more-user-badges a.badge-type-bronze .fa{color:#cd7f32 !important;}.user-badge.disabled,#user-card .sixth-row .badge-section .more-user-badges a.disabled{color:#919191;background-color:#f8f8f8;}.user-badge.disabled .fa,#user-card .sixth-row .badge-section .more-user-badges a.disabled .fa{opacity:0.4;}@media all and (max-width:750px){.show-badge .user-badge-with-posts .badge-user a.post-link{width:auto;}.show-badge div.badge-user{padding:0;}.badges-listing{display:block;}.badges-listing .info,.badges-listing .grant-count{text-align:right;}.badges-listing .row>div.info{display:none;}.badges-listing .row{display:block;}.badges-listing .row>div{display:block;margin-top:10px;}}.show-badge .badge-user-info .earned{font-size:1.3195em;margin-bottom:1em;}.show-badge .single-user{margin-right:2%;padding-bottom:20px;}.show-badge .single-user .load-more{padding-top:30px;display:block;font-size:1.3195em;}.show-badge .single-user .badge-user{padding-right:0;text-align:right;display:block;margin:20px 0;width:800px;}.show-badge .single-user .badge-user .badge-info{display:none;}.show-badge .single-user .badge-user .date{display:inline-block;font-size:1.1487em;margin-right:10px;}.show-badge .single-user .badge-user .post-link{font-size:1.3195em;width:500px;margin:0;padding:0;}.show-badge .single-user .badge-user:after{content:"";clear:both;display:table;}.long-description.banner{width:88%;margin-bottom:15px;margin-top:15px;}.badge-card{position:relative;display:inline-block;background-color:#f8f8f8;border:1px solid #e9e9e9;margin-bottom:2vh;transition:box-shadow 0.25s;}.badge-card .check-display{position:absolute;right:5px;top:5px;}.badge-card .grant-count{position:absolute;left:5px;top:5px;font-weight:bold;color:#919191;font-size:1.3195em;}.badge-card .badge-contents{display:flex;min-height:128px;height:100%;padding:0 10%;}.badge-card .badge-contents .badge-link{color:#222;}.badge-card .badge-contents .badge-icon{display:flex;flex:0 0 auto;width:1.23em;margin-left:5%;align-items:center;justify-content:center;font-size:3.5em;}.badge-card .badge-contents .badge-icon a{width:100%;}.badge-card .badge-contents .badge-icon img{width:100%;max-width:65px;max-height:80px;}.badge-card .badge-contents .badge-icon.badge-type-gold .fa{color:#e7c300 !important;}.badge-card .badge-contents .badge-icon.badge-type-silver .fa{color:#c0c0c0 !important;}.badge-card .badge-contents .badge-icon.badge-type-bronze .fa{color:#cd7f32 !important;}.badge-card .badge-contents .badge-info{display:flex;flex:1 1 auto;align-items:center;padding:1em 0 1em 1.5em;color:#222;}@media screen and (max-width:600px){.badge-card .badge-contents .badge-info{padding-left:0;}}.badge-card .badge-contents .badge-info h3{margin-bottom:0.25em;font-size:1.1487em;}@media screen and (min-width:900px){.badge-card .badge-contents .badge-info h3{font-size:1.3195em;}}.badge-card.medium{flex:0 0 auto;width:32%;margin-left:1.63%;}@media screen and (min-width:851px){.badge-card.medium:nth-of-type(3n){margin-left:0;}}@media screen and (max-width:850px){.badge-card.medium{width:48.5%;}.badge-card.medium:nth-of-type(2n){margin-left:0;}}@media screen and (max-width:550px){.badge-card.medium{flex:0 0 100%;}}.badge-card.medium:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15);}.badge-card.medium:active{box-shadow:none;}.badge-card.large{width:100%;align-self:flex-start;}@media screen and (min-width:767px){.badge-card.large{max-width:calc(1110px / 2);margin-left:1.5em;}}.badge-card.large .badge-contents{padding:0 5%;}.badge-card.large .badge-contents h3{font-size:1.5157em;}.badges-granted{display:flex;flex-wrap:wrap;}@media screen and (max-width:800px){.badges-granted{justify-content:space-between;}}.badge-groups{margin:20px 0;color:#919191;}.badge-groups h3{margin-bottom:1em;}.badge-title .user-content{padding:0;}.badge-group-list{margin-bottom:1.5em;display:flex;flex-wrap:wrap;}@media screen and (max-width:850px){.badge-group-list{justify-content:space-between;}}.badge-group-list .title{width:100%;font-size:1.1487em;}.show-badge-details{display:flex;flex-wrap:wrap;flex-direction:row;margin-bottom:2em;margin-top:1em;}.show-badge-details .badge-grant-info.hidden{display:none;}.show-badge-details .grant-info-item{margin-bottom:1em;color:#919191;}.show-badge-details .grant-info-item:first-of-type{margin-left:10px;}.show-badge-details .badge-set-title{padding:1.5em;border:1px solid #e9e9e9;}.show-badge-details .badge-set-title .user-content{padding:0;}.show-badge-details .badge-set-title .user-content .control-group{margin-bottom:1em;}.show-badge-details .badge-title .form-horizontal .controls{margin-right:0;}.show-badge-details .form-horizontal{margin-bottom:0;}.check-display{display:inline-block;padding:0 0.25em;border-radius:10px;text-align:center;}.check-display .fa{font-size:0.9em;color:#fff;}.check-display.status-checked{background-color:#090;}.check-display.status-unchecked{background-color:#e45735;}.hyperlink{cursor:pointer;}.reviewable .flagged-post-header{width:100%;display:flex;justify-content:space-between;}.reviewable .status{color:#919191;}.reviewable .status span.approved{color:#090;}.reviewable .status span.approved .d-icon{color:currentColor;}.reviewable .status span.rejected{color:#e45735;}.reviewable .status span.rejected .d-icon{color:currentColor;}.reviewable .explain{margin-right:0.5em;}.reviewable .nav-pills{margin-bottom:1em;}.reviewable .reviewable-container{display:flex;flex-direction:row;margin-top:1em;}.reviewable .reviewable-container .reviewable-list{flex:1;box-sizing:border-box;max-width:760px;min-width:0;margin-left:auto;}.reviewable .reviewable-container .reviewable-filters{width:250px;height:100%;box-sizing:border-box;}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin-right:1em;}.reviewable-settings h4{margin-top:1em;margin-bottom:1em;}.reviewable-settings .saved{margin-right:0.5em;}.reviewable-settings .reviewable-score-type{display:flex;margin-bottom:0.5em;}.reviewable-settings .reviewable-score-type .select-kit{min-width:10em;}.reviewable-settings .reviewable-score-type .title{width:30%;}.reviewable-user-info{margin:0.5em 0;}.reviewable-user-info .reviewable-user-fields{margin-bottom:2em;}.reviewable-user-info .reviewable-user-details{border-bottom:1px solid #e9e9e9;padding-bottom:0.25em;display:flex;margin-bottom:0.5em;}.reviewable-user-info .reviewable-user-details .name{width:8em;font-weight:bold;margin-left:1em;}.no-review{margin-top:1em;}.reviewable-filters{background-color:#f8f8f8;padding:1em;margin-bottom:1em;}.reviewable-filters .reviewable-filter{display:flex;flex-direction:column;margin:0 0 1em 0;}.reviewable-filters .reviewable-filter .filter-label{margin:0 0 0.5em 0;}.reviewable-filters .reviewable-filter .score-filter{margin:0;width:100%;}.reviewable-filters .reviewable-filter .category-chooser{width:100%;}.reviewable-filters .reviewable-filter .d-date-time-input-range{width:inherit;border:none;padding:0;}.reviewable-filters .reviewable-filter .d-date-time-input-range .d-date-input{flex:1 1 auto;border:1px solid #919191;}.reviewable-claimed-topic{display:flex;align-items:center;}.reviewable-claimed-topic .btn-small,.reviewable-claimed-topic .modal.history-modal #revision-footer-buttons button,.modal.history-modal #revision-footer-buttons .reviewable-claimed-topic button{margin-right:0.5em;}.reviewable-actions .claimed-actions{display:flex;width:100%;justify-content:space-between;align-items:center;margin-bottom:0.5em;}.claimed-by{display:flex;align-items:center;}.claimed-by .claimed-username{margin-right:0.5em;}.reviewable-topics{width:100%;}.reviewable-topics tbody td{padding:0.5em;}.reviewable-topics .reviewable-details{display:flex;justify-content:flex-end;}.reviewable-topics .reviewable-details .btn{display:flex;align-items:center;margin-right:1em;}.reviewable-filters .topic-filter .btn{display:flex;width:auto;}.reviewable-filters .refresh{height:1em;display:flex;}.reviewable-filters .score-filter{width:5em;}.user-flag-percentage{display:flex;align-items:center;margin-right:0.5em;}.user-flag-percentage .percentage-label{margin-left:0.25em;}.user-flag-percentage .percentage-label.agreed{color:#090;}.user-flag-percentage .percentage-label.agreed+.d-icon{color:#090;}.user-flag-percentage .percentage-label.disagreed{color:#e45735;}.user-flag-percentage .percentage-label.disagreed+.d-icon{color:#e45735;}.user-flag-percentage .percentage-label.ignored{color:#919191;}.user-flag-percentage .d-icon{font-size:0.9em;}.reviewable-item{padding-top:2em;border-top:1px solid #e9e9e9;padding-bottom:1em;}.reviewable-item .topic-statuses{font-size:1.3195em;}.reviewable-item .reviewable-meta-data{color:#919191;display:flex;width:100%;margin-bottom:0.5em;font-size:.8706em;align-items:baseline;}.reviewable-item .reviewable-meta-data .reviewable-type{margin-left:0.25em;}.reviewable-item .reviewable-meta-data .reply-count{margin-right:1em;}.reviewable-item .reviewable-meta-data .created-at{margin-right:1em;margin-left:auto;}.reviewable-item .reviewable-meta-data .created-at a{color:#919191;}.reviewable-item .reviewable-meta-data .score{font-size:.8706em;}.reviewable-item .reviewable-contents{display:flex;flex-wrap:wrap;margin-bottom:2em;}.reviewable-item .reviewable-actions{display:flex;flex-wrap:wrap;}.reviewable-item .reviewable-actions button{white-space:nowrap;}.reviewable-item .reviewable-actions .reviewable-action,.reviewable-item .reviewable-actions .reviewable-action-dropdown{margin-left:0.5em;}.reviewable-histories{margin-top:1em;}.reviewable-scores{min-width:50%;color:#646464;}.reviewable-scores .reviewed-by .date{margin-right:0.5em;}.reviewable-scores .user,.reviewable-scores .reviewed-by{display:flex;align-items:center;}.reviewable-scores .user-flag-percentage{margin-right:0.5em;}.reviewable-scores .d-icon{font-size:.8706em;color:#919191;}.reviewable-scores .badge-notification{line-height:1.2;vertical-align:text-top;}.reviewable-scores tbody{border-width:1px;}.reviewable-scores tbody td{white-space:nowrap;vertical-align:baseline;}.reviewable-scores tbody td.user a,.reviewable-scores tbody td.reviewed-by a{max-width:150px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.reviewable-scores tbody td:last-of-type{width:100%;white-space:normal;}.reviewable-scores tbody>tr>th{text-align:right;}.reviewable-scores tbody>tr>th:not(:empty),.reviewable-scores tbody>tr>td:not(:empty){padding:0.5em 0 0.5em 1em;}@media screen and (max-width:450px){.reviewable-scores tbody>tr>th,.reviewable-scores tbody>tr>td{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-left:0.5em;}}.reviewable-scores tbody .reviewable-score-spacer{padding-left:1em;}.reviewable-score-reason{margin:0.5em 0;max-width:690px;margin-bottom:0.5em;}.reviewable-conversation{margin:0.5em 0;}.reviewable-conversation .reviewable-conversation-post{max-width:690px;margin-bottom:0.5em;}.reviewable-conversation .reviewable-conversation-post .username{font-weight:bold;margin-left:0.25em;}.reviewable-conversation .controls{margin-top:0.25em;}.reviewable-item .show-raw-email{color:#919191;font-size:.7579em;}.reviewable-item .post-title{background-color:yellow;}.reviewable-item .created-by{margin-left:1em;padding-top:0.35em;}@media screen and (max-width:450px){.reviewable-item .created-by{float:right;margin-bottom:1em;}}.reviewable-item .names{font-weight:bold;}.reviewable-item .post-contents-wrapper{width:100%;margin-top:1em;min-width:275px;word-break:break-word;}@media screen and (min-width:450px){.reviewable-item .post-contents-wrapper{display:flex;}}.reviewable-item .reviewable-post-header{display:flex;justify-content:space-between;max-width:690px;width:690px;align-items:center;}.reviewable-item .reviewable-post-header .reviewable-reply-to{display:flex;align-items:center;color:#919191;font-size:0.9em;}.reviewable-item .reviewable-post-header .reviewable-reply-to .d-icon{margin-left:0.5em;}.reviewable-item .post-contents{width:100%;min-width:0;}.reviewable-item .post-body{max-width:690px;max-height:300px;margin-top:0.5em;overflow-y:auto;}.reviewable-item .post-body p,.reviewable-item .post-body aside{margin:0 0 1em 0;}.reviewable-item .post-body pre,.reviewable-item .post-body code{word-break:break-all;}.reviewable-item .post-topic{width:100%;color:#919191;margin-bottom:0.75em;}.reviewable-item .post-topic .title-text{font-weight:bold;color:#222;display:block;font-size:1.3195em;margin-left:0.75em;}.reviewable-item .post-topic .topic-statuses:empty{display:none;}.editable-fields{width:100%;}.editable-fields .editable-created-by{display:flex;margin-bottom:0.5em;}.editable-fields .editable-created-by .avatar{margin-left:0.25em;}.editable-fields .editable-field{margin-bottom:0.5em;}.editable-fields .editable-field .mini-tag-chooser{margin:0;}.editable-fields .editable-field .reviewable-input-text{width:100%;margin-bottom:0;}.editable-fields .editable-field .reviewable-input-textarea{width:100%;height:10em;}@media screen and (max-width:1000px){table.reviewable-scores{width:100%;display:block;}table.reviewable-scores tbody{width:calc(100% - 5px);display:block;clear:both;}tr.reviewable-score{display:grid;grid-template-columns:auto auto 1fr;}td.reviewable-score-spacer{display:none;}}@media screen and (max-width:450px){tr.reviewable-score{grid-template-columns:auto auto auto;}}.shared-draft-controls{background-color:#d1f0ff;padding:1em;clear:both;}.shared-draft-controls .publish-field{margin-top:1em;}.explain-reviewable{min-width:500px;}.explain-reviewable .thresholds{margin-top:1em;}.explain-reviewable table{width:100%;}.explain-reviewable table td{padding:0.5em;}.explain-reviewable td.sum{text-align:left;}.explain-reviewable td.sum.total{font-weight:bold;}.explain-reviewable tr.total td{background-color:#e9e9e9;font-weight:bold;}.explain-reviewable .op{font-weight:bold;}.explain-reviewable .score-value-type{color:#919191;}.explain-reviewable .op:last-of-type{display:none;}.category-color-editor input{width:5.5em;margin-left:1em;}.category-color-editor .color-title{display:block;margin:1em 0 0.25em;}.category-color-editor .colorpicker-wrapper{display:flex;align-items:center;}.category-color-editor .colorpicker-wrapper input,.category-color-editor .colorpicker-wrapper .add-on{align-self:flex-start;margin-bottom:0.125em;}.category-color-editor .colors-container{display:inline-flex;flex-wrap:wrap;}.category-color-editor .colors-container .colorpicker{position:relative;margin:0 0.125em 0.25em;border:1px solid #919191;width:1.25em;height:1.2em;padding:0;flex:0 0 auto;color:white;}.category-color-editor .colors-container .colorpicker svg{display:none;}.category-color-editor .colors-container .colorpicker.used-color svg{display:inline-flex;opacity:0.8;max-width:70%;}.modal.history-modal #revision-numbers{display:inline-block;min-width:96px;text-align:center;}.modal.history-modal #revision{overflow:auto;border-bottom:3px solid #e9e9e9;}.modal.history-modal table.markdown>tbody>tr>td,.modal.history-modal .revision-content{width:47.5%;float:right;}.modal.history-modal table.markdown>tbody>tr>td:nth-of-type(2),.modal.history-modal .revision-content:nth-of-type(2){margin-right:5%;}.modal.history-modal #revision-details{padding:5px;}.modal.history-modal #revisions .row:first-of-type{margin-top:10px;}.modal.history-modal ins code,.modal.history-modal ins img,.modal.history-modal .diff-ins code,.modal.history-modal .diff-ins img{border:2px solid #090;}.modal.history-modal ins img,.modal.history-modal .diff-ins img{opacity:0.75;filter:alpha(opacity=75);}.modal.history-modal ins a,.modal.history-modal .diff-ins a{color:#090;text-decoration:none;}.modal.history-modal img.diff-ins,.modal.history-modal code.diff-ins{border:2px solid #090;}.modal.history-modal img.diff-ins{opacity:0.75;filter:alpha(opacity=75);}.modal.history-modal .diff-ins{color:#222;background:#b8ffb8;}.modal.history-modal ins{color:#222;background:#b8ffb8;text-decoration:none;}.modal.history-modal del code,.modal.history-modal del img,.modal.history-modal .diff-del code,.modal.history-modal .diff-del img{border:2px solid #e45735;}.modal.history-modal del img,.modal.history-modal .diff-del img{opacity:0.5;filter:alpha(opacity=50);}.modal.history-modal del a,.modal.history-modal .diff-del a{color:#e45735;text-decoration:none;}.modal.history-modal img.diff-del,.modal.history-modal code.diff-del{border:2px solid #e45735;}.modal.history-modal img.diff-del{opacity:0.5;filter:alpha(opacity=50);}.modal.history-modal .diff-del{color:#222;background:#fbe6e1;text-decoration:none;}.modal.history-modal del{color:#222;background:#fbe6e1;text-decoration:none;}.modal.history-modal span.date{font-weight:bold;}.modal.history-modal span.edit-reason{background-color:#ffffa6;padding:3px 5px 5px 5px;}.modal.history-modal .d-icon-ban{color:#f00;}.modal.history-modal .hidden-revision-either{opacity:0.5;}.modal.history-modal .hidden-revision-previous .row div:nth-of-type(1),.modal.history-modal .hidden-revision-previous .row td:nth-of-type(1){opacity:0.5;}.modal.history-modal .hidden-revision-current .row div:nth-of-type(2),.modal.history-modal .hidden-revision-current .row td:nth-of-type(2){opacity:0.5;}@-webkit-keyframes popoverFadeIn{from{opacity:0;}to{opacity:1;}}@keyframes popoverFadeIn{from{opacity:0;}to{opacity:1;}}#d-popover{background-color:#fff;position:absolute;z-index:1600;border-color:#919191;border-style:solid;border-width:1px;max-width:300px;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;background-clip:padding-box;display:block;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);border-radius:2px;}#d-popover.is-under{margin-top:0px;}#d-popover.is-under .d-popover-top-arrow{display:block;}#d-popover.is-under .d-popover-bottom-arrow{display:none;}#d-popover.is-above{margin-top:0px;}#d-popover.is-above .d-popover-bottom-arrow{display:block;}#d-popover.is-above .d-popover-top-arrow{display:none;}#d-popover.retina{border-width:0.5px;}#d-popover .d-popover-content{padding:0.5em;font-size:.8706em;overflow-wrap:break-word;-webkit-animation:popoverFadeIn 0.5s;animation:popoverFadeIn 0.5s;}#d-popover .d-popover-arrow{border-style:solid;color:transparent;content:"";position:absolute;z-index:calc(z("tooltip") - 100);}#d-popover .d-popover-top-arrow{border-color:transparent transparent #919191;top:8px;transform:translate(0,-15px);border-width:0 8px 8px;}#d-popover .d-popover-top-arrow:after{border-color:transparent transparent #fff;border-style:solid;border-width:0 7px 7px;bottom:-8px;margin-right:-7px;position:absolute;content:"";}#d-popover .d-popover-bottom-arrow{border-color:#919191 transparent transparent;top:calc(100% + 16px);transform:translate(0,-16px);border-width:8px 8px 0;}#d-popover .d-popover-bottom-arrow:after{position:absolute;content:"";border-color:#fff transparent transparent;border-style:solid;border-width:7px 7px 0;bottom:2px;transform:translate(-7px,0);}div.tagsinput{border:1px solid #ccc;background:#fff;padding:5px 5px 0;width:584px;height:100px;overflow-y:auto;border-radius:4px;}div.tagsinput span.tag{border:1px solid #a5d24a;border-radius:2px;display:block;float:right;padding:1px 5px;text-decoration:none;background:#cde69c;color:#638421;margin-left:5px;margin-bottom:5px;font-family:helvetica;font-size:.8706em;}div.tagsinput span.tag a{font-weight:bold;color:#82ad2b;text-decoration:none;font-size:.7579em;}div.tagsinput input{width:80px;font-family:helvetica;font-size:.8706em;border:1px solid transparent;padding:2px 5px;background:transparent;color:#000;outline:0;margin:0 0 5px 5px;}div.tagsinput div{display:block;float:right;}.tags_clear{clear:both;width:100%;height:0;}.not_valid{background:#fbd8db !important;color:#90111a !important;}.d-icon.d-icon-d-regular,.d-icon.d-icon-d-muted,.d-icon.d-icon-d-watching-first,.d-icon.d-icon-d-watching-first-post{color:#919191;}.d-icon.d-icon-d-tracking,.d-icon.d-icon-d-watching{color:#08c;}.directory{margin-bottom:100px;}.directory .user-info{margin-bottom:0;}.directory .period-chooser{float:right;}.directory .filter-name{float:left;}.directory .spinner{clear:both;}.directory table{width:100%;margin-bottom:1em;}.directory table td,.directory table th{padding:0.5em;text-align:right;border-bottom:1px solid #e9e9e9;}@media screen and (max-width:800px){.directory table td,.directory table th{padding:0.5em 0.25em;}}.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.5157em;color:#919191;}@media screen and (max-width:800px){.directory table td .number,.directory table td .time-read,.directory table th .number,.directory table th .time-read{font-size:1.1487em;}}.directory table td .time-read,.directory table th .time-read{white-space:nowrap;}.directory table th.sortable{width:13%;}.directory table th.sortable .d-icon-heart{color:#fa6c8d;margin:0 0 0 0.25em;}.directory .me{background-color:#ffffca;}.directory .me .username a,.directory .me .name,.directory .me .title,.directory .me .number,.directory .me .time-read{color:#919191;}.alert{padding:8px 16px 8px 32px;background-color:#fbe6e1;color:#222;position:relative;}.alert .close{position:absolute;top:8px;left:8px;font-size:1.5157em;}.alert .close .d-icon{color:#bdbdbd;}.alert.alert-success{background-color:#b8ffb8;color:#222;}.alert.alert-error{background-color:#fbe6e1;color:#222;}.alert.alert-info{background-color:#d1f0ff;color:#222;}.alert.alert-info.clickable{color:#08c;}.group-details-container{background:#f8f8f8;padding:20px;margin-bottom:15px;position:relative;}.group-outlet{position:relative;}.group-members-actions{display:flex;flex-wrap:wrap;width:100%;}.group-members-actions input+.group-members-manage{margin-right:auto;}.group-members-actions .group-username-filter{margin:0 0 5px 0;vertical-align:middle;}.group-info{width:100%;}.group-info .group-info-name{font-size:1.5157em;font-weight:bold;color:#222;}.group-info .group-info-full-name{font-size:1.3195em;color:#646464;}.group-info span{display:inline-block;vertical-align:middle;}.group-info .avatar-flair-image{width:50px;}.group-info .avatar-flair{background-size:50px;height:50px;width:50px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;}.group-info .avatar-flair .d-icon{height:27.77778px;width:27.77778px;}.group-manage-logs-filter{margin-left:10px;}.group-manage-logs-filter:hover{background-color:#e45735;}table.group-manage-logs{width:100%;}table.group-manage-logs td{padding:0.5em;}table.group-manage-logs .group-manage-logs-expand-details{cursor:pointer;}table.group-manage-logs .group-manage-logs-expand-details .d-icon{color:#919191;}table.group-members{width:100%;table-layout:fixed;}table.group-members th:first-child{width:30%;text-align:right;}table.group-members th:last-child{width:5%;}table.group-members th.group-members-actions{width:5%;}table.group-members th{text-align:center;}table.group-members tr .user-info{display:block;}table.group-members tr .user-info .avatar-flair{color:#222;}table.group-members tr td:first-child{text-align:right;}table.group-members tr td{text-align:center;color:#919191;padding:0.8em 0;}.group-owner-label{color:#222;}.form-vertical .group-flair-inputs{display:inline-block;}.form-vertical .avatar-flair-preview{position:relative;width:45px;}.form-vertical .avatar-flair-preview .avatar-wrapper{background-color:#f4f4f4;}.group-form-save{margin-left:20px;}.group-add-members .group-add-members-make-owner label{display:inline;vertical-align:middle;}.group-add-members .group-add-members-make-owner input[type="checkbox"]{vertical-align:middle;}img.emoji{width:20px;height:20px;vertical-align:middle;}small img.emoji,sub img.emoji,sup img.emoji{height:1.1em;width:1.1em;}.emoji-picker{background-clip:padding-box;z-index:1300;position:fixed;display:none;flex-direction:row;height:320px;color:#222;background-color:#fff;border:1px solid #e9e9e9;}.emoji-picker .categories-column{display:flex;flex-direction:column;flex:1 0 0px;align-items:center;justify-content:space-between;border-left:1px solid #e9e9e9;min-width:36px;}.emoji-picker .category-icon{display:block;margin:4px auto;-webkit-filter:grayscale(100%);filter:grayscale(100%);}.emoji-picker .category-icon button.emoji{margin:0;padding:0;}.emoji-picker .category-icon.current,.emoji-picker .category-icon:hover{-webkit-filter:grayscale(0%);filter:grayscale(0%);}.emoji-picker .main-column{display:flex;flex-direction:column;flex:20;}.emoji-picker .list{overflow-y:scroll;-webkit-overflow-scrolling:touch;padding:0;flex:1 0 0px;flex-direction:column;}.emoji-picker .section-header{padding:8px;margin-top:2px;margin-bottom:0px;padding-bottom:0px;justify-content:space-between;display:flex;align-items:center;font-weight:bold;}.emoji-picker .section-header .title{color:#222;}.emoji-picker .section-header .clear-recent .fa{margin:0;padding:0;color:#999;}.emoji-picker .section-header .clear-recent .fa:hover{color:#222;}.emoji-picker .section-group{flex-wrap:wrap;display:flex;align-items:center;justify-content:flex-start;padding:4px;}.emoji-picker .footer{align-items:center;display:flex;justify-content:space-between;border-top:1px solid #e9e9e9;}.emoji-picker .info{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;padding-right:8px;font-weight:700;max-width:125px;}.emoji-picker .diversity-picker{display:flex;justify-content:flex-end;padding:8px;}.emoji-picker .diversity-picker .diversity-scale{width:20px;height:20px;margin-right:5px;border:0;border-radius:3px;display:flex;align-items:center;justify-content:center;cursor:pointer;}.emoji-picker .diversity-picker .diversity-scale.default{background:#ffcc4d;}.emoji-picker .diversity-picker .diversity-scale.light{background:#f7dece;}.emoji-picker .diversity-picker .diversity-scale.medium-light{background:#f3d2a2;}.emoji-picker .diversity-picker .diversity-scale.medium{background:#d5ab88;}.emoji-picker .diversity-picker .diversity-scale.medium-dark{background:#af7e57;}.emoji-picker .diversity-picker .diversity-scale.dark{background:#7c533e;}.emoji-picker .diversity-picker .diversity-scale.selected .d-icon{display:block;}.emoji-picker .diversity-picker .d-icon{display:none;}.emoji-picker .diversity-picker .d-icon{color:#fff;font-size:1em;filter:drop-shadow(0.5px 1.5px 0 rgba(0,0,0,0.3));}.emoji-picker button.emoji{background:transparent;background-position:center;background-repeat:no-repeat;border-radius:0;background-size:20px 20px;-moz-box-sizing:content-box;box-sizing:content-box;height:20px;border:0;vertical-align:top;width:20px;outline:none;padding:3px;margin:2px;}.emoji-picker .section-group button.emoji:hover,.emoji-picker .results button.emoji:hover{display:inline-block;vertical-align:top;border-radius:2px;background-color:#9df;}.emoji-picker-modal.fadeIn{z-index:1200;position:fixed;right:0;top:0;width:100%;height:100%;opacity:0.8;background-color:black;}.emoji-picker .filter{background-color:none;border-bottom:1px solid #e9e9e9;padding:5px;display:flex;position:relative;align-items:center;}.emoji-picker .filter input[type="text"]{width:auto !important;}.emoji-picker .filter .d-icon-search{color:#999;font-size:1.1487em;margin-right:5px;margin-left:5px;}.emoji-picker .filter input{height:24px;margin:0;flex:1 0 0px;border:none;box-shadow:none;padding-left:24px;outline:none;color:#222;background:#fff;}.emoji-picker .filter input:focus{border:none;box-shadow:none;}.emoji-picker .filter input::-ms-clear{display:none;}.emoji-picker .results{display:none;flex-wrap:wrap;align-items:center;justify-content:flex-start;padding:4px;flex:1 0 0px;}.emoji-picker .filter .clear-filter{position:absolute;left:5px;top:12px;border:0;background:none;color:#999;outline:none;display:none;}.emoji-picker .filter .clear-filter:hover{color:#222;}.topic-list.shared-drafts{margin-bottom:1.5em;}.show-more{width:100%;z-index:1;}.show-more.has-topics{position:absolute;top:7px;}.list-controls{clear:both;margin-bottom:5px;}.list-controls .combo-box .combo-box-header{background:#fff;color:#222;border:1px solid #919191;font-size:1em;transition:none;height:10px;}.list-controls .select-kit{align-self:center;}.list-controls .select-kit .select-kit-collection{font-size:.8706em;max-height:40vh;}.list-controls .select-kit .select-kit-collection .texts,.list-controls .select-kit .select-kit-collection .icons{font-size:1.1487em;}.list-controls .select-kit.categories-admin-dropdown,.list-controls .select-kit.tags-admin-dropdown,.list-controls .select-kit.category-notifications-button,.list-controls .select-kit.tag-notifications-button{float:left;}.list-controls .select-kit.categories-admin-dropdown button,.list-controls .select-kit.tags-admin-dropdown button,.list-controls .select-kit.category-notifications-button button,.list-controls .select-kit.tag-notifications-button button{display:inline-block;}.list-controls .category-heading{max-width:100%;}.topic-list-item.visited a.title:not(.badge-notification),.latest-topic-list-item.visited a.title:not(.badge-notification),.category-topic-link.visited a.title:not(.badge-notification){color:#919191;}.topic-list-main-link,.topic-list .main-link{font-size:1.1487em;}.topic-list-main-link a.title,.topic-list .main-link a.title{padding:15px 0;word-break:break-word;color:#222;}.anon .topic-list-main-link a.title:visited:not(.badge-notification),.anon .topic-list .main-link a.title:visited:not(.badge-notification),.topic-list .anon .main-link a.title:visited:not(.badge-notification){color:#919191;}.topic-list-main-link a.title.visited:not(.badge-notification),.topic-list .main-link a.title.visited:not(.badge-notification){color:#919191;}.topic-list{width:100%;border-collapse:collapse;}.topic-list>tbody>tr.has-excerpt .star{vertical-align:top;margin-top:2px;}.topic-list>tbody>tr.last-visit{border-bottom:none;}.topic-list>tbody>tr .topic-list-separator{text-align:center;}.topic-list .topic-list-item-separator{border:none;}.topic-list .topic-list-item-separator td{border-bottom:1px solid #ec8972;line-height:0.1em;padding:0;text-align:center;}.topic-list .topic-list-item-separator td span{background-color:#fff;color:#ec8972;padding:0 8px;font-size:.8706em;}.topic-list th,.topic-list td{line-height:1.4;text-align:right;vertical-align:middle;}.topic-list th button .d-icon{color:#919191;}.topic-list td{color:#919191;font-size:1em;}.topic-list .main-link .raw-topic-link>*{pointer-events:none;}.topic-list .unread-indicator.read{display:none;}.topic-list .unread-indicator .d-icon{vertical-align:middle;font-size:.5em;}.topic-list .link-bottom-line{font-size:.8706em;display:flex;flex-wrap:wrap;align-items:center;}.topic-list .link-bottom-line .discourse-tags{flex-wrap:wrap;-ms-flex:1 0 0px;}.topic-list .link-bottom-line a.badge-wrapper.box,.topic-list .link-bottom-line a.discourse-tag.box{padding-top:0;padding-bottom:0;}.topic-list .link-bottom-line .discourse-tag.simple:after,.topic-list .link-bottom-line .discourse-tag.box{margin-left:0.25em;}.topic-list .topic-featured-link{padding-right:5px;}.topic-list .topic-excerpt{font-size:.8706em;margin-top:5px;color:#646464;word-wrap:break-word;line-height:1.4;padding-left:20px;}.topic-list .topic-statuses:empty{display:none;}.topic-list .num{text-align:center;}.topic-list .num a:not(.badge-posts){color:inherit;}.topic-list .num a.badge-posts{font-weight:bold;}.topic-list .num.posts a{padding:15px 5px;}.topic-list .num.activity a{padding:15px 5px;}.heatmap-high,.heatmap-high a{color:#fe7a15 !important;}.heatmap-med,.heatmap-med a{color:#cf7721 !important;}.heatmap-low,.heatmap-low a{color:#9b764f !important;}.loading .topic-list{border:0;box-shadow:none;}.loading .topic-list tr{background-color:transparent;}#list-area{margin-bottom:100px;}#list-area .empty-topic-list{padding:10px;}#list-area .unseen{background-color:transparent;padding:0;border:0;color:#ec8972;font-size:1em;cursor:default;}.topic-list .alert{margin-bottom:0;font-size:1em;}.topic-list .spinner{margin-top:40px;}ol.category-breadcrumb.hidden{display:none;}ol.category-breadcrumb{display:block;float:right;list-style:none;margin:0 0 10px 10px;padding:0;}ol.category-breadcrumb li{float:right;margin-left:5px;}ol.category-breadcrumb .bread-crumbs-right-outlet{float:right;}.d-icon-thumbtack.unpinned{-ms-filter:"progid:DXImageTransform.Microsoft.BasicImage(rotation=1)";-webkit-transform:rotate(180deg);-ms-transform:rotate(180deg);transform:rotate(180deg);}.top-title-buttons{display:inline;}.top-title-buttons button{margin-left:0.5em;}div.education{color:#919191;}div.education .badge-notification.new-posts{vertical-align:text-bottom;}.list-cell,.table-heading{padding:12px 5px;color:#919191;}.table-heading{border-bottom:3px solid #e9e9e9;}.topic-post-badges{white-space:nowrap;align-self:center;line-height:1.2;}.user-content-wrapper{width:100%;display:grid;grid-template-columns:1fr 5fr;grid-template-rows:auto auto 1fr auto;grid-row-gap:20px;}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-column-end:3;grid-row-start:1;grid-row-end:2;}.user-content-wrapper .user-secondary-navigation{grid-column-start:1;grid-column-end:2;grid-row-start:2;grid-row-end:3;}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:2;grid-row-end:4;grid-column-start:1;grid-column-end:3;}.user-content-wrapper .user-content{min-width:100%;}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:2;grid-column-end:3;}.user-content-wrapper .user-additional-controls{grid-row-start:3;align-self:start;justify-self:start;}.user-content-wrapper{display:-ms-grid;-ms-grid-columns:1fr 5fr;-ms-grid-rows:auto auto 1fr auto;}.user-content-wrapper .user-primary-navigation{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2;}.user-content-wrapper .user-secondary-navigation{-ms-grid-row:2;-ms-grid-column:1;}.user-content-wrapper .solo-preference,.user-content-wrapper .user-content,.user-content-wrapper .spinner{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:2;}.user-content-wrapper .user-secondary-navigation+.user-content{-ms-grid-column:2;-ms-grid-column-span:1;}.user-content-wrapper .user-additional-controls{-ms-grid-row:3;-ms-grid-column-align:start;-ms-grid-row-align:start;}.user-content .list-actions{display:flex;margin-bottom:12px;}.user-content .list-actions .btn{margin-left:12px;}.user-content .paginated-topics-list{position:relative;}.user-content .show-mores{width:100%;}.user-content .d-icon-heart{color:#fa6c8d;}.user-main .about{width:100%;margin-bottom:15px;}.user-main .about.has-background .user-profile-image{background-size:cover;background-position:center center;background-repeat:no-repeat;}.user-main .about.has-background .staff-counters{margin-bottom:0;}.user-main .about .secondary{display:inline-block;width:100%;border-top:1px solid #e9e9e9;}.user-main .about .secondary .btn{padding:4px 12px;}.user-main .about .secondary dl{margin:0;padding:5px 10px;}.user-main .about .secondary dl div{display:inline-flex;align-items:baseline;margin-left:15px;margin:4px 0;}.user-main .about .secondary dt,.user-main .about .secondary dd{display:inline-flex;align-items:center;}.user-main .about .secondary dd{padding:0;margin:0 0 0 15px;color:#222;}.user-main .about .secondary dd.groups span:not(:last-of-type){margin-left:0.25em;}.user-main .about .secondary dd.groups span:after{content:",";}.user-main .about .secondary dd.groups span:last-of-type:after{content:"";}.user-main .about .secondary dt{color:gray;margin-left:5px;display:inline-block;}.user-main .about .details{background:rgba(255,255,255,0.8);border-bottom:1px solid #e9e9e9;}.user-main .about .details h1{font-size:2em;font-weight:normal;}.user-main .about .details h1 .d-icon{font-size:0.8em;}.user-main .about .details h2{font-weight:normal;max-width:100%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.user-main .about .details h3{font-weight:normal;margin-bottom:0.5em;}.user-main .about .details h3 .d-icon:not(:first-of-type){margin-right:10px;}.user-main .about .details .groups{margin-right:10px;display:inline;}.user-main .about .details img.avatar{float:right;}.user-main .about .details .suspended{color:#e45735;}.user-main .about .details .primary{width:100%;position:relative;}.user-main .about .details .primary h1{font-weight:bold;}.user-main .about .details .primary .bio{max-height:300px;overflow:auto;}.user-main .about .details .primary .bio a[href]{text-decoration:underline;}.user-main .about .details .primary .bio img{max-width:100%;}.user-main .about .details .user-profile-avatar{position:relative;float:right;}.user-main .about .details .user-profile-avatar .avatar-flair{bottom:8px;left:16px;}.user-main .about .controls ul{list-style-type:none;}.user-main .about .controls .btn{margin-bottom:10px;line-height:1.2;}.user-main .about.collapsed-info .details{margin-top:0;background:rgba(255,255,255,0.8);}.user-main .about.collapsed-info .details .bio{display:none;}.user-main .about.collapsed-info .details .primary{width:100%;}.user-main .about.collapsed-info .details .primary .avatar{margin-left:10px;width:45px;height:45px;}.user-main .about.collapsed-info .details .primary h1{font-size:1.5157em;}.user-main .about.collapsed-info .details .primary h2{font-size:1.1487em;}.user-main .about.collapsed-info .details .primary h3,.user-main .about.collapsed-info .details .primary h3.location-and-website{display:none;}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair{bottom:8px;left:2px;}.user-main .about.collapsed-info .user-profile-avatar .avatar-flair .d-icon{font-size:1em;}.user-main .staff-counters{background:#222;color:#fff;display:flex;padding:10px;margin-bottom:16px;}.user-main .staff-counters>div,.user-main .staff-counters>div a{display:flex;align-items:baseline;flex:0 1 auto;margin:0 0 0 10px;color:#fff;}.user-main .staff-counters>div span,.user-main .staff-counters>div a span{padding:0 7px 1px;border-radius:10px;margin-left:5px;}.user-main .staff-counters .active{font-weight:bold;}.user-main .helpful-flags{background-color:#090;}.user-main .flagged-posts{background-color:#e49735;}.user-main .warnings-received{background-color:#ec8972;}.user-main .deleted-posts{background-color:#ec8972;}.user-main .suspensions{background-color:#e45735;}.user-main .user-field{margin-bottom:10px;}.user-main .user-field .controls label{width:auto;text-align:right;font-weight:normal;}.user-main .user-field .controls .instructions{color:#919191;margin-top:5px;margin-bottom:10px;font-size:.8706em;}.user-main .user-content .admin-controls nav{margin:0;}.user-main .user-content .admin-controls nav .nav-pills{overflow-x:auto;}.user-field .required{vertical-align:top;color:#e45735;font-weight:bold;margin-right:0.25em;}.public-user-fields{margin-top:8px;margin-bottom:8px;}.public-user-fields .user-field-name{font-weight:bold;}.collapsed-info .public-user-fields{display:none;}.avatar-selector .avatar-choice{display:grid;grid-template-columns:2em 1fr auto;grid-template-rows:auto auto;align-items:center;}.avatar-selector .avatar-choice:not(:last-of-type){margin-bottom:0.75em;}.avatar-selector .avatar-choice span{word-break:break-word;}.avatar-selector .avatar-choice input[type="radio"]{margin-top:0;}.avatar-selector .avatar-choice button{margin-right:auto;}.avatar-selector label.radio{display:flex;align-items:center;max-width:300px;margin:0 0 0 0.5em;padding:0;}.avatar-selector label.radio .avatar{flex:0 0 auto;margin:0 0 0 0.75em;}.avatar-selector .error{color:#e45735;margin:0;max-width:calc(300px - 20px);grid-column-start:2;grid-column-end:3;}.avatar-selector .avatar-choice{display:-ms-grid;-ms-grid-columns:2em 1fr auto;-ms-grid-rows:auto auto;}.avatar-selector .avatar-choice input[type="radio"]{-ms-grid-row:1;-ms-grid-column:1;}.avatar-selector .avatar-choice label.radio{-ms-grid-row:1;-ms-grid-column:2;}.avatar-selector .avatar-choice span.avatar-uploader{-ms-grid-row:1;-ms-grid-column:3;}.avatar-selector .avatar-choice .error{-ms-grid-row:2;-ms-grid-column-span:3;}.top-section:before,.top-section:after{content:"";display:table;}.top-section:after{clear:both;}.top-section ul{list-style:none;margin:0;}.top-section,.top-sub-section{margin-bottom:20px;}.top-section.badges-section,.top-sub-section.badges-section{display:flex;flex-wrap:wrap;}.stats-title{text-transform:uppercase;margin-bottom:10px;width:100%;}.stats-section ul{margin:10px 0;}.stats-section li{display:inline-block;padding:10px 0 10px 14px;margin:0 0 10px 10px;}.stats-section li.linked-stat{padding:0;}.stats-section li.linked-stat a{padding:10px 0 10px 14px;width:100%;height:100%;display:block;color:#222;}.stats-section .value{font-weight:bold;font-size:1.3195em;}.stats-section .label{color:#919191;}.top-sub-section{width:50%;}.top-sub-section ul{max-width:95%;}.top-sub-section li{border-right:#e9e9e9 solid 2px;padding:5px 8px;margin:10px 0;}.top-sub-section .topic-info{color:#919191;}@media all and (max-width:600px){.top-sub-section{float:none;width:100%;}}.replies-section li,.topics-section li,.links-section li{word-wrap:break-word;}.links-section .domain{font-size:.8706em;color:#919191;}.top-categories-section table{max-width:95%;}.top-categories-section table tr{border:none;}.top-categories-section table td,.top-categories-section table th{padding:0.5em;}.top-categories-section table td.topic-count,.top-categories-section table td.reply-count,.top-categories-section table th.topic-count,.top-categories-section table th.reply-count{text-align:center;}.summary-user-list li{height:45px;}.groups .group-link{color:#08c;}.user-preferences textarea{height:100px;}.user-preferences .tracking-controls label{align-items:center;display:inline-block;}.user-preferences .tracking-controls label .d-icon{margin-left:3px;}@media screen and (max-width:550px){.user-preferences .tracking-controls .select-kit.multi-select{width:100%;}}.user-preferences .tracking-controls .show-tracking{float:left;}.user-preferences .static{color:#222;display:inline-block;}.user-preferences .instructions{color:#919191;margin-bottom:10px;font-size:.8706em;line-height:1.4;}.user-preferences .instructions a[href]{color:#08c;}.user-preferences .avatar{margin-right:3px;}.user-preferences .warning{background-color:#ec8972;padding:5px 8px;color:#fff;width:520px;}.user-preferences .warning-wrap{height:30px;margin-bottom:10px;}.user-preferences .tracking-controls{margin-top:24px;}.user-preferences.second-factor-backup-preferences{padding-right:0;}.user-preferences.second-factor-backup-preferences .second-factor-token-input{margin-left:10px;}.user-preferences.second-factor-backup-preferences .form-horizontal .instructions{margin-right:0;}.user-preferences.second-factor-backup-preferences .backup-codes{margin:2em 0;}.user-preferences.second-factor-backup-preferences .backup-codes .wrapper{display:inline-block;position:relative;padding:10px;border-radius:3px;border:1px solid #e9e9e9;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area{resize:none;padding:0;height:auto;text-align:center;width:250px;background:white;border:0;cursor:auto;overflow:hidden;outline:none;font-family:monospace;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-area:focus{box-shadow:none;border-color:#e9e9e9;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn,.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{left:5px;position:absolute;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-copy-btn{top:5px;}.user-preferences.second-factor-backup-preferences .backup-codes .backup-codes-download-btn{top:40px;}.user-preferences .pref-associated-accounts table td{padding:8px;}.paginated-topics-list .user-content{width:100%;margin-top:0;}.large-notification{display:flex;align-items:center;}.large-notification a{display:flex;align-items:center;}.large-notification a .d-icon{margin-left:0.5em;}.large-notification a span:first-child{color:#222;}.large-notification a div .fa{display:none;}.large-notification a div p{margin:0;}.qr-code-container{display:flex;}.qr-code-container .qr-code{padding:5px 5px 0 5px;background-color:white;}.second-factor.instructions{color:#919191;margin-top:5px;margin-bottom:10px;font-size:.8706em;}.second-factor .second-factor-item{margin-top:0.75em;}.second-factor .btn.edit{min-height:auto;}.primary-textual .staged,#user-card .staged{font-style:italic;}.selectable-avatars{max-height:350px;margin-bottom:1em;text-align:justify;}.selectable-avatars .selectable-avatar{margin:5px;display:inline-block;}.selectable-avatars .selectable-avatar .avatar{cursor:pointer;width:60px;height:60px;}.selectable-avatars .selectable-avatar .avatar:hover{box-shadow:0 0 10px #222;}.topic-title-outlet.choose-tags{margin-right:25px;margin-top:3px;}.tag-list{margin-top:2em;padding-bottom:1em;border-bottom:1px solid #e9e9e9;}#list-area .tag-list h3{margin-bottom:20px;}.tag-list .tag-box{display:inline-block;width:300px;margin-bottom:1em;float:right;vertical-align:middle;}.tag-list .tag-box .discourse-tag{font-size:1em;}.tag-list .tag-box .tag-count{font-size:.8706em;vertical-align:middle;line-height:1;}.tag-show-heading{display:inline-flex;flex-wrap:wrap;align-items:center;white-space:nowrap;overflow:hidden;text-overflow:hidden;}@media screen and (max-width:450px){.tag-show-heading{width:100%;}}.tag-show-heading .d-icon{margin:0 0.25em;}.topic-category{display:flex;flex-wrap:wrap;align-items:center;}.topic-category .topic-header-extra{display:inline-flex;align-items:center;}.topic-category .badge-wrapper{margin-top:0;}.discourse-tag-count{font-size:.8706em;color:#919191;line-height:1;vertical-align:middle;}.discourse-tag{max-width:14em;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle;}.discourse-tag{margin:0;color:#919191;}.discourse-tag:visited,.discourse-tag:hover{color:#919191;}.extra-info-wrapper .discourse-tag{color:#707070 !important;}.discourse-tag.large{font-size:1.3195em;}.discourse-tag.box{background-color:#e9e9e9;color:#646464;padding:2px 8px;}.extra-info-wrapper .discourse-tag.box{background-color:#ebebeb;color:#999;}.discourse-tag.simple,.discourse-tag.simple:visited,.discourse-tag.simple:hover{margin-left:0;color:#646464;}.discourse-tag.bullet{margin-left:0.5em;display:inline-flex;align-items:center;}.discourse-tag.bullet:before{background:#bdbdbd;margin-left:5px;position:relative;width:9px;height:9px;display:inline-block;content:"";}.discourse-tag.bullet.large:before{width:13px;height:13px;}.discourse-tags .discourse-tag.simple:not(:last-child):after,.list-tags .discourse-tag.simple:not(:last-child):after{content:",";margin-right:1px;}.d-header .topic-header-extra .discourse-tags{display:inline-block;font-size:.8706em;}.d-header .topic-header-extra .discourse-tags+.topic-featured-link{margin-right:8px;}.fps-result .add-full-page-tags{display:inline-block;}.topic-list-item .discourse-tags{display:inline-flex;font-weight:normal;font-size:.8706em;}.categories-list .topic-list-latest .discourse-tags{display:inline-block;}.mobile-view .topic-list-item .discourse-tags{display:inline-flex;flex-wrap:wrap;font-size:.8706em;margin-top:0;}.mobile-view .topic-list-item .discourse-tags .discourse-tag{margin-left:0.2em;}.mobile-view .topic-list-item .discourse-tags .discourse-tag.box{position:relative;top:0;}header .discourse-tag{color:#919191;}.list-tags{display:inline-block;margin-left:3px;font-size:.8706em;}.tag-chooser{width:100%;max-width:100%;}.title-wrapper .tag-chooser{width:500px;}.tag-sort-options{margin-bottom:20px;}.tag-sort-options a{text-decoration:underline;}.tag-sort-options span.active a{font-weight:bold;}.autocomplete .d-icon-tag{color:#222;padding-left:5px;}.autocomplete a{color:#919191;}.tags-admin-menu{margin-top:20px;}.tags-admin-menu ul{width:320px;}.tag-groups-container{margin-top:20px;}.tag-groups-container .content-list{width:20%;float:right;margin:20px 0;}.tag-groups-container .content-list ul{margin-bottom:10px;}.tag-groups-container .content-list .btn{margin-right:10px;}.tag-groups-container .tag-group-content{width:75%;float:left;}.tag-groups-container .tag-group-content section{margin-bottom:20px;}.tag-groups-container .tag-group-content label{font-size:1em;display:inline-block;margin-left:10px;}.tag-groups-container .tag-group-content .btn{margin-left:10px;}.tag-groups-container .tag-group-content h1 input{width:100%;}.tag-groups-container .group-tags-list .tag-chooser{width:100%;}.tag-groups-container .saving{margin-right:20px;}.tag-groups-container .parent-tag-section .tag-chooser{width:200px;margin-left:10px;}.tag-info{margin-top:1em;margin-bottom:1em;}.tag-info .delete-tag{float:left;}.tag-info .synonyms-list,.tag-info .add-synonyms,.tag-info .tag-associations{margin-top:1em;}.tag-info .tag-list{border:none;}.tag-info .tag-list .d-icon{color:#919191;}.tag-info .field{margin-bottom:5px;}#reply-control{position:fixed;display:flex;flex-direction:column;bottom:0;height:0;left:0;right:0;margin-right:auto;margin-left:auto;max-width:1475px;width:100%;z-index:400;transition:height 250ms ease,background 250ms ease,transform 250ms ease,max-width 250ms ease;background-color:#fff;box-shadow:0 -1px 40px rgba(0,0,0,0.12);}#reply-control.hide-preview{max-width:740px;}@media screen and (max-width:1200px){#reply-control{min-width:0;}}#reply-control .reply-area{display:flex;flex-direction:column;}#reply-control .saving-text,#reply-control .draft-text{display:none;padding-right:10px;}#reply-control .saving-text .spinner,#reply-control .draft-text .spinner{margin-right:5px;border-color:#fff;border-right-color:transparent;}#reply-control .saving-text .d-icon,#reply-control .draft-text .d-icon{color:#fff;}#reply-control.open{height:300px;}#reply-control.open.edit-title{height:400px;}#reply-control.closed{height:0 !important;}#reply-control.draft,#reply-control.saving{height:40px !important;align-items:center;background:#08c;color:#fff;flex-direction:row;width:100%;}#reply-control.draft .composer-controls,#reply-control.saving .composer-controls{margin-right:auto;display:flex;padding-left:5px;}#reply-control.draft .composer-controls .toggle-toolbar,#reply-control.saving .composer-controls .toggle-toolbar{display:none;}#reply-control.draft .composer-controls .d-icon,#reply-control.saving .composer-controls .d-icon{color:#fff;}#reply-control.draft{cursor:pointer;display:flex;}#reply-control.draft .draft-text{display:block;}#reply-control.draft .grippie,#reply-control.draft .saving-text{display:none;}#reply-control.draft .toggler{order:2;}#reply-control.saving .saving-text{display:flex;}#reply-control .reply-to{color:#646464;margin:5px 0 10px 0;display:flex;align-items:center;}#reply-control .reply-to .d-icon{color:#919191;}#reply-control .reply-to .reply-details{max-width:calc(100% - 175px);flex:1 1 auto;display:flex;align-items:center;white-space:nowrap;}#reply-control .reply-to .reply-details .d-icon{opacity:0.8;}#reply-control .reply-to .composer-action-title{display:inline-flex;align-items:center;width:auto;max-width:100%;}#reply-control .reply-to .composer-action-title .avatar{width:20px;}#reply-control .reply-to .composer-action-title .action-title{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#reply-control .reply-to .composer-action-title .topic-link,#reply-control .reply-to .composer-action-title .user-link,#reply-control .reply-to .composer-action-title .post-link{margin-left:5px;}#reply-control .reply-to .composer-action-title .username{margin-left:5px;max-width:100px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}@media screen and (max-width:500px){#reply-control .reply-to .composer-action-title .username{display:none;}}#reply-control .reply-to .composer-action-title .d-icon{margin-left:5px;}#reply-control .reply-to .composer-action-title img.avatar{margin-left:3px;}#reply-control .reply-to .composer-controls{display:flex;margin-right:auto;}#reply-control .reply-to .composer-controls button{padding:5px 7px;}#reply-control .reply-to .composer-controls button.toggler{order:2;}#reply-control .whisper,#reply-control .display-edit-reason{font-style:italic;}#reply-control .whisper{margin-left:0.25em;}#reply-control .display-edit-reason{display:inline-flex;}#reply-control .display-edit-reason a{display:inline-flex;}#reply-control .display-edit-reason .d-icon{padding:0.3em 0.5em;color:#08c;}#reply-control #edit-reason{margin:0 4px;}#reply-control .user-selector,#reply-control .title-and-category{display:flex;flex-wrap:wrap;width:100%;align-items:center;margin-bottom:5px;position:relative;}#reply-control .user-selector.with-preview,#reply-control .title-and-category.with-preview{width:50%;}#reply-control .title-input{position:relative;display:flex;flex:1 1 50%;}#reply-control .title-input input{flex-grow:1;}#reply-control .with-tags .title-input{flex:1 1 100%;}#reply-control .category-input{display:flex;flex:1 0 35%;margin:0 10px 5px 0;}@media screen and (max-width:955px){#reply-control .category-input{flex:1 0 100%;margin-right:0;}}#reply-control .category-input .category-chooser{display:flex;flex:1 0 auto;width:auto;}#reply-control .with-tags .category-input{flex-basis:25%;margin-right:0;margin-left:5px;}@media screen and (max-width:920px){#reply-control .with-tags .category-input{flex-basis:100%;margin-left:0;}}#reply-control .add-warning{margin-right:0.75em;margin-bottom:0;display:flex;}#reply-control .add-warning input{margin-left:5px;}#reply-control #reply-title{margin:0 0 5px 0;flex-basis:50%;}#reply-control .mini-tag-chooser{flex:1 1 25%;margin:0 0 5px 0;background:#fff;z-index:700;}@media all and (max-width:900px){#reply-control .mini-tag-chooser{margin:0;flex:1 1 100%;}}#reply-control .popup-tip{z-index:701;}#reply-control .wmd-controls{position:relative;display:flex;flex-direction:column;flex-grow:1;min-height:0;}#reply-control .submit-panel{display:flex;flex-shrink:0;margin:7px 0 3px 0;}#reply-control .save-or-cancel{flex-basis:50%;display:flex;align-items:center;margin-left:auto;}#reply-control .save-or-cancel button{flex:0 0 auto;}#reply-control .save-or-cancel .cancel{margin-right:1.25em;line-height:normal;color:#646464;transition:color 250ms;}#reply-control .save-or-cancel .cancel:hover{color:#e45735;}#reply-control .save-or-cancel #draft-status,#reply-control .save-or-cancel #file-uploading{margin-right:25px;}#reply-control .save-or-cancel #file-uploading{display:flex;align-items:center;}#reply-control .save-or-cancel #file-uploading a{margin-right:5px;color:#646464;}#reply-control .save-or-cancel #file-uploading .spinner{margin-left:5px;}#reply-control .save-or-cancel #draft-status .d-icon-user-edit{color:#e45735;font-size:20px;vertical-align:-5.5px;}#reply-control #draft-status,#reply-control #file-uploading{color:#646464;}.cooked>*:first-child{margin-top:0;}.autocomplete{z-index:701;position:absolute;width:240px;background-color:#fff;border:1px solid #e9e9e9;}.autocomplete ul{list-style:none;padding:0;margin:0;}.autocomplete ul li{border-bottom:1px solid #e9e9e9;}.autocomplete ul li .d-icon-users{color:#888;padding:0 2px;}.autocomplete ul li a{padding:5px;display:block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.autocomplete ul li a span.username{color:#222;}.autocomplete ul li a span.name{font-size:.8706em;vertical-align:middle;}.autocomplete ul li a.selected{background-color:#d1f0ff;}.discourse-no-touch .autocomplete ul li a:hover,.discourse-no-touch .autocomplete ul li a.btn-hover{background-color:#ffffca;text-decoration:none;}div.ac-wrap.disabled input{display:none;}div.ac-wrap.disabled .item a{display:none;}div.ac-wrap div.item a.remove,.remove-link{margin-right:4px;font-size:.8706em;line-height:1;padding:1px 3.5px;border-radius:12px;box-sizing:border-box;border:1px solid #e9e9e9;}div.ac-wrap div.item a.remove:hover,.remove-link:hover{background-color:#fbe6e1;border:1px solid #ec8972;text-decoration:none;color:#e45735;}div.ac-wrap{overflow:auto;max-height:150px;display:flex;flex-wrap:wrap;align-items:center;background-color:#fff;border:1px solid #919191;min-height:30px;box-sizing:border-box;}div.ac-wrap div.item{float:right;padding:4px 10px;line-height:1.4;}div.ac-wrap div.item span{display:inline-block;line-height:1.2;}div.ac-wrap .ac-collapsed-button{float:right;border-radius:20px;position:relative;top:-2px;margin-left:10px;}div.ac-wrap input[type="text"]{float:right;display:block;box-shadow:none;border:0;margin:0;background:transparent;min-height:unset;}div.ac-wrap input[type="text"].fullwidth-input{width:100%;}.future-date-input .examples{color:#919191;}.md-table{overflow-y:auto;margin:1em 0;}.mobile-view .md-table table{width:100%;}.save-animation{-webkit-animation:transformer 5s forwards;animation:transformer 5s forwards;}@-webkit-keyframes transformer{90%{-webkit-filter:opacity(1);}100%{-webkit-filter:opacity(0);}}@keyframes transformer{90%{opacity:1;}100%{opacity:0;}}body.ios-safari-composer-hacks #main-outlet,body.ios-safari-composer-hacks header,body.ios-safari-composer-hacks .grippie,html:not(.fullscreen-composer) body.ios-safari-composer-hacks .toggle-fullscreen{display:none;}body.ios-safari-composer-hacks #reply-control{top:0px;}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh,1vh) * 100);}.mfp-bg{top:0;right:0;width:100%;height:100%;z-index:1042;overflow:hidden;position:fixed;background:#0b0b0b;opacity:.8;filter:alpha(opacity=80);}.mfp-wrap{top:0;right:0;width:100%;height:100%;z-index:1043;position:fixed;outline:0 !important;-webkit-backface-visibility:hidden;}.mfp-container{text-align:center;position:absolute;width:100%;height:100%;right:0;top:0;padding:0 8px;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;}.mfp-container:before{content:"";display:inline-block;height:100%;vertical-align:middle;}.mfp-align-top .mfp-container:before{display:none;}.mfp-content{position:relative;display:inline-block;vertical-align:middle;margin:0 auto;text-align:right;z-index:1045;}.mfp-inline-holder .mfp-content,.mfp-ajax-holder .mfp-content{width:100%;cursor:auto;}.mfp-ajax-cur{cursor:progress;}.mfp-zoom-out-cur,.mfp-zoom-out-cur .mfp-image-holder .mfp-close{cursor:-moz-zoom-out;cursor:-webkit-zoom-out;cursor:zoom-out;}.mfp-zoom{cursor:pointer;cursor:-webkit-zoom-in;cursor:-moz-zoom-in;cursor:zoom-in;}.mfp-auto-cursor .mfp-content{cursor:auto;}.mfp-close,.mfp-arrow,.mfp-preloader,.mfp-counter{-webkit-user-select:none;-moz-user-select:none;user-select:none;}.mfp-loading.mfp-figure{display:none;}.mfp-hide{display:none !important;}.mfp-preloader{color:#ccc;position:absolute;top:50%;width:auto;text-align:center;margin-top:-0.8em;right:8px;left:8px;z-index:1044;}.mfp-preloader a{color:#ccc;}.mfp-preloader a:hover{color:#fff;}.mfp-s-ready .mfp-preloader{display:none;}.mfp-s-error .mfp-content{display:none;}button.mfp-close,button.mfp-arrow{overflow:visible;cursor:pointer;background:transparent;border:0;-webkit-appearance:none;display:block;padding:0;z-index:1046;-webkit-box-shadow:none;box-shadow:none;}button::-moz-focus-inner{padding:0;border:0;}.mfp-close{width:44px;height:44px;line-height:1.4;position:absolute;left:0;top:0;text-decoration:none;text-align:center;opacity:.65;filter:alpha(opacity=65);padding:0 10px 18px 0;color:#fff;font-style:normal;font-size:2em;font-family:Arial,Baskerville,monospace;}.mfp-close:hover,.mfp-close:focus{opacity:1;outline:0;filter:alpha(opacity=100);}.mfp-close:active{top:1px;}.mfp-close-btn-in .mfp-close{color:#333;}.mfp-image-holder .mfp-close,.mfp-iframe-holder .mfp-close{color:#fff;left:-6px;text-align:left;padding-left:6px;width:100%;}.mfp-counter{position:absolute;top:0;left:0;color:#ccc;font-size:.8706em;line-height:1.2;}.mfp-arrow{position:absolute;opacity:.65;filter:alpha(opacity=65);top:50%;margin:-55px 0 0;padding:0;width:90px;height:110px;-webkit-tap-highlight-color:transparent;}.mfp-arrow:active{margin-top:-54px;}.mfp-arrow:hover,.mfp-arrow:focus{outline:0;opacity:1;filter:alpha(opacity=100);}.mfp-arrow:before,.mfp-arrow:after,.mfp-arrow .mfp-b,.mfp-arrow .mfp-a{content:"";display:block;width:0;height:0;position:absolute;right:0;top:0;margin-top:35px;margin-right:35px;border:medium inset transparent;}.mfp-arrow:after,.mfp-arrow .mfp-a{border-top-width:13px;border-bottom-width:13px;top:8px;}.mfp-arrow:before,.mfp-arrow .mfp-b{border-top-width:21px;border-bottom-width:21px;}.mfp-arrow-left{right:0;}.mfp-arrow-left:after,.mfp-arrow-left .mfp-a{border-left:17px solid #fff;margin-right:31px;}.mfp-arrow-left:before,.mfp-arrow-left .mfp-b{margin-right:25px;border-left:27px solid #3f3f3f;}.mfp-arrow-right{left:0;}.mfp-arrow-right:after,.mfp-arrow-right .mfp-a{border-right:17px solid #fff;margin-right:39px;}.mfp-arrow-right:before,.mfp-arrow-right .mfp-b{border-right:27px solid #3f3f3f;}.mfp-iframe-holder{padding-top:40px;padding-bottom:40px;}.mfp-iframe-holder .mfp-content{line-height:0;width:100%;max-width:900px;}.mfp-iframe-holder .mfp-close{top:-40px;}.mfp-iframe-scaler{width:100%;height:0;overflow:hidden;padding-top:56.25%;}.mfp-iframe-scaler iframe{position:absolute;display:block;top:0;right:0;width:100%;height:100%;box-shadow:0 0 8px rgba(0,0,0,0.6);background:#000;}img.mfp-img{width:auto;max-width:100%;height:auto;display:block;line-height:0;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;padding:40px 0 40px;margin:0 auto;}.mfp-figure{line-height:0;}.mfp-figure:after{content:"";position:absolute;right:0;top:40px;bottom:40px;display:block;left:0;width:auto;height:auto;z-index:-1;box-shadow:0 0 8px rgba(0,0,0,0.6);background:linear-gradient(45deg,#111 100% 100%);}.mfp-figure small{color:#bdbdbd;display:block;font-size:.8706em;line-height:1.2;}.mfp-figure figure{margin:0;}.mfp-bottom-bar{margin-top:-36px;position:absolute;top:100%;right:0;width:100%;cursor:auto;}.mfp-title{text-align:right;line-height:1.2;color:#f3f3f3;word-wrap:break-word;padding-left:36px;}.mfp-title a.image-source-link .d-icon{padding-left:5px;}.mfp-image-holder .mfp-content{max-width:100%;}.mfp-gallery .mfp-image-holder .mfp-figure{cursor:pointer;}@media all and (max-width:800px) and (orientation:landscape),screen and (max-height:300px){.mfp-img-mobile .mfp-image-holder{padding-right:0;padding-left:0;}.mfp-img-mobile img.mfp-img{padding:0;}.mfp-img-mobile .mfp-figure:after{top:0;bottom:0;}.mfp-img-mobile .mfp-figure small{display:inline;margin-right:5px;}.mfp-img-mobile .mfp-bottom-bar{background:rgba(0,0,0,0.6);bottom:0;margin:0;top:auto;padding:3px 5px;position:fixed;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;}.mfp-img-mobile .mfp-bottom-bar:empty{padding:0;}.mfp-img-mobile .mfp-counter{left:5px;top:3px;}.mfp-img-mobile .mfp-close{top:0;left:0;width:35px;height:35px;line-height:1.4;background:rgba(0,0,0,0.6);position:fixed;text-align:center;padding:0;}}@media all and (max-width:900px){.mfp-arrow{-webkit-transform:scale(0.75);transform:scale(0.75);}.mfp-arrow-left{transform-origin:0;-webkit-transform-origin:0;}.mfp-arrow-right{transform-origin:100%;-webkit-transform-origin:100%;}.mfp-container{padding-right:6px;padding-left:6px;}}.mfp-ie7 .mfp-img{padding:0;}.mfp-ie7 .mfp-bottom-bar{width:600px;right:50%;margin-right:-300px;margin-top:5px;padding-bottom:5px;}.mfp-ie7 .mfp-container{padding:0;}.mfp-ie7 .mfp-content{padding-top:44px;}.mfp-ie7 .mfp-close{top:0;left:0;padding-top:0;}.mfp-zoom-in .mfp-content{opacity:0;transition:all 0.2s;-webkit-transform:scale(0.8);-ms-transform:scale(0.8);transform:scale(0.8);}.mfp-zoom-in.mfp-bg{opacity:0;transition:all 0.3s ease-out;}.mfp-zoom-in.mfp-ready .mfp-content{opacity:1;-webkit-transform:scale(1);transform:scale(1);}.mfp-zoom-in.mfp-ready.mfp-bg{opacity:0.8;}.mfp-zoom-in.mfp-removing .mfp-content{-webkit-transform:scale(0.8);transform:scale(0.8);opacity:0;}.mfp-zoom-in.mfp-removing.mfp-bg{opacity:0;}.mfp-force-scrollbars.mfp-wrap{overflow-y:auto !important;overflow-x:auto !important;}.mfp-force-scrollbars .mfp-img{max-width:none;}.button-count.has-pending span{background-color:#e45735;color:#fff;border-radius:10px;padding:0.25em 0.5em;display:inline-block;font-size:0.8em;}.placeholder-avatar{display:inline-block;width:45px;height:45px;border-radius:50%;position:relative;overflow:hidden;}.placeholder-avatar:before{animation:placeHolderShimmer 4s linear infinite forwards;position:absolute;right:0;content:"";background:linear-gradient(to left,#f8f8f8 10%,#e9e9e9 72% 43%);height:45px;width:700px;}.placeholder-text{margin-right:11px;display:inline-block;width:calc(100% - 11px);height:1.5em;margin-bottom:0.6em;}.names{flex:1 1 auto;overflow:hidden;}.names span.first{display:flex;align-items:baseline;font-weight:bold;}.names span{font-size:1em;margin-left:8px;display:inline-block;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;vertical-align:middle;}.names span a{color:#646464;}.names .fa{font-size:.8706em;color:#919191;}.names .svg-icon-title{margin-right:3px;margin-left:0px;}.names .new_user a,.names .user-title,.names .user-title a{color:#919191;}.cooked,.d-editor-preview{word-wrap:break-word;line-height:1.4;}.cooked h1,.cooked h2,.cooked h3,.cooked h4,.cooked h5,.cooked h6,.d-editor-preview h1,.d-editor-preview h2,.d-editor-preview h3,.d-editor-preview h4,.d-editor-preview h5,.d-editor-preview h6{margin:30px 0 10px;line-height:1.2;}.cooked h1,.d-editor-preview h1{font-size:1.5157em;}.cooked h2,.d-editor-preview h2{font-size:1.3195em;}.cooked h3,.d-editor-preview h3{font-size:1.1487em;}.cooked h4,.d-editor-preview h4{font-size:1em;}.cooked h5,.d-editor-preview h5{font-size:.8706em;}.cooked h6,.d-editor-preview h6{font-size:.7579em;}.cooked a,.d-editor-preview a{word-wrap:break-word;}.cooked ins,.d-editor-preview ins{background-color:#b8ffb8;}.cooked del,.d-editor-preview del{background-color:#fbe6e1;}.cooked big,.d-editor-preview big{font-size:1.5rem;}.cooked small,.d-editor-preview small{font-size:0.75rem;}.cooked small small,.d-editor-preview small small{font-size:0.75em;}.cooked big big,.d-editor-preview big big{font-size:1em;}.cooked sub sub sub,.d-editor-preview sub sub sub{bottom:0;}.cooked sup sup sup,.d-editor-preview sup sup sup{top:0;}.cooked video,.d-editor-preview video{max-width:100%;}.cooked sup sup,.d-editor-preview sup sup{top:0;}.moderator .regular>.cooked{background-color:#ffffca;padding:10px;}.moderator .regular>.cooked img:not(.thumbnail){max-width:100%;height:auto;}.moderator .clearfix>.topic-meta-data>.names span.user-title,.moderator .nav-pills>.topic-meta-data>.names span.user-title,.moderator .container>.topic-meta-data>.names span.user-title,.moderator .wrap>.topic-meta-data>.names span.user-title{color:#646464;}.moderator .clearfix>.topic-meta-data>.names span.user-title a,.moderator .nav-pills>.topic-meta-data>.names span.user-title a,.moderator .container>.topic-meta-data>.names span.user-title a,.moderator .wrap>.topic-meta-data>.names span.user-title a{background-color:#ffffca;padding-right:4px;padding-left:4px;}.topic-meta-data{display:flex;align-items:flex-start;}.topic-meta-data .names{margin-left:auto;}.topic-meta-data .post-infos{display:flex;flex:0 0 auto;align-items:center;}aside.quote{margin-top:1em;margin-bottom:1em;}aside.quote .badge-wrapper{margin-right:5px;}aside.quote .title{border-right:5px solid #e9e9e9;background-color:#f9f9f9;color:#646464;padding:12px 12px 1px 12px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}aside.quote .title .avatar{margin-left:7px;}aside.quote .title img{margin-top:-4px;}aside.quote blockquote{margin-top:0;}blockquote img{max-width:100% !important;}.quote-controls,.quote-controls .d-icon{color:#bdbdbd;}.cooked .highlight{background-color:#d1f0ff;padding:2px;margin:-2px;}.post-ignored{font-style:italic;}.post-action{color:#919191;}.post-action .undo-action,.post-action .act-action{margin-right:5px;}.post-hidden{opacity:0.5;position:relative;z-index:1;}.topic-post.staged{opacity:0.4;}.quote-controls{float:left;display:flex;align-items:center;}.quote-controls a{margin-right:0.3em;}.quote-button{display:none;position:absolute;background-color:#b6b6b6;color:#fff;padding:10px;z-index:300;opacity:0.9;}.quote-button .d-icon{display:inline-block;}.quote-button:hover{background-color:#919191;cursor:pointer;}.topic-avatar,.user-card-avatar{position:relative;}.topic-map{background:#f8f8f8;border:1px solid #e9e9e9;border-top:none;}.topic-map .avatars>div{float:right;position:relative;margin:3px 0;}.topic-map .avatars .post-count{position:absolute;left:0;border-radius:100px;padding:3px 5px;text-align:center;font-weight:normal;font-size:.7579em;line-height:1;}.topic-map .avatar{float:right;margin-left:4px;}.topic-map section{border-top:1px solid #e9e9e9;}.topic-map ul{margin:0;list-style:none;}.topic-map h3{margin-bottom:4px;color:#222;line-height:1.4;font-weight:normal;font-size:1em;}.topic-map h4{margin:1px 0 2px 0;color:#919191;font-weight:normal;font-size:.8706em;line-height:1;}.topic-map span.domain{font-size:.7579em;color:#919191;}.topic-map td{vertical-align:top;padding:1px;}.topic-map .topic-links tr{border:none;}.topic-map .topic-links .badge-notification{margin:1px 0 2px 5px;}.topic-map .controls{display:flex;align-items:center;}.topic-map .controls .btn{margin-left:0.5em;}.topic-map .controls .btn:last-child{margin:0;}.topic-map .participants{display:flex;flex-wrap:wrap;align-items:center;}.topic-map .participants+.controls{margin-top:0.5em;}.topic-map .participants.hide-names .user .username,.topic-map .participants.hide-names .user .group-name{display:none;}.topic-map .participants .user{border:1px solid #e9e9e9;border-radius:0.25em;padding:0;margin:0.125em 0 0.125em 0.25em;display:flex;align-items:center;height:26px;}.topic-map .participants .user .user-link,.topic-map .participants .user .group-link{color:#646464;}.topic-map .participants .user .user-link:hover,.topic-map .participants .user .group-link:hover{color:#222;}.topic-map .participants .user .avatar,.topic-map .participants .user .d-icon-users{margin-right:0.25em;margin-left:0.25em;}.topic-map .participants .user .username,.topic-map .participants .user .group-name{margin-left:0.25em;}.topic-map .participants .user:last-child{margin-left:0;}.topic-map .participants .user .remove-invited{display:flex;flex:1 0 0px;align-items:center;justify-content:center;box-sizing:border-box;border-radius:0.25em 0 0 0.25em;padding-top:0;padding-bottom:0;height:100%;}.topic-map .add-remove-participant-btn .d-icon{margin-right:0.25em;}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.user-card-avatar .avatar-flair,.topic-map .poster .avatar-flair,.user-profile-avatar .avatar-flair,.user-image .avatar-flair{display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;background-position:center;position:absolute;bottom:0;left:-6px;}.topic-avatar .avatar-flair,.avatar-flair-preview .avatar-flair,.collapsed-info .user-profile-avatar .avatar-flair,.user-image .avatar-flair{background-size:20px 20px;width:20px;height:20px;}.topic-avatar .avatar-flair.rounded,.avatar-flair-preview .avatar-flair.rounded,.collapsed-info .user-profile-avatar .avatar-flair.rounded,.user-image .avatar-flair.rounded{background-size:18px 18px;border-radius:12px;width:24px;height:24px;bottom:-2px;left:-8px;}.user-card-avatar .avatar-flair,.user-profile-avatar .avatar-flair{background-size:40px 40px;width:40px;height:40px;}.user-card-avatar .avatar-flair.rounded,.user-profile-avatar .avatar-flair.rounded{background-size:30px 30px;border-radius:24px;width:40px;height:40px;bottom:-2px;left:-4px;}.user-card-avatar .avatar-flair .fa,.user-profile-avatar .avatar-flair .fa{font-size:1.7511em;}.topic-map .poster .avatar-flair{left:0;background-size:12px 12px;width:16px;height:16px;bottom:-3px;color:#222;}.topic-map .poster .avatar-flair.rounded{background-size:12px 12px;border-radius:8px;width:16px;height:16px;bottom:-2px;left:0;}.topic-map .poster .avatar-flair .d-icon{font-size:.7579em;}.topic-avatar .poster-avatar-extra{display:none;}.map:first-of-type{display:flex;}.map:first-of-type .buttons{margin-right:auto;order:15;}.map:first-of-type .buttons .btn{height:100%;}.topic-body .cooked{overflow:hidden;}.topic-body.highlighted{animation:background-fade-highlight 2.5s ease-out;}.post-info{flex:0 0 auto;margin-left:0.5em;}.post-info.post-date{margin-left:0;}.post-info.via-email .d-icon,.post-info.whisper .d-icon,.post-info.post-locked .d-icon{font-size:1em;}.post-info .wiki,.post-info .last-wiki-edit{color:green;}.post-info.via-email{color:#bdbdbd;}.post-info.raw-email{cursor:pointer;}pre code{word-wrap:normal;display:block;padding:0.5em;color:#222;background:#f9f9f9;max-height:500px;}kbd{background-color:#fff;border:1px solid #e9e9e9;border-radius:3px;box-shadow:0 2px 0 rgba(0,0,0,0.2), 0 0 0 1px #fff inset;background:#fafafa;border:1px solid #ccc;border-bottom:medium none #fff;color:#222;display:inline-block;font-size:.8706em;line-height:1.4;margin:0 0.1em;padding:0.1em 0.6em;}kbd * * *{display:none;}blockquote>*:first-child{margin-top:0 !important;}blockquote>*:last-child{margin-bottom:0 !important;}.gap{padding:0.25em 56px 0.5em 0;color:#919191;cursor:pointer;text-transform:uppercase;font-weight:bold;font-size:.8706em;}.who-liked,.who-read{transition:height 0.5s;}.who-liked a,.who-read a{margin:0 0 0.5em 0.25em;display:inline-block;}.cooked table thead th,.d-editor-preview table thead th{text-align:right;padding-bottom:2px;font-weight:bold;color:#222;}.cooked table td,.d-editor-preview table td{padding:3px 0.5em 3px 3px;}.small-action{display:flex;align-items:center;max-width:758px;border-top:1px solid #e9e9e9;}.small-action .topic-avatar{align-self:flex-start;padding:0.7em 0;border-top:none;margin-left:11px;flex:0 0 auto;}.small-action .topic-avatar .d-icon{font-size:2em;width:45px;text-align:center;color:#bdbdbd;}.small-action .small-action.deleted{background-color:rgba(242,171,154,0.7);}.small-action .small-action-desc.timegap{color:#919191;}.small-action .small-action-desc{display:flex;flex-wrap:wrap;flex:1 1 100%;align-items:center;padding:1em 0;text-transform:uppercase;font-weight:bold;font-size:.8706em;color:#919191;min-width:0;}.small-action .small-action-desc .custom-message{flex:1 1 100%;text-transform:none;font-weight:normal;font-size:1.1487em;order:12;word-break:break-word;min-width:0;}.small-action .small-action-desc .custom-message p{margin-bottom:0;}.small-action .small-action-desc a.trigger-user-card{align-self:stretch;}.small-action .small-action-desc .avatar{margin-left:0.8em;float:right;}.small-action .small-action-desc>p{margin:0;line-height:1.2;flex:1 1;}.small-action button{background:transparent;border:0;order:9;}.small-action button:last-of-type{margin-right:auto;order:8;}.whisper .post-info.whisper{margin-right:0.5em;}.whisper .topic-body .cooked{font-style:italic;color:#919191;}a.mention,a.mention-group{padding:2px 4px;color:#646464;background:#e9e9e9;border-radius:8px;font-weight:bold;font-size:0.93em;}.popup-menu h3{margin-top:0;}.suggested-topics .topics{padding-bottom:15px;}.suggested-topics .suggested-topics-message .badge-wrapper{margin-left:0;}.large-image-placeholder>a.link{margin-left:10px;}.large-image-placeholder>a>*{overflow:hidden;vertical-align:middle;}.large-image-placeholder>a>.d-icon{color:#919191;margin-left:6px;font-size:1em;line-height:1.4;}.large-image-placeholder>a>span.url{display:inline-block;max-width:300px;margin-left:6px;text-overflow:ellipsis;white-space:nowrap;}.large-image-placeholder>a>span.help{display:inline-block;color:#919191;font-size:.8706em;font-style:italic;line-height:1.4;margin-bottom:1px;}.large-image-placeholder>a>span.badge-notification{vertical-align:unset;}.broken-image,.large-image{color:#bdbdbd;border:1px solid #e9e9e9;font-size:2em;padding:16px;}.reply-to-tab{display:flex;align-items:center;margin-left:2em;}.reply-to-tab img{margin:0 0.25em;}.topic-post.selected article.boxed .select-posts button.select-post{background-color:#08c;color:#fff;border-color:#08c;}.topic-post.selected article.boxed .topic-body .contents:after{display:none;}.topic-post article.boxed{position:relative;}.topic-post article.boxed .select-posts{position:absolute;left:5em;z-index:300;top:0.5em;height:100px;}.topic-post article.boxed .select-posts button{margin-right:8px;background-color:#e9e9e9;color:#222;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);}@media all and (max-width:767px){.reply-to-tab span{display:none;}.user-title{float:right;clear:right;}}.signup-cta a{float:left;text-decoration:underline;}.signup-cta .buttons{margin-bottom:1em;}.post-notice{align-items:center;background-color:#d1f0ff;border-top:1px solid #e9e9e9;display:flex;max-width:calc( 690px + (11px * 2) + 45px - (0.8em * 2));padding:0.8em;}.post-notice.old{background-color:unset;color:#919191;}.post-notice.old .d-icon{color:#919191;}.post-notice p{margin:0;}.post-notice .d-icon{font-size:2em;color:#646464;margin-left:0.65em;}#topic-footer-buttons .reason{color:#646464;display:inline;margin:0 8px 0 0;line-height:1.2;}@keyframes button-jump-up{0%{margin-bottom:-60px;}50%{margin-bottom:10px;}65%{margin-bottom:0px;}77%{margin-bottom:5px;}100%{margin-bottom:0px;}}.progress-back-container{z-index:300;margin-left:0;animation-duration:0.5s;animation-name:button-jump-up;width:145px;text-align:center;margin-bottom:0px;position:absolute;left:0;top:-2em;}.progress-back-container .btn{margin:0;}#topic-progress-wrapper{display:flex;}#topic-progress-wrapper .topic-admin-menu-button-container{display:flex;}#topic-progress-wrapper .topic-admin-menu-button-container>span{display:flex;}#topic-progress-wrapper .topic-admin-popup-menu.right-side{position:absolute;bottom:0;left:0;right:auto;transition:bottom 0.5s;transform:translateZ(0);}#topic-progress-wrapper.docked .topic-admin-popup-menu.right-side{bottom:-150px;}.title-wrapper{display:flex;flex-wrap:wrap;}.title-wrapper button{margin:0 0 0 0.5em;}.title-wrapper a.topic-featured-link{display:inline-block;}.title-wrapper .topic-statuses{line-height:1.2em;margin-left:0.15em;}.title-wrapper .topic-statuses .d-icon{color:#919191;}h1{margin:0 0 4px 0;}a.badge-category{margin-top:5px;}#topic-title .title-wrapper{display:flex;flex-wrap:wrap;width:90%;}#topic-title .title-wrapper a.topic-featured-link{display:inline-block;}#topic-title h1{margin:0 0 4px 0;width:100%;}#topic-title a.badge-category{margin-top:5px;}#topic-title a.edit-topic .d-icon{font-size:0.8em;}#topic-title .edit-topic-title{display:flex;flex-wrap:wrap;box-sizing:border-box;max-width:758px;}#topic-title .edit-topic-title #edit-title{flex:1 1 auto;}#topic-title .edit-topic-title .private-message-glyph{margin:5px 0 0 5px;}#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 49%;margin:0 0 9px 0;}@media all and (max-width:500px){#topic-title .edit-topic-title .category-chooser,#topic-title .edit-topic-title .mini-tag-chooser{flex:1 1 100%;}}#topic-title .edit-topic-title .mini-tag-chooser{margin-right:2%;}@media all and (max-width:500px){#topic-title .edit-topic-title .mini-tag-chooser{margin-right:0;}}.private-message-glyph{color:#bdbdbd;margin-left:5px;}.archetype-private_message #topic-title .edit-topic-title .tag-chooser{margin-right:19px;}.private_message #topic-title .edit-topic-title #edit-title{width:calc(100% - 50px);}.topic-title-outlet{clear:both;}.has-pending-posts{display:flex;justify-content:space-between;padding:0.5em;background-color:#ffffa6;margin-top:1em;max-width:757px;}.suggested-topics-wrapper.related-messages-wrapper .suggested-topics:nth-of-type(n+2) thead{display:none;}.suggested-topics h3 .badge-wrapper.bullet span.badge-category,.suggested-topics h3 .badge-wrapper.box span,.suggested-topics h3 .badge-wrapper.bar span{display:inline;}.suggested-topics h3 .badge-wrapper.bullet span.badge-category{vertical-align:baseline;line-height:1.2;}.suggested-topics h3 .badge-wrapper.bullet,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-parent-bg,.suggested-topics h3 .badge-wrapper.bullet span.badge-category-bg{line-height:0.8;}.suggested-topics .badge-wrapper.bullet span.badge-category,.suggested-topics .badge-wrapper.bar span.badge-category{max-width:150px;}.suggested-topics .suggested-topics-title{display:flex;align-items:center;}.post-links-container{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;clear:both;}.post-links-container .post-links{margin-top:1em;padding-top:1em;border-top:1px solid #e9e9e9;}.post-links-container .post-links li:last-of-type{margin-bottom:1em;}.post-links-container .expand-links{color:#919191;}.post-links-container .track-link{display:flex;align-items:center;}.post-links-container .track-link span:not(.badge){overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}.post-links-container ul{margin:0;list-style:none;}.post-links-container ul li{margin-bottom:0.5em;}.post-links-container ul li a[href]{color:#919191;}.post-links-container ul li .clicks{margin-right:0.5em;flex:0 0 auto;}.post-links-container ul li .d-icon{font-size:.7579em;margin:0 0 0 0.5em;}.post-links-container a.reply-new .d-icon{background:#fff;border-radius:20px;transition:all linear 0.15s;}.post-links-container a.reply-new:hover{color:#08c;}.post-links-container a.reply-new:hover .d-icon{background:#d1f0ff;}a.topic-featured-link{display:inline-block;text-transform:lowercase;color:#919191;font-size:0.875rem;}a.topic-featured-link .d-icon{margin-left:3px;}.topic-area .pending-posts{max-width:calc( 690px + 45px + 22px);}.topic-area .pending-posts .reviewable-item .post-body{max-height:unset;}#request-access{width:325px;margin:0 auto;}#request-access input[type="text"]{width:320px;height:30px;font-size:1.5157em;}#request-access input[type="submit"]{font-size:1.5157em;padding:10px;}.hljs{display:block;padding:0.5em;color:#333;}.hljs-comment,.hljs-doctag{color:#998;font-style:italic;}.hljs-keyword,.javascript .hljs-title,.nginx .hljs-title,.hljs-subst,.hljs-request,.hljs-status{color:#333;font-weight:bold;}.hljs-number,.ruby .hljs-constant{color:#099;}.hljs-string,.hljs-tag .hljs-string,.tex .hljs-formula{color:#d14;}.hljs-title,.hljs-name,.coffeescript .hljs-params,.scss .hljs-meta{color:#d14;font-weight:bold;}.javascript .hljs-title,.lisp .hljs-title,.clojure .hljs-title,.hljs-subst{font-weight:normal;}.hljs-class .hljs-title,.haskell .hljs-type,.vhdl .hljs-literal,.tex .hljs-command{color:#458;font-weight:bold;}.hljs-tag,.hljs-tag .hljs-title,.django .hljs-tag .hljs-keyword{color:navy;font-weight:normal;}.hljs-attribute,.css .hljs-keyword,.hljs-variable,.lisp .hljs-body{color:teal;}.hljs-regexp{color:#090;}.hljs-symbol,.ruby .hljs-symbol .hljs-string,.lisp .hljs-keyword,.tex .hljs-special,.hljs-prompt{color:#990073;}.hljs-built_in,.lisp .hljs-title,.clojure .hljs-built_in,.hljs-builtin-name{color:#0aadff;}.meta{color:#919191;font-weight:bold;}.hljs-deletion{background:#fbe6e1;}.hljs-addition{background:#b8ffb8;}.diff .hljs-meta{color:#e9e9e9;}p>code,li>code,pre>code{color:#333;background:#f8f8f8;}#discourse-tooltip{background-color:#fff;position:absolute;z-index:600;border:1px solid #919191;max-width:400px;margin-top:25px;overflow-wrap:break-word;display:none;font-size:1em;font-weight:500;}#discourse-tooltip.retina{border:0.5px solid #919191;}#discourse-tooltip .tooltip-pointer{position:relative;background:#fff;}#discourse-tooltip .tooltip-pointer:before,#discourse-tooltip .tooltip-pointer:after{position:absolute;pointer-events:none;border:solid transparent;bottom:100%;content:"";height:0;width:0;}#discourse-tooltip .tooltip-pointer:after{border-bottom-color:#fff;border-width:8px;right:50%;margin-right:-8px;margin-bottom:-0.5px;}#discourse-tooltip .tooltip-pointer:before{border-bottom-color:#919191;border-width:9px;right:50%;margin-right:-9px;margin-bottom:-0.5px;}#discourse-tooltip .tooltip-content{padding:1em;max-width:250px;font-size:.8706em;color:#222;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);line-height:1.4em;}.page-not-found{margin:0 0 40px 0;}.page-not-found h1.title{font-size:2em;line-height:1.2;}.page-not-found-search{margin-top:20px;}.page-not-found-topics{display:flex;}@media screen and (max-width:600px){.page-not-found-topics{flex-wrap:wrap;}}.popular-topics,.recent-topics{box-sizing:border-box;width:50%;max-width:400px;margin-bottom:40px;padding-left:20px;}@media screen and (max-width:600px){.popular-topics,.recent-topics{width:100%;}}.popular-topics h2,.recent-topics h2{margin-bottom:10px;}.not-found-topic{display:flex;flex-wrap:wrap;align-items:baseline;margin-bottom:15px;}@media screen and (max-width:600px){.not-found-topic:nth-of-type(n+6){display:none;}}.not-found-topic a:not(.badge-wrapper){flex-basis:100%;}.modal-outer-container{width:100%;height:100%;}.modal-middle-container{display:flex;height:100%;align-items:center;}.modal-inner-container{box-sizing:border-box;flex:0 1 auto;margin:0 auto;max-width:700px;background-color:#fff;box-shadow:0 8px 60px rgba(0,0,0,0.6);}.modal-inner-container .select-kit{width:220px;}.modal-inner-container .select-kit.tag-chooser{width:100%;}.modal-open .dropdown-menu{z-index:1400;}.modal-open .popover{z-index:1500;}.modal-open .tooltip{z-index:1600;}.bootbox.modal{position:fixed;z-index:1300;overflow:auto;height:auto;background-color:#fff;box-shadow:0 4px 14px rgba(0,0,0,0.15);background-clip:padding-box;}.input-hint-text{margin-right:0.5em;color:#a6a6a6;}.modal-header{display:flex;padding:10px 15px;border-bottom:1px solid #e9e9e9;align-items:center;}.modal-header .title h3{margin-bottom:0;}.modal-header .title p{margin:0;}.modal-header .modal-close{align-self:flex-start;order:2;margin-right:auto;padding-right:2em;}.modal-header .modal-close .close{color:#646464;}.modal-backdrop{position:fixed;top:0;left:0;bottom:0;right:0;z-index:1200;background-color:#111;}.modal-backdrop.fade{opacity:0;}.modal-backdrop,.modal-backdrop.fade.in{animation:fade 0.3s;opacity:0.9;filter:alpha(opacity=90);}@keyframes fade{from{opacity:0;}to{opacity:0.9;}}@keyframes slidein{from{transform:translateY(-20%);}to{transform:translateY(0);}}.create-account.in .modal-inner-container,.login-modal.in .modal-inner-container{animation:slidein 0.3s;}.inline-modal .modal-inner-container{border:1px solid gray;}.fixed-modal{position:fixed;top:0;width:100%;height:100%;z-index:1300;overflow:auto;}.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:80vh !important;}@media screen and (max-height:500px){.fixed-modal:not(.history-modal) .modal-body:not(.reorder-categories):not(.poll-ui-builder){max-height:65vh !important;}}.modal-form{margin-bottom:0;}.modal-footer{padding:14px 15px 10px;border-top:1px solid #e9e9e9;}.modal-footer .btn{margin:0 0 5px 5px;}.modal.edit-category-modal .modal-body textarea{height:10em;}@media screen and (min-width:524px){.modal.edit-category-modal .modal-inner-container{min-width:525px;}}.modal .nav{padding:10px 15px 10px 30px;background-color:#fff;border-bottom:1px solid #e9e9e9;}.modal .nav li>a{font-size:1em;}.modal.hidden{display:none;}.modal .modal-body{box-sizing:border-box;width:100%;overflow-y:auto;max-height:400px;}.modal .modal-body.full-height-modal{max-height:calc(100vh - 150px);}.modal .modal-body.insert-link{overflow-y:visible;}.modal .modal-body.insert-link input{min-width:300px;}.modal .modal-body.insert-link .inputs{position:relative;}.modal .modal-body.insert-link .inputs .spinner{position:absolute;left:8px;top:-15px;width:10px;height:10px;}.modal .modal-body.insert-link .inputs .internal-link-results{position:absolute;top:70%;padding:5px 10px;box-shadow:0 4px 14px rgba(0,0,0,0.15);z-index:5;background-color:#fff;max-height:150px;width:90%;overflow-y:auto;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link{padding:6px;border-bottom:1px solid #e9e9e9;cursor:pointer;display:block;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:hover,.modal .modal-body.insert-link .inputs .internal-link-results>.search-link:focus{background-color:#ffffa6;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .search-category{display:flex;align-items:center;}.modal .modal-body.insert-link .inputs .internal-link-results>.search-link .discourse-tags{display:inline-block;font-size:.8706em;}.modal .modal-body textarea{width:99%;height:80px;}.modal .modal-body p{font-size:1em;}.modal .modal-body .archetype-option{margin-bottom:20px;}.modal .modal-body .warning{color:#e45735 !important;}.modal .password-confirmation{display:none;}.modal section.field{padding:0.25em 0;margin-bottom:5px;}.modal section.field.with-items{display:flex;align-items:flex-start;}.modal section.field .field-item{display:inline-block;margin-left:10px;}.modal .modal-body.forgot-password-modal p{font-size:1em;}.modal pre code{white-space:pre-wrap;max-width:700px;}.reply-where-modal .modal-footer a{display:block;}.reply-where-modal .modal-footer .d-modal-cancel{margin:1em 0 0.5em;}.reply-where-modal .modal-footer .btn{text-align:right;font-size:1.3195em;line-height:1.2;margin-bottom:10px;font-weight:bold;}.reply-where-modal .modal-footer .btn .topic-title{font-weight:normal;}.d-modal-cancel{margin-right:1em;color:#919191;}.d-modal-cancel:hover{color:#e45735;}.delete-user-modal .modal-footer .btn{line-height:1.2;}.delete-posts-progress .progress-bar{height:15px;position:relative;background:#bdbdbd;border-radius:25px;overflow:hidden;margin:30px 0 20px;}.delete-posts-progress .progress-bar span{display:block;width:0%;height:100%;background-color:#08c;position:relative;transition:width 0.6s linear;}.permission-list{list-style:none;margin:0 0 30px;padding:0;}.permission-list .name{margin-left:20px;display:inline-block;min-width:100px;}.permission-list .permission{margin-right:20px;}.permission-list .d-icon-times-circle{margin-right:5px;color:#e45735;}.permission-list li{margin-bottom:10px;}.edit-category-modal input:not([type="checkbox"]),.edit-category-modal .controls{display:block;margin-bottom:0.5em;}.edit-category-modal .disable_info_wrap{position:relative;display:inline-block;float:left;}.edit-category-modal .disable_info_wrap .cannot_delete_reason{position:absolute;background:#222;color:#fff;text-align:center;border-radius:2px;padding:12px 8px;}.edit-category-modal .disable_info_wrap .cannot_delete_reason::after{top:100%;right:57%;border:solid transparent;content:" ";position:absolute;border-top-color:#222;border-width:8px;}.edit-category-modal .permission-selector{margin-left:0.25em;}.edit-category-modal .pending-permission-change-alert{margin-right:auto;max-width:250px;background:#434343;color:#fff;margin-top:10px;padding:5px 10px;position:relative;}.edit-category-modal .pending-permission-change-alert .arrow-div{border:solid transparent;content:" ";position:absolute;border-bottom-color:#434343;border-width:7px;top:-13px;right:200px;}.edit-category-modal .add-permission{position:relative;top:0.1em;}.edit-category-modal .edit-category-tab-settings>section{margin-bottom:1.5em;}.edit-category-modal .edit-category-tab-settings input[type="number"],.edit-category-modal .edit-category-tab-settings input[type="text"],.edit-category-modal .edit-category-tab-settings .select-kit{width:280px;}.edit-category-modal .edit-category-tab-settings label{max-width:280px;}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label{flex-wrap:wrap;}.edit-category-modal .edit-category-tab-settings .category-email-in-outlet label a{margin-right:1.3em;}.edit-category-modal #category-min-tags-from-group{width:100px;}.incoming-email-modal .btn{transition:none;background-color:transparent;margin-left:5px;}.incoming-email-modal .btn:hover,.incoming-email-modal .btn.active{color:#222;}.incoming-email-modal .btn.active{font-weight:bold;}.incoming-email-modal .btn:focus{outline:2px solid #e9e9e9;}.incoming-email-modal .incoming-email-tabs{margin-bottom:15px;}.incoming-email-modal .incoming-email-content{height:300px;max-width:700px;width:90vw;}.incoming-email-modal .incoming-email-content textarea,.incoming-email-modal .incoming-email-content .incoming-email-html-part{height:95%;border:none;border-top:1px solid #e9e9e9;padding-top:10px;}.incoming-email-modal .incoming-email-content textarea{font-family:monospace;resize:none;border-radius:0;box-shadow:none;}.incoming-email-modal .incoming-email-content .incoming-email-html-part{padding:10px 4px 4px 4px;}.modal .modal-body.change-timestamp #date-container .pika-single{width:100%;box-sizing:border-box;display:flex;justify-content:center;}.modal .modal-body.change-timestamp form{display:flex;}.modal .modal-body.change-timestamp form .date-picker-wrapper,.modal .modal-body.change-timestamp form input[type="time"]{width:50%;}.modal .modal-body.change-timestamp form .date-picker-wrapper{display:flex;flex:1;}.modal .modal-body.change-timestamp form .date-picker-wrapper .date-picker{flex:1;}.modal .modal-body.change-timestamp form input.date-picker,.modal .modal-body.change-timestamp form input[type="time"]{text-align:right;margin:0;}.change-timestamp{max-width:420px;}.change-timestamp #date-container .pika-single,.poll-ui-builder #date-container .pika-single{position:relative !important;display:inline-block;margin-top:0.5em;}.change-timestamp .date-picker-wrapper,.poll-ui-builder .date-picker-wrapper{min-width:130px;margin-left:0.5em;}.change-timestamp input[type="time"],.poll-ui-builder input[type="time"]{width:130px;}.change-timestamp form,.poll-ui-builder form{margin:0;}.flag-modal{max-height:450px;}.flag-modal .flag-action-type-details{width:100%;max-width:500px;line-height:1.4;}.flag-message{margin:0;}.custom-message-length{color:#919191;font-size:.8706em;}.jump-to-post-modal .modal-inner-container{max-width:350px;}.jump-to-post-modal .modal-body{overflow-y:visible;}.jump-to-post-modal .modal-body #post-jump,.jump-to-post-modal .modal-body .date-picker{margin:0;width:100px;}.jump-to-post-modal .modal-body .input-hint-text{color:#222;}.jump-to-post-modal .modal-body .jump-to-post-control .index{color:#919191;}.jump-to-post-modal .modal-body .jump-to-date-control .input-hint-text{margin-right:0;}.jump-to-post-modal .modal-body .separator{display:flex;align-items:center;margin:0.5em auto;}.jump-to-post-modal .modal-body .separator hr{flex:1 0 0px;}.jump-to-post-modal .modal-body .separator .text{margin:0 0 0 0.5em;color:#919191;}.move-to-modal .existing-topic .radio{flex-wrap:wrap;}.move-to-modal .existing-topic .topic-title{max-width:90%;}.move-to-modal .existing-topic .topic-categories{width:100%;}.modal:not(.has-tabs) .modal-tab{position:absolute;width:95%;}.modal.has-tabs .modal-tabs{display:inline-flex;flex-wrap:wrap;width:calc(100% - 20px);flex:1 0 auto;margin:0;}.modal.has-tabs .modal-tabs .modal-tab{list-style:none;padding:4px 8px;margin-left:4px;cursor:pointer;}.modal.has-tabs .modal-tabs .modal-tab.is-active{color:#fff;background:#e45735;}.modal.has-tabs .modal-tabs .modal-tab.is-active.single-tab{background:none;color:#222;padding:4px 0;}.groups-header{display:flex;flex-wrap:wrap;margin-bottom:1em;}.groups-header .groups-header-new{order:2;margin-bottom:0.5em;}.groups-header-filters{display:flex;flex-wrap:wrap;}.groups-header-filters .groups-header-filters-name,.groups-header-filters .groups-header-filters-type{margin-left:5px;margin-bottom:0.5em;}.groups-header-filters:last-child{margin-left:auto;}.groups-boxes{margin:1em 0;width:100%;display:flex;flex-wrap:wrap;justify-content:space-between;}@supports (display:grid){.groups-boxes{display:grid;grid-template-columns:repeat(4,24%);grid-column-gap:1.333%;grid-row-gap:1em;}@media screen and (max-width:768px){.groups-boxes{grid-template-columns:repeat(3,32%);grid-column-gap:2%;}}@media screen and (max-width:450px){.groups-boxes{grid-template-columns:100%;}}}.groups-boxes .group-box{flex:1 1 24%;margin:1%;display:flex;box-sizing:border-box;cursor:pointer;border:1px solid #e9e9e9;color:#222;}@media screen and (max-width:450px){.groups-boxes .group-box{margin:0;}}.discourse-no-touch .groups-boxes .group-box{transition:all 0.25s;}.discourse-no-touch .groups-boxes .group-box:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15);}.groups-boxes .group-box .group-membership{color:#919191;margin-top:auto;padding-top:1em;}.groups-boxes .group-box .group-membership .is-group-owner,.groups-boxes .group-box .group-membership .is-group-member{color:#090;}.groups-boxes .group-box .group-box-inner{padding:1em;width:100%;display:flex;flex-direction:column;box-sizing:border-box;}.groups-boxes .group-box .group-box-inner .group-info-wrapper{display:flex;overflow:hidden;flex:0 1 auto;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-avatar-flair{margin-top:0.2em;margin-left:8px;flex:0 0 auto;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info{flex:1 0 auto;margin-bottom:1em;width:70%;}.groups-boxes .group-box .group-box-inner .group-info-wrapper .group-info span{width:100%;word-break:break-word;line-height:1.2;}.groups-boxes .group-box .group-box-inner .group-user-count{display:flex;align-items:center;color:#646464;}.groups-boxes .group-box .group-box-inner .group-user-count .d-icon{margin-left:0.25em;font-size:0.8em;color:#919191;}.groups-boxes .group-box .group-box-inner .group-description{color:#646464;word-wrap:break-word;}.groups-boxes .group-box .groups-info-name{font-size:1.1487em;font-weight:bold;color:#222;}.groups-boxes .group-box .group-avatar-flair{display:inline-block;color:#222;}.groups-boxes .group-box .group-avatar-flair .avatar-flair{background-size:40px;height:40px;width:40px;border-radius:50%;display:flex;align-items:center;justify-content:center;background-repeat:no-repeat;}.groups-boxes .group-box .group-avatar-flair .avatar-flair .d-icon{height:22.22222px;width:22.22222px;}.groups-boxes .group-box .avatar-flair-image{width:40px;}.caps-lock-warning{color:#e45735;font-size:.8706em;font-weight:bold;}.discourse-no-touch #login-form{margin:0;}.discourse-touch .caps-lock-warning{display:none;}#login-form table{width:100%;}#login-form a{color:#646464;}#login-form td{padding-left:5px;}#login-form #credentials tr:first-of-type{margin-bottom:0.75em;}#new-account-link{cursor:pointer;}.login-modal tr,.create-account tr{border:none;}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:10px 0 0 0;}.login-modal td label,.login-modal td input,.create-account td label,.create-account td input{margin-bottom:0;width:100%;}.login-modal .modal-footer .inline-spinner,.create-account .modal-footer .inline-spinner{display:inline-flex;}.login-modal.awaiting-approval,.create-account.awaiting-approval{display:none;}.create-account .disclaimer{color:#919191;margin-top:0.5em;}.create-account .user-field>label{margin-top:0.75em;margin-bottom:0;padding-top:5px;}.create-account .user-field:first-of-type>label{margin-top:0;}.create-account .user-field input[type="text"]{margin-bottom:0;width:100%;}.create-account .user-field .select-kit{width:100%;}.create-account .user-field .controls{padding-top:5px;}.create-account .user-field .controls label{width:auto;text-align:right;font-weight:normal;}.create-account .user-field .controls .instructions{margin-top:0.15em;color:#919191;line-height:1.2;}.password-reset .instructions label{color:#919191;}.invites-show .two-col{position:relative;display:flex;}.invites-show .col-image{position:relative;margin-left:20px;}@media screen and (max-width:600px){.invites-show .col-image{display:none;}}.invites-show form{margin-top:24px;}.invites-show form button.btn-primary{margin-top:10px;}.invites-show form label:not(.checkbox-label){font-weight:bold;}.invites-show form .controls,.invites-show form .input{margin-bottom:10px;}.invites-show form .instructions{color:#919191;margin:0;font-size:.8706em;font-weight:normal;line-height:1.2;}.auth-message{padding:0 15px 15px 15px;}.auth-message:empty{padding:0;}.modal tr.instructions{display:flex;flex-direction:column;margin-top:0.15em;}.modal tr.instructions label{color:#919191;}button#login-link,button#new-account-link{background:transparent;color:#646464;}#security-key{display:flex;flex-wrap:wrap;align-items:center;}#security-key button{margin-left:1.5em;}#security-key p{margin:0;font-size:1em;}#security-key a{display:inline-block;padding:1em 0 1em 0.5em;color:#08c;}.menu-panel.slide-in{position:fixed;left:0;box-shadow:0 2px 4px -1px rgba(0,0,0,0.25);}.menu-panel.slide-in.animate{transition:right 0.2s ease-out,left 0.2s ease-out;}.menu-panel.slide-in .panel-body{position:absolute;top:3px;bottom:37px;width:97%;}.header-cloak{display:none;}.menu-panel.drop-down{position:absolute;top:100%;left:-10px;}.menu-panel{border:1px solid #e9e9e9;box-shadow:0 12px 12px rgba(0,0,0,0.15);background-color:#fff;z-index:1000;padding:0.5em;width:300px;}.menu-panel hr{margin:3px 0;}.menu-panel .panel-header{position:absolute;left:20px;}.menu-panel ul{list-style:none;margin:0;padding:0;}.menu-panel .panel-body{touch-action:pan-y pinch-zoom;overflow-y:auto;overflow-x:hidden;max-height:100vh;}.menu-panel .badge-notification{vertical-align:text-bottom;}.menu-links.columned li{width:50%;float:right;}.menu-panel li a.widget-link,.menu-panel li.heading a.widget-link{padding:0.25em 0.5em;display:block;}.menu-panel li a.widget-link:hover,.menu-panel li a.widget-link:focus,.menu-panel li.heading a.widget-link:hover,.menu-panel li.heading a.widget-link:focus{background-color:#ffffa6;outline:none;}.menu-panel li .new,.menu-panel li.heading .new{font-size:.8706em;margin-right:0.5em;color:#919191;}.menu-panel .categories-link{display:block;padding:0.25em 0.5em;}.menu-panel li.category-link{float:right;background-color:transparent;display:inline-flex;align-items:center;padding:0.25em 0.5em;width:50%;box-sizing:border-box;}.menu-panel li.category-link a{display:inline-flex;}.menu-panel li.category-link a:hover,.menu-panel li.category-link a:focus{background:transparent;}.menu-panel li.category-link .badge-notification{color:#919191;background-color:transparent;display:inline;padding:0;font-size:.8706em;line-height:1.4;}.menu-panel li.category-link .badge-wrapper.bar,.menu-panel li.category-link .badge-wrapper.bullet{color:#222;padding:0 0.15em 0 0;}.menu-panel li.category-link .badge-wrapper.box{color:#fff;}.menu-panel li.category-link .badge-wrapper.box+a.badge.badge-notification{padding-top:2px;}.menu-panel li.category-link .badge-wrapper.box span{z-index:-1;}.menu-panel b.topics-count{color:#919191;font-weight:normal;font-size:.8706em;}.menu-panel span.badge-category{max-width:100px;}.menu-panel div.discourse-tags{font-size:.8706em;}.user-menu .quick-access-panel{width:100%;display:table;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}.user-menu .quick-access-panel h3{padding:0 0.4em;font-weight:bold;margin:0.5em 0;}.user-menu .quick-access-panel .d-icon,.user-menu .quick-access-panel:hover .d-icon{color:#919191;}.user-menu .quick-access-panel .icon{color:#646464;}.user-menu .quick-access-panel li{background-color:#d1f0ff;}.user-menu .quick-access-panel li div .fa{display:none;}.user-menu .quick-access-panel li span:first-child{color:#222;}.user-menu .quick-access-panel li:hover,.user-menu .quick-access-panel li:focus{background-color:#ffffa6;outline:none;}.user-menu .quick-access-panel li a{padding:0;}.user-menu .quick-access-panel li a>div{overflow:hidden;display:-webkit-box;-webkit-line-clamp:2;-webkit-box-orient:vertical;}.user-menu .quick-access-panel li p{margin:0;overflow:hidden;}.user-menu .quick-access-panel li:not(.show-all){padding:0.25em 0.5em;}.user-menu .quick-access-panel li:not(.show-all) .d-icon{float:right;margin-left:5px;padding-top:0.2em;}.user-menu .quick-access-panel .is-warning .d-icon-far-envelope{color:#e45735;}.user-menu .quick-access-panel .read{background-color:#fff;}.user-menu .quick-access-panel .none{padding-top:5px;}.user-menu .quick-access-panel .spinner-container{min-height:2em;}.user-menu .quick-access-panel .spinner{width:20px;height:20px;border-width:2px;margin:0 auto;}.user-menu .quick-access-panel .show-all a{width:100%;display:flex;justify-content:center;align-items:center;min-height:30px;color:#919191;background:#f9f9f9;}.user-menu .quick-access-panel .show-all a:hover{color:#222;background:#e9e9e9;}.user-menu .dismiss-link{display:inline-block;float:left;}div.menu-links-header{width:100%;display:table;border-collapse:separate;border-spacing:0 0.5em;}div.menu-links-header .menu-links-row{border-bottom:1px solid #e9e9e9;display:flex;padding:0 4px;}div.menu-links-header .menu-links-row li{display:inline-flex;align-items:center;flex-wrap:wrap;}div.menu-links-header .menu-links-row li.user{margin-left:auto;}div.menu-links-header .menu-links-row li.glyphs{flex-wrap:wrap;text-align:left;max-width:65%;}div.menu-links-header .menu-links-row li.glyphs a{padding-right:0.6em;padding-left:0.6em;}div.menu-links-header .menu-links-row li a{border:1px solid transparent;border-bottom:0;}div.menu-links-header .menu-links-row li a.active{border:1px solid #e9e9e9;border-bottom:0;position:relative;}div.menu-links-header .menu-links-row li a.active:after{display:block;position:absolute;top:100%;right:0;z-index:1001;width:100%;height:0;content:"";border-top:1px solid #fff;}div.menu-links-header .menu-links-row li a.active:focus,div.menu-links-header .menu-links-row li a.active:hover{background-color:inherit;}div.menu-links-header a:hover,div.menu-links-header a:focus{background-color:#ffffa6;outline:none;}div.menu-links-header a{padding:0.3em 0.5em;}div.menu-links-header a.user-activity-link{align-items:center;display:flex;margin:-0.5em 0;max-width:130px;overflow:visible;}div.menu-links-header a.user-activity-link span.d-label{display:block;max-width:130px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}@media screen and (max-width:350px){div.menu-links-header a.user-activity-link{max-width:125px;}}div.menu-links-header li{display:table-cell;width:auto;text-align:center;}div.menu-links-header li:first-child{text-align:right;}div.menu-links-header li:last-child{text-align:left;}div.menu-links-header .fa,div.menu-links-header a{color:#919191;}div.menu-links-header .d-icon-user{margin-left:0.475em;}.request-group-membership-form label{font-weight:bold;}.group-add-membership-request-template{width:98%;}.d-editor-container{display:flex;flex-grow:1;max-width:100%;}.d-editor{display:flex;flex-grow:1;min-height:0;}.d-editor-textarea-wrapper,.d-editor-preview-wrapper{flex:1;}.d-editor-textarea-wrapper{display:flex;flex-direction:column;background-color:#fff;position:relative;border:1px solid #919191;}.d-editor-textarea-wrapper textarea{background:transparent;}.d-editor-textarea-wrapper.disabled{cursor:not-allowed;}.d-editor-textarea-wrapper.disabled .d-editor-button-bar{visibility:hidden;}.d-editor-preview-wrapper{max-width:49%;margin-right:1%;display:flex;flex-direction:column;}.d-editor-button-bar{display:flex;align-items:center;min-height:30px;border-bottom:1px solid #e9e9e9;}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{background-color:transparent;display:inline-block;}.d-editor-button-bar .btn .d-icon,.d-editor-button-bar .btn-default .d-icon{color:#919191;}.d-editor-button-bar .btn svg,.d-editor-button-bar .btn-default svg{-webkit-transform:translate3d(0,0,0);}.d-editor-button-bar .d-editor-spacer{height:1em;display:inline-block;border-right:1px solid #bdbdbd;}.d-editor-button-bar .btn:not(.no-text){font-size:1.1487em;}.d-editor-button-bar .btn.bold{font-weight:bolder;}.d-editor-button-bar .btn.italic{font-style:italic;}.d-editor-preview-wrapper{overflow:auto;cursor:default;-webkit-overflow-scrolling:touch;}.d-editor-input,.d-editor-preview{box-sizing:border-box;flex:1 1 100%;width:100%;margin:0;min-height:auto;word-wrap:break-word;-webkit-appearance:none;border-radius:0;}.d-editor-input:focus,.d-editor-preview:focus{box-shadow:none;border:0;outline:0;}.d-editor-input{border:0;padding:10px;height:100%;overflow-x:hidden;resize:none;}.d-editor-preview{height:auto;}.d-editor-plugin{display:flex;flex:1 1;overflow:auto;}.composing-whisper .d-editor-preview{font-style:italic;color:#919191 !important;}.d-editor-preview>*:first-child{margin-top:0;}.hide-preview .d-editor-preview-wrapper{display:none;flex:0;}.user-preferences .bio-composer textarea,.group-form-bio textarea,.edit-category-tab-topic-template textarea{width:100%;height:100%;min-height:10em;}.user-preferences .bio-composer .d-editor-container,.group-form-bio .d-editor-container,.edit-category-tab-topic-template .d-editor-container{display:block;}.user-preferences .bio-composer .d-editor-textarea-wrapper,.group-form-bio .d-editor-textarea-wrapper,.edit-category-tab-topic-template .d-editor-textarea-wrapper{border:1px solid #e9e9e9;}.user-preferences .bio-composer .d-editor-preview-wrapper,.group-form-bio .d-editor-preview-wrapper,.edit-category-tab-topic-template .d-editor-preview-wrapper{max-width:100%;margin:10px 0 0 0;}.user-preferences .bio-composer .d-editor-preview,.group-form-bio .d-editor-preview,.edit-category-tab-topic-template .d-editor-preview{background-color:#f8f8f8;padding:5px;}.user-preferences .bio-composer .d-editor-preview:empty,.group-form-bio .d-editor-preview:empty,.edit-category-tab-topic-template .d-editor-preview:empty{padding:0;}.user-preferences .bio-composer,.group-form-bio{padding:10px;border:1px solid #e9e9e9;}.d-editor-preview img{padding-bottom:1.4em;}.d-editor-preview img.emoji,.d-editor-preview img.avatar,.d-editor-preview img.site-icon{padding-bottom:0;}.d-editor-preview .image-wrapper{position:relative;display:inline-block;padding-bottom:1.4em;}.d-editor-preview .image-wrapper img{padding-bottom:0;}.d-editor-preview .image-wrapper:hover .button-wrapper{opacity:0.9;}.d-editor-preview .image-wrapper .button-wrapper{opacity:0;position:absolute;transition:all 0.25s;display:flex;align-items:center;bottom:0;right:0;}.d-editor-preview .image-wrapper .button-wrapper .separator{color:#bdbdbd;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn{color:#08c;padding:0 0.4em;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:first-of-type{padding-right:0;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn.active{font-weight:bold;color:#222;}.d-editor-preview .image-wrapper .button-wrapper .scale-btn:not(.active):hover{text-decoration:underline;cursor:pointer;}.mobile-view .d-editor-preview .image-wrapper .button-wrapper{opacity:1;}.d-editor-button-bar{margin:0.25em;}.d-editor-button-bar .btn,.d-editor-button-bar .btn-default{padding:0 0.5em;}.d-editor-button-bar .d-editor-spacer{margin:0 0.25em;}@media screen and (max-width:450px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.4em;}}@media screen and (max-width:350px){.text-size-smaller .d-editor-button-bar .btn,.text-size-smaller .d-editor-button-bar .btn-default{padding:0 0.3em;}.text-size-smaller .d-editor-button-bar .d-editor-spacer{margin:0 0.25em;}}@media screen and (max-width:450px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.35em;}}@media screen and (max-width:350px){.text-size-normal .d-editor-button-bar .btn,.text-size-normal .d-editor-button-bar .btn-default{padding:0 0.25em;}}@media screen and (max-width:450px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.3em;}}@media screen and (max-width:350px){.text-size-larger .d-editor-button-bar .btn,.text-size-larger .d-editor-button-bar .btn-default{padding:0 0.2em;}}.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{font-size:.8706em;}@media screen and (max-width:450px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.3em;}}@media screen and (max-width:350px){.text-size-largest .d-editor-button-bar .btn,.text-size-largest .d-editor-button-bar .btn-default{padding:0 0.2em;}}.timeline-loading{width:900px;}.timeline-container{box-sizing:border-box;z-index:100;margin-right:757px;position:fixed;-webkit-transform:translate3d(0,0,0);}@media screen and (min-width:1140px){.timeline-container{margin-right:820px;}}@media all and (min-width:1250px){.timeline-container{margin-right:900px;}}.timeline-container.timeline-docked{position:absolute;}.timeline-container.timeline-docked-bottom .timeline-footer-controls{opacity:0;pointer-events:none;cursor:default;}.timeline-container.timeline-fullscreen.show{max-height:700px;transition:max-height 0.4s ease-out;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen.show{max-height:75vh;}}.timeline-container.timeline-fullscreen.show .topic-timeline .timeline-footer-controls{display:inherit;}.timeline-container.timeline-fullscreen.show .timeline-controls{display:table-cell;vertical-align:top;}.timeline-container.timeline-fullscreen{max-height:0;transition:max-height 0.3s ease-in;position:fixed;margin-right:0;background-color:#fff;bottom:0;right:0;left:0;border-top:1px solid #e9e9e9;box-shadow:0 -1px 40px rgba(0,0,0,0.12);padding-top:20px;z-index:1150;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen{padding-top:10px;}}.timeline-container.timeline-fullscreen .back-button{display:none;}.timeline-container.timeline-fullscreen .topic-timeline{width:100%;table-layout:fixed;margin-right:0;margin-left:0;display:table;touch-action:none;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-date-wrapper{float:left;text-align:left;}.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{max-width:650px;max-height:165px;line-height:1.4;overflow:hidden;word-wrap:break-word;text-overflow:ellipsis;display:block;display:-webkit-box;-webkit-line-clamp:8;-webkit-box-orient:vertical;}@media screen and (max-height:425px){.timeline-container.timeline-fullscreen .topic-timeline .post-excerpt{-webkit-line-clamp:5;}}.timeline-container.timeline-fullscreen .topic-timeline .username{color:#646464;word-wrap:break-word;font-weight:bold;}.timeline-container.timeline-fullscreen .topic-timeline .title{margin-top:0;padding-right:1em;display:table-cell;vertical-align:top;width:100%;}.timeline-container.timeline-fullscreen .topic-timeline .title h2{margin-top:0;display:block;display:-webkit-box;-webkit-line-clamp:4;-webkit-box-orient:vertical;max-height:110px;line-height:1.2;word-wrap:break-word;text-overflow:ellipsis;overflow:hidden;font-size:1.3195em;}.timeline-container.timeline-fullscreen .topic-timeline .title a{color:#222;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read{left:0;margin-right:0;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-last-read .progress{display:none;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls{display:none;position:absolute;bottom:10px;right:10px;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls button,.timeline-container.timeline-fullscreen .topic-timeline .timeline-footer-controls .btn-group{float:none;display:inline-block;margin-bottom:0;margin-left:15px;position:static;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea-wrapper{display:table-cell;padding-bottom:20px;padding-left:1.5em;width:100px;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea{border-right:0;border-right-style:solid;border-left-width:1px;max-width:120px;float:left;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller{position:relative;margin-left:-1.5em;padding-left:1.5em;justify-content:flex-end;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-scroller-content{text-align:left;padding-right:0;padding-left:1em;}.timeline-container.timeline-fullscreen .topic-timeline .timeline-scrollarea .timeline-scroller .timeline-handle{float:none;width:11px;position:relative;left:-6px;}.timeline-container.timeline-fullscreen .timeline-scrollarea-wrapper::after{content:"";display:table;clear:both;}.timeline-container .topic-timeline{margin-right:3em;transition:opacity 0.2s ease-in;touch-action:none;}.timeline-container .topic-timeline .timeline-controls{margin-bottom:1em;}.timeline-container .topic-timeline .timeline-controls button{margin-left:0.5em;}.timeline-container .topic-timeline .timeline-footer-controls{margin-top:1.5em;transition:opacity 0.2s ease-in;display:flex;}.timeline-container .topic-timeline .timeline-footer-controls button{margin-left:0.5em;}.timeline-container .topic-timeline .timeline-footer-controls button:last-child{margin-left:0;}.timeline-container .topic-timeline .start-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;color:#919191;}.timeline-container .topic-timeline .timeline-scrollarea{margin-top:0.5em;margin-right:0.5em;border-right:1px solid;border-color:#d1f0ff;position:relative;-webkit-transform:translate3d(0,0,0);}.timeline-container .topic-timeline .timeline-padding{transition:height 0.15s ease-out;cursor:pointer;}.widget-dragging .timeline-container .topic-timeline .timeline-padding{transition:none;}.timeline-container .topic-timeline .timeline-handle{border-radius:0.8em;width:0.35em;background-color:#d1f0ff;height:100%;float:right;z-index:2;}.timeline-container .topic-timeline .timeline-scroller-content{padding-right:1em;}.timeline-container .topic-timeline .timeline-ago{color:#919191;}.timeline-container .topic-timeline .timeline-scroller{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;margin-right:-0.19em;cursor:ns-resize;display:flex;align-items:center;}.timeline-container .topic-timeline .timeline-scroller .back-button{margin-top:1em;}.timeline-container .topic-timeline .timeline-replies{font-weight:bold;}.timeline-container .topic-timeline .timeline-last-read{position:absolute;margin-right:-0.35em;z-index:3;}.timeline-container .topic-timeline .timeline-last-read .progress{font-size:0.8em;color:#08c;margin-left:1em;}.timeline-container .topic-timeline .back-button{min-height:unset;padding:2px 5px;}.timeline-container .topic-timeline .now-date{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;display:inline-block;color:#919191;margin-top:0.5em;}h3 .top-title-buttons button{margin-top:0.5em;}.alert.alert-info{margin:0;}.alert.alert-info.clickable{padding:1em;}#banner{margin:0 -10px;max-height:180px;}@media all and (max-height:499px){#banner{max-height:100px;}}.composer-popup-container{display:none !important;}.composer-popup{display:none !important;}#reply-control{z-index:1100;}#reply-control .reply-area{padding:0 10px;padding-bottom:env(safe-area-inset-bottom);flex-grow:1;}@media screen and (max-width:374px){#reply-control .reply-area{padding:0 5px;}}#reply-control.open{height:250px;}#reply-control.open.edit-title{height:100%;}body.ios-safari-composer-hacks #reply-control.open{height:calc(var(--composer-vh,1vh) * 100);}body.ios-safari-composer-hacks #reply-control.open .reply-area{padding-bottom:0px;}#reply-control .reply-to{margin:5px 0;}#reply-control .reply-to .reply-details{max-width:calc(100% - 75px);}@media screen and (max-width:320px){#reply-control .reply-to .reply-details{flex-wrap:wrap;}#reply-control .reply-to .display-edit-reason{margin-top:0.5em;}#reply-control .reply-to .composer-controls{align-self:flex-start;}}#reply-control .toggler{margin-right:-5px;}#reply-control .toggler .d-icon-chevron-down{vertical-align:text-top;}#reply-control.draft{padding-bottom:env(safe-area-inset-bottom);}#reply-control.draft .toggle-toolbar,#reply-control.draft .toggler{top:8px;}#reply-control.draft .draft-text{width:calc(100% - 40px);overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#reply-control #reply-title{width:calc(100% - 20px);}#reply-control .category-input{margin-bottom:5px;}#reply-control .category-input .category-chooser{width:100% !important;}#reply-control .submit-panel{margin-bottom:5px;align-items:baseline;}#reply-control .submit-panel .save-or-cancel{flex:1 1 auto;}#reply-control .submit-panel .save-or-cancel #draft-status,#reply-control .submit-panel .save-or-cancel #file-uploading{margin-right:6px;}#reply-control .submit-panel .save-or-cancel .cancel{font-size:1.4em;color:#bdbdbd;margin-right:0.6em;padding:3px 6px;}#reply-control .submit-panel .mobile-file-upload:not(.hidden),#reply-control .submit-panel .mobile-preview{display:inline-flex;}#reply-control .submit-panel .mobile-file-upload.hidden+.mobile-preview{display:none;}#reply-control .submit-panel .mobile-preview{margin-right:0.25em;}#reply-control .d-editor-textarea-wrapper{width:100%;}#reply-control.show-preview .d-editor-preview-wrapper{position:fixed;z-index:1150;top:0;bottom:0;right:0;left:0;background-color:#fff;max-width:100%;margin:0;padding:10px;overflow:auto;}#reply-control.show-preview .d-editor-preview-wrapper .d-editor-preview{margin-bottom:40px;}#reply-control.show-preview .btn.hide-preview{position:fixed;left:5px;bottom:5px;z-index:1151;}#reply-control.hide-preview .d-editor-preview-wrapper{display:none;}#reply-control .d-editor-button-bar{display:none;}#reply-control .toolbar-visible .d-editor-button-bar{display:flex;}#reply-control .d-editor-button-bar .btn.preview{margin:0;}#reply-control #mobile-uploader{display:none;}#reply-control .title-and-category,#reply-control .user-selector{margin:0;}#reply-control .title-and-category .users-input,#reply-control .user-selector .users-input{margin-bottom:5px;}#reply-control .with-tags .category-input{flex-basis:auto;flex:1 0 0px;margin:0;width:45%;margin-bottom:5px;}#reply-control .with-tags .mini-tag-chooser{width:50%;flex:1 0 0px;margin-right:5px;margin-bottom:5px;z-index:1;}#reply-control .title-input,#reply-control .category-input,#reply-control .users-input,#reply-control .add-warning{width:100%;}#reply-control .add-warning{margin:0 5px 5px 0;}#reply-control .whisper{margin-left:5px;}body{background-color:#fff;}.ios-device textarea{background-color:#fff;font-size:1.07em;}.ios-device input[type="text"],.ios-device input[type="password"],.ios-device input[type="datetime"],.ios-device input[type="datetime-local"],.ios-device input[type="date"],.ios-device input[type="month"],.ios-device input[type="time"],.ios-device input[type="week"],.ios-device input[type="number"],.ios-device input[type="email"],.ios-device input[type="url"],.ios-device input[type="search"],.ios-device input[type="tel"],.ios-device input[type="color"]{font-size:1.07em;}blockquote{padding:10px 13px 10px 8px;}blockquote p{margin:0 0 10px 0;}blockquote p:last-of-type{margin-bottom:0;}.wrap{padding:0 10px;}.boxed .contents{padding:10px 0 0 0;}.control-group{margin-bottom:9px;}.badge-wrapper{font-weight:normal;}.mobile-nav{margin:0;padding:0;list-style:none;overflow:visible;position:relative;border:1px solid #919191;min-height:37px;}.mobile-nav a{color:#222;}.mobile-nav a .d-icon{margin-left:0.25em;color:#919191;}.mobile-nav>li>a{display:flex;align-items:center;padding:8px 10px;height:100%;width:100%;box-sizing:border-box;}.mobile-nav .expander .d-icon:last-of-type{margin-right:auto;margin-left:0;}.mobile-nav .drop{display:none;}.mobile-nav .drop.expanded{right:0;display:block;position:absolute;z-index:300;background-color:#fff;width:100%;list-style:none;margin:0;padding:5px;border:1px solid #e9e9e9;box-sizing:border-box;}.mobile-nav .drop.expanded li{margin:5px 0;padding:0;}.mobile-nav .drop.expanded li a{height:100%;display:block;padding:5px 8px;}.form-vertical .control-group{margin-bottom:12px;}#main{position:relative;}#simple-container{width:90%;}[data-user-card]:focus .avatar,[data-user-card]:focus+.avatar-flair{animation:wave 0.75s infinite;animation-delay:0.5s;}[data-user-card]:focus .avatar{position:relative;}.d-header{height:3.66em;}.d-header .title{max-width:75%;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;-webkit-animation:fadein 0.5s;animation:fadein 0.5s;min-width:36px;}.d-header .title a{display:block;width:100%;}.d-header #site-logo{max-height:2.4em;max-width:100%;}.d-header #site-text-logo{margin:0;font-size:1.1487em;}.d-header .extra-info-wrapper .extra-info:not(.two-rows){min-height:2.25em;}.d-header .extra-info-wrapper .extra-info .header-title{font-size:1em;margin:0 0 0.35em 0;}.archetype-private_message .d-header .extra-info-wrapper .extra-info .header-title{margin:0 0 0.15em 0;}.d-header .extra-info-wrapper .extra-info .private-message-glyph-wrapper{float:right;}.d-header button.sign-up-button{display:none;}.d-header .extra-info-wrapper+.panel .header-buttons,.d-header .extra-info-wrapper+.panel .d-header-icons{display:none;}.d-header .panel{animation:fadein 0.5s;}.d-header .d-header-icons{-webkit-transform:translateZ(0);}.d-header-icons .d-icon{line-height:1.2;}.d-header-icons .active .icon:after{margin-top:-1px;}#main-outlet{padding-top:4.2857em;}.search-link .badge-category{display:none;}.login-modal .modal-inner-container,.create-account .modal-inner-container{max-width:350px;}.login-modal .close,.create-account .close{padding:0;}.login-modal #login-buttons:not(.hidden),.create-account #login-buttons:not(.hidden){display:flex;flex-wrap:wrap;justify-content:center;width:102%;padding-bottom:10px;margin-right:-2%;}.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{flex:1 1 47%;max-width:70%;margin:1% 2% 1% 0;font-size:1em;white-space:nowrap;}@media screen and (max-width:360px){.login-modal #login-buttons:not(.hidden) button,.create-account #login-buttons:not(.hidden) button{font-size:1em;}}.login-modal #login-buttons:not(.hidden)+#login-form,.create-account #login-buttons:not(.hidden)+#login-form{border-top:1px solid #e9e9e9;}.login-modal form,.create-account form{display:flex;justify-content:center;flex-direction:column;}.login-modal table,.create-account table{width:100%;}.login-modal tr.input td label,.create-account tr.input td label{margin-top:0.75em;}.login-modal tr td label,.create-account tr td label{max-width:280px;display:block;overflow:hidden;word-wrap:break-word;}.login-modal tr:not(.instructions) td,.create-account tr:not(.instructions) td{padding:2px 0 0 0;}.login-modal tr:not(.password-confirmation),.create-account tr:not(.password-confirmation){display:flex;flex-direction:column;}.login-modal .tip:not(:empty)+td,.create-account .tip:not(:empty)+td{display:none;}.login-modal .modal-body input[type="text"],.login-modal .modal-body input[type="email"],.login-modal .modal-body input[type="password"],.login-modal .modal-body input[type="tel"],.create-account .modal-body input[type="text"],.create-account .modal-body input[type="email"],.create-account .modal-body input[type="password"],.create-account .modal-body input[type="tel"]{margin-top:0;width:100%;box-sizing:border-box;}.login-modal .modal-footer,.create-account .modal-footer{box-sizing:border-box;margin:0 auto;font-size:.8706em;}.login-modal .alert.alert-error,.create-account .alert.alert-error{padding:0.5em 1em;margin:0;}.login-modal #new-account-link,.create-account #new-account-link{white-space:nowrap;}.d-modal.login-modal #credentials{width:100%;}.d-modal.login-modal #credentials tr{display:flex;flex-direction:column;}.d-modal.login-modal #login-form{margin-bottom:0.75em;}.d-modal.login-modal #login-form td{padding:0;width:100%;margin:0 auto;}.d-modal.login-modal #login-form label{float:right;display:block;}.d-modal.login-modal #login-form textarea,.d-modal.login-modal #login-form input,.d-modal.login-modal #login-form select{font-size:1.1487em;clear:right;margin-top:0;}.d-modal.login-modal tr td label{margin-top:0.75em;padding:4px 0;}.create-account .modal-body{display:flex;flex-direction:column;}.create-account .modal-body tr.instructions label{color:#919191;}.create-account .modal-body #login-buttons{border-bottom:1px solid #e9e9e9;}.create-account .modal-body .login-form{margin-bottom:0.75em;}.create-account .user-fields{display:flex;flex-direction:column;}.create-account .user-field{display:flex;flex-direction:column;}.create-account .user-field>label{width:auto;}.create-account .user-field .controls{margin-right:0;}.create-account .user-field .controls label{line-height:1.2;}.password-reset,.email-login,.invites-show{margin-top:30px;}.password-reset .col-image,.email-login .col-image,.invites-show .col-image{padding-top:12px;}.password-reset .password-reset-img,.email-login .password-reset-img,.invites-show .password-reset-img{width:50px;height:50px;}.password-reset .col-form,.email-login .col-form,.invites-show .col-form{padding-right:8px;}.password-reset h2,.email-login h2,.invites-show h2{margin-bottom:12px;}.password-reset .tip,.email-login .tip,.invites-show .tip{display:block;margin:6px 0;}.password-reset .tip{max-width:180px;}.discourse-touch .password-reset .instructions{margin-bottom:16px;}.invites-show .col-image{display:none;}.modal-open #main{overflow:hidden;}.modal-middle-container{max-width:100%;margin-bottom:30px;}.bootbox.modal{top:10%;width:100%;}.modal.fade{transition:opacity 0.3s linear,top 0.3s ease-out;top:-25%;}.modal.fade.in{top:50%;}.modal-body{padding:10px;}.modal-footer{padding:10px;}.modal-header{padding:10px;}.modal-header h3{font-size:1.3195em;}.close{font-size:1.7511em;}#move-selected p{margin-top:0;}#move-selected input[type="radio"]{margin-left:10px;}#move-selected .category-chooser{margin-bottom:9px;}#move-selected button{margin-top:10px;display:block;width:300px;}#move-selected form{margin-top:20px;}#move-selected form input:not(.filter-input)[type="text"]{box-sizing:border-box;width:100%;}@media only screen and (max-device-width:568px){.modal .flag-modal .flag-message{height:3em;}}.edit-category-modal .modal-body{position:relative;height:350px;}.edit-category-modal.small .modal-body{height:310px;}.edit-category-modal .disable_info_wrap .cannot_delete_reason{top:-114px;left:8px;min-width:200px;}.modal-inner-container{margin-bottom:20px;}.fixed-modal .modal-middle-container{margin-bottom:0;}.fixed-modal .modal-inner-container{max-height:90vh;overflow:auto;}.list-controls{margin:10px -3px 5px -3px;}.list-controls .category-breadcrumb.hidden{display:none;}.list-controls .container{display:flex;flex-wrap:wrap;align-items:center;}.list-controls .container #create-topic{box-sizing:border-box;display:flex;align-self:stretch;align-items:center;margin:0 3px 10px 3px;order:10;}.list-controls .dropdown-select-box-header{display:flex;height:100%;}.list-controls .navigation-container{display:flex;flex-wrap:wrap;width:100%;margin:5px 0;}.list-controls .navigation-container button{margin:0 3px;}.list-controls .navigation-container button.select-kit-header{display:flex;height:100%;flex:1 1 auto;}.list-controls .select-kit:not(.is-hidden){display:flex;align-self:stretch;margin-bottom:10px;}.list-controls .btn:not(.select-kit-header){margin-bottom:10px;}.list-controls .categories-admin-dropdown,.list-controls .tag-notifications-button{order:2;}.list-controls .category-navigation{display:flex;flex-wrap:wrap;width:100%;}.list-controls .category-navigation .edit-category .d-icon{margin:0;}@media screen and (max-width:374px){.list-controls .category-navigation .edit-category .d-button-label{display:none;}}.list-controls .nav-pills{display:flex;flex:1 1 auto;margin:0 3px 5px 3px;position:relative;}.list-controls .nav-pills .navigation-toggle{flex:0 1 auto;margin-bottom:5px;}.list-controls .nav-pills>li{margin-left:0;font-size:.8706em;border:1px solid #919191;}.list-controls .nav-pills>li>a{line-height:1.4;display:flex;align-items:center;}.list-controls .nav-pills>li>a .d-icon{margin-right:5px;}.list-controls .nav-pills .drop{border:1px solid #e9e9e9;position:absolute;z-index:299;background-color:#fff;padding:0 10px 10px 10px;width:150px;top:100%;margin:0;right:0;}.list-controls .nav-pills .drop li{list-style-type:none;margin-right:0;margin-top:5px;padding-top:10px;}.list-controls .nav-pills .drop li a{width:100%;display:inline-block;}.list-container .full-width{margin-right:0;}.topic-list .right{margin-right:55px;}.topic-list th,.topic-list td{padding:7px 0;max-width:300px;}.topic-list .main-link{line-height:1.2;position:relative;z-index:2;}.topic-list .main-link a.title{color:#222;padding:0.5em 0 1.2em 0;}.topic-list .main-link .topic-statuses a{line-height:0.8;color:#919191;}.topic-list .badge-notification,.topic-list .category-topic-link td.num .badge-notification{position:relative;display:inline-block;top:-1px;font-size:1em;line-height:1;padding:0.15em 0.4em 0.2em 0.4em;}.topic-list .badge-notification .d-icon,.topic-list .category-topic-link td.num .badge-notification .d-icon{color:#fff;}.topic-list .badge-notification.new-topic::before,.topic-list .category-topic-link td.num .badge-notification.new-topic::before{margin-left:0;}.topic-list .badge-notification.new-topic,.topic-list .category-topic-link td.num .badge-notification.new-topic{padding:0;}.topic-list .category-topic-link td.num .badge-notification.new-posts,.topic-list .category-topic-link td.num .badge-notification.unread-posts{color:#fff;}.topic-list .topic-item-stats{position:relative;margin-top:0.25em;z-index:1;}.topic-list .topic-item-stats .category,.topic-list .topic-item-stats .num,.topic-list .topic-item-stats .last-poster{float:right;}.topic-list .topic-item-stats .category a{max-width:160px;}.topic-list .topic-item-stats .num .fa,.topic-list .topic-item-stats a,.topic-list .topic-item-stats a:visited{color:#919191;}.topic-list .age{white-space:nowrap;}.topic-list .age a{color:#bdbdbd !important;}.categories-list .category-list{margin-right:-10px;margin-bottom:2em;}.categories-list .category-list td{padding:12px 5px;color:#919191;vertical-align:top;}.categories-list .category-list th{padding:10px 0 0;}.categories-list .category-list td:first-of-type{padding-right:10px;}.categories-list .category-list tbody .category{border-right:6px solid;}.category-list-item.category{box-sizing:border-box;}.category-list-item.category tr:first-of-type{border:none;}.category-list-item.category *,.category-list-item.category *:before,.category-list-item.category *:after{box-sizing:inherit;}.category-list-item.category .posts{width:10%;vertical-align:top;}.category-list-item.category .age{margin-right:5px;}tr.category-topic-link{border-bottom:1px solid #e9e9e9;}tr.category-topic-link:last-of-type{border-bottom:none;}.category-list-item{padding:5px 0 2px;border-right:6px solid;border-top:1px solid;}.category-list-item h3{max-width:100%;font-size:1.3195em;padding:0 10px 0 0;}.category-list-item h3 .d-icon{margin-left:5px;}.category-list-item h3 a[href]{color:#222;}.category-list-item .category-name{max-width:80vw;}.category-list-item .category-topic-link .main-link,.category-list-item .subcategories-list td,.category-list-item .category-description td{padding-right:10px;}.category-list-item .category-topic-link .main-link .age{font-size:.8706em;}.category-list-item .category-description td{padding-top:0;padding-bottom:15px;}.category-list-item .subcategories-list td{padding-top:15px;}.category-list-item .topic-list>tbody>tr:nth-child(odd){background-color:#fff;}.category-list-item .topic-list>tbody>tr:nth-child(even){background-color:#fff;}.category-list-item th .badge-category{margin:0;}.category-list-item .category-topic-link .num{white-space:nowrap;}.category-list-item .category-topic-link .topic-excerpt{width:110%;}.category-list-item .posters{float:right;}.category-list-item>footer{border-top:1px solid #e9e9e9;padding:7px 10px;}.category-list-item>footer figure{float:right;margin:3px 0 0 7px;color:#222;font-weight:bold;font-size:.8706em;}.category-list-item>footer figcaption{display:inline;font-weight:normal;}.category-list-item>footer .btn{float:left;margin-right:7px;}.category-box h3{margin:0 0 0.5em 0;}.topic-list-bottom{margin:20px 0 0 0;}.btn-group .dropdown-toggle:active,.btn-group.open .dropdown-toggle{outline:0;}.dropdown{position:relative;}.dropdown-toggle:active,.open .dropdown-toggle{outline:0;}.caret{display:inline-block;width:0;height:0;vertical-align:middle;border-top:4px solid #222;border-left:4px solid transparent;border-right:4px solid transparent;content:"";margin-right:5px;}.dropdown-menu{position:relative;top:100%;right:0;z-index:300;display:none;float:right;width:280px;padding:4px 0;list-style:none;background-color:#fff;border:1px solid rgba(0,0,0,0.2);border-radius:5px;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);background-clip:padding-box;margin:1px 0 20px;}.dropdown-menu .title{font-weight:bold;display:block;}.dropdown-menu a{display:block;padding:3px 15px;clear:both;font-weight:normal;line-height:1.2;color:#222;}.dropdown-menu li>a:hover,.dropdown-menu .active>a,.dropdown-menu .active>a:hover{color:#08c;text-decoration:none;background-color:#d1f0ff;}.open>.dropdown-menu{display:block;clear:both;}.fade{opacity:0;transition:opacity linear 0.15s;}.fade.in{opacity:1;}ol.category-breadcrumb{margin:0 0 5px 0;display:flex;flex-wrap:wrap;flex:1 1 100%;}ol.category-breadcrumb li.select-kit{flex:1 1 33%;margin:0 3px 5px 3px;}ol.category-breadcrumb li.select-kit .select-kit-header .selected-name{max-width:80vw;}ol.category-breadcrumb li.select-kit .select-kit-header .selected-name .badge-wrapper{max-width:100%;}.top-lists h2{margin-right:10px;}.top-lists .topic-list{padding-bottom:10px;}.top-lists .btn-default.pull-right{margin-left:10px;}.tags-admin-menu{display:none;}.staff.tags-page #create-topic{clear:left;}.topic-list-bottom h3{clear:both;padding-top:10px;}.category-logo.aspect-image{display:block;margin:8px 0;}.category-logo.aspect-image img{width:auto;max-width:100%;max-height:150px;}@supports (--custom:property){.category-logo.aspect-image{--max-height:150px;max-height:var(--max-height);width:calc(var(--max-height) * var(--aspect-ratio));max-width:100%;height:auto;}.category-logo.aspect-image img{width:100%;height:inherit;max-width:initial;max-height:initial;}}button.dismiss-read{margin-left:10px;}td .main-link{width:78%;display:inline-block;}td .main-link a.title{padding:5px 0 5px 10px;word-wrap:break-word;}.topic-list .posts-map{font-size:1.1487em;}.topic-list .topic-excerpt{padding-left:0;width:120%;}.category-list.with-topics .category-list-item .category-description{display:none;}.time-gap+.topic-post article{border-top:none;}.time-gap .topic-avatar{display:none;}.topic-post article{border-top:1px solid #e9e9e9;padding:15px 0 8px 0;}.post-stream{padding-bottom:30px;}span.badge-posts{margin-left:5px;}.show-replies{display:none;}.topic-post nav.post-controls{color:#bdbdbd;}.topic-post nav.post-controls .actions{display:flex;}.topic-post nav.post-controls .double-button{display:flex;flex:0 1 auto;}.topic-post nav.post-controls .double-button button.like,.topic-post nav.post-controls .double-button button.read-indicator,.topic-post nav.post-controls .double-button button.create-flag{flex:1 1 auto;}.topic-post nav.post-controls .double-button button.button-count{padding:8px 8px 8px 4px;}.topic-post nav.post-controls .double-button button.button-count+.toggle-like,.topic-post nav.post-controls .double-button button.button-count+.create-flag{padding:8px 4px 8px 8px;}.topic-post nav.post-controls .double-button button.button-count.my-likes,.topic-post nav.post-controls .double-button button.button-count.regular-likes{display:flex;max-width:unset;padding:8px;}.topic-post nav.post-controls .double-button button.button-count.my-likes .d-icon,.topic-post nav.post-controls .double-button button.button-count.regular-likes .d-icon{padding-right:8px;}.topic-post nav.post-controls .d-icon{opacity:1;}.topic-post nav.post-controls button{border:none;font-size:1.1487em;padding:10px 8px;background:transparent;flex:1 1 auto;max-width:45px;}.topic-post nav.post-controls button.hidden{display:none;}.topic-post nav.post-controls button.admin{position:relative;}.topic-post nav.post-controls button.expand-post{margin:10px 0 10px 0;}.topic-post nav.post-controls button.reply{margin-right:auto;}.topic-post nav.post-controls button.reply .d-icon{color:#646464;}.topic-post nav.post-controls button.has-like .d-icon{color:#fa6c8d;}.topic-post nav.post-controls button.bookmarked .d-icon{color:#08c;}.post-admin-menu{display:inline-flex;flex-direction:column;box-sizing:border-box;background-color:#fff;width:auto;max-width:320px;padding:10px;border:1px solid #e9e9e9;position:absolute;text-align:right;bottom:-50px;right:135px;z-index:300;}@media screen and (max-width:374px){.post-admin-menu{right:50px;}}.post-admin-menu h3{margin-top:0;color:#222;font-size:1em;}.post-admin-menu ul{list-style:none;margin:10px 0 0 0;}.post-admin-menu li{margin-bottom:5px;}.post-admin-menu li .d-icon{width:14px;margin-left:10px;}.embedded-posts .topic-meta-data h5 a{margin-right:10px;}.post-action{float:left;margin-left:10px;clear:left;}.post-action .relative-date{margin-right:5px;}a.reply-to-tab{z-index:2;color:#919191;margin-left:0.5em;}.topic-post .boxed .contents{clear:both;}.topic-map{margin:10px 0;}.topic-map h4{line-height:1.2;}.topic-map .user{float:right;margin-left:10px;}.topic-map .map-collapsed .secondary{display:none;}.topic-map .map li{float:right;padding:7px 8px;}.topic-map .map li:last-of-type{border-left:0;}.topic-map .map .number{line-height:1.2;}.topic-map .map .number,.topic-map .map .d-icon{color:#646464;font-size:1.1487em;}.topic-map .map .avatar+a{float:right;}.topic-map li.avatars{display:none;}.topic-map .links,.topic-map .information,.topic-map .avatars{padding:10px;color:#222;overflow:auto;}.topic-map .information p{margin:0 0 10px 0;}.topic-map .buttons .btn{border:0;padding:0 15px;color:#919191;background:#f9f9f9;border-right:1px solid #e9e9e9;}.topic-map .buttons .btn .fa{margin:0;font-size:1.3195em;line-height:52px;}.topic-map .link-summary .btn{color:#919191;background:#f9f9f9;width:100%;}#topic-footer-buttons{padding:20px 0 0 0;}#topic-footer-buttons:before,#topic-footer-buttons:after{content:"";display:table;}#topic-footer-buttons:after{clear:both;}#topic-footer-buttons .d-icon-bookmark.bookmarked{color:#08c;}#topic-footer-buttons .combobox{margin-left:0.5em;width:160px;margin-bottom:0.5em;}#topic-footer-buttons .topic-notifications-button,#topic-footer-buttons .pinned-button{display:flex;align-items:center;}@media screen and (max-width:350px){#topic-footer-buttons .topic-notifications-button,#topic-footer-buttons .pinned-button{display:inline-block;}#topic-footer-buttons .topic-notifications-button .reason,#topic-footer-buttons .pinned-button .reason{display:block;margin:0.5em 0 0 0;}}#topic-footer-button{width:100px;margin:0 auto;}.suggested-topics{clear:right;padding:20px 0 15px 0;}.suggested-topics th.views,.suggested-topics td.views,.suggested-topics td.activity,.suggested-topics th.activity,.suggested-topics th.likes,.suggested-topics td.likes{display:none;}.suggested-topics a.badge-category,.suggested-topics a.badge-category-parent{font-size:.8706em;vertical-align:top;}span.post-count{background:#222;color:#fff;opacity:0.8;}#topic-footer-buttons .btn{margin-bottom:0.5em;margin-left:0.5em;}#topic-title{z-index:2;margin:0 0 0 0 !important;padding:15px 0;}.topic-body{overflow:visible;}.topic-body .cooked{overflow:visible;}[class*="archetype-"] #main-outlet{overflow:hidden;}.quote-button.visible{display:block;z-index:600;}iframe{max-width:100%;}.open>.dropdown-menu{display:block;}.dropdown-menu li{margin:5px 0;}.dropdown-menu li .fa{float:right;margin-left:5px;padding-top:1px;}.dropdown-menu li span{color:#919191;}.dropdown-menu li span.title{color:#222;}.btn-group{margin-top:25px;position:relative;}.dropdown-toggle{float:right;position:relative;}.selected-posts{padding:0.1em 0.7em;}.select-posts button{display:none;}button.select-post{display:inline-block;}.deleted .topic-body{background-color:rgba(242,171,154,0.7);}.deleted-user-avatar{font-size:2em;}span.btn-text{display:none;}blockquote{clear:both;margin-right:0;margin-left:0;}.gap{padding:0.25em 0;}.posts-wrapper{position:relative;}span.highlighted{background-color:#ffffca;}.topic-avatar{float:right;margin-left:10px;z-index:2;}.topic-meta-data{margin-right:50px;font-size:.8706em;}.topic-meta-data .names{line-height:1.2;display:flex;flex-wrap:wrap;}.topic-meta-data .names .full-name{font-weight:bold;}.topic-meta-data .names .first{order:1;}.topic-meta-data .names .poster-icon{order:2;}.topic-meta-data .names .second{order:3;flex-basis:100%;}.topic-meta-data .names .user-title{order:4;flex-basis:100%;}.topic-meta-data .names span{margin-left:4px;}.username.new-user a{color:#bdbdbd;}.user-title{color:#919191;overflow:hidden;margin-left:50px;}.read-state{display:none;}.signup-cta{margin-right:auto;margin-left:auto;width:calc(100% - 50px);}.signup-cta a{margin-top:7px;}.signup-cta button{margin-left:7px;}.popup-menu h3{margin-bottom:0;}.post-notice{margin-bottom:1em;}.post-notice.old{border-top:none;padding-top:0;}.post-info a{color:#919191;}.topic-meta-data-inside{float:left;margin-top:-38px;margin-left:5px;}.post-info{display:inline-block;}#topic-title{margin:0 0 10px 60px;}#topic-title h1{font-size:1.5157em;line-height:1.2;}#topic-title h1 a{color:#222;vertical-align:middle;word-wrap:break-word;}#topic-title .title-category-wrapper{margin-top:5px;}#topic-title .private-message-glyph{display:none;}.private_message #topic-title .private-message-glyph{display:inline;}.topic-status-info{padding-right:10px;border-top:1px solid #e9e9e9;padding-top:10px;}.topic-status-info h3{margin:0;display:flex;}.topic-status-info h3 button{align-self:flex-start;}#topic-progress-wrapper{position:fixed;left:0;bottom:0;z-index:100;}#topic-progress-wrapper:not(.docked){margin-bottom:env(safe-area-inset-bottom);}#topic-progress-expanded{border:1px solid #e9e9e9;padding:5px;background:#fff;position:absolute;bottom:34px;width:135px;}#topic-progress-expanded button.full{width:100%;margin-bottom:5px;}#topic-progress-expanded button.full .d-icon{display:block;margin-top:2px;margin-bottom:2px;font-size:1.3195em;}#topic-progress-expanded .jump-form input[type="text"]{float:right;width:45px;height:20px;text-align:center;font-size:1.1487em;}#topic-progress-expanded .jump-form button.btn{float:right !important;width:55px;}#topic-progress-expanded button.btn.jump-prompt{margin:0;}#topic-progress-expanded button.btn.jump-bottom{margin-top:5px;margin-bottom:0;}#topic-progress{position:relative;background-color:#fff;color:#08c;border:1px solid #d1f0ff;width:145px;height:42px;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;}#topic-progress.hidden{display:none;}#topic-progress .nums{position:relative;top:12px;width:100%;text-align:center;z-index:1;}#topic-progress h4{display:inline;font-size:1.3195em;line-height:1;}#topic-progress .d-icon{position:absolute;left:8px;bottom:9px;z-index:1;}#topic-progress .bg{position:absolute;top:0;bottom:0;width:0;border-left:1px solid #d1f0ff;background-color:#d1f0ff;transition:width 0.75s;}.topic-error,.topic-notice{padding:18px;width:90%;margin-right:auto;margin-left:auto;font-size:1.7511em;line-height:1.2;}.topic-error .topic-retry,.topic-error .topic-join-group,.topic-notice .topic-retry,.topic-notice .topic-join-group{display:block;margin-top:20px;margin-right:auto;margin-left:auto;}#topic-progress-wrapper.docked{position:absolute;}.topic-post:last-of-type{padding-bottom:40px;}sup sup,sub sup,sup sub,sub sub{top:0;}#topic-title .title-wrapper{position:relative;float:none;width:100%;}#topic-title .title-wrapper input#edit-title{width:100%;}#topic-title .title-wrapper .select-kit.combo-box.category-chooser{width:100%;margin-top:0;}#topic-title .title-wrapper .topic-statuses{line-height:1;}.topic-timeline .start-date,.topic-timeline .now-date{font-size:1.1487em;padding:5px;}.topic-timeline .topic-category{margin-bottom:0.5rem;}.edit-topic-timer-modal .future-date-input .alert-info{margin:0 -10px -10px -10px;padding:10px;}.edit-topic-timer-modal .btn.pull-right{margin-left:0;}.topic-footer-main-buttons{display:flex;align-items:center;flex-wrap:wrap;}.upload-selector input[type="text"]{width:calc(100% - 20px);}.upload-selector input[type="file"]{font-size:1em;line-height:1.2;}.upload-selector .description{color:#919191;}.upload-selector .radios{display:flex;flex-wrap:wrap;align-items:center;}.upload-selector .radios:first-of-type{margin-bottom:1em;}.upload-selector .radios input,.upload-selector .radios label{min-height:20px;line-height:1.2;margin:0;}.upload-selector .radios .radio{padding-right:5px;}.upload-selector .radios .inputs{margin-top:10px;width:100%;}.uploaded-image-preview{height:150px;}.user-content-wrapper{display:grid;grid-template-columns:1fr 1fr;grid-template-rows:auto auto auto;grid-row-gap:20px;grid-column-gap:16px;}.user-content-wrapper .user-primary-navigation{grid-column-start:1;grid-row-start:1;grid-column-end:2;}.user-content-wrapper .user-secondary-navigation{grid-column-start:2;grid-row-start:1;}.user-content-wrapper .user-additional-controls+.user-content,.user-content-wrapper .user-secondary-navigation+.user-content{grid-column-start:1;}.user-content-wrapper .user-additional-controls{grid-column-start:1;grid-row-start:2;}.user-content-wrapper .user-content,.user-content-wrapper .spinner{grid-row-start:3;grid-column-start:1;}.user-main{margin-top:12px;}.user-main .user-content{box-sizing:border-box;background-color:#fff;}.user-main .user-content table{width:100%;margin-top:12px;}.user-main .about{margin-bottom:0;color:#fff;}.user-main .about .secondary dl{padding:8px 0;}.user-main .about .details{margin-bottom:12px;}.user-main .about .details h1{line-height:1;}.user-main .about .details h2{line-height:1.2;}.user-main .about .details .user-profile-avatar{display:block;float:none;margin:8px auto;}.user-main .about .details .user-profile-avatar .avatar-flair{left:2px;}.user-main .about .details .user-profile-avatar img.avatar{float:none;}.user-main .about .details .user-profile-names{text-align:center;}.user-main .about .details .location-and-website{display:flex;flex-wrap:wrap;justify-content:center;font-size:1em;}.user-main .about .details .location-and-website .d-icon{width:0.8em;height:0.8em;margin-left:0.25em;}.user-main .about .details .location-and-website a{text-decoration:underline;}.user-main .about .details .user-profile-location{margin-left:1em;}.user-main .about .details .user-profile-location,.user-main .about .details .user-profile-website{justify-content:center;display:flex;align-items:center;}.user-main .about .primary{display:flex;flex-wrap:wrap;color:#222;}.user-main .about .primary .avatar{margin:0 0 12px;}.user-main .about .primary .primary-textual{flex:1 1 100%;word-break:break-word;margin:0;max-width:100%;}.user-main .about .primary .bio{color:#222;margin:0 auto 8px;max-width:700px;text-align:center;}.user-main .about.has-background .user-profile-image{height:200px;}.user-main .about.has-background .user-profile-avatar{margin-top:-60px;}.user-main .about .controls{order:3;flex:1 1 25%;margin-right:auto;}.user-main .about .controls ul{margin:0;display:flex;flex:1 1 auto;flex-wrap:wrap;margin-right:-1em;}.user-main .about .controls ul li,.user-main .about .controls ul>span{display:flex;flex:1 1 45%;margin-right:1em;}.user-main .about .controls ul li button,.user-main .about .controls ul li a,.user-main .about .controls ul>span button,.user-main .about .controls ul>span a{width:100%;}.user-main .about .controls ul li .select-kit.dropdown-select-box.user-notifications-dropdown,.user-main .about .controls ul>span .select-kit.dropdown-select-box.user-notifications-dropdown{width:100%;}.user-main .about .controls ul li .select-kit.dropdown-select-box.user-notifications-dropdown li,.user-main .about .controls ul>span .select-kit.dropdown-select-box.user-notifications-dropdown li{flex:1 1 100%;margin-right:0;}.user-main .about .controls .user-profile-controls-outlet{margin:0 1em 0 0;}.user-main .about .controls .user-profile-controls-outlet li{margin:0;}.user-main .about .controls a{flex:1 1 auto;min-width:120px;}.user-main .user-field label{width:auto;text-align:right;font-weight:bold;}.user-main .collapsed-info.about.has-background{background-image:none !important;}.user-main .collapsed-info.about.has-background .details{margin-top:0;}.user-main .collapsed-info.about .details{display:flex;}.user-main .collapsed-info.about .details .user-profile-avatar{margin:0;flex:0 0 auto;align-self:flex-start;}.user-main .collapsed-info.about .details .primary .primary-textual{flex:1 0 80%;margin:0;}.user-main .collapsed-info.about .details .user-profile-names{text-align:right;}.form-horizontal .control-group.category{margin-top:18px;}.paginated-topics-list{margin-top:20px;}.stats-section li{margin:0 0 10px 15px;padding:0;}.stats-section li.linked-stat a{padding:0;}.badge-card.medium{width:100%;}.user-badges{margin-bottom:2em;}.user-preferences{padding-bottom:2em;}.user-preferences .instructions{margin-top:4px;}.user-preferences .controls-dropdown{margin-bottom:16px;}.user-preferences .delete-account{overflow:hidden;}.user-preferences .checkbox-label{display:flex;overflow:auto;width:100%;padding:5px 0;}.user-preferences .checkbox-label input{margin-left:5px;flex:0 0 auto;}.user-preferences .apps .controls button{float:left;}.user-right>.alert:first-child,.user-right>.user-stream>.alert:first-child{margin-top:20px;}.user-invites-page .admin-controls{flex-wrap:wrap;}.user-invites-page .admin-controls .pull-right{flex:1 1 100%;font-size:.8706em;padding:0;}.user-invites-page table tr:first-of-type{display:none;}.user-invites-page table tr{display:flex;flex-wrap:wrap;margin-bottom:1em;}.user-invites-page table td:first-of-type{margin-left:1em;}.user-invites-page table td:nth-of-type(n+3){display:block;width:50%;padding:0.25em 0 1em 0;}.user-invites-page .user-invite-none{margin-top:1em;}.modal.history-modal button{float:none;}.modal.history-modal .modal-body{height:62vh;}.modal.history-modal .modal-inner-container{min-height:400px;}.modal.history-modal #revisions{max-width:90vw;}.modal.history-modal #display-modes{display:none;}.modal.history-modal #revision-numbers{line-height:1.4;}.modal.history-modal img{max-width:95%;height:auto;}.modal.history-modal .revision-content table{table-layout:fixed;width:100%;word-wrap:break-word;}.modal.history-modal .modal-footer{text-align:center;}.modal.history-modal #revision-controls{margin-bottom:5px;}.lightbox .meta,.lightbox:hover .meta{opacity:0.7;transition:none;}.meta{align-items:center;background:#fff;color:#646464;height:25px;width:25px;bottom:0;left:0;}.meta .filename,.meta .informations,.meta .d-icon-far-image{display:none;}.meta .d-icon-discourse-expand{color:#646464;}.directory .select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{font-size:1.1487em;margin-bottom:0.25em;}.directory .filter-name{float:right;}.directory .total-rows{color:#919191;padding:5px;}.directory .user{border-top:1px solid #e9e9e9;padding:1em;display:flex;flex-wrap:wrap;}.directory .user .user-info{width:100%;margin-bottom:1em;}.directory .user .user-stat{flex:1 1 50%;}.directory .user .user-stat .value{font-weight:bold;}.directory .user .user-stat .label{margin-right:0.2em;color:#919191;}.directory .user .user-stat .d-icon-heart{color:#fa6c8d;}.search-container{flex-direction:column;margin-top:0.5em;}.search-container .search-advanced{order:1;width:100%;}.search-container .search-advanced .search-info{flex-direction:column;align-items:left;justify-content:center;}.search-container .search-advanced .search-info .sort-by{display:flex;align-items:center;margin-top:0.5em;margin-right:0;width:100%;}.search-container .search-advanced .search-info .sort-by .select-kit{flex:1 1 auto;}.search-container .search-notice{margin-top:1em;}.search-container .search-advanced-sidebar{order:0;width:100%;margin:0;}.search-container .search-advanced-sidebar .tag-chooser{width:100%;}.fps-topic{max-width:75%;}.emoji-picker{max-height:280px;border:none;}.emoji-picker .category-icon{margin:2px;}.ring{top:-7px !important;}.ring-first-notification{top:40px;}.group{margin-top:15px;}.group-name{margin:5px 0 0 0;}.group-nav{width:100%;}.group-activity,.group-manage{position:relative;}.group-members .group-member{border-top:1px solid #e9e9e9;}.group-members .group-member .user-info{margin:0;padding:0.5em;width:98%;}.group-members .group-member .btn-group{margin-top:0;}.group-members .group-member .group-member-info{color:#919191;}.group-members .group-member .group-member-info label{margin-bottom:0;font-weight:bold;display:inline-block;}.dashboard .activity-metrics .counters-list,.dashboard-next .activity-metrics .counters-list{font-size:.8706em;}.dashboard .navigation a.navigation-link,.dashboard-next .navigation a.navigation-link{padding:0.5em;}.mobile-view .admin-badges .badges{margin:0 0.25em;}.mobile-view .admin-badges .badges .content-list{flex:0 0 100%;}.mobile-view .admin-badges .badges .content-list .admin-badge-list{max-height:40vh;margin-left:0;}.mobile-view .admin-badges .badge-intro{flex:0 1 75%;}.mobile-view .admin-badges .current-badge{margin:20px 0;width:100%;}.mobile-view .admin-badges .current-badge textarea{width:100%;}.mobile-view .admin-badges input[type="text"]{width:100%;}.admin-customize .show-current-style{padding:0;width:100%;}.admin-customize .themes-list{width:100%;margin-bottom:1em;}.admin-customize .form-horizontal.theme.settings .setting-label,.admin-customize .admin-container .select-kit{width:100%;}.admin-customize .admin-container{display:flex;flex-wrap:wrap;}.admin-reports .admin-report .body{flex-direction:column;}.admin-reports .admin-report .body .filters{order:0;margin:0;width:100%;}.admin-reports .admin-report .body .main{order:2;}.admin-reports .admin-report .body .report-alert{margin:0;order:1;flex:1 0 0px;padding:1em;}.admin-report.post-edits .admin-report-table .report-table thead tr th.edit_reason,.admin-report.post-edits .admin-report-table .report-table tbody tr td.edit_reason{width:auto;}.admin-report.trending-search .admin-report-table .report-table thead tr th.term,.admin-report.trending-search .admin-report-table .report-table tbody tr td.term{width:50%;}.admin-report-table .table{font-size:.8706em;}.admin-report-table .table .admin-report-table-header{font-weight:500;border-left:1px solid #e9e9e9;padding:auto;}.admin-report-table .table .admin-report-table-header .title{writing-mode:vertical-rl;text-orientation:mixed;text-align:left;transform:rotate(180deg);}.admin-report-table .table .admin-report-table-header .sort-btn{display:none;}.admin-report-table .table tbody tr td.user .username{display:none;}.counters-list .counters-header .counters-cell{font-weight:normal;}.hamburger-panel .menu-panel.slide-in{right:0;}.header-cloak{height:100vh;width:100vw;position:fixed;background-color:black;opacity:0.5;top:0;right:0;display:none;touch-action:pan-y pinch-zoom;}.header-cloak.animate{transition:opacity 0.2s ease-out;}.reviewable .reviewable-container{flex-direction:column;}.reviewable .reviewable-container .reviewable-list{order:2;width:100%;padding-bottom:4em;}.reviewable .reviewable-container .reviewable-filters{order:1;margin:0;padding:0.5em;width:100%;}.reviewable .reviewable-container .reviewable-list+.reviewable-filters{margin:0 0 0.5em 0;}.reviewable .reviewable-scores{width:100%;}.reviewable-filters{background-color:#f8f8f8;padding:0.5em 1em 1em 1em;margin-bottom:1em;}.reviewable-filters .reviewable-filters-actions{display:flex;justify-content:space-between;}.reviewable-filters .reviewable-filter{margin:0 0 0.5em 0;}.reviewable-filters .reviewable-filter .filter-label{margin:0;}.reviewable-contents .reviewable-post-header,.reviewable-contents .post-body{max-width:100%;}.reviewable-contents .reviewable-post-header p,.reviewable-contents .post-body p{overflow-x:scroll;}.reviewable-actions{margin-left:-0.5em;}.reviewable-actions>div,.reviewable-actions>button{flex:0 1 47%;margin-left:0.25em;margin-bottom:0.5em;}.reviewable-actions .reviewable-action,.reviewable-actions .reviewable-action-dropdown .dropdown-select-box-header{display:flex;align-items:center;justify-content:center;}.reviewable-actions .reviewable-action .d-icon,.reviewable-actions .reviewable-action-dropdown .dropdown-select-box-header .d-icon{margin:0 0 0 0.15;}.reviewable-scores-and-history table{width:100%;}.topic-footer-mobile-dropdown .select-kit-row.bookmarked .d-icon{color:#08c;}#user-card,#group-card{position:fixed;z-index:1102;max-width:95vw;margin:0 2.5vw;max-height:90vh;}#user-card .first-row,#group-card .first-row{flex-wrap:wrap;}#user-card .first-row .names,#group-card .first-row .names{flex:1 1 calc(100% - 120px);box-sizing:border-box;}#user-card .first-row .usercard-controls,#group-card .first-row .usercard-controls{display:flex;flex:1;margin-top:1em;max-width:100%;}#user-card .first-row .usercard-controls li,#group-card .first-row .usercard-controls li{flex:1;min-width:0;}#user-card .first-row .usercard-controls li:nth-child(2),#group-card .first-row .usercard-controls li:nth-child(2){border-right:0.5em solid transparent;}#user-card .first-row .usercard-controls li button,#group-card .first-row .usercard-controls li button{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;}#user-card h1,#group-card h1{font-size:1.5157em;}#user-card h1 .d-icon,#group-card h1 .d-icon{font-size:.7579em;}#user-card h2,#group-card h2{font-size:1em;}#user-card h3,#group-card h3{font-size:.8706em;}#user-card .sixth-row .badge-section{flex-wrap:wrap;}#user-card .sixth-row .badge-section>span{display:flex;flex:0 1 50%;max-width:50%;padding:2px 0;box-sizing:border-box;}#user-card .sixth-row .badge-section>span:nth-of-type(1),#user-card .sixth-row .badge-section>span:nth-of-type(3){padding-left:4px;}#user-card .sixth-row .badge-section>span a{width:100%;display:flex;}#user-card .sixth-row .badge-section .user-badge,#user-card .sixth-row .badge-section .more-user-badges a{display:flex;margin:0;width:100%;}.card-cloak{position:fixed;top:0;right:0;z-index:1101;height:100vh;width:100vw;background-color:rgba(0,0,0,0.5);animation:fadein 0.2s;}.user-stream .item,.user-stream .user-stream-item{padding:20px 0 15px 0;}.user-stream .name{vertical-align:middle;}.user-stream .notification.unread{background-color:#d1f0ff;}.user-stream .group-member-info .name{vertical-align:inherit;}.select-kit.combo-box.tag-drop .tag-drop-header{font-size:1em;}.select-kit.combo-box.tag-drop .tag-drop-header .d-icon{font-size:1em;}.select-kit.combo-box.tag-drop .select-kit-row{font-weight:normal;}.select-kit.combo-box.category-drop .category-drop-header{font-size:1em;}.select-kit.combo-box.category-drop .category-drop-header .d-icon{font-size:1em;}.select-kit.combo-box.category-drop .select-kit-row{font-weight:normal;}.select-kit.dropdown-select-box .select-kit-collection{max-height:200px;overflow-y:auto;}	2019-12-05 04:06:39.350646	2019-12-05 04:06:39.350646	-1	\N
22	admin	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	.pull-left{float:left}.pull-right{float:right}.show{display:block}.hide,.hidden{display:none}.invisible{visibility:hidden}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0, 0, 0, 0);border:0}.affix{position:fixed}.clearfix:before,.clearfix:after{display:table;content:" "}.clearfix:after{clear:both}.overflow-ellipsis{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.clickable{cursor:pointer}.disable-no-hover:hover{background:#e9e9e9;color:#222}.admin-main-nav{display:inline-flex;position:relative;width:100%;height:auto;overflow:hidden;height:100%}.mobile-view .admin-main-nav{margin-top:10px}@media screen and (max-width: 768px){.admin-main-nav{width:calc(100% + 10px);margin-left:-10px;padding:0 0 0 10px}}.admin-main-nav .nav-pills{display:inline-flex;flex-wrap:wrap;width:calc(100% - 10px);flex:1 0 auto}@media screen and (max-width: 768px){.admin-main-nav .nav-pills{white-space:nowrap;flex-wrap:nowrap;overflow-x:scroll;-webkit-overflow-scrolling:touch;margin:0 0 0 -10px;padding:0 10px 10px 10px}}.admin-main-nav .nav-pills:before{display:none}.admin-main-nav .nav-pills>li{margin:0}.admin-main-nav .nav-pills>li:last-of-type>a{margin-right:25px}@media screen and (max-width: 768px){.admin-main-nav:before{content:"";position:absolute;width:10px;margin-left:-10px;height:100%;background:linear-gradient(to right, #fff 0%, rgba(255,255,255,0) 100%)}.admin-main-nav:after{content:"";position:absolute;right:0px;width:30px;height:100%;background:linear-gradient(to right, rgba(255,255,255,0) 0%, #fff 100%)}}@media screen and (max-width: 700px){.nav-stacked{margin:0 10px 0 -10px}}.admin-contents{position:relative}.admin-contents table{width:100%;margin-top:10px}.admin-contents table tr{text-align:left}.admin-contents table td,.admin-contents table th{padding:8px}.admin-contents table tr:hover{background-color:#f8f8f8}.admin-contents table tr.selected{background-color:#e9e9e9}.admin-contents table .filters input{margin-bottom:0}.admin-contents table .label{display:none}@media screen and (max-width: 970px) and (min-width: 768px){.admin-contents table td,.admin-contents table th{padding:6px 4px}.admin-contents table th{vertical-align:bottom}.admin-contents table th.sortable{max-width:100px}}@media screen and (max-width: 767px){.admin-contents table.grid thead{display:none}.admin-contents table.grid .label{display:block;color:#919191;font-size:.8706em;margin:0.5em 0 0.15em 0}.admin-contents table.grid tr{grid-template-columns:repeat(3, 1fr);display:grid;line-height:1.2;padding:8px 0;min-width:0}.admin-contents table.grid tr td{padding:2px;align-self:center}.admin-contents table.grid tr.flagged-topic{grid-template-columns:0.25fr 1fr 1fr}.admin-contents table.grid tr.flagged-topic td.topic-title{grid-column-start:2;grid-column-end:-2;min-width:0;align-self:start}.admin-contents table.grid tr.flagged-topic td.last-flagged{grid-row:1;grid-column-end:-1;text-align:right;align-self:start}.admin-contents table.grid tr.flagged-topic td.flag-details{grid-row:2;grid-column-end:-1;text-align:right}.admin-contents table.grid tr.flagged-topic td.flagged-topic-users{grid-row:1;grid-column-start:1;max-width:60px;align-self:start}.admin-contents table.grid tr.flagged-topic td.flagged-topic-users a{display:inline-block;margin:0 0.25em 0.25em 0}.admin-contents table.grid tr.flagged-topic td.flag-counts{grid-row:2;grid-column-start:2}}@media screen and (min-width: 550px){.admin-contents table.grid tr{grid-template-columns:repeat(6, 1fr)}}.site-texts .search-area{margin-bottom:2em}.site-texts .search-area p{margin-top:0}.site-texts .search-area .site-text-search{padding:0.5em;font-size:1em;width:50%}.site-texts .search-area .reseed{float:right}.site-texts .text-highlight{font-weight:bold}.site-texts .site-text{cursor:pointer;border-bottom:1px solid #e9e9e9;margin-bottom:0.5em}.site-texts .site-text.overridden{background-color:#ffffa6}.site-texts .site-text h3{font-weight:normal;font-size:1em}@media screen and (max-width: 550px){.site-texts .site-text h3{word-wrap:break-word}}.site-texts .site-text button.edit{float:right}.site-texts .site-text .site-text-value{margin:0.5em 5em 0.5em 0;color:#919191}@media screen and (min-width: 850px){.site-texts .site-text .site-text-value{max-height:100px}}@media screen and (max-width: 550px){.site-texts .site-text .site-text-value{word-wrap:break-word}}.site-texts .edit-site-text textarea{width:100%;max-width:800px}.site-texts .edit-site-text .save-messages,.site-texts .edit-site-text .title{margin-bottom:1em}@media screen and (max-width: 550px){.site-texts .edit-site-text .title{word-wrap:break-word}}.site-texts .edit-site-text .go-back{margin-top:1em}.site-texts p.warning{color:#e45735}.content-list{width:27%;float:left}.content-list li a span.count{font-size:.8706em;float:right;margin-right:10px;background-color:#e9e9e9;padding:2px 5px;border-radius:5px;color:#222}.content-body{float:left;width:60%}.admin-content{margin-bottom:50px}.admin-content .admin-contents{padding:0 0 8px 0}.admin-content .admin-contents:before,.admin-content .admin-contents:after{content:"";display:table}.admin-content .admin-contents:after{clear:both}.admin-content .view-options{float:right}.admin-content table.report{margin-top:20px}.admin-content table.report tr th:nth-of-type(1){width:20%}.admin-content table.report tr.total-for-period td,.admin-content table.report tr.total td{font-weight:700}.admin-content table.report.web_crawlers tr th:nth-of-type(1){width:60%}.admin-content table.report.web_crawlers td.x-value{max-width:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.admin-content table.report .bar-container{float:left;width:300px;margin-right:15px;margin-bottom:5px;display:inline-block}.admin-content table.report .bar-container .bar{margin-top:5px;background-color:#08c;display:inline-block;text-align:right;padding-right:8px;color:#fff}.full-reason{white-space:pre-wrap}.admin-users .users-list .username .d-icon{color:#919191}.ip-lookup{position:relative;display:inline-block}.ip-lookup .location-box{position:absolute;width:460px;right:0;z-index:300;box-shadow:0 4px 14px rgba(0,0,0,0.15);margin-top:-2px;background-color:#fff;padding:12px 12px 5px}.ip-lookup .location-box .powered-by{font-size:.8706em;position:absolute;bottom:-10px;left:10px}.ip-lookup .location-box .other-accounts{margin:5px 0 0;max-height:200px;overflow:auto;width:455px}.ip-lookup .location-box .other-accounts ul{margin:0}.ip-lookup .location-box .other-accounts li{list-style:none}.ip-lookup .location-box .other-accounts tr td:first-of-type{width:130px}.admin-container{margin-top:10px}.admin-container .username input{min-width:15em}@media screen and (max-width: 500px){.admin-container .username input{box-sizing:border-box;width:100%}}.admin-container .select-kit{width:350px}.admin-container .select-kit.multi-select{width:500px}.admin-container .select-kit.dropdown-select-box{width:auto}.admin-container .search-logs-filter{margin-left:auto}@media screen and (max-width: 700px){.admin-container .search-logs-filter{flex:1 1 100%;margin-left:0}}.admin-container .header-search-results{clear:both;padding:4px}@media screen and (max-width: 768px){.admin-container .select-kit.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.6599em}}.admin-container .controls:before,.admin-container .controls:after{content:"";display:table}.admin-container .controls:after{clear:both}.admin-container .controls .save-messages{margin-top:1em}.admin-title{display:flex;flex-wrap:wrap;align-items:flex-start}.admin-title .show-emails,.admin-title .hide-emails{margin-left:auto}.admin-controls{display:flex;background-color:#e9e9e9;align-items:center}.admin-controls .admin-actions{margin-left:auto}.admin-controls nav{background-color:#e9e9e9;width:100%}.admin-controls nav{display:inline-flex;position:relative;flex:1 0 0px;height:auto;overflow:hidden;padding:0;height:100%}@media screen and (max-width: 768px){.admin-controls nav{width:calc(100% + 10px);padding-left:10px;margin-left:-10px;margin-right:-10px}}.admin-controls nav:before{content:"";position:absolute;width:10px;left:0;height:calc(100% - 5px);background:linear-gradient(to right, #e9e9e9 0%, rgba(233,233,233,0) 100%)}.admin-controls nav:after{content:"";position:absolute;right:0px;width:15px;height:calc(100% - 5px);background:linear-gradient(to right, rgba(233,233,233,0) 0%, #e9e9e9 100%)}.admin-controls .nav-pills{width:calc(100% - 10px);display:inline-flex;padding:10px;margin:0;white-space:nowrap;overflow-x:auto}@media screen and (max-width: 768px){.admin-controls .nav-pills{margin-left:-10px;overflow-x:scroll;-webkit-overflow-scrolling:touch}}.admin-controls .nav-pills:before{display:none}.admin-controls .nav-pills>li{margin:0}.admin-controls .nav-pills>li a.active{background:#919191}.admin-controls .nav-pills>li:last-of-type>a{margin-right:25px}.admin-controls h1{font-size:1.5157em;line-height:1.2;color:#222}.admin-controls .controls{background:#e9e9e9;width:100%;padding:10px;display:flex;align-items:center}@media screen and (max-width: 550px){.admin-controls .controls{margin:0 -10px}}.admin-controls .controls label{margin-bottom:0}.admin-controls .controls input{margin-right:5px;margin-bottom:0}@media screen and (max-width: 768px){.admin-controls .controls input{max-width:150px}}.admin-controls .controls.search{width:auto;white-space:nowrap}.admin-controls .controls.search label{flex:1 1 250px;display:flex;align-items:center}.admin-controls .controls.search label input{margin-right:0.5em}.admin-controls .controls .menu-toggle{display:none;float:left;padding:5px 10px;margin-right:15px;border:1px solid #919191;border-radius:3px;background:transparent;color:#222}.admin-controls .controls .menu-toggle:hover{background-color:#bdbdbd}@media (max-width: 700px){.admin-controls .controls .menu-toggle{display:inline-block}}.admin-controls button{margin-right:5px}.admin-controls input[type="text"]{display:inline-block;float:left}.admin-controls .result-message{display:inline-block;padding-left:10px}.admin-controls .username input[type="text"]{width:240px}.admin-controls .search label{margin-top:5px}.admin-controls .search .controls{margin-left:0}@media (max-width: 550px){.admin-controls .search{display:none}}.admin-controls .toggle span{font-weight:bold}.admin-controls label{display:inline-block;margin-right:5px}.admin-controls .pull-right{padding-right:10px}.paste-users{width:400px;height:150px}.groups .form-horizontal>div,.badges .form-horizontal>div,.web-hook-container .form-horizontal>div{margin-bottom:20px}.groups .form-horizontal .d-editor-textarea-wrapper,.badges .form-horizontal .d-editor-textarea-wrapper,.web-hook-container .form-horizontal .d-editor-textarea-wrapper{max-width:60%}.groups .form-horizontal .d-editor-textarea-wrapper .d-editor-button-bar,.badges .form-horizontal .d-editor-textarea-wrapper .d-editor-button-bar,.web-hook-container .form-horizontal .d-editor-textarea-wrapper .d-editor-button-bar{overflow:hidden}.groups .form-horizontal input,.groups .form-horizontal textarea,.groups .form-horizontal select,.groups .form-horizontal .select-box,.badges .form-horizontal input,.badges .form-horizontal textarea,.badges .form-horizontal select,.badges .form-horizontal .select-box,.web-hook-container .form-horizontal input,.web-hook-container .form-horizontal textarea,.web-hook-container .form-horizontal select,.web-hook-container .form-horizontal .select-box{width:350px}.groups .form-horizontal input[type="checkbox"],.groups .form-horizontal input[type="radio"],.badges .form-horizontal input[type="checkbox"],.badges .form-horizontal input[type="radio"],.web-hook-container .form-horizontal input[type="checkbox"],.web-hook-container .form-horizontal input[type="radio"]{width:20px}.text-successful{color:#090}.text-danger{color:#e45735}.text-muted{color:#919191}.admin-nav{width:18.018%;position:relative}@media (max-width: 700px){.admin-nav{position:absolute;z-index:0;width:250px}}@media (max-width: 500px){.admin-nav{width:50%}}.admin-detail{width:76.5765%;background-color:#fff;min-height:875px;margin-left:0;border-left:solid 1px #e9e9e9;padding:30px 0 30px 30px}@media (max-width: 700px){.admin-detail{z-index:1;width:100%}}@media (max-width: 700px){.admin-detail{padding:30px 0;border:none}}@media (max-width: 700px){.admin-detail.mobile-open{transition:transform 0.3s ease;-webkit-transform:translateX(250px);transform:translateX(250px)}}@media (max-width: 500px){.admin-detail.mobile-open{transition:transform 0.3s ease;-webkit-transform:translateX(50%);transform:translateX(50%)}}@media (max-width: 700px){.admin-detail.mobile-closed{transition:transform 0.3s ease;-webkit-transform:translateX(0);transform:translateX(0);margin-left:-10px;padding-left:10px}}section.details h1{font-size:1.5157em;color:#222;padding:5px 10px;margin:30px 0 5px 0;border-bottom:5px solid #e9e9e9}.user-controls{padding:5px;clear:both;text-align:right}.user-controls .btn{line-height:1.2}@media (max-width: 700px){.user-controls .btn{margin:2px}}.row.groups input[type="text"]{width:500px}.row.groups input#group-users{width:600px}.ember-list-view{overflow-y:auto;overflow-x:hidden;position:relative}.ember-list-item-view{position:absolute}.tl3-requirements .d-icon-check{color:#090}.tl3-requirements .d-icon-times{color:#e45735}@media all and (min-width: 320px) and (max-width: 500px){.full-width{margin:0}.site-settings-nav{width:100%}.site-settings-detail{width:100%;padding:0;border:none}.site-settings-detail .settings .setting .setting-label{float:left;width:100%}.site-settings-detail .settings .setting .setting-label h3{margin-bottom:5px;font-weight:bold;margin-top:25px}.site-settings-detail .settings .setting .setting-value{width:100%}.content-editor{width:100%}div.ac-wrap{width:100% !important;box-sizing:border-box}.dashboard-left,.dashboard-right{width:100%}.dashboard-stats{margin:0}.badges .current-badge{margin:70px 0 0 0}.badges .current-badge-actions{padding:0}.customize .content-list,.customize .current-style{width:100%}}tr.not-activated td,tr.not-activated td a,tr.not-activated td a:visited{color:#bbb}.details.not-activated .username .value,.details.not-activated .email .value a,.details.not-activated .email .value a:visited{color:#bbb}.preview{margin-top:5px}table#user-badges .reason{max-width:200px}.value-list .value{padding:0.125em 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;display:flex}.value-list .value:last-child{border-bottom:none}.value-list .value .value-input{box-sizing:border-box;flex:1 0 0px;border-color:#e9e9e9;cursor:pointer;margin:0}.value-list .value .value-input:focus{border-color:#08c;box-shadow:none}.value-list .value .remove-value-btn{width:29px;border:1px solid #e9e9e9;outline:none;padding:0;margin-right:0.25em}.value-list .value .remove-value-btn:focus{border-color:#08c}.value-list .values{margin-bottom:0.5em}.secret-value-list .value{flex-flow:row wrap;margin-left:-0.25em;margin-top:-0.125em}.secret-value-list .value .new-value-input{flex:1 0 0px}.secret-value-list .value .value-input,.secret-value-list .value .new-value-input{margin-top:0.125em}.secret-value-list .value .value-input:last-of-type,.secret-value-list .value .new-value-input:last-of-type{margin-left:0.25em}.secret-value-list .value .remove-value-btn{margin-left:0.25em;margin-top:0.125em}.secret-value-list .value .add-value-btn{width:29px;border:1px solid #e9e9e9;outline:none;padding:0;margin-left:0.25em;margin-top:0.125em}.secret-value-list .value .add-value-btn:focus{border-color:#08c}.secret-value-list .value .new-value-input{margin-left:0.25em}.mobile-view .secret-value-list .add-value-btn{margin-bottom:9px}.mobile-view .secret-value-list .value .value-input:last-of-type{margin-left:2.35em}.mobile-view .secret-value-list .value .new-value-input:first-of-type{margin-right:2.15em;margin-left:0.25em}.mobile-view .admin-contents input[type="text"]{padding:4px}.mobile-view .full-width{margin:0}.mobile-view .admin-contents .ip-lookup .location-box{width:300px;left:-100%}.inline-edit label{display:inline-block;margin-right:20px}.admin-reports.admin-contents,.dashboard.admin-contents,.dashboard-next.admin-contents{margin:10px 0 0 0}.dashboard .section-top,.dashboard-next .section-top{margin-bottom:0.5em}.dashboard .navigation,.dashboard-next .navigation{display:flex;margin:0 0 2.5em 0;border-bottom:1px solid #bdbdbd}.dashboard .navigation .navigation-item,.dashboard-next .navigation .navigation-item{display:inline}.dashboard .navigation .navigation-item:hover,.dashboard-next .navigation .navigation-item:hover{background:#f8f8f8}.dashboard .navigation .navigation-link,.dashboard-next .navigation .navigation-link{display:block;font-weight:bold;padding:0.6em 1em 0.5em 1em}.dashboard.dashboard-moderation .navigation-item.moderation .navigation-link,.dashboard-next.dashboard-moderation .navigation-item.moderation .navigation-link{border-bottom:0.4em solid #08c}.dashboard.dashboard-security .navigation-item.security .navigation-link,.dashboard-next.dashboard-security .navigation-item.security .navigation-link{border-bottom:0.4em solid #08c}.dashboard.dashboard-reports .navigation-item.reports .navigation-link,.dashboard-next.dashboard-reports .navigation-item.reports .navigation-link{border-bottom:0.4em solid #08c}.dashboard.general .navigation-item.general .navigation-link,.dashboard-next.general .navigation-item.general .navigation-link{border-bottom:0.4em solid #08c}.dashboard .sections,.dashboard-next .sections{display:flex;flex-direction:column}.dashboard .section-columns,.dashboard-next .section-columns{display:flex;justify-content:space-between}@media screen and (max-width: 850px){.dashboard .section-columns,.dashboard-next .section-columns{flex-direction:column}}.dashboard .section-columns .section-column,.dashboard-next .section-columns .section-column{min-width:calc(50% - 0.5em);max-width:100%}.dashboard .section-columns .section-column:last-child,.dashboard-next .section-columns .section-column:last-child{margin-left:0.5em}.dashboard .section-columns .section-column:first-child,.dashboard-next .section-columns .section-column:first-child{margin-right:0.5em}@media screen and (max-width: 850px){.dashboard .section-columns .section-column,.dashboard-next .section-columns .section-column{min-width:100%}.dashboard .section-columns .section-column:last-child,.dashboard-next .section-columns .section-column:last-child{order:1}.dashboard .section-columns .section-column:first-child,.dashboard-next .section-columns .section-column:first-child{order:2}}@media screen and (max-width: 850px){.dashboard .section-columns .section-column:last-child,.dashboard .section-columns .section-column:first-child,.dashboard-next .section-columns .section-column:last-child,.dashboard-next .section-columns .section-column:first-child{margin:0}}.dashboard .section .section-title,.dashboard-next .section .section-title{display:flex;align-items:center;justify-content:space-between;border-bottom:1px solid #e9e9e9;margin-bottom:0.5em;padding-bottom:0.5em}.dashboard .section .section-title h2,.dashboard-next .section .section-title h2{margin:0 0.5em 0 0}.dashboard .section .section-title h2 a,.dashboard-next .section .section-title h2 a{color:#222}@media screen and (max-width: 400px){.dashboard .section .section-title,.dashboard-next .section .section-title{flex-wrap:wrap}}.dashboard .section .section-body,.dashboard-next .section .section-body{padding:1em 0 0}.dashboard .section .section-body>p,.dashboard-next .section .section-body>p{margin-top:0}.dashboard .admin-report .header,.dashboard-next .admin-report .header{border:0;padding:0;margin-bottom:1em}.dashboard .charts,.dashboard-next .charts{display:grid;grid-template-columns:repeat(12, 1fr);grid-column-gap:1em;grid-row-gap:1em;display:-ms-grid;-ms-grid-columns:1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;-ms-grid-rows:1fr 1fr}.dashboard .charts .admin-report,.dashboard-next .charts .admin-report{-ms-grid-column-span:4}.dashboard .charts .admin-report:nth-of-type(1),.dashboard-next .charts .admin-report:nth-of-type(1){-ms-grid-row:1;-ms-grid-column:1}.dashboard .charts .admin-report:nth-of-type(2),.dashboard-next .charts .admin-report:nth-of-type(2){-ms-grid-row:2;-ms-grid-column:1}.dashboard .charts .admin-report:nth-of-type(3),.dashboard-next .charts .admin-report:nth-of-type(3){-ms-grid-row:2;-ms-grid-column:5}.dashboard .charts .admin-report:nth-of-type(4),.dashboard-next .charts .admin-report:nth-of-type(4){-ms-grid-row:2;-ms-grid-column:9}.dashboard .charts .admin-report:nth-of-type(5),.dashboard-next .charts .admin-report:nth-of-type(5){-ms-grid-row:3;-ms-grid-column:1}.dashboard .charts .admin-report:nth-of-type(6),.dashboard-next .charts .admin-report:nth-of-type(6){-ms-grid-row:3;-ms-grid-column:5}.dashboard .charts .admin-report:nth-of-type(7),.dashboard-next .charts .admin-report:nth-of-type(7){-ms-grid-row:3;-ms-grid-column:9}.dashboard .charts .admin-report,.dashboard-next .charts .admin-report{grid-column:span 4}.dashboard .charts .admin-report.consolidated-page-views,.dashboard-next .charts .admin-report.consolidated-page-views{grid-column:span 12;-ms-grid-column-span:12}@media screen and (max-width: 850px){.dashboard .charts .admin-report,.dashboard-next .charts .admin-report{grid-column:span 12}}.dashboard .charts .chart-canvas-container,.dashboard-next .charts .chart-canvas-container{position:relative;margin-left:-5px}.dashboard .charts .chart-canvas,.dashboard-next .charts .chart-canvas{width:100%;height:100%}.dashboard .misc,.dashboard-next .misc{display:flex;border:1px solid #e9e9e9}.dashboard .misc .storage-stats,.dashboard .misc .last-dashboard-update,.dashboard-next .misc .storage-stats,.dashboard-next .misc .last-dashboard-update{flex:1 1 50%;box-sizing:border-box;margin:1em 0;padding:0 1em}.dashboard .misc .storage-stats,.dashboard-next .misc .storage-stats{display:flex;flex-wrap:wrap;justify-content:space-between;border-right:1px solid #e9e9e9}.dashboard .misc .storage-stats .backups,.dashboard .misc .storage-stats .uploads,.dashboard-next .misc .storage-stats .backups,.dashboard-next .misc .storage-stats .uploads{flex:1 1 100%}.dashboard .misc .storage-stats .uploads p:last-of-type,.dashboard-next .misc .storage-stats .uploads p:last-of-type{margin-bottom:0}@media screen and (max-width: 400px){.dashboard .misc,.dashboard-next .misc{flex-wrap:wrap}.dashboard .misc .storage-stats,.dashboard .misc .last-dashboard-update,.dashboard-next .misc .storage-stats,.dashboard-next .misc .last-dashboard-update{flex:1 1 100%;text-align:left}.dashboard .misc .last-dashboard-update,.dashboard-next .misc .last-dashboard-update{display:block;margin:0 20px 20px 20px;padding:20px 0 0 0;border-top:1px solid #e9e9e9;border-left:none}}.dashboard .misc .last-dashboard-update,.dashboard-next .misc .last-dashboard-update{text-align:center;display:flex;flex-direction:column;justify-content:center}.dashboard .misc .last-dashboard-update div,.dashboard-next .misc .last-dashboard-update div{align-self:center}.dashboard .misc .last-dashboard-update div h4,.dashboard-next .misc .last-dashboard-update div h4{margin-bottom:0}.dashboard .top-referred-topics,.dashboard-next .top-referred-topics{margin-bottom:1.5em}.dashboard .top-referred-topics th:first-of-type,.dashboard .trending-search th:first-of-type,.dashboard-next .top-referred-topics th:first-of-type,.dashboard-next .trending-search th:first-of-type{text-align:left}.dashboard .section .period-chooser .period-chooser-header .selected-name,.dashboard .section .period-chooser .period-chooser-header .d-icon,.dashboard-next .section .period-chooser .period-chooser-header .selected-name,.dashboard-next .section .period-chooser .period-chooser-header .d-icon{font-size:1.1487em}.dashboard .section .period-chooser .period-chooser-header .d-icon,.dashboard-next .section .period-chooser .period-chooser-header .d-icon{margin:0}.dashboard .dashboard-problems,.dashboard-next .dashboard-problems{margin-bottom:2.5em}.dashboard .dashboard-problems .d-icon-exclamation-triangle,.dashboard-next .dashboard-problems .d-icon-exclamation-triangle{color:#e45735}.dashboard .dashboard-problems .actions,.dashboard-next .dashboard-problems .actions{margin:1em 0 0 0;display:flex;align-items:center;color:#919191}.dashboard .dashboard-problems .actions .btn,.dashboard-next .dashboard-problems .actions .btn{margin-right:1em}.counters-list{display:flex;flex:1 0 0px;flex-direction:column}.counters-list .counters-header{display:grid;flex:1 0 auto;grid-template-columns:33% repeat(auto-fit, minmax(20px, 1fr));border:1px solid #e9e9e9;border-bottom:0;font-weight:700;text-align:right;align-items:center;padding:0.65em 0.25em;display:-ms-grid;-ms-grid-columns:2fr 1fr 1fr 1fr 1fr}.counters-list .counters-header .counters-cell{-ms-grid-row:1;-ms-grid-column-span:1}.counters-list .counters-header .counters-cell:nth-of-type(1){-ms-grid-column:1}.counters-list .counters-header .counters-cell:nth-of-type(2){-ms-grid-column:2}.counters-list .counters-header .counters-cell:nth-of-type(3){-ms-grid-column:3}.counters-list .counters-header .counters-cell:nth-of-type(4){-ms-grid-column:4}.counters-list .counters-header .counters-cell:nth-of-type(5){-ms-grid-column:5}.counters-list .admin-report .main{border:1px solid #e9e9e9}.counters-list .admin-report .main:hover{background-color:#f8f8f8}.counters-list .admin-report:not(:last-child) .main{border-bottom:0}.counters-list .admin-report:not(:last-child) .conditional-loading-section.is-loading{border-bottom:0}.counters-list .admin-report .conditional-loading-section.is-loading{display:flex;flex-direction:row;padding:0.5em 0.25em;align-items:flex-start;justify-content:flex-start;border:1px solid #e9e9e9}.counters-list .admin-report .conditional-loading-section.is-loading .title{font-size:1em}.counters-list .admin-report .conditional-loading-section.is-loading .spinner{margin:0;width:8px;height:8px;margin-left:0.5em}.counters-list .admin-report .main .report-alert{display:flex;flex-direction:row;padding:0.5em 0.25em;align-items:center;text-align:left;border:0}.counters-list .admin-report .main .report-alert:hover{background-color:#f8f8f8}.counters-list .admin-report .main .report-alert .d-icon{font-size:1.1487em;margin:0 0.25em 0 0;color:#bdbdbd}.activity-metrics{margin-bottom:1.5em}.user-metrics{display:flex;flex-wrap:wrap;justify-content:space-between;flex-direction:column}.user-metrics .dashboard-inline-table{flex:1 0 auto;max-width:95%}.user-metrics .table-cell{display:flex;flex:0 1 auto;margin:0 10px 5px 0;border:1px solid #e9e9e9;border-radius:10px}.user-metrics .table-cell .label{display:flex;align-items:center;color:#222;background:#f8f8f8;justify-content:center;border-radius:9px 0 0 9px;padding:0 5px 0 8px}.user-metrics .table-cell .label .d-icon{margin-right:5px;font-size:.8706em}.user-metrics .table-cell .value{padding:0 8px 0 5px}.user-metrics .table-cell.user-newuser .label{color:#646464}.user-metrics .table-cell.user-basic,.user-metrics .table-cell.user-member{border-color:#cd7f32}.user-metrics .table-cell.user-basic .label,.user-metrics .table-cell.user-member .label{border-color:#cd7f32;background:#cd7f32;color:#fff}.user-metrics .table-cell.user-regular{border-color:silver}.user-metrics .table-cell.user-regular .label{border-color:silver;background:silver;color:#fff}.user-metrics .table-cell.user-leader{border-color:#e7c300}.user-metrics .table-cell.user-leader .label{background:#e7c300;border-color:#e7c300;color:#fff}.rtl .dashboard-next .section-column:last-child{margin-right:1em;margin-left:0}.rtl .dashboard-next .section-column:first-child{margin-left:1em;margin-right:0}.rtl .dashboard-next .user-metrics .table-cell{margin:0 0 5px 10px}.rtl .dashboard-next .table-cell .label{border-radius:0 9px 9px 0}.rtl .dashboard-next .table-cell .label .d-icon{margin-right:0;margin-left:5px}.users-by-trust-level,.users-by-type{margin-bottom:1.5em}.community-health.section{margin-bottom:1.5em}.dashboard-moderation .section-body,.dashboard-security .section-body{margin-bottom:1em}.dashboard-moderation .main-section,.dashboard-security .main-section{display:grid;grid-template-columns:repeat(12, 1fr);grid-column-gap:1em;grid-row-gap:1em}.dashboard-moderation .main-section>*,.dashboard-security .main-section>*{grid-column:span 12}.dashboard-moderation .main-section .admin-dashboard-security-bottom-outlet,.dashboard-moderation .main-section .admin-dashboard-moderation-bottom-outlet,.dashboard-security .main-section .admin-dashboard-security-bottom-outlet,.dashboard-security .main-section .admin-dashboard-moderation-bottom-outlet{display:grid;grid-template-columns:repeat(12, 1fr);grid-column-gap:1em;grid-row-gap:1em}.dashboard-moderation .admin-report,.dashboard-security .admin-report{grid-column:span 12}.dashboard-moderation .admin-dashboard-moderation-top{display:grid;grid-template-columns:repeat(12, 1fr);grid-column-gap:1em;grid-row-gap:1em}.dashboard-reports .reports-list{display:flex;flex-wrap:wrap;list-style-type:none;margin:0 -1.5%}.dashboard-reports .report{margin:1.5%;border:1px solid #e9e9e9;flex:1 1 28%;transition:box-shadow 0.25s;min-width:225px;max-width:550px}.dashboard-reports .report a{display:block;width:100%;height:100%;box-sizing:border-box;padding:1em}.dashboard-reports .report a .report-description{color:#646464}.dashboard-reports .report:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15)}.version-checks{display:flex;flex-wrap:wrap}.version-checks .section-title{flex:1 1 100%;border-bottom:1px solid #e9e9e9;margin-bottom:0.5em}.version-check{display:flex;flex:1 1 50%;flex-wrap:wrap;align-items:flex-start;align-self:flex-start;justify-content:space-between;padding:10px 0 10px 0}.version-check .upgrade-header{flex:1 1 100%}@media screen and (max-width: 650px){.version-check .upgrade-header{margin:0}}.version-check .upgrade-header tr{border:none}.version-check .upgrade-header th{background:transparent;padding:0}.version-check h2{flex:1 1 100%}.version-check .version-number{font-size:1.3195em;line-height:1.2;box-sizing:border-box;font-weight:bold;margin:0 0 1em 0;padding-right:20px;flex:1 1 27%}.version-check .version-number h3{flex:1 0 auto;white-space:nowrap}.version-check .version-number h4,.version-check .version-number .sha-link{font-size:.7579em;margin-bottom:0}.version-check .version-number .sha-link{font-weight:normal}.version-check .version-status{display:flex;align-items:center;margin:0 0 1em 0;flex:1 1 24%;box-sizing:border-box;padding-right:20px;min-width:250px}@media screen and (max-width: 850px){.version-check .version-status{max-width:unset}}.version-check .version-status .face{margin:0 0.75em 0 0;font-size:1.5157em}.version-check.critical .version-notes .normal-note{display:none}.version-check.normal .version-notes .critical-note{display:none}.version-check .fa{font-size:1.7511em}.version-check .up-to-date{color:#090}.version-check .updates-available{color:#e45735}.version-check .critical-updates-available{color:#e45735}.update-nag .d-icon{font-size:1.5157em}.settings .setting{padding-bottom:20px}.settings .setting .setting-label{float:left;width:17.6576%;margin-right:12px}@media (max-width: 700px){.settings .setting .setting-label{float:none;margin-right:0;width:100%}.settings .setting .setting-label h3{margin-bottom:6px}}.settings .setting .setting-value{float:left;width:53%;padding-right:20px}.settings .setting .setting-value input[type="checkbox"],.settings .setting .setting-value input[type="radio"]{flex:0 0 auto}.settings .setting .setting-value .category-selector{width:95%}@media (max-width: 700px){.settings .setting .setting-value{width:100%;padding-right:0}}.settings .setting .setting-value .select-kit{width:100% !important}@media (max-width: 700px){.settings .setting .setting-value .select-kit{width:100% !important}}.settings .setting .setting-value .uploaded-image-preview{background-size:contain;background-repeat:no-repeat;background-color:#919191}.settings .setting .setting-controls{float:left}.settings .setting .input-setting-string,.settings .setting .input-setting-textarea{width:100%}@media (max-width: 700px){.settings .setting .input-setting-string,.settings .setting .input-setting-textarea{width:100%}}.settings .setting .input-setting-textarea{height:150px}.settings .setting .input-setting-list{padding:1px;background-color:#fff;border:1px solid #e9e9e9;border-radius:3px;transition:border linear 0.2s, box-shadow linear 0.2s}@media (max-width: 700px){.settings .setting .input-setting-list{width:100%}}.settings .setting .input-setting-list li.sortable-placeholder{padding:3px 5px 3px 18px;margin:3px 0 3px 5px;position:relative;line-height:1;cursor:default;border:1px dashed #bdbdbd;border-radius:3px;background-clip:padding-box;-moz-user-select:none;background-color:transparent;width:3em;height:1em}.settings .setting .desc,.settings .setting .validation-error{padding-top:3px;font-size:.8706em;line-height:1.4}.settings .setting .validation-error{color:#e45735}.settings .setting .desc{color:#919191}.settings .setting h3{font-size:1em;font-weight:normal}.settings .setting.overridden h3{color:#a6a600}.settings .setting.overridden.string input[type="text"],.settings .setting.overridden.string input[type="password"],.settings .setting.overridden.string textarea{background-color:#ffffa6}.settings .warning{color:#e45735}.display-row.associations .value{width:750px}@media (max-width: 700px){.display-row.associations .value{width:75%;float:right;text-align:left;margin-left:0}}.display-row{display:flex;align-items:center;padding:10px 5px;border-top:1px solid #e9e9e9}.display-row:nth-of-type(1){border-top:0}.display-row.highlight-danger{background-color:#fbe6e1}.display-row:before,.display-row:after{display:table;content:""}.display-row:after{clear:both}.display-row.secondary-emails ul{margin:0;list-style:none}.display-row .field{font-weight:bold;width:17.65765%;float:left;margin-left:12px}@media (max-width: 700px){.display-row .field{margin-left:0;line-height:1.4;margin-top:5px}}.display-row .value{width:250px;float:left;margin-left:12px}@media (max-width: 700px){.display-row .value{width:75%;float:right;text-align:left;margin-left:0}}.display-row .value .select-kit{width:inherit}.display-row .long-value{width:800px;float:left;margin-left:12px;font-size:.8706em}.display-row .long-value button{margin-left:10px}.display-row .controls{width:480px;float:left;margin-left:12px}@media (max-width: 700px){.display-row .controls{width:75%;float:right;text-align:left;margin-left:0}}.display-row .controls .btn{margin-right:5px}.display-row.username .value,.display-row.name .value{word-break:break-all}.admin-users input{margin-bottom:0}.admin-users .users-list .username .d-icon{color:#919191}.admin-users-list td.username{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;overflow-wrap:break-word}@media screen and (max-width: 970px) and (min-width: 768px){.admin-users-list td.username{max-width:23vw}.admin-users-list td.email{max-width:28vw;overflow-wrap:break-word}}@media screen and (max-width: 767px){.admin-users-list tr td.username{grid-column-start:1;grid-column-end:-2;font-weight:bold}.admin-users-list tr td.user-status{text-align:right;grid-row:1;grid-column-end:-1}.admin-users-list tr td.user-status .d-icon{margin-left:0.25em}.admin-users-list tr td.email{grid-column-start:1;grid-column-end:-1;word-wrap:break-word;overflow-wrap:break-word;overflow:hidden;min-width:0;margin:0.5em 0 0 0}.admin-users-list tr td.email:empty{display:none}}@media screen and (max-width: 767px){.admin-users-list tr.user{display:-ms-grid;-ms-grid-columns:1fr 1fr 1fr;-ms-grid-rows:2em 1fr 3em 3em}.admin-users-list tr.user td{display:-ms-grid;-ms-grid-columns:1fr;-ms-grid-rows:1fr 1fr}.admin-users-list tr.user td .label{-ms-grid-row:1;-ms-grid-column:1}.admin-users-list tr.user td div:not(.label){-ms-grid-row:2;-ms-grid-column:1;align-self:center}.admin-users-list tr.user td.username{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2}.admin-users-list tr.user td.user-status{-ms-grid-row:1;-ms-grid-column:3}.admin-users-list tr.user td.email{-ms-grid-row:2;-ms-grid-column:1;-ms-grid-column-span:3}.admin-users-list tr.user td.last-emailed{-ms-grid-row:3;-ms-grid-column:1}.admin-users-list tr.user td.last-seen{-ms-grid-row:3;-ms-grid-column:2}.admin-users-list tr.user td.topics-entered{-ms-grid-row:3;-ms-grid-column:3}.admin-users-list tr.user td.posts-read{-ms-grid-row:4;-ms-grid-column:1}.admin-users-list tr.user td.time-read{-ms-grid-row:4;-ms-grid-column:2}.admin-users-list tr.user td.created{-ms-grid-row:4;-ms-grid-column:3}}.mobile-view .admin-users.admin-user .display-row{flex-direction:column;align-items:flex-start}.mobile-view .admin-users.admin-user .display-row .field,.mobile-view .admin-users.admin-user .display-row .value{width:unset}.mobile-view .admin-users.admin-user .display-row .select-kit{width:300px}.mobile-view .admin-users.admin-user .long-value{word-wrap:break-word;max-width:100%;margin:0}.mobile-view .admin-users.admin-user .long-value button{margin:5px 0;display:block}.mobile-view .admin-users.admin-user h1{margin:15px 0 5px 0}.mobile-view .admin-users.admin-user .user-controls{text-align:inherit}.mobile-view .admin-users.admin-user .controls{width:unset;margin-top:5px}.mobile-view .admin-users.admin-user .associations button{margin:5px 5px 0 0}.mobile-view .admin-users.admin-user .ip-lookup{display:block}.mobile-view .admin-users.admin-user .ip-lookup .location-box{left:0}.suspend-user-modal .until-controls{margin-bottom:1em}.suspend-user-modal .suspend-reason{width:100%}.suspend-user-modal .suspend-reason-label,.suspend-user-modal .suspend-message-label{margin-bottom:0.5em}.suspend-user-modal .textarea,.suspend-user-modal input[type="text"]{box-sizing:border-box;height:2.5em}.suspend-user-modal .inline-spinner{float:right}.modal-body .penalty-post-edit{margin-top:1em}.modal-body .penalty-post-edit textarea{height:10em}.admin-badges .badges{display:flex;flex-wrap:wrap}.admin-badges .badges .badges-header{display:flex;align-items:center;flex:1 0 100%}.admin-badges .badges .badges-header .create-new-badge{margin-left:auto}.admin-badges .badges .content-list{flex:0 0 27%}.admin-badges .badges .current-badges{display:flex;justify-content:center;flex:1 1 72%}.admin-badges .badges-header{padding:10px 0;border-top:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9}.admin-badges .badges-header .badges-heading{margin:0;padding:0 10px}.admin-badges .content-list .admin-badge-list{height:70vh;overflow-y:scroll;border-right:1px solid #e9e9e9;border-left:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9}.admin-badges .content-list .admin-badge-list .admin-badge-list-item:first-child{border-top:none}.admin-badges .content-list .admin-badge-list .admin-badge-list-item:last-child{border-top:none}.admin-badges .content-list .admin-badge-list .list-badge{float:right;font-size:.8706em;font-weight:normal;padding:0 6px;color:#fff;background-color:#6cf;border-radius:3px}.admin-badges .content-list .user-badge{border:none;background-color:unset}.admin-badges .current-badge{margin:20px}.admin-badges .current-badge p.help{margin:0;margin-top:5px;color:#919191;font-size:.8706em}.admin-badges .current-badge .badge-grouping-control{display:flex;align-items:center}.admin-badges .current-badge .badge-grouping-control .badge-selector{margin-right:5px}.admin-badges .form-horizontal .ace-wrapper{position:relative;height:270px}.admin-badges .form-horizontal .ace-wrapper .ace_editor{position:absolute;left:0;right:0;top:0;bottom:0}.admin-badges .form-horizontal .ace-wrapper[data-disabled="true"]{cursor:not-allowed;opacity:0.5}.admin-badges .form-horizontal .ace-wrapper[data-disabled="true"] .ace_editor{pointer-events:none}.admin-badges .form-horizontal .ace-wrapper[data-disabled="true"] .ace_editor .ace_cursor{visibility:hidden}.admin-badges .form-horizontal textarea{height:200px}.admin-badges .current-badge-actions{margin:10px;padding:10px;border-top:1px solid #e9e9e9}.admin-badges .buttons{float:left;width:200px}.admin-badges .buttons .saving{padding:5px 0 0 0;margin-left:10px;width:80px;color:#222}.badge-groupings-modal .badge-groupings{margin-bottom:10px}.badge-groupings-modal .badge-groupings-list{list-style:none;margin:0}.badge-groupings-modal .badge-groupings-list .badge-grouping-item{border-bottom:1px solid #e9e9e9;display:flex;justify-content:space-between;align-items:center;padding:5px 0}.badge-groupings-modal .badge-groupings-list .badge-grouping .badge-grouping-name-input{margin:0}.badge-query-preview .badge-errors,.badge-query-preview .badge-query-plan{padding:5px;background-color:#e9e9e9}.badge-query-preview .count-warning{background-color:#fbe6e1;margin-bottom:5px;padding:10px}.badge-query-preview .count-warning p{margin:0}.badge-query-preview .count-warning .heading{color:#e45735;font-weight:bold}.email-list .filters input{width:100%}.email-list .time{width:50px}.email-list .reply-key{display:block;font-size:.8706em;color:#919191}.email-list .username div{max-width:180px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.email-list .addresses p{margin:2px 0;max-width:200px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.incoming-emails .control-group{margin:8px 0}.incoming-emails .controls{margin-left:110px}.incoming-emails p{margin:5px 10px}.incoming-emails .error-description{color:#919191;font-size:.8706em}.incoming-emails hr{margin:0}.incoming-emails label{font-weight:bold;float:left;width:100px;text-align:right;margin:0 10px}.incoming-emails ul{list-style:none;margin:0 10px}.incoming-emails textarea{width:95%;height:150px;font-family:monospace;box-shadow:none}.admin-list-item{width:100%;border-top:1px solid #e9e9e9;padding:0.25em 0}.email-preview .digest-refresh-button{margin:0 0.5em}.email-preview-digest .controls{margin:1em 0.5em}.email-preview-digest .controls input[type="text"]{margin-bottom:0}.email-preview-digest .controls label{display:inline}.email-preview-digest .preview-output iframe{width:100%;height:600px;border-width:1px}.email-advanced-test .admin-controls{display:block}.email-advanced-test .email-body{width:95%;height:150px;font-family:monospace}.web-hook-events{border-bottom:dotted 1px #bdbdbd}.web-hook-events .heading-container{width:100%;background-color:#e9e9e9}.web-hook-events .col.heading{font-weight:bold;padding:4px 0}.web-hook-events .col{display:inline-block;padding-top:6px;vertical-align:top;overflow-y:auto;overflow-x:hidden}.web-hook-events .ember-list-item-view{width:100%;border-top:solid 1px #e9e9e9}.log-details-modal pre{white-space:pre-wrap;max-height:250px}.log-details-modal .modal-tab{width:95%}.staff-actions{width:100%;word-wrap:break-word}@media screen and (min-width: 550px) and (max-width: 767px){.staff-actions table.staff-logs tr{display:grid;grid-template-rows:auto auto;grid-template-columns:repeat(4, 1fr)}.staff-actions table.staff-logs tr td{align-self:start;padding:2px 4px}.staff-actions td.created-at{grid-column-start:-1}.staff-actions td.subject{grid-row:2;grid-column-start:2}.staff-actions td.subject div.subject{display:flex}.staff-actions td.subject div.subject a{word-wrap:break-word;min-width:25px}.staff-actions td.details{grid-row:1;grid-row-start:1;grid-row-end:3;grid-column-start:3}.staff-actions td.context{grid-row-start:1;grid-row-end:3;grid-column-start:4}}@media screen and (max-width: 767px){.staff-actions table.staff-logs tr{display:-ms-grid;-ms-grid-columns:1fr 1fr 1fr 0.5fr;-ms-grid-rows:auto auto}.staff-actions table.staff-logs tr td{display:-ms-grid}.staff-actions table.staff-logs tr td.staff-users{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:2}.staff-actions table.staff-logs tr td.created-at{-ms-grid-row:1;-ms-grid-column:4}.staff-actions table.staff-logs tr td.action{-ms-grid-row:2;-ms-grid-column:1}.staff-actions table.staff-logs tr td.subject{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:3}.staff-actions table.staff-logs tr td.details{-ms-grid-row:3;-ms-grid-column:1;-ms-grid-column-span:3}.staff-actions table.staff-logs tr td.context{-ms-grid-row:4;-ms-grid-column:1;-ms-grid-column-span:3}}@media screen and (max-width: 550px){.staff-actions table.staff-logs tr{grid-template-columns:1fr 1fr 0.5fr}.staff-actions table.staff-logs tr td.staff-users{grid-column-start:1;grid-column-end:3}.staff-actions table.staff-logs tr td.created-at{grid-row:1;grid-column-start:-1;text-align:right}.staff-actions table.staff-logs tr td.action{grid-row:2;grid-column-start:1}.staff-actions table.staff-logs tr td.subject{grid-row:2;grid-column-start:2;grid-column-end:5;max-width:60vw}.staff-actions table.staff-logs tr td.details,.staff-actions table.staff-logs tr td.context{max-width:unset}.staff-actions table.staff-logs tr td.details{grid-row:3;grid-column-start:1;grid-column-end:5;padding:0.25em 0;max-width:90vw}.staff-actions table.staff-logs tr td.context{grid-row:4;grid-column-start:1;grid-column-end:5}}.staff-actions .staff-user{font-weight:bold;display:flex}.staff-actions .staff-user a:first-of-type{margin-right:0.25em}.staff-actions .staff-user .deleted-user{font-size:1.3195em}.staff-actions .created_at{text-align:center}.staff-actions td.subject,.staff-actions td.details{max-width:20vw}.staff-action-logs-controls{display:flex;align-items:center;margin:0 0 1em 0}.staff-action-logs-controls .select-kit{margin:0 0.5em}.staff-action-logs-controls button{margin-left:auto;display:flex}.staff-action-logs-controls a.filter{display:inline-flex;align-items:center;margin-bottom:0.25em;background-color:#e9e9e9;padding:3px 10px;color:#222}.staff-action-logs-controls a.filter:hover{color:#222;background-color:#e9e9e9}.staff-action-logs-controls a.filter .label{font-weight:bold}.staff-action-logs-controls a.filter .d-icon{margin-left:6px}.admin-logs-table input.ember-text-field{padding:1px 4px}.admin-logs-table .btn{padding:2px 8px}.admin-logs-table .btn .fa{margin-right:2px}.screened-email-export{display:block}.screened-ip-address-form{margin-left:6px}.screened-ip-address-form .combobox{width:130px}.screened-ip-controls{display:flex;flex-wrap:wrap}.screened-ip-controls input{flex:1 1 auto;margin:0 0.25em 0.25em}.screened-ip-controls b{margin:0 0.25em}.screened-ip-controls .select-kit{margin:0 0.25em 0.25em 0.25em;flex:1 1 auto}.screened-ip-controls .filter-screened-ip-address,.screened-ip-controls .screened-ip-address-form{margin:0 -0.25em 1em;display:flex;flex-wrap:wrap;align-items:center}@media screen and (min-width: 800px){.screened-ip-controls .screened-ip-address-form{margin-left:auto}}.screened-ip-controls button{display:flex;white-space:nowrap;margin:0 0.25em 0.25em}table.screened-ip-addresses td.ip_address{min-width:150px;word-wrap:break-word}table.screened-ip-addresses td.ip_address input{width:80%}table.screened-ip-addresses td.action{display:flex;align-items:baseline}table.screened-ip-addresses td.action .d-icon-check{color:#090}table.screened-ip-addresses td.action .d-icon-ban{color:#e45735}table.screened-ip-addresses td.action .d-icon{margin-right:0.25em}@media screen and (min-width: 550px){table.screened-ip-addresses tr{grid-template-columns:repeat(5, 1fr) auto}}@media screen and (max-width: 549px){table.screened-ip-addresses tr td.actions{grid-row:3;grid-column-start:-1;grid-column-end:-4;text-align:right;margin-top:0.5em}table.screened-ip-addresses tr td.created_at{grid-row:1;grid-column-start:3;text-align:right}table.screened-ip-addresses tr td.last_match_at{grid-row:2;grid-column-start:3;text-align:right}table.screened-ip-addresses tr td.match_count{grid-row:2;grid-column-start:2}}@media screen and (max-width: 768px){.screened-urls td.domain{grid-column-start:1;grid-column-end:3;word-wrap:break-word}}.screened-emails td.ip_address{word-wrap:break-word}@media screen and (min-width: 768px){.screened-emails td.ip_address{max-width:20vw}}@media screen and (max-width: 768px){.screened-emails td.email{grid-column-start:1;grid-column-end:3;word-wrap:break-word}.screened-emails td.ip_address{grid-row:2;grid-column-start:1;grid-column-end:-1}.screened-emails td.action{margin-top:0.25em}}.watched-word-box{display:inline-block;width:250px;margin-bottom:1em;vertical-align:top}.admin-watched-words .clear-all-row{display:flex;margin-top:10px;justify-content:flex-end}.admin-watched-words .clear-all-row .clear-all{margin-left:5px}.watched-word-controls{display:flex;flex-wrap:wrap;margin-bottom:1em;justify-content:space-between}.watched-word-controls .download-upload-controls{display:flex}.watched-word-controls .download{justify-content:flex-end}.watched-words-list{margin-top:20px;display:inline-block}.watched-word{display:inline-block;cursor:pointer}.watched-word .d-icon{margin-right:0.25em;color:#919191}.watched-word:hover .d-icon{color:#e45735}.watched-word-form{display:inline-block}.watched-word-form .success-message{margin-left:1em}.watched-words-uploader{margin-left:5px;display:flex;flex-direction:column;align-items:flex-end}@media screen and (max-width: 500px){.watched-words-uploader{flex:1 1 100%;margin-top:0.5em}}.watched-words-uploader .instructions{font-size:.8706em;margin-top:5px}.watched-words-detail .about{margin:0.5em 0 1em 0}.watched-words-test-modal p{margin-top:0}table.search-logs-list td.term{width:60%;word-wrap:break-word}@media screen and (max-width: 767px){table.search-logs-list td.term{width:100%}}table.search-logs-list th:not(.term),table.search-logs-list td:not(.term){text-align:center}@media screen and (min-width: 550px){table.search-logs-list tr td.term{grid-column-start:1;grid-column:span 3}}@media screen and (max-width: 550px){table.search-logs-list tr td.term{grid-column-start:1;grid-column-end:4}table.search-logs-list tr th:not(.term),table.search-logs-list tr td:not(.term){text-align:left}}@media screen and (max-width: 767px){table.search-logs-list tr{display:-ms-grid;-ms-grid-columns:1fr 1fr 1fr;-ms-grid-rows:auto 2em}table.search-logs-list tr td{display:-ms-grid;-ms-grid-rows:auto auto}table.search-logs-list tr td .label{-ms-grid-row:2}table.search-logs-list tr td.term{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:3}table.search-logs-list tr td.col:nth-of-type(2){-ms-grid-row:2;-ms-grid-column:1}table.search-logs-list tr td.col:nth-of-type(3){-ms-grid-row:2;-ms-grid-column:2}table.search-logs-list tr td.col:nth-of-type(4){-ms-grid-row:2;-ms-grid-column:3}}.content-editor{min-height:500px;float:left;width:54.054%;margin-left:1.8018%}.content-editor p.description{color:#222}.content-editor .controls{margin-top:10px}.content-editor textarea.plain{width:98%;height:200px}.content-editor .d-editor-input{width:98%;height:200px}.content-editor .ace-wrapper{position:relative;height:600px;width:100%}.content-editor .ace_editor{position:absolute;left:0;right:0;top:0;bottom:0}.email-template input{width:100%}.email-template label{font-weight:bold}.create-theme-modal div.input{margin-bottom:12px}.create-theme-modal div.input .label{width:20%;display:inline-block}.create-theme-modal .error{color:#e45735}.admin-customize.admin-customize-themes .admin-container{padding:0}.admin-customize.admin-customize-themes .error-message{margin-top:5px;margin-bottom:5px}.admin-customize.admin-customize-themes .error-message .fa{color:#e45735}.admin-customize.admin-customize-themes .raw-error{background-color:#f8f8f8;padding:5px}.admin-customize h1{margin-bottom:10px}.admin-customize h1 input{margin-bottom:0;font-size:.7579em}.admin-customize .field-error{margin-top:10px;margin-bottom:10px;background-color:#f7cdc2;padding:5px}.admin-customize .admin-container{padding-left:10px;padding-right:10px}.admin-customize .admin-footer{margin-top:20px}.admin-customize .color-schemes li .d-icon{margin-right:0.25em;color:#919191}.admin-customize .show-current-style{display:inline-block;vertical-align:top}.admin-customize .show-current-style .btn{line-height:1.2}.admin-customize .show-current-style .title{font-size:1.7511em;font-weight:bold;margin-bottom:10px}.admin-customize .show-current-style .title a{font-size:.7579em}.admin-customize .show-current-style .title .btn{line-height:1}.admin-customize .show-current-style .theme-description{display:block;margin:10px 0}.admin-customize .show-current-style .metadata .authors,.admin-customize .show-current-style .metadata .version{display:block}.admin-customize .show-current-style .metadata .authors .heading,.admin-customize .show-current-style .metadata .version .heading{font-weight:bold}.admin-customize .show-current-style div.remote-url{font-size:.8706em;margin-bottom:7px}.admin-customize .show-current-style a.remote-url,.admin-customize .show-current-style a.about-url,.admin-customize .show-current-style a.license-url{display:inline-block;margin-right:10px}.admin-customize .show-current-style a.remote-url .d-icon,.admin-customize .show-current-style a.about-url .d-icon,.admin-customize .show-current-style a.license-url .d-icon{margin-left:5px}.admin-customize .show-current-style .mini-title{font-size:1.1487em;font-weight:bold;margin-bottom:7px}.admin-customize .show-current-style .control-unit{margin-bottom:25px;margin-top:15px}.admin-customize .show-current-style .control{margin-bottom:10px}.admin-customize .show-current-style .description{margin-bottom:12px}.admin-customize .add-component-button{vertical-align:middle}.admin-customize .themes-list{display:inline-block}.admin-customize .themes-list .create-actions{margin-top:0.5em}.admin-customize .themes-list-header{width:100%;border-bottom:1px solid #e9e9e9;border-top:1px solid #e9e9e9;border-right:1px solid #e9e9e9}.admin-customize .themes-list-header .tab{display:inline-block;padding:10px;width:50%;box-sizing:border-box;text-align:center;border-left:1px solid #e9e9e9}.admin-customize .themes-list-header .tab.active{font-weight:bold;color:#fff;background:#e45735}.admin-customize .themes-list-header .tab:not(.active){cursor:pointer}.admin-customize .themes-list-header .tab:not(.active):hover{background-color:#f8f8f8}.admin-customize .themes-list-container{overflow-y:auto;box-sizing:content-box;max-height:60vh;border-right:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9;width:100%}@media screen and (max-height: 1000px){.admin-customize .themes-list-container{max-height:50vh}}@media screen and (max-height: 800px){.admin-customize .themes-list-container{max-height:40vh}}.admin-customize .themes-list-container .themes-list-item:last-child{border-bottom:none}.admin-customize .themes-list-container .themes-list-item{color:#222;border-bottom:1px solid #e9e9e9;display:flex;border-left:1px solid #e9e9e9}.admin-customize .themes-list-container .themes-list-item.inactive-indicator{border-right:0;border-left:0;font-weight:bold;color:#919191}.admin-customize .themes-list-container .themes-list-item.inactive-indicator span.empty{padding-left:5px;padding-top:15px}.admin-customize .themes-list-container .themes-list-item:not(.inactive-indicator):not(.selected):hover{background-color:#f8f8f8}.admin-customize .themes-list-container .themes-list-item:not(.inactive-indicator):not(.selected):hover .component{border-color:#bdbdbd}.admin-customize .themes-list-container .themes-list-item.selected{color:#fff;background-color:#08c}.admin-customize .themes-list-container .themes-list-item.selected .components-list{color:#fff}.admin-customize .themes-list-container .themes-list-item.selected .fa{color:inherit}.admin-customize .themes-list-container .themes-list-item:not(.selected) .broken-indicator{color:#e45735}.admin-customize .themes-list-container .themes-list-item:not(.selected) .fa{opacity:0.7}.admin-customize .themes-list-container .themes-list-item:not(.selected) .default-indicator{color:#090}.admin-customize .themes-list-container .themes-list-item .light-grey-icon{color:#919191}.admin-customize .themes-list-container .themes-list-item .info{overflow:hidden;display:flex;font-weight:bold;font-size:1.1487em}.admin-customize .themes-list-container .themes-list-item .info .icons{margin-left:auto}.admin-customize .themes-list-container .themes-list-item .components-list{margin-top:5px;display:inline-block;font-size:.8706em;align-items:baseline;color:#646464}.admin-customize .themes-list-container .themes-list-item .components-list .others-count,.admin-customize .themes-list-container .themes-list-item .components-list .others-count:hover{text-decoration:underline}.admin-customize .themes-list-container .themes-list-item .inner-wrapper{padding:10px;cursor:pointer}.admin-customize .themes-list-container .themes-list-item span.empty{padding:3px 10px 3px 10px}.admin-customize .themes-list-container .themes-list-item .inner-wrapper,.admin-customize .themes-list-container .themes-list-item span.empty{color:inherit;width:100%}.admin-customize .theme.settings .theme-setting{min-height:35px}.admin-customize .theme.settings .theme-translation{padding-bottom:0;margin-top:18px;min-height:35px}.admin-customize .theme.settings .setting-label{width:25%;word-wrap:break-word}.admin-customize .theme.settings .setting-label h3{margin-top:0;margin-bottom:0.5rem}.admin-customize .current-style.maximized{position:fixed;top:0;bottom:0;left:0;right:0;z-index:1150;background-color:white;width:100%;padding:0;margin:0}.admin-customize .current-style.maximized .wrapper{position:absolute;top:20px;bottom:10px;left:20px;right:20px}.admin-customize .content-list,.admin-customize .current-style{float:left}.admin-customize .content-list ul{margin-bottom:10px}.admin-customize .current-style{width:100%}.admin-customize .current-style .admin-container{margin:0}.admin-customize .current-style .edit-main-nav .nav-pills>li a.active{background-color:#e45735;color:#fff}.admin-customize .current-style .edit-main-nav ul{padding-bottom:0}.admin-customize .current-style .nav-pills li{margin-right:0;display:flex}.admin-customize .current-style .nav-pills li.spacer{flex-grow:1}.admin-customize .current-style .nav-pills li:last-of-type>a{margin-right:0}.admin-customize .current-style .nav-pills li a.no-text .d-icon{margin-right:0}.admin-customize .current-style .nav-pills li label{padding:6px 12px;margin-bottom:0}.admin-customize .current-style .nav-pills li a.active{background:#919191;color:#fff}.admin-customize .current-style .nav-pills li a.blank:not(.active){color:#919191}.admin-customize .current-style .nav-pills li input{margin-bottom:0;margin-left:6px}.admin-customize .current-style .nav-pills li button{margin-right:0}.admin-customize .current-style .ace-wrapper{position:relative;height:600px;width:100%}.admin-customize .current-style.maximized .admin-container{position:absolute;bottom:50px;top:80px;width:100%}.admin-customize .current-style.maximized .admin-footer{position:absolute;bottom:10px}.admin-customize .current-style.maximized .ace-wrapper{height:calc(100% - 200px)}.admin-customize .current-style .ace_editor{position:absolute;left:0;right:0;top:0;bottom:0}.admin-customize .current-style .status-actions{float:right;margin-top:7px}.admin-customize .current-style .status-actions span{margin-right:10px}.admin-customize .current-style .buttons{float:left;width:200px}.admin-customize .current-style .buttons .saving{padding:5px 0 0 0;margin-left:10px;width:80px;color:#222}.admin-customize .color-scheme .controls button,.admin-customize .color-scheme .controls a{margin-right:10px}.admin-customize .colors thead th{border:none}.admin-customize .colors td.hex{width:160px}.admin-customize .colors td.actions{width:200px}.admin-customize .colors .hex-input{width:80px;margin-bottom:0}.admin-customize .colors .hex{text-align:center}.admin-customize .colors h3{margin:0}.admin-customize .colors .description{margin:0.15em 0 0;color:#646464;font-size:.8706em;line-height:1.2}.admin-customize .colors .invalid .hex input{background-color:white;color:black;border-color:#e45735}.admin-customize .status-message{display:block;font-size:.8706em;margin-top:8px}.admin-customize .removable-list{list-style:none;margin-left:0}.admin-customize .removable-list li{display:table-row}.admin-customize .removable-list li.disabled-child .child-link{color:#919191}.admin-customize .removable-list li.disabled-child .child-link:hover{text-decoration:underline}.admin-customize .removable-list li .btn{margin-left:5px}.admin-customize .removable-list li .col.child-link{padding-right:10px;padding-bottom:10px;min-width:80px}.admin-customize .removable-list li .col{display:table-cell}.add-upload-modal input[type="file"]{display:block;margin-bottom:0.25em}.add-upload-modal input[type="file"]+label{color:#919191}.add-upload-modal label{display:inline-block}#custom_emoji{width:27%}.modal-body .inputs .branch{margin-top:10px}.modal-body .inputs .check-private{margin-top:10px}.modal-body .inputs .check-private label{padding-left:0}.modal-body .inputs .check-private label input{width:auto;margin:3px 0}.modal-body .inputs .check-private .public-key{margin-top:10px}.modal-body .inputs .check-private .public-key textarea{cursor:auto;height:150px}.permalinks .url,.permalinks .topic,.permalinks .category,.permalinks .external_url,.permalinks .post{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100px}@media screen and (max-width: 768px){.permalinks .url,.permalinks .topic,.permalinks .category,.permalinks .external_url,.permalinks .post{max-width:100%}}.permalinks.grid tr.admin-list-item{grid-template-columns:unset}.permalink-search{text-align:left}@media screen and (min-width: 768px){.permalink-search{text-align:right}}.permalink-form{align-items:flex-start;display:flex;flex-direction:column;flex-wrap:wrap}@media screen and (min-width: 768px){.permalink-form{align-items:center;flex-direction:row}}.permalink-form .select-kit{width:150px}.permalink-form input{margin:5px 0}@media screen and (min-width: 768px){.permalink-form input{margin:0 5px}}.permalink-title{margin-bottom:10px}.permalink-description{color:#919191}.embeddable-hosts{margin-bottom:2em}.embeddable-hosts table.grid{margin-bottom:1em}.embeddable-hosts table.grid tr td{word-wrap:break-word;max-width:25vw;align-self:start}.embeddable-hosts table.grid td.controls{min-width:6em}.embeddable-hosts table.grid .select-kit.combo-box.category-chooser{width:calc(100% - 10px)}@media screen and (max-width: 880px){.embeddable-hosts table.grid thead{display:none}.embeddable-hosts table.grid div.label{display:block;font-size:.8706em;color:#919191}.embeddable-hosts table.grid td.controls,.embeddable-hosts table.grid td.editing-controls{align-self:end}.embeddable-hosts table.grid tr{display:grid;grid-template-columns:repeat(3, 1fr)}}@media screen and (max-width: 580px){.embeddable-hosts table.grid tr td.editing-input{grid-column-start:1;grid-column-end:4;max-width:100%}.embeddable-hosts table.grid tr td.editing-input input{width:calc(100% - 20px)}.embeddable-hosts table.grid td.editing-controls{margin-top:1em;max-width:100%}}@media screen and (max-width: 350px){.embeddable-hosts table.grid tr{grid-template-columns:repeat(2, 1fr)}.embeddable-hosts table.grid tr td.controls{text-align:left}}.embedding-secondary{margin-bottom:2em}.embedding-secondary h3{margin:1em 0}.embedding-secondary .embed-setting{margin:0.75em 0}.embedding-secondary .embed-setting input[type="text"]{width:50%}.embedding-secondary p.description{color:#919191;margin-bottom:1em;max-width:700px}.embedding td input{margin-bottom:0}.user-fields h2{margin-bottom:10px}.user-fields .user-field{padding:10px;margin-bottom:10px;border-bottom:1px solid #e9e9e9}.user-fields .user-field .form-display{width:25%;display:inline-block;float:left}.user-fields .user-field .form-element,.user-fields .user-field .form-element-desc{float:left;min-height:30px;padding:0.25em 0}.user-fields .user-field .form-element.input-area,.user-fields .user-field .form-element-desc.input-area{width:75%}.user-fields .user-field .form-element.input-area .value-list,.user-fields .user-field .form-element.input-area .select-kit,.user-fields .user-field .form-element.input-area input[type="text"],.user-fields .user-field .form-element-desc.input-area .value-list,.user-fields .user-field .form-element-desc.input-area .select-kit,.user-fields .user-field .form-element-desc.input-area input[type="text"]{width:50%}.user-fields .user-field .form-element.input-area .value-list .select-kit,.user-fields .user-field .form-element-desc.input-area .value-list .select-kit{width:100%}.user-fields .user-field .form-element.label-area,.user-fields .user-field .form-element-desc.label-area{width:25%}.user-fields .user-field .form-element.label-area label,.user-fields .user-field .form-element-desc.label-area label{margin:0.5em 1em 0 0;text-align:right;font-weight:bold}.user-fields .user-field .controls{float:right;text-align:right}.user-fields .user-field .clearfix{clear:both}.reseed-modal .options-group-title{font-size:1.3195em;font-weight:bold;margin:8px 0}.reseed-modal .option{margin-left:1em}.robots-txt-edit div.overridden{background:#ffffa6;padding:7px;margin-bottom:7px}.robots-txt-edit .robots-txt-input{width:100%;box-sizing:border-box;height:55vh}.admin-customize-email-templates .email-template,.admin-customize-email-templates .controls{margin-top:1em}.admin-customize-email-templates .d-editor{height:50vh}.admin-customize-email-style .ace-wrapper{position:relative;width:100%;height:400px}.admin-customize-email-style .ace-wrapper .ace_editor{position:absolute;left:0;right:0;top:0;bottom:0}.install-theme{min-width:650px;display:flex}.install-theme-items{width:200px}.install-theme-item{border:1px solid #e9e9e9;border-bottom:none;position:relative}.install-theme-item:last-child{border-bottom:1px solid #e9e9e9}.install-theme-item input,.install-theme-item .d-icon-caret-right{display:none}.install-theme-item label{display:block;padding:10px 30px 10px 10px;margin-bottom:0px;cursor:pointer}.install-theme-item input:checked+label{color:#fff;background-color:#08c}.install-theme-item input:checked+label+.d-icon{display:block;color:#fff}.install-theme-item .d-icon-caret-right{position:absolute;right:5px;top:50%;margin-top:-7px}.install-theme-content{padding:0px 0px 10px 20px;width:calc(100% - 200px)}.repo input[type="text"]{width:90%}.popular-theme-items{height:65vh;overflow:auto;padding-right:20px}.popular-theme-item{border-bottom:1px solid #e9e9e9;padding:8px 0px;display:flex;align-items:center}.popular-theme-item .popular-theme-name{flex:1}.popular-theme-item .popular-theme-name .popular-theme-type{font-weight:normal;font-size:.7579em;color:#919191}.popular-theme-item .popular-theme-name a{color:#434343;font-weight:bold}.popular-theme-item .popular-theme-name a:hover,.popular-theme-item .popular-theme-name a:visited,.popular-theme-item .popular-theme-name a:active{color:#646464}.popular-theme-item .popular-theme-name .popular-theme-description{font-size:.8706em;padding-right:20px}.popular-theme-item .popular-theme-buttons>span{font-style:italic;font-size:.8706em;color:#919191;margin-right:8px}.popular-theme-item .popular-theme-buttons>a{display:block;font-size:.7579em;margin-top:5px;text-align:center}table.web-hooks.grid td.delivery-status div{display:flex;align-items:center}table.web-hooks.grid td.delivery-status .d-icon{margin-right:0.25em}table.web-hooks.grid td.payload-url{word-wrap:break-word;max-width:55vw}table.web-hooks.grid td.controls{display:flex}table.web-hooks.grid td.controls button{margin-left:0.25em}@media screen and (min-width: 550px){table.web-hooks.grid tbody tr{grid-template-columns:0.5fr repeat(2, 1fr) 0.5fr}table.web-hooks.grid tbody td.controls{text-align:right}}@media screen and (max-width: 550px){table.web-hooks.grid tbody tr{grid-template-columns:0.5fr 1fr}table.web-hooks.grid td.controls{grid-row:2}}@media screen and (max-width: 767px){table.web-hooks.grid tr{display:-ms-grid;-ms-grid-columns:0.5fr 1fr 1fr 0.5fr}table.web-hooks.grid tr td{display:-ms-grid}table.web-hooks.grid tr td.delivery-status{-ms-grid-row:1;-ms-grid-column:1}table.web-hooks.grid tr td.payload-url{-ms-grid-row:1;-ms-grid-column:2}table.web-hooks.grid tr td.description{-ms-grid-row:1;-ms-grid-column:3}table.web-hooks.grid tr td.controls{-ms-grid-row:1;-ms-grid-column:4}}table.api-keys{margin-bottom:0.25em}table.api-keys .key-controls{text-align:right}table.api-keys tr.revoked{color:#919191}@media screen and (max-width: 768px){table.api-keys tr{grid-template-columns:0.25fr 1fr 1fr}table.api-keys td.key{grid-row:1;grid-column-start:1;grid-column-end:1;max-width:100%}table.api-keys td.key-description{grid-row:1;grid-column-start:2;grid-column-end:-1;max-width:100%}table.api-keys td.key-user{grid-row:2;grid-column-start:1}table.api-keys td.key-controls{grid-row:2;grid-column-end:-1;grid-column-start:2;text-align:right}table.api-keys td.key-controls .btn{margin-bottom:0.25em}}@media screen and (max-width: 767px){table.api-keys tr{display:-ms-grid;-ms-grid-columns:0.25fr 1fr 1fr;-ms-grid-rows:auto auto}table.api-keys tr td{display:-ms-grid}table.api-keys tr td.key{-ms-grid-row:1;-ms-grid-column:1;-ms-grid-column-span:3}table.api-keys tr td.key-user{-ms-grid-row:2;-ms-grid-column:1}table.api-keys tr td.key-controls{-ms-grid-row:2;-ms-grid-column:2;-ms-grid-column-span:2;display:-ms-grid;-ms-grid-columns:125px 125px}table.api-keys tr td.key-controls button:first-of-type{-ms-grid-column:1}table.api-keys tr td.key-controls button:last-of-type{-ms-grid-column:2}}.admin-api-keys h2{margin-bottom:10px}.admin-api-keys .api-key{padding:10px;margin-bottom:10px;border-bottom:1px solid #e9e9e9}.admin-api-keys .api-key .form-element,.admin-api-keys .api-key .form-element-desc{float:left;padding:0.5em 0}.admin-api-keys .api-key .form-element.input-area,.admin-api-keys .api-key .form-element-desc.input-area{width:75%}.admin-api-keys .api-key .form-element.input-area .value-list,.admin-api-keys .api-key .form-element.input-area .select-kit,.admin-api-keys .api-key .form-element.input-area input[type="text"],.admin-api-keys .api-key .form-element-desc.input-area .value-list,.admin-api-keys .api-key .form-element-desc.input-area .select-kit,.admin-api-keys .api-key .form-element-desc.input-area input[type="text"]{width:50%;margin:0}.admin-api-keys .api-key .form-element.input-area .ac-wrap,.admin-api-keys .api-key .form-element-desc.input-area .ac-wrap{width:50% !important}.admin-api-keys .api-key .form-element.label-area,.admin-api-keys .api-key .form-element-desc.label-area{width:25%}.admin-api-keys .api-key .form-element.label-area label,.admin-api-keys .api-key .form-element-desc.label-area label{margin:0.5em 1em 0 0;text-align:right;font-weight:bold}.admin-api-keys .api-key .controls{float:right;text-align:left;width:50%}.web-hook-container .tip.good:empty{display:none}.web-hook-container input{max-width:calc(100% - 10px)}.web-hook-container .select-kit,.web-hook-container .select-kit.multi-select{width:100%;max-width:360px}.web-hook-container .event-selector{display:flex;flex-wrap:wrap;margin:0.5em 0}.web-hook-container .event-selector .hook-event{margin-bottom:0.5em}@media screen and (max-width: 550px){.web-hook-container .event-selector .hook-event{width:100%}}.web-hook-container>p{padding-bottom:10px;border-bottom:#e9e9e9 1px solid}.web-hook-container .filters{margin:5px 0;padding-bottom:5px;border-bottom:#e9e9e9 1px solid}.web-hook-container .filters .filter{margin-bottom:1em}.web-hook-container .filters label .d-icon{margin-right:0.25em}.web-hook-container .instructions{margin-top:5px}.web-hook-container .subscription-choice{margin-bottom:10px}.web-hook-direction button{margin-right:10px}.web-hook-events li{padding:2px 0}.web-hook-events .col{display:inline-block;padding-top:6px;vertical-align:top;overflow-y:auto;overflow-x:hidden}.web-hook-events .col.first{width:90px}.web-hook-events .col.event-id{width:90px}.web-hook-events .col.timestamp{width:180px}.web-hook-events .col.completion{width:250px}.web-hook-events .col.actions{width:455px;padding-top:0}.web-hook-events .col.actions a{text-decoration:underline}.web-hook-events .col.heading.actions{padding:4px 0}.web-hook-events .details{display:block;margin-top:10px}.web-hook-events label{font-size:1em}.web-hook-events.content-list{width:100%}.web-hook-events-listing{margin-top:15px}.web-hook-events-listing .alert{margin:15px 0 0 0}.hook-event{display:inline-block;width:40%;margin-left:20px}.hook-event label{display:inline-block}.hook-event p{margin:0 0 5px 25px}.btn-rollback{color:#fff;background:#3d9970}.btn-rollback .d-icon{color:#fff}.btn-rollback:hover{background:#2e7555}.btn-rollback:hover .d-icon{color:currentColor}.btn-rollback:active{background-color:#20503b;background-image:linear-gradient(to bottom, #20503b, #2e7555)}.btn-rollback[disabled]{background:#3d9970}@media screen and (min-width: 550px){.admin-backups table td.backup-filename{grid-column-start:1;grid-column-end:6}.admin-backups table td.backup-size{grid-column-end:-1;text-align:right}.admin-backups table td.backup-controls{margin-top:0.25em;grid-row:2;grid-column-start:1;grid-column-end:5;text-align:right}.admin-backups table td.backup-controls .btn{margin-top:0.25em}}@media screen and (max-width: 550px){.admin-backups table td.backup-filename{grid-column-start:1;grid-column-end:3}.admin-backups table td.backup-size{text-align:right}.admin-backups table td.backup-controls{grid-column-start:1;grid-column-end:4}}@media screen and (max-width: 768px){.admin-backups table td.backup-controls{text-align:left}}.admin-backups-logs{max-height:65vh;overflow:auto}button.ru{position:relative;min-width:110px}.ru-progress{position:absolute;top:0;left:0;height:100%;background:rgba(0,175,0,0.3)}.is-uploading:hover .ru-progress{background:rgba(200,0,0,0.3)}.start-backup-modal .btn{margin:10px 0 10px 5px}.start-backup-modal .btn:first-of-type{margin-left:10px}.backup-options{display:flex;align-items:center;flex-wrap:wrap}.backup-options .btn{margin-right:0.5em}.backup-options .backup-message{margin-left:auto}@media screen and (max-width: 550px){.backup-options .backup-message{margin:1.25em 0 0}}.admin-contents.admin-plugins .controls .settings-button{margin-left:auto}@media screen and (min-width: 550px){.admin-contents.admin-plugins .grid tr{grid-template-columns:0.25fr repeat(4, 1fr)}}@media screen and (max-width: 550px){.admin-contents.admin-plugins .grid tr{grid-template-columns:0.25fr repeat(3, 1fr)}.admin-contents.admin-plugins .grid td.plugin-name{grid-column-start:2;grid-column-end:-1}.admin-contents.admin-plugins .grid td.settings{grid-row:2;grid-column-start:4;text-align:right}.admin-contents.admin-plugins .grid td.settings button{display:flex}.admin-contents.admin-plugins .grid td.version{grid-row:2;grid-column-start:3}.admin-contents.admin-plugins .grid td.col-enabled{grid-row:2;grid-column-start:2}}.admin-plugins-official-badge{color:#090}.admin-reports .admin-report{width:100%}.admin-reports .admin-report .report-header{padding-bottom:0.5em;margin-bottom:1em;border-bottom:1px solid #e9e9e9}.admin-reports .admin-report-chart .chart-canvas-container .chart-canvas{height:400px}.admin-reports .report-container{display:flex}.admin-reports .report-container .loading-container{width:100%}.admin-reports .report-container .visualization{display:flex;flex:4}.admin-reports .report-container .filters{display:flex;flex:1 0 0px;align-items:center;flex-direction:column;margin-left:2em}.admin-reports .report-container .filters .date-picker{margin:0;width:195px}.admin-reports .report-container .filters .combo-box,.admin-reports .report-container .filters .date-picker-wrapper,.admin-reports .report-container .filters .btn{width:100%;margin-bottom:1em}@media screen and (max-width: 850px){.admin-reports .report-container{flex-direction:column;min-width:100%}.admin-reports .report-container .visualization{order:2}.admin-reports .report-container .filters{order:1;margin:0;align-items:flex-start}}.admin-report .conditional-loading-section.is-loading{margin:0}.admin-report .header{display:flex;align-items:center;border-bottom:1px solid #e9e9e9;margin-bottom:0.5em;padding-bottom:0.5em}.admin-report .header .breadcrumb{margin:0;list-style:none}.admin-report .header .breadcrumb .item{display:inline;font-size:1.1487em}.admin-report .header .breadcrumb .all-reports .report-url{font-weight:700}.admin-report .header .breadcrumb .report{font-weight:700}.admin-report .header .breadcrumb .report .report-url{color:#222}.admin-report .header .breadcrumb .report .info{cursor:pointer;margin-left:0.25em;color:#bdbdbd}.admin-report .header .breadcrumb .report .info:hover{color:#919191}.admin-report .header .trend{margin-left:auto;margin-right:8px}.admin-report .header .trend.trending-down,.admin-report .header .trend.high-trending-down{color:#e45735}.admin-report .header .trend.trending-up,.admin-report .header .trend.high-trending-up{color:#090}.admin-report .header .trend.no-change{color:#919191}.admin-report .header .trend.no-change .d-icon{display:none}.admin-report .header .trend .value{font-size:1.1487em}.admin-report .header .trend .icon{font-size:1.1487em;font-weight:700}.admin-report .body{display:flex}.admin-report .main{flex:1}.admin-report .main .report-alert{margin:0;text-align:center;padding:3em;border:1px solid transparent}.admin-report .main .report-alert a{color:#919191}.admin-report .main .report-alert .d-icon{color:currentColor;font-size:2em;display:block;margin:0.25em auto}.admin-report .main .report-alert.no-data,.admin-report .main .report-alert.rate-limited{background:#fff;border-color:#e9e9e9;color:#bdbdbd}.admin-report .main .report-alert.rate-limited .d-icon{color:#e45735}.admin-report .main .report-alert.timeout,.admin-report .main .report-alert.exception{border-color:#fbe6e1;color:#e45735}.admin-report .filters{display:flex;margin-left:1em;flex-direction:column;width:220px}.admin-report .filters .modes{margin:0 0 1em 0;padding:0;list-style:none}.admin-report .filters .modes .mode{display:inline-flex;flex:1 0 0px}.admin-report .filters .modes .mode .mode-btn.is-current{color:#08c}.admin-report .filters .control{margin-bottom:1em}.admin-report .filters .control .label{font-weight:700;width:100%}.admin-report .filters .control .input,.admin-report .filters .control .select-kit{width:100%}.admin-report .filters .control .input .export-csv-btn,.admin-report .filters .control .select-kit .export-csv-btn{width:100%}.admin-report .filters .control .input .refresh-report-btn,.admin-report .filters .control .select-kit .refresh-report-btn{width:100%}.admin-report .filters .control .input .date-picker-wrapper,.admin-report .filters .control .select-kit .date-picker-wrapper{width:100%}.admin-report .filters .control .input .date-picker-wrapper .date-picker,.admin-report .filters .control .select-kit .date-picker-wrapper .date-picker{box-sizing:border-box;width:100%;margin:0}.rtl .admin-report .filters{margin-left:0;margin-right:1em}.rtl .admin-report .trend{margin-left:unset;margin-right:auto}.admin-report.storage-stats .main{flex:1 0 auto}.admin-report .admin-report-counters{display:grid;flex:1 0 0px;grid-template-columns:33% repeat(auto-fit, minmax(20px, 1fr));grid-template-rows:repeat(auto-fit, minmax(32px, 1fr));align-items:center;display:-ms-grid;-ms-grid-columns:2fr 1fr 1fr 1fr 1fr}.admin-report .admin-report-counters .cell{-ms-grid-row:1;-ms-grid-column-span:1}.admin-report .admin-report-counters .cell:nth-of-type(1){-ms-grid-column:1}.admin-report .admin-report-counters .cell:nth-of-type(2){-ms-grid-column:2}.admin-report .admin-report-counters .cell:nth-of-type(3){-ms-grid-column:3}.admin-report .admin-report-counters .cell:nth-of-type(4){-ms-grid-column:4}.admin-report .admin-report-counters .cell:nth-of-type(5){-ms-grid-column:5}.admin-report .admin-report-counters .cell{padding:0.25em;text-align:right;white-space:nowrap}.admin-report .admin-report-counters .cell.title{text-align:left;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.admin-report .admin-report-counters .cell.title .d-icon{color:#bdbdbd;min-width:14px;text-align:center}.admin-report .admin-report-counters .cell.title .d-icon{margin:0}@media screen and (max-width: 400px){.admin-report .admin-report-counters .cell.title .d-icon{display:none}}.admin-report .admin-report-counters .cell .d-icon-minus{color:#919191;font-size:.6599em}.admin-report .admin-report-counters .cell.high-trending-up .d-icon,.admin-report .admin-report-counters .cell.trending-up .d-icon{color:#090}.admin-report .admin-report-counters .cell.high-trending-down .d-icon,.admin-report .admin-report-counters .cell.trending-down .d-icon{color:#e45735}.rtl .counters-list .counters-header .counters-cell{text-align:left}.rtl .counters-list .cell{text-align:left}.rtl .counters-list .cell.title{text-align:right}.admin-report-stacked-chart .chart-canvas-container{height:250px}.admin-report-table.two-columns .table .admin-report-table-cell:first-child,.admin-report-table.two-columns .table .admin-report-table-header:first-child{overflow:hidden;white-space:nowrap;text-overflow:ellipsis;text-align:left;width:80%}.admin-report-table.two-columns .table .admin-report-table-cell:last-child,.admin-report-table.two-columns .table .admin-report-table-header:last-child{display:inline-block;width:80%;text-align:right}.admin-report-table .table{margin:0;border:1px solid #e9e9e9;table-layout:fixed}.admin-report-table .table tbody{border-top:0}.admin-report-table .table .admin-report-table-header .sort-btn{outline:none;background:none;padding:3px 8px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.admin-report-table .table .admin-report-table-header.is-current-sort .d-icon{color:#08c}.admin-report-table .table .admin-report-table-header.is-current-sort .sort-btn:hover{color:#919191;background:#e9e9e9}.admin-report-table .table .admin-report-table-header:not(.is-current-sort) .sort-btn{background:none}.admin-report-table .table .admin-report-table-header:not(.is-current-sort) .sort-btn:hover{color:#919191;background:#e9e9e9}.admin-report-table .table .admin-report-table-header:not(.is-current-sort) .sort-btn:hover .d-icon{color:#919191}.admin-report-table .admin-report-table-cell.user .username{margin-left:0.25em}.admin-report-table .total-row{background:#f8f8f8}.admin-report-table .total-row td{font-weight:700;text-align:left}.admin-report-table .pagination{display:flex;justify-content:flex-end;margin-top:0.25em}.admin-report-table .pagination button{margin-left:0.5em}.admin-report-table .pagination button.is-current{color:#08c}.admin-report.top-referred-topics .admin-report-table-header.topic_title{width:80%}.admin-report.trending-search .admin-report-table-header.ctr,.admin-report.trending-search .admin-report-table-header.unique_searches,.admin-report.trending-search .admin-report-table-cell.ctr,.admin-report.trending-search .admin-report-table-cell.unique_searches{text-align:center;width:20%}.admin-report.trending-search .admin-report-table-cell.term{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.admin-report.moderators-activity .admin-report-table-header.seconds,.admin-report.moderators-activity .admin-report-table-header.number,.admin-report.moderators-activity .admin-report-table-cell.seconds,.admin-report.moderators-activity .admin-report-table-cell.number{text-align:center}.admin-report.moderators-activity .admin-report-table-header.user{width:20%}.admin-report.post-edits .admin-report-table-header.user{width:20%}.admin-report.post-edits .admin-report-table-cell.post,.admin-report.post-edits .admin-report-table-cell.edit_reason{overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.admin-report.flags-status .admin-report-table-header.response_time,.admin-report.flags-status .admin-report-table-cell.response_time{text-align:center}.rtl .admin-report-table.two-columns .table .admin-report-table-cell:first-child,.rtl .admin-report-table.two-columns .table .admin-report-table-header:first-child{text-align:right}.rtl .admin-report-table.two-columns .table .admin-report-table-cell:last-child,.rtl .admin-report-table.two-columns .table .admin-report-table-header:last-child{text-align:left}.rtl .admin-report-table .total-row td{text-align:right}.rtl .admin-report-table-cell.user .username{margin-left:0;margin-right:0.25em}.rtl .admin-report.trending-search .admin-report-table-header.term,.rtl .admin-report.trending-search .admin-report-table-cell.term{text-align:right}.rtl .pagination button{margin-left:0;margin-right:0.5em}.rtl .admin-report.moderators-activity .admin-report-table-header.user,.rtl .admin-report.moderators-activity .admin-report-table-cell.user{text-align:right}.admin-report-inline-table .table-container{display:flex;flex-wrap:wrap;flex:1 1 auto}.admin-intro{display:inline-block;width:51%;vertical-align:top;margin-left:20%;margin-top:60px}.admin-intro img{display:inline-block;width:50px;height:50px;margin-right:10px;vertical-align:top;margin-top:5px}.admin-intro .create-actions{margin-bottom:1em}.admin-intro .content-wrapper{display:inline-block;vertical-align:top;width:65%}.admin-intro .content-wrapper h1{display:inline-block;line-height:1.2}.admin-intro .external-link{display:block;margin-bottom:5px}@media screen and (max-width: 550px){.admin-intro{width:100%;margin:2em 0}.admin-intro .content-wrapper{width:100%}.admin-intro img{display:none}}\n\n/*# sourceMappingURL=admin_8dd8907530e55eba0dabcfa8beb165c07e36c1d3.css.map */	2019-12-05 04:06:39.490379	2019-12-05 04:06:39.490379	-1	{\n\t"version": 3,\n\t"file": "admin.css",\n\t"sources": [\n\t\t"admin.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_base.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/foundation/helpers.scss",\n\t\t"app/assets/stylesheets/common/admin/dashboard.scss",\n\t\t"app/assets/stylesheets/common/admin/settings.scss",\n\t\t"app/assets/stylesheets/common/admin/users.scss",\n\t\t"app/assets/stylesheets/common/admin/suspend.scss",\n\t\t"app/assets/stylesheets/common/admin/badges.scss",\n\t\t"app/assets/stylesheets/common/admin/emails.scss",\n\t\t"app/assets/stylesheets/common/admin/staff_logs.scss",\n\t\t"app/assets/stylesheets/common/admin/customize.scss",\n\t\t"app/assets/stylesheets/common/admin/customize-install-theme.scss",\n\t\t"app/assets/stylesheets/common/admin/api.scss",\n\t\t"app/assets/stylesheets/common/admin/backups.scss",\n\t\t"app/assets/stylesheets/common/admin/plugins.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_reports.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report_counters.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report_chart.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report_stacked_chart.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report_table.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_report_inline_table.scss",\n\t\t"app/assets/stylesheets/common/admin/admin_intro.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/admin/admin_base\\";\\n",\n\t\t"// Styles for /admin section\\n\\n@import \\"common/foundation/variables\\";\\n@import \\"common/foundation/mixins\\";\\n@import \\"common/foundation/helpers\\";\\n\\n$mobile-breakpoint: 700px;\\n\\n// Common admin styles\\n\\n.admin-main-nav {\\n  display: inline-flex;\\n  position: relative;\\n  width: 100%;\\n  height: auto;\\n  overflow: hidden;\\n  height: 100%;\\n  .mobile-view & {\\n    margin-top: 10px;\\n  }\\n  @include breakpoint(tablet) {\\n    width: calc(100% + 10px);\\n    margin-left: -10px;\\n    padding: 0 0 0 10px;\\n  }\\n\\n  .nav-pills {\\n    display: inline-flex;\\n    flex-wrap: wrap;\\n    width: calc(100% - 10px);\\n    flex: 1 0 auto;\\n    @include breakpoint(tablet) {\\n      white-space: nowrap;\\n      flex-wrap: nowrap;\\n      overflow-x: scroll;\\n      -webkit-overflow-scrolling: touch;\\n      margin: 0 0 0 -10px;\\n      padding: 0 10px 10px 10px;\\n    }\\n    &:before {\\n      display: none;\\n    }\\n    > li {\\n      margin: 0;\\n      &:last-of-type {\\n        > a {\\n          margin-right: 25px;\\n        }\\n      }\\n    }\\n  }\\n  @include breakpoint(tablet) {\\n    // Fade-out for horizontal scroll nav\\n    &:before {\\n      content: \\"\\";\\n      position: absolute;\\n      width: 10px;\\n      margin-left: -10px;\\n      height: 100%;\\n      background: linear-gradient(\\n        to right,\\n        rgba($secondary, 1) 0%,\\n        rgba($secondary, 0) 100%\\n      );\\n    }\\n    &:after {\\n      content: \\"\\";\\n      position: absolute;\\n      right: 0px;\\n      width: 30px;\\n      height: 100%;\\n      background: linear-gradient(\\n        to right,\\n        rgba($secondary, 0) 0%,\\n        rgba($secondary, 1) 100%\\n      );\\n    }\\n  }\\n}\\n\\n.nav-stacked {\\n  @media screen and (max-width: 700px) {\\n    margin: 0 10px 0 -10px;\\n  }\\n}\\n\\n.admin-contents {\\n  position: relative;\\n}\\n\\n.admin-contents table {\\n  width: 100%;\\n  margin-top: 10px;\\n\\n  tr {\\n    text-align: left;\\n  }\\n  td,\\n  th {\\n    padding: 8px;\\n  }\\n  tr:hover {\\n    background-color: $primary-very-low;\\n  }\\n  tr.selected {\\n    background-color: $primary-low;\\n  }\\n  .filters input {\\n    margin-bottom: 0;\\n  }\\n  .label {\\n    display: none;\\n  }\\n\\n  @media screen and (max-width: 970px) and (min-width: 768px) {\\n    td,\\n    th {\\n      padding: 6px 4px;\\n    }\\n    th {\\n      vertical-align: bottom;\\n    }\\n    th.sortable {\\n      max-width: 100px;\\n    }\\n  }\\n}\\n\\n.admin-contents table.grid {\\n  // Table switches to grid for narrow screens\\n  @media screen and (max-width: 767px) {\\n    thead {\\n      display: none;\\n    }\\n    .label {\\n      display: block;\\n      color: $primary-medium;\\n      font-size: $font-down-1;\\n      margin: 0.5em 0 0.15em 0;\\n    }\\n    tr {\\n      grid-template-columns: repeat(3, 1fr);\\n      display: grid;\\n      line-height: $line-height-medium;\\n      padding: 8px 0;\\n      min-width: 0;\\n      td {\\n        padding: 2px;\\n        align-self: center;\\n      }\\n    }\\n\\n    tr.flagged-topic {\\n      grid-template-columns: 0.25fr 1fr 1fr;\\n      td.topic-title {\\n        grid-column-start: 2;\\n        grid-column-end: -2;\\n        min-width: 0;\\n        align-self: start;\\n      }\\n      td.last-flagged {\\n        grid-row: 1;\\n        grid-column-end: -1;\\n        text-align: right;\\n        align-self: start;\\n      }\\n      td.flag-details {\\n        grid-row: 2;\\n        grid-column-end: -1;\\n        text-align: right;\\n      }\\n      td.flagged-topic-users {\\n        grid-row: 1;\\n        grid-column-start: 1;\\n        max-width: 60px;\\n        align-self: start;\\n        a {\\n          display: inline-block;\\n          margin: 0 0.25em 0.25em 0;\\n        }\\n      }\\n      td.flag-counts {\\n        grid-row: 2;\\n        grid-column-start: 2;\\n      }\\n    }\\n  }\\n\\n  @media screen and (min-width: 550px) {\\n    tr {\\n      grid-template-columns: repeat(6, 1fr);\\n    }\\n  }\\n}\\n\\n.site-texts {\\n  .search-area {\\n    margin-bottom: 2em;\\n    p {\\n      margin-top: 0;\\n    }\\n    .site-text-search {\\n      padding: 0.5em;\\n      font-size: $font-0;\\n      width: 50%;\\n    }\\n    .reseed {\\n      float: right;\\n    }\\n  }\\n  .text-highlight {\\n    font-weight: bold;\\n  }\\n  .site-text {\\n    cursor: pointer;\\n    border-bottom: 1px solid $primary-low;\\n    margin-bottom: 0.5em;\\n    &.overridden {\\n      background-color: $highlight-medium;\\n    }\\n    h3 {\\n      font-weight: normal;\\n      font-size: $font-0;\\n      @include breakpoint(mobile-extra-large) {\\n        word-wrap: break-word;\\n      }\\n    }\\n    button.edit {\\n      float: right;\\n    }\\n    .site-text-value {\\n      margin: 0.5em 5em 0.5em 0;\\n      @include breakpoint(medium, min-width) {\\n        max-height: 100px;\\n      }\\n      @include breakpoint(mobile-extra-large) {\\n        word-wrap: break-word;\\n      }\\n      color: $primary-medium;\\n    }\\n  }\\n  .edit-site-text {\\n    textarea {\\n      width: 100%;\\n      max-width: 800px;\\n    }\\n    .save-messages,\\n    .title {\\n      margin-bottom: 1em;\\n    }\\n    @include breakpoint(mobile-extra-large) {\\n      .title {\\n        word-wrap: break-word;\\n      }\\n    }\\n    .go-back {\\n      margin-top: 1em;\\n    }\\n  }\\n  p.warning {\\n    color: $danger;\\n  }\\n}\\n\\n.content-list {\\n  width: 27%;\\n  float: left;\\n  li a span.count {\\n    font-size: $font-down-1;\\n    float: right;\\n    margin-right: 10px;\\n    background-color: $primary-low;\\n    padding: 2px 5px;\\n    border-radius: 5px;\\n    color: $primary;\\n  }\\n}\\n\\n.content-body {\\n  float: left;\\n  width: 60%;\\n}\\n\\n.admin-content {\\n  margin-bottom: 50px;\\n  .admin-contents {\\n    padding: 0 0 8px 0;\\n    @include clearfix();\\n  }\\n  .view-options {\\n    float: right;\\n  }\\n  table.report {\\n    margin-top: 20px;\\n    tr {\\n      th:nth-of-type(1) {\\n        width: 20%;\\n      }\\n    }\\n\\n    tr.total-for-period,\\n    tr.total {\\n      td {\\n        font-weight: 700;\\n      }\\n    }\\n\\n    &.web_crawlers {\\n      tr {\\n        th:nth-of-type(1) {\\n          width: 60%;\\n        }\\n      }\\n      td.x-value {\\n        max-width: 0;\\n        @include ellipsis;\\n      }\\n    }\\n    .bar-container {\\n      float: left;\\n      width: 300px;\\n      margin-right: 15px;\\n      margin-bottom: 5px;\\n      display: inline-block;\\n      .bar {\\n        margin-top: 5px;\\n        background-color: $tertiary;\\n        display: inline-block;\\n        text-align: right;\\n        padding-right: 8px;\\n        color: $secondary;\\n      }\\n    }\\n  }\\n}\\n\\n.full-reason {\\n  white-space: pre-wrap;\\n}\\n\\n.admin-users .users-list {\\n  .username .d-icon {\\n    color: $primary-medium;\\n  }\\n}\\n\\n.ip-lookup {\\n  position: relative;\\n  display: inline-block;\\n  .location-box {\\n    position: absolute;\\n    width: 460px;\\n    right: 0;\\n    z-index: z(\\"dropdown\\");\\n    box-shadow: shadow(\\"card\\");\\n    margin-top: -2px;\\n    background-color: $secondary;\\n    padding: 12px 12px 5px;\\n    .powered-by {\\n      font-size: $font-down-1;\\n      position: absolute;\\n      bottom: -10px;\\n      left: 10px;\\n    }\\n    .other-accounts {\\n      margin: 5px 0 0;\\n      max-height: 200px;\\n      overflow: auto;\\n      width: 455px;\\n      ul {\\n        margin: 0;\\n      }\\n      li {\\n        list-style: none;\\n      }\\n      tr td:first-of-type {\\n        width: 130px;\\n      }\\n    }\\n  }\\n}\\n\\n.admin-container {\\n  margin-top: 10px;\\n\\n  .username {\\n    input {\\n      min-width: 15em;\\n      @media screen and (max-width: 500px) {\\n        box-sizing: border-box;\\n        width: 100%;\\n      }\\n    }\\n  }\\n  .select-kit {\\n    width: 350px;\\n  }\\n  .select-kit.multi-select {\\n    width: 500px;\\n  }\\n  .select-kit.dropdown-select-box {\\n    width: auto;\\n  }\\n  .search-logs-filter {\\n    margin-left: auto;\\n    @media screen and (max-width: 700px) {\\n      flex: 1 1 100%;\\n      margin-left: 0;\\n    }\\n  }\\n\\n  .header-search-results {\\n    clear: both;\\n    padding: 4px;\\n  }\\n  @include breakpoint(tablet) {\\n    .select-kit.period-chooser\\n      .period-chooser-header\\n      h2.selected-name\\n      .top-date-string {\\n      font-size: $font-down-3;\\n    }\\n  }\\n  .controls {\\n    @include clearfix;\\n    .save-messages {\\n      margin-top: 1em;\\n    }\\n  }\\n}\\n\\n.admin-title {\\n  display: flex;\\n  flex-wrap: wrap;\\n  align-items: flex-start;\\n  .show-emails,\\n  .hide-emails {\\n    margin-left: auto;\\n  }\\n}\\n\\n.admin-controls {\\n  display: flex;\\n  background-color: $primary-low;\\n  align-items: center;\\n\\n  .admin-actions {\\n    margin-left: auto;\\n  }\\n  nav {\\n    background-color: $primary-low;\\n    width: 100%;\\n  }\\n  nav {\\n    display: inline-flex;\\n    position: relative;\\n    flex: 1 0 0px;\\n    height: auto;\\n    overflow: hidden;\\n    padding: 0;\\n    height: 100%;\\n    @include breakpoint(tablet) {\\n      width: calc(100% + 10px);\\n      padding-left: 10px;\\n      margin-left: -10px;\\n      margin-right: -10px;\\n    }\\n\\n    &:before {\\n      // Fade out sides of horizontal nav\\n      content: \\"\\";\\n      position: absolute;\\n      width: 10px;\\n      left: 0;\\n      height: calc(100% - 5px);\\n      background: linear-gradient(\\n        to right,\\n        rgba($primary-low, 1) 0%,\\n        rgba($primary-low, 0) 100%\\n      );\\n    }\\n\\n    &:after {\\n      content: \\"\\";\\n      position: absolute;\\n      right: 0px;\\n      width: 15px;\\n      height: calc(100% - 5px);\\n      background: linear-gradient(\\n        to right,\\n        rgba($primary-low, 0) 0%,\\n        rgba($primary-low, 1) 100%\\n      );\\n    }\\n  }\\n\\n  .nav-pills {\\n    width: calc(100% - 10px);\\n    display: inline-flex;\\n    padding: 10px;\\n    margin: 0;\\n    white-space: nowrap;\\n    overflow-x: auto;\\n    @include breakpoint(tablet) {\\n      margin-left: -10px;\\n      overflow-x: scroll;\\n      -webkit-overflow-scrolling: touch;\\n    }\\n\\n    &:before {\\n      display: none;\\n    }\\n    > li {\\n      margin: 0;\\n      a.active {\\n        background: $primary-medium;\\n      }\\n      &:last-of-type {\\n        > a {\\n          margin-right: 25px;\\n        }\\n      }\\n    }\\n  }\\n  h1 {\\n    font-size: $font-up-3;\\n    line-height: $line-height-medium;\\n    color: $primary;\\n  }\\n  .controls {\\n    background: $primary-low;\\n    width: 100%;\\n    padding: 10px;\\n    display: flex;\\n    align-items: center;\\n    @include breakpoint(mobile-extra-large) {\\n      margin: 0 -10px;\\n    }\\n    label {\\n      margin-bottom: 0;\\n    }\\n    input {\\n      margin-right: 5px;\\n      margin-bottom: 0;\\n      @include breakpoint(tablet) {\\n        max-width: 150px;\\n      }\\n    }\\n    &.search {\\n      width: auto;\\n      white-space: nowrap;\\n      label {\\n        flex: 1 1 250px;\\n        display: flex;\\n        align-items: center;\\n        input {\\n          margin-right: 0.5em;\\n        }\\n      }\\n    }\\n  }\\n  .controls .menu-toggle {\\n    display: none;\\n    float: left;\\n    padding: 5px 10px;\\n    margin-right: 15px;\\n    border: 1px solid $primary-medium;\\n    border-radius: 3px;\\n    background: transparent;\\n    color: $primary;\\n    &:hover {\\n      background-color: $primary-low-mid;\\n    }\\n    @media (max-width: $mobile-breakpoint) {\\n      display: inline-block;\\n    }\\n  }\\n  button {\\n    margin-right: 5px;\\n  }\\n  input[type=\\"text\\"] {\\n    display: inline-block;\\n    float: left;\\n  }\\n  .result-message {\\n    display: inline-block;\\n    padding-left: 10px;\\n  }\\n  .username {\\n    input[type=\\"text\\"] {\\n      width: 240px;\\n    }\\n  }\\n  .search {\\n    label {\\n      margin-top: 5px;\\n    }\\n    .controls {\\n      margin-left: 0;\\n    } // Hide the search checkbox for very small screens\\n    // Todo: find somewhere to display it - probably requires switching its order in the html\\n    @media (max-width: 550px) {\\n      display: none;\\n    }\\n  }\\n  .toggle {\\n    span {\\n      font-weight: bold;\\n    }\\n  }\\n  label {\\n    display: inline-block;\\n    margin-right: 5px;\\n  }\\n  .pull-right {\\n    padding-right: 10px;\\n  }\\n}\\n\\n.paste-users {\\n  width: 400px;\\n  height: 150px;\\n}\\n\\n.groups,\\n.badges,\\n.web-hook-container {\\n  .form-horizontal {\\n    & > div {\\n      margin-bottom: 20px;\\n    }\\n    .d-editor-textarea-wrapper {\\n      max-width: 60%;\\n      .d-editor-button-bar {\\n        overflow: hidden;\\n      }\\n    }\\n    input,\\n    textarea,\\n    select,\\n    .select-box {\\n      width: 350px;\\n    }\\n    input[type=\\"checkbox\\"],\\n    input[type=\\"radio\\"] {\\n      width: 20px;\\n    }\\n  }\\n}\\n\\n.text-successful {\\n  color: $success;\\n}\\n\\n.text-danger {\\n  color: $danger;\\n}\\n\\n.text-muted {\\n  color: $primary-medium;\\n}\\n\\n.admin-nav {\\n  width: 18.018%;\\n  position: relative; // The admin-nav becomes a slide-out menu at the mobile-nav breakpoint\\n  @media (max-width: $mobile-breakpoint) {\\n    position: absolute;\\n    z-index: z(\\"base\\") - 1;\\n    width: 250px;\\n  }\\n  @media (max-width: 500px) {\\n    width: 50%;\\n  }\\n}\\n\\n.admin-detail {\\n  width: 76.5765%;\\n  @media (max-width: $mobile-breakpoint) {\\n    z-index: z(\\"base\\");\\n    width: 100%;\\n  }\\n\\n  background-color: $secondary; // Todo: set this properly - it needs to be >= the menu height\\n  min-height: 875px;\\n  margin-left: 0;\\n  border-left: solid 1px $primary-low;\\n  padding: 30px 0 30px 30px;\\n  @media (max-width: $mobile-breakpoint) {\\n    padding: 30px 0;\\n    border: none;\\n  }\\n}\\n\\n.admin-detail.mobile-open {\\n  @media (max-width: $mobile-breakpoint) {\\n    transition: transform 0.3s ease;\\n    @include transform(translateX(250px));\\n  }\\n  @media (max-width: 500px) {\\n    transition: transform 0.3s ease;\\n    @include transform(translateX(50%));\\n  }\\n}\\n\\n.admin-detail.mobile-closed {\\n  @media (max-width: $mobile-breakpoint) {\\n    transition: transform 0.3s ease;\\n    @include transform(translateX(0));\\n    margin-left: -10px;\\n    padding-left: 10px;\\n  }\\n}\\n\\nsection.details {\\n  h1 {\\n    font-size: $font-up-3;\\n    color: $primary;\\n    padding: 5px 10px;\\n    margin: 30px 0 5px 0;\\n    border-bottom: 5px solid $primary-low;\\n  }\\n}\\n\\n.user-controls {\\n  padding: 5px;\\n  clear: both;\\n  text-align: right;\\n  .btn {\\n    line-height: $line-height-medium;\\n  }\\n  @media (max-width: $mobile-breakpoint) {\\n    .btn {\\n      margin: 2px;\\n    }\\n  }\\n}\\n\\n.row.groups {\\n  input[type=\\"text\\"] {\\n    width: 500px;\\n  }\\n  input#group-users {\\n    width: 600px;\\n  }\\n}\\n\\n// Ember.ListView\\n.ember-list-view {\\n  overflow-y: auto;\\n  overflow-x: hidden;\\n  position: relative;\\n}\\n\\n.ember-list-item-view {\\n  position: absolute;\\n}\\n\\n.tl3-requirements {\\n  .d-icon-check {\\n    color: $success;\\n  }\\n  .d-icon-times {\\n    color: $danger;\\n  }\\n}\\n\\n@media all and (min-width: 320px) and (max-width: 500px) {\\n  .full-width {\\n    margin: 0;\\n  }\\n  .site-settings-nav {\\n    width: 100%;\\n  }\\n  .site-settings-detail {\\n    width: 100%;\\n    padding: 0;\\n    border: none;\\n    .settings .setting {\\n      .setting-label {\\n        float: left;\\n        width: 100%;\\n        h3 {\\n          margin-bottom: 5px;\\n          font-weight: bold;\\n          margin-top: 25px;\\n        }\\n      }\\n      .setting-value {\\n        width: 100%;\\n      }\\n    }\\n  }\\n  .content-editor {\\n    width: 100%;\\n  }\\n  div.ac-wrap {\\n    width: 100% !important;\\n    box-sizing: border-box;\\n  }\\n\\n  .dashboard-left,\\n  .dashboard-right {\\n    width: 100%;\\n  }\\n  .dashboard-stats {\\n    margin: 0;\\n  }\\n  .badges {\\n    .current-badge {\\n      margin: 70px 0 0 0;\\n    }\\n    .current-badge-actions {\\n      padding: 0;\\n    }\\n  }\\n  .customize .content-list,\\n  .customize .current-style {\\n    width: 100%;\\n  }\\n}\\n\\ntr.not-activated {\\n  td,\\n  td a,\\n  td a:visited {\\n    color: #bbb;\\n  }\\n}\\n\\n.details.not-activated {\\n  .username .value,\\n  .email .value a,\\n  .email .value a:visited {\\n    color: #bbb;\\n  }\\n}\\n\\n.preview {\\n  margin-top: 5px;\\n}\\n\\ntable#user-badges {\\n  .reason {\\n    max-width: 200px;\\n  }\\n}\\n\\n@mixin value-btn {\\n  width: 29px;\\n  border: 1px solid $primary-low;\\n  outline: none;\\n  padding: 0;\\n\\n  &:focus {\\n    border-color: $tertiary;\\n  }\\n}\\n\\n.value-list {\\n  .value {\\n    padding: 0.125em 0;\\n    @include ellipsis;\\n    display: flex;\\n\\n    &:last-child {\\n      border-bottom: none;\\n    }\\n\\n    .value-input {\\n      box-sizing: border-box;\\n      flex: 1 0 0px;\\n      border-color: $primary-low;\\n      cursor: pointer;\\n      margin: 0;\\n\\n      &:focus {\\n        border-color: $tertiary;\\n        box-shadow: none;\\n      }\\n    }\\n\\n    .remove-value-btn {\\n      @include value-btn;\\n      margin-right: 0.25em;\\n    }\\n  }\\n  .values {\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.secret-value-list {\\n  .value {\\n    flex-flow: row wrap;\\n    margin-left: -0.25em;\\n    margin-top: -0.125em;\\n    .new-value-input {\\n      flex: 1 0 0px;\\n    }\\n    .value-input,\\n    .new-value-input {\\n      margin-top: 0.125em;\\n      &:last-of-type {\\n        margin-left: 0.25em;\\n      }\\n    }\\n    .remove-value-btn {\\n      margin-left: 0.25em;\\n      margin-top: 0.125em;\\n    }\\n    .add-value-btn {\\n      @include value-btn;\\n      margin-left: 0.25em;\\n      margin-top: 0.125em;\\n    }\\n    .new-value-input {\\n      margin-left: 0.25em;\\n    }\\n  }\\n}\\n\\n.mobile-view .secret-value-list {\\n  .add-value-btn {\\n    margin-bottom: 9px;\\n  }\\n  .value {\\n    .value-input:last-of-type {\\n      margin-left: 2.35em;\\n    }\\n    .new-value-input:first-of-type {\\n      margin-right: 2.15em;\\n      margin-left: 0.25em;\\n    }\\n  }\\n}\\n\\n// Mobile view text-inputs need some padding\\n.mobile-view .admin-contents {\\n  input[type=\\"text\\"] {\\n    padding: 4px;\\n  }\\n}\\n\\n.mobile-view .full-width {\\n  margin: 0;\\n}\\n\\n// Mobile specific style for Admin IP Lookup box\\n.mobile-view .admin-contents .ip-lookup .location-box {\\n  width: 300px;\\n  left: -100%;\\n}\\n\\n.inline-edit label {\\n  display: inline-block;\\n  margin-right: 20px;\\n}\\n\\n// Styles for subtabs in admin\\n@import \\"common/admin/dashboard\\";\\n@import \\"common/admin/settings\\";\\n@import \\"common/admin/users\\";\\n@import \\"common/admin/suspend\\";\\n@import \\"common/admin/badges\\";\\n@import \\"common/admin/emails\\";\\n@import \\"common/admin/staff_logs\\";\\n@import \\"common/admin/customize\\";\\n@import \\"common/admin/customize-install-theme\\";\\n@import \\"common/admin/api\\";\\n@import \\"common/admin/backups\\";\\n@import \\"common/admin/plugins\\";\\n@import \\"common/admin/admin_reports\\";\\n@import \\"common/admin/admin_report\\";\\n@import \\"common/admin/admin_report_counters\\";\\n@import \\"common/admin/admin_report_chart\\";\\n@import \\"common/admin/admin_report_stacked_chart\\";\\n@import \\"common/admin/admin_report_table\\";\\n@import \\"common/admin/admin_report_inline_table\\";\\n@import \\"common/admin/admin_intro\\";\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"// --------------------------------------------------\\n// Generic helper classes\\n// --------------------------------------------------\\n\\n// Floats\\n// --------------------------------------------------\\n\\n.pull-left {\\n  float: left;\\n}\\n\\n.pull-right {\\n  float: right;\\n}\\n\\n// Element visibility\\n// --------------------------------------------------\\n\\n.show {\\n  display: block;\\n}\\n\\n.hide,\\n.hidden {\\n  display: none;\\n}\\n\\n.invisible {\\n  visibility: hidden;\\n}\\n\\n.sr-only {\\n  position: absolute;\\n  width: 1px;\\n  height: 1px;\\n  padding: 0;\\n  margin: -1px;\\n  overflow: hidden;\\n  clip: rect(0, 0, 0, 0);\\n  border: 0;\\n}\\n\\n// Affix\\n// --------------------------------------------------\\n\\n.affix {\\n  position: fixed;\\n}\\n\\n// Contain floats\\n// --------------------------------------------------\\n\\n.clearfix {\\n  &:before,\\n  &:after {\\n    display: table;\\n    content: \\" \\";\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n// Overflow\\n// --------------------------------------------------\\n\\n.overflow-ellipsis {\\n  white-space: nowrap;\\n  overflow: hidden;\\n  text-overflow: ellipsis;\\n}\\n\\n// Clickable elements\\n// --------------------------------------------------\\n\\n.clickable {\\n  cursor: pointer;\\n}\\n\\n// Buttons\\n// ---------------------------------------------------\\n.disable-no-hover:hover {\\n  background: dark-light-choose($primary-low, $secondary-medium);\\n  color: $primary;\\n}\\n",\n\t\t".admin-reports,\\n.dashboard,\\n.dashboard-next {\\n  &.admin-contents {\\n    margin: 10px 0 0 0;\\n  }\\n}\\n\\n.dashboard,\\n.dashboard-next {\\n  .section-top {\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .navigation {\\n    display: flex;\\n    margin: 0 0 2.5em 0;\\n    border-bottom: 1px solid $primary-low-mid;\\n\\n    .navigation-item {\\n      display: inline;\\n      &:hover {\\n        background: $primary-very-low;\\n      }\\n    }\\n\\n    .navigation-link {\\n      display: block;\\n      font-weight: bold;\\n      padding: 0.6em 1em 0.5em 1em;\\n    }\\n  }\\n\\n  @mixin active-navigation-item {\\n    .navigation-link {\\n      border-bottom: 0.4em solid $tertiary;\\n    }\\n  }\\n\\n  &.dashboard-moderation .navigation-item.moderation {\\n    @include active-navigation-item;\\n  }\\n\\n  &.dashboard-security .navigation-item.security {\\n    @include active-navigation-item;\\n  }\\n\\n  &.dashboard-reports .navigation-item.reports {\\n    @include active-navigation-item;\\n  }\\n\\n  &.general .navigation-item.general {\\n    @include active-navigation-item;\\n  }\\n\\n  .sections {\\n    display: flex;\\n    flex-direction: column;\\n  }\\n\\n  .section-columns {\\n    display: flex;\\n    justify-content: space-between;\\n\\n    @include breakpoint(medium) {\\n      flex-direction: column;\\n    }\\n\\n    .section-column {\\n      min-width: calc(50% - 0.5em);\\n      max-width: 100%;\\n\\n      &:last-child {\\n        margin-left: 0.5em;\\n      }\\n\\n      &:first-child {\\n        margin-right: 0.5em;\\n      }\\n\\n      @include breakpoint(medium) {\\n        min-width: 100%;\\n\\n        &:last-child {\\n          order: 1;\\n        }\\n\\n        &:first-child {\\n          order: 2;\\n        }\\n      }\\n    }\\n\\n    @include breakpoint(medium) {\\n      .section-column:last-child,\\n      .section-column:first-child {\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  .section {\\n    .section-title {\\n      h2 {\\n        margin: 0 0.5em 0 0;\\n\\n        a {\\n          color: $primary;\\n        }\\n      }\\n\\n      display: flex;\\n      @media screen and (max-width: 400px) {\\n        flex-wrap: wrap;\\n      }\\n      align-items: center;\\n      justify-content: space-between;\\n      border-bottom: 1px solid $primary-low;\\n      margin-bottom: 0.5em;\\n      padding-bottom: 0.5em;\\n    }\\n\\n    .section-body {\\n      padding: 1em 0 0;\\n      > p {\\n        margin-top: 0;\\n      }\\n    }\\n  }\\n\\n  .admin-report .header {\\n    border: 0;\\n    padding: 0;\\n    margin-bottom: 1em;\\n  }\\n\\n  .charts {\\n    display: grid;\\n    grid-template-columns: repeat(12, 1fr);\\n    grid-column-gap: 1em;\\n    grid-row-gap: 1em;\\n\\n    // IE11 grid support\\n    display: -ms-grid;\\n    -ms-grid-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;\\n    -ms-grid-rows: 1fr 1fr;\\n    .admin-report {\\n      -ms-grid-column-span: 4;\\n\\n      &:nth-of-type(1) {\\n        -ms-grid-row: 1;\\n        -ms-grid-column: 1;\\n      }\\n      &:nth-of-type(2) {\\n        -ms-grid-row: 2;\\n        -ms-grid-column: 1;\\n      }\\n      &:nth-of-type(3) {\\n        -ms-grid-row: 2;\\n        -ms-grid-column: 5;\\n      }\\n      &:nth-of-type(4) {\\n        -ms-grid-row: 2;\\n        -ms-grid-column: 9;\\n      }\\n      &:nth-of-type(5) {\\n        -ms-grid-row: 3;\\n        -ms-grid-column: 1;\\n      }\\n      &:nth-of-type(6) {\\n        -ms-grid-row: 3;\\n        -ms-grid-column: 5;\\n      }\\n      &:nth-of-type(7) {\\n        -ms-grid-row: 3;\\n        -ms-grid-column: 9;\\n      }\\n    }\\n\\n    .admin-report {\\n      grid-column: span 4;\\n\\n      &.consolidated-page-views {\\n        grid-column: span 12;\\n        -ms-grid-column-span: 12;\\n      }\\n    }\\n\\n    @include breakpoint(medium) {\\n      .admin-report {\\n        grid-column: span 12;\\n      }\\n    }\\n\\n    .chart-canvas-container {\\n      position: relative;\\n      margin-left: -5px;\\n    }\\n\\n    .chart-canvas {\\n      width: 100%;\\n      height: 100%;\\n    }\\n  }\\n\\n  .misc {\\n    display: flex;\\n    border: 1px solid $primary-low;\\n\\n    .storage-stats,\\n    .last-dashboard-update {\\n      flex: 1 1 50%;\\n      box-sizing: border-box;\\n      margin: 1em 0;\\n      padding: 0 1em;\\n    }\\n\\n    .storage-stats {\\n      display: flex;\\n      flex-wrap: wrap;\\n      justify-content: space-between;\\n      border-right: 1px solid $primary-low;\\n\\n      .backups,\\n      .uploads {\\n        flex: 1 1 100%;\\n      }\\n\\n      .uploads p:last-of-type {\\n        margin-bottom: 0;\\n      }\\n    }\\n\\n    @media screen and (max-width: 400px) {\\n      flex-wrap: wrap;\\n      .storage-stats,\\n      .last-dashboard-update {\\n        flex: 1 1 100%;\\n        text-align: left;\\n      }\\n      .last-dashboard-update {\\n        display: block;\\n        margin: 0 20px 20px 20px;\\n        padding: 20px 0 0 0;\\n        border-top: 1px solid $primary-low;\\n        border-left: none;\\n      }\\n    }\\n    .last-dashboard-update {\\n      text-align: center;\\n      display: flex;\\n      flex-direction: column;\\n      justify-content: center;\\n      div {\\n        align-self: center;\\n        h4 {\\n          margin-bottom: 0;\\n        }\\n      }\\n    }\\n  }\\n\\n  .top-referred-topics {\\n    margin-bottom: 1.5em;\\n  }\\n\\n  .top-referred-topics,\\n  .trending-search {\\n    th:first-of-type {\\n      text-align: left;\\n    }\\n  }\\n\\n  .section {\\n    .period-chooser .period-chooser-header {\\n      .selected-name,\\n      .d-icon {\\n        font-size: $font-up-1;\\n      }\\n\\n      .d-icon {\\n        margin: 0;\\n      }\\n    }\\n  }\\n\\n  .dashboard-problems {\\n    margin-bottom: 2.5em;\\n\\n    .d-icon-exclamation-triangle {\\n      color: $danger;\\n    }\\n\\n    .actions {\\n      margin: 1em 0 0 0;\\n      display: flex;\\n      align-items: center;\\n      color: $primary-medium;\\n      .btn {\\n        margin-right: 1em;\\n      }\\n    }\\n  }\\n}\\n\\n.counters-list {\\n  display: flex;\\n  flex: 1 0 0px;\\n  flex-direction: column;\\n\\n  .counters-header {\\n    display: grid;\\n    flex: 1 0 auto;\\n    grid-template-columns: 33% repeat(auto-fit, minmax(20px, 1fr));\\n    border: 1px solid $primary-low;\\n    border-bottom: 0;\\n    font-weight: 700;\\n    text-align: right;\\n    align-items: center;\\n    padding: 0.65em 0.25em;\\n\\n    // IE11 grid support\\n    display: -ms-grid;\\n    -ms-grid-columns: 2fr 1fr 1fr 1fr 1fr;\\n    .counters-cell {\\n      -ms-grid-row: 1;\\n      -ms-grid-column-span: 1;\\n      &:nth-of-type(1) {\\n        -ms-grid-column: 1;\\n      }\\n      &:nth-of-type(2) {\\n        -ms-grid-column: 2;\\n      }\\n      &:nth-of-type(3) {\\n        -ms-grid-column: 3;\\n      }\\n      &:nth-of-type(4) {\\n        -ms-grid-column: 4;\\n      }\\n      &:nth-of-type(5) {\\n        -ms-grid-column: 5;\\n      }\\n    }\\n  }\\n\\n  .admin-report .main {\\n    border: 1px solid $primary-low;\\n\\n    &:hover {\\n      background-color: $primary-very-low;\\n    }\\n  }\\n\\n  .admin-report:not(:last-child) {\\n    .main {\\n      border-bottom: 0;\\n    }\\n\\n    .conditional-loading-section.is-loading {\\n      border-bottom: 0;\\n    }\\n  }\\n\\n  .admin-report .conditional-loading-section.is-loading {\\n    display: flex;\\n    flex-direction: row;\\n    padding: 0.5em 0.25em;\\n    align-items: flex-start;\\n    justify-content: flex-start;\\n    border: 1px solid $primary-low;\\n\\n    .title {\\n      font-size: $font-0;\\n    }\\n\\n    .spinner {\\n      margin: 0;\\n      width: 8px;\\n      height: 8px;\\n      margin-left: 0.5em;\\n    }\\n  }\\n\\n  .admin-report .main .report-alert {\\n    display: flex;\\n    flex-direction: row;\\n    padding: 0.5em 0.25em;\\n    align-items: center;\\n    text-align: left;\\n    border: 0;\\n\\n    &:hover {\\n      background-color: $primary-very-low;\\n    }\\n\\n    .d-icon {\\n      font-size: $font-up-1;\\n      margin: 0 0.25em 0 0;\\n      color: $primary-low-mid;\\n    }\\n  }\\n}\\n\\n.activity-metrics {\\n  margin-bottom: 1.5em;\\n}\\n\\n.user-metrics {\\n  display: flex;\\n  flex-wrap: wrap;\\n  justify-content: space-between;\\n  flex-direction: column;\\n\\n  .dashboard-inline-table {\\n    //  and \\"hides\\" margin when the item spans 100% width\\n    flex: 1 0 auto;\\n    max-width: 95%;\\n  }\\n  .table-cell {\\n    display: flex;\\n    flex: 0 1 auto;\\n    margin: 0 10px 5px 0;\\n    border: 1px solid $primary-low;\\n    border-radius: 10px;\\n    .label {\\n      display: flex;\\n      align-items: center;\\n      color: $primary;\\n      background: $primary-very-low;\\n      justify-content: center;\\n      border-radius: 9px 0 0 9px;\\n      padding: 0 5px 0 8px;\\n\\n      .d-icon {\\n        margin-right: 5px;\\n        font-size: $font-down-1;\\n      }\\n    }\\n\\n    .value {\\n      padding: 0 8px 0 5px;\\n    }\\n    &.user-newuser {\\n      .label {\\n        color: $primary-high;\\n      }\\n    }\\n    &.user-basic,\\n    &.user-member {\\n      border-color: $bronze;\\n      .label {\\n        border-color: $bronze;\\n        background: $bronze;\\n        color: $secondary;\\n      }\\n    }\\n    &.user-regular {\\n      border-color: $silver;\\n      .label {\\n        border-color: $silver;\\n        background: $silver;\\n        color: $secondary;\\n      }\\n    }\\n    &.user-leader {\\n      border-color: $gold;\\n      .label {\\n        background: $gold;\\n        border-color: $gold;\\n        color: $secondary;\\n      }\\n    }\\n  }\\n}\\n\\n.rtl .dashboard-next {\\n  .section-column {\\n    &:last-child {\\n      margin-right: 1em;\\n      margin-left: 0;\\n    }\\n\\n    &:first-child {\\n      margin-left: 1em;\\n      margin-right: 0;\\n    }\\n  }\\n\\n  .user-metrics .table-cell {\\n    margin: 0 0 5px 10px;\\n  }\\n\\n  .table-cell {\\n    .label {\\n      border-radius: 0 9px 9px 0;\\n\\n      .d-icon {\\n        margin-right: 0;\\n        margin-left: 5px;\\n      }\\n    }\\n  }\\n}\\n\\n.users-by-trust-level,\\n.users-by-type {\\n  margin-bottom: 1.5em;\\n}\\n\\n.community-health.section {\\n  margin-bottom: 1.5em;\\n}\\n\\n.dashboard-moderation,\\n.dashboard-security {\\n  .section-body {\\n    margin-bottom: 1em;\\n  }\\n\\n  .main-section {\\n    display: grid;\\n    grid-template-columns: repeat(12, 1fr);\\n    grid-column-gap: 1em;\\n    grid-row-gap: 1em;\\n\\n    > * {\\n      grid-column: span 12;\\n    }\\n\\n    .admin-dashboard-security-bottom-outlet,\\n    .admin-dashboard-moderation-bottom-outlet {\\n      display: grid;\\n      grid-template-columns: repeat(12, 1fr);\\n      grid-column-gap: 1em;\\n      grid-row-gap: 1em;\\n    }\\n  }\\n\\n  .admin-report {\\n    grid-column: span 12;\\n  }\\n}\\n\\n.dashboard-moderation {\\n  .admin-dashboard-moderation-top {\\n    display: grid;\\n    grid-template-columns: repeat(12, 1fr);\\n    grid-column-gap: 1em;\\n    grid-row-gap: 1em;\\n  }\\n}\\n\\n.dashboard-reports {\\n  .reports-list {\\n    display: flex;\\n    flex-wrap: wrap;\\n    list-style-type: none;\\n    margin: 0 -1.5%;\\n  }\\n  .report {\\n    margin: 1.5%;\\n    border: 1px solid $primary-low;\\n    flex: 1 1 28%;\\n    transition: box-shadow 0.25s;\\n    min-width: 225px;\\n    max-width: 550px;\\n    a {\\n      display: block;\\n      width: 100%;\\n      height: 100%;\\n      box-sizing: border-box;\\n      padding: 1em;\\n      .report-description {\\n        color: $primary-high;\\n      }\\n    }\\n    &:hover {\\n      box-shadow: shadow(\\"card\\");\\n    }\\n  }\\n}\\n\\n.version-checks {\\n  display: flex;\\n  flex-wrap: wrap;\\n  .section-title {\\n    flex: 1 1 100%;\\n    border-bottom: 1px solid $primary-low;\\n    margin-bottom: 0.5em;\\n  }\\n}\\n\\n.version-check {\\n  display: flex;\\n  flex: 1 1 50%;\\n  flex-wrap: wrap;\\n  align-items: flex-start;\\n  align-self: flex-start;\\n  justify-content: space-between;\\n  padding: 10px 0 10px 0;\\n  .upgrade-header {\\n    flex: 1 1 100%;\\n    @media screen and (max-width: 650px) {\\n      margin: 0;\\n    }\\n    tr {\\n      border: none;\\n    }\\n    th {\\n      background: transparent;\\n      padding: 0;\\n    }\\n  }\\n  h2 {\\n    flex: 1 1 100%;\\n  }\\n  .version-number {\\n    font-size: $font-up-2;\\n    line-height: $line-height-medium;\\n    box-sizing: border-box;\\n    font-weight: bold;\\n    margin: 0 0 1em 0;\\n    padding-right: 20px;\\n    flex: 1 1 27%;\\n    h3 {\\n      flex: 1 0 auto;\\n      white-space: nowrap;\\n    }\\n    h4,\\n    .sha-link {\\n      font-size: $font-down-2;\\n      margin-bottom: 0;\\n    }\\n    .sha-link {\\n      font-weight: normal;\\n    }\\n  }\\n  .version-status {\\n    display: flex;\\n    align-items: center;\\n    margin: 0 0 1em 0;\\n    flex: 1 1 24%;\\n    box-sizing: border-box;\\n    padding-right: 20px;\\n    min-width: 250px;\\n    @include breakpoint(medium) {\\n      max-width: unset;\\n    }\\n    .face {\\n      margin: 0 0.75em 0 0;\\n      font-size: $font-up-3;\\n    }\\n  }\\n  &.critical .version-notes .normal-note {\\n    display: none;\\n  }\\n  &.normal .version-notes .critical-note {\\n    display: none;\\n  }\\n  .fa {\\n    font-size: $font-up-4;\\n  }\\n  .up-to-date {\\n    color: $success;\\n  }\\n  .updates-available {\\n    color: $danger;\\n  }\\n  .critical-updates-available {\\n    color: $danger;\\n  }\\n}\\n\\n.update-nag {\\n  .d-icon {\\n    font-size: $font-up-3;\\n  }\\n}\\n",\n\t\t"// styles for admin/settings\\n\\n.settings {\\n  .setting {\\n    padding-bottom: 20px;\\n    .setting-label {\\n      float: left;\\n      width: 17.6576%;\\n      margin-right: 12px;\\n      @media (max-width: $mobile-breakpoint) {\\n        float: none;\\n        margin-right: 0;\\n        width: 100%;\\n        h3 {\\n          margin-bottom: 6px;\\n        }\\n      }\\n    }\\n    .setting-value {\\n      float: left;\\n      width: 53%;\\n      padding-right: 20px;\\n      input[type=\\"checkbox\\"],\\n      input[type=\\"radio\\"] {\\n        flex: 0 0 auto;\\n      }\\n      .category-selector {\\n        width: 95%;\\n      }\\n      @media (max-width: $mobile-breakpoint) {\\n        width: 100%;\\n        padding-right: 0;\\n      }\\n      .select-kit {\\n        width: 100% !important; // Needs !important to override hard-coded value\\n        @media (max-width: $mobile-breakpoint) {\\n          width: 100% !important; // !important overrides hard-coded mobile width of 68px\\n        }\\n      }\\n      .uploaded-image-preview {\\n        background-size: contain;\\n        background-repeat: no-repeat;\\n        background-color: $primary-medium;\\n      }\\n    }\\n    .setting-controls {\\n      float: left;\\n    }\\n    .input-setting-string,\\n    .input-setting-textarea {\\n      width: 100%;\\n      @media (max-width: $mobile-breakpoint) {\\n        width: 100%;\\n      }\\n    }\\n    .input-setting-textarea {\\n      height: 150px;\\n    }\\n    .input-setting-list {\\n      @media (max-width: $mobile-breakpoint) {\\n        width: 100%;\\n      }\\n      padding: 1px;\\n      background-color: $secondary;\\n      border: 1px solid $primary-low;\\n      border-radius: 3px;\\n      transition: border linear 0.2s, box-shadow linear 0.2s;\\n      li.sortable-placeholder {\\n        padding: 3px 5px 3px 18px;\\n        margin: 3px 0 3px 5px;\\n        position: relative;\\n        line-height: $line-height-small;\\n        cursor: default;\\n        border: 1px dashed $primary-low-mid;\\n        border-radius: 3px;\\n        background-clip: padding-box;\\n        -moz-user-select: none;\\n        background-color: transparent;\\n        width: 3em;\\n        height: 1em;\\n      }\\n    }\\n    .desc,\\n    .validation-error {\\n      padding-top: 3px;\\n      font-size: $font-down-1;\\n      line-height: $line-height-large;\\n    }\\n    .validation-error {\\n      color: $danger;\\n    }\\n    .desc {\\n      color: $primary-medium;\\n    }\\n    h3 {\\n      font-size: $font-0;\\n      font-weight: normal;\\n    }\\n  }\\n  .setting.overridden {\\n    h3 {\\n      color: $highlight-high;\\n    }\\n  }\\n  .setting.overridden.string {\\n    input[type=\\"text\\"],\\n    input[type=\\"password\\"],\\n    textarea {\\n      background-color: $highlight-medium;\\n    }\\n  }\\n  .warning {\\n    color: $danger;\\n  }\\n}\\n",\n\t\t"//Styles for /admin/users\\n\\n.display-row.associations .value {\\n  width: 750px;\\n  @media (max-width: $mobile-breakpoint) {\\n    width: 75%;\\n    float: right;\\n    text-align: left;\\n    margin-left: 0;\\n  }\\n}\\n\\n.display-row {\\n  display: flex;\\n  align-items: center;\\n  padding: 10px 5px;\\n  &:nth-of-type(1) {\\n    border-top: 0;\\n  }\\n  &.highlight-danger {\\n    background-color: $danger-low;\\n  }\\n  border-top: 1px solid $primary-low;\\n  &:before,\\n  &:after {\\n    display: table;\\n    content: \\"\\";\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n  &.secondary-emails ul {\\n    margin: 0;\\n    list-style: none;\\n  }\\n  .field {\\n    font-weight: bold;\\n    width: 17.65765%;\\n    float: left;\\n    margin-left: 12px;\\n    @media (max-width: $mobile-breakpoint) {\\n      margin-left: 0;\\n      line-height: $line-height-large;\\n      margin-top: 5px;\\n    }\\n  }\\n  .value {\\n    width: 250px;\\n    float: left;\\n    margin-left: 12px;\\n    @media (max-width: $mobile-breakpoint) {\\n      width: 75%;\\n      float: right;\\n      text-align: left;\\n      margin-left: 0;\\n    }\\n    .select-kit {\\n      width: inherit;\\n    }\\n  }\\n  .long-value {\\n    width: 800px;\\n    float: left;\\n    margin-left: 12px;\\n    font-size: $font-down-1;\\n    button {\\n      margin-left: 10px;\\n    }\\n  }\\n  .controls {\\n    width: 480px;\\n    float: left;\\n    margin-left: 12px;\\n    @media (max-width: $mobile-breakpoint) {\\n      width: 75%;\\n      float: right;\\n      text-align: left;\\n      margin-left: 0;\\n    }\\n    .btn {\\n      margin-right: 5px;\\n    }\\n  }\\n  &.username,\\n  &.name {\\n    .value {\\n      word-break: break-all;\\n    }\\n  }\\n}\\n\\n.admin-users {\\n  input {\\n    margin-bottom: 0;\\n  }\\n  .users-list {\\n    .username .d-icon {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\n.admin-users-list {\\n  td.username {\\n    @include ellipsis;\\n    overflow-wrap: break-word;\\n  }\\n  @media screen and (max-width: 970px) and (min-width: 768px) {\\n    td.username {\\n      max-width: 23vw; // Prevents horizontal scroll down to 768px\\n    }\\n    td.email {\\n      max-width: 28vw; // Prevents horizontal scroll down to 768px\\n      overflow-wrap: break-word;\\n    }\\n  }\\n  @media screen and (max-width: 767px) {\\n    tr {\\n      td.username {\\n        grid-column-start: 1;\\n        grid-column-end: -2;\\n        font-weight: bold;\\n      }\\n      td.user-status {\\n        text-align: right;\\n        grid-row: 1;\\n        grid-column-end: -1;\\n        .d-icon {\\n          margin-left: 0.25em;\\n        }\\n      }\\n      td.email {\\n        grid-column-start: 1;\\n        grid-column-end: -1;\\n        word-wrap: break-word;\\n        overflow-wrap: break-word;\\n        overflow: hidden;\\n        min-width: 0;\\n        margin: 0.5em 0 0 0;\\n\\n        &:empty {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n  //IE11 Support\\n  @media screen and (max-width: 767px) {\\n    tr.user {\\n      display: -ms-grid;\\n      -ms-grid-columns: 1fr 1fr 1fr;\\n      -ms-grid-rows: 2em 1fr 3em 3em;\\n      td {\\n        display: -ms-grid;\\n        -ms-grid-columns: 1fr;\\n        -ms-grid-rows: 1fr 1fr;\\n        .label {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n        }\\n        div:not(.label) {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 1;\\n          align-self: center;\\n        }\\n        &.username {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 2;\\n        }\\n        &.user-status {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 3;\\n        }\\n        &.email {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 3;\\n        }\\n        &.last-emailed {\\n          -ms-grid-row: 3;\\n          -ms-grid-column: 1;\\n        }\\n        &.last-seen {\\n          -ms-grid-row: 3;\\n          -ms-grid-column: 2;\\n        }\\n        &.topics-entered {\\n          -ms-grid-row: 3;\\n          -ms-grid-column: 3;\\n        }\\n        &.posts-read {\\n          -ms-grid-row: 4;\\n          -ms-grid-column: 1;\\n        }\\n        &.time-read {\\n          -ms-grid-row: 4;\\n          -ms-grid-column: 2;\\n        }\\n        &.created {\\n          -ms-grid-row: 4;\\n          -ms-grid-column: 3;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// mobile styles\\n.mobile-view .admin-users.admin-user {\\n  .display-row {\\n    flex-direction: column;\\n    align-items: flex-start;\\n    .field,\\n    .value {\\n      width: unset;\\n    }\\n    .select-kit {\\n      width: 300px;\\n    }\\n  }\\n\\n  .long-value {\\n    word-wrap: break-word;\\n    max-width: 100%;\\n    margin: 0;\\n    button {\\n      margin: 5px 0;\\n      display: block;\\n    }\\n  }\\n\\n  h1 {\\n    margin: 15px 0 5px 0;\\n  }\\n\\n  .user-controls {\\n    text-align: inherit;\\n  }\\n\\n  .controls {\\n    width: unset;\\n    margin-top: 5px;\\n  }\\n\\n  .associations button {\\n    margin: 5px 5px 0 0;\\n  }\\n\\n  .ip-lookup {\\n    display: block;\\n    .location-box {\\n      left: 0;\\n    }\\n  }\\n}\\n",\n\t\t".suspend-user-modal {\\n  .until-controls {\\n    margin-bottom: 1em;\\n  }\\n\\n  .suspend-reason {\\n    width: 100%;\\n  }\\n\\n  .suspend-reason-label,\\n  .suspend-message-label {\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .textarea,\\n  input[type=\\"text\\"] {\\n    box-sizing: border-box;\\n    height: 2.5em;\\n  }\\n\\n  .inline-spinner {\\n    float: right;\\n  }\\n}\\n\\n.modal-body {\\n  .penalty-post-edit {\\n    margin-top: 1em;\\n\\n    textarea {\\n      height: 10em;\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for admin/badges\\n.admin-badges {\\n  // flex page layout\\n  .badges {\\n    display: flex;\\n    flex-wrap: wrap;\\n    .badges-header {\\n      display: flex;\\n      align-items: center;\\n      flex: 1 0 100%;\\n      .create-new-badge {\\n        margin-left: auto;\\n      }\\n    }\\n    .content-list {\\n      flex: 0 0 27%;\\n    }\\n    .current-badges {\\n      display: flex;\\n      justify-content: center;\\n      flex: 1 1 72%;\\n    }\\n  }\\n  .badges-header {\\n    padding: 10px 0;\\n    border-top: 1px solid $primary-low;\\n    border-bottom: 1px solid $primary-low;\\n    .badges-heading {\\n      margin: 0;\\n      padding: 0 10px;\\n    }\\n  }\\n  .content-list {\\n    .admin-badge-list {\\n      height: 70vh;\\n      overflow-y: scroll;\\n      border-right: 1px solid $primary-low;\\n      border-left: 1px solid $primary-low;\\n      border-bottom: 1px solid $primary-low;\\n      .admin-badge-list-item {\\n        &:first-child {\\n          border-top: none;\\n        }\\n        &:last-child {\\n          border-top: none;\\n        }\\n      }\\n      .list-badge {\\n        float: right;\\n        font-size: $font-down-1;\\n        font-weight: normal;\\n        padding: 0 6px;\\n        color: $secondary;\\n        background-color: $tertiary-medium;\\n        border-radius: 3px;\\n      }\\n    }\\n    .user-badge {\\n      border: none;\\n      background-color: unset;\\n    }\\n  }\\n  .current-badge {\\n    margin: 20px;\\n    p.help {\\n      margin: 0;\\n      margin-top: 5px;\\n      color: $primary-medium;\\n      font-size: $font-down-1;\\n    }\\n    .badge-grouping-control {\\n      display: flex;\\n      align-items: center;\\n      .badge-selector {\\n        margin-right: 5px;\\n      }\\n    }\\n  }\\n  .form-horizontal {\\n    .ace-wrapper {\\n      position: relative;\\n      height: 270px;\\n      .ace_editor {\\n        position: absolute;\\n        left: 0;\\n        right: 0;\\n        top: 0;\\n        bottom: 0;\\n      }\\n      &[data-disabled=\\"true\\"] {\\n        cursor: not-allowed;\\n        opacity: 0.5;\\n        .ace_editor {\\n          pointer-events: none;\\n          .ace_cursor {\\n            visibility: hidden;\\n          }\\n        }\\n      }\\n    }\\n    textarea {\\n      height: 200px;\\n    }\\n  }\\n  .current-badge-actions {\\n    margin: 10px;\\n    padding: 10px;\\n    border-top: 1px solid $primary-low;\\n  }\\n  .buttons {\\n    float: left;\\n    width: 200px;\\n    .saving {\\n      padding: 5px 0 0 0;\\n      margin-left: 10px;\\n      width: 80px;\\n      color: $primary;\\n    }\\n  }\\n}\\n\\n// badge-grouping modal\\n.badge-groupings-modal {\\n  .badge-groupings {\\n    margin-bottom: 10px;\\n  }\\n  .badge-groupings-list {\\n    list-style: none;\\n    margin: 0;\\n    .badge-grouping-item {\\n      border-bottom: 1px solid $primary-low;\\n      display: flex;\\n      justify-content: space-between;\\n      align-items: center;\\n      padding: 5px 0;\\n    }\\n    .badge-grouping {\\n      .badge-grouping-name-input {\\n        margin: 0;\\n      }\\n    }\\n  }\\n}\\n\\n// badge preview modal\\n.badge-query-preview {\\n  .badge-errors,\\n  .badge-query-plan {\\n    padding: 5px;\\n    background-color: $primary-low;\\n  }\\n  .count-warning {\\n    background-color: $danger-low;\\n    margin-bottom: 5px;\\n    padding: 10px;\\n    p {\\n      margin: 0;\\n    }\\n    .heading {\\n      color: $danger;\\n      font-weight: bold;\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for admin/emails\\n\\n// Emails\\n.email-list {\\n  .filters input {\\n    width: 100%;\\n  }\\n  .time {\\n    width: 50px;\\n  }\\n  .reply-key {\\n    display: block;\\n    font-size: $font-down-1;\\n    color: $primary-medium;\\n  }\\n  .username div {\\n    max-width: 180px;\\n    @include ellipsis;\\n  }\\n  .addresses p {\\n    margin: 2px 0;\\n    max-width: 200px;\\n    @include ellipsis;\\n  }\\n}\\n\\n.incoming-emails {\\n  .control-group {\\n    margin: 8px 0;\\n  }\\n  .controls {\\n    margin-left: 110px;\\n  }\\n  p {\\n    margin: 5px 10px;\\n  }\\n  .error-description {\\n    color: $primary-medium;\\n    font-size: $font-down-1;\\n  }\\n  hr {\\n    margin: 0;\\n  }\\n  label {\\n    font-weight: bold;\\n    float: left;\\n    width: 100px;\\n    text-align: right;\\n    margin: 0 10px;\\n  }\\n  ul {\\n    list-style: none;\\n    margin: 0 10px;\\n  }\\n  textarea {\\n    width: 95%;\\n    height: 150px;\\n    font-family: monospace;\\n    box-shadow: none;\\n  }\\n}\\n\\n.admin-list-item {\\n  width: 100%;\\n  border-top: 1px solid $primary-low;\\n  padding: 0.25em 0;\\n}\\n\\n.email-preview {\\n  .digest-refresh-button {\\n    margin: 0 0.5em;\\n  }\\n}\\n\\n.email-preview-digest {\\n  .controls {\\n    margin: 1em 0.5em;\\n    input[type=\\"text\\"] {\\n      margin-bottom: 0;\\n    }\\n    label {\\n      display: inline;\\n    }\\n  }\\n  .preview-output iframe {\\n    width: 100%;\\n    height: 600px;\\n    border-width: 1px;\\n  }\\n}\\n\\n.email-advanced-test {\\n  .admin-controls {\\n    display: block;\\n  }\\n\\n  .email-body {\\n    width: 95%;\\n    height: 150px;\\n    font-family: monospace;\\n  }\\n}\\n",\n\t\t"// Styles for /admin/logs\\n\\n.web-hook-events {\\n  border-bottom: dotted 1px $primary-low-mid;\\n  .heading-container {\\n    width: 100%;\\n    background-color: $primary-low;\\n  }\\n  .col.heading {\\n    font-weight: bold;\\n    padding: 4px 0;\\n  }\\n  .col {\\n    display: inline-block;\\n    padding-top: 6px;\\n    vertical-align: top;\\n    overflow-y: auto;\\n    overflow-x: hidden;\\n  }\\n  .ember-list-item-view {\\n    width: 100%;\\n    border-top: solid 1px $primary-low;\\n  }\\n}\\n\\n.log-details-modal {\\n  pre {\\n    white-space: pre-wrap;\\n    max-height: 250px;\\n  }\\n  .modal-tab {\\n    width: 95%;\\n  }\\n}\\n\\n.staff-actions {\\n  width: 100%;\\n  word-wrap: break-word;\\n  @media screen and (min-width: 550px) and (max-width: 767px) {\\n    table.staff-logs tr {\\n      display: grid;\\n      grid-template-rows: auto auto;\\n      grid-template-columns: repeat(4, 1fr);\\n      td {\\n        align-self: start;\\n        padding: 2px 4px;\\n      }\\n    }\\n\\n    td.created-at {\\n      grid-column-start: -1;\\n    }\\n    td.subject {\\n      grid-row: 2;\\n      grid-column-start: 2;\\n      div.subject {\\n        display: flex;\\n        a {\\n          word-wrap: break-word;\\n          min-width: 25px;\\n        }\\n      }\\n    }\\n\\n    td.details {\\n      grid-row: 1;\\n      grid-row-start: 1;\\n      grid-row-end: 3;\\n      grid-column-start: 3;\\n    }\\n\\n    td.context {\\n      grid-row-start: 1;\\n      grid-row-end: 3;\\n      grid-column-start: 4;\\n    }\\n  }\\n\\n  //IE11 Support\\n  @media screen and (max-width: 767px) {\\n    table.staff-logs tr {\\n      display: -ms-grid;\\n      -ms-grid-columns: 1fr 1fr 1fr 0.5fr;\\n      -ms-grid-rows: auto auto;\\n      td {\\n        display: -ms-grid;\\n        &.staff-users {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 2;\\n        }\\n        &.created-at {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 4;\\n        }\\n        &.action {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 1;\\n        }\\n        &.subject {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 2;\\n          -ms-grid-column-span: 3;\\n        }\\n        &.details {\\n          -ms-grid-row: 3;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 3;\\n        }\\n        &.context {\\n          -ms-grid-row: 4;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 3;\\n        }\\n      }\\n    }\\n  }\\n\\n  @include breakpoint(mobile-extra-large) {\\n    table.staff-logs tr {\\n      grid-template-columns: 1fr 1fr 0.5fr;\\n      td.staff-users {\\n        grid-column-start: 1;\\n        grid-column-end: 3;\\n      }\\n      td.created-at {\\n        grid-row: 1;\\n        grid-column-start: -1;\\n        text-align: right;\\n      }\\n      td.action {\\n        grid-row: 2;\\n        grid-column-start: 1;\\n      }\\n      td.subject {\\n        grid-row: 2;\\n        grid-column-start: 2;\\n        grid-column-end: 5;\\n        max-width: 60vw;\\n      }\\n      td.details,\\n      td.context {\\n        max-width: unset;\\n      }\\n      td.details {\\n        grid-row: 3;\\n        grid-column-start: 1;\\n        grid-column-end: 5;\\n        padding: 0.25em 0;\\n        max-width: 90vw;\\n      }\\n      td.context {\\n        grid-row: 4;\\n        grid-column-start: 1;\\n        grid-column-end: 5;\\n      }\\n    }\\n  }\\n\\n  .staff-user {\\n    font-weight: bold;\\n    display: flex;\\n    a:first-of-type {\\n      margin-right: 0.25em;\\n    }\\n    .deleted-user {\\n      font-size: $font-up-2;\\n    }\\n  }\\n  .created_at {\\n    text-align: center;\\n  }\\n  td.subject,\\n  td.details {\\n    max-width: 20vw;\\n  }\\n}\\n\\n.staff-action-logs-controls {\\n  display: flex;\\n  align-items: center;\\n  .select-kit {\\n    margin: 0 0.5em;\\n  }\\n  button {\\n    margin-left: auto;\\n    display: flex;\\n  }\\n  margin: 0 0 1em 0;\\n  a.filter {\\n    display: inline-flex;\\n    align-items: center;\\n    margin-bottom: 0.25em;\\n    background-color: $primary-low;\\n    padding: 3px 10px;\\n    color: $primary;\\n    &:hover {\\n      color: $primary;\\n      background-color: $primary-low;\\n    }\\n    .label {\\n      font-weight: bold;\\n    }\\n    .d-icon {\\n      margin-left: 6px;\\n    }\\n  }\\n}\\n\\n.admin-logs-table {\\n  input.ember-text-field {\\n    padding: 1px 4px;\\n  }\\n  .btn {\\n    padding: 2px 8px;\\n    .fa {\\n      margin-right: 2px;\\n    }\\n  }\\n}\\n\\n.screened-email-export {\\n  display: block;\\n}\\n\\n.screened-ip-address-form {\\n  margin-left: 6px;\\n  .combobox {\\n    width: 130px;\\n  }\\n}\\n\\n.screened-ip-controls {\\n  display: flex;\\n  flex-wrap: wrap;\\n  input {\\n    flex: 1 1 auto;\\n    margin: 0 0.25em 0.25em;\\n  }\\n  b {\\n    margin: 0 0.25em;\\n  }\\n  .select-kit {\\n    margin: 0 0.25em 0.25em 0.25em;\\n    flex: 1 1 auto;\\n  }\\n  .filter-screened-ip-address,\\n  .screened-ip-address-form {\\n    margin: 0 -0.25em 1em;\\n    display: flex;\\n    flex-wrap: wrap;\\n    align-items: center;\\n  }\\n  @media screen and (min-width: 800px) {\\n    .screened-ip-address-form {\\n      margin-left: auto;\\n    }\\n  }\\n  button {\\n    display: flex;\\n    white-space: nowrap;\\n    margin: 0 0.25em 0.25em;\\n  }\\n}\\n\\ntable.screened-ip-addresses {\\n  td.ip_address {\\n    min-width: 150px;\\n    word-wrap: break-word;\\n    input {\\n      width: 80%;\\n    }\\n  }\\n  td.action {\\n    display: flex;\\n    align-items: baseline;\\n    .d-icon-check {\\n      color: $success;\\n    }\\n    .d-icon-ban {\\n      color: $danger;\\n    }\\n    .d-icon {\\n      margin-right: 0.25em;\\n    }\\n  }\\n}\\n\\n@media screen and (min-width: 550px) {\\n  table.screened-ip-addresses tr {\\n    grid-template-columns: repeat(5, 1fr) auto;\\n  }\\n}\\n\\n@media screen and (max-width: 549px) {\\n  table.screened-ip-addresses tr {\\n    td.actions {\\n      grid-row: 3;\\n      grid-column-start: -1;\\n      grid-column-end: -4;\\n      text-align: right;\\n      margin-top: 0.5em;\\n    }\\n    td.created_at {\\n      grid-row: 1;\\n      grid-column-start: 3;\\n      text-align: right;\\n    }\\n    td.last_match_at {\\n      grid-row: 2;\\n      grid-column-start: 3;\\n      text-align: right;\\n    }\\n    td.match_count {\\n      grid-row: 2;\\n      grid-column-start: 2;\\n    }\\n  }\\n}\\n\\n// Screened URLs\\n\\n@include breakpoint(tablet) {\\n  .screened-urls {\\n    td.domain {\\n      grid-column-start: 1;\\n      grid-column-end: 3;\\n      word-wrap: break-word;\\n    }\\n  }\\n}\\n\\n// Screened emails\\n.screened-emails {\\n  td.ip_address {\\n    word-wrap: break-word;\\n    @include breakpoint(tablet, min-width) {\\n      max-width: 20vw;\\n    }\\n  }\\n\\n  @include breakpoint(tablet) {\\n    td.email {\\n      grid-column-start: 1;\\n      grid-column-end: 3;\\n      word-wrap: break-word;\\n    }\\n    td.ip_address {\\n      grid-row: 2;\\n      grid-column-start: 1;\\n      grid-column-end: -1;\\n    }\\n    td.action {\\n      margin-top: 0.25em;\\n    }\\n  }\\n}\\n\\n// Watched words\\n\\n.watched-word-box {\\n  display: inline-block;\\n  width: 250px;\\n  margin-bottom: 1em;\\n  vertical-align: top;\\n}\\n\\n.admin-watched-words {\\n  .clear-all-row {\\n    display: flex;\\n    margin-top: 10px;\\n    justify-content: flex-end;\\n    .clear-all {\\n      margin-left: 5px;\\n    }\\n  }\\n}\\n\\n.watched-word-controls {\\n  display: flex;\\n  flex-wrap: wrap;\\n  margin-bottom: 1em;\\n  justify-content: space-between;\\n  .download-upload-controls {\\n    display: flex;\\n  }\\n  .download {\\n    justify-content: flex-end;\\n  }\\n}\\n\\n.watched-words-list {\\n  margin-top: 20px;\\n  display: inline-block;\\n}\\n\\n.watched-word {\\n  display: inline-block;\\n  cursor: pointer;\\n  .d-icon {\\n    margin-right: 0.25em;\\n    color: $primary-medium;\\n  }\\n  &:hover .d-icon {\\n    color: $danger;\\n  }\\n}\\n\\n.watched-word-form {\\n  display: inline-block;\\n  .success-message {\\n    margin-left: 1em;\\n  }\\n}\\n\\n.watched-words-uploader {\\n  margin-left: 5px;\\n  display: flex;\\n  flex-direction: column;\\n  align-items: flex-end;\\n  @media screen and (max-width: 500px) {\\n    flex: 1 1 100%;\\n    margin-top: 0.5em;\\n  }\\n  .instructions {\\n    font-size: $font-down-1;\\n    margin-top: 5px;\\n  }\\n}\\n\\n.watched-words-detail {\\n  .about {\\n    margin: 0.5em 0 1em 0;\\n  }\\n}\\n\\n.watched-words-test-modal p {\\n  margin-top: 0;\\n}\\n\\n// Search logs\\n\\ntable.search-logs-list {\\n  td.term {\\n    width: 60%;\\n    word-wrap: break-word;\\n    @media screen and (max-width: 767px) {\\n      width: 100%;\\n    }\\n  }\\n  th:not(.term),\\n  td:not(.term) {\\n    text-align: center;\\n  }\\n  @media screen and (min-width: 550px) {\\n    tr {\\n      td.term {\\n        grid-column-start: 1;\\n        grid-column: span 3;\\n      }\\n    }\\n  }\\n  @include breakpoint(mobile-extra-large) {\\n    tr {\\n      td.term {\\n        grid-column-start: 1;\\n        grid-column-end: 4;\\n      }\\n      th:not(.term),\\n      td:not(.term) {\\n        text-align: left;\\n      }\\n    }\\n  }\\n  //IE11 Support\\n  @media screen and (max-width: 767px) {\\n    tr {\\n      display: -ms-grid;\\n      -ms-grid-columns: 1fr 1fr 1fr;\\n      -ms-grid-rows: auto 2em;\\n      td {\\n        display: -ms-grid;\\n        -ms-grid-rows: auto auto;\\n        .label {\\n          -ms-grid-row: 2;\\n        }\\n        &.term {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 3;\\n        }\\n        &.col:nth-of-type(2) {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 1;\\n        }\\n        &.col:nth-of-type(3) {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 2;\\n        }\\n        &.col:nth-of-type(4) {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 3;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t"// Customise area\\n\\n// email templates\\n\\n.content-editor {\\n  min-height: 500px;\\n  float: left;\\n  width: 54.054%;\\n  margin-left: 1.8018%;\\n  p.description {\\n    color: $primary;\\n  }\\n  .controls {\\n    margin-top: 10px;\\n  }\\n  textarea.plain {\\n    width: 98%;\\n    height: 200px;\\n  }\\n  .d-editor-input {\\n    width: 98%;\\n    height: 200px;\\n  }\\n  .ace-wrapper {\\n    position: relative;\\n    height: 600px;\\n    width: 100%;\\n  }\\n  .ace_editor {\\n    position: absolute;\\n    left: 0;\\n    right: 0;\\n    top: 0;\\n    bottom: 0;\\n  }\\n}\\n\\n.email-template {\\n  input {\\n    width: 100%;\\n  }\\n  label {\\n    font-weight: bold;\\n  }\\n}\\n\\n.create-theme-modal {\\n  div.input {\\n    margin-bottom: 12px;\\n    .label {\\n      width: 20%;\\n      display: inline-block;\\n    }\\n  }\\n\\n  .error {\\n    color: $danger;\\n  }\\n}\\n\\n.admin-customize.admin-customize-themes {\\n  .admin-container {\\n    padding: 0;\\n  }\\n  .error-message {\\n    margin-top: 5px;\\n    margin-bottom: 5px;\\n    .fa {\\n      color: $danger;\\n    }\\n  }\\n  .raw-error {\\n    background-color: $primary-very-low;\\n    padding: 5px;\\n  }\\n}\\n\\n.admin-customize {\\n  h1 {\\n    margin-bottom: 10px;\\n    input {\\n      margin-bottom: 0;\\n      font-size: $font-down-2;\\n    }\\n  }\\n\\n  .field-error {\\n    margin-top: 10px;\\n    margin-bottom: 10px;\\n    background-color: $quaternary-low;\\n    padding: 5px;\\n  }\\n\\n  .admin-container {\\n    padding-left: 10px;\\n    padding-right: 10px;\\n  }\\n  .admin-footer {\\n    margin-top: 20px;\\n  }\\n  .color-schemes li {\\n    .d-icon {\\n      margin-right: 0.25em;\\n      color: $primary-medium;\\n    }\\n  }\\n  .show-current-style {\\n    display: inline-block;\\n    vertical-align: top;\\n\\n    .btn {\\n      line-height: $line-height-medium; // Temporary button-height fix\\n    }\\n\\n    .title {\\n      font-size: $font-up-4;\\n      font-weight: bold;\\n      margin-bottom: 10px;\\n      a {\\n        font-size: $font-down-2;\\n      }\\n      .btn {\\n        line-height: $line-height-small;\\n      }\\n    }\\n\\n    .theme-description {\\n      display: block;\\n      margin: 10px 0;\\n    }\\n\\n    .metadata {\\n      .authors,\\n      .version {\\n        display: block;\\n\\n        .heading {\\n          font-weight: bold;\\n        }\\n      }\\n    }\\n\\n    div.remote-url {\\n      font-size: $font-down-1;\\n      margin-bottom: 7px;\\n    }\\n\\n    a.remote-url,\\n    a.about-url,\\n    a.license-url {\\n      display: inline-block;\\n      margin-right: 10px;\\n      .d-icon {\\n        margin-left: 5px;\\n      }\\n    }\\n\\n    .mini-title {\\n      font-size: $font-up-1;\\n      font-weight: bold;\\n      margin-bottom: 7px;\\n    }\\n    .control-unit {\\n      margin-bottom: 25px;\\n      margin-top: 15px;\\n    }\\n    .control {\\n      margin-bottom: 10px;\\n    }\\n    .description {\\n      margin-bottom: 12px;\\n    }\\n  }\\n  .add-component-button {\\n    vertical-align: middle;\\n  }\\n  .themes-list {\\n    display: inline-block;\\n    .create-actions {\\n      margin-top: 0.5em;\\n    }\\n  }\\n\\n  .themes-list-header {\\n    width: 100%;\\n    border-bottom: 1px solid $primary-low;\\n    border-top: 1px solid $primary-low;\\n    border-right: 1px solid $primary-low;\\n    .tab {\\n      display: inline-block;\\n      padding: 10px;\\n      width: 50%;\\n      box-sizing: border-box;\\n      text-align: center;\\n      border-left: 1px solid $primary-low;\\n\\n      &.active {\\n        font-weight: bold;\\n        color: $secondary;\\n        background: $danger;\\n      }\\n\\n      &:not(.active) {\\n        cursor: pointer;\\n\\n        &:hover {\\n          background-color: $primary-very-low;\\n        }\\n      }\\n    }\\n  }\\n\\n  .themes-list-container {\\n    overflow-y: auto;\\n    box-sizing: content-box;\\n    max-height: 60vh;\\n    @media screen and (max-height: 1000px) {\\n      max-height: 50vh;\\n    }\\n    @media screen and (max-height: 800px) {\\n      max-height: 40vh;\\n    }\\n    border-right: 1px solid $primary-low;\\n    border-bottom: 1px solid $primary-low;\\n    width: 100%;\\n\\n    .themes-list-item:last-child {\\n      border-bottom: none;\\n    }\\n    .themes-list-item {\\n      color: $primary;\\n      border-bottom: 1px solid $primary-low;\\n      display: flex;\\n      border-left: 1px solid $primary-low;\\n\\n      &.inactive-indicator {\\n        border-right: 0;\\n        border-left: 0;\\n        font-weight: bold;\\n        color: $primary-medium;\\n\\n        span.empty {\\n          padding-left: 5px;\\n          padding-top: 15px;\\n        }\\n      }\\n      &:not(.inactive-indicator):not(.selected):hover {\\n        background-color: $primary-very-low;\\n        .component {\\n          border-color: $primary-low-mid;\\n        }\\n      }\\n\\n      &.selected {\\n        color: $secondary;\\n        background-color: $tertiary;\\n        .components-list {\\n          color: $secondary;\\n        }\\n        .fa {\\n          color: inherit;\\n        }\\n      }\\n      &:not(.selected) {\\n        .broken-indicator {\\n          color: $danger;\\n        }\\n        .fa {\\n          opacity: 0.7;\\n        }\\n        .default-indicator {\\n          color: $success;\\n        }\\n      }\\n\\n      .light-grey-icon {\\n        color: $primary-medium;\\n      }\\n\\n      .info {\\n        overflow: hidden;\\n        display: flex;\\n        font-weight: bold;\\n        font-size: $font-up-1;\\n\\n        .icons {\\n          margin-left: auto;\\n        }\\n      }\\n\\n      .components-list {\\n        margin-top: 5px;\\n        display: inline-block;\\n        font-size: $font-down-1;\\n        align-items: baseline;\\n        color: $primary-high;\\n\\n        .others-count,\\n        .others-count:hover {\\n          text-decoration: underline;\\n        }\\n      }\\n\\n      .inner-wrapper {\\n        padding: 10px;\\n        cursor: pointer;\\n      }\\n\\n      span.empty {\\n        padding: 3px 10px 3px 10px;\\n      }\\n\\n      .inner-wrapper,\\n      span.empty {\\n        color: inherit;\\n        width: 100%;\\n      }\\n    }\\n  }\\n\\n  .theme.settings {\\n    .theme-setting {\\n      min-height: 35px;\\n    }\\n    .theme-translation {\\n      padding-bottom: 0;\\n      margin-top: 18px;\\n      min-height: 35px;\\n    }\\n    .setting-label {\\n      width: 25%;\\n      word-wrap: break-word;\\n      h3 {\\n        margin-top: 0;\\n        margin-bottom: 0.5rem;\\n      }\\n    }\\n  }\\n\\n  .current-style.maximized {\\n    position: fixed;\\n    top: 0;\\n    bottom: 0;\\n    left: 0;\\n    right: 0;\\n    z-index: z(\\"fullscreen\\");\\n    background-color: white;\\n    width: 100%;\\n    padding: 0;\\n    margin: 0;\\n    .wrapper {\\n      position: absolute;\\n      top: 20px;\\n      bottom: 10px;\\n      left: 20px;\\n      right: 20px;\\n    }\\n  }\\n\\n  .content-list,\\n  .current-style {\\n    float: left;\\n  }\\n  .content-list ul {\\n    margin-bottom: 10px;\\n  }\\n  .current-style {\\n    width: 100%;\\n\\n    .admin-container {\\n      margin: 0;\\n    }\\n\\n    .edit-main-nav .nav-pills > li a.active {\\n      background-color: $quaternary;\\n      color: $secondary;\\n    }\\n\\n    .edit-main-nav ul {\\n      padding-bottom: 0;\\n    }\\n\\n    .nav-pills {\\n      li {\\n        margin-right: 0;\\n        display: flex;\\n\\n        &.spacer {\\n          flex-grow: 1;\\n        }\\n\\n        &:last-of-type > a {\\n          margin-right: 0;\\n        }\\n\\n        a.no-text .d-icon {\\n          margin-right: 0;\\n        }\\n\\n        label {\\n          padding: 6px 12px;\\n          margin-bottom: 0;\\n        }\\n\\n        a.active {\\n          background: $primary-medium;\\n          color: $secondary;\\n        }\\n\\n        a.blank:not(.active) {\\n          color: $primary-medium;\\n        }\\n\\n        input {\\n          margin-bottom: 0;\\n          margin-left: 6px;\\n        }\\n\\n        button {\\n          margin-right: 0;\\n        }\\n      }\\n    }\\n\\n    .ace-wrapper {\\n      position: relative;\\n      height: 600px;\\n      width: 100%;\\n    }\\n\\n    &.maximized {\\n      .admin-container {\\n        position: absolute;\\n        bottom: 50px;\\n        top: 80px;\\n        width: 100%;\\n      }\\n      .admin-footer {\\n        position: absolute;\\n        bottom: 10px;\\n      }\\n      .ace-wrapper {\\n        height: calc(100% - 200px);\\n      }\\n    }\\n\\n    .ace_editor {\\n      position: absolute;\\n      left: 0;\\n      right: 0;\\n      top: 0;\\n      bottom: 0;\\n    }\\n\\n    .status-actions {\\n      float: right;\\n      margin-top: 7px;\\n      span {\\n        margin-right: 10px;\\n      }\\n    }\\n\\n    .buttons {\\n      float: left;\\n      width: 200px;\\n      .saving {\\n        padding: 5px 0 0 0;\\n        margin-left: 10px;\\n        width: 80px;\\n        color: $primary;\\n      }\\n    }\\n  }\\n  .color-scheme {\\n    .controls {\\n      button,\\n      a {\\n        margin-right: 10px;\\n      }\\n    }\\n  }\\n  .colors {\\n    thead th {\\n      border: none;\\n    }\\n    td.hex {\\n      width: 160px;\\n    }\\n    td.actions {\\n      width: 200px;\\n    }\\n    .hex-input {\\n      width: 80px;\\n      margin-bottom: 0;\\n    }\\n    .hex {\\n      text-align: center;\\n    }\\n    h3 {\\n      margin: 0;\\n    }\\n    .description {\\n      margin: 0.15em 0 0;\\n      color: $primary-high;\\n      font-size: $font-down-1;\\n      line-height: $line-height-medium;\\n    }\\n\\n    .invalid .hex input {\\n      background-color: white;\\n      color: black;\\n      border-color: $danger;\\n    }\\n  }\\n\\n  .status-message {\\n    display: block;\\n    font-size: $font-down-1;\\n    margin-top: 8px;\\n  }\\n\\n  .removable-list {\\n    list-style: none;\\n    margin-left: 0;\\n    li {\\n      &.disabled-child {\\n        .child-link {\\n          color: $primary-medium;\\n          &:hover {\\n            text-decoration: underline;\\n          }\\n        }\\n      }\\n      .btn {\\n        margin-left: 5px;\\n      }\\n      display: table-row;\\n      .col.child-link {\\n        padding-right: 10px;\\n        padding-bottom: 10px;\\n        min-width: 80px;\\n      }\\n      .col {\\n        display: table-cell;\\n      }\\n    }\\n  }\\n}\\n\\n.add-upload-modal {\\n  input[type=\\"file\\"] {\\n    display: block;\\n    margin-bottom: 0.25em;\\n    + label {\\n      color: $primary-medium;\\n    }\\n  }\\n  label {\\n    display: inline-block;\\n  }\\n}\\n\\n#custom_emoji {\\n  width: 27%;\\n}\\n\\n.modal-body .inputs .branch {\\n  margin-top: 10px;\\n}\\n\\n.modal-body .inputs .check-private {\\n  margin-top: 10px;\\n  label {\\n    padding-left: 0;\\n  }\\n  label input {\\n    width: auto;\\n    margin: 3px 0;\\n  }\\n\\n  .public-key {\\n    margin-top: 10px;\\n    textarea {\\n      cursor: auto;\\n      height: 150px;\\n    }\\n  }\\n}\\n\\n// Permalinks\\n.permalinks {\\n  .url,\\n  .topic,\\n  .category,\\n  .external_url,\\n  .post {\\n    @include ellipsis;\\n    max-width: 100px;\\n    @include breakpoint(tablet) {\\n      max-width: 100%;\\n    }\\n  }\\n\\n  &.grid tr.admin-list-item {\\n    grid-template-columns: unset;\\n  }\\n}\\n\\n.permalink-search {\\n  text-align: left;\\n  @include breakpoint(tablet, min-width) {\\n    text-align: right;\\n  }\\n}\\n\\n.permalink-form {\\n  align-items: flex-start;\\n  display: flex;\\n  flex-direction: column;\\n  flex-wrap: wrap;\\n  @include breakpoint(tablet, min-width) {\\n    align-items: center;\\n    flex-direction: row;\\n  }\\n\\n  .select-kit {\\n    width: 150px;\\n  }\\n  input {\\n    margin: 5px 0;\\n    @include breakpoint(tablet, min-width) {\\n      margin: 0 5px;\\n    }\\n  }\\n}\\n\\n.permalink-title {\\n  margin-bottom: 10px;\\n}\\n\\n.permalink-description {\\n  color: $primary-medium;\\n}\\n\\n// embedding\\n.embeddable-hosts {\\n  margin-bottom: 2em;\\n  table.grid {\\n    margin-bottom: 1em;\\n    tr td {\\n      word-wrap: break-word;\\n      max-width: 25vw;\\n      align-self: start;\\n    }\\n    td.controls {\\n      min-width: 6em;\\n    }\\n    .select-kit.combo-box.category-chooser {\\n      width: calc(100% - 10px);\\n    }\\n  }\\n  @media screen and (max-width: 880px) {\\n    table.grid {\\n      thead {\\n        display: none;\\n      }\\n      div.label {\\n        display: block;\\n        font-size: $font-down-1;\\n        color: $primary-medium;\\n      }\\n      td.controls,\\n      td.editing-controls {\\n        align-self: end;\\n      }\\n      tr {\\n        display: grid;\\n        grid-template-columns: repeat(3, 1fr);\\n      }\\n    }\\n  }\\n\\n  @media screen and (max-width: 580px) {\\n    table.grid {\\n      tr td.editing-input {\\n        grid-column-start: 1;\\n        grid-column-end: 4;\\n        max-width: 100%;\\n        input {\\n          width: calc(100% - 20px);\\n        }\\n      }\\n      td.editing-controls {\\n        margin-top: 1em;\\n        max-width: 100%;\\n      }\\n    }\\n  }\\n\\n  @include breakpoint(mobile-medium) {\\n    table.grid tr {\\n      grid-template-columns: repeat(2, 1fr);\\n      td.controls {\\n        text-align: left;\\n      }\\n    }\\n  }\\n}\\n\\n.embedding-secondary {\\n  h3 {\\n    margin: 1em 0;\\n  }\\n  margin-bottom: 2em;\\n  .embed-setting {\\n    input[type=\\"text\\"] {\\n      width: 50%;\\n    }\\n    margin: 0.75em 0;\\n  }\\n  p.description {\\n    color: $primary-medium;\\n    margin-bottom: 1em;\\n    max-width: 700px;\\n  }\\n}\\n\\n.embedding td input {\\n  margin-bottom: 0;\\n}\\n\\n.user-fields {\\n  h2 {\\n    margin-bottom: 10px;\\n  }\\n  .user-field {\\n    padding: 10px;\\n    margin-bottom: 10px;\\n    border-bottom: 1px solid $primary-low;\\n    .form-display {\\n      width: 25%;\\n      display: inline-block;\\n      float: left;\\n    }\\n    .form-element,\\n    .form-element-desc {\\n      float: left;\\n      min-height: 30px;\\n      padding: 0.25em 0;\\n      &.input-area {\\n        width: 75%;\\n        .value-list,\\n        .select-kit,\\n        input[type=\\"text\\"] {\\n          width: 50%;\\n        }\\n\\n        .value-list {\\n          .select-kit {\\n            width: 100%;\\n          }\\n        }\\n      }\\n      &.label-area {\\n        width: 25%;\\n        label {\\n          margin: 0.5em 1em 0 0;\\n          text-align: right;\\n          font-weight: bold;\\n        }\\n      }\\n    }\\n    .controls {\\n      float: right;\\n      text-align: right;\\n    }\\n    .clearfix {\\n      clear: both;\\n    }\\n  }\\n}\\n\\n.reseed-modal {\\n  .options-group-title {\\n    font-size: $font-up-2;\\n    font-weight: bold;\\n    margin: 8px 0;\\n  }\\n\\n  .option {\\n    margin-left: 1em;\\n  }\\n}\\n\\n.robots-txt-edit {\\n  div.overridden {\\n    background: $highlight-medium;\\n    padding: 7px;\\n    margin-bottom: 7px;\\n  }\\n  .robots-txt-input {\\n    width: 100%;\\n    box-sizing: border-box;\\n    height: 55vh;\\n  }\\n}\\n\\n.admin-customize-email-templates {\\n  .email-template,\\n  .controls {\\n    margin-top: 1em;\\n  }\\n\\n  .d-editor {\\n    height: 50vh;\\n  }\\n}\\n\\n.admin-customize-email-style {\\n  .ace-wrapper {\\n    position: relative;\\n    width: 100%;\\n    height: 400px;\\n    .ace_editor {\\n      position: absolute;\\n      left: 0;\\n      right: 0;\\n      top: 0;\\n      bottom: 0;\\n    }\\n  }\\n}\\n",\n\t\t".install-theme {\\n  min-width: 650px;\\n  display: flex;\\n}\\n\\n.install-theme-items {\\n  width: 200px;\\n}\\n\\n.install-theme-item {\\n  border: 1px solid $primary-low;\\n  border-bottom: none;\\n  position: relative;\\n\\n  &:last-child {\\n    border-bottom: 1px solid $primary-low;\\n  }\\n\\n  input,\\n  .d-icon-caret-right {\\n    display: none;\\n  }\\n\\n  label {\\n    display: block;\\n    padding: 10px 30px 10px 10px;\\n    margin-bottom: 0px;\\n    cursor: pointer;\\n  }\\n\\n  input:checked + label {\\n    color: $secondary;\\n    background-color: $tertiary;\\n    + .d-icon {\\n      display: block;\\n      color: $secondary;\\n    }\\n  }\\n\\n  .d-icon-caret-right {\\n    position: absolute;\\n    right: 5px;\\n    top: 50%;\\n    margin-top: -7px;\\n  }\\n}\\n\\n.install-theme-content {\\n  padding: 0px 0px 10px 20px;\\n  width: calc(100% - 200px);\\n}\\n\\n.repo {\\n  input[type=\\"text\\"] {\\n    width: 90%;\\n  }\\n}\\n\\n.popular-theme-items {\\n  height: 65vh;\\n  overflow: auto;\\n  padding-right: 20px;\\n}\\n\\n.popular-theme-item {\\n  border-bottom: 1px solid $primary-low;\\n  padding: 8px 0px;\\n  display: flex;\\n  align-items: center;\\n  .popular-theme-name {\\n    flex: 1;\\n    .popular-theme-type {\\n      font-weight: normal;\\n      font-size: $font-down-2;\\n      color: $primary-medium;\\n    }\\n\\n    a {\\n      color: $primary-very-high;\\n      font-weight: bold;\\n      &:hover,\\n      &:visited,\\n      &:active {\\n        color: $primary-high;\\n      }\\n    }\\n\\n    .popular-theme-description {\\n      font-size: $font-down-1;\\n      padding-right: 20px;\\n    }\\n  }\\n  .popular-theme-buttons {\\n    > span {\\n      font-style: italic;\\n      font-size: $font-down-1;\\n      color: $primary-medium;\\n      margin-right: 8px;\\n    }\\n\\n    > a {\\n      display: block;\\n      font-size: $font-down-2;\\n      margin-top: 5px;\\n      text-align: center;\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for admin/api\\n\\ntable.web-hooks.grid {\\n  td.delivery-status {\\n    div {\\n      display: flex;\\n      align-items: center;\\n    }\\n    .d-icon {\\n      margin-right: 0.25em;\\n    }\\n  }\\n  td.payload-url {\\n    word-wrap: break-word;\\n    max-width: 55vw;\\n  }\\n  td.controls {\\n    display: flex;\\n    button {\\n      margin-left: 0.25em;\\n    }\\n  }\\n  @media screen and (min-width: 550px) {\\n    tbody {\\n      tr {\\n        grid-template-columns: 0.5fr repeat(2, 1fr) 0.5fr;\\n      }\\n\\n      td.controls {\\n        text-align: right;\\n      }\\n    }\\n  }\\n  @include breakpoint(mobile-extra-large) {\\n    tbody {\\n      tr {\\n        grid-template-columns: 0.5fr 1fr;\\n      }\\n    }\\n    td.controls {\\n      grid-row: 2;\\n    }\\n  }\\n  //IE11 Support\\n  @media screen and (max-width: 767px) {\\n    tr {\\n      display: -ms-grid;\\n      -ms-grid-columns: 0.5fr 1fr 1fr 0.5fr;\\n      td {\\n        display: -ms-grid;\\n        &.delivery-status {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n        }\\n        &.payload-url {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 2;\\n        }\\n        &.description {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 3;\\n        }\\n        &.controls {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 4;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n// Api keys\\n\\ntable.api-keys {\\n  margin-bottom: 0.25em;\\n\\n  .key-controls {\\n    text-align: right;\\n  }\\n\\n  tr.revoked {\\n    color: $primary-medium;\\n  }\\n\\n  @include breakpoint(tablet) {\\n    tr {\\n      grid-template-columns: 0.25fr 1fr 1fr;\\n    }\\n    td.key {\\n      grid-row: 1;\\n      grid-column-start: 1;\\n      grid-column-end: 1;\\n      max-width: 100%;\\n    }\\n    td.key-description {\\n      grid-row: 1;\\n      grid-column-start: 2;\\n      grid-column-end: -1;\\n      max-width: 100%;\\n    }\\n    td.key-user {\\n      grid-row: 2;\\n      grid-column-start: 1;\\n    }\\n    td.key-controls {\\n      grid-row: 2;\\n      grid-column-end: -1;\\n      grid-column-start: 2;\\n      text-align: right;\\n      .btn {\\n        margin-bottom: 0.25em;\\n      }\\n    }\\n  }\\n  //IE11 Support\\n  @media screen and (max-width: 767px) {\\n    tr {\\n      display: -ms-grid;\\n      -ms-grid-columns: 0.25fr 1fr 1fr;\\n      -ms-grid-rows: auto auto;\\n      td {\\n        display: -ms-grid;\\n\\n        &.key {\\n          -ms-grid-row: 1;\\n          -ms-grid-column: 1;\\n          -ms-grid-column-span: 3;\\n        }\\n        &.key-user {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 1;\\n        }\\n        &.key-controls {\\n          -ms-grid-row: 2;\\n          -ms-grid-column: 2;\\n          -ms-grid-column-span: 2;\\n          display: -ms-grid;\\n          -ms-grid-columns: 125px 125px;\\n          button:first-of-type {\\n            -ms-grid-column: 1;\\n          }\\n          button:last-of-type {\\n            -ms-grid-column: 2;\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.admin-api-keys {\\n  h2 {\\n    margin-bottom: 10px;\\n  }\\n  .api-key {\\n    padding: 10px;\\n    margin-bottom: 10px;\\n    border-bottom: 1px solid $primary-low;\\n    .form-element,\\n    .form-element-desc {\\n      float: left;\\n      padding: 0.5em 0;\\n      &.input-area {\\n        width: 75%;\\n        .value-list,\\n        .select-kit,\\n        input[type=\\"text\\"] {\\n          width: 50%;\\n          margin: 0;\\n        }\\n        .ac-wrap {\\n          width: 50% !important;\\n        }\\n      }\\n      &.label-area {\\n        width: 25%;\\n        label {\\n          margin: 0.5em 1em 0 0;\\n          text-align: right;\\n          font-weight: bold;\\n        }\\n      }\\n    }\\n    .controls {\\n      float: right;\\n      text-align: left;\\n      width: 50%;\\n    }\\n  }\\n}\\n\\n// Webhook\\n.web-hook-container {\\n  .tip.good:empty {\\n    display: none;\\n  }\\n  input {\\n    max-width: calc(100% - 10px;);\\n  }\\n  .select-kit,\\n  .select-kit.multi-select {\\n    width: 100%;\\n    max-width: 360px;\\n  }\\n\\n  .event-selector {\\n    display: flex;\\n    flex-wrap: wrap;\\n    margin: 0.5em 0;\\n\\n    .hook-event {\\n      margin-bottom: 0.5em;\\n      @include breakpoint(mobile-extra-large) {\\n        width: 100%;\\n      }\\n    }\\n  }\\n\\n  > p {\\n    padding-bottom: 10px;\\n    border-bottom: $primary-low 1px solid;\\n  }\\n  .filters {\\n    margin: 5px 0;\\n    padding-bottom: 5px;\\n    border-bottom: $primary-low 1px solid;\\n    .filter {\\n      margin-bottom: 1em;\\n    }\\n    label .d-icon {\\n      margin-right: 0.25em;\\n    }\\n  }\\n  .instructions {\\n    margin-top: 5px;\\n  }\\n  .subscription-choice {\\n    margin-bottom: 10px;\\n  }\\n}\\n\\n.web-hook-direction {\\n  button {\\n    margin-right: 10px;\\n  }\\n}\\n\\n.web-hook-events {\\n  li {\\n    padding: 2px 0;\\n  }\\n  .col {\\n    display: inline-block;\\n    padding-top: 6px;\\n    vertical-align: top;\\n    overflow-y: auto;\\n    overflow-x: hidden;\\n  }\\n  .col.first {\\n    width: 90px;\\n  }\\n  .col.event-id {\\n    width: 90px;\\n  }\\n  .col.timestamp {\\n    width: 180px;\\n  }\\n  .col.completion {\\n    width: 250px;\\n  }\\n  .col.actions {\\n    width: 455px;\\n    padding-top: 0;\\n    a {\\n      text-decoration: underline;\\n    }\\n  }\\n  .col.heading.actions {\\n    padding: 4px 0;\\n  }\\n  .details {\\n    display: block;\\n    margin-top: 10px;\\n  }\\n  label {\\n    font-size: $font-0;\\n  }\\n  &.content-list {\\n    width: 100%;\\n  }\\n}\\n\\n.web-hook-events-listing {\\n  margin-top: 15px;\\n  .alert {\\n    margin: 15px 0 0 0;\\n  }\\n}\\n\\n.hook-event {\\n  display: inline-block;\\n  width: 40%;\\n  margin-left: 20px;\\n  label {\\n    display: inline-block;\\n  }\\n  p {\\n    margin: 0 0 5px 25px;\\n  }\\n}\\n",\n\t\t"// Styles for /admin/backups\\n\\n$rollback: #3d9970;\\n$rollback-dark: darken($rollback, 10%) !default;\\n$rollback-darker: darken($rollback, 20%) !default;\\n.btn-rollback {\\n  color: $secondary;\\n  background: $rollback;\\n  .d-icon {\\n    color: $secondary;\\n  }\\n  &:hover {\\n    background: $rollback-dark;\\n    .d-icon {\\n      color: currentColor;\\n    }\\n  }\\n  &:active {\\n    @include linear-gradient($rollback-darker, $rollback-dark);\\n  }\\n  &[disabled] {\\n    background: $rollback;\\n  }\\n}\\n\\n.admin-backups {\\n  table {\\n    @media screen and (min-width: 550px) {\\n      td.backup-filename {\\n        grid-column-start: 1;\\n        grid-column-end: 6;\\n      }\\n      td.backup-size {\\n        grid-column-end: -1;\\n        text-align: right;\\n      }\\n      td.backup-controls {\\n        margin-top: 0.25em;\\n        grid-row: 2;\\n        grid-column-start: 1;\\n        grid-column-end: 5;\\n        text-align: right;\\n        .btn {\\n          margin-top: 0.25em;\\n        }\\n      }\\n    }\\n    @include breakpoint(mobile-extra-large) {\\n      td.backup-filename {\\n        grid-column-start: 1;\\n        grid-column-end: 3;\\n      }\\n      td.backup-size {\\n        text-align: right;\\n      }\\n      td.backup-controls {\\n        grid-column-start: 1;\\n        grid-column-end: 4;\\n      }\\n    }\\n    @include breakpoint(tablet) {\\n      td.backup-controls {\\n        text-align: left;\\n      }\\n    }\\n  }\\n}\\n\\n.admin-backups-logs {\\n  max-height: 65vh;\\n  overflow: auto;\\n}\\n\\nbutton.ru {\\n  position: relative;\\n  min-width: 110px;\\n}\\n\\n.ru-progress {\\n  position: absolute;\\n  top: 0;\\n  left: 0;\\n  height: 100%;\\n  background: rgba(0, 175, 0, 0.3);\\n}\\n\\n.is-uploading:hover .ru-progress {\\n  background: rgba(200, 0, 0, 0.3);\\n}\\n\\n.start-backup-modal {\\n  .btn {\\n    margin: 10px 0 10px 5px;\\n  }\\n  .btn:first-of-type {\\n    margin-left: 10px;\\n  }\\n}\\n\\n.backup-options {\\n  display: flex;\\n  align-items: center;\\n  flex-wrap: wrap;\\n  .btn {\\n    margin-right: 0.5em;\\n  }\\n  .backup-message {\\n    margin-left: auto;\\n    @include breakpoint(mobile-extra-large) {\\n      margin: 1.25em 0 0;\\n    }\\n  }\\n}\\n",\n\t\t"// Styles for /admin/plugins\\n\\n.admin-contents.admin-plugins {\\n  .controls {\\n    .settings-button {\\n      margin-left: auto;\\n    }\\n  }\\n  .grid {\\n    @media screen and (min-width: 550px) {\\n      tr {\\n        grid-template-columns: 0.25fr repeat(4, 1fr);\\n      }\\n    }\\n    @include breakpoint(mobile-extra-large) {\\n      tr {\\n        grid-template-columns: 0.25fr repeat(3, 1fr);\\n      }\\n      td.plugin-name {\\n        grid-column-start: 2;\\n        grid-column-end: -1;\\n      }\\n      td.settings {\\n        grid-row: 2;\\n        grid-column-start: 4;\\n        text-align: right;\\n        button {\\n          display: flex;\\n        }\\n      }\\n      td.version {\\n        grid-row: 2;\\n        grid-column-start: 3;\\n      }\\n      td.col-enabled {\\n        grid-row: 2;\\n        grid-column-start: 2;\\n      }\\n    }\\n  }\\n}\\n\\n.admin-plugins-official-badge {\\n  color: $success;\\n}\\n",\n\t\t".admin-reports {\\n  .admin-report {\\n    width: 100%;\\n\\n    .report-header {\\n      padding-bottom: 0.5em;\\n      margin-bottom: 1em;\\n      border-bottom: 1px solid $primary-low;\\n    }\\n  }\\n\\n  .admin-report-chart .chart-canvas-container .chart-canvas {\\n    height: 400px;\\n  }\\n\\n  .report-container {\\n    display: flex;\\n\\n    .loading-container {\\n      width: 100%;\\n    }\\n\\n    .visualization {\\n      display: flex;\\n      flex: 4;\\n    }\\n\\n    .filters {\\n      display: flex;\\n      flex: 1 0 0px;\\n      align-items: center;\\n      flex-direction: column;\\n      margin-left: 2em;\\n\\n      .date-picker {\\n        margin: 0;\\n        width: 195px;\\n      }\\n\\n      .combo-box,\\n      .date-picker-wrapper,\\n      .btn {\\n        width: 100%;\\n        margin-bottom: 1em;\\n      }\\n    }\\n\\n    @include breakpoint(medium) {\\n      flex-direction: column;\\n      min-width: 100%;\\n\\n      .visualization {\\n        order: 2;\\n      }\\n\\n      .filters {\\n        order: 1;\\n        margin: 0;\\n        align-items: flex-start;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".admin-report {\\n  .conditional-loading-section {\\n    &.is-loading {\\n      margin: 0;\\n    }\\n  }\\n\\n  .header {\\n    display: flex;\\n    align-items: center;\\n    border-bottom: 1px solid $primary-low;\\n    margin-bottom: 0.5em;\\n    padding-bottom: 0.5em;\\n  }\\n\\n  .header .breadcrumb {\\n    margin: 0;\\n    list-style: none;\\n\\n    .item {\\n      display: inline;\\n      font-size: $font-up-1;\\n    }\\n\\n    .all-reports .report-url {\\n      font-weight: 700;\\n    }\\n\\n    .report {\\n      font-weight: 700;\\n\\n      .report-url {\\n        color: $primary;\\n      }\\n\\n      .info {\\n        cursor: pointer;\\n        margin-left: 0.25em;\\n        color: $primary-low-mid;\\n\\n        &:hover {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n  }\\n\\n  .header .trend {\\n    margin-left: auto;\\n    margin-right: 8px;\\n\\n    &.trending-down,\\n    &.high-trending-down {\\n      color: $danger;\\n    }\\n\\n    &.trending-up,\\n    &.high-trending-up {\\n      color: $success;\\n    }\\n\\n    &.no-change {\\n      color: $primary-medium;\\n      .d-icon {\\n        display: none;\\n      }\\n    }\\n\\n    .value {\\n      font-size: $font-up-1;\\n    }\\n\\n    .icon {\\n      font-size: $font-up-1;\\n      font-weight: 700;\\n    }\\n  }\\n\\n  .body {\\n    display: flex;\\n  }\\n\\n  .main {\\n    flex: 1;\\n  }\\n\\n  .main .report-alert {\\n    margin: 0;\\n    text-align: center;\\n    padding: 3em;\\n    border: 1px solid transparent;\\n\\n    a {\\n      color: $primary-medium;\\n    }\\n\\n    .d-icon {\\n      color: currentColor;\\n      font-size: $font-up-5;\\n      display: block;\\n      margin: 0.25em auto;\\n    }\\n\\n    &.no-data,\\n    &.rate-limited {\\n      background: $secondary;\\n      border-color: $primary-low;\\n      color: $primary-low-mid;\\n    }\\n\\n    &.rate-limited .d-icon {\\n      color: $danger;\\n    }\\n\\n    &.timeout,\\n    &.exception {\\n      border-color: $danger-low;\\n      color: $danger;\\n    }\\n  }\\n\\n  .filters {\\n    display: flex;\\n    margin-left: 1em;\\n    flex-direction: column;\\n    width: 220px;\\n\\n    .modes {\\n      margin: 0 0 1em 0;\\n      padding: 0;\\n      list-style: none;\\n\\n      .mode {\\n        display: inline-flex;\\n        flex: 1 0 0px;\\n\\n        .mode-btn.is-current {\\n          color: $tertiary;\\n        }\\n      }\\n    }\\n\\n    .control {\\n      margin-bottom: 1em;\\n    }\\n\\n    .control .label {\\n      font-weight: 700;\\n      width: 100%;\\n    }\\n\\n    .control .input,\\n    .control .select-kit {\\n      width: 100%;\\n\\n      .export-csv-btn {\\n        width: 100%;\\n      }\\n\\n      .refresh-report-btn {\\n        width: 100%;\\n      }\\n\\n      .date-picker-wrapper {\\n        width: 100%;\\n        .date-picker {\\n          box-sizing: border-box;\\n          width: 100%;\\n          margin: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.rtl .admin-report {\\n  .filters {\\n    margin-left: 0;\\n    margin-right: 1em;\\n  }\\n\\n  .trend {\\n    margin-left: unset;\\n    margin-right: auto;\\n  }\\n}\\n\\n.admin-report.storage-stats {\\n  .main {\\n    flex: 1 0 auto;\\n  }\\n}\\n",\n\t\t".admin-report {\\n  .admin-report-counters {\\n    display: grid;\\n    flex: 1 0 0px;\\n    grid-template-columns: 33% repeat(auto-fit, minmax(20px, 1fr));\\n    grid-template-rows: repeat(auto-fit, minmax(32px, 1fr));\\n    align-items: center;\\n\\n    // IE11 grid support\\n    display: -ms-grid;\\n    -ms-grid-columns: 2fr 1fr 1fr 1fr 1fr;\\n    .cell {\\n      -ms-grid-row: 1;\\n      -ms-grid-column-span: 1;\\n\\n      &:nth-of-type(1) {\\n        -ms-grid-column: 1;\\n      }\\n      &:nth-of-type(2) {\\n        -ms-grid-column: 2;\\n      }\\n      &:nth-of-type(3) {\\n        -ms-grid-column: 3;\\n      }\\n      &:nth-of-type(4) {\\n        -ms-grid-column: 4;\\n      }\\n      &:nth-of-type(5) {\\n        -ms-grid-column: 5;\\n      }\\n    }\\n\\n    .cell {\\n      padding: 0.25em;\\n      text-align: right;\\n      white-space: nowrap;\\n\\n      &.title {\\n        text-align: left;\\n        @include ellipsis;\\n\\n        .d-icon {\\n          color: $primary-low-mid;\\n          min-width: 14px;\\n          text-align: center;\\n        }\\n\\n        .d-icon {\\n          margin: 0;\\n        }\\n      }\\n\\n      @media screen and (max-width: 400px) {\\n        &.title .d-icon {\\n          display: none;\\n        }\\n      }\\n\\n      .d-icon-minus {\\n        color: $primary-medium;\\n        font-size: $font-down-3;\\n      }\\n\\n      &.high-trending-up,\\n      &.trending-up {\\n        .d-icon {\\n          color: $success;\\n        }\\n      }\\n      &.high-trending-down,\\n      &.trending-down {\\n        .d-icon {\\n          color: $danger;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.rtl .counters-list .counters-header .counters-cell {\\n  text-align: left;\\n}\\n\\n.rtl .counters-list {\\n  .cell {\\n    text-align: left;\\n\\n    &.title {\\n      text-align: right;\\n    }\\n  }\\n}\\n",\n\t\t".admin-report-chart {\\n}\\n",\n\t\t".admin-report-stacked-chart {\\n  .chart-canvas-container {\\n    height: 250px;\\n  }\\n}\\n",\n\t\t".admin-report-table {\\n  &.two-columns {\\n    .table .admin-report-table-cell:first-child,\\n    .table .admin-report-table-header:first-child {\\n      @include ellipsis;\\n      text-align: left;\\n      width: 80%;\\n    }\\n\\n    .table .admin-report-table-cell:last-child,\\n    .table .admin-report-table-header:last-child {\\n      display: inline-block;\\n      width: 80%;\\n      text-align: right;\\n    }\\n  }\\n\\n  .table {\\n    margin: 0;\\n    border: 1px solid $primary-low;\\n    table-layout: fixed;\\n\\n    tbody {\\n      border-top: 0;\\n    }\\n  }\\n\\n  .table .admin-report-table-header {\\n    .sort-btn {\\n      outline: none;\\n      background: none;\\n      padding: 3px 8px;\\n      @include ellipsis;\\n    }\\n\\n    &.is-current-sort {\\n      .d-icon {\\n        color: $tertiary;\\n      }\\n\\n      .sort-btn:hover {\\n        color: $primary-medium;\\n        background: $primary-low;\\n      }\\n    }\\n\\n    &:not(.is-current-sort) .sort-btn {\\n      background: none;\\n\\n      &:hover {\\n        color: $primary-medium;\\n        background: $primary-low;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n  }\\n\\n  .admin-report-table-cell {\\n    &.user .username {\\n      margin-left: 0.25em;\\n    }\\n  }\\n\\n  .total-row {\\n    background: $primary-very-low;\\n\\n    td {\\n      font-weight: 700;\\n      text-align: left;\\n    }\\n  }\\n\\n  .pagination {\\n    display: flex;\\n    justify-content: flex-end;\\n    margin-top: 0.25em;\\n\\n    button {\\n      margin-left: 0.5em;\\n\\n      &.is-current {\\n        color: $tertiary;\\n      }\\n    }\\n  }\\n}\\n\\n.admin-report.top-referred-topics {\\n  .admin-report-table-header.topic_title {\\n    width: 80%;\\n  }\\n}\\n\\n.admin-report.trending-search {\\n  .admin-report-table-header.ctr,\\n  .admin-report-table-header.unique_searches,\\n  .admin-report-table-cell.ctr,\\n  .admin-report-table-cell.unique_searches {\\n    text-align: center;\\n    width: 20%;\\n  }\\n\\n  .admin-report-table-cell.term {\\n    @include ellipsis;\\n  }\\n}\\n\\n.admin-report.moderators-activity {\\n  .admin-report-table-header.seconds,\\n  .admin-report-table-header.number,\\n  .admin-report-table-cell.seconds,\\n  .admin-report-table-cell.number {\\n    text-align: center;\\n  }\\n\\n  .admin-report-table-header.user {\\n    width: 20%;\\n  }\\n}\\n\\n.admin-report.post-edits {\\n  .admin-report-table-header.user {\\n    width: 20%;\\n  }\\n\\n  .admin-report-table-cell.post,\\n  .admin-report-table-cell.edit_reason {\\n    @include ellipsis;\\n  }\\n}\\n\\n.admin-report.flags-status {\\n  .admin-report-table-header.response_time,\\n  .admin-report-table-cell.response_time {\\n    text-align: center;\\n  }\\n}\\n\\n.rtl {\\n  .admin-report-table {\\n    &.two-columns {\\n      .table .admin-report-table-cell:first-child,\\n      .table .admin-report-table-header:first-child {\\n        text-align: right;\\n      }\\n\\n      .table .admin-report-table-cell:last-child,\\n      .table .admin-report-table-header:last-child {\\n        text-align: left;\\n      }\\n    }\\n\\n    .total-row {\\n      td {\\n        text-align: right;\\n      }\\n    }\\n  }\\n\\n  .admin-report-table-cell {\\n    &.user .username {\\n      margin-left: 0;\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .admin-report.trending-search {\\n    .admin-report-table-header.term,\\n    .admin-report-table-cell.term {\\n      text-align: right;\\n    }\\n  }\\n\\n  .pagination {\\n    button {\\n      margin-left: 0;\\n      margin-right: 0.5em;\\n    }\\n  }\\n\\n  .admin-report.moderators-activity {\\n    .admin-report-table-header.user,\\n    .admin-report-table-cell.user {\\n      text-align: right;\\n    }\\n  }\\n}\\n",\n\t\t".admin-report-inline-table {\\n  .table-container {\\n    display: flex;\\n    flex-wrap: wrap;\\n    flex: 1 1 auto;\\n  }\\n}\\n",\n\t\t"// Unified styles for badge and customize pages\\n.admin-intro {\\n  display: inline-block;\\n  width: 51%;\\n  vertical-align: top;\\n  margin-left: 20%;\\n  margin-top: 60px;\\n\\n  img {\\n    display: inline-block;\\n    width: 50px;\\n    height: 50px;\\n    margin-right: 10px;\\n    vertical-align: top;\\n    margin-top: 5px;\\n  }\\n  .create-actions {\\n    margin-bottom: 1em;\\n  }\\n  .content-wrapper {\\n    display: inline-block;\\n    vertical-align: top;\\n    width: 65%;\\n    h1 {\\n      display: inline-block;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n  .external-link {\\n    display: block;\\n    margin-bottom: 5px;\\n  }\\n\\n  @include breakpoint(mobile-extra-large) {\\n    width: 100%;\\n    margin: 2em 0;\\n    .content-wrapper {\\n      width: 100%;\\n    }\\n    img {\\n      display: none;\\n    }\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AOOA,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAED,AAAA,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAKD,AAAA,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACf,AAED,AAAA,KAAK,CACL,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAED,AAAA,UAAU,AAAC,CACT,UAAU,CAAE,MAAM,CACnB,AAED,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,gBAAgB,CACtB,MAAM,CAAE,CAAC,CACV,AAKD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,KAAK,CAChB,AAKD,AACE,SADO,AACN,OAAO,CADV,SAAS,AAEN,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,GAAG,CACb,AALH,AAME,SANO,AAMN,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAMH,AAAA,kBAAkB,AAAC,CACjB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACxB,AAKD,AAAA,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CAChB,AAID,AAAA,iBAAiB,AAAA,MAAM,AAAC,CACtB,UAAU,CLgHA,OAAoD,CK/G9D,KAAK,CJnFG,IAAO,CIoFhB,AN1ED,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,MAAM,CAAE,IAAI,CA8Db,AA7DC,AAAA,YAAY,CAPd,eAAe,AAOE,CACb,UAAU,CAAE,IAAI,CACjB,AKAD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELTrC,AAAA,eAAe,AAAC,CAWZ,KAAK,CAAE,iBAAiB,CACxB,WAAW,CAAE,KAAK,CAClB,OAAO,CAAE,UAAU,CAuDtB,CApED,AAgBE,eAhBa,CAgBb,UAAU,AAAC,CACT,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,iBAAiB,CACxB,IAAI,CAAE,QAAQ,CAoBf,AK/BD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELTrC,AAgBE,eAhBa,CAgBb,UAAU,AAAC,CAMP,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,MAAM,CACjB,UAAU,CAAE,MAAM,CAClB,0BAA0B,CAAE,KAAK,CACjC,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,gBAAgB,CAa5B,CAxCH,AA6BI,eA7BW,CAgBb,UAAU,AAaP,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AA/BL,AAgCI,eAhCW,CAgBb,UAAU,CAgBN,EAAE,AAAC,CACH,MAAM,CAAE,CAAC,CAMV,AAvCL,AAmCQ,eAnCO,CAgBb,UAAU,CAgBN,EAAE,AAED,aAAa,CACV,CAAC,AAAC,CACF,YAAY,CAAE,IAAI,CACnB,AK5BP,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELTrC,AA2CI,eA3CW,AA2CV,OAAO,AAAC,CACP,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,KAAK,CAClB,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,4DAIX,CACF,AAtDL,AAuDI,eAvDW,AAuDV,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,4DAIX,CACF,CAKH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EADrC,AAAA,YAAY,AAAC,CAET,MAAM,CAAE,cAAc,CAEzB,CAED,AAAA,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,eAAe,CAAC,KAAK,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAkCjB,AApCD,AAIE,eAJa,CAAC,KAAK,CAInB,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CACjB,AANH,AAOE,eAPa,CAAC,KAAK,CAOnB,EAAE,CAPJ,eAAe,CAAC,KAAK,CAQnB,EAAE,AAAC,CACD,OAAO,CAAE,GAAG,CACb,AAVH,AAWE,eAXa,CAAC,KAAK,CAWnB,EAAE,AAAA,MAAM,AAAC,CACP,gBAAgB,CC4FR,OAAoD,CD3F7D,AAbH,AAcE,eAda,CAAC,KAAK,CAcnB,EAAE,AAAA,SAAS,AAAC,CACV,gBAAgB,CCyFR,OAAoD,CDxF7D,AAhBH,AAiBE,eAjBa,CAAC,KAAK,CAiBnB,QAAQ,CAAC,KAAK,AAAC,CACb,aAAa,CAAE,CAAC,CACjB,AAnBH,AAoBE,eApBa,CAAC,KAAK,CAoBnB,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AAED,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,OAAO,SAAS,EAAE,KAAK,EAxB5D,AAyBI,eAzBW,CAAC,KAAK,CAyBjB,EAAE,CAzBN,eAAe,CAAC,KAAK,CA0BjB,EAAE,AAAC,CACD,OAAO,CAAE,OAAO,CACjB,AA5BL,AA6BI,eA7BW,CAAC,KAAK,CA6BjB,EAAE,AAAC,CACD,cAAc,CAAE,MAAM,CACvB,AA/BL,AAgCI,eAhCW,CAAC,KAAK,CAgCjB,EAAE,AAAA,SAAS,AAAC,CACV,SAAS,CAAE,KAAK,CACjB,CAMH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAFrC,AAGI,eAHW,CAAC,KAAK,AAAA,KAAK,CAGtB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AALL,AAMI,eANW,CAAC,KAAK,AAAA,KAAK,CAMtB,MAAM,AAAC,CACL,OAAO,CAAE,KAAK,CACd,KAAK,CC0DC,OAAoD,CDzD1D,SAAS,CCtFD,OAAQ,CDuFhB,MAAM,CAAE,gBAAgB,CACzB,AAXL,AAYI,eAZW,CAAC,KAAK,AAAA,KAAK,CAYtB,EAAE,AAAC,CACD,qBAAqB,CAAE,cAAc,CACrC,OAAO,CAAE,IAAI,CACb,WAAW,CC/EI,GAAG,CDgFlB,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,CAAC,CAKb,AAtBL,AAkBM,eAlBS,CAAC,KAAK,AAAA,KAAK,CAYtB,EAAE,CAMA,EAAE,AAAC,CACD,OAAO,CAAE,GAAG,CACZ,UAAU,CAAE,MAAM,CACnB,AArBP,AAwBI,eAxBW,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,AAAC,CACf,qBAAqB,CAAE,cAAc,CAgCtC,AAzDL,AA0BM,eA1BS,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CAEd,EAAE,AAAA,YAAY,AAAC,CACb,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACnB,SAAS,CAAE,CAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AA/BP,AAgCM,eAhCS,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CAQd,EAAE,AAAA,aAAa,AAAC,CACd,QAAQ,CAAE,CAAC,CACX,eAAe,CAAE,EAAE,CACnB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,KAAK,CAClB,AArCP,AAsCM,eAtCS,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CAcd,EAAE,AAAA,aAAa,AAAC,CACd,QAAQ,CAAE,CAAC,CACX,eAAe,CAAE,EAAE,CACnB,UAAU,CAAE,KAAK,CAClB,AA1CP,AA2CM,eA3CS,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CAmBd,EAAE,AAAA,oBAAoB,AAAC,CACrB,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CAKlB,AApDP,AAgDQ,eAhDO,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CAmBd,EAAE,AAAA,oBAAoB,CAKpB,CAAC,AAAC,CACA,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,iBAAiB,CAC1B,AAnDT,AAqDM,eArDS,CAAC,KAAK,AAAA,KAAK,CAwBtB,EAAE,AAAA,cAAc,CA6Bd,EAAE,AAAA,YAAY,AAAC,CACb,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,CAIL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA5DrC,AA6DI,eA7DW,CAAC,KAAK,AAAA,KAAK,CA6DtB,EAAE,AAAC,CACD,qBAAqB,CAAE,cAAc,CACtC,CAIL,AACE,WADS,CACT,YAAY,AAAC,CACX,aAAa,CAAE,GAAG,CAYnB,AAdH,AAGI,WAHO,CACT,YAAY,CAEV,CAAC,AAAC,CACA,UAAU,CAAE,CAAC,CACd,AALL,AAMI,WANO,CACT,YAAY,CAKV,iBAAiB,AAAC,CAChB,OAAO,CAAE,KAAK,CACd,SAAS,CCzJN,GAAG,CD0JN,KAAK,CAAE,GAAG,CACX,AAVL,AAWI,WAXO,CACT,YAAY,CAUV,OAAO,AAAC,CACN,KAAK,CAAE,KAAK,CACb,AAbL,AAeE,WAfS,CAeT,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAjBH,AAkBE,WAlBS,CAkBT,UAAU,AAAC,CACT,MAAM,CAAE,OAAO,CACf,aAAa,CAAE,GAAG,CAAC,KAAK,CCrBhB,OAAoD,CDsB5D,aAAa,CAAE,KAAK,CAwBrB,AA7CH,AAsBI,WAtBO,CAkBT,UAAU,AAIP,WAAW,AAAC,CACX,gBAAgB,CCxBV,OAAoD,CDyB3D,AAxBL,AAyBI,WAzBO,CAkBT,UAAU,CAOR,EAAE,AAAC,CACD,WAAW,CAAE,MAAM,CACnB,SAAS,CC5KN,GAAG,CDgLP,AK/MH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELgLrC,AAyBI,WAzBO,CAkBT,UAAU,CAOR,EAAE,AAAC,CAIC,SAAS,CAAE,UAAU,CAExB,CA/BL,AAgCI,WAhCO,CAkBT,UAAU,CAcR,MAAM,AAAA,KAAK,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAlCL,AAmCI,WAnCO,CAkBT,UAAU,CAiBR,gBAAgB,AAAC,CACf,MAAM,CAAE,iBAAiB,CAOzB,KAAK,CC5CC,OAAoD,CD6C3D,AK5NH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELgLrC,AAmCI,WAnCO,CAkBT,UAAU,CAiBR,gBAAgB,AAAC,CAGb,UAAU,CAAE,KAAK,CAMpB,CK5NH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELgLrC,AAmCI,WAnCO,CAkBT,UAAU,CAiBR,gBAAgB,AAAC,CAMb,SAAS,CAAE,UAAU,CAGxB,CA5CL,AA+CI,WA/CO,CA8CT,eAAe,CACb,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CACjB,AAlDL,AAmDI,WAnDO,CA8CT,eAAe,CAKb,cAAc,CAnDlB,WAAW,CA8CT,eAAe,CAMb,MAAM,AAAC,CACL,aAAa,CAAE,GAAG,CACnB,AKtOH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELgLrC,AAwDM,WAxDK,CA8CT,eAAe,CAUX,MAAM,AAAC,CACL,SAAS,CAAE,UAAU,CACtB,CA1DP,AA4DI,WA5DO,CA8CT,eAAe,CAcb,QAAQ,AAAC,CACP,UAAU,CAAE,GAAG,CAChB,AA9DL,AAgEE,WAhES,CAgET,CAAC,AAAA,QAAQ,AAAC,CACR,KAAK,CE7PA,OAAO,CF8Pb,AAGH,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CAUZ,AAZD,AAGE,aAHW,CAGX,EAAE,CAAC,CAAC,CAAC,IAAI,AAAA,MAAM,AAAC,CACd,SAAS,CCzNC,OAAQ,CD0NlB,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CAClB,gBAAgB,CC7ER,OAAoD,CD8E5D,OAAO,CAAE,OAAO,CAChB,aAAa,CAAE,GAAG,CAClB,KAAK,CElRC,IAAO,CFmRd,AAGH,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACX,AAED,AAAA,cAAc,AAAC,CACb,aAAa,CAAE,IAAI,CAkDpB,AAnDD,AAEE,cAFY,CAEZ,eAAe,AAAC,CACd,OAAO,CAAE,SAAS,CAEnB,AALH,AK7PE,cL6PY,CAEZ,eAAe,AK/Pd,OAAO,CL6PV,cAAc,CAEZ,eAAe,AK9Pd,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,ALyPH,AKxPE,cLwPY,CAEZ,eAAe,AK1Pd,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,ALsPH,AAME,cANY,CAMZ,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACb,AARH,AASE,cATY,CASZ,KAAK,AAAA,OAAO,AAAC,CACX,UAAU,CAAE,IAAI,CAwCjB,AAlDH,AAYM,cAZQ,CASZ,KAAK,AAAA,OAAO,CAEV,EAAE,CACA,EAAE,AAAA,YAAa,CAAA,CAAC,CAAE,CAChB,KAAK,CAAE,GAAG,CACX,AAdP,AAmBM,cAnBQ,CASZ,KAAK,AAAA,OAAO,CAQV,EAAE,AAAA,iBAAiB,CAEjB,EAAE,CAnBR,cAAc,CASZ,KAAK,AAAA,OAAO,CASV,EAAE,AAAA,MAAM,CACN,EAAE,AAAC,CACD,WAAW,CAAE,GAAG,CACjB,AArBP,AA0BQ,cA1BM,CASZ,KAAK,AAAA,OAAO,AAeT,aAAa,CACZ,EAAE,CACA,EAAE,AAAA,YAAa,CAAA,CAAC,CAAE,CAChB,KAAK,CAAE,GAAG,CACX,AA5BT,AA8BM,cA9BQ,CASZ,KAAK,AAAA,OAAO,AAeT,aAAa,CAMZ,EAAE,AAAA,QAAQ,AAAC,CACT,SAAS,CAAE,CAAC,CK9PlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CL8PlB,AAjCP,AAmCI,cAnCU,CASZ,KAAK,AAAA,OAAO,CA0BV,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,YAAY,CAStB,AAjDL,AAyCM,cAzCQ,CASZ,KAAK,AAAA,OAAO,CA0BV,cAAc,CAMZ,IAAI,AAAC,CACH,UAAU,CAAE,GAAG,CACf,gBAAgB,CEpUb,IAAO,CFqUV,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,KAAK,CACjB,aAAa,CAAE,GAAG,CAClB,KAAK,CEzUD,IAAO,CF0UZ,AAKP,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,QAAQ,CACtB,AAED,AACE,YADU,CAAC,WAAW,CACtB,SAAS,CAAC,OAAO,AAAC,CAChB,KAAK,CCpJG,OAAoD,CDqJ7D,AAGH,AAAA,UAAU,AAAC,CACT,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,YAAY,CAgCtB,AAlCD,AAGE,UAHQ,CAGR,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,CAAC,CACR,OAAO,CC/PG,GAAG,CDgQb,UAAU,CC3NJ,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CD4NpC,UAAU,CAAE,IAAI,CAChB,gBAAgB,CEnWR,IAAO,CFoWf,OAAO,CAAE,aAAa,CAsBvB,AAjCH,AAYI,UAZM,CAGR,aAAa,CASX,WAAW,AAAC,CACV,SAAS,CCpTD,OAAQ,CDqThB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACb,IAAI,CAAE,IAAI,CACX,AAjBL,AAkBI,UAlBM,CAGR,aAAa,CAeX,eAAe,AAAC,CACd,MAAM,CAAE,OAAO,CACf,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,IAAI,CACd,KAAK,CAAE,KAAK,CAUb,AAhCL,AAuBM,UAvBI,CAGR,aAAa,CAeX,eAAe,CAKb,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AAzBP,AA0BM,UA1BI,CAGR,aAAa,CAeX,eAAe,CAQb,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CACjB,AA5BP,AA6BM,UA7BI,CAGR,aAAa,CAeX,eAAe,CAWb,EAAE,CAAC,EAAE,AAAA,cAAc,AAAC,CAClB,KAAK,CAAE,KAAK,CACb,AAKP,AAAA,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CA8CjB,AA/CD,AAII,gBAJY,CAGd,SAAS,CACP,KAAK,AAAC,CACJ,SAAS,CAAE,IAAI,CAKhB,AAJC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EANzC,AAII,gBAJY,CAGd,SAAS,CACP,KAAK,AAAC,CAGF,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CAEd,CAVL,AAYE,gBAZc,CAYd,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAdH,AAeE,gBAfc,CAed,WAAW,AAAA,aAAa,AAAC,CACvB,KAAK,CAAE,KAAK,CACb,AAjBH,AAkBE,gBAlBc,CAkBd,WAAW,AAAA,oBAAoB,AAAC,CAC9B,KAAK,CAAE,IAAI,CACZ,AApBH,AAqBE,gBArBc,CAqBd,mBAAmB,AAAC,CAClB,WAAW,CAAE,IAAI,CAKlB,AAJC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAvBvC,AAqBE,gBArBc,CAqBd,mBAAmB,AAAC,CAGhB,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,CAAC,CAEjB,CA3BH,AA6BE,gBA7Bc,CA6Bd,sBAAsB,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,GAAG,CACb,AK3YD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EL2WrC,AAkCI,gBAlCY,CAkCZ,WAAW,AAAA,eAAe,CACxB,sBAAsB,CACtB,EAAE,AAAA,cAAc,CAChB,gBAAgB,AAAC,CACjB,SAAS,CC/WD,OAAQ,CDgXjB,CAvCL,AKhWE,gBLgWc,CAyCd,SAAS,AKzYR,OAAO,CLgWV,gBAAgB,CAyCd,SAAS,AKxYR,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,OAAO,CAAE,KAAK,CACf,AL4VH,AK3VE,gBL2Vc,CAyCd,SAAS,AKpYR,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,ALyVH,AA2CI,gBA3CY,CAyCd,SAAS,CAEP,cAAc,AAAC,CACb,UAAU,CAAE,GAAG,CAChB,AAIL,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,UAAU,CAKxB,AARD,AAIE,YAJU,CAIV,YAAY,CAJd,YAAY,CAKV,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,gBAAgB,CCzPN,OAAoD,CD0P9D,WAAW,CAAE,MAAM,CA6KpB,AAhLD,AAKE,eALa,CAKb,cAAc,AAAC,CACb,WAAW,CAAE,IAAI,CAClB,AAPH,AAQE,eARa,CAQb,GAAG,AAAC,CACF,gBAAgB,CChQR,OAAoD,CDiQ5D,KAAK,CAAE,IAAI,CACZ,AAXH,AAYE,eAZa,CAYb,GAAG,AAAC,CACF,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CAkCb,AK3dD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELsarC,AAYE,eAZa,CAYb,GAAG,AAAC,CASA,KAAK,CAAE,iBAAiB,CACxB,YAAY,CAAE,IAAI,CAClB,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,KAAK,CA6BtB,CArDH,AA2BI,eA3BW,CAYb,GAAG,AAeA,OAAO,AAAC,CAEP,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,gBAAgB,CACxB,UAAU,CAAE,+DAIX,CACF,AAvCL,AAyCI,eAzCW,CAYb,GAAG,AA6BA,MAAM,AAAC,CACN,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,gBAAgB,CACxB,UAAU,CAAE,+DAIX,CACF,AApDL,AAuDE,eAvDa,CAuDb,UAAU,AAAC,CACT,KAAK,CAAE,iBAAiB,CACxB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAqBjB,AKxfD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELsarC,AAuDE,eAvDa,CAuDb,UAAU,AAAC,CAQP,WAAW,CAAE,KAAK,CAClB,UAAU,CAAE,MAAM,CAClB,0BAA0B,CAAE,KAAK,CAiBpC,CAlFH,AAoEI,eApEW,CAuDb,UAAU,AAaP,OAAO,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AAtEL,AAuEI,eAvEW,CAuDb,UAAU,CAgBN,EAAE,AAAC,CACH,MAAM,CAAE,CAAC,CASV,AAjFL,AAyEM,eAzES,CAuDb,UAAU,CAgBN,EAAE,CAEF,CAAC,AAAA,OAAO,AAAC,CACP,UAAU,CCjUN,OAAoD,CDkUzD,AA3EP,AA6EQ,eA7EO,CAuDb,UAAU,CAgBN,EAAE,AAKD,aAAa,CACV,CAAC,AAAC,CACF,YAAY,CAAE,IAAI,CACnB,AA/ET,AAmFE,eAnFa,CAmFb,EAAE,AAAC,CACD,SAAS,CC9dD,QAAQ,CD+dhB,WAAW,CC9cM,GAAG,CD+cpB,KAAK,CE/gBC,IAAO,CFghBd,AAvFH,AAwFE,eAxFa,CAwFb,SAAS,AAAC,CACR,UAAU,CChVF,OAAoD,CDiV5D,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CA0BpB,AK7hBD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELsarC,AAwFE,eAxFa,CAwFb,SAAS,AAAC,CAON,MAAM,CAAE,OAAO,CAwBlB,CAvHH,AAiGI,eAjGW,CAwFb,SAAS,CASP,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AAnGL,AAoGI,eApGW,CAwFb,SAAS,CAYP,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CACjB,aAAa,CAAE,CAAC,CAIjB,AKhhBH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ELsarC,AAoGI,eApGW,CAwFb,SAAS,CAYP,KAAK,AAAC,CAIF,SAAS,CAAE,KAAK,CAEnB,CA1GL,AA2GI,eA3GW,CAwFb,SAAS,AAmBN,OAAO,AAAC,CACP,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,MAAM,CASpB,AAtHL,AA8GM,eA9GS,CAwFb,SAAS,AAmBN,OAAO,CAGN,KAAK,AAAC,CACJ,IAAI,CAAE,SAAS,CACf,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AArHP,AAkHQ,eAlHO,CAwFb,SAAS,AAmBN,OAAO,CAGN,KAAK,CAIH,KAAK,AAAC,CACJ,YAAY,CAAE,KAAK,CACpB,AApHT,AAwHE,eAxHa,CAwHb,SAAS,CAAC,YAAY,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,QAAQ,CACjB,YAAY,CAAE,IAAI,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,CCpXT,OAAoD,CDqX5D,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,WAAW,CACvB,KAAK,CEzjBC,IAAO,CFgkBd,AAvIH,AAiII,eAjIW,CAwHb,SAAS,CAAC,YAAY,AASnB,MAAM,AAAC,CACN,gBAAgB,CCzXV,OAAoD,CD0X3D,AACD,MAAM,EAAE,SAAS,EAAE,KAAK,EApI5B,AAwHE,eAxHa,CAwHb,SAAS,CAAC,YAAY,AAAC,CAanB,OAAO,CAAE,YAAY,CAExB,CAvIH,AAwIE,eAxIa,CAwIb,MAAM,AAAC,CACL,YAAY,CAAE,GAAG,CAClB,AA1IH,AA2IE,eA3Ia,CA2Ib,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACZ,AA9IH,AA+IE,eA/Ia,CA+Ib,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AAlJH,AAoJI,eApJW,CAmJb,SAAS,CACP,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACb,AAtJL,AAyJI,eAzJW,CAwJb,OAAO,CACL,KAAK,AAAC,CACJ,UAAU,CAAE,GAAG,CAChB,AA3JL,AA4JI,eA5JW,CAwJb,OAAO,CAIL,SAAS,AAAC,CACR,WAAW,CAAE,CAAC,CACf,AAED,MAAM,EAAE,SAAS,EAAE,KAAK,EAhK5B,AAwJE,eAxJa,CAwJb,OAAO,AAAC,CASJ,OAAO,CAAE,IAAI,CAEhB,CAnKH,AAqKI,eArKW,CAoKb,OAAO,CACL,IAAI,AAAC,CACH,WAAW,CAAE,IAAI,CAClB,AAvKL,AAyKE,eAzKa,CAyKb,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,GAAG,CAClB,AA5KH,AA6KE,eA7Ka,CA6Kb,WAAW,AAAC,CACV,aAAa,CAAE,IAAI,CACpB,AAGH,AAAA,YAAY,AAAC,CACX,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CACd,AAED,AAII,OAJG,CAGL,gBAAgB,CACV,GAAG,CAHX,OAAO,CAEL,gBAAgB,CACV,GAAG,CAFX,mBAAmB,CACjB,gBAAgB,CACV,GAAG,AAAC,CACN,aAAa,CAAE,IAAI,CACpB,AANL,AAOI,OAPG,CAGL,gBAAgB,CAId,0BAA0B,CAN9B,OAAO,CAEL,gBAAgB,CAId,0BAA0B,CAL9B,mBAAmB,CACjB,gBAAgB,CAId,0BAA0B,AAAC,CACzB,SAAS,CAAE,GAAG,CAIf,AAZL,AASM,OATC,CAGL,gBAAgB,CAId,0BAA0B,CAExB,oBAAoB,CAR1B,OAAO,CAEL,gBAAgB,CAId,0BAA0B,CAExB,oBAAoB,CAP1B,mBAAmB,CACjB,gBAAgB,CAId,0BAA0B,CAExB,oBAAoB,AAAC,CACnB,QAAQ,CAAE,MAAM,CACjB,AAXP,AAaI,OAbG,CAGL,gBAAgB,CAUd,KAAK,CAbT,OAAO,CAGL,gBAAgB,CAWd,QAAQ,CAdZ,OAAO,CAGL,gBAAgB,CAYd,MAAM,CAfV,OAAO,CAGL,gBAAgB,CAad,WAAW,CAff,OAAO,CAEL,gBAAgB,CAUd,KAAK,CAZT,OAAO,CAEL,gBAAgB,CAWd,QAAQ,CAbZ,OAAO,CAEL,gBAAgB,CAYd,MAAM,CAdV,OAAO,CAEL,gBAAgB,CAad,WAAW,CAdf,mBAAmB,CACjB,gBAAgB,CAUd,KAAK,CAXT,mBAAmB,CACjB,gBAAgB,CAWd,QAAQ,CAZZ,mBAAmB,CACjB,gBAAgB,CAYd,MAAM,CAbV,mBAAmB,CACjB,gBAAgB,CAad,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAlBL,AAmBI,OAnBG,CAGL,gBAAgB,CAgBd,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EAnBV,OAAO,CAGL,gBAAgB,CAiBd,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EAnBV,OAAO,CAEL,gBAAgB,CAgBd,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EAlBV,OAAO,CAEL,gBAAgB,CAiBd,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EAlBV,mBAAmB,CACjB,gBAAgB,CAgBd,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EAjBV,mBAAmB,CACjB,gBAAgB,CAiBd,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,KAAK,CAAE,IAAI,CACZ,AAIL,AAAA,gBAAgB,AAAC,CACf,KAAK,CEnoBG,IAAO,CFooBhB,AAED,AAAA,YAAY,AAAC,CACX,KAAK,CExoBE,OAAO,CFyoBf,AAED,AAAA,WAAW,AAAC,CACV,KAAK,CCjdK,OAAoD,CDkd/D,AAED,AAAA,UAAU,AAAC,CACT,KAAK,CAAE,OAAO,CACd,QAAQ,CAAE,QAAQ,CASnB,AARC,MAAM,EAAE,SAAS,EAAE,KAAK,EAH1B,AAAA,UAAU,AAAC,CAIP,QAAQ,CAAE,QAAQ,CAClB,OAAO,CCtjBD,CAAC,CDujBP,KAAK,CAAE,KAAK,CAKf,CAHC,MAAM,EAAE,SAAS,EAAE,KAAK,EAR1B,AAAA,UAAU,AAAC,CASP,KAAK,CAAE,GAAG,CAEb,CAED,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,QAAQ,CAMf,gBAAgB,CEzqBN,IAAO,CF0qBjB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,CAAC,CACd,WAAW,CAAE,KAAK,CAAC,GAAG,CC3eZ,OAAoD,CD4e9D,OAAO,CAAE,gBAAgB,CAK1B,AAdC,MAAM,EAAE,SAAS,EAAE,KAAK,EAF1B,AAAA,aAAa,AAAC,CAGV,OAAO,CCjkBD,CAAC,CDkkBP,KAAK,CAAE,IAAI,CAYd,CAJC,MAAM,EAAE,SAAS,EAAE,KAAK,EAZ1B,AAAA,aAAa,AAAC,CAaV,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,IAAI,CAEf,CAGC,MAAM,EAAE,SAAS,EAAE,KAAK,EAD1B,AAAA,aAAa,AAAA,YAAY,AAAC,CAEtB,UAAU,CAAE,mBAAmB,CK/lBjC,iBAAiB,CLgmBI,iBAAiB,CK/lBtC,SAAS,CL+lBY,iBAAiB,CAMvC,CAJC,MAAM,EAAE,SAAS,EAAE,KAAK,EAL1B,AAAA,aAAa,AAAA,YAAY,AAAC,CAMtB,UAAU,CAAE,mBAAmB,CKnmBjC,iBAAiB,CLomBI,eAAe,CKnmBpC,SAAS,CLmmBY,eAAe,CAErC,CAGC,MAAM,EAAE,SAAS,EAAE,KAAK,EAD1B,AAAA,aAAa,AAAA,cAAc,AAAC,CAExB,UAAU,CAAE,mBAAmB,CK1mBjC,iBAAiB,CL2mBI,aAAa,CK1mBlC,SAAS,CL0mBY,aAAa,CAChC,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,IAAI,CAErB,CAED,AACE,OADK,AAAA,QAAQ,CACb,EAAE,AAAC,CACD,SAAS,CC5pBD,QAAQ,CD6pBhB,KAAK,CE5sBC,IAAO,CF6sBb,OAAO,CAAE,QAAQ,CACjB,MAAM,CAAE,YAAY,CACpB,aAAa,CAAE,GAAG,CAAC,KAAK,CC7gBhB,OAAoD,CD8gB7D,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CASlB,AAZD,AAIE,cAJY,CAIZ,IAAI,AAAC,CACH,WAAW,CCxpBM,GAAG,CDypBrB,AACD,MAAM,EAAE,SAAS,EAAE,KAAK,EAP1B,AAQI,cARU,CAQV,IAAI,AAAC,CACH,MAAM,CAAE,GAAG,CACZ,CAIL,AACE,IADE,AAAA,OAAO,CACT,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,KAAK,CACb,AAHH,AAIE,IAJE,AAAA,OAAO,CAIT,KAAK,AAAA,YAAY,AAAC,CAChB,KAAK,CAAE,KAAK,CACb,AAIH,AAAA,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,qBAAqB,AAAC,CACpB,QAAQ,CAAE,QAAQ,CACnB,AAED,AACE,iBADe,CACf,aAAa,AAAC,CACZ,KAAK,CE/uBC,IAAO,CFgvBd,AAHH,AAIE,iBAJe,CAIf,aAAa,AAAC,CACZ,KAAK,CEnvBA,OAAO,CFovBb,AAGH,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,OAAO,SAAS,EAAE,KAAK,EACrD,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,CAAC,CACV,AACD,AAAA,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,qBAAqB,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,IAAI,CAeb,AAlBD,AAKI,qBALiB,CAInB,SAAS,CAAC,QAAQ,CAChB,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CAMZ,AAbL,AAQM,qBARe,CAInB,SAAS,CAAC,QAAQ,CAChB,cAAc,CAGZ,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,IAAI,CACjB,AAZP,AAcI,qBAdiB,CAInB,SAAS,CAAC,QAAQ,CAUhB,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACZ,AAGL,AAAA,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,GAAG,AAAA,QAAQ,AAAC,CACV,KAAK,CAAE,eAAe,CACtB,UAAU,CAAE,UAAU,CACvB,AAED,AAAA,eAAe,CACf,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AACD,AAAA,gBAAgB,AAAC,CACf,MAAM,CAAE,CAAC,CACV,AACD,AACE,OADK,CACL,cAAc,AAAC,CACb,MAAM,CAAE,UAAU,CACnB,AAHH,AAIE,OAJK,CAIL,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACX,AAEH,AAAA,UAAU,CAAC,aAAa,CACxB,UAAU,CAAC,cAAc,AAAC,CACxB,KAAK,CAAE,IAAI,CACZ,CAGH,AACE,EADA,AAAA,cAAc,CACd,EAAE,CADJ,EAAE,AAAA,cAAc,CAEd,EAAE,CAAC,CAAC,CAFN,EAAE,AAAA,cAAc,CAGd,EAAE,CAAC,CAAC,AAAA,QAAQ,AAAC,CACX,KAAK,CAAE,IAAI,CACZ,AAGH,AACE,QADM,AAAA,cAAc,CACpB,SAAS,CAAC,MAAM,CADlB,QAAQ,AAAA,cAAc,CAEpB,MAAM,CAAC,MAAM,CAAC,CAAC,CAFjB,QAAQ,AAAA,cAAc,CAGpB,MAAM,CAAC,MAAM,CAAC,CAAC,AAAA,QAAQ,AAAC,CACtB,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,QAAQ,AAAC,CACP,UAAU,CAAE,GAAG,CAChB,AAED,AACE,KADG,AAAA,YAAY,CACf,OAAO,AAAC,CACN,SAAS,CAAE,KAAK,CACjB,AAcH,AACE,WADS,CACT,MAAM,AAAC,CACL,OAAO,CAAE,SAAS,CKhyBpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CLgyBrB,OAAO,CAAE,IAAI,CAuBd,AA3BH,AAMI,WANO,CACT,MAAM,AAKH,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACpB,AARL,AAUI,WAVO,CACT,MAAM,CASJ,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,IAAI,CAAE,OAAO,CACb,YAAY,CCrqBN,OAAoD,CDsqB1D,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,CAAC,CAMV,AArBL,AAiBM,WAjBK,CACT,MAAM,CASJ,YAAY,AAOT,MAAM,AAAC,CACN,YAAY,CE12BT,IAAO,CF22BV,UAAU,CAAE,IAAI,CACjB,AApBP,AAuBI,WAvBO,CACT,MAAM,CAsBJ,iBAAiB,AAAC,CAjCpB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CC/oBP,OAAoD,CDgpB9D,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,CAAC,CAgCN,YAAY,CAAE,MAAM,CACrB,AA1BL,AALE,WAKS,CACT,MAAM,CAsBJ,iBAAiB,AA5BlB,MAAM,AAAC,CACN,YAAY,CEp1BL,IAAO,CFq1Bf,AAGH,AA4BE,WA5BS,CA4BT,OAAO,AAAC,CACN,aAAa,CAAE,KAAK,CACrB,AAGH,AACE,kBADgB,CAChB,MAAM,AAAC,CACL,SAAS,CAAE,QAAQ,CACnB,WAAW,CAAE,OAAO,CACpB,UAAU,CAAE,QAAQ,CAuBrB,AA3BH,AAKI,kBALc,CAChB,MAAM,CAIJ,gBAAgB,AAAC,CACf,IAAI,CAAE,OAAO,CACd,AAPL,AAQI,kBARc,CAChB,MAAM,CAOJ,YAAY,CARhB,kBAAkB,CAChB,MAAM,CAQJ,gBAAgB,AAAC,CACf,UAAU,CAAE,OAAO,CAIpB,AAdL,AAWM,kBAXY,CAChB,MAAM,CAOJ,YAAY,AAGT,aAAa,CAXpB,kBAAkB,CAChB,MAAM,CAQJ,gBAAgB,AAEb,aAAa,AAAC,CACb,WAAW,CAAE,MAAM,CACpB,AAbP,AAeI,kBAfc,CAChB,MAAM,CAcJ,iBAAiB,AAAC,CAChB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,OAAO,CACpB,AAlBL,AAmBI,kBAnBc,CAChB,MAAM,CAkBJ,cAAc,AAAC,CA9DjB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CC/oBP,OAAoD,CDgpB9D,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,CAAC,CA6DN,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,OAAO,CACpB,AAvBL,AAtCE,kBAsCgB,CAChB,MAAM,CAkBJ,cAAc,AAzDf,MAAM,AAAC,CACN,YAAY,CEp1BL,IAAO,CFq1Bf,AAoCH,AAwBI,kBAxBc,CAChB,MAAM,CAuBJ,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACpB,AAIL,AACE,YADU,CAAC,kBAAkB,CAC7B,cAAc,AAAC,CACb,aAAa,CAAE,GAAG,CACnB,AAHH,AAKI,YALQ,CAAC,kBAAkB,CAI7B,MAAM,CACJ,YAAY,AAAA,aAAa,AAAC,CACxB,WAAW,CAAE,MAAM,CACpB,AAPL,AAQI,YARQ,CAAC,kBAAkB,CAI7B,MAAM,CAIJ,gBAAgB,AAAA,cAAc,AAAC,CAC7B,YAAY,CAAE,MAAM,CACpB,WAAW,CAAE,MAAM,CACpB,AAKL,AACE,YADU,CAAC,eAAe,CAC1B,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,OAAO,CAAE,GAAG,CACb,AAGH,AAAA,YAAY,CAAC,WAAW,AAAC,CACvB,MAAM,CAAE,CAAC,CACV,AAGD,AAAA,YAAY,CAAC,eAAe,CAAC,UAAU,CAAC,aAAa,AAAC,CACpD,KAAK,CAAE,KAAK,CACZ,IAAI,CAAE,KAAK,CACZ,AAED,AAAA,YAAY,CAAC,KAAK,AAAC,CACjB,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CACnB,AO57BD,AAGE,cAHY,AAGX,eAAe,CAFlB,UAAU,AAEP,eAAe,CADlB,eAAe,AACZ,eAAe,AAAC,CACf,MAAM,CAAE,UAAU,CACnB,AAGH,AAEE,UAFQ,CAER,YAAY,CADd,eAAe,CACb,YAAY,AAAC,CACX,aAAa,CAAE,KAAK,CACrB,AAJH,AAME,UANQ,CAMR,WAAW,CALb,eAAe,CAKb,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,WAAW,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,CNiLhB,OAAoD,CMnK7D,AAvBH,AAWI,UAXM,CAMR,WAAW,CAKT,gBAAgB,CAVpB,eAAe,CAKb,WAAW,CAKT,gBAAgB,AAAC,CACf,OAAO,CAAE,MAAM,CAIhB,AAhBL,AAaM,UAbI,CAMR,WAAW,CAKT,gBAAgB,AAEb,MAAM,CAZb,eAAe,CAKb,WAAW,CAKT,gBAAgB,AAEb,MAAM,AAAC,CACN,UAAU,CN4KN,OAAoD,CM3KzD,AAfP,AAkBI,UAlBM,CAMR,WAAW,CAYT,gBAAgB,CAjBpB,eAAe,CAKb,WAAW,CAYT,gBAAgB,AAAC,CACf,OAAO,CAAE,KAAK,CACd,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,mBAAmB,CAC7B,AAtBL,AA0BI,UA1BM,AA+BP,qBAAqB,CAAC,gBAAgB,AAAA,WAAW,CALhD,gBAAgB,CAzBpB,eAAe,AA8BZ,qBAAqB,CAAC,gBAAgB,AAAA,WAAW,CALhD,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CAAC,KAAK,CLjCrB,IAAO,CKkCb,AA5BL,AA0BI,UA1BM,AAmCP,mBAAmB,CAAC,gBAAgB,AAAA,SAAS,CAT5C,gBAAgB,CAzBpB,eAAe,AAkCZ,mBAAmB,CAAC,gBAAgB,AAAA,SAAS,CAT5C,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CAAC,KAAK,CLjCrB,IAAO,CKkCb,AA5BL,AA0BI,UA1BM,AAuCP,kBAAkB,CAAC,gBAAgB,AAAA,QAAQ,CAb1C,gBAAgB,CAzBpB,eAAe,AAsCZ,kBAAkB,CAAC,gBAAgB,AAAA,QAAQ,CAb1C,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CAAC,KAAK,CLjCrB,IAAO,CKkCb,AA5BL,AA0BI,UA1BM,AA2CP,QAAQ,CAAC,gBAAgB,AAAA,QAAQ,CAjBhC,gBAAgB,CAzBpB,eAAe,AA0CZ,QAAQ,CAAC,gBAAgB,AAAA,QAAQ,CAjBhC,gBAAgB,AAAC,CACf,aAAa,CAAE,KAAK,CAAC,KAAK,CLjCrB,IAAO,CKkCb,AA5BL,AA+CE,UA/CQ,CA+CR,SAAS,CA9CX,eAAe,CA8Cb,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACvB,AAlDH,AAoDE,UApDQ,CAoDR,gBAAgB,CAnDlB,eAAe,CAmDb,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAqC/B,AFhFD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EEXrC,AAoDE,UApDQ,CAoDR,gBAAgB,CAnDlB,eAAe,CAmDb,gBAAgB,AAAC,CAKb,cAAc,CAAE,MAAM,CAkCzB,CA3FH,AA4DI,UA5DM,CAoDR,gBAAgB,CAQd,eAAe,CA3DnB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAAC,CACd,SAAS,CAAE,iBAAiB,CAC5B,SAAS,CAAE,IAAI,CAqBhB,AAnFL,AAgEM,UAhEI,CAoDR,gBAAgB,CAQd,eAAe,AAIZ,WAAW,CA/DlB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAIZ,WAAW,AAAC,CACX,WAAW,CAAE,KAAK,CACnB,AAlEP,AAoEM,UApEI,CAoDR,gBAAgB,CAQd,eAAe,AAQZ,YAAY,CAnEnB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAQZ,YAAY,AAAC,CACZ,YAAY,CAAE,KAAK,CACpB,AF3DL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EEXrC,AA4DI,UA5DM,CAoDR,gBAAgB,CAQd,eAAe,CA3DnB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAAC,CAaZ,SAAS,CAAE,IAAI,CAUlB,AAnFL,AA2EQ,UA3EE,CAoDR,gBAAgB,CAQd,eAAe,AAeV,WAAW,CA1EpB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAeV,WAAW,AAAC,CACX,KAAK,CAAE,CAAC,CACT,AA7ET,AA+EQ,UA/EE,CAoDR,gBAAgB,CAQd,eAAe,AAmBV,YAAY,CA9ErB,eAAe,CAmDb,gBAAgB,CAQd,eAAe,AAmBV,YAAY,AAAC,CACZ,KAAK,CAAE,CAAC,CACT,CFtEP,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EEXrC,AAsFM,UAtFI,CAoDR,gBAAgB,CAkCZ,eAAe,AAAA,WAAW,CAtFhC,UAAU,CAoDR,gBAAgB,CAmCZ,eAAe,AAAA,YAAY,CAtFjC,eAAe,CAmDb,gBAAgB,CAkCZ,eAAe,AAAA,WAAW,CArFhC,eAAe,CAmDb,gBAAgB,CAmCZ,eAAe,AAAA,YAAY,AAAC,CAC1B,MAAM,CAAE,CAAC,CACV,CAzFP,AA8FI,UA9FM,CA6FR,QAAQ,CACN,cAAc,CA7FlB,eAAe,CA4Fb,QAAQ,CACN,cAAc,AAAC,CASb,OAAO,CAAE,IAAI,CAIb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,aAAa,CAAE,GAAG,CAAC,KAAK,CN6ElB,OAAoD,CM5E1D,aAAa,CAAE,KAAK,CACpB,cAAc,CAAE,KAAK,CACtB,AAhHL,AA+FM,UA/FI,CA6FR,QAAQ,CACN,cAAc,CACZ,EAAE,CA9FR,eAAe,CA4Fb,QAAQ,CACN,cAAc,CACZ,EAAE,AAAC,CACD,MAAM,CAAE,WAAW,CAKpB,AArGP,AAkGQ,UAlGE,CA6FR,QAAQ,CACN,cAAc,CACZ,EAAE,CAGA,CAAC,CAjGT,eAAe,CA4Fb,QAAQ,CACN,cAAc,CACZ,EAAE,CAGA,CAAC,AAAC,CACA,KAAK,CL3GL,IAAO,CK4GR,AAIH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAxGzC,AA8FI,UA9FM,CA6FR,QAAQ,CACN,cAAc,CA7FlB,eAAe,CA4Fb,QAAQ,CACN,cAAc,AAAC,CAWX,SAAS,CAAE,IAAI,CAOlB,CAhHL,AAkHI,UAlHM,CA6FR,QAAQ,CAqBN,aAAa,CAjHjB,eAAe,CA4Fb,QAAQ,CAqBN,aAAa,AAAC,CACZ,OAAO,CAAE,OAAO,CAIjB,AAvHL,AAoHM,UApHI,CA6FR,QAAQ,CAqBN,aAAa,CAET,CAAC,CAnHT,eAAe,CA4Fb,QAAQ,CAqBN,aAAa,CAET,CAAC,AAAC,CACF,UAAU,CAAE,CAAC,CACd,AAtHP,AA0HE,UA1HQ,CA0HR,aAAa,CAAC,OAAO,CAzHvB,eAAe,CAyHb,aAAa,CAAC,OAAO,AAAC,CACpB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,aAAa,CAAE,GAAG,CACnB,AA9HH,AAgIE,UAhIQ,CAgIR,OAAO,CA/HT,eAAe,CA+Hb,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,eAAe,CACtC,eAAe,CAAE,GAAG,CACpB,YAAY,CAAE,GAAG,CAGjB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,+CAA+C,CACjE,aAAa,CAAE,OAAO,CA0DvB,AAnMH,AA0II,UA1IM,CAgIR,OAAO,CAUL,aAAa,CAzIjB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAAC,CACZ,oBAAoB,CAAE,CAAC,CA8BxB,AAzKL,AA6IM,UA7II,CAgIR,OAAO,CAUL,aAAa,AAGV,YAAa,CAAA,CAAC,EA5IrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAGV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAhJP,AAiJM,UAjJI,CAgIR,OAAO,CAUL,aAAa,AAOV,YAAa,CAAA,CAAC,EAhJrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAOV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AApJP,AAqJM,UArJI,CAgIR,OAAO,CAUL,aAAa,AAWV,YAAa,CAAA,CAAC,EApJrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAWV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAxJP,AAyJM,UAzJI,CAgIR,OAAO,CAUL,aAAa,AAeV,YAAa,CAAA,CAAC,EAxJrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAeV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA5JP,AA6JM,UA7JI,CAgIR,OAAO,CAUL,aAAa,AAmBV,YAAa,CAAA,CAAC,EA5JrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAmBV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAhKP,AAiKM,UAjKI,CAgIR,OAAO,CAUL,aAAa,AAuBV,YAAa,CAAA,CAAC,EAhKrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AAuBV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AApKP,AAqKM,UArKI,CAgIR,OAAO,CAUL,aAAa,AA2BV,YAAa,CAAA,CAAC,EApKrB,eAAe,CA+Hb,OAAO,CAUL,aAAa,AA2BV,YAAa,CAAA,CAAC,CAAE,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAxKP,AA2KI,UA3KM,CAgIR,OAAO,CA2CL,aAAa,CA1KjB,eAAe,CA+Hb,OAAO,CA2CL,aAAa,AAAC,CACZ,WAAW,CAAE,MAAM,CAMpB,AAlLL,AA8KM,UA9KI,CAgIR,OAAO,CA2CL,aAAa,AAGV,wBAAwB,CA7K/B,eAAe,CA+Hb,OAAO,CA2CL,aAAa,AAGV,wBAAwB,AAAC,CACxB,WAAW,CAAE,OAAO,CACpB,oBAAoB,CAAE,EAAE,CACzB,AFtKL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EEXrC,AAqLM,UArLI,CAgIR,OAAO,CAqDH,aAAa,CApLnB,eAAe,CA+Hb,OAAO,CAqDH,aAAa,AAAC,CACZ,WAAW,CAAE,OAAO,CACrB,CAvLP,AA0LI,UA1LM,CAgIR,OAAO,CA0DL,uBAAuB,CAzL3B,eAAe,CA+Hb,OAAO,CA0DL,uBAAuB,AAAC,CACtB,QAAQ,CAAE,QAAQ,CAClB,WAAW,CAAE,IAAI,CAClB,AA7LL,AA+LI,UA/LM,CAgIR,OAAO,CA+DL,aAAa,CA9LjB,eAAe,CA+Hb,OAAO,CA+DL,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAlML,AAqME,UArMQ,CAqMR,KAAK,CApMP,eAAe,CAoMb,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CNbT,OAAoD,CMkE7D,AA5PH,AAyMI,UAzMM,CAqMR,KAAK,CAIH,cAAc,CAzMlB,UAAU,CAqMR,KAAK,CAKH,sBAAsB,CAzM1B,eAAe,CAoMb,KAAK,CAIH,cAAc,CAxMlB,eAAe,CAoMb,KAAK,CAKH,sBAAsB,AAAC,CACrB,IAAI,CAAE,OAAO,CACb,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,KAAK,CACf,AA/ML,AAiNI,UAjNM,CAqMR,KAAK,CAYH,cAAc,CAhNlB,eAAe,CAoMb,KAAK,CAYH,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,aAAa,CAC9B,YAAY,CAAE,GAAG,CAAC,KAAK,CN3BjB,OAAoD,CMqC3D,AA/NL,AAuNM,UAvNI,CAqMR,KAAK,CAYH,cAAc,CAMZ,QAAQ,CAvNd,UAAU,CAqMR,KAAK,CAYH,cAAc,CAOZ,QAAQ,CAvNd,eAAe,CAoMb,KAAK,CAYH,cAAc,CAMZ,QAAQ,CAtNd,eAAe,CAoMb,KAAK,CAYH,cAAc,CAOZ,QAAQ,AAAC,CACP,IAAI,CAAE,QAAQ,CACf,AA1NP,AA4NM,UA5NI,CAqMR,KAAK,CAYH,cAAc,CAWZ,QAAQ,CAAC,CAAC,AAAA,aAAa,CA3N7B,eAAe,CAoMb,KAAK,CAYH,cAAc,CAWZ,QAAQ,CAAC,CAAC,AAAA,aAAa,AAAC,CACtB,aAAa,CAAE,CAAC,CACjB,AAGH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAjOvC,AAqME,UArMQ,CAqMR,KAAK,CApMP,eAAe,CAoMb,KAAK,AAAC,CA6BF,SAAS,CAAE,IAAI,CA0BlB,AA5PH,AAmOM,UAnOI,CAqMR,KAAK,CA8BD,cAAc,CAnOpB,UAAU,CAqMR,KAAK,CA+BD,sBAAsB,CAnO5B,eAAe,CAoMb,KAAK,CA8BD,cAAc,CAlOpB,eAAe,CAoMb,KAAK,CA+BD,sBAAsB,AAAC,CACrB,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,IAAI,CACjB,AAvOP,AAwOM,UAxOI,CAqMR,KAAK,CAmCD,sBAAsB,CAvO5B,eAAe,CAoMb,KAAK,CAmCD,sBAAsB,AAAC,CACrB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,gBAAgB,CACxB,OAAO,CAAE,UAAU,CACnB,UAAU,CAAE,GAAG,CAAC,KAAK,CNlDjB,OAAoD,CMmDxD,WAAW,CAAE,IAAI,CAClB,CA9OP,AAgPI,UAhPM,CAqMR,KAAK,CA2CH,sBAAsB,CA/O1B,eAAe,CAoMb,KAAK,CA2CH,sBAAsB,AAAC,CACrB,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,eAAe,CAAE,MAAM,CAOxB,AA3PL,AAqPM,UArPI,CAqMR,KAAK,CA2CH,sBAAsB,CAKpB,GAAG,CApPT,eAAe,CAoMb,KAAK,CA2CH,sBAAsB,CAKpB,GAAG,AAAC,CACF,UAAU,CAAE,MAAM,CAInB,AA1PP,AAuPQ,UAvPE,CAqMR,KAAK,CA2CH,sBAAsB,CAKpB,GAAG,CAED,EAAE,CAtPV,eAAe,CAoMb,KAAK,CA2CH,sBAAsB,CAKpB,GAAG,CAED,EAAE,AAAC,CACD,aAAa,CAAE,CAAC,CACjB,AAzPT,AA8PE,UA9PQ,CA8PR,oBAAoB,CA7PtB,eAAe,CA6Pb,oBAAoB,AAAC,CACnB,aAAa,CAAE,KAAK,CACrB,AAhQH,AAoQI,UApQM,CAkQR,oBAAoB,CAElB,EAAE,AAAA,cAAc,CApQpB,UAAU,CAmQR,gBAAgB,CACd,EAAE,AAAA,cAAc,CAnQpB,eAAe,CAiQb,oBAAoB,CAElB,EAAE,AAAA,cAAc,CAnQpB,eAAe,CAkQb,gBAAgB,CACd,EAAE,AAAA,cAAc,AAAC,CACf,UAAU,CAAE,IAAI,CACjB,AAtQL,AA2QM,UA3QI,CAyQR,QAAQ,CACN,eAAe,CAAC,sBAAsB,CACpC,cAAc,CA3QpB,UAAU,CAyQR,QAAQ,CACN,eAAe,CAAC,sBAAsB,CAEpC,OAAO,CA3Qb,eAAe,CAwQb,QAAQ,CACN,eAAe,CAAC,sBAAsB,CACpC,cAAc,CA1QpB,eAAe,CAwQb,QAAQ,CACN,eAAe,CAAC,sBAAsB,CAEpC,OAAO,AAAC,CACN,SAAS,CNpOL,QAAQ,CMqOb,AA9QP,AAgRM,UAhRI,CAyQR,QAAQ,CACN,eAAe,CAAC,sBAAsB,CAMpC,OAAO,CA/Qb,eAAe,CAwQb,QAAQ,CACN,eAAe,CAAC,sBAAsB,CAMpC,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,AAlRP,AAsRE,UAtRQ,CAsRR,mBAAmB,CArRrB,eAAe,CAqRb,mBAAmB,AAAC,CAClB,aAAa,CAAE,KAAK,CAerB,AAtSH,AAyRI,UAzRM,CAsRR,mBAAmB,CAGjB,4BAA4B,CAxRhC,eAAe,CAqRb,mBAAmB,CAGjB,4BAA4B,AAAC,CAC3B,KAAK,CL3RF,OAAO,CK4RX,AA3RL,AA6RI,UA7RM,CAsRR,mBAAmB,CAOjB,QAAQ,CA5RZ,eAAe,CAqRb,mBAAmB,CAOjB,QAAQ,AAAC,CACP,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CNvGC,OAAoD,CM2G3D,AArSL,AAkSM,UAlSI,CAsRR,mBAAmB,CAOjB,QAAQ,CAKN,IAAI,CAjSV,eAAe,CAqRb,mBAAmB,CAOjB,QAAQ,CAKN,IAAI,AAAC,CACH,YAAY,CAAE,GAAG,CAClB,AAKP,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CA6FvB,AAhGD,AAKE,cALY,CAKZ,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,qBAAqB,CAAE,GAAG,CAAC,mCAAmC,CAC9D,MAAM,CAAE,GAAG,CAAC,KAAK,CNxHT,OAAoD,CMyH5D,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,aAAa,CAGtB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,mBAAmB,CAoBtC,AAtCH,AAmBI,cAnBU,CAKZ,gBAAgB,CAcd,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CACf,oBAAoB,CAAE,CAAC,CAgBxB,AArCL,AAsBM,cAtBQ,CAKZ,gBAAgB,CAcd,cAAc,AAGX,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AAxBP,AAyBM,cAzBQ,CAKZ,gBAAgB,CAcd,cAAc,AAMX,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AA3BP,AA4BM,cA5BQ,CAKZ,gBAAgB,CAcd,cAAc,AASX,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AA9BP,AA+BM,cA/BQ,CAKZ,gBAAgB,CAcd,cAAc,AAYX,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AAjCP,AAkCM,cAlCQ,CAKZ,gBAAgB,CAcd,cAAc,AAeX,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AApCP,AAwCE,cAxCY,CAwCZ,aAAa,CAAC,KAAK,AAAC,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,CNxJT,OAAoD,CM6J7D,AA9CH,AA2CI,cA3CU,CAwCZ,aAAa,CAAC,KAAK,AAGhB,MAAM,AAAC,CACN,gBAAgB,CN3JV,OAAoD,CM4J3D,AA7CL,AAiDI,cAjDU,CAgDZ,aAAa,AAAA,IAAK,CAAA,WAAW,EAC3B,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AAnDL,AAqDI,cArDU,CAgDZ,aAAa,AAAA,IAAK,CAAA,WAAW,EAK3B,4BAA4B,AAAA,WAAW,AAAC,CACtC,aAAa,CAAE,CAAC,CACjB,AAvDL,AA0DE,cA1DY,CA0DZ,aAAa,CAAC,4BAA4B,AAAA,WAAW,AAAC,CACpD,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,UAAU,CACvB,eAAe,CAAE,UAAU,CAC3B,MAAM,CAAE,GAAG,CAAC,KAAK,CN/KT,OAAoD,CM2L7D,AA5EH,AAkEI,cAlEU,CA0DZ,aAAa,CAAC,4BAA4B,AAAA,WAAW,CAQnD,MAAM,AAAC,CACL,SAAS,CNlUN,GAAG,CMmUP,AApEL,AAsEI,cAtEU,CA0DZ,aAAa,CAAC,4BAA4B,AAAA,WAAW,CAYnD,QAAQ,AAAC,CACP,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,WAAW,CAAE,KAAK,CACnB,AA3EL,AA8EE,cA9EY,CA8EZ,aAAa,CAAC,KAAK,CAAC,aAAa,AAAC,CAChC,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CAWV,AA/FH,AAsFI,cAtFU,CA8EZ,aAAa,CAAC,KAAK,CAAC,aAAa,AAQ9B,MAAM,AAAC,CACN,gBAAgB,CNtMV,OAAoD,CMuM3D,AAxFL,AA0FI,cA1FU,CA8EZ,aAAa,CAAC,KAAK,CAAC,aAAa,CAY/B,OAAO,AAAC,CACN,SAAS,CN3VH,QAAQ,CM4Vd,MAAM,CAAE,YAAY,CACpB,KAAK,CN5MC,OAAoD,CM6M3D,AAIL,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,aAAa,CAC9B,cAAc,CAAE,MAAM,CA8DvB,AAlED,AAME,aANW,CAMX,uBAAuB,AAAC,CAEtB,IAAI,CAAE,QAAQ,CACd,SAAS,CAAE,GAAG,CACf,AAVH,AAWE,aAXW,CAWX,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,YAAY,CACpB,MAAM,CAAE,GAAG,CAAC,KAAK,CNpOT,OAAoD,CMqO5D,aAAa,CAAE,IAAI,CAiDpB,AAjEH,AAiBI,aAjBS,CAWX,WAAW,CAMT,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CL3aD,IAAO,CK4aX,UAAU,CN1OJ,OAAoD,CM2O1D,eAAe,CAAE,MAAM,CACvB,aAAa,CAAE,WAAW,CAC1B,OAAO,CAAE,WAAW,CAMrB,AA9BL,AA0BM,aA1BO,CAWX,WAAW,CAMT,MAAM,CASJ,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CACjB,SAAS,CNhYH,OAAQ,CMiYf,AA7BP,AAgCI,aAhCS,CAWX,WAAW,CAqBT,MAAM,AAAC,CACL,OAAO,CAAE,WAAW,CACrB,AAlCL,AAoCM,aApCO,CAWX,WAAW,AAwBR,aAAa,CACZ,MAAM,AAAC,CACL,KAAK,CN1PD,OAAoD,CM2PzD,AAtCP,AAwCI,aAxCS,CAWX,WAAW,AA6BR,WAAW,CAxChB,aAAa,CAWX,WAAW,AA8BR,YAAY,AAAC,CACZ,YAAY,CNjaT,OAAO,CMuaX,AAhDL,AA2CM,aA3CO,CAWX,WAAW,AA6BR,WAAW,CAGV,MAAM,CA3CZ,aAAa,CAWX,WAAW,AA8BR,YAAY,CAEX,MAAM,AAAC,CACL,YAAY,CNnaX,OAAO,CMoaR,UAAU,CNpaT,OAAO,CMqaR,KAAK,CLpcD,IAAO,CKqcZ,AA/CP,AAiDI,aAjDS,CAWX,WAAW,AAsCR,aAAa,AAAC,CACb,YAAY,CN1aT,MAAO,CMgbX,AAxDL,AAmDM,aAnDO,CAWX,WAAW,AAsCR,aAAa,CAEZ,MAAM,AAAC,CACL,YAAY,CN5aX,MAAO,CM6aR,UAAU,CN7aT,MAAO,CM8aR,KAAK,CL5cD,IAAO,CK6cZ,AAvDP,AAyDI,aAzDS,CAWX,WAAW,AA8CR,YAAY,AAAC,CACZ,YAAY,CNnbX,OAAgB,CMyblB,AAhEL,AA2DM,aA3DO,CAWX,WAAW,AA8CR,YAAY,CAEX,MAAM,AAAC,CACL,UAAU,CNrbX,OAAgB,CMsbf,YAAY,CNtbb,OAAgB,CMubf,KAAK,CLpdD,IAAO,CKqdZ,AAKP,AAEI,IAFA,CAAC,eAAe,CAClB,eAAe,AACZ,WAAW,AAAC,CACX,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,CAAC,CACf,AALL,AAOI,IAPA,CAAC,eAAe,CAClB,eAAe,AAMZ,YAAY,AAAC,CACZ,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,CAAC,CAChB,AAVL,AAaE,IAbE,CAAC,eAAe,CAalB,aAAa,CAAC,WAAW,AAAC,CACxB,MAAM,CAAE,YAAY,CACrB,AAfH,AAkBI,IAlBA,CAAC,eAAe,CAiBlB,WAAW,CACT,MAAM,AAAC,CACL,aAAa,CAAE,WAAW,CAM3B,AAzBL,AAqBM,IArBF,CAAC,eAAe,CAiBlB,WAAW,CACT,MAAM,CAGJ,OAAO,AAAC,CACN,YAAY,CAAE,CAAC,CACf,WAAW,CAAE,GAAG,CACjB,AAKP,AAAA,qBAAqB,CACrB,cAAc,AAAC,CACb,aAAa,CAAE,KAAK,CACrB,AAED,AAAA,iBAAiB,AAAA,QAAQ,AAAC,CACxB,aAAa,CAAE,KAAK,CACrB,AAED,AAEE,qBAFmB,CAEnB,aAAa,CADf,mBAAmB,CACjB,aAAa,AAAC,CACZ,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,qBANmB,CAMnB,aAAa,CALf,mBAAmB,CAKjB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,eAAe,CACtC,eAAe,CAAE,GAAG,CACpB,YAAY,CAAE,GAAG,CAalB,AAvBH,AAYI,qBAZiB,CAMnB,aAAa,CAMT,CAAC,CAXP,mBAAmB,CAKjB,aAAa,CAMT,CAAC,AAAC,CACF,WAAW,CAAE,OAAO,CACrB,AAdL,AAgBI,qBAhBiB,CAMnB,aAAa,CAUX,uCAAuC,CAhB3C,qBAAqB,CAMnB,aAAa,CAWX,yCAAyC,CAhB7C,mBAAmB,CAKjB,aAAa,CAUX,uCAAuC,CAf3C,mBAAmB,CAKjB,aAAa,CAWX,yCAAyC,AAAC,CACxC,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,eAAe,CACtC,eAAe,CAAE,GAAG,CACpB,YAAY,CAAE,GAAG,CAClB,AAtBL,AAyBE,qBAzBmB,CAyBnB,aAAa,CAxBf,mBAAmB,CAwBjB,aAAa,AAAC,CACZ,WAAW,CAAE,OAAO,CACrB,AAGH,AACE,qBADmB,CACnB,+BAA+B,AAAC,CAC9B,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,eAAe,CACtC,eAAe,CAAE,GAAG,CACpB,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,kBADgB,CAChB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,IAAI,CACrB,MAAM,CAAE,OAAO,CAChB,AANH,AAOE,kBAPgB,CAOhB,OAAO,AAAC,CACN,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,CN/WT,OAAoD,CMgX5D,IAAI,CAAE,OAAO,CACb,UAAU,CAAE,gBAAgB,CAC5B,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CAcjB,AA3BH,AAcI,kBAdc,CAOhB,OAAO,CAOL,CAAC,AAAC,CACA,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,GAAG,CAIb,AAvBL,AAoBM,kBApBY,CAOhB,OAAO,CAOL,CAAC,CAMC,mBAAmB,AAAC,CAClB,KAAK,CN3XD,OAAoD,CM4XzD,AAtBP,AAwBI,kBAxBc,CAOhB,OAAO,AAiBJ,MAAM,AAAC,CACN,UAAU,CN1bN,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CM2bnC,AAIL,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAMhB,AARD,AAGE,eAHa,CAGb,cAAc,AAAC,CACb,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,CNzYhB,OAAoD,CM0Y5D,aAAa,CAAE,KAAK,CACrB,AAGH,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,UAAU,CACvB,UAAU,CAAE,UAAU,CACtB,eAAe,CAAE,aAAa,CAC9B,OAAO,CAAE,aAAa,CAwEvB,AA/ED,AAQE,cARY,CAQZ,eAAe,AAAC,CACd,IAAI,CAAE,QAAQ,CAWf,AAVC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAVvC,AAQE,cARY,CAQZ,eAAe,AAAC,CAGZ,MAAM,CAAE,CAAC,CASZ,CApBH,AAaI,cAbU,CAQZ,eAAe,CAKb,EAAE,AAAC,CACD,MAAM,CAAE,IAAI,CACb,AAfL,AAgBI,cAhBU,CAQZ,eAAe,CAQb,EAAE,AAAC,CACD,UAAU,CAAE,WAAW,CACvB,OAAO,CAAE,CAAC,CACX,AAnBL,AAqBE,cArBY,CAqBZ,EAAE,AAAC,CACD,IAAI,CAAE,QAAQ,CACf,AAvBH,AAwBE,cAxBY,CAwBZ,eAAe,AAAC,CACd,SAAS,CNzjBD,QAAQ,CM0jBhB,WAAW,CN1iBM,GAAG,CM2iBpB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,SAAS,CACjB,aAAa,CAAE,IAAI,CACnB,IAAI,CAAE,OAAO,CAad,AA5CH,AAgCI,cAhCU,CAwBZ,eAAe,CAQb,EAAE,AAAC,CACD,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,MAAM,CACpB,AAnCL,AAoCI,cApCU,CAwBZ,eAAe,CAYb,EAAE,CApCN,cAAc,CAwBZ,eAAe,CAab,SAAS,AAAC,CACR,SAAS,CNlkBD,OAAQ,CMmkBhB,aAAa,CAAE,CAAC,CACjB,AAxCL,AAyCI,cAzCU,CAwBZ,eAAe,CAiBb,SAAS,AAAC,CACR,WAAW,CAAE,MAAM,CACpB,AA3CL,AA6CE,cA7CY,CA6CZ,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,SAAS,CACjB,IAAI,CAAE,OAAO,CACb,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,KAAK,CAQjB,AFznBD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EE6jBrC,AA6CE,cA7CY,CA6CZ,eAAe,AAAC,CASZ,SAAS,CAAE,KAAK,CAMnB,CA5DH,AAwDI,cAxDU,CA6CZ,eAAe,CAWb,KAAK,AAAC,CACJ,MAAM,CAAE,YAAY,CACpB,SAAS,CN3lBH,QAAQ,CM4lBf,AA3DL,AA6DE,cA7DY,AA6DX,SAAS,CAAC,cAAc,CAAC,YAAY,AAAC,CACrC,OAAO,CAAE,IAAI,CACd,AA/DH,AAgEE,cAhEY,AAgEX,OAAO,CAAC,cAAc,CAAC,cAAc,AAAC,CACrC,OAAO,CAAE,IAAI,CACd,AAlEH,AAmEE,cAnEY,CAmEZ,GAAG,AAAC,CACF,SAAS,CNtmBD,QAAQ,CMumBjB,AArEH,AAsEE,cAtEY,CAsEZ,WAAW,AAAC,CACV,KAAK,CL/oBC,IAAO,CKgpBd,AAxEH,AAyEE,cAzEY,CAyEZ,kBAAkB,AAAC,CACjB,KAAK,CLnpBA,OAAO,CKopBb,AA3EH,AA4EE,cA5EY,CA4EZ,2BAA2B,AAAC,CAC1B,KAAK,CLtpBA,OAAO,CKupBb,AAGH,AACE,WADS,CACT,OAAO,AAAC,CACN,SAAS,CNpnBD,QAAQ,CMqnBjB,AClqBH,AACE,SADO,CACP,QAAQ,AAAC,CACP,cAAc,CAAE,IAAI,CA8FrB,AAhGH,AAGI,SAHK,CACP,QAAQ,CAEN,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,QAAQ,CACf,YAAY,CAAE,IAAI,CASnB,AARC,MAAM,EAAE,SAAS,EAAE,KAAK,EAP9B,AAGI,SAHK,CACP,QAAQ,CAEN,cAAc,AAAC,CAKX,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,CAAC,CACf,KAAK,CAAE,IAAI,CAKd,AAfL,AAWQ,SAXC,CACP,QAAQ,CAEN,cAAc,CAQV,EAAE,AAAC,CACD,aAAa,CAAE,GAAG,CACnB,CAbT,AAgBI,SAhBK,CACP,QAAQ,CAeN,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACV,aAAa,CAAE,IAAI,CAuBpB,AA1CL,AAoBM,SApBG,CACP,QAAQ,CAeN,cAAc,CAIZ,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EApBZ,SAAS,CACP,QAAQ,CAeN,cAAc,CAKZ,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,IAAI,CAAE,QAAQ,CACf,AAvBP,AAwBM,SAxBG,CACP,QAAQ,CAeN,cAAc,CAQZ,kBAAkB,AAAC,CACjB,KAAK,CAAE,GAAG,CACX,AACD,MAAM,EAAE,SAAS,EAAE,KAAK,EA3B9B,AAgBI,SAhBK,CACP,QAAQ,CAeN,cAAc,AAAC,CAYX,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,CAAC,CAanB,CA1CL,AA+BM,SA/BG,CACP,QAAQ,CAeN,cAAc,CAeZ,WAAW,AAAC,CACV,KAAK,CAAE,eAAe,CAIvB,AAHC,MAAM,EAAE,SAAS,EAAE,KAAK,EAjChC,AA+BM,SA/BG,CACP,QAAQ,CAeN,cAAc,CAeZ,WAAW,AAAC,CAGR,KAAK,CAAE,eAAe,CAEzB,CApCP,AAqCM,SArCG,CACP,QAAQ,CAeN,cAAc,CAqBZ,uBAAuB,AAAC,CACtB,eAAe,CAAE,OAAO,CACxB,iBAAiB,CAAE,SAAS,CAC5B,gBAAgB,CPwJZ,OAAoD,COvJzD,AAzCP,AA2CI,SA3CK,CACP,QAAQ,CA0CN,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACZ,AA7CL,AA8CI,SA9CK,CACP,QAAQ,CA6CN,qBAAqB,CA9CzB,SAAS,CACP,QAAQ,CA8CN,uBAAuB,AAAC,CACtB,KAAK,CAAE,IAAI,CAIZ,AAHC,MAAM,EAAE,SAAS,EAAE,KAAK,EAjD9B,AA8CI,SA9CK,CACP,QAAQ,CA6CN,qBAAqB,CA9CzB,SAAS,CACP,QAAQ,CA8CN,uBAAuB,AAAC,CAGpB,KAAK,CAAE,IAAI,CAEd,CApDL,AAqDI,SArDK,CACP,QAAQ,CAoDN,uBAAuB,AAAC,CACtB,MAAM,CAAE,KAAK,CACd,AAvDL,AAwDI,SAxDK,CACP,QAAQ,CAuDN,mBAAmB,AAAC,CAIlB,OAAO,CAAE,GAAG,CACZ,gBAAgB,CN9DV,IAAO,CM+Db,MAAM,CAAE,GAAG,CAAC,KAAK,CPkIX,OAAoD,COjI1D,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,0CAA0C,CAevD,AAtBC,MAAM,EAAE,SAAS,EAAE,KAAK,EAzD9B,AAwDI,SAxDK,CACP,QAAQ,CAuDN,mBAAmB,AAAC,CAEhB,KAAK,CAAE,IAAI,CAqBd,CA/EL,AAiEM,SAjEG,CACP,QAAQ,CAuDN,mBAAmB,CASjB,EAAE,AAAA,qBAAqB,AAAC,CACtB,OAAO,CAAE,gBAAgB,CACzB,MAAM,CAAE,aAAa,CACrB,QAAQ,CAAE,QAAQ,CAClB,WAAW,CPRC,CAAC,COSb,MAAM,CAAE,OAAO,CACf,MAAM,CAAE,GAAG,CAAC,MAAM,CPyHd,OAAoD,COxHxD,aAAa,CAAE,GAAG,CAClB,eAAe,CAAE,WAAW,CAC5B,gBAAgB,CAAE,IAAI,CACtB,gBAAgB,CAAE,WAAW,CAC7B,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACZ,AA9EP,AAgFI,SAhFK,CACP,QAAQ,CA+EN,KAAK,CAhFT,SAAS,CACP,QAAQ,CAgFN,iBAAiB,AAAC,CAChB,WAAW,CAAE,GAAG,CAChB,SAAS,CPlCD,OAAQ,COmChB,WAAW,CPrBG,GAAG,COsBlB,AArFL,AAsFI,SAtFK,CACP,QAAQ,CAqFN,iBAAiB,AAAC,CAChB,KAAK,CNlFF,OAAO,CMmFX,AAxFL,AAyFI,SAzFK,CACP,QAAQ,CAwFN,KAAK,AAAC,CACJ,KAAK,CPsGC,OAAoD,COrG3D,AA3FL,AA4FI,SA5FK,CACP,QAAQ,CA2FN,EAAE,AAAC,CACD,SAAS,CP7CN,GAAG,CO8CN,WAAW,CAAE,MAAM,CACpB,AA/FL,AAkGI,SAlGK,CAiGP,QAAQ,AAAA,WAAW,CACjB,EAAE,AAAC,CACD,KAAK,CP6FC,OAAoD,CO5F3D,AApGL,AAuGI,SAvGK,CAsGP,QAAQ,AAAA,WAAW,AAAA,OAAO,CACxB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAvGV,SAAS,CAsGP,QAAQ,AAAA,WAAW,AAAA,OAAO,CAExB,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EAxGV,SAAS,CAsGP,QAAQ,AAAA,WAAW,AAAA,OAAO,CAGxB,QAAQ,AAAC,CACP,gBAAgB,CPsFV,OAAoD,COrF3D,AA3GL,AA6GE,SA7GO,CA6GP,QAAQ,AAAC,CACP,KAAK,CNzGA,OAAO,CM0Gb,AC/GH,AAAA,YAAY,AAAA,aAAa,CAAC,MAAM,AAAC,CAC/B,KAAK,CAAE,KAAK,CAOb,AANC,MAAM,EAAE,SAAS,EAAE,KAAK,EAF1B,AAAA,YAAY,AAAA,aAAa,CAAC,MAAM,AAAC,CAG7B,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAEjB,CAED,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,QAAQ,CAOjB,UAAU,CAAE,GAAG,CAAC,KAAK,CR4KX,OAAoD,CQzG/D,AA7ED,AAIE,YAJU,AAIT,YAAa,CAAA,CAAC,CAAE,CACf,UAAU,CAAE,CAAC,CACd,AANH,AAOE,YAPU,AAOT,iBAAiB,AAAC,CACjB,gBAAgB,CR8KR,OAAoD,CQ7K7D,AATH,AAWE,YAXU,AAWT,OAAO,CAXV,YAAY,AAYT,MAAM,AAAC,CACN,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,EAAE,CACZ,AAfH,AAgBE,YAhBU,AAgBT,MAAM,AAAC,CACN,KAAK,CAAE,IAAI,CACZ,AAlBH,AAmBE,YAnBU,AAmBT,iBAAiB,CAAC,EAAE,AAAC,CACpB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AAtBH,AAuBE,YAvBU,CAuBV,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,SAAS,CAChB,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAMlB,AALC,MAAM,EAAE,SAAS,EAAE,KAAK,EA5B5B,AAuBE,YAvBU,CAuBV,MAAM,AAAC,CAMH,WAAW,CAAE,CAAC,CACd,WAAW,CRuBG,GAAG,CQtBjB,UAAU,CAAE,GAAG,CAElB,CAjCH,AAkCE,YAlCU,CAkCV,MAAM,AAAC,CACL,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAUlB,AATC,MAAM,EAAE,SAAS,EAAE,KAAK,EAtC5B,AAkCE,YAlCU,CAkCV,MAAM,AAAC,CAKH,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAKjB,CA/CH,AA4CI,YA5CQ,CAkCV,MAAM,CAUJ,WAAW,AAAC,CACV,KAAK,CAAE,OAAO,CACf,AA9CL,AAgDE,YAhDU,CAgDV,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CACjB,SAAS,CRbC,OAAQ,CQiBnB,AAxDH,AAqDI,YArDQ,CAgDV,WAAW,CAKT,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAvDL,AAyDE,YAzDU,CAyDV,SAAS,AAAC,CACR,KAAK,CAAE,KAAK,CACZ,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,IAAI,CAUlB,AATC,MAAM,EAAE,SAAS,EAAE,KAAK,EA7D5B,AAyDE,YAzDU,CAyDV,SAAS,AAAC,CAKN,KAAK,CAAE,GAAG,CACV,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAKjB,CAtEH,AAmEI,YAnEQ,CAyDV,SAAS,CAUP,IAAI,AAAC,CACH,YAAY,CAAE,GAAG,CAClB,AArEL,AAyEI,YAzEQ,AAuET,SAAS,CAER,MAAM,CAzEV,YAAY,AAwET,KAAK,CACJ,MAAM,AAAC,CACL,UAAU,CAAE,SAAS,CACtB,AAIL,AACE,YADU,CACV,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CACjB,AAHH,AAKI,YALQ,CAIV,WAAW,CACT,SAAS,CAAC,OAAO,AAAC,CAChB,KAAK,CRiGC,OAAoD,CQhG3D,AAIL,AACE,iBADe,CACf,EAAE,AAAA,SAAS,AAAC,CJ3CZ,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CI2CrB,aAAa,CAAE,UAAU,CAC1B,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,OAAO,SAAS,EAAE,KAAK,EAL5D,AAMI,iBANa,CAMb,EAAE,AAAA,SAAS,AAAC,CACV,SAAS,CAAE,IAAI,CAChB,AARL,AASI,iBATa,CASb,EAAE,AAAA,MAAM,AAAC,CACP,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,UAAU,CAC1B,CAEH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAdrC,AAgBM,iBAhBW,CAeb,EAAE,CACA,EAAE,AAAA,SAAS,AAAC,CACV,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACnB,WAAW,CAAE,IAAI,CAClB,AApBP,AAqBM,iBArBW,CAeb,EAAE,CAMA,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,CAAC,CACX,eAAe,CAAE,EAAE,CAIpB,AA5BP,AAyBQ,iBAzBS,CAeb,EAAE,CAMA,EAAE,AAAA,YAAY,CAIZ,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACpB,AA3BT,AA6BM,iBA7BW,CAeb,EAAE,CAcA,EAAE,AAAA,MAAM,AAAC,CACP,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACnB,SAAS,CAAE,UAAU,CACrB,aAAa,CAAE,UAAU,CACzB,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,CAAC,CACZ,MAAM,CAAE,WAAW,CAKpB,AAzCP,AAsCQ,iBAtCS,CAeb,EAAE,CAcA,EAAE,AAAA,MAAM,AASL,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,CAKP,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA7CrC,AA8CI,iBA9Ca,CA8Cb,EAAE,AAAA,KAAK,AAAC,CACN,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,WAAW,CAC7B,aAAa,CAAE,eAAe,CAqD/B,AAtGL,AAkDM,iBAlDW,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,GAAG,CACrB,aAAa,CAAE,OAAO,CAgDvB,AArGP,AAsDQ,iBAtDS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,CAIA,MAAM,AAAC,CACL,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAzDT,AA0DQ,iBA1DS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,CAQA,GAAG,AAAA,IAAK,CAAA,MAAM,CAAE,CACd,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,UAAU,CAAE,MAAM,CACnB,AA9DT,AA+DQ,iBA/DS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAaC,SAAS,AAAC,CACT,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAnET,AAoEQ,iBApES,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAkBC,YAAY,AAAC,CACZ,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvET,AAwEQ,iBAxES,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAsBC,MAAM,AAAC,CACN,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AA5ET,AA6EQ,iBA7ES,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AA2BC,aAAa,AAAC,CACb,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAhFT,AAiFQ,iBAjFS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AA+BC,UAAU,AAAC,CACV,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AApFT,AAqFQ,iBArFS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAmCC,eAAe,AAAC,CACf,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAxFT,AAyFQ,iBAzFS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AAuCC,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA5FT,AA6FQ,iBA7FS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AA2CC,UAAU,AAAC,CACV,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAhGT,AAiGQ,iBAjGS,CA8Cb,EAAE,AAAA,KAAK,CAIL,EAAE,AA+CC,QAAQ,AAAC,CACR,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,CAOT,AACE,YADU,CAAC,YAAY,AAAA,WAAW,CAClC,YAAY,AAAC,CACX,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,UAAU,CAQxB,AAXH,AAII,YAJQ,CAAC,YAAY,AAAA,WAAW,CAClC,YAAY,CAGV,MAAM,CAJV,YAAY,CAAC,YAAY,AAAA,WAAW,CAClC,YAAY,CAIV,MAAM,AAAC,CACL,KAAK,CAAE,KAAK,CACb,AAPL,AAQI,YARQ,CAAC,YAAY,AAAA,WAAW,CAClC,YAAY,CAOV,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAVL,AAaE,YAbU,CAAC,YAAY,AAAA,WAAW,CAalC,WAAW,AAAC,CACV,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,CAAC,CAKV,AArBH,AAiBI,YAjBQ,CAAC,YAAY,AAAA,WAAW,CAalC,WAAW,CAIT,MAAM,AAAC,CACL,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,KAAK,CACf,AApBL,AAuBE,YAvBU,CAAC,YAAY,AAAA,WAAW,CAuBlC,EAAE,AAAC,CACD,MAAM,CAAE,YAAY,CACrB,AAzBH,AA2BE,YA3BU,CAAC,YAAY,AAAA,WAAW,CA2BlC,cAAc,AAAC,CACb,UAAU,CAAE,OAAO,CACpB,AA7BH,AA+BE,YA/BU,CAAC,YAAY,AAAA,WAAW,CA+BlC,SAAS,AAAC,CACR,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,GAAG,CAChB,AAlCH,AAoCE,YApCU,CAAC,YAAY,AAAA,WAAW,CAoClC,aAAa,CAAC,MAAM,AAAC,CACnB,MAAM,CAAE,WAAW,CACpB,AAtCH,AAwCE,YAxCU,CAAC,YAAY,AAAA,WAAW,CAwClC,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CAIf,AA7CH,AA0CI,YA1CQ,CAAC,YAAY,AAAA,WAAW,CAwClC,UAAU,CAER,aAAa,AAAC,CACZ,IAAI,CAAE,CAAC,CACR,AC7PL,AACE,mBADiB,CACjB,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CACnB,AAHH,AAKE,mBALiB,CAKjB,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACZ,AAPH,AASE,mBATiB,CASjB,qBAAqB,CATvB,mBAAmB,CAUjB,sBAAsB,AAAC,CACrB,aAAa,CAAE,KAAK,CACrB,AAZH,AAcE,mBAdiB,CAcjB,SAAS,CAdX,mBAAmB,CAejB,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,KAAK,CACd,AAlBH,AAoBE,mBApBiB,CAoBjB,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACb,AAGH,AACE,WADS,CACT,kBAAkB,AAAC,CACjB,UAAU,CAAE,GAAG,CAKhB,AAPH,AAII,WAJO,CACT,kBAAkB,CAGhB,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACb,AC9BL,AAEE,aAFW,CAEX,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CAiBhB,AArBH,AAKI,aALS,CAEX,OAAO,CAGL,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,IAAI,CAAE,QAAQ,CAIf,AAZL,AASM,aATO,CAEX,OAAO,CAGL,cAAc,CAIZ,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAI,CAClB,AAXP,AAaI,aAbS,CAEX,OAAO,CAWL,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACd,AAfL,AAgBI,aAhBS,CAEX,OAAO,CAcL,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,IAAI,CAAE,OAAO,CACd,AApBL,AAsBE,aAtBW,CAsBX,cAAc,AAAC,CACb,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,CVyKb,OAAoD,CUxK5D,aAAa,CAAE,GAAG,CAAC,KAAK,CVwKhB,OAAoD,CUnK7D,AA9BH,AA0BI,aA1BS,CAsBX,cAAc,CAIZ,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,MAAM,CAChB,AA7BL,AAgCI,aAhCS,CA+BX,aAAa,CACX,iBAAiB,AAAC,CAChB,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,GAAG,CAAC,KAAK,CV8JjB,OAAoD,CU7J1D,WAAW,CAAE,GAAG,CAAC,KAAK,CV6JhB,OAAoD,CU5J1D,aAAa,CAAE,GAAG,CAAC,KAAK,CV4JlB,OAAoD,CU1I3D,AAvDL,AAuCQ,aAvCK,CA+BX,aAAa,CACX,iBAAiB,CAMf,sBAAsB,AACnB,YAAY,AAAC,CACZ,UAAU,CAAE,IAAI,CACjB,AAzCT,AA0CQ,aA1CK,CA+BX,aAAa,CACX,iBAAiB,CAMf,sBAAsB,AAInB,WAAW,AAAC,CACX,UAAU,CAAE,IAAI,CACjB,AA5CT,AA8CM,aA9CO,CA+BX,aAAa,CACX,iBAAiB,CAcf,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACZ,SAAS,CVEH,OAAQ,CUDd,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACd,KAAK,CTnDD,IAAO,CSoDX,gBAAgB,CV6IZ,IAAoD,CU5IxD,aAAa,CAAE,GAAG,CACnB,AAtDP,AAwDI,aAxDS,CA+BX,aAAa,CAyBX,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,gBAAgB,CAAE,KAAK,CACxB,AA3DL,AA6DE,aA7DW,CA6DX,cAAc,AAAC,CACb,MAAM,CAAE,IAAI,CAcb,AA5EH,AA+DI,aA/DS,CA6DX,cAAc,CAEZ,CAAC,AAAA,KAAK,AAAC,CACL,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CACf,KAAK,CV+HC,OAAoD,CU9H1D,SAAS,CVjBD,OAAQ,CUkBjB,AApEL,AAqEI,aArES,CA6DX,cAAc,CAQZ,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAIpB,AA3EL,AAwEM,aAxEO,CA6DX,cAAc,CAQZ,uBAAuB,CAGrB,eAAe,AAAC,CACd,YAAY,CAAE,GAAG,CAClB,AA1EP,AA8EI,aA9ES,CA6EX,gBAAgB,CACd,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CAkBd,AAlGL,AAiFM,aAjFO,CA6EX,gBAAgB,CACd,YAAY,CAGV,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AAvFP,AAwFM,aAxFO,CA6EX,gBAAgB,CACd,YAAY,CAUT,AAAA,aAAC,CAAc,MAAM,AAApB,CAAsB,CACtB,MAAM,CAAE,WAAW,CACnB,OAAO,CAAE,GAAG,CAOb,AAjGP,AA2FQ,aA3FK,CA6EX,gBAAgB,CACd,YAAY,CAUT,AAAA,aAAC,CAAc,MAAM,AAApB,EAGA,WAAW,AAAC,CACV,cAAc,CAAE,IAAI,CAIrB,AAhGT,AA6FU,aA7FG,CA6EX,gBAAgB,CACd,YAAY,CAUT,AAAA,aAAC,CAAc,MAAM,AAApB,EAGA,WAAW,CAET,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CACnB,AA/FX,AAmGI,aAnGS,CA6EX,gBAAgB,CAsBd,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACd,AArGL,AAuGE,aAvGW,CAuGX,sBAAsB,AAAC,CACrB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,GAAG,CAAC,KAAK,CVuFb,OAAoD,CUtF7D,AA3GH,AA4GE,aA5GW,CA4GX,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CAOb,AArHH,AA+GI,aA/GS,CA4GX,QAAQ,CAGN,OAAO,AAAC,CACN,OAAO,CAAE,SAAS,CAClB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CTpHD,IAAO,CSqHZ,AAKL,AACE,sBADoB,CACpB,gBAAgB,AAAC,CACf,aAAa,CAAE,IAAI,CACpB,AAHH,AAIE,sBAJoB,CAIpB,qBAAqB,AAAC,CACpB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CAaV,AAnBH,AAOI,sBAPkB,CAIpB,qBAAqB,CAGnB,oBAAoB,AAAC,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,CVgElB,OAAoD,CU/D1D,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACf,AAbL,AAeM,sBAfgB,CAIpB,qBAAqB,CAUnB,eAAe,CACb,0BAA0B,AAAC,CACzB,MAAM,CAAE,CAAC,CACV,AAMP,AACE,oBADkB,CAClB,aAAa,CADf,oBAAoB,CAElB,iBAAiB,AAAC,CAChB,OAAO,CAAE,GAAG,CACZ,gBAAgB,CV6CR,OAAoD,CU5C7D,AALH,AAME,oBANkB,CAMlB,cAAc,AAAC,CACb,gBAAgB,CV0CR,OAAoD,CUzC5D,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,IAAI,CAQd,AAjBH,AAUI,oBAVgB,CAMlB,cAAc,CAIZ,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AAZL,AAaI,oBAbgB,CAMlB,cAAc,CAOZ,QAAQ,AAAC,CACP,KAAK,CTxJF,OAAO,CSyJV,WAAW,CAAE,IAAI,CAClB,AC9JL,AACE,WADS,CACT,QAAQ,CAAC,KAAK,AAAC,CACb,KAAK,CAAE,IAAI,CACZ,AAHH,AAIE,WAJS,CAIT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AANH,AAOE,WAPS,CAOT,UAAU,AAAC,CACT,OAAO,CAAE,KAAK,CACd,SAAS,CXuCC,OAAQ,CWtClB,KAAK,CXqLG,OAAoD,CWpL7D,AAXH,AAYE,WAZS,CAYT,SAAS,CAAC,GAAG,AAAC,CACZ,SAAS,CAAE,KAAK,CP4ClB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CO5CtB,AAfH,AAgBE,WAhBS,CAgBT,UAAU,CAAC,CAAC,AAAC,CACX,MAAM,CAAE,KAAK,CACb,SAAS,CAAE,KAAK,CPuClB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,COvCtB,AAGH,AACE,gBADc,CACd,cAAc,AAAC,CACb,MAAM,CAAE,KAAK,CACd,AAHH,AAIE,gBAJc,CAId,SAAS,AAAC,CACR,WAAW,CAAE,KAAK,CACnB,AANH,AAOE,gBAPc,CAOd,CAAC,AAAC,CACA,MAAM,CAAE,QAAQ,CACjB,AATH,AAUE,gBAVc,CAUd,kBAAkB,AAAC,CACjB,KAAK,CX6JG,OAAoD,CW5J5D,SAAS,CXaC,OAAQ,CWZnB,AAbH,AAcE,gBAdc,CAcd,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AAhBH,AAiBE,gBAjBc,CAiBd,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CACjB,MAAM,CAAE,MAAM,CACf,AAvBH,AAwBE,gBAxBc,CAwBd,EAAE,AAAC,CACD,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,MAAM,CACf,AA3BH,AA4BE,gBA5Bc,CA4Bd,QAAQ,AAAC,CACP,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,KAAK,CACb,WAAW,CAAE,SAAS,CACtB,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,GAAG,CAAC,KAAK,CXkIX,OAAoD,CWjI9D,OAAO,CAAE,QAAQ,CAClB,AAED,AACE,cADY,CACZ,sBAAsB,AAAC,CACrB,MAAM,CAAE,OAAO,CAChB,AAGH,AACE,qBADmB,CACnB,SAAS,AAAC,CACR,MAAM,CAAE,SAAS,CAOlB,AATH,AAGI,qBAHiB,CACnB,SAAS,CAEP,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,aAAa,CAAE,CAAC,CACjB,AALL,AAMI,qBANiB,CACnB,SAAS,CAKP,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CAChB,AARL,AAUE,qBAVmB,CAUnB,eAAe,CAAC,MAAM,AAAC,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CACb,YAAY,CAAE,GAAG,CAClB,AAGH,AACE,oBADkB,CAClB,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CACf,AAHH,AAKE,oBALkB,CAKlB,WAAW,AAAC,CACV,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,KAAK,CACb,WAAW,CAAE,SAAS,CACvB,AClGH,AAAA,gBAAgB,AAAC,CACf,aAAa,CAAE,MAAM,CAAC,GAAG,CZ+Lf,OAAoD,CY3K/D,AArBD,AAEE,gBAFc,CAEd,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,gBAAgB,CZ4LR,OAAoD,CY3L7D,AALH,AAME,gBANc,CAMd,IAAI,AAAA,QAAQ,AAAC,CACX,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACf,AATH,AAUE,gBAVc,CAUd,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CACnB,AAhBH,AAiBE,gBAjBc,CAiBd,qBAAqB,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CAAC,GAAG,CZ6Kb,OAAoD,CY5K7D,AAGH,AACE,kBADgB,CAChB,GAAG,AAAC,CACF,WAAW,CAAE,QAAQ,CACrB,UAAU,CAAE,KAAK,CAClB,AAJH,AAKE,kBALgB,CAKhB,UAAU,AAAC,CACT,KAAK,CAAE,GAAG,CACX,AAGH,AAAA,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,UAAU,CA2ItB,AA1IC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,OAAO,SAAS,EAAE,KAAK,EAH5D,AAII,cAJU,CAIV,KAAK,AAAA,WAAW,CAAC,EAAE,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,kBAAkB,CAAE,SAAS,CAC7B,qBAAqB,CAAE,cAAc,CAKtC,AAZL,AAQM,cARQ,CAIV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAAC,CACD,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,OAAO,CACjB,AAXP,AAcI,cAdU,CAcV,EAAE,AAAA,WAAW,AAAC,CACZ,iBAAiB,CAAE,EAAE,CACtB,AAhBL,AAiBI,cAjBU,CAiBV,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CAQrB,AA3BL,AAoBM,cApBQ,CAiBV,EAAE,AAAA,QAAQ,CAGR,GAAG,AAAA,QAAQ,AAAC,CACV,OAAO,CAAE,IAAI,CAKd,AA1BP,AAsBQ,cAtBM,CAiBV,EAAE,AAAA,QAAQ,CAGR,GAAG,AAAA,QAAQ,CAET,CAAC,AAAC,CACA,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,IAAI,CAChB,AAzBT,AA6BI,cA7BU,CA6BV,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,CAAC,CACrB,AAlCL,AAoCI,cApCU,CAoCV,EAAE,AAAA,QAAQ,AAAC,CACT,cAAc,CAAE,CAAC,CACjB,YAAY,CAAE,CAAC,CACf,iBAAiB,CAAE,CAAC,CACrB,CAIH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA5CrC,AA6CI,cA7CU,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,AAAC,CAClB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,iBAAiB,CACnC,aAAa,CAAE,SAAS,CAgCzB,AAhFL,AAiDM,cAjDQ,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CA6BlB,AA/EP,AAmDQ,cAnDM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAEC,YAAY,AAAC,CACZ,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAvDT,AAwDQ,cAxDM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAOC,WAAW,AAAC,CACX,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA3DT,AA4DQ,cA5DM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAWC,OAAO,AAAC,CACP,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA/DT,AAgEQ,cAhEM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAeC,QAAQ,AAAC,CACR,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AApET,AAqEQ,cArEM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAoBC,QAAQ,AAAC,CACR,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAzET,AA0EQ,cA1EM,CA6CV,KAAK,AAAA,WAAW,CAAC,EAAE,CAIjB,EAAE,AAyBC,QAAQ,AAAC,CACR,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,CR9FP,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EQgBrC,AAoFI,cApFU,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,AAAC,CAClB,qBAAqB,CAAE,aAAa,CAoCrC,AAzHL,AAsFM,cAtFQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAEjB,EAAE,AAAA,YAAY,AAAC,CACb,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AAzFP,AA0FM,cA1FQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAMjB,EAAE,AAAA,WAAW,AAAC,CACZ,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,EAAE,CACrB,UAAU,CAAE,KAAK,CAClB,AA9FP,AA+FM,cA/FQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAWjB,EAAE,AAAA,OAAO,AAAC,CACR,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,AAlGP,AAmGM,cAnGQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAejB,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,SAAS,CAAE,IAAI,CAChB,AAxGP,AAyGM,cAzGQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAqBjB,EAAE,AAAA,QAAQ,CAzGhB,cAAc,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAsBjB,EAAE,AAAA,QAAQ,AAAC,CACT,SAAS,CAAE,KAAK,CACjB,AA5GP,AA6GM,cA7GQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAyBjB,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,OAAO,CAAE,QAAQ,CACjB,SAAS,CAAE,IAAI,CAChB,AAnHP,AAoHM,cApHQ,CAoFV,KAAK,AAAA,WAAW,CAAC,EAAE,CAgCjB,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,CAxHP,AA4HE,cA5HY,CA4HZ,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,IAAI,CAOd,AArIH,AA+HI,cA/HU,CA4HZ,WAAW,CAGT,CAAC,AAAA,cAAc,AAAC,CACd,YAAY,CAAE,MAAM,CACrB,AAjIL,AAkII,cAlIU,CA4HZ,WAAW,CAMT,aAAa,AAAC,CACZ,SAAS,CZtHH,QAAQ,CYuHf,AApIL,AAsIE,cAtIY,CAsIZ,WAAW,AAAC,CACV,UAAU,CAAE,MAAM,CACnB,AAxIH,AAyIE,cAzIY,CAyIZ,EAAE,AAAA,QAAQ,CAzIZ,cAAc,CA0IZ,EAAE,AAAA,QAAQ,AAAC,CACT,SAAS,CAAE,IAAI,CAChB,AAGH,AAAA,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAQnB,MAAM,CAAE,SAAS,CAmBlB,AA7BD,AAGE,2BAHyB,CAGzB,WAAW,AAAC,CACV,MAAM,CAAE,OAAO,CAChB,AALH,AAME,2BANyB,CAMzB,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,IAAI,CACd,AATH,AAWE,2BAXyB,CAWzB,CAAC,AAAA,OAAO,AAAC,CACP,OAAO,CAAE,WAAW,CACpB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,MAAM,CACrB,gBAAgB,CZCR,OAAoD,CYA5D,OAAO,CAAE,QAAQ,CACjB,KAAK,CXnMC,IAAO,CW8Md,AA5BH,AAkBI,2BAlBuB,CAWzB,CAAC,AAAA,OAAO,AAOL,MAAM,AAAC,CACN,KAAK,CXrMD,IAAO,CWsMX,gBAAgB,CZJV,OAAoD,CYK3D,AArBL,AAsBI,2BAtBuB,CAWzB,CAAC,AAAA,OAAO,CAWN,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAxBL,AAyBI,2BAzBuB,CAWzB,CAAC,AAAA,OAAO,CAcN,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AAIL,AACE,iBADe,CACf,KAAK,AAAA,iBAAiB,AAAC,CACrB,OAAO,CAAE,OAAO,CACjB,AAHH,AAIE,iBAJe,CAIf,IAAI,AAAC,CACH,OAAO,CAAE,OAAO,CAIjB,AATH,AAMI,iBANa,CAIf,IAAI,CAEF,GAAG,AAAC,CACF,YAAY,CAAE,GAAG,CAClB,AAIL,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,KAAK,CACf,AAED,AAAA,yBAAyB,AAAC,CACxB,WAAW,CAAE,GAAG,CAIjB,AALD,AAEE,yBAFuB,CAEvB,SAAS,AAAC,CACR,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CA6BhB,AA/BD,AAGE,qBAHmB,CAGnB,KAAK,AAAC,CACJ,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,eAAe,CACxB,AANH,AAOE,qBAPmB,CAOnB,CAAC,AAAC,CACA,MAAM,CAAE,QAAQ,CACjB,AATH,AAUE,qBAVmB,CAUnB,WAAW,AAAC,CACV,MAAM,CAAE,sBAAsB,CAC9B,IAAI,CAAE,QAAQ,CACf,AAbH,AAcE,qBAdmB,CAcnB,2BAA2B,CAd7B,qBAAqB,CAenB,yBAAyB,AAAC,CACxB,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACpB,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EArBrC,AAsBI,qBAtBiB,CAsBjB,yBAAyB,AAAC,CACxB,WAAW,CAAE,IAAI,CAClB,CAxBL,AA0BE,qBA1BmB,CA0BnB,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,MAAM,CAAE,eAAe,CACxB,AAGH,AACE,KADG,AAAA,sBAAsB,CACzB,EAAE,AAAA,WAAW,AAAC,CACZ,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,UAAU,CAItB,AAPH,AAII,KAJC,AAAA,sBAAsB,CACzB,EAAE,AAAA,WAAW,CAGX,KAAK,AAAC,CACJ,KAAK,CAAE,GAAG,CACX,AANL,AAQE,KARG,AAAA,sBAAsB,CAQzB,EAAE,AAAA,OAAO,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,QAAQ,CAUtB,AApBH,AAWI,KAXC,AAAA,sBAAsB,CAQzB,EAAE,AAAA,OAAO,CAGP,aAAa,AAAC,CACZ,KAAK,CX7QD,IAAO,CW8QZ,AAbL,AAcI,KAdC,AAAA,sBAAsB,CAQzB,EAAE,AAAA,OAAO,CAMP,WAAW,AAAC,CACV,KAAK,CXjRF,OAAO,CWkRX,AAhBL,AAiBI,KAjBC,AAAA,sBAAsB,CAQzB,EAAE,AAAA,OAAO,CASP,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AAIL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EACjC,AAAA,KAAK,AAAA,sBAAsB,CAAC,EAAE,AAAC,CAC7B,qBAAqB,CAAE,cAAc,CAAC,IAAI,CAC3C,CAGH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EACjC,AACE,KADG,AAAA,sBAAsB,CAAC,EAAE,CAC5B,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,EAAE,CACrB,eAAe,CAAE,EAAE,CACnB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,KAAK,CAClB,AAPH,AAQE,KARG,AAAA,sBAAsB,CAAC,EAAE,CAQ5B,EAAE,AAAA,WAAW,AAAC,CACZ,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,UAAU,CAAE,KAAK,CAClB,AAZH,AAaE,KAbG,AAAA,sBAAsB,CAAC,EAAE,CAa5B,EAAE,AAAA,cAAc,AAAC,CACf,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,UAAU,CAAE,KAAK,CAClB,AAjBH,AAkBE,KAlBG,AAAA,sBAAsB,CAAC,EAAE,CAkB5B,EAAE,AAAA,YAAY,AAAC,CACb,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,CRzSH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EQgTnC,AACE,cADY,CACZ,EAAE,AAAA,OAAO,AAAC,CACR,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,SAAS,CAAE,UAAU,CACtB,CAKL,AACE,gBADc,CACd,EAAE,AAAA,WAAW,AAAC,CACZ,SAAS,CAAE,UAAU,CAItB,ARhUD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EQ0TrC,AACE,gBADc,CACd,EAAE,AAAA,WAAW,AAAC,CAGV,SAAS,CAAE,IAAI,CAElB,CRhUD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EQ0TrC,AASI,gBATY,CASZ,EAAE,AAAA,MAAM,AAAC,CACP,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,SAAS,CAAE,UAAU,CACtB,AAbL,AAcI,gBAdY,CAcZ,EAAE,AAAA,WAAW,AAAC,CACZ,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACpB,AAlBL,AAmBI,gBAnBY,CAmBZ,EAAE,AAAA,OAAO,AAAC,CACR,UAAU,CAAE,MAAM,CACnB,CAML,AAAA,iBAAiB,AAAC,CAChB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACZ,aAAa,CAAE,GAAG,CAClB,cAAc,CAAE,GAAG,CACpB,AAED,AACE,oBADkB,CAClB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,eAAe,CAAE,QAAQ,CAI1B,AARH,AAKI,oBALgB,CAClB,cAAc,CAIZ,UAAU,AAAC,CACT,WAAW,CAAE,GAAG,CACjB,AAIL,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,aAAa,CAAE,GAAG,CAClB,eAAe,CAAE,aAAa,CAO/B,AAXD,AAKE,sBALoB,CAKpB,yBAAyB,AAAC,CACxB,OAAO,CAAE,IAAI,CACd,AAPH,AAQE,sBARoB,CAQpB,SAAS,AAAC,CACR,eAAe,CAAE,QAAQ,CAC1B,AAGH,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,YAAY,CACtB,AAED,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,OAAO,CAQhB,AAVD,AAGE,aAHW,CAGX,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,KAAK,CZ/MG,OAAoD,CYgN7D,AANH,AAOE,aAPW,AAOV,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,CX7YA,OAAO,CW8Yb,AAGH,AAAA,kBAAkB,AAAC,CACjB,OAAO,CAAE,YAAY,CAItB,AALD,AAEE,kBAFgB,CAEhB,gBAAgB,AAAC,CACf,WAAW,CAAE,GAAG,CACjB,AAGH,AAAA,uBAAuB,AAAC,CACtB,WAAW,CAAE,GAAG,CAChB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,QAAQ,CAStB,AARC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EALrC,AAAA,uBAAuB,AAAC,CAMpB,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,KAAK,CAMpB,CAbD,AASE,uBATqB,CASrB,aAAa,AAAC,CACZ,SAAS,CZtXC,OAAQ,CYuXlB,UAAU,CAAE,GAAG,CAChB,AAGH,AACE,qBADmB,CACnB,MAAM,AAAC,CACL,MAAM,CAAE,aAAa,CACtB,AAGH,AAAA,yBAAyB,CAAC,CAAC,AAAC,CAC1B,UAAU,CAAE,CAAC,CACd,AAID,AACE,KADG,AAAA,iBAAiB,CACpB,EAAE,AAAA,KAAK,AAAC,CACN,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,UAAU,CAItB,AAHC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAJvC,AACE,KADG,AAAA,iBAAiB,CACpB,EAAE,AAAA,KAAK,AAAC,CAIJ,KAAK,CAAE,IAAI,CAEd,CAPH,AAQE,KARG,AAAA,iBAAiB,CAQpB,EAAE,AAAA,IAAK,CAAA,KAAK,EARd,KAAK,AAAA,iBAAiB,CASpB,EAAE,AAAA,IAAK,CAAA,KAAK,CAAE,CACZ,UAAU,CAAE,MAAM,CACnB,AACD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAZrC,AAcM,KAdD,AAAA,iBAAiB,CAalB,EAAE,CACA,EAAE,AAAA,KAAK,AAAC,CACN,iBAAiB,CAAE,CAAC,CACpB,WAAW,CAAE,MAAM,CACpB,CRxbL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EQuarC,AAsBM,KAtBD,AAAA,iBAAiB,CAqBlB,EAAE,CACA,EAAE,AAAA,KAAK,AAAC,CACN,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AAzBP,AA0BM,KA1BD,AAAA,iBAAiB,CAqBlB,EAAE,CAKA,EAAE,AAAA,IAAK,CAAA,KAAK,EA1BlB,KAAK,AAAA,iBAAiB,CAqBlB,EAAE,CAMA,EAAE,AAAA,IAAK,CAAA,KAAK,CAAE,CACZ,UAAU,CAAE,IAAI,CACjB,CAIL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAjCrC,AAkCI,KAlCC,AAAA,iBAAiB,CAkClB,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,WAAW,CAC7B,aAAa,CAAE,QAAQ,CAyBxB,AA9DL,AAsCM,KAtCD,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,SAAS,CAqBzB,AA7DP,AAyCQ,KAzCH,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,CAGA,MAAM,AAAC,CACL,YAAY,CAAE,CAAC,CAChB,AA3CT,AA4CQ,KA5CH,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,AAMC,KAAK,AAAC,CACL,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAhDT,AAiDQ,KAjDH,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,AAWC,IAAI,AAAA,YAAa,CAAA,CAAC,CAAE,CACnB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AApDT,AAqDQ,KArDH,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,AAeC,IAAI,AAAA,YAAa,CAAA,CAAC,CAAE,CACnB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAxDT,AAyDQ,KAzDH,AAAA,iBAAiB,CAkClB,EAAE,CAIA,EAAE,AAmBC,IAAI,AAAA,YAAa,CAAA,CAAC,CAAE,CACnB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,CClfT,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,OAAO,CACd,WAAW,CAAE,OAAO,CA2BrB,AA/BD,AAKE,eALa,CAKb,CAAC,AAAA,YAAY,AAAC,CACZ,KAAK,CZVC,IAAO,CYWd,AAPH,AAQE,eARa,CAQb,SAAS,AAAC,CACR,UAAU,CAAE,IAAI,CACjB,AAVH,AAWE,eAXa,CAWb,QAAQ,AAAA,MAAM,AAAC,CACb,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,KAAK,CACd,AAdH,AAeE,eAfa,CAeb,eAAe,AAAC,CACd,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,KAAK,CACd,AAlBH,AAmBE,eAnBa,CAmBb,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,IAAI,CACZ,AAvBH,AAwBE,eAxBa,CAwBb,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AAGH,AACE,eADa,CACb,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AAHH,AAIE,eAJa,CAIb,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CAClB,AAGH,AACE,mBADiB,CACjB,GAAG,AAAA,MAAM,AAAC,CACR,aAAa,CAAE,IAAI,CAKpB,AAPH,AAGI,mBAHe,CACjB,GAAG,AAAA,MAAM,CAEP,MAAM,AAAC,CACL,KAAK,CAAE,GAAG,CACV,OAAO,CAAE,YAAY,CACtB,AANL,AASE,mBATiB,CASjB,MAAM,AAAC,CACL,KAAK,CZjDA,OAAO,CYkDb,AAGH,AACE,gBADc,AAAA,uBAAuB,CACrC,gBAAgB,AAAC,CACf,OAAO,CAAE,CAAC,CACX,AAHH,AAIE,gBAJc,AAAA,uBAAuB,CAIrC,cAAc,AAAC,CACb,UAAU,CAAE,GAAG,CACf,aAAa,CAAE,GAAG,CAInB,AAVH,AAOI,gBAPY,AAAA,uBAAuB,CAIrC,cAAc,CAGZ,GAAG,AAAC,CACF,KAAK,CZ7DF,OAAO,CY8DX,AATL,AAWE,gBAXc,AAAA,uBAAuB,CAWrC,UAAU,AAAC,CACT,gBAAgB,Cb0HR,OAAoD,CazH5D,OAAO,CAAE,GAAG,CACb,AAGH,AACE,gBADc,CACd,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CAKpB,AAPH,AAGI,gBAHY,CACd,EAAE,CAEA,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,SAAS,Cb9BD,OAAQ,Ca+BjB,AANL,AASE,gBATc,CASd,YAAY,AAAC,CACX,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,gBAAgB,CbyGR,OAAoD,CaxG5D,OAAO,CAAE,GAAG,CACb,AAdH,AAgBE,gBAhBc,CAgBd,gBAAgB,AAAC,CACf,YAAY,CAAE,IAAI,CAClB,aAAa,CAAE,IAAI,CACpB,AAnBH,AAoBE,gBApBc,CAoBd,aAAa,AAAC,CACZ,UAAU,CAAE,IAAI,CACjB,AAtBH,AAwBI,gBAxBY,CAuBd,cAAc,CAAC,EAAE,CACf,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACpB,KAAK,Cb2FC,OAAoD,Ca1F3D,AA3BL,AA6BE,gBA7Bc,CA6Bd,mBAAmB,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CAgEpB,AA/FH,AAiCI,gBAjCY,CA6Bd,mBAAmB,CAIjB,IAAI,AAAC,CACH,WAAW,Cb/CI,GAAG,CagDnB,AAnCL,AAqCI,gBArCY,CA6Bd,mBAAmB,CAQjB,MAAM,AAAC,CACL,SAAS,CbrEH,QAAQ,CasEd,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,IAAI,CAOpB,AA/CL,AAyCM,gBAzCU,CA6Bd,mBAAmB,CAQjB,MAAM,CAIJ,CAAC,AAAC,CACA,SAAS,CbnEH,OAAQ,CaoEf,AA3CP,AA4CM,gBA5CU,CA6Bd,mBAAmB,CAQjB,MAAM,CAOJ,IAAI,AAAC,CACH,WAAW,Cb3DC,CAAC,Ca4Dd,AA9CP,AAiDI,gBAjDY,CA6Bd,mBAAmB,CAoBjB,kBAAkB,AAAC,CACjB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,MAAM,CACf,AApDL,AAuDM,gBAvDU,CA6Bd,mBAAmB,CAyBjB,SAAS,CACP,QAAQ,CAvDd,gBAAgB,CA6Bd,mBAAmB,CAyBjB,SAAS,CAEP,QAAQ,AAAC,CACP,OAAO,CAAE,KAAK,CAKf,AA9DP,AA2DQ,gBA3DQ,CA6Bd,mBAAmB,CAyBjB,SAAS,CACP,QAAQ,CAIN,QAAQ,CA3DhB,gBAAgB,CA6Bd,mBAAmB,CAyBjB,SAAS,CAEP,QAAQ,CAGN,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AA7DT,AAiEI,gBAjEY,CA6Bd,mBAAmB,CAoCjB,GAAG,AAAA,WAAW,AAAC,CACb,SAAS,Cb5FD,OAAQ,Ca6FhB,aAAa,CAAE,GAAG,CACnB,AApEL,AAsEI,gBAtEY,CA6Bd,mBAAmB,CAyCjB,CAAC,AAAA,WAAW,CAtEhB,gBAAgB,CA6Bd,mBAAmB,CA0CjB,CAAC,AAAA,UAAU,CAvEf,gBAAgB,CA6Bd,mBAAmB,CA2CjB,CAAC,AAAA,YAAY,AAAC,CACZ,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,IAAI,CAInB,AA9EL,AA2EM,gBA3EU,CA6Bd,mBAAmB,CAyCjB,CAAC,AAAA,WAAW,CAKV,OAAO,CA3Eb,gBAAgB,CA6Bd,mBAAmB,CA0CjB,CAAC,AAAA,UAAU,CAIT,OAAO,CA3Eb,gBAAgB,CA6Bd,mBAAmB,CA2CjB,CAAC,AAAA,YAAY,CAGX,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AA7EP,AAgFI,gBAhFY,CA6Bd,mBAAmB,CAmDjB,WAAW,AAAC,CACV,SAAS,Cb7GH,QAAQ,Ca8Gd,WAAW,CAAE,IAAI,CACjB,aAAa,CAAE,GAAG,CACnB,AApFL,AAqFI,gBArFY,CA6Bd,mBAAmB,CAwDjB,aAAa,AAAC,CACZ,aAAa,CAAE,IAAI,CACnB,UAAU,CAAE,IAAI,CACjB,AAxFL,AAyFI,gBAzFY,CA6Bd,mBAAmB,CA4DjB,QAAQ,AAAC,CACP,aAAa,CAAE,IAAI,CACpB,AA3FL,AA4FI,gBA5FY,CA6Bd,mBAAmB,CA+DjB,YAAY,AAAC,CACX,aAAa,CAAE,IAAI,CACpB,AA9FL,AAgGE,gBAhGc,CAgGd,qBAAqB,AAAC,CACpB,cAAc,CAAE,MAAM,CACvB,AAlGH,AAmGE,gBAnGc,CAmGd,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CAItB,AAxGH,AAqGI,gBArGY,CAmGd,YAAY,CAEV,eAAe,AAAC,CACd,UAAU,CAAE,KAAK,CAClB,AAvGL,AA0GE,gBA1Gc,CA0Gd,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CAAC,KAAK,CbShB,OAAoD,CaR5D,UAAU,CAAE,GAAG,CAAC,KAAK,CbQb,OAAoD,CaP5D,YAAY,CAAE,GAAG,CAAC,KAAK,CbOf,OAAoD,CagB7D,AArIH,AA+GI,gBA/GY,CA0Gd,mBAAmB,CAKjB,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,UAAU,CACtB,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,GAAG,CAAC,KAAK,CbAhB,OAAoD,Cae3D,AApIL,AAuHM,gBAvHU,CA0Gd,mBAAmB,CAKjB,IAAI,AAQD,OAAO,AAAC,CACP,WAAW,CAAE,IAAI,CACjB,KAAK,CZrMD,IAAO,CYsMX,UAAU,CZhMT,OAAO,CYiMT,AA3HP,AA6HM,gBA7HU,CA0Gd,mBAAmB,CAKjB,IAAI,AAcD,IAAK,CAAA,OAAO,CAAE,CACb,MAAM,CAAE,OAAO,CAKhB,AAnIP,AAgIQ,gBAhIQ,CA0Gd,mBAAmB,CAKjB,IAAI,AAcD,IAAK,CAAA,OAAO,CAGV,MAAM,AAAC,CACN,gBAAgB,CbZd,OAAoD,CaavD,AAlIT,AAuIE,gBAvIc,CAuId,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,WAAW,CACvB,UAAU,CAAE,IAAI,CAOhB,YAAY,CAAE,GAAG,CAAC,KAAK,Cb5Bf,OAAoD,Ca6B5D,aAAa,CAAE,GAAG,CAAC,KAAK,Cb7BhB,OAAoD,Ca8B5D,KAAK,CAAE,IAAI,CA8FZ,AAtGC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,MAAM,EA3IzC,AAuIE,gBAvIc,CAuId,sBAAsB,AAAC,CAKnB,UAAU,CAAE,IAAI,CAqGnB,CAnGC,MAAM,CAAC,MAAM,MAAM,UAAU,EAAE,KAAK,EA9IxC,AAuIE,gBAvIc,CAuId,sBAAsB,AAAC,CAQnB,UAAU,CAAE,IAAI,CAkGnB,CAjPH,AAqJI,gBArJY,CAuId,sBAAsB,CAcpB,iBAAiB,AAAA,WAAW,AAAC,CAC3B,aAAa,CAAE,IAAI,CACpB,AAvJL,AAwJI,gBAxJY,CAuId,sBAAsB,CAiBpB,iBAAiB,AAAC,CAChB,KAAK,CZtOD,IAAO,CYuOX,aAAa,CAAE,GAAG,CAAC,KAAK,CbrClB,OAAoD,CasC1D,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,GAAG,CAAC,KAAK,CbvChB,OAAoD,Ca2H3D,AAhPL,AA8JM,gBA9JU,CAuId,sBAAsB,CAiBpB,iBAAiB,AAMd,mBAAmB,AAAC,CACnB,YAAY,CAAE,CAAC,CACf,WAAW,CAAE,CAAC,CACd,WAAW,CAAE,IAAI,CACjB,KAAK,Cb7CD,OAAoD,CamDzD,AAxKP,AAoKQ,gBApKQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAMd,mBAAmB,CAMlB,IAAI,AAAA,MAAM,AAAC,CACT,YAAY,CAAE,GAAG,CACjB,WAAW,CAAE,IAAI,CAClB,AAvKT,AAyKM,gBAzKU,CAuId,sBAAsB,CAiBpB,iBAAiB,AAiBd,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,SAAS,CAAC,MAAM,AAAC,CAC9C,gBAAgB,CbrDZ,OAAoD,CayDzD,AA9KP,AA2KQ,gBA3KQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAiBd,IAAK,CAAA,mBAAmB,CAAC,IAAK,CAAA,SAAS,CAAC,MAAM,CAE7C,UAAU,AAAC,CACT,YAAY,CbvDV,OAAoD,CawDvD,AA7KT,AAgLM,gBAhLU,CAuId,sBAAsB,CAiBpB,iBAAiB,AAwBd,SAAS,AAAC,CACT,KAAK,CZ7PD,IAAO,CY8PX,gBAAgB,CZ7Pb,IAAO,CYoQX,AAzLP,AAmLQ,gBAnLQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAwBd,SAAS,CAGR,gBAAgB,AAAC,CACf,KAAK,CZhQH,IAAO,CYiQV,AArLT,AAsLQ,gBAtLQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAwBd,SAAS,CAMR,GAAG,AAAC,CACF,KAAK,CAAE,OAAO,CACf,AAxLT,AA2LQ,gBA3LQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAkCd,IAAK,CAAA,SAAS,EACb,iBAAiB,AAAC,CAChB,KAAK,CZlQN,OAAO,CYmQP,AA7LT,AA8LQ,gBA9LQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAkCd,IAAK,CAAA,SAAS,EAIb,GAAG,AAAC,CACF,OAAO,CAAE,GAAG,CACb,AAhMT,AAiMQ,gBAjMQ,CAuId,sBAAsB,CAiBpB,iBAAiB,AAkCd,IAAK,CAAA,SAAS,EAOb,kBAAkB,AAAC,CACjB,KAAK,CZvQL,IAAO,CYwQR,AAnMT,AAsMM,gBAtMU,CAuId,sBAAsB,CAiBpB,iBAAiB,CA8Cf,gBAAgB,AAAC,CACf,KAAK,CblFD,OAAoD,CamFzD,AAxMP,AA0MM,gBA1MU,CAuId,sBAAsB,CAiBpB,iBAAiB,CAkDf,KAAK,AAAC,CACJ,QAAQ,CAAE,MAAM,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,IAAI,CACjB,SAAS,Cb1OL,QAAQ,Ca+Ob,AAnNP,AAgNQ,gBAhNQ,CAuId,sBAAsB,CAiBpB,iBAAiB,CAkDf,KAAK,CAMH,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAlNT,AAqNM,gBArNU,CAuId,sBAAsB,CAiBpB,iBAAiB,CA6Df,gBAAgB,AAAC,CACf,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,YAAY,CACrB,SAAS,CblPH,OAAQ,CamPd,WAAW,CAAE,QAAQ,CACrB,KAAK,CbrGD,OAAoD,Ca2GzD,AAhOP,AA4NQ,gBA5NQ,CAuId,sBAAsB,CAiBpB,iBAAiB,CA6Df,gBAAgB,CAOd,aAAa,CA5NrB,gBAAgB,CAuId,sBAAsB,CAiBpB,iBAAiB,CA6Df,gBAAgB,CAQd,aAAa,AAAA,MAAM,AAAC,CAClB,eAAe,CAAE,SAAS,CAC3B,AA/NT,AAkOM,gBAlOU,CAuId,sBAAsB,CAiBpB,iBAAiB,CA0Ef,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,OAAO,CAChB,AArOP,AAuOM,gBAvOU,CAuId,sBAAsB,CAiBpB,iBAAiB,CA+Ef,IAAI,AAAA,MAAM,AAAC,CACT,OAAO,CAAE,iBAAiB,CAC3B,AAzOP,AA2OM,gBA3OU,CAuId,sBAAsB,CAiBpB,iBAAiB,CAmFf,cAAc,CA3OpB,gBAAgB,CAuId,sBAAsB,CAiBpB,iBAAiB,CAoFf,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CAAE,OAAO,CACd,KAAK,CAAE,IAAI,CACZ,AA/OP,AAoPI,gBApPY,CAmPd,MAAM,AAAA,SAAS,CACb,cAAc,AAAC,CACb,UAAU,CAAE,IAAI,CACjB,AAtPL,AAuPI,gBAvPY,CAmPd,MAAM,AAAA,SAAS,CAIb,kBAAkB,AAAC,CACjB,cAAc,CAAE,CAAC,CACjB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,IAAI,CACjB,AA3PL,AA4PI,gBA5PY,CAmPd,MAAM,AAAA,SAAS,CASb,cAAc,AAAC,CACb,KAAK,CAAE,GAAG,CACV,SAAS,CAAE,UAAU,CAKtB,AAnQL,AA+PM,gBA/PU,CAmPd,MAAM,AAAA,SAAS,CASb,cAAc,CAGZ,EAAE,AAAC,CACD,UAAU,CAAE,CAAC,CACb,aAAa,CAAE,MAAM,CACtB,AAlQP,AAsQE,gBAtQc,CAsQd,cAAc,AAAA,UAAU,AAAC,CACvB,QAAQ,CAAE,KAAK,CACf,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,OAAO,CbnQK,IAAI,CaoQhB,gBAAgB,CAAE,KAAK,CACvB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CAQV,AAxRH,AAiRI,gBAjRY,CAsQd,cAAc,AAAA,UAAU,CAWtB,QAAQ,AAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CACZ,AAvRL,AA0RE,gBA1Rc,CA0Rd,aAAa,CA1Rf,gBAAgB,CA2Rd,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CACZ,AA7RH,AA8RE,gBA9Rc,CA8Rd,aAAa,CAAC,EAAE,AAAC,CACf,aAAa,CAAE,IAAI,CACpB,AAhSH,AAiSE,gBAjSc,CAiSd,cAAc,AAAC,CACb,KAAK,CAAE,IAAI,CAyGZ,AA3YH,AAoSI,gBApSY,CAiSd,cAAc,CAGZ,gBAAgB,AAAC,CACf,MAAM,CAAE,CAAC,CACV,AAtSL,AAwSI,gBAxSY,CAiSd,cAAc,CAOZ,cAAc,CAAC,UAAU,CAAG,EAAE,CAAC,CAAC,AAAA,OAAO,AAAC,CACtC,gBAAgB,CZnXT,OAAO,CYoXd,KAAK,CZtXC,IAAO,CYuXd,AA3SL,AA6SI,gBA7SY,CAiSd,cAAc,CAYZ,cAAc,CAAC,EAAE,AAAC,CAChB,cAAc,CAAE,CAAC,CAClB,AA/SL,AAkTM,gBAlTU,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,AAAC,CACD,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,IAAI,CAoCd,AAxVP,AAsTQ,gBAtTQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,AAIC,OAAO,AAAC,CACP,SAAS,CAAE,CAAC,CACb,AAxTT,AA0TQ,gBA1TQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,AAQC,aAAa,CAAG,CAAC,AAAC,CACjB,YAAY,CAAE,CAAC,CAChB,AA5TT,AA8TQ,gBA9TQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CAYA,CAAC,AAAA,QAAQ,CAAC,OAAO,AAAC,CAChB,YAAY,CAAE,CAAC,CAChB,AAhUT,AAkUQ,gBAlUQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CAgBA,KAAK,AAAC,CACJ,OAAO,CAAE,QAAQ,CACjB,aAAa,CAAE,CAAC,CACjB,AArUT,AAuUQ,gBAvUQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CAqBA,CAAC,AAAA,OAAO,AAAC,CACP,UAAU,CbnNR,OAAoD,CaoNtD,KAAK,CZrZH,IAAO,CYsZV,AA1UT,AA4UQ,gBA5UQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CA0BA,CAAC,AAAA,MAAM,AAAA,IAAK,CAAA,OAAO,CAAE,CACnB,KAAK,CbxNH,OAAoD,CayNvD,AA9UT,AAgVQ,gBAhVQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CA8BA,KAAK,AAAC,CACJ,aAAa,CAAE,CAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AAnVT,AAqVQ,gBArVQ,CAiSd,cAAc,CAgBZ,UAAU,CACR,EAAE,CAmCA,MAAM,AAAC,CACL,YAAY,CAAE,CAAC,CAChB,AAvVT,AA2VI,gBA3VY,CAiSd,cAAc,CA0DZ,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,IAAI,CACZ,AA/VL,AAkWM,gBAlWU,CAiSd,cAAc,AAgEX,UAAU,CACT,gBAAgB,AAAC,CACf,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACZ,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,IAAI,CACZ,AAvWP,AAwWM,gBAxWU,CAiSd,cAAc,AAgEX,UAAU,CAOT,aAAa,AAAC,CACZ,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,IAAI,CACb,AA3WP,AA4WM,gBA5WU,CAiSd,cAAc,AAgEX,UAAU,CAWT,YAAY,AAAC,CACX,MAAM,CAAE,kBAAkB,CAC3B,AA9WP,AAiXI,gBAjXY,CAiSd,cAAc,CAgFZ,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AAvXL,AAyXI,gBAzXY,CAiSd,cAAc,CAwFZ,eAAe,AAAC,CACd,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,GAAG,CAIhB,AA/XL,AA4XM,gBA5XU,CAiSd,cAAc,CAwFZ,eAAe,CAGb,IAAI,AAAC,CACH,YAAY,CAAE,IAAI,CACnB,AA9XP,AAiYI,gBAjYY,CAiSd,cAAc,CAgGZ,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,KAAK,CAOb,AA1YL,AAoYM,gBApYU,CAiSd,cAAc,CAgGZ,QAAQ,CAGN,OAAO,AAAC,CACN,OAAO,CAAE,SAAS,CAClB,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACX,KAAK,CZrdH,IAAO,CYsdV,AAzYP,AA8YM,gBA9YU,CA4Yd,aAAa,CACX,SAAS,CACP,MAAM,CA9YZ,gBAAgB,CA4Yd,aAAa,CACX,SAAS,CAEP,CAAC,AAAC,CACA,YAAY,CAAE,IAAI,CACnB,AAjZP,AAqZI,gBArZY,CAoZd,OAAO,CACL,KAAK,CAAC,EAAE,AAAC,CACP,MAAM,CAAE,IAAI,CACb,AAvZL,AAwZI,gBAxZY,CAoZd,OAAO,CAIL,EAAE,AAAA,IAAI,AAAC,CACL,KAAK,CAAE,KAAK,CACb,AA1ZL,AA2ZI,gBA3ZY,CAoZd,OAAO,CAOL,EAAE,AAAA,QAAQ,AAAC,CACT,KAAK,CAAE,KAAK,CACb,AA7ZL,AA8ZI,gBA9ZY,CAoZd,OAAO,CAUL,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,CAAC,CACjB,AAjaL,AAkaI,gBAlaY,CAoZd,OAAO,CAcL,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CACnB,AApaL,AAqaI,gBAraY,CAoZd,OAAO,CAiBL,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACV,AAvaL,AAwaI,gBAxaY,CAoZd,OAAO,CAoBL,YAAY,AAAC,CACX,MAAM,CAAE,UAAU,CAClB,KAAK,CbrTC,OAAoD,CasT1D,SAAS,CbrcD,OAAQ,CaschB,WAAW,CbzbI,GAAG,Ca0bnB,AA7aL,AA+aI,gBA/aY,CAoZd,OAAO,CA2BL,QAAQ,CAAC,IAAI,CAAC,KAAK,AAAC,CAClB,gBAAgB,CAAE,KAAK,CACvB,KAAK,CAAE,KAAK,CACZ,YAAY,CZxfT,OAAO,CYyfX,AAnbL,AAsbE,gBAtbc,CAsbd,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CACd,SAAS,CbldC,OAAQ,CamdlB,UAAU,CAAE,GAAG,CAChB,AA1bH,AA4bE,gBA5bc,CA4bd,eAAe,AAAC,CACd,UAAU,CAAE,IAAI,CAChB,WAAW,CAAE,CAAC,CAuBf,AArdH,AA+bI,gBA/bY,CA4bd,eAAe,CAGb,EAAE,AAAC,CAYD,OAAO,CAAE,SAAS,CASnB,AApdL,AAicQ,gBAjcQ,CA4bd,eAAe,CAGb,EAAE,AACC,eAAe,CACd,WAAW,AAAC,CACV,KAAK,Cb7UH,OAAoD,CaiVvD,AAtcT,AAmcU,gBAncM,CA4bd,eAAe,CAGb,EAAE,AACC,eAAe,CACd,WAAW,AAER,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AArcX,AAwcM,gBAxcU,CA4bd,eAAe,CAGb,EAAE,CASA,IAAI,AAAC,CACH,WAAW,CAAE,GAAG,CACjB,AA1cP,AA4cM,gBA5cU,CA4bd,eAAe,CAGb,EAAE,CAaA,IAAI,AAAA,WAAW,AAAC,CACd,aAAa,CAAE,IAAI,CACnB,cAAc,CAAE,IAAI,CACpB,SAAS,CAAE,IAAI,CAChB,AAhdP,AAidM,gBAjdU,CA4bd,eAAe,CAGb,EAAE,CAkBA,IAAI,AAAC,CACH,OAAO,CAAE,UAAU,CACpB,AAKP,AACE,iBADe,CACf,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,MAAM,CAItB,AAPH,AAII,iBAJa,CACf,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAGF,KAAK,AAAC,CACN,KAAK,CbxWC,OAAoD,CayW3D,AANL,AAQE,iBARe,CAQf,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACtB,AAGH,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACX,AAED,AAAA,WAAW,CAAC,OAAO,CAAC,OAAO,AAAC,CAC1B,UAAU,CAAE,IAAI,CACjB,AAED,AAAA,WAAW,CAAC,OAAO,CAAC,cAAc,AAAC,CACjC,UAAU,CAAE,IAAI,CAgBjB,AAjBD,AAEE,WAFS,CAAC,OAAO,CAAC,cAAc,CAEhC,KAAK,AAAC,CACJ,YAAY,CAAE,CAAC,CAChB,AAJH,AAKE,WALS,CAAC,OAAO,CAAC,cAAc,CAKhC,KAAK,CAAC,KAAK,AAAC,CACV,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CACd,AARH,AAUE,WAVS,CAAC,OAAO,CAAC,cAAc,CAUhC,WAAW,AAAC,CACV,UAAU,CAAE,IAAI,CAKjB,AAhBH,AAYI,WAZO,CAAC,OAAO,CAAC,cAAc,CAUhC,WAAW,CAET,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,KAAK,CACd,AAKL,AACE,WADS,CACT,IAAI,CADN,WAAW,CAET,MAAM,CAFR,WAAW,CAGT,SAAS,CAHX,WAAW,CAIT,aAAa,CAJf,WAAW,CAKT,KAAK,AAAC,CTvhBN,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CSuhBrB,SAAS,CAAE,KAAK,CAIjB,ATtkBD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ES2jBrC,AACE,WADS,CACT,IAAI,CADN,WAAW,CAET,MAAM,CAFR,WAAW,CAGT,SAAS,CAHX,WAAW,CAIT,aAAa,CAJf,WAAW,CAKT,KAAK,AAAC,CAIF,SAAS,CAAE,IAAI,CAElB,CAXH,AAaE,WAbS,AAaR,KAAK,CAAC,EAAE,AAAA,gBAAgB,AAAC,CACxB,qBAAqB,CAAE,KAAK,CAC7B,AAGH,AAAA,iBAAiB,AAAC,CAChB,UAAU,CAAE,IAAI,CAIjB,ATllBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ES6kBrC,AAAA,iBAAiB,AAAC,CAGd,UAAU,CAAE,KAAK,CAEpB,CAED,AAAA,eAAe,AAAC,CACd,WAAW,CAAE,UAAU,CACvB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,IAAI,CAehB,ATvmBC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ESolBrC,AAAA,eAAe,AAAC,CAMZ,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,GAAG,CAYtB,CAnBD,AAUE,eAVa,CAUb,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACb,AAZH,AAaE,eAba,CAab,KAAK,AAAC,CACJ,MAAM,CAAE,KAAK,CAId,ATtmBD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ESolBrC,AAaE,eAba,CAab,KAAK,AAAC,CAGF,MAAM,CAAE,KAAK,CAEhB,CAGH,AAAA,gBAAgB,AAAC,CACf,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,sBAAsB,AAAC,CACrB,KAAK,Cb/bK,OAAoD,Cagc/D,AAGD,AAAA,iBAAiB,AAAC,CAChB,aAAa,CAAE,GAAG,CA6DnB,AA9DD,AAEE,iBAFe,CAEf,KAAK,AAAA,KAAK,AAAC,CACT,aAAa,CAAE,GAAG,CAYnB,AAfH,AAII,iBAJa,CAEf,KAAK,AAAA,KAAK,CAER,EAAE,CAAC,EAAE,AAAC,CACJ,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CAClB,AARL,AASI,iBATa,CAEf,KAAK,AAAA,KAAK,CAOR,EAAE,AAAA,SAAS,AAAC,CACV,SAAS,CAAE,GAAG,CACf,AAXL,AAYI,iBAZa,CAEf,KAAK,AAAA,KAAK,CAUR,WAAW,AAAA,UAAU,AAAA,iBAAiB,AAAC,CACrC,KAAK,CAAE,iBAAiB,CACzB,AAEH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAhBrC,AAkBM,iBAlBW,CAiBb,KAAK,AAAA,KAAK,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AApBP,AAqBM,iBArBW,CAiBb,KAAK,AAAA,KAAK,CAIR,GAAG,AAAA,MAAM,AAAC,CACR,OAAO,CAAE,KAAK,CACd,SAAS,CbzmBH,OAAQ,Ca0mBd,KAAK,Cb3dD,OAAoD,Ca4dzD,AAzBP,AA0BM,iBA1BW,CAiBb,KAAK,AAAA,KAAK,CASR,EAAE,AAAA,SAAS,CA1BjB,iBAAiB,CAiBb,KAAK,AAAA,KAAK,CAUR,EAAE,AAAA,iBAAiB,AAAC,CAClB,UAAU,CAAE,GAAG,CAChB,AA7BP,AA8BM,iBA9BW,CAiBb,KAAK,AAAA,KAAK,CAaR,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACb,qBAAqB,CAAE,cAAc,CACtC,CAIL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EArCrC,AAuCM,iBAvCW,CAsCb,KAAK,AAAA,KAAK,CACR,EAAE,CAAC,EAAE,AAAA,cAAc,AAAC,CAClB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,SAAS,CAAE,IAAI,CAIhB,AA9CP,AA2CQ,iBA3CS,CAsCb,KAAK,AAAA,KAAK,CACR,EAAE,CAAC,EAAE,AAAA,cAAc,CAIjB,KAAK,AAAC,CACJ,KAAK,CAAE,iBAAiB,CACzB,AA7CT,AA+CM,iBA/CW,CAsCb,KAAK,AAAA,KAAK,CASR,EAAE,AAAA,iBAAiB,AAAC,CAClB,UAAU,CAAE,GAAG,CACf,SAAS,CAAE,IAAI,CAChB,CTpqBL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,ESknBrC,AAuDI,iBAvDa,CAuDb,KAAK,AAAA,KAAK,CAAC,EAAE,AAAC,CACZ,qBAAqB,CAAE,cAAc,CAItC,AA5DL,AAyDM,iBAzDW,CAuDb,KAAK,AAAA,KAAK,CAAC,EAAE,CAEX,EAAE,AAAA,SAAS,AAAC,CACV,UAAU,CAAE,IAAI,CACjB,CAKP,AAAA,oBAAoB,AAAC,CAInB,aAAa,CAAE,GAAG,CAYnB,AAhBD,AACE,oBADkB,CAClB,EAAE,AAAC,CACD,MAAM,CAAE,KAAK,CACd,AAHH,AAKE,oBALkB,CAKlB,cAAc,AAAC,CAIb,MAAM,CAAE,QAAQ,CACjB,AAVH,AAMI,oBANgB,CAKlB,cAAc,CACZ,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACX,AARL,AAWE,oBAXkB,CAWlB,CAAC,AAAA,YAAY,AAAC,CACZ,KAAK,Cb/gBG,OAAoD,CaghB5D,aAAa,CAAE,GAAG,CAClB,SAAS,CAAE,KAAK,CACjB,AAGH,AAAA,UAAU,CAAC,EAAE,CAAC,KAAK,AAAC,CAClB,aAAa,CAAE,CAAC,CACjB,AAED,AACE,YADU,CACV,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAHH,AAIE,YAJU,CAIV,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,CbhiBhB,OAAoD,CaykB7D,AAhDH,AAQI,YARQ,CAIV,WAAW,CAIT,aAAa,AAAC,CACZ,KAAK,CAAE,GAAG,CACV,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACZ,AAZL,AAaI,YAbQ,CAIV,WAAW,CAST,aAAa,CAbjB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,QAAQ,CAuBlB,AAxCL,AAkBM,YAlBM,CAIV,WAAW,CAST,aAAa,AAKV,WAAW,CAlBlB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAIf,WAAW,AAAC,CACX,KAAK,CAAE,GAAG,CAYX,AA/BP,AAoBQ,YApBI,CAIV,WAAW,CAST,aAAa,AAKV,WAAW,CAEV,WAAW,CApBnB,YAAY,CAIV,WAAW,CAST,aAAa,AAKV,WAAW,CAGV,WAAW,CArBnB,YAAY,CAIV,WAAW,CAST,aAAa,AAKV,WAAW,CAIV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAtBd,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAIf,WAAW,CAEV,WAAW,CApBnB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAIf,WAAW,CAGV,WAAW,CArBnB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAIf,WAAW,CAIV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACX,AAxBT,AA2BU,YA3BE,CAIV,WAAW,CAST,aAAa,AAKV,WAAW,CAQV,WAAW,CACT,WAAW,CA3BrB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAIf,WAAW,CAQV,WAAW,CACT,WAAW,AAAC,CACV,KAAK,CAAE,IAAI,CACZ,AA7BX,AAgCM,YAhCM,CAIV,WAAW,CAST,aAAa,AAmBV,WAAW,CAhClB,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAkBf,WAAW,AAAC,CACX,KAAK,CAAE,GAAG,CAMX,AAvCP,AAkCQ,YAlCI,CAIV,WAAW,CAST,aAAa,AAmBV,WAAW,CAEV,KAAK,CAlCb,YAAY,CAIV,WAAW,CAUT,kBAAkB,AAkBf,WAAW,CAEV,KAAK,AAAC,CACJ,MAAM,CAAE,aAAa,CACrB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,IAAI,CAClB,AAtCT,AAyCI,YAzCQ,CAIV,WAAW,CAqCT,SAAS,AAAC,CACR,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,KAAK,CAClB,AA5CL,AA6CI,YA7CQ,CAIV,WAAW,CAyCT,SAAS,AAAC,CACR,KAAK,CAAE,IAAI,CACZ,AAIL,AACE,aADW,CACX,oBAAoB,AAAC,CACnB,SAAS,CbhuBD,QAAQ,CaiuBhB,WAAW,CAAE,IAAI,CACjB,MAAM,CAAE,KAAK,CACd,AALH,AAOE,aAPW,CAOX,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CACjB,AAGH,AACE,gBADc,CACd,GAAG,AAAA,WAAW,AAAC,CACb,UAAU,Cb1lBF,OAAoD,Ca2lB5D,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,GAAG,CACnB,AALH,AAME,gBANc,CAMd,iBAAiB,AAAC,CAChB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,IAAI,CACb,AAGH,AACE,gCAD8B,CAC9B,eAAe,CADjB,gCAAgC,CAE9B,SAAS,AAAC,CACR,UAAU,CAAE,GAAG,CAChB,AAJH,AAME,gCAN8B,CAM9B,SAAS,AAAC,CACR,MAAM,CAAE,IAAI,CACb,AAGH,AACE,4BAD0B,CAC1B,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CAQd,AAZH,AAKI,4BALwB,CAC1B,YAAY,CAIV,WAAW,AAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACV,AC7zBL,AAAA,cAAc,AAAC,CACb,SAAS,CAAE,KAAK,CAChB,OAAO,CAAE,IAAI,CACd,AAED,AAAA,oBAAoB,AAAC,CACnB,KAAK,CAAE,KAAK,CACb,AAED,AAAA,mBAAmB,AAAC,CAClB,MAAM,CAAE,GAAG,CAAC,KAAK,CdwLP,OAAoD,CcvL9D,aAAa,CAAE,IAAI,CACnB,QAAQ,CAAE,QAAQ,CAiCnB,AApCD,AAKE,mBALiB,AAKhB,WAAW,AAAC,CACX,aAAa,CAAE,GAAG,CAAC,KAAK,CdmLhB,OAAoD,CclL7D,AAPH,AASE,mBATiB,CASjB,KAAK,CATP,mBAAmB,CAUjB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,mBAdiB,CAcjB,KAAK,AAAC,CACJ,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,mBAAmB,CAC5B,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,OAAO,CAChB,AAnBH,AAqBE,mBArBiB,CAqBjB,KAAK,AAAA,QAAQ,CAAG,KAAK,AAAC,CACpB,KAAK,Cb9BG,IAAO,Ca+Bf,gBAAgB,Cb9BT,IAAO,CamCf,AA5BH,AAwBI,mBAxBe,CAqBjB,KAAK,AAAA,QAAQ,CAAG,KAAK,CAGjB,OAAO,AAAC,CACR,OAAO,CAAE,KAAK,CACd,KAAK,CblCC,IAAO,CamCd,AA3BL,AA8BE,mBA9BiB,CA8BjB,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,GAAG,CACR,UAAU,CAAE,IAAI,CACjB,AAGH,AAAA,sBAAsB,AAAC,CACrB,OAAO,CAAE,iBAAiB,CAC1B,KAAK,CAAE,kBAAkB,CAC1B,AAED,AACE,KADG,CACH,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACX,AAGH,AAAA,oBAAoB,AAAC,CACnB,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,IAAI,CACd,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,mBAAmB,AAAC,CAClB,aAAa,CAAE,GAAG,CAAC,KAAK,CdiId,OAAoD,CchI9D,OAAO,CAAE,OAAO,CAChB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAuCpB,AA3CD,AAKE,mBALiB,CAKjB,mBAAmB,AAAC,CAClB,IAAI,CAAE,CAAC,CAqBR,AA3BH,AAOI,mBAPe,CAKjB,mBAAmB,CAEjB,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACnB,SAAS,CdrBD,OAAQ,CcsBhB,KAAK,CdwHC,OAAoD,CcvH3D,AAXL,AAaI,mBAbe,CAKjB,mBAAmB,CAQjB,CAAC,AAAC,CACA,KAAK,CdoHC,OAAoD,CcnH1D,WAAW,CAAE,IAAI,CAMlB,AArBL,AAgBM,mBAhBa,CAKjB,mBAAmB,CAQjB,CAAC,AAGE,MAAM,CAhBb,mBAAmB,CAKjB,mBAAmB,CAQjB,CAAC,AAIE,QAAQ,CAjBf,mBAAmB,CAKjB,mBAAmB,CAQjB,CAAC,AAKE,OAAO,AAAC,CACP,KAAK,Cd+GD,OAAoD,Cc9GzD,AApBP,AAuBI,mBAvBe,CAKjB,mBAAmB,CAkBjB,0BAA0B,AAAC,CACzB,SAAS,CdrCD,OAAQ,CcsChB,aAAa,CAAE,IAAI,CACpB,AA1BL,AA6BI,mBA7Be,CA4BjB,sBAAsB,CAClB,IAAI,AAAC,CACL,UAAU,CAAE,MAAM,CAClB,SAAS,Cd5CD,OAAQ,Cc6ChB,KAAK,CdkGC,OAAoD,CcjG1D,YAAY,CAAE,GAAG,CAClB,AAlCL,AAoCI,mBApCe,CA4BjB,sBAAsB,CAQlB,CAAC,AAAC,CACF,OAAO,CAAE,KAAK,CACd,SAAS,CdlDD,OAAQ,CcmDhB,UAAU,CAAE,GAAG,CACf,UAAU,CAAE,MAAM,CACnB,ACvGL,AAEI,KAFC,AAAA,UAAU,AAAA,KAAK,CAClB,EAAE,AAAA,gBAAgB,CAChB,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AALL,AAMI,KANC,AAAA,UAAU,AAAA,KAAK,CAClB,EAAE,AAAA,gBAAgB,CAKhB,OAAO,AAAC,CACN,YAAY,CAAE,MAAM,CACrB,AARL,AAUE,KAVG,AAAA,UAAU,AAAA,KAAK,CAUlB,EAAE,AAAA,YAAY,AAAC,CACb,SAAS,CAAE,UAAU,CACrB,SAAS,CAAE,IAAI,CAChB,AAbH,AAcE,KAdG,AAAA,UAAU,AAAA,KAAK,CAclB,EAAE,AAAA,SAAS,AAAC,CACV,OAAO,CAAE,IAAI,CAId,AAnBH,AAgBI,KAhBC,AAAA,UAAU,AAAA,KAAK,CAclB,EAAE,AAAA,SAAS,CAET,MAAM,AAAC,CACL,WAAW,CAAE,MAAM,CACpB,AAEH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EApBrC,AAsBM,KAtBD,AAAA,UAAU,AAAA,KAAK,CAqBhB,KAAK,CACH,EAAE,AAAC,CACD,qBAAqB,CAAE,KAAK,CAAC,cAAc,CAAC,KAAK,CAClD,AAxBP,AA0BM,KA1BD,AAAA,UAAU,AAAA,KAAK,CAqBhB,KAAK,CAKH,EAAE,AAAA,SAAS,AAAC,CACV,UAAU,CAAE,KAAK,CAClB,CXXL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EWjBrC,AAiCM,KAjCD,AAAA,UAAU,AAAA,KAAK,CAgChB,KAAK,CACH,EAAE,AAAC,CACD,qBAAqB,CAAE,SAAS,CACjC,AAnCP,AAqCI,KArCC,AAAA,UAAU,AAAA,KAAK,CAqChB,EAAE,AAAA,SAAS,AAAC,CACV,QAAQ,CAAE,CAAC,CACZ,CAGH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA1CrC,AA2CI,KA3CC,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,mBAAmB,CAoBtC,AAjEL,AA8CM,KA9CD,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,CAGA,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CAiBlB,AAhEP,AAgDQ,KAhDH,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,CAGA,EAAE,AAEC,gBAAgB,AAAC,CAChB,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAnDT,AAoDQ,KApDH,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,CAGA,EAAE,AAMC,YAAY,AAAC,CACZ,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AAvDT,AAwDQ,KAxDH,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,CAGA,EAAE,AAUC,YAAY,AAAC,CACZ,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA3DT,AA4DQ,KA5DH,AAAA,UAAU,AAAA,KAAK,CA2ChB,EAAE,CAGA,EAAE,AAcC,SAAS,AAAC,CACT,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,CAQT,AAAA,KAAK,AAAA,SAAS,AAAC,CACb,aAAa,CAAE,MAAM,CA0EtB,AA3ED,AAGE,KAHG,AAAA,SAAS,CAGZ,aAAa,AAAC,CACZ,UAAU,CAAE,KAAK,CAClB,AALH,AAOE,KAPG,AAAA,SAAS,CAOZ,EAAE,AAAA,QAAQ,AAAC,CACT,KAAK,CfiHG,OAAoD,CehH7D,AX/DD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EWsDrC,AAYI,KAZC,AAAA,SAAS,CAYV,EAAE,AAAC,CACD,qBAAqB,CAAE,cAAc,CACtC,AAdL,AAeI,KAfC,AAAA,SAAS,CAeV,EAAE,AAAA,IAAI,AAAC,CACL,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,SAAS,CAAE,IAAI,CAChB,AApBL,AAqBI,KArBC,AAAA,SAAS,CAqBV,EAAE,AAAA,gBAAgB,AAAC,CACjB,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACnB,SAAS,CAAE,IAAI,CAChB,AA1BL,AA2BI,KA3BC,AAAA,SAAS,CA2BV,EAAE,AAAA,SAAS,AAAC,CACV,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,AA9BL,AA+BI,KA/BC,AAAA,SAAS,CA+BV,EAAE,AAAA,aAAa,AAAC,CACd,QAAQ,CAAE,CAAC,CACX,eAAe,CAAE,EAAE,CACnB,iBAAiB,CAAE,CAAC,CACpB,UAAU,CAAE,KAAK,CAIlB,AAvCL,AAoCM,KApCD,AAAA,SAAS,CA+BV,EAAE,AAAA,aAAa,CAKb,IAAI,AAAC,CACH,aAAa,CAAE,MAAM,CACtB,CAIL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EA1CrC,AA2CI,KA3CC,AAAA,SAAS,CA2CV,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,cAAc,CAChC,aAAa,CAAE,SAAS,CA2BzB,AAzEL,AA+CM,KA/CD,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAAC,CACD,OAAO,CAAE,QAAQ,CAwBlB,AAxEP,AAkDQ,KAlDH,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAGC,IAAI,AAAC,CACJ,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACxB,AAtDT,AAuDQ,KAvDH,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAQC,SAAS,AAAC,CACT,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CACnB,AA1DT,AA2DQ,KA3DH,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAYC,aAAa,AAAC,CACb,YAAY,CAAE,CAAC,CACf,eAAe,CAAE,CAAC,CAClB,oBAAoB,CAAE,CAAC,CACvB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,WAAW,CAO9B,AAvET,AAiEU,KAjEL,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAYC,aAAa,CAMZ,MAAM,AAAA,cAAc,AAAC,CACnB,eAAe,CAAE,CAAC,CACnB,AAnEX,AAoEU,KApEL,AAAA,SAAS,CA2CV,EAAE,CAIA,EAAE,AAYC,aAAa,CASZ,MAAM,AAAA,aAAa,AAAC,CAClB,eAAe,CAAE,CAAC,CACnB,CAOX,AACE,eADa,CACb,EAAE,AAAC,CACD,aAAa,CAAE,IAAI,CACpB,AAHH,AAIE,eAJa,CAIb,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,CfqChB,OAAoD,CeN7D,AAtCH,AAQI,eARW,CAIb,QAAQ,CAIN,aAAa,CARjB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,OAAO,CAqBjB,AAhCL,AAYM,eAZS,CAIb,QAAQ,CAIN,aAAa,AAIV,WAAW,CAZlB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAGf,WAAW,AAAC,CACX,KAAK,CAAE,GAAG,CAUX,AAvBP,AAcQ,eAdO,CAIb,QAAQ,CAIN,aAAa,AAIV,WAAW,CAEV,WAAW,CAdnB,eAAe,CAIb,QAAQ,CAIN,aAAa,AAIV,WAAW,CAGV,WAAW,CAfnB,eAAe,CAIb,QAAQ,CAIN,aAAa,AAIV,WAAW,CAIV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,EAhBd,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAGf,WAAW,CAEV,WAAW,CAdnB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAGf,WAAW,CAGV,WAAW,CAfnB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAGf,WAAW,CAIV,KAAK,CAAA,AAAA,IAAC,CAAK,MAAM,AAAX,CAAa,CACjB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,CAAC,CACV,AAnBT,AAoBQ,eApBO,CAIb,QAAQ,CAIN,aAAa,AAIV,WAAW,CAQV,QAAQ,CApBhB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAGf,WAAW,CAQV,QAAQ,AAAC,CACP,KAAK,CAAE,cAAc,CACtB,AAtBT,AAwBM,eAxBS,CAIb,QAAQ,CAIN,aAAa,AAgBV,WAAW,CAxBlB,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAef,WAAW,AAAC,CACX,KAAK,CAAE,GAAG,CAMX,AA/BP,AA0BQ,eA1BO,CAIb,QAAQ,CAIN,aAAa,AAgBV,WAAW,CAEV,KAAK,CA1Bb,eAAe,CAIb,QAAQ,CAKN,kBAAkB,AAef,WAAW,CAEV,KAAK,AAAC,CACJ,MAAM,CAAE,aAAa,CACrB,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,IAAI,CAClB,AA9BT,AAiCI,eAjCW,CAIb,QAAQ,CA6BN,SAAS,AAAC,CACR,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,GAAG,CACX,AAKL,AACE,mBADiB,CACjB,IAAI,AAAA,KAAK,AAAA,MAAM,AAAC,CACd,OAAO,CAAE,IAAI,CACd,AAHH,AAIE,mBAJiB,CAIjB,KAAK,AAAC,CACJ,SAAS,CAAE,iBAAkB,CAC9B,AANH,AAOE,mBAPiB,CAOjB,WAAW,CAPb,mBAAmB,CAQjB,WAAW,AAAA,aAAa,AAAC,CACvB,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CACjB,AAXH,AAaE,mBAbiB,CAajB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,OAAO,CAQhB,AAxBH,AAkBI,mBAlBe,CAajB,eAAe,CAKb,WAAW,AAAC,CACV,aAAa,CAAE,KAAK,CAIrB,AXpMH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EW6KrC,AAkBI,mBAlBe,CAajB,eAAe,CAKb,WAAW,AAAC,CAGR,KAAK,CAAE,IAAI,CAEd,CAvBL,AA0BE,mBA1BiB,CA0Bf,CAAC,AAAC,CACF,cAAc,CAAE,IAAI,CACpB,aAAa,Cf1BL,OAAoD,Ce0BhC,GAAG,CAAC,KAAK,CACtC,AA7BH,AA8BE,mBA9BiB,CA8BjB,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACb,cAAc,CAAE,GAAG,CACnB,aAAa,Cf/BL,OAAoD,Ce+BhC,GAAG,CAAC,KAAK,CAOtC,AAxCH,AAkCI,mBAlCe,CA8BjB,QAAQ,CAIN,OAAO,AAAC,CACN,aAAa,CAAE,GAAG,CACnB,AApCL,AAqCI,mBArCe,CA8BjB,QAAQ,CAON,KAAK,CAAC,OAAO,AAAC,CACZ,YAAY,CAAE,MAAM,CACrB,AAvCL,AAyCE,mBAzCiB,CAyCjB,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CAChB,AA3CH,AA4CE,mBA5CiB,CA4CjB,oBAAoB,AAAC,CACnB,aAAa,CAAE,IAAI,CACpB,AAGH,AACE,mBADiB,CACjB,MAAM,AAAC,CACL,YAAY,CAAE,IAAI,CACnB,AAGH,AACE,gBADc,CACd,EAAE,AAAC,CACD,OAAO,CAAE,KAAK,CACf,AAHH,AAIE,gBAJc,CAId,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CACnB,AAVH,AAWE,gBAXc,CAWd,IAAI,AAAA,MAAM,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAbH,AAcE,gBAdc,CAcd,IAAI,AAAA,SAAS,AAAC,CACZ,KAAK,CAAE,IAAI,CACZ,AAhBH,AAiBE,gBAjBc,CAiBd,IAAI,AAAA,UAAU,AAAC,CACb,KAAK,CAAE,KAAK,CACb,AAnBH,AAoBE,gBApBc,CAoBd,IAAI,AAAA,WAAW,AAAC,CACd,KAAK,CAAE,KAAK,CACb,AAtBH,AAuBE,gBAvBc,CAuBd,IAAI,AAAA,QAAQ,AAAC,CACX,KAAK,CAAE,KAAK,CACZ,WAAW,CAAE,CAAC,CAIf,AA7BH,AA0BI,gBA1BY,CAuBd,IAAI,AAAA,QAAQ,CAGV,CAAC,AAAC,CACA,eAAe,CAAE,SAAS,CAC3B,AA5BL,AA8BE,gBA9Bc,CA8Bd,IAAI,AAAA,QAAQ,AAAA,QAAQ,AAAC,CACnB,OAAO,CAAE,KAAK,CACf,AAhCH,AAiCE,gBAjCc,CAiCd,QAAQ,AAAC,CACP,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,IAAI,CACjB,AApCH,AAqCE,gBArCc,CAqCd,KAAK,AAAC,CACJ,SAAS,Cf3OJ,GAAG,Ce4OT,AAvCH,AAwCE,gBAxCc,AAwCb,aAAa,AAAC,CACb,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,wBAAwB,AAAC,CACvB,UAAU,CAAE,IAAI,CAIjB,AALD,AAEE,wBAFsB,CAEtB,MAAM,AAAC,CACL,MAAM,CAAE,UAAU,CACnB,AAGH,AAAA,WAAW,AAAC,CACV,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CAOlB,AAVD,AAIE,WAJS,CAIT,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACtB,AANH,AAOE,WAPS,CAOT,CAAC,AAAC,CACA,MAAM,CAAE,YAAY,CACrB,AC/SH,AAAA,aAAa,AAAC,CACZ,KAAK,CfLK,IAAO,CeMjB,UAAU,CALD,OAAO,CAqBjB,AAlBD,AAGE,aAHW,CAGX,OAAO,AAAC,CACN,KAAK,CfRG,IAAO,CeShB,AALH,AAME,aANW,AAMV,MAAM,AAAC,CACN,UAAU,CATE,OAAsB,CAanC,AAXH,AAQI,aARS,AAMV,MAAM,CAEL,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACpB,AAVL,AAYE,aAZW,AAYV,OAAO,AAAC,CZyBT,gBAAgB,CYtCA,OAAsB,CZuCtC,gBAAgB,CAAE,4CAAoD,CYxBrE,AAdH,AAeE,aAfW,CAeV,AAAA,QAAC,AAAA,CAAU,CACV,UAAU,CAnBH,OAAO,CAoBf,AAKC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAFvC,AAGM,cAHQ,CACZ,KAAK,CAED,EAAE,AAAA,gBAAgB,AAAC,CACjB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AANP,AAOM,cAPQ,CACZ,KAAK,CAMD,EAAE,AAAA,YAAY,AAAC,CACb,eAAe,CAAE,EAAE,CACnB,UAAU,CAAE,KAAK,CAClB,AAVP,AAWM,cAXQ,CACZ,KAAK,CAUD,EAAE,AAAA,gBAAgB,AAAC,CACjB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CAClB,UAAU,CAAE,KAAK,CAIlB,AApBP,AAiBQ,cAjBM,CACZ,KAAK,CAUD,EAAE,AAAA,gBAAgB,CAMhB,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CACnB,CZzBP,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EYMrC,AAuBM,cAvBQ,CACZ,KAAK,CAsBD,EAAE,AAAA,gBAAgB,AAAC,CACjB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,AA1BP,AA2BM,cA3BQ,CACZ,KAAK,CA0BD,EAAE,AAAA,YAAY,AAAC,CACb,UAAU,CAAE,KAAK,CAClB,AA7BP,AA8BM,cA9BQ,CACZ,KAAK,CA6BD,EAAE,AAAA,gBAAgB,AAAC,CACjB,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,CAAC,CACnB,CZvCL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EYMrC,AAoCM,cApCQ,CACZ,KAAK,CAmCD,EAAE,AAAA,gBAAgB,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,CAKP,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,IAAI,CAChB,QAAQ,CAAE,IAAI,CACf,AAED,AAAA,MAAM,AAAA,GAAG,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,SAAS,CAAE,KAAK,CACjB,AAED,AAAA,YAAY,AAAC,CACX,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,iBAAoB,CACjC,AAED,AAAA,aAAa,AAAA,MAAM,CAAC,YAAY,AAAC,CAC/B,UAAU,CAAE,iBAAoB,CACjC,AAED,AACE,mBADiB,CACjB,IAAI,AAAC,CACH,MAAM,CAAE,eAAe,CACxB,AAHH,AAIE,mBAJiB,CAIjB,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CAUhB,AAbD,AAIE,eAJa,CAIb,IAAI,AAAC,CACH,YAAY,CAAE,KAAK,CACpB,AANH,AAOE,eAPa,CAOb,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAIlB,AZ5FD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EYgFrC,AAOE,eAPa,CAOb,eAAe,AAAC,CAGZ,MAAM,CAAE,UAAU,CAErB,CC7GH,AAEI,eAFW,AAAA,cAAc,CAC3B,SAAS,CACP,gBAAgB,AAAC,CACf,WAAW,CAAE,IAAI,CAClB,AAGD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAPvC,AAQM,eARS,AAAA,cAAc,CAM3B,KAAK,CAED,EAAE,AAAC,CACD,qBAAqB,CAAE,MAAM,CAAC,cAAc,CAC7C,CbOL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EajBrC,AAaM,eAbS,AAAA,cAAc,CAM3B,KAAK,CAOD,EAAE,AAAC,CACD,qBAAqB,CAAE,MAAM,CAAC,cAAc,CAC7C,AAfP,AAgBM,eAhBS,AAAA,cAAc,CAM3B,KAAK,CAUD,EAAE,AAAA,YAAY,AAAC,CACb,iBAAiB,CAAE,CAAC,CACpB,eAAe,CAAE,EAAE,CACpB,AAnBP,AAoBM,eApBS,AAAA,cAAc,CAM3B,KAAK,CAcD,EAAE,AAAA,SAAS,AAAC,CACV,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACpB,UAAU,CAAE,KAAK,CAIlB,AA3BP,AAwBQ,eAxBO,AAAA,cAAc,CAM3B,KAAK,CAcD,EAAE,AAAA,SAAS,CAIT,MAAM,AAAC,CACL,OAAO,CAAE,IAAI,CACd,AA1BT,AA4BM,eA5BS,AAAA,cAAc,CAM3B,KAAK,CAsBD,EAAE,AAAA,QAAQ,AAAC,CACT,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,AA/BP,AAgCM,eAhCS,AAAA,cAAc,CAM3B,KAAK,CA0BD,EAAE,AAAA,YAAY,AAAC,CACb,QAAQ,CAAE,CAAC,CACX,iBAAiB,CAAE,CAAC,CACrB,CAKP,AAAA,6BAA6B,AAAC,CAC5B,KAAK,ChBnCG,IAAO,CgBoChB,AC5CD,AACE,cADY,CACZ,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CAOZ,AATH,AAII,cAJU,CACZ,aAAa,CAGX,cAAc,AAAC,CACb,cAAc,CAAE,KAAK,CACrB,aAAa,CAAE,GAAG,CAClB,aAAa,CAAE,GAAG,CAAC,KAAK,ClB2LlB,OAAoD,CkB1L3D,AARL,AAWE,cAXY,CAWZ,mBAAmB,CAAC,uBAAuB,CAAC,aAAa,AAAC,CACxD,MAAM,CAAE,KAAK,CACd,AAbH,AAeE,cAfY,CAeZ,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CA6Cd,AA7DH,AAkBI,cAlBU,CAeZ,iBAAiB,CAGf,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACZ,AApBL,AAsBI,cAtBU,CAeZ,iBAAiB,CAOf,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CACR,AAzBL,AA2BI,cA3BU,CAeZ,iBAAiB,CAYf,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,GAAG,CAajB,AA7CL,AAkCM,cAlCQ,CAeZ,iBAAiB,CAYf,QAAQ,CAON,YAAY,AAAC,CACX,MAAM,CAAE,CAAC,CACT,KAAK,CAAE,KAAK,CACb,AArCP,AAuCM,cAvCQ,CAeZ,iBAAiB,CAYf,QAAQ,CAYN,UAAU,CAvChB,cAAc,CAeZ,iBAAiB,CAYf,QAAQ,CAaN,oBAAoB,CAxC1B,cAAc,CAeZ,iBAAiB,CAYf,QAAQ,CAcN,IAAI,AAAC,CACH,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AdzBL,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EcnBrC,AAeE,cAfY,CAeZ,iBAAiB,AAAC,CAiCd,cAAc,CAAE,MAAM,CACtB,SAAS,CAAE,IAAI,CAYlB,AA7DH,AAmDM,cAnDQ,CAeZ,iBAAiB,CAoCb,cAAc,AAAC,CACb,KAAK,CAAE,CAAC,CACT,AArDP,AAuDM,cAvDQ,CAeZ,iBAAiB,CAwCb,QAAQ,AAAC,CACP,KAAK,CAAE,CAAC,CACR,MAAM,CAAE,CAAC,CACT,WAAW,CAAE,UAAU,CACxB,CC3DP,AAEI,aAFS,CACX,4BAA4B,AACzB,WAAW,AAAC,CACX,MAAM,CAAE,CAAC,CACV,AAJL,AAOE,aAPW,CAOX,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,GAAG,CAAC,KAAK,CnBwLhB,OAAoD,CmBvL5D,aAAa,CAAE,KAAK,CACpB,cAAc,CAAE,KAAK,CACtB,AAbH,AAeE,aAfW,CAeX,OAAO,CAAC,WAAW,AAAC,CAClB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CA4BjB,AA7CH,AAmBI,aAnBS,CAeX,OAAO,CAAC,WAAW,CAIjB,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,SAAS,CnB4BH,QAAQ,CmB3Bf,AAtBL,AAwBI,aAxBS,CAeX,OAAO,CAAC,WAAW,CASjB,YAAY,CAAC,WAAW,AAAC,CACvB,WAAW,CAAE,GAAG,CACjB,AA1BL,AA4BI,aA5BS,CAeX,OAAO,CAAC,WAAW,CAajB,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CAejB,AA5CL,AA+BM,aA/BO,CAeX,OAAO,CAAC,WAAW,CAajB,OAAO,CAGL,WAAW,AAAC,CACV,KAAK,ClBhCH,IAAO,CkBiCV,AAjCP,AAmCM,aAnCO,CAeX,OAAO,CAAC,WAAW,CAajB,OAAO,CAOL,KAAK,AAAC,CACJ,MAAM,CAAE,OAAO,CACf,WAAW,CAAE,MAAM,CACnB,KAAK,CnB4JD,OAAoD,CmBvJzD,AA3CP,AAwCQ,aAxCK,CAeX,OAAO,CAAC,WAAW,CAajB,OAAO,CAOL,KAAK,AAKF,MAAM,AAAC,CACN,KAAK,CnByJH,OAAoD,CmBxJvD,AA1CT,AA+CE,aA/CW,CA+CX,OAAO,CAAC,MAAM,AAAC,CACb,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CA2BlB,AA5EH,AAmDI,aAnDS,CA+CX,OAAO,CAAC,MAAM,AAIX,cAAc,CAnDnB,aAAa,CA+CX,OAAO,CAAC,MAAM,AAKX,mBAAmB,AAAC,CACnB,KAAK,ClB9CF,OAAO,CkB+CX,AAtDL,AAwDI,aAxDS,CA+CX,OAAO,CAAC,MAAM,AASX,YAAY,CAxDjB,aAAa,CA+CX,OAAO,CAAC,MAAM,AAUX,iBAAiB,AAAC,CACjB,KAAK,ClBlDD,IAAO,CkBmDZ,AA3DL,AA6DI,aA7DS,CA+CX,OAAO,CAAC,MAAM,AAcX,UAAU,AAAC,CACV,KAAK,CnBoIC,OAAoD,CmBhI3D,AAlEL,AA+DM,aA/DO,CA+CX,OAAO,CAAC,MAAM,AAcX,UAAU,CAET,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAjEP,AAoEI,aApES,CA+CX,OAAO,CAAC,MAAM,CAqBZ,MAAM,AAAC,CACL,SAAS,CnBpBH,QAAQ,CmBqBf,AAtEL,AAwEI,aAxES,CA+CX,OAAO,CAAC,MAAM,CAyBZ,KAAK,AAAC,CACJ,SAAS,CnBxBH,QAAQ,CmByBd,WAAW,CAAE,GAAG,CACjB,AA3EL,AA8EE,aA9EW,CA8EX,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACd,AAhFH,AAkFE,aAlFW,CAkFX,KAAK,AAAC,CACJ,IAAI,CAAE,CAAC,CACR,AApFH,AAsFE,aAtFW,CAsFX,KAAK,CAAC,aAAa,AAAC,CAClB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,MAAM,CAClB,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,qBAAqB,CA6B9B,AAvHH,AA4FI,aA5FS,CAsFX,KAAK,CAAC,aAAa,CAMjB,CAAC,AAAC,CACA,KAAK,CnBqGC,OAAoD,CmBpG3D,AA9FL,AAgGI,aAhGS,CAsFX,KAAK,CAAC,aAAa,CAUjB,OAAO,AAAC,CACN,KAAK,CAAE,YAAY,CACnB,SAAS,CnBrDH,GAAG,CmBsDT,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,WAAW,CACpB,AArGL,AAuGI,aAvGS,CAsFX,KAAK,CAAC,aAAa,AAiBhB,QAAQ,CAvGb,aAAa,CAsFX,KAAK,CAAC,aAAa,AAkBhB,aAAa,AAAC,CACb,UAAU,ClBxGJ,IAAO,CkByGb,YAAY,CnBwFN,OAAoD,CmBvF1D,KAAK,CnBuFC,OAAoD,CmBtF3D,AA5GL,AA8GI,aA9GS,CAsFX,KAAK,CAAC,aAAa,AAwBhB,aAAa,CAAC,OAAO,AAAC,CACrB,KAAK,ClBxGF,OAAO,CkByGX,AAhHL,AAkHI,aAlHS,CAsFX,KAAK,CAAC,aAAa,AA4BhB,QAAQ,CAlHb,aAAa,CAsFX,KAAK,CAAC,aAAa,AA6BhB,UAAU,AAAC,CACV,YAAY,CnB8EN,OAAoD,CmB7E1D,KAAK,ClB9GF,OAAO,CkB+GX,AAtHL,AAyHE,aAzHW,CAyHX,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,GAAG,CAChB,cAAc,CAAE,MAAM,CACtB,KAAK,CAAE,KAAK,CA+Cb,AA5KH,AA+HI,aA/HS,CAyHX,QAAQ,CAMN,MAAM,AAAC,CACL,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CAUjB,AA5IL,AAoIM,aApIO,CAyHX,QAAQ,CAMN,MAAM,CAKJ,KAAK,AAAC,CACJ,OAAO,CAAE,WAAW,CACpB,IAAI,CAAE,OAAO,CAKd,AA3IP,AAwIQ,aAxIK,CAyHX,QAAQ,CAMN,MAAM,CAKJ,KAAK,CAIH,SAAS,AAAA,WAAW,AAAC,CACnB,KAAK,ClBvIJ,IAAO,CkBwIT,AA1IT,AA8II,aA9IS,CAyHX,QAAQ,CAqBN,QAAQ,AAAC,CACP,aAAa,CAAE,GAAG,CACnB,AAhJL,AAkJI,aAlJS,CAyHX,QAAQ,CAyBN,QAAQ,CAAC,MAAM,AAAC,CACd,WAAW,CAAE,GAAG,CAChB,KAAK,CAAE,IAAI,CACZ,AArJL,AAuJI,aAvJS,CAyHX,QAAQ,CA8BN,QAAQ,CAAC,MAAM,CAvJnB,aAAa,CAyHX,QAAQ,CA+BN,QAAQ,CAAC,WAAW,AAAC,CACnB,KAAK,CAAE,IAAI,CAkBZ,AA3KL,AA2JM,aA3JO,CAyHX,QAAQ,CA8BN,QAAQ,CAAC,MAAM,CAIb,eAAe,CA3JrB,aAAa,CAyHX,QAAQ,CA+BN,QAAQ,CAAC,WAAW,CAGlB,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CACZ,AA7JP,AA+JM,aA/JO,CAyHX,QAAQ,CA8BN,QAAQ,CAAC,MAAM,CAQb,mBAAmB,CA/JzB,aAAa,CAyHX,QAAQ,CA+BN,QAAQ,CAAC,WAAW,CAOlB,mBAAmB,AAAC,CAClB,KAAK,CAAE,IAAI,CACZ,AAjKP,AAmKM,aAnKO,CAyHX,QAAQ,CA8BN,QAAQ,CAAC,MAAM,CAYb,oBAAoB,CAnK1B,aAAa,CAyHX,QAAQ,CA+BN,QAAQ,CAAC,WAAW,CAWlB,oBAAoB,AAAC,CACnB,KAAK,CAAE,IAAI,CAMZ,AA1KP,AAqKQ,aArKK,CAyHX,QAAQ,CA8BN,QAAQ,CAAC,MAAM,CAYb,oBAAoB,CAElB,YAAY,CArKpB,aAAa,CAyHX,QAAQ,CA+BN,QAAQ,CAAC,WAAW,CAWlB,oBAAoB,CAElB,YAAY,AAAC,CACX,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAMT,AACE,IADE,CAAC,aAAa,CAChB,QAAQ,AAAC,CACP,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,GAAG,CAClB,AAJH,AAME,IANE,CAAC,aAAa,CAMhB,MAAM,AAAC,CACL,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,IAAI,CACnB,AAGH,AACE,aADW,AAAA,cAAc,CACzB,KAAK,AAAC,CACJ,IAAI,CAAE,QAAQ,CACf,AC9LH,AACE,aADW,CACX,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,qBAAqB,CAAE,GAAG,CAAC,mCAAmC,CAC9D,kBAAkB,CAAE,mCAAmC,CACvD,WAAW,CAAE,MAAM,CAGnB,OAAO,CAAE,QAAQ,CACjB,gBAAgB,CAAE,mBAAmB,CAkEtC,AA5EH,AAWI,aAXS,CACX,sBAAsB,CAUpB,KAAK,AAAC,CACJ,YAAY,CAAE,CAAC,CACf,oBAAoB,CAAE,CAAC,CAiBxB,AA9BL,AAeM,aAfO,CACX,sBAAsB,CAUpB,KAAK,AAIF,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AAjBP,AAkBM,aAlBO,CACX,sBAAsB,CAUpB,KAAK,AAOF,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AApBP,AAqBM,aArBO,CACX,sBAAsB,CAUpB,KAAK,AAUF,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AAvBP,AAwBM,aAxBO,CACX,sBAAsB,CAUpB,KAAK,AAaF,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AA1BP,AA2BM,aA3BO,CACX,sBAAsB,CAUpB,KAAK,AAgBF,YAAa,CAAA,CAAC,CAAE,CACf,eAAe,CAAE,CAAC,CACnB,AA7BP,AAgCI,aAhCS,CACX,sBAAsB,CA+BpB,KAAK,AAAC,CACJ,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,KAAK,CACjB,WAAW,CAAE,MAAM,CAwCpB,AA3EL,AAqCM,aArCO,CACX,sBAAsB,CA+BpB,KAAK,AAKF,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,ChBsBtB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CgBZlB,AAlDP,AAyCQ,aAzCK,CACX,sBAAsB,CA+BpB,KAAK,AAKF,MAAM,CAIL,OAAO,AAAC,CACN,KAAK,CpBwJH,OAAoD,CoBvJtD,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,MAAM,CACnB,AA7CT,AA+CQ,aA/CK,CACX,sBAAsB,CA+BpB,KAAK,AAKF,MAAM,CAUL,OAAO,AAAC,CACN,MAAM,CAAE,CAAC,CACV,AAGH,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EApDzC,AAqDQ,aArDK,CACX,sBAAsB,CA+BpB,KAAK,AAqBA,MAAM,CAAC,OAAO,AAAC,CACd,OAAO,CAAE,IAAI,CACd,CAvDT,AA0DM,aA1DO,CACX,sBAAsB,CA+BpB,KAAK,CA0BH,aAAa,AAAC,CACZ,KAAK,CpBuID,OAAoD,CoBtIxD,SAAS,CpBPH,OAAQ,CoBQf,AA7DP,AAiEQ,aAjEK,CACX,sBAAsB,CA+BpB,KAAK,AA+BF,iBAAiB,CAEhB,OAAO,CAjEf,aAAa,CACX,sBAAsB,CA+BpB,KAAK,AAgCF,YAAY,CACX,OAAO,AAAC,CACN,KAAK,CnB1DL,IAAO,CmB2DR,AAnET,AAuEQ,aAvEK,CACX,sBAAsB,CA+BpB,KAAK,AAqCF,mBAAmB,CAElB,OAAO,CAvEf,aAAa,CACX,sBAAsB,CA+BpB,KAAK,AAsCF,cAAc,CACb,OAAO,AAAC,CACN,KAAK,CnBjEN,OAAO,CmBkEP,AAMT,AAAA,IAAI,CAAC,cAAc,CAAC,gBAAgB,CAAC,cAAc,AAAC,CAClD,UAAU,CAAE,IAAI,CACjB,AAED,AACE,IADE,CAAC,cAAc,CACjB,KAAK,AAAC,CACJ,UAAU,CAAE,IAAI,CAKjB,AAPH,AAII,IAJA,CAAC,cAAc,CACjB,KAAK,AAGF,MAAM,AAAC,CACN,UAAU,CAAE,KAAK,CAClB,AEzFL,AACE,2BADyB,CACzB,uBAAuB,AAAC,CACtB,MAAM,CAAE,KAAK,CACd,ACHH,AAEI,mBAFe,AAChB,YAAY,CACX,MAAM,CAAC,wBAAwB,AAAA,YAAY,CAF/C,mBAAmB,AAChB,YAAY,CAEX,MAAM,CAAC,0BAA0B,AAAA,YAAY,AAAC,CnByDhD,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmBzDnB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,GAAG,CACX,AAPL,AASI,mBATe,AAChB,YAAY,CAQX,MAAM,CAAC,wBAAwB,AAAA,WAAW,CAT9C,mBAAmB,AAChB,YAAY,CASX,MAAM,CAAC,0BAA0B,AAAA,WAAW,AAAC,CAC3C,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,GAAG,CACV,UAAU,CAAE,KAAK,CAClB,AAdL,AAiBE,mBAjBiB,CAiBjB,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,GAAG,CAAC,KAAK,CvB+KT,OAAoD,CuB9K5D,YAAY,CAAE,KAAK,CAKpB,AAzBH,AAsBI,mBAtBe,CAiBjB,MAAM,CAKJ,KAAK,AAAC,CACJ,UAAU,CAAE,CAAC,CACd,AAxBL,AA4BI,mBA5Be,CA2BjB,MAAM,CAAC,0BAA0B,CAC/B,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,OAAO,CnB6BpB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmB7BpB,AAjCL,AAoCM,mBApCa,CA2BjB,MAAM,CAAC,0BAA0B,AAQ9B,gBAAgB,CACf,OAAO,AAAC,CACN,KAAK,CtBnCF,IAAO,CsBoCX,AAtCP,AAwCM,mBAxCa,CA2BjB,MAAM,CAAC,0BAA0B,AAQ9B,gBAAgB,CAKf,SAAS,AAAA,MAAM,AAAC,CACd,KAAK,CvByJD,OAAoD,CuBxJxD,UAAU,CvBwJN,OAAoD,CuBvJzD,AA3CP,AA8CI,mBA9Ce,CA2BjB,MAAM,CAAC,0BAA0B,AAmB9B,IAAK,CAAA,gBAAgB,EAAE,SAAS,AAAC,CAChC,UAAU,CAAE,IAAI,CASjB,AAxDL,AAiDM,mBAjDa,CA2BjB,MAAM,CAAC,0BAA0B,AAmB9B,IAAK,CAAA,gBAAgB,EAAE,SAAS,AAG9B,MAAM,AAAC,CACN,KAAK,CvBgJD,OAAoD,CuB/IxD,UAAU,CvB+IN,OAAoD,CuB3IzD,AAvDP,AAoDQ,mBApDW,CA2BjB,MAAM,CAAC,0BAA0B,AAmB9B,IAAK,CAAA,gBAAgB,EAAE,SAAS,AAG9B,MAAM,CAGL,OAAO,AAAC,CACN,KAAK,CvB6IH,OAAoD,CuB5IvD,AAtDT,AA4DI,mBA5De,CA2DjB,wBAAwB,AACrB,KAAK,CAAC,SAAS,AAAC,CACf,WAAW,CAAE,MAAM,CACpB,AA9DL,AAiEE,mBAjEiB,CAiEjB,UAAU,AAAC,CACT,UAAU,CvBgIF,OAAoD,CuB1H7D,AAxEH,AAoEI,mBApEe,CAiEjB,UAAU,CAGR,EAAE,AAAC,CACD,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,IAAI,CACjB,AAvEL,AA0EE,mBA1EiB,CA0EjB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,QAAQ,CACzB,UAAU,CAAE,MAAM,CASnB,AAtFH,AA+EI,mBA/Ee,CA0EjB,WAAW,CAKT,MAAM,AAAC,CACL,WAAW,CAAE,KAAK,CAKnB,AArFL,AAkFM,mBAlFa,CA0EjB,WAAW,CAKT,MAAM,AAGH,WAAW,AAAC,CACX,KAAK,CtBjFF,IAAO,CsBkFX,AAKP,AACE,aADW,AAAA,oBAAoB,CAC/B,0BAA0B,AAAA,YAAY,AAAC,CACrC,KAAK,CAAE,GAAG,CACX,AAGH,AACE,aADW,AAAA,gBAAgB,CAC3B,0BAA0B,AAAA,IAAI,CADhC,aAAa,AAAA,gBAAgB,CAE3B,0BAA0B,AAAA,gBAAgB,CAF5C,aAAa,AAAA,gBAAgB,CAG3B,wBAAwB,AAAA,IAAI,CAH9B,aAAa,AAAA,gBAAgB,CAI3B,wBAAwB,AAAA,gBAAgB,AAAC,CACvC,UAAU,CAAE,MAAM,CAClB,KAAK,CAAE,GAAG,CACX,AAPH,AASE,aATW,AAAA,gBAAgB,CAS3B,wBAAwB,AAAA,KAAK,AAAC,CnB5C9B,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmB4CtB,AAGH,AACE,aADW,AAAA,oBAAoB,CAC/B,0BAA0B,AAAA,QAAQ,CADpC,aAAa,AAAA,oBAAoB,CAE/B,0BAA0B,AAAA,OAAO,CAFnC,aAAa,AAAA,oBAAoB,CAG/B,wBAAwB,AAAA,QAAQ,CAHlC,aAAa,AAAA,oBAAoB,CAI/B,wBAAwB,AAAA,OAAO,AAAC,CAC9B,UAAU,CAAE,MAAM,CACnB,AANH,AAQE,aARW,AAAA,oBAAoB,CAQ/B,0BAA0B,AAAA,KAAK,AAAC,CAC9B,KAAK,CAAE,GAAG,CACX,AAGH,AACE,aADW,AAAA,WAAW,CACtB,0BAA0B,AAAA,KAAK,AAAC,CAC9B,KAAK,CAAE,GAAG,CACX,AAHH,AAKE,aALW,AAAA,WAAW,CAKtB,wBAAwB,AAAA,KAAK,CAL/B,aAAa,AAAA,WAAW,CAMtB,wBAAwB,AAAA,YAAY,AAAC,CnBpErC,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CmBoEtB,AAGH,AACE,aADW,AAAA,aAAa,CACxB,0BAA0B,AAAA,cAAc,CAD1C,aAAa,AAAA,aAAa,CAExB,wBAAwB,AAAA,cAAc,AAAC,CACrC,UAAU,CAAE,MAAM,CACnB,AAGH,AAGM,IAHF,CACF,mBAAmB,AAChB,YAAY,CACX,MAAM,CAAC,wBAAwB,AAAA,YAAY,CAHjD,IAAI,CACF,mBAAmB,AAChB,YAAY,CAEX,MAAM,CAAC,0BAA0B,AAAA,YAAY,AAAC,CAC5C,UAAU,CAAE,KAAK,CAClB,AANP,AAQM,IARF,CACF,mBAAmB,AAChB,YAAY,CAMX,MAAM,CAAC,wBAAwB,AAAA,WAAW,CARhD,IAAI,CACF,mBAAmB,AAChB,YAAY,CAOX,MAAM,CAAC,0BAA0B,AAAA,WAAW,AAAC,CAC3C,UAAU,CAAE,IAAI,CACjB,AAXP,AAeM,IAfF,CACF,mBAAmB,CAajB,UAAU,CACR,EAAE,AAAC,CACD,UAAU,CAAE,KAAK,CAClB,AAjBP,AAsBI,IAtBA,CAqBF,wBAAwB,AACrB,KAAK,CAAC,SAAS,AAAC,CACf,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,MAAM,CACrB,AAzBL,AA6BI,IA7BA,CA4BF,aAAa,AAAA,gBAAgB,CAC3B,0BAA0B,AAAA,KAAK,CA7BnC,IAAI,CA4BF,aAAa,AAAA,gBAAgB,CAE3B,wBAAwB,AAAA,KAAK,AAAC,CAC5B,UAAU,CAAE,KAAK,CAClB,AAhCL,AAoCI,IApCA,CAmCF,WAAW,CACT,MAAM,AAAC,CACL,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,KAAK,CACpB,AAvCL,AA2CI,IA3CA,CA0CF,aAAa,AAAA,oBAAoB,CAC/B,0BAA0B,AAAA,KAAK,CA3CnC,IAAI,CA0CF,aAAa,AAAA,oBAAoB,CAE/B,wBAAwB,AAAA,KAAK,AAAC,CAC5B,UAAU,CAAE,KAAK,CAClB,AC1LL,AACE,0BADwB,CACxB,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,IAAI,CAAE,QAAQ,CACf,ACJH,AAAA,YAAY,AAAC,CACX,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,GAAG,CACV,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,GAAG,CAChB,UAAU,CAAE,IAAI,CAqCjB,AA1CD,AAOE,YAPU,CAOV,GAAG,AAAC,CACF,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,YAAY,CAAE,IAAI,CAClB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,GAAG,CAChB,AAdH,AAeE,YAfU,CAeV,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CACnB,AAjBH,AAkBE,YAlBU,CAkBV,gBAAgB,AAAC,CACf,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACnB,KAAK,CAAE,GAAG,CAKX,AA1BH,AAsBI,YAtBQ,CAkBV,gBAAgB,CAId,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACrB,WAAW,CzBuCI,GAAG,CyBtCnB,AAzBL,AA2BE,YA3BU,CA2BV,cAAc,AAAC,CACb,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,GAAG,CACnB,ArBZD,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EqBlBrC,AAAA,YAAY,AAAC,CAiCT,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CAQhB,AA1CD,AAmCI,YAnCQ,CAmCR,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AArCL,AAsCI,YAtCQ,CAsCR,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACd"\n}
23	wizard	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	/*! normalize.css v3.0.1 | MIT License | git.io/normalize */html{font-family:sans-serif;-ms-text-size-adjust:100%;-webkit-text-size-adjust:100%}body{margin:0}article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary{display:block}audio,canvas,progress,video{display:inline-block;vertical-align:baseline}audio:not([controls]){display:none;height:0}[hidden],template{display:none}a{background:transparent}a:active,a:hover{outline:0}abbr[title],acronym[title]{text-decoration:underline;text-decoration-style:dotted}b,strong{font-weight:bold}dfn{font-style:italic}h1{font-size:1.7511em;margin:0.67em 0}mark{background:#ff0;color:#000}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sup{top:-0.5em}sub{bottom:-0.25em}img{border:0}figure{margin:1em 40px}hr{-moz-box-sizing:content-box;box-sizing:content-box;height:0}pre{overflow:auto}code,kbd,pre,samp{font-family:monospace, monospace;font-size:1em}button,input,optgroup,select,textarea{color:inherit;font:inherit;margin:0}button{overflow:visible}button,select{text-transform:none}button,html input[type="button"],input[type="reset"],input[type="submit"]{-webkit-appearance:button;cursor:pointer}button[disabled],html input[disabled]{cursor:default}button::-moz-focus-inner,input::-moz-focus-inner{border:0;padding:0}input{line-height:normal}input[type="checkbox"],input[type="radio"]{box-sizing:border-box;padding:0}input[type="number"]::-webkit-inner-spin-button,input[type="number"]::-webkit-outer-spin-button{height:auto}input[type="search"]{-webkit-appearance:textfield;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box}input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration{-webkit-appearance:none}fieldset{border:1px solid #c0c0c0;margin:0 2px;padding:0.35em 0.625em 0.75em}legend{border:0;padding:0}textarea{overflow:auto}optgroup{font-weight:bold}table{border-collapse:collapse;border-spacing:0}td,th{padding:0}body.stop-scrolling{height:100%;overflow:hidden}.sweet-overlay{background-color:black;-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=40)";background-color:rgba(0,0,0,0.4);position:fixed;left:0;right:0;top:0;bottom:0;display:none;z-index:10000}.sweet-alert{background-color:white;font-family:'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;width:478px;padding:17px;border-radius:5px;text-align:center;position:fixed;left:50%;top:50%;margin-left:-256px;margin-top:-200px;overflow:hidden;display:none;z-index:99999}@media all and (max-width: 540px){.sweet-alert{width:auto;margin-left:0;margin-right:0;left:15px;right:15px}}.sweet-alert h2{color:#575757;font-size:30px;text-align:center;font-weight:600;text-transform:none;position:relative;margin:25px 0;padding:0;line-height:40px;display:block}.sweet-alert p{color:#797979;font-size:16px;font-weight:300;position:relative;text-align:inherit;float:none;margin:0;padding:0;line-height:normal}.sweet-alert fieldset{border:none;position:relative}.sweet-alert .sa-error-container{background-color:#f1f1f1;margin-left:-17px;margin-right:-17px;overflow:hidden;padding:0 10px;max-height:0;webkit-transition:padding 0.15s, max-height 0.15s;transition:padding 0.15s, max-height 0.15s}.sweet-alert .sa-error-container.show{padding:10px 0;max-height:100px;webkit-transition:padding 0.2s, max-height 0.2s;transition:padding 0.25s, max-height 0.25s}.sweet-alert .sa-error-container .icon{display:inline-block;width:24px;height:24px;border-radius:50%;background-color:#ea7d7d;color:white;line-height:24px;text-align:center;margin-right:3px}.sweet-alert .sa-error-container p{display:inline-block}.sweet-alert .sa-input-error{position:absolute;top:29px;right:26px;width:20px;height:20px;opacity:0;-webkit-transform:scale(0.5);transform:scale(0.5);-webkit-transform-origin:50% 50%;transform-origin:50% 50%;-webkit-transition:all 0.1s;transition:all 0.1s}.sweet-alert .sa-input-error::before,.sweet-alert .sa-input-error::after{content:"";width:20px;height:6px;background-color:#f06e57;border-radius:3px;position:absolute;top:50%;margin-top:-4px;left:50%;margin-left:-9px}.sweet-alert .sa-input-error::before{-webkit-transform:rotate(-45deg);transform:rotate(-45deg)}.sweet-alert .sa-input-error::after{-webkit-transform:rotate(45deg);transform:rotate(45deg)}.sweet-alert .sa-input-error.show{opacity:1;-webkit-transform:scale(1);transform:scale(1)}.sweet-alert input{width:100%;box-sizing:border-box;border-radius:3px;border:1px solid #d7d7d7;height:43px;margin-top:10px;margin-bottom:17px;font-size:18px;box-shadow:inset 0 1px 1px rgba(0,0,0,0.06);padding:0 12px;display:none;-webkit-transition:all 0.3s;transition:all 0.3s}.sweet-alert input:focus{outline:none;box-shadow:0 0 3px #c4e6f5;border:1px solid #b4dbed}.sweet-alert input:focus::-moz-placeholder{transition:opacity 0.3s 0.03s ease;opacity:0.5}.sweet-alert input:focus:-ms-input-placeholder{transition:opacity 0.3s 0.03s ease;opacity:0.5}.sweet-alert input:focus::-webkit-input-placeholder{transition:opacity 0.3s 0.03s ease;opacity:0.5}.sweet-alert input::-moz-placeholder{color:#bdbdbd}.sweet-alert input:-ms-input-placeholder{color:#bdbdbd}.sweet-alert input::-webkit-input-placeholder{color:#bdbdbd}.sweet-alert.show-input input{display:block}.sweet-alert .sa-confirm-button-container{display:inline-block;position:relative}.sweet-alert .la-ball-fall{position:absolute;left:50%;top:50%;margin-left:-27px;margin-top:4px;opacity:0;visibility:hidden}.sweet-alert button{background-color:#8CD4F5;color:white;border:none;box-shadow:none;font-size:17px;font-weight:500;-webkit-border-radius:4px;border-radius:5px;padding:10px 32px;margin:26px 5px 0 5px;cursor:pointer}.sweet-alert button:focus{outline:none;box-shadow:0 0 2px rgba(128,179,235,0.5),inset 0 0 0 1px rgba(0,0,0,0.05)}.sweet-alert button:hover{background-color:#7ecff4}.sweet-alert button:active{background-color:#5dc2f1}.sweet-alert button.cancel{background-color:#C1C1C1}.sweet-alert button.cancel:hover{background-color:#b9b9b9}.sweet-alert button.cancel:active{background-color:#a8a8a8}.sweet-alert button.cancel:focus{box-shadow:rgba(197,205,211,0.8) 0 0 2px,rgba(0,0,0,0.0470588) 0 0 0 1px inset !important}.sweet-alert button[disabled]{opacity:.6;cursor:default}.sweet-alert button.confirm[disabled]{color:transparent}.sweet-alert button.confirm[disabled] ~ .la-ball-fall{opacity:1;visibility:visible;transition-delay:0s}.sweet-alert button::-moz-focus-inner{border:0}.sweet-alert[data-has-cancel-button=false] button{box-shadow:none !important}.sweet-alert[data-has-confirm-button=false][data-has-cancel-button=false]{padding-bottom:40px}.sweet-alert .sa-icon{width:80px;height:80px;border:4px solid gray;-webkit-border-radius:40px;border-radius:50%;margin:20px auto;padding:0;position:relative;box-sizing:content-box}.sweet-alert .sa-icon.sa-error{border-color:#F27474}.sweet-alert .sa-icon.sa-error .sa-x-mark{position:relative;display:block}.sweet-alert .sa-icon.sa-error .sa-line{position:absolute;height:5px;width:47px;background-color:#F27474;display:block;top:37px;border-radius:2px}.sweet-alert .sa-icon.sa-error .sa-line.sa-left{-webkit-transform:rotate(45deg);transform:rotate(45deg);left:17px}.sweet-alert .sa-icon.sa-error .sa-line.sa-right{-webkit-transform:rotate(-45deg);transform:rotate(-45deg);right:16px}.sweet-alert .sa-icon.sa-warning{border-color:#F8BB86}.sweet-alert .sa-icon.sa-warning .sa-body{position:absolute;width:5px;height:47px;left:50%;top:10px;-webkit-border-radius:2px;border-radius:2px;margin-left:-2px;background-color:#F8BB86}.sweet-alert .sa-icon.sa-warning .sa-dot{position:absolute;width:7px;height:7px;-webkit-border-radius:50%;border-radius:50%;margin-left:-3px;left:50%;bottom:10px;background-color:#F8BB86}.sweet-alert .sa-icon.sa-info{border-color:#C9DAE1}.sweet-alert .sa-icon.sa-info::before{content:"";position:absolute;width:5px;height:29px;left:50%;bottom:17px;border-radius:2px;margin-left:-2px;background-color:#C9DAE1}.sweet-alert .sa-icon.sa-info::after{content:"";position:absolute;width:7px;height:7px;border-radius:50%;margin-left:-3px;top:19px;background-color:#C9DAE1}.sweet-alert .sa-icon.sa-success{border-color:#A5DC86}.sweet-alert .sa-icon.sa-success::before,.sweet-alert .sa-icon.sa-success::after{content:'';-webkit-border-radius:40px;border-radius:50%;position:absolute;width:60px;height:120px;background:white;-webkit-transform:rotate(45deg);transform:rotate(45deg)}.sweet-alert .sa-icon.sa-success::before{-webkit-border-radius:120px 0 0 120px;border-radius:120px 0 0 120px;top:-7px;left:-33px;-webkit-transform:rotate(-45deg);transform:rotate(-45deg);-webkit-transform-origin:60px 60px;transform-origin:60px 60px}.sweet-alert .sa-icon.sa-success::after{-webkit-border-radius:0 120px 120px 0;border-radius:0 120px 120px 0;top:-11px;left:30px;-webkit-transform:rotate(-45deg);transform:rotate(-45deg);-webkit-transform-origin:0 60px;transform-origin:0 60px}.sweet-alert .sa-icon.sa-success .sa-placeholder{width:80px;height:80px;border:4px solid rgba(165,220,134,0.2);-webkit-border-radius:40px;border-radius:50%;box-sizing:content-box;position:absolute;left:-4px;top:-4px;z-index:2}.sweet-alert .sa-icon.sa-success .sa-fix{width:5px;height:90px;background-color:white;position:absolute;left:28px;top:8px;z-index:1;-webkit-transform:rotate(-45deg);transform:rotate(-45deg)}.sweet-alert .sa-icon.sa-success .sa-line{height:5px;background-color:#A5DC86;display:block;border-radius:2px;position:absolute;z-index:2}.sweet-alert .sa-icon.sa-success .sa-line.sa-tip{width:25px;left:14px;top:46px;-webkit-transform:rotate(45deg);transform:rotate(45deg)}.sweet-alert .sa-icon.sa-success .sa-line.sa-long{width:47px;right:8px;top:38px;-webkit-transform:rotate(-45deg);transform:rotate(-45deg)}.sweet-alert .sa-icon.sa-custom{background-size:contain;border-radius:0;border:none;background-position:center center;background-repeat:no-repeat}@-webkit-keyframes showSweetAlert{0%{transform:scale(0.7);-webkit-transform:scale(0.7)}45%{transform:scale(1.05);-webkit-transform:scale(1.05)}80%{transform:scale(0.95);-webkit-transform:scale(0.95)}100%{transform:scale(1);-webkit-transform:scale(1)}}@keyframes showSweetAlert{0%{transform:scale(0.7);-webkit-transform:scale(0.7)}45%{transform:scale(1.05);-webkit-transform:scale(1.05)}80%{transform:scale(0.95);-webkit-transform:scale(0.95)}100%{transform:scale(1);-webkit-transform:scale(1)}}@-webkit-keyframes hideSweetAlert{0%{transform:scale(1);-webkit-transform:scale(1)}100%{transform:scale(0.5);-webkit-transform:scale(0.5)}}@keyframes hideSweetAlert{0%{transform:scale(1);-webkit-transform:scale(1)}100%{transform:scale(0.5);-webkit-transform:scale(0.5)}}@-webkit-keyframes slideFromTop{0%{top:0}100%{top:50%}}@keyframes slideFromTop{0%{top:0}100%{top:50%}}@-webkit-keyframes slideToTop{0%{top:50%}100%{top:0}}@keyframes slideToTop{0%{top:50%}100%{top:0}}@-webkit-keyframes slideFromBottom{0%{top:70%}100%{top:50%}}@keyframes slideFromBottom{0%{top:70%}100%{top:50%}}@-webkit-keyframes slideToBottom{0%{top:50%}100%{top:70%}}@keyframes slideToBottom{0%{top:50%}100%{top:70%}}.showSweetAlert[data-animation=pop]{-webkit-animation:showSweetAlert 0.3s;animation:showSweetAlert 0.3s}.showSweetAlert[data-animation=none]{-webkit-animation:none;animation:none}.showSweetAlert[data-animation=slide-from-top]{-webkit-animation:slideFromTop 0.3s;animation:slideFromTop 0.3s}.showSweetAlert[data-animation=slide-from-bottom]{-webkit-animation:slideFromBottom 0.3s;animation:slideFromBottom 0.3s}.hideSweetAlert[data-animation=pop]{-webkit-animation:hideSweetAlert 0.2s;animation:hideSweetAlert 0.2s}.hideSweetAlert[data-animation=none]{-webkit-animation:none;animation:none}.hideSweetAlert[data-animation=slide-from-top]{-webkit-animation:slideToTop 0.4s;animation:slideToTop 0.4s}.hideSweetAlert[data-animation=slide-from-bottom]{-webkit-animation:slideToBottom 0.3s;animation:slideToBottom 0.3s}@-webkit-keyframes animateSuccessTip{0%{width:0;left:1px;top:19px}54%{width:0;left:1px;top:19px}70%{width:50px;left:-8px;top:37px}84%{width:17px;left:21px;top:48px}100%{width:25px;left:14px;top:45px}}@keyframes animateSuccessTip{0%{width:0;left:1px;top:19px}54%{width:0;left:1px;top:19px}70%{width:50px;left:-8px;top:37px}84%{width:17px;left:21px;top:48px}100%{width:25px;left:14px;top:45px}}@-webkit-keyframes animateSuccessLong{0%{width:0;right:46px;top:54px}65%{width:0;right:46px;top:54px}84%{width:55px;right:0;top:35px}100%{width:47px;right:8px;top:38px}}@keyframes animateSuccessLong{0%{width:0;right:46px;top:54px}65%{width:0;right:46px;top:54px}84%{width:55px;right:0;top:35px}100%{width:47px;right:8px;top:38px}}@-webkit-keyframes rotatePlaceholder{0%{transform:rotate(-45deg);-webkit-transform:rotate(-45deg)}5%{transform:rotate(-45deg);-webkit-transform:rotate(-45deg)}12%{transform:rotate(-405deg);-webkit-transform:rotate(-405deg)}100%{transform:rotate(-405deg);-webkit-transform:rotate(-405deg)}}@keyframes rotatePlaceholder{0%{transform:rotate(-45deg);-webkit-transform:rotate(-45deg)}5%{transform:rotate(-45deg);-webkit-transform:rotate(-45deg)}12%{transform:rotate(-405deg);-webkit-transform:rotate(-405deg)}100%{transform:rotate(-405deg);-webkit-transform:rotate(-405deg)}}.animateSuccessTip{-webkit-animation:animateSuccessTip 0.75s;animation:animateSuccessTip 0.75s}.animateSuccessLong{-webkit-animation:animateSuccessLong 0.75s;animation:animateSuccessLong 0.75s}.sa-icon.sa-success.animate::after{-webkit-animation:rotatePlaceholder 4.25s ease-in;animation:rotatePlaceholder 4.25s ease-in}@-webkit-keyframes animateErrorIcon{0%{transform:rotateX(100deg);-webkit-transform:rotateX(100deg);opacity:0}100%{transform:rotateX(0deg);-webkit-transform:rotateX(0deg);opacity:1}}@keyframes animateErrorIcon{0%{transform:rotateX(100deg);-webkit-transform:rotateX(100deg);opacity:0}100%{transform:rotateX(0deg);-webkit-transform:rotateX(0deg);opacity:1}}.animateErrorIcon{-webkit-animation:animateErrorIcon 0.5s;animation:animateErrorIcon 0.5s}@-webkit-keyframes animateXMark{0%{transform:scale(0.4);-webkit-transform:scale(0.4);margin-top:26px;opacity:0}50%{transform:scale(0.4);-webkit-transform:scale(0.4);margin-top:26px;opacity:0}80%{transform:scale(1.15);-webkit-transform:scale(1.15);margin-top:-6px}100%{transform:scale(1);-webkit-transform:scale(1);margin-top:0;opacity:1}}@keyframes animateXMark{0%{transform:scale(0.4);-webkit-transform:scale(0.4);margin-top:26px;opacity:0}50%{transform:scale(0.4);-webkit-transform:scale(0.4);margin-top:26px;opacity:0}80%{transform:scale(1.15);-webkit-transform:scale(1.15);margin-top:-6px}100%{transform:scale(1);-webkit-transform:scale(1);margin-top:0;opacity:1}}.animateXMark{-webkit-animation:animateXMark 0.5s;animation:animateXMark 0.5s}@-webkit-keyframes pulseWarning{0%{border-color:#F8D486}100%{border-color:#F8BB86}}@keyframes pulseWarning{0%{border-color:#F8D486}100%{border-color:#F8BB86}}.pulseWarning{-webkit-animation:pulseWarning 0.75s infinite alternate;animation:pulseWarning 0.75s infinite alternate}@-webkit-keyframes pulseWarningIns{0%{background-color:#F8D486}100%{background-color:#F8BB86}}@keyframes pulseWarningIns{0%{background-color:#F8D486}100%{background-color:#F8BB86}}.pulseWarningIns{-webkit-animation:pulseWarningIns 0.75s infinite alternate;animation:pulseWarningIns 0.75s infinite alternate}@-webkit-keyframes rotate-loading{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}@keyframes rotate-loading{0%{transform:rotate(0deg)}100%{transform:rotate(360deg)}}.sweet-alert .sa-icon.sa-error .sa-line.sa-left{-ms-transform:rotate(45deg) \\9}.sweet-alert .sa-icon.sa-error .sa-line.sa-right{-ms-transform:rotate(-45deg) \\9}.sweet-alert .sa-icon.sa-success{border-color:transparent\\9}.sweet-alert .sa-icon.sa-success .sa-line.sa-tip{-ms-transform:rotate(45deg) \\9}.sweet-alert .sa-icon.sa-success .sa-line.sa-long{-ms-transform:rotate(-45deg) \\9}/*!\n * Load Awesome v1.1.0 (http://github.danielcardoso.net/load-awesome/)\n * Copyright 2015 Daniel Cardoso <@DanielCardoso>\n * Licensed under MIT\n */.la-ball-fall,.la-ball-fall>div{position:relative;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box}.la-ball-fall{display:block;font-size:0;color:#fff}.la-ball-fall.la-dark{color:#333}.la-ball-fall>div{display:inline-block;float:none;background-color:currentColor;border:0 solid currentColor}.la-ball-fall{width:54px;height:18px}.la-ball-fall>div{width:10px;height:10px;margin:4px;border-radius:100%;opacity:0;-webkit-animation:ball-fall 1s ease-in-out infinite;-moz-animation:ball-fall 1s ease-in-out infinite;-o-animation:ball-fall 1s ease-in-out infinite;animation:ball-fall 1s ease-in-out infinite}.la-ball-fall>div:nth-child(1){-webkit-animation-delay:-200ms;-moz-animation-delay:-200ms;-o-animation-delay:-200ms;animation-delay:-200ms}.la-ball-fall>div:nth-child(2){-webkit-animation-delay:-100ms;-moz-animation-delay:-100ms;-o-animation-delay:-100ms;animation-delay:-100ms}.la-ball-fall>div:nth-child(3){-webkit-animation-delay:0ms;-moz-animation-delay:0ms;-o-animation-delay:0ms;animation-delay:0ms}.la-ball-fall.la-sm{width:26px;height:8px}.la-ball-fall.la-sm>div{width:4px;height:4px;margin:2px}.la-ball-fall.la-2x{width:108px;height:36px}.la-ball-fall.la-2x>div{width:20px;height:20px;margin:8px}.la-ball-fall.la-3x{width:162px;height:54px}.la-ball-fall.la-3x>div{width:30px;height:30px;margin:12px}@-webkit-keyframes ball-fall{0%{opacity:0;-webkit-transform:translateY(-145%);transform:translateY(-145%)}10%{opacity:.5}20%{opacity:1;-webkit-transform:translateY(0);transform:translateY(0)}80%{opacity:1;-webkit-transform:translateY(0);transform:translateY(0)}90%{opacity:.5}100%{opacity:0;-webkit-transform:translateY(145%);transform:translateY(145%)}}@-moz-keyframes ball-fall{0%{opacity:0;-moz-transform:translateY(-145%);transform:translateY(-145%)}10%{opacity:.5}20%{opacity:1;-moz-transform:translateY(0);transform:translateY(0)}80%{opacity:1;-moz-transform:translateY(0);transform:translateY(0)}90%{opacity:.5}100%{opacity:0;-moz-transform:translateY(145%);transform:translateY(145%)}}@-o-keyframes ball-fall{0%{opacity:0;-o-transform:translateY(-145%);transform:translateY(-145%)}10%{opacity:.5}20%{opacity:1;-o-transform:translateY(0);transform:translateY(0)}80%{opacity:1;-o-transform:translateY(0);transform:translateY(0)}90%{opacity:.5}100%{opacity:0;-o-transform:translateY(145%);transform:translateY(145%)}}@keyframes ball-fall{0%{opacity:0;-webkit-transform:translateY(-145%);-moz-transform:translateY(-145%);-o-transform:translateY(-145%);transform:translateY(-145%)}10%{opacity:.5}20%{opacity:1;-webkit-transform:translateY(0);-moz-transform:translateY(0);-o-transform:translateY(0);transform:translateY(0)}80%{opacity:1;-webkit-transform:translateY(0);-moz-transform:translateY(0);-o-transform:translateY(0);transform:translateY(0)}90%{opacity:.5}100%{opacity:0;-webkit-transform:translateY(145%);-moz-transform:translateY(145%);-o-transform:translateY(145%);transform:translateY(145%)}}.select-kit.dropdown-select-box.notifications-button .select-kit-body{min-width:550px;max-width:550px}.select-kit.dropdown-select-box.notifications-button .select-kit-row .icons{-ms-flex-item-align:start;align-self:flex-start}.select-kit.multi-select{width:300px;background:#fff;border-radius:0}.select-kit.multi-select .select-kit-body{width:100%}.select-kit.multi-select .select-kit-row{margin:5px;min-height:1px;padding:5px;border-radius:0}.select-kit.multi-select .select-kit-filter{border:0;flex:1 0 0px;margin:1px}.select-kit.multi-select .multi-select-header{background:#fff;border:1px solid #919191}.select-kit.multi-select .multi-select-header.is-focused{box-shadow:0 0 6px 0 #08c;border-radius:0}.select-kit.multi-select.is-disabled .multi-select-header{background:#e9e9e9;border-color:#bdbdbd;color:#919191}.select-kit.multi-select.is-disabled .multi-select-header .d-icon{color:#919191}.select-kit.multi-select.is-highlighted .multi-select-header{border-radius:0;border-bottom:1px solid transparent;box-shadow:0 0 6px 0 #08c}.select-kit.multi-select.is-expanded .select-kit-wrapper{display:block;border:1px solid #08c;box-shadow:0 0 6px 0 #08c;border-radius:0}.select-kit.multi-select.is-expanded .multi-select-header{border-radius:0;box-shadow:none}.select-kit.multi-select.is-expanded .select-kit-body{border-radius:0}.select-kit.multi-select .choices{margin:0 2px;box-sizing:border-box;display:flex;justify-content:flex-start;flex-wrap:wrap;width:100%}.select-kit.multi-select .choices .choice{display:inline-flex;box-sizing:border-box;align-items:center;justify-content:space-between;flex-wrap:wrap;flex-direction:row;margin:1px 0px 2px 2px}.select-kit.multi-select .choices .filter{align-items:center;justify-content:flex-start;white-space:nowrap;min-width:50px;padding:0;outline:none;flex:1 0 0px}.select-kit.multi-select .choices .filter .filter-input,.select-kit.multi-select .choices .filter .filter-input:focus{border:none;background:none;display:inline-block;width:100%;outline:none;min-width:auto;padding:0;margin:0;outline:0;border:0;box-shadow:none;border-radius:0;min-height:unset}.select-kit.multi-select .choices .selected-color .selected-color-wrapper{display:flex;flex:1 0 0px;flex-direction:column}.select-kit.multi-select .choices .selected-color .color-preview{height:5px;margin:0 2px 2px 0px;display:flex;width:100%}.select-kit.multi-select .choices .selected-category .body{display:flex;align-items:center}.select-kit.multi-select .choices .selected-category .badge-wrapper{padding:2px 4px;line-height:1.2;display:flex;flex:1 0 0px;align-items:center}.select-kit.multi-select .choices .selected-category .badge-wrapper.bullet{margin-right:2.5px}.select-kit.multi-select .choices .selected-name .footer{display:flex;width:100%}.select-kit.multi-select .choices .selected-name .body{background:#e9e9e9;padding:4px}.select-kit.multi-select .choices .selected-name .d-icon{color:#bdbdbd;vertical-align:middle}.select-kit.multi-select .choices .selected-name:hover .d-icon:last-child{color:#e45735}.select-kit.multi-select .choices .selected-name.is-highlighted{box-shadow:0 0 2px #e45735,0 1px 0 rgba(0,0,0,0.05)}.select-kit.dropdown-select-box.composer-actions{margin:0}.select-kit.dropdown-select-box.composer-actions .select-kit-header{background:none;outline:none;padding:0;margin-right:5px;border:1px solid #e9e9e9;min-height:unset}.select-kit.dropdown-select-box.composer-actions .select-kit-header .d-icon{padding:5px 6px}.select-kit.dropdown-select-box.composer-actions .select-kit-header:hover,.select-kit.dropdown-select-box.composer-actions .select-kit-header:focus{background:#e9e9e9}.select-kit.dropdown-select-box.composer-actions .d-icon{margin:0 !important}.select-kit .category-row .category-status{display:flex;flex-wrap:wrap;align-items:center;max-width:100%;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto}.select-kit .category-row .category-desc{max-width:100%}.select-kit .category-row .category-status .badge-wrapper.box{margin-bottom:1px;margin-top:1px}.select-kit .category-row .topic-count{white-space:nowrap}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-body{box-shadow:none;padding:10px 10px 5px 10px;width:230px}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row{margin-bottom:5px;padding:6px 3px;background:#e9e9e9;transition:all 0.25s}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{font-size:1em;font-weight:normal;color:#222}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row .d-icon{opacity:0.7}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted{background:#919191}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .name,.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-highlighted .d-icon{color:#fff}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row:hover{background:#919191;color:#fff}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected{color:#222;background:#e9e9e9}.select-kit.dropdown-select-box.toolbar-popup-menu-options .select-kit-row.is-selected.is-highlighted{background:#919191;color:#222}.select-kit.combo-box.category-chooser{width:300px}.select-kit.combo-box.category-chooser .select-kit-row{display:-webkit-box;display:-ms-flexbox;display:flex;-webkit-box-align:flex-start;-ms-flex-align:flex-start;align-items:flex-start;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.select-kit.combo-box.category-chooser .select-kit-row.none .topic-count{display:none}.select-kit.combo-box.category-chooser .select-kit-row .topic-count{font-size:.7579em;color:#222;white-space:nowrap}.select-kit.combo-box.category-chooser .select-kit-row .category-status{color:#222;line-height:1.4;-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto}.select-kit.combo-box.category-chooser .select-kit-row .category-desc{-webkit-box-flex:0;-ms-flex:1 1 auto;flex:1 1 auto;color:#919191;font-size:.8706em;line-height:1.4}.select-kit.combo-box{min-width:auto}.select-kit.combo-box .select-kit-body{width:100%;min-width:150px;border-radius:0;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2)}.select-kit.combo-box .select-kit-row{margin:0;min-height:1px;padding:6px 10px}.select-kit.combo-box .select-kit-row.no-content{font-weight:normal}.select-kit.combo-box .select-kit-filter{padding:4px 10px;border-top:1px solid #e9e9e9;border-bottom:1px solid #e9e9e9}.select-kit.combo-box .select-kit-filter .spinner{flex:0 0 auto}.select-kit.combo-box .select-kit-filter .filter-input,.select-kit.combo-box .select-kit-filter .filter-input:focus,.select-kit.combo-box .select-kit-filter .filter-input:active{flex:0 0 auto;width:90%}.select-kit.combo-box .select-kit-filter .filter-icon{padding-left:5px}.select-kit.combo-box .select-kit-header{background:#fff;border:1px solid #919191;padding:0 5px 0 10px;font-weight:500;font-size:1em}.select-kit.combo-box .select-kit-header.is-focused{border:1px solid #08c;box-shadow:0 0 6px 0 #08c}.select-kit.combo-box .select-kit-collection{display:flex;flex-direction:column;padding:0;min-width:100px;max-height:200px;max-width:32em}.select-kit.combo-box .select-kit-collection .collection-header a{white-space:nowrap;color:#222;line-height:1.2;font-weight:bold;display:block;padding:6px 10px;color:#08c}.select-kit.combo-box .select-kit-collection .collection-header a:hover{text-decoration:underline}.select-kit.combo-box.is-disabled .select-kit-header{background:#e9e9e9;border-color:#bdbdbd;color:#919191}.select-kit.combo-box.is-disabled .select-kit-header .d-icon{color:#919191}.select-kit.combo-box.is-highlighted .select-kit-header{border:1px solid #08c;box-shadow:0 0 6px 0 #08c}.select-kit.combo-box.is-expanded .select-kit-wrapper{display:block;border:1px solid #08c;box-shadow:0 0 6px 0 #08c}.select-kit.combo-box.is-expanded.is-above .select-kit-header{border-radius:0 0 3px 3px}.select-kit.combo-box.is-expanded.is-above .select-kit-body{border-radius:3px 3px 0 0}.select-kit.combo-box.tag-drop,.select-kit.combo-box.group-dropdown{min-width:auto}.select-kit.combo-box.tag-drop .select-kit-row,.select-kit.combo-box.group-dropdown .select-kit-row{font-weight:bold}.select-kit.combo-box.is-expanded .select-kit-wrapper,.select-kit.combo-box .select-kit-wrapper{display:none}#topic-footer-buttons .pinned-button{min-width:auto;margin:1em 0}#topic-footer-buttons .pinned-button.is-hidden{display:none}#topic-footer-buttons .pinned-button .btn{margin:0}#topic-footer-buttons .pinned-button .reason{display:inline;line-height:1.2}.pinned-button{margin:0;min-width:auto}.pinned-button .pinned-options{display:inline}.pinned-button .pinned-options .select-kit-body{min-width:unset;max-width:unset;width:550px}.select-kit.categories-admin-dropdown .select-kit-body{min-width:auto;width:250px}.select-kit.categories-admin-dropdown .select-kit-header .d-icon{justify-content:space-between}.select-kit.combo-box.tag-drop .select-kit-row[data-value="all-tags"],.select-kit.combo-box.tag-drop .select-kit-row[data-value="no-tags"]{color:#08c;font-weight:700}.select-kit.combobox.future-date-input-selector{min-width:50%}.select-kit.combobox.future-date-input-selector .future-date-input-selector-header .btn-clear{line-height:1.4}.select-kit.combobox.future-date-input-selector .future-date-input-selector-datetime{color:#888;margin-left:5px;white-space:nowrap}.select-kit.combobox.future-date-input-selector .future-date-input-selector-icons{margin-right:5px}.select-kit.combobox.future-date-input-selector .btn-clear{padding:0;margin-left:5px}.select-kit.combobox.future-date-input-selector .future-date-input-selector-row .future-date-input-selector-icons{color:#888}.select-kit.combo-box.mini-tag-chooser{margin-bottom:5px;margin-left:5px}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-header{border:1px solid #08c}.select-kit.combo-box.mini-tag-chooser.no-tags .select-kit-header .selected-name{color:#919191}.select-kit.combo-box.mini-tag-chooser .select-kit-body{max-width:32em}.select-kit.combo-box.mini-tag-chooser .select-kit-header{height:30px}.select-kit.combo-box.mini-tag-chooser .select-kit-header .selected-name{margin:0;border:0;padding:0;outline:none;box-shadow:none;cursor:pointer;max-width:250px}.select-kit.combo-box.mini-tag-chooser .select-kit-filter{border-top:0}.select-kit.combo-box.mini-tag-chooser.is-expanded .select-kit-wrapper,.select-kit.combo-box.mini-tag-chooser .select-kit-wrapper{display:none}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-selected{background:none}.select-kit.combo-box.mini-tag-chooser .select-kit-row.is-highlighted.is-selected{background:#d1f0ff}.select-kit.combo-box.mini-tag-chooser .select-kit-row .discourse-tag-count{margin-left:5px}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header{max-height:125px;overflow:hidden;flex:1 0 auto;border-bottom:1px solid #e9e9e9}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tags{display:flex;padding:4px;flex-wrap:wrap;margin:-2px;overflow:hidden}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag{background:#e9e9e9;padding:2px 4px;margin:2px;border:0}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag.is-highlighted{box-shadow:0 0 2px #e45735,0 1px 0 rgba(0,0,0,0.05)}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag .d-icon{color:#bdbdbd;vertical-align:middle}.select-kit.combo-box.mini-tag-chooser .select-kit-collection .collection-header .selected-tag:hover .d-icon{color:#e45735}.mobile-view .select-kit.is-expanded{z-index:300}.select-kit{border:none;min-width:220px;box-sizing:border-box;display:inline-block;flex-direction:column;position:relative;vertical-align:middle;user-select:none}.select-kit.is-hidden{display:none}.select-kit.is-disabled{pointer-events:none}.select-kit.is-expanded{z-index:300}.select-kit.is-expanded .select-kit-body{display:flex;flex-direction:column;left:0;position:absolute;top:0}.select-kit.is-expanded .select-kit-collection{border-radius:inherit}.select-kit.is-above .select-kit-body{bottom:0;top:auto}.select-kit.is-above .select-kit-filter{border-top:0}.select-kit.is-above .select-kit-wrapper{bottom:0;top:auto}.select-kit .d-icon{color:#646464}.select-kit .select-kit-header{box-sizing:border-box;overflow:hidden;transition:all 0.25s;cursor:pointer;outline:none;display:flex;align-items:center;flex-direction:row;min-height:30px}.select-kit .select-kit-header .selected-name{text-align:left;flex:0 1 auto;padding:1px 0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;color:inherit}.select-kit .select-kit-header .btn-clear{padding:0 10px;border:0;background:none}.select-kit .select-kit-header .icon{margin-right:5px}.select-kit .select-kit-header .caret-icon{margin-left:auto;padding-left:5px;pointer-events:none}.select-kit .select-kit-header .d-button-label{display:flex;align-items:center;white-space:nowrap;overflow:hidden;line-height:1.2}.select-kit .select-kit-header .d-button-label .d-icon{margin-left:5px;margin-right:0}.select-kit .select-kit-body{display:none;background:#fff;box-sizing:border-box}.select-kit .select-kit-row{cursor:pointer;line-height:1.2;outline:none;display:flex;flex:1 0 auto;box-sizing:border-box;align-items:center;justify-content:flex-start}.select-kit .select-kit-row .name{margin:0;overflow:hidden;text-overflow:ellipsis;flex:1 1 0%}.select-kit .select-kit-row .d-icon{margin-right:5px}.select-kit .select-kit-row.is-highlighted{background:#d1f0ff}.select-kit .select-kit-row.is-selected{background:#ffffa6}.select-kit .select-kit-row.is-selected.is-highlighted{background:#d1f0ff}.select-kit .select-kit-row .discourse-tag,.select-kit .select-kit-row .discourse-tag-count{color:#222}.select-kit .select-kit-collection{background:#fff;overflow-x:hidden;overflow-y:auto;border-radius:inherit;-webkit-overflow-scrolling:touch;margin:0;padding:0;max-height:200px}.select-kit .select-kit-collection .validation-message{white-space:nowrap;color:#e45735;flex:1 0 auto;margin:5px;padding:0 2px}.select-kit .select-kit-collection .select-kit-collection{padding:0;margin:0}.select-kit .select-kit-collection .select-kit-collection:hover .select-kit-row.is-highlighted:hover{background:#d1f0ff}.select-kit .select-kit-collection::-webkit-scrollbar{-webkit-appearance:none;width:10px}.select-kit .select-kit-collection::-webkit-scrollbar-thumb{cursor:pointer;border-radius:5px;background:#919191}.select-kit .select-kit-collection::-webkit-scrollbar-track{background:transparent;border-radius:0}.select-kit .select-kit-filter{display:flex;box-sizing:border-box;align-items:center;justify-content:space-between}.select-kit .select-kit-filter .filter-input,.select-kit .select-kit-filter .filter-input:focus,.select-kit .select-kit-filter .filter-input:active{background:none;margin:0;padding:0;flex:1 0 0px;outline:none;border:0;border-radius:0;box-shadow:none;width:100%}.select-kit .select-kit-filter.is-hidden{width:1px;height:1px;border:0;margin:-1px;padding:0;overflow:hidden;position:fixed;outline:0;left:0;top:0}.select-kit .select-kit-wrapper{position:absolute;top:0;left:0;background:none;display:none;box-sizing:border-box;pointer-events:none}#topic-footer-buttons .topic-notifications-button{min-width:auto;margin:1em 0}#topic-footer-buttons .topic-notifications-button .btn{margin:0}#topic-footer-buttons .topic-notifications-button .reason{display:inline;line-height:1.2}.topic-notifications-button .topic-notifications-options{min-width:auto}.topic-notifications-button{margin:0}.topic-notifications-button .topic-notifications-options{display:inline-flex}.select-kit.combo-box.category-drop .badge-wrapper{font-size:1em;font-weight:normal}.select-kit.combo-box.category-drop .badge-wrapper.box{margin:0}.select-kit.combo-box.category-drop .badge-wrapper.box span.badge-category{margin:0}.select-kit.combo-box.category-drop.bar.has-selection .category-drop-header{padding:0 5px 0 10px}.select-kit.combo-box.category-drop.box.has-selection .category-drop-header .badge-wrapper.box{padding:0}.select-kit.combo-box.category-drop .category-drop-header.is-none .selected-name{color:inherit}.select-kit.combo-box.category-drop .category-drop-header .badge-wrapper{margin-right:0}.select-kit.combo-box.category-drop .select-kit-body{min-width:300px}.select-kit.combo-box.category-drop .select-kit-row{flex-direction:column;align-items:flex-start}.select-kit.combo-box.category-drop .select-kit-row[data-value="all-categories"],.select-kit.combo-box.category-drop .select-kit-row[data-value="no-categories"]{color:#08c;font-weight:700}.select-kit.combo-box.category-drop .select-kit-row .category-desc{font-weight:normal;color:#919191;margin-top:2px}.select-kit.combo-box.category-drop .select-kit-row .category-status{align-items:center}.select-kit.combo-box.category-drop .select-kit-row .topic-count{margin-left:5px;font-weight:normal}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper{margin:0;font-weight:bold}.select-kit.combo-box.category-drop .select-kit-row .badge-wrapper:nth-child(2){margin-left:10px}.select-kit.combo-box.category-drop.is-expanded .select-kit-wrapper,.select-kit.combo-box.category-drop .select-kit-wrapper{display:none}.select-kit.combo-box.color-palettes .color-palettes-row .palettes{display:flex;align-items:center;margin-left:0.5em;flex:1 0 0}.select-kit.combo-box.color-palettes .color-palettes-row .palettes .palette{height:15px;width:15px;display:block}.select-kit.multi-select.tag-chooser .select-kit-row{display:flex;align-items:center}.select-kit.multi-select.tag-chooser .select-kit-row .discourse-tag-count{margin-left:5px}.select-kit.category-selector .selected-name .badge-wrapper.box,.select-kit-box.category-selector .selected-name .badge-wrapper.box{margin:2px;padding:0}.select-kit.dropdown-select-box.user-notifications-dropdown{text-align:left}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-body{width:485px;max-width:485px}.select-kit.dropdown-select-box.user-notifications-dropdown .select-kit-header{justify-content:center}.select-kit.dropdown-select-box.user-notifications-dropdown .dropdown-select-box-header{align-items:center}.select-kit.dropdown-select-box.period-chooser{display:inline-flex;position:relative}.select-kit.dropdown-select-box.period-chooser .select-kit-collection{padding:5px}.select-kit.dropdown-select-box.period-chooser .period-chooser-header{background:none;border:none;justify-content:flex-start;width:auto;height:auto;padding:0}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name{color:#fff;display:inline-block;box-sizing:border-box}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .date-section{color:#222;margin-right:5px}.select-kit.dropdown-select-box.period-chooser .period-chooser-header h2.selected-name .top-date-string{font-size:.8706em;color:#919191;font-weight:normal;text-transform:uppercase}.select-kit.dropdown-select-box.period-chooser .period-chooser-header .d-icon{color:#222;opacity:1;margin:5px 0 10px 5px;font-size:1.5157em}.select-kit.dropdown-select-box.period-chooser .period-chooser-header.is-focused,.select-kit.dropdown-select-box.period-chooser .period-chooser-header:hover{background:none;border:none;outline:none}.select-kit.dropdown-select-box.period-chooser .period-chooser-row{font-weight:bold;padding:5px;font-size:1.1487em;align-items:center;display:flex}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .period-title{flex:1 0 0px}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .date-section{color:#222}.select-kit.dropdown-select-box.period-chooser .period-chooser-row .top-date-string{font-weight:normal;font-size:.8706em;color:#919191;text-transform:uppercase;margin-left:5px}.select-kit.dropdown-select-box{display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex;min-width:auto;border:none}.select-kit.dropdown-select-box.is-expanded .select-kit-collection,.select-kit.dropdown-select-box.is-expanded .select-kit-body{border-radius:0}.select-kit.dropdown-select-box .select-kit-body{border:1px solid #e9e9e9;background-clip:padding-box;box-shadow:0 2px 3px 0 rgba(0,0,0,0.2);max-width:300px;width:300px}.select-kit.dropdown-select-box .select-kit-row{margin:0;padding:10px 5px}.select-kit.dropdown-select-box .select-kit-row .icons{display:-webkit-box;display:-ms-flexbox;display:flex;flex:0 0 auto;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;-webkit-box-pack:center;-ms-flex-pack:center;justify-content:center;-ms-flex-item-align:start;align-self:flex-start;margin-right:0.357em;margin-top:2px;width:30px}.select-kit.dropdown-select-box .select-kit-row .icons .d-icon{font-size:1.3195em;-ms-flex-item-align:center;align-self:center;margin-right:0;opacity:1}.select-kit.dropdown-select-box .select-kit-row .texts{width:0;line-height:1.4;-webkit-box-flex:1;-ms-flex:1;flex:1 1 0%;-webkit-box-align:start;-ms-flex-align:start;align-items:flex-start;display:-webkit-box;display:-ms-flexbox;display:flex;-ms-flex-wrap:wrap;flex-wrap:wrap;-webkit-box-orient:vertical;-webkit-box-direction:normal;-ms-flex-direction:column;flex-direction:column}.select-kit.dropdown-select-box .select-kit-row .texts .name{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;font-weight:bold;font-size:1em;color:#222;padding:0;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;max-width:100%}.select-kit.dropdown-select-box .select-kit-row .texts .desc{-webkit-box-flex:1;-ms-flex:1;flex:1 1 auto;width:100%;font-size:.8706em;font-weight:normal;color:#919191;white-space:normal}.select-kit.dropdown-select-box .select-kit-collection{padding:0;max-height:100%}.select-kit.dropdown-select-box .dropdown-select-box-header{-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;border:0;-webkit-box-align:center;-ms-flex-align:center;align-items:center;-webkit-box-pack:justify;-ms-flex-pack:justify;justify-content:space-between;-webkit-box-orient:horizontal;-webkit-box-direction:normal;-ms-flex-direction:row;flex-direction:row;display:-webkit-inline-box;display:-ms-inline-flexbox;display:inline-flex}.select-kit.dropdown-select-box .dropdown-select-box-header .d-icon+.d-icon{margin-left:5px}.select-kit.dropdown-select-box .dropdown-select-box-header.is-focused{outline-style:auto;outline-color:#08c}.select-kit.multi-select.list-setting .select-kit-row.create .square{width:12px;height:12px;margin-left:5px}.svg-icon,.svg-icon-title{height:1em;width:1em;line-height:1;display:inline-flex;position:relative;vertical-align:-0.125em;fill:currentColor;flex-shrink:0;overflow:visible}svg>use{pointer-events:none}.fa-stack{position:relative;width:1em;height:1em;display:inline-block}.fa-stack .fa-stack-1x,.fa-stack .fa-stack-2x{left:0px;top:0px;position:absolute}.fa-stack .fa-stack-2x{height:1.5em;width:1.5em;margin-top:-0.25em;margin-left:-0.25em}body.wizard{background-color:#fff;background-image:url('/images/wizard/bubbles.png');background-repeat:repeat;background-position:left top;color:#444;line-height:1.4}.finish-installation .tada{width:300px}.finish-installation .row{text-align:center;margin-bottom:1em}.finish-installation .help-text{color:#999}.discourse-logo{background-image:url('/images/wizard/discourse.png');height:30px;width:110px;background-size:110px 30px;background-repeat:no-repeat}.wizard-warning{font-family:sans-serif}.wizard-warning p{margin-top:0}.wizard-warning fieldset{display:none}.wizard-warning h2{display:none}.wizard-warning .sa-icon{display:none !important}.select{width:400px}.wizard-canvas{position:absolute;top:0;left:0;z-index:10}.staff-count{font-weight:bold}.wizard-step-privacy label[for="privacy_options"] .field-description{color:#444;margin-bottom:1em}.wizard-step-privacy .field-privacy-options{margin-bottom:0.8em}.wizard-step-privacy .field-privacy-options .radio-label{font-weight:normal}.wizard-step-form{max-height:500px}.wizard-step-emoji .radio-area{display:flex;flex-direction:row;align-items:center}.wizard-step-emoji .radio-area input{flex:1 0 0px}.wizard-step-emoji .radio-area span{flex:10 0 0}.wizard-step-emoji .radio-area span.extra-label{flex:20 0 0}.wizard-step-emoji .emoji-preview{margin-left:1em}.wizard-step-emoji .emoji-preview img{height:40px;width:40px;padding-right:0.5em}.wizard-step-homepage .field-homepage-style{width:280px}.wizard-step-colors{max-height:465px;overflow-y:auto}.wizard-step-colors .grid{box-sizing:border-box;display:flex;flex-wrap:wrap;justify-content:space-around;padding:0;margin:0 auto;list-style-type:none;text-align:center}.wizard-step-colors .grid li{display:inline-block;vertical-align:top;margin:0 5px 25px 5px}.wizard-step-colors .grid li label:checked+div{display:none}.wizard-step-colors .grid li .is-selected{box-shadow:0 0 0 5px #08c}.wizard-step-colors .grid li div{display:flex;flex:1 1 auto}.wizard-step-colors .grid li .radio-area{display:none}.wizard-step-colors .grid li .radio-area>*{position:relative;right:7px}.wizard-step-colors .grid li canvas{transition:box-shadow 0.25s}.wizard-step-colors .grid li canvas:hover{box-shadow:0 4px 14px rgba(0,0,0,0.15);cursor:pointer}.wizard-column{position:relative;z-index:11;background-color:white;box-shadow:0 5px 10px rgba(0,0,0,0.2);box-sizing:border-box;margin:1.5em auto;padding:0;max-width:700px;min-width:280px;width:100%;border:1px solid #ccc}.wizard-column .wizard-step-contents{height:550px;margin-bottom:2em}.wizard-column .wizard-step-contents a{text-decoration:none;color:#6699ff}.wizard-column .wizard-column-contents{padding:1.2em}.wizard-column .wizard-column-contents h1{margin:0 0 1em 0}.wizard-column .wizard-step-description{margin-bottom:2em}.wizard-column .wizard-step-banner{margin-bottom:2em;width:660px}.wizard-column .wizard-footer{border-top:1px solid #ccc;background-color:#eee;padding:0.5em}.wizard-column .wizard-progress{border:1px solid #a3c1ff;width:200px;height:1.4em}.wizard-column .wizard-progress div{position:absolute;height:1.4em}.wizard-column .wizard-progress .white{background:white;width:200px;z-index:11}.wizard-column .wizard-progress .black{background:black;transition:width 0.3s;z-index:12}.wizard-column .wizard-progress span{position:absolute;font-size:1em;mix-blend-mode:difference;color:white;z-index:13;left:1.5em}.wizard-column .wizard-progress .screen{background-color:#a3c1ff;mix-blend-mode:screen;width:200px;z-index:14}.wizard-column .action-link{margin-right:1em;text-decoration:none;color:#6699ff}.wizard-column .wizard-btn{border-radius:2px;font-size:1em;border:0;padding:0.5em;transition:background-color 0.3s;margin-right:0.5em;text-decoration:none;background-color:#fff;color:#333;box-shadow:0 1px 4px rgba(0,0,0,0.4)}.wizard-column .wizard-btn.small{padding:0.25em 0.5em;font-size:.8706em}.wizard-column .wizard-btn:hover{background-color:#eee}.wizard-column .wizard-btn:active{background-color:#ddd}.wizard-column .wizard-btn:disabled{background-color:#ccc}.wizard-column .wizard-btn.disabled{background-color:#ccc}.wizard-column .wizard-btn .d-icon-chevron-right{margin-left:0.25em;font-size:0.8em}.wizard-column .wizard-btn .d-icon-chevron-left{margin-right:0.25em;font-size:0.8em}.wizard-column .wizard-btn.primary{background-color:#6699ff;color:white;box-shadow:0 1px 4px rgba(0,0,0,0.6)}.wizard-column .wizard-btn.primary:hover{background-color:#80b3ff}.wizard-column .wizard-btn.primary:active{background-color:#4d80e6}.wizard-column .wizard-btn.primary:disabled{background-color:#000167}.wizard-column .wizard-btn.danger{background-color:#e60000;color:white}.wizard-column .wizard-btn.danger:hover{background-color:#cc0000}.wizard-column .wizard-btn.danger:active{background-color:#b30000}.wizard-column .wizard-btn.danger:disabled{background-color:#990000}.wizard-column .wizard-btn-upload{clear:both;display:inline-block}.wizard-column .wizard-btn-upload .fa{margin-left:0.5em}.wizard-column .wizard-hidden-upload-field{visibility:hidden;position:absolute}.wizard-column .wizard-step-footer{display:flex;flex-direction:row;justify-content:space-between;align-items:center}.wizard-column .wizard-step-footer .wizard-btn.next{min-width:70px}.wizard-column .wizard-step-footer .wizard-btn.next .d-icon-chevron-right{margin-left:0.25em;font-size:0.8em}.wizard-column .wizard-step-footer .wizard-btn.back{background-color:#fff;color:#333;box-shadow:0 1px 4px rgba(0,0,0,0.4)}.wizard-column .wizard-step-footer .wizard-btn.back:hover{background-color:#eee}.wizard-column .wizard-step-footer .wizard-btn.back:active{background-color:#ddd}.wizard-column .wizard-step-footer .wizard-btn.back:disabled{background-color:#ccc}.wizard-column .wizard-step-footer button.wizard-btn:last-child{margin-right:0}.wizard-column .wizard-step-footer button.wizard-btn.done,.wizard-column .wizard-step-footer button.wizard-btn.finish{color:#fff;background-color:#33b333}.wizard-column .wizard-step-footer button.wizard-btn.done:hover,.wizard-column .wizard-step-footer button.wizard-btn.finish:hover{background-color:#4dcd4d}.wizard-column .wizard-step-footer button.wizard-btn.done:active,.wizard-column .wizard-step-footer button.wizard-btn.finish:active{background-color:#66e666}.wizard-column .wizard-step-footer button.wizard-btn.done:disabled,.wizard-column .wizard-step-footer button.wizard-btn.finish:disabled{background-color:#006700}.wizard-column .wizard-image-row{display:flex;flex-direction:row;justify-content:space-between;align-items:center}.wizard-column .wizard-image-preview{padding:0.1em;border:1px dotted #bbb}.wizard-column .wizard-image-preview img.field-logo-url{max-height:40px}.wizard-column .wizard-image-preview img.field-logo-small-url{max-height:40px;max-width:80px}.wizard-column .wizard-image-preview img.field-favicon-url{max-height:16px;max-width:16px}.wizard-column .wizard-image-preview img.field-apple-touch-icon-url{max-height:40px;max-width:40px}.wizard-column .wizard-field{margin-bottom:2em}.wizard-column .wizard-field label .label-value{font-weight:bold}.wizard-column .wizard-field .input-area{margin-top:0.5em}.wizard-column .wizard-field .field-error-description{color:red;font-weight:bold}.wizard-column .wizard-field .field-description{color:#999;margin-top:0.5em}.wizard-column .wizard-field .field-description a{color:#7b68ee}.wizard-step-themes-further-reading .wizard-field .input-area{margin-top:0}.wizard-step-themes-further-reading .popular-themes{display:flex}.wizard-step-themes-further-reading .popular-themes a.popular-theme-item{background:#f9f9f9;padding:8px;margin:0px 4px;width:25%}.wizard-step-themes-further-reading .popular-themes a.popular-theme-item:hover{background:#f3f3f3}.textarea-field textarea{width:100%;height:10em}.textarea-field.invalid textarea{padding:3px;border:4px solid red}.text-field input{width:100%;font-size:1.1487em;padding:6px;border:1px solid #ccc;transition:border-color 0.5s}.text-field.invalid input{padding:3px;border:4px solid red}.radio-field-choice{margin-bottom:1.25em}.radio-field-choice input{outline:0}.radio-field-choice .radio-label{font-weight:bold;margin-left:0.5em}.radio-field-choice .radio-description{margin-top:0.25em;margin-left:1.75em;color:#777}.invite-list .users-list{margin-bottom:1em}.invite-list .users-list .invite-list-user{display:flex;flex-direction:row;justify-content:space-between;margin-bottom:1em}.invite-list .users-list .invite-list-user .email{width:330px}.invite-list .users-list .invite-list-user .role{width:200px}.invite-list .new-user{display:flex;flex-direction:row;justify-content:space-between;align-items:center;margin-bottom:1em}.invite-list .new-user .invite-email{width:350px}.invite-list button.add-user .fa{margin-right:0.5em}@media only screen and (max-device-width: 568px){h1{font-size:1.3195em !important}.wizard-column{margin:auto !important}.wizard-step-form{max-height:none}.wizard-step-contents{height:auto !important}.wizard-step-banner{width:100% !important;margin-bottom:1em !important}.wizard-step-footer{display:block !important}.wizard-progress{margin-bottom:10px !important}.wizard-buttons{text-align:right !important}.wizard-footer{display:none !important}.wizard-step-description{margin-bottom:1em !important}.wizard-column-contents{padding:1em !important}.wizard-step-themes-further-reading .popular-themes a.popular-theme-item{width:33.3%}.wizard-step-themes-further-reading .popular-themes a.popular-theme-item:nth-child(4),.wizard-step-themes-further-reading .popular-themes a.popular-theme-item:nth-child(5){display:none}.emoji-preview img{width:16px !important;height:16px !important}.invite-list .new-user{flex-direction:column !important;align-items:inherit !important}.invite-list .new-user .invite-email{width:100% !important;margin-bottom:5px !important}.invite-list .add-user{margin-top:5px !important}canvas{max-width:365px}.wizard-step-logos canvas,.wizard-step-icons canvas{max-width:225px}}\n\n/*# sourceMappingURL=wizard_8dd8907530e55eba0dabcfa8beb165c07e36c1d3.css.map */	2019-12-05 04:59:07.924035	2019-12-05 04:59:07.924035	-1	{\n\t"version": 3,\n\t"file": "wizard.css",\n\t"sources": [\n\t\t"wizard.scss",\n\t\t"app/assets/stylesheets/vendor/normalize.scss",\n\t\t"app/assets/stylesheets/vendor/sweetalert.scss",\n\t\t"app/assets/stylesheets/common/foundation/colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"app/assets/stylesheets/common/select-kit/notifications-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/multi-select.scss",\n\t\t"app/assets/stylesheets/common/select-kit/composer-actions.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-row.scss",\n\t\t"app/assets/stylesheets/common/select-kit/toolbar-popup-menu-options.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/combo-box.scss",\n\t\t"app/assets/stylesheets/common/select-kit/pinned-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/categories-admin-dropdown.scss",\n\t\t"app/assets/stylesheets/common/select-kit/tag-drop.scss",\n\t\t"app/assets/stylesheets/common/select-kit/future-date-input-selector.scss",\n\t\t"app/assets/stylesheets/common/select-kit/mini-tag-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/select-kit.scss",\n\t\t"app/assets/stylesheets/common/select-kit/topic-notifications-button.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-drop.scss",\n\t\t"app/assets/stylesheets/common/select-kit/color-palettes.scss",\n\t\t"app/assets/stylesheets/common/select-kit/tag-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/category-selector.scss",\n\t\t"app/assets/stylesheets/common/select-kit/user-notifications-dropdown.scss",\n\t\t"app/assets/stylesheets/common/select-kit/period-chooser.scss",\n\t\t"app/assets/stylesheets/common/select-kit/dropdown-select-box.scss",\n\t\t"app/assets/stylesheets/common/select-kit/list-setting.scss",\n\t\t"app/assets/stylesheets/common/components/svg.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"vendor/normalize\\";\\n@import \\"vendor/sweetalert\\";\\n@import \\"common/foundation/colors\\";\\n@import \\"common/foundation/variables\\";\\n@import \\"common/foundation/mixins\\";\\n@import \\"common/select-kit/*\\";\\n@import \\"common/components/svg\\";\\n\\nbody.wizard {\\n  background-color: #fff;\\n  background-image: asset-url(\\"/images/wizard/bubbles.png\\");\\n  background-repeat: repeat;\\n  background-position: left top;\\n\\n  color: #444;\\n\\n  line-height: $line-height-large;\\n}\\n\\n.finish-installation {\\n  .tada {\\n    width: 300px;\\n  }\\n\\n  .row {\\n    text-align: center;\\n    margin-bottom: 1em;\\n  }\\n\\n  .help-text {\\n    color: #999;\\n  }\\n}\\n\\n.discourse-logo {\\n  background-image: asset-url(\\"/images/wizard/discourse.png\\");\\n  height: 30px;\\n  width: 110px;\\n  background-size: 110px 30px;\\n  background-repeat: no-repeat;\\n}\\n\\n.wizard-warning {\\n  font-family: sans-serif;\\n\\n  p {\\n    margin-top: 0;\\n  }\\n\\n  fieldset {\\n    display: none;\\n  }\\n\\n  h2 {\\n    display: none;\\n  }\\n  .sa-icon {\\n    display: none !important;\\n  }\\n}\\n\\n.select {\\n  width: 400px;\\n}\\n\\n.wizard-canvas {\\n  position: absolute;\\n  top: 0;\\n  left: 0;\\n  z-index: 10;\\n}\\n\\n.staff-count {\\n  font-weight: bold;\\n}\\n\\n.wizard-step-privacy {\\n  label[for=\\"privacy_options\\"] .field-description {\\n    color: #444;\\n    margin-bottom: 1em;\\n  }\\n\\n  .field-privacy-options {\\n    margin-bottom: 0.8em;\\n\\n    .radio-label {\\n      font-weight: normal;\\n    }\\n  }\\n}\\n\\n.wizard-step-form {\\n  max-height: 500px;\\n}\\n\\n.wizard-step-emoji {\\n  .radio-area {\\n    display: flex;\\n    flex-direction: row;\\n    align-items: center;\\n\\n    input {\\n      flex: 1 0 0px;\\n    }\\n\\n    span {\\n      flex: 10 0 0;\\n    }\\n\\n    span.extra-label {\\n      flex: 20 0 0;\\n    }\\n  }\\n\\n  .emoji-preview {\\n    margin-left: 1em;\\n    img {\\n      height: 40px;\\n      width: 40px;\\n      padding-right: 0.5em;\\n    }\\n  }\\n}\\n\\n.wizard-step-homepage {\\n  .field-homepage-style {\\n    width: 280px;\\n  }\\n}\\n\\n.wizard-step-colors {\\n  max-height: 465px;\\n  overflow-y: auto;\\n  .grid {\\n    box-sizing: border-box;\\n    display: flex;\\n    flex-wrap: wrap;\\n    justify-content: space-around;\\n    padding: 0;\\n    margin: 0 auto;\\n    list-style-type: none;\\n    text-align: center;\\n\\n    li {\\n      display: inline-block;\\n      vertical-align: top;\\n      margin: 0 5px 25px 5px;\\n      label:checked + div {\\n        display: none;\\n      }\\n      .is-selected {\\n        box-shadow: 0 0 0 5px $tertiary;\\n      }\\n      div {\\n        display: flex;\\n        flex: 1 1 auto;\\n      }\\n      .radio-area {\\n        display: none;\\n        & > * {\\n          position: relative;\\n          right: 7px;\\n        }\\n      }\\n      canvas {\\n        transition: box-shadow 0.25s;\\n        &:hover {\\n          box-shadow: shadow(\\"card\\");\\n          cursor: pointer;\\n        }\\n      }\\n    }\\n  }\\n}\\n\\n.wizard-column {\\n  position: relative;\\n  z-index: 11;\\n  background-color: white;\\n  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);\\n  box-sizing: border-box;\\n  margin: 1.5em auto;\\n  padding: 0;\\n  max-width: 700px;\\n  min-width: 280px;\\n  width: 100%;\\n  border: 1px solid #ccc;\\n\\n  .wizard-step-contents {\\n    height: 550px;\\n    margin-bottom: 2em;\\n    a {\\n      text-decoration: none;\\n      color: #6699ff;\\n    }\\n  }\\n\\n  .wizard-column-contents {\\n    padding: 1.2em;\\n\\n    h1 {\\n      margin: 0 0 1em 0;\\n    }\\n  }\\n\\n  .wizard-step-description {\\n    margin-bottom: 2em;\\n  }\\n  .wizard-step-banner {\\n    margin-bottom: 2em;\\n    width: 660px;\\n  }\\n\\n  .wizard-footer {\\n    border-top: 1px solid #ccc;\\n    background-color: #eee;\\n    padding: 0.5em;\\n  }\\n\\n  .wizard-progress {\\n    border: 1px solid #a3c1ff;\\n    width: 200px;\\n    height: 1.4em;\\n\\n    div {\\n      position: absolute;\\n      height: 1.4em;\\n    }\\n\\n    .white {\\n      background: white;\\n      width: 200px;\\n      z-index: 11;\\n    }\\n\\n    .black {\\n      background: black;\\n      transition: width 0.3s;\\n      z-index: 12;\\n    }\\n\\n    span {\\n      position: absolute;\\n      font-size: $font-0;\\n      mix-blend-mode: difference;\\n      color: white;\\n      z-index: 13;\\n      left: 1.5em;\\n    }\\n\\n    .screen {\\n      background-color: #a3c1ff;\\n      mix-blend-mode: screen;\\n      width: 200px;\\n      z-index: 14;\\n    }\\n  }\\n\\n  .action-link {\\n    margin-right: 1em;\\n    text-decoration: none;\\n    color: #6699ff;\\n  }\\n\\n  .wizard-btn {\\n    border-radius: 2px;\\n    font-size: $font-0;\\n    border: 0;\\n    padding: 0.5em;\\n    transition: background-color 0.3s;\\n    margin-right: 0.5em;\\n    text-decoration: none;\\n\\n    background-color: #fff;\\n    color: #333;\\n    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.4);\\n\\n    &.small {\\n      padding: 0.25em 0.5em;\\n      font-size: $font-down-1;\\n    }\\n\\n    &:hover {\\n      background-color: #eee;\\n    }\\n\\n    &:active {\\n      background-color: #ddd;\\n    }\\n\\n    &:disabled {\\n      background-color: #ccc;\\n    }\\n\\n    &.disabled {\\n      background-color: #ccc;\\n    }\\n\\n    .d-icon-chevron-right {\\n      margin-left: 0.25em;\\n      font-size: 0.8em;\\n    }\\n    .d-icon-chevron-left {\\n      margin-right: 0.25em;\\n      font-size: 0.8em;\\n    }\\n  }\\n\\n  .wizard-btn.primary {\\n    background-color: #6699ff;\\n    color: white;\\n    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.6);\\n\\n    &:hover {\\n      background-color: #80b3ff;\\n    }\\n\\n    &:active {\\n      background-color: #4d80e6;\\n    }\\n\\n    &:disabled {\\n      background-color: #000167;\\n    }\\n  }\\n\\n  .wizard-btn.danger {\\n    background-color: #e60000;\\n    color: white;\\n\\n    &:hover {\\n      background-color: #cc0000;\\n    }\\n\\n    &:active {\\n      background-color: #b30000;\\n    }\\n\\n    &:disabled {\\n      background-color: #990000;\\n    }\\n  }\\n\\n  .wizard-btn-upload {\\n    clear: both;\\n    display: inline-block;\\n    .fa {\\n      margin-left: 0.5em;\\n    }\\n  }\\n\\n  .wizard-hidden-upload-field {\\n    visibility: hidden;\\n    position: absolute;\\n  }\\n\\n  .wizard-step-footer {\\n    display: flex;\\n    flex-direction: row;\\n    justify-content: space-between;\\n    align-items: center;\\n\\n    .wizard-btn.next {\\n      min-width: 70px;\\n\\n      .d-icon-chevron-right {\\n        margin-left: 0.25em;\\n        font-size: 0.8em;\\n      }\\n    }\\n\\n    .wizard-btn.back {\\n      background-color: #fff;\\n      color: #333;\\n      box-shadow: 0 1px 4px rgba(0, 0, 0, 0.4);\\n\\n      &:hover {\\n        background-color: #eee;\\n      }\\n\\n      &:active {\\n        background-color: #ddd;\\n      }\\n\\n      &:disabled {\\n        background-color: #ccc;\\n      }\\n    }\\n\\n    button.wizard-btn:last-child {\\n      margin-right: 0;\\n    }\\n\\n    button.wizard-btn.done,\\n    button.wizard-btn.finish {\\n      color: #fff;\\n      background-color: #33b333;\\n\\n      &:hover {\\n        background-color: #4dcd4d;\\n      }\\n\\n      &:active {\\n        background-color: #66e666;\\n      }\\n\\n      &:disabled {\\n        background-color: #006700;\\n      }\\n    }\\n  }\\n\\n  .wizard-image-row {\\n    display: flex;\\n    flex-direction: row;\\n    justify-content: space-between;\\n    align-items: center;\\n  }\\n\\n  .wizard-image-preview {\\n    img.field-logo-url {\\n      max-height: 40px;\\n    }\\n    img.field-logo-small-url {\\n      max-height: 40px;\\n      max-width: 80px;\\n    }\\n    img.field-favicon-url {\\n      max-height: 16px;\\n      max-width: 16px;\\n    }\\n    img.field-apple-touch-icon-url {\\n      max-height: 40px;\\n      max-width: 40px;\\n    }\\n\\n    padding: 0.1em;\\n    border: 1px dotted #bbb;\\n  }\\n\\n  .wizard-field {\\n    label .label-value {\\n      font-weight: bold;\\n    }\\n\\n    .input-area {\\n      margin-top: 0.5em;\\n    }\\n\\n    .field-error-description {\\n      color: red;\\n      font-weight: bold;\\n    }\\n\\n    .field-description {\\n      color: #999;\\n      margin-top: 0.5em;\\n\\n      a {\\n        color: #7b68ee;\\n      }\\n    }\\n\\n    margin-bottom: 2em;\\n  }\\n}\\n\\n.wizard-step-themes-further-reading {\\n  .wizard-field .input-area {\\n    margin-top: 0;\\n  }\\n\\n  .popular-themes {\\n    display: flex;\\n    a.popular-theme-item {\\n      background: #f9f9f9;\\n      padding: 8px;\\n      margin: 0px 4px;\\n      width: 25%;\\n      &:hover {\\n        background: #f3f3f3;\\n      }\\n    }\\n  }\\n}\\n\\n.textarea-field {\\n  textarea {\\n    width: 100%;\\n    height: 10em;\\n  }\\n\\n  &.invalid {\\n    textarea {\\n      padding: 3px;\\n      border: 4px solid red;\\n    }\\n  }\\n}\\n\\n.text-field {\\n  input {\\n    width: 100%;\\n    font-size: $font-up-1;\\n    padding: 6px;\\n    border: 1px solid #ccc;\\n    transition: border-color 0.5s;\\n  }\\n\\n  &.invalid {\\n    input {\\n      padding: 3px;\\n      border: 4px solid red;\\n    }\\n  }\\n}\\n\\n.radio-field-choice {\\n  margin-bottom: 1.25em;\\n\\n  input {\\n    outline: 0;\\n  }\\n\\n  .radio-label {\\n    font-weight: bold;\\n    margin-left: 0.5em;\\n  }\\n  .radio-description {\\n    margin-top: 0.25em;\\n    margin-left: 1.75em;\\n    color: #777;\\n  }\\n}\\n\\n.invite-list {\\n  .users-list {\\n    margin-bottom: 1em;\\n\\n    .invite-list-user {\\n      display: flex;\\n      flex-direction: row;\\n      justify-content: space-between;\\n      margin-bottom: 1em;\\n\\n      .email {\\n        width: 330px;\\n      }\\n\\n      .role {\\n        width: 200px;\\n      }\\n    }\\n  }\\n\\n  .new-user {\\n    display: flex;\\n    flex-direction: row;\\n    justify-content: space-between;\\n    align-items: center;\\n    margin-bottom: 1em;\\n\\n    .invite-email {\\n      width: 350px;\\n    }\\n  }\\n\\n  button.add-user {\\n    .fa {\\n      margin-right: 0.5em;\\n    }\\n  }\\n}\\n\\n/* fix wizard for mobile -- iPhone 5 default width */\\n@media only screen and (max-device-width: 568px) {\\n  h1 {\\n    font-size: $font-up-2 !important;\\n  }\\n  .wizard-column {\\n    margin: auto !important;\\n  }\\n  .wizard-step-form {\\n    max-height: none;\\n  }\\n  .wizard-step-contents {\\n    height: auto !important;\\n  }\\n  .wizard-step-banner {\\n    width: 100% !important;\\n    margin-bottom: 1em !important;\\n  }\\n  .wizard-step-footer {\\n    display: block !important;\\n  }\\n  .wizard-progress {\\n    margin-bottom: 10px !important;\\n  }\\n  .wizard-buttons {\\n    text-align: right !important;\\n  }\\n  .wizard-footer {\\n    display: none !important;\\n  }\\n  .wizard-step-description {\\n    margin-bottom: 1em !important;\\n  }\\n  .wizard-column-contents {\\n    padding: 1em !important;\\n  }\\n  .wizard-step-themes-further-reading {\\n    .popular-themes {\\n      a.popular-theme-item {\\n        width: 33.3%;\\n        &:nth-child(4),\\n        &:nth-child(5) {\\n          display: none;\\n        }\\n      }\\n    }\\n  }\\n  .emoji-preview img {\\n    width: 16px !important;\\n    height: 16px !important;\\n  }\\n  .invite-list .new-user {\\n    flex-direction: column !important;\\n    align-items: inherit !important;\\n  }\\n  .invite-list .new-user .invite-email {\\n    width: 100% !important;\\n    margin-bottom: 5px !important;\\n  }\\n  .invite-list .add-user {\\n    margin-top: 5px !important;\\n  }\\n\\n  canvas {\\n    max-width: 365px;\\n  }\\n\\n  .wizard-step-logos,\\n  .wizard-step-icons {\\n    canvas {\\n      max-width: 225px;\\n    }\\n  }\\n}\\n",\n\t\t"/*! normalize.css v3.0.1 | MIT License | git.io/normalize */\\n\\n/**\\n * 1. Set default font family to sans-serif.\\n * 2. Prevent iOS text size adjust after orientation change, without disabling\\n *    user zoom.\\n */\\n\\nhtml {\\n  font-family: sans-serif; /* 1 */\\n  -ms-text-size-adjust: 100%; /* 2 */\\n  -webkit-text-size-adjust: 100%; /* 2 */\\n}\\n\\n/**\\n * Remove default margin.\\n */\\n\\nbody {\\n  margin: 0;\\n}\\n\\n/* HTML5 display definitions\\n   ========================================================================== */\\n\\n/**\\n * Correct `block` display not defined for any HTML5 element in IE 8/9.\\n * Correct `block` display not defined for `details` or `summary` in IE 10/11 and Firefox.\\n * Correct `block` display not defined for `main` in IE 11.\\n */\\n\\narticle,\\naside,\\ndetails,\\nfigcaption,\\nfigure,\\nfooter,\\nheader,\\nhgroup,\\nmain,\\nnav,\\nsection,\\nsummary {\\n  display: block;\\n}\\n\\n/**\\n * 1. Correct `inline-block` display not defined in IE 8/9.\\n * 2. Normalize vertical alignment of `progress` in Chrome, Firefox, and Opera.\\n */\\n\\naudio,\\ncanvas,\\nprogress,\\nvideo {\\n  display: inline-block; /* 1 */\\n  vertical-align: baseline; /* 2 */\\n}\\n\\n/**\\n * Prevent modern browsers from displaying `audio` without controls.\\n * Remove excess height in iOS 5 devices.\\n */\\n\\naudio:not([controls]) {\\n  display: none;\\n  height: 0;\\n}\\n\\n/**\\n * Address `[hidden]` styling not present in IE 8/9/10.\\n * Hide the `template` element in IE 8/9/11, Safari, and Firefox < 22.\\n */\\n\\n[hidden],\\ntemplate {\\n  display: none;\\n}\\n\\n/* Links\\n   ========================================================================== */\\n\\n/**\\n * Remove the gray background color from active links in IE 10.\\n */\\n\\na {\\n  background: transparent;\\n}\\n\\n/**\\n * Improve readability when focused and also mouse hovered in all browsers.\\n */\\n\\na:active,\\na:hover {\\n  outline: 0;\\n}\\n\\n/* Text-level semantics\\n   ========================================================================== */\\n\\n/**\\n * Address styling not present in IE 8/9/10/11 & Edge\\n */\\n\\n abbr[title], acronym[title] {\\n  text-decoration: underline;\\n  text-decoration-style: dotted; \\n}\\n\\n/**\\n * Address style set to `bolder` in Firefox 4+, Safari, and Chrome.\\n */\\n\\nb,\\nstrong {\\n  font-weight: bold;\\n}\\n\\n/**\\n * Address styling not present in Safari and Chrome.\\n */\\n\\ndfn {\\n  font-style: italic;\\n}\\n\\n/**\\n * Address variable `h1` font-size and margin within `section` and `article`\\n * contexts in Firefox 4+, Safari, and Chrome.\\n */\\n\\nh1 {\\n  font-size: 1.7511em;\\n  margin: 0.67em 0;\\n}\\n\\n/**\\n * Address styling not present in IE 8/9.\\n */\\n\\nmark {\\n  background: #ff0;\\n  color: #000;\\n}\\n\\n/**\\n * Address inconsistent and variable font size in all browsers.\\n */\\n\\nsmall {\\n  font-size: 80%;\\n}\\n\\n/**\\n * Prevent `sub` and `sup` affecting `line-height` in all browsers.\\n */\\n\\nsub,\\nsup {\\n  font-size: 75%;\\n  line-height: 0;\\n  position: relative;\\n  vertical-align: baseline;\\n}\\n\\nsup {\\n  top: -0.5em;\\n}\\n\\nsub {\\n  bottom: -0.25em;\\n}\\n\\n/* Embedded content\\n   ========================================================================== */\\n\\n/**\\n * Remove border when inside `a` element in IE 8/9/10.\\n */\\n\\nimg {\\n  border: 0;\\n}\\n\\n/* Grouping content\\n   ========================================================================== */\\n\\n/**\\n * Address margin not present in IE 8/9 and Safari.\\n */\\n\\nfigure {\\n  margin: 1em 40px;\\n}\\n\\n/**\\n * Address differences between Firefox and other browsers.\\n */\\n\\nhr {\\n  -moz-box-sizing: content-box;\\n  box-sizing: content-box;\\n  height: 0;\\n}\\n\\n/**\\n * Contain overflow in all browsers.\\n */\\n\\npre {\\n  overflow: auto;\\n}\\n\\n/**\\n * Address odd `em`-unit font size rendering in all browsers.\\n */\\n\\ncode,\\nkbd,\\npre,\\nsamp {\\n  font-family: monospace, monospace;\\n  font-size: 1em;\\n}\\n\\n/* Forms\\n   ========================================================================== */\\n\\n/**\\n * Known limitation: by default, Chrome and Safari on OS X allow very limited\\n * styling of `select`, unless a `border` property is set.\\n */\\n\\n/**\\n * 1. Correct color not being inherited.\\n *    Known issue: affects color of disabled elements.\\n * 2. Correct font properties not being inherited.\\n * 3. Address margins set differently in Firefox 4+, Safari, and Chrome.\\n */\\n\\nbutton,\\ninput,\\noptgroup,\\nselect,\\ntextarea {\\n  color: inherit; /* 1 */\\n  font: inherit; /* 2 */\\n  margin: 0; /* 3 */\\n}\\n\\n/**\\n * Address `overflow` set to `hidden` in IE 8/9/10/11.\\n */\\n\\nbutton {\\n  overflow: visible;\\n}\\n\\n/**\\n * Address inconsistent `text-transform` inheritance for `button` and `select`.\\n * All other form control elements do not inherit `text-transform` values.\\n * Correct `button` style inheritance in Firefox, IE 8/9/10/11, and Opera.\\n * Correct `select` style inheritance in Firefox.\\n */\\n\\nbutton,\\nselect {\\n  text-transform: none;\\n}\\n\\n/**\\n * 1. Avoid the WebKit bug in Android 4.0.* where (2) destroys native `audio`\\n *    and `video` controls.\\n * 2. Correct inability to style clickable `input` types in iOS.\\n * 3. Improve usability and consistency of cursor style between image-type\\n *    `input` and others.\\n */\\n\\nbutton,\\nhtml input[type=\\"button\\"], /* 1 */\\ninput[type=\\"reset\\"],\\ninput[type=\\"submit\\"] {\\n  -webkit-appearance: button; /* 2 */\\n  cursor: pointer; /* 3 */\\n}\\n\\n/**\\n * Re-set default cursor for disabled elements.\\n */\\n\\nbutton[disabled],\\nhtml input[disabled] {\\n  cursor: default;\\n}\\n\\n/**\\n * Remove inner padding and border in Firefox 4+.\\n */\\n\\nbutton::-moz-focus-inner,\\ninput::-moz-focus-inner {\\n  border: 0;\\n  padding: 0;\\n}\\n\\n/**\\n * Address Firefox 4+ setting `line-height` on `input` using `!important` in\\n * the UA stylesheet.\\n */\\n\\ninput {\\n  line-height: normal;\\n}\\n\\n/**\\n * It's recommended that you don't attempt to style these elements.\\n * Firefox's implementation doesn't respect box-sizing, padding, or width.\\n *\\n * 1. Address box sizing set to `content-box` in IE 8/9/10.\\n * 2. Remove excess padding in IE 8/9/10.\\n */\\n\\ninput[type=\\"checkbox\\"],\\ninput[type=\\"radio\\"] {\\n  box-sizing: border-box; /* 1 */\\n  padding: 0; /* 2 */\\n}\\n\\n/**\\n * Fix the cursor style for Chrome's increment/decrement buttons. For certain\\n * `font-size` values of the `input`, it causes the cursor style of the\\n * decrement button to change from `default` to `text`.\\n */\\n\\ninput[type=\\"number\\"]::-webkit-inner-spin-button,\\ninput[type=\\"number\\"]::-webkit-outer-spin-button {\\n  height: auto;\\n}\\n\\n/**\\n * 1. Address `appearance` set to `searchfield` in Safari and Chrome.\\n * 2. Address `box-sizing` set to `border-box` in Safari and Chrome\\n *    (include `-moz` to future-proof).\\n */\\n\\ninput[type=\\"search\\"] {\\n  -webkit-appearance: textfield; /* 1 */\\n  -moz-box-sizing: content-box;\\n  -webkit-box-sizing: content-box; /* 2 */\\n  box-sizing: content-box;\\n}\\n\\n/**\\n * Remove inner padding and search cancel button in Safari and Chrome on OS X.\\n * Safari (but not Chrome) clips the cancel button when the search input has\\n * padding (and `textfield` appearance).\\n */\\n\\ninput[type=\\"search\\"]::-webkit-search-cancel-button,\\ninput[type=\\"search\\"]::-webkit-search-decoration {\\n  -webkit-appearance: none;\\n}\\n\\n/**\\n * Define consistent border, margin, and padding.\\n */\\n\\nfieldset {\\n  border: 1px solid #c0c0c0;\\n  margin: 0 2px;\\n  padding: 0.35em 0.625em 0.75em;\\n}\\n\\n/**\\n * 1. Correct `color` not being inherited in IE 8/9/10/11.\\n * 2. Remove padding so people aren't caught out if they zero out fieldsets.\\n */\\n\\nlegend {\\n  border: 0; /* 1 */\\n  padding: 0; /* 2 */\\n}\\n\\n/**\\n * Remove default vertical scrollbar in IE 8/9/10/11.\\n */\\n\\ntextarea {\\n  overflow: auto;\\n}\\n\\n/**\\n * Don't inherit the `font-weight` (applied by a rule above).\\n * NOTE: the default cannot safely be changed in Chrome and Safari on OS X.\\n */\\n\\noptgroup {\\n  font-weight: bold;\\n}\\n\\n/* Tables\\n   ========================================================================== */\\n\\n/**\\n * Remove most spacing between table cells.\\n */\\n\\ntable {\\n  border-collapse: collapse;\\n  border-spacing: 0;\\n}\\n\\ntd,\\nth {\\n  padding: 0;\\n}\\n",\n\t\t"body.stop-scrolling {\\n  height: 100%;\\n  overflow: hidden; }\\n\\n.sweet-overlay {\\n  background-color: black;\\n  /* IE8 */\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.Alpha(Opacity=40)\\";\\n  /* IE8 */\\n  background-color: rgba(0, 0, 0, 0.4);\\n  position: fixed;\\n  left: 0;\\n  right: 0;\\n  top: 0;\\n  bottom: 0;\\n  display: none;\\n  z-index: 10000; }\\n\\n.sweet-alert {\\n  background-color: white;\\n  font-family: 'Open Sans', 'Helvetica Neue', Helvetica, Arial, sans-serif;\\n  width: 478px;\\n  padding: 17px;\\n  border-radius: 5px;\\n  text-align: center;\\n  position: fixed;\\n  left: 50%;\\n  top: 50%;\\n  margin-left: -256px;\\n  margin-top: -200px;\\n  overflow: hidden;\\n  display: none;\\n  z-index: 99999; }\\n  @media all and (max-width: 540px) {\\n    .sweet-alert {\\n      width: auto;\\n      margin-left: 0;\\n      margin-right: 0;\\n      left: 15px;\\n      right: 15px; } }\\n  .sweet-alert h2 {\\n    color: #575757;\\n    font-size: 30px;\\n    text-align: center;\\n    font-weight: 600;\\n    text-transform: none;\\n    position: relative;\\n    margin: 25px 0;\\n    padding: 0;\\n    line-height: 40px;\\n    display: block; }\\n  .sweet-alert p {\\n    color: #797979;\\n    font-size: 16px;\\n    font-weight: 300;\\n    position: relative;\\n    text-align: inherit;\\n    float: none;\\n    margin: 0;\\n    padding: 0;\\n    line-height: normal; }\\n  .sweet-alert fieldset {\\n    border: none;\\n    position: relative; }\\n  .sweet-alert .sa-error-container {\\n    background-color: #f1f1f1;\\n    margin-left: -17px;\\n    margin-right: -17px;\\n    overflow: hidden;\\n    padding: 0 10px;\\n    max-height: 0;\\n    webkit-transition: padding 0.15s, max-height 0.15s;\\n    transition: padding 0.15s, max-height 0.15s; }\\n    .sweet-alert .sa-error-container.show {\\n      padding: 10px 0;\\n      max-height: 100px;\\n      webkit-transition: padding 0.2s, max-height 0.2s;\\n      transition: padding 0.25s, max-height 0.25s; }\\n    .sweet-alert .sa-error-container .icon {\\n      display: inline-block;\\n      width: 24px;\\n      height: 24px;\\n      border-radius: 50%;\\n      background-color: #ea7d7d;\\n      color: white;\\n      line-height: 24px;\\n      text-align: center;\\n      margin-right: 3px; }\\n    .sweet-alert .sa-error-container p {\\n      display: inline-block; }\\n  .sweet-alert .sa-input-error {\\n    position: absolute;\\n    top: 29px;\\n    right: 26px;\\n    width: 20px;\\n    height: 20px;\\n    opacity: 0;\\n    -webkit-transform: scale(0.5);\\n    transform: scale(0.5);\\n    -webkit-transform-origin: 50% 50%;\\n    transform-origin: 50% 50%;\\n    -webkit-transition: all 0.1s;\\n    transition: all 0.1s; }\\n    .sweet-alert .sa-input-error::before, .sweet-alert .sa-input-error::after {\\n      content: \\"\\";\\n      width: 20px;\\n      height: 6px;\\n      background-color: #f06e57;\\n      border-radius: 3px;\\n      position: absolute;\\n      top: 50%;\\n      margin-top: -4px;\\n      left: 50%;\\n      margin-left: -9px; }\\n    .sweet-alert .sa-input-error::before {\\n      -webkit-transform: rotate(-45deg);\\n      transform: rotate(-45deg); }\\n    .sweet-alert .sa-input-error::after {\\n      -webkit-transform: rotate(45deg);\\n      transform: rotate(45deg); }\\n    .sweet-alert .sa-input-error.show {\\n      opacity: 1;\\n      -webkit-transform: scale(1);\\n      transform: scale(1); }\\n  .sweet-alert input {\\n    width: 100%;\\n    box-sizing: border-box;\\n    border-radius: 3px;\\n    border: 1px solid #d7d7d7;\\n    height: 43px;\\n    margin-top: 10px;\\n    margin-bottom: 17px;\\n    font-size: 18px;\\n    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.06);\\n    padding: 0 12px;\\n    display: none;\\n    -webkit-transition: all 0.3s;\\n    transition: all 0.3s; }\\n    .sweet-alert input:focus {\\n      outline: none;\\n      box-shadow: 0 0 3px #c4e6f5;\\n      border: 1px solid #b4dbed; }\\n      .sweet-alert input:focus::-moz-placeholder {\\n        transition: opacity 0.3s 0.03s ease;\\n        opacity: 0.5; }\\n      .sweet-alert input:focus:-ms-input-placeholder {\\n        transition: opacity 0.3s 0.03s ease;\\n        opacity: 0.5; }\\n      .sweet-alert input:focus::-webkit-input-placeholder {\\n        transition: opacity 0.3s 0.03s ease;\\n        opacity: 0.5; }\\n    .sweet-alert input::-moz-placeholder {\\n      color: #bdbdbd; }\\n    .sweet-alert input:-ms-input-placeholder {\\n      color: #bdbdbd; }\\n    .sweet-alert input::-webkit-input-placeholder {\\n      color: #bdbdbd; }\\n  .sweet-alert.show-input input {\\n    display: block; }\\n  .sweet-alert .sa-confirm-button-container {\\n    display: inline-block;\\n    position: relative; }\\n  .sweet-alert .la-ball-fall {\\n    position: absolute;\\n    left: 50%;\\n    top: 50%;\\n    margin-left: -27px;\\n    margin-top: 4px;\\n    opacity: 0;\\n    visibility: hidden; }\\n  .sweet-alert button {\\n    background-color: #8CD4F5;\\n    color: white;\\n    border: none;\\n    box-shadow: none;\\n    font-size: 17px;\\n    font-weight: 500;\\n    -webkit-border-radius: 4px;\\n    border-radius: 5px;\\n    padding: 10px 32px;\\n    margin: 26px 5px 0 5px;\\n    cursor: pointer; }\\n    .sweet-alert button:focus {\\n      outline: none;\\n      box-shadow: 0 0 2px rgba(128, 179, 235, 0.5), inset 0 0 0 1px rgba(0, 0, 0, 0.05); }\\n    .sweet-alert button:hover {\\n      background-color: #7ecff4; }\\n    .sweet-alert button:active {\\n      background-color: #5dc2f1; }\\n    .sweet-alert button.cancel {\\n      background-color: #C1C1C1; }\\n      .sweet-alert button.cancel:hover {\\n        background-color: #b9b9b9; }\\n      .sweet-alert button.cancel:active {\\n        background-color: #a8a8a8; }\\n      .sweet-alert button.cancel:focus {\\n        box-shadow: rgba(197, 205, 211, 0.8) 0 0 2px, rgba(0, 0, 0, 0.0470588) 0 0 0 1px inset !important; }\\n    .sweet-alert button[disabled] {\\n      opacity: .6;\\n      cursor: default; }\\n    .sweet-alert button.confirm[disabled] {\\n      color: transparent; }\\n      .sweet-alert button.confirm[disabled] ~ .la-ball-fall {\\n        opacity: 1;\\n        visibility: visible;\\n        transition-delay: 0s; }\\n    .sweet-alert button::-moz-focus-inner {\\n      border: 0; }\\n  .sweet-alert[data-has-cancel-button=false] button {\\n    box-shadow: none !important; }\\n  .sweet-alert[data-has-confirm-button=false][data-has-cancel-button=false] {\\n    padding-bottom: 40px; }\\n  .sweet-alert .sa-icon {\\n    width: 80px;\\n    height: 80px;\\n    border: 4px solid gray;\\n    -webkit-border-radius: 40px;\\n    border-radius: 50%;\\n    margin: 20px auto;\\n    padding: 0;\\n    position: relative;\\n    box-sizing: content-box; }\\n    .sweet-alert .sa-icon.sa-error {\\n      border-color: #F27474; }\\n      .sweet-alert .sa-icon.sa-error .sa-x-mark {\\n        position: relative;\\n        display: block; }\\n      .sweet-alert .sa-icon.sa-error .sa-line {\\n        position: absolute;\\n        height: 5px;\\n        width: 47px;\\n        background-color: #F27474;\\n        display: block;\\n        top: 37px;\\n        border-radius: 2px; }\\n        .sweet-alert .sa-icon.sa-error .sa-line.sa-left {\\n          -webkit-transform: rotate(45deg);\\n          transform: rotate(45deg);\\n          left: 17px; }\\n        .sweet-alert .sa-icon.sa-error .sa-line.sa-right {\\n          -webkit-transform: rotate(-45deg);\\n          transform: rotate(-45deg);\\n          right: 16px; }\\n    .sweet-alert .sa-icon.sa-warning {\\n      border-color: #F8BB86; }\\n      .sweet-alert .sa-icon.sa-warning .sa-body {\\n        position: absolute;\\n        width: 5px;\\n        height: 47px;\\n        left: 50%;\\n        top: 10px;\\n        -webkit-border-radius: 2px;\\n        border-radius: 2px;\\n        margin-left: -2px;\\n        background-color: #F8BB86; }\\n      .sweet-alert .sa-icon.sa-warning .sa-dot {\\n        position: absolute;\\n        width: 7px;\\n        height: 7px;\\n        -webkit-border-radius: 50%;\\n        border-radius: 50%;\\n        margin-left: -3px;\\n        left: 50%;\\n        bottom: 10px;\\n        background-color: #F8BB86; }\\n    .sweet-alert .sa-icon.sa-info {\\n      border-color: #C9DAE1; }\\n      .sweet-alert .sa-icon.sa-info::before {\\n        content: \\"\\";\\n        position: absolute;\\n        width: 5px;\\n        height: 29px;\\n        left: 50%;\\n        bottom: 17px;\\n        border-radius: 2px;\\n        margin-left: -2px;\\n        background-color: #C9DAE1; }\\n      .sweet-alert .sa-icon.sa-info::after {\\n        content: \\"\\";\\n        position: absolute;\\n        width: 7px;\\n        height: 7px;\\n        border-radius: 50%;\\n        margin-left: -3px;\\n        top: 19px;\\n        background-color: #C9DAE1; }\\n    .sweet-alert .sa-icon.sa-success {\\n      border-color: #A5DC86; }\\n      .sweet-alert .sa-icon.sa-success::before, .sweet-alert .sa-icon.sa-success::after {\\n        content: '';\\n        -webkit-border-radius: 40px;\\n        border-radius: 50%;\\n        position: absolute;\\n        width: 60px;\\n        height: 120px;\\n        background: white;\\n        -webkit-transform: rotate(45deg);\\n        transform: rotate(45deg); }\\n      .sweet-alert .sa-icon.sa-success::before {\\n        -webkit-border-radius: 120px 0 0 120px;\\n        border-radius: 120px 0 0 120px;\\n        top: -7px;\\n        left: -33px;\\n        -webkit-transform: rotate(-45deg);\\n        transform: rotate(-45deg);\\n        -webkit-transform-origin: 60px 60px;\\n        transform-origin: 60px 60px; }\\n      .sweet-alert .sa-icon.sa-success::after {\\n        -webkit-border-radius: 0 120px 120px 0;\\n        border-radius: 0 120px 120px 0;\\n        top: -11px;\\n        left: 30px;\\n        -webkit-transform: rotate(-45deg);\\n        transform: rotate(-45deg);\\n        -webkit-transform-origin: 0 60px;\\n        transform-origin: 0 60px; }\\n      .sweet-alert .sa-icon.sa-success .sa-placeholder {\\n        width: 80px;\\n        height: 80px;\\n        border: 4px solid rgba(165, 220, 134, 0.2);\\n        -webkit-border-radius: 40px;\\n        border-radius: 50%;\\n        box-sizing: content-box;\\n        position: absolute;\\n        left: -4px;\\n        top: -4px;\\n        z-index: 2; }\\n      .sweet-alert .sa-icon.sa-success .sa-fix {\\n        width: 5px;\\n        height: 90px;\\n        background-color: white;\\n        position: absolute;\\n        left: 28px;\\n        top: 8px;\\n        z-index: 1;\\n        -webkit-transform: rotate(-45deg);\\n        transform: rotate(-45deg); }\\n      .sweet-alert .sa-icon.sa-success .sa-line {\\n        height: 5px;\\n        background-color: #A5DC86;\\n        display: block;\\n        border-radius: 2px;\\n        position: absolute;\\n        z-index: 2; }\\n        .sweet-alert .sa-icon.sa-success .sa-line.sa-tip {\\n          width: 25px;\\n          left: 14px;\\n          top: 46px;\\n          -webkit-transform: rotate(45deg);\\n          transform: rotate(45deg); }\\n        .sweet-alert .sa-icon.sa-success .sa-line.sa-long {\\n          width: 47px;\\n          right: 8px;\\n          top: 38px;\\n          -webkit-transform: rotate(-45deg);\\n          transform: rotate(-45deg); }\\n    .sweet-alert .sa-icon.sa-custom {\\n      background-size: contain;\\n      border-radius: 0;\\n      border: none;\\n      background-position: center center;\\n      background-repeat: no-repeat; }\\n\\n/*\\n * Animations\\n */\\n@-webkit-keyframes showSweetAlert {\\n  0% {\\n    transform: scale(0.7);\\n    -webkit-transform: scale(0.7); }\\n  45% {\\n    transform: scale(1.05);\\n    -webkit-transform: scale(1.05); }\\n  80% {\\n    transform: scale(0.95);\\n    -webkit-transform: scale(0.95); }\\n  100% {\\n    transform: scale(1);\\n    -webkit-transform: scale(1); } }\\n\\n@keyframes showSweetAlert {\\n  0% {\\n    transform: scale(0.7);\\n    -webkit-transform: scale(0.7); }\\n  45% {\\n    transform: scale(1.05);\\n    -webkit-transform: scale(1.05); }\\n  80% {\\n    transform: scale(0.95);\\n    -webkit-transform: scale(0.95); }\\n  100% {\\n    transform: scale(1);\\n    -webkit-transform: scale(1); } }\\n\\n@-webkit-keyframes hideSweetAlert {\\n  0% {\\n    transform: scale(1);\\n    -webkit-transform: scale(1); }\\n  100% {\\n    transform: scale(0.5);\\n    -webkit-transform: scale(0.5); } }\\n\\n@keyframes hideSweetAlert {\\n  0% {\\n    transform: scale(1);\\n    -webkit-transform: scale(1); }\\n  100% {\\n    transform: scale(0.5);\\n    -webkit-transform: scale(0.5); } }\\n\\n@-webkit-keyframes slideFromTop {\\n  0% {\\n    top: 0; }\\n  100% {\\n    top: 50%; } }\\n\\n@keyframes slideFromTop {\\n  0% {\\n    top: 0; }\\n  100% {\\n    top: 50%; } }\\n\\n@-webkit-keyframes slideToTop {\\n  0% {\\n    top: 50%; }\\n  100% {\\n    top: 0; } }\\n\\n@keyframes slideToTop {\\n  0% {\\n    top: 50%; }\\n  100% {\\n    top: 0; } }\\n\\n@-webkit-keyframes slideFromBottom {\\n  0% {\\n    top: 70%; }\\n  100% {\\n    top: 50%; } }\\n\\n@keyframes slideFromBottom {\\n  0% {\\n    top: 70%; }\\n  100% {\\n    top: 50%; } }\\n\\n@-webkit-keyframes slideToBottom {\\n  0% {\\n    top: 50%; }\\n  100% {\\n    top: 70%; } }\\n\\n@keyframes slideToBottom {\\n  0% {\\n    top: 50%; }\\n  100% {\\n    top: 70%; } }\\n\\n.showSweetAlert[data-animation=pop] {\\n  -webkit-animation: showSweetAlert 0.3s;\\n  animation: showSweetAlert 0.3s; }\\n\\n.showSweetAlert[data-animation=none] {\\n  -webkit-animation: none;\\n  animation: none; }\\n\\n.showSweetAlert[data-animation=slide-from-top] {\\n  -webkit-animation: slideFromTop 0.3s;\\n  animation: slideFromTop 0.3s; }\\n\\n.showSweetAlert[data-animation=slide-from-bottom] {\\n  -webkit-animation: slideFromBottom 0.3s;\\n  animation: slideFromBottom 0.3s; }\\n\\n.hideSweetAlert[data-animation=pop] {\\n  -webkit-animation: hideSweetAlert 0.2s;\\n  animation: hideSweetAlert 0.2s; }\\n\\n.hideSweetAlert[data-animation=none] {\\n  -webkit-animation: none;\\n  animation: none; }\\n\\n.hideSweetAlert[data-animation=slide-from-top] {\\n  -webkit-animation: slideToTop 0.4s;\\n  animation: slideToTop 0.4s; }\\n\\n.hideSweetAlert[data-animation=slide-from-bottom] {\\n  -webkit-animation: slideToBottom 0.3s;\\n  animation: slideToBottom 0.3s; }\\n\\n@-webkit-keyframes animateSuccessTip {\\n  0% {\\n    width: 0;\\n    left: 1px;\\n    top: 19px; }\\n  54% {\\n    width: 0;\\n    left: 1px;\\n    top: 19px; }\\n  70% {\\n    width: 50px;\\n    left: -8px;\\n    top: 37px; }\\n  84% {\\n    width: 17px;\\n    left: 21px;\\n    top: 48px; }\\n  100% {\\n    width: 25px;\\n    left: 14px;\\n    top: 45px; } }\\n\\n@keyframes animateSuccessTip {\\n  0% {\\n    width: 0;\\n    left: 1px;\\n    top: 19px; }\\n  54% {\\n    width: 0;\\n    left: 1px;\\n    top: 19px; }\\n  70% {\\n    width: 50px;\\n    left: -8px;\\n    top: 37px; }\\n  84% {\\n    width: 17px;\\n    left: 21px;\\n    top: 48px; }\\n  100% {\\n    width: 25px;\\n    left: 14px;\\n    top: 45px; } }\\n\\n@-webkit-keyframes animateSuccessLong {\\n  0% {\\n    width: 0;\\n    right: 46px;\\n    top: 54px; }\\n  65% {\\n    width: 0;\\n    right: 46px;\\n    top: 54px; }\\n  84% {\\n    width: 55px;\\n    right: 0;\\n    top: 35px; }\\n  100% {\\n    width: 47px;\\n    right: 8px;\\n    top: 38px; } }\\n\\n@keyframes animateSuccessLong {\\n  0% {\\n    width: 0;\\n    right: 46px;\\n    top: 54px; }\\n  65% {\\n    width: 0;\\n    right: 46px;\\n    top: 54px; }\\n  84% {\\n    width: 55px;\\n    right: 0;\\n    top: 35px; }\\n  100% {\\n    width: 47px;\\n    right: 8px;\\n    top: 38px; } }\\n\\n@-webkit-keyframes rotatePlaceholder {\\n  0% {\\n    transform: rotate(-45deg);\\n    -webkit-transform: rotate(-45deg); }\\n  5% {\\n    transform: rotate(-45deg);\\n    -webkit-transform: rotate(-45deg); }\\n  12% {\\n    transform: rotate(-405deg);\\n    -webkit-transform: rotate(-405deg); }\\n  100% {\\n    transform: rotate(-405deg);\\n    -webkit-transform: rotate(-405deg); } }\\n\\n@keyframes rotatePlaceholder {\\n  0% {\\n    transform: rotate(-45deg);\\n    -webkit-transform: rotate(-45deg); }\\n  5% {\\n    transform: rotate(-45deg);\\n    -webkit-transform: rotate(-45deg); }\\n  12% {\\n    transform: rotate(-405deg);\\n    -webkit-transform: rotate(-405deg); }\\n  100% {\\n    transform: rotate(-405deg);\\n    -webkit-transform: rotate(-405deg); } }\\n\\n.animateSuccessTip {\\n  -webkit-animation: animateSuccessTip 0.75s;\\n  animation: animateSuccessTip 0.75s; }\\n\\n.animateSuccessLong {\\n  -webkit-animation: animateSuccessLong 0.75s;\\n  animation: animateSuccessLong 0.75s; }\\n\\n.sa-icon.sa-success.animate::after {\\n  -webkit-animation: rotatePlaceholder 4.25s ease-in;\\n  animation: rotatePlaceholder 4.25s ease-in; }\\n\\n@-webkit-keyframes animateErrorIcon {\\n  0% {\\n    transform: rotateX(100deg);\\n    -webkit-transform: rotateX(100deg);\\n    opacity: 0; }\\n  100% {\\n    transform: rotateX(0deg);\\n    -webkit-transform: rotateX(0deg);\\n    opacity: 1; } }\\n\\n@keyframes animateErrorIcon {\\n  0% {\\n    transform: rotateX(100deg);\\n    -webkit-transform: rotateX(100deg);\\n    opacity: 0; }\\n  100% {\\n    transform: rotateX(0deg);\\n    -webkit-transform: rotateX(0deg);\\n    opacity: 1; } }\\n\\n.animateErrorIcon {\\n  -webkit-animation: animateErrorIcon 0.5s;\\n  animation: animateErrorIcon 0.5s; }\\n\\n@-webkit-keyframes animateXMark {\\n  0% {\\n    transform: scale(0.4);\\n    -webkit-transform: scale(0.4);\\n    margin-top: 26px;\\n    opacity: 0; }\\n  50% {\\n    transform: scale(0.4);\\n    -webkit-transform: scale(0.4);\\n    margin-top: 26px;\\n    opacity: 0; }\\n  80% {\\n    transform: scale(1.15);\\n    -webkit-transform: scale(1.15);\\n    margin-top: -6px; }\\n  100% {\\n    transform: scale(1);\\n    -webkit-transform: scale(1);\\n    margin-top: 0;\\n    opacity: 1; } }\\n\\n@keyframes animateXMark {\\n  0% {\\n    transform: scale(0.4);\\n    -webkit-transform: scale(0.4);\\n    margin-top: 26px;\\n    opacity: 0; }\\n  50% {\\n    transform: scale(0.4);\\n    -webkit-transform: scale(0.4);\\n    margin-top: 26px;\\n    opacity: 0; }\\n  80% {\\n    transform: scale(1.15);\\n    -webkit-transform: scale(1.15);\\n    margin-top: -6px; }\\n  100% {\\n    transform: scale(1);\\n    -webkit-transform: scale(1);\\n    margin-top: 0;\\n    opacity: 1; } }\\n\\n.animateXMark {\\n  -webkit-animation: animateXMark 0.5s;\\n  animation: animateXMark 0.5s; }\\n\\n@-webkit-keyframes pulseWarning {\\n  0% {\\n    border-color: #F8D486; }\\n  100% {\\n    border-color: #F8BB86; } }\\n\\n@keyframes pulseWarning {\\n  0% {\\n    border-color: #F8D486; }\\n  100% {\\n    border-color: #F8BB86; } }\\n\\n.pulseWarning {\\n  -webkit-animation: pulseWarning 0.75s infinite alternate;\\n  animation: pulseWarning 0.75s infinite alternate; }\\n\\n@-webkit-keyframes pulseWarningIns {\\n  0% {\\n    background-color: #F8D486; }\\n  100% {\\n    background-color: #F8BB86; } }\\n\\n@keyframes pulseWarningIns {\\n  0% {\\n    background-color: #F8D486; }\\n  100% {\\n    background-color: #F8BB86; } }\\n\\n.pulseWarningIns {\\n  -webkit-animation: pulseWarningIns 0.75s infinite alternate;\\n  animation: pulseWarningIns 0.75s infinite alternate; }\\n\\n@-webkit-keyframes rotate-loading {\\n  0% {\\n    transform: rotate(0deg); }\\n  100% {\\n    transform: rotate(360deg); } }\\n\\n@keyframes rotate-loading {\\n  0% {\\n    transform: rotate(0deg); }\\n  100% {\\n    transform: rotate(360deg); } }\\n\\n/* Internet Explorer 9 has some special quirks that are fixed here */\\n/* The icons are not animated. */\\n/* This file is automatically merged into sweet-alert.min.js through Gulp */\\n/* Error icon */\\n.sweet-alert .sa-icon.sa-error .sa-line.sa-left {\\n  -ms-transform: rotate(45deg) \\\\9; }\\n\\n.sweet-alert .sa-icon.sa-error .sa-line.sa-right {\\n  -ms-transform: rotate(-45deg) \\\\9; }\\n\\n/* Success icon */\\n.sweet-alert .sa-icon.sa-success {\\n  border-color: transparent\\\\9; }\\n\\n.sweet-alert .sa-icon.sa-success .sa-line.sa-tip {\\n  -ms-transform: rotate(45deg) \\\\9; }\\n\\n.sweet-alert .sa-icon.sa-success .sa-line.sa-long {\\n  -ms-transform: rotate(-45deg) \\\\9; }\\n\\n/*!\\n * Load Awesome v1.1.0 (http://github.danielcardoso.net/load-awesome/)\\n * Copyright 2015 Daniel Cardoso <@DanielCardoso>\\n * Licensed under MIT\\n */\\n.la-ball-fall,\\n.la-ball-fall > div {\\n  position: relative;\\n  -webkit-box-sizing: border-box;\\n  -moz-box-sizing: border-box;\\n  box-sizing: border-box; }\\n\\n.la-ball-fall {\\n  display: block;\\n  font-size: 0;\\n  color: #fff; }\\n\\n.la-ball-fall.la-dark {\\n  color: #333; }\\n\\n.la-ball-fall > div {\\n  display: inline-block;\\n  float: none;\\n  background-color: currentColor;\\n  border: 0 solid currentColor; }\\n\\n.la-ball-fall {\\n  width: 54px;\\n  height: 18px; }\\n\\n.la-ball-fall > div {\\n  width: 10px;\\n  height: 10px;\\n  margin: 4px;\\n  border-radius: 100%;\\n  opacity: 0;\\n  -webkit-animation: ball-fall 1s ease-in-out infinite;\\n  -moz-animation: ball-fall 1s ease-in-out infinite;\\n  -o-animation: ball-fall 1s ease-in-out infinite;\\n  animation: ball-fall 1s ease-in-out infinite; }\\n\\n.la-ball-fall > div:nth-child(1) {\\n  -webkit-animation-delay: -200ms;\\n  -moz-animation-delay: -200ms;\\n  -o-animation-delay: -200ms;\\n  animation-delay: -200ms; }\\n\\n.la-ball-fall > div:nth-child(2) {\\n  -webkit-animation-delay: -100ms;\\n  -moz-animation-delay: -100ms;\\n  -o-animation-delay: -100ms;\\n  animation-delay: -100ms; }\\n\\n.la-ball-fall > div:nth-child(3) {\\n  -webkit-animation-delay: 0ms;\\n  -moz-animation-delay: 0ms;\\n  -o-animation-delay: 0ms;\\n  animation-delay: 0ms; }\\n\\n.la-ball-fall.la-sm {\\n  width: 26px;\\n  height: 8px; }\\n\\n.la-ball-fall.la-sm > div {\\n  width: 4px;\\n  height: 4px;\\n  margin: 2px; }\\n\\n.la-ball-fall.la-2x {\\n  width: 108px;\\n  height: 36px; }\\n\\n.la-ball-fall.la-2x > div {\\n  width: 20px;\\n  height: 20px;\\n  margin: 8px; }\\n\\n.la-ball-fall.la-3x {\\n  width: 162px;\\n  height: 54px; }\\n\\n.la-ball-fall.la-3x > div {\\n  width: 30px;\\n  height: 30px;\\n  margin: 12px; }\\n\\n/*\\n * Animation\\n */\\n@-webkit-keyframes ball-fall {\\n  0% {\\n    opacity: 0;\\n    -webkit-transform: translateY(-145%);\\n    transform: translateY(-145%); }\\n  10% {\\n    opacity: .5; }\\n  20% {\\n    opacity: 1;\\n    -webkit-transform: translateY(0);\\n    transform: translateY(0); }\\n  80% {\\n    opacity: 1;\\n    -webkit-transform: translateY(0);\\n    transform: translateY(0); }\\n  90% {\\n    opacity: .5; }\\n  100% {\\n    opacity: 0;\\n    -webkit-transform: translateY(145%);\\n    transform: translateY(145%); } }\\n\\n@-moz-keyframes ball-fall {\\n  0% {\\n    opacity: 0;\\n    -moz-transform: translateY(-145%);\\n    transform: translateY(-145%); }\\n  10% {\\n    opacity: .5; }\\n  20% {\\n    opacity: 1;\\n    -moz-transform: translateY(0);\\n    transform: translateY(0); }\\n  80% {\\n    opacity: 1;\\n    -moz-transform: translateY(0);\\n    transform: translateY(0); }\\n  90% {\\n    opacity: .5; }\\n  100% {\\n    opacity: 0;\\n    -moz-transform: translateY(145%);\\n    transform: translateY(145%); } }\\n\\n@-o-keyframes ball-fall {\\n  0% {\\n    opacity: 0;\\n    -o-transform: translateY(-145%);\\n    transform: translateY(-145%); }\\n  10% {\\n    opacity: .5; }\\n  20% {\\n    opacity: 1;\\n    -o-transform: translateY(0);\\n    transform: translateY(0); }\\n  80% {\\n    opacity: 1;\\n    -o-transform: translateY(0);\\n    transform: translateY(0); }\\n  90% {\\n    opacity: .5; }\\n  100% {\\n    opacity: 0;\\n    -o-transform: translateY(145%);\\n    transform: translateY(145%); } }\\n\\n@keyframes ball-fall {\\n  0% {\\n    opacity: 0;\\n    -webkit-transform: translateY(-145%);\\n    -moz-transform: translateY(-145%);\\n    -o-transform: translateY(-145%);\\n    transform: translateY(-145%); }\\n  10% {\\n    opacity: .5; }\\n  20% {\\n    opacity: 1;\\n    -webkit-transform: translateY(0);\\n    -moz-transform: translateY(0);\\n    -o-transform: translateY(0);\\n    transform: translateY(0); }\\n  80% {\\n    opacity: 1;\\n    -webkit-transform: translateY(0);\\n    -moz-transform: translateY(0);\\n    -o-transform: translateY(0);\\n    transform: translateY(0); }\\n  90% {\\n    opacity: .5; }\\n  100% {\\n    opacity: 0;\\n    -webkit-transform: translateY(145%);\\n    -moz-transform: translateY(145%);\\n    -o-transform: translateY(145%);\\n    transform: translateY(145%); } }\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.notifications-button {\\n      .select-kit-body {\\n        min-width: 550px;\\n        max-width: 550px;\\n      }\\n\\n      .select-kit-row {\\n        .icons {\\n          -ms-flex-item-align: start;\\n          align-self: flex-start;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    width: 300px;\\n    background: $secondary;\\n    border-radius: 0;\\n\\n    .select-kit-body {\\n      width: 100%;\\n    }\\n\\n    .select-kit-row {\\n      margin: 5px;\\n      min-height: 1px;\\n      padding: 5px;\\n      border-radius: 0;\\n    }\\n\\n    .select-kit-filter {\\n      border: 0;\\n      flex: 1 0 0px;\\n      margin: 1px;\\n    }\\n\\n    .multi-select-header {\\n      background: $secondary;\\n      border: 1px solid $primary-medium;\\n\\n      &.is-focused {\\n        box-shadow: shadow(\\"focus\\");\\n        border-radius: 0;\\n      }\\n    }\\n\\n    &.is-disabled {\\n      .multi-select-header {\\n        background: $primary-low;\\n        border-color: $primary-low-mid;\\n        color: $primary-medium;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n\\n    &.is-highlighted {\\n      .multi-select-header {\\n        border-radius: 0;\\n        border-bottom: 1px solid transparent;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded {\\n      .select-kit-wrapper {\\n        display: block;\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n        border-radius: 0;\\n      }\\n\\n      .multi-select-header {\\n        border-radius: 0;\\n        box-shadow: none;\\n      }\\n\\n      .select-kit-body {\\n        border-radius: 0;\\n      }\\n    }\\n\\n    .choices {\\n      margin: 0 2px;\\n      box-sizing: border-box;\\n      display: flex;\\n      justify-content: flex-start;\\n      flex-wrap: wrap;\\n      width: 100%;\\n\\n      .choice {\\n        display: inline-flex;\\n        box-sizing: border-box;\\n        align-items: center;\\n        justify-content: space-between;\\n        flex-wrap: wrap;\\n        flex-direction: row;\\n        margin: 1px 0px 2px 2px;\\n      }\\n\\n      .filter {\\n        align-items: center;\\n        justify-content: flex-start;\\n        white-space: nowrap;\\n        min-width: 50px;\\n        padding: 0;\\n        outline: none;\\n        flex: 1 0 0px;\\n\\n        .filter-input,\\n        .filter-input:focus {\\n          border: none;\\n          background: none;\\n          display: inline-block;\\n          width: 100%;\\n          outline: none;\\n          min-width: auto;\\n          padding: 0;\\n          margin: 0;\\n          outline: 0;\\n          border: 0;\\n          box-shadow: none;\\n          border-radius: 0;\\n          min-height: unset; // overrides input defaults\\n        }\\n      }\\n\\n      .selected-color {\\n        .selected-color-wrapper {\\n          display: flex;\\n          flex: 1 0 0px;\\n          flex-direction: column;\\n        }\\n\\n        .color-preview {\\n          height: 5px;\\n          margin: 0 2px 2px 0px;\\n          display: flex;\\n          width: 100%;\\n        }\\n      }\\n\\n      .selected-category {\\n        .body {\\n          display: flex;\\n          align-items: center;\\n        }\\n        .badge-wrapper {\\n          &.bullet {\\n            margin-right: 2.5px;\\n          }\\n\\n          padding: 2px 4px;\\n          line-height: $line-height-medium;\\n          display: flex;\\n          flex: 1 0 0px;\\n          align-items: center;\\n        }\\n      }\\n\\n      .selected-name {\\n        .footer {\\n          display: flex;\\n          width: 100%;\\n        }\\n\\n        .body {\\n          background: $primary-low;\\n          padding: 4px;\\n        }\\n\\n        .d-icon {\\n          color: $primary-low-mid;\\n          vertical-align: middle;\\n        }\\n        &:hover .d-icon:last-child {\\n          color: $danger;\\n        }\\n\\n        &.is-highlighted {\\n          box-shadow: 0 0 2px $danger, 0 1px 0 rgba(0, 0, 0, 0.05);\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.composer-actions {\\n      margin: 0;\\n      .select-kit-header {\\n        background: none;\\n        outline: none;\\n        padding: 0;\\n        margin-right: 5px;\\n        border: 1px solid $primary-low;\\n        min-height: unset;\\n        .d-icon {\\n          padding: 5px 6px;\\n        }\\n        &:hover,\\n        &:focus {\\n          background: $primary-low;\\n        }\\n      }\\n      .d-icon {\\n        margin: 0 !important;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  .category-row {\\n    .category-status {\\n      display: flex;\\n      flex-wrap: wrap;\\n      align-items: center;\\n      max-width: 100%;\\n      -webkit-box-flex: 0;\\n      -ms-flex: 1 1 auto;\\n      flex: 1 1 auto;\\n    }\\n    .category-desc {\\n      max-width: 100%; // needed for IE11\\n    }\\n    .category-status {\\n      .badge-wrapper.box {\\n        margin-bottom: 1px;\\n        margin-top: 1px;\\n      }\\n    }\\n    .topic-count {\\n      white-space: nowrap;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.toolbar-popup-menu-options {\\n      .select-kit-body {\\n        box-shadow: none;\\n        padding: 10px 10px 5px 10px;\\n        width: 230px;\\n      }\\n\\n      .select-kit-row {\\n        margin-bottom: 5px;\\n        padding: 6px 3px;\\n        background: $primary-low;\\n        transition: all 0.25s;\\n\\n        .name,\\n        .d-icon {\\n          font-size: $font-0;\\n          font-weight: normal;\\n          color: $primary;\\n        }\\n\\n        .d-icon {\\n          opacity: 0.7;\\n        }\\n\\n        &.is-highlighted {\\n          background: $primary-medium;\\n\\n          .name,\\n          .d-icon {\\n            color: $secondary;\\n          }\\n        }\\n\\n        &:hover {\\n          background: $primary-medium;\\n          color: $secondary;\\n        }\\n\\n        &.is-selected {\\n          color: $primary;\\n          background: $primary-low;\\n        }\\n\\n        &.is-selected.is-highlighted {\\n          background: $primary-medium;\\n          color: $primary;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-chooser {\\n      width: 300px;\\n\\n      .select-kit-row {\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        -webkit-box-align: flex-start;\\n        -ms-flex-align: flex-start;\\n        align-items: flex-start;\\n        -webkit-box-orient: vertical;\\n        -webkit-box-direction: normal;\\n        -ms-flex-direction: column;\\n        flex-direction: column;\\n\\n        &.none {\\n          .topic-count {\\n            display: none;\\n          }\\n        }\\n\\n        .topic-count {\\n          font-size: $font-down-2;\\n          color: $primary;\\n          white-space: nowrap;\\n        }\\n\\n        .category-status {\\n          color: $primary;\\n          line-height: $line-height-large;\\n          -webkit-box-flex: 0;\\n          -ms-flex: 1 1 auto;\\n          flex: 1 1 auto;\\n        }\\n\\n        .category-desc {\\n          -webkit-box-flex: 0;\\n          -ms-flex: 1 1 auto;\\n          flex: 1 1 auto;\\n          color: #919191;\\n          font-size: $font-down-1;\\n          line-height: $line-height-large;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    min-width: auto;\\n    .select-kit-body {\\n      width: 100%;\\n      min-width: 150px;\\n      border-radius: 0;\\n      box-shadow: shadow(\\"dropdown\\");\\n    }\\n\\n    .select-kit-row {\\n      margin: 0;\\n      min-height: 1px;\\n      padding: 6px 10px;\\n      &.no-content {\\n        font-weight: normal;\\n      }\\n    }\\n\\n    .select-kit-filter {\\n      padding: $input-padding;\\n      border-top: 1px solid $primary-low;\\n      border-bottom: 1px solid $primary-low;\\n\\n      .spinner {\\n        flex: 0 0 auto;\\n      }\\n\\n      .filter-input,\\n      .filter-input:focus,\\n      .filter-input:active {\\n        flex: 0 0 auto;\\n        width: 90%; // Firefox quirk\\n      }\\n\\n      .filter-icon {\\n        padding-left: 5px;\\n      }\\n    }\\n\\n    .select-kit-header {\\n      background: $secondary;\\n      border: 1px solid $primary-medium;\\n      padding: 0 5px 0 10px;\\n      font-weight: 500;\\n      font-size: $font-0;\\n\\n      &.is-focused {\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    .select-kit-collection {\\n      display: flex;\\n      flex-direction: column;\\n      padding: 0;\\n      min-width: 100px;\\n      max-height: 200px;\\n      max-width: 32em;\\n\\n      .collection-header {\\n        a {\\n          white-space: nowrap;\\n          color: $primary;\\n          line-height: $line-height-medium;\\n          font-weight: bold;\\n          display: block;\\n          padding: 6px 10px;\\n          color: $tertiary;\\n\\n          &:hover {\\n            text-decoration: underline;\\n          }\\n        }\\n      }\\n    }\\n\\n    &.is-disabled {\\n      .select-kit-header {\\n        background: $primary-low;\\n        border-color: $primary-low-mid;\\n        color: $primary-medium;\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n      }\\n    }\\n\\n    &.is-highlighted {\\n      .select-kit-header {\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded {\\n      .select-kit-wrapper {\\n        display: block;\\n        border: 1px solid $tertiary;\\n        box-shadow: shadow(\\"focus\\");\\n      }\\n    }\\n\\n    &.is-expanded.is-above {\\n      .select-kit-header {\\n        border-radius: 0 0 3px 3px;\\n      }\\n\\n      .select-kit-body {\\n        border-radius: 3px 3px 0 0;\\n      }\\n    }\\n\\n    &.tag-drop,\\n    &.group-dropdown {\\n      min-width: auto;\\n      .select-kit-row {\\n        font-weight: bold;\\n      }\\n    }\\n\\n    &.is-expanded .select-kit-wrapper,\\n    .select-kit-wrapper {\\n      display: none;\\n    }\\n  }\\n}\\n",\n\t\t"#topic-footer-buttons {\\n  .pinned-button {\\n    min-width: auto;\\n    margin: 1em 0;\\n\\n    &.is-hidden {\\n      display: none;\\n    }\\n\\n    .btn {\\n      margin: 0;\\n    }\\n\\n    .reason {\\n      display: inline;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.pinned-button {\\n  margin: 0;\\n  min-width: auto;\\n\\n  .pinned-options {\\n    display: inline;\\n\\n    .select-kit-body {\\n      min-width: unset;\\n      max-width: unset;\\n      width: 550px;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.categories-admin-dropdown {\\n    .select-kit-body {\\n      min-width: auto;\\n      width: 250px;\\n    }\\n\\n    .select-kit-header .d-icon {\\n      justify-content: space-between;\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.tag-drop {\\n      .select-kit-row {\\n        &[data-value=\\"all-tags\\"],\\n        &[data-value=\\"no-tags\\"] {\\n          color: $tertiary;\\n          font-weight: 700;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combobox {\\n    &.future-date-input-selector {\\n      min-width: 50%;\\n\\n      .future-date-input-selector-header {\\n        .btn-clear {\\n          line-height: $line-height-large;\\n        }\\n      }\\n\\n      .future-date-input-selector-datetime {\\n        color: lighten($primary, 40%);\\n        margin-left: 5px;\\n        white-space: nowrap;\\n      }\\n\\n      .future-date-input-selector-icons {\\n        margin-right: 5px;\\n      }\\n\\n      .btn-clear {\\n        padding: 0;\\n        margin-left: 5px;\\n      }\\n\\n      .future-date-input-selector-row {\\n        .future-date-input-selector-icons {\\n          color: lighten($primary, 40%);\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.mini-tag-chooser {\\n      margin-bottom: 5px;\\n      margin-left: 5px;\\n\\n      &.is-expanded {\\n        .select-kit-header {\\n          border: 1px solid $tertiary;\\n        }\\n      }\\n\\n      &.no-tags {\\n        .select-kit-header .selected-name {\\n          color: $primary-medium;\\n        }\\n      }\\n\\n      .select-kit-body {\\n        max-width: 32em;\\n      }\\n\\n      .select-kit-header {\\n        height: 30px;\\n\\n        .selected-name {\\n          margin: 0;\\n          border: 0;\\n          padding: 0;\\n          outline: none;\\n          box-shadow: none;\\n          cursor: pointer;\\n          max-width: 250px;\\n        }\\n      }\\n\\n      .select-kit-filter {\\n        border-top: 0;\\n      }\\n\\n      &.is-expanded .select-kit-wrapper,\\n      .select-kit-wrapper {\\n        display: none;\\n      }\\n\\n      .select-kit-row {\\n        &.is-selected {\\n          background: none;\\n        }\\n\\n        &.is-highlighted.is-selected {\\n          background: $tertiary-low;\\n        }\\n\\n        .discourse-tag-count {\\n          margin-left: 5px;\\n        }\\n      }\\n\\n      .select-kit-collection {\\n        .collection-header {\\n          max-height: 125px;\\n          overflow: hidden;\\n          flex: 1 0 auto;\\n          border-bottom: 1px solid $primary-low;\\n\\n          .selected-tags {\\n            display: flex;\\n            padding: 4px;\\n            flex-wrap: wrap;\\n            margin: -2px;\\n            overflow: hidden;\\n          }\\n\\n          .selected-tag {\\n            background: $primary-low;\\n            padding: 2px 4px;\\n            margin: 2px;\\n            border: 0;\\n\\n            &.is-highlighted {\\n              box-shadow: 0 0 2px $danger, 0 1px 0 rgba(0, 0, 0, 0.05);\\n            }\\n\\n            .d-icon {\\n              color: $primary-low-mid;\\n              vertical-align: middle;\\n            }\\n\\n            &:hover .d-icon {\\n              color: $danger;\\n            }\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".mobile-view .select-kit.is-expanded {\\n  z-index: z(\\"dropdown\\");\\n}\\n\\n.select-kit {\\n  border: none;\\n  min-width: 220px;\\n  box-sizing: border-box;\\n  display: inline-block;\\n  flex-direction: column;\\n  position: relative;\\n  vertical-align: middle;\\n  user-select: none;\\n\\n  &.is-hidden {\\n    display: none;\\n  }\\n\\n  &.is-disabled {\\n    pointer-events: none;\\n  }\\n\\n  &.is-expanded {\\n    z-index: z(\\"dropdown\\");\\n\\n    .select-kit-body {\\n      display: flex;\\n      flex-direction: column;\\n      left: 0;\\n      position: absolute;\\n      top: 0;\\n    }\\n\\n    .select-kit-collection {\\n      border-radius: inherit;\\n    }\\n  }\\n\\n  &.is-above {\\n    .select-kit-body {\\n      bottom: 0;\\n      top: auto;\\n    }\\n\\n    .select-kit-filter {\\n      border-top: 0;\\n    }\\n\\n    .select-kit-wrapper {\\n      bottom: 0;\\n      top: auto;\\n    }\\n  }\\n\\n  .d-icon {\\n    color: $primary-high;\\n  }\\n\\n  .select-kit-header {\\n    box-sizing: border-box;\\n    overflow: hidden;\\n    transition: all 0.25s;\\n    cursor: pointer;\\n    outline: none;\\n    display: flex;\\n    align-items: center;\\n    flex-direction: row;\\n    min-height: 30px;\\n\\n    .selected-name {\\n      text-align: left;\\n      flex: 0 1 auto;\\n      padding: 1px 0;\\n      @include ellipsis;\\n      color: inherit;\\n    }\\n\\n    .btn-clear {\\n      padding: 0 10px;\\n      border: 0;\\n      background: none;\\n    }\\n\\n    .icon {\\n      margin-right: 5px;\\n    }\\n\\n    .caret-icon {\\n      margin-left: auto;\\n      padding-left: 5px;\\n      pointer-events: none;\\n    }\\n\\n    .d-button-label {\\n      display: flex;\\n      align-items: center;\\n      white-space: nowrap;\\n      overflow: hidden;\\n      line-height: $line-height-medium;\\n\\n      .d-icon {\\n        margin-left: 5px;\\n        margin-right: 0;\\n      }\\n    }\\n  }\\n\\n  .select-kit-body {\\n    display: none;\\n    background: $secondary;\\n    box-sizing: border-box;\\n  }\\n\\n  .select-kit-row {\\n    cursor: pointer;\\n    line-height: $line-height-medium;\\n    outline: none;\\n    display: flex;\\n    flex: 1 0 auto;\\n    box-sizing: border-box;\\n    align-items: center;\\n    justify-content: flex-start;\\n\\n    .name {\\n      margin: 0;\\n      overflow: hidden;\\n      text-overflow: ellipsis;\\n      flex: 1 1 0%;\\n    }\\n\\n    .d-icon {\\n      margin-right: 5px;\\n    }\\n\\n    &.is-highlighted {\\n      background: $tertiary-low;\\n    }\\n\\n    &.is-selected {\\n      background: $highlight-medium;\\n    }\\n\\n    &.is-selected.is-highlighted {\\n      background: $tertiary-low;\\n    }\\n\\n    .discourse-tag,\\n    .discourse-tag-count {\\n      color: $primary;\\n    }\\n  }\\n\\n  .select-kit-collection {\\n    background: $secondary;\\n    overflow-x: hidden;\\n    overflow-y: auto;\\n    border-radius: inherit;\\n    -webkit-overflow-scrolling: touch;\\n    margin: 0;\\n    padding: 0;\\n    max-height: 200px;\\n\\n    .validation-message {\\n      white-space: nowrap;\\n      color: $danger;\\n      flex: 1 0 auto;\\n      margin: 5px;\\n      padding: 0 2px;\\n    }\\n\\n    .select-kit-collection {\\n      padding: 0;\\n      margin: 0;\\n\\n      &:hover .select-kit-row.is-highlighted:hover {\\n        background: $tertiary-low;\\n      }\\n    }\\n\\n    &::-webkit-scrollbar {\\n      -webkit-appearance: none;\\n      width: 10px;\\n    }\\n\\n    &::-webkit-scrollbar-thumb {\\n      cursor: pointer;\\n      border-radius: 5px;\\n      background: dark-light-choose($primary-medium, $secondary-medium);\\n    }\\n\\n    &::-webkit-scrollbar-track {\\n      background: transparent;\\n      border-radius: 0;\\n    }\\n  }\\n\\n  .select-kit-filter {\\n    display: flex;\\n    box-sizing: border-box;\\n    align-items: center;\\n    justify-content: space-between;\\n\\n    .filter-input,\\n    .filter-input:focus,\\n    .filter-input:active {\\n      background: none;\\n      margin: 0;\\n      padding: 0;\\n      flex: 1 0 0px;\\n      outline: none;\\n      border: 0;\\n      border-radius: 0;\\n      box-shadow: none;\\n      width: 100%;\\n    }\\n\\n    &.is-hidden {\\n      width: 1px;\\n      height: 1px;\\n      border: 0;\\n      margin: -1px;\\n      padding: 0;\\n      overflow: hidden;\\n      position: fixed;\\n      outline: 0;\\n      left: 0;\\n      top: 0;\\n    }\\n  }\\n\\n  .select-kit-wrapper {\\n    position: absolute;\\n    top: 0;\\n    left: 0;\\n    background: none;\\n    display: none;\\n    box-sizing: border-box;\\n    pointer-events: none;\\n  }\\n}\\n",\n\t\t"#topic-footer-buttons {\\n  .topic-notifications-button {\\n    min-width: auto;\\n    margin: 1em 0;\\n\\n    .btn {\\n      margin: 0;\\n    }\\n\\n    .reason {\\n      display: inline;\\n      line-height: $line-height-medium;\\n    }\\n  }\\n}\\n\\n.topic-notifications-button .topic-notifications-options {\\n  min-width: auto;\\n}\\n\\n.topic-notifications-button {\\n  margin: 0;\\n\\n  .topic-notifications-options {\\n    display: inline-flex;\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.category-drop {\\n      .badge-wrapper {\\n        font-size: $font-0;\\n        font-weight: normal;\\n\\n        &.box {\\n          margin: 0;\\n\\n          span.badge-category {\\n            margin: 0;\\n          }\\n        }\\n      }\\n\\n      &.bar.has-selection .category-drop-header {\\n        padding: 0 5px 0 10px;\\n      }\\n\\n      &.box.has-selection .category-drop-header {\\n        .badge-wrapper.box {\\n          padding: 0;\\n        }\\n      }\\n\\n      .category-drop-header {\\n        &.is-none .selected-name {\\n          color: inherit;\\n        }\\n\\n        .badge-wrapper {\\n          margin-right: 0;\\n        }\\n      }\\n\\n      .select-kit-body {\\n        min-width: 300px;\\n      }\\n\\n      .select-kit-row {\\n        flex-direction: column;\\n        align-items: flex-start;\\n\\n        &[data-value=\\"all-categories\\"],\\n        &[data-value=\\"no-categories\\"] {\\n          color: $tertiary;\\n          font-weight: 700;\\n        }\\n\\n        .category-desc {\\n          font-weight: normal;\\n          color: $primary-medium;\\n          margin-top: 2px;\\n        }\\n\\n        .category-status {\\n          align-items: center;\\n        }\\n\\n        .topic-count {\\n          margin-left: 5px;\\n          font-weight: normal;\\n        }\\n\\n        .badge-wrapper {\\n          margin: 0;\\n          font-weight: bold;\\n\\n          &:nth-child(2) {\\n            margin-left: 10px;\\n          }\\n        }\\n      }\\n\\n      &.is-expanded .select-kit-wrapper,\\n      .select-kit-wrapper {\\n        display: none;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.combo-box {\\n    &.color-palettes {\\n      .color-palettes-row {\\n        .palettes {\\n          display: flex;\\n          align-items: center;\\n          margin-left: 0.5em;\\n          flex: 1 0 0;\\n\\n          .palette {\\n            height: 15px;\\n            width: 15px;\\n            display: block;\\n          }\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    &.tag-chooser {\\n      .select-kit-row {\\n        display: flex;\\n        align-items: center;\\n\\n        .discourse-tag-count {\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit,\\n.select-kit-box {\\n  &.category-selector {\\n    .selected-name {\\n      .badge-wrapper {\\n        &.box {\\n          margin: 2px;\\n          padding: 0;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.user-notifications-dropdown {\\n      text-align: left;\\n\\n      .select-kit-body {\\n        width: 485px;\\n        max-width: 485px;\\n      }\\n\\n      .select-kit-header {\\n        justify-content: center;\\n      }\\n\\n      .dropdown-select-box-header {\\n        align-items: center;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    &.period-chooser {\\n      display: inline-flex;\\n      position: relative;\\n\\n      .select-kit-collection {\\n        padding: 5px;\\n      }\\n\\n      .period-chooser-header {\\n        background: none;\\n        border: none;\\n        justify-content: flex-start;\\n        width: auto;\\n        height: auto;\\n        padding: 0;\\n\\n        h2.selected-name {\\n          color: $secondary;\\n          display: inline-block;\\n          box-sizing: border-box;\\n\\n          .date-section {\\n            color: $primary;\\n            margin-right: 5px;\\n          }\\n\\n          .top-date-string {\\n            font-size: $font-down-1;\\n            color: dark-light-choose($primary-medium, $secondary-high);\\n            font-weight: normal;\\n            text-transform: uppercase;\\n          }\\n        }\\n\\n        .d-icon {\\n          color: $primary;\\n          opacity: 1;\\n          margin: 5px 0 10px 5px;\\n          font-size: $font-up-3;\\n        }\\n\\n        &.is-focused,\\n        &:hover {\\n          background: none;\\n          border: none;\\n          outline: none;\\n        }\\n      }\\n\\n      .period-chooser-row {\\n        font-weight: bold;\\n        padding: 5px;\\n        font-size: $font-up-1;\\n        align-items: center;\\n        display: flex;\\n\\n        .period-title {\\n          flex: 1 0 0px;\\n        }\\n\\n        .date-section {\\n          color: $primary;\\n        }\\n\\n        .top-date-string {\\n          font-weight: normal;\\n          font-size: $font-down-1;\\n          color: dark-light-choose($primary-medium, $secondary-high);\\n          text-transform: uppercase;\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.dropdown-select-box {\\n    display: -webkit-inline-box;\\n    display: -ms-inline-flexbox;\\n    display: inline-flex;\\n    min-width: auto;\\n    border: none;\\n\\n    &.is-expanded {\\n      .select-kit-collection,\\n      .select-kit-body {\\n        border-radius: 0;\\n      }\\n    }\\n\\n    .select-kit-body {\\n      border: 1px solid $primary-low;\\n      background-clip: padding-box;\\n      box-shadow: shadow(\\"dropdown\\");\\n      max-width: 300px;\\n      width: 300px;\\n    }\\n\\n    .select-kit-row {\\n      margin: 0;\\n      padding: 10px 5px;\\n\\n      .icons {\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        flex: 0 0 auto;\\n        -webkit-box-align: start;\\n        -ms-flex-align: start;\\n        align-items: flex-start;\\n        -webkit-box-pack: center;\\n        -ms-flex-pack: center;\\n        justify-content: center;\\n        -ms-flex-item-align: start;\\n        align-self: flex-start;\\n        margin-right: 0.357em;\\n        margin-top: 2px;\\n        width: 30px;\\n\\n        .d-icon {\\n          font-size: $font-up-2;\\n          -ms-flex-item-align: center;\\n          align-self: center;\\n          margin-right: 0;\\n          opacity: 1;\\n        }\\n      }\\n\\n      .texts {\\n        width: 0; //IE11\\n        line-height: $line-height-large;\\n        -webkit-box-flex: 1;\\n        -ms-flex: 1;\\n        flex: 1 1 0%;\\n        -webkit-box-align: start;\\n        -ms-flex-align: start;\\n        align-items: flex-start;\\n        display: -webkit-box;\\n        display: -ms-flexbox;\\n        display: flex;\\n        -ms-flex-wrap: wrap;\\n        flex-wrap: wrap;\\n        -webkit-box-orient: vertical;\\n        -webkit-box-direction: normal;\\n        -ms-flex-direction: column;\\n        flex-direction: column;\\n\\n        .name {\\n          -webkit-box-flex: 1;\\n          -ms-flex: 1;\\n          flex: 1 1 auto;\\n          font-weight: bold;\\n          font-size: $font-0;\\n          color: $primary;\\n          padding: 0;\\n          @include ellipsis;\\n          max-width: 100%;\\n        }\\n\\n        .desc {\\n          -webkit-box-flex: 1;\\n          -ms-flex: 1;\\n          flex: 1 1 auto;\\n          width: 100%; //IE11\\n          font-size: $font-down-1;\\n          font-weight: normal;\\n          color: $primary-medium;\\n          white-space: normal;\\n        }\\n      }\\n    }\\n\\n    .select-kit-collection {\\n      padding: 0;\\n      max-height: 100%;\\n    }\\n\\n    .dropdown-select-box-header {\\n      -webkit-box-sizing: border-box;\\n      -moz-box-sizing: border-box;\\n      box-sizing: border-box;\\n      border: 0;\\n\\n      -webkit-box-align: center;\\n      -ms-flex-align: center;\\n      align-items: center;\\n      -webkit-box-pack: justify;\\n      -ms-flex-pack: justify;\\n      justify-content: space-between;\\n      -webkit-box-orient: horizontal;\\n      -webkit-box-direction: normal;\\n      -ms-flex-direction: row;\\n      flex-direction: row;\\n      display: -webkit-inline-box;\\n      display: -ms-inline-flexbox;\\n      display: inline-flex;\\n\\n      .d-icon + .d-icon {\\n        margin-left: 5px;\\n      }\\n\\n      &.is-focused {\\n        outline-style: auto;\\n        outline-color: $tertiary;\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".select-kit {\\n  &.multi-select {\\n    &.list-setting {\\n      .select-kit-row.create {\\n        .square {\\n          width: 12px;\\n          height: 12px;\\n          margin-left: 5px;\\n        }\\n      }\\n    }\\n  }\\n}\\n",\n\t\t".svg-icon,\\n.svg-icon-title {\\n  height: 1em;\\n  width: 1em;\\n  line-height: 1;\\n  display: inline-flex;\\n  position: relative;\\n  vertical-align: -0.125em;\\n  fill: currentColor;\\n  flex-shrink: 0; // Prevent the icon from shrinking if it's in a flexbox\\n  overflow: visible;\\n}\\n\\n// Fixes Edge bug with SVG elements not triggering click event\\nsvg > use {\\n  pointer-events: none;\\n}\\n\\n// Stacked Icons\\n// Usage:\\n// <span class=\\"fa-stack\\">\\n//    <svg class=\\"... d-icon-icon1 fa-stack-1x ...\\" xmlns=\\"http://www.w3.org/2000/svg\\"><use xlink:href=\\"#icon1\\"></use></svg>\\n//    <svg class=\\"... d-icon-icon2 fa-stack-2x ...\\" xmlns=\\"http://www.w3.org/2000/svg\\"><use xlink:href=\\"#icon2\\"></use></svg>\\n// </span>\\n// -------------------------\\n\\n.fa-stack {\\n  position: relative;\\n  width: 1em;\\n  height: 1em;\\n  display: inline-block;\\n\\n  .fa-stack-1x,\\n  .fa-stack-2x {\\n    left: 0px;\\n    top: 0px;\\n    position: absolute;\\n  }\\n\\n  .fa-stack-2x {\\n    height: 1.5em;\\n    width: 1.5em;\\n    margin-top: -0.25em;\\n    margin-left: -0.25em;\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "ACAA,4DAA4D,AAQ5D,AAAA,IAAI,AAAC,CACH,WAAW,CAAE,UAAU,CACvB,oBAAoB,CAAE,IAAI,CAC1B,wBAAwB,CAAE,IAAI,CAC/B,AAMD,AAAA,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAWD,AAAA,OAAO,CACP,KAAK,CACL,OAAO,CACP,UAAU,CACV,MAAM,CACN,MAAM,CACN,MAAM,CACN,MAAM,CACN,IAAI,CACJ,GAAG,CACH,OAAO,CACP,OAAO,AAAC,CACN,OAAO,CAAE,KAAK,CACf,AAOD,AAAA,KAAK,CACL,MAAM,CACN,QAAQ,CACR,KAAK,AAAC,CACJ,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,QAAQ,CACzB,AAOD,AAAA,KAAK,AAAA,IAAK,EAAA,AAAA,QAAC,AAAA,EAAW,CACpB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACV,CAOD,AAAA,AAAA,MAAC,AAAA,EACD,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AASD,AAAA,CAAC,AAAC,CACA,UAAU,CAAE,WAAW,CACxB,AAMD,AAAA,CAAC,AAAA,OAAO,CACR,CAAC,AAAA,MAAM,AAAC,CACN,OAAO,CAAE,CAAC,CACX,AASA,AAAA,IAAI,CAAA,AAAA,KAAC,AAAA,EAAQ,OAAO,CAAA,AAAA,KAAC,AAAA,CAAO,CAC3B,eAAe,CAAE,SAAS,CAC1B,qBAAqB,CAAE,MAAM,CAC9B,AAMD,AAAA,CAAC,CACD,MAAM,AAAC,CACL,WAAW,CAAE,IAAI,CAClB,AAMD,AAAA,GAAG,AAAC,CACF,UAAU,CAAE,MAAM,CACnB,AAOD,AAAA,EAAE,AAAC,CACD,SAAS,CAAE,QAAQ,CACnB,MAAM,CAAE,QAAQ,CACjB,AAMD,AAAA,IAAI,AAAC,CACH,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AAMD,AAAA,KAAK,AAAC,CACJ,SAAS,CAAE,GAAG,CACf,AAMD,AAAA,GAAG,CACH,GAAG,AAAC,CACF,SAAS,CAAE,GAAG,CACd,WAAW,CAAE,CAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACzB,AAED,AAAA,GAAG,AAAC,CACF,GAAG,CAAE,MAAM,CACZ,AAED,AAAA,GAAG,AAAC,CACF,MAAM,CAAE,OAAO,CAChB,AASD,AAAA,GAAG,AAAC,CACF,MAAM,CAAE,CAAC,CACV,AASD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,QAAQ,CACjB,AAMD,AAAA,EAAE,AAAC,CACD,eAAe,CAAE,WAAW,CAC5B,UAAU,CAAE,WAAW,CACvB,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,GAAG,AAAC,CACF,QAAQ,CAAE,IAAI,CACf,AAMD,AAAA,IAAI,CACJ,GAAG,CACH,GAAG,CACH,IAAI,AAAC,CACH,WAAW,CAAE,oBAAoB,CACjC,SAAS,CAAE,GAAG,CACf,AAiBD,AAAA,MAAM,CACN,KAAK,CACL,QAAQ,CACR,MAAM,CACN,QAAQ,AAAC,CACP,KAAK,CAAE,OAAO,CACd,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,MAAM,AAAC,CACL,QAAQ,CAAE,OAAO,CAClB,AASD,AAAA,MAAM,CACN,MAAM,AAAC,CACL,cAAc,CAAE,IAAI,CACrB,AAUD,AAAA,MAAM,CACN,IAAI,CAAC,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,EACX,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,EACN,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,kBAAkB,CAAE,MAAM,CAC1B,MAAM,CAAE,OAAO,CAChB,AAMD,AAAA,MAAM,CAAA,AAAA,QAAC,AAAA,EACP,IAAI,CAAC,KAAK,CAAA,AAAA,QAAC,AAAA,CAAU,CACnB,MAAM,CAAE,OAAO,CAChB,AAMD,AAAA,MAAM,AAAA,kBAAkB,CACxB,KAAK,AAAA,kBAAkB,AAAC,CACtB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAOD,AAAA,KAAK,AAAC,CACJ,WAAW,CAAE,MAAM,CACpB,AAUD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,UAAU,AAAf,EACN,KAAK,CAAA,AAAA,IAAC,CAAK,OAAO,AAAZ,CAAc,CAClB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,CAAC,CACX,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,CAC/C,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,AAAC,CAC9C,MAAM,CAAE,IAAI,CACb,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAe,CACnB,kBAAkB,CAAE,SAAS,CAC7B,eAAe,CAAE,WAAW,CAC5B,kBAAkB,CAAE,WAAW,CAC/B,UAAU,CAAE,WAAW,CACxB,AAQD,AAAA,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,8BAA8B,CAClD,KAAK,CAAA,AAAA,IAAC,CAAK,QAAQ,AAAb,CAAc,2BAA2B,AAAC,CAC9C,kBAAkB,CAAE,IAAI,CACzB,AAMD,AAAA,QAAQ,AAAC,CACP,MAAM,CAAE,iBAAiB,CACzB,MAAM,CAAE,KAAK,CACb,OAAO,CAAE,qBAAqB,CAC/B,AAOD,AAAA,MAAM,AAAC,CACL,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACX,AAMD,AAAA,QAAQ,AAAC,CACP,QAAQ,CAAE,IAAI,CACf,AAOD,AAAA,QAAQ,AAAC,CACP,WAAW,CAAE,IAAI,CAClB,AASD,AAAA,KAAK,AAAC,CACJ,eAAe,CAAE,QAAQ,CACzB,cAAc,CAAE,CAAC,CAClB,AAED,AAAA,EAAE,CACF,EAAE,AAAC,CACD,OAAO,CAAE,CAAC,CACX,ACjaD,AAAA,IAAI,AAAA,eAAe,AAAC,CAClB,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAAG,AAErB,AAAA,cAAc,AAAC,CACb,gBAAgB,CAAE,KAAK,CAEvB,UAAU,CAAE,qDAAqD,CAEjE,gBAAgB,CAAE,eAAkB,CACpC,QAAQ,CAAE,KAAK,CACf,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,KAAK,CAAG,AAEnB,AAAA,YAAY,AAAC,CACX,gBAAgB,CAAE,KAAK,CACvB,WAAW,CAAE,2DAA2D,CACxE,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,KAAK,CACf,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,WAAW,CAAE,MAAM,CACnB,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,MAAM,CAChB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,KAAK,CAAG,AACjB,MAAM,CAAC,GAAG,MAAM,SAAS,EAAE,KAAK,EAC9B,AAAA,YAAY,AAAC,CACX,KAAK,CAAE,IAAI,CACX,WAAW,CAAE,CAAC,CACd,YAAY,CAAE,CAAC,CACf,IAAI,CAAE,IAAI,CACV,KAAK,CAAE,IAAI,CAAG,CAClB,AAAA,YAAY,CAAC,EAAE,AAAC,CACd,KAAK,CAAE,OAAO,CACd,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,GAAG,CAChB,cAAc,CAAE,IAAI,CACpB,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,MAAM,CACd,OAAO,CAAE,CAAC,CACV,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CAAG,AACnB,AAAA,YAAY,CAAC,CAAC,AAAC,CACb,KAAK,CAAE,OAAO,CACd,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,GAAG,CAChB,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,OAAO,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,WAAW,CAAE,MAAM,CAAG,AACxB,AAAA,YAAY,CAAC,QAAQ,AAAC,CACpB,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,QAAQ,CAAG,AACvB,AAAA,YAAY,CAAC,mBAAmB,AAAC,CAC/B,gBAAgB,CAAE,OAAO,CACzB,WAAW,CAAE,KAAK,CAClB,YAAY,CAAE,KAAK,CACnB,QAAQ,CAAE,MAAM,CAChB,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,CAAC,CACb,iBAAiB,CAAE,+BAA+B,CAClD,UAAU,CAAE,+BAA+B,CAAG,AAC9C,AAAA,YAAY,CAAC,mBAAmB,AAAA,KAAK,AAAC,CACpC,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,KAAK,CACjB,iBAAiB,CAAE,6BAA6B,CAChD,UAAU,CAAE,+BAA+B,CAAG,AAChD,AAAA,YAAY,CAAC,mBAAmB,CAAC,KAAK,AAAC,CACrC,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,GAAG,CAClB,gBAAgB,CAAE,OAAO,CACzB,KAAK,CAAE,KAAK,CACZ,WAAW,CAAE,IAAI,CACjB,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,GAAG,CAAG,AACtB,AAAA,YAAY,CAAC,mBAAmB,CAAC,CAAC,AAAC,CACjC,OAAO,CAAE,YAAY,CAAG,AAC5B,AAAA,YAAY,CAAC,eAAe,AAAC,CAC3B,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,UAAU,CAC7B,SAAS,CAAE,UAAU,CACrB,wBAAwB,CAAE,OAAO,CACjC,gBAAgB,CAAE,OAAO,CACzB,kBAAkB,CAAE,QAAQ,CAC5B,UAAU,CAAE,QAAQ,CAAG,AACvB,AAAA,YAAY,CAAC,eAAe,AAAA,QAAQ,CAAE,YAAY,CAAC,eAAe,AAAA,OAAO,AAAC,CACxE,OAAO,CAAE,EAAE,CACX,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CACX,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,GAAG,CACR,UAAU,CAAE,IAAI,CAChB,IAAI,CAAE,GAAG,CACT,WAAW,CAAE,IAAI,CAAG,AACtB,AAAA,YAAY,CAAC,eAAe,AAAA,QAAQ,AAAC,CACnC,iBAAiB,CAAE,cAAc,CACjC,SAAS,CAAE,cAAc,CAAG,AAC9B,AAAA,YAAY,CAAC,eAAe,AAAA,OAAO,AAAC,CAClC,iBAAiB,CAAE,aAAa,CAChC,SAAS,CAAE,aAAa,CAAG,AAC7B,AAAA,YAAY,CAAC,eAAe,AAAA,KAAK,AAAC,CAChC,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,QAAQ,CAC3B,SAAS,CAAE,QAAQ,CAAG,AAC1B,AAAA,YAAY,CAAC,KAAK,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CACtB,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,iBAAiB,CACzB,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,IAAI,CACf,UAAU,CAAE,KAAK,CAAC,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,gBAAmB,CAC/C,OAAO,CAAE,MAAM,CACf,OAAO,CAAE,IAAI,CACb,kBAAkB,CAAE,QAAQ,CAC5B,UAAU,CAAE,QAAQ,CAAG,AACvB,AAAA,YAAY,CAAC,KAAK,AAAA,MAAM,AAAC,CACvB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,eAAe,CAC3B,MAAM,CAAE,iBAAiB,CAAG,AAC5B,AAAA,YAAY,CAAC,KAAK,AAAA,MAAM,AAAA,kBAAkB,AAAC,CACzC,UAAU,CAAE,uBAAuB,CACnC,OAAO,CAAE,GAAG,CAAG,AACjB,AAAA,YAAY,CAAC,KAAK,AAAA,MAAM,AAAA,sBAAsB,AAAC,CAC7C,UAAU,CAAE,uBAAuB,CACnC,OAAO,CAAE,GAAG,CAAG,AACjB,AAAA,YAAY,CAAC,KAAK,AAAA,MAAM,AAAA,2BAA2B,AAAC,CAClD,UAAU,CAAE,uBAAuB,CACnC,OAAO,CAAE,GAAG,CAAG,AACnB,AAAA,YAAY,CAAC,KAAK,AAAA,kBAAkB,AAAC,CACnC,KAAK,CAAE,OAAO,CAAG,AACnB,AAAA,YAAY,CAAC,KAAK,AAAA,sBAAsB,AAAC,CACvC,KAAK,CAAE,OAAO,CAAG,AACnB,AAAA,YAAY,CAAC,KAAK,AAAA,2BAA2B,AAAC,CAC5C,KAAK,CAAE,OAAO,CAAG,AACrB,AAAA,YAAY,AAAA,WAAW,CAAC,KAAK,AAAC,CAC5B,OAAO,CAAE,KAAK,CAAG,AACnB,AAAA,YAAY,CAAC,4BAA4B,AAAC,CACxC,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAAG,AACvB,AAAA,YAAY,CAAC,aAAa,AAAC,CACzB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,WAAW,CAAE,KAAK,CAClB,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,MAAM,CAAG,AACvB,AAAA,YAAY,CAAC,MAAM,AAAC,CAClB,gBAAgB,CAAE,OAAO,CACzB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,GAAG,CAChB,qBAAqB,CAAE,GAAG,CAC1B,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,SAAS,CAClB,MAAM,CAAE,cAAc,CACtB,MAAM,CAAE,OAAO,CAAG,AAClB,AAAA,YAAY,CAAC,MAAM,AAAA,MAAM,AAAC,CACxB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,qBAAwB,CAAE,KAAK,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,gBAAmB,CAAG,AACtF,AAAA,YAAY,CAAC,MAAM,AAAA,MAAM,AAAC,CACxB,gBAAgB,CAAE,OAAO,CAAG,AAC9B,AAAA,YAAY,CAAC,MAAM,AAAA,OAAO,AAAC,CACzB,gBAAgB,CAAE,OAAO,CAAG,AAC9B,AAAA,YAAY,CAAC,MAAM,AAAA,OAAO,AAAC,CACzB,gBAAgB,CAAE,OAAO,CAAG,AAC5B,AAAA,YAAY,CAAC,MAAM,AAAA,OAAO,AAAA,MAAM,AAAC,CAC/B,gBAAgB,CAAE,OAAO,CAAG,AAC9B,AAAA,YAAY,CAAC,MAAM,AAAA,OAAO,AAAA,OAAO,AAAC,CAChC,gBAAgB,CAAE,OAAO,CAAG,AAC9B,AAAA,YAAY,CAAC,MAAM,AAAA,OAAO,AAAA,MAAM,AAAC,CAC/B,UAAU,CAAE,qBAAwB,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG,CAAE,qBAAwB,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,KAAK,CAAC,UAAU,CAAG,AACxG,AAAA,YAAY,CAAC,MAAM,CAAA,AAAA,QAAC,AAAA,CAAU,CAC5B,OAAO,CAAE,EAAE,CACX,MAAM,CAAE,OAAO,CAAG,AACpB,AAAA,YAAY,CAAC,MAAM,AAAA,QAAQ,CAAA,AAAA,QAAC,AAAA,CAAU,CACpC,KAAK,CAAE,WAAW,CAAG,AACrB,AAAA,YAAY,CAAC,MAAM,AAAA,QAAQ,CAAA,AAAA,QAAC,AAAA,IAAY,aAAa,AAAC,CACpD,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,OAAO,CACnB,gBAAgB,CAAE,EAAE,CAAG,AAC3B,AAAA,YAAY,CAAC,MAAM,AAAA,kBAAkB,AAAC,CACpC,MAAM,CAAE,CAAC,CAAG,AAChB,AAAA,YAAY,CAAA,AAAA,sBAAC,CAAD,KAAC,AAAA,EAA8B,MAAM,AAAC,CAChD,UAAU,CAAE,eAAe,CAAG,AAChC,AAAA,YAAY,CAAA,AAAA,uBAAC,CAAD,KAAC,AAAA,EAA8B,AAAA,sBAAC,CAAD,KAAC,AAAA,CAA8B,CACxE,cAAc,CAAE,IAAI,CAAG,AACzB,AAAA,YAAY,CAAC,QAAQ,AAAC,CACpB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,cAAc,CACtB,qBAAqB,CAAE,IAAI,CAC3B,aAAa,CAAE,GAAG,CAClB,MAAM,CAAE,SAAS,CACjB,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,WAAW,CAAG,AAC1B,AAAA,YAAY,CAAC,QAAQ,AAAA,SAAS,AAAC,CAC7B,YAAY,CAAE,OAAO,CAAG,AACxB,AAAA,YAAY,CAAC,QAAQ,AAAA,SAAS,CAAC,UAAU,AAAC,CACxC,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,KAAK,CAAG,AACnB,AAAA,YAAY,CAAC,QAAQ,AAAA,SAAS,CAAC,QAAQ,AAAC,CACtC,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,OAAO,CACzB,OAAO,CAAE,KAAK,CACd,GAAG,CAAE,IAAI,CACT,aAAa,CAAE,GAAG,CAAG,AACrB,AAAA,YAAY,CAAC,QAAQ,AAAA,SAAS,CAAC,QAAQ,AAAA,QAAQ,AAAC,CAC9C,iBAAiB,CAAE,aAAa,CAChC,SAAS,CAAE,aAAa,CACxB,IAAI,CAAE,IAAI,CAAG,AACf,AAAA,YAAY,CAAC,QAAQ,AAAA,SAAS,CAAC,QAAQ,AAAA,SAAS,AAAC,CAC/C,iBAAiB,CAAE,cAAc,CACjC,SAAS,CAAE,cAAc,CACzB,KAAK,CAAE,IAAI,CAAG,AACpB,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,AAAC,CAC/B,YAAY,CAAE,OAAO,CAAG,AACxB,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,CAAC,QAAQ,AAAC,CACxC,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,IAAI,CACT,qBAAqB,CAAE,GAAG,CAC1B,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,gBAAgB,CAAE,OAAO,CAAG,AAC9B,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,CAAC,OAAO,AAAC,CACvC,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,qBAAqB,CAAE,GAAG,CAC1B,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,IAAI,CAAE,GAAG,CACT,MAAM,CAAE,IAAI,CACZ,gBAAgB,CAAE,OAAO,CAAG,AAChC,AAAA,YAAY,CAAC,QAAQ,AAAA,QAAQ,AAAC,CAC5B,YAAY,CAAE,OAAO,CAAG,AACxB,AAAA,YAAY,CAAC,QAAQ,AAAA,QAAQ,AAAA,QAAQ,AAAC,CACpC,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,IAAI,CACZ,IAAI,CAAE,GAAG,CACT,MAAM,CAAE,IAAI,CACZ,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,gBAAgB,CAAE,OAAO,CAAG,AAC9B,AAAA,YAAY,CAAC,QAAQ,AAAA,QAAQ,AAAA,OAAO,AAAC,CACnC,OAAO,CAAE,EAAE,CACX,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,IAAI,CACjB,GAAG,CAAE,IAAI,CACT,gBAAgB,CAAE,OAAO,CAAG,AAChC,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,AAAC,CAC/B,YAAY,CAAE,OAAO,CAAG,AACxB,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,AAAA,QAAQ,CAAE,YAAY,CAAC,QAAQ,AAAA,WAAW,AAAA,OAAO,AAAC,CAChF,OAAO,CAAE,EAAE,CACX,qBAAqB,CAAE,IAAI,CAC3B,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,KAAK,CACjB,iBAAiB,CAAE,aAAa,CAChC,SAAS,CAAE,aAAa,CAAG,AAC7B,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,AAAA,QAAQ,AAAC,CACvC,qBAAqB,CAAE,eAAe,CACtC,aAAa,CAAE,eAAe,CAC9B,GAAG,CAAE,IAAI,CACT,IAAI,CAAE,KAAK,CACX,iBAAiB,CAAE,cAAc,CACjC,SAAS,CAAE,cAAc,CACzB,wBAAwB,CAAE,SAAS,CACnC,gBAAgB,CAAE,SAAS,CAAG,AAChC,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,AAAA,OAAO,AAAC,CACtC,qBAAqB,CAAE,eAAe,CACtC,aAAa,CAAE,eAAe,CAC9B,GAAG,CAAE,KAAK,CACV,IAAI,CAAE,IAAI,CACV,iBAAiB,CAAE,cAAc,CACjC,SAAS,CAAE,cAAc,CACzB,wBAAwB,CAAE,MAAM,CAChC,gBAAgB,CAAE,MAAM,CAAG,AAC7B,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,CAAC,eAAe,AAAC,CAC/C,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,CAAC,qBAAwB,CAC1C,qBAAqB,CAAE,IAAI,CAC3B,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,WAAW,CACvB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,IAAI,CACV,GAAG,CAAE,IAAI,CACT,OAAO,CAAE,CAAC,CAAG,AACf,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,CAAC,OAAO,AAAC,CACvC,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,IAAI,CACZ,gBAAgB,CAAE,KAAK,CACvB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,IAAI,CACV,GAAG,CAAE,GAAG,CACR,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,cAAc,CACjC,SAAS,CAAE,cAAc,CAAG,AAC9B,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,CAAC,QAAQ,AAAC,CACxC,MAAM,CAAE,GAAG,CACX,gBAAgB,CAAE,OAAO,CACzB,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,GAAG,CAClB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,CAAC,CAAG,AACb,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,CAAC,QAAQ,AAAA,OAAO,AAAC,CAC/C,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,GAAG,CAAE,IAAI,CACT,iBAAiB,CAAE,aAAa,CAChC,SAAS,CAAE,aAAa,CAAG,AAC7B,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,CAAC,QAAQ,AAAA,QAAQ,AAAC,CAChD,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,IAAI,CACT,iBAAiB,CAAE,cAAc,CACjC,SAAS,CAAE,cAAc,CAAG,AAClC,AAAA,YAAY,CAAC,QAAQ,AAAA,UAAU,AAAC,CAC9B,eAAe,CAAE,OAAO,CACxB,aAAa,CAAE,CAAC,CAChB,MAAM,CAAE,IAAI,CACZ,mBAAmB,CAAE,aAAa,CAClC,iBAAiB,CAAE,SAAS,CAAG,AAKrC,kBAAkB,CAAlB,cAAkB,CAChB,EAAE,CACA,SAAS,CAAE,UAAU,CACrB,iBAAiB,CAAE,UAAU,CAC/B,GAAG,CACD,SAAS,CAAE,WAAW,CACtB,iBAAiB,CAAE,WAAW,CAChC,GAAG,CACD,SAAS,CAAE,WAAW,CACtB,iBAAiB,CAAE,WAAW,CAChC,IAAI,CACF,SAAS,CAAE,QAAQ,CACnB,iBAAiB,CAAE,QAAQ,EAE/B,UAAU,CAAV,cAAU,CACR,EAAE,CACA,SAAS,CAAE,UAAU,CACrB,iBAAiB,CAAE,UAAU,CAC/B,GAAG,CACD,SAAS,CAAE,WAAW,CACtB,iBAAiB,CAAE,WAAW,CAChC,GAAG,CACD,SAAS,CAAE,WAAW,CACtB,iBAAiB,CAAE,WAAW,CAChC,IAAI,CACF,SAAS,CAAE,QAAQ,CACnB,iBAAiB,CAAE,QAAQ,EAE/B,kBAAkB,CAAlB,cAAkB,CAChB,EAAE,CACA,SAAS,CAAE,QAAQ,CACnB,iBAAiB,CAAE,QAAQ,CAC7B,IAAI,CACF,SAAS,CAAE,UAAU,CACrB,iBAAiB,CAAE,UAAU,EAEjC,UAAU,CAAV,cAAU,CACR,EAAE,CACA,SAAS,CAAE,QAAQ,CACnB,iBAAiB,CAAE,QAAQ,CAC7B,IAAI,CACF,SAAS,CAAE,UAAU,CACrB,iBAAiB,CAAE,UAAU,EAEjC,kBAAkB,CAAlB,YAAkB,CAChB,EAAE,CACA,GAAG,CAAE,CAAC,CACR,IAAI,CACF,GAAG,CAAE,GAAG,EAEZ,UAAU,CAAV,YAAU,CACR,EAAE,CACA,GAAG,CAAE,CAAC,CACR,IAAI,CACF,GAAG,CAAE,GAAG,EAEZ,kBAAkB,CAAlB,UAAkB,CAChB,EAAE,CACA,GAAG,CAAE,GAAG,CACV,IAAI,CACF,GAAG,CAAE,CAAC,EAEV,UAAU,CAAV,UAAU,CACR,EAAE,CACA,GAAG,CAAE,GAAG,CACV,IAAI,CACF,GAAG,CAAE,CAAC,EAEV,kBAAkB,CAAlB,eAAkB,CAChB,EAAE,CACA,GAAG,CAAE,GAAG,CACV,IAAI,CACF,GAAG,CAAE,GAAG,EAEZ,UAAU,CAAV,eAAU,CACR,EAAE,CACA,GAAG,CAAE,GAAG,CACV,IAAI,CACF,GAAG,CAAE,GAAG,EAEZ,kBAAkB,CAAlB,aAAkB,CAChB,EAAE,CACA,GAAG,CAAE,GAAG,CACV,IAAI,CACF,GAAG,CAAE,GAAG,EAEZ,UAAU,CAAV,aAAU,CACR,EAAE,CACA,GAAG,CAAE,GAAG,CACV,IAAI,CACF,GAAG,CAAE,GAAG,EAEZ,AAAA,eAAe,CAAA,AAAA,cAAC,CAAD,GAAC,AAAA,CAAoB,CAClC,iBAAiB,CAAE,mBAAmB,CACtC,SAAS,CAAE,mBAAmB,CAAG,AAEnC,AAAA,eAAe,CAAA,AAAA,cAAC,CAAD,IAAC,AAAA,CAAqB,CACnC,iBAAiB,CAAE,IAAI,CACvB,SAAS,CAAE,IAAI,CAAG,AAEpB,AAAA,eAAe,CAAA,AAAA,cAAC,CAAD,cAAC,AAAA,CAA+B,CAC7C,iBAAiB,CAAE,iBAAiB,CACpC,SAAS,CAAE,iBAAiB,CAAG,AAEjC,AAAA,eAAe,CAAA,AAAA,cAAC,CAAD,iBAAC,AAAA,CAAkC,CAChD,iBAAiB,CAAE,oBAAoB,CACvC,SAAS,CAAE,oBAAoB,CAAG,AAEpC,AAAA,eAAe,CAAA,AAAA,cAAC,CAAD,GAAC,AAAA,CAAoB,CAClC,iBAAiB,CAAE,mBAAmB,CACtC,SAAS,CAAE,mBAAmB,CAAG,AAEnC,AAAA,eAAe,CAAA,AAAA,cAAC,CAAD,IAAC,AAAA,CAAqB,CACnC,iBAAiB,CAAE,IAAI,CACvB,SAAS,CAAE,IAAI,CAAG,AAEpB,AAAA,eAAe,CAAA,AAAA,cAAC,CAAD,cAAC,AAAA,CAA+B,CAC7C,iBAAiB,CAAE,eAAe,CAClC,SAAS,CAAE,eAAe,CAAG,AAE/B,AAAA,eAAe,CAAA,AAAA,cAAC,CAAD,iBAAC,AAAA,CAAkC,CAChD,iBAAiB,CAAE,kBAAkB,CACrC,SAAS,CAAE,kBAAkB,CAAG,AAElC,kBAAkB,CAAlB,iBAAkB,CAChB,EAAE,CACA,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,IAAI,CACX,GAAG,CACD,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,IAAI,CACX,GAAG,CACD,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,GAAG,CAAE,IAAI,CACX,GAAG,CACD,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,GAAG,CAAE,IAAI,CACX,IAAI,CACF,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,GAAG,CAAE,IAAI,EAEb,UAAU,CAAV,iBAAU,CACR,EAAE,CACA,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,IAAI,CACX,GAAG,CACD,KAAK,CAAE,CAAC,CACR,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,IAAI,CACX,GAAG,CACD,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,GAAG,CAAE,IAAI,CACX,GAAG,CACD,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,GAAG,CAAE,IAAI,CACX,IAAI,CACF,KAAK,CAAE,IAAI,CACX,IAAI,CAAE,IAAI,CACV,GAAG,CAAE,IAAI,EAEb,kBAAkB,CAAlB,kBAAkB,CAChB,EAAE,CACA,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,IAAI,CACX,GAAG,CACD,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,IAAI,CACX,GAAG,CACD,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,IAAI,CACX,IAAI,CACF,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,IAAI,EAEb,UAAU,CAAV,kBAAU,CACR,EAAE,CACA,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,IAAI,CACX,GAAG,CACD,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,IAAI,CACX,GAAG,CACD,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,CAAC,CACR,GAAG,CAAE,IAAI,CACX,IAAI,CACF,KAAK,CAAE,IAAI,CACX,KAAK,CAAE,GAAG,CACV,GAAG,CAAE,IAAI,EAEb,kBAAkB,CAAlB,iBAAkB,CAChB,EAAE,CACA,SAAS,CAAE,cAAc,CACzB,iBAAiB,CAAE,cAAc,CACnC,EAAE,CACA,SAAS,CAAE,cAAc,CACzB,iBAAiB,CAAE,cAAc,CACnC,GAAG,CACD,SAAS,CAAE,eAAe,CAC1B,iBAAiB,CAAE,eAAe,CACpC,IAAI,CACF,SAAS,CAAE,eAAe,CAC1B,iBAAiB,CAAE,eAAe,EAEtC,UAAU,CAAV,iBAAU,CACR,EAAE,CACA,SAAS,CAAE,cAAc,CACzB,iBAAiB,CAAE,cAAc,CACnC,EAAE,CACA,SAAS,CAAE,cAAc,CACzB,iBAAiB,CAAE,cAAc,CACnC,GAAG,CACD,SAAS,CAAE,eAAe,CAC1B,iBAAiB,CAAE,eAAe,CACpC,IAAI,CACF,SAAS,CAAE,eAAe,CAC1B,iBAAiB,CAAE,eAAe,EAEtC,AAAA,kBAAkB,AAAC,CACjB,iBAAiB,CAAE,uBAAuB,CAC1C,SAAS,CAAE,uBAAuB,CAAG,AAEvC,AAAA,mBAAmB,AAAC,CAClB,iBAAiB,CAAE,wBAAwB,CAC3C,SAAS,CAAE,wBAAwB,CAAG,AAExC,AAAA,QAAQ,AAAA,WAAW,AAAA,QAAQ,AAAA,OAAO,AAAC,CACjC,iBAAiB,CAAE,+BAA+B,CAClD,SAAS,CAAE,+BAA+B,CAAG,AAE/C,kBAAkB,CAAlB,gBAAkB,CAChB,EAAE,CACA,SAAS,CAAE,eAAe,CAC1B,iBAAiB,CAAE,eAAe,CAClC,OAAO,CAAE,CAAC,CACZ,IAAI,CACF,SAAS,CAAE,aAAa,CACxB,iBAAiB,CAAE,aAAa,CAChC,OAAO,CAAE,CAAC,EAEd,UAAU,CAAV,gBAAU,CACR,EAAE,CACA,SAAS,CAAE,eAAe,CAC1B,iBAAiB,CAAE,eAAe,CAClC,OAAO,CAAE,CAAC,CACZ,IAAI,CACF,SAAS,CAAE,aAAa,CACxB,iBAAiB,CAAE,aAAa,CAChC,OAAO,CAAE,CAAC,EAEd,AAAA,iBAAiB,AAAC,CAChB,iBAAiB,CAAE,qBAAqB,CACxC,SAAS,CAAE,qBAAqB,CAAG,AAErC,kBAAkB,CAAlB,YAAkB,CAChB,EAAE,CACA,SAAS,CAAE,UAAU,CACrB,iBAAiB,CAAE,UAAU,CAC7B,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACZ,GAAG,CACD,SAAS,CAAE,UAAU,CACrB,iBAAiB,CAAE,UAAU,CAC7B,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACZ,GAAG,CACD,SAAS,CAAE,WAAW,CACtB,iBAAiB,CAAE,WAAW,CAC9B,UAAU,CAAE,IAAI,CAClB,IAAI,CACF,SAAS,CAAE,QAAQ,CACnB,iBAAiB,CAAE,QAAQ,CAC3B,UAAU,CAAE,CAAC,CACb,OAAO,CAAE,CAAC,EAEd,UAAU,CAAV,YAAU,CACR,EAAE,CACA,SAAS,CAAE,UAAU,CACrB,iBAAiB,CAAE,UAAU,CAC7B,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACZ,GAAG,CACD,SAAS,CAAE,UAAU,CACrB,iBAAiB,CAAE,UAAU,CAC7B,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACZ,GAAG,CACD,SAAS,CAAE,WAAW,CACtB,iBAAiB,CAAE,WAAW,CAC9B,UAAU,CAAE,IAAI,CAClB,IAAI,CACF,SAAS,CAAE,QAAQ,CACnB,iBAAiB,CAAE,QAAQ,CAC3B,UAAU,CAAE,CAAC,CACb,OAAO,CAAE,CAAC,EAEd,AAAA,aAAa,AAAC,CACZ,iBAAiB,CAAE,iBAAiB,CACpC,SAAS,CAAE,iBAAiB,CAAG,AAEjC,kBAAkB,CAAlB,YAAkB,CAChB,EAAE,CACA,YAAY,CAAE,OAAO,CACvB,IAAI,CACF,YAAY,CAAE,OAAO,EAEzB,UAAU,CAAV,YAAU,CACR,EAAE,CACA,YAAY,CAAE,OAAO,CACvB,IAAI,CACF,YAAY,CAAE,OAAO,EAEzB,AAAA,aAAa,AAAC,CACZ,iBAAiB,CAAE,qCAAqC,CACxD,SAAS,CAAE,qCAAqC,CAAG,AAErD,kBAAkB,CAAlB,eAAkB,CAChB,EAAE,CACA,gBAAgB,CAAE,OAAO,CAC3B,IAAI,CACF,gBAAgB,CAAE,OAAO,EAE7B,UAAU,CAAV,eAAU,CACR,EAAE,CACA,gBAAgB,CAAE,OAAO,CAC3B,IAAI,CACF,gBAAgB,CAAE,OAAO,EAE7B,AAAA,gBAAgB,AAAC,CACf,iBAAiB,CAAE,wCAAwC,CAC3D,SAAS,CAAE,wCAAwC,CAAG,AAExD,kBAAkB,CAAlB,cAAkB,CAChB,EAAE,CACA,SAAS,CAAE,YAAY,CACzB,IAAI,CACF,SAAS,CAAE,cAAc,EAE7B,UAAU,CAAV,cAAU,CACR,EAAE,CACA,SAAS,CAAE,YAAY,CACzB,IAAI,CACF,SAAS,CAAE,cAAc,EAM7B,AAAA,YAAY,CAAC,QAAQ,AAAA,SAAS,CAAC,QAAQ,AAAA,QAAQ,AAAC,CAC9C,aAAa,CAAE,aAAa,CAAC,EAAE,CAAG,AAEpC,AAAA,YAAY,CAAC,QAAQ,AAAA,SAAS,CAAC,QAAQ,AAAA,SAAS,AAAC,CAC/C,aAAa,CAAE,cAAc,CAAC,EAAE,CAAG,AAGrC,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,AAAC,CAC/B,YAAY,CAAE,aAAa,CAAG,AAEhC,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,CAAC,QAAQ,AAAA,OAAO,AAAC,CAC/C,aAAa,CAAE,aAAa,CAAC,EAAE,CAAG,AAEpC,AAAA,YAAY,CAAC,QAAQ,AAAA,WAAW,CAAC,QAAQ,AAAA,QAAQ,AAAC,CAChD,aAAa,CAAE,cAAc,CAAC,EAAE,CAAG,AAErC;;;;GAIG,AACH,AAAA,aAAa,CACb,aAAa,CAAG,GAAG,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CAAG,AAE3B,AAAA,aAAa,AAAC,CACZ,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,CAAC,CACZ,KAAK,CAAE,IAAI,CAAG,AAEhB,AAAA,aAAa,AAAA,QAAQ,AAAC,CACpB,KAAK,CAAE,IAAI,CAAG,AAEhB,AAAA,aAAa,CAAG,GAAG,AAAC,CAClB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,YAAY,CAC9B,MAAM,CAAE,oBAAoB,CAAG,AAEjC,AAAA,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CAAG,AAEjB,AAAA,aAAa,CAAG,GAAG,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,GAAG,CACX,aAAa,CAAE,IAAI,CACnB,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,iCAAiC,CACpD,cAAc,CAAE,iCAAiC,CACjD,YAAY,CAAE,iCAAiC,CAC/C,SAAS,CAAE,iCAAiC,CAAG,AAEjD,AAAA,aAAa,CAAG,GAAG,AAAA,UAAW,CAAA,CAAC,CAAE,CAC/B,uBAAuB,CAAE,MAAM,CAC/B,oBAAoB,CAAE,MAAM,CAC5B,kBAAkB,CAAE,MAAM,CAC1B,eAAe,CAAE,MAAM,CAAG,AAE5B,AAAA,aAAa,CAAG,GAAG,AAAA,UAAW,CAAA,CAAC,CAAE,CAC/B,uBAAuB,CAAE,MAAM,CAC/B,oBAAoB,CAAE,MAAM,CAC5B,kBAAkB,CAAE,MAAM,CAC1B,eAAe,CAAE,MAAM,CAAG,AAE5B,AAAA,aAAa,CAAG,GAAG,AAAA,UAAW,CAAA,CAAC,CAAE,CAC/B,uBAAuB,CAAE,GAAG,CAC5B,oBAAoB,CAAE,GAAG,CACzB,kBAAkB,CAAE,GAAG,CACvB,eAAe,CAAE,GAAG,CAAG,AAEzB,AAAA,aAAa,AAAA,MAAM,AAAC,CAClB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,GAAG,CAAG,AAEhB,AAAA,aAAa,AAAA,MAAM,CAAG,GAAG,AAAC,CACxB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,GAAG,CAAG,AAEhB,AAAA,aAAa,AAAA,MAAM,AAAC,CAClB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CAAG,AAEjB,AAAA,aAAa,AAAA,MAAM,CAAG,GAAG,AAAC,CACxB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,GAAG,CAAG,AAEhB,AAAA,aAAa,AAAA,MAAM,AAAC,CAClB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,IAAI,CAAG,AAEjB,AAAA,aAAa,AAAA,MAAM,CAAG,GAAG,AAAC,CACxB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,IAAI,CAAG,AAKjB,kBAAkB,CAAlB,SAAkB,CAChB,EAAE,CACA,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,iBAAiB,CACpC,SAAS,CAAE,iBAAiB,CAC9B,GAAG,CACD,OAAO,CAAE,EAAE,CACb,GAAG,CACD,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,aAAa,CAChC,SAAS,CAAE,aAAa,CAC1B,GAAG,CACD,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,aAAa,CAChC,SAAS,CAAE,aAAa,CAC1B,GAAG,CACD,OAAO,CAAE,EAAE,CACb,IAAI,CACF,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,gBAAgB,CACnC,SAAS,CAAE,gBAAgB,EAE/B,eAAe,CAAf,SAAe,CACb,EAAE,CACA,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,iBAAiB,CACjC,SAAS,CAAE,iBAAiB,CAC9B,GAAG,CACD,OAAO,CAAE,EAAE,CACb,GAAG,CACD,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,aAAa,CAC7B,SAAS,CAAE,aAAa,CAC1B,GAAG,CACD,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,aAAa,CAC7B,SAAS,CAAE,aAAa,CAC1B,GAAG,CACD,OAAO,CAAE,EAAE,CACb,IAAI,CACF,OAAO,CAAE,CAAC,CACV,cAAc,CAAE,gBAAgB,CAChC,SAAS,CAAE,gBAAgB,EAE/B,aAAa,CAAb,SAAa,CACX,EAAE,CACA,OAAO,CAAE,CAAC,CACV,YAAY,CAAE,iBAAiB,CAC/B,SAAS,CAAE,iBAAiB,CAC9B,GAAG,CACD,OAAO,CAAE,EAAE,CACb,GAAG,CACD,OAAO,CAAE,CAAC,CACV,YAAY,CAAE,aAAa,CAC3B,SAAS,CAAE,aAAa,CAC1B,GAAG,CACD,OAAO,CAAE,CAAC,CACV,YAAY,CAAE,aAAa,CAC3B,SAAS,CAAE,aAAa,CAC1B,GAAG,CACD,OAAO,CAAE,EAAE,CACb,IAAI,CACF,OAAO,CAAE,CAAC,CACV,YAAY,CAAE,gBAAgB,CAC9B,SAAS,CAAE,gBAAgB,EAE/B,UAAU,CAAV,SAAU,CACR,EAAE,CACA,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,iBAAiB,CACpC,cAAc,CAAE,iBAAiB,CACjC,YAAY,CAAE,iBAAiB,CAC/B,SAAS,CAAE,iBAAiB,CAC9B,GAAG,CACD,OAAO,CAAE,EAAE,CACb,GAAG,CACD,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,aAAa,CAChC,cAAc,CAAE,aAAa,CAC7B,YAAY,CAAE,aAAa,CAC3B,SAAS,CAAE,aAAa,CAC1B,GAAG,CACD,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,aAAa,CAChC,cAAc,CAAE,aAAa,CAC7B,YAAY,CAAE,aAAa,CAC3B,SAAS,CAAE,aAAa,CAC1B,GAAG,CACD,OAAO,CAAE,EAAE,CACb,IAAI,CACF,OAAO,CAAE,CAAC,CACV,iBAAiB,CAAE,gBAAgB,CACnC,cAAc,CAAE,gBAAgB,CAChC,YAAY,CAAE,gBAAgB,CAC9B,SAAS,CAAE,gBAAgB,EO/5B/B,AAGM,WAHK,AACR,oBAAoB,AAClB,qBAAqB,CACpB,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CACjB,AANP,AASQ,WATG,AACR,oBAAoB,AAClB,qBAAqB,CAMpB,eAAe,CACb,MAAM,AAAC,CACL,mBAAmB,CAAE,KAAK,CAC1B,UAAU,CAAE,UAAU,CACvB,ACZT,AACE,WADS,AACR,aAAa,AAAC,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,CPFF,IAAO,COGf,aAAa,CAAE,CAAC,CAwKjB,AA5KH,AAMI,WANO,AACR,aAAa,CAKZ,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACZ,AARL,AAUI,WAVO,AACR,aAAa,CASZ,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CACX,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,GAAG,CACZ,aAAa,CAAE,CAAC,CACjB,AAfL,AAiBI,WAjBO,AACR,aAAa,CAgBZ,kBAAkB,AAAC,CACjB,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,OAAO,CACb,MAAM,CAAE,GAAG,CACZ,AArBL,AAuBI,WAvBO,AACR,aAAa,CAsBZ,oBAAoB,AAAC,CACnB,UAAU,CPvBJ,IAAO,COwBb,MAAM,CAAE,GAAG,CAAC,KAAK,CNyKX,OAAoD,CMnK3D,AA/BL,AA2BM,WA3BK,AACR,aAAa,CAsBZ,oBAAoB,AAIjB,WAAW,AAAC,CACX,UAAU,CNmHP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CD7IT,IAAO,CO2BV,aAAa,CAAE,CAAC,CACjB,AA9BP,AAkCM,WAlCK,AACR,aAAa,AAgCX,YAAY,CACX,oBAAoB,AAAC,CACnB,UAAU,CN+JN,OAAoD,CM9JxD,YAAY,CN8JR,OAAoD,CM7JxD,KAAK,CN6JD,OAAoD,CMzJzD,AAzCP,AAsCQ,WAtCG,AACR,aAAa,AAgCX,YAAY,CACX,oBAAoB,CAIlB,OAAO,AAAC,CACN,KAAK,CN2JH,OAAoD,CM1JvD,AAxCT,AA6CM,WA7CK,AACR,aAAa,AA2CX,eAAe,CACd,oBAAoB,AAAC,CACnB,aAAa,CAAE,CAAC,CAChB,aAAa,CAAE,qBAAqB,CACpC,UAAU,CN+FP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CD7IT,IAAO,CO+CX,AAjDP,AAqDM,WArDK,AACR,aAAa,AAmDX,YAAY,CACX,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CPrDd,IAAO,COsDV,UAAU,CNuFP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CD7IT,IAAO,COuDV,aAAa,CAAE,CAAC,CACjB,AA1DP,AA4DM,WA5DK,AACR,aAAa,AAmDX,YAAY,CAQX,oBAAoB,AAAC,CACnB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CACjB,AA/DP,AAiEM,WAjEK,AACR,aAAa,AAmDX,YAAY,CAaX,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAnEP,AAsEI,WAtEO,AACR,aAAa,CAqEZ,QAAQ,AAAC,CACP,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,UAAU,CAC3B,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CA+FZ,AA3KL,AA8EM,WA9EK,AACR,aAAa,CAqEZ,QAAQ,CAQN,OAAO,AAAC,CACN,OAAO,CAAE,WAAW,CACpB,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CAC9B,SAAS,CAAE,IAAI,CACf,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,eAAe,CACxB,AAtFP,AAwFM,WAxFK,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,AAAC,CACN,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAC3B,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CAkBd,AAjHP,AAiGQ,WAjGG,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,CASL,aAAa,CAjGrB,WAAW,AACR,aAAa,CAqEZ,QAAQ,CAkBN,OAAO,CAUL,aAAa,AAAA,MAAM,AAAC,CAClB,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,KAAK,CAClB,AAhHT,AAoHQ,WApHG,AACR,aAAa,CAqEZ,QAAQ,CA6CN,eAAe,CACb,uBAAuB,AAAC,CACtB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,cAAc,CAAE,MAAM,CACvB,AAxHT,AA0HQ,WA1HG,AACR,aAAa,CAqEZ,QAAQ,CA6CN,eAAe,CAOb,cAAc,AAAC,CACb,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,aAAa,CACrB,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AA/HT,AAmIQ,WAnIG,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAChB,KAAK,AAAC,CACJ,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AAtIT,AAuIQ,WAvIG,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAKhB,cAAc,AAAC,CAKb,OAAO,CAAE,OAAO,CAChB,WAAW,CN7EA,GAAG,CM8Ed,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,OAAO,CACb,WAAW,CAAE,MAAM,CACpB,AAjJT,AAwIU,WAxIC,AACR,aAAa,CAqEZ,QAAQ,CA4DN,kBAAkB,CAKhB,cAAc,AACX,OAAO,AAAC,CACP,YAAY,CAAE,KAAK,CACpB,AA1IX,AAqJQ,WArJG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CACZ,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACb,KAAK,CAAE,IAAI,CACZ,AAxJT,AA0JQ,WA1JG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CAMZ,KAAK,AAAC,CACJ,UAAU,CNuCR,OAAoD,CMtCtD,OAAO,CAAE,GAAG,CACb,AA7JT,AA+JQ,WA/JG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,CAWZ,OAAO,AAAC,CACN,KAAK,CNkCH,OAAoD,CMjCtD,cAAc,CAAE,MAAM,CACvB,AAlKT,AAmKQ,WAnKG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,AAeX,MAAM,CAAC,OAAO,AAAA,WAAW,AAAC,CACzB,KAAK,CP7JN,OAAO,CO8JP,AArKT,AAuKQ,WAvKG,AACR,aAAa,CAqEZ,QAAQ,CA8EN,cAAc,AAmBX,eAAe,AAAC,CACf,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,CPjKpB,OAAO,COiKuB,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CACzD,ACzKT,AAEI,WAFO,AACR,oBAAoB,AAClB,iBAAiB,AAAC,CACjB,MAAM,CAAE,CAAC,CAmBV,AAtBL,AAIM,WAJK,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAAC,CACjB,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,CAAC,CACV,YAAY,CAAE,GAAG,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CPyLb,OAAoD,COxLxD,UAAU,CAAE,KAAK,CAQlB,AAlBP,AAWQ,WAXG,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,CAOhB,OAAO,AAAC,CACN,OAAO,CAAE,OAAO,CACjB,AAbT,AAcQ,WAdG,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAUf,MAAM,CAdf,WAAW,AACR,oBAAoB,AAClB,iBAAiB,CAEhB,kBAAkB,AAWf,MAAM,AAAC,CACN,UAAU,CPkLR,OAAoD,COjLvD,AAjBT,AAmBM,WAnBK,AACR,oBAAoB,AAClB,iBAAiB,CAiBhB,OAAO,AAAC,CACN,MAAM,CAAE,YAAY,CACrB,ACrBP,AAEI,WAFO,CACT,aAAa,CACX,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,IAAI,CACf,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACf,AAVL,AAWI,WAXO,CACT,aAAa,CAUX,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CAChB,AAbL,AAeM,WAfK,CACT,aAAa,CAaX,gBAAgB,CACd,cAAc,AAAA,IAAI,AAAC,CACjB,aAAa,CAAE,GAAG,CAClB,UAAU,CAAE,GAAG,CAChB,AAlBP,AAoBI,WApBO,CACT,aAAa,CAmBX,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,ACtBL,AAGM,WAHK,AACR,oBAAoB,AAClB,2BAA2B,CAC1B,gBAAgB,AAAC,CACf,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,kBAAkB,CAC3B,KAAK,CAAE,KAAK,CACb,AAPP,AASM,WATK,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAAC,CACd,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,OAAO,CAChB,UAAU,CTsLN,OAAoD,CSrLxD,UAAU,CAAE,SAAS,CAoCtB,AAjDP,AAeQ,WAfG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAMb,KAAK,CAfb,WAAW,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAOb,OAAO,AAAC,CACN,SAAS,CTiCV,GAAG,CShCF,WAAW,CAAE,MAAM,CACnB,KAAK,CVnBL,IAAO,CUoBR,AApBT,AAsBQ,WAtBG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,CAab,OAAO,AAAC,CACN,OAAO,CAAE,GAAG,CACb,AAxBT,AA0BQ,WA1BG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,AAAC,CACf,UAAU,CTuKR,OAAoD,CSjKvD,AAjCT,AA6BU,WA7BC,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,CAGd,KAAK,CA7Bf,WAAW,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAiBZ,eAAe,CAId,OAAO,AAAC,CACN,KAAK,CV9BL,IAAO,CU+BR,AAhCX,AAmCQ,WAnCG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AA0BZ,MAAM,AAAC,CACN,UAAU,CT8JR,OAAoD,CS7JtD,KAAK,CVpCH,IAAO,CUqCV,AAtCT,AAwCQ,WAxCG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AA+BZ,YAAY,AAAC,CACZ,KAAK,CVzCL,IAAO,CU0CP,UAAU,CTwJR,OAAoD,CSvJvD,AA3CT,AA6CQ,WA7CG,AACR,oBAAoB,AAClB,2BAA2B,CAO1B,eAAe,AAoCZ,YAAY,AAAA,eAAe,AAAC,CAC3B,UAAU,CToJR,OAAoD,CSnJtD,KAAK,CV/CL,IAAO,CUgDR,AChDT,AAEI,WAFO,AACR,UAAU,AACR,iBAAiB,AAAC,CACjB,KAAK,CAAE,KAAK,CA2Cb,AA9CL,AAKM,WALK,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,AAAC,CACd,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,iBAAiB,CAAE,UAAU,CAC7B,cAAc,CAAE,UAAU,CAC1B,WAAW,CAAE,UAAU,CACvB,kBAAkB,CAAE,QAAQ,CAC5B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,MAAM,CAC1B,cAAc,CAAE,MAAM,CA8BvB,AA7CP,AAkBU,WAlBC,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,AAYZ,KAAK,CACJ,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AApBX,AAuBQ,WAvBG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAkBb,YAAY,AAAC,CACX,SAAS,CV4BL,OAAQ,CU3BZ,KAAK,CXzBL,IAAO,CW0BP,WAAW,CAAE,MAAM,CACpB,AA3BT,AA6BQ,WA7BG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAwBb,gBAAgB,AAAC,CACf,KAAK,CX9BL,IAAO,CW+BP,WAAW,CVkCD,GAAG,CUjCb,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACf,AAnCT,AAqCQ,WArCG,AACR,UAAU,AACR,iBAAiB,CAGhB,eAAe,CAgCb,cAAc,AAAC,CACb,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,QAAQ,CAClB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,OAAO,CACd,SAAS,CVSL,OAAQ,CURZ,WAAW,CVsBD,GAAG,CUrBd,AC5CT,AACE,WADS,AACR,UAAU,AAAC,CACV,SAAS,CAAE,IAAI,CA4HhB,AA9HH,AAGI,WAHO,AACR,UAAU,CAET,gBAAgB,AAAC,CACf,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,KAAK,CAChB,aAAa,CAAE,CAAC,CAChB,UAAU,CXiIF,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CWhIvC,AARL,AAUI,WAVO,AACR,UAAU,CAST,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,GAAG,CACf,OAAO,CAAE,QAAQ,CAIlB,AAjBL,AAcM,WAdK,AACR,UAAU,CAST,eAAe,AAIZ,WAAW,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,AAhBP,AAmBI,WAnBO,AACR,UAAU,CAkBT,kBAAkB,AAAC,CACjB,OAAO,CXTG,GAAG,CAAC,IAAI,CWUlB,UAAU,CAAE,GAAG,CAAC,KAAK,CX6Kf,OAAoD,CW5K1D,aAAa,CAAE,GAAG,CAAC,KAAK,CX4KlB,OAAoD,CW5J3D,AAtCL,AAwBM,WAxBK,AACR,UAAU,CAkBT,kBAAkB,CAKhB,QAAQ,AAAC,CACP,IAAI,CAAE,QAAQ,CACf,AA1BP,AA4BM,WA5BK,AACR,UAAU,CAkBT,kBAAkB,CAShB,aAAa,CA5BnB,WAAW,AACR,UAAU,CAkBT,kBAAkB,CAUhB,aAAa,AAAA,MAAM,CA7BzB,WAAW,AACR,UAAU,CAkBT,kBAAkB,CAWhB,aAAa,AAAA,OAAO,AAAC,CACnB,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,GAAG,CACX,AAjCP,AAmCM,WAnCK,AACR,UAAU,CAkBT,kBAAkB,CAgBhB,YAAY,AAAC,CACX,YAAY,CAAE,GAAG,CAClB,AArCP,AAwCI,WAxCO,AACR,UAAU,CAuCT,kBAAkB,AAAC,CACjB,UAAU,CZxCJ,IAAO,CYyCb,MAAM,CAAE,GAAG,CAAC,KAAK,CXwJX,OAAoD,CWvJ1D,OAAO,CAAE,YAAY,CACrB,WAAW,CAAE,GAAG,CAChB,SAAS,CXKN,GAAG,CWCP,AAnDL,AA+CM,WA/CK,AACR,UAAU,CAuCT,kBAAkB,AAOf,WAAW,AAAC,CACX,MAAM,CAAE,GAAG,CAAC,KAAK,CZ9Cd,IAAO,CY+CV,UAAU,CX8FP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CD7IT,IAAO,CYgDX,AAlDP,AAqDI,WArDO,AACR,UAAU,CAoDT,sBAAsB,AAAC,CACrB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,KAAK,CACjB,SAAS,CAAE,IAAI,CAiBhB,AA5EL,AA8DQ,WA9DG,AACR,UAAU,CAoDT,sBAAsB,CAQpB,kBAAkB,CAChB,CAAC,AAAC,CACA,WAAW,CAAE,MAAM,CACnB,KAAK,CZhEL,IAAO,CYiEP,WAAW,CXDA,GAAG,CWEd,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,KAAK,CACd,OAAO,CAAE,QAAQ,CACjB,KAAK,CZnEJ,IAAO,CYwET,AA1ET,AAuEU,WAvEC,AACR,UAAU,CAoDT,sBAAsB,CAQpB,kBAAkB,CAChB,CAAC,AASE,MAAM,AAAC,CACN,eAAe,CAAE,SAAS,CAC3B,AAzEX,AA+EM,WA/EK,AACR,UAAU,AA6ER,YAAY,CACX,kBAAkB,AAAC,CACjB,UAAU,CXkHN,OAAoD,CWjHxD,YAAY,CXiHR,OAAoD,CWhHxD,KAAK,CXgHD,OAAoD,CW5GzD,AAtFP,AAmFQ,WAnFG,AACR,UAAU,AA6ER,YAAY,CACX,kBAAkB,CAIhB,OAAO,AAAC,CACN,KAAK,CX8GH,OAAoD,CW7GvD,AArFT,AA0FM,WA1FK,AACR,UAAU,AAwFR,eAAe,CACd,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CZzFd,IAAO,CY0FV,UAAU,CXmDP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CD7IT,IAAO,CY2FX,AA7FP,AAiGM,WAjGK,AACR,UAAU,AA+FR,YAAY,CACX,mBAAmB,AAAC,CAClB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,GAAG,CAAC,KAAK,CZjGd,IAAO,CYkGV,UAAU,CX2CP,CAAC,CAAC,CAAC,CAAC,GAAG,CAAC,CAAC,CD7IT,IAAO,CYmGX,AArGP,AAyGM,WAzGK,AACR,UAAU,AAuGR,YAAY,AAAA,SAAS,CACpB,kBAAkB,AAAC,CACjB,aAAa,CAAE,WAAW,CAC3B,AA3GP,AA6GM,WA7GK,AACR,UAAU,AAuGR,YAAY,AAAA,SAAS,CAKpB,gBAAgB,AAAC,CACf,aAAa,CAAE,WAAW,CAC3B,AA/GP,AAkHI,WAlHO,AACR,UAAU,AAiHR,SAAS,CAlHd,WAAW,AACR,UAAU,AAkHR,eAAe,AAAC,CACf,SAAS,CAAE,IAAI,CAIhB,AAxHL,AAqHM,WArHK,AACR,UAAU,AAiHR,SAAS,CAGR,eAAe,CArHrB,WAAW,AACR,UAAU,AAkHR,eAAe,CAEd,eAAe,AAAC,CACd,WAAW,CAAE,IAAI,CAClB,AAvHP,AA0HI,WA1HO,AACR,UAAU,AAyHR,YAAY,CAAC,mBAAmB,CA1HrC,WAAW,AACR,UAAU,CA0HT,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AC7HL,AACE,qBADmB,CACnB,cAAc,AAAC,CACb,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,KAAK,CAcd,AAjBH,AAKI,qBALiB,CACnB,cAAc,AAIX,UAAU,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAPL,AASI,qBATiB,CACnB,cAAc,CAQZ,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAXL,AAaI,qBAbiB,CACnB,cAAc,CAYZ,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CACf,WAAW,CZiDI,GAAG,CYhDnB,AAIL,AAAA,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,SAAS,CAAE,IAAI,CAWhB,AAbD,AAIE,cAJY,CAIZ,eAAe,AAAC,CACd,OAAO,CAAE,MAAM,CAOhB,AAZH,AAOI,cAPU,CAIZ,eAAe,CAGb,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CACb,AC/BL,AAEI,WAFO,AACR,0BAA0B,CACzB,gBAAgB,AAAC,CACf,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,KAAK,CACb,AALL,AAOI,WAPO,AACR,0BAA0B,CAMzB,kBAAkB,CAAC,OAAO,AAAC,CACzB,eAAe,CAAE,aAAa,CAC/B,ACTL,AAIQ,WAJG,AACR,UAAU,AACR,SAAS,CACR,eAAe,CACZ,AAAA,UAAC,CAAW,UAAU,AAArB,EAJV,WAAW,AACR,UAAU,AACR,SAAS,CACR,eAAe,CAEZ,AAAA,UAAC,CAAW,SAAS,AAApB,CAAsB,CACtB,KAAK,CfJJ,IAAO,CeKR,WAAW,CAAE,GAAG,CACjB,ACRT,AAEI,WAFO,AACR,SAAS,AACP,2BAA2B,AAAC,CAC3B,SAAS,CAAE,GAAG,CA4Bf,AA/BL,AAMQ,WANG,AACR,SAAS,AACP,2BAA2B,CAG1B,kCAAkC,CAChC,UAAU,AAAC,CACT,WAAW,Cf0DD,GAAG,CezDd,AART,AAWM,WAXK,AACR,SAAS,AACP,2BAA2B,CAS1B,oCAAoC,AAAC,CACnC,KAAK,CAAE,IAAsB,CAC7B,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,MAAM,CACpB,AAfP,AAiBM,WAjBK,AACR,SAAS,AACP,2BAA2B,CAe1B,iCAAiC,AAAC,CAChC,YAAY,CAAE,GAAG,CAClB,AAnBP,AAqBM,WArBK,AACR,SAAS,AACP,2BAA2B,CAmB1B,UAAU,AAAC,CACT,OAAO,CAAE,CAAC,CACV,WAAW,CAAE,GAAG,CACjB,AAxBP,AA2BQ,WA3BG,AACR,SAAS,AACP,2BAA2B,CAwB1B,+BAA+B,CAC7B,iCAAiC,AAAC,CAChC,KAAK,CAAE,IAAsB,CAC9B,AC7BT,AAEI,WAFO,AACR,UAAU,AACR,iBAAiB,AAAC,CACjB,aAAa,CAAE,GAAG,CAClB,WAAW,CAAE,GAAG,CA2FjB,AA/FL,AAOQ,WAPG,AACR,UAAU,AACR,iBAAiB,AAIf,YAAY,CACX,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CjBNhB,IAAO,CiBOT,AATT,AAaQ,WAbG,AACR,UAAU,AACR,iBAAiB,AAUf,QAAQ,CACP,kBAAkB,CAAC,cAAc,AAAC,CAChC,KAAK,ChBoLH,OAAoD,CgBnLvD,AAfT,AAkBM,WAlBK,AACR,UAAU,AACR,iBAAiB,CAgBhB,gBAAgB,AAAC,CACf,SAAS,CAAE,IAAI,CAChB,AApBP,AAsBM,WAtBK,AACR,UAAU,AACR,iBAAiB,CAoBhB,kBAAkB,AAAC,CACjB,MAAM,CAAE,IAAI,CAWb,AAlCP,AAyBQ,WAzBG,AACR,UAAU,AACR,iBAAiB,CAoBhB,kBAAkB,CAGhB,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,OAAO,CACf,SAAS,CAAE,KAAK,CACjB,AAjCT,AAoCM,WApCK,AACR,UAAU,AACR,iBAAiB,CAkChB,kBAAkB,AAAC,CACjB,UAAU,CAAE,CAAC,CACd,AAtCP,AAwCM,WAxCK,AACR,UAAU,AACR,iBAAiB,AAsCf,YAAY,CAAC,mBAAmB,CAxCvC,WAAW,AACR,UAAU,AACR,iBAAiB,CAuChB,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AA3CP,AA8CQ,WA9CG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,AACZ,YAAY,AAAC,CACZ,UAAU,CAAE,IAAI,CACjB,AAhDT,AAkDQ,WAlDG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,AAKZ,eAAe,AAAA,YAAY,AAAC,CAC3B,UAAU,ChB+IR,OAAoD,CgB9IvD,AApDT,AAsDQ,WAtDG,AACR,UAAU,AACR,iBAAiB,CA2ChB,eAAe,CASb,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CACjB,AAxDT,AA4DQ,WA5DG,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,AAAC,CACjB,UAAU,CAAE,KAAK,CACjB,QAAQ,CAAE,MAAM,CAChB,IAAI,CAAE,QAAQ,CACd,aAAa,CAAE,GAAG,CAAC,KAAK,ChBkItB,OAAoD,CgBrGvD,AA7FT,AAkEU,WAlEC,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAMhB,cAAc,AAAC,CACb,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,GAAG,CACZ,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CACjB,AAxEX,AA0EU,WA1EC,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAAC,CACZ,UAAU,ChBuHV,OAAoD,CgBtHpD,OAAO,CAAE,OAAO,CAChB,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,CAAC,CAcV,AA5FX,AAgFY,WAhFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAMV,eAAe,AAAC,CACf,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,GAAG,CjB1ExB,OAAO,CiB0E2B,CAAC,CAAC,GAAG,CAAC,CAAC,CAAC,gBAAmB,CACzD,AAlFb,AAoFY,WApFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,CAUX,OAAO,AAAC,CACN,KAAK,ChB6GP,OAAoD,CgB5GlD,cAAc,CAAE,MAAM,CACvB,AAvFb,AAyFY,WAzFD,AACR,UAAU,AACR,iBAAiB,CAyDhB,sBAAsB,CACpB,kBAAkB,CAchB,aAAa,AAeV,MAAM,CAAC,OAAO,AAAC,CACd,KAAK,CjBnFV,OAAO,CiBoFH,AC3Fb,AAAA,YAAY,CAAC,WAAW,AAAA,YAAY,AAAC,CACnC,OAAO,CjBiGK,GAAG,CiBhGhB,AAED,AAAA,WAAW,AAAC,CACV,MAAM,CAAE,IAAI,CACZ,SAAS,CAAE,KAAK,CAChB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,MAAM,CACtB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,IAAI,CAmOlB,AA3OD,AAUE,WAVS,AAUR,UAAU,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AAZH,AAcE,WAdS,AAcR,YAAY,AAAC,CACZ,cAAc,CAAE,IAAI,CACrB,AAhBH,AAkBE,WAlBS,AAkBR,YAAY,AAAC,CACZ,OAAO,CjB2EG,GAAG,CiB9Dd,AAhCH,AAqBI,WArBO,AAkBR,YAAY,CAGX,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,IAAI,CAAE,CAAC,CACP,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACP,AA3BL,AA6BI,WA7BO,AAkBR,YAAY,CAWX,sBAAsB,AAAC,CACrB,aAAa,CAAE,OAAO,CACvB,AA/BL,AAmCI,WAnCO,AAkCR,SAAS,CACR,gBAAgB,AAAC,CACf,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACV,AAtCL,AAwCI,WAxCO,AAkCR,SAAS,CAMR,kBAAkB,AAAC,CACjB,UAAU,CAAE,CAAC,CACd,AA1CL,AA4CI,WA5CO,AAkCR,SAAS,CAUR,mBAAmB,AAAC,CAClB,MAAM,CAAE,CAAC,CACT,GAAG,CAAE,IAAI,CACV,AA/CL,AAkDE,WAlDS,CAkDT,OAAO,AAAC,CACN,KAAK,CjB2IG,OAAoD,CiB1I7D,AApDH,AAsDE,WAtDS,CAsDT,kBAAkB,AAAC,CACjB,UAAU,CAAE,UAAU,CACtB,QAAQ,CAAE,MAAM,CAChB,UAAU,CAAE,SAAS,CACrB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,GAAG,CACnB,UAAU,CAAE,IAAI,CAsCjB,AArGH,AAiEI,WAjEO,CAsDT,kBAAkB,CAWhB,cAAc,AAAC,CACb,UAAU,CAAE,IAAI,CAChB,IAAI,CAAE,QAAQ,CACd,OAAO,CAAE,KAAK,CbZlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CaYnB,KAAK,CAAE,OAAO,CACf,AAvEL,AAyEI,WAzEO,CAsDT,kBAAkB,CAmBhB,UAAU,AAAC,CACT,OAAO,CAAE,MAAM,CACf,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,IAAI,CACjB,AA7EL,AA+EI,WA/EO,CAsDT,kBAAkB,CAyBhB,KAAK,AAAC,CACJ,YAAY,CAAE,GAAG,CAClB,AAjFL,AAmFI,WAnFO,CAsDT,kBAAkB,CA6BhB,WAAW,AAAC,CACV,WAAW,CAAE,IAAI,CACjB,YAAY,CAAE,GAAG,CACjB,cAAc,CAAE,IAAI,CACrB,AAvFL,AAyFI,WAzFO,CAsDT,kBAAkB,CAmChB,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,MAAM,CACnB,QAAQ,CAAE,MAAM,CAChB,WAAW,CjBlCI,GAAG,CiBwCnB,AApGL,AAgGM,WAhGK,CAsDT,kBAAkB,CAmChB,eAAe,CAOb,OAAO,AAAC,CACN,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,CAAC,CAChB,AAnGP,AAuGE,WAvGS,CAuGT,gBAAgB,AAAC,CACf,OAAO,CAAE,IAAI,CACb,UAAU,ClB5GF,IAAO,CkB6Gf,UAAU,CAAE,UAAU,CACvB,AA3GH,AA6GE,WA7GS,CA6GT,eAAe,AAAC,CACd,MAAM,CAAE,OAAO,CACf,WAAW,CjBnDM,GAAG,CiBoDpB,OAAO,CAAE,IAAI,CACb,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CA6B5B,AAlJH,AAuHI,WAvHO,CA6GT,eAAe,CAUb,KAAK,AAAC,CACJ,MAAM,CAAE,CAAC,CACT,QAAQ,CAAE,MAAM,CAChB,aAAa,CAAE,QAAQ,CACvB,IAAI,CAAE,MAAM,CACb,AA5HL,AA8HI,WA9HO,CA6GT,eAAe,CAiBb,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAhIL,AAkII,WAlIO,CA6GT,eAAe,AAqBZ,eAAe,AAAC,CACf,UAAU,CjB2DJ,OAAoD,CiB1D3D,AApIL,AAsII,WAtIO,CA6GT,eAAe,AAyBZ,YAAY,AAAC,CACZ,UAAU,CjBuDJ,OAAoD,CiBtD3D,AAxIL,AA0II,WA1IO,CA6GT,eAAe,AA6BZ,YAAY,AAAA,eAAe,AAAC,CAC3B,UAAU,CjBmDJ,OAAoD,CiBlD3D,AA5IL,AA8II,WA9IO,CA6GT,eAAe,CAiCb,cAAc,CA9IlB,WAAW,CA6GT,eAAe,CAkCb,oBAAoB,AAAC,CACnB,KAAK,ClBpJD,IAAO,CkBqJZ,AAjJL,AAoJE,WApJS,CAoJT,sBAAsB,AAAC,CACrB,UAAU,ClBxJF,IAAO,CkByJf,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,OAAO,CACtB,0BAA0B,CAAE,KAAK,CACjC,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,KAAK,CAkClB,AA9LH,AA8JI,WA9JO,CAoJT,sBAAsB,CAUpB,mBAAmB,AAAC,CAClB,WAAW,CAAE,MAAM,CACnB,KAAK,ClB7JF,OAAO,CkB8JV,IAAI,CAAE,QAAQ,CACd,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,KAAK,CACf,AApKL,AAsKI,WAtKO,CAoJT,sBAAsB,CAkBpB,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CAKV,AA7KL,AA0KM,WA1KK,CAoJT,sBAAsB,CAkBpB,sBAAsB,AAInB,MAAM,CAAC,eAAe,AAAA,eAAe,AAAA,MAAM,AAAC,CAC3C,UAAU,CjBmBN,OAAoD,CiBlBzD,AA5KP,AA+KI,WA/KO,CAoJT,sBAAsB,AA2BnB,mBAAmB,AAAC,CACnB,kBAAkB,CAAE,IAAI,CACxB,KAAK,CAAE,IAAI,CACZ,AAlLL,AAoLI,WApLO,CAoJT,sBAAsB,AAgCnB,yBAAyB,AAAC,CACzB,MAAM,CAAE,OAAO,CACf,aAAa,CAAE,GAAG,CAClB,UAAU,CjBOJ,OAAoD,CiBN3D,AAxLL,AA0LI,WA1LO,CAoJT,sBAAsB,AAsCnB,yBAAyB,AAAC,CACzB,UAAU,CAAE,WAAW,CACvB,aAAa,CAAE,CAAC,CACjB,AA7LL,AAgME,WAhMS,CAgMT,kBAAkB,AAAC,CACjB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,aAAa,CA4B/B,AAhOH,AAsMI,WAtMO,CAgMT,kBAAkB,CAMhB,aAAa,CAtMjB,WAAW,CAgMT,kBAAkB,CAOhB,aAAa,AAAA,MAAM,CAvMvB,WAAW,CAgMT,kBAAkB,CAQhB,aAAa,AAAA,OAAO,AAAC,CACnB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACb,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACT,aAAa,CAAE,CAAC,CAChB,UAAU,CAAE,IAAI,CAChB,KAAK,CAAE,IAAI,CACZ,AAlNL,AAoNI,WApNO,CAgMT,kBAAkB,AAoBf,UAAU,AAAC,CACV,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,MAAM,CAAE,CAAC,CACT,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CACV,QAAQ,CAAE,MAAM,CAChB,QAAQ,CAAE,KAAK,CACf,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,CAAC,CACP,GAAG,CAAE,CAAC,CACP,AA/NL,AAkOE,WAlOS,CAkOT,mBAAmB,AAAC,CAClB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,UAAU,CACtB,cAAc,CAAE,IAAI,CACrB,AC9OH,AACE,qBADmB,CACnB,2BAA2B,AAAC,CAC1B,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,KAAK,CAUd,AAbH,AAKI,qBALiB,CACnB,2BAA2B,CAIzB,IAAI,AAAC,CACH,MAAM,CAAE,CAAC,CACV,AAPL,AASI,qBATiB,CACnB,2BAA2B,CAQzB,OAAO,AAAC,CACN,OAAO,CAAE,MAAM,CACf,WAAW,ClBqDI,GAAG,CkBpDnB,AAIL,AAAA,2BAA2B,CAAC,4BAA4B,AAAC,CACvD,SAAS,CAAE,IAAI,CAChB,AAED,AAAA,2BAA2B,AAAC,CAC1B,MAAM,CAAE,CAAC,CAKV,AAND,AAGE,2BAHyB,CAGzB,4BAA4B,AAAC,CAC3B,OAAO,CAAE,WAAW,CACrB,ACzBH,AAGM,WAHK,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAAC,CACb,SAAS,CnB8CR,GAAG,CmB7CJ,WAAW,CAAE,MAAM,CASpB,AAdP,AAOQ,WAPG,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAIX,IAAI,AAAC,CACJ,MAAM,CAAE,CAAC,CAKV,AAbT,AAUU,WAVC,AACR,UAAU,AACR,cAAc,CACb,cAAc,AAIX,IAAI,CAGH,IAAI,AAAA,eAAe,AAAC,CAClB,MAAM,CAAE,CAAC,CACV,AAZX,AAgBM,WAhBK,AACR,UAAU,AACR,cAAc,AAcZ,IAAI,AAAA,cAAc,CAAC,qBAAqB,AAAC,CACxC,OAAO,CAAE,YAAY,CACtB,AAlBP,AAqBQ,WArBG,AACR,UAAU,AACR,cAAc,AAkBZ,IAAI,AAAA,cAAc,CAAC,qBAAqB,CACvC,cAAc,AAAA,IAAI,AAAC,CACjB,OAAO,CAAE,CAAC,CACX,AAvBT,AA2BQ,WA3BG,AACR,UAAU,AACR,cAAc,CAwBb,qBAAqB,AAClB,QAAQ,CAAC,cAAc,AAAC,CACvB,KAAK,CAAE,OAAO,CACf,AA7BT,AA+BQ,WA/BG,AACR,UAAU,AACR,cAAc,CAwBb,qBAAqB,CAKnB,cAAc,AAAC,CACb,YAAY,CAAE,CAAC,CAChB,AAjCT,AAoCM,WApCK,AACR,UAAU,AACR,cAAc,CAkCb,gBAAgB,AAAC,CACf,SAAS,CAAE,KAAK,CACjB,AAtCP,AAwCM,WAxCK,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,AAAC,CACd,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,UAAU,CA+BxB,AAzEP,AA4CQ,WA5CG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAIZ,AAAA,UAAC,CAAW,gBAAgB,AAA3B,EA5CV,WAAW,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAKZ,AAAA,UAAC,CAAW,eAAe,AAA1B,CAA4B,CAC5B,KAAK,CpB5CJ,IAAO,CoB6CR,WAAW,CAAE,GAAG,CACjB,AAhDT,AAkDQ,WAlDG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAUb,cAAc,AAAC,CACb,WAAW,CAAE,MAAM,CACnB,KAAK,CnB8IH,OAAoD,CmB7ItD,UAAU,CAAE,GAAG,CAChB,AAtDT,AAwDQ,WAxDG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAgBb,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACpB,AA1DT,AA4DQ,WA5DG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAoBb,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CAChB,WAAW,CAAE,MAAM,CACpB,AA/DT,AAiEQ,WAjEG,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAyBb,cAAc,AAAC,CACb,MAAM,CAAE,CAAC,CACT,WAAW,CAAE,IAAI,CAKlB,AAxET,AAqEU,WArEC,AACR,UAAU,AACR,cAAc,CAsCb,eAAe,CAyBb,cAAc,AAIX,UAAW,CAAA,CAAC,CAAE,CACb,WAAW,CAAE,IAAI,CAClB,AAvEX,AA2EM,WA3EK,AACR,UAAU,AACR,cAAc,AAyEZ,YAAY,CAAC,mBAAmB,CA3EvC,WAAW,AACR,UAAU,AACR,cAAc,CA0Eb,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AC9EP,AAIQ,WAJG,AACR,UAAU,AACR,eAAe,CACd,mBAAmB,CACjB,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,WAAW,CAAE,KAAK,CAClB,IAAI,CAAE,KAAK,CAOZ,AAfT,AAUU,WAVC,AACR,UAAU,AACR,eAAe,CACd,mBAAmB,CACjB,SAAS,CAMP,QAAQ,AAAC,CACP,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,KAAK,CACf,ACdX,AAGM,WAHK,AACR,aAAa,AACX,YAAY,CACX,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AAVP,AAOQ,WAPG,AACR,aAAa,AACX,YAAY,CACX,eAAe,CAIb,oBAAoB,AAAC,CACnB,WAAW,CAAE,GAAG,CACjB,ACTT,AAKQ,WALG,AAER,kBAAkB,CACjB,cAAc,CACZ,cAAc,AACX,IAAI,CAJb,eAAe,AACZ,kBAAkB,CACjB,cAAc,CACZ,cAAc,AACX,IAAI,AAAC,CACJ,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,CAAC,CACX,ACRT,AAEI,WAFO,AACR,oBAAoB,AAClB,4BAA4B,AAAC,CAC5B,UAAU,CAAE,IAAI,CAcjB,AAjBL,AAKM,WALK,AACR,oBAAoB,AAClB,4BAA4B,CAG3B,gBAAgB,AAAC,CACf,KAAK,CAAE,KAAK,CACZ,SAAS,CAAE,KAAK,CACjB,AARP,AAUM,WAVK,AACR,oBAAoB,AAClB,4BAA4B,CAQ3B,kBAAkB,AAAC,CACjB,eAAe,CAAE,MAAM,CACxB,AAZP,AAcM,WAdK,AACR,oBAAoB,AAClB,4BAA4B,CAY3B,2BAA2B,AAAC,CAC1B,WAAW,CAAE,MAAM,CACpB,AChBP,AAEI,WAFO,AACR,oBAAoB,AAClB,eAAe,AAAC,CACf,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAsEnB,AA1EL,AAMM,WANK,AACR,oBAAoB,AAClB,eAAe,CAId,sBAAsB,AAAC,CACrB,OAAO,CAAE,GAAG,CACb,AARP,AAUM,WAVK,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAAC,CACrB,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,eAAe,CAAE,UAAU,CAC3B,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,CAAC,CAiCX,AAjDP,AAkBQ,WAlBG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,AAAC,CACf,KAAK,CzBlBH,IAAO,CyBmBT,OAAO,CAAE,YAAY,CACrB,UAAU,CAAE,UAAU,CAavB,AAlCT,AAuBU,WAvBC,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,CAKd,aAAa,AAAC,CACZ,KAAK,CzBxBP,IAAO,CyByBL,YAAY,CAAE,GAAG,CAClB,AA1BX,AA4BU,WA5BC,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CAQpB,EAAE,AAAA,cAAc,CAUd,gBAAgB,AAAC,CACf,SAAS,CxBsBP,OAAQ,CwBrBV,KAAK,CxBoKL,OAAoD,CwBnKpD,WAAW,CAAE,MAAM,CACnB,cAAc,CAAE,SAAS,CAC1B,AAjCX,AAoCQ,WApCG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,CA0BpB,OAAO,AAAC,CACN,KAAK,CzBrCL,IAAO,CyBsCP,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,cAAc,CACtB,SAAS,CxBOP,QAAQ,CwBNX,AAzCT,AA2CQ,WA3CG,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAiCnB,WAAW,CA3CpB,WAAW,AACR,oBAAoB,AAClB,eAAe,CAQd,sBAAsB,AAkCnB,MAAM,AAAC,CACN,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,IAAI,CACd,AAhDT,AAmDM,WAnDK,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,AAAC,CAClB,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,GAAG,CACZ,SAAS,CxBLL,QAAQ,CwBMZ,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,IAAI,CAiBd,AAzEP,AA0DQ,WA1DG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAOjB,aAAa,AAAC,CACZ,IAAI,CAAE,OAAO,CACd,AA5DT,AA8DQ,WA9DG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAWjB,aAAa,AAAC,CACZ,KAAK,CzB/DL,IAAO,CyBgER,AAhET,AAkEQ,WAlEG,AACR,oBAAoB,AAClB,eAAe,CAiDd,mBAAmB,CAejB,gBAAgB,AAAC,CACf,WAAW,CAAE,MAAM,CACnB,SAAS,CxBjBL,OAAQ,CwBkBZ,KAAK,CxB6HH,OAAoD,CwB5HtD,cAAc,CAAE,SAAS,CACzB,WAAW,CAAE,GAAG,CACjB,ACxET,AACE,WADS,AACR,oBAAoB,AAAC,CACpB,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,WAAW,CACpB,SAAS,CAAE,IAAI,CACf,MAAM,CAAE,IAAI,CA6Hb,AAnIH,AASM,WATK,AACR,oBAAoB,AAOlB,YAAY,CACX,sBAAsB,CAT5B,WAAW,AACR,oBAAoB,AAOlB,YAAY,CAEX,gBAAgB,AAAC,CACf,aAAa,CAAE,CAAC,CACjB,AAZP,AAeI,WAfO,AACR,oBAAoB,CAcnB,gBAAgB,AAAC,CACf,MAAM,CAAE,GAAG,CAAC,KAAK,CzBkLX,OAAoD,CyBjL1D,eAAe,CAAE,WAAW,CAC5B,UAAU,CzBsHF,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,CAAC,CAAC,eAAkB,CyBrHtC,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,KAAK,CACb,AArBL,AAuBI,WAvBO,AACR,oBAAoB,CAsBnB,eAAe,AAAC,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,QAAQ,CAsElB,AA/FL,AA2BM,WA3BK,AACR,oBAAoB,CAsBnB,eAAe,CAIb,MAAM,AAAC,CACL,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACd,iBAAiB,CAAE,KAAK,CACxB,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,UAAU,CACvB,gBAAgB,CAAE,MAAM,CACxB,aAAa,CAAE,MAAM,CACrB,eAAe,CAAE,MAAM,CACvB,mBAAmB,CAAE,KAAK,CAC1B,UAAU,CAAE,UAAU,CACtB,YAAY,CAAE,OAAO,CACrB,UAAU,CAAE,GAAG,CACf,KAAK,CAAE,IAAI,CASZ,AAnDP,AA4CQ,WA5CG,AACR,oBAAoB,CAsBnB,eAAe,CAIb,MAAM,CAiBJ,OAAO,AAAC,CACN,SAAS,CzBGP,QAAQ,CyBFV,mBAAmB,CAAE,MAAM,CAC3B,UAAU,CAAE,MAAM,CAClB,YAAY,CAAE,CAAC,CACf,OAAO,CAAE,CAAC,CACX,AAlDT,AAqDM,WArDK,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,AAAC,CACL,KAAK,CAAE,CAAC,CACR,WAAW,CzBUC,GAAG,CyBTf,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,MAAM,CACZ,iBAAiB,CAAE,KAAK,CACxB,cAAc,CAAE,KAAK,CACrB,WAAW,CAAE,UAAU,CACvB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,WAAW,CACpB,OAAO,CAAE,IAAI,CACb,aAAa,CAAE,IAAI,CACnB,SAAS,CAAE,IAAI,CACf,kBAAkB,CAAE,QAAQ,CAC5B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,MAAM,CAC1B,cAAc,CAAE,MAAM,CAwBvB,AA9FP,AAwEQ,WAxEG,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,CAmBJ,KAAK,AAAC,CACJ,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,IAAI,CACjB,SAAS,CzB3BV,GAAG,CyB4BF,KAAK,C1B9EL,IAAO,C0B+EP,OAAO,CAAE,CAAC,CrBnBlB,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CqBmBf,SAAS,CAAE,IAAI,CAChB,AAlFT,AAoFQ,WApFG,AACR,oBAAoB,CAsBnB,eAAe,CA8Bb,MAAM,CA+BJ,KAAK,AAAC,CACJ,gBAAgB,CAAE,CAAC,CACnB,QAAQ,CAAE,CAAC,CACX,IAAI,CAAE,QAAQ,CACd,KAAK,CAAE,IAAI,CACX,SAAS,CzBtCL,OAAQ,CyBuCZ,WAAW,CAAE,MAAM,CACnB,KAAK,CzBuGH,OAAoD,CyBtGtD,WAAW,CAAE,MAAM,CACpB,AA7FT,AAiGI,WAjGO,AACR,oBAAoB,CAgGnB,sBAAsB,AAAC,CACrB,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CACjB,AApGL,AAsGI,WAtGO,AACR,oBAAoB,CAqGnB,2BAA2B,AAAC,CAC1B,kBAAkB,CAAE,UAAU,CAC9B,eAAe,CAAE,UAAU,CAC3B,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,CAAC,CAET,iBAAiB,CAAE,MAAM,CACzB,cAAc,CAAE,MAAM,CACtB,WAAW,CAAE,MAAM,CACnB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,OAAO,CACtB,eAAe,CAAE,aAAa,CAC9B,kBAAkB,CAAE,UAAU,CAC9B,qBAAqB,CAAE,MAAM,CAC7B,kBAAkB,CAAE,GAAG,CACvB,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,kBAAkB,CAC3B,OAAO,CAAE,WAAW,CAUrB,AAlIL,AA0HM,WA1HK,AACR,oBAAoB,CAqGnB,2BAA2B,CAoBzB,OAAO,CAAG,OAAO,AAAC,CAChB,WAAW,CAAE,GAAG,CACjB,AA5HP,AA8HM,WA9HK,AACR,oBAAoB,CAqGnB,2BAA2B,AAwBxB,WAAW,AAAC,CACX,aAAa,CAAE,IAAI,CACnB,aAAa,C1B9HV,IAAO,C0B+HX,ACjIP,AAIQ,WAJG,AACR,aAAa,AACX,aAAa,CACZ,eAAe,AAAA,OAAO,CACpB,OAAO,AAAC,CACN,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,WAAW,CAAE,GAAG,CACjB,ACRT,AAAA,SAAS,CACT,eAAe,AAAC,CACd,MAAM,CAAE,GAAG,CACX,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,CAAC,CACd,OAAO,CAAE,WAAW,CACpB,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACxB,IAAI,CAAE,YAAY,CAClB,WAAW,CAAE,CAAC,CACd,QAAQ,CAAE,OAAO,CAClB,AAGD,AAAA,GAAG,CAAG,GAAG,AAAC,CACR,cAAc,CAAE,IAAI,CACrB,AAUD,AAAA,SAAS,AAAC,CACR,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACV,MAAM,CAAE,GAAG,CACX,OAAO,CAAE,YAAY,CAetB,AAnBD,AAME,SANO,CAMP,YAAY,CANd,SAAS,CAOP,YAAY,AAAC,CACX,IAAI,CAAE,GAAG,CACT,GAAG,CAAE,GAAG,CACR,QAAQ,CAAE,QAAQ,CACnB,AAXH,AAaE,SAbO,CAaP,YAAY,AAAC,CACX,MAAM,CAAE,KAAK,CACb,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,OAAO,CACnB,WAAW,CAAE,OAAO,CACrB,A/BpCH,AAAA,IAAI,AAAA,OAAO,AAAC,CACV,gBAAgB,CAAE,IAAI,CACtB,gBAAgB,CAAE,iCAAuC,CACzD,iBAAiB,CAAE,MAAM,CACzB,mBAAmB,CAAE,QAAQ,CAE7B,KAAK,CAAE,IAAI,CAEX,WAAW,CIiDO,GAAG,CJhDtB,AAED,AACE,oBADkB,CAClB,KAAK,AAAC,CACJ,KAAK,CAAE,KAAK,CACb,AAHH,AAKE,oBALkB,CAKlB,IAAI,AAAC,CACH,UAAU,CAAE,MAAM,CAClB,aAAa,CAAE,GAAG,CACnB,AARH,AAUE,oBAVkB,CAUlB,UAAU,AAAC,CACT,KAAK,CAAE,IAAI,CACZ,AAGH,AAAA,eAAe,AAAC,CACd,gBAAgB,CAAE,mCAAyC,CAC3D,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,KAAK,CACZ,eAAe,CAAE,UAAU,CAC3B,iBAAiB,CAAE,SAAS,CAC7B,AAED,AAAA,eAAe,AAAC,CACd,WAAW,CAAE,UAAU,CAgBxB,AAjBD,AAGE,eAHa,CAGb,CAAC,AAAC,CACA,UAAU,CAAE,CAAC,CACd,AALH,AAOE,eAPa,CAOb,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACd,AATH,AAWE,eAXa,CAWb,EAAE,AAAC,CACD,OAAO,CAAE,IAAI,CACd,AAbH,AAcE,eAda,CAcb,QAAQ,AAAC,CACP,OAAO,CAAE,eAAe,CACzB,AAGH,AAAA,OAAO,AAAC,CACN,KAAK,CAAE,KAAK,CACb,AAED,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,EAAE,CACZ,AAED,AAAA,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CAClB,AAED,AACE,oBADkB,CAClB,KAAK,CAAA,AAAA,GAAC,CAAI,iBAAiB,AAArB,EAAuB,kBAAkB,AAAC,CAC9C,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,GAAG,CACnB,AAJH,AAME,oBANkB,CAMlB,sBAAsB,AAAC,CACrB,aAAa,CAAE,KAAK,CAKrB,AAZH,AASI,oBATgB,CAMlB,sBAAsB,CAGpB,YAAY,AAAC,CACX,WAAW,CAAE,MAAM,CACpB,AAIL,AAAA,iBAAiB,AAAC,CAChB,UAAU,CAAE,KAAK,CAClB,AAED,AACE,kBADgB,CAChB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,WAAW,CAAE,MAAM,CAapB,AAjBH,AAMI,kBANc,CAChB,WAAW,CAKT,KAAK,AAAC,CACJ,IAAI,CAAE,OAAO,CACd,AARL,AAUI,kBAVc,CAChB,WAAW,CAST,IAAI,AAAC,CACH,IAAI,CAAE,MAAM,CACb,AAZL,AAcI,kBAdc,CAChB,WAAW,CAaT,IAAI,AAAA,YAAY,AAAC,CACf,IAAI,CAAE,MAAM,CACb,AAhBL,AAmBE,kBAnBgB,CAmBhB,cAAc,AAAC,CACb,WAAW,CAAE,GAAG,CAMjB,AA1BH,AAqBI,kBArBc,CAmBhB,cAAc,CAEZ,GAAG,AAAC,CACF,MAAM,CAAE,IAAI,CACZ,KAAK,CAAE,IAAI,CACX,aAAa,CAAE,KAAK,CACrB,AAIL,AACE,qBADmB,CACnB,qBAAqB,AAAC,CACpB,KAAK,CAAE,KAAK,CACb,AAGH,AAAA,mBAAmB,AAAC,CAClB,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,IAAI,CAyCjB,AA3CD,AAGE,mBAHiB,CAGjB,KAAK,AAAC,CACJ,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,IAAI,CACb,SAAS,CAAE,IAAI,CACf,eAAe,CAAE,YAAY,CAC7B,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,MAAM,CACd,eAAe,CAAE,IAAI,CACrB,UAAU,CAAE,MAAM,CA+BnB,AA1CH,AAaI,mBAbe,CAGjB,KAAK,CAUH,EAAE,AAAC,CACD,OAAO,CAAE,YAAY,CACrB,cAAc,CAAE,GAAG,CACnB,MAAM,CAAE,cAAc,CAyBvB,AAzCL,AAiBM,mBAjBa,CAGjB,KAAK,CAUH,EAAE,CAIA,KAAK,AAAA,QAAQ,CAAG,GAAG,AAAC,CAClB,OAAO,CAAE,IAAI,CACd,AAnBP,AAoBM,mBApBa,CAGjB,KAAK,CAUH,EAAE,CAOA,YAAY,AAAC,CACX,UAAU,CAAE,CAAC,CAAC,CAAC,CAAC,CAAC,CAAC,GAAG,CGrJlB,IAAO,CHsJX,AAtBP,AAuBM,mBAvBa,CAGjB,KAAK,CAUH,EAAE,CAUA,GAAG,AAAC,CACF,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,QAAQ,CACf,AA1BP,AA2BM,mBA3Ba,CAGjB,KAAK,CAUH,EAAE,CAcA,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CAKd,AAjCP,AA6BQ,mBA7BW,CAGjB,KAAK,CAUH,EAAE,CAcA,WAAW,CAEL,CAAC,AAAC,CACJ,QAAQ,CAAE,QAAQ,CAClB,KAAK,CAAE,GAAG,CACX,AAhCT,AAkCM,mBAlCa,CAGjB,KAAK,CAUH,EAAE,CAqBA,MAAM,AAAC,CACL,UAAU,CAAE,gBAAgB,CAK7B,AAxCP,AAoCQ,mBApCW,CAGjB,KAAK,CAUH,EAAE,CAqBA,MAAM,AAEH,MAAM,AAAC,CACN,UAAU,CIhCV,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,gBAAmB,CJiC9B,MAAM,CAAE,OAAO,CAChB,AAMT,AAAA,cAAc,AAAC,CACb,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,EAAE,CACX,gBAAgB,CAAE,KAAK,CACvB,UAAU,CAAE,CAAC,CAAC,GAAG,CAAC,IAAI,CAAC,eAAkB,CACzC,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,UAAU,CAClB,OAAO,CAAE,CAAC,CACV,SAAS,CAAE,KAAK,CAChB,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,cAAc,CAuRvB,AAlSD,AAaE,cAbY,CAaZ,qBAAqB,AAAC,CACpB,MAAM,CAAE,KAAK,CACb,aAAa,CAAE,GAAG,CAKnB,AApBH,AAgBI,cAhBU,CAaZ,qBAAqB,CAGnB,CAAC,AAAC,CACA,eAAe,CAAE,IAAI,CACrB,KAAK,CAAE,OAAO,CACf,AAnBL,AAsBE,cAtBY,CAsBZ,uBAAuB,AAAC,CACtB,OAAO,CAAE,KAAK,CAKf,AA5BH,AAyBI,cAzBU,CAsBZ,uBAAuB,CAGrB,EAAE,AAAC,CACD,MAAM,CAAE,SAAS,CAClB,AA3BL,AA8BE,cA9BY,CA8BZ,wBAAwB,AAAC,CACvB,aAAa,CAAE,GAAG,CACnB,AAhCH,AAiCE,cAjCY,CAiCZ,mBAAmB,AAAC,CAClB,aAAa,CAAE,GAAG,CAClB,KAAK,CAAE,KAAK,CACb,AApCH,AAsCE,cAtCY,CAsCZ,cAAc,AAAC,CACb,UAAU,CAAE,cAAc,CAC1B,gBAAgB,CAAE,IAAI,CACtB,OAAO,CAAE,KAAK,CACf,AA1CH,AA4CE,cA5CY,CA4CZ,gBAAgB,AAAC,CACf,MAAM,CAAE,iBAAiB,CACzB,KAAK,CAAE,KAAK,CACZ,MAAM,CAAE,KAAK,CAkCd,AAjFH,AAiDI,cAjDU,CA4CZ,gBAAgB,CAKd,GAAG,AAAC,CACF,QAAQ,CAAE,QAAQ,CAClB,MAAM,CAAE,KAAK,CACd,AApDL,AAsDI,cAtDU,CA4CZ,gBAAgB,CAUd,MAAM,AAAC,CACL,UAAU,CAAE,KAAK,CACjB,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,EAAE,CACZ,AA1DL,AA4DI,cA5DU,CA4CZ,gBAAgB,CAgBd,MAAM,AAAC,CACL,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,UAAU,CACtB,OAAO,CAAE,EAAE,CACZ,AAhEL,AAkEI,cAlEU,CA4CZ,gBAAgB,CAsBd,IAAI,AAAC,CACH,QAAQ,CAAE,QAAQ,CAClB,SAAS,CIjMN,GAAG,CJkMN,cAAc,CAAE,UAAU,CAC1B,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,EAAE,CACX,IAAI,CAAE,KAAK,CACZ,AAzEL,AA2EI,cA3EU,CA4CZ,gBAAgB,CA+Bd,OAAO,AAAC,CACN,gBAAgB,CAAE,OAAO,CACzB,cAAc,CAAE,MAAM,CACtB,KAAK,CAAE,KAAK,CACZ,OAAO,CAAE,EAAE,CACZ,AAhFL,AAmFE,cAnFY,CAmFZ,YAAY,AAAC,CACX,YAAY,CAAE,GAAG,CACjB,eAAe,CAAE,IAAI,CACrB,KAAK,CAAE,OAAO,CACf,AAvFH,AAyFE,cAzFY,CAyFZ,WAAW,AAAC,CACV,aAAa,CAAE,GAAG,CAClB,SAAS,CIxNJ,GAAG,CJyNR,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,qBAAqB,CACjC,YAAY,CAAE,KAAK,CACnB,eAAe,CAAE,IAAI,CAErB,gBAAgB,CAAE,IAAI,CACtB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,eAAkB,CA+BzC,AAnIH,AAsGI,cAtGU,CAyFZ,WAAW,AAaR,MAAM,AAAC,CACN,OAAO,CAAE,YAAY,CACrB,SAAS,CIpOD,OAAQ,CJqOjB,AAzGL,AA2GI,cA3GU,CAyFZ,WAAW,AAkBR,MAAM,AAAC,CACN,gBAAgB,CAAE,IAAI,CACvB,AA7GL,AA+GI,cA/GU,CAyFZ,WAAW,AAsBR,OAAO,AAAC,CACP,gBAAgB,CAAE,IAAI,CACvB,AAjHL,AAmHI,cAnHU,CAyFZ,WAAW,AA0BR,SAAS,AAAC,CACT,gBAAgB,CAAE,IAAI,CACvB,AArHL,AAuHI,cAvHU,CAyFZ,WAAW,AA8BR,SAAS,AAAC,CACT,gBAAgB,CAAE,IAAI,CACvB,AAzHL,AA2HI,cA3HU,CAyFZ,WAAW,CAkCT,qBAAqB,AAAC,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,KAAK,CACjB,AA9HL,AA+HI,cA/HU,CAyFZ,WAAW,CAsCT,oBAAoB,AAAC,CACnB,YAAY,CAAE,MAAM,CACpB,SAAS,CAAE,KAAK,CACjB,AAlIL,AAqIE,cArIY,CAqIZ,WAAW,AAAA,QAAQ,AAAC,CAClB,gBAAgB,CAAE,OAAO,CACzB,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,eAAkB,CAazC,AArJH,AA0II,cA1IU,CAqIZ,WAAW,AAAA,QAAQ,AAKhB,MAAM,AAAC,CACN,gBAAgB,CAAE,OAAO,CAC1B,AA5IL,AA8II,cA9IU,CAqIZ,WAAW,AAAA,QAAQ,AAShB,OAAO,AAAC,CACP,gBAAgB,CAAE,OAAO,CAC1B,AAhJL,AAkJI,cAlJU,CAqIZ,WAAW,AAAA,QAAQ,AAahB,SAAS,AAAC,CACT,gBAAgB,CAAE,OAAO,CAC1B,AApJL,AAuJE,cAvJY,CAuJZ,WAAW,AAAA,OAAO,AAAC,CACjB,gBAAgB,CAAE,OAAO,CACzB,KAAK,CAAE,KAAK,CAab,AAtKH,AA2JI,cA3JU,CAuJZ,WAAW,AAAA,OAAO,AAIf,MAAM,AAAC,CACN,gBAAgB,CAAE,OAAO,CAC1B,AA7JL,AA+JI,cA/JU,CAuJZ,WAAW,AAAA,OAAO,AAQf,OAAO,AAAC,CACP,gBAAgB,CAAE,OAAO,CAC1B,AAjKL,AAmKI,cAnKU,CAuJZ,WAAW,AAAA,OAAO,AAYf,SAAS,AAAC,CACT,gBAAgB,CAAE,OAAO,CAC1B,AArKL,AAwKE,cAxKY,CAwKZ,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,YAAY,CAItB,AA9KH,AA2KI,cA3KU,CAwKZ,kBAAkB,CAGhB,GAAG,AAAC,CACF,WAAW,CAAE,KAAK,CACnB,AA7KL,AAgLE,cAhLY,CAgLZ,2BAA2B,AAAC,CAC1B,UAAU,CAAE,MAAM,CAClB,QAAQ,CAAE,QAAQ,CACnB,AAnLH,AAqLE,cArLY,CAqLZ,mBAAmB,AAAC,CAClB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CAkDpB,AA3OH,AA2LI,cA3LU,CAqLZ,mBAAmB,CAMjB,WAAW,AAAA,KAAK,AAAC,CACf,SAAS,CAAE,IAAI,CAMhB,AAlML,AA8LM,cA9LQ,CAqLZ,mBAAmB,CAMjB,WAAW,AAAA,KAAK,CAGd,qBAAqB,AAAC,CACpB,WAAW,CAAE,MAAM,CACnB,SAAS,CAAE,KAAK,CACjB,AAjMP,AAoMI,cApMU,CAqLZ,mBAAmB,CAejB,WAAW,AAAA,KAAK,AAAC,CACf,gBAAgB,CAAE,IAAI,CACtB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,CAAC,CAAC,GAAG,CAAC,GAAG,CAAC,eAAkB,CAazC,AApNL,AAyMM,cAzMQ,CAqLZ,mBAAmB,CAejB,WAAW,AAAA,KAAK,AAKb,MAAM,AAAC,CACN,gBAAgB,CAAE,IAAI,CACvB,AA3MP,AA6MM,cA7MQ,CAqLZ,mBAAmB,CAejB,WAAW,AAAA,KAAK,AASb,OAAO,AAAC,CACP,gBAAgB,CAAE,IAAI,CACvB,AA/MP,AAiNM,cAjNQ,CAqLZ,mBAAmB,CAejB,WAAW,AAAA,KAAK,AAab,SAAS,AAAC,CACT,gBAAgB,CAAE,IAAI,CACvB,AAnNP,AAsNI,cAtNU,CAqLZ,mBAAmB,CAiCjB,MAAM,AAAA,WAAW,AAAA,WAAW,AAAC,CAC3B,YAAY,CAAE,CAAC,CAChB,AAxNL,AA0NI,cA1NU,CAqLZ,mBAAmB,CAqCjB,MAAM,AAAA,WAAW,AAAA,KAAK,CA1N1B,cAAc,CAqLZ,mBAAmB,CAsCjB,MAAM,AAAA,WAAW,AAAA,OAAO,AAAC,CACvB,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,OAAO,CAa1B,AA1OL,AA+NM,cA/NQ,CAqLZ,mBAAmB,CAqCjB,MAAM,AAAA,WAAW,AAAA,KAAK,AAKnB,MAAM,CA/Nb,cAAc,CAqLZ,mBAAmB,CAsCjB,MAAM,AAAA,WAAW,AAAA,OAAO,AAIrB,MAAM,AAAC,CACN,gBAAgB,CAAE,OAAO,CAC1B,AAjOP,AAmOM,cAnOQ,CAqLZ,mBAAmB,CAqCjB,MAAM,AAAA,WAAW,AAAA,KAAK,AASnB,OAAO,CAnOd,cAAc,CAqLZ,mBAAmB,CAsCjB,MAAM,AAAA,WAAW,AAAA,OAAO,AAQrB,OAAO,AAAC,CACP,gBAAgB,CAAE,OAAO,CAC1B,AArOP,AAuOM,cAvOQ,CAqLZ,mBAAmB,CAqCjB,MAAM,AAAA,WAAW,AAAA,KAAK,AAanB,SAAS,CAvOhB,cAAc,CAqLZ,mBAAmB,CAsCjB,MAAM,AAAA,WAAW,AAAA,OAAO,AAYrB,SAAS,AAAC,CACT,gBAAgB,CAAE,OAAO,CAC1B,AAzOP,AA6OE,cA7OY,CA6OZ,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACpB,AAlPH,AAoPE,cApPY,CAoPZ,qBAAqB,AAAC,CAiBpB,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,eAAe,CACxB,AAvQH,AAqPI,cArPU,CAoPZ,qBAAqB,CACnB,GAAG,AAAA,eAAe,AAAC,CACjB,UAAU,CAAE,IAAI,CACjB,AAvPL,AAwPI,cAxPU,CAoPZ,qBAAqB,CAInB,GAAG,AAAA,qBAAqB,AAAC,CACvB,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CAChB,AA3PL,AA4PI,cA5PU,CAoPZ,qBAAqB,CAQnB,GAAG,AAAA,kBAAkB,AAAC,CACpB,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CAChB,AA/PL,AAgQI,cAhQU,CAoPZ,qBAAqB,CAYnB,GAAG,AAAA,2BAA2B,AAAC,CAC7B,UAAU,CAAE,IAAI,CAChB,SAAS,CAAE,IAAI,CAChB,AAnQL,AAyQE,cAzQY,CAyQZ,aAAa,AAAC,CAuBZ,aAAa,CAAE,GAAG,CACnB,AAjSH,AA0QI,cA1QU,CAyQZ,aAAa,CACX,KAAK,CAAC,YAAY,AAAC,CACjB,WAAW,CAAE,IAAI,CAClB,AA5QL,AA8QI,cA9QU,CAyQZ,aAAa,CAKX,WAAW,AAAC,CACV,UAAU,CAAE,KAAK,CAClB,AAhRL,AAkRI,cAlRU,CAyQZ,aAAa,CASX,wBAAwB,AAAC,CACvB,KAAK,CAAE,GAAG,CACV,WAAW,CAAE,IAAI,CAClB,AArRL,AAuRI,cAvRU,CAyQZ,aAAa,CAcX,kBAAkB,AAAC,CACjB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,KAAK,CAKlB,AA9RL,AA2RM,cA3RQ,CAyQZ,aAAa,CAcX,kBAAkB,CAIhB,CAAC,AAAC,CACA,KAAK,CAAE,OAAO,CACf,AAOP,AACE,mCADiC,CACjC,aAAa,CAAC,WAAW,AAAC,CACxB,UAAU,CAAE,CAAC,CACd,AAHH,AAKE,mCALiC,CAKjC,eAAe,AAAC,CACd,OAAO,CAAE,IAAI,CAUd,AAhBH,AAOI,mCAP+B,CAKjC,eAAe,CAEb,CAAC,AAAA,mBAAmB,AAAC,CACnB,UAAU,CAAE,OAAO,CACnB,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,OAAO,CACf,KAAK,CAAE,GAAG,CAIX,AAfL,AAYM,mCAZ6B,CAKjC,eAAe,CAEb,CAAC,AAAA,mBAAmB,AAKjB,MAAM,AAAC,CACN,UAAU,CAAE,OAAO,CACpB,AAKP,AACE,eADa,CACb,QAAQ,AAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACb,AAJH,AAOI,eAPW,AAMZ,QAAQ,CACP,QAAQ,AAAC,CACP,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,aAAa,CACtB,AAIL,AACE,WADS,CACT,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACX,SAAS,CItcD,QAAQ,CJuchB,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,cAAc,CACtB,UAAU,CAAE,iBAAiB,CAC9B,AAPH,AAUI,WAVO,AASR,QAAQ,CACP,KAAK,AAAC,CACJ,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,aAAa,CACtB,AAIL,AAAA,mBAAmB,AAAC,CAClB,aAAa,CAAE,MAAM,CAetB,AAhBD,AAGE,mBAHiB,CAGjB,KAAK,AAAC,CACJ,OAAO,CAAE,CAAC,CACX,AALH,AAOE,mBAPiB,CAOjB,YAAY,AAAC,CACX,WAAW,CAAE,IAAI,CACjB,WAAW,CAAE,KAAK,CACnB,AAVH,AAWE,mBAXiB,CAWjB,kBAAkB,AAAC,CACjB,UAAU,CAAE,MAAM,CAClB,WAAW,CAAE,MAAM,CACnB,KAAK,CAAE,IAAI,CACZ,AAGH,AACE,YADU,CACV,WAAW,AAAC,CACV,aAAa,CAAE,GAAG,CAgBnB,AAlBH,AAII,YAJQ,CACV,WAAW,CAGT,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,eAAe,CAAE,aAAa,CAC9B,aAAa,CAAE,GAAG,CASnB,AAjBL,AAUM,YAVM,CACV,WAAW,CAGT,iBAAiB,CAMf,MAAM,AAAC,CACL,KAAK,CAAE,KAAK,CACb,AAZP,AAcM,YAdM,CACV,WAAW,CAGT,iBAAiB,CAUf,KAAK,AAAC,CACJ,KAAK,CAAE,KAAK,CACb,AAhBP,AAoBE,YApBU,CAoBV,SAAS,AAAC,CACR,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,eAAe,CAAE,aAAa,CAC9B,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,GAAG,CAKnB,AA9BH,AA2BI,YA3BQ,CAoBV,SAAS,CAOP,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACb,AA7BL,AAiCI,YAjCQ,CAgCV,MAAM,AAAA,SAAS,CACb,GAAG,AAAC,CACF,YAAY,CAAE,KAAK,CACpB,AAKL,MAAM,MAAM,MAAM,MAAM,gBAAgB,EAAE,KAAK,EAC7C,AAAA,EAAE,AAAC,CACD,SAAS,CIjhBD,QAAQ,CJihBM,UAAU,CACjC,AACD,AAAA,cAAc,AAAC,CACb,MAAM,CAAE,eAAe,CACxB,AACD,AAAA,iBAAiB,AAAC,CAChB,UAAU,CAAE,IAAI,CACjB,AACD,AAAA,qBAAqB,AAAC,CACpB,MAAM,CAAE,eAAe,CACxB,AACD,AAAA,mBAAmB,AAAC,CAClB,KAAK,CAAE,eAAe,CACtB,aAAa,CAAE,cAAc,CAC9B,AACD,AAAA,mBAAmB,AAAC,CAClB,OAAO,CAAE,gBAAgB,CAC1B,AACD,AAAA,gBAAgB,AAAC,CACf,aAAa,CAAE,eAAe,CAC/B,AACD,AAAA,eAAe,AAAC,CACd,UAAU,CAAE,gBAAgB,CAC7B,AACD,AAAA,cAAc,AAAC,CACb,OAAO,CAAE,eAAe,CACzB,AACD,AAAA,wBAAwB,AAAC,CACvB,aAAa,CAAE,cAAc,CAC9B,AACD,AAAA,uBAAuB,AAAC,CACtB,OAAO,CAAE,cAAc,CACxB,AACD,AAEI,mCAF+B,CACjC,eAAe,CACb,CAAC,AAAA,mBAAmB,AAAC,CACnB,KAAK,CAAE,KAAK,CAKb,AARL,AAIM,mCAJ6B,CACjC,eAAe,CACb,CAAC,AAAA,mBAAmB,AAEjB,UAAW,CAAA,CAAC,EAJnB,mCAAmC,CACjC,eAAe,CACb,CAAC,AAAA,mBAAmB,AAGjB,UAAW,CAAA,CAAC,CAAE,CACb,OAAO,CAAE,IAAI,CACd,AAIP,AAAA,cAAc,CAAC,GAAG,AAAC,CACjB,KAAK,CAAE,eAAe,CACtB,MAAM,CAAE,eAAe,CACxB,AACD,AAAA,YAAY,CAAC,SAAS,AAAC,CACrB,cAAc,CAAE,iBAAiB,CACjC,WAAW,CAAE,kBAAkB,CAChC,AACD,AAAA,YAAY,CAAC,SAAS,CAAC,aAAa,AAAC,CACnC,KAAK,CAAE,eAAe,CACtB,aAAa,CAAE,cAAc,CAC9B,AACD,AAAA,YAAY,CAAC,SAAS,AAAC,CACrB,UAAU,CAAE,cAAc,CAC3B,AAED,AAAA,MAAM,AAAC,CACL,SAAS,CAAE,KAAK,CACjB,AAED,AAEE,kBAFgB,CAEhB,MAAM,CADR,kBAAkB,CAChB,MAAM,AAAC,CACL,SAAS,CAAE,KAAK,CACjB"\n}
24	discourse-details	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	details{position:relative}details>*,details .lightbox-wrapper{display:none}details,summary{outline:none}summary:first-of-type{cursor:pointer;display:block}summary:before{content:"\\25BA";margin-right:0.25em}details[open]>*,details[open] .lightbox-wrapper{display:block}details[open]>summary:before,details.open>summary:before{content:"\\25BC"}details[open]>summary:first-of-type ~ *,details.open>summary:first-of-type ~ *{display:block}summary::-webkit-details-marker{display:none}.elided summary:before{content:"" !important;display:none}.elided summary{-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;display:flex;align-items:center;justify-content:center;text-align:center;box-sizing:border-box;margin:0;padding:0;color:#919191;background:#e9e9e9;border:1px solid #bdbdbd;width:1.5em;line-height:1}.elided summary:hover{color:#222;background:#bdbdbd;border-color:currentColor}\n\n/*# sourceMappingURL=discourse-details_8dd8907530e55eba0dabcfa8beb165c07e36c1d3.css.map */	2019-12-05 06:51:09.371201	2019-12-05 06:51:09.371201	-1	{\n\t"version": 3,\n\t"file": "theme_2.css",\n\t"sources": [\n\t\t"theme_2.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/discourse-details/assets/stylesheets/details.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"discourse-details\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"details {\\n  position: relative;\\n}\\n\\ndetails > *,\\ndetails .lightbox-wrapper {\\n  display: none;\\n}\\n\\ndetails,\\nsummary {\\n  outline: none;\\n}\\n\\nsummary:first-of-type {\\n  cursor: pointer;\\n  display: block;\\n}\\n\\nsummary:before {\\n  content: \\"\\\\25BA\\";\\n  margin-right: 0.25em;\\n}\\n\\ndetails[open] > *,\\ndetails[open] .lightbox-wrapper {\\n  display: block;\\n}\\n\\ndetails[open] > summary:before,\\ndetails.open > summary:before {\\n  content: \\"\\\\25BC\\";\\n}\\n\\ndetails[open] > summary:first-of-type ~ *,\\ndetails.open > summary:first-of-type ~ * {\\n  display: block;\\n}\\n\\n/* hide native indicator */\\nsummary::-webkit-details-marker {\\n  display: none;\\n}\\n\\n.elided {\\n  summary:before {\\n    content: \\"\\" !important;\\n    display: none;\\n  }\\n\\n  summary {\\n    @include unselectable;\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n    text-align: center;\\n    box-sizing: border-box;\\n    margin: 0;\\n    padding: 0;\\n    color: $primary-medium;\\n    background: $primary-low;\\n    border: 1px solid $primary-low-mid;\\n    width: 1.5em;\\n    line-height: 1;\\n  }\\n\\n  summary:hover {\\n    color: $primary;\\n    background: $primary-low-mid;\\n    border-color: currentColor;\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AAAA,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CACnB,AAED,AAAA,OAAO,CAAG,CAAC,CACX,OAAO,CAAC,iBAAiB,AAAC,CACxB,OAAO,CAAE,IAAI,CACd,AAED,AAAA,OAAO,CACP,OAAO,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AAED,AAAA,OAAO,AAAA,cAAc,AAAC,CACpB,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,KAAK,CACf,AAED,AAAA,OAAO,AAAA,OAAO,AAAC,CACb,OAAO,CAAE,OAAO,CAChB,YAAY,CAAE,MAAM,CACrB,AAED,AAAA,OAAO,CAAA,AAAA,IAAC,AAAA,EAAQ,CAAC,CACjB,OAAO,CAAA,AAAA,IAAC,AAAA,EAAM,iBAAiB,AAAC,CAC9B,OAAO,CAAE,KAAK,CACf,AAED,AAAA,OAAO,CAAA,AAAA,IAAC,AAAA,EAAQ,OAAO,AAAA,OAAO,CAC9B,OAAO,AAAA,KAAK,CAAG,OAAO,AAAA,OAAO,AAAC,CAC5B,OAAO,CAAE,OAAO,CACjB,AAED,AAAA,OAAO,CAAA,AAAA,IAAC,AAAA,EAAQ,OAAO,AAAA,cAAc,GAAG,CAAC,CACzC,OAAO,AAAA,KAAK,CAAG,OAAO,AAAA,cAAc,GAAG,CAAC,AAAC,CACvC,OAAO,CAAE,KAAK,CACf,AAGD,AAAA,OAAO,AAAA,wBAAwB,AAAC,CAC9B,OAAO,CAAE,IAAI,CACd,AAED,AACE,OADK,CACL,OAAO,AAAA,OAAO,AAAC,CACb,OAAO,CAAE,aAAa,CACtB,OAAO,CAAE,IAAI,CACd,AAJH,AAME,OANK,CAML,OAAO,AAAC,CDqBR,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CCzBvB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,MAAM,CACvB,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,UAAU,CACtB,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,KAAK,CLuIG,OAAoD,CKtI5D,UAAU,CLsIF,OAAoD,CKrI5D,MAAM,CAAE,GAAG,CAAC,KAAK,CLqIT,OAAoD,CKpI5D,KAAK,CAAE,KAAK,CACZ,WAAW,CAAE,CAAC,CACf,AApBH,AAsBE,OAtBK,CAsBL,OAAO,AAAA,MAAM,AAAC,CACZ,KAAK,CJnEC,IAAO,CIoEb,UAAU,CL8HF,OAAoD,CK7H5D,YAAY,CAAE,YAAY,CAC3B"\n}
25	discourse-local-dates	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	.discourse-local-date.cooked-date{color:#222;cursor:pointer;border-bottom:1px dashed #919191;white-space:nowrap}.discourse-local-date.cooked-date .d-icon{color:#222}.discourse-local-date.cooked-date.past{border-bottom-color:#bdbdbd}.discourse-local-date.cooked-date.past[data-countdown]{color:#919191}#d-popover .locale-dates-previews{max-width:360px}#d-popover .locale-dates-previews .preview{display:flex;flex-direction:column;padding:5px}#d-popover .locale-dates-previews .preview .timezone{font-weight:700}#d-popover .locale-dates-previews .preview.current{background:#d1f0ff}.discourse-local-dates-create-modal-footer{display:flex;align-items:center;justify-content:flex-start}.discourse-local-dates-create-modal-footer:before,.discourse-local-dates-create-modal-footer:after{content:none}.discourse-local-dates-create-modal-footer .cancel-action{margin:0 5px 5px 0}.discourse-local-dates-create-modal-footer .btn+.cancel-action{margin-left:1em}.discourse-local-dates-create-modal-footer .advanced-mode-btn{margin-left:auto}.discourse-local-dates-create-modal{min-height:320px;display:flex;flex-direction:row;padding:0.5em}.discourse-local-dates-create-modal .picker-panel{padding:5px;border:1px solid #e9e9e9}.discourse-local-dates-create-modal .date-picker{display:flex;flex-direction:column;width:auto;box-sizing:border-box}.discourse-local-dates-create-modal .date-picker .pika-single{position:relative !important;flex:1;display:flex;border:0}.discourse-local-dates-create-modal .form{flex:1 0 0px}.discourse-local-dates-create-modal .form label{font-weight:700}.discourse-local-dates-create-modal .form .date-time-configuration{display:flex}.discourse-local-dates-create-modal .form .date-time-configuration .fake-input{display:none}.discourse-local-dates-create-modal .form .date-time-configuration .timezone-input{width:100%}.discourse-local-dates-create-modal .form .date-time-configuration .timezone-input.is-expanded .select-kit-header{border:1px solid #919191}.discourse-local-dates-create-modal .form .date-time-configuration .timezone-input .select-kit-header{padding:0.5em 0.5em;border:1px solid #e9e9e9}.discourse-local-dates-create-modal .form .date-time-configuration .timezone-input .select-kit-header .d-icon{margin-right:1em}.discourse-local-dates-create-modal .form .date-time-configuration .timezone-input .select-kit-header .caret-icon{margin-right:0}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control{position:relative;display:flex;border:1px solid #e9e9e9}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.is-filled .date-time,.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.is-selected .date-time{color:#222;background:#fff}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.is-filled .d-icon,.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.is-selected .d-icon{color:#646464}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.from{border-radius:5px 5px 0 0}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.from .date-time{border-radius:5px 5px 0 0}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.from.is-selected{border-color:#08c}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.to{border-radius:0 0 5px 5px;margin-bottom:1em}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.to .date-time{border-radius:0 0 5px 5px;padding-right:3em}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control.to.is-selected{border-color:#08c}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control .date-time{color:#919191;background:#f8f8f8}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control .d-icon{position:absolute;margin-top:auto;margin-bottom:auto;left:0.5em;top:0;bottom:0;color:#919191}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control .delete-to-date{position:absolute;margin-top:auto;margin-bottom:auto;right:0;width:30px;top:0;bottom:0;color:#646464;border-radius:0 0 5px 0}.discourse-local-dates-create-modal .form .date-time-configuration .date-time-control .date-time{padding:1em 0.5em 1em 2em;border:0;outline:none;flex:1;overflow:hidden;white-space:nowrap;text-overflow:ellipsis;width:100%;text-align:left}.discourse-local-dates-create-modal .form .date-time-configuration .inputs-panel{flex:1}.discourse-local-dates-create-modal .form .date-time-configuration .picker-panel{z-index:1;background:#fff;width:200px;box-sizing:border-box;margin-left:1em}.discourse-local-dates-create-modal .form .date-time-configuration .time-pickers{display:flex;justify-content:center;flex:1;margin-top:1em;align-items:center;padding:0.25em;border-top:1px solid #bdbdbd;box-sizing:border-box}.discourse-local-dates-create-modal .form .date-time-configuration .time-pickers .d-icon{color:#919191}.discourse-local-dates-create-modal .form .date-time-configuration .time-pickers .time-picker{outline:none;box-shadow:none;margin:0;box-sizing:border-box;width:100%;border:0}.discourse-local-dates-create-modal .form .preview{text-align:center;margin-top:0;margin-bottom:0.5em;display:flex;align-items:center;padding:0.5em;flex-wrap:wrap}.discourse-local-dates-create-modal .form .preview b{margin-right:0.5em}.discourse-local-dates-create-modal .form .preview b+p{margin:0;display:inline-block}.discourse-local-dates-create-modal .form .recurrence .recurrence-input{width:300px}.discourse-local-dates-create-modal .validation-error{margin-bottom:0.5em}.discourse-local-dates-create-modal .format .format-input{width:280px}.discourse-local-dates-create-modal .formats{list-style:none;padding:0;margin:0}.discourse-local-dates-create-modal .formats .format .previewed-format{color:#919191}.discourse-local-dates-create-modal .control-group.recurrence,.discourse-local-dates-create-modal .control-group.format,.discourse-local-dates-create-modal .control-group.timezones{margin-top:1em}.discourse-local-dates-create-modal .timezones-input{width:99%}html:not(.mobile-view) .fixed-modal .discourse-local-dates-create-modal.modal-body{width:600px;max-height:400px !important}html.mobile-view .fixed-modal .discourse-local-dates-create-modal.modal-body{max-height:400px !important}html.mobile-view .fixed-modal .discourse-local-dates-create-modal.modal-body .date-time-configuration{flex-direction:column}html.mobile-view .fixed-modal .discourse-local-dates-create-modal.modal-body .picker-panel{width:100%;margin:0 0 1em 0}html.mobile-view .fixed-modal .discourse-local-dates-create-modal.modal-body .picker-panel .pika-single{justify-content:center}html.mobile-view .fixed-modal .discourse-local-dates-create-modal.modal-body .time-picker{padding-top:6px}\n\n/*# sourceMappingURL=discourse-local-dates_8dd8907530e55eba0dabcfa8beb165c07e36c1d3.css.map */	2019-12-05 06:51:09.400431	2019-12-05 06:51:09.400431	-1	{\n\t"version": 3,\n\t"file": "theme_2.css",\n\t"sources": [\n\t\t"theme_2.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/discourse-local-dates/assets/stylesheets/common/discourse-local-dates.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"discourse-local-dates\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t".discourse-local-date {\\n  &.cooked-date {\\n    color: $primary;\\n    cursor: pointer;\\n    border-bottom: 1px dashed $primary-medium;\\n    white-space: nowrap;\\n\\n    .d-icon {\\n      color: $primary;\\n    }\\n\\n    &.past {\\n      border-bottom-color: $primary-low-mid;\\n    }\\n\\n    &.past[data-countdown] {\\n      color: $primary-medium;\\n    }\\n  }\\n}\\n\\n#d-popover {\\n  .locale-dates-previews {\\n    max-width: 360px;\\n    .preview {\\n      display: flex;\\n      flex-direction: column;\\n      padding: 5px;\\n\\n      .timezone {\\n        font-weight: 700;\\n      }\\n\\n      &.current {\\n        background: $tertiary-low;\\n      }\\n    }\\n  }\\n}\\n\\n.discourse-local-dates-create-modal-footer {\\n  display: flex;\\n  align-items: center;\\n  justify-content: flex-start;\\n\\n  &:before,\\n  &:after {\\n    content: none;\\n  }\\n\\n  .cancel-action {\\n    margin: 0 5px 5px 0;\\n  }\\n\\n  .btn + .cancel-action {\\n    margin-left: 1em;\\n  }\\n\\n  .advanced-mode-btn {\\n    margin-left: auto;\\n  }\\n}\\n\\n.discourse-local-dates-create-modal {\\n  min-height: 320px;\\n  display: flex;\\n  flex-direction: row;\\n  padding: 0.5em;\\n\\n  .picker-panel {\\n    padding: 5px;\\n    border: 1px solid $primary-low;\\n  }\\n\\n  .date-picker {\\n    display: flex;\\n    flex-direction: column;\\n    width: auto;\\n    box-sizing: border-box;\\n\\n    .pika-single {\\n      position: relative !important;\\n      flex: 1;\\n      display: flex;\\n      border: 0;\\n    }\\n  }\\n\\n  .form {\\n    flex: 1 0 0px;\\n\\n    label {\\n      font-weight: 700;\\n    }\\n\\n    .date-time-configuration {\\n      display: flex;\\n\\n      .fake-input {\\n        display: none;\\n      }\\n\\n      .timezone-input {\\n        width: 100%;\\n\\n        &.is-expanded {\\n          .select-kit-header {\\n            border: 1px solid $primary-medium;\\n          }\\n        }\\n\\n        .select-kit-header {\\n          padding: 0.5em 0.5em;\\n          border: 1px solid $primary-low;\\n\\n          .d-icon {\\n            margin-right: 1em;\\n          }\\n\\n          .caret-icon {\\n            margin-right: 0;\\n          }\\n        }\\n      }\\n\\n      .date-time-control {\\n        position: relative;\\n        display: flex;\\n        border: 1px solid $primary-low;\\n\\n        &.is-filled,\\n        &.is-selected {\\n          .date-time {\\n            color: $primary;\\n            background: $secondary;\\n          }\\n\\n          .d-icon {\\n            color: $primary-high;\\n          }\\n        }\\n\\n        &.from {\\n          border-radius: 5px 5px 0 0;\\n\\n          .date-time {\\n            border-radius: 5px 5px 0 0;\\n          }\\n\\n          &.is-selected {\\n            border-color: $tertiary;\\n          }\\n        }\\n\\n        &.to {\\n          border-radius: 0 0 5px 5px;\\n          margin-bottom: 1em;\\n\\n          .date-time {\\n            border-radius: 0 0 5px 5px;\\n            padding-right: 3em;\\n          }\\n\\n          &.is-selected {\\n            border-color: $tertiary;\\n          }\\n        }\\n\\n        .date-time {\\n          color: $primary-medium;\\n          background: $primary-very-low;\\n        }\\n\\n        .d-icon {\\n          position: absolute;\\n          margin-top: auto;\\n          margin-bottom: auto;\\n          left: 0.5em;\\n          top: 0;\\n          bottom: 0;\\n          color: $primary-medium;\\n        }\\n\\n        .delete-to-date {\\n          position: absolute;\\n          margin-top: auto;\\n          margin-bottom: auto;\\n          right: 0;\\n          width: 30px;\\n          top: 0;\\n          bottom: 0;\\n          color: $primary-high;\\n          border-radius: 0 0 5px 0;\\n        }\\n\\n        .date-time {\\n          padding: 1em 0.5em 1em 2em;\\n          border: 0;\\n          outline: none;\\n          flex: 1;\\n          @include ellipsis;\\n          width: 100%;\\n          text-align: left;\\n        }\\n      }\\n\\n      .inputs-panel {\\n        flex: 1;\\n      }\\n\\n      .picker-panel {\\n        z-index: 1;\\n        background: $secondary;\\n        width: 200px;\\n        box-sizing: border-box;\\n        margin-left: 1em;\\n      }\\n\\n      .time-pickers {\\n        display: flex;\\n        justify-content: center;\\n        flex: 1;\\n        margin-top: 1em;\\n        align-items: center;\\n        padding: 0.25em;\\n        border-top: 1px solid $primary-low-mid;\\n        box-sizing: border-box;\\n\\n        .d-icon {\\n          color: $primary-medium;\\n        }\\n\\n        .time-picker {\\n          outline: none;\\n          box-shadow: none;\\n          margin: 0;\\n          box-sizing: border-box;\\n          width: 100%;\\n          border: 0;\\n        }\\n      }\\n    }\\n\\n    .preview {\\n      text-align: center;\\n      margin-top: 0;\\n      margin-bottom: 0.5em;\\n      display: flex;\\n      align-items: center;\\n      padding: 0.5em;\\n      flex-wrap: wrap;\\n\\n      b {\\n        margin-right: 0.5em;\\n      }\\n\\n      b + p {\\n        margin: 0;\\n        display: inline-block;\\n      }\\n    }\\n\\n    .recurrence {\\n      .recurrence-input {\\n        width: 300px;\\n      }\\n    }\\n  }\\n\\n  .validation-error {\\n    margin-bottom: 0.5em;\\n  }\\n\\n  .format {\\n    .format-input {\\n      width: 280px;\\n    }\\n  }\\n\\n  .formats {\\n    list-style: none;\\n    padding: 0;\\n    margin: 0;\\n    .format {\\n      .previewed-format {\\n        color: $primary-medium;\\n      }\\n    }\\n  }\\n\\n  .control-group.recurrence,\\n  .control-group.format,\\n  .control-group.timezones {\\n    margin-top: 1em;\\n  }\\n\\n  .timezones-input {\\n    width: 99%;\\n  }\\n}\\n\\nhtml:not(.mobile-view) {\\n  .fixed-modal .discourse-local-dates-create-modal.modal-body {\\n    width: 600px;\\n    max-height: 400px !important;\\n  }\\n}\\n\\nhtml.mobile-view {\\n  .fixed-modal .discourse-local-dates-create-modal.modal-body {\\n    max-height: 400px !important;\\n\\n    .date-time-configuration {\\n      flex-direction: column;\\n    }\\n\\n    .picker-panel {\\n      width: 100%;\\n      margin: 0 0 1em 0;\\n\\n      .pika-single {\\n        justify-content: center;\\n      }\\n    }\\n\\n    .time-picker {\\n      padding-top: 6px;\\n    }\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AACE,qBADmB,AAClB,YAAY,AAAC,CACZ,KAAK,CJFC,IAAO,CIGb,MAAM,CAAE,OAAO,CACf,aAAa,CAAE,GAAG,CAAC,MAAM,CL8LjB,OAAoD,CK7L5D,WAAW,CAAE,MAAM,CAapB,AAlBH,AAOI,qBAPiB,AAClB,YAAY,CAMX,OAAO,AAAC,CACN,KAAK,CJRD,IAAO,CISZ,AATL,AAWI,qBAXiB,AAClB,YAAY,AAUV,KAAK,AAAC,CACL,mBAAmB,CLsLb,OAAoD,CKrL3D,AAbL,AAeI,qBAfiB,AAClB,YAAY,AAcV,KAAK,CAAA,AAAA,cAAC,AAAA,CAAgB,CACrB,KAAK,CLkLC,OAAoD,CKjL3D,AAIL,AACE,UADQ,CACR,sBAAsB,AAAC,CACrB,SAAS,CAAE,KAAK,CAcjB,AAhBH,AAGI,UAHM,CACR,sBAAsB,CAEpB,QAAQ,AAAC,CACP,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,GAAG,CASb,AAfL,AAQM,UARI,CACR,sBAAsB,CAEpB,QAAQ,CAKN,SAAS,AAAC,CACR,WAAW,CAAE,GAAG,CACjB,AAVP,AAYM,UAZI,CACR,sBAAsB,CAEpB,QAAQ,AASL,QAAQ,AAAC,CACR,UAAU,CLgKN,OAAoD,CK/JzD,AAKP,AAAA,0CAA0C,AAAC,CACzC,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,eAAe,CAAE,UAAU,CAkB5B,AArBD,AAKE,0CALwC,AAKvC,OAAO,CALV,0CAA0C,AAMvC,MAAM,AAAC,CACN,OAAO,CAAE,IAAI,CACd,AARH,AAUE,0CAVwC,CAUxC,cAAc,AAAC,CACb,MAAM,CAAE,WAAW,CACpB,AAZH,AAcE,0CAdwC,CAcxC,IAAI,CAAG,cAAc,AAAC,CACpB,WAAW,CAAE,GAAG,CACjB,AAhBH,AAkBE,0CAlBwC,CAkBxC,kBAAkB,AAAC,CACjB,WAAW,CAAE,IAAI,CAClB,AAGH,AAAA,mCAAmC,AAAC,CAClC,UAAU,CAAE,KAAK,CACjB,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,GAAG,CACnB,OAAO,CAAE,KAAK,CAwOf,AA5OD,AAME,mCANiC,CAMjC,aAAa,AAAC,CACZ,OAAO,CAAE,GAAG,CACZ,MAAM,CAAE,GAAG,CAAC,KAAK,CL2HT,OAAoD,CK1H7D,AATH,AAWE,mCAXiC,CAWjC,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,cAAc,CAAE,MAAM,CACtB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CAQvB,AAvBH,AAiBI,mCAjB+B,CAWjC,YAAY,CAMV,YAAY,AAAC,CACX,QAAQ,CAAE,mBAAmB,CAC7B,IAAI,CAAE,CAAC,CACP,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CACV,AAtBL,AAyBE,mCAzBiC,CAyBjC,KAAK,AAAC,CACJ,IAAI,CAAE,OAAO,CAkLd,AA5MH,AA4BI,mCA5B+B,CAyBjC,KAAK,CAGH,KAAK,AAAC,CACJ,WAAW,CAAE,GAAG,CACjB,AA9BL,AAgCI,mCAhC+B,CAyBjC,KAAK,CAOH,wBAAwB,AAAC,CACvB,OAAO,CAAE,IAAI,CAiJd,AAlLL,AAmCM,mCAnC6B,CAyBjC,KAAK,CAOH,wBAAwB,CAGtB,WAAW,AAAC,CACV,OAAO,CAAE,IAAI,CACd,AArCP,AAuCM,mCAvC6B,CAyBjC,KAAK,CAOH,wBAAwB,CAOtB,eAAe,AAAC,CACd,KAAK,CAAE,IAAI,CAoBZ,AA5DP,AA2CU,mCA3CyB,CAyBjC,KAAK,CAOH,wBAAwB,CAOtB,eAAe,AAGZ,YAAY,CACX,kBAAkB,AAAC,CACjB,MAAM,CAAE,GAAG,CAAC,KAAK,CLuFjB,OAAoD,CKtFrD,AA7CX,AAgDQ,mCAhD2B,CAyBjC,KAAK,CAOH,wBAAwB,CAOtB,eAAe,CASb,kBAAkB,AAAC,CACjB,OAAO,CAAE,WAAW,CACpB,MAAM,CAAE,GAAG,CAAC,KAAK,CLiFf,OAAoD,CKxEvD,AA3DT,AAoDU,mCApDyB,CAyBjC,KAAK,CAOH,wBAAwB,CAOtB,eAAe,CASb,kBAAkB,CAIhB,OAAO,AAAC,CACN,YAAY,CAAE,GAAG,CAClB,AAtDX,AAwDU,mCAxDyB,CAyBjC,KAAK,CAOH,wBAAwB,CAOtB,eAAe,CASb,kBAAkB,CAQhB,WAAW,AAAC,CACV,YAAY,CAAE,CAAC,CAChB,AA1DX,AA8DM,mCA9D6B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAAC,CACjB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CLkEb,OAAoD,CKUzD,AA7IP,AAqEU,mCArEyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAKf,UAAU,CAET,UAAU,CArEpB,mCAAmC,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAMf,YAAY,CACX,UAAU,AAAC,CACT,KAAK,CJrIP,IAAO,CIsIL,UAAU,CJrIV,IAAO,CIsIR,AAxEX,AA0EU,mCA1EyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAKf,UAAU,CAOT,OAAO,CA1EjB,mCAAmC,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAMf,YAAY,CAMX,OAAO,AAAC,CACN,KAAK,CLwDL,OAAoD,CKvDrD,AA5EX,AA+EQ,mCA/E2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAiBf,KAAK,AAAC,CACL,aAAa,CAAE,WAAW,CAS3B,AAzFT,AAkFU,mCAlFyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAiBf,KAAK,CAGJ,UAAU,AAAC,CACT,aAAa,CAAE,WAAW,CAC3B,AApFX,AAsFU,mCAtFyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AAiBf,KAAK,AAOH,YAAY,AAAC,CACZ,YAAY,CJpJb,IAAO,CIqJP,AAxFX,AA2FQ,mCA3F2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AA6Bf,GAAG,AAAC,CACH,aAAa,CAAE,WAAW,CAC1B,aAAa,CAAE,GAAG,CAUnB,AAvGT,AA+FU,mCA/FyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AA6Bf,GAAG,CAIF,UAAU,AAAC,CACT,aAAa,CAAE,WAAW,CAC1B,aAAa,CAAE,GAAG,CACnB,AAlGX,AAoGU,mCApGyB,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,AA6Bf,GAAG,AASD,YAAY,AAAC,CACZ,YAAY,CJlKb,IAAO,CImKP,AAtGX,AAyGQ,mCAzG2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,CA2ChB,UAAU,AAAC,CACT,KAAK,CLyBH,OAAoD,CKxBtD,UAAU,CLwBR,OAAoD,CKvBvD,AA5GT,AA8GQ,mCA9G2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,CAgDhB,OAAO,AAAC,CACN,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,IAAI,CAAE,KAAK,CACX,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,KAAK,CLcH,OAAoD,CKbvD,AAtHT,AAwHQ,mCAxH2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,CA0DhB,eAAe,AAAC,CACd,QAAQ,CAAE,QAAQ,CAClB,UAAU,CAAE,IAAI,CAChB,aAAa,CAAE,IAAI,CACnB,KAAK,CAAE,CAAC,CACR,KAAK,CAAE,IAAI,CACX,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,KAAK,CLGH,OAAoD,CKFtD,aAAa,CAAE,SAAS,CACzB,AAlIT,AAoIQ,mCApI2B,CAyBjC,KAAK,CAOH,wBAAwB,CA8BtB,kBAAkB,CAsEhB,UAAU,AAAC,CACT,OAAO,CAAE,iBAAiB,CAC1B,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,IAAI,CACb,IAAI,CAAE,CAAC,CD3If,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,MAAM,CACnB,aAAa,CAAE,QAAQ,CC2If,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,IAAI,CACjB,AA5IT,AA+IM,mCA/I6B,CAyBjC,KAAK,CAOH,wBAAwB,CA+GtB,aAAa,AAAC,CACZ,IAAI,CAAE,CAAC,CACR,AAjJP,AAmJM,mCAnJ6B,CAyBjC,KAAK,CAOH,wBAAwB,CAmHtB,aAAa,AAAC,CACZ,OAAO,CAAE,CAAC,CACV,UAAU,CJnNN,IAAO,CIoNX,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,UAAU,CACtB,WAAW,CAAE,GAAG,CACjB,AAzJP,AA2JM,mCA3J6B,CAyBjC,KAAK,CAOH,wBAAwB,CA2HtB,aAAa,AAAC,CACZ,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,MAAM,CACvB,IAAI,CAAE,CAAC,CACP,UAAU,CAAE,GAAG,CACf,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,MAAM,CACf,UAAU,CAAE,GAAG,CAAC,KAAK,CL/BjB,OAAoD,CKgCxD,UAAU,CAAE,UAAU,CAcvB,AAjLP,AAqKQ,mCArK2B,CAyBjC,KAAK,CAOH,wBAAwB,CA2HtB,aAAa,CAUX,OAAO,AAAC,CACN,KAAK,CLnCH,OAAoD,CKoCvD,AAvKT,AAyKQ,mCAzK2B,CAyBjC,KAAK,CAOH,wBAAwB,CA2HtB,aAAa,CAcX,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACb,UAAU,CAAE,IAAI,CAChB,MAAM,CAAE,CAAC,CACT,UAAU,CAAE,UAAU,CACtB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,CAAC,CACV,AAhLT,AAoLI,mCApL+B,CAyBjC,KAAK,CA2JH,QAAQ,AAAC,CACP,UAAU,CAAE,MAAM,CAClB,UAAU,CAAE,CAAC,CACb,aAAa,CAAE,KAAK,CACpB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACnB,OAAO,CAAE,KAAK,CACd,SAAS,CAAE,IAAI,CAUhB,AArML,AA6LM,mCA7L6B,CAyBjC,KAAK,CA2JH,QAAQ,CASN,CAAC,AAAC,CACA,YAAY,CAAE,KAAK,CACpB,AA/LP,AAiMM,mCAjM6B,CAyBjC,KAAK,CA2JH,QAAQ,CAaN,CAAC,CAAG,CAAC,AAAC,CACJ,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,YAAY,CACtB,AApMP,AAwMM,mCAxM6B,CAyBjC,KAAK,CA8KH,WAAW,CACT,iBAAiB,AAAC,CAChB,KAAK,CAAE,KAAK,CACb,AA1MP,AA8ME,mCA9MiC,CA8MjC,iBAAiB,AAAC,CAChB,aAAa,CAAE,KAAK,CACrB,AAhNH,AAmNI,mCAnN+B,CAkNjC,OAAO,CACL,aAAa,AAAC,CACZ,KAAK,CAAE,KAAK,CACb,AArNL,AAwNE,mCAxNiC,CAwNjC,QAAQ,AAAC,CACP,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,CAAC,CACV,MAAM,CAAE,CAAC,CAMV,AAjOH,AA6NM,mCA7N6B,CAwNjC,QAAQ,CAIN,OAAO,CACL,iBAAiB,AAAC,CAChB,KAAK,CL3FD,OAAoD,CK4FzD,AA/NP,AAmOE,mCAnOiC,CAmOjC,cAAc,AAAA,WAAW,CAnO3B,mCAAmC,CAoOjC,cAAc,AAAA,OAAO,CApOvB,mCAAmC,CAqOjC,cAAc,AAAA,UAAU,AAAC,CACvB,UAAU,CAAE,GAAG,CAChB,AAvOH,AAyOE,mCAzOiC,CAyOjC,gBAAgB,AAAC,CACf,KAAK,CAAE,GAAG,CACX,AAGH,AACE,IADE,AAAA,IAAK,CAAA,YAAY,EACnB,YAAY,CAAC,mCAAmC,AAAA,WAAW,AAAC,CAC1D,KAAK,CAAE,KAAK,CACZ,UAAU,CAAE,gBAAgB,CAC7B,AAGH,AACE,IADE,AAAA,YAAY,CACd,YAAY,CAAC,mCAAmC,AAAA,WAAW,AAAC,CAC1D,UAAU,CAAE,gBAAgB,CAkB7B,AApBH,AAII,IAJA,AAAA,YAAY,CACd,YAAY,CAAC,mCAAmC,AAAA,WAAW,CAGzD,wBAAwB,AAAC,CACvB,cAAc,CAAE,MAAM,CACvB,AANL,AAQI,IARA,AAAA,YAAY,CACd,YAAY,CAAC,mCAAmC,AAAA,WAAW,CAOzD,aAAa,AAAC,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,SAAS,CAKlB,AAfL,AAYM,IAZF,AAAA,YAAY,CACd,YAAY,CAAC,mCAAmC,AAAA,WAAW,CAOzD,aAAa,CAIX,YAAY,AAAC,CACX,eAAe,CAAE,MAAM,CACxB,AAdP,AAiBI,IAjBA,AAAA,YAAY,CACd,YAAY,CAAC,mCAAmC,AAAA,WAAW,CAgBzD,YAAY,AAAC,CACX,WAAW,CAAE,GAAG,CACjB"\n}
26	discourse-presence	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	.presence-users{background-color:#fff;color:#919191;display:flex}.presence-users span.presence-text{margin-left:5px;margin-right:2px;flex:0 0 auto;padding-top:3px}.presence-users .presence-avatars{display:flex;overflow:hidden;flex-wrap:wrap}.presence-users .wave{flex:0 0 auto}.presence-users .wave .dot{display:inline-block;animation:wave 1.8s linear infinite}.presence-users .wave .dot:nth-child(2){animation-delay:-1.6s}.presence-users .wave .dot:nth-child(3){animation-delay:-1.4s}@keyframes wave{0%,60%,100%{transform:initial}30%{transform:translateY(-0.2em)}}.composer-fields .presence-users{position:absolute;top:20px;right:95px}@media screen and (max-width: 800px){.composer-fields .presence-users{max-width:318px}.composer-fields .presence-users .presence-avatars{flex-wrap:nowrap}}.mobile-view .presence-users{font-size:.8706em}.mobile-view .composer-fields .presence-users{top:7px;right:65px;max-width:70px}.mobile-view .composer-fields .presence-users .presence-avatars{flex-wrap:nowrap}.mobile-view .composer-fields .presence-users .description{display:none}.rtl span.presence-text{margin-left:2px;margin-right:5px}.rtl .composer-fields .presence-users{right:unset;left:95px}.rtl.mobile-view .composer-fields .presence-users{right:unset;left:65px}\n\n/*# sourceMappingURL=discourse-presence_8dd8907530e55eba0dabcfa8beb165c07e36c1d3.css.map */	2019-12-05 06:51:09.419287	2019-12-05 06:51:09.419287	-1	{\n\t"version": 3,\n\t"file": "theme_2.css",\n\t"sources": [\n\t\t"theme_2.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/discourse-presence/assets/stylesheets/presence.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"discourse-presence\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t".presence-users {\\n  background-color: $secondary;\\n  color: $primary-medium;\\n  display: flex;\\n\\n  span.presence-text {\\n    margin-left: 5px;\\n    margin-right: 2px;\\n    flex: 0 0 auto;\\n    padding-top: 3px;\\n  }\\n\\n  .presence-avatars {\\n    display: flex;\\n    overflow: hidden;\\n    flex-wrap: wrap;\\n  }\\n\\n  .wave {\\n    flex: 0 0 auto;\\n\\n    .dot {\\n      display: inline-block;\\n      animation: wave 1.8s linear infinite;\\n\\n      &:nth-child(2) {\\n        animation-delay: -1.6s;\\n      }\\n\\n      &:nth-child(3) {\\n        animation-delay: -1.4s;\\n      }\\n    }\\n  }\\n\\n  @keyframes wave {\\n    0%,\\n    60%,\\n    100% {\\n      transform: initial;\\n    }\\n\\n    30% {\\n      transform: translateY(-0.2em);\\n    }\\n  }\\n}\\n\\n.composer-fields .presence-users {\\n  position: absolute;\\n  top: 20px;\\n  right: 95px;\\n  @media screen and (max-width: $small-width) {\\n    max-width: 318px;\\n    .presence-avatars {\\n      flex-wrap: nowrap;\\n    }\\n  }\\n}\\n\\n.mobile-view {\\n  .presence-users {\\n    font-size: $font-down-1;\\n  }\\n  .composer-fields .presence-users {\\n    top: 7px;\\n    right: 65px;\\n    max-width: 70px;\\n    .presence-avatars {\\n      flex-wrap: nowrap;\\n    }\\n    .description {\\n      display: none;\\n    }\\n  }\\n}\\n\\n// TMP: RTL overrides\\n.rtl {\\n  span.presence-text {\\n    margin-left: 2px;\\n    margin-right: 5px;\\n  }\\n\\n  .composer-fields .presence-users {\\n    right: unset;\\n    left: 95px;\\n  }\\n\\n  &.mobile-view {\\n    .composer-fields .presence-users {\\n      right: unset;\\n      left: 65px;\\n    }\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AAAA,eAAe,AAAC,CACd,gBAAgB,CJAN,IAAO,CICjB,KAAK,CLgMK,OAAoD,CK/L9D,OAAO,CAAE,IAAI,CA2Cd,AA9CD,AAKE,eALa,CAKb,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CACjB,IAAI,CAAE,QAAQ,CACd,WAAW,CAAE,GAAG,CACjB,AAVH,AAYE,eAZa,CAYb,iBAAiB,AAAC,CAChB,OAAO,CAAE,IAAI,CACb,QAAQ,CAAE,MAAM,CAChB,SAAS,CAAE,IAAI,CAChB,AAhBH,AAkBE,eAlBa,CAkBb,KAAK,AAAC,CACJ,IAAI,CAAE,QAAQ,CAcf,AAjCH,AAqBI,eArBW,CAkBb,KAAK,CAGH,IAAI,AAAC,CACH,OAAO,CAAE,YAAY,CACrB,SAAS,CAAE,yBAAyB,CASrC,AAhCL,AAyBM,eAzBS,CAkBb,KAAK,CAGH,IAAI,AAID,UAAW,CAAA,CAAC,CAAE,CACb,eAAe,CAAE,KAAK,CACvB,AA3BP,AA6BM,eA7BS,CAkBb,KAAK,CAGH,IAAI,AAQD,UAAW,CAAA,CAAC,CAAE,CACb,eAAe,CAAE,KAAK,CACvB,AAIL,UAAU,CAAV,IAAU,CACR,EAAE,CACF,GAAG,CACH,IAAI,CACF,SAAS,CAAE,OAAO,CAGpB,GAAG,CACD,SAAS,CAAE,kBAAkB,EAKnC,AAAA,gBAAgB,CAAC,eAAe,AAAC,CAC/B,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,IAAI,CACT,KAAK,CAAE,IAAI,CAOZ,AANC,MAAM,CAAC,MAAM,MAAM,SAAS,EAAE,KAAK,EAJrC,AAAA,gBAAgB,CAAC,eAAe,AAAC,CAK7B,SAAS,CAAE,KAAK,CAKnB,AAVD,AAMI,gBANY,CAAC,eAAe,CAM5B,iBAAiB,AAAC,CAChB,SAAS,CAAE,MAAM,CAClB,CAIL,AACE,YADU,CACV,eAAe,AAAC,CACd,SAAS,CLXC,OAAQ,CKYnB,AAHH,AAIE,YAJU,CAIV,gBAAgB,CAAC,eAAe,AAAC,CAC/B,GAAG,CAAE,GAAG,CACR,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CAOhB,AAdH,AAQI,YARQ,CAIV,gBAAgB,CAAC,eAAe,CAI9B,iBAAiB,AAAC,CAChB,SAAS,CAAE,MAAM,CAClB,AAVL,AAWI,YAXQ,CAIV,gBAAgB,CAAC,eAAe,CAO9B,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AAKL,AACE,IADE,CACF,IAAI,AAAA,cAAc,AAAC,CACjB,WAAW,CAAE,GAAG,CAChB,YAAY,CAAE,GAAG,CAClB,AAJH,AAME,IANE,CAMF,gBAAgB,CAAC,eAAe,AAAC,CAC/B,KAAK,CAAE,KAAK,CACZ,IAAI,CAAE,IAAI,CACX,AATH,AAYI,IAZA,AAWD,YAAY,CACX,gBAAgB,CAAC,eAAe,AAAC,CAC/B,KAAK,CAAE,KAAK,CACZ,IAAI,CAAE,IAAI,CACX"\n}
27	lazy-yt	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	/*!\n* lazyYT (lazy load YouTube videos)\n* v1.0.1 - 2014-12-30\n* (CC) This work is licensed under a Creative Commons Attribution-ShareAlike 4.0 International License.\n* http://creativecommons.org/licenses/by-sa/4.0/\n* Contributors: https://github.com/tylerpearson/lazyYT/graphs/contributors || https://github.com/daugilas/lazyYT/graphs/contributors\n*/.lazyYT-container{position:relative;z-index:1;display:block;height:0;padding:0 0 56.25% 0;overflow:hidden;background-color:#000000;margin-bottom:12px}.lazyYT-container iframe{position:absolute;top:0;bottom:0;left:0;width:100%;height:100%;border:0}.lazyYT-container .html5-info-bar{position:absolute;top:0;z-index:935;width:100%;height:30px;overflow:hidden;font-family:Arial, Helvetica, sans-serif;font-size:12px;color:#fff;background-color:rgba(0,0,0,0.8);-webkit-transition:opacity 0.25s cubic-bezier(0, 0, 0.2, 1);-moz-transition:opacity 0.25s cubic-bezier(0, 0, 0.2, 1);transition:opacity 0.25s cubic-bezier(0, 0, 0.2, 1)}.lazyYT-container .html5-title{padding-right:6px;padding-left:12px}.lazyYT-container .html5-title-text-wrapper{overflow:hidden;-o-text-overflow:ellipsis;text-overflow:ellipsis;word-wrap:normal;white-space:nowrap}.lazyYT-container .html5-title-text{width:100%;font-size:13px;line-height:30px;color:#ccc;text-decoration:none}.lazyYT-container .html5-title-text:hover{color:#fff;text-decoration:underline}.ytp-thumbnail{padding-bottom:inherit;cursor:pointer;background-position:50% 50%;background-repeat:no-repeat;-webkit-background-size:cover;-moz-background-size:cover;-o-background-size:cover;background-size:cover}.ytp-large-play-button{position:absolute;top:50% !important;left:50% !important;width:86px !important;height:60px !important;padding:0 !important;margin:-29px 0 0 -42px !important;font-size:normal !important;font-weight:normal !important;line-height:1 !important;opacity:.9}.ytp-large-play-button-svg{opacity:.9;fill:#1f1f1f}.lazyYT-image-loaded:hover .ytp-large-play-button-svg,.ytp-large-play-button:focus .ytp-large-play-button-svg{opacity:1;fill:#cc181e}\n\n/*# sourceMappingURL=lazy-yt_8dd8907530e55eba0dabcfa8beb165c07e36c1d3.css.map */	2019-12-05 06:51:09.438435	2019-12-05 06:51:09.438435	-1	{\n\t"version": 3,\n\t"file": "theme_2.css",\n\t"sources": [\n\t\t"theme_2.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/lazy-yt/assets/stylesheets/lazyYT.css"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"lazy-yt\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"/*!\\n* lazyYT (lazy load YouTube videos)\\n* v1.0.1 - 2014-12-30\\n* (CC) This work is licensed under a Creative Commons Attribution-ShareAlike 4.0 International License.\\n* http://creativecommons.org/licenses/by-sa/4.0/\\n* Contributors: https://github.com/tylerpearson/lazyYT/graphs/contributors || https://github.com/daugilas/lazyYT/graphs/contributors\\n*/\\n\\n.lazyYT-container {\\n  position: relative;\\n  z-index: z(\\"base\\");\\n  display: block;\\n  height: 0;\\n  padding: 0 0 56.25% 0;\\n  overflow: hidden;\\n  background-color: #000000;\\n  margin-bottom: 12px;\\n}\\n\\n.lazyYT-container iframe {\\n  position: absolute;\\n  top: 0;\\n  bottom: 0;\\n  left: 0;\\n  width: 100%;\\n  height: 100%;\\n  border: 0;\\n}\\n\\n/*\\n* Video Title (YouTube style)\\n*/\\n\\n.lazyYT-container .html5-info-bar {\\n  position: absolute;\\n  top: 0;\\n  z-index: 935;\\n  width: 100%;\\n  height: 30px;\\n  overflow: hidden;\\n  font-family: Arial, Helvetica, sans-serif;\\n  font-size: 12px;\\n  color: #fff;\\n  background-color: rgba(0, 0, 0, 0.8);\\n  -webkit-transition: opacity 0.25s cubic-bezier(0, 0, 0.2, 1);\\n  -moz-transition: opacity 0.25s cubic-bezier(0, 0, 0.2, 1);\\n  transition: opacity 0.25s cubic-bezier(0, 0, 0.2, 1);\\n}\\n\\n.lazyYT-container .html5-title {\\n  padding-right: 6px;\\n  padding-left: 12px;\\n}\\n\\n.lazyYT-container .html5-title-text-wrapper {\\n  overflow: hidden;\\n  -o-text-overflow: ellipsis;\\n  text-overflow: ellipsis;\\n  word-wrap: normal;\\n  white-space: nowrap;\\n}\\n\\n.lazyYT-container .html5-title-text {\\n  width: 100%;\\n  font-size: 13px;\\n  line-height: 30px;\\n  color: #ccc;\\n  text-decoration: none;\\n}\\n\\n.lazyYT-container .html5-title-text:hover {\\n  color: #fff;\\n  text-decoration: underline;\\n}\\n\\n/*\\n* Thumbnail\\n*/\\n\\n.ytp-thumbnail {\\n  padding-bottom: inherit;\\n  cursor: pointer;\\n  background-position: 50% 50%;\\n  background-repeat: no-repeat;\\n  -webkit-background-size: cover;\\n  -moz-background-size: cover;\\n  -o-background-size: cover;\\n  background-size: cover;\\n}\\n\\n/*\\n* Play button (YouTube style)\\n*/\\n\\n.ytp-large-play-button {\\n  position: absolute;\\n  top: 50% !important;\\n  left: 50% !important;\\n  width: 86px !important;\\n  height: 60px !important;\\n  padding: 0 !important;\\n  margin: -29px 0 0 -42px !important;\\n  font-size: normal !important;\\n  font-weight: normal !important;\\n  line-height: 1 !important;\\n  opacity: .9;\\n}\\n\\n.ytp-large-play-button-svg {\\n  opacity: .9;\\n  fill: #1f1f1f;\\n}\\n\\n.lazyYT-image-loaded:hover .ytp-large-play-button-svg,\\n.ytp-large-play-button:focus .ytp-large-play-button-svg {\\n  opacity: 1;\\n  fill: #cc181e;\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA;;;;;;EAME,AAEF,AAAA,iBAAiB,AAAC,CAChB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CL2FC,CAAC,CK1FT,OAAO,CAAE,KAAK,CACd,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,MAAM,CAChB,gBAAgB,CAAE,OAAO,CACzB,aAAa,CAAE,IAAI,CACpB,AAED,AAAA,iBAAiB,CAAC,MAAM,AAAC,CACvB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,MAAM,CAAE,CAAC,CACT,IAAI,CAAE,CAAC,CACP,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,MAAM,CAAE,CAAC,CACV,AAMD,AAAA,iBAAiB,CAAC,eAAe,AAAC,CAChC,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,CAAC,CACN,OAAO,CAAE,GAAG,CACZ,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,QAAQ,CAAE,MAAM,CAChB,WAAW,CAAE,4BAA4B,CACzC,SAAS,CAAE,IAAI,CACf,KAAK,CAAE,IAAI,CACX,gBAAgB,CAAE,eAAkB,CACpC,kBAAkB,CAAE,OAAO,CAAC,KAAK,CAAC,0BAA0B,CAC5D,eAAe,CAAE,OAAO,CAAC,KAAK,CAAC,0BAA0B,CACzD,UAAU,CAAE,OAAO,CAAC,KAAK,CAAC,0BAA0B,CACrD,AAED,AAAA,iBAAiB,CAAC,YAAY,AAAC,CAC7B,aAAa,CAAE,GAAG,CAClB,YAAY,CAAE,IAAI,CACnB,AAED,AAAA,iBAAiB,CAAC,yBAAyB,AAAC,CAC1C,QAAQ,CAAE,MAAM,CAChB,gBAAgB,CAAE,QAAQ,CAC1B,aAAa,CAAE,QAAQ,CACvB,SAAS,CAAE,MAAM,CACjB,WAAW,CAAE,MAAM,CACpB,AAED,AAAA,iBAAiB,CAAC,iBAAiB,AAAC,CAClC,KAAK,CAAE,IAAI,CACX,SAAS,CAAE,IAAI,CACf,WAAW,CAAE,IAAI,CACjB,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,IAAI,CACtB,AAED,AAAA,iBAAiB,CAAC,iBAAiB,AAAA,MAAM,AAAC,CACxC,KAAK,CAAE,IAAI,CACX,eAAe,CAAE,SAAS,CAC3B,AAMD,AAAA,cAAc,AAAC,CACb,cAAc,CAAE,OAAO,CACvB,MAAM,CAAE,OAAO,CACf,mBAAmB,CAAE,OAAO,CAC5B,iBAAiB,CAAE,SAAS,CAC5B,uBAAuB,CAAE,KAAK,CAC9B,oBAAoB,CAAE,KAAK,CAC3B,kBAAkB,CAAE,KAAK,CACzB,eAAe,CAAE,KAAK,CACvB,AAMD,AAAA,sBAAsB,AAAC,CACrB,QAAQ,CAAE,QAAQ,CAClB,GAAG,CAAE,cAAc,CACnB,IAAI,CAAE,cAAc,CACpB,KAAK,CAAE,eAAe,CACtB,MAAM,CAAE,eAAe,CACvB,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,0BAA0B,CAClC,SAAS,CAAE,iBAAiB,CAC5B,WAAW,CAAE,iBAAiB,CAC9B,WAAW,CAAE,YAAY,CACzB,OAAO,CAAE,EAAE,CACZ,AAED,AAAA,0BAA0B,AAAC,CACzB,OAAO,CAAE,EAAE,CACX,IAAI,CAAE,OAAO,CACd,AAED,AAAA,oBAAoB,AAAA,MAAM,CAAC,0BAA0B,CACrD,sBAAsB,AAAA,MAAM,CAAC,0BAA0B,AAAC,CACtD,OAAO,CAAE,CAAC,CACV,IAAI,CAAE,OAAO,CACd"\n}
28	poll	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	div.poll{margin:1em 0;border:1px solid #e9e9e9;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}div.poll ul,div.poll ol{margin:0;padding:0;list-style:none;display:inline-block;width:100%}div.poll li{cursor:pointer;font-size:1.1487em}div.poll li[data-poll-option-id]{color:#222;padding:0.5em 0;word-break:break-word}div.poll img{max-width:100% !important;height:auto}div.poll .poll-info{color:#919191;vertical-align:middle;padding:1em 0}div.poll .poll-info .info-label{font-size:1.7511em;line-height:1.2}div.poll .poll-info .info-text{margin:0.25em 0;display:block}div.poll .poll-container{vertical-align:middle;padding:0.5em 1em}div.poll .poll-container .poll-results-number-rating{font-size:2em}div.poll .poll-buttons .info-text{margin:0.25em 0;color:#919191}div.poll .poll-buttons .info-text+.info-text,div.poll .poll-buttons button+.info-text{margin-left:0.5em}div.poll .poll-voters:not(:empty){margin-bottom:0.25em}div.poll .poll-voters:not(:empty) li{display:inline}div.poll .poll-voters-toggle-expand{width:100%;text-align:center}div.poll .results>li{cursor:default;padding:0.25em 0}div.poll .results>li:last-child{padding-bottom:0}div.poll .results .option p{margin:0}div.poll .results .percentage{float:right;color:#919191;margin-left:0.25em}div.poll .results .bar-back{background:#e9e9e9}div.poll .results .bar{height:0.75em;background:#919191}div.poll .results .chosen .bar{background:#08c}div.poll[data-poll-type="number"] li[data-poll-option-id]{display:inline-block;width:3.25em;margin-right:0.25em}div.poll .poll-grouped-pies-controls{display:flex;justify-content:space-between}div.poll .poll-results-chart{height:310px;overflow-y:auto;overflow-x:hidden}div.poll .poll-group-by-toggle{margin-bottom:10px}div.poll .poll-group-by-selector{height:30px}div.poll .poll-grouped-pie-container{display:inline-block;position:relative;padding:15px 0}div.poll .poll-grouped-pie-container .poll-pie-label{display:block;text-align:center}div.poll.pie .poll-container{display:inline-block;height:310px;max-height:310px;overflow-y:auto}div.poll.pie .poll-container .poll-grouped-pie-container{width:50%}div.poll.pie .poll-info{display:inline-block;width:150px}body.crawler .poll .poll-info,body.crawler .poll .poll-button{display:none}.poll-ui-builder-form{display:flex;margin:0}.poll-ui-builder-form .options{flex-shrink:0;width:280px}.poll-ui-builder-form .d-editor-preview{margin-left:20px;width:360px}.poll-ui-builder-form label{font-weight:bold;display:inline}.poll-ui-builder-form .tip{display:block;margin-bottom:15px;margin-top:5px;font-size:.8706em}.poll-ui-builder-form .poll-select{margin-bottom:10px;display:flex;align-items:center}.poll-ui-builder-form .input-group-label{min-width:85px}.poll-ui-builder-form .poll-number{margin:10px 0;display:flex;align-items:center}.poll-ui-builder-form .poll-number input{width:70px}.poll-ui-builder-form .poll-textarea textarea{width:100%;height:90px;box-sizing:border-box}.poll-ui-builder-form .poll-select+.poll-textarea{margin-top:10px}.poll-ui-builder-form .poll-checkbox,.poll-ui-builder-form .poll-date{margin-top:5px}\n\n/*# sourceMappingURL=poll_8dd8907530e55eba0dabcfa8beb165c07e36c1d3.css.map */	2019-12-05 06:51:09.45932	2019-12-05 06:51:09.45932	-1	{\n\t"version": 3,\n\t"file": "theme_2.css",\n\t"sources": [\n\t\t"theme_2.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/poll/assets/stylesheets/common/poll.scss",\n\t\t"plugins/poll/assets/stylesheets/common/poll-ui-builder.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"poll\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"div.poll {\\n  margin: 1em 0;\\n  border: 1px solid $primary-low;\\n\\n  @include unselectable;\\n\\n  ul,\\n  ol {\\n    margin: 0;\\n    padding: 0;\\n    list-style: none;\\n    display: inline-block;\\n    width: 100%;\\n  }\\n\\n  li {\\n    cursor: pointer;\\n    font-size: $font-up-1;\\n  }\\n\\n  li[data-poll-option-id] {\\n    color: $primary;\\n    padding: 0.5em 0;\\n    word-break: break-word;\\n  }\\n\\n  img {\\n    // needed to override internal styles in image-sizing hack\\n    max-width: 100% !important;\\n    height: auto;\\n  }\\n\\n  .poll-info {\\n    color: $primary-medium;\\n    vertical-align: middle;\\n    padding: 1em 0;\\n\\n    .info-label {\\n      font-size: $font-up-4;\\n      line-height: $line-height-medium;\\n    }\\n\\n    .info-text {\\n      margin: 0.25em 0;\\n      display: block;\\n    }\\n  }\\n\\n  .poll-container {\\n    vertical-align: middle;\\n    padding: 0.5em 1em;\\n\\n    .poll-results-number-rating {\\n      font-size: $font-up-5;\\n    }\\n  }\\n\\n  .poll-buttons {\\n    .info-text {\\n      margin: 0.25em 0;\\n      color: $primary-medium;\\n    }\\n    .info-text + .info-text,\\n    button + .info-text {\\n      margin-left: 0.5em;\\n    }\\n  }\\n\\n  .poll-voters:not(:empty) {\\n    margin-bottom: 0.25em;\\n    li {\\n      display: inline;\\n    }\\n  }\\n\\n  .poll-voters-toggle-expand {\\n    width: 100%;\\n    text-align: center;\\n  }\\n\\n  .results {\\n    > li {\\n      cursor: default;\\n      padding: 0.25em 0;\\n      &:last-child {\\n        padding-bottom: 0;\\n      }\\n    }\\n    .option {\\n      p {\\n        margin: 0;\\n      }\\n    }\\n\\n    .percentage {\\n      float: right;\\n      color: $primary-medium;\\n      margin-left: 0.25em;\\n    }\\n\\n    .bar-back {\\n      background: $primary-low;\\n    }\\n\\n    .bar {\\n      height: 0.75em;\\n      background: $primary-medium;\\n    }\\n\\n    .chosen .bar {\\n      background: $tertiary;\\n    }\\n  }\\n\\n  &[data-poll-type=\\"number\\"] {\\n    li[data-poll-option-id] {\\n      display: inline-block;\\n      width: 3.25em;\\n      margin-right: 0.25em;\\n    }\\n  }\\n\\n  .poll-grouped-pies-controls {\\n    display: flex;\\n    justify-content: space-between;\\n  }\\n\\n  .poll-results-chart {\\n    height: 310px;\\n    overflow-y: auto;\\n    overflow-x: hidden;\\n  }\\n\\n  .poll-group-by-toggle {\\n    margin-bottom: 10px;\\n  }\\n\\n  .poll-group-by-selector {\\n    height: 30px;\\n  }\\n\\n  .poll-grouped-pie-container {\\n    display: inline-block;\\n    position: relative;\\n    padding: 15px 0;\\n\\n    .poll-pie-label {\\n      display: block;\\n      text-align: center;\\n    }\\n  }\\n}\\n\\ndiv.poll.pie {\\n  .poll-container {\\n    display: inline-block;\\n    height: 310px;\\n    max-height: 310px;\\n    overflow-y: auto;\\n\\n    .poll-grouped-pie-container {\\n      width: 50%;\\n    }\\n  }\\n  .poll-info {\\n    display: inline-block;\\n    width: 150px;\\n  }\\n}\\n\\n// hides 0 vote count in crawler and print view\\nbody.crawler {\\n  .poll {\\n    .poll-info,\\n    .poll-button {\\n      display: none;\\n    }\\n  }\\n}\\n",\n\t\t"$poll-margin: 10px;\\n\\n.poll-ui-builder-form {\\n  display: flex;\\n  margin: 0;\\n\\n  .options {\\n    flex-shrink: 0;\\n    width: 280px;\\n  }\\n\\n  .d-editor-preview {\\n    margin-left: $poll-margin * 2;\\n    width: 360px;\\n  }\\n\\n  label {\\n    font-weight: bold;\\n    display: inline;\\n  }\\n\\n  .tip {\\n    display: block;\\n    margin-bottom: $poll-margin * 1.5;\\n    margin-top: $poll-margin / 2;\\n    font-size: $font-down-1;\\n  }\\n\\n  .poll-select {\\n    margin-bottom: $poll-margin;\\n    display: flex;\\n    align-items: center;\\n  }\\n\\n  .input-group-label {\\n    min-width: 85px;\\n  }\\n\\n  .poll-number {\\n    margin: $poll-margin 0;\\n    display: flex;\\n    align-items: center;\\n\\n    input {\\n      width: 70px;\\n    }\\n  }\\n\\n  .poll-textarea textarea {\\n    width: 100%;\\n    height: 90px;\\n    box-sizing: border-box;\\n  }\\n\\n  .poll-select + .poll-textarea {\\n    margin-top: $poll-margin;\\n  }\\n\\n  .poll-checkbox,\\n  .poll-date {\\n    margin-top: $poll-margin / 2;\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AAAA,GAAG,AAAA,KAAK,AAAC,CACP,MAAM,CAAE,KAAK,CACb,MAAM,CAAE,GAAG,CAAC,KAAK,CLgMP,OAAoD,CI3H9D,mBAAmB,CAME,IAAI,CALzB,gBAAgB,CAKK,IAAI,CAJzB,eAAe,CAIM,IAAI,CC0E1B,AAvJD,AAME,GANC,AAAA,KAAK,CAMN,EAAE,CANJ,GAAG,AAAA,KAAK,CAON,EAAE,AAAC,CACD,MAAM,CAAE,CAAC,CACT,OAAO,CAAE,CAAC,CACV,UAAU,CAAE,IAAI,CAChB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,IAAI,CACZ,AAbH,AAeE,GAfC,AAAA,KAAK,CAeN,EAAE,AAAC,CACD,MAAM,CAAE,OAAO,CACf,SAAS,CLgCD,QAAQ,CK/BjB,AAlBH,AAoBE,GApBC,AAAA,KAAK,CAoBN,EAAE,CAAA,AAAA,mBAAC,AAAA,CAAqB,CACtB,KAAK,CJrBC,IAAO,CIsBb,OAAO,CAAE,OAAO,CAChB,UAAU,CAAE,UAAU,CACvB,AAxBH,AA0BE,GA1BC,AAAA,KAAK,CA0BN,GAAG,AAAC,CAEF,SAAS,CAAE,eAAe,CAC1B,MAAM,CAAE,IAAI,CACb,AA9BH,AAgCE,GAhCC,AAAA,KAAK,CAgCN,UAAU,AAAC,CACT,KAAK,CLiKG,OAAoD,CKhK5D,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,KAAK,CAWf,AA9CH,AAqCI,GArCD,AAAA,KAAK,CAgCN,UAAU,CAKR,WAAW,AAAC,CACV,SAAS,CLQH,QAAQ,CKPd,WAAW,CLyBI,GAAG,CKxBnB,AAxCL,AA0CI,GA1CD,AAAA,KAAK,CAgCN,UAAU,CAUR,UAAU,AAAC,CACT,MAAM,CAAE,QAAQ,CAChB,OAAO,CAAE,KAAK,CACf,AA7CL,AAgDE,GAhDC,AAAA,KAAK,CAgDN,eAAe,AAAC,CACd,cAAc,CAAE,MAAM,CACtB,OAAO,CAAE,SAAS,CAKnB,AAvDH,AAoDI,GApDD,AAAA,KAAK,CAgDN,eAAe,CAIb,2BAA2B,AAAC,CAC1B,SAAS,CLRH,GAAG,CKSV,AAtDL,AA0DI,GA1DD,AAAA,KAAK,CAyDN,aAAa,CACX,UAAU,AAAC,CACT,MAAM,CAAE,QAAQ,CAChB,KAAK,CLsIC,OAAoD,CKrI3D,AA7DL,AA8DI,GA9DD,AAAA,KAAK,CAyDN,aAAa,CAKX,UAAU,CAAG,UAAU,CA9D3B,GAAG,AAAA,KAAK,CAyDN,aAAa,CAMX,MAAM,CAAG,UAAU,AAAC,CAClB,WAAW,CAAE,KAAK,CACnB,AAjEL,AAoEE,GApEC,AAAA,KAAK,CAoEN,YAAY,AAAA,IAAK,CAAA,MAAM,CAAE,CACvB,aAAa,CAAE,MAAM,CAItB,AAzEH,AAsEI,GAtED,AAAA,KAAK,CAoEN,YAAY,AAAA,IAAK,CAAA,MAAM,EAErB,EAAE,AAAC,CACD,OAAO,CAAE,MAAM,CAChB,AAxEL,AA2EE,GA3EC,AAAA,KAAK,CA2EN,0BAA0B,AAAC,CACzB,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,MAAM,CACnB,AA9EH,AAiFI,GAjFD,AAAA,KAAK,CAgFN,QAAQ,CACJ,EAAE,AAAC,CACH,MAAM,CAAE,OAAO,CACf,OAAO,CAAE,QAAQ,CAIlB,AAvFL,AAoFM,GApFH,AAAA,KAAK,CAgFN,QAAQ,CACJ,EAAE,AAGD,WAAW,AAAC,CACX,cAAc,CAAE,CAAC,CAClB,AAtFP,AAyFM,GAzFH,AAAA,KAAK,CAgFN,QAAQ,CAQN,OAAO,CACL,CAAC,AAAC,CACA,MAAM,CAAE,CAAC,CACV,AA3FP,AA8FI,GA9FD,AAAA,KAAK,CAgFN,QAAQ,CAcN,WAAW,AAAC,CACV,KAAK,CAAE,KAAK,CACZ,KAAK,CLkGC,OAAoD,CKjG1D,WAAW,CAAE,MAAM,CACpB,AAlGL,AAoGI,GApGD,AAAA,KAAK,CAgFN,QAAQ,CAoBN,SAAS,AAAC,CACR,UAAU,CL6FJ,OAAoD,CK5F3D,AAtGL,AAwGI,GAxGD,AAAA,KAAK,CAgFN,QAAQ,CAwBN,IAAI,AAAC,CACH,MAAM,CAAE,MAAM,CACd,UAAU,CLwFJ,OAAoD,CKvF3D,AA3GL,AA6GI,GA7GD,AAAA,KAAK,CAgFN,QAAQ,CA6BN,OAAO,CAAC,IAAI,AAAC,CACX,UAAU,CJ5GL,IAAO,CI6Gb,AA/GL,AAmHI,GAnHD,AAAA,KAAK,CAkHL,AAAA,cAAC,CAAe,QAAQ,AAAvB,EACA,EAAE,CAAA,AAAA,mBAAC,AAAA,CAAqB,CACtB,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,MAAM,CACb,YAAY,CAAE,MAAM,CACrB,AAvHL,AA0HE,GA1HC,AAAA,KAAK,CA0HN,2BAA2B,AAAC,CAC1B,OAAO,CAAE,IAAI,CACb,eAAe,CAAE,aAAa,CAC/B,AA7HH,AA+HE,GA/HC,AAAA,KAAK,CA+HN,mBAAmB,AAAC,CAClB,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,IAAI,CAChB,UAAU,CAAE,MAAM,CACnB,AAnIH,AAqIE,GArIC,AAAA,KAAK,CAqIN,qBAAqB,AAAC,CACpB,aAAa,CAAE,IAAI,CACpB,AAvIH,AAyIE,GAzIC,AAAA,KAAK,CAyIN,uBAAuB,AAAC,CACtB,MAAM,CAAE,IAAI,CACb,AA3IH,AA6IE,GA7IC,AAAA,KAAK,CA6IN,2BAA2B,AAAC,CAC1B,OAAO,CAAE,YAAY,CACrB,QAAQ,CAAE,QAAQ,CAClB,OAAO,CAAE,MAAM,CAMhB,AAtJH,AAkJI,GAlJD,AAAA,KAAK,CA6IN,2BAA2B,CAKzB,eAAe,AAAC,CACd,OAAO,CAAE,KAAK,CACd,UAAU,CAAE,MAAM,CACnB,AAIL,AACE,GADC,AAAA,KAAK,AAAA,IAAI,CACV,eAAe,AAAC,CACd,OAAO,CAAE,YAAY,CACrB,MAAM,CAAE,KAAK,CACb,UAAU,CAAE,KAAK,CACjB,UAAU,CAAE,IAAI,CAKjB,AAVH,AAOI,GAPD,AAAA,KAAK,AAAA,IAAI,CACV,eAAe,CAMb,2BAA2B,AAAC,CAC1B,KAAK,CAAE,GAAG,CACX,AATL,AAWE,GAXC,AAAA,KAAK,AAAA,IAAI,CAWV,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACb,AAIH,AAEI,IAFA,AAAA,QAAQ,CACV,KAAK,CACH,UAAU,CAFd,IAAI,AAAA,QAAQ,CACV,KAAK,CAEH,YAAY,AAAC,CACX,OAAO,CAAE,IAAI,CACd,AC9KL,AAAA,qBAAqB,AAAC,CACpB,OAAO,CAAE,IAAI,CACb,MAAM,CAAE,CAAC,CA0DV,AA5DD,AAIE,qBAJmB,CAInB,QAAQ,AAAC,CACP,WAAW,CAAE,CAAC,CACd,KAAK,CAAE,KAAK,CACb,AAPH,AASE,qBATmB,CASnB,iBAAiB,AAAC,CAChB,WAAW,CAAE,IAAgB,CAC7B,KAAK,CAAE,KAAK,CACb,AAZH,AAcE,qBAdmB,CAcnB,KAAK,AAAC,CACJ,WAAW,CAAE,IAAI,CACjB,OAAO,CAAE,MAAM,CAChB,AAjBH,AAmBE,qBAnBmB,CAmBnB,IAAI,AAAC,CACH,OAAO,CAAE,KAAK,CACd,aAAa,CAAE,IAAkB,CACjC,UAAU,CAAE,GAAgB,CAC5B,SAAS,CN0BC,OAAQ,CMzBnB,AAxBH,AA0BE,qBA1BmB,CA0BnB,YAAY,AAAC,CACX,aAAa,CA7BH,IAAI,CA8Bd,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CACpB,AA9BH,AAgCE,qBAhCmB,CAgCnB,kBAAkB,AAAC,CACjB,SAAS,CAAE,IAAI,CAChB,AAlCH,AAoCE,qBApCmB,CAoCnB,YAAY,AAAC,CACX,MAAM,CAvCI,IAAI,CAuCO,CAAC,CACtB,OAAO,CAAE,IAAI,CACb,WAAW,CAAE,MAAM,CAKpB,AA5CH,AAyCI,qBAzCiB,CAoCnB,YAAY,CAKV,KAAK,AAAC,CACJ,KAAK,CAAE,IAAI,CACZ,AA3CL,AA8CE,qBA9CmB,CA8CnB,cAAc,CAAC,QAAQ,AAAC,CACtB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,UAAU,CAAE,UAAU,CACvB,AAlDH,AAoDE,qBApDmB,CAoDnB,YAAY,CAAG,cAAc,AAAC,CAC5B,UAAU,CAvDA,IAAI,CAwDf,AAtDH,AAwDE,qBAxDmB,CAwDnB,cAAc,CAxDhB,qBAAqB,CAyDnB,UAAU,AAAC,CACT,UAAU,CAAE,GAAgB,CAC7B"\n}
29	poll_desktop	8dd8907530e55eba0dabcfa8beb165c07e36c1d3	div.poll{display:table;width:100%;box-sizing:border-box}div.poll .poll-info{min-width:150px;width:100%;display:table-cell;text-align:center}div.poll .poll-info .info-number{font-size:3.5em}div.poll .poll-info p{margin:0.5em 0}div.poll .poll-info .info-label{display:block}div.poll .poll-container{display:table-cell;width:100%;border-right:1px solid #e9e9e9}div.poll .poll-buttons{border-top:1px solid #e9e9e9;padding:1em}div.poll .poll-buttons .info-text{line-height:2em}div.poll .poll-buttons :not(:first-child):not(:last-child){margin-left:1em}div.poll .poll-buttons .toggle-status{float:right}div.poll.pie .poll-container{width:calc(100% - 190px)}div.poll.pie .poll-container .poll-grouped-pie-container{width:50%}div.poll.pie .poll-info{display:inline-block;width:150px}.d-editor-preview .poll-buttons a:not(:first-child){margin-left:0.25em}.d-editor-preview .poll li[data-poll-option-id]:before{position:relative;vertical-align:baseline;border:2px solid #222;border-radius:50%;display:inline-block;margin-right:0.5em;width:12px;height:12px;content:""}.d-editor-preview .poll[data-poll-type="multiple"] li[data-poll-option-id]:before{border-radius:3px}\n\n/*# sourceMappingURL=poll_desktop_8dd8907530e55eba0dabcfa8beb165c07e36c1d3.css.map */	2019-12-05 06:51:09.506022	2019-12-05 06:51:09.506022	-1	{\n\t"version": 3,\n\t"file": "theme_2.css",\n\t"sources": [\n\t\t"theme_2.scss",\n\t\t"app/assets/stylesheets/common/foundation/variables.scss",\n\t\t"theme_colors.scss",\n\t\t"app/assets/stylesheets/common/foundation/math.scss",\n\t\t"app/assets/stylesheets/common/foundation/color_transformations.scss",\n\t\t"app/assets/stylesheets/common/foundation/mixins.scss",\n\t\t"plugins/poll/assets/stylesheets/desktop/poll.scss"\n\t],\n\t"sourcesContent": [\n\t\t"@import \\"common/foundation/variables\\"; @import \\"common/foundation/mixins\\"; @import \\"poll_desktop\\";",\n\t\t"// --------------------------------------------------\\n// Variables used throughout the theme\\n// --------------------------------------------------\\n\\n// Layout dimensions\\n// --------------------------------------------------\\n\\n$small-width: 800px !default;\\n$medium-width: 995px !default;\\n$large-width: 1110px !default;\\n\\n$input-padding: 4px 10px;\\n$topic-body-width: 690px;\\n$topic-body-width-padding: 11px;\\n$topic-avatar-width: 45px;\\n\\n// Brand color variables\\n// --------------------------------------------------\\n\\n$google: #ffffff !default;\\n$instagram: #e1306c !default;\\n$facebook: #4267b2 !default;\\n$cas: #70ba61 !default;\\n$twitter: #1da1f2 !default;\\n$github: #100e0f !default;\\n$discord: #7289da !default;\\n\\n// Badge color variables\\n// --------------------------------------------------\\n\\n$gold: rgb(231, 195, 0) !default;\\n$silver: #c0c0c0 !default;\\n$bronze: #cd7f32 !default;\\n\\n// Fonts\\n// --------------------------------------------------\\n\\n$base-font-size-smaller: 14px !default;\\n$base-font-size: 15px !default;\\n$base-font-size-larger: 17px !default;\\n$base-font-size-largest: 19px !default;\\n$base-font-family: Helvetica, Arial, sans-serif !default;\\n\\n// Font-size defintions, multiplier ^ (step / interval)\\n$font-up-6: 2.296em;\\n$font-up-5: 2em;\\n$font-up-4: 1.7511em;\\n$font-up-3: 1.5157em;\\n$font-up-2: 1.3195em;\\n$font-up-1: 1.1487em; // 2^(1/5)\\n$font-0: 1em;\\n$font-down-1: 0.8706em; // 2^(-1/5)\\n$font-down-2: 0.7579em; // Smallest size we use based on the 1em base\\n$font-down-3: 0.6599em;\\n$font-down-4: 0.5745em;\\n$font-down-5: 0.5em;\\n$font-down-6: 0.4355em;\\n\\n// inputs/textareas in iOS need to be at least 16px to avoid triggering zoom on focus\\n// with base at 15px, the below gives 16.05px\\n$font-size-ios-input: 1.07em;\\n\\n// Common line-heights\\n$line-height-small: 1;\\n$line-height-medium: 1.2; // Headings or large text\\n$line-height-large: 1.4; // Normal or small text\\n\\n// These files don't actually exist. They're injected by Stylesheet::Compiler.\\n// --------------------------------------------------\\n\\n@import \\"theme_colors\\";\\n@import \\"plugins_variables\\";\\n@import \\"common/foundation/math\\";\\n\\n// Z-index\\n// --------------------------------------------------\\n\\n$z-layers: (\\n  \\"max\\": 9999,\\n  \\"modal\\": (\\n    \\"tooltip\\": 1600,\\n    \\"popover\\": 1500,\\n    \\"dropdown\\": 1400,\\n    \\"content\\": 1300,\\n    \\"overlay\\": 1200\\n  ),\\n  \\"fullscreen\\": 1150,\\n  \\"mobile-composer\\": 1100,\\n  \\"ipad-header-nav\\": 1020,\\n  \\"header\\": 1000,\\n  \\"footer-nav\\": 900,\\n  \\"tooltip\\": 600,\\n  \\"composer\\": (\\n    \\"dropdown\\": 700,\\n    \\"tooltip\\": 600,\\n    \\"popover\\": 500,\\n    \\"content\\": 400\\n  ),\\n  \\"dropdown\\": 300,\\n  \\"usercard\\": 200,\\n  \\"timeline\\": 100,\\n  \\"base\\": 1\\n);\\n\\n@function map-has-nested-keys($map, $keys...) {\\n  @each $key in $keys {\\n    @if not map-has-key($map, $key) {\\n      @return false;\\n    }\\n    $map: map-get($map, $key);\\n  }\\n  @return true;\\n}\\n\\n@function map-deep-get($map, $keys...) {\\n  @each $key in $keys {\\n    $map: map-get($map, $key);\\n  }\\n  @return $map;\\n}\\n\\n@function z($layers...) {\\n  @if not map-has-nested-keys($z-layers, $layers...) {\\n    @warn \\"No layer defined for `#{inspect($layers...)}` in $z-layers map. Check variables.scss, property omitted.\\";\\n  }\\n  @return map-deep-get($z-layers, $layers...);\\n}\\n\\n// Box-shadow\\n// --------------------------------------------------\\n\\n$box-shadow: (\\n  \\"modal\\": 0 8px 60px rgba(0, 0, 0, 0.6),\\n  \\"composer\\": 0 -1px 40px rgba(0, 0, 0, 0.12),\\n  \\"menu-panel\\": 0 12px 12px rgba(0, 0, 0, 0.15),\\n  \\"card\\": 0 4px 14px rgba(0, 0, 0, 0.15),\\n  \\"dropdown\\": 0 2px 3px 0 rgba(0, 0, 0, 0.2),\\n  \\"header\\": 0 2px 4px -1px rgba(0, 0, 0, 0.25),\\n  \\"footer-nav\\": 0 0 2px 0 rgba(0, 0, 0, 0.25),\\n  \\"kbd\\": (\\n    0 2px 0 rgba(0, 0, 0, 0.2),\\n    0 0 0 1px dark-light-choose(#fff, #000) inset\\n  ),\\n  \\"focus\\": 0 0 6px 0 $tertiary,\\n  \\"focus-danger\\": 0 0 6px 0 $danger\\n);\\n\\n@function shadow($key) {\\n  @return map-get($box-shadow, $key);\\n}\\n\\n// Color utilities\\n// --------------------------------------------------\\n\\n// w3c definition of color brightness https://www.w3.org/TR/AERT#color-contrast\\n@function dc-color-brightness($color) {\\n  @return (\\n    (red($color) * 0.299) + (green($color) * 0.587) + (blue($color) * 0.114)\\n  );\\n}\\n\\n// Uses an approximation of sRGB blending, GAMMA=2 instead of GAMMA=2.2\\n@function srgb-scale($foreground, $background, $percent) {\\n  $ratio: ($percent / 100%);\\n  $iratio: 1 - $ratio;\\n  $f_r2: red($foreground) * red($foreground);\\n  $f_g2: green($foreground) * green($foreground);\\n  $f_b2: blue($foreground) * blue($foreground);\\n  $b_r2: red($background) * red($background);\\n  $b_g2: green($background) * green($background);\\n  $b_b2: blue($background) * blue($background);\\n  $r_r2: $f_r2 * $ratio + $b_r2 * $iratio;\\n  $r_g2: $f_g2 * $ratio + $b_g2 * $iratio;\\n  $r_b2: $f_b2 * $ratio + $b_b2 * $iratio;\\n  $r_r: sqrt($r_r2);\\n  $r_g: sqrt($r_g2);\\n  $r_b: sqrt($r_b2);\\n  @return rgb($r_r, $r_g, $r_b);\\n}\\n\\n// Replaces dark-light-diff($primary, $secondary, 50%, -50%)\\n@function blend-primary-secondary($percent) {\\n  @return srgb-scale($primary, $secondary, $percent);\\n}\\n\\n@function dark-light-diff(\\n  $adjusted-color,\\n  $comparison-color,\\n  $lightness,\\n  $darkness\\n) {\\n  @if dc-color-brightness($adjusted-color) <\\n    dc-color-brightness($comparison-color)\\n  {\\n    @return scale-color($adjusted-color, $lightness: $lightness);\\n  } @else {\\n    @return scale-color($adjusted-color, $lightness: $darkness);\\n  }\\n}\\n@function dark-light-choose($light-theme-result, $dark-theme-result) {\\n  @if is-light-color-scheme() {\\n    @return $light-theme-result;\\n  } @else {\\n    @return $dark-theme-result;\\n  }\\n}\\n\\n@function is-light-color-scheme() {\\n  @if dc-color-brightness($primary) < dc-color-brightness($secondary) {\\n    @return true;\\n  } @else {\\n    @return false;\\n  }\\n}\\n\\n@function is-dark-color-scheme() {\\n  @return not is-light-color-scheme();\\n}\\n\\n@import \\"color_transformations\\";\\n",\n\t\t"$primary: #222222 !default;\\n$secondary: #ffffff !default;\\n$tertiary: #0088cc !default;\\n$quaternary: #e45735 !default;\\n$header_background: #ffffff !default;\\n$header_primary: #333333 !default;\\n$highlight: #ffff4d !default;\\n$danger: #e45735 !default;\\n$success: #009900 !default;\\n$love: #fa6c8d !default;\\n",\n\t\t"// This file:\\n// Copyright (c) 2013 Takeru Suzuki\\n// Licensed under the MIT license.\\n// https://github.com/terkel/mathsass\\n\\n// Constants\\n$E: 2.718281828459045;\\n$PI: 3.141592653589793;\\n$LN2: 0.6931471805599453;\\n$SQRT2: 1.4142135623730951;\\n\\n@function error($message) {\\n  @warn \\"#{_error(\\"The direction used does not exist\\")}\\";\\n  @return null;\\n}\\n\\n// Returns the factorial of a non-negative integer.\\n// @param {Number} $x A non-negative integer.\\n// @return {Number}\\n// @example\\n//     fact(0) // 1\\n//     fact(8) // 40320\\n@function fact($x) {\\n  @if $x < 0 or $x != floor($x) {\\n    @warn \\"Argument for `fact()` must be a positive integer.\\";\\n    @return null;\\n  }\\n  $ret: 1;\\n  @while $x > 0 {\\n    $ret: $ret * $x;\\n    $x: $x - 1;\\n  }\\n  @return $ret;\\n}\\n\\n// Returns a two-element list containing the normalized fraction and exponent of number.\\n// @param {Number} $x\\n// @return {List} fraction, exponent\\n@function frexp($x) {\\n  $exp: 0;\\n  @if $x < 0 {\\n    $x: $x * -1;\\n  }\\n  @if $x < 0.5 {\\n    @while $x < 0.5 {\\n      $x: $x * 2;\\n      $exp: $exp - 1;\\n    }\\n  } @else if $x >= 1 {\\n    @while $x >= 1 {\\n      $x: $x / 2;\\n      $exp: $exp + 1;\\n    }\\n  }\\n  @return $x, $exp;\\n}\\n\\n// Returns $x * 2^$exp\\n// @param {Number} $x\\n// @param {Number} $exp\\n@function ldexp($x, $exp) {\\n  $b: if($exp >= 0, 2, 1 / 2);\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $x: $x * $b;\\n    }\\n    $b: $b * $b;\\n    $exp: floor($exp * 0.5);\\n  }\\n  @return $x;\\n}\\n\\n// Returns the natural logarithm of a number.\\n// @param {Number} $x\\n// @example\\n//     log(2)  // 0.69315\\n//     log(10) // 2.30259\\n@function log($x) {\\n  @if $x <= 0 {\\n    @return 0 / 0;\\n  }\\n  $k: nth(frexp($x / $SQRT2), 2);\\n  $x: $x / ldexp(1, $k);\\n  $x: ($x - 1) / ($x + 1);\\n  $x2: $x * $x;\\n  $i: 1;\\n  $s: $x;\\n  $sp: null;\\n  @while $sp != $s {\\n    $x: $x * $x2;\\n    $i: $i + 2;\\n    $sp: $s;\\n    $s: $s + $x / $i;\\n  }\\n  @return $LN2 * $k + 2 * $s;\\n}\\n\\n@function ipow($base, $exp) {\\n  @if $exp != floor($exp) {\\n    @return error(\\"Exponent for `ipow()` must be an integer.\\");\\n  }\\n  $r: 1;\\n  $s: 0;\\n  @if $exp < 0 {\\n    $exp: $exp * -1;\\n    $s: 1;\\n  }\\n  @while $exp > 0 {\\n    @if $exp % 2 == 1 {\\n      $r: $r * $base;\\n    }\\n    $exp: floor($exp * 0.5);\\n    $base: $base * $base;\\n  }\\n  @return if($s != 0, 1 / $r, $r);\\n}\\n\\n// Returns E^x, where x is the argument, and E is Euler's constant, the base of the natural logarithms.\\n// @param {Number} $x\\n// @example\\n//     exp(1)  // 2.71828\\n//     exp(-1) // 0.36788\\n@function exp($x) {\\n  $ret: 0;\\n  @for $n from 0 to 24 {\\n    $ret: $ret + ipow($x, $n) / fact($n);\\n  }\\n  @return $ret;\\n}\\n\\n// Returns base to the exponent power.\\n// @param {Number} $base The base number\\n// @param {Number} $exp The exponent to which to raise base\\n// @return {Number}\\n// @example\\n//     pow(4, 2)   // 16\\n//     pow(4, -2)  // 0.0625\\n//     pow(4, 0.2) // 1.31951\\n@function pow($base, $exp) {\\n  @if $exp == floor($exp) {\\n    @return ipow($base, $exp);\\n  } @else {\\n    @return exp(log($base) * $exp);\\n  }\\n}\\n\\n// Returns the square root of a number.\\n// @param {Number} $x\\n// @example\\n//     sqrt(2) // 1.41421\\n//     sqrt(5) // 2.23607\\n@function sqrt($x) {\\n  @if $x < 0 {\\n    @return error(\\"Argument for `sqrt()` must be a positive number.\\");\\n  }\\n  $ret: 1;\\n  @for $i from 1 through 24 {\\n    $ret: $ret - (pow($ret, 2) - $x) / (2 * $ret);\\n  }\\n  @return $ret;\\n}\\n",\n\t\t"// standard color transformations, use these if possible, and add any new dark-light-diffs here\\n// any variables defined here can be added in theme color schemes\\n// all variables should have the !default flag\\n\\n//primary\\n$primary-very-low: dark-light-diff($primary, $secondary, 97%, -82%) !default;\\n$primary-low: dark-light-diff($primary, $secondary, 90%, -78%) !default;\\n$primary-low-mid: dark-light-diff($primary, $secondary, 70%, -45%) !default;\\n$primary-medium: dark-light-diff($primary, $secondary, 50%, -35%) !default;\\n$primary-high: dark-light-diff($primary, $secondary, 30%, -25%) !default;\\n$primary-very-high: dark-light-diff($primary, $secondary, 15%, -10%) !default;\\n\\n//header_primary\\n$header_primary-low: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  90%,\\n  -78%\\n) !default;\\n$header_primary-low-mid: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  70%,\\n  -45%\\n) !default;\\n\\n$header_primary-medium: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  50%,\\n  -35%\\n) !default;\\n$header_primary-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  30%,\\n  -25%\\n) !default;\\n$header_primary-very-high: dark-light-diff(\\n  $header_primary,\\n  $header_background,\\n  15%,\\n  -10%\\n) !default;\\n\\n//secondary\\n$secondary-low: dark-light-diff($secondary, $primary, 70%, -70%) !default;\\n$secondary-medium: dark-light-diff($secondary, $primary, 50%, -50%) !default;\\n$secondary-high: dark-light-diff($secondary, $primary, 30%, -35%) !default;\\n$secondary-very-high: dark-light-diff($secondary, $primary, 7%, -7%) !default;\\n\\n//tertiary\\n$tertiary-low: dark-light-diff($tertiary, $secondary, 85%, -65%) !default;\\n$tertiary-medium: dark-light-diff($tertiary, $secondary, 50%, -45%) !default;\\n$tertiary-high: dark-light-diff($tertiary, $secondary, 20%, -25%) !default;\\n\\n//quaternary\\n$quaternary-low: dark-light-diff($quaternary, $secondary, 70%, -70%) !default;\\n\\n//highlight\\n$highlight-low: dark-light-diff($highlight, $secondary, 70%, -80%) !default;\\n$highlight-medium: dark-light-diff($highlight, $secondary, 50%, -55%) !default;\\n$highlight-high: dark-light-diff($highlight, $secondary, -50%, -10%) !default;\\n\\n//danger\\n$danger-low: dark-light-diff($danger, $secondary, 85%, -64%) !default;\\n$danger-medium: dark-light-diff($danger, $secondary, 30%, -35%) !default;\\n\\n//success\\n$success-low: dark-light-diff($success, $secondary, 80%, -60%) !default;\\n$success-medium: dark-light-diff($success, $secondary, 50%, -40%) !default;\\n\\n//love\\n$love-low: dark-light-diff($love, $secondary, 85%, -60%) !default;\\n\\n//wiki\\n$wiki: green !default;\\n",\n\t\t"// --------------------------------------------------\\n// Mixins used throughout the theme\\n// --------------------------------------------------\\n\\n// Media queries\\n// --------------------------------------------------\\n\\n$breakpoints: (\\n  mobile-small: 320px,\\n  mobile-medium: 350px,\\n  mobile-large: 450px,\\n  mobile-extra-large: 550px,\\n  tablet: 768px,\\n  medium: 850px,\\n  large: 1000px,\\n  extra-large: 1140px\\n);\\n\\n@mixin breakpoint($bp, $rule: max-width, $type: screen) {\\n  @media #{$type} and (#{$rule}: map-get($breakpoints, $bp)) {\\n    @content;\\n  }\\n}\\n\\n// CSS3 properties\\n// --------------------------------------------------\\n\\n// Clearfix\\n\\n@mixin clearfix() {\\n  &:before,\\n  &:after {\\n    content: \\"\\";\\n    display: table;\\n  }\\n  &:after {\\n    clear: both;\\n  }\\n}\\n\\n//noinspection CssOptimizeSimilarProperties\\n@mixin linear-gradient($start-color, $end-color) {\\n  background-color: $start-color;\\n  background-image: linear-gradient(to bottom, $start-color, $end-color);\\n}\\n\\n// Visibility\\n// --------------------------------------------------\\n\\n// Only shows hover on non-touch devices\\n@mixin hover {\\n  .discourse-no-touch & {\\n    &:hover,\\n    &.btn-hover {\\n      @content;\\n    }\\n  }\\n}\\n\\n@mixin ellipsis {\\n  overflow: hidden;\\n  white-space: nowrap;\\n  text-overflow: ellipsis;\\n}\\n\\n//\\n// --------------------------------------------------\\n\\n// Unselectable (avoids unwanted selections with iPad, touch laptops, etc)\\n\\n@mixin user-select($mode) {\\n  -webkit-user-select: $mode;\\n  -moz-user-select: $mode;\\n  -ms-user-select: $mode;\\n}\\n\\n@mixin unselectable {\\n  @include user-select(none);\\n}\\n\\n// Stuff we repeat\\n@mixin post-aside {\\n  border-left: 5px solid $primary-low;\\n  background-color: blend-primary-secondary(5%);\\n}\\n\\n// We still need -webkit for latest iPhone and Safari\\n@mixin transform($transforms) {\\n  -webkit-transform: $transforms;\\n  transform: $transforms;\\n}\\n\\n@mixin appearance-none() {\\n  // resets default browser styles\\n  -webkit-appearance: none;\\n  -moz-appearance: none;\\n  appearance: none;\\n}\\n\\n@mixin fa-rotate($degrees, $rotation) {\\n  -ms-filter: \\"progid:DXImageTransform.Microsoft.BasicImage(rotation=#{$rotation})\\";\\n  -webkit-transform: rotate($degrees);\\n  -ms-transform: rotate($degrees);\\n  transform: rotate($degrees);\\n}\\n\\n/// Helper function to easily use an SVG inline in CSS\\n/// without encoding it to base64, saving bytes.\\n/// It also helps with browser support, especially for IE11.\\n///\\n/// @author Jakob Eriksen\\n/// @link http://codepen.io/jakob-e/pen/doMoML\\n/// @param {String} $svg - SVG image to encode\\n/// @return {String} - Encoded SVG data uri\\n@function svg-uri($svg) {\\n  $encoded: \\"\\";\\n  $slice: 2000;\\n  $index: 0;\\n  $loops: ceil(str-length($svg) / $slice);\\n\\n  @for $i from 1 through $loops {\\n    $chunk: str-slice($svg, $index, $index + $slice - 1);\\n    $chunk: str-replace($chunk, '\\"', \\"'\\");\\n    $chunk: str-replace($chunk, \\"<\\", \\"%3C\\");\\n    $chunk: str-replace($chunk, \\">\\", \\"%3E\\");\\n    $chunk: str-replace($chunk, \\"&\\", \\"%26\\");\\n    $chunk: str-replace($chunk, \\"#\\", \\"%23\\");\\n    $encoded: #{$encoded}#{$chunk};\\n    $index: $index + $slice;\\n  }\\n\\n  @return url(\\"data:image/svg+xml;charset=utf8,#{$encoded}\\");\\n}\\n\\n/// Replace `$search` with `$replace` in `$string`\\n/// @author Hugo Giraudel\\n/// @link http://sassmeister.com/gist/1b4f2da5527830088e4d\\n/// @param {String} $string - Initial string\\n/// @param {String} $search - Substring to replace\\n/// @param {String} $replace ('') - New value\\n/// @return {String} - Updated string\\n@function str-replace($string, $search, $replace: \\"\\") {\\n  $index: str-index($string, $search);\\n\\n  @if $index {\\n    @return str-slice($string, 1, $index - 1) + $replace +\\n      str-replace(\\n        str-slice($string, $index + str-length($search)),\\n        $search,\\n        $replace\\n      );\\n  }\\n\\n  @return $string;\\n}\\n",\n\t\t"div.poll {\\n  display: table;\\n  width: 100%;\\n  box-sizing: border-box;\\n\\n  .poll-info {\\n    min-width: 150px;\\n    width: 100%;\\n    display: table-cell;\\n    text-align: center;\\n\\n    .info-number {\\n      font-size: 3.5em;\\n    }\\n\\n    p {\\n      margin: 0.5em 0;\\n    }\\n\\n    .info-label {\\n      display: block;\\n    }\\n  }\\n\\n  .poll-container {\\n    display: table-cell;\\n    width: 100%;\\n    border-right: 1px solid $primary-low;\\n  }\\n\\n  .poll-buttons {\\n    border-top: 1px solid $primary-low;\\n    padding: 1em;\\n\\n    .info-text {\\n      line-height: 2em;\\n    }\\n\\n    :not(:first-child):not(:last-child) {\\n      margin-left: 1em;\\n    }\\n\\n    .toggle-status {\\n      float: right;\\n    }\\n  }\\n}\\n\\ndiv.poll.pie {\\n  .poll-container {\\n    width: calc(100% - 190px);\\n\\n    .poll-grouped-pie-container {\\n      width: 50%;\\n    }\\n  }\\n  .poll-info {\\n    display: inline-block;\\n    width: 150px;\\n  }\\n}\\n\\n.d-editor-preview {\\n  .poll-buttons {\\n    a:not(:first-child) {\\n      margin-left: 0.25em;\\n    }\\n  }\\n\\n  .poll {\\n    li[data-poll-option-id]:before {\\n      position: relative;\\n      vertical-align: baseline;\\n      border: 2px solid $primary;\\n      border-radius: 50%;\\n      display: inline-block;\\n      margin-right: 0.5em;\\n      width: 12px;\\n      height: 12px;\\n      content: \\"\\";\\n    }\\n\\n    &[data-poll-type=\\"multiple\\"] {\\n      li[data-poll-option-id]:before {\\n        border-radius: 3px;\\n      }\\n    }\\n  }\\n}\\n"\n\t],\n\t"names": [],\n\t"mappings": "AMAA,AAAA,GAAG,AAAA,KAAK,AAAC,CACP,OAAO,CAAE,KAAK,CACd,KAAK,CAAE,IAAI,CACX,UAAU,CAAE,UAAU,CA2CvB,AA9CD,AAKE,GALC,AAAA,KAAK,CAKN,UAAU,AAAC,CACT,SAAS,CAAE,KAAK,CAChB,KAAK,CAAE,IAAI,CACX,OAAO,CAAE,UAAU,CACnB,UAAU,CAAE,MAAM,CAanB,AAtBH,AAWI,GAXD,AAAA,KAAK,CAKN,UAAU,CAMR,YAAY,AAAC,CACX,SAAS,CAAE,KAAK,CACjB,AAbL,AAeI,GAfD,AAAA,KAAK,CAKN,UAAU,CAUR,CAAC,AAAC,CACA,MAAM,CAAE,OAAO,CAChB,AAjBL,AAmBI,GAnBD,AAAA,KAAK,CAKN,UAAU,CAcR,WAAW,AAAC,CACV,OAAO,CAAE,KAAK,CACf,AArBL,AAwBE,GAxBC,AAAA,KAAK,CAwBN,eAAe,AAAC,CACd,OAAO,CAAE,UAAU,CACnB,KAAK,CAAE,IAAI,CACX,YAAY,CAAE,GAAG,CAAC,KAAK,CLuKf,OAAoD,CKtK7D,AA5BH,AA8BE,GA9BC,AAAA,KAAK,CA8BN,aAAa,AAAC,CACZ,UAAU,CAAE,GAAG,CAAC,KAAK,CLmKb,OAAoD,CKlK5D,OAAO,CAAE,GAAG,CAab,AA7CH,AAkCI,GAlCD,AAAA,KAAK,CA8BN,aAAa,CAIX,UAAU,AAAC,CACT,WAAW,CAAE,GAAG,CACjB,AApCL,AAsCI,GAtCD,AAAA,KAAK,CA8BN,aAAa,CAQX,IAAK,CAAA,YAAY,CAAC,IAAK,CAAA,WAAW,CAAE,CAClC,WAAW,CAAE,GAAG,CACjB,AAxCL,AA0CI,GA1CD,AAAA,KAAK,CA8BN,aAAa,CAYX,cAAc,AAAC,CACb,KAAK,CAAE,KAAK,CACb,AAIL,AACE,GADC,AAAA,KAAK,AAAA,IAAI,CACV,eAAe,AAAC,CACd,KAAK,CAAE,kBAAkB,CAK1B,AAPH,AAII,GAJD,AAAA,KAAK,AAAA,IAAI,CACV,eAAe,CAGb,2BAA2B,AAAC,CAC1B,KAAK,CAAE,GAAG,CACX,AANL,AAQE,GARC,AAAA,KAAK,AAAA,IAAI,CAQV,UAAU,AAAC,CACT,OAAO,CAAE,YAAY,CACrB,KAAK,CAAE,KAAK,CACb,AAGH,AAEI,iBAFa,CACf,aAAa,CACX,CAAC,AAAA,IAAK,CAAA,YAAY,CAAE,CAClB,WAAW,CAAE,MAAM,CACpB,AAJL,AAQI,iBARa,CAOf,KAAK,CACH,EAAE,CAAA,AAAA,mBAAC,AAAA,CAAoB,OAAO,AAAC,CAC7B,QAAQ,CAAE,QAAQ,CAClB,cAAc,CAAE,QAAQ,CACxB,MAAM,CAAE,GAAG,CAAC,KAAK,CJzEb,IAAO,CI0EX,aAAa,CAAE,GAAG,CAClB,OAAO,CAAE,YAAY,CACrB,YAAY,CAAE,KAAK,CACnB,KAAK,CAAE,IAAI,CACX,MAAM,CAAE,IAAI,CACZ,OAAO,CAAE,EAAE,CACZ,AAlBL,AAqBM,iBArBW,CAOf,KAAK,CAaF,AAAA,cAAC,CAAe,UAAU,AAAzB,EACA,EAAE,CAAA,AAAA,mBAAC,AAAA,CAAoB,OAAO,AAAC,CAC7B,aAAa,CAAE,GAAG,CACnB"\n}
\.


--
-- Data for Name: tag_group_memberships; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.tag_group_memberships (id, tag_id, tag_group_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: tag_group_permissions; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.tag_group_permissions (id, tag_group_id, group_id, permission_type, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: tag_groups; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.tag_groups (id, name, created_at, updated_at, parent_tag_id, one_per_topic) FROM stdin;
\.


--
-- Data for Name: tag_search_data; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.tag_search_data (tag_id, search_data, raw_data, locale, version) FROM stdin;
\.


--
-- Data for Name: tag_users; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.tag_users (id, tag_id, user_id, notification_level, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: tags; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.tags (id, name, topic_count, created_at, updated_at, pm_topic_count, target_tag_id) FROM stdin;
\.


--
-- Data for Name: tags_web_hooks; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.tags_web_hooks (web_hook_id, tag_id) FROM stdin;
\.


--
-- Data for Name: theme_fields; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.theme_fields (id, theme_id, target_id, name, value, value_baked, created_at, updated_at, compiler_version, error, upload_id, type_id) FROM stdin;
\.


--
-- Data for Name: theme_settings; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.theme_settings (id, name, data_type, value, theme_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: theme_translation_overrides; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.theme_translation_overrides (id, theme_id, locale, translation_key, value, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: themes; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.themes (id, name, user_id, created_at, updated_at, compiler_version, user_selectable, hidden, color_scheme_id, remote_theme_id, component, enabled) FROM stdin;
1	Dark	-1	2019-12-05 04:03:33.325321	2019-12-05 04:03:33.325321	0	t	f	1	\N	f	t
2	Light	-1	2019-12-05 04:03:34.777193	2019-12-05 04:03:34.777193	0	t	f	\N	\N	f	t
\.


--
-- Data for Name: top_topics; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.top_topics (id, topic_id, yearly_posts_count, yearly_views_count, yearly_likes_count, monthly_posts_count, monthly_views_count, monthly_likes_count, weekly_posts_count, weekly_views_count, weekly_likes_count, daily_posts_count, daily_views_count, daily_likes_count, daily_score, weekly_score, monthly_score, yearly_score, all_score, daily_op_likes_count, weekly_op_likes_count, monthly_op_likes_count, yearly_op_likes_count, quarterly_posts_count, quarterly_views_count, quarterly_likes_count, quarterly_score, quarterly_op_likes_count) FROM stdin;
3	9	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0
5	7	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0
6	8	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0
1	5	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0.301029995663981198	0	0	0	0	0	0	0	0	0
4	6	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0.301029995663981198	0	0	0	0	0	0	0	0	0
2	4	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0	0.301029995663981198	0	0	0	0	0	0	0	0	0
\.


--
-- Data for Name: topic_allowed_groups; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_allowed_groups (id, group_id, topic_id) FROM stdin;
\.


--
-- Data for Name: topic_allowed_users; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_allowed_users (id, user_id, topic_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: topic_custom_fields; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_custom_fields (id, topic_id, name, value, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: topic_embeds; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_embeds (id, topic_id, post_id, embed_url, content_sha1, created_at, updated_at, deleted_at, deleted_by_id) FROM stdin;
\.


--
-- Data for Name: topic_groups; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_groups (id, group_id, topic_id, last_read_post_number, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: topic_invites; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_invites (id, topic_id, invite_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: topic_link_clicks; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_link_clicks (id, topic_link_id, user_id, created_at, updated_at, ip_address) FROM stdin;
\.


--
-- Data for Name: topic_links; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_links (id, topic_id, post_id, user_id, url, domain, internal, link_topic_id, created_at, updated_at, reflection, clicks, link_post_id, title, crawled_at, quote, extension) FROM stdin;
3	5	6	-1	/about	t.goodrain.com	t	\N	2019-12-05 04:03:36.006735	2019-12-05 04:03:36.006735	f	0	\N	\N	\N	f	\N
4	5	6	-1	/c/site-feedback	t.goodrain.com	t	\N	2019-12-05 04:03:36.013636	2019-12-05 04:03:36.013636	f	0	\N	\N	\N	f	\N
5	5	6	-1	/tos	t.goodrain.com	t	\N	2019-12-05 04:03:36.027295	2019-12-05 04:03:36.027295	f	0	\N	\N	\N	f	\N
8	8	11	-1	/badges/3/regular	t.goodrain.com	t	\N	2019-12-05 04:03:36.881434	2019-12-05 04:03:36.881434	f	0	\N	\N	\N	f	\N
11	9	12	-1	/wizard	t.goodrain.com	t	\N	2019-12-05 04:03:37.205096	2019-12-05 04:03:37.205096	f	0	\N	\N	\N	f	\N
22	9	12	-1	/category/site-feedback	t.goodrain.com	t	\N	2019-12-05 04:03:37.306224	2019-12-05 04:03:37.306224	f	0	\N	\N	\N	f	\N
24	9	12	-1	/category/lounge	t.goodrain.com	t	\N	2019-12-05 04:03:37.320182	2019-12-05 04:03:37.320182	f	0	\N	\N	\N	f	\N
25	9	12	-1	/category/staff	t.goodrain.com	t	\N	2019-12-05 04:03:37.329162	2019-12-05 04:03:37.329162	f	0	\N	\N	\N	f	\N
26	9	12	-1	/categories	t.goodrain.com	t	\N	2019-12-05 04:03:37.338114	2019-12-05 04:03:37.338114	f	0	\N	\N	\N	f	\N
2	4	4	-1	https://creativecommons.org	creativecommons.org	f	\N	2019-12-05 04:03:35.634103	2019-12-05 04:03:35.634103	f	0	\N	\N	2019-12-05 04:58:11.799635	f	\N
46	4	4	-1	//t.goodrain.com	t.goodrain.com	t	\N	2019-12-05 04:58:35.680275	2019-12-05 04:58:35.680275	f	0	\N	\N	\N	f	\N
6	6	8	-1	https://en.wikipedia.org/wiki/Children%27s_Online_Privacy_Protection_Act	en.wikipedia.org	f	\N	2019-12-05 04:03:36.339949	2019-12-05 04:03:36.339949	f	0	\N	Children's Online Privacy Protection Act - Wikipedia	2019-12-05 04:58:36.579078	f	\N
7	8	11	-1	https://en.wikipedia.org/wiki/Nofollow	en.wikipedia.org	f	\N	2019-12-05 04:03:36.853542	2019-12-05 04:03:36.853542	f	0	\N	nofollow - Wikipedia	2019-12-05 04:58:36.68972	f	\N
12	9	12	-1	/admin	t.goodrain.com	f	\N	2019-12-05 04:03:37.228174	2019-12-05 04:03:37.228174	f	0	\N	\N	2019-12-05 04:58:37.17516	f	\N
9	8	11	-1	https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/	blog.discourse.org	f	\N	2019-12-05 04:03:36.885437	2019-12-05 04:03:36.885437	f	0	\N	Understanding Discourse Trust Levels	2019-12-05 04:58:37.464693	f	\N
10	9	12	-1	https://www.discourse.org	www.discourse.org	f	\N	2019-12-05 04:03:37.17793	2019-12-05 04:03:37.17793	f	0	\N	Discourse - Civilized Discussion	2019-12-05 04:58:37.565238	f	\N
14	9	12	-1	https://meta.discourse.org/t/configuring-twitter-login-for-discourse/13395	meta.discourse.org	f	\N	2019-12-05 04:03:37.250949	2019-12-05 04:03:37.250949	f	0	\N	\N	2019-12-05 04:58:38.15197	f	\N
13	9	12	-1	https://meta.discourse.org/t/configuring-google-oauth2-login-for-discourse/15858	meta.discourse.org	f	\N	2019-12-05 04:03:37.247313	2019-12-05 04:03:37.247313	f	0	\N	\N	2019-12-05 04:58:38.245838	f	\N
19	9	12	-1	/admin/email	t.goodrain.com	f	\N	2019-12-05 04:03:37.278102	2019-12-05 04:03:37.278102	f	0	\N	\N	2019-12-05 04:58:38.256081	f	\N
17	9	12	-1	https://meta.discourse.org/t/official-single-sign-on-for-discourse/13045	meta.discourse.org	f	\N	2019-12-05 04:03:37.260693	2019-12-05 04:03:37.260693	f	0	\N	\N	2019-12-05 04:58:38.341837	f	\N
15	9	12	-1	https://meta.discourse.org/t/configuring-facebook-login-for-discourse/13394	meta.discourse.org	f	\N	2019-12-05 04:03:37.254177	2019-12-05 04:03:37.254177	f	0	\N	Configuring Facebook login for Discourse - admins - Discourse Meta	2019-12-05 04:58:38.391973	f	\N
16	9	12	-1	https://meta.discourse.org/t/configuring-github-login-for-discourse/13745	meta.discourse.org	f	\N	2019-12-05 04:03:37.257377	2019-12-05 04:03:37.257377	f	0	\N	Configuring GitHub login for Discourse - admins - Discourse Meta	2019-12-05 04:58:38.620142	f	\N
18	9	12	-1	https://meta.discourse.org/t/login-to-discourse-with-custom-oauth2-provider/14717	meta.discourse.org	f	\N	2019-12-05 04:03:37.263933	2019-12-05 04:03:37.263933	f	0	\N	Login to Discourse with custom Oauth2 provider - support - Discourse Meta	2019-12-05 04:58:39.085395	f	\N
20	9	12	-1	https://github.com/discourse/discourse/blob/master/docs/INSTALL-email.md	github.com	f	\N	2019-12-05 04:03:37.28206	2019-12-05 04:03:37.28206	f	0	\N	discourse/INSTALL-email.md at master · discourse/discourse · GitHub	2019-12-05 04:58:39.13605	f	md
23	9	12	-1	https://meta.discourse.org/t/5249	meta.discourse.org	f	\N	2019-12-05 04:03:37.311171	2019-12-05 04:03:37.311171	f	0	\N	\N	2019-12-05 04:58:39.145032	f	\N
21	9	12	-1	https://meta.discourse.org/t/set-up-reply-via-email-support/14003	meta.discourse.org	f	\N	2019-12-05 04:03:37.286081	2019-12-05 04:03:37.286081	f	0	\N	Set up Reply via Email Support ✉ - admins - Discourse Meta	2019-12-05 04:58:39.310557	f	\N
27	9	12	-1	https://blog.discourse.org/2018/06/understanding-discourse-trust-levels/	blog.discourse.org	f	\N	2019-12-05 04:03:37.342459	2019-12-05 04:03:37.342459	f	0	\N	Understanding Discourse Trust Levels	2019-12-05 04:58:39.456892	f	\N
32	9	12	-1	/admin/upgrade	t.goodrain.com	f	\N	2019-12-05 04:03:37.379715	2019-12-05 04:03:37.379715	f	0	\N	\N	2019-12-05 04:58:39.463563	f	\N
28	9	12	-1	https://blog.discourse.org/2014/08/building-a-discourse-community/	blog.discourse.org	f	\N	2019-12-05 04:03:37.346601	2019-12-05 04:03:37.346601	f	0	\N	Building a Discourse Community	2019-12-05 04:58:39.876083	f	\N
30	9	12	-1	https://meta.discourse.org/t/invite-individual-users-to-a-group/15544	meta.discourse.org	f	\N	2019-12-05 04:03:37.355099	2019-12-05 04:03:37.355099	f	0	\N	Invite individual users to a group - admins - Discourse Meta	2019-12-05 04:58:39.924074	f	\N
29	9	12	-1	https://meta.discourse.org/t/sending-bulk-user-invites/16468	meta.discourse.org	f	\N	2019-12-05 04:03:37.35117	2019-12-05 04:03:37.35117	f	0	\N	Sending Bulk User Invites - admins - Discourse Meta	2019-12-05 04:58:40.17589	f	\N
33	9	12	-1	https://meta.discourse.org/t/configure-automatic-backups-for-discourse/14855	meta.discourse.org	f	\N	2019-12-05 04:03:37.383427	2019-12-05 04:03:37.383427	f	0	\N	Configure automatic backups for Discourse - sysadmin - Discourse Meta	2019-12-05 04:58:40.240576	f	\N
34	9	12	-1	https://meta.discourse.org/t/allowing-ssl-for-your-discourse-docker-setup/13847	meta.discourse.org	f	\N	2019-12-05 04:03:37.386469	2019-12-05 04:03:37.386469	f	0	\N	\N	2019-12-05 04:58:40.562433	f	\N
37	9	12	-1	https://meta.discourse.org/t/how-do-i-change-the-domain-name/16098	meta.discourse.org	f	\N	2019-12-05 04:03:37.39571	2019-12-05 04:03:37.39571	f	0	\N	\N	2019-12-05 04:58:40.966502	f	\N
38	9	12	-1	https://meta.discourse.org/t/multisite-configuration-with-docker/14084	meta.discourse.org	f	\N	2019-12-05 04:03:37.399268	2019-12-05 04:03:37.399268	f	0	\N	Multisite configuration with Docker - sysadmin - Discourse Meta	2019-12-05 04:58:41.120828	f	\N
36	9	12	-1	https://meta.discourse.org/t/move-your-discourse-instance-to-a-different-server/15721	meta.discourse.org	f	\N	2019-12-05 04:03:37.392573	2019-12-05 04:03:37.392573	f	0	\N	Move your Discourse Instance to a Different Server - admins - Discourse Meta	2019-12-05 04:58:41.376048	f	\N
41	9	12	-1	https://meta.discourse.org/t/adding-an-offline-page-when-rebuilding/45238	meta.discourse.org	f	\N	2019-12-05 04:03:37.410313	2019-12-05 04:03:37.410313	f	0	\N	Adding an offline page when rebuilding - sysadmin - Discourse Meta	2019-12-05 04:58:41.745884	f	\N
40	9	12	-1	https://meta.discourse.org/t/configure-a-firewall-for-discourse/20584	meta.discourse.org	f	\N	2019-12-05 04:03:37.405932	2019-12-05 04:03:37.405932	f	0	\N	Configure a firewall for Discourse - sysadmin - Discourse Meta	2019-12-05 04:58:41.912924	f	\N
44	9	12	-1	https://meta.discourse.org	meta.discourse.org	f	\N	2019-12-05 04:03:37.464821	2019-12-05 04:03:37.464821	f	0	\N	Discourse Meta - The Official Support Forum for Discourse	2019-12-05 04:58:42.202932	f	\N
43	9	12	-1	https://meta.discourse.org/t/embedding-discourse-comments-via-javascript/31963	meta.discourse.org	f	\N	2019-12-05 04:03:37.462046	2019-12-05 04:03:37.462046	f	0	\N	Embedding Discourse Comments via Javascript - developers - Discourse Meta	2019-12-05 04:58:42.338454	f	\N
31	9	12	-1	https://github.com/discourse/discourse/blob/master/docs/INSTALL.md	github.com	f	\N	2019-12-05 04:03:37.3586	2019-12-05 04:03:37.3586	f	0	\N	discourse/INSTALL.md at master · discourse/discourse · GitHub	2019-12-05 04:58:40.212603	f	md
35	9	12	-1	https://meta.discourse.org/t/enable-a-cdn-for-your-discourse/14857	meta.discourse.org	f	\N	2019-12-05 04:03:37.389375	2019-12-05 04:03:37.389375	f	0	\N	Enable a CDN for your Discourse - admins - Discourse Meta	2019-12-05 04:58:40.969673	f	\N
45	9	12	-1	https://github.com/discourse/discourse/blob/master/docs/ADMIN-QUICK-START-GUIDE.md	github.com	f	\N	2019-12-05 04:03:37.468231	2019-12-05 04:03:37.468231	f	0	\N	discourse/ADMIN-QUICK-START-GUIDE.md at master · discourse/discourse · GitHub	2019-12-05 04:58:42.648725	f	md
39	9	12	-1	https://github.com/discourse/discourse/tree/master/script/import_scripts	github.com	f	\N	2019-12-05 04:03:37.402543	2019-12-05 04:03:37.402543	f	0	\N	discourse/script/import_scripts at master · discourse/discourse · GitHub	2019-12-05 04:58:41.419477	f	\N
42	9	12	-1	https://github.com/discourse/wp-discourse	github.com	f	\N	2019-12-05 04:03:37.456892	2019-12-05 04:03:37.456892	f	0	\N	GitHub - discourse/wp-discourse: WordPress plugin that lets you use Discourse as the community engine for a WordPress blog	2019-12-05 04:58:42.085487	f	\N
\.


--
-- Data for Name: topic_search_data; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_search_data (topic_id, raw_data, locale, search_data, version) FROM stdin;
1	About the Site Feedback category Discussion about this site, its organization, how it works, and how we can improve it.	en_US	'categori':5A 'discuss':6B 'feedback':4A 'improv':19B 'organ':11B 'site':3A,9B 'work':14B	3
2	About the Staff category Private category for staff discussions. Topics are only visible to admins and moderators.	en_US	'admin':15B 'categori':4A,6B 'discuss':9B 'moder':17B 'privat':5B 'staff':3A,8B 'topic':10B 'visibl':13B	3
3	About the Lounge category A category exclusive to members with trust level 3 and higher.	en_US	'3':13B 'categori':4A,6B 'exclus':7B 'higher':15B 'level':12B 'loung':3A 'member':9B 'trust':11B	3
4	Terms of Service These terms govern use of the Internet forum at http://t.goodrain.com t goodrain com . To use the forum, you must agree to these terms with company_name , the company that runs the forum. The company may offer other	en_US	'agre':23B 'com':16B 'compani':28B,31B,37B 'forum':11B,20B,35B 'goodrain':15B 'govern':6B 'internet':10B 'may':38B 'must':22B 'name':29B 'offer':39B 'run':33B 'servic':3A 't.goodrain.com':13B 'term':1A,5B,26B 'use':7B,18B	3
5	FAQ/Guidelines #civilized This is a Civilized Place for Public Discussion Please treat this discussion forum with the same respect you would a public park. We, too, are a shared community resource — a place to share	en_US	'civil':2B,6B 'communiti':30B 'discuss':10B,14B 'faq/guidelines':1A 'forum':15B 'park':24B 'place':7B,33B 'pleas':11B 'public':9B,23B 'resourc':31B 'respect':19B 'share':29B,35B 'treat':12B 'would':21B	3
6	Privacy Policy #collect What information do we collect? We collect information from you when you register on our site and gather data when you participate in the forum by reading, writing, and evaluating the content	en_US	'collect':3B,8B,10B 'content':35B 'data':22B 'evalu':33B 'forum':28B 'gather':21B 'inform':5B,11B 'particip':25B 'polici':2A 'privaci':1A 'read':30B 'regist':16B 'site':19B 'write':31B	3
7	Welcome to Discourse The first paragraph of this pinned topic will be visible as a welcome message to all new visitors on your homepage. It’s important! Edit this into a brief description of your community: Who is it for?	en_US	'brief':32B 'communiti':36B 'descript':33B 'discours':3A 'edit':28B 'first':5B 'homepag':24B 'import':27B 'messag':17B 'new':20B 'paragraph':6B 'pin':9B 'topic':10B 'visibl':13B 'visitor':21B 'welcom':1A,16B	3
8	Welcome to the Lounge Congratulations! :confetti_ball: If you can see this topic, you were recently promoted to regular (trust level 3). You can now … Edit the title of any topic Change the category of any topic Have all y	en_US	'3':22B 'ball':7B 'categori':34B 'chang':32B 'confetti':6B 'congratul':5B 'edit':26B 'level':21B 'loung':4A 'promot':17B 'recent':16B 'regular':19B 'see':11B 'titl':28B 'topic':13B,31B,37B 'trust':20B 'welcom':1A 'y':40B	3
9	READ ME FIRST: Admin Quick Start Guide Congratulations, you are now the proud owner of your very own https://www.discourse.org www discourse org Civilized Discourse Construction Kit . :hatching_chick: Getting Started If you haven’t already, launch the /wiza	en_US	'/wiza':38B 'admin':4A 'alreadi':35B 'chick':28B 'civil':23B 'congratul':8B 'construct':25B 'discours':21B,24B 'first':3A 'get':29B 'guid':7A 'hatch':27B 'haven':33B 'kit':26B 'launch':36B 'org':22B 'owner':14B 'proud':13B 'quick':5A 'read':1A 'start':6A,30B 'www':20B 'www.discourse.org':19B	3
\.


--
-- Data for Name: topic_tags; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_tags (id, topic_id, tag_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: topic_timers; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_timers (id, execute_at, status_type, user_id, topic_id, based_on_last_post, deleted_at, deleted_by_id, created_at, updated_at, category_id, public_type) FROM stdin;
\.


--
-- Data for Name: topic_users; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_users (user_id, topic_id, posted, last_read_post_number, highest_seen_post_number, last_visited_at, first_visited_at, notification_level, notifications_changed_at, notifications_reason_id, total_msecs_viewed, cleared_pinned_at, id, last_emailed_post_number, liked, bookmarked) FROM stdin;
-1	4	t	2	2	2019-12-05 04:03:35.234355	2019-12-05 04:03:35.234355	3	2019-12-05 04:03:35.233412	1	0	\N	1	\N	f	f
-1	5	t	2	2	2019-12-05 04:03:35.89038	2019-12-05 04:03:35.89038	3	2019-12-05 04:03:35.88949	1	0	\N	2	\N	f	f
-1	6	t	2	2	2019-12-05 04:03:36.231355	2019-12-05 04:03:36.231355	3	2019-12-05 04:03:36.230636	1	0	\N	3	\N	f	f
-1	7	t	1	1	2019-12-05 04:03:36.593678	2019-12-05 04:03:36.593678	3	2019-12-05 04:03:36.592848	1	0	\N	4	\N	f	f
-1	8	t	1	1	2019-12-05 04:03:36.798897	2019-12-05 04:03:36.798897	3	2019-12-05 04:03:36.79819	1	0	\N	5	\N	f	f
-1	9	t	1	1	2019-12-05 04:03:36.989635	2019-12-05 04:03:36.989635	3	2019-12-05 04:03:36.988746	1	0	\N	6	\N	f	f
\.


--
-- Data for Name: topic_views; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topic_views (topic_id, viewed_at, user_id, ip_address) FROM stdin;
\.


--
-- Data for Name: topics; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.topics (id, title, last_posted_at, created_at, updated_at, views, posts_count, user_id, last_post_user_id, reply_count, featured_user1_id, featured_user2_id, featured_user3_id, avg_time, deleted_at, highest_post_number, image_url, like_count, incoming_link_count, category_id, visible, moderator_posts_count, closed, archived, bumped_at, has_summary, archetype, featured_user4_id, notify_moderators_count, spam_count, pinned_at, score, percent_rank, subtype, slug, deleted_by_id, participant_count, word_count, excerpt, pinned_globally, pinned_until, fancy_title, highest_staff_post_number, featured_link, reviewable_score) FROM stdin;
3	About the Lounge category	\N	2019-12-05 04:03:33.169512	2019-12-05 04:03:33.169512	0	1	-1	-1	0	\N	\N	\N	\N	\N	1	\N	0	0	4	t	0	f	f	2019-12-05 04:03:33.169554	f	regular	\N	0	0	2019-12-05 04:03:33.167837	0	1	\N	about-the-lounge-category	\N	1	\N	\N	f	\N	About the Lounge category	1	\N	0
5	FAQ/Guidelines	2019-12-05 04:03:36.14008	2019-12-05 04:03:35.866572	2019-12-05 04:03:36.172182	0	2	-1	-1	0	\N	\N	\N	\N	\N	2	\N	0	0	3	t	0	f	f	2019-12-05 04:03:36.14008	f	regular	\N	0	0	\N	0.200000000000000011	1	\N	faq-guidelines	\N	1	942	This is a Civilized Place for Public Discussion\nPlease treat this discussion forum with the same respect you would a public park. We, too, are a shared community resource — a place to share skills, knowledge and intere&hellip;	f	\N	FAQ/Guidelines	2	\N	0
4	Terms of Service	2019-12-05 04:03:35.791749	2019-12-05 04:03:35.104854	2019-12-05 04:03:35.825082	0	2	-1	-1	0	\N	\N	\N	\N	\N	2	\N	0	0	3	t	0	f	f	2019-12-05 04:03:35.791749	f	regular	\N	0	0	\N	0.200000000000000011	1	\N	terms-of-service	\N	1	2353	These terms govern use of the Internet forum at http://t.goodrain.com. To use the forum, you must agree to these terms with company_name, the company that runs the forum. \nThe company may offer other products and service&hellip;	f	\N	Terms of Service	2	\N	0
2	About the Staff category	\N	2019-12-05 04:03:33.120577	2019-12-05 04:03:33.120577	0	1	-1	-1	0	\N	\N	\N	\N	\N	1	\N	0	0	3	t	0	f	f	2019-12-05 04:03:33.120624	f	regular	\N	0	0	2019-12-05 04:03:33.118754	0	1	\N	about-the-staff-category	\N	1	\N	\N	f	\N	About the Staff category	1	\N	0
1	About the Site Feedback category	\N	2019-12-05 04:03:32.873061	2019-12-05 04:03:32.873061	0	1	-1	-1	0	\N	\N	\N	\N	\N	1	\N	0	0	2	t	0	f	f	2019-12-05 04:03:32.873352	f	regular	\N	0	0	2019-12-05 04:03:27.540773	0	1	\N	about-the-site-feedback-category	\N	1	\N	\N	f	\N	About the Site Feedback category	1	\N	0
9	READ ME FIRST: Admin Quick Start Guide	2019-12-05 04:03:37.076311	2019-12-05 04:03:36.964542	2019-12-05 04:03:37.482161	0	1	-1	-1	0	\N	\N	\N	\N	\N	1	\N	0	0	3	t	0	f	f	2019-12-05 04:03:37.076311	f	regular	\N	0	0	\N	0.200000000000000011	1	\N	read-me-first-admin-quick-start-guide	\N	1	1486	Congratulations, you are now the proud owner of your very own Civilized Discourse Construction Kit. :hatching_chick: \nGetting Started\nIf you haven’t already, launch the setup wizard and go through the steps to configure &hellip;	f	\N	READ ME FIRST: Admin Quick Start Guide	1	\N	0
6	Privacy Policy	2019-12-05 04:03:36.449051	2019-12-05 04:03:36.210393	2019-12-05 04:03:36.498035	0	2	-1	-1	0	\N	\N	\N	\N	\N	2	\N	0	0	3	t	0	f	f	2019-12-05 04:03:36.449051	f	regular	\N	0	0	\N	0.200000000000000011	1	\N	privacy-policy	\N	1	822	What information do we collect?\nWe collect information from you when you register on our site and gather data when you participate in the forum by reading, writing, and evaluating the content shared here. \nWhen registe&hellip;	f	\N	Privacy Policy	2	\N	0
7	Welcome to Discourse	2019-12-05 04:03:36.642407	2019-12-05 04:03:36.557742	2019-12-05 04:03:36.686741	0	1	-1	-1	0	\N	\N	\N	\N	\N	1	//t.goodrain.com/images/welcome/discourse-edit-post-animated.gif	0	0	1	t	0	f	f	2019-12-05 04:03:36.642407	f	regular	\N	0	0	2019-12-05 04:03:36.766872	0.200000000000000011	1	\N	welcome-to-discourse	\N	1	95	The first paragraph of this pinned topic will be visible as a welcome message to all new visitors on your homepage. It’s important! \nEdit this into a brief description of your community: \n\nWho is it for?\nWhat can they fi&hellip;	t	\N	Welcome to Discourse	1	\N	0
8	Welcome to the Lounge	2019-12-05 04:03:36.827413	2019-12-05 04:03:36.779322	2019-12-05 04:03:36.893132	0	1	-1	-1	0	\N	\N	\N	\N	\N	1	\N	0	0	4	t	0	f	f	2019-12-05 04:03:36.827413	f	regular	\N	0	0	2019-12-05 04:03:36.950397	0.200000000000000011	1	\N	welcome-to-the-lounge	\N	1	131	Congratulations! :confetti_ball: \nIf you can see this topic, you were recently promoted to regular (trust level 3). \nYou can now … \n\nEdit the title of any topic\nChange the category of any topic\nHave all your links follow&hellip;	f	\N	Welcome to the Lounge	1	\N	0
\.


--
-- Data for Name: translation_overrides; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.translation_overrides (id, locale, translation_key, value, created_at, updated_at, compiled_js) FROM stdin;
\.


--
-- Data for Name: unsubscribe_keys; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.unsubscribe_keys (key, user_id, created_at, updated_at, unsubscribe_key_type, topic_id, post_id) FROM stdin;
\.


--
-- Data for Name: uploads; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.uploads (id, user_id, original_filename, filesize, width, height, url, created_at, updated_at, sha1, origin, retain_hours, extension, thumbnail_width, thumbnail_height, etag, secure) FROM stdin;
-1	-1	d-logo-sketch.png	14461	\N	\N	/images/d-logo-sketch.png	2019-12-05 04:03:27.443174	2019-12-05 04:03:27.443174	_aa4aed9d6276bab017d3991051fbb9177783abe	\N	\N	png	\N	\N	\N	f
-2	-1	d-logo-sketch-small.png	6175	\N	\N	/images/d-logo-sketch-small.png	2019-12-05 04:03:27.448995	2019-12-05 04:03:27.448995	_bc7909b0ece56689d3551a51911e6ee1810ad31	\N	\N	png	\N	\N	\N	f
-3	-1	default-favicon.ico	6518	\N	\N	/images/default-favicon.ico	2019-12-05 04:03:27.45335	2019-12-05 04:03:27.45335	_bacea4851373b7c6c0ed37c8576245cc8eeef34	\N	\N	ico	\N	\N	\N	f
-4	-1	default-apple-touch-icon.png	8166	\N	\N	/images/default-apple-touch-icon.png	2019-12-05 04:03:27.457123	2019-12-05 04:03:27.457123	_9cbb8e9d5ecd0c8ec8f48ded2f11025970ab194	\N	\N	png	\N	\N	\N	f
-5	-1	discourse-logo-sketch.png	169105	\N	\N	/images/discourse-logo-sketch.png	2019-12-05 04:03:27.460681	2019-12-05 04:03:27.460681	_abaabe41348866838adb7a011cdd530175a53df	\N	\N	png	\N	\N	\N	f
-6	-1	discourse-logo-sketch-small.png	62655	\N	\N	/images/discourse-logo-sketch-small.png	2019-12-05 04:03:27.464556	2019-12-05 04:03:27.464556	_129430568242d1b7f853bb13ebea28b3f6af4e7	\N	\N	png	\N	\N	\N	f
1	-1	gravatar.png	11124	\N	\N	/uploads/default/original/1X/e952cfd4c1bc58e77024e4c2b518531356319780.png	2019-12-05 04:58:44.030729	2019-12-05 04:58:44.036099	e952cfd4c1bc58e77024e4c2b518531356319780	https://www.gravatar.com/avatar/56ef6e0c7fc2d68d83a6d7ab195da32c.png?s=360&d=404	\N	png	360	360	\N	f
\.


--
-- Data for Name: user_actions; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_actions (id, action_type, user_id, target_topic_id, target_post_id, target_user_id, acting_user_id, created_at, updated_at) FROM stdin;
1	4	-1	4	-1	\N	-1	2019-12-05 04:03:35.104854	2019-12-05 04:03:35.283614
2	5	-1	4	5	\N	-1	2019-12-05 04:03:35.791749	2019-12-05 04:03:35.81315
3	4	-1	5	-1	\N	-1	2019-12-05 04:03:35.866572	2019-12-05 04:03:35.899309
4	5	-1	5	7	\N	-1	2019-12-05 04:03:36.14008	2019-12-05 04:03:36.160837
5	4	-1	6	-1	\N	-1	2019-12-05 04:03:36.210393	2019-12-05 04:03:36.239495
6	5	-1	6	9	\N	-1	2019-12-05 04:03:36.449051	2019-12-05 04:03:36.479388
7	4	-1	7	-1	\N	-1	2019-12-05 04:03:36.557742	2019-12-05 04:03:36.607523
8	4	-1	8	-1	\N	-1	2019-12-05 04:03:36.779322	2019-12-05 04:03:36.807269
9	4	-1	9	-1	\N	-1	2019-12-05 04:03:36.964542	2019-12-05 04:03:36.999289
\.


--
-- Data for Name: user_api_keys; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_api_keys (id, user_id, client_id, key, application_name, push_url, created_at, updated_at, revoked_at, scopes, last_used_at) FROM stdin;
\.


--
-- Data for Name: user_archived_messages; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_archived_messages (id, user_id, topic_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: user_associated_accounts; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_associated_accounts (id, provider_name, provider_uid, user_id, last_used, info, credentials, extra, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: user_auth_token_logs; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_auth_token_logs (id, action, user_auth_token_id, user_id, client_ip, user_agent, auth_token, created_at, path) FROM stdin;
\.


--
-- Data for Name: user_auth_tokens; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_auth_tokens (id, user_id, auth_token, prev_auth_token, user_agent, auth_token_seen, client_ip, rotated_at, created_at, updated_at, seen_at) FROM stdin;
\.


--
-- Data for Name: user_avatars; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_avatars (id, user_id, custom_upload_id, gravatar_upload_id, last_gravatar_download_attempt, created_at, updated_at) FROM stdin;
2	-2	\N	\N	2019-12-05 04:58:42.092247	2019-12-05 04:03:37.758809	2019-12-05 04:58:42.092609
1	-1	\N	1	2019-12-05 04:58:41.920899	2019-12-05 04:03:27.390558	2019-12-05 04:58:44.061061
\.


--
-- Data for Name: user_badges; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_badges (id, badge_id, user_id, granted_at, granted_by_id, post_id, notification_id, seq) FROM stdin;
1	41	-1	2019-12-05 04:58:37.249422	-1	10	1	0
\.


--
-- Data for Name: user_custom_fields; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_custom_fields (id, user_id, name, value, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: user_emails; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_emails (id, user_id, email, "primary", created_at, updated_at) FROM stdin;
-1	-1	no_email	t	2019-12-05 04:03:26.887678	2019-12-05 04:03:26.887678
-2	-2	discobot_email	t	2019-12-05 04:03:37.578889	2019-12-05 04:03:37.578889
\.


--
-- Data for Name: user_exports; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_exports (id, file_name, user_id, created_at, updated_at, upload_id, topic_id) FROM stdin;
\.


--
-- Data for Name: user_field_options; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_field_options (id, user_field_id, value, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: user_fields; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_fields (id, name, field_type, created_at, updated_at, editable, description, required, show_on_profile, "position", show_on_user_card, external_name, external_type) FROM stdin;
\.


--
-- Data for Name: user_histories; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_histories (id, action, acting_user_id, target_user_id, details, created_at, updated_at, context, ip_address, email, subject, previous_value, new_value, topic_id, admin_only, post_id, custom_type, category_id) FROM stdin;
\.


--
-- Data for Name: user_open_ids; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_open_ids (id, user_id, email, url, created_at, updated_at, active) FROM stdin;
\.


--
-- Data for Name: user_options; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_options (user_id, mailing_list_mode, email_digests, external_links_in_new_tab, enable_quoting, dynamic_favicon, disable_jump_reply, automatically_unpin_topics, digest_after_minutes, auto_track_topics_after_msecs, new_topic_duration_minutes, last_redirected_to_top_at, email_previous_replies, email_in_reply_to, like_notification_frequency, mailing_list_mode_frequency, include_tl0_in_digests, notification_level_when_replying, theme_key_seq, allow_private_messages, homepage_id, theme_ids, hide_profile_and_presence, text_size_key, text_size_seq, email_level, email_messages_level, title_count_mode_key, enable_defer, timezone) FROM stdin;
-1	f	t	f	t	f	f	t	10080	240000	2880	\N	2	t	1	1	f	2	0	t	\N	{}	f	0	0	2	2	0	f	\N
-2	f	t	f	t	f	f	t	10080	240000	2880	\N	2	t	1	1	f	2	0	t	\N	{}	f	0	0	2	2	0	f	\N
\.


--
-- Data for Name: user_profile_views; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_profile_views (id, user_profile_id, viewed_at, ip_address, user_id) FROM stdin;
\.


--
-- Data for Name: user_profiles; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_profiles (user_id, location, website, bio_raw, bio_cooked, profile_background, dismissed_banner_key, bio_cooked_version, badge_granted_title, card_background, views, profile_background_upload_id, card_background_upload_id, granted_title_badge_id) FROM stdin;
-2	\N	\N	Hi, I’m not a real person. I’m a bot that can teach you about this site. To interact with me, send me a message or mention **`@discobot`** anywhere.	<p>Hi, I’m not a real person. I’m a bot that can teach you about this site. To interact with me, send me a message or mention <strong><code>@discobot</code></strong> anywhere.</p>	\N	\N	1	f	\N	0	\N	\N	\N
-1	\N	\N	\N	\N	\N	\N	1	f	\N	0	\N	\N	\N
\.


--
-- Data for Name: user_search_data; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_search_data (user_id, search_data, raw_data, locale, version) FROM stdin;
-1	'system':1A,2B	system system	en_US	3
-2	'discobot':1A,2B	discobot discobot	en_US	3
\.


--
-- Data for Name: user_second_factors; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_second_factors (id, user_id, method, data, enabled, last_used, created_at, updated_at, name) FROM stdin;
\.


--
-- Data for Name: user_security_keys; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_security_keys (id, user_id, credential_id, public_key, factor_type, enabled, name, last_used, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: user_stats; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_stats (user_id, topics_entered, time_read, days_visited, posts_read_count, likes_given, likes_received, topic_reply_count, new_since, read_faq, first_post_created_at, post_count, topic_count, bounce_score, reset_bounce_score_after, flags_agreed, flags_disagreed, flags_ignored, first_unread_at) FROM stdin;
-1	0	0	0	9	0	0	0	2019-12-05 04:03:27.187618	\N	2019-12-05 04:03:35.380446	3	6	0	\N	0	0	0	2019-12-05 04:03:26.846118
-2	0	0	0	0	0	0	0	2019-12-05 04:03:37.732182	\N	\N	0	0	0	\N	0	0	0	2019-12-05 04:03:37.571986
\.


--
-- Data for Name: user_uploads; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_uploads (id, upload_id, user_id, created_at) FROM stdin;
1	1	-1	2019-12-05 04:58:44.054467
\.


--
-- Data for Name: user_visits; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_visits (id, user_id, visited_at, posts_read, mobile, time_read) FROM stdin;
\.


--
-- Data for Name: user_warnings; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.user_warnings (id, topic_id, user_id, created_by_id, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: users; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.users (id, username, created_at, updated_at, name, seen_notification_id, last_posted_at, password_hash, salt, active, username_lower, last_seen_at, admin, last_emailed_at, trust_level, approved, approved_by_id, approved_at, previous_visit_at, suspended_at, suspended_till, date_of_birth, views, flag_level, ip_address, moderator, title, uploaded_avatar_id, locale, primary_group_id, registration_ip_address, staged, first_seen_at, silenced_till, group_locked_trust_level, manual_locked_trust_level, secure_identifier) FROM stdin;
-2	discobot	2019-12-05 04:03:37.725966	2019-12-05 04:03:37.842071	discobot	0	\N	b665b7a3bc21e3bfe899123c2edf044806fbd713c807f8a10b52340f71ef5776	376ae33c4b3f55de548a0c8c61a5a0b2	t	discobot	\N	t	\N	4	t	\N	\N	\N	\N	\N	\N	0	0	\N	f	\N	\N	\N	\N	\N	f	\N	\N	\N	\N	\N
-1	system	2019-12-05 04:03:27.158429	2019-12-05 04:03:37.508906	system	0	2019-12-05 04:03:37.076311	8487b61ab035878004d9c34a7f126cd7898bd563f71a444c5cf475d2fa2a9eae	f75cbe458f004b80446b56a518e0866a	t	system	\N	t	\N	4	t	\N	\N	\N	\N	\N	\N	0	0	\N	t	\N	1	\N	\N	\N	f	\N	\N	\N	\N	\N
\.


--
-- Data for Name: watched_words; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.watched_words (id, word, action, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: web_crawler_requests; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.web_crawler_requests (id, date, user_agent, count) FROM stdin;
1	2019-12-05	Mozilla/5.0 zgrab/0.x	1
2	2019-12-05		1
3	2019-12-06	Mozilla/5.0 (Linux; Android 4.1.1; Nexus 7 Build/JRO03D)	1
4	2019-12-06	masscan/1.0 (https://github.com/robertdavidgraham/masscan)	1
5	2019-12-06	HTTP Banner Detection (https://security.ipip.net)	1
6	2019-12-06		2
7	2019-12-06	Mozilla/5.0 zgrab/0.x	1
8	2019-12-06	NetSystemsResearch studies the availability of various services across the internet. Our website is netsystemsresearch.com	1
9	2019-12-07		1
10	2019-12-07	Mozilla/5.0 (Linux; Android 4.1.1; Nexus 7 Build/JRO03D)	1
11	2019-12-07	libwww-perl/5.833	1
12	2019-12-08	Mozilla/5.0 (Linux; Android 4.1.1; Nexus 7 Build/JRO03D)	1
13	2019-12-08	masscan/1.0 (https://github.com/robertdavidgraham/masscan)	2
14	2019-12-08		3
15	2019-12-09	Mozilla/5.0 (Linux; Android 4.1.1; Nexus 7 Build/JRO03D)	1
\.


--
-- Data for Name: web_hook_event_types; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.web_hook_event_types (id, name) FROM stdin;
1	topic
2	post
3	user
4	group
5	category
6	tag
7	flag
8	queued_post
9	reviewable
10	notification
\.


--
-- Data for Name: web_hook_event_types_hooks; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.web_hook_event_types_hooks (web_hook_id, web_hook_event_type_id) FROM stdin;
\.


--
-- Data for Name: web_hook_events; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.web_hook_events (id, web_hook_id, headers, payload, status, response_headers, response_body, duration, created_at, updated_at) FROM stdin;
\.


--
-- Data for Name: web_hooks; Type: TABLE DATA; Schema: public; Owner: discourse
--

COPY public.web_hooks (id, payload_url, content_type, last_delivery_status, status, secret, wildcard_web_hook, verify_certificate, active, created_at, updated_at) FROM stdin;
\.


--
-- Name: anonymous_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.anonymous_users_id_seq', 1, false);


--
-- Name: api_keys_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.api_keys_id_seq', 1, false);


--
-- Name: application_requests_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.application_requests_id_seq', 24, true);


--
-- Name: backup_draft_posts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.backup_draft_posts_id_seq', 1, false);


--
-- Name: backup_draft_topics_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.backup_draft_topics_id_seq', 1, false);


--
-- Name: backup_metadata_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.backup_metadata_id_seq', 12, true);


--
-- Name: badge_groupings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.badge_groupings_id_seq', 6, false);


--
-- Name: badge_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.badge_types_id_seq', 4, false);


--
-- Name: badges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.badges_id_seq', 49, false);


--
-- Name: categories_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.categories_id_seq', 4, true);


--
-- Name: category_custom_fields_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.category_custom_fields_id_seq', 1, false);


--
-- Name: category_featured_topics_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.category_featured_topics_id_seq', 11, true);


--
-- Name: category_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.category_groups_id_seq', 2, true);


--
-- Name: category_tag_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.category_tag_groups_id_seq', 1, false);


--
-- Name: category_tag_stats_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.category_tag_stats_id_seq', 1, false);


--
-- Name: category_tags_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.category_tags_id_seq', 1, false);


--
-- Name: category_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.category_users_id_seq', 1, false);


--
-- Name: child_themes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.child_themes_id_seq', 1, false);


--
-- Name: color_scheme_colors_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.color_scheme_colors_id_seq', 10, true);


--
-- Name: color_schemes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.color_schemes_id_seq', 1, true);


--
-- Name: custom_emojis_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.custom_emojis_id_seq', 1, false);


--
-- Name: developers_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.developers_id_seq', 1, false);


--
-- Name: directory_items_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.directory_items_id_seq', 1, false);


--
-- Name: draft_sequences_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.draft_sequences_id_seq', 1, false);


--
-- Name: drafts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.drafts_id_seq', 1, false);


--
-- Name: email_change_requests_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.email_change_requests_id_seq', 1, false);


--
-- Name: email_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.email_logs_id_seq', 1, false);


--
-- Name: email_tokens_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.email_tokens_id_seq', 2, true);


--
-- Name: embeddable_hosts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.embeddable_hosts_id_seq', 1, false);


--
-- Name: github_user_infos_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.github_user_infos_id_seq', 1, false);


--
-- Name: group_archived_messages_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.group_archived_messages_id_seq', 1, false);


--
-- Name: group_custom_fields_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.group_custom_fields_id_seq', 1, false);


--
-- Name: group_histories_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.group_histories_id_seq', 1, false);


--
-- Name: group_mentions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.group_mentions_id_seq', 1, false);


--
-- Name: group_requests_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.group_requests_id_seq', 1, false);


--
-- Name: group_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.group_users_id_seq', 10, true);


--
-- Name: groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.groups_id_seq', 40, true);


--
-- Name: ignored_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.ignored_users_id_seq', 1, false);


--
-- Name: incoming_domains_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.incoming_domains_id_seq', 1, false);


--
-- Name: incoming_emails_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.incoming_emails_id_seq', 1, false);


--
-- Name: incoming_links_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.incoming_links_id_seq', 1, false);


--
-- Name: incoming_referers_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.incoming_referers_id_seq', 1, false);


--
-- Name: invited_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.invited_groups_id_seq', 1, false);


--
-- Name: invites_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.invites_id_seq', 1, false);


--
-- Name: javascript_caches_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.javascript_caches_id_seq', 1, false);


--
-- Name: message_bus_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.message_bus_id_seq', 1, false);


--
-- Name: muted_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.muted_users_id_seq', 1, false);


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.notifications_id_seq', 1, true);


--
-- Name: oauth2_user_infos_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.oauth2_user_infos_id_seq', 1, false);


--
-- Name: onceoff_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.onceoff_logs_id_seq', 32, true);


--
-- Name: optimized_images_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.optimized_images_id_seq', 23, true);


--
-- Name: permalinks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.permalinks_id_seq', 1, false);


--
-- Name: plugin_store_rows_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.plugin_store_rows_id_seq', 1, false);


--
-- Name: poll_options_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.poll_options_id_seq', 1, false);


--
-- Name: polls_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.polls_id_seq', 1, false);


--
-- Name: post_action_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.post_action_types_id_seq', 9, false);


--
-- Name: post_actions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.post_actions_id_seq', 1, false);


--
-- Name: post_custom_fields_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.post_custom_fields_id_seq', 1, false);


--
-- Name: post_details_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.post_details_id_seq', 1, false);


--
-- Name: post_reply_keys_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.post_reply_keys_id_seq', 1, false);


--
-- Name: post_revisions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.post_revisions_id_seq', 1, false);


--
-- Name: post_stats_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.post_stats_id_seq', 9, true);


--
-- Name: post_uploads_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.post_uploads_id_seq', 1, false);


--
-- Name: posts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.posts_id_seq', 12, true);


--
-- Name: push_subscriptions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.push_subscriptions_id_seq', 1, false);


--
-- Name: quoted_posts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.quoted_posts_id_seq', 1, false);


--
-- Name: remote_themes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.remote_themes_id_seq', 1, false);


--
-- Name: reviewable_claimed_topics_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.reviewable_claimed_topics_id_seq', 1, false);


--
-- Name: reviewable_histories_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.reviewable_histories_id_seq', 1, false);


--
-- Name: reviewable_scores_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.reviewable_scores_id_seq', 1, false);


--
-- Name: reviewables_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.reviewables_id_seq', 1, false);


--
-- Name: scheduler_stats_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.scheduler_stats_id_seq', 14648, true);


--
-- Name: schema_migration_details_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.schema_migration_details_id_seq', 986, true);


--
-- Name: screened_emails_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.screened_emails_id_seq', 1, false);


--
-- Name: screened_ip_addresses_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.screened_ip_addresses_id_seq', 6, false);


--
-- Name: screened_urls_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.screened_urls_id_seq', 1, false);


--
-- Name: search_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.search_logs_id_seq', 1, false);


--
-- Name: shared_drafts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.shared_drafts_id_seq', 1, false);


--
-- Name: single_sign_on_records_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.single_sign_on_records_id_seq', 1, false);


--
-- Name: site_settings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.site_settings_id_seq', 21, true);


--
-- Name: skipped_email_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.skipped_email_logs_id_seq', 1, false);


--
-- Name: stylesheet_cache_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.stylesheet_cache_id_seq', 29, true);


--
-- Name: tag_group_memberships_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.tag_group_memberships_id_seq', 1, false);


--
-- Name: tag_group_permissions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.tag_group_permissions_id_seq', 1, false);


--
-- Name: tag_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.tag_groups_id_seq', 1, false);


--
-- Name: tag_search_data_tag_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.tag_search_data_tag_id_seq', 1, false);


--
-- Name: tag_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.tag_users_id_seq', 1, false);


--
-- Name: tags_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.tags_id_seq', 1, false);


--
-- Name: theme_fields_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.theme_fields_id_seq', 1, false);


--
-- Name: theme_settings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.theme_settings_id_seq', 1, false);


--
-- Name: theme_translation_overrides_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.theme_translation_overrides_id_seq', 1, false);


--
-- Name: themes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.themes_id_seq', 2, true);


--
-- Name: top_topics_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.top_topics_id_seq', 6, true);


--
-- Name: topic_allowed_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_allowed_groups_id_seq', 1, false);


--
-- Name: topic_allowed_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_allowed_users_id_seq', 1, false);


--
-- Name: topic_custom_fields_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_custom_fields_id_seq', 1, false);


--
-- Name: topic_embeds_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_embeds_id_seq', 1, false);


--
-- Name: topic_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_groups_id_seq', 1, false);


--
-- Name: topic_invites_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_invites_id_seq', 1, false);


--
-- Name: topic_link_clicks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_link_clicks_id_seq', 1, false);


--
-- Name: topic_links_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_links_id_seq', 46, true);


--
-- Name: topic_search_data_topic_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_search_data_topic_id_seq', 1, false);


--
-- Name: topic_tags_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_tags_id_seq', 1, false);


--
-- Name: topic_timers_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_timers_id_seq', 1, false);


--
-- Name: topic_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topic_users_id_seq', 6, true);


--
-- Name: topics_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.topics_id_seq', 9, true);


--
-- Name: translation_overrides_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.translation_overrides_id_seq', 1, false);


--
-- Name: uploads_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.uploads_id_seq', 1, true);


--
-- Name: user_actions_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_actions_id_seq', 9, true);


--
-- Name: user_api_keys_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_api_keys_id_seq', 1, false);


--
-- Name: user_archived_messages_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_archived_messages_id_seq', 1, false);


--
-- Name: user_associated_accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_associated_accounts_id_seq', 1, false);


--
-- Name: user_auth_token_logs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_auth_token_logs_id_seq', 1, false);


--
-- Name: user_auth_tokens_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_auth_tokens_id_seq', 1, false);


--
-- Name: user_avatars_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_avatars_id_seq', 2, true);


--
-- Name: user_badges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_badges_id_seq', 1, true);


--
-- Name: user_custom_fields_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_custom_fields_id_seq', 1, false);


--
-- Name: user_emails_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_emails_id_seq', 1, false);


--
-- Name: user_exports_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_exports_id_seq', 1, false);


--
-- Name: user_field_options_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_field_options_id_seq', 1, false);


--
-- Name: user_fields_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_fields_id_seq', 1, false);


--
-- Name: user_histories_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_histories_id_seq', 1, false);


--
-- Name: user_open_ids_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_open_ids_id_seq', 1, false);


--
-- Name: user_profile_views_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_profile_views_id_seq', 1, false);


--
-- Name: user_second_factors_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_second_factors_id_seq', 1, false);


--
-- Name: user_security_keys_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_security_keys_id_seq', 1, false);


--
-- Name: user_uploads_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_uploads_id_seq', 1, true);


--
-- Name: user_visits_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_visits_id_seq', 1, false);


--
-- Name: user_warnings_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.user_warnings_id_seq', 1, false);


--
-- Name: users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.users_id_seq', 1, false);


--
-- Name: watched_words_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.watched_words_id_seq', 1, false);


--
-- Name: web_crawler_requests_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.web_crawler_requests_id_seq', 15, true);


--
-- Name: web_hook_event_types_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.web_hook_event_types_id_seq', 11, false);


--
-- Name: web_hook_events_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.web_hook_events_id_seq', 1, false);


--
-- Name: web_hooks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: discourse
--

SELECT pg_catalog.setval('public.web_hooks_id_seq', 1, false);


--
-- Name: anonymous_users anonymous_users_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.anonymous_users
    ADD CONSTRAINT anonymous_users_pkey PRIMARY KEY (id);


--
-- Name: api_keys api_keys_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.api_keys
    ADD CONSTRAINT api_keys_pkey PRIMARY KEY (id);


--
-- Name: application_requests application_requests_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.application_requests
    ADD CONSTRAINT application_requests_pkey PRIMARY KEY (id);


--
-- Name: ar_internal_metadata ar_internal_metadata_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.ar_internal_metadata
    ADD CONSTRAINT ar_internal_metadata_pkey PRIMARY KEY (key);


--
-- Name: backup_draft_posts backup_draft_posts_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.backup_draft_posts
    ADD CONSTRAINT backup_draft_posts_pkey PRIMARY KEY (id);


--
-- Name: backup_draft_topics backup_draft_topics_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.backup_draft_topics
    ADD CONSTRAINT backup_draft_topics_pkey PRIMARY KEY (id);


--
-- Name: backup_metadata backup_metadata_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.backup_metadata
    ADD CONSTRAINT backup_metadata_pkey PRIMARY KEY (id);


--
-- Name: badge_groupings badge_groupings_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.badge_groupings
    ADD CONSTRAINT badge_groupings_pkey PRIMARY KEY (id);


--
-- Name: badge_types badge_types_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.badge_types
    ADD CONSTRAINT badge_types_pkey PRIMARY KEY (id);


--
-- Name: badges badges_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.badges
    ADD CONSTRAINT badges_pkey PRIMARY KEY (id);


--
-- Name: categories categories_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.categories
    ADD CONSTRAINT categories_pkey PRIMARY KEY (id);


--
-- Name: category_search_data categories_search_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_search_data
    ADD CONSTRAINT categories_search_pkey PRIMARY KEY (category_id);


--
-- Name: category_custom_fields category_custom_fields_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_custom_fields
    ADD CONSTRAINT category_custom_fields_pkey PRIMARY KEY (id);


--
-- Name: category_featured_topics category_featured_topics_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_featured_topics
    ADD CONSTRAINT category_featured_topics_pkey PRIMARY KEY (id);


--
-- Name: category_groups category_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_groups
    ADD CONSTRAINT category_groups_pkey PRIMARY KEY (id);


--
-- Name: category_tag_groups category_tag_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_tag_groups
    ADD CONSTRAINT category_tag_groups_pkey PRIMARY KEY (id);


--
-- Name: category_tag_stats category_tag_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_tag_stats
    ADD CONSTRAINT category_tag_stats_pkey PRIMARY KEY (id);


--
-- Name: category_tags category_tags_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_tags
    ADD CONSTRAINT category_tags_pkey PRIMARY KEY (id);


--
-- Name: category_users category_users_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.category_users
    ADD CONSTRAINT category_users_pkey PRIMARY KEY (id);


--
-- Name: child_themes child_themes_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.child_themes
    ADD CONSTRAINT child_themes_pkey PRIMARY KEY (id);


--
-- Name: color_scheme_colors color_scheme_colors_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.color_scheme_colors
    ADD CONSTRAINT color_scheme_colors_pkey PRIMARY KEY (id);


--
-- Name: color_schemes color_schemes_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.color_schemes
    ADD CONSTRAINT color_schemes_pkey PRIMARY KEY (id);


--
-- Name: custom_emojis custom_emojis_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.custom_emojis
    ADD CONSTRAINT custom_emojis_pkey PRIMARY KEY (id);


--
-- Name: developers developers_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.developers
    ADD CONSTRAINT developers_pkey PRIMARY KEY (id);


--
-- Name: unsubscribe_keys digest_unsubscribe_keys_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.unsubscribe_keys
    ADD CONSTRAINT digest_unsubscribe_keys_pkey PRIMARY KEY (key);


--
-- Name: directory_items directory_items_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.directory_items
    ADD CONSTRAINT directory_items_pkey PRIMARY KEY (id);


--
-- Name: draft_sequences draft_sequences_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.draft_sequences
    ADD CONSTRAINT draft_sequences_pkey PRIMARY KEY (id);


--
-- Name: drafts drafts_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.drafts
    ADD CONSTRAINT drafts_pkey PRIMARY KEY (id);


--
-- Name: email_change_requests email_change_requests_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.email_change_requests
    ADD CONSTRAINT email_change_requests_pkey PRIMARY KEY (id);


--
-- Name: email_logs email_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.email_logs
    ADD CONSTRAINT email_logs_pkey PRIMARY KEY (id);


--
-- Name: email_tokens email_tokens_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.email_tokens
    ADD CONSTRAINT email_tokens_pkey PRIMARY KEY (id);


--
-- Name: embeddable_hosts embeddable_hosts_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.embeddable_hosts
    ADD CONSTRAINT embeddable_hosts_pkey PRIMARY KEY (id);


--
-- Name: github_user_infos github_user_infos_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.github_user_infos
    ADD CONSTRAINT github_user_infos_pkey PRIMARY KEY (id);


--
-- Name: group_archived_messages group_archived_messages_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_archived_messages
    ADD CONSTRAINT group_archived_messages_pkey PRIMARY KEY (id);


--
-- Name: group_custom_fields group_custom_fields_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_custom_fields
    ADD CONSTRAINT group_custom_fields_pkey PRIMARY KEY (id);


--
-- Name: group_histories group_histories_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_histories
    ADD CONSTRAINT group_histories_pkey PRIMARY KEY (id);


--
-- Name: group_mentions group_mentions_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_mentions
    ADD CONSTRAINT group_mentions_pkey PRIMARY KEY (id);


--
-- Name: group_requests group_requests_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_requests
    ADD CONSTRAINT group_requests_pkey PRIMARY KEY (id);


--
-- Name: group_users group_users_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.group_users
    ADD CONSTRAINT group_users_pkey PRIMARY KEY (id);


--
-- Name: groups groups_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.groups
    ADD CONSTRAINT groups_pkey PRIMARY KEY (id);


--
-- Name: ignored_users ignored_users_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.ignored_users
    ADD CONSTRAINT ignored_users_pkey PRIMARY KEY (id);


--
-- Name: incoming_domains incoming_domains_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.incoming_domains
    ADD CONSTRAINT incoming_domains_pkey PRIMARY KEY (id);


--
-- Name: incoming_emails incoming_emails_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.incoming_emails
    ADD CONSTRAINT incoming_emails_pkey PRIMARY KEY (id);


--
-- Name: incoming_links incoming_links_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.incoming_links
    ADD CONSTRAINT incoming_links_pkey PRIMARY KEY (id);


--
-- Name: incoming_referers incoming_referers_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.incoming_referers
    ADD CONSTRAINT incoming_referers_pkey PRIMARY KEY (id);


--
-- Name: invited_groups invited_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.invited_groups
    ADD CONSTRAINT invited_groups_pkey PRIMARY KEY (id);


--
-- Name: invites invites_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.invites
    ADD CONSTRAINT invites_pkey PRIMARY KEY (id);


--
-- Name: javascript_caches javascript_caches_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.javascript_caches
    ADD CONSTRAINT javascript_caches_pkey PRIMARY KEY (id);


--
-- Name: message_bus message_bus_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.message_bus
    ADD CONSTRAINT message_bus_pkey PRIMARY KEY (id);


--
-- Name: muted_users muted_users_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.muted_users
    ADD CONSTRAINT muted_users_pkey PRIMARY KEY (id);


--
-- Name: notifications notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: oauth2_user_infos oauth2_user_infos_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.oauth2_user_infos
    ADD CONSTRAINT oauth2_user_infos_pkey PRIMARY KEY (id);


--
-- Name: onceoff_logs onceoff_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.onceoff_logs
    ADD CONSTRAINT onceoff_logs_pkey PRIMARY KEY (id);


--
-- Name: optimized_images optimized_images_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.optimized_images
    ADD CONSTRAINT optimized_images_pkey PRIMARY KEY (id);


--
-- Name: permalinks permalinks_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.permalinks
    ADD CONSTRAINT permalinks_pkey PRIMARY KEY (id);


--
-- Name: plugin_store_rows plugin_store_rows_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.plugin_store_rows
    ADD CONSTRAINT plugin_store_rows_pkey PRIMARY KEY (id);


--
-- Name: poll_options poll_options_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.poll_options
    ADD CONSTRAINT poll_options_pkey PRIMARY KEY (id);


--
-- Name: polls polls_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.polls
    ADD CONSTRAINT polls_pkey PRIMARY KEY (id);


--
-- Name: post_action_types post_action_types_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_action_types
    ADD CONSTRAINT post_action_types_pkey PRIMARY KEY (id);


--
-- Name: post_actions post_actions_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_actions
    ADD CONSTRAINT post_actions_pkey PRIMARY KEY (id);


--
-- Name: post_custom_fields post_custom_fields_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_custom_fields
    ADD CONSTRAINT post_custom_fields_pkey PRIMARY KEY (id);


--
-- Name: post_details post_details_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_details
    ADD CONSTRAINT post_details_pkey PRIMARY KEY (id);


--
-- Name: post_reply_keys post_reply_keys_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_reply_keys
    ADD CONSTRAINT post_reply_keys_pkey PRIMARY KEY (id);


--
-- Name: post_revisions post_revisions_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_revisions
    ADD CONSTRAINT post_revisions_pkey PRIMARY KEY (id);


--
-- Name: post_stats post_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_stats
    ADD CONSTRAINT post_stats_pkey PRIMARY KEY (id);


--
-- Name: post_uploads post_uploads_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_uploads
    ADD CONSTRAINT post_uploads_pkey PRIMARY KEY (id);


--
-- Name: posts posts_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.posts
    ADD CONSTRAINT posts_pkey PRIMARY KEY (id);


--
-- Name: post_search_data posts_search_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.post_search_data
    ADD CONSTRAINT posts_search_pkey PRIMARY KEY (post_id);


--
-- Name: push_subscriptions push_subscriptions_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.push_subscriptions
    ADD CONSTRAINT push_subscriptions_pkey PRIMARY KEY (id);


--
-- Name: quoted_posts quoted_posts_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.quoted_posts
    ADD CONSTRAINT quoted_posts_pkey PRIMARY KEY (id);


--
-- Name: remote_themes remote_themes_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.remote_themes
    ADD CONSTRAINT remote_themes_pkey PRIMARY KEY (id);


--
-- Name: reviewable_claimed_topics reviewable_claimed_topics_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.reviewable_claimed_topics
    ADD CONSTRAINT reviewable_claimed_topics_pkey PRIMARY KEY (id);


--
-- Name: reviewable_histories reviewable_histories_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.reviewable_histories
    ADD CONSTRAINT reviewable_histories_pkey PRIMARY KEY (id);


--
-- Name: reviewable_scores reviewable_scores_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.reviewable_scores
    ADD CONSTRAINT reviewable_scores_pkey PRIMARY KEY (id);


--
-- Name: reviewables reviewables_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.reviewables
    ADD CONSTRAINT reviewables_pkey PRIMARY KEY (id);


--
-- Name: scheduler_stats scheduler_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.scheduler_stats
    ADD CONSTRAINT scheduler_stats_pkey PRIMARY KEY (id);


--
-- Name: schema_migration_details schema_migration_details_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.schema_migration_details
    ADD CONSTRAINT schema_migration_details_pkey PRIMARY KEY (id);


--
-- Name: schema_migrations schema_migrations_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.schema_migrations
    ADD CONSTRAINT schema_migrations_pkey PRIMARY KEY (version);


--
-- Name: screened_emails screened_emails_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.screened_emails
    ADD CONSTRAINT screened_emails_pkey PRIMARY KEY (id);


--
-- Name: screened_ip_addresses screened_ip_addresses_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.screened_ip_addresses
    ADD CONSTRAINT screened_ip_addresses_pkey PRIMARY KEY (id);


--
-- Name: screened_urls screened_urls_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.screened_urls
    ADD CONSTRAINT screened_urls_pkey PRIMARY KEY (id);


--
-- Name: search_logs search_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.search_logs
    ADD CONSTRAINT search_logs_pkey PRIMARY KEY (id);


--
-- Name: shared_drafts shared_drafts_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.shared_drafts
    ADD CONSTRAINT shared_drafts_pkey PRIMARY KEY (id);


--
-- Name: single_sign_on_records single_sign_on_records_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.single_sign_on_records
    ADD CONSTRAINT single_sign_on_records_pkey PRIMARY KEY (id);


--
-- Name: site_settings site_settings_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.site_settings
    ADD CONSTRAINT site_settings_pkey PRIMARY KEY (id);


--
-- Name: skipped_email_logs skipped_email_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.skipped_email_logs
    ADD CONSTRAINT skipped_email_logs_pkey PRIMARY KEY (id);


--
-- Name: stylesheet_cache stylesheet_cache_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.stylesheet_cache
    ADD CONSTRAINT stylesheet_cache_pkey PRIMARY KEY (id);


--
-- Name: tag_group_memberships tag_group_memberships_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tag_group_memberships
    ADD CONSTRAINT tag_group_memberships_pkey PRIMARY KEY (id);


--
-- Name: tag_group_permissions tag_group_permissions_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tag_group_permissions
    ADD CONSTRAINT tag_group_permissions_pkey PRIMARY KEY (id);


--
-- Name: tag_groups tag_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tag_groups
    ADD CONSTRAINT tag_groups_pkey PRIMARY KEY (id);


--
-- Name: tag_search_data tag_search_data_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tag_search_data
    ADD CONSTRAINT tag_search_data_pkey PRIMARY KEY (tag_id);


--
-- Name: tag_users tag_users_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tag_users
    ADD CONSTRAINT tag_users_pkey PRIMARY KEY (id);


--
-- Name: tags tags_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.tags
    ADD CONSTRAINT tags_pkey PRIMARY KEY (id);


--
-- Name: theme_fields theme_fields_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.theme_fields
    ADD CONSTRAINT theme_fields_pkey PRIMARY KEY (id);


--
-- Name: theme_settings theme_settings_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.theme_settings
    ADD CONSTRAINT theme_settings_pkey PRIMARY KEY (id);


--
-- Name: theme_translation_overrides theme_translation_overrides_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.theme_translation_overrides
    ADD CONSTRAINT theme_translation_overrides_pkey PRIMARY KEY (id);


--
-- Name: themes themes_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.themes
    ADD CONSTRAINT themes_pkey PRIMARY KEY (id);


--
-- Name: top_topics top_topics_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.top_topics
    ADD CONSTRAINT top_topics_pkey PRIMARY KEY (id);


--
-- Name: topic_allowed_groups topic_allowed_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_allowed_groups
    ADD CONSTRAINT topic_allowed_groups_pkey PRIMARY KEY (id);


--
-- Name: topic_allowed_users topic_allowed_users_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_allowed_users
    ADD CONSTRAINT topic_allowed_users_pkey PRIMARY KEY (id);


--
-- Name: topic_custom_fields topic_custom_fields_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_custom_fields
    ADD CONSTRAINT topic_custom_fields_pkey PRIMARY KEY (id);


--
-- Name: topic_embeds topic_embeds_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_embeds
    ADD CONSTRAINT topic_embeds_pkey PRIMARY KEY (id);


--
-- Name: topic_groups topic_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_groups
    ADD CONSTRAINT topic_groups_pkey PRIMARY KEY (id);


--
-- Name: topic_invites topic_invites_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_invites
    ADD CONSTRAINT topic_invites_pkey PRIMARY KEY (id);


--
-- Name: topic_link_clicks topic_link_clicks_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_link_clicks
    ADD CONSTRAINT topic_link_clicks_pkey PRIMARY KEY (id);


--
-- Name: topic_links topic_links_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_links
    ADD CONSTRAINT topic_links_pkey PRIMARY KEY (id);


--
-- Name: topic_search_data topic_search_data_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_search_data
    ADD CONSTRAINT topic_search_data_pkey PRIMARY KEY (topic_id);


--
-- Name: topic_tags topic_tags_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_tags
    ADD CONSTRAINT topic_tags_pkey PRIMARY KEY (id);


--
-- Name: topic_timers topic_timers_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_timers
    ADD CONSTRAINT topic_timers_pkey PRIMARY KEY (id);


--
-- Name: topic_users topic_users_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topic_users
    ADD CONSTRAINT topic_users_pkey PRIMARY KEY (id);


--
-- Name: topics topics_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.topics
    ADD CONSTRAINT topics_pkey PRIMARY KEY (id);


--
-- Name: translation_overrides translation_overrides_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.translation_overrides
    ADD CONSTRAINT translation_overrides_pkey PRIMARY KEY (id);


--
-- Name: uploads uploads_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.uploads
    ADD CONSTRAINT uploads_pkey PRIMARY KEY (id);


--
-- Name: user_actions user_actions_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_actions
    ADD CONSTRAINT user_actions_pkey PRIMARY KEY (id);


--
-- Name: user_api_keys user_api_keys_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_api_keys
    ADD CONSTRAINT user_api_keys_pkey PRIMARY KEY (id);


--
-- Name: user_archived_messages user_archived_messages_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_archived_messages
    ADD CONSTRAINT user_archived_messages_pkey PRIMARY KEY (id);


--
-- Name: user_associated_accounts user_associated_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_associated_accounts
    ADD CONSTRAINT user_associated_accounts_pkey PRIMARY KEY (id);


--
-- Name: user_auth_token_logs user_auth_token_logs_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_auth_token_logs
    ADD CONSTRAINT user_auth_token_logs_pkey PRIMARY KEY (id);


--
-- Name: user_auth_tokens user_auth_tokens_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_auth_tokens
    ADD CONSTRAINT user_auth_tokens_pkey PRIMARY KEY (id);


--
-- Name: user_avatars user_avatars_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_avatars
    ADD CONSTRAINT user_avatars_pkey PRIMARY KEY (id);


--
-- Name: user_badges user_badges_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_badges
    ADD CONSTRAINT user_badges_pkey PRIMARY KEY (id);


--
-- Name: user_custom_fields user_custom_fields_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_custom_fields
    ADD CONSTRAINT user_custom_fields_pkey PRIMARY KEY (id);


--
-- Name: user_emails user_emails_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_emails
    ADD CONSTRAINT user_emails_pkey PRIMARY KEY (id);


--
-- Name: user_exports user_exports_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_exports
    ADD CONSTRAINT user_exports_pkey PRIMARY KEY (id);


--
-- Name: user_field_options user_field_options_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_field_options
    ADD CONSTRAINT user_field_options_pkey PRIMARY KEY (id);


--
-- Name: user_fields user_fields_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_fields
    ADD CONSTRAINT user_fields_pkey PRIMARY KEY (id);


--
-- Name: user_histories user_histories_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_histories
    ADD CONSTRAINT user_histories_pkey PRIMARY KEY (id);


--
-- Name: user_open_ids user_open_ids_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_open_ids
    ADD CONSTRAINT user_open_ids_pkey PRIMARY KEY (id);


--
-- Name: user_profile_views user_profile_views_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_profile_views
    ADD CONSTRAINT user_profile_views_pkey PRIMARY KEY (id);


--
-- Name: user_profiles user_profiles_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_profiles
    ADD CONSTRAINT user_profiles_pkey PRIMARY KEY (user_id);


--
-- Name: user_second_factors user_second_factors_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_second_factors
    ADD CONSTRAINT user_second_factors_pkey PRIMARY KEY (id);


--
-- Name: user_security_keys user_security_keys_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_security_keys
    ADD CONSTRAINT user_security_keys_pkey PRIMARY KEY (id);


--
-- Name: user_stats user_stats_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_stats
    ADD CONSTRAINT user_stats_pkey PRIMARY KEY (user_id);


--
-- Name: user_uploads user_uploads_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_uploads
    ADD CONSTRAINT user_uploads_pkey PRIMARY KEY (id);


--
-- Name: user_visits user_visits_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_visits
    ADD CONSTRAINT user_visits_pkey PRIMARY KEY (id);


--
-- Name: user_warnings user_warnings_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_warnings
    ADD CONSTRAINT user_warnings_pkey PRIMARY KEY (id);


--
-- Name: users users_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.users
    ADD CONSTRAINT users_pkey PRIMARY KEY (id);


--
-- Name: user_search_data users_search_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_search_data
    ADD CONSTRAINT users_search_pkey PRIMARY KEY (user_id);


--
-- Name: watched_words watched_words_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.watched_words
    ADD CONSTRAINT watched_words_pkey PRIMARY KEY (id);


--
-- Name: web_crawler_requests web_crawler_requests_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.web_crawler_requests
    ADD CONSTRAINT web_crawler_requests_pkey PRIMARY KEY (id);


--
-- Name: web_hook_event_types web_hook_event_types_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.web_hook_event_types
    ADD CONSTRAINT web_hook_event_types_pkey PRIMARY KEY (id);


--
-- Name: web_hook_events web_hook_events_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.web_hook_events
    ADD CONSTRAINT web_hook_events_pkey PRIMARY KEY (id);


--
-- Name: web_hooks web_hooks_pkey; Type: CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.web_hooks
    ADD CONSTRAINT web_hooks_pkey PRIMARY KEY (id);


--
-- Name: associated_accounts_provider_uid; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX associated_accounts_provider_uid ON public.user_associated_accounts USING btree (provider_name, provider_uid);


--
-- Name: associated_accounts_provider_user; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX associated_accounts_provider_user ON public.user_associated_accounts USING btree (provider_name, user_id);


--
-- Name: by_link; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX by_link ON public.topic_link_clicks USING btree (topic_link_id);


--
-- Name: cat_featured_threads; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX cat_featured_threads ON public.category_featured_topics USING btree (category_id, topic_id);


--
-- Name: idx_category_tag_groups_ix1; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_category_tag_groups_ix1 ON public.category_tag_groups USING btree (category_id, tag_group_id);


--
-- Name: idx_category_tags_ix1; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_category_tags_ix1 ON public.category_tags USING btree (category_id, tag_id);


--
-- Name: idx_category_tags_ix2; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_category_tags_ix2 ON public.category_tags USING btree (tag_id, category_id);


--
-- Name: idx_category_users_category_id_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_category_users_category_id_user_id ON public.category_users USING btree (category_id, user_id);


--
-- Name: idx_category_users_user_id_category_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_category_users_user_id_category_id ON public.category_users USING btree (user_id, category_id);


--
-- Name: idx_notifications_speedup_unread_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_notifications_speedup_unread_count ON public.notifications USING btree (user_id, notification_type) WHERE (NOT read);


--
-- Name: idx_post_custom_fields_akismet; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_post_custom_fields_akismet ON public.post_custom_fields USING btree (post_id) WHERE (((name)::text = 'AKISMET_STATE'::text) AND (value = 'needs_review'::text));


--
-- Name: idx_posts_created_at_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_posts_created_at_topic_id ON public.posts USING btree (created_at, topic_id) WHERE (deleted_at IS NULL);


--
-- Name: idx_posts_deleted_posts; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_posts_deleted_posts ON public.posts USING btree (topic_id, post_number) WHERE (deleted_at IS NOT NULL);


--
-- Name: idx_posts_user_id_deleted_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_posts_user_id_deleted_at ON public.posts USING btree (user_id) WHERE (deleted_at IS NULL);


--
-- Name: idx_search_category; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_search_category ON public.category_search_data USING gin (search_data);


--
-- Name: idx_search_post; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_search_post ON public.post_search_data USING gin (search_data);


--
-- Name: idx_search_tag; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_search_tag ON public.tag_search_data USING gin (search_data);


--
-- Name: idx_search_topic; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_search_topic ON public.topic_search_data USING gin (search_data);


--
-- Name: idx_search_user; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_search_user ON public.user_search_data USING gin (search_data);


--
-- Name: idx_tag_users_ix1; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_tag_users_ix1 ON public.tag_users USING btree (user_id, tag_id, notification_level);


--
-- Name: idx_tag_users_ix2; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_tag_users_ix2 ON public.tag_users USING btree (tag_id, user_id, notification_level);


--
-- Name: idx_topic_id_public_type_deleted_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_topic_id_public_type_deleted_at ON public.topic_timers USING btree (topic_id) WHERE ((public_type = true) AND (deleted_at IS NULL));


--
-- Name: idx_topics_front_page; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_topics_front_page ON public.topics USING btree (deleted_at, visible, archetype, category_id, id);


--
-- Name: idx_topics_user_id_deleted_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_topics_user_id_deleted_at ON public.topics USING btree (user_id) WHERE (deleted_at IS NULL);


--
-- Name: idx_unique_actions; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_unique_actions ON public.post_actions USING btree (user_id, post_action_type_id, post_id, targets_topic) WHERE ((deleted_at IS NULL) AND (disagreed_at IS NULL) AND (deferred_at IS NULL));


--
-- Name: idx_unique_flags; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_unique_flags ON public.post_actions USING btree (user_id, post_id, targets_topic) WHERE ((deleted_at IS NULL) AND (disagreed_at IS NULL) AND (deferred_at IS NULL) AND (post_action_type_id = ANY (ARRAY[3, 4, 7, 8])));


--
-- Name: idx_unique_post_uploads; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_unique_post_uploads ON public.post_uploads USING btree (post_id, upload_id);


--
-- Name: idx_unique_rows; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_unique_rows ON public.user_actions USING btree (action_type, user_id, target_topic_id, target_post_id, acting_user_id);


--
-- Name: idx_user_actions_speed_up_user_all; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_user_actions_speed_up_user_all ON public.user_actions USING btree (user_id, created_at, action_type);


--
-- Name: idx_users_admin; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_users_admin ON public.users USING btree (id) WHERE admin;


--
-- Name: idx_users_moderator; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idx_users_moderator ON public.users USING btree (id) WHERE moderator;


--
-- Name: idx_web_hook_event_types_hooks_on_ids; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX idx_web_hook_event_types_hooks_on_ids ON public.web_hook_event_types_hooks USING btree (web_hook_event_type_id, web_hook_id);


--
-- Name: idxtopicslug; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX idxtopicslug ON public.topics USING btree (slug) WHERE ((deleted_at IS NULL) AND (slug IS NOT NULL));


--
-- Name: index_anonymous_users_on_master_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_anonymous_users_on_master_user_id ON public.anonymous_users USING btree (master_user_id) WHERE active;


--
-- Name: index_anonymous_users_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_anonymous_users_on_user_id ON public.anonymous_users USING btree (user_id);


--
-- Name: index_api_keys_on_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_api_keys_on_key ON public.api_keys USING btree (key);


--
-- Name: index_api_keys_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_api_keys_on_user_id ON public.api_keys USING btree (user_id);


--
-- Name: index_application_requests_on_date_and_req_type; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_application_requests_on_date_and_req_type ON public.application_requests USING btree (date, req_type);


--
-- Name: index_backup_draft_posts_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_backup_draft_posts_on_post_id ON public.backup_draft_posts USING btree (post_id);


--
-- Name: index_backup_draft_posts_on_user_id_and_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_backup_draft_posts_on_user_id_and_key ON public.backup_draft_posts USING btree (user_id, key);


--
-- Name: index_backup_draft_topics_on_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_backup_draft_topics_on_topic_id ON public.backup_draft_topics USING btree (topic_id);


--
-- Name: index_backup_draft_topics_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_backup_draft_topics_on_user_id ON public.backup_draft_topics USING btree (user_id);


--
-- Name: index_badge_types_on_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_badge_types_on_name ON public.badge_types USING btree (name);


--
-- Name: index_badges_on_badge_type_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_badges_on_badge_type_id ON public.badges USING btree (badge_type_id);


--
-- Name: index_badges_on_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_badges_on_name ON public.badges USING btree (name);


--
-- Name: index_categories_on_email_in; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_categories_on_email_in ON public.categories USING btree (email_in);


--
-- Name: index_categories_on_reviewable_by_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_categories_on_reviewable_by_group_id ON public.categories USING btree (reviewable_by_group_id);


--
-- Name: index_categories_on_search_priority; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_categories_on_search_priority ON public.categories USING btree (search_priority);


--
-- Name: index_categories_on_topic_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_categories_on_topic_count ON public.categories USING btree (topic_count);


--
-- Name: index_categories_web_hooks_on_web_hook_id_and_category_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_categories_web_hooks_on_web_hook_id_and_category_id ON public.categories_web_hooks USING btree (web_hook_id, category_id);


--
-- Name: index_category_custom_fields_on_category_id_and_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_category_custom_fields_on_category_id_and_name ON public.category_custom_fields USING btree (category_id, name);


--
-- Name: index_category_featured_topics_on_category_id_and_rank; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_category_featured_topics_on_category_id_and_rank ON public.category_featured_topics USING btree (category_id, rank);


--
-- Name: index_category_groups_on_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_category_groups_on_group_id ON public.category_groups USING btree (group_id);


--
-- Name: index_category_tag_stats_on_category_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_category_tag_stats_on_category_id ON public.category_tag_stats USING btree (category_id);


--
-- Name: index_category_tag_stats_on_category_id_and_tag_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_category_tag_stats_on_category_id_and_tag_id ON public.category_tag_stats USING btree (category_id, tag_id);


--
-- Name: index_category_tag_stats_on_category_id_and_topic_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_category_tag_stats_on_category_id_and_topic_count ON public.category_tag_stats USING btree (category_id, topic_count);


--
-- Name: index_category_tag_stats_on_tag_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_category_tag_stats_on_tag_id ON public.category_tag_stats USING btree (tag_id);


--
-- Name: index_category_users_on_user_id_and_last_seen_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_category_users_on_user_id_and_last_seen_at ON public.category_users USING btree (user_id, last_seen_at);


--
-- Name: index_child_themes_on_child_theme_id_and_parent_theme_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_child_themes_on_child_theme_id_and_parent_theme_id ON public.child_themes USING btree (child_theme_id, parent_theme_id);


--
-- Name: index_child_themes_on_parent_theme_id_and_child_theme_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_child_themes_on_parent_theme_id_and_child_theme_id ON public.child_themes USING btree (parent_theme_id, child_theme_id);


--
-- Name: index_color_scheme_colors_on_color_scheme_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_color_scheme_colors_on_color_scheme_id ON public.color_scheme_colors USING btree (color_scheme_id);


--
-- Name: index_custom_emojis_on_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_custom_emojis_on_name ON public.custom_emojis USING btree (name);


--
-- Name: index_developers_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_developers_on_user_id ON public.developers USING btree (user_id);


--
-- Name: index_directory_items_on_days_visited; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_directory_items_on_days_visited ON public.directory_items USING btree (days_visited);


--
-- Name: index_directory_items_on_likes_given; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_directory_items_on_likes_given ON public.directory_items USING btree (likes_given);


--
-- Name: index_directory_items_on_likes_received; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_directory_items_on_likes_received ON public.directory_items USING btree (likes_received);


--
-- Name: index_directory_items_on_period_type_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_directory_items_on_period_type_and_user_id ON public.directory_items USING btree (period_type, user_id);


--
-- Name: index_directory_items_on_post_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_directory_items_on_post_count ON public.directory_items USING btree (post_count);


--
-- Name: index_directory_items_on_posts_read; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_directory_items_on_posts_read ON public.directory_items USING btree (posts_read);


--
-- Name: index_directory_items_on_topic_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_directory_items_on_topic_count ON public.directory_items USING btree (topic_count);


--
-- Name: index_directory_items_on_topics_entered; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_directory_items_on_topics_entered ON public.directory_items USING btree (topics_entered);


--
-- Name: index_draft_sequences_on_user_id_and_draft_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_draft_sequences_on_user_id_and_draft_key ON public.draft_sequences USING btree (user_id, draft_key);


--
-- Name: index_drafts_on_user_id_and_draft_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_drafts_on_user_id_and_draft_key ON public.drafts USING btree (user_id, draft_key);


--
-- Name: index_email_change_requests_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_email_change_requests_on_user_id ON public.email_change_requests USING btree (user_id);


--
-- Name: index_email_logs_on_bounce_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_email_logs_on_bounce_key ON public.email_logs USING btree (bounce_key) WHERE (bounce_key IS NOT NULL);


--
-- Name: index_email_logs_on_bounced; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_email_logs_on_bounced ON public.email_logs USING btree (bounced);


--
-- Name: index_email_logs_on_created_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_email_logs_on_created_at ON public.email_logs USING btree (created_at DESC);


--
-- Name: index_email_logs_on_message_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_email_logs_on_message_id ON public.email_logs USING btree (message_id);


--
-- Name: index_email_logs_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_email_logs_on_post_id ON public.email_logs USING btree (post_id);


--
-- Name: index_email_logs_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_email_logs_on_user_id ON public.email_logs USING btree (user_id);


--
-- Name: index_email_tokens_on_token; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_email_tokens_on_token ON public.email_tokens USING btree (token);


--
-- Name: index_email_tokens_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_email_tokens_on_user_id ON public.email_tokens USING btree (user_id);


--
-- Name: index_for_rebake_old; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_for_rebake_old ON public.posts USING btree (id DESC) WHERE (((baked_version IS NULL) OR (baked_version < 2)) AND (deleted_at IS NULL));


--
-- Name: index_github_user_infos_on_github_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_github_user_infos_on_github_user_id ON public.github_user_infos USING btree (github_user_id);


--
-- Name: index_github_user_infos_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_github_user_infos_on_user_id ON public.github_user_infos USING btree (user_id);


--
-- Name: index_given_daily_likes_on_limit_reached_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_given_daily_likes_on_limit_reached_and_user_id ON public.given_daily_likes USING btree (limit_reached, user_id);


--
-- Name: index_given_daily_likes_on_user_id_and_given_date; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_given_daily_likes_on_user_id_and_given_date ON public.given_daily_likes USING btree (user_id, given_date);


--
-- Name: index_group_archived_messages_on_group_id_and_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_group_archived_messages_on_group_id_and_topic_id ON public.group_archived_messages USING btree (group_id, topic_id);


--
-- Name: index_group_custom_fields_on_group_id_and_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_group_custom_fields_on_group_id_and_name ON public.group_custom_fields USING btree (group_id, name);


--
-- Name: index_group_histories_on_acting_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_group_histories_on_acting_user_id ON public.group_histories USING btree (acting_user_id);


--
-- Name: index_group_histories_on_action; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_group_histories_on_action ON public.group_histories USING btree (action);


--
-- Name: index_group_histories_on_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_group_histories_on_group_id ON public.group_histories USING btree (group_id);


--
-- Name: index_group_histories_on_target_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_group_histories_on_target_user_id ON public.group_histories USING btree (target_user_id);


--
-- Name: index_group_mentions_on_group_id_and_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_group_mentions_on_group_id_and_post_id ON public.group_mentions USING btree (group_id, post_id);


--
-- Name: index_group_mentions_on_post_id_and_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_group_mentions_on_post_id_and_group_id ON public.group_mentions USING btree (post_id, group_id);


--
-- Name: index_group_requests_on_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_group_requests_on_group_id ON public.group_requests USING btree (group_id);


--
-- Name: index_group_requests_on_group_id_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_group_requests_on_group_id_and_user_id ON public.group_requests USING btree (group_id, user_id);


--
-- Name: index_group_requests_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_group_requests_on_user_id ON public.group_requests USING btree (user_id);


--
-- Name: index_group_users_on_group_id_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_group_users_on_group_id_and_user_id ON public.group_users USING btree (group_id, user_id);


--
-- Name: index_group_users_on_user_id_and_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_group_users_on_user_id_and_group_id ON public.group_users USING btree (user_id, group_id);


--
-- Name: index_groups_on_incoming_email; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_groups_on_incoming_email ON public.groups USING btree (incoming_email);


--
-- Name: index_groups_on_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_groups_on_name ON public.groups USING btree (name);


--
-- Name: index_groups_web_hooks_on_web_hook_id_and_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_groups_web_hooks_on_web_hook_id_and_group_id ON public.groups_web_hooks USING btree (web_hook_id, group_id);


--
-- Name: index_ignored_users_on_ignored_user_id_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_ignored_users_on_ignored_user_id_and_user_id ON public.ignored_users USING btree (ignored_user_id, user_id);


--
-- Name: index_ignored_users_on_user_id_and_ignored_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_ignored_users_on_user_id_and_ignored_user_id ON public.ignored_users USING btree (user_id, ignored_user_id);


--
-- Name: index_incoming_domains_on_name_and_https_and_port; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_incoming_domains_on_name_and_https_and_port ON public.incoming_domains USING btree (name, https, port);


--
-- Name: index_incoming_emails_on_created_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_incoming_emails_on_created_at ON public.incoming_emails USING btree (created_at);


--
-- Name: index_incoming_emails_on_error; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_incoming_emails_on_error ON public.incoming_emails USING btree (error);


--
-- Name: index_incoming_emails_on_message_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_incoming_emails_on_message_id ON public.incoming_emails USING btree (message_id);


--
-- Name: index_incoming_emails_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_incoming_emails_on_post_id ON public.incoming_emails USING btree (post_id);


--
-- Name: index_incoming_emails_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_incoming_emails_on_user_id ON public.incoming_emails USING btree (user_id) WHERE (user_id IS NOT NULL);


--
-- Name: index_incoming_links_on_created_at_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_incoming_links_on_created_at_and_user_id ON public.incoming_links USING btree (created_at, user_id);


--
-- Name: index_incoming_links_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_incoming_links_on_post_id ON public.incoming_links USING btree (post_id);


--
-- Name: index_incoming_referers_on_path_and_incoming_domain_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_incoming_referers_on_path_and_incoming_domain_id ON public.incoming_referers USING btree (path, incoming_domain_id);


--
-- Name: index_invites_on_email_and_invited_by_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_invites_on_email_and_invited_by_id ON public.invites USING btree (email, invited_by_id);


--
-- Name: index_invites_on_emailed_status; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_invites_on_emailed_status ON public.invites USING btree (emailed_status);


--
-- Name: index_invites_on_invite_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_invites_on_invite_key ON public.invites USING btree (invite_key);


--
-- Name: index_javascript_caches_on_digest; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_javascript_caches_on_digest ON public.javascript_caches USING btree (digest);


--
-- Name: index_javascript_caches_on_theme_field_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_javascript_caches_on_theme_field_id ON public.javascript_caches USING btree (theme_field_id);


--
-- Name: index_javascript_caches_on_theme_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_javascript_caches_on_theme_id ON public.javascript_caches USING btree (theme_id);


--
-- Name: index_message_bus_on_created_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_message_bus_on_created_at ON public.message_bus USING btree (created_at);


--
-- Name: index_muted_users_on_muted_user_id_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_muted_users_on_muted_user_id_and_user_id ON public.muted_users USING btree (muted_user_id, user_id);


--
-- Name: index_muted_users_on_user_id_and_muted_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_muted_users_on_user_id_and_muted_user_id ON public.muted_users USING btree (user_id, muted_user_id);


--
-- Name: index_notifications_on_post_action_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_notifications_on_post_action_id ON public.notifications USING btree (post_action_id);


--
-- Name: index_notifications_on_read_or_n_type; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_notifications_on_read_or_n_type ON public.notifications USING btree (user_id, id DESC, read, topic_id) WHERE (read OR (notification_type <> 6));


--
-- Name: index_notifications_on_topic_id_and_post_number; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_notifications_on_topic_id_and_post_number ON public.notifications USING btree (topic_id, post_number);


--
-- Name: index_notifications_on_user_id_and_created_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_notifications_on_user_id_and_created_at ON public.notifications USING btree (user_id, created_at);


--
-- Name: index_notifications_on_user_id_and_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_notifications_on_user_id_and_id ON public.notifications USING btree (user_id, id) WHERE ((notification_type = 6) AND (NOT read));


--
-- Name: index_notifications_on_user_id_and_topic_id_and_post_number; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_notifications_on_user_id_and_topic_id_and_post_number ON public.notifications USING btree (user_id, topic_id, post_number);


--
-- Name: index_oauth2_user_infos_on_uid_and_provider; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_oauth2_user_infos_on_uid_and_provider ON public.oauth2_user_infos USING btree (uid, provider);


--
-- Name: index_oauth2_user_infos_on_user_id_and_provider; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_oauth2_user_infos_on_user_id_and_provider ON public.oauth2_user_infos USING btree (user_id, provider);


--
-- Name: index_onceoff_logs_on_job_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_onceoff_logs_on_job_name ON public.onceoff_logs USING btree (job_name);


--
-- Name: index_optimized_images_on_etag; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_optimized_images_on_etag ON public.optimized_images USING btree (etag);


--
-- Name: index_optimized_images_on_upload_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_optimized_images_on_upload_id ON public.optimized_images USING btree (upload_id);


--
-- Name: index_optimized_images_on_upload_id_and_width_and_height; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_optimized_images_on_upload_id_and_width_and_height ON public.optimized_images USING btree (upload_id, width, height);


--
-- Name: index_permalinks_on_url; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_permalinks_on_url ON public.permalinks USING btree (url);


--
-- Name: index_plugin_store_rows_on_plugin_name_and_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_plugin_store_rows_on_plugin_name_and_key ON public.plugin_store_rows USING btree (plugin_name, key);


--
-- Name: index_poll_options_on_poll_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_poll_options_on_poll_id ON public.poll_options USING btree (poll_id);


--
-- Name: index_poll_options_on_poll_id_and_digest; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_poll_options_on_poll_id_and_digest ON public.poll_options USING btree (poll_id, digest);


--
-- Name: index_poll_votes_on_poll_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_poll_votes_on_poll_id ON public.poll_votes USING btree (poll_id);


--
-- Name: index_poll_votes_on_poll_id_and_poll_option_id_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_poll_votes_on_poll_id_and_poll_option_id_and_user_id ON public.poll_votes USING btree (poll_id, poll_option_id, user_id);


--
-- Name: index_poll_votes_on_poll_option_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_poll_votes_on_poll_option_id ON public.poll_votes USING btree (poll_option_id);


--
-- Name: index_poll_votes_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_poll_votes_on_user_id ON public.poll_votes USING btree (user_id);


--
-- Name: index_polls_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_polls_on_post_id ON public.polls USING btree (post_id);


--
-- Name: index_polls_on_post_id_and_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_polls_on_post_id_and_name ON public.polls USING btree (post_id, name);


--
-- Name: index_post_actions_on_post_action_type_id_and_disagreed_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_actions_on_post_action_type_id_and_disagreed_at ON public.post_actions USING btree (post_action_type_id, disagreed_at) WHERE (disagreed_at IS NULL);


--
-- Name: index_post_actions_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_actions_on_post_id ON public.post_actions USING btree (post_id);


--
-- Name: index_post_actions_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_actions_on_user_id ON public.post_actions USING btree (user_id);


--
-- Name: index_post_actions_on_user_id_and_post_action_type_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_actions_on_user_id_and_post_action_type_id ON public.post_actions USING btree (user_id, post_action_type_id) WHERE (deleted_at IS NULL);


--
-- Name: index_post_custom_fields_on_name_and_value; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_custom_fields_on_name_and_value ON public.post_custom_fields USING btree (name, "left"(value, 200));


--
-- Name: index_post_custom_fields_on_notice_args; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_post_custom_fields_on_notice_args ON public.post_custom_fields USING btree (post_id) WHERE ((name)::text = 'notice_args'::text);


--
-- Name: index_post_custom_fields_on_notice_type; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_post_custom_fields_on_notice_type ON public.post_custom_fields USING btree (post_id) WHERE ((name)::text = 'notice_type'::text);


--
-- Name: index_post_custom_fields_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_post_custom_fields_on_post_id ON public.post_custom_fields USING btree (post_id) WHERE ((name)::text = 'missing uploads'::text);


--
-- Name: index_post_custom_fields_on_post_id_and_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_custom_fields_on_post_id_and_name ON public.post_custom_fields USING btree (post_id, name);


--
-- Name: index_post_details_on_post_id_and_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_post_details_on_post_id_and_key ON public.post_details USING btree (post_id, key);


--
-- Name: index_post_id_where_missing_uploads_ignored; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_post_id_where_missing_uploads_ignored ON public.post_custom_fields USING btree (post_id) WHERE ((name)::text = 'missing uploads ignored'::text);


--
-- Name: index_post_replies_on_post_id_and_reply_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_post_replies_on_post_id_and_reply_id ON public.post_replies USING btree (post_id, reply_id);


--
-- Name: index_post_replies_on_reply_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_replies_on_reply_id ON public.post_replies USING btree (reply_id);


--
-- Name: index_post_reply_keys_on_reply_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_post_reply_keys_on_reply_key ON public.post_reply_keys USING btree (reply_key);


--
-- Name: index_post_reply_keys_on_user_id_and_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_post_reply_keys_on_user_id_and_post_id ON public.post_reply_keys USING btree (user_id, post_id);


--
-- Name: index_post_revisions_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_revisions_on_post_id ON public.post_revisions USING btree (post_id);


--
-- Name: index_post_revisions_on_post_id_and_number; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_revisions_on_post_id_and_number ON public.post_revisions USING btree (post_id, number);


--
-- Name: index_post_search_data_on_post_id_and_version_and_locale; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_search_data_on_post_id_and_version_and_locale ON public.post_search_data USING btree (post_id, version, locale);


--
-- Name: index_post_stats_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_stats_on_post_id ON public.post_stats USING btree (post_id);


--
-- Name: index_post_timings_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_timings_on_user_id ON public.post_timings USING btree (user_id);


--
-- Name: index_post_uploads_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_uploads_on_post_id ON public.post_uploads USING btree (post_id);


--
-- Name: index_post_uploads_on_upload_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_post_uploads_on_upload_id ON public.post_uploads USING btree (upload_id);


--
-- Name: index_posts_on_id_and_baked_version; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_posts_on_id_and_baked_version ON public.posts USING btree (id DESC, baked_version) WHERE (deleted_at IS NULL);


--
-- Name: index_posts_on_reply_to_post_number; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_posts_on_reply_to_post_number ON public.posts USING btree (reply_to_post_number);


--
-- Name: index_posts_on_topic_id_and_percent_rank; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_posts_on_topic_id_and_percent_rank ON public.posts USING btree (topic_id, percent_rank);


--
-- Name: index_posts_on_topic_id_and_post_number; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_posts_on_topic_id_and_post_number ON public.posts USING btree (topic_id, post_number);


--
-- Name: index_posts_on_topic_id_and_sort_order; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_posts_on_topic_id_and_sort_order ON public.posts USING btree (topic_id, sort_order);


--
-- Name: index_posts_on_user_id_and_created_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_posts_on_user_id_and_created_at ON public.posts USING btree (user_id, created_at);


--
-- Name: index_quoted_posts_on_post_id_and_quoted_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_quoted_posts_on_post_id_and_quoted_post_id ON public.quoted_posts USING btree (post_id, quoted_post_id);


--
-- Name: index_quoted_posts_on_quoted_post_id_and_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_quoted_posts_on_quoted_post_id_and_post_id ON public.quoted_posts USING btree (quoted_post_id, post_id);


--
-- Name: index_reviewable_claimed_topics_on_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_reviewable_claimed_topics_on_topic_id ON public.reviewable_claimed_topics USING btree (topic_id);


--
-- Name: index_reviewable_histories_on_created_by_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_reviewable_histories_on_created_by_id ON public.reviewable_histories USING btree (created_by_id);


--
-- Name: index_reviewable_histories_on_reviewable_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_reviewable_histories_on_reviewable_id ON public.reviewable_histories USING btree (reviewable_id);


--
-- Name: index_reviewable_scores_on_reviewable_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_reviewable_scores_on_reviewable_id ON public.reviewable_scores USING btree (reviewable_id);


--
-- Name: index_reviewable_scores_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_reviewable_scores_on_user_id ON public.reviewable_scores USING btree (user_id);


--
-- Name: index_reviewables_on_reviewable_by_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_reviewables_on_reviewable_by_group_id ON public.reviewables USING btree (reviewable_by_group_id);


--
-- Name: index_reviewables_on_status_and_created_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_reviewables_on_status_and_created_at ON public.reviewables USING btree (status, created_at);


--
-- Name: index_reviewables_on_status_and_score; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_reviewables_on_status_and_score ON public.reviewables USING btree (status, score);


--
-- Name: index_reviewables_on_status_and_type; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_reviewables_on_status_and_type ON public.reviewables USING btree (status, type);


--
-- Name: index_reviewables_on_topic_id_and_status_and_created_by_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_reviewables_on_topic_id_and_status_and_created_by_id ON public.reviewables USING btree (topic_id, status, created_by_id);


--
-- Name: index_reviewables_on_type_and_target_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_reviewables_on_type_and_target_id ON public.reviewables USING btree (type, target_id);


--
-- Name: index_schema_migration_details_on_version; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_schema_migration_details_on_version ON public.schema_migration_details USING btree (version);


--
-- Name: index_screened_emails_on_email; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_screened_emails_on_email ON public.screened_emails USING btree (email);


--
-- Name: index_screened_emails_on_last_match_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_screened_emails_on_last_match_at ON public.screened_emails USING btree (last_match_at);


--
-- Name: index_screened_ip_addresses_on_ip_address; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_screened_ip_addresses_on_ip_address ON public.screened_ip_addresses USING btree (ip_address);


--
-- Name: index_screened_ip_addresses_on_last_match_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_screened_ip_addresses_on_last_match_at ON public.screened_ip_addresses USING btree (last_match_at);


--
-- Name: index_screened_urls_on_last_match_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_screened_urls_on_last_match_at ON public.screened_urls USING btree (last_match_at);


--
-- Name: index_screened_urls_on_url; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_screened_urls_on_url ON public.screened_urls USING btree (url);


--
-- Name: index_search_logs_on_created_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_search_logs_on_created_at ON public.search_logs USING btree (created_at);


--
-- Name: index_shared_drafts_on_category_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_shared_drafts_on_category_id ON public.shared_drafts USING btree (category_id);


--
-- Name: index_shared_drafts_on_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_shared_drafts_on_topic_id ON public.shared_drafts USING btree (topic_id);


--
-- Name: index_single_sign_on_records_on_external_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_single_sign_on_records_on_external_id ON public.single_sign_on_records USING btree (external_id);


--
-- Name: index_single_sign_on_records_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_single_sign_on_records_on_user_id ON public.single_sign_on_records USING btree (user_id);


--
-- Name: index_site_settings_on_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_site_settings_on_name ON public.site_settings USING btree (name);


--
-- Name: index_skipped_email_logs_on_created_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_skipped_email_logs_on_created_at ON public.skipped_email_logs USING btree (created_at);


--
-- Name: index_skipped_email_logs_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_skipped_email_logs_on_post_id ON public.skipped_email_logs USING btree (post_id);


--
-- Name: index_skipped_email_logs_on_reason_type; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_skipped_email_logs_on_reason_type ON public.skipped_email_logs USING btree (reason_type);


--
-- Name: index_skipped_email_logs_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_skipped_email_logs_on_user_id ON public.skipped_email_logs USING btree (user_id);


--
-- Name: index_stylesheet_cache_on_target_and_digest; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_stylesheet_cache_on_target_and_digest ON public.stylesheet_cache USING btree (target, digest);


--
-- Name: index_tag_group_memberships_on_tag_group_id_and_tag_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_tag_group_memberships_on_tag_group_id_and_tag_id ON public.tag_group_memberships USING btree (tag_group_id, tag_id);


--
-- Name: index_tag_group_permissions_on_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_tag_group_permissions_on_group_id ON public.tag_group_permissions USING btree (group_id);


--
-- Name: index_tag_group_permissions_on_tag_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_tag_group_permissions_on_tag_group_id ON public.tag_group_permissions USING btree (tag_group_id);


--
-- Name: index_tags_on_lower_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_tags_on_lower_name ON public.tags USING btree (lower((name)::text));


--
-- Name: index_tags_on_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_tags_on_name ON public.tags USING btree (name);


--
-- Name: index_theme_translation_overrides_on_theme_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_theme_translation_overrides_on_theme_id ON public.theme_translation_overrides USING btree (theme_id);


--
-- Name: index_themes_on_remote_theme_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_themes_on_remote_theme_id ON public.themes USING btree (remote_theme_id);


--
-- Name: index_top_topics_on_all_score; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_all_score ON public.top_topics USING btree (all_score);


--
-- Name: index_top_topics_on_daily_likes_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_daily_likes_count ON public.top_topics USING btree (daily_likes_count DESC);


--
-- Name: index_top_topics_on_daily_op_likes_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_daily_op_likes_count ON public.top_topics USING btree (daily_op_likes_count);


--
-- Name: index_top_topics_on_daily_posts_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_daily_posts_count ON public.top_topics USING btree (daily_posts_count DESC);


--
-- Name: index_top_topics_on_daily_score; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_daily_score ON public.top_topics USING btree (daily_score);


--
-- Name: index_top_topics_on_daily_views_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_daily_views_count ON public.top_topics USING btree (daily_views_count DESC);


--
-- Name: index_top_topics_on_monthly_likes_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_monthly_likes_count ON public.top_topics USING btree (monthly_likes_count DESC);


--
-- Name: index_top_topics_on_monthly_op_likes_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_monthly_op_likes_count ON public.top_topics USING btree (monthly_op_likes_count);


--
-- Name: index_top_topics_on_monthly_posts_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_monthly_posts_count ON public.top_topics USING btree (monthly_posts_count DESC);


--
-- Name: index_top_topics_on_monthly_score; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_monthly_score ON public.top_topics USING btree (monthly_score);


--
-- Name: index_top_topics_on_monthly_views_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_monthly_views_count ON public.top_topics USING btree (monthly_views_count DESC);


--
-- Name: index_top_topics_on_quarterly_likes_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_quarterly_likes_count ON public.top_topics USING btree (quarterly_likes_count);


--
-- Name: index_top_topics_on_quarterly_op_likes_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_quarterly_op_likes_count ON public.top_topics USING btree (quarterly_op_likes_count);


--
-- Name: index_top_topics_on_quarterly_posts_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_quarterly_posts_count ON public.top_topics USING btree (quarterly_posts_count);


--
-- Name: index_top_topics_on_quarterly_views_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_quarterly_views_count ON public.top_topics USING btree (quarterly_views_count);


--
-- Name: index_top_topics_on_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_top_topics_on_topic_id ON public.top_topics USING btree (topic_id);


--
-- Name: index_top_topics_on_weekly_likes_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_weekly_likes_count ON public.top_topics USING btree (weekly_likes_count DESC);


--
-- Name: index_top_topics_on_weekly_op_likes_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_weekly_op_likes_count ON public.top_topics USING btree (weekly_op_likes_count);


--
-- Name: index_top_topics_on_weekly_posts_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_weekly_posts_count ON public.top_topics USING btree (weekly_posts_count DESC);


--
-- Name: index_top_topics_on_weekly_score; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_weekly_score ON public.top_topics USING btree (weekly_score);


--
-- Name: index_top_topics_on_weekly_views_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_weekly_views_count ON public.top_topics USING btree (weekly_views_count DESC);


--
-- Name: index_top_topics_on_yearly_likes_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_yearly_likes_count ON public.top_topics USING btree (yearly_likes_count DESC);


--
-- Name: index_top_topics_on_yearly_op_likes_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_yearly_op_likes_count ON public.top_topics USING btree (yearly_op_likes_count);


--
-- Name: index_top_topics_on_yearly_posts_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_yearly_posts_count ON public.top_topics USING btree (yearly_posts_count DESC);


--
-- Name: index_top_topics_on_yearly_score; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_yearly_score ON public.top_topics USING btree (yearly_score);


--
-- Name: index_top_topics_on_yearly_views_count; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_top_topics_on_yearly_views_count ON public.top_topics USING btree (yearly_views_count DESC);


--
-- Name: index_topic_allowed_groups_on_group_id_and_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topic_allowed_groups_on_group_id_and_topic_id ON public.topic_allowed_groups USING btree (group_id, topic_id);


--
-- Name: index_topic_allowed_groups_on_topic_id_and_group_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topic_allowed_groups_on_topic_id_and_group_id ON public.topic_allowed_groups USING btree (topic_id, group_id);


--
-- Name: index_topic_allowed_users_on_topic_id_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topic_allowed_users_on_topic_id_and_user_id ON public.topic_allowed_users USING btree (topic_id, user_id);


--
-- Name: index_topic_allowed_users_on_user_id_and_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topic_allowed_users_on_user_id_and_topic_id ON public.topic_allowed_users USING btree (user_id, topic_id);


--
-- Name: index_topic_custom_fields_on_topic_id_and_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_custom_fields_on_topic_id_and_name ON public.topic_custom_fields USING btree (topic_id, name);


--
-- Name: index_topic_embeds_on_embed_url; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topic_embeds_on_embed_url ON public.topic_embeds USING btree (embed_url);


--
-- Name: index_topic_groups_on_group_id_and_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topic_groups_on_group_id_and_topic_id ON public.topic_groups USING btree (group_id, topic_id);


--
-- Name: index_topic_invites_on_invite_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_invites_on_invite_id ON public.topic_invites USING btree (invite_id);


--
-- Name: index_topic_invites_on_topic_id_and_invite_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topic_invites_on_topic_id_and_invite_id ON public.topic_invites USING btree (topic_id, invite_id);


--
-- Name: index_topic_links_on_extension; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_links_on_extension ON public.topic_links USING btree (extension);


--
-- Name: index_topic_links_on_link_post_id_and_reflection; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_links_on_link_post_id_and_reflection ON public.topic_links USING btree (link_post_id, reflection);


--
-- Name: index_topic_links_on_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_links_on_post_id ON public.topic_links USING btree (post_id);


--
-- Name: index_topic_links_on_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_links_on_topic_id ON public.topic_links USING btree (topic_id);


--
-- Name: index_topic_links_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_links_on_user_id ON public.topic_links USING btree (user_id);


--
-- Name: index_topic_search_data_on_topic_id_and_version_and_locale; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_search_data_on_topic_id_and_version_and_locale ON public.topic_search_data USING btree (topic_id, version, locale);


--
-- Name: index_topic_tags_on_topic_id_and_tag_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topic_tags_on_topic_id_and_tag_id ON public.topic_tags USING btree (topic_id, tag_id);


--
-- Name: index_topic_timers_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_timers_on_user_id ON public.topic_timers USING btree (user_id);


--
-- Name: index_topic_users_on_topic_id_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topic_users_on_topic_id_and_user_id ON public.topic_users USING btree (topic_id, user_id);


--
-- Name: index_topic_users_on_user_id_and_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topic_users_on_user_id_and_topic_id ON public.topic_users USING btree (user_id, topic_id);


--
-- Name: index_topic_views_on_topic_id_and_viewed_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_views_on_topic_id_and_viewed_at ON public.topic_views USING btree (topic_id, viewed_at);


--
-- Name: index_topic_views_on_user_id_and_viewed_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_views_on_user_id_and_viewed_at ON public.topic_views USING btree (user_id, viewed_at);


--
-- Name: index_topic_views_on_viewed_at_and_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topic_views_on_viewed_at_and_topic_id ON public.topic_views USING btree (viewed_at, topic_id);


--
-- Name: index_topics_on_bumped_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topics_on_bumped_at ON public.topics USING btree (bumped_at DESC);


--
-- Name: index_topics_on_created_at_and_visible; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topics_on_created_at_and_visible ON public.topics USING btree (created_at, visible) WHERE ((deleted_at IS NULL) AND ((archetype)::text <> 'private_message'::text));


--
-- Name: index_topics_on_id_and_deleted_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topics_on_id_and_deleted_at ON public.topics USING btree (id, deleted_at);


--
-- Name: index_topics_on_id_filtered_banner; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_topics_on_id_filtered_banner ON public.topics USING btree (id) WHERE (((archetype)::text = 'banner'::text) AND (deleted_at IS NULL));


--
-- Name: index_topics_on_lower_title; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topics_on_lower_title ON public.topics USING btree (lower((title)::text));


--
-- Name: index_topics_on_pinned_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topics_on_pinned_at ON public.topics USING btree (pinned_at) WHERE (pinned_at IS NOT NULL);


--
-- Name: index_topics_on_pinned_globally; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topics_on_pinned_globally ON public.topics USING btree (pinned_globally) WHERE pinned_globally;


--
-- Name: index_topics_on_updated_at_public; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_topics_on_updated_at_public ON public.topics USING btree (updated_at, visible, highest_staff_post_number, highest_post_number, category_id, created_at, id) WHERE (((archetype)::text <> 'private_message'::text) AND (deleted_at IS NULL));


--
-- Name: index_translation_overrides_on_locale_and_translation_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_translation_overrides_on_locale_and_translation_key ON public.translation_overrides USING btree (locale, translation_key);


--
-- Name: index_unsubscribe_keys_on_created_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_unsubscribe_keys_on_created_at ON public.unsubscribe_keys USING btree (created_at);


--
-- Name: index_uploads_on_etag; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_uploads_on_etag ON public.uploads USING btree (etag);


--
-- Name: index_uploads_on_extension; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_uploads_on_extension ON public.uploads USING btree (lower((extension)::text));


--
-- Name: index_uploads_on_id_and_url; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_uploads_on_id_and_url ON public.uploads USING btree (id, url);


--
-- Name: index_uploads_on_sha1; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_uploads_on_sha1 ON public.uploads USING btree (sha1);


--
-- Name: index_uploads_on_url; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_uploads_on_url ON public.uploads USING btree (url);


--
-- Name: index_uploads_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_uploads_on_user_id ON public.uploads USING btree (user_id);


--
-- Name: index_user_actions_on_acting_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_actions_on_acting_user_id ON public.user_actions USING btree (acting_user_id);


--
-- Name: index_user_actions_on_action_type_and_created_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_actions_on_action_type_and_created_at ON public.user_actions USING btree (action_type, created_at);


--
-- Name: index_user_actions_on_target_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_actions_on_target_post_id ON public.user_actions USING btree (target_post_id);


--
-- Name: index_user_actions_on_target_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_actions_on_target_user_id ON public.user_actions USING btree (target_user_id) WHERE (target_user_id IS NOT NULL);


--
-- Name: index_user_actions_on_user_id_and_action_type; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_actions_on_user_id_and_action_type ON public.user_actions USING btree (user_id, action_type);


--
-- Name: index_user_api_keys_on_client_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_api_keys_on_client_id ON public.user_api_keys USING btree (client_id);


--
-- Name: index_user_api_keys_on_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_api_keys_on_key ON public.user_api_keys USING btree (key);


--
-- Name: index_user_api_keys_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_api_keys_on_user_id ON public.user_api_keys USING btree (user_id);


--
-- Name: index_user_archived_messages_on_user_id_and_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_archived_messages_on_user_id_and_topic_id ON public.user_archived_messages USING btree (user_id, topic_id);


--
-- Name: index_user_auth_token_logs_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_auth_token_logs_on_user_id ON public.user_auth_token_logs USING btree (user_id);


--
-- Name: index_user_auth_tokens_on_auth_token; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_auth_tokens_on_auth_token ON public.user_auth_tokens USING btree (auth_token);


--
-- Name: index_user_auth_tokens_on_prev_auth_token; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_auth_tokens_on_prev_auth_token ON public.user_auth_tokens USING btree (prev_auth_token);


--
-- Name: index_user_auth_tokens_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_auth_tokens_on_user_id ON public.user_auth_tokens USING btree (user_id);


--
-- Name: index_user_avatars_on_custom_upload_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_avatars_on_custom_upload_id ON public.user_avatars USING btree (custom_upload_id);


--
-- Name: index_user_avatars_on_gravatar_upload_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_avatars_on_gravatar_upload_id ON public.user_avatars USING btree (gravatar_upload_id);


--
-- Name: index_user_avatars_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_avatars_on_user_id ON public.user_avatars USING btree (user_id);


--
-- Name: index_user_badges_on_badge_id_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_badges_on_badge_id_and_user_id ON public.user_badges USING btree (badge_id, user_id);


--
-- Name: index_user_badges_on_badge_id_and_user_id_and_post_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_badges_on_badge_id_and_user_id_and_post_id ON public.user_badges USING btree (badge_id, user_id, post_id) WHERE (post_id IS NOT NULL);


--
-- Name: index_user_badges_on_badge_id_and_user_id_and_seq; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_badges_on_badge_id_and_user_id_and_seq ON public.user_badges USING btree (badge_id, user_id, seq) WHERE (post_id IS NULL);


--
-- Name: index_user_badges_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_badges_on_user_id ON public.user_badges USING btree (user_id);


--
-- Name: index_user_custom_fields_on_user_id_and_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_custom_fields_on_user_id_and_name ON public.user_custom_fields USING btree (user_id, name);


--
-- Name: index_user_emails_on_email; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_emails_on_email ON public.user_emails USING btree (lower((email)::text));


--
-- Name: index_user_emails_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_emails_on_user_id ON public.user_emails USING btree (user_id);


--
-- Name: index_user_emails_on_user_id_and_primary; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_emails_on_user_id_and_primary ON public.user_emails USING btree (user_id, "primary") WHERE "primary";


--
-- Name: index_user_histories_on_acting_user_id_and_action_and_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_histories_on_acting_user_id_and_action_and_id ON public.user_histories USING btree (acting_user_id, action, id);


--
-- Name: index_user_histories_on_action_and_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_histories_on_action_and_id ON public.user_histories USING btree (action, id);


--
-- Name: index_user_histories_on_category_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_histories_on_category_id ON public.user_histories USING btree (category_id);


--
-- Name: index_user_histories_on_subject_and_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_histories_on_subject_and_id ON public.user_histories USING btree (subject, id);


--
-- Name: index_user_histories_on_target_user_id_and_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_histories_on_target_user_id_and_id ON public.user_histories USING btree (target_user_id, id);


--
-- Name: index_user_histories_on_topic_id_and_target_user_id_and_action; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_histories_on_topic_id_and_target_user_id_and_action ON public.user_histories USING btree (topic_id, target_user_id, action);


--
-- Name: index_user_open_ids_on_url; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_open_ids_on_url ON public.user_open_ids USING btree (url);


--
-- Name: index_user_options_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_options_on_user_id ON public.user_options USING btree (user_id);


--
-- Name: index_user_profile_views_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_profile_views_on_user_id ON public.user_profile_views USING btree (user_id);


--
-- Name: index_user_profile_views_on_user_profile_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_profile_views_on_user_profile_id ON public.user_profile_views USING btree (user_profile_id);


--
-- Name: index_user_profiles_on_bio_cooked_version; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_profiles_on_bio_cooked_version ON public.user_profiles USING btree (bio_cooked_version);


--
-- Name: index_user_profiles_on_card_background; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_profiles_on_card_background ON public.user_profiles USING btree (card_background);


--
-- Name: index_user_profiles_on_granted_title_badge_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_profiles_on_granted_title_badge_id ON public.user_profiles USING btree (granted_title_badge_id);


--
-- Name: index_user_profiles_on_profile_background; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_profiles_on_profile_background ON public.user_profiles USING btree (profile_background);


--
-- Name: index_user_second_factors_on_method_and_enabled; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_second_factors_on_method_and_enabled ON public.user_second_factors USING btree (method, enabled);


--
-- Name: index_user_second_factors_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_second_factors_on_user_id ON public.user_second_factors USING btree (user_id);


--
-- Name: index_user_security_keys_on_credential_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_security_keys_on_credential_id ON public.user_security_keys USING btree (credential_id);


--
-- Name: index_user_security_keys_on_factor_type; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_security_keys_on_factor_type ON public.user_security_keys USING btree (factor_type);


--
-- Name: index_user_security_keys_on_factor_type_and_enabled; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_security_keys_on_factor_type_and_enabled ON public.user_security_keys USING btree (factor_type, enabled);


--
-- Name: index_user_security_keys_on_last_used; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_security_keys_on_last_used ON public.user_security_keys USING btree (last_used);


--
-- Name: index_user_security_keys_on_public_key; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_security_keys_on_public_key ON public.user_security_keys USING btree (public_key);


--
-- Name: index_user_security_keys_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_security_keys_on_user_id ON public.user_security_keys USING btree (user_id);


--
-- Name: index_user_uploads_on_upload_id_and_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_uploads_on_upload_id_and_user_id ON public.user_uploads USING btree (upload_id, user_id);


--
-- Name: index_user_uploads_on_user_id_and_upload_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_uploads_on_user_id_and_upload_id ON public.user_uploads USING btree (user_id, upload_id);


--
-- Name: index_user_visits_on_user_id_and_visited_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_visits_on_user_id_and_visited_at ON public.user_visits USING btree (user_id, visited_at);


--
-- Name: index_user_visits_on_user_id_and_visited_at_and_time_read; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_visits_on_user_id_and_visited_at_and_time_read ON public.user_visits USING btree (user_id, visited_at, time_read);


--
-- Name: index_user_visits_on_visited_at_and_mobile; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_visits_on_visited_at_and_mobile ON public.user_visits USING btree (visited_at, mobile);


--
-- Name: index_user_warnings_on_topic_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_user_warnings_on_topic_id ON public.user_warnings USING btree (topic_id);


--
-- Name: index_user_warnings_on_user_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_user_warnings_on_user_id ON public.user_warnings USING btree (user_id);


--
-- Name: index_users_on_last_posted_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_users_on_last_posted_at ON public.users USING btree (last_posted_at);


--
-- Name: index_users_on_last_seen_at; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_users_on_last_seen_at ON public.users USING btree (last_seen_at);


--
-- Name: index_users_on_secure_identifier; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_users_on_secure_identifier ON public.users USING btree (secure_identifier);


--
-- Name: index_users_on_uploaded_avatar_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_users_on_uploaded_avatar_id ON public.users USING btree (uploaded_avatar_id);


--
-- Name: index_users_on_username; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_users_on_username ON public.users USING btree (username);


--
-- Name: index_users_on_username_lower; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_users_on_username_lower ON public.users USING btree (username_lower);


--
-- Name: index_watched_words_on_action_and_word; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_watched_words_on_action_and_word ON public.watched_words USING btree (action, word);


--
-- Name: index_web_crawler_requests_on_date_and_user_agent; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX index_web_crawler_requests_on_date_and_user_agent ON public.web_crawler_requests USING btree (date, user_agent);


--
-- Name: index_web_hook_events_on_web_hook_id; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX index_web_hook_events_on_web_hook_id ON public.web_hook_events USING btree (web_hook_id);


--
-- Name: post_custom_field_broken_images_idx; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX post_custom_field_broken_images_idx ON public.post_custom_fields USING btree (post_id) WHERE ((name)::text = 'broken_images'::text);


--
-- Name: post_custom_field_downloaded_images_idx; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX post_custom_field_downloaded_images_idx ON public.post_custom_fields USING btree (post_id) WHERE ((name)::text = 'downloaded_images'::text);


--
-- Name: post_custom_field_large_images_idx; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX post_custom_field_large_images_idx ON public.post_custom_fields USING btree (post_id) WHERE ((name)::text = 'large_images'::text);


--
-- Name: post_timings_summary; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX post_timings_summary ON public.post_timings USING btree (topic_id, post_number);


--
-- Name: post_timings_unique; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX post_timings_unique ON public.post_timings USING btree (topic_id, post_number, user_id);


--
-- Name: theme_field_unique_index; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX theme_field_unique_index ON public.theme_fields USING btree (theme_id, target_id, type_id, name);


--
-- Name: theme_translation_overrides_unique; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX theme_translation_overrides_unique ON public.theme_translation_overrides USING btree (theme_id, locale, translation_key);


--
-- Name: topic_custom_fields_value_key_idx; Type: INDEX; Schema: public; Owner: discourse
--

CREATE INDEX topic_custom_fields_value_key_idx ON public.topic_custom_fields USING btree (value, name) WHERE ((value IS NOT NULL) AND (char_length(value) < 400));


--
-- Name: uniq_ip_or_user_id_topic_views; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX uniq_ip_or_user_id_topic_views ON public.topic_views USING btree (user_id, ip_address, topic_id);


--
-- Name: unique_index_categories_on_name; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX unique_index_categories_on_name ON public.categories USING btree (COALESCE(parent_category_id, '-1'::integer), name);


--
-- Name: unique_index_categories_on_slug; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX unique_index_categories_on_slug ON public.categories USING btree (COALESCE(parent_category_id, '-1'::integer), slug) WHERE ((slug)::text <> ''::text);


--
-- Name: unique_post_links; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX unique_post_links ON public.topic_links USING btree (topic_id, post_id, url);


--
-- Name: unique_profile_view_user_or_ip; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX unique_profile_view_user_or_ip ON public.user_profile_views USING btree (viewed_at, user_id, ip_address, user_profile_id);


--
-- Name: web_hooks_tags; Type: INDEX; Schema: public; Owner: discourse
--

CREATE UNIQUE INDEX web_hooks_tags ON public.tags_web_hooks USING btree (web_hook_id, tag_id);


--
-- Name: user_profiles user_profiles_card_background_readonly; Type: TRIGGER; Schema: public; Owner: discourse
--

CREATE TRIGGER user_profiles_card_background_readonly BEFORE INSERT OR UPDATE OF card_background ON public.user_profiles FOR EACH ROW WHEN ((new.card_background IS NOT NULL)) EXECUTE PROCEDURE discourse_functions.raise_user_profiles_card_background_readonly();


--
-- Name: user_profiles user_profiles_profile_background_readonly; Type: TRIGGER; Schema: public; Owner: discourse
--

CREATE TRIGGER user_profiles_profile_background_readonly BEFORE INSERT OR UPDATE OF profile_background ON public.user_profiles FOR EACH ROW WHEN ((new.profile_background IS NOT NULL)) EXECUTE PROCEDURE discourse_functions.raise_user_profiles_profile_background_readonly();


--
-- Name: user_profiles fk_rails_1d362f2e97; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_profiles
    ADD CONSTRAINT fk_rails_1d362f2e97 FOREIGN KEY (profile_background_upload_id) REFERENCES public.uploads(id);


--
-- Name: user_profiles fk_rails_38ea484ed4; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_profiles
    ADD CONSTRAINT fk_rails_38ea484ed4 FOREIGN KEY (granted_title_badge_id) REFERENCES public.badges(id);


--
-- Name: javascript_caches fk_rails_58f94aecc4; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.javascript_caches
    ADD CONSTRAINT fk_rails_58f94aecc4 FOREIGN KEY (theme_id) REFERENCES public.themes(id) ON DELETE CASCADE;


--
-- Name: poll_votes fk_rails_848ece0184; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.poll_votes
    ADD CONSTRAINT fk_rails_848ece0184 FOREIGN KEY (poll_option_id) REFERENCES public.poll_options(id);


--
-- Name: user_security_keys fk_rails_90999b0454; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_security_keys
    ADD CONSTRAINT fk_rails_90999b0454 FOREIGN KEY (user_id) REFERENCES public.users(id);


--
-- Name: poll_votes fk_rails_a6e6974b7e; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.poll_votes
    ADD CONSTRAINT fk_rails_a6e6974b7e FOREIGN KEY (poll_id) REFERENCES public.polls(id);


--
-- Name: poll_options fk_rails_aa85becb42; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.poll_options
    ADD CONSTRAINT fk_rails_aa85becb42 FOREIGN KEY (poll_id) REFERENCES public.polls(id);


--
-- Name: polls fk_rails_b50b782d08; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.polls
    ADD CONSTRAINT fk_rails_b50b782d08 FOREIGN KEY (post_id) REFERENCES public.posts(id);


--
-- Name: poll_votes fk_rails_b64de9b025; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.poll_votes
    ADD CONSTRAINT fk_rails_b64de9b025 FOREIGN KEY (user_id) REFERENCES public.users(id);


--
-- Name: user_profiles fk_rails_ca64aa462b; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.user_profiles
    ADD CONSTRAINT fk_rails_ca64aa462b FOREIGN KEY (card_background_upload_id) REFERENCES public.uploads(id);


--
-- Name: javascript_caches fk_rails_ed33506dbd; Type: FK CONSTRAINT; Schema: public; Owner: discourse
--

ALTER TABLE ONLY public.javascript_caches
    ADD CONSTRAINT fk_rails_ed33506dbd FOREIGN KEY (theme_field_id) REFERENCES public.theme_fields(id) ON DELETE CASCADE;


--
-- Name: SCHEMA public; Type: ACL; Schema: -; Owner: discourse
--

REVOKE ALL ON SCHEMA public FROM postgres;
REVOKE ALL ON SCHEMA public FROM PUBLIC;
GRANT ALL ON SCHEMA public TO discourse;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

